#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8968
#define LARGE_STATE_COUNT 2803
#define SYMBOL_COUNT 567
#define ALIAS_COUNT 5
#define TOKEN_COUNT 243
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 230

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_COLON = 42,
  anon_sym_SEMI = 43,
  anon_sym___extension__ = 44,
  anon_sym_typedef = 45,
  anon_sym_in = 46,
  anon_sym_out = 47,
  anon_sym_inout = 48,
  anon_sym_virtual = 49,
  anon_sym_extern = 50,
  anon_sym___attribute__ = 51,
  anon_sym___attribute = 52,
  anon_sym_COLON_COLON = 53,
  anon_sym_LBRACK_LBRACK = 54,
  anon_sym_RBRACK_RBRACK = 55,
  anon_sym___declspec = 56,
  anon_sym___based = 57,
  anon_sym___cdecl = 58,
  anon_sym___clrcall = 59,
  anon_sym___stdcall = 60,
  anon_sym___fastcall = 61,
  anon_sym___thiscall = 62,
  anon_sym___vectorcall = 63,
  sym_ms_restrict_modifier = 64,
  sym_ms_unsigned_ptr_modifier = 65,
  sym_ms_signed_ptr_modifier = 66,
  anon_sym__unaligned = 67,
  anon_sym___unaligned = 68,
  anon_sym_LBRACE = 69,
  anon_sym_RBRACE = 70,
  anon_sym_signed = 71,
  anon_sym_unsigned = 72,
  anon_sym_long = 73,
  anon_sym_short = 74,
  anon_sym_LBRACK = 75,
  anon_sym_static = 76,
  anon_sym_RBRACK = 77,
  anon_sym_EQ = 78,
  anon_sym_register = 79,
  anon_sym_inline = 80,
  anon_sym___inline = 81,
  anon_sym___inline__ = 82,
  anon_sym___forceinline = 83,
  anon_sym_thread_local = 84,
  anon_sym___thread = 85,
  anon_sym_const = 86,
  anon_sym_constexpr = 87,
  anon_sym_volatile = 88,
  anon_sym_restrict = 89,
  anon_sym___restrict__ = 90,
  anon_sym__Atomic = 91,
  anon_sym__Noreturn = 92,
  anon_sym_noreturn = 93,
  anon_sym__Nonnull = 94,
  anon_sym_mutable = 95,
  anon_sym_constinit = 96,
  anon_sym_consteval = 97,
  anon_sym_alignas = 98,
  anon_sym__Alignas = 99,
  sym_primitive_type = 100,
  anon_sym_enum = 101,
  anon_sym_class = 102,
  anon_sym_struct = 103,
  anon_sym_union = 104,
  anon_sym_if = 105,
  anon_sym_else = 106,
  anon_sym_switch = 107,
  anon_sym_case = 108,
  anon_sym_default = 109,
  anon_sym_while = 110,
  anon_sym_do = 111,
  anon_sym_for = 112,
  anon_sym_return = 113,
  anon_sym_break = 114,
  anon_sym_continue = 115,
  anon_sym_goto = 116,
  anon_sym___try = 117,
  anon_sym___except = 118,
  anon_sym___finally = 119,
  anon_sym___leave = 120,
  anon_sym_QMARK = 121,
  anon_sym_STAR_EQ = 122,
  anon_sym_SLASH_EQ = 123,
  anon_sym_PERCENT_EQ = 124,
  anon_sym_PLUS_EQ = 125,
  anon_sym_DASH_EQ = 126,
  anon_sym_LT_LT_EQ = 127,
  anon_sym_GT_GT_EQ = 128,
  anon_sym_AMP_EQ = 129,
  anon_sym_CARET_EQ = 130,
  anon_sym_PIPE_EQ = 131,
  anon_sym_and_eq = 132,
  anon_sym_or_eq = 133,
  anon_sym_xor_eq = 134,
  anon_sym_not = 135,
  anon_sym_compl = 136,
  anon_sym_LT_EQ_GT = 137,
  anon_sym_or = 138,
  anon_sym_and = 139,
  anon_sym_bitor = 140,
  anon_sym_xor = 141,
  anon_sym_bitand = 142,
  anon_sym_not_eq = 143,
  anon_sym_DASH_DASH = 144,
  anon_sym_PLUS_PLUS = 145,
  anon_sym_sizeof = 146,
  anon_sym___alignof__ = 147,
  anon_sym___alignof = 148,
  anon_sym__alignof = 149,
  anon_sym_alignof = 150,
  anon_sym__Alignof = 151,
  anon_sym_offsetof = 152,
  anon_sym__Generic = 153,
  anon_sym_asm = 154,
  anon_sym___asm__ = 155,
  anon_sym___asm = 156,
  anon_sym___volatile__ = 157,
  anon_sym_DOT = 158,
  anon_sym_DOT_STAR = 159,
  anon_sym_DASH_GT = 160,
  sym_number_literal = 161,
  anon_sym_L_SQUOTE = 162,
  anon_sym_u_SQUOTE = 163,
  anon_sym_U_SQUOTE = 164,
  anon_sym_u8_SQUOTE = 165,
  anon_sym_SQUOTE = 166,
  aux_sym_char_literal_token1 = 167,
  anon_sym_L_DQUOTE = 168,
  anon_sym_u_DQUOTE = 169,
  anon_sym_U_DQUOTE = 170,
  anon_sym_u8_DQUOTE = 171,
  anon_sym_DQUOTE = 172,
  aux_sym_string_literal_token1 = 173,
  sym_escape_sequence = 174,
  sym_system_lib_string = 175,
  sym_true = 176,
  sym_false = 177,
  anon_sym_NULL = 178,
  anon_sym_nullptr = 179,
  sym_comment = 180,
  sym_auto = 181,
  anon_sym_decltype = 182,
  anon_sym_final = 183,
  anon_sym_override = 184,
  anon_sym_explicit = 185,
  anon_sym_typename = 186,
  anon_sym_template = 187,
  anon_sym_GT2 = 188,
  anon_sym_operator = 189,
  anon_sym_try = 190,
  anon_sym_delete = 191,
  aux_sym_pure_virtual_clause_token1 = 192,
  anon_sym_friend = 193,
  anon_sym_public = 194,
  anon_sym_private = 195,
  anon_sym_protected = 196,
  anon_sym_noexcept = 197,
  anon_sym_throw = 198,
  anon_sym_namespace = 199,
  anon_sym_using = 200,
  anon_sym_static_assert = 201,
  anon_sym_concept = 202,
  anon_sym_co_return = 203,
  anon_sym_co_yield = 204,
  anon_sym_catch = 205,
  anon_sym_R_DQUOTE = 206,
  anon_sym_LR_DQUOTE = 207,
  anon_sym_uR_DQUOTE = 208,
  anon_sym_UR_DQUOTE = 209,
  anon_sym_u8R_DQUOTE = 210,
  anon_sym_co_await = 211,
  anon_sym_new = 212,
  anon_sym_requires = 213,
  anon_sym_DASH_GT_STAR = 214,
  anon_sym_LPAREN_RPAREN = 215,
  anon_sym_LBRACK_RBRACK = 216,
  anon_sym_DQUOTE_DQUOTE = 217,
  sym_this = 218,
  sym_literal_suffix = 219,
  anon_sym_discard = 220,
  anon_sym_precise = 221,
  anon_sym_shared = 222,
  anon_sym_groupshared = 223,
  anon_sym_uniform = 224,
  anon_sym_row_major = 225,
  anon_sym_column_major = 226,
  anon_sym_globallycoherent = 227,
  anon_sym_centroid = 228,
  anon_sym_noperspective = 229,
  anon_sym_nointerpolation = 230,
  anon_sym_sample = 231,
  anon_sym_linear = 232,
  anon_sym_snorm = 233,
  anon_sym_unorm = 234,
  anon_sym_point = 235,
  anon_sym_line = 236,
  anon_sym_triangleadj = 237,
  anon_sym_lineadj = 238,
  anon_sym_triangle = 239,
  anon_sym_cbuffer = 240,
  sym_raw_string_delimiter = 241,
  sym_raw_string_content = 242,
  sym_translation_unit = 243,
  sym__top_level_item = 244,
  sym__block_item = 245,
  sym_preproc_include = 246,
  sym_preproc_def = 247,
  sym_preproc_function_def = 248,
  sym_preproc_params = 249,
  sym_preproc_call = 250,
  sym_preproc_if = 251,
  sym_preproc_ifdef = 252,
  sym_preproc_else = 253,
  sym_preproc_elif = 254,
  sym_preproc_elifdef = 255,
  sym_preproc_if_in_field_declaration_list = 256,
  sym_preproc_ifdef_in_field_declaration_list = 257,
  sym_preproc_else_in_field_declaration_list = 258,
  sym_preproc_elif_in_field_declaration_list = 259,
  sym_preproc_elifdef_in_field_declaration_list = 260,
  sym_preproc_if_in_enumerator_list = 261,
  sym_preproc_ifdef_in_enumerator_list = 262,
  sym_preproc_else_in_enumerator_list = 263,
  sym_preproc_elif_in_enumerator_list = 264,
  sym_preproc_elifdef_in_enumerator_list = 265,
  sym_preproc_if_in_enumerator_list_no_comma = 266,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 267,
  sym_preproc_else_in_enumerator_list_no_comma = 268,
  sym_preproc_elif_in_enumerator_list_no_comma = 269,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 270,
  sym__preproc_expression = 271,
  sym_preproc_parenthesized_expression = 272,
  sym_preproc_defined = 273,
  sym_preproc_unary_expression = 274,
  sym_preproc_call_expression = 275,
  sym_preproc_argument_list = 276,
  sym_preproc_binary_expression = 277,
  sym_function_definition = 278,
  sym_declaration = 279,
  sym_type_definition = 280,
  sym__type_definition_type = 281,
  sym__type_definition_declarators = 282,
  sym__declaration_modifiers = 283,
  sym__declaration_specifiers = 284,
  sym_linkage_specification = 285,
  sym_attribute_specifier = 286,
  sym_attribute = 287,
  sym_attribute_declaration = 288,
  sym_ms_declspec_modifier = 289,
  sym_ms_based_modifier = 290,
  sym_ms_call_modifier = 291,
  sym_ms_unaligned_ptr_modifier = 292,
  sym_ms_pointer_modifier = 293,
  sym_declaration_list = 294,
  sym__declarator = 295,
  sym__field_declarator = 296,
  sym__type_declarator = 297,
  sym__abstract_declarator = 298,
  sym_parenthesized_declarator = 299,
  sym_parenthesized_field_declarator = 300,
  sym_parenthesized_type_declarator = 301,
  sym_abstract_parenthesized_declarator = 302,
  sym_attributed_declarator = 303,
  sym_attributed_field_declarator = 304,
  sym_attributed_type_declarator = 305,
  sym_pointer_declarator = 306,
  sym_pointer_field_declarator = 307,
  sym_pointer_type_declarator = 308,
  sym_abstract_pointer_declarator = 309,
  sym_function_declarator = 310,
  sym_function_field_declarator = 311,
  sym_function_type_declarator = 312,
  sym_abstract_function_declarator = 313,
  sym_array_declarator = 314,
  sym_array_field_declarator = 315,
  sym_array_type_declarator = 316,
  sym_abstract_array_declarator = 317,
  sym_init_declarator = 318,
  sym_compound_statement = 319,
  sym_storage_class_specifier = 320,
  sym_type_qualifier = 321,
  sym_alignas_qualifier = 322,
  sym_type_specifier = 323,
  sym_sized_type_specifier = 324,
  sym_enum_specifier = 325,
  sym_enumerator_list = 326,
  sym_struct_specifier = 327,
  sym_union_specifier = 328,
  sym_field_declaration_list = 329,
  sym__field_declaration_list_item = 330,
  sym_field_declaration = 331,
  sym_bitfield_clause = 332,
  sym_enumerator = 333,
  sym_parameter_list = 334,
  sym_parameter_declaration = 335,
  sym_attributed_statement = 336,
  sym_statement = 337,
  sym__top_level_statement = 338,
  sym_labeled_statement = 339,
  sym__top_level_expression_statement = 340,
  sym_expression_statement = 341,
  sym_if_statement = 342,
  sym_else_clause = 343,
  sym_switch_statement = 344,
  sym_case_statement = 345,
  sym_while_statement = 346,
  sym_do_statement = 347,
  sym_for_statement = 348,
  sym__for_statement_body = 349,
  sym_return_statement = 350,
  sym_break_statement = 351,
  sym_continue_statement = 352,
  sym_goto_statement = 353,
  sym_seh_try_statement = 354,
  sym_seh_except_clause = 355,
  sym_seh_finally_clause = 356,
  sym_seh_leave_statement = 357,
  sym_expression = 358,
  sym__string = 359,
  sym_comma_expression = 360,
  sym_conditional_expression = 361,
  sym_assignment_expression = 362,
  sym_pointer_expression = 363,
  sym_unary_expression = 364,
  sym_binary_expression = 365,
  sym_update_expression = 366,
  sym_cast_expression = 367,
  sym_type_descriptor = 368,
  sym_sizeof_expression = 369,
  sym_alignof_expression = 370,
  sym_offsetof_expression = 371,
  sym_generic_expression = 372,
  sym_subscript_expression = 373,
  sym_call_expression = 374,
  sym_gnu_asm_expression = 375,
  sym_gnu_asm_qualifier = 376,
  sym_gnu_asm_output_operand_list = 377,
  sym_gnu_asm_output_operand = 378,
  sym_gnu_asm_input_operand_list = 379,
  sym_gnu_asm_input_operand = 380,
  sym_gnu_asm_clobber_list = 381,
  sym_gnu_asm_goto_list = 382,
  sym_extension_expression = 383,
  sym_argument_list = 384,
  sym_field_expression = 385,
  sym_compound_literal_expression = 386,
  sym_parenthesized_expression = 387,
  sym_initializer_list = 388,
  sym_initializer_pair = 389,
  sym_subscript_designator = 390,
  sym_subscript_range_designator = 391,
  sym_field_designator = 392,
  sym_char_literal = 393,
  sym_concatenated_string = 394,
  sym_string_literal = 395,
  sym_null = 396,
  sym__empty_declaration = 397,
  sym_placeholder_type_specifier = 398,
  sym_decltype_auto = 399,
  sym_decltype = 400,
  sym__class_declaration = 401,
  sym__class_declaration_item = 402,
  sym_class_specifier = 403,
  sym__class_name = 404,
  sym_virtual_specifier = 405,
  sym_explicit_function_specifier = 406,
  sym_base_class_clause = 407,
  sym__enum_base_clause = 408,
  sym_dependent_type = 409,
  sym_template_declaration = 410,
  sym_template_instantiation = 411,
  sym_template_parameter_list = 412,
  sym_type_parameter_declaration = 413,
  sym_variadic_type_parameter_declaration = 414,
  sym_optional_type_parameter_declaration = 415,
  sym_template_template_parameter_declaration = 416,
  sym_optional_parameter_declaration = 417,
  sym_variadic_parameter_declaration = 418,
  sym_variadic_declarator = 419,
  sym_variadic_reference_declarator = 420,
  sym_operator_cast = 421,
  sym_field_initializer_list = 422,
  sym_field_initializer = 423,
  sym_inline_method_definition = 424,
  sym__constructor_specifiers = 425,
  sym_operator_cast_definition = 426,
  sym_operator_cast_declaration = 427,
  sym_constructor_try_statement = 428,
  sym_constructor_or_destructor_definition = 429,
  sym_constructor_or_destructor_declaration = 430,
  sym_default_method_clause = 431,
  sym_delete_method_clause = 432,
  sym_pure_virtual_clause = 433,
  sym_friend_declaration = 434,
  sym_access_specifier = 435,
  sym_reference_declarator = 436,
  sym_reference_field_declarator = 437,
  sym_reference_type_declarator = 438,
  sym_abstract_reference_declarator = 439,
  sym_structured_binding_declarator = 440,
  sym_ref_qualifier = 441,
  sym__function_declarator_seq = 442,
  sym__function_attributes_start = 443,
  sym__function_exception_specification = 444,
  sym__function_attributes_end = 445,
  sym__function_postfix = 446,
  sym_trailing_return_type = 447,
  sym_noexcept = 448,
  sym_throw_specifier = 449,
  sym_template_type = 450,
  sym_template_method = 451,
  sym_template_function = 452,
  sym_template_argument_list = 453,
  sym_namespace_definition = 454,
  sym_namespace_alias_definition = 455,
  sym__namespace_specifier = 456,
  sym_nested_namespace_specifier = 457,
  sym_using_declaration = 458,
  sym_alias_declaration = 459,
  sym_static_assert_declaration = 460,
  sym_concept_definition = 461,
  sym_for_range_loop = 462,
  sym__for_range_loop_body = 463,
  sym_init_statement = 464,
  sym_condition_clause = 465,
  sym_condition_declaration = 466,
  sym_co_return_statement = 467,
  sym_co_yield_statement = 468,
  sym_throw_statement = 469,
  sym_try_statement = 470,
  sym_catch_clause = 471,
  sym_raw_string_literal = 472,
  sym_subscript_argument_list = 473,
  sym_co_await_expression = 474,
  sym_new_expression = 475,
  sym_new_declarator = 476,
  sym_delete_expression = 477,
  sym_type_requirement = 478,
  sym_compound_requirement = 479,
  sym__requirement = 480,
  sym_requirement_seq = 481,
  sym_constraint_conjunction = 482,
  sym_constraint_disjunction = 483,
  sym__requirement_clause_constraint = 484,
  sym_requires_clause = 485,
  sym_requires_parameter_list = 486,
  sym_requires_expression = 487,
  sym_lambda_expression = 488,
  sym_lambda_capture_specifier = 489,
  sym_lambda_default_capture = 490,
  sym__lambda_capture_identifier = 491,
  sym_lambda_capture_initializer = 492,
  sym__lambda_capture = 493,
  sym__fold_operator = 494,
  sym__binary_fold_operator = 495,
  sym__unary_left_fold = 496,
  sym__unary_right_fold = 497,
  sym__binary_fold = 498,
  sym_fold_expression = 499,
  sym_parameter_pack_expansion = 500,
  sym_type_parameter_pack_expansion = 501,
  sym_identifier_parameter_pack_expansion = 502,
  sym_destructor_name = 503,
  sym_dependent_identifier = 504,
  sym_dependent_field_identifier = 505,
  sym_dependent_type_identifier = 506,
  sym__scope_resolution = 507,
  sym_qualified_field_identifier = 508,
  sym_qualified_identifier = 509,
  sym_qualified_type_identifier = 510,
  sym_qualified_operator_cast_identifier = 511,
  sym__assignment_expression_lhs = 512,
  sym_operator_name = 513,
  sym_user_defined_literal = 514,
  sym_semantics = 515,
  sym_discard_statement = 516,
  sym_qualifiers = 517,
  sym_cbuffer_specifier = 518,
  sym_hlsl_attribute = 519,
  aux_sym_translation_unit_repeat1 = 520,
  aux_sym_preproc_params_repeat1 = 521,
  aux_sym_preproc_if_repeat1 = 522,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 523,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 524,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 525,
  aux_sym_preproc_argument_list_repeat1 = 526,
  aux_sym_declaration_repeat1 = 527,
  aux_sym_type_definition_repeat1 = 528,
  aux_sym__type_definition_type_repeat1 = 529,
  aux_sym__type_definition_declarators_repeat1 = 530,
  aux_sym__declaration_specifiers_repeat1 = 531,
  aux_sym_attribute_declaration_repeat1 = 532,
  aux_sym_attributed_declarator_repeat1 = 533,
  aux_sym_pointer_declarator_repeat1 = 534,
  aux_sym_array_declarator_repeat1 = 535,
  aux_sym_sized_type_specifier_repeat1 = 536,
  aux_sym_enumerator_list_repeat1 = 537,
  aux_sym_field_declaration_repeat1 = 538,
  aux_sym_parameter_list_repeat1 = 539,
  aux_sym_case_statement_repeat1 = 540,
  aux_sym_generic_expression_repeat1 = 541,
  aux_sym_gnu_asm_expression_repeat1 = 542,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 543,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 544,
  aux_sym_gnu_asm_clobber_list_repeat1 = 545,
  aux_sym_gnu_asm_goto_list_repeat1 = 546,
  aux_sym_argument_list_repeat1 = 547,
  aux_sym_initializer_list_repeat1 = 548,
  aux_sym_initializer_pair_repeat1 = 549,
  aux_sym_char_literal_repeat1 = 550,
  aux_sym_concatenated_string_repeat1 = 551,
  aux_sym_string_literal_repeat1 = 552,
  aux_sym__class_declaration_repeat1 = 553,
  aux_sym_base_class_clause_repeat1 = 554,
  aux_sym_template_parameter_list_repeat1 = 555,
  aux_sym_field_initializer_list_repeat1 = 556,
  aux_sym_operator_cast_definition_repeat1 = 557,
  aux_sym_constructor_try_statement_repeat1 = 558,
  aux_sym_structured_binding_declarator_repeat1 = 559,
  aux_sym__function_postfix_repeat1 = 560,
  aux_sym_throw_specifier_repeat1 = 561,
  aux_sym_template_argument_list_repeat1 = 562,
  aux_sym_subscript_argument_list_repeat1 = 563,
  aux_sym_requirement_seq_repeat1 = 564,
  aux_sym_requires_parameter_list_repeat1 = 565,
  aux_sym_lambda_capture_specifier_repeat1 = 566,
  alias_sym_field_identifier = 567,
  alias_sym_namespace_identifier = 568,
  alias_sym_simple_requirement = 569,
  alias_sym_statement_identifier = 570,
  alias_sym_type_identifier = 571,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_in] = "in",
  [anon_sym_out] = "out",
  [anon_sym_inout] = "inout",
  [anon_sym_virtual] = "virtual",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym___attribute] = "__attribute",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym___volatile__] = "__volatile__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [aux_sym_pure_virtual_clause_token1] = "pure_virtual_clause_token1",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [anon_sym_discard] = "discard",
  [anon_sym_precise] = "precise",
  [anon_sym_shared] = "shared",
  [anon_sym_groupshared] = "groupshared",
  [anon_sym_uniform] = "uniform",
  [anon_sym_row_major] = "row_major",
  [anon_sym_column_major] = "column_major",
  [anon_sym_globallycoherent] = "globallycoherent",
  [anon_sym_centroid] = "centroid",
  [anon_sym_noperspective] = "noperspective",
  [anon_sym_nointerpolation] = "nointerpolation",
  [anon_sym_sample] = "sample",
  [anon_sym_linear] = "linear",
  [anon_sym_snorm] = "snorm",
  [anon_sym_unorm] = "unorm",
  [anon_sym_point] = "point",
  [anon_sym_line] = "line",
  [anon_sym_triangleadj] = "triangleadj",
  [anon_sym_lineadj] = "lineadj",
  [anon_sym_triangle] = "triangle",
  [anon_sym_cbuffer] = "cbuffer",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__lambda_capture_identifier] = "_lambda_capture_identifier",
  [sym_lambda_capture_initializer] = "lambda_capture_initializer",
  [sym__lambda_capture] = "_lambda_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_identifier_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [sym_semantics] = "semantics",
  [sym_discard_statement] = "discard_statement",
  [sym_qualifiers] = "qualifiers",
  [sym_cbuffer_specifier] = "cbuffer_specifier",
  [sym_hlsl_attribute] = "hlsl_attribute",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_inout] = anon_sym_inout,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym___attribute] = anon_sym___attribute,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym___volatile__] = anon_sym___volatile__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [aux_sym_pure_virtual_clause_token1] = aux_sym_pure_virtual_clause_token1,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [anon_sym_discard] = anon_sym_discard,
  [anon_sym_precise] = anon_sym_precise,
  [anon_sym_shared] = anon_sym_shared,
  [anon_sym_groupshared] = anon_sym_groupshared,
  [anon_sym_uniform] = anon_sym_uniform,
  [anon_sym_row_major] = anon_sym_row_major,
  [anon_sym_column_major] = anon_sym_column_major,
  [anon_sym_globallycoherent] = anon_sym_globallycoherent,
  [anon_sym_centroid] = anon_sym_centroid,
  [anon_sym_noperspective] = anon_sym_noperspective,
  [anon_sym_nointerpolation] = anon_sym_nointerpolation,
  [anon_sym_sample] = anon_sym_sample,
  [anon_sym_linear] = anon_sym_linear,
  [anon_sym_snorm] = anon_sym_snorm,
  [anon_sym_unorm] = anon_sym_unorm,
  [anon_sym_point] = anon_sym_point,
  [anon_sym_line] = anon_sym_line,
  [anon_sym_triangleadj] = anon_sym_triangleadj,
  [anon_sym_lineadj] = anon_sym_lineadj,
  [anon_sym_triangle] = anon_sym_triangle,
  [anon_sym_cbuffer] = anon_sym_cbuffer,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__lambda_capture_identifier] = sym__lambda_capture_identifier,
  [sym_lambda_capture_initializer] = sym_lambda_capture_initializer,
  [sym__lambda_capture] = sym__lambda_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_identifier_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [sym_semantics] = sym_semantics,
  [sym_discard_statement] = sym_discard_statement,
  [sym_qualifiers] = sym_qualifiers,
  [sym_cbuffer_specifier] = sym_cbuffer_specifier,
  [sym_hlsl_attribute] = sym_hlsl_attribute,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___volatile__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pure_virtual_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_discard] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_precise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shared] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_groupshared] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uniform] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_row_major] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_column_major] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_globallycoherent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_centroid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noperspective] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nointerpolation] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sample] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_linear] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_snorm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unorm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_point] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_line] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_triangleadj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lineadj] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_triangle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cbuffer] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_capture_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_capture_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_capture] = {
    .visible = false,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_semantics] = {
    .visible = true,
    .named = true,
  },
  [sym_discard_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_qualifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_cbuffer_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hlsl_attribute] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 1},
  [55] = {.index = 67, .length = 3},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 52, .length = 1},
  [76] = {.index = 103, .length = 2},
  [77] = {.index = 105, .length = 2},
  [78] = {.index = 107, .length = 2},
  [79] = {.index = 109, .length = 1},
  [80] = {.index = 110, .length = 2},
  [81] = {.index = 112, .length = 2},
  [82] = {.index = 114, .length = 2},
  [83] = {.index = 116, .length = 3},
  [84] = {.index = 119, .length = 2},
  [85] = {.index = 121, .length = 1},
  [86] = {.index = 122, .length = 2},
  [87] = {.index = 124, .length = 2},
  [88] = {.index = 126, .length = 2},
  [89] = {.index = 128, .length = 2},
  [90] = {.index = 130, .length = 2},
  [91] = {.index = 132, .length = 2},
  [92] = {.index = 134, .length = 2},
  [93] = {.index = 136, .length = 2},
  [94] = {.index = 138, .length = 1},
  [95] = {.index = 136, .length = 2},
  [97] = {.index = 139, .length = 2},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 141, .length = 1},
  [100] = {.index = 142, .length = 3},
  [102] = {.index = 145, .length = 2},
  [103] = {.index = 147, .length = 2},
  [104] = {.index = 149, .length = 2},
  [105] = {.index = 151, .length = 3},
  [106] = {.index = 154, .length = 1},
  [107] = {.index = 155, .length = 1},
  [109] = {.index = 156, .length = 3},
  [110] = {.index = 159, .length = 3},
  [111] = {.index = 162, .length = 3},
  [112] = {.index = 165, .length = 3},
  [113] = {.index = 168, .length = 2},
  [114] = {.index = 170, .length = 3},
  [115] = {.index = 173, .length = 2},
  [116] = {.index = 175, .length = 3},
  [117] = {.index = 178, .length = 2},
  [118] = {.index = 19, .length = 2},
  [119] = {.index = 39, .length = 2},
  [120] = {.index = 180, .length = 2},
  [121] = {.index = 182, .length = 2},
  [122] = {.index = 184, .length = 1},
  [123] = {.index = 185, .length = 4},
  [124] = {.index = 189, .length = 4},
  [125] = {.index = 193, .length = 2},
  [126] = {.index = 195, .length = 3},
  [127] = {.index = 198, .length = 2},
  [128] = {.index = 200, .length = 2},
  [129] = {.index = 202, .length = 1},
  [130] = {.index = 203, .length = 2},
  [131] = {.index = 205, .length = 2},
  [132] = {.index = 207, .length = 3},
  [133] = {.index = 210, .length = 3},
  [134] = {.index = 213, .length = 3},
  [135] = {.index = 216, .length = 2},
  [136] = {.index = 218, .length = 2},
  [137] = {.index = 220, .length = 2},
  [138] = {.index = 220, .length = 2},
  [139] = {.index = 222, .length = 2},
  [140] = {.index = 222, .length = 2},
  [141] = {.index = 224, .length = 2},
  [142] = {.index = 226, .length = 3},
  [143] = {.index = 229, .length = 2},
  [144] = {.index = 231, .length = 2},
  [145] = {.index = 233, .length = 3},
  [146] = {.index = 236, .length = 2},
  [147] = {.index = 238, .length = 3},
  [148] = {.index = 241, .length = 2},
  [149] = {.index = 243, .length = 1},
  [150] = {.index = 244, .length = 2},
  [151] = {.index = 246, .length = 2},
  [152] = {.index = 248, .length = 4},
  [153] = {.index = 252, .length = 5},
  [154] = {.index = 257, .length = 1},
  [155] = {.index = 258, .length = 1},
  [156] = {.index = 259, .length = 2},
  [157] = {.index = 261, .length = 1},
  [159] = {.index = 262, .length = 1},
  [160] = {.index = 263, .length = 2},
  [161] = {.index = 265, .length = 2},
  [162] = {.index = 11, .length = 1},
  [163] = {.index = 11, .length = 1},
  [164] = {.index = 267, .length = 2},
  [165] = {.index = 269, .length = 1},
  [166] = {.index = 270, .length = 1},
  [167] = {.index = 271, .length = 4},
  [168] = {.index = 275, .length = 4},
  [169] = {.index = 279, .length = 1},
  [170] = {.index = 280, .length = 3},
  [171] = {.index = 283, .length = 2},
  [172] = {.index = 285, .length = 3},
  [173] = {.index = 288, .length = 1},
  [174] = {.index = 289, .length = 5},
  [175] = {.index = 294, .length = 2},
  [176] = {.index = 296, .length = 3},
  [177] = {.index = 299, .length = 2},
  [178] = {.index = 301, .length = 2},
  [179] = {.index = 303, .length = 4},
  [180] = {.index = 307, .length = 2},
  [181] = {.index = 309, .length = 2},
  [182] = {.index = 311, .length = 1},
  [183] = {.index = 312, .length = 2},
  [184] = {.index = 314, .length = 2},
  [185] = {.index = 316, .length = 3},
  [186] = {.index = 319, .length = 4},
  [187] = {.index = 323, .length = 4},
  [188] = {.index = 327, .length = 3},
  [189] = {.index = 330, .length = 2},
  [190] = {.index = 332, .length = 3},
  [191] = {.index = 335, .length = 3},
  [192] = {.index = 338, .length = 2},
  [193] = {.index = 340, .length = 2},
  [194] = {.index = 342, .length = 2},
  [195] = {.index = 344, .length = 2},
  [196] = {.index = 346, .length = 3},
  [197] = {.index = 349, .length = 2},
  [198] = {.index = 351, .length = 2},
  [199] = {.index = 353, .length = 3},
  [200] = {.index = 356, .length = 2},
  [201] = {.index = 358, .length = 3},
  [202] = {.index = 361, .length = 5},
  [203] = {.index = 366, .length = 3},
  [204] = {.index = 369, .length = 4},
  [205] = {.index = 373, .length = 3},
  [206] = {.index = 376, .length = 2},
  [207] = {.index = 378, .length = 2},
  [208] = {.index = 380, .length = 2},
  [209] = {.index = 382, .length = 4},
  [210] = {.index = 386, .length = 5},
  [211] = {.index = 391, .length = 3},
  [212] = {.index = 394, .length = 4},
  [213] = {.index = 398, .length = 2},
  [214] = {.index = 400, .length = 1},
  [215] = {.index = 401, .length = 4},
  [216] = {.index = 405, .length = 3},
  [217] = {.index = 408, .length = 2},
  [218] = {.index = 410, .length = 1},
  [219] = {.index = 411, .length = 5},
  [220] = {.index = 416, .length = 2},
  [221] = {.index = 418, .length = 2},
  [222] = {.index = 65, .length = 1},
  [223] = {.index = 420, .length = 5},
  [224] = {.index = 425, .length = 4},
  [225] = {.index = 429, .length = 2},
  [226] = {.index = 431, .length = 2},
  [227] = {.index = 433, .length = 5},
  [228] = {.index = 438, .length = 2},
  [229] = {.index = 440, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_label, 0},
  [67] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [175] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [178] =
    {field_declarator, 0},
    {field_size, 2},
  [180] =
    {field_alternative, 3},
    {field_condition, 0},
  [182] =
    {field_declarator, 0},
    {field_default_value, 2},
  [184] =
    {field_size, 1},
  [185] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [189] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [193] =
    {field_body, 3},
    {field_declarator, 1},
  [195] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [198] =
    {field_alternative, 3},
    {field_condition, 1},
  [200] =
    {field_alternative, 3},
    {field_name, 1},
  [202] =
    {field_operator, 0},
  [203] =
    {field_declarator, 3},
    {field_type, 1},
  [205] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [207] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [210] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [213] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_body, 3},
    {field_name, 1},
  [218] =
    {field_left, 1},
    {field_right, 3},
  [220] =
    {field_body, 4},
    {field_name, 3},
  [222] =
    {field_designator, 0},
    {field_value, 2},
  [224] =
    {field_name, 0},
    {field_value, 2},
  [226] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [229] =
    {field_body, 3},
    {field_name, 0},
  [231] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [233] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [236] =
    {field_initializer, 1},
    {field_value, 2},
  [238] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [241] =
    {field_body, 1},
    {field_condition, 3},
  [243] =
    {field_update, 2},
  [244] =
    {field_initializer, 0},
    {field_update, 2},
  [246] =
    {field_condition, 1},
    {field_initializer, 0},
  [248] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [252] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [257] =
    {field_value, 3},
  [258] =
    {field_operand, 1},
  [259] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [261] =
    {field_assembly_code, 3},
  [262] =
    {field_default_type, 2},
  [263] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [265] =
    {field_body, 2},
    {field_parameters, 1},
  [267] =
    {field_name, 1},
    {field_type, 3},
  [269] =
    {field_condition, 2},
  [270] =
    {field_length, 1},
  [271] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [275] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 0, .inherited = true},
  [279] =
    {field_declarator, 4},
  [280] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [283] =
    {field_declarator, 0},
    {field_size, 3},
  [285] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [288] =
    {field_size, 2},
  [289] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [294] =
    {field_condition, 3},
    {field_consequence, 4},
  [296] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 2, .inherited = true},
  [299] =
    {field_declarator, 1},
    {field_default_value, 3},
  [301] =
    {field_alternative, 4},
    {field_condition, 1},
  [303] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [307] =
    {field_body, 2},
    {field_filter, 1},
  [309] =
    {field_body, 4},
    {field_name, 2},
  [311] =
    {field_body, 4},
  [312] =
    {field_body, 4},
    {field_name, 1},
  [314] =
    {field_left, 2},
    {field_right, 4},
  [316] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [319] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [323] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [327] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [330] =
    {field_condition, 1},
    {field_update, 3},
  [332] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [335] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [338] =
    {field_initializer, 0},
    {field_update, 3},
  [340] =
    {field_condition, 2},
    {field_initializer, 0},
  [342] =
    {field_member, 4},
    {field_type, 2},
  [344] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [346] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [349] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [351] =
    {field_default_type, 3},
    {field_name, 1},
  [353] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [356] =
    {field_name, 1},
    {field_type, 4},
  [358] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
  [361] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [366] =
    {field_alternative, 5},
    {field_condition, 3},
    {field_consequence, 4},
  [369] =
    {field_body, 5},
    {field_condition, 3, .inherited = true},
    {field_initializer, 3, .inherited = true},
    {field_update, 3, .inherited = true},
  [373] =
    {field_body, 5},
    {field_declarator, 4},
    {field_type, 2, .inherited = true},
  [376] =
    {field_body, 5},
    {field_name, 2},
  [378] =
    {field_end, 3},
    {field_start, 1},
  [380] =
    {field_declarator, 1},
    {field_default_value, 2},
  [382] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [386] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [391] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [394] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [398] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [400] =
    {field_register, 1},
  [401] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [405] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [408] =
    {field_condition, 2},
    {field_message, 4},
  [410] =
    {field_delimiter, 1},
  [411] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [416] =
    {field_constraint, 0},
    {field_value, 2},
  [418] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [420] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [425] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [429] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [431] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [433] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [438] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [440] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [54] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [75] = {
    [2] = alias_sym_type_identifier,
  },
  [93] = {
    [2] = alias_sym_namespace_identifier,
  },
  [96] = {
    [1] = alias_sym_field_identifier,
  },
  [99] = {
    [1] = alias_sym_type_identifier,
  },
  [101] = {
    [0] = alias_sym_field_identifier,
  },
  [108] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [0] = alias_sym_field_identifier,
  },
  [119] = {
    [1] = alias_sym_field_identifier,
  },
  [137] = {
    [3] = alias_sym_namespace_identifier,
  },
  [139] = {
    [0] = alias_sym_field_identifier,
  },
  [158] = {
    [2] = alias_sym_type_identifier,
  },
  [162] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [163] = {
    [1] = alias_sym_namespace_identifier,
  },
  [164] = {
    [1] = alias_sym_type_identifier,
  },
  [168] = {
    [2] = sym_semantics,
    [3] = sym_semantics,
  },
  [194] = {
    [4] = alias_sym_field_identifier,
  },
  [198] = {
    [1] = alias_sym_type_identifier,
  },
  [200] = {
    [1] = alias_sym_type_identifier,
  },
  [201] = {
    [2] = sym_semantics,
    [3] = sym_semantics,
  },
  [202] = {
    [2] = sym_semantics,
    [3] = sym_semantics,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  sym_expression, 2,
    sym_expression,
    sym_semantics,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 19,
  [21] = 18,
  [22] = 22,
  [23] = 13,
  [24] = 18,
  [25] = 13,
  [26] = 22,
  [27] = 22,
  [28] = 19,
  [29] = 13,
  [30] = 19,
  [31] = 18,
  [32] = 22,
  [33] = 33,
  [34] = 34,
  [35] = 34,
  [36] = 36,
  [37] = 33,
  [38] = 34,
  [39] = 39,
  [40] = 40,
  [41] = 40,
  [42] = 36,
  [43] = 43,
  [44] = 39,
  [45] = 39,
  [46] = 40,
  [47] = 36,
  [48] = 34,
  [49] = 39,
  [50] = 50,
  [51] = 40,
  [52] = 34,
  [53] = 36,
  [54] = 34,
  [55] = 36,
  [56] = 34,
  [57] = 36,
  [58] = 34,
  [59] = 36,
  [60] = 34,
  [61] = 36,
  [62] = 34,
  [63] = 36,
  [64] = 34,
  [65] = 33,
  [66] = 36,
  [67] = 34,
  [68] = 36,
  [69] = 34,
  [70] = 36,
  [71] = 34,
  [72] = 36,
  [73] = 34,
  [74] = 36,
  [75] = 34,
  [76] = 36,
  [77] = 34,
  [78] = 36,
  [79] = 36,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 82,
  [88] = 82,
  [89] = 84,
  [90] = 85,
  [91] = 84,
  [92] = 83,
  [93] = 86,
  [94] = 82,
  [95] = 83,
  [96] = 84,
  [97] = 85,
  [98] = 85,
  [99] = 83,
  [100] = 86,
  [101] = 86,
  [102] = 102,
  [103] = 103,
  [104] = 86,
  [105] = 84,
  [106] = 82,
  [107] = 103,
  [108] = 85,
  [109] = 83,
  [110] = 103,
  [111] = 103,
  [112] = 103,
  [113] = 103,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 114,
  [118] = 114,
  [119] = 114,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 121,
  [124] = 121,
  [125] = 121,
  [126] = 121,
  [127] = 121,
  [128] = 128,
  [129] = 128,
  [130] = 128,
  [131] = 128,
  [132] = 128,
  [133] = 128,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 144,
  [151] = 136,
  [152] = 138,
  [153] = 139,
  [154] = 135,
  [155] = 140,
  [156] = 137,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 142,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 141,
  [168] = 142,
  [169] = 166,
  [170] = 166,
  [171] = 142,
  [172] = 141,
  [173] = 141,
  [174] = 174,
  [175] = 145,
  [176] = 146,
  [177] = 145,
  [178] = 178,
  [179] = 179,
  [180] = 146,
  [181] = 145,
  [182] = 147,
  [183] = 183,
  [184] = 143,
  [185] = 146,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 214,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 214,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 214,
  [242] = 242,
  [243] = 139,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 157,
  [253] = 253,
  [254] = 159,
  [255] = 160,
  [256] = 161,
  [257] = 162,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 149,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 162,
  [270] = 159,
  [271] = 160,
  [272] = 161,
  [273] = 157,
  [274] = 149,
  [275] = 275,
  [276] = 276,
  [277] = 144,
  [278] = 136,
  [279] = 138,
  [280] = 139,
  [281] = 135,
  [282] = 140,
  [283] = 137,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 144,
  [292] = 136,
  [293] = 138,
  [294] = 294,
  [295] = 135,
  [296] = 140,
  [297] = 137,
  [298] = 298,
  [299] = 299,
  [300] = 158,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 158,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 148,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 148,
  [314] = 314,
  [315] = 158,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 148,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 157,
  [341] = 341,
  [342] = 342,
  [343] = 159,
  [344] = 344,
  [345] = 345,
  [346] = 160,
  [347] = 149,
  [348] = 161,
  [349] = 162,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 164,
  [361] = 165,
  [362] = 164,
  [363] = 165,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 178,
  [370] = 174,
  [371] = 365,
  [372] = 183,
  [373] = 178,
  [374] = 147,
  [375] = 375,
  [376] = 376,
  [377] = 179,
  [378] = 179,
  [379] = 366,
  [380] = 380,
  [381] = 381,
  [382] = 143,
  [383] = 368,
  [384] = 365,
  [385] = 366,
  [386] = 367,
  [387] = 368,
  [388] = 179,
  [389] = 174,
  [390] = 147,
  [391] = 143,
  [392] = 183,
  [393] = 183,
  [394] = 394,
  [395] = 367,
  [396] = 174,
  [397] = 397,
  [398] = 178,
  [399] = 223,
  [400] = 214,
  [401] = 202,
  [402] = 215,
  [403] = 206,
  [404] = 239,
  [405] = 216,
  [406] = 197,
  [407] = 198,
  [408] = 200,
  [409] = 201,
  [410] = 203,
  [411] = 217,
  [412] = 205,
  [413] = 218,
  [414] = 196,
  [415] = 199,
  [416] = 207,
  [417] = 208,
  [418] = 209,
  [419] = 212,
  [420] = 213,
  [421] = 219,
  [422] = 220,
  [423] = 225,
  [424] = 232,
  [425] = 234,
  [426] = 236,
  [427] = 237,
  [428] = 238,
  [429] = 240,
  [430] = 221,
  [431] = 187,
  [432] = 188,
  [433] = 189,
  [434] = 190,
  [435] = 191,
  [436] = 192,
  [437] = 193,
  [438] = 211,
  [439] = 194,
  [440] = 242,
  [441] = 215,
  [442] = 216,
  [443] = 217,
  [444] = 218,
  [445] = 221,
  [446] = 222,
  [447] = 214,
  [448] = 224,
  [449] = 197,
  [450] = 195,
  [451] = 227,
  [452] = 228,
  [453] = 229,
  [454] = 186,
  [455] = 231,
  [456] = 233,
  [457] = 202,
  [458] = 204,
  [459] = 210,
  [460] = 200,
  [461] = 201,
  [462] = 214,
  [463] = 203,
  [464] = 199,
  [465] = 210,
  [466] = 205,
  [467] = 211,
  [468] = 213,
  [469] = 219,
  [470] = 220,
  [471] = 225,
  [472] = 232,
  [473] = 234,
  [474] = 236,
  [475] = 237,
  [476] = 238,
  [477] = 242,
  [478] = 188,
  [479] = 189,
  [480] = 190,
  [481] = 191,
  [482] = 215,
  [483] = 193,
  [484] = 194,
  [485] = 195,
  [486] = 216,
  [487] = 217,
  [488] = 218,
  [489] = 221,
  [490] = 206,
  [491] = 239,
  [492] = 222,
  [493] = 223,
  [494] = 224,
  [495] = 207,
  [496] = 208,
  [497] = 226,
  [498] = 222,
  [499] = 240,
  [500] = 192,
  [501] = 223,
  [502] = 210,
  [503] = 227,
  [504] = 224,
  [505] = 211,
  [506] = 228,
  [507] = 229,
  [508] = 226,
  [509] = 196,
  [510] = 186,
  [511] = 231,
  [512] = 226,
  [513] = 233,
  [514] = 202,
  [515] = 198,
  [516] = 209,
  [517] = 212,
  [518] = 187,
  [519] = 204,
  [520] = 206,
  [521] = 197,
  [522] = 199,
  [523] = 239,
  [524] = 198,
  [525] = 196,
  [526] = 200,
  [527] = 201,
  [528] = 203,
  [529] = 205,
  [530] = 207,
  [531] = 208,
  [532] = 209,
  [533] = 212,
  [534] = 213,
  [535] = 219,
  [536] = 220,
  [537] = 225,
  [538] = 232,
  [539] = 234,
  [540] = 236,
  [541] = 237,
  [542] = 238,
  [543] = 240,
  [544] = 227,
  [545] = 187,
  [546] = 188,
  [547] = 189,
  [548] = 190,
  [549] = 191,
  [550] = 192,
  [551] = 193,
  [552] = 194,
  [553] = 195,
  [554] = 228,
  [555] = 229,
  [556] = 186,
  [557] = 231,
  [558] = 214,
  [559] = 233,
  [560] = 242,
  [561] = 214,
  [562] = 214,
  [563] = 204,
  [564] = 339,
  [565] = 341,
  [566] = 324,
  [567] = 344,
  [568] = 345,
  [569] = 354,
  [570] = 264,
  [571] = 289,
  [572] = 331,
  [573] = 350,
  [574] = 358,
  [575] = 250,
  [576] = 251,
  [577] = 253,
  [578] = 310,
  [579] = 261,
  [580] = 265,
  [581] = 267,
  [582] = 268,
  [583] = 284,
  [584] = 285,
  [585] = 298,
  [586] = 301,
  [587] = 304,
  [588] = 306,
  [589] = 307,
  [590] = 335,
  [591] = 337,
  [592] = 352,
  [593] = 353,
  [594] = 357,
  [595] = 359,
  [596] = 316,
  [597] = 245,
  [598] = 246,
  [599] = 248,
  [600] = 249,
  [601] = 275,
  [602] = 259,
  [603] = 260,
  [604] = 310,
  [605] = 605,
  [606] = 319,
  [607] = 321,
  [608] = 323,
  [609] = 325,
  [610] = 317,
  [611] = 319,
  [612] = 327,
  [613] = 329,
  [614] = 321,
  [615] = 322,
  [616] = 323,
  [617] = 325,
  [618] = 326,
  [619] = 342,
  [620] = 294,
  [621] = 351,
  [622] = 244,
  [623] = 308,
  [624] = 311,
  [625] = 312,
  [626] = 314,
  [627] = 318,
  [628] = 327,
  [629] = 328,
  [630] = 329,
  [631] = 330,
  [632] = 263,
  [633] = 266,
  [634] = 333,
  [635] = 334,
  [636] = 286,
  [637] = 287,
  [638] = 288,
  [639] = 290,
  [640] = 302,
  [641] = 303,
  [642] = 336,
  [643] = 356,
  [644] = 258,
  [645] = 276,
  [646] = 605,
  [647] = 320,
  [648] = 324,
  [649] = 333,
  [650] = 334,
  [651] = 338,
  [652] = 341,
  [653] = 342,
  [654] = 344,
  [655] = 345,
  [656] = 354,
  [657] = 294,
  [658] = 355,
  [659] = 247,
  [660] = 264,
  [661] = 289,
  [662] = 351,
  [663] = 244,
  [664] = 308,
  [665] = 311,
  [666] = 312,
  [667] = 314,
  [668] = 318,
  [669] = 331,
  [670] = 350,
  [671] = 358,
  [672] = 338,
  [673] = 250,
  [674] = 251,
  [675] = 253,
  [676] = 299,
  [677] = 261,
  [678] = 263,
  [679] = 265,
  [680] = 266,
  [681] = 267,
  [682] = 268,
  [683] = 284,
  [684] = 285,
  [685] = 286,
  [686] = 287,
  [687] = 288,
  [688] = 290,
  [689] = 298,
  [690] = 301,
  [691] = 302,
  [692] = 303,
  [693] = 304,
  [694] = 306,
  [695] = 307,
  [696] = 339,
  [697] = 335,
  [698] = 337,
  [699] = 352,
  [700] = 353,
  [701] = 355,
  [702] = 356,
  [703] = 357,
  [704] = 317,
  [705] = 359,
  [706] = 316,
  [707] = 245,
  [708] = 246,
  [709] = 248,
  [710] = 249,
  [711] = 258,
  [712] = 275,
  [713] = 322,
  [714] = 326,
  [715] = 328,
  [716] = 330,
  [717] = 247,
  [718] = 259,
  [719] = 260,
  [720] = 276,
  [721] = 299,
  [722] = 336,
  [723] = 320,
  [724] = 724,
  [725] = 164,
  [726] = 165,
  [727] = 329,
  [728] = 196,
  [729] = 310,
  [730] = 286,
  [731] = 301,
  [732] = 302,
  [733] = 320,
  [734] = 324,
  [735] = 290,
  [736] = 358,
  [737] = 336,
  [738] = 311,
  [739] = 276,
  [740] = 264,
  [741] = 265,
  [742] = 266,
  [743] = 312,
  [744] = 327,
  [745] = 247,
  [746] = 351,
  [747] = 352,
  [748] = 353,
  [749] = 355,
  [750] = 356,
  [751] = 357,
  [752] = 303,
  [753] = 350,
  [754] = 314,
  [755] = 284,
  [756] = 359,
  [757] = 285,
  [758] = 319,
  [759] = 316,
  [760] = 253,
  [761] = 335,
  [762] = 337,
  [763] = 333,
  [764] = 334,
  [765] = 317,
  [766] = 244,
  [767] = 250,
  [768] = 289,
  [769] = 267,
  [770] = 330,
  [771] = 304,
  [772] = 306,
  [773] = 245,
  [774] = 246,
  [775] = 248,
  [776] = 321,
  [777] = 249,
  [778] = 322,
  [779] = 258,
  [780] = 275,
  [781] = 307,
  [782] = 251,
  [783] = 318,
  [784] = 331,
  [785] = 287,
  [786] = 338,
  [787] = 288,
  [788] = 308,
  [789] = 325,
  [790] = 323,
  [791] = 259,
  [792] = 339,
  [793] = 294,
  [794] = 326,
  [795] = 298,
  [796] = 796,
  [797] = 260,
  [798] = 798,
  [799] = 341,
  [800] = 342,
  [801] = 801,
  [802] = 344,
  [803] = 328,
  [804] = 345,
  [805] = 261,
  [806] = 354,
  [807] = 263,
  [808] = 268,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 809,
  [814] = 809,
  [815] = 812,
  [816] = 809,
  [817] = 724,
  [818] = 812,
  [819] = 809,
  [820] = 812,
  [821] = 809,
  [822] = 812,
  [823] = 809,
  [824] = 812,
  [825] = 812,
  [826] = 809,
  [827] = 812,
  [828] = 809,
  [829] = 812,
  [830] = 809,
  [831] = 812,
  [832] = 809,
  [833] = 812,
  [834] = 809,
  [835] = 812,
  [836] = 809,
  [837] = 812,
  [838] = 809,
  [839] = 724,
  [840] = 812,
  [841] = 809,
  [842] = 812,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 843,
  [852] = 849,
  [853] = 853,
  [854] = 844,
  [855] = 855,
  [856] = 853,
  [857] = 848,
  [858] = 845,
  [859] = 846,
  [860] = 860,
  [861] = 847,
  [862] = 860,
  [863] = 848,
  [864] = 850,
  [865] = 850,
  [866] = 843,
  [867] = 849,
  [868] = 853,
  [869] = 844,
  [870] = 855,
  [871] = 848,
  [872] = 847,
  [873] = 844,
  [874] = 845,
  [875] = 848,
  [876] = 846,
  [877] = 847,
  [878] = 849,
  [879] = 845,
  [880] = 855,
  [881] = 850,
  [882] = 843,
  [883] = 849,
  [884] = 853,
  [885] = 844,
  [886] = 850,
  [887] = 846,
  [888] = 855,
  [889] = 845,
  [890] = 846,
  [891] = 847,
  [892] = 850,
  [893] = 853,
  [894] = 843,
  [895] = 849,
  [896] = 853,
  [897] = 844,
  [898] = 855,
  [899] = 848,
  [900] = 845,
  [901] = 855,
  [902] = 846,
  [903] = 860,
  [904] = 860,
  [905] = 847,
  [906] = 860,
  [907] = 843,
  [908] = 908,
  [909] = 909,
  [910] = 909,
  [911] = 908,
  [912] = 912,
  [913] = 913,
  [914] = 913,
  [915] = 912,
  [916] = 916,
  [917] = 912,
  [918] = 913,
  [919] = 912,
  [920] = 913,
  [921] = 912,
  [922] = 913,
  [923] = 912,
  [924] = 913,
  [925] = 912,
  [926] = 912,
  [927] = 913,
  [928] = 928,
  [929] = 912,
  [930] = 913,
  [931] = 913,
  [932] = 912,
  [933] = 913,
  [934] = 912,
  [935] = 913,
  [936] = 912,
  [937] = 908,
  [938] = 913,
  [939] = 912,
  [940] = 913,
  [941] = 941,
  [942] = 941,
  [943] = 941,
  [944] = 941,
  [945] = 941,
  [946] = 908,
  [947] = 941,
  [948] = 941,
  [949] = 908,
  [950] = 141,
  [951] = 142,
  [952] = 908,
  [953] = 953,
  [954] = 953,
  [955] = 953,
  [956] = 953,
  [957] = 953,
  [958] = 146,
  [959] = 145,
  [960] = 953,
  [961] = 953,
  [962] = 908,
  [963] = 963,
  [964] = 158,
  [965] = 137,
  [966] = 149,
  [967] = 162,
  [968] = 159,
  [969] = 144,
  [970] = 139,
  [971] = 140,
  [972] = 148,
  [973] = 160,
  [974] = 135,
  [975] = 161,
  [976] = 136,
  [977] = 157,
  [978] = 138,
  [979] = 979,
  [980] = 979,
  [981] = 979,
  [982] = 979,
  [983] = 979,
  [984] = 979,
  [985] = 979,
  [986] = 979,
  [987] = 979,
  [988] = 979,
  [989] = 979,
  [990] = 979,
  [991] = 979,
  [992] = 979,
  [993] = 979,
  [994] = 979,
  [995] = 979,
  [996] = 979,
  [997] = 979,
  [998] = 979,
  [999] = 979,
  [1000] = 979,
  [1001] = 147,
  [1002] = 183,
  [1003] = 174,
  [1004] = 178,
  [1005] = 1005,
  [1006] = 179,
  [1007] = 143,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1005,
  [1011] = 1011,
  [1012] = 220,
  [1013] = 236,
  [1014] = 192,
  [1015] = 233,
  [1016] = 207,
  [1017] = 208,
  [1018] = 202,
  [1019] = 204,
  [1020] = 199,
  [1021] = 189,
  [1022] = 963,
  [1023] = 916,
  [1024] = 222,
  [1025] = 197,
  [1026] = 224,
  [1027] = 221,
  [1028] = 237,
  [1029] = 187,
  [1030] = 217,
  [1031] = 240,
  [1032] = 239,
  [1033] = 228,
  [1034] = 211,
  [1035] = 190,
  [1036] = 209,
  [1037] = 195,
  [1038] = 229,
  [1039] = 238,
  [1040] = 225,
  [1041] = 212,
  [1042] = 1042,
  [1043] = 226,
  [1044] = 191,
  [1045] = 242,
  [1046] = 1011,
  [1047] = 227,
  [1048] = 213,
  [1049] = 223,
  [1050] = 1042,
  [1051] = 198,
  [1052] = 218,
  [1053] = 1042,
  [1054] = 1042,
  [1055] = 1042,
  [1056] = 1042,
  [1057] = 1042,
  [1058] = 1042,
  [1059] = 1042,
  [1060] = 1042,
  [1061] = 1042,
  [1062] = 200,
  [1063] = 210,
  [1064] = 201,
  [1065] = 206,
  [1066] = 232,
  [1067] = 231,
  [1068] = 215,
  [1069] = 203,
  [1070] = 1042,
  [1071] = 216,
  [1072] = 1011,
  [1073] = 234,
  [1074] = 194,
  [1075] = 219,
  [1076] = 205,
  [1077] = 188,
  [1078] = 193,
  [1079] = 928,
  [1080] = 186,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 908,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1084,
  [1087] = 908,
  [1088] = 1085,
  [1089] = 908,
  [1090] = 1085,
  [1091] = 1085,
  [1092] = 1085,
  [1093] = 1084,
  [1094] = 1085,
  [1095] = 908,
  [1096] = 908,
  [1097] = 908,
  [1098] = 1098,
  [1099] = 605,
  [1100] = 605,
  [1101] = 605,
  [1102] = 140,
  [1103] = 137,
  [1104] = 139,
  [1105] = 136,
  [1106] = 138,
  [1107] = 135,
  [1108] = 144,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1112,
  [1119] = 1117,
  [1120] = 1114,
  [1121] = 1115,
  [1122] = 1111,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1111,
  [1127] = 1124,
  [1128] = 1128,
  [1129] = 1111,
  [1130] = 1124,
  [1131] = 1123,
  [1132] = 1124,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1134,
  [1136] = 355,
  [1137] = 247,
  [1138] = 605,
  [1139] = 605,
  [1140] = 1140,
  [1141] = 1134,
  [1142] = 1134,
  [1143] = 138,
  [1144] = 136,
  [1145] = 144,
  [1146] = 139,
  [1147] = 605,
  [1148] = 1109,
  [1149] = 135,
  [1150] = 140,
  [1151] = 1109,
  [1152] = 137,
  [1153] = 135,
  [1154] = 1109,
  [1155] = 136,
  [1156] = 144,
  [1157] = 138,
  [1158] = 139,
  [1159] = 140,
  [1160] = 1110,
  [1161] = 137,
  [1162] = 1110,
  [1163] = 1163,
  [1164] = 1110,
  [1165] = 1163,
  [1166] = 1110,
  [1167] = 144,
  [1168] = 135,
  [1169] = 139,
  [1170] = 138,
  [1171] = 136,
  [1172] = 137,
  [1173] = 140,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1175,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1178,
  [1180] = 1180,
  [1181] = 1177,
  [1182] = 1175,
  [1183] = 1175,
  [1184] = 1178,
  [1185] = 1177,
  [1186] = 1175,
  [1187] = 1178,
  [1188] = 1177,
  [1189] = 1175,
  [1190] = 1177,
  [1191] = 1175,
  [1192] = 1177,
  [1193] = 1175,
  [1194] = 1177,
  [1195] = 1175,
  [1196] = 1178,
  [1197] = 1178,
  [1198] = 1177,
  [1199] = 1177,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1200,
  [1203] = 1201,
  [1204] = 1200,
  [1205] = 1201,
  [1206] = 1201,
  [1207] = 1200,
  [1208] = 1200,
  [1209] = 1201,
  [1210] = 1200,
  [1211] = 1201,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1110,
  [1218] = 1218,
  [1219] = 1218,
  [1220] = 1218,
  [1221] = 1218,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1222,
  [1225] = 1222,
  [1226] = 1223,
  [1227] = 1223,
  [1228] = 1223,
  [1229] = 1222,
  [1230] = 1223,
  [1231] = 1222,
  [1232] = 1223,
  [1233] = 1222,
  [1234] = 1222,
  [1235] = 1223,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1239,
  [1241] = 1238,
  [1242] = 1238,
  [1243] = 1239,
  [1244] = 1239,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1239,
  [1248] = 1239,
  [1249] = 1238,
  [1250] = 1236,
  [1251] = 1237,
  [1252] = 1237,
  [1253] = 1236,
  [1254] = 1237,
  [1255] = 1238,
  [1256] = 1237,
  [1257] = 1237,
  [1258] = 1237,
  [1259] = 1237,
  [1260] = 1237,
  [1261] = 1261,
  [1262] = 1239,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1264,
  [1267] = 1265,
  [1268] = 1264,
  [1269] = 1264,
  [1270] = 1270,
  [1271] = 1265,
  [1272] = 1265,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1264,
  [1277] = 1265,
  [1278] = 1278,
  [1279] = 1265,
  [1280] = 1280,
  [1281] = 1265,
  [1282] = 1264,
  [1283] = 1264,
  [1284] = 1264,
  [1285] = 1280,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1265,
  [1292] = 1264,
  [1293] = 1265,
  [1294] = 1280,
  [1295] = 1264,
  [1296] = 1265,
  [1297] = 1265,
  [1298] = 1298,
  [1299] = 1278,
  [1300] = 1278,
  [1301] = 1278,
  [1302] = 1265,
  [1303] = 1264,
  [1304] = 1264,
  [1305] = 1265,
  [1306] = 1264,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1317,
  [1319] = 1317,
  [1320] = 1312,
  [1321] = 1314,
  [1322] = 1322,
  [1323] = 1317,
  [1324] = 1312,
  [1325] = 1314,
  [1326] = 1317,
  [1327] = 1314,
  [1328] = 1317,
  [1329] = 1314,
  [1330] = 1317,
  [1331] = 1314,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1314,
  [1336] = 1317,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1317,
  [1340] = 1340,
  [1341] = 1312,
  [1342] = 1317,
  [1343] = 1314,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1314,
  [1348] = 1348,
  [1349] = 1317,
  [1350] = 1315,
  [1351] = 1317,
  [1352] = 1314,
  [1353] = 1317,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1312,
  [1357] = 1314,
  [1358] = 1312,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1314,
  [1362] = 1362,
  [1363] = 1312,
  [1364] = 1314,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1110,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1367,
  [1381] = 1366,
  [1382] = 1373,
  [1383] = 1373,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1373,
  [1388] = 1370,
  [1389] = 1386,
  [1390] = 1390,
  [1391] = 1390,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1392,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1378,
  [1401] = 1401,
  [1402] = 1365,
  [1403] = 1110,
  [1404] = 1404,
  [1405] = 1368,
  [1406] = 1368,
  [1407] = 1407,
  [1408] = 1377,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1373,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1384,
  [1416] = 1385,
  [1417] = 1377,
  [1418] = 1378,
  [1419] = 1401,
  [1420] = 1420,
  [1421] = 1384,
  [1422] = 1373,
  [1423] = 1384,
  [1424] = 1385,
  [1425] = 1379,
  [1426] = 1409,
  [1427] = 1384,
  [1428] = 1413,
  [1429] = 1385,
  [1430] = 1385,
  [1431] = 1431,
  [1432] = 1409,
  [1433] = 1413,
  [1434] = 1434,
  [1435] = 1409,
  [1436] = 1436,
  [1437] = 1409,
  [1438] = 1373,
  [1439] = 1409,
  [1440] = 1440,
  [1441] = 1409,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1409,
  [1445] = 1445,
  [1446] = 1409,
  [1447] = 1393,
  [1448] = 1395,
  [1449] = 1373,
  [1450] = 1431,
  [1451] = 1411,
  [1452] = 1369,
  [1453] = 1396,
  [1454] = 1397,
  [1455] = 1372,
  [1456] = 1373,
  [1457] = 1434,
  [1458] = 1398,
  [1459] = 1413,
  [1460] = 1374,
  [1461] = 1407,
  [1462] = 1436,
  [1463] = 1413,
  [1464] = 1440,
  [1465] = 1413,
  [1466] = 1377,
  [1467] = 1467,
  [1468] = 1414,
  [1469] = 1375,
  [1470] = 1409,
  [1471] = 1373,
  [1472] = 1442,
  [1473] = 1473,
  [1474] = 1443,
  [1475] = 1373,
  [1476] = 1368,
  [1477] = 1413,
  [1478] = 1376,
  [1479] = 1445,
  [1480] = 1373,
  [1481] = 1373,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1492,
  [1496] = 1496,
  [1497] = 1482,
  [1498] = 1483,
  [1499] = 1484,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1485,
  [1504] = 1486,
  [1505] = 1487,
  [1506] = 1488,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1500,
  [1510] = 1510,
  [1511] = 1490,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1492,
  [1515] = 1482,
  [1516] = 1487,
  [1517] = 1517,
  [1518] = 1483,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1484,
  [1523] = 1510,
  [1524] = 1496,
  [1525] = 1513,
  [1526] = 1492,
  [1527] = 1519,
  [1528] = 1483,
  [1529] = 1484,
  [1530] = 1485,
  [1531] = 1486,
  [1532] = 1487,
  [1533] = 1488,
  [1534] = 1491,
  [1535] = 1488,
  [1536] = 1485,
  [1537] = 1494,
  [1538] = 1538,
  [1539] = 1486,
  [1540] = 1491,
  [1541] = 1493,
  [1542] = 1517,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1494,
  [1546] = 1487,
  [1547] = 1489,
  [1548] = 1488,
  [1549] = 1490,
  [1550] = 1550,
  [1551] = 1507,
  [1552] = 1507,
  [1553] = 1500,
  [1554] = 1510,
  [1555] = 1501,
  [1556] = 1510,
  [1557] = 1496,
  [1558] = 1513,
  [1559] = 1492,
  [1560] = 1482,
  [1561] = 1483,
  [1562] = 1484,
  [1563] = 1485,
  [1564] = 1486,
  [1565] = 1487,
  [1566] = 1488,
  [1567] = 1491,
  [1568] = 1494,
  [1569] = 1569,
  [1570] = 1569,
  [1571] = 1493,
  [1572] = 1572,
  [1573] = 1482,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1489,
  [1577] = 1483,
  [1578] = 1484,
  [1579] = 1501,
  [1580] = 1580,
  [1581] = 1489,
  [1582] = 1496,
  [1583] = 1513,
  [1584] = 1492,
  [1585] = 1482,
  [1586] = 1491,
  [1587] = 1494,
  [1588] = 1483,
  [1589] = 1484,
  [1590] = 1485,
  [1591] = 1486,
  [1592] = 1487,
  [1593] = 1488,
  [1594] = 1490,
  [1595] = 1485,
  [1596] = 1507,
  [1597] = 1501,
  [1598] = 1486,
  [1599] = 1487,
  [1600] = 1569,
  [1601] = 1489,
  [1602] = 1491,
  [1603] = 1490,
  [1604] = 1494,
  [1605] = 1569,
  [1606] = 1507,
  [1607] = 1488,
  [1608] = 1608,
  [1609] = 1501,
  [1610] = 1610,
  [1611] = 1507,
  [1612] = 1489,
  [1613] = 1501,
  [1614] = 1490,
  [1615] = 1491,
  [1616] = 1616,
  [1617] = 1494,
  [1618] = 1618,
  [1619] = 1502,
  [1620] = 1491,
  [1621] = 1494,
  [1622] = 1493,
  [1623] = 1493,
  [1624] = 1624,
  [1625] = 1510,
  [1626] = 1626,
  [1627] = 1569,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1569,
  [1632] = 1632,
  [1633] = 1510,
  [1634] = 1493,
  [1635] = 1496,
  [1636] = 1513,
  [1637] = 1492,
  [1638] = 1482,
  [1639] = 1483,
  [1640] = 1484,
  [1641] = 1580,
  [1642] = 1485,
  [1643] = 1508,
  [1644] = 1486,
  [1645] = 1487,
  [1646] = 1510,
  [1647] = 1569,
  [1648] = 1520,
  [1649] = 1521,
  [1650] = 1488,
  [1651] = 1489,
  [1652] = 1496,
  [1653] = 1513,
  [1654] = 1492,
  [1655] = 1482,
  [1656] = 1483,
  [1657] = 1484,
  [1658] = 1485,
  [1659] = 1486,
  [1660] = 1487,
  [1661] = 1488,
  [1662] = 1490,
  [1663] = 1507,
  [1664] = 1572,
  [1665] = 1569,
  [1666] = 1507,
  [1667] = 1507,
  [1668] = 1501,
  [1669] = 1538,
  [1670] = 1482,
  [1671] = 1550,
  [1672] = 1501,
  [1673] = 1610,
  [1674] = 1507,
  [1675] = 1493,
  [1676] = 1491,
  [1677] = 1493,
  [1678] = 1517,
  [1679] = 1618,
  [1680] = 1491,
  [1681] = 1681,
  [1682] = 1494,
  [1683] = 1683,
  [1684] = 1580,
  [1685] = 1489,
  [1686] = 1508,
  [1687] = 1687,
  [1688] = 1490,
  [1689] = 1572,
  [1690] = 1489,
  [1691] = 1538,
  [1692] = 1543,
  [1693] = 1550,
  [1694] = 1610,
  [1695] = 1490,
  [1696] = 1500,
  [1697] = 1618,
  [1698] = 1580,
  [1699] = 1510,
  [1700] = 1508,
  [1701] = 1701,
  [1702] = 1572,
  [1703] = 1569,
  [1704] = 1538,
  [1705] = 1543,
  [1706] = 1550,
  [1707] = 1610,
  [1708] = 1501,
  [1709] = 1618,
  [1710] = 1580,
  [1711] = 1508,
  [1712] = 1496,
  [1713] = 1572,
  [1714] = 1538,
  [1715] = 1543,
  [1716] = 1550,
  [1717] = 1610,
  [1718] = 1501,
  [1719] = 1618,
  [1720] = 1510,
  [1721] = 1572,
  [1722] = 1538,
  [1723] = 1543,
  [1724] = 1550,
  [1725] = 1610,
  [1726] = 1496,
  [1727] = 1618,
  [1728] = 1569,
  [1729] = 1572,
  [1730] = 1538,
  [1731] = 1550,
  [1732] = 1610,
  [1733] = 1733,
  [1734] = 1550,
  [1735] = 1496,
  [1736] = 1513,
  [1737] = 1492,
  [1738] = 1550,
  [1739] = 1482,
  [1740] = 1483,
  [1741] = 1484,
  [1742] = 1485,
  [1743] = 1491,
  [1744] = 1494,
  [1745] = 1486,
  [1746] = 1489,
  [1747] = 1490,
  [1748] = 1487,
  [1749] = 1488,
  [1750] = 1616,
  [1751] = 1493,
  [1752] = 1513,
  [1753] = 1507,
  [1754] = 1492,
  [1755] = 1491,
  [1756] = 1494,
  [1757] = 1513,
  [1758] = 1493,
  [1759] = 1628,
  [1760] = 1482,
  [1761] = 1483,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1616,
  [1765] = 1501,
  [1766] = 1484,
  [1767] = 1616,
  [1768] = 1485,
  [1769] = 1616,
  [1770] = 1616,
  [1771] = 1616,
  [1772] = 1772,
  [1773] = 1500,
  [1774] = 1486,
  [1775] = 1510,
  [1776] = 1496,
  [1777] = 1513,
  [1778] = 1492,
  [1779] = 1482,
  [1780] = 1483,
  [1781] = 1484,
  [1782] = 1485,
  [1783] = 1486,
  [1784] = 1487,
  [1785] = 1488,
  [1786] = 1489,
  [1787] = 1490,
  [1788] = 1569,
  [1789] = 1507,
  [1790] = 1489,
  [1791] = 1493,
  [1792] = 1501,
  [1793] = 1490,
  [1794] = 1493,
  [1795] = 1795,
  [1796] = 1513,
  [1797] = 1500,
  [1798] = 1510,
  [1799] = 1569,
  [1800] = 1800,
  [1801] = 1496,
  [1802] = 1492,
  [1803] = 1482,
  [1804] = 1483,
  [1805] = 1484,
  [1806] = 1485,
  [1807] = 1486,
  [1808] = 1487,
  [1809] = 1488,
  [1810] = 1507,
  [1811] = 1496,
  [1812] = 1501,
  [1813] = 1510,
  [1814] = 1493,
  [1815] = 1491,
  [1816] = 1494,
  [1817] = 1513,
  [1818] = 1489,
  [1819] = 1490,
  [1820] = 1569,
  [1821] = 1510,
  [1822] = 1496,
  [1823] = 1513,
  [1824] = 1494,
  [1825] = 1492,
  [1826] = 1519,
  [1827] = 1519,
  [1828] = 1519,
  [1829] = 1519,
  [1830] = 1543,
  [1831] = 148,
  [1832] = 1832,
  [1833] = 158,
  [1834] = 164,
  [1835] = 1832,
  [1836] = 1832,
  [1837] = 1832,
  [1838] = 165,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 143,
  [1842] = 196,
  [1843] = 1843,
  [1844] = 147,
  [1845] = 174,
  [1846] = 1843,
  [1847] = 1843,
  [1848] = 1848,
  [1849] = 1843,
  [1850] = 1843,
  [1851] = 196,
  [1852] = 1843,
  [1853] = 1853,
  [1854] = 1843,
  [1855] = 1853,
  [1856] = 1853,
  [1857] = 1853,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 320,
  [1886] = 324,
  [1887] = 333,
  [1888] = 334,
  [1889] = 338,
  [1890] = 339,
  [1891] = 310,
  [1892] = 1892,
  [1893] = 319,
  [1894] = 321,
  [1895] = 322,
  [1896] = 323,
  [1897] = 325,
  [1898] = 1898,
  [1899] = 327,
  [1900] = 329,
  [1901] = 342,
  [1902] = 294,
  [1903] = 264,
  [1904] = 289,
  [1905] = 351,
  [1906] = 244,
  [1907] = 308,
  [1908] = 311,
  [1909] = 312,
  [1910] = 314,
  [1911] = 318,
  [1912] = 263,
  [1913] = 266,
  [1914] = 267,
  [1915] = 268,
  [1916] = 284,
  [1917] = 285,
  [1918] = 286,
  [1919] = 287,
  [1920] = 288,
  [1921] = 290,
  [1922] = 298,
  [1923] = 301,
  [1924] = 302,
  [1925] = 303,
  [1926] = 356,
  [1927] = 357,
  [1928] = 359,
  [1929] = 316,
  [1930] = 245,
  [1931] = 246,
  [1932] = 248,
  [1933] = 249,
  [1934] = 258,
  [1935] = 259,
  [1936] = 260,
  [1937] = 276,
  [1938] = 206,
  [1939] = 239,
  [1940] = 198,
  [1941] = 207,
  [1942] = 208,
  [1943] = 209,
  [1944] = 212,
  [1945] = 355,
  [1946] = 240,
  [1947] = 187,
  [1948] = 247,
  [1949] = 192,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 165,
  [1959] = 165,
  [1960] = 164,
  [1961] = 158,
  [1962] = 148,
  [1963] = 148,
  [1964] = 158,
  [1965] = 164,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1966,
  [1977] = 1972,
  [1978] = 1966,
  [1979] = 1972,
  [1980] = 1966,
  [1981] = 1972,
  [1982] = 1966,
  [1983] = 1972,
  [1984] = 1966,
  [1985] = 1972,
  [1986] = 1966,
  [1987] = 1987,
  [1988] = 1972,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 196,
  [1997] = 143,
  [1998] = 196,
  [1999] = 196,
  [2000] = 2000,
  [2001] = 196,
  [2002] = 2000,
  [2003] = 174,
  [2004] = 174,
  [2005] = 2000,
  [2006] = 147,
  [2007] = 143,
  [2008] = 2000,
  [2009] = 147,
  [2010] = 1865,
  [2011] = 1861,
  [2012] = 1869,
  [2013] = 339,
  [2014] = 1884,
  [2015] = 1858,
  [2016] = 1875,
  [2017] = 206,
  [2018] = 320,
  [2019] = 1892,
  [2020] = 239,
  [2021] = 324,
  [2022] = 1898,
  [2023] = 1870,
  [2024] = 1871,
  [2025] = 1872,
  [2026] = 258,
  [2027] = 187,
  [2028] = 338,
  [2029] = 247,
  [2030] = 1876,
  [2031] = 207,
  [2032] = 208,
  [2033] = 1874,
  [2034] = 1864,
  [2035] = 1873,
  [2036] = 264,
  [2037] = 289,
  [2038] = 1877,
  [2039] = 276,
  [2040] = 1878,
  [2041] = 1879,
  [2042] = 323,
  [2043] = 325,
  [2044] = 240,
  [2045] = 1874,
  [2046] = 1875,
  [2047] = 1876,
  [2048] = 1956,
  [2049] = 1877,
  [2050] = 192,
  [2051] = 342,
  [2052] = 1878,
  [2053] = 1862,
  [2054] = 310,
  [2055] = 263,
  [2056] = 1880,
  [2057] = 319,
  [2058] = 321,
  [2059] = 322,
  [2060] = 323,
  [2061] = 325,
  [2062] = 266,
  [2063] = 327,
  [2064] = 327,
  [2065] = 329,
  [2066] = 1881,
  [2067] = 1866,
  [2068] = 1879,
  [2069] = 1950,
  [2070] = 333,
  [2071] = 1892,
  [2072] = 1898,
  [2073] = 1951,
  [2074] = 1952,
  [2075] = 1953,
  [2076] = 1954,
  [2077] = 1955,
  [2078] = 1859,
  [2079] = 1872,
  [2080] = 334,
  [2081] = 342,
  [2082] = 294,
  [2083] = 1880,
  [2084] = 1881,
  [2085] = 264,
  [2086] = 289,
  [2087] = 351,
  [2088] = 1882,
  [2089] = 294,
  [2090] = 244,
  [2091] = 308,
  [2092] = 311,
  [2093] = 312,
  [2094] = 314,
  [2095] = 1883,
  [2096] = 318,
  [2097] = 286,
  [2098] = 287,
  [2099] = 329,
  [2100] = 320,
  [2101] = 324,
  [2102] = 288,
  [2103] = 263,
  [2104] = 1884,
  [2105] = 266,
  [2106] = 267,
  [2107] = 268,
  [2108] = 284,
  [2109] = 285,
  [2110] = 286,
  [2111] = 287,
  [2112] = 288,
  [2113] = 1863,
  [2114] = 290,
  [2115] = 1882,
  [2116] = 267,
  [2117] = 298,
  [2118] = 301,
  [2119] = 302,
  [2120] = 303,
  [2121] = 290,
  [2122] = 1873,
  [2123] = 334,
  [2124] = 302,
  [2125] = 356,
  [2126] = 357,
  [2127] = 359,
  [2128] = 316,
  [2129] = 268,
  [2130] = 1858,
  [2131] = 1950,
  [2132] = 245,
  [2133] = 1951,
  [2134] = 246,
  [2135] = 248,
  [2136] = 249,
  [2137] = 258,
  [2138] = 303,
  [2139] = 338,
  [2140] = 259,
  [2141] = 1952,
  [2142] = 260,
  [2143] = 339,
  [2144] = 276,
  [2145] = 1953,
  [2146] = 284,
  [2147] = 1864,
  [2148] = 1954,
  [2149] = 285,
  [2150] = 310,
  [2151] = 1956,
  [2152] = 351,
  [2153] = 1955,
  [2154] = 1861,
  [2155] = 209,
  [2156] = 212,
  [2157] = 1867,
  [2158] = 298,
  [2159] = 301,
  [2160] = 1859,
  [2161] = 244,
  [2162] = 308,
  [2163] = 311,
  [2164] = 322,
  [2165] = 312,
  [2166] = 314,
  [2167] = 1865,
  [2168] = 206,
  [2169] = 239,
  [2170] = 198,
  [2171] = 1867,
  [2172] = 207,
  [2173] = 208,
  [2174] = 318,
  [2175] = 209,
  [2176] = 212,
  [2177] = 355,
  [2178] = 240,
  [2179] = 187,
  [2180] = 247,
  [2181] = 192,
  [2182] = 145,
  [2183] = 198,
  [2184] = 1868,
  [2185] = 1869,
  [2186] = 319,
  [2187] = 357,
  [2188] = 359,
  [2189] = 316,
  [2190] = 245,
  [2191] = 246,
  [2192] = 248,
  [2193] = 249,
  [2194] = 259,
  [2195] = 260,
  [2196] = 1862,
  [2197] = 321,
  [2198] = 1863,
  [2199] = 1870,
  [2200] = 146,
  [2201] = 355,
  [2202] = 356,
  [2203] = 1868,
  [2204] = 1871,
  [2205] = 1866,
  [2206] = 1860,
  [2207] = 1883,
  [2208] = 2208,
  [2209] = 1860,
  [2210] = 333,
  [2211] = 1261,
  [2212] = 1084,
  [2213] = 147,
  [2214] = 2214,
  [2215] = 160,
  [2216] = 135,
  [2217] = 136,
  [2218] = 2218,
  [2219] = 1084,
  [2220] = 140,
  [2221] = 159,
  [2222] = 2222,
  [2223] = 157,
  [2224] = 143,
  [2225] = 149,
  [2226] = 2226,
  [2227] = 162,
  [2228] = 159,
  [2229] = 160,
  [2230] = 161,
  [2231] = 139,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 157,
  [2235] = 2235,
  [2236] = 138,
  [2237] = 144,
  [2238] = 161,
  [2239] = 137,
  [2240] = 1084,
  [2241] = 916,
  [2242] = 928,
  [2243] = 2222,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 1308,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 1334,
  [2251] = 162,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2214,
  [2255] = 2255,
  [2256] = 149,
  [2257] = 2257,
  [2258] = 2226,
  [2259] = 2259,
  [2260] = 2214,
  [2261] = 2226,
  [2262] = 146,
  [2263] = 144,
  [2264] = 2264,
  [2265] = 2222,
  [2266] = 136,
  [2267] = 138,
  [2268] = 139,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 145,
  [2274] = 135,
  [2275] = 140,
  [2276] = 137,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 199,
  [2288] = 197,
  [2289] = 2289,
  [2290] = 2259,
  [2291] = 2259,
  [2292] = 2292,
  [2293] = 1957,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2294,
  [2297] = 2295,
  [2298] = 2214,
  [2299] = 2294,
  [2300] = 2226,
  [2301] = 2294,
  [2302] = 2295,
  [2303] = 2295,
  [2304] = 2295,
  [2305] = 2295,
  [2306] = 2295,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 1308,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2214,
  [2341] = 2341,
  [2342] = 2226,
  [2343] = 2343,
  [2344] = 1261,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 1261,
  [2352] = 2350,
  [2353] = 2349,
  [2354] = 2350,
  [2355] = 2349,
  [2356] = 2350,
  [2357] = 2349,
  [2358] = 2349,
  [2359] = 2350,
  [2360] = 2350,
  [2361] = 2350,
  [2362] = 2349,
  [2363] = 2349,
  [2364] = 2222,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2226,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2214,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2259,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2222,
  [2385] = 1308,
  [2386] = 2386,
  [2387] = 1261,
  [2388] = 2381,
  [2389] = 1261,
  [2390] = 2257,
  [2391] = 1334,
  [2392] = 2392,
  [2393] = 2259,
  [2394] = 2394,
  [2395] = 1334,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 1334,
  [2399] = 2399,
  [2400] = 2380,
  [2401] = 1308,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2402,
  [2406] = 2402,
  [2407] = 2402,
  [2408] = 2408,
  [2409] = 2408,
  [2410] = 2410,
  [2411] = 2408,
  [2412] = 2402,
  [2413] = 2413,
  [2414] = 2403,
  [2415] = 2403,
  [2416] = 2402,
  [2417] = 2408,
  [2418] = 2402,
  [2419] = 2222,
  [2420] = 137,
  [2421] = 149,
  [2422] = 2245,
  [2423] = 2423,
  [2424] = 2222,
  [2425] = 144,
  [2426] = 145,
  [2427] = 2383,
  [2428] = 2428,
  [2429] = 2392,
  [2430] = 136,
  [2431] = 138,
  [2432] = 2259,
  [2433] = 139,
  [2434] = 928,
  [2435] = 916,
  [2436] = 2436,
  [2437] = 2313,
  [2438] = 135,
  [2439] = 146,
  [2440] = 140,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 1308,
  [2444] = 2444,
  [2445] = 1334,
  [2446] = 2404,
  [2447] = 2410,
  [2448] = 144,
  [2449] = 136,
  [2450] = 138,
  [2451] = 139,
  [2452] = 135,
  [2453] = 140,
  [2454] = 137,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 1334,
  [2459] = 1308,
  [2460] = 2460,
  [2461] = 144,
  [2462] = 2462,
  [2463] = 140,
  [2464] = 135,
  [2465] = 162,
  [2466] = 137,
  [2467] = 1109,
  [2468] = 136,
  [2469] = 138,
  [2470] = 139,
  [2471] = 1110,
  [2472] = 2380,
  [2473] = 1109,
  [2474] = 149,
  [2475] = 2475,
  [2476] = 140,
  [2477] = 137,
  [2478] = 2284,
  [2479] = 144,
  [2480] = 2255,
  [2481] = 2457,
  [2482] = 1109,
  [2483] = 136,
  [2484] = 160,
  [2485] = 157,
  [2486] = 138,
  [2487] = 2487,
  [2488] = 161,
  [2489] = 1110,
  [2490] = 2292,
  [2491] = 2285,
  [2492] = 139,
  [2493] = 159,
  [2494] = 2456,
  [2495] = 1109,
  [2496] = 135,
  [2497] = 2386,
  [2498] = 2396,
  [2499] = 2499,
  [2500] = 2347,
  [2501] = 2309,
  [2502] = 2314,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2334,
  [2506] = 2336,
  [2507] = 2337,
  [2508] = 2323,
  [2509] = 1110,
  [2510] = 199,
  [2511] = 2325,
  [2512] = 2346,
  [2513] = 1308,
  [2514] = 2319,
  [2515] = 2289,
  [2516] = 197,
  [2517] = 2333,
  [2518] = 2331,
  [2519] = 2328,
  [2520] = 2335,
  [2521] = 2380,
  [2522] = 2226,
  [2523] = 1109,
  [2524] = 2329,
  [2525] = 2322,
  [2526] = 2312,
  [2527] = 2315,
  [2528] = 2307,
  [2529] = 2330,
  [2530] = 2316,
  [2531] = 2318,
  [2532] = 2345,
  [2533] = 2343,
  [2534] = 2436,
  [2535] = 2311,
  [2536] = 2320,
  [2537] = 2259,
  [2538] = 2214,
  [2539] = 2326,
  [2540] = 2226,
  [2541] = 2332,
  [2542] = 2338,
  [2543] = 2214,
  [2544] = 2324,
  [2545] = 2339,
  [2546] = 2255,
  [2547] = 1334,
  [2548] = 2317,
  [2549] = 1110,
  [2550] = 2348,
  [2551] = 2308,
  [2552] = 2327,
  [2553] = 145,
  [2554] = 1110,
  [2555] = 2555,
  [2556] = 1957,
  [2557] = 2214,
  [2558] = 2558,
  [2559] = 146,
  [2560] = 2560,
  [2561] = 1109,
  [2562] = 2562,
  [2563] = 2226,
  [2564] = 161,
  [2565] = 2270,
  [2566] = 2277,
  [2567] = 2503,
  [2568] = 2271,
  [2569] = 2504,
  [2570] = 2264,
  [2571] = 2286,
  [2572] = 2279,
  [2573] = 2272,
  [2574] = 162,
  [2575] = 2280,
  [2576] = 2282,
  [2577] = 2269,
  [2578] = 2504,
  [2579] = 160,
  [2580] = 1110,
  [2581] = 2278,
  [2582] = 159,
  [2583] = 2503,
  [2584] = 2283,
  [2585] = 2585,
  [2586] = 157,
  [2587] = 2281,
  [2588] = 2341,
  [2589] = 2436,
  [2590] = 2310,
  [2591] = 2585,
  [2592] = 2436,
  [2593] = 2460,
  [2594] = 2594,
  [2595] = 2259,
  [2596] = 2594,
  [2597] = 2259,
  [2598] = 2598,
  [2599] = 2441,
  [2600] = 2436,
  [2601] = 2442,
  [2602] = 2255,
  [2603] = 2222,
  [2604] = 149,
  [2605] = 2253,
  [2606] = 1109,
  [2607] = 2607,
  [2608] = 2607,
  [2609] = 2607,
  [2610] = 187,
  [2611] = 2381,
  [2612] = 2436,
  [2613] = 198,
  [2614] = 2253,
  [2615] = 209,
  [2616] = 212,
  [2617] = 355,
  [2618] = 2618,
  [2619] = 247,
  [2620] = 2442,
  [2621] = 2621,
  [2622] = 2214,
  [2623] = 2226,
  [2624] = 1334,
  [2625] = 1308,
  [2626] = 1140,
  [2627] = 2627,
  [2628] = 2441,
  [2629] = 2618,
  [2630] = 2436,
  [2631] = 2373,
  [2632] = 2367,
  [2633] = 2292,
  [2634] = 2634,
  [2635] = 2404,
  [2636] = 2410,
  [2637] = 2382,
  [2638] = 2379,
  [2639] = 2370,
  [2640] = 2371,
  [2641] = 2618,
  [2642] = 2642,
  [2643] = 2460,
  [2644] = 2618,
  [2645] = 2377,
  [2646] = 2365,
  [2647] = 2378,
  [2648] = 2374,
  [2649] = 2285,
  [2650] = 2618,
  [2651] = 2651,
  [2652] = 2366,
  [2653] = 2368,
  [2654] = 2654,
  [2655] = 2618,
  [2656] = 2656,
  [2657] = 2284,
  [2658] = 2326,
  [2659] = 2264,
  [2660] = 2279,
  [2661] = 2278,
  [2662] = 2269,
  [2663] = 2270,
  [2664] = 2271,
  [2665] = 2272,
  [2666] = 2277,
  [2667] = 2281,
  [2668] = 2282,
  [2669] = 2283,
  [2670] = 2499,
  [2671] = 2310,
  [2672] = 2672,
  [2673] = 2281,
  [2674] = 2264,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2282,
  [2678] = 2678,
  [2679] = 2475,
  [2680] = 2333,
  [2681] = 2283,
  [2682] = 2339,
  [2683] = 2286,
  [2684] = 2436,
  [2685] = 2327,
  [2686] = 2279,
  [2687] = 2278,
  [2688] = 2335,
  [2689] = 2322,
  [2690] = 2436,
  [2691] = 2338,
  [2692] = 2456,
  [2693] = 1109,
  [2694] = 2269,
  [2695] = 2695,
  [2696] = 2314,
  [2697] = 2697,
  [2698] = 2270,
  [2699] = 1261,
  [2700] = 2323,
  [2701] = 2442,
  [2702] = 2317,
  [2703] = 2319,
  [2704] = 2704,
  [2705] = 2328,
  [2706] = 2329,
  [2707] = 2330,
  [2708] = 197,
  [2709] = 2441,
  [2710] = 2280,
  [2711] = 2345,
  [2712] = 199,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2457,
  [2716] = 2341,
  [2717] = 2460,
  [2718] = 2718,
  [2719] = 2271,
  [2720] = 2334,
  [2721] = 2336,
  [2722] = 2337,
  [2723] = 2585,
  [2724] = 2289,
  [2725] = 2331,
  [2726] = 2347,
  [2727] = 2272,
  [2728] = 2343,
  [2729] = 2311,
  [2730] = 2730,
  [2731] = 2320,
  [2732] = 2277,
  [2733] = 2324,
  [2734] = 2316,
  [2735] = 2735,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 1109,
  [2741] = 2312,
  [2742] = 2315,
  [2743] = 2307,
  [2744] = 2280,
  [2745] = 2318,
  [2746] = 2348,
  [2747] = 2747,
  [2748] = 2308,
  [2749] = 2309,
  [2750] = 2222,
  [2751] = 2346,
  [2752] = 2325,
  [2753] = 2753,
  [2754] = 2436,
  [2755] = 1957,
  [2756] = 2381,
  [2757] = 2757,
  [2758] = 2436,
  [2759] = 2332,
  [2760] = 2410,
  [2761] = 2761,
  [2762] = 2382,
  [2763] = 2499,
  [2764] = 2475,
  [2765] = 2379,
  [2766] = 2456,
  [2767] = 2457,
  [2768] = 2370,
  [2769] = 2371,
  [2770] = 2770,
  [2771] = 2377,
  [2772] = 2365,
  [2773] = 2503,
  [2774] = 2504,
  [2775] = 2378,
  [2776] = 2374,
  [2777] = 2255,
  [2778] = 1110,
  [2779] = 2779,
  [2780] = 2283,
  [2781] = 2367,
  [2782] = 2585,
  [2783] = 2783,
  [2784] = 2366,
  [2785] = 2368,
  [2786] = 2286,
  [2787] = 2280,
  [2788] = 2264,
  [2789] = 2404,
  [2790] = 2279,
  [2791] = 2278,
  [2792] = 2269,
  [2793] = 2793,
  [2794] = 2270,
  [2795] = 2271,
  [2796] = 2272,
  [2797] = 2277,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2281,
  [2801] = 2282,
  [2802] = 2373,
  [2803] = 2460,
  [2804] = 2804,
  [2805] = 916,
  [2806] = 2456,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2286,
  [2811] = 2811,
  [2812] = 2404,
  [2813] = 2475,
  [2814] = 2585,
  [2815] = 2815,
  [2816] = 2457,
  [2817] = 928,
  [2818] = 2818,
  [2819] = 2255,
  [2820] = 2820,
  [2821] = 2821,
  [2822] = 2822,
  [2823] = 2499,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2410,
  [2831] = 2831,
  [2832] = 2442,
  [2833] = 2441,
  [2834] = 2457,
  [2835] = 2475,
  [2836] = 2499,
  [2837] = 2456,
  [2838] = 2838,
  [2839] = 2839,
  [2840] = 2253,
  [2841] = 2841,
  [2842] = 2259,
  [2843] = 1110,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 2846,
  [2847] = 2847,
  [2848] = 1969,
  [2849] = 2849,
  [2850] = 2850,
  [2851] = 2457,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 2854,
  [2855] = 2855,
  [2856] = 2856,
  [2857] = 1974,
  [2858] = 2233,
  [2859] = 1971,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 2310,
  [2863] = 2341,
  [2864] = 2456,
  [2865] = 1968,
  [2866] = 1970,
  [2867] = 2867,
  [2868] = 2868,
  [2869] = 2869,
  [2870] = 2253,
  [2871] = 2871,
  [2872] = 2456,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 1989,
  [2876] = 2218,
  [2877] = 2877,
  [2878] = 2878,
  [2879] = 2879,
  [2880] = 2255,
  [2881] = 1992,
  [2882] = 1993,
  [2883] = 1994,
  [2884] = 2884,
  [2885] = 1995,
  [2886] = 1973,
  [2887] = 2887,
  [2888] = 2888,
  [2889] = 2889,
  [2890] = 2890,
  [2891] = 2891,
  [2892] = 2892,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 1990,
  [2896] = 143,
  [2897] = 2897,
  [2898] = 2410,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 1967,
  [2903] = 147,
  [2904] = 1991,
  [2905] = 2905,
  [2906] = 2499,
  [2907] = 2499,
  [2908] = 2908,
  [2909] = 2909,
  [2910] = 2910,
  [2911] = 2911,
  [2912] = 1987,
  [2913] = 2475,
  [2914] = 2457,
  [2915] = 2915,
  [2916] = 2916,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 2404,
  [2920] = 2920,
  [2921] = 2921,
  [2922] = 2922,
  [2923] = 2923,
  [2924] = 2924,
  [2925] = 2925,
  [2926] = 2475,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2929,
  [2930] = 2930,
  [2931] = 2931,
  [2932] = 2932,
  [2933] = 2933,
  [2934] = 2934,
  [2935] = 2283,
  [2936] = 2370,
  [2937] = 2371,
  [2938] = 2377,
  [2939] = 2365,
  [2940] = 2280,
  [2941] = 145,
  [2942] = 2378,
  [2943] = 2374,
  [2944] = 2264,
  [2945] = 2366,
  [2946] = 2279,
  [2947] = 2278,
  [2948] = 2368,
  [2949] = 146,
  [2950] = 2499,
  [2951] = 2475,
  [2952] = 2284,
  [2953] = 157,
  [2954] = 2269,
  [2955] = 2382,
  [2956] = 2271,
  [2957] = 2272,
  [2958] = 2277,
  [2959] = 144,
  [2960] = 136,
  [2961] = 138,
  [2962] = 2456,
  [2963] = 2281,
  [2964] = 139,
  [2965] = 2285,
  [2966] = 135,
  [2967] = 140,
  [2968] = 2457,
  [2969] = 137,
  [2970] = 2282,
  [2971] = 162,
  [2972] = 2585,
  [2973] = 2381,
  [2974] = 2373,
  [2975] = 159,
  [2976] = 160,
  [2977] = 2367,
  [2978] = 161,
  [2979] = 2379,
  [2980] = 2292,
  [2981] = 2270,
  [2982] = 2322,
  [2983] = 2272,
  [2984] = 2277,
  [2985] = 2348,
  [2986] = 1957,
  [2987] = 2334,
  [2988] = 2308,
  [2989] = 2309,
  [2990] = 2346,
  [2991] = 2325,
  [2992] = 2381,
  [2993] = 2920,
  [2994] = 157,
  [2995] = 2336,
  [2996] = 2337,
  [2997] = 2330,
  [2998] = 159,
  [2999] = 2281,
  [3000] = 2253,
  [3001] = 2289,
  [3002] = 2331,
  [3003] = 2327,
  [3004] = 146,
  [3005] = 2347,
  [3006] = 2328,
  [3007] = 2343,
  [3008] = 145,
  [3009] = 2442,
  [3010] = 2311,
  [3011] = 2329,
  [3012] = 2332,
  [3013] = 2345,
  [3014] = 2320,
  [3015] = 2269,
  [3016] = 2324,
  [3017] = 2333,
  [3018] = 2339,
  [3019] = 2499,
  [3020] = 2475,
  [3021] = 2316,
  [3022] = 2456,
  [3023] = 2282,
  [3024] = 146,
  [3025] = 197,
  [3026] = 2457,
  [3027] = 199,
  [3028] = 2283,
  [3029] = 2404,
  [3030] = 2844,
  [3031] = 2280,
  [3032] = 2312,
  [3033] = 145,
  [3034] = 2270,
  [3035] = 2315,
  [3036] = 2307,
  [3037] = 2335,
  [3038] = 2271,
  [3039] = 2318,
  [3040] = 2441,
  [3041] = 2410,
  [3042] = 162,
  [3043] = 2326,
  [3044] = 2338,
  [3045] = 149,
  [3046] = 2264,
  [3047] = 2920,
  [3048] = 2314,
  [3049] = 2460,
  [3050] = 160,
  [3051] = 2255,
  [3052] = 2279,
  [3053] = 2278,
  [3054] = 2323,
  [3055] = 2844,
  [3056] = 2317,
  [3057] = 2319,
  [3058] = 161,
  [3059] = 2457,
  [3060] = 2286,
  [3061] = 2404,
  [3062] = 2456,
  [3063] = 162,
  [3064] = 2499,
  [3065] = 2475,
  [3066] = 159,
  [3067] = 160,
  [3068] = 161,
  [3069] = 149,
  [3070] = 2410,
  [3071] = 157,
  [3072] = 2280,
  [3073] = 140,
  [3074] = 3074,
  [3075] = 210,
  [3076] = 137,
  [3077] = 149,
  [3078] = 2341,
  [3079] = 157,
  [3080] = 3080,
  [3081] = 145,
  [3082] = 3082,
  [3083] = 2278,
  [3084] = 2283,
  [3085] = 2555,
  [3086] = 2269,
  [3087] = 3087,
  [3088] = 159,
  [3089] = 2270,
  [3090] = 2271,
  [3091] = 226,
  [3092] = 2562,
  [3093] = 2272,
  [3094] = 160,
  [3095] = 161,
  [3096] = 2277,
  [3097] = 2560,
  [3098] = 2281,
  [3099] = 146,
  [3100] = 3100,
  [3101] = 149,
  [3102] = 2279,
  [3103] = 2310,
  [3104] = 144,
  [3105] = 2558,
  [3106] = 136,
  [3107] = 3074,
  [3108] = 3108,
  [3109] = 138,
  [3110] = 162,
  [3111] = 2286,
  [3112] = 2381,
  [3113] = 139,
  [3114] = 2264,
  [3115] = 135,
  [3116] = 2282,
  [3117] = 2909,
  [3118] = 2366,
  [3119] = 2341,
  [3120] = 2560,
  [3121] = 2368,
  [3122] = 144,
  [3123] = 136,
  [3124] = 138,
  [3125] = 139,
  [3126] = 135,
  [3127] = 140,
  [3128] = 137,
  [3129] = 2555,
  [3130] = 2377,
  [3131] = 2365,
  [3132] = 2932,
  [3133] = 2378,
  [3134] = 162,
  [3135] = 2374,
  [3136] = 2889,
  [3137] = 2562,
  [3138] = 2373,
  [3139] = 2367,
  [3140] = 2931,
  [3141] = 2382,
  [3142] = 2845,
  [3143] = 2846,
  [3144] = 2379,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 3147,
  [3148] = 3148,
  [3149] = 3149,
  [3150] = 3150,
  [3151] = 3151,
  [3152] = 3152,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3155,
  [3156] = 3156,
  [3157] = 3157,
  [3158] = 2860,
  [3159] = 2370,
  [3160] = 2371,
  [3161] = 2457,
  [3162] = 159,
  [3163] = 160,
  [3164] = 161,
  [3165] = 2404,
  [3166] = 2869,
  [3167] = 2918,
  [3168] = 2558,
  [3169] = 3169,
  [3170] = 3170,
  [3171] = 2410,
  [3172] = 2310,
  [3173] = 2499,
  [3174] = 2456,
  [3175] = 157,
  [3176] = 2475,
  [3177] = 3177,
  [3178] = 3178,
  [3179] = 3179,
  [3180] = 2894,
  [3181] = 197,
  [3182] = 2368,
  [3183] = 2334,
  [3184] = 2365,
  [3185] = 2289,
  [3186] = 3186,
  [3187] = 2378,
  [3188] = 2374,
  [3189] = 2286,
  [3190] = 2373,
  [3191] = 2367,
  [3192] = 2920,
  [3193] = 2844,
  [3194] = 3074,
  [3195] = 1110,
  [3196] = 2382,
  [3197] = 2323,
  [3198] = 2379,
  [3199] = 2370,
  [3200] = 2371,
  [3201] = 199,
  [3202] = 3202,
  [3203] = 2366,
  [3204] = 149,
  [3205] = 3074,
  [3206] = 2377,
  [3207] = 2312,
  [3208] = 3151,
  [3209] = 3154,
  [3210] = 3210,
  [3211] = 208,
  [3212] = 240,
  [3213] = 3213,
  [3214] = 2933,
  [3215] = 3170,
  [3216] = 3210,
  [3217] = 2289,
  [3218] = 3218,
  [3219] = 3169,
  [3220] = 3218,
  [3221] = 3146,
  [3222] = 3222,
  [3223] = 1109,
  [3224] = 3210,
  [3225] = 2323,
  [3226] = 199,
  [3227] = 3222,
  [3228] = 3210,
  [3229] = 3213,
  [3230] = 3155,
  [3231] = 2621,
  [3232] = 3213,
  [3233] = 3145,
  [3234] = 3210,
  [3235] = 3222,
  [3236] = 3218,
  [3237] = 3210,
  [3238] = 3222,
  [3239] = 2627,
  [3240] = 207,
  [3241] = 3241,
  [3242] = 2312,
  [3243] = 2285,
  [3244] = 206,
  [3245] = 3177,
  [3246] = 3157,
  [3247] = 239,
  [3248] = 3241,
  [3249] = 3218,
  [3250] = 3147,
  [3251] = 3222,
  [3252] = 2292,
  [3253] = 3074,
  [3254] = 3074,
  [3255] = 3074,
  [3256] = 1109,
  [3257] = 1110,
  [3258] = 2634,
  [3259] = 2642,
  [3260] = 3156,
  [3261] = 3241,
  [3262] = 3218,
  [3263] = 3148,
  [3264] = 2562,
  [3265] = 3149,
  [3266] = 3241,
  [3267] = 3150,
  [3268] = 2310,
  [3269] = 3241,
  [3270] = 3186,
  [3271] = 3241,
  [3272] = 2558,
  [3273] = 2656,
  [3274] = 3074,
  [3275] = 3222,
  [3276] = 3152,
  [3277] = 3153,
  [3278] = 3178,
  [3279] = 2555,
  [3280] = 2341,
  [3281] = 3179,
  [3282] = 3218,
  [3283] = 2284,
  [3284] = 2334,
  [3285] = 192,
  [3286] = 197,
  [3287] = 3202,
  [3288] = 2560,
  [3289] = 3155,
  [3290] = 2366,
  [3291] = 2308,
  [3292] = 2317,
  [3293] = 2319,
  [3294] = 3169,
  [3295] = 3170,
  [3296] = 3177,
  [3297] = 3178,
  [3298] = 3179,
  [3299] = 2309,
  [3300] = 2695,
  [3301] = 3157,
  [3302] = 2328,
  [3303] = 2718,
  [3304] = 2329,
  [3305] = 2330,
  [3306] = 2336,
  [3307] = 2332,
  [3308] = 1110,
  [3309] = 3309,
  [3310] = 2337,
  [3311] = 2345,
  [3312] = 2697,
  [3313] = 2331,
  [3314] = 2347,
  [3315] = 2585,
  [3316] = 2627,
  [3317] = 2346,
  [3318] = 2314,
  [3319] = 2292,
  [3320] = 2368,
  [3321] = 2325,
  [3322] = 2634,
  [3323] = 3309,
  [3324] = 2335,
  [3325] = 2322,
  [3326] = 3074,
  [3327] = 2730,
  [3328] = 3145,
  [3329] = 2326,
  [3330] = 3330,
  [3331] = 3309,
  [3332] = 3074,
  [3333] = 2621,
  [3334] = 3309,
  [3335] = 2343,
  [3336] = 3309,
  [3337] = 2311,
  [3338] = 2704,
  [3339] = 2338,
  [3340] = 3309,
  [3341] = 2320,
  [3342] = 2747,
  [3343] = 2642,
  [3344] = 3146,
  [3345] = 2324,
  [3346] = 2656,
  [3347] = 3154,
  [3348] = 2327,
  [3349] = 2373,
  [3350] = 2367,
  [3351] = 3147,
  [3352] = 3148,
  [3353] = 3149,
  [3354] = 3150,
  [3355] = 3151,
  [3356] = 3152,
  [3357] = 3153,
  [3358] = 3074,
  [3359] = 2316,
  [3360] = 2348,
  [3361] = 2382,
  [3362] = 2284,
  [3363] = 2379,
  [3364] = 2370,
  [3365] = 2371,
  [3366] = 1109,
  [3367] = 3074,
  [3368] = 1957,
  [3369] = 2285,
  [3370] = 1110,
  [3371] = 2377,
  [3372] = 3156,
  [3373] = 2365,
  [3374] = 2378,
  [3375] = 2374,
  [3376] = 2333,
  [3377] = 2339,
  [3378] = 2315,
  [3379] = 2307,
  [3380] = 2318,
  [3381] = 2824,
  [3382] = 2343,
  [3383] = 2695,
  [3384] = 2314,
  [3385] = 2255,
  [3386] = 2585,
  [3387] = 1109,
  [3388] = 2779,
  [3389] = 2442,
  [3390] = 3170,
  [3391] = 2804,
  [3392] = 3154,
  [3393] = 1110,
  [3394] = 2831,
  [3395] = 2730,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 3146,
  [3399] = 2824,
  [3400] = 3155,
  [3401] = 2318,
  [3402] = 2317,
  [3403] = 2319,
  [3404] = 2718,
  [3405] = 2307,
  [3406] = 3145,
  [3407] = 2328,
  [3408] = 2329,
  [3409] = 2330,
  [3410] = 2316,
  [3411] = 2332,
  [3412] = 2345,
  [3413] = 3156,
  [3414] = 2333,
  [3415] = 3074,
  [3416] = 2339,
  [3417] = 2327,
  [3418] = 2346,
  [3419] = 2337,
  [3420] = 2441,
  [3421] = 1957,
  [3422] = 2821,
  [3423] = 2826,
  [3424] = 2807,
  [3425] = 197,
  [3426] = 3169,
  [3427] = 2347,
  [3428] = 3177,
  [3429] = 2320,
  [3430] = 2325,
  [3431] = 199,
  [3432] = 2839,
  [3433] = 2824,
  [3434] = 2761,
  [3435] = 2311,
  [3436] = 3074,
  [3437] = 2822,
  [3438] = 2324,
  [3439] = 2460,
  [3440] = 3074,
  [3441] = 3157,
  [3442] = 3147,
  [3443] = 3148,
  [3444] = 3149,
  [3445] = 3150,
  [3446] = 2335,
  [3447] = 2747,
  [3448] = 2336,
  [3449] = 2323,
  [3450] = 2322,
  [3451] = 2697,
  [3452] = 3151,
  [3453] = 3152,
  [3454] = 3153,
  [3455] = 3178,
  [3456] = 2839,
  [3457] = 3186,
  [3458] = 2331,
  [3459] = 2827,
  [3460] = 2326,
  [3461] = 2348,
  [3462] = 2338,
  [3463] = 2334,
  [3464] = 2253,
  [3465] = 2824,
  [3466] = 3074,
  [3467] = 2308,
  [3468] = 2289,
  [3469] = 2824,
  [3470] = 2704,
  [3471] = 3202,
  [3472] = 2309,
  [3473] = 3179,
  [3474] = 2793,
  [3475] = 3074,
  [3476] = 2315,
  [3477] = 2312,
  [3478] = 3074,
  [3479] = 3186,
  [3480] = 2901,
  [3481] = 1968,
  [3482] = 2770,
  [3483] = 2931,
  [3484] = 1973,
  [3485] = 2779,
  [3486] = 2824,
  [3487] = 1970,
  [3488] = 3488,
  [3489] = 2675,
  [3490] = 3155,
  [3491] = 1990,
  [3492] = 2292,
  [3493] = 2923,
  [3494] = 147,
  [3495] = 3145,
  [3496] = 1974,
  [3497] = 2253,
  [3498] = 3146,
  [3499] = 3488,
  [3500] = 2822,
  [3501] = 2825,
  [3502] = 3502,
  [3503] = 3147,
  [3504] = 2824,
  [3505] = 3148,
  [3506] = 1987,
  [3507] = 1971,
  [3508] = 2808,
  [3509] = 2933,
  [3510] = 3488,
  [3511] = 3511,
  [3512] = 2909,
  [3513] = 3513,
  [3514] = 3149,
  [3515] = 2713,
  [3516] = 2845,
  [3517] = 3156,
  [3518] = 2901,
  [3519] = 3488,
  [3520] = 2672,
  [3521] = 2736,
  [3522] = 2737,
  [3523] = 2738,
  [3524] = 1995,
  [3525] = 3150,
  [3526] = 1967,
  [3527] = 2676,
  [3528] = 3169,
  [3529] = 3488,
  [3530] = 1969,
  [3531] = 1991,
  [3532] = 2839,
  [3533] = 3151,
  [3534] = 143,
  [3535] = 3152,
  [3536] = 2735,
  [3537] = 2847,
  [3538] = 2739,
  [3539] = 2838,
  [3540] = 3153,
  [3541] = 2824,
  [3542] = 2807,
  [3543] = 2923,
  [3544] = 3544,
  [3545] = 3178,
  [3546] = 3170,
  [3547] = 2804,
  [3548] = 3488,
  [3549] = 2757,
  [3550] = 2381,
  [3551] = 3177,
  [3552] = 3488,
  [3553] = 2827,
  [3554] = 3169,
  [3555] = 2821,
  [3556] = 2826,
  [3557] = 3170,
  [3558] = 2804,
  [3559] = 3145,
  [3560] = 3146,
  [3561] = 3177,
  [3562] = 2822,
  [3563] = 3147,
  [3564] = 3148,
  [3565] = 3149,
  [3566] = 3150,
  [3567] = 3151,
  [3568] = 3152,
  [3569] = 3153,
  [3570] = 3178,
  [3571] = 3179,
  [3572] = 2831,
  [3573] = 3154,
  [3574] = 3155,
  [3575] = 3156,
  [3576] = 3157,
  [3577] = 2678,
  [3578] = 2761,
  [3579] = 3544,
  [3580] = 2826,
  [3581] = 1994,
  [3582] = 3488,
  [3583] = 2846,
  [3584] = 928,
  [3585] = 3488,
  [3586] = 3513,
  [3587] = 2869,
  [3588] = 2933,
  [3589] = 2847,
  [3590] = 3202,
  [3591] = 2807,
  [3592] = 2793,
  [3593] = 916,
  [3594] = 2285,
  [3595] = 2827,
  [3596] = 1110,
  [3597] = 1992,
  [3598] = 2889,
  [3599] = 2831,
  [3600] = 3154,
  [3601] = 1989,
  [3602] = 2841,
  [3603] = 2284,
  [3604] = 3157,
  [3605] = 1993,
  [3606] = 3179,
  [3607] = 2860,
  [3608] = 3513,
  [3609] = 2821,
  [3610] = 2718,
  [3611] = 1992,
  [3612] = 1993,
  [3613] = 1994,
  [3614] = 2828,
  [3615] = 2901,
  [3616] = 2861,
  [3617] = 2899,
  [3618] = 2921,
  [3619] = 2918,
  [3620] = 1990,
  [3621] = 2932,
  [3622] = 3074,
  [3623] = 3074,
  [3624] = 2897,
  [3625] = 2915,
  [3626] = 2878,
  [3627] = 1995,
  [3628] = 1973,
  [3629] = 928,
  [3630] = 3186,
  [3631] = 2838,
  [3632] = 916,
  [3633] = 2867,
  [3634] = 2839,
  [3635] = 2934,
  [3636] = 1967,
  [3637] = 1991,
  [3638] = 2928,
  [3639] = 145,
  [3640] = 2916,
  [3641] = 1261,
  [3642] = 2672,
  [3643] = 2675,
  [3644] = 146,
  [3645] = 2676,
  [3646] = 2818,
  [3647] = 2824,
  [3648] = 2678,
  [3649] = 2585,
  [3650] = 2917,
  [3651] = 2856,
  [3652] = 3202,
  [3653] = 2922,
  [3654] = 2923,
  [3655] = 2499,
  [3656] = 3074,
  [3657] = 2841,
  [3658] = 2847,
  [3659] = 2713,
  [3660] = 2309,
  [3661] = 1989,
  [3662] = 2218,
  [3663] = 2924,
  [3664] = 2925,
  [3665] = 2456,
  [3666] = 2308,
  [3667] = 2770,
  [3668] = 2824,
  [3669] = 2346,
  [3670] = 2929,
  [3671] = 2930,
  [3672] = 2325,
  [3673] = 1969,
  [3674] = 1974,
  [3675] = 2233,
  [3676] = 1971,
  [3677] = 2824,
  [3678] = 2808,
  [3679] = 2809,
  [3680] = 2811,
  [3681] = 2815,
  [3682] = 2820,
  [3683] = 2890,
  [3684] = 2911,
  [3685] = 2829,
  [3686] = 2735,
  [3687] = 1968,
  [3688] = 2739,
  [3689] = 1970,
  [3690] = 2933,
  [3691] = 2873,
  [3692] = 2874,
  [3693] = 2825,
  [3694] = 2884,
  [3695] = 2736,
  [3696] = 2737,
  [3697] = 2738,
  [3698] = 2757,
  [3699] = 2333,
  [3700] = 2339,
  [3701] = 2933,
  [3702] = 2318,
  [3703] = 2327,
  [3704] = 2887,
  [3705] = 147,
  [3706] = 2891,
  [3707] = 2335,
  [3708] = 2322,
  [3709] = 3074,
  [3710] = 2326,
  [3711] = 2338,
  [3712] = 2442,
  [3713] = 2877,
  [3714] = 2314,
  [3715] = 2222,
  [3716] = 2889,
  [3717] = 2457,
  [3718] = 2931,
  [3719] = 2845,
  [3720] = 2846,
  [3721] = 2854,
  [3722] = 2860,
  [3723] = 2869,
  [3724] = 1987,
  [3725] = 143,
  [3726] = 2888,
  [3727] = 2317,
  [3728] = 2319,
  [3729] = 2328,
  [3730] = 2329,
  [3731] = 2330,
  [3732] = 2332,
  [3733] = 2345,
  [3734] = 2893,
  [3735] = 2441,
  [3736] = 2905,
  [3737] = 2908,
  [3738] = 2910,
  [3739] = 2704,
  [3740] = 2909,
  [3741] = 2475,
  [3742] = 1957,
  [3743] = 2381,
  [3744] = 2280,
  [3745] = 2264,
  [3746] = 2900,
  [3747] = 2879,
  [3748] = 2348,
  [3749] = 2279,
  [3750] = 2278,
  [3751] = 2336,
  [3752] = 2337,
  [3753] = 2894,
  [3754] = 2331,
  [3755] = 2347,
  [3756] = 2343,
  [3757] = 2311,
  [3758] = 2320,
  [3759] = 2324,
  [3760] = 2849,
  [3761] = 2850,
  [3762] = 2269,
  [3763] = 2460,
  [3764] = 2316,
  [3765] = 2270,
  [3766] = 2730,
  [3767] = 2852,
  [3768] = 2853,
  [3769] = 2855,
  [3770] = 2868,
  [3771] = 2871,
  [3772] = 2271,
  [3773] = 2272,
  [3774] = 2277,
  [3775] = 2281,
  [3776] = 2747,
  [3777] = 2927,
  [3778] = 2282,
  [3779] = 2315,
  [3780] = 2307,
  [3781] = 2283,
  [3782] = 2892,
  [3783] = 140,
  [3784] = 2475,
  [3785] = 1993,
  [3786] = 1974,
  [3787] = 2849,
  [3788] = 2850,
  [3789] = 1994,
  [3790] = 2853,
  [3791] = 2855,
  [3792] = 2871,
  [3793] = 2499,
  [3794] = 2854,
  [3795] = 2457,
  [3796] = 2877,
  [3797] = 2927,
  [3798] = 1987,
  [3799] = 2218,
  [3800] = 1110,
  [3801] = 1110,
  [3802] = 2888,
  [3803] = 2893,
  [3804] = 137,
  [3805] = 2933,
  [3806] = 2905,
  [3807] = 2928,
  [3808] = 2897,
  [3809] = 2925,
  [3810] = 2923,
  [3811] = 143,
  [3812] = 2931,
  [3813] = 2845,
  [3814] = 2404,
  [3815] = 2852,
  [3816] = 2868,
  [3817] = 2410,
  [3818] = 1969,
  [3819] = 2828,
  [3820] = 2233,
  [3821] = 2901,
  [3822] = 1971,
  [3823] = 2824,
  [3824] = 2932,
  [3825] = 3825,
  [3826] = 2846,
  [3827] = 3157,
  [3828] = 2915,
  [3829] = 2933,
  [3830] = 2900,
  [3831] = 2899,
  [3832] = 3832,
  [3833] = 2921,
  [3834] = 2847,
  [3835] = 2878,
  [3836] = 2761,
  [3837] = 3837,
  [3838] = 1995,
  [3839] = 1973,
  [3840] = 2879,
  [3841] = 2918,
  [3842] = 1967,
  [3843] = 1991,
  [3844] = 2860,
  [3845] = 2909,
  [3846] = 1968,
  [3847] = 1970,
  [3848] = 2809,
  [3849] = 2916,
  [3850] = 2820,
  [3851] = 1989,
  [3852] = 162,
  [3853] = 2818,
  [3854] = 2811,
  [3855] = 2815,
  [3856] = 2894,
  [3857] = 2911,
  [3858] = 2917,
  [3859] = 2761,
  [3860] = 2922,
  [3861] = 2829,
  [3862] = 147,
  [3863] = 3863,
  [3864] = 2869,
  [3865] = 2890,
  [3866] = 2827,
  [3867] = 3169,
  [3868] = 2873,
  [3869] = 2874,
  [3870] = 2821,
  [3871] = 2826,
  [3872] = 3170,
  [3873] = 2804,
  [3874] = 2884,
  [3875] = 159,
  [3876] = 160,
  [3877] = 2887,
  [3878] = 2891,
  [3879] = 161,
  [3880] = 2933,
  [3881] = 2929,
  [3882] = 3145,
  [3883] = 2867,
  [3884] = 3146,
  [3885] = 157,
  [3886] = 2930,
  [3887] = 3177,
  [3888] = 2822,
  [3889] = 3147,
  [3890] = 3148,
  [3891] = 3149,
  [3892] = 3150,
  [3893] = 3151,
  [3894] = 3152,
  [3895] = 3153,
  [3896] = 3178,
  [3897] = 3179,
  [3898] = 2889,
  [3899] = 2831,
  [3900] = 2924,
  [3901] = 2892,
  [3902] = 2934,
  [3903] = 3903,
  [3904] = 2861,
  [3905] = 137,
  [3906] = 2908,
  [3907] = 2910,
  [3908] = 2856,
  [3909] = 144,
  [3910] = 3154,
  [3911] = 1992,
  [3912] = 3155,
  [3913] = 1990,
  [3914] = 2933,
  [3915] = 3156,
  [3916] = 136,
  [3917] = 144,
  [3918] = 138,
  [3919] = 139,
  [3920] = 136,
  [3921] = 138,
  [3922] = 139,
  [3923] = 135,
  [3924] = 140,
  [3925] = 135,
  [3926] = 2456,
  [3927] = 3927,
  [3928] = 3928,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 3929,
  [3933] = 2499,
  [3934] = 3928,
  [3935] = 3930,
  [3936] = 2475,
  [3937] = 3931,
  [3938] = 3938,
  [3939] = 3929,
  [3940] = 3928,
  [3941] = 3930,
  [3942] = 3931,
  [3943] = 2826,
  [3944] = 2821,
  [3945] = 3929,
  [3946] = 3931,
  [3947] = 3929,
  [3948] = 3948,
  [3949] = 3931,
  [3950] = 2822,
  [3951] = 3951,
  [3952] = 3929,
  [3953] = 3927,
  [3954] = 2884,
  [3955] = 3931,
  [3956] = 3928,
  [3957] = 3929,
  [3958] = 2893,
  [3959] = 3928,
  [3960] = 3930,
  [3961] = 145,
  [3962] = 2922,
  [3963] = 3963,
  [3964] = 2831,
  [3965] = 3927,
  [3966] = 2804,
  [3967] = 3202,
  [3968] = 3928,
  [3969] = 2286,
  [3970] = 3928,
  [3971] = 3948,
  [3972] = 3972,
  [3973] = 149,
  [3974] = 146,
  [3975] = 3930,
  [3976] = 3928,
  [3977] = 3963,
  [3978] = 3931,
  [3979] = 2897,
  [3980] = 3963,
  [3981] = 3927,
  [3982] = 2838,
  [3983] = 3963,
  [3984] = 3927,
  [3985] = 3963,
  [3986] = 3927,
  [3987] = 3987,
  [3988] = 3963,
  [3989] = 3927,
  [3990] = 3963,
  [3991] = 3927,
  [3992] = 3963,
  [3993] = 3927,
  [3994] = 3396,
  [3995] = 3995,
  [3996] = 3996,
  [3997] = 3938,
  [3998] = 3397,
  [3999] = 2456,
  [4000] = 2838,
  [4001] = 3963,
  [4002] = 3186,
  [4003] = 3931,
  [4004] = 3928,
  [4005] = 3931,
  [4006] = 3928,
  [4007] = 3929,
  [4008] = 2457,
  [4009] = 3996,
  [4010] = 3996,
  [4011] = 3938,
  [4012] = 3929,
  [4013] = 2585,
  [4014] = 3996,
  [4015] = 3938,
  [4016] = 3972,
  [4017] = 3996,
  [4018] = 3938,
  [4019] = 3396,
  [4020] = 3996,
  [4021] = 3938,
  [4022] = 3928,
  [4023] = 3928,
  [4024] = 3397,
  [4025] = 3930,
  [4026] = 2827,
  [4027] = 2917,
  [4028] = 2560,
  [4029] = 2233,
  [4030] = 2917,
  [4031] = 4031,
  [4032] = 1971,
  [4033] = 2562,
  [4034] = 2877,
  [4035] = 2558,
  [4036] = 4036,
  [4037] = 2555,
  [4038] = 2871,
  [4039] = 2888,
  [4040] = 4031,
  [4041] = 2310,
  [4042] = 2929,
  [4043] = 2475,
  [4044] = 2928,
  [4045] = 2893,
  [4046] = 1334,
  [4047] = 2456,
  [4048] = 2849,
  [4049] = 2905,
  [4050] = 2908,
  [4051] = 2910,
  [4052] = 2892,
  [4053] = 4031,
  [4054] = 2888,
  [4055] = 2218,
  [4056] = 2457,
  [4057] = 4031,
  [4058] = 4031,
  [4059] = 1308,
  [4060] = 4031,
  [4061] = 4031,
  [4062] = 2891,
  [4063] = 4031,
  [4064] = 4031,
  [4065] = 2887,
  [4066] = 2927,
  [4067] = 2905,
  [4068] = 2928,
  [4069] = 2908,
  [4070] = 2852,
  [4071] = 2853,
  [4072] = 2855,
  [4073] = 2868,
  [4074] = 2879,
  [4075] = 2910,
  [4076] = 4031,
  [4077] = 2930,
  [4078] = 2873,
  [4079] = 1989,
  [4080] = 2874,
  [4081] = 2890,
  [4082] = 2861,
  [4083] = 2341,
  [4084] = 1990,
  [4085] = 2253,
  [4086] = 2404,
  [4087] = 2410,
  [4088] = 4031,
  [4089] = 4031,
  [4090] = 2879,
  [4091] = 4031,
  [4092] = 1992,
  [4093] = 1993,
  [4094] = 1994,
  [4095] = 2915,
  [4096] = 2850,
  [4097] = 2932,
  [4098] = 2897,
  [4099] = 2924,
  [4100] = 2925,
  [4101] = 2915,
  [4102] = 2878,
  [4103] = 1995,
  [4104] = 1973,
  [4105] = 4105,
  [4106] = 2916,
  [4107] = 2892,
  [4108] = 1967,
  [4109] = 1991,
  [4110] = 2849,
  [4111] = 2850,
  [4112] = 2878,
  [4113] = 3396,
  [4114] = 3397,
  [4115] = 2916,
  [4116] = 4116,
  [4117] = 147,
  [4118] = 2918,
  [4119] = 2890,
  [4120] = 2922,
  [4121] = 2877,
  [4122] = 143,
  [4123] = 2887,
  [4124] = 2927,
  [4125] = 2852,
  [4126] = 2853,
  [4127] = 2924,
  [4128] = 2925,
  [4129] = 2855,
  [4130] = 2868,
  [4131] = 2929,
  [4132] = 2930,
  [4133] = 1974,
  [4134] = 1969,
  [4135] = 2871,
  [4136] = 1968,
  [4137] = 1970,
  [4138] = 2873,
  [4139] = 2874,
  [4140] = 2894,
  [4141] = 2891,
  [4142] = 2884,
  [4143] = 2499,
  [4144] = 4031,
  [4145] = 2861,
  [4146] = 1987,
  [4147] = 4147,
  [4148] = 2367,
  [4149] = 4149,
  [4150] = 4147,
  [4151] = 3396,
  [4152] = 3397,
  [4153] = 4149,
  [4154] = 4154,
  [4155] = 2499,
  [4156] = 2365,
  [4157] = 4149,
  [4158] = 4147,
  [4159] = 4149,
  [4160] = 4147,
  [4161] = 4154,
  [4162] = 2475,
  [4163] = 2378,
  [4164] = 2374,
  [4165] = 2382,
  [4166] = 2456,
  [4167] = 2560,
  [4168] = 2555,
  [4169] = 2457,
  [4170] = 4147,
  [4171] = 2558,
  [4172] = 4149,
  [4173] = 4154,
  [4174] = 3396,
  [4175] = 3397,
  [4176] = 2370,
  [4177] = 4154,
  [4178] = 4149,
  [4179] = 2379,
  [4180] = 4154,
  [4181] = 2377,
  [4182] = 2371,
  [4183] = 2366,
  [4184] = 4147,
  [4185] = 2368,
  [4186] = 2373,
  [4187] = 2562,
  [4188] = 4154,
  [4189] = 146,
  [4190] = 3397,
  [4191] = 4191,
  [4192] = 199,
  [4193] = 3396,
  [4194] = 4194,
  [4195] = 2747,
  [4196] = 2312,
  [4197] = 2323,
  [4198] = 2730,
  [4199] = 145,
  [4200] = 3396,
  [4201] = 2214,
  [4202] = 4202,
  [4203] = 2334,
  [4204] = 4204,
  [4205] = 2289,
  [4206] = 2704,
  [4207] = 4191,
  [4208] = 197,
  [4209] = 4194,
  [4210] = 4204,
  [4211] = 2381,
  [4212] = 2226,
  [4213] = 2718,
  [4214] = 3397,
  [4215] = 4215,
  [4216] = 4216,
  [4217] = 146,
  [4218] = 4215,
  [4219] = 2292,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 3397,
  [4223] = 2214,
  [4224] = 4215,
  [4225] = 4221,
  [4226] = 2285,
  [4227] = 4220,
  [4228] = 4221,
  [4229] = 4220,
  [4230] = 4230,
  [4231] = 2404,
  [4232] = 4215,
  [4233] = 4233,
  [4234] = 4215,
  [4235] = 4233,
  [4236] = 4215,
  [4237] = 4221,
  [4238] = 2410,
  [4239] = 4215,
  [4240] = 4240,
  [4241] = 4221,
  [4242] = 4233,
  [4243] = 145,
  [4244] = 4220,
  [4245] = 4221,
  [4246] = 2284,
  [4247] = 4233,
  [4248] = 4221,
  [4249] = 4249,
  [4250] = 4220,
  [4251] = 4233,
  [4252] = 2226,
  [4253] = 4233,
  [4254] = 3396,
  [4255] = 4220,
  [4256] = 4220,
  [4257] = 4233,
  [4258] = 2331,
  [4259] = 2336,
  [4260] = 1261,
  [4261] = 2328,
  [4262] = 2337,
  [4263] = 4116,
  [4264] = 2326,
  [4265] = 2317,
  [4266] = 2329,
  [4267] = 2330,
  [4268] = 2555,
  [4269] = 3397,
  [4270] = 2332,
  [4271] = 2253,
  [4272] = 4272,
  [4273] = 1261,
  [4274] = 2345,
  [4275] = 2347,
  [4276] = 2319,
  [4277] = 2338,
  [4278] = 2560,
  [4279] = 2562,
  [4280] = 2343,
  [4281] = 2381,
  [4282] = 2311,
  [4283] = 2320,
  [4284] = 2324,
  [4285] = 3396,
  [4286] = 2339,
  [4287] = 4105,
  [4288] = 2316,
  [4289] = 2335,
  [4290] = 2322,
  [4291] = 2314,
  [4292] = 4116,
  [4293] = 2558,
  [4294] = 4105,
  [4295] = 2315,
  [4296] = 2307,
  [4297] = 2318,
  [4298] = 2348,
  [4299] = 2308,
  [4300] = 2309,
  [4301] = 2346,
  [4302] = 2325,
  [4303] = 2327,
  [4304] = 2333,
  [4305] = 4305,
  [4306] = 3178,
  [4307] = 3169,
  [4308] = 4308,
  [4309] = 3396,
  [4310] = 3397,
  [4311] = 3170,
  [4312] = 3397,
  [4313] = 3155,
  [4314] = 3146,
  [4315] = 4105,
  [4316] = 4116,
  [4317] = 2918,
  [4318] = 4318,
  [4319] = 3396,
  [4320] = 2730,
  [4321] = 3157,
  [4322] = 2558,
  [4323] = 2222,
  [4324] = 2259,
  [4325] = 3145,
  [4326] = 2747,
  [4327] = 2381,
  [4328] = 3156,
  [4329] = 2555,
  [4330] = 3179,
  [4331] = 4331,
  [4332] = 3154,
  [4333] = 3177,
  [4334] = 4334,
  [4335] = 3147,
  [4336] = 3148,
  [4337] = 2894,
  [4338] = 2704,
  [4339] = 3149,
  [4340] = 3150,
  [4341] = 4331,
  [4342] = 4308,
  [4343] = 2562,
  [4344] = 2253,
  [4345] = 4318,
  [4346] = 2718,
  [4347] = 2932,
  [4348] = 3151,
  [4349] = 2560,
  [4350] = 3152,
  [4351] = 3153,
  [4352] = 4305,
  [4353] = 1990,
  [4354] = 1970,
  [4355] = 1973,
  [4356] = 1967,
  [4357] = 4272,
  [4358] = 1957,
  [4359] = 143,
  [4360] = 4360,
  [4361] = 2226,
  [4362] = 3396,
  [4363] = 3397,
  [4364] = 146,
  [4365] = 1969,
  [4366] = 1974,
  [4367] = 1971,
  [4368] = 1992,
  [4369] = 1993,
  [4370] = 1989,
  [4371] = 4371,
  [4372] = 3186,
  [4373] = 2222,
  [4374] = 4116,
  [4375] = 3397,
  [4376] = 4105,
  [4377] = 2214,
  [4378] = 3396,
  [4379] = 4371,
  [4380] = 1987,
  [4381] = 2214,
  [4382] = 4105,
  [4383] = 4383,
  [4384] = 145,
  [4385] = 4116,
  [4386] = 1991,
  [4387] = 4360,
  [4388] = 3202,
  [4389] = 4272,
  [4390] = 147,
  [4391] = 2233,
  [4392] = 2218,
  [4393] = 2226,
  [4394] = 1995,
  [4395] = 2259,
  [4396] = 4360,
  [4397] = 1968,
  [4398] = 4383,
  [4399] = 1994,
  [4400] = 4116,
  [4401] = 4230,
  [4402] = 2272,
  [4403] = 145,
  [4404] = 4249,
  [4405] = 2277,
  [4406] = 4240,
  [4407] = 2825,
  [4408] = 4216,
  [4409] = 2286,
  [4410] = 4249,
  [4411] = 4216,
  [4412] = 2264,
  [4413] = 2282,
  [4414] = 2283,
  [4415] = 4105,
  [4416] = 3186,
  [4417] = 1308,
  [4418] = 1334,
  [4419] = 1308,
  [4420] = 4420,
  [4421] = 2218,
  [4422] = 1261,
  [4423] = 2269,
  [4424] = 2280,
  [4425] = 4240,
  [4426] = 2233,
  [4427] = 2270,
  [4428] = 2271,
  [4429] = 2281,
  [4430] = 1334,
  [4431] = 2808,
  [4432] = 4230,
  [4433] = 2279,
  [4434] = 4105,
  [4435] = 146,
  [4436] = 4116,
  [4437] = 4420,
  [4438] = 2278,
  [4439] = 3202,
  [4440] = 2841,
  [4441] = 3396,
  [4442] = 2255,
  [4443] = 3178,
  [4444] = 3148,
  [4445] = 3153,
  [4446] = 2381,
  [4447] = 3152,
  [4448] = 4448,
  [4449] = 3145,
  [4450] = 3169,
  [4451] = 3146,
  [4452] = 4216,
  [4453] = 3179,
  [4454] = 3153,
  [4455] = 3155,
  [4456] = 3169,
  [4457] = 3156,
  [4458] = 2271,
  [4459] = 2264,
  [4460] = 2214,
  [4461] = 4461,
  [4462] = 3178,
  [4463] = 3152,
  [4464] = 3146,
  [4465] = 3177,
  [4466] = 2286,
  [4467] = 2253,
  [4468] = 3151,
  [4469] = 3145,
  [4470] = 3170,
  [4471] = 4471,
  [4472] = 2280,
  [4473] = 2226,
  [4474] = 3154,
  [4475] = 3157,
  [4476] = 3154,
  [4477] = 3170,
  [4478] = 2270,
  [4479] = 3157,
  [4480] = 2253,
  [4481] = 2278,
  [4482] = 4240,
  [4483] = 4230,
  [4484] = 4105,
  [4485] = 3149,
  [4486] = 3147,
  [4487] = 2283,
  [4488] = 2272,
  [4489] = 3148,
  [4490] = 2277,
  [4491] = 3150,
  [4492] = 3147,
  [4493] = 3177,
  [4494] = 3149,
  [4495] = 3179,
  [4496] = 4116,
  [4497] = 3151,
  [4498] = 3397,
  [4499] = 4249,
  [4500] = 3155,
  [4501] = 2279,
  [4502] = 3150,
  [4503] = 4503,
  [4504] = 2253,
  [4505] = 2281,
  [4506] = 2269,
  [4507] = 3156,
  [4508] = 2282,
  [4509] = 2410,
  [4510] = 4510,
  [4511] = 2404,
  [4512] = 4512,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 2704,
  [4516] = 4512,
  [4517] = 4513,
  [4518] = 4518,
  [4519] = 4519,
  [4520] = 4510,
  [4521] = 4514,
  [4522] = 4512,
  [4523] = 4514,
  [4524] = 4524,
  [4525] = 4518,
  [4526] = 2259,
  [4527] = 4527,
  [4528] = 4514,
  [4529] = 4518,
  [4530] = 4527,
  [4531] = 4514,
  [4532] = 4518,
  [4533] = 4533,
  [4534] = 4514,
  [4535] = 4514,
  [4536] = 4514,
  [4537] = 4514,
  [4538] = 4512,
  [4539] = 4514,
  [4540] = 4514,
  [4541] = 4514,
  [4542] = 2255,
  [4543] = 4514,
  [4544] = 4514,
  [4545] = 4514,
  [4546] = 4514,
  [4547] = 4514,
  [4548] = 4514,
  [4549] = 4527,
  [4550] = 4518,
  [4551] = 4230,
  [4552] = 4510,
  [4553] = 4240,
  [4554] = 4249,
  [4555] = 4216,
  [4556] = 4513,
  [4557] = 4557,
  [4558] = 2259,
  [4559] = 4230,
  [4560] = 4240,
  [4561] = 4249,
  [4562] = 4216,
  [4563] = 4514,
  [4564] = 2718,
  [4565] = 4518,
  [4566] = 4116,
  [4567] = 3186,
  [4568] = 4518,
  [4569] = 4512,
  [4570] = 4510,
  [4571] = 4513,
  [4572] = 4512,
  [4573] = 4514,
  [4574] = 4574,
  [4575] = 4518,
  [4576] = 4513,
  [4577] = 4510,
  [4578] = 3202,
  [4579] = 2381,
  [4580] = 2381,
  [4581] = 2730,
  [4582] = 144,
  [4583] = 4514,
  [4584] = 136,
  [4585] = 138,
  [4586] = 139,
  [4587] = 135,
  [4588] = 140,
  [4589] = 137,
  [4590] = 157,
  [4591] = 4512,
  [4592] = 4513,
  [4593] = 4514,
  [4594] = 159,
  [4595] = 160,
  [4596] = 161,
  [4597] = 162,
  [4598] = 4518,
  [4599] = 4599,
  [4600] = 4600,
  [4601] = 4510,
  [4602] = 4105,
  [4603] = 4557,
  [4604] = 2747,
  [4605] = 3169,
  [4606] = 3177,
  [4607] = 4607,
  [4608] = 2822,
  [4609] = 3169,
  [4610] = 3147,
  [4611] = 4230,
  [4612] = 3148,
  [4613] = 3149,
  [4614] = 3150,
  [4615] = 3151,
  [4616] = 3152,
  [4617] = 4617,
  [4618] = 149,
  [4619] = 3153,
  [4620] = 4216,
  [4621] = 3178,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 4624,
  [4625] = 3179,
  [4626] = 3170,
  [4627] = 4627,
  [4628] = 145,
  [4629] = 3145,
  [4630] = 2804,
  [4631] = 3146,
  [4632] = 4632,
  [4633] = 4633,
  [4634] = 3177,
  [4635] = 3147,
  [4636] = 3148,
  [4637] = 3149,
  [4638] = 3150,
  [4639] = 3151,
  [4640] = 3152,
  [4641] = 3153,
  [4642] = 3178,
  [4643] = 4643,
  [4644] = 3179,
  [4645] = 4645,
  [4646] = 2761,
  [4647] = 4519,
  [4648] = 3154,
  [4649] = 146,
  [4650] = 3155,
  [4651] = 4651,
  [4652] = 3156,
  [4653] = 3157,
  [4654] = 2341,
  [4655] = 4632,
  [4656] = 4334,
  [4657] = 4116,
  [4658] = 4658,
  [4659] = 4643,
  [4660] = 2831,
  [4661] = 3972,
  [4662] = 3145,
  [4663] = 4663,
  [4664] = 4632,
  [4665] = 4665,
  [4666] = 1110,
  [4667] = 4643,
  [4668] = 4668,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4632,
  [4673] = 3157,
  [4674] = 4663,
  [4675] = 2310,
  [4676] = 4632,
  [4677] = 4230,
  [4678] = 4669,
  [4679] = 4679,
  [4680] = 4632,
  [4681] = 4632,
  [4682] = 4622,
  [4683] = 4624,
  [4684] = 4643,
  [4685] = 4240,
  [4686] = 4686,
  [4687] = 4249,
  [4688] = 3544,
  [4689] = 4249,
  [4690] = 4216,
  [4691] = 2822,
  [4692] = 4643,
  [4693] = 2831,
  [4694] = 2255,
  [4695] = 4643,
  [4696] = 4643,
  [4697] = 2404,
  [4698] = 3154,
  [4699] = 4699,
  [4700] = 3145,
  [4701] = 3146,
  [4702] = 3177,
  [4703] = 3147,
  [4704] = 3148,
  [4705] = 3149,
  [4706] = 3150,
  [4707] = 3151,
  [4708] = 3152,
  [4709] = 3153,
  [4710] = 3178,
  [4711] = 3179,
  [4712] = 3154,
  [4713] = 3155,
  [4714] = 3156,
  [4715] = 3157,
  [4716] = 4272,
  [4717] = 4717,
  [4718] = 3169,
  [4719] = 3170,
  [4720] = 4720,
  [4721] = 4663,
  [4722] = 4722,
  [4723] = 2410,
  [4724] = 4663,
  [4725] = 2827,
  [4726] = 4669,
  [4727] = 4669,
  [4728] = 4669,
  [4729] = 2827,
  [4730] = 2821,
  [4731] = 4731,
  [4732] = 2826,
  [4733] = 2804,
  [4734] = 2821,
  [4735] = 3155,
  [4736] = 4623,
  [4737] = 4663,
  [4738] = 2826,
  [4739] = 4105,
  [4740] = 4643,
  [4741] = 4643,
  [4742] = 4643,
  [4743] = 4743,
  [4744] = 4744,
  [4745] = 4745,
  [4746] = 4643,
  [4747] = 4643,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4643,
  [4751] = 4240,
  [4752] = 3146,
  [4753] = 4663,
  [4754] = 4754,
  [4755] = 3156,
  [4756] = 4756,
  [4757] = 3170,
  [4758] = 4758,
  [4759] = 2281,
  [4760] = 4760,
  [4761] = 4761,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 4764,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4767,
  [4768] = 2365,
  [4769] = 4769,
  [4770] = 2367,
  [4771] = 4771,
  [4772] = 4761,
  [4773] = 4762,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4763,
  [4777] = 4777,
  [4778] = 4771,
  [4779] = 4779,
  [4780] = 4777,
  [4781] = 4774,
  [4782] = 4782,
  [4783] = 4762,
  [4784] = 4761,
  [4785] = 4785,
  [4786] = 4764,
  [4787] = 4774,
  [4788] = 4788,
  [4789] = 4771,
  [4790] = 4790,
  [4791] = 4791,
  [4792] = 2374,
  [4793] = 4771,
  [4794] = 4557,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 4797,
  [4798] = 4795,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4762,
  [4802] = 4774,
  [4803] = 4803,
  [4804] = 4763,
  [4805] = 4799,
  [4806] = 4764,
  [4807] = 2368,
  [4808] = 4782,
  [4809] = 4774,
  [4810] = 2282,
  [4811] = 4811,
  [4812] = 4764,
  [4813] = 2279,
  [4814] = 4777,
  [4815] = 4771,
  [4816] = 4767,
  [4817] = 2283,
  [4818] = 4795,
  [4819] = 2278,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4762,
  [4823] = 2255,
  [4824] = 4557,
  [4825] = 2292,
  [4826] = 4811,
  [4827] = 4764,
  [4828] = 4774,
  [4829] = 4829,
  [4830] = 4782,
  [4831] = 4831,
  [4832] = 2379,
  [4833] = 4777,
  [4834] = 4834,
  [4835] = 4762,
  [4836] = 2310,
  [4837] = 4820,
  [4838] = 2378,
  [4839] = 4774,
  [4840] = 4796,
  [4841] = 2377,
  [4842] = 4230,
  [4843] = 4240,
  [4844] = 2370,
  [4845] = 4845,
  [4846] = 4249,
  [4847] = 4216,
  [4848] = 4116,
  [4849] = 4797,
  [4850] = 2371,
  [4851] = 4796,
  [4852] = 4777,
  [4853] = 4761,
  [4854] = 4795,
  [4855] = 4763,
  [4856] = 4820,
  [4857] = 4774,
  [4858] = 3186,
  [4859] = 4796,
  [4860] = 4799,
  [4861] = 4771,
  [4862] = 4829,
  [4863] = 4863,
  [4864] = 4764,
  [4865] = 4865,
  [4866] = 4799,
  [4867] = 4829,
  [4868] = 4782,
  [4869] = 4116,
  [4870] = 4870,
  [4871] = 3202,
  [4872] = 4777,
  [4873] = 4774,
  [4874] = 4874,
  [4875] = 4865,
  [4876] = 4829,
  [4877] = 4105,
  [4878] = 4797,
  [4879] = 4763,
  [4880] = 4764,
  [4881] = 4811,
  [4882] = 4882,
  [4883] = 4865,
  [4884] = 4762,
  [4885] = 4829,
  [4886] = 4799,
  [4887] = 4797,
  [4888] = 2269,
  [4889] = 2373,
  [4890] = 4811,
  [4891] = 4865,
  [4892] = 4761,
  [4893] = 2838,
  [4894] = 4774,
  [4895] = 4895,
  [4896] = 4845,
  [4897] = 4782,
  [4898] = 4764,
  [4899] = 2270,
  [4900] = 4105,
  [4901] = 4774,
  [4902] = 4902,
  [4903] = 4777,
  [4904] = 4782,
  [4905] = 2271,
  [4906] = 2272,
  [4907] = 2277,
  [4908] = 4820,
  [4909] = 2264,
  [4910] = 4796,
  [4911] = 2382,
  [4912] = 4782,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4763,
  [4916] = 4799,
  [4917] = 4761,
  [4918] = 4918,
  [4919] = 4771,
  [4920] = 4796,
  [4921] = 4797,
  [4922] = 4761,
  [4923] = 4811,
  [4924] = 2280,
  [4925] = 4774,
  [4926] = 4764,
  [4927] = 4760,
  [4928] = 4796,
  [4929] = 4769,
  [4930] = 2366,
  [4931] = 4874,
  [4932] = 4874,
  [4933] = 4874,
  [4934] = 4874,
  [4935] = 4874,
  [4936] = 2341,
  [4937] = 4865,
  [4938] = 4763,
  [4939] = 2333,
  [4940] = 2367,
  [4941] = 2890,
  [4942] = 2317,
  [4943] = 4943,
  [4944] = 2335,
  [4945] = 4945,
  [4946] = 2877,
  [4947] = 2874,
  [4948] = 2322,
  [4949] = 2894,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 2888,
  [4953] = 4943,
  [4954] = 2892,
  [4955] = 4943,
  [4956] = 2932,
  [4957] = 2218,
  [4958] = 4958,
  [4959] = 2348,
  [4960] = 2365,
  [4961] = 4950,
  [4962] = 4951,
  [4963] = 2314,
  [4964] = 2887,
  [4965] = 2893,
  [4966] = 4943,
  [4967] = 2891,
  [4968] = 2334,
  [4969] = 2328,
  [4970] = 2312,
  [4971] = 2289,
  [4972] = 2326,
  [4973] = 2338,
  [4974] = 2905,
  [4975] = 2908,
  [4976] = 2347,
  [4977] = 2910,
  [4978] = 2378,
  [4979] = 2382,
  [4980] = 2374,
  [4981] = 4557,
  [4982] = 4982,
  [4983] = 4557,
  [4984] = 2404,
  [4985] = 2897,
  [4986] = 2410,
  [4987] = 2927,
  [4988] = 2924,
  [4989] = 2925,
  [4990] = 2329,
  [4991] = 2366,
  [4992] = 2379,
  [4993] = 2368,
  [4994] = 2324,
  [4995] = 2308,
  [4996] = 2330,
  [4997] = 2309,
  [4998] = 4998,
  [4999] = 4557,
  [5000] = 2918,
  [5001] = 2336,
  [5002] = 2929,
  [5003] = 2930,
  [5004] = 2284,
  [5005] = 2292,
  [5006] = 2916,
  [5007] = 4249,
  [5008] = 2331,
  [5009] = 2370,
  [5010] = 2371,
  [5011] = 4951,
  [5012] = 2233,
  [5013] = 2327,
  [5014] = 2316,
  [5015] = 2345,
  [5016] = 2320,
  [5017] = 2917,
  [5018] = 197,
  [5019] = 4950,
  [5020] = 4951,
  [5021] = 5021,
  [5022] = 4240,
  [5023] = 4950,
  [5024] = 2849,
  [5025] = 2850,
  [5026] = 2337,
  [5027] = 2346,
  [5028] = 4950,
  [5029] = 4943,
  [5030] = 2879,
  [5031] = 2878,
  [5032] = 2343,
  [5033] = 4216,
  [5034] = 4943,
  [5035] = 2852,
  [5036] = 4951,
  [5037] = 2853,
  [5038] = 2311,
  [5039] = 4951,
  [5040] = 2861,
  [5041] = 2325,
  [5042] = 5042,
  [5043] = 2855,
  [5044] = 2884,
  [5045] = 2315,
  [5046] = 4950,
  [5047] = 2922,
  [5048] = 4951,
  [5049] = 199,
  [5050] = 2868,
  [5051] = 5051,
  [5052] = 2307,
  [5053] = 2871,
  [5054] = 2373,
  [5055] = 4943,
  [5056] = 2915,
  [5057] = 2285,
  [5058] = 2928,
  [5059] = 2377,
  [5060] = 2339,
  [5061] = 5051,
  [5062] = 4945,
  [5063] = 2318,
  [5064] = 2319,
  [5065] = 4557,
  [5066] = 2323,
  [5067] = 4230,
  [5068] = 4950,
  [5069] = 2873,
  [5070] = 2332,
  [5071] = 2334,
  [5072] = 2410,
  [5073] = 2338,
  [5074] = 2323,
  [5075] = 4116,
  [5076] = 2343,
  [5077] = 2404,
  [5078] = 2328,
  [5079] = 2329,
  [5080] = 2330,
  [5081] = 4557,
  [5082] = 2335,
  [5083] = 2410,
  [5084] = 2347,
  [5085] = 2327,
  [5086] = 2314,
  [5087] = 5087,
  [5088] = 2381,
  [5089] = 2333,
  [5090] = 2311,
  [5091] = 5091,
  [5092] = 4240,
  [5093] = 2320,
  [5094] = 2332,
  [5095] = 197,
  [5096] = 5096,
  [5097] = 2345,
  [5098] = 5098,
  [5099] = 199,
  [5100] = 4557,
  [5101] = 5091,
  [5102] = 4105,
  [5103] = 2324,
  [5104] = 2226,
  [5105] = 4557,
  [5106] = 2316,
  [5107] = 2404,
  [5108] = 4191,
  [5109] = 2410,
  [5110] = 4557,
  [5111] = 4204,
  [5112] = 5112,
  [5113] = 2317,
  [5114] = 2319,
  [5115] = 4216,
  [5116] = 2253,
  [5117] = 2326,
  [5118] = 1957,
  [5119] = 2312,
  [5120] = 2339,
  [5121] = 2315,
  [5122] = 2307,
  [5123] = 2322,
  [5124] = 2331,
  [5125] = 2336,
  [5126] = 2214,
  [5127] = 2337,
  [5128] = 5098,
  [5129] = 2318,
  [5130] = 2348,
  [5131] = 2289,
  [5132] = 5112,
  [5133] = 4230,
  [5134] = 4240,
  [5135] = 2308,
  [5136] = 2309,
  [5137] = 2404,
  [5138] = 4249,
  [5139] = 4216,
  [5140] = 2346,
  [5141] = 2325,
  [5142] = 5142,
  [5143] = 4249,
  [5144] = 5051,
  [5145] = 2404,
  [5146] = 2410,
  [5147] = 4557,
  [5148] = 4557,
  [5149] = 2286,
  [5150] = 4557,
  [5151] = 4557,
  [5152] = 4557,
  [5153] = 4557,
  [5154] = 2310,
  [5155] = 4945,
  [5156] = 4230,
  [5157] = 4230,
  [5158] = 4240,
  [5159] = 4240,
  [5160] = 4249,
  [5161] = 4216,
  [5162] = 2341,
  [5163] = 4945,
  [5164] = 4216,
  [5165] = 5051,
  [5166] = 4945,
  [5167] = 5051,
  [5168] = 5051,
  [5169] = 4945,
  [5170] = 5051,
  [5171] = 2257,
  [5172] = 5051,
  [5173] = 4945,
  [5174] = 2310,
  [5175] = 2341,
  [5176] = 4945,
  [5177] = 4240,
  [5178] = 5178,
  [5179] = 4945,
  [5180] = 5178,
  [5181] = 5051,
  [5182] = 5182,
  [5183] = 2277,
  [5184] = 2264,
  [5185] = 2377,
  [5186] = 4230,
  [5187] = 2365,
  [5188] = 4557,
  [5189] = 2373,
  [5190] = 2378,
  [5191] = 2374,
  [5192] = 2379,
  [5193] = 2226,
  [5194] = 2367,
  [5195] = 5182,
  [5196] = 2366,
  [5197] = 2368,
  [5198] = 2214,
  [5199] = 5182,
  [5200] = 2381,
  [5201] = 4945,
  [5202] = 5178,
  [5203] = 2278,
  [5204] = 4216,
  [5205] = 2281,
  [5206] = 2259,
  [5207] = 5182,
  [5208] = 5051,
  [5209] = 2271,
  [5210] = 2280,
  [5211] = 5211,
  [5212] = 2370,
  [5213] = 4557,
  [5214] = 5182,
  [5215] = 5178,
  [5216] = 2269,
  [5217] = 5182,
  [5218] = 2371,
  [5219] = 4249,
  [5220] = 4557,
  [5221] = 2282,
  [5222] = 5182,
  [5223] = 5178,
  [5224] = 5178,
  [5225] = 5051,
  [5226] = 5182,
  [5227] = 2283,
  [5228] = 4945,
  [5229] = 4557,
  [5230] = 2270,
  [5231] = 2279,
  [5232] = 5178,
  [5233] = 5178,
  [5234] = 2272,
  [5235] = 5178,
  [5236] = 5051,
  [5237] = 5182,
  [5238] = 2382,
  [5239] = 4945,
  [5240] = 5240,
  [5241] = 2377,
  [5242] = 2257,
  [5243] = 5243,
  [5244] = 2257,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5249,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 4945,
  [5254] = 5250,
  [5255] = 5251,
  [5256] = 5252,
  [5257] = 5250,
  [5258] = 5251,
  [5259] = 5252,
  [5260] = 5051,
  [5261] = 5250,
  [5262] = 5251,
  [5263] = 5252,
  [5264] = 5250,
  [5265] = 5251,
  [5266] = 5252,
  [5267] = 5250,
  [5268] = 5250,
  [5269] = 5251,
  [5270] = 5252,
  [5271] = 5251,
  [5272] = 5250,
  [5273] = 5251,
  [5274] = 5252,
  [5275] = 5275,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5250,
  [5279] = 5251,
  [5280] = 5252,
  [5281] = 5250,
  [5282] = 5251,
  [5283] = 5252,
  [5284] = 5250,
  [5285] = 5251,
  [5286] = 5252,
  [5287] = 5250,
  [5288] = 5251,
  [5289] = 5252,
  [5290] = 5250,
  [5291] = 5251,
  [5292] = 5252,
  [5293] = 5247,
  [5294] = 5248,
  [5295] = 5249,
  [5296] = 4945,
  [5297] = 5275,
  [5298] = 5276,
  [5299] = 5277,
  [5300] = 4945,
  [5301] = 5051,
  [5302] = 4945,
  [5303] = 4945,
  [5304] = 5051,
  [5305] = 5252,
  [5306] = 5250,
  [5307] = 5251,
  [5308] = 5252,
  [5309] = 5252,
  [5310] = 5250,
  [5311] = 5251,
  [5312] = 5252,
  [5313] = 4945,
  [5314] = 5051,
  [5315] = 5247,
  [5316] = 5248,
  [5317] = 5249,
  [5318] = 5275,
  [5319] = 5276,
  [5320] = 5277,
  [5321] = 5051,
  [5322] = 5246,
  [5323] = 5247,
  [5324] = 5248,
  [5325] = 5249,
  [5326] = 5275,
  [5327] = 5276,
  [5328] = 5277,
  [5329] = 5243,
  [5330] = 5245,
  [5331] = 5247,
  [5332] = 5248,
  [5333] = 5249,
  [5334] = 5275,
  [5335] = 5276,
  [5336] = 5277,
  [5337] = 5247,
  [5338] = 5248,
  [5339] = 5249,
  [5340] = 5275,
  [5341] = 5276,
  [5342] = 5277,
  [5343] = 5247,
  [5344] = 5248,
  [5345] = 5249,
  [5346] = 5275,
  [5347] = 5276,
  [5348] = 5277,
  [5349] = 2373,
  [5350] = 2367,
  [5351] = 2382,
  [5352] = 2379,
  [5353] = 2370,
  [5354] = 2371,
  [5355] = 2365,
  [5356] = 2378,
  [5357] = 2374,
  [5358] = 2366,
  [5359] = 2368,
  [5360] = 5250,
  [5361] = 5251,
  [5362] = 5252,
  [5363] = 5250,
  [5364] = 5251,
  [5365] = 5252,
  [5366] = 5250,
  [5367] = 5251,
  [5368] = 5051,
  [5369] = 5369,
  [5370] = 5370,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 5373,
  [5374] = 5373,
  [5375] = 5372,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5377,
  [5379] = 5369,
  [5380] = 5380,
  [5381] = 5373,
  [5382] = 5372,
  [5383] = 5373,
  [5384] = 5373,
  [5385] = 5373,
  [5386] = 5373,
  [5387] = 5369,
  [5388] = 5369,
  [5389] = 5373,
  [5390] = 5370,
  [5391] = 5372,
  [5392] = 5369,
  [5393] = 5377,
  [5394] = 5369,
  [5395] = 5373,
  [5396] = 5373,
  [5397] = 5373,
  [5398] = 5370,
  [5399] = 5372,
  [5400] = 5377,
  [5401] = 5369,
  [5402] = 5373,
  [5403] = 5370,
  [5404] = 5372,
  [5405] = 5369,
  [5406] = 5369,
  [5407] = 5370,
  [5408] = 5369,
  [5409] = 5370,
  [5410] = 5372,
  [5411] = 5373,
  [5412] = 5369,
  [5413] = 5373,
  [5414] = 5373,
  [5415] = 5369,
  [5416] = 5370,
  [5417] = 5372,
  [5418] = 5373,
  [5419] = 5377,
  [5420] = 5420,
  [5421] = 5369,
  [5422] = 5369,
  [5423] = 5373,
  [5424] = 5369,
  [5425] = 5372,
  [5426] = 5426,
  [5427] = 5373,
  [5428] = 5369,
  [5429] = 5370,
  [5430] = 5373,
  [5431] = 5369,
  [5432] = 5370,
  [5433] = 5373,
  [5434] = 5369,
  [5435] = 5377,
  [5436] = 5246,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 4945,
  [5440] = 5440,
  [5441] = 5245,
  [5442] = 5442,
  [5443] = 5438,
  [5444] = 5437,
  [5445] = 5445,
  [5446] = 5437,
  [5447] = 5447,
  [5448] = 5438,
  [5449] = 5438,
  [5450] = 5440,
  [5451] = 5442,
  [5452] = 4945,
  [5453] = 5445,
  [5454] = 5437,
  [5455] = 5051,
  [5456] = 5440,
  [5457] = 5438,
  [5458] = 5442,
  [5459] = 2286,
  [5460] = 5460,
  [5461] = 5442,
  [5462] = 5445,
  [5463] = 5051,
  [5464] = 5464,
  [5465] = 5051,
  [5466] = 5442,
  [5467] = 5438,
  [5468] = 5442,
  [5469] = 5469,
  [5470] = 5470,
  [5471] = 5460,
  [5472] = 5440,
  [5473] = 5445,
  [5474] = 5437,
  [5475] = 5243,
  [5476] = 5243,
  [5477] = 4945,
  [5478] = 5445,
  [5479] = 5438,
  [5480] = 5051,
  [5481] = 5437,
  [5482] = 5445,
  [5483] = 5440,
  [5484] = 5245,
  [5485] = 5440,
  [5486] = 2259,
  [5487] = 4945,
  [5488] = 5460,
  [5489] = 5460,
  [5490] = 5246,
  [5491] = 5442,
  [5492] = 5492,
  [5493] = 5445,
  [5494] = 5437,
  [5495] = 5245,
  [5496] = 5243,
  [5497] = 5245,
  [5498] = 5245,
  [5499] = 5246,
  [5500] = 2386,
  [5501] = 5246,
  [5502] = 5243,
  [5503] = 5243,
  [5504] = 5246,
  [5505] = 5246,
  [5506] = 5243,
  [5507] = 5245,
  [5508] = 5246,
  [5509] = 5243,
  [5510] = 5243,
  [5511] = 2396,
  [5512] = 5512,
  [5513] = 5243,
  [5514] = 5245,
  [5515] = 5246,
  [5516] = 5245,
  [5517] = 5246,
  [5518] = 5246,
  [5519] = 5243,
  [5520] = 5245,
  [5521] = 5245,
  [5522] = 5243,
  [5523] = 5246,
  [5524] = 5246,
  [5525] = 5245,
  [5526] = 5526,
  [5527] = 5245,
  [5528] = 5526,
  [5529] = 5246,
  [5530] = 5245,
  [5531] = 5246,
  [5532] = 5243,
  [5533] = 5245,
  [5534] = 5526,
  [5535] = 5243,
  [5536] = 5243,
  [5537] = 5243,
  [5538] = 5245,
  [5539] = 5245,
  [5540] = 5246,
  [5541] = 2697,
  [5542] = 5246,
  [5543] = 5526,
  [5544] = 5243,
  [5545] = 5545,
  [5546] = 5545,
  [5547] = 5545,
  [5548] = 5545,
  [5549] = 5545,
  [5550] = 5545,
  [5551] = 5545,
  [5552] = 5552,
  [5553] = 5553,
  [5554] = 5243,
  [5555] = 5246,
  [5556] = 5243,
  [5557] = 5243,
  [5558] = 5243,
  [5559] = 5246,
  [5560] = 5245,
  [5561] = 5245,
  [5562] = 5245,
  [5563] = 5246,
  [5564] = 5552,
  [5565] = 5245,
  [5566] = 5552,
  [5567] = 5246,
  [5568] = 5512,
  [5569] = 5512,
  [5570] = 5570,
  [5571] = 5571,
  [5572] = 5572,
  [5573] = 5572,
  [5574] = 5571,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 5572,
  [5581] = 5581,
  [5582] = 5582,
  [5583] = 5582,
  [5584] = 5571,
  [5585] = 5572,
  [5586] = 5582,
  [5587] = 5582,
  [5588] = 5575,
  [5589] = 5582,
  [5590] = 5576,
  [5591] = 5572,
  [5592] = 5571,
  [5593] = 5572,
  [5594] = 5579,
  [5595] = 5582,
  [5596] = 5571,
  [5597] = 5571,
  [5598] = 5578,
  [5599] = 5571,
  [5600] = 5571,
  [5601] = 5572,
  [5602] = 5572,
  [5603] = 5571,
  [5604] = 5572,
  [5605] = 5571,
  [5606] = 5582,
  [5607] = 5571,
  [5608] = 5572,
  [5609] = 5572,
  [5610] = 5572,
  [5611] = 5572,
  [5612] = 5571,
  [5613] = 5578,
  [5614] = 5577,
  [5615] = 5571,
  [5616] = 5571,
  [5617] = 5572,
  [5618] = 5512,
  [5619] = 5619,
  [5620] = 5620,
  [5621] = 5621,
  [5622] = 5619,
  [5623] = 5620,
  [5624] = 5624,
  [5625] = 5624,
  [5626] = 5626,
  [5627] = 5619,
  [5628] = 5620,
  [5629] = 5629,
  [5630] = 5624,
  [5631] = 5626,
  [5632] = 5619,
  [5633] = 5620,
  [5634] = 5629,
  [5635] = 5624,
  [5636] = 5626,
  [5637] = 5626,
  [5638] = 5624,
  [5639] = 5624,
  [5640] = 5626,
  [5641] = 5619,
  [5642] = 5620,
  [5643] = 5629,
  [5644] = 5644,
  [5645] = 5629,
  [5646] = 5646,
  [5647] = 5626,
  [5648] = 5646,
  [5649] = 5646,
  [5650] = 5624,
  [5651] = 5651,
  [5652] = 5621,
  [5653] = 5624,
  [5654] = 5626,
  [5655] = 5619,
  [5656] = 5620,
  [5657] = 5619,
  [5658] = 5620,
  [5659] = 5659,
  [5660] = 5629,
  [5661] = 5619,
  [5662] = 5629,
  [5663] = 5620,
  [5664] = 5664,
  [5665] = 5665,
  [5666] = 5624,
  [5667] = 5626,
  [5668] = 5620,
  [5669] = 5626,
  [5670] = 5619,
  [5671] = 5620,
  [5672] = 5629,
  [5673] = 5621,
  [5674] = 5512,
  [5675] = 5659,
  [5676] = 5629,
  [5677] = 5624,
  [5678] = 5629,
  [5679] = 5629,
  [5680] = 5626,
  [5681] = 5619,
  [5682] = 5620,
  [5683] = 5626,
  [5684] = 5629,
  [5685] = 5619,
  [5686] = 5624,
  [5687] = 5626,
  [5688] = 5619,
  [5689] = 5620,
  [5690] = 5629,
  [5691] = 5624,
  [5692] = 5626,
  [5693] = 5620,
  [5694] = 5694,
  [5695] = 5512,
  [5696] = 5696,
  [5697] = 5624,
  [5698] = 5626,
  [5699] = 5619,
  [5700] = 5620,
  [5701] = 5629,
  [5702] = 5619,
  [5703] = 5620,
  [5704] = 5629,
  [5705] = 5619,
  [5706] = 5620,
  [5707] = 5659,
  [5708] = 5694,
  [5709] = 5709,
  [5710] = 5710,
  [5711] = 5626,
  [5712] = 5619,
  [5713] = 5620,
  [5714] = 5629,
  [5715] = 5629,
  [5716] = 5624,
  [5717] = 5626,
  [5718] = 5619,
  [5719] = 5620,
  [5720] = 5629,
  [5721] = 5581,
  [5722] = 5624,
  [5723] = 5626,
  [5724] = 5696,
  [5725] = 5624,
  [5726] = 5629,
  [5727] = 5624,
  [5728] = 5626,
  [5729] = 5729,
  [5730] = 5619,
  [5731] = 5624,
  [5732] = 5732,
  [5733] = 5733,
  [5734] = 5734,
  [5735] = 5735,
  [5736] = 5736,
  [5737] = 5737,
  [5738] = 5738,
  [5739] = 5739,
  [5740] = 5733,
  [5741] = 5741,
  [5742] = 5742,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5734,
  [5749] = 5733,
  [5750] = 5744,
  [5751] = 5751,
  [5752] = 5752,
  [5753] = 5733,
  [5754] = 5733,
  [5755] = 5755,
  [5756] = 5733,
  [5757] = 5512,
  [5758] = 5733,
  [5759] = 5733,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5744,
  [5763] = 5733,
  [5764] = 5751,
  [5765] = 5744,
  [5766] = 5733,
  [5767] = 5755,
  [5768] = 2218,
  [5769] = 5751,
  [5770] = 5770,
  [5771] = 5512,
  [5772] = 5751,
  [5773] = 5773,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5736,
  [5777] = 5777,
  [5778] = 5737,
  [5779] = 1989,
  [5780] = 5761,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5755,
  [5784] = 1990,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 1992,
  [5792] = 1993,
  [5793] = 1994,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5761,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5755,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 147,
  [5803] = 5738,
  [5804] = 5741,
  [5805] = 5742,
  [5806] = 5751,
  [5807] = 5743,
  [5808] = 5808,
  [5809] = 5761,
  [5810] = 143,
  [5811] = 1987,
  [5812] = 5812,
  [5813] = 5755,
  [5814] = 1973,
  [5815] = 5761,
  [5816] = 5816,
  [5817] = 5744,
  [5818] = 1967,
  [5819] = 5751,
  [5820] = 5761,
  [5821] = 1991,
  [5822] = 5733,
  [5823] = 5755,
  [5824] = 5824,
  [5825] = 5733,
  [5826] = 5761,
  [5827] = 5755,
  [5828] = 5761,
  [5829] = 5755,
  [5830] = 5777,
  [5831] = 5773,
  [5832] = 5744,
  [5833] = 5833,
  [5834] = 5744,
  [5835] = 5751,
  [5836] = 5836,
  [5837] = 5761,
  [5838] = 5733,
  [5839] = 5746,
  [5840] = 5739,
  [5841] = 5732,
  [5842] = 5747,
  [5843] = 5751,
  [5844] = 5744,
  [5845] = 5845,
  [5846] = 5745,
  [5847] = 5755,
  [5848] = 5848,
  [5849] = 1974,
  [5850] = 5850,
  [5851] = 5751,
  [5852] = 5744,
  [5853] = 5853,
  [5854] = 5751,
  [5855] = 3186,
  [5856] = 1968,
  [5857] = 1970,
  [5858] = 5858,
  [5859] = 5859,
  [5860] = 5773,
  [5861] = 5770,
  [5862] = 5836,
  [5863] = 5773,
  [5864] = 5864,
  [5865] = 1969,
  [5866] = 5858,
  [5867] = 5733,
  [5868] = 2233,
  [5869] = 5869,
  [5870] = 5744,
  [5871] = 1971,
  [5872] = 5751,
  [5873] = 5744,
  [5874] = 5744,
  [5875] = 5744,
  [5876] = 5751,
  [5877] = 5836,
  [5878] = 5833,
  [5879] = 5775,
  [5880] = 5751,
  [5881] = 1995,
  [5882] = 5745,
  [5883] = 3186,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5886,
  [5887] = 1969,
  [5888] = 1974,
  [5889] = 2233,
  [5890] = 1971,
  [5891] = 5891,
  [5892] = 5752,
  [5893] = 1968,
  [5894] = 1970,
  [5895] = 5895,
  [5896] = 5886,
  [5897] = 5512,
  [5898] = 5886,
  [5899] = 5899,
  [5900] = 5891,
  [5901] = 5777,
  [5902] = 5891,
  [5903] = 5885,
  [5904] = 1987,
  [5905] = 5905,
  [5906] = 5895,
  [5907] = 5907,
  [5908] = 5885,
  [5909] = 5739,
  [5910] = 5910,
  [5911] = 5885,
  [5912] = 5899,
  [5913] = 1995,
  [5914] = 5891,
  [5915] = 5848,
  [5916] = 5916,
  [5917] = 5895,
  [5918] = 1973,
  [5919] = 5919,
  [5920] = 5853,
  [5921] = 5859,
  [5922] = 5824,
  [5923] = 5777,
  [5924] = 5924,
  [5925] = 5886,
  [5926] = 1967,
  [5927] = 1991,
  [5928] = 5928,
  [5929] = 5885,
  [5930] = 2697,
  [5931] = 5782,
  [5932] = 5899,
  [5933] = 5833,
  [5934] = 5833,
  [5935] = 5891,
  [5936] = 1989,
  [5937] = 5919,
  [5938] = 2218,
  [5939] = 5886,
  [5940] = 5940,
  [5941] = 1990,
  [5942] = 5785,
  [5943] = 5734,
  [5944] = 147,
  [5945] = 5786,
  [5946] = 5787,
  [5947] = 5891,
  [5948] = 5788,
  [5949] = 143,
  [5950] = 5734,
  [5951] = 5789,
  [5952] = 5790,
  [5953] = 5794,
  [5954] = 5795,
  [5955] = 5745,
  [5956] = 5797,
  [5957] = 5798,
  [5958] = 5801,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5885,
  [5962] = 5885,
  [5963] = 5907,
  [5964] = 5964,
  [5965] = 5965,
  [5966] = 1992,
  [5967] = 5864,
  [5968] = 1993,
  [5969] = 5895,
  [5970] = 5907,
  [5971] = 5891,
  [5972] = 5886,
  [5973] = 1994,
  [5974] = 5899,
  [5975] = 5739,
  [5976] = 5976,
  [5977] = 5977,
  [5978] = 5978,
  [5979] = 5577,
  [5980] = 5977,
  [5981] = 5575,
  [5982] = 5977,
  [5983] = 2233,
  [5984] = 5575,
  [5985] = 5985,
  [5986] = 5579,
  [5987] = 5987,
  [5988] = 5579,
  [5989] = 5989,
  [5990] = 5990,
  [5991] = 2218,
  [5992] = 5990,
  [5993] = 5577,
  [5994] = 5512,
  [5995] = 5977,
  [5996] = 5996,
  [5997] = 5977,
  [5998] = 5998,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 5577,
  [6002] = 5579,
  [6003] = 5575,
  [6004] = 5576,
  [6005] = 5577,
  [6006] = 5579,
  [6007] = 5575,
  [6008] = 5576,
  [6009] = 5977,
  [6010] = 5576,
  [6011] = 6011,
  [6012] = 6000,
  [6013] = 6013,
  [6014] = 6014,
  [6015] = 6015,
  [6016] = 5977,
  [6017] = 5576,
  [6018] = 6018,
  [6019] = 6018,
  [6020] = 5576,
  [6021] = 6021,
  [6022] = 6022,
  [6023] = 916,
  [6024] = 5576,
  [6025] = 6018,
  [6026] = 6018,
  [6027] = 6027,
  [6028] = 6022,
  [6029] = 6022,
  [6030] = 6022,
  [6031] = 5910,
  [6032] = 6032,
  [6033] = 5577,
  [6034] = 6027,
  [6035] = 6018,
  [6036] = 6018,
  [6037] = 6022,
  [6038] = 6027,
  [6039] = 6027,
  [6040] = 6040,
  [6041] = 2441,
  [6042] = 6022,
  [6043] = 6027,
  [6044] = 6044,
  [6045] = 6018,
  [6046] = 5575,
  [6047] = 928,
  [6048] = 6022,
  [6049] = 6027,
  [6050] = 6050,
  [6051] = 6051,
  [6052] = 5577,
  [6053] = 6022,
  [6054] = 6022,
  [6055] = 5512,
  [6056] = 6018,
  [6057] = 5575,
  [6058] = 6040,
  [6059] = 6018,
  [6060] = 6022,
  [6061] = 6018,
  [6062] = 6062,
  [6063] = 5579,
  [6064] = 5512,
  [6065] = 2460,
  [6066] = 5959,
  [6067] = 2442,
  [6068] = 5884,
  [6069] = 5579,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 6072,
  [6073] = 6070,
  [6074] = 6070,
  [6075] = 5577,
  [6076] = 6076,
  [6077] = 6077,
  [6078] = 5745,
  [6079] = 6070,
  [6080] = 5579,
  [6081] = 5575,
  [6082] = 6070,
  [6083] = 5576,
  [6084] = 6084,
  [6085] = 5512,
  [6086] = 5739,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6070,
  [6090] = 5734,
  [6091] = 6091,
  [6092] = 6092,
  [6093] = 6093,
  [6094] = 6094,
  [6095] = 6095,
  [6096] = 6096,
  [6097] = 6070,
  [6098] = 6098,
  [6099] = 2839,
  [6100] = 5739,
  [6101] = 6070,
  [6102] = 6088,
  [6103] = 6103,
  [6104] = 5577,
  [6105] = 6093,
  [6106] = 6095,
  [6107] = 5833,
  [6108] = 6108,
  [6109] = 6109,
  [6110] = 5579,
  [6111] = 6111,
  [6112] = 6070,
  [6113] = 2642,
  [6114] = 5577,
  [6115] = 6077,
  [6116] = 6091,
  [6117] = 6084,
  [6118] = 5579,
  [6119] = 5575,
  [6120] = 6087,
  [6121] = 5576,
  [6122] = 6122,
  [6123] = 6122,
  [6124] = 6124,
  [6125] = 5833,
  [6126] = 5575,
  [6127] = 2627,
  [6128] = 2656,
  [6129] = 5577,
  [6130] = 5579,
  [6131] = 5575,
  [6132] = 5576,
  [6133] = 6092,
  [6134] = 6070,
  [6135] = 6135,
  [6136] = 6136,
  [6137] = 6098,
  [6138] = 5777,
  [6139] = 5734,
  [6140] = 2634,
  [6141] = 6109,
  [6142] = 6070,
  [6143] = 6143,
  [6144] = 6070,
  [6145] = 6070,
  [6146] = 6094,
  [6147] = 5576,
  [6148] = 6096,
  [6149] = 6071,
  [6150] = 6136,
  [6151] = 6108,
  [6152] = 5512,
  [6153] = 6070,
  [6154] = 6070,
  [6155] = 6103,
  [6156] = 6070,
  [6157] = 6070,
  [6158] = 5777,
  [6159] = 6159,
  [6160] = 6160,
  [6161] = 6143,
  [6162] = 6162,
  [6163] = 6162,
  [6164] = 6070,
  [6165] = 6135,
  [6166] = 6111,
  [6167] = 2621,
  [6168] = 5745,
  [6169] = 6070,
  [6170] = 6160,
  [6171] = 6171,
  [6172] = 5575,
  [6173] = 6173,
  [6174] = 5739,
  [6175] = 5777,
  [6176] = 5734,
  [6177] = 5734,
  [6178] = 5739,
  [6179] = 5833,
  [6180] = 6180,
  [6181] = 5739,
  [6182] = 6182,
  [6183] = 5575,
  [6184] = 5575,
  [6185] = 6185,
  [6186] = 5739,
  [6187] = 6171,
  [6188] = 6188,
  [6189] = 6189,
  [6190] = 5577,
  [6191] = 5833,
  [6192] = 6171,
  [6193] = 6189,
  [6194] = 6182,
  [6195] = 6171,
  [6196] = 6173,
  [6197] = 6189,
  [6198] = 5576,
  [6199] = 6199,
  [6200] = 5579,
  [6201] = 2233,
  [6202] = 6202,
  [6203] = 6173,
  [6204] = 6204,
  [6205] = 2695,
  [6206] = 6206,
  [6207] = 5575,
  [6208] = 5833,
  [6209] = 2218,
  [6210] = 5576,
  [6211] = 6182,
  [6212] = 6171,
  [6213] = 2824,
  [6214] = 5777,
  [6215] = 6189,
  [6216] = 5745,
  [6217] = 5833,
  [6218] = 6173,
  [6219] = 6219,
  [6220] = 2233,
  [6221] = 6171,
  [6222] = 5577,
  [6223] = 5745,
  [6224] = 6171,
  [6225] = 6225,
  [6226] = 6226,
  [6227] = 6227,
  [6228] = 6189,
  [6229] = 6171,
  [6230] = 6230,
  [6231] = 6173,
  [6232] = 2218,
  [6233] = 6206,
  [6234] = 6182,
  [6235] = 6235,
  [6236] = 2585,
  [6237] = 6206,
  [6238] = 6230,
  [6239] = 5734,
  [6240] = 6206,
  [6241] = 5734,
  [6242] = 6206,
  [6243] = 6206,
  [6244] = 5576,
  [6245] = 6173,
  [6246] = 6173,
  [6247] = 5745,
  [6248] = 6171,
  [6249] = 6189,
  [6250] = 5579,
  [6251] = 5577,
  [6252] = 6171,
  [6253] = 6230,
  [6254] = 6182,
  [6255] = 5745,
  [6256] = 2923,
  [6257] = 6182,
  [6258] = 6258,
  [6259] = 5579,
  [6260] = 6206,
  [6261] = 5777,
  [6262] = 5577,
  [6263] = 5579,
  [6264] = 5777,
  [6265] = 6265,
  [6266] = 2847,
  [6267] = 6182,
  [6268] = 6230,
  [6269] = 5576,
  [6270] = 6270,
  [6271] = 6270,
  [6272] = 6270,
  [6273] = 6270,
  [6274] = 6270,
  [6275] = 6275,
  [6276] = 2499,
  [6277] = 2621,
  [6278] = 6270,
  [6279] = 2475,
  [6280] = 6280,
  [6281] = 6270,
  [6282] = 6282,
  [6283] = 5999,
  [6284] = 6270,
  [6285] = 6270,
  [6286] = 6270,
  [6287] = 6270,
  [6288] = 6270,
  [6289] = 6011,
  [6290] = 6013,
  [6291] = 6270,
  [6292] = 6275,
  [6293] = 2901,
  [6294] = 2697,
  [6295] = 6295,
  [6296] = 2456,
  [6297] = 6297,
  [6298] = 6295,
  [6299] = 6299,
  [6300] = 6014,
  [6301] = 5577,
  [6302] = 5978,
  [6303] = 5579,
  [6304] = 2457,
  [6305] = 5575,
  [6306] = 2642,
  [6307] = 5576,
  [6308] = 6270,
  [6309] = 2656,
  [6310] = 5577,
  [6311] = 5579,
  [6312] = 5575,
  [6313] = 5576,
  [6314] = 6314,
  [6315] = 5989,
  [6316] = 6014,
  [6317] = 5978,
  [6318] = 5987,
  [6319] = 6270,
  [6320] = 6011,
  [6321] = 6013,
  [6322] = 5985,
  [6323] = 5999,
  [6324] = 2627,
  [6325] = 6275,
  [6326] = 6326,
  [6327] = 5512,
  [6328] = 6295,
  [6329] = 6270,
  [6330] = 6330,
  [6331] = 6275,
  [6332] = 6332,
  [6333] = 6275,
  [6334] = 5985,
  [6335] = 6295,
  [6336] = 6270,
  [6337] = 6337,
  [6338] = 6270,
  [6339] = 6295,
  [6340] = 6295,
  [6341] = 5987,
  [6342] = 1110,
  [6343] = 6275,
  [6344] = 6344,
  [6345] = 6275,
  [6346] = 2634,
  [6347] = 6295,
  [6348] = 6270,
  [6349] = 6270,
  [6350] = 6350,
  [6351] = 5989,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 6354,
  [6355] = 6355,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6356,
  [6359] = 6356,
  [6360] = 6353,
  [6361] = 2736,
  [6362] = 2737,
  [6363] = 2738,
  [6364] = 2739,
  [6365] = 5577,
  [6366] = 2909,
  [6367] = 6367,
  [6368] = 6356,
  [6369] = 6369,
  [6370] = 6370,
  [6371] = 6371,
  [6372] = 6372,
  [6373] = 5579,
  [6374] = 6374,
  [6375] = 6375,
  [6376] = 6356,
  [6377] = 6353,
  [6378] = 6378,
  [6379] = 6375,
  [6380] = 5579,
  [6381] = 2889,
  [6382] = 6382,
  [6383] = 5575,
  [6384] = 2931,
  [6385] = 2845,
  [6386] = 2846,
  [6387] = 6356,
  [6388] = 6337,
  [6389] = 5575,
  [6390] = 2860,
  [6391] = 6353,
  [6392] = 5576,
  [6393] = 146,
  [6394] = 2869,
  [6395] = 6395,
  [6396] = 2672,
  [6397] = 2675,
  [6398] = 2676,
  [6399] = 2678,
  [6400] = 5577,
  [6401] = 6356,
  [6402] = 6357,
  [6403] = 6403,
  [6404] = 2757,
  [6405] = 6353,
  [6406] = 6353,
  [6407] = 6353,
  [6408] = 6353,
  [6409] = 6409,
  [6410] = 6409,
  [6411] = 6411,
  [6412] = 6357,
  [6413] = 6353,
  [6414] = 6375,
  [6415] = 6415,
  [6416] = 6416,
  [6417] = 6356,
  [6418] = 6409,
  [6419] = 6357,
  [6420] = 5989,
  [6421] = 6011,
  [6422] = 6013,
  [6423] = 6014,
  [6424] = 5978,
  [6425] = 5985,
  [6426] = 5987,
  [6427] = 5999,
  [6428] = 6428,
  [6429] = 6353,
  [6430] = 6352,
  [6431] = 2713,
  [6432] = 2735,
  [6433] = 6357,
  [6434] = 6375,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6409,
  [6438] = 6326,
  [6439] = 6297,
  [6440] = 6299,
  [6441] = 6350,
  [6442] = 6356,
  [6443] = 5576,
  [6444] = 6356,
  [6445] = 2695,
  [6446] = 5999,
  [6447] = 5577,
  [6448] = 6014,
  [6449] = 5978,
  [6450] = 5579,
  [6451] = 5575,
  [6452] = 5576,
  [6453] = 6453,
  [6454] = 5987,
  [6455] = 5577,
  [6456] = 5579,
  [6457] = 5575,
  [6458] = 6458,
  [6459] = 5576,
  [6460] = 2487,
  [6461] = 6011,
  [6462] = 6462,
  [6463] = 6462,
  [6464] = 6462,
  [6465] = 6462,
  [6466] = 6013,
  [6467] = 6462,
  [6468] = 5985,
  [6469] = 6462,
  [6470] = 5989,
  [6471] = 2820,
  [6472] = 6462,
  [6473] = 6473,
  [6474] = 6462,
  [6475] = 6475,
  [6476] = 6462,
  [6477] = 6462,
  [6478] = 6458,
  [6479] = 6013,
  [6480] = 5999,
  [6481] = 6481,
  [6482] = 6014,
  [6483] = 6462,
  [6484] = 5978,
  [6485] = 6462,
  [6486] = 6486,
  [6487] = 6487,
  [6488] = 6462,
  [6489] = 6489,
  [6490] = 6490,
  [6491] = 6491,
  [6492] = 5987,
  [6493] = 6462,
  [6494] = 6462,
  [6495] = 6011,
  [6496] = 6496,
  [6497] = 2381,
  [6498] = 6462,
  [6499] = 5989,
  [6500] = 6462,
  [6501] = 5985,
  [6502] = 6462,
  [6503] = 6462,
  [6504] = 6462,
  [6505] = 6505,
  [6506] = 5734,
  [6507] = 5739,
  [6508] = 2233,
  [6509] = 5833,
  [6510] = 6510,
  [6511] = 6511,
  [6512] = 5989,
  [6513] = 6513,
  [6514] = 6011,
  [6515] = 5985,
  [6516] = 5999,
  [6517] = 6517,
  [6518] = 6518,
  [6519] = 6519,
  [6520] = 6326,
  [6521] = 6521,
  [6522] = 6522,
  [6523] = 2218,
  [6524] = 5989,
  [6525] = 6299,
  [6526] = 6526,
  [6527] = 6527,
  [6528] = 6519,
  [6529] = 6011,
  [6530] = 6530,
  [6531] = 6531,
  [6532] = 6013,
  [6533] = 6521,
  [6534] = 6526,
  [6535] = 6014,
  [6536] = 5978,
  [6537] = 146,
  [6538] = 6511,
  [6539] = 5985,
  [6540] = 6513,
  [6541] = 144,
  [6542] = 6522,
  [6543] = 5987,
  [6544] = 5999,
  [6545] = 6517,
  [6546] = 6527,
  [6547] = 6547,
  [6548] = 6521,
  [6549] = 6549,
  [6550] = 6519,
  [6551] = 6527,
  [6552] = 6552,
  [6553] = 6519,
  [6554] = 6521,
  [6555] = 136,
  [6556] = 6526,
  [6557] = 6337,
  [6558] = 138,
  [6559] = 6527,
  [6560] = 139,
  [6561] = 6519,
  [6562] = 6521,
  [6563] = 6526,
  [6564] = 5745,
  [6565] = 135,
  [6566] = 6521,
  [6567] = 6013,
  [6568] = 6527,
  [6569] = 6521,
  [6570] = 140,
  [6571] = 6526,
  [6572] = 6526,
  [6573] = 137,
  [6574] = 6297,
  [6575] = 6014,
  [6576] = 5978,
  [6577] = 6511,
  [6578] = 6513,
  [6579] = 6522,
  [6580] = 6517,
  [6581] = 6513,
  [6582] = 5777,
  [6583] = 6350,
  [6584] = 6511,
  [6585] = 6511,
  [6586] = 5734,
  [6587] = 6513,
  [6588] = 5739,
  [6589] = 6522,
  [6590] = 5833,
  [6591] = 6591,
  [6592] = 6513,
  [6593] = 2410,
  [6594] = 6594,
  [6595] = 6595,
  [6596] = 6522,
  [6597] = 6597,
  [6598] = 6517,
  [6599] = 6599,
  [6600] = 6600,
  [6601] = 5987,
  [6602] = 6527,
  [6603] = 6519,
  [6604] = 2404,
  [6605] = 6011,
  [6606] = 6013,
  [6607] = 6527,
  [6608] = 6526,
  [6609] = 5745,
  [6610] = 6522,
  [6611] = 6511,
  [6612] = 5985,
  [6613] = 6613,
  [6614] = 6517,
  [6615] = 6513,
  [6616] = 6522,
  [6617] = 5999,
  [6618] = 6517,
  [6619] = 6619,
  [6620] = 6620,
  [6621] = 6621,
  [6622] = 6511,
  [6623] = 145,
  [6624] = 5777,
  [6625] = 6517,
  [6626] = 6626,
  [6627] = 6627,
  [6628] = 6628,
  [6629] = 6519,
  [6630] = 6630,
  [6631] = 6630,
  [6632] = 6630,
  [6633] = 6630,
  [6634] = 6265,
  [6635] = 6332,
  [6636] = 6630,
  [6637] = 6637,
  [6638] = 6630,
  [6639] = 5989,
  [6640] = 6014,
  [6641] = 6641,
  [6642] = 6642,
  [6643] = 6630,
  [6644] = 6644,
  [6645] = 5978,
  [6646] = 5987,
  [6647] = 6630,
  [6648] = 6648,
  [6649] = 6011,
  [6650] = 6013,
  [6651] = 6630,
  [6652] = 6652,
  [6653] = 5985,
  [6654] = 6630,
  [6655] = 5999,
  [6656] = 6656,
  [6657] = 6630,
  [6658] = 6658,
  [6659] = 6630,
  [6660] = 6660,
  [6661] = 6630,
  [6662] = 6662,
  [6663] = 6013,
  [6664] = 6326,
  [6665] = 6011,
  [6666] = 6666,
  [6667] = 6011,
  [6668] = 5978,
  [6669] = 6337,
  [6670] = 6670,
  [6671] = 6671,
  [6672] = 6350,
  [6673] = 6662,
  [6674] = 6662,
  [6675] = 5985,
  [6676] = 141,
  [6677] = 6666,
  [6678] = 5985,
  [6679] = 6662,
  [6680] = 6662,
  [6681] = 6662,
  [6682] = 6662,
  [6683] = 6014,
  [6684] = 6662,
  [6685] = 5985,
  [6686] = 6686,
  [6687] = 6662,
  [6688] = 6662,
  [6689] = 5999,
  [6690] = 6662,
  [6691] = 6691,
  [6692] = 6666,
  [6693] = 6686,
  [6694] = 6013,
  [6695] = 6666,
  [6696] = 5987,
  [6697] = 6686,
  [6698] = 6662,
  [6699] = 6671,
  [6700] = 6691,
  [6701] = 6662,
  [6702] = 6662,
  [6703] = 6671,
  [6704] = 6662,
  [6705] = 6662,
  [6706] = 6662,
  [6707] = 6662,
  [6708] = 6662,
  [6709] = 6686,
  [6710] = 5989,
  [6711] = 6711,
  [6712] = 6712,
  [6713] = 6662,
  [6714] = 6297,
  [6715] = 6299,
  [6716] = 6011,
  [6717] = 6662,
  [6718] = 6072,
  [6719] = 142,
  [6720] = 6662,
  [6721] = 6691,
  [6722] = 6671,
  [6723] = 6662,
  [6724] = 6666,
  [6725] = 6662,
  [6726] = 5999,
  [6727] = 6159,
  [6728] = 6013,
  [6729] = 6662,
  [6730] = 6691,
  [6731] = 5999,
  [6732] = 6666,
  [6733] = 6666,
  [6734] = 5985,
  [6735] = 6297,
  [6736] = 6299,
  [6737] = 6180,
  [6738] = 6159,
  [6739] = 6326,
  [6740] = 5985,
  [6741] = 6741,
  [6742] = 6742,
  [6743] = 6337,
  [6744] = 6744,
  [6745] = 6350,
  [6746] = 2642,
  [6747] = 5987,
  [6748] = 2824,
  [6749] = 6749,
  [6750] = 6750,
  [6751] = 6751,
  [6752] = 6752,
  [6753] = 2634,
  [6754] = 6013,
  [6755] = 6751,
  [6756] = 6756,
  [6757] = 6011,
  [6758] = 6758,
  [6759] = 2627,
  [6760] = 6185,
  [6761] = 5999,
  [6762] = 6762,
  [6763] = 6072,
  [6764] = 6758,
  [6765] = 6758,
  [6766] = 6751,
  [6767] = 6013,
  [6768] = 6768,
  [6769] = 6014,
  [6770] = 6011,
  [6771] = 2621,
  [6772] = 5978,
  [6773] = 5989,
  [6774] = 6751,
  [6775] = 6188,
  [6776] = 6776,
  [6777] = 6758,
  [6778] = 6778,
  [6779] = 6778,
  [6780] = 6780,
  [6781] = 6781,
  [6782] = 6782,
  [6783] = 6783,
  [6784] = 6226,
  [6785] = 6785,
  [6786] = 6778,
  [6787] = 6751,
  [6788] = 6780,
  [6789] = 6778,
  [6790] = 6751,
  [6791] = 6202,
  [6792] = 6751,
  [6793] = 5999,
  [6794] = 2656,
  [6795] = 6795,
  [6796] = 6796,
  [6797] = 6014,
  [6798] = 2244,
  [6799] = 2695,
  [6800] = 6800,
  [6801] = 5978,
  [6802] = 6802,
  [6803] = 2252,
  [6804] = 5987,
  [6805] = 6805,
  [6806] = 6806,
  [6807] = 6795,
  [6808] = 6802,
  [6809] = 6806,
  [6810] = 6810,
  [6811] = 5978,
  [6812] = 6812,
  [6813] = 6813,
  [6814] = 6805,
  [6815] = 2824,
  [6816] = 5987,
  [6817] = 6817,
  [6818] = 6805,
  [6819] = 6810,
  [6820] = 2627,
  [6821] = 6821,
  [6822] = 6795,
  [6823] = 6810,
  [6824] = 6802,
  [6825] = 6825,
  [6826] = 6812,
  [6827] = 2634,
  [6828] = 5985,
  [6829] = 5989,
  [6830] = 5999,
  [6831] = 6831,
  [6832] = 2621,
  [6833] = 6833,
  [6834] = 6011,
  [6835] = 6013,
  [6836] = 5985,
  [6837] = 6837,
  [6838] = 5999,
  [6839] = 6813,
  [6840] = 6840,
  [6841] = 6805,
  [6842] = 5989,
  [6843] = 6014,
  [6844] = 6806,
  [6845] = 6806,
  [6846] = 6795,
  [6847] = 6812,
  [6848] = 6795,
  [6849] = 6849,
  [6850] = 6812,
  [6851] = 6795,
  [6852] = 6812,
  [6853] = 6795,
  [6854] = 6812,
  [6855] = 2656,
  [6856] = 6812,
  [6857] = 6011,
  [6858] = 6013,
  [6859] = 6859,
  [6860] = 2642,
  [6861] = 6861,
  [6862] = 2249,
  [6863] = 6810,
  [6864] = 6864,
  [6865] = 6802,
  [6866] = 6866,
  [6867] = 6867,
  [6868] = 6868,
  [6869] = 6869,
  [6870] = 6870,
  [6871] = 6871,
  [6872] = 6872,
  [6873] = 6866,
  [6874] = 6874,
  [6875] = 6875,
  [6876] = 6876,
  [6877] = 6877,
  [6878] = 6869,
  [6879] = 6866,
  [6880] = 6880,
  [6881] = 6436,
  [6882] = 6882,
  [6883] = 6883,
  [6884] = 6880,
  [6885] = 6885,
  [6886] = 6886,
  [6887] = 6883,
  [6888] = 6885,
  [6889] = 6883,
  [6890] = 6883,
  [6891] = 6891,
  [6892] = 6892,
  [6893] = 6883,
  [6894] = 6880,
  [6895] = 2824,
  [6896] = 6885,
  [6897] = 6880,
  [6898] = 6898,
  [6899] = 2695,
  [6900] = 6882,
  [6901] = 6891,
  [6902] = 6874,
  [6903] = 6883,
  [6904] = 6874,
  [6905] = 6891,
  [6906] = 6880,
  [6907] = 6898,
  [6908] = 6882,
  [6909] = 6909,
  [6910] = 6883,
  [6911] = 6416,
  [6912] = 6367,
  [6913] = 6898,
  [6914] = 6880,
  [6915] = 6880,
  [6916] = 6916,
  [6917] = 6917,
  [6918] = 6876,
  [6919] = 6869,
  [6920] = 6920,
  [6921] = 6876,
  [6922] = 6922,
  [6923] = 2824,
  [6924] = 6014,
  [6925] = 6925,
  [6926] = 2779,
  [6927] = 6927,
  [6928] = 6928,
  [6929] = 6929,
  [6930] = 6930,
  [6931] = 6931,
  [6932] = 6927,
  [6933] = 6933,
  [6934] = 6011,
  [6935] = 6013,
  [6936] = 6929,
  [6937] = 6937,
  [6938] = 6938,
  [6939] = 6930,
  [6940] = 6930,
  [6941] = 5978,
  [6942] = 5985,
  [6943] = 6925,
  [6944] = 6937,
  [6945] = 6937,
  [6946] = 6929,
  [6947] = 6947,
  [6948] = 5999,
  [6949] = 6928,
  [6950] = 6938,
  [6951] = 6938,
  [6952] = 2824,
  [6953] = 6928,
  [6954] = 6930,
  [6955] = 6927,
  [6956] = 6956,
  [6957] = 6957,
  [6958] = 6937,
  [6959] = 6937,
  [6960] = 6929,
  [6961] = 6927,
  [6962] = 6930,
  [6963] = 6930,
  [6964] = 6964,
  [6965] = 5989,
  [6966] = 6938,
  [6967] = 6967,
  [6968] = 6937,
  [6969] = 6072,
  [6970] = 6938,
  [6971] = 6929,
  [6972] = 6930,
  [6973] = 6937,
  [6974] = 6928,
  [6975] = 6938,
  [6976] = 6930,
  [6977] = 6937,
  [6978] = 6938,
  [6979] = 6927,
  [6980] = 6980,
  [6981] = 6929,
  [6982] = 6982,
  [6983] = 6929,
  [6984] = 6937,
  [6985] = 6938,
  [6986] = 6986,
  [6987] = 6987,
  [6988] = 6988,
  [6989] = 2824,
  [6990] = 6930,
  [6991] = 6991,
  [6992] = 6967,
  [6993] = 5987,
  [6994] = 6929,
  [6995] = 6929,
  [6996] = 6938,
  [6997] = 6997,
  [6998] = 2824,
  [6999] = 6999,
  [7000] = 7000,
  [7001] = 7001,
  [7002] = 6999,
  [7003] = 6999,
  [7004] = 7004,
  [7005] = 7005,
  [7006] = 7006,
  [7007] = 7007,
  [7008] = 7008,
  [7009] = 7009,
  [7010] = 7010,
  [7011] = 7011,
  [7012] = 7012,
  [7013] = 7013,
  [7014] = 7011,
  [7015] = 7015,
  [7016] = 7016,
  [7017] = 7017,
  [7018] = 7013,
  [7019] = 7019,
  [7020] = 7020,
  [7021] = 7009,
  [7022] = 7022,
  [7023] = 7023,
  [7024] = 7024,
  [7025] = 7005,
  [7026] = 7026,
  [7027] = 7017,
  [7028] = 7028,
  [7029] = 7026,
  [7030] = 7030,
  [7031] = 7013,
  [7032] = 7015,
  [7033] = 7009,
  [7034] = 7030,
  [7035] = 7035,
  [7036] = 7022,
  [7037] = 7006,
  [7038] = 7005,
  [7039] = 7008,
  [7040] = 7040,
  [7041] = 7041,
  [7042] = 7005,
  [7043] = 6999,
  [7044] = 7019,
  [7045] = 7026,
  [7046] = 7041,
  [7047] = 7022,
  [7048] = 7041,
  [7049] = 7049,
  [7050] = 7022,
  [7051] = 7023,
  [7052] = 7040,
  [7053] = 7053,
  [7054] = 7011,
  [7055] = 7055,
  [7056] = 7024,
  [7057] = 7013,
  [7058] = 6999,
  [7059] = 7012,
  [7060] = 7006,
  [7061] = 7006,
  [7062] = 7011,
  [7063] = 7005,
  [7064] = 7023,
  [7065] = 7065,
  [7066] = 7066,
  [7067] = 7065,
  [7068] = 7019,
  [7069] = 7012,
  [7070] = 7006,
  [7071] = 7019,
  [7072] = 7009,
  [7073] = 7016,
  [7074] = 7009,
  [7075] = 7019,
  [7076] = 7013,
  [7077] = 7011,
  [7078] = 7078,
  [7079] = 7024,
  [7080] = 7005,
  [7081] = 7006,
  [7082] = 7049,
  [7083] = 7040,
  [7084] = 7084,
  [7085] = 7015,
  [7086] = 7030,
  [7087] = 7006,
  [7088] = 7005,
  [7089] = 7089,
  [7090] = 7090,
  [7091] = 7016,
  [7092] = 7005,
  [7093] = 7013,
  [7094] = 7094,
  [7095] = 7024,
  [7096] = 6999,
  [7097] = 7005,
  [7098] = 7017,
  [7099] = 7013,
  [7100] = 7012,
  [7101] = 6999,
  [7102] = 7015,
  [7103] = 7103,
  [7104] = 7053,
  [7105] = 7013,
  [7106] = 7022,
  [7107] = 7015,
  [7108] = 7012,
  [7109] = 7024,
  [7110] = 7053,
  [7111] = 7111,
  [7112] = 7065,
  [7113] = 7019,
  [7114] = 7013,
  [7115] = 7115,
  [7116] = 7016,
  [7117] = 7040,
  [7118] = 7013,
  [7119] = 7053,
  [7120] = 7005,
  [7121] = 7006,
  [7122] = 7065,
  [7123] = 7017,
  [7124] = 6999,
  [7125] = 7125,
  [7126] = 7015,
  [7127] = 7019,
  [7128] = 7011,
  [7129] = 7005,
  [7130] = 7023,
  [7131] = 7006,
  [7132] = 7065,
  [7133] = 7013,
  [7134] = 7030,
  [7135] = 7011,
  [7136] = 7012,
  [7137] = 7008,
  [7138] = 7049,
  [7139] = 6999,
  [7140] = 7140,
  [7141] = 7141,
  [7142] = 7009,
  [7143] = 7013,
  [7144] = 7005,
  [7145] = 6999,
  [7146] = 7013,
  [7147] = 7009,
  [7148] = 7053,
  [7149] = 6999,
  [7150] = 6999,
  [7151] = 7013,
  [7152] = 7015,
  [7153] = 7015,
  [7154] = 7017,
  [7155] = 7035,
  [7156] = 7005,
  [7157] = 7041,
  [7158] = 7005,
  [7159] = 7011,
  [7160] = 7019,
  [7161] = 7065,
  [7162] = 7049,
  [7163] = 7009,
  [7164] = 7005,
  [7165] = 7016,
  [7166] = 7035,
  [7167] = 7167,
  [7168] = 7041,
  [7169] = 7015,
  [7170] = 6999,
  [7171] = 7171,
  [7172] = 7012,
  [7173] = 7013,
  [7174] = 7035,
  [7175] = 7041,
  [7176] = 7176,
  [7177] = 7022,
  [7178] = 7026,
  [7179] = 7013,
  [7180] = 6999,
  [7181] = 7035,
  [7182] = 7041,
  [7183] = 7030,
  [7184] = 7013,
  [7185] = 6999,
  [7186] = 7035,
  [7187] = 7041,
  [7188] = 7013,
  [7189] = 7035,
  [7190] = 7041,
  [7191] = 7035,
  [7192] = 7022,
  [7193] = 7009,
  [7194] = 6072,
  [7195] = 7006,
  [7196] = 7040,
  [7197] = 7197,
  [7198] = 7015,
  [7199] = 7015,
  [7200] = 7065,
  [7201] = 7065,
  [7202] = 7013,
  [7203] = 7023,
  [7204] = 6999,
  [7205] = 7026,
  [7206] = 7024,
  [7207] = 7207,
  [7208] = 7035,
  [7209] = 7053,
  [7210] = 7019,
  [7211] = 7030,
  [7212] = 7012,
  [7213] = 7049,
  [7214] = 7214,
  [7215] = 7013,
  [7216] = 7216,
  [7217] = 6999,
  [7218] = 7017,
  [7219] = 7026,
  [7220] = 7006,
  [7221] = 7019,
  [7222] = 7222,
  [7223] = 7223,
  [7224] = 7011,
  [7225] = 7005,
  [7226] = 6999,
  [7227] = 7040,
  [7228] = 7015,
  [7229] = 7011,
  [7230] = 7024,
  [7231] = 7065,
  [7232] = 7053,
  [7233] = 7008,
  [7234] = 7005,
  [7235] = 7023,
  [7236] = 6999,
  [7237] = 7009,
  [7238] = 7011,
  [7239] = 7049,
  [7240] = 7012,
  [7241] = 7013,
  [7242] = 7017,
  [7243] = 7006,
  [7244] = 7065,
  [7245] = 7011,
  [7246] = 7005,
  [7247] = 7013,
  [7248] = 7005,
  [7249] = 7016,
  [7250] = 7250,
  [7251] = 7251,
  [7252] = 7252,
  [7253] = 7253,
  [7254] = 7254,
  [7255] = 7255,
  [7256] = 7256,
  [7257] = 7257,
  [7258] = 7258,
  [7259] = 7259,
  [7260] = 7260,
  [7261] = 7261,
  [7262] = 7262,
  [7263] = 7263,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 7251,
  [7267] = 7267,
  [7268] = 7268,
  [7269] = 7261,
  [7270] = 7270,
  [7271] = 7271,
  [7272] = 179,
  [7273] = 7257,
  [7274] = 7263,
  [7275] = 7275,
  [7276] = 7264,
  [7277] = 7277,
  [7278] = 7257,
  [7279] = 7279,
  [7280] = 7258,
  [7281] = 7281,
  [7282] = 7261,
  [7283] = 7267,
  [7284] = 7268,
  [7285] = 7285,
  [7286] = 7286,
  [7287] = 7287,
  [7288] = 2887,
  [7289] = 2891,
  [7290] = 7290,
  [7291] = 7256,
  [7292] = 7286,
  [7293] = 7258,
  [7294] = 7258,
  [7295] = 7295,
  [7296] = 7261,
  [7297] = 7251,
  [7298] = 7267,
  [7299] = 7268,
  [7300] = 7300,
  [7301] = 7301,
  [7302] = 7302,
  [7303] = 7258,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 7251,
  [7307] = 7267,
  [7308] = 7261,
  [7309] = 7251,
  [7310] = 7267,
  [7311] = 7268,
  [7312] = 7268,
  [7313] = 7258,
  [7314] = 7314,
  [7315] = 7315,
  [7316] = 7261,
  [7317] = 7251,
  [7318] = 7267,
  [7319] = 7268,
  [7320] = 7320,
  [7321] = 7295,
  [7322] = 7322,
  [7323] = 7323,
  [7324] = 7301,
  [7325] = 2925,
  [7326] = 7258,
  [7327] = 7261,
  [7328] = 7251,
  [7329] = 7267,
  [7330] = 7268,
  [7331] = 7255,
  [7332] = 7332,
  [7333] = 7258,
  [7334] = 7334,
  [7335] = 7261,
  [7336] = 7251,
  [7337] = 7267,
  [7338] = 7268,
  [7339] = 7339,
  [7340] = 7340,
  [7341] = 7341,
  [7342] = 7270,
  [7343] = 7253,
  [7344] = 7344,
  [7345] = 7258,
  [7346] = 7254,
  [7347] = 7261,
  [7348] = 7251,
  [7349] = 7267,
  [7350] = 7268,
  [7351] = 7263,
  [7352] = 7352,
  [7353] = 7252,
  [7354] = 7264,
  [7355] = 7258,
  [7356] = 7261,
  [7357] = 7251,
  [7358] = 7267,
  [7359] = 7268,
  [7360] = 7262,
  [7361] = 7271,
  [7362] = 7258,
  [7363] = 7261,
  [7364] = 7251,
  [7365] = 7267,
  [7366] = 7268,
  [7367] = 7256,
  [7368] = 7265,
  [7369] = 7258,
  [7370] = 7277,
  [7371] = 7261,
  [7372] = 7251,
  [7373] = 7267,
  [7374] = 7268,
  [7375] = 7375,
  [7376] = 7258,
  [7377] = 7315,
  [7378] = 7261,
  [7379] = 7251,
  [7380] = 7267,
  [7381] = 7268,
  [7382] = 7382,
  [7383] = 7258,
  [7384] = 7384,
  [7385] = 7261,
  [7386] = 7251,
  [7387] = 7267,
  [7388] = 7268,
  [7389] = 7259,
  [7390] = 7261,
  [7391] = 7251,
  [7392] = 7267,
  [7393] = 7268,
  [7394] = 7261,
  [7395] = 183,
  [7396] = 7295,
  [7397] = 7397,
  [7398] = 7398,
  [7399] = 7399,
  [7400] = 7339,
  [7401] = 7340,
  [7402] = 7265,
  [7403] = 7261,
  [7404] = 7404,
  [7405] = 7304,
  [7406] = 7406,
  [7407] = 7407,
  [7408] = 7408,
  [7409] = 7305,
  [7410] = 7304,
  [7411] = 7251,
  [7412] = 7412,
  [7413] = 7407,
  [7414] = 7305,
  [7415] = 7415,
  [7416] = 7267,
  [7417] = 7417,
  [7418] = 7258,
  [7419] = 7300,
  [7420] = 7420,
  [7421] = 7421,
  [7422] = 7268,
  [7423] = 7423,
  [7424] = 7263,
  [7425] = 7264,
  [7426] = 7251,
  [7427] = 7271,
  [7428] = 7277,
  [7429] = 7429,
  [7430] = 7255,
  [7431] = 7431,
  [7432] = 7265,
  [7433] = 7279,
  [7434] = 178,
  [7435] = 7435,
  [7436] = 7267,
  [7437] = 7259,
  [7438] = 7257,
  [7439] = 7268,
  [7440] = 7253,
  [7441] = 7441,
  [7442] = 2908,
  [7443] = 7258,
  [7444] = 7279,
  [7445] = 7445,
  [7446] = 2910,
  [7447] = 7447,
  [7448] = 7408,
  [7449] = 7270,
  [7450] = 6781,
  [7451] = 7301,
  [7452] = 7253,
  [7453] = 7254,
  [7454] = 7454,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7259,
  [7458] = 7458,
  [7459] = 7265,
  [7460] = 7261,
  [7461] = 7261,
  [7462] = 7254,
  [7463] = 7263,
  [7464] = 7264,
  [7465] = 2849,
  [7466] = 7279,
  [7467] = 2850,
  [7468] = 7468,
  [7469] = 7300,
  [7470] = 7286,
  [7471] = 7314,
  [7472] = 7286,
  [7473] = 7295,
  [7474] = 7474,
  [7475] = 7301,
  [7476] = 7476,
  [7477] = 2853,
  [7478] = 7304,
  [7479] = 7305,
  [7480] = 7251,
  [7481] = 7481,
  [7482] = 7267,
  [7483] = 7268,
  [7484] = 7484,
  [7485] = 7301,
  [7486] = 7315,
  [7487] = 7487,
  [7488] = 7488,
  [7489] = 7258,
  [7490] = 7339,
  [7491] = 7340,
  [7492] = 7270,
  [7493] = 7315,
  [7494] = 7494,
  [7495] = 7447,
  [7496] = 7352,
  [7497] = 7252,
  [7498] = 7262,
  [7499] = 7271,
  [7500] = 2855,
  [7501] = 7384,
  [7502] = 7304,
  [7503] = 7305,
  [7504] = 7251,
  [7505] = 7267,
  [7506] = 7268,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7454,
  [7510] = 7263,
  [7511] = 7314,
  [7512] = 7429,
  [7513] = 7315,
  [7514] = 7384,
  [7515] = 2871,
  [7516] = 7516,
  [7517] = 7398,
  [7518] = 7399,
  [7519] = 7264,
  [7520] = 7256,
  [7521] = 7277,
  [7522] = 7476,
  [7523] = 7408,
  [7524] = 7300,
  [7525] = 7407,
  [7526] = 7253,
  [7527] = 7255,
  [7528] = 7279,
  [7529] = 7300,
  [7530] = 7339,
  [7531] = 7257,
  [7532] = 7532,
  [7533] = 7340,
  [7534] = 7254,
  [7535] = 7258,
  [7536] = 7476,
  [7537] = 7270,
  [7538] = 7253,
  [7539] = 7254,
  [7540] = 7540,
  [7541] = 7259,
  [7542] = 7398,
  [7543] = 7399,
  [7544] = 7544,
  [7545] = 7259,
  [7546] = 7546,
  [7547] = 7265,
  [7548] = 7261,
  [7549] = 7549,
  [7550] = 7408,
  [7551] = 7300,
  [7552] = 7552,
  [7553] = 7553,
  [7554] = 7263,
  [7555] = 7264,
  [7556] = 7556,
  [7557] = 7557,
  [7558] = 7558,
  [7559] = 7279,
  [7560] = 7352,
  [7561] = 7252,
  [7562] = 7399,
  [7563] = 7286,
  [7564] = 7301,
  [7565] = 7408,
  [7566] = 7304,
  [7567] = 7305,
  [7568] = 7251,
  [7569] = 7267,
  [7570] = 7268,
  [7571] = 7262,
  [7572] = 7315,
  [7573] = 7271,
  [7574] = 7399,
  [7575] = 7408,
  [7576] = 7339,
  [7577] = 7340,
  [7578] = 7270,
  [7579] = 7579,
  [7580] = 7352,
  [7581] = 7252,
  [7582] = 7262,
  [7583] = 7271,
  [7584] = 7399,
  [7585] = 7447,
  [7586] = 7586,
  [7587] = 7408,
  [7588] = 7588,
  [7589] = 7398,
  [7590] = 7590,
  [7591] = 7591,
  [7592] = 7592,
  [7593] = 7399,
  [7594] = 7399,
  [7595] = 7399,
  [7596] = 7407,
  [7597] = 7399,
  [7598] = 7399,
  [7599] = 7599,
  [7600] = 7352,
  [7601] = 7255,
  [7602] = 7252,
  [7603] = 2824,
  [7604] = 7604,
  [7605] = 7605,
  [7606] = 7257,
  [7607] = 7607,
  [7608] = 7608,
  [7609] = 7339,
  [7610] = 7258,
  [7611] = 7340,
  [7612] = 7612,
  [7613] = 7253,
  [7614] = 7614,
  [7615] = 7254,
  [7616] = 7258,
  [7617] = 7270,
  [7618] = 7618,
  [7619] = 7619,
  [7620] = 7265,
  [7621] = 7261,
  [7622] = 7382,
  [7623] = 7263,
  [7624] = 7264,
  [7625] = 7279,
  [7626] = 7626,
  [7627] = 7382,
  [7628] = 7628,
  [7629] = 7286,
  [7630] = 7304,
  [7631] = 7305,
  [7632] = 7251,
  [7633] = 7267,
  [7634] = 7268,
  [7635] = 7635,
  [7636] = 7636,
  [7637] = 7637,
  [7638] = 7315,
  [7639] = 7339,
  [7640] = 7340,
  [7641] = 7270,
  [7642] = 7407,
  [7643] = 7352,
  [7644] = 7252,
  [7645] = 7262,
  [7646] = 7399,
  [7647] = 7647,
  [7648] = 7648,
  [7649] = 7286,
  [7650] = 7398,
  [7651] = 7407,
  [7652] = 7407,
  [7653] = 7653,
  [7654] = 7382,
  [7655] = 7255,
  [7656] = 7255,
  [7657] = 7657,
  [7658] = 7257,
  [7659] = 7659,
  [7660] = 7258,
  [7661] = 7253,
  [7662] = 7662,
  [7663] = 7261,
  [7664] = 7664,
  [7665] = 7407,
  [7666] = 7666,
  [7667] = 7263,
  [7668] = 7264,
  [7669] = 7257,
  [7670] = 7314,
  [7671] = 7262,
  [7672] = 7251,
  [7673] = 7267,
  [7674] = 7268,
  [7675] = 7255,
  [7676] = 7676,
  [7677] = 7258,
  [7678] = 7270,
  [7679] = 7352,
  [7680] = 7257,
  [7681] = 7398,
  [7682] = 7682,
  [7683] = 7683,
  [7684] = 7684,
  [7685] = 7685,
  [7686] = 7686,
  [7687] = 7687,
  [7688] = 7688,
  [7689] = 7689,
  [7690] = 7690,
  [7691] = 7691,
  [7692] = 7692,
  [7693] = 7693,
  [7694] = 7694,
  [7695] = 7695,
  [7696] = 7696,
  [7697] = 7690,
  [7698] = 7698,
  [7699] = 7699,
  [7700] = 7700,
  [7701] = 7701,
  [7702] = 7702,
  [7703] = 7689,
  [7704] = 7704,
  [7705] = 7705,
  [7706] = 7690,
  [7707] = 7707,
  [7708] = 7707,
  [7709] = 7709,
  [7710] = 7705,
  [7711] = 7711,
  [7712] = 7712,
  [7713] = 7713,
  [7714] = 7714,
  [7715] = 7690,
  [7716] = 7716,
  [7717] = 7691,
  [7718] = 7718,
  [7719] = 7719,
  [7720] = 7720,
  [7721] = 7721,
  [7722] = 7722,
  [7723] = 7723,
  [7724] = 7724,
  [7725] = 7725,
  [7726] = 7698,
  [7727] = 7727,
  [7728] = 7728,
  [7729] = 7719,
  [7730] = 7698,
  [7731] = 7731,
  [7732] = 7732,
  [7733] = 7733,
  [7734] = 7696,
  [7735] = 7735,
  [7736] = 7713,
  [7737] = 7737,
  [7738] = 7738,
  [7739] = 7698,
  [7740] = 7709,
  [7741] = 7707,
  [7742] = 7718,
  [7743] = 7743,
  [7744] = 7707,
  [7745] = 7693,
  [7746] = 7716,
  [7747] = 7747,
  [7748] = 7719,
  [7749] = 7749,
  [7750] = 7707,
  [7751] = 7707,
  [7752] = 7752,
  [7753] = 7720,
  [7754] = 7713,
  [7755] = 7755,
  [7756] = 7688,
  [7757] = 7707,
  [7758] = 7691,
  [7759] = 7692,
  [7760] = 7760,
  [7761] = 7694,
  [7762] = 7755,
  [7763] = 7705,
  [7764] = 7721,
  [7765] = 7725,
  [7766] = 7766,
  [7767] = 7690,
  [7768] = 7693,
  [7769] = 7769,
  [7770] = 7701,
  [7771] = 7702,
  [7772] = 7701,
  [7773] = 7689,
  [7774] = 7704,
  [7775] = 7709,
  [7776] = 7766,
  [7777] = 7735,
  [7778] = 7778,
  [7779] = 7713,
  [7780] = 7693,
  [7781] = 7714,
  [7782] = 7707,
  [7783] = 7738,
  [7784] = 7784,
  [7785] = 7718,
  [7786] = 7719,
  [7787] = 7728,
  [7788] = 7788,
  [7789] = 7749,
  [7790] = 7725,
  [7791] = 7728,
  [7792] = 7690,
  [7793] = 7793,
  [7794] = 7731,
  [7795] = 7743,
  [7796] = 7743,
  [7797] = 7797,
  [7798] = 7688,
  [7799] = 7691,
  [7800] = 7731,
  [7801] = 7694,
  [7802] = 7743,
  [7803] = 7803,
  [7804] = 7716,
  [7805] = 7696,
  [7806] = 7701,
  [7807] = 7702,
  [7808] = 7704,
  [7809] = 7809,
  [7810] = 7723,
  [7811] = 7707,
  [7812] = 7705,
  [7813] = 7755,
  [7814] = 7725,
  [7815] = 7728,
  [7816] = 7727,
  [7817] = 7752,
  [7818] = 7707,
  [7819] = 7718,
  [7820] = 7727,
  [7821] = 7719,
  [7822] = 7707,
  [7823] = 7707,
  [7824] = 7714,
  [7825] = 7725,
  [7826] = 7731,
  [7827] = 7809,
  [7828] = 7828,
  [7829] = 7705,
  [7830] = 7720,
  [7831] = 7721,
  [7832] = 7688,
  [7833] = 7833,
  [7834] = 7694,
  [7835] = 7716,
  [7836] = 7723,
  [7837] = 7720,
  [7838] = 7701,
  [7839] = 7721,
  [7840] = 7704,
  [7841] = 7723,
  [7842] = 7694,
  [7843] = 7692,
  [7844] = 7684,
  [7845] = 7797,
  [7846] = 7727,
  [7847] = 7847,
  [7848] = 7714,
  [7849] = 7719,
  [7850] = 7709,
  [7851] = 7688,
  [7852] = 7752,
  [7853] = 7853,
  [7854] = 7725,
  [7855] = 7749,
  [7856] = 7731,
  [7857] = 7752,
  [7858] = 7755,
  [7859] = 7683,
  [7860] = 7688,
  [7861] = 7755,
  [7862] = 7694,
  [7863] = 7702,
  [7864] = 7728,
  [7865] = 7701,
  [7866] = 7683,
  [7867] = 7797,
  [7868] = 7868,
  [7869] = 7869,
  [7870] = 7870,
  [7871] = 7766,
  [7872] = 7719,
  [7873] = 7693,
  [7874] = 7692,
  [7875] = 7718,
  [7876] = 7725,
  [7877] = 7797,
  [7878] = 7755,
  [7879] = 7879,
  [7880] = 7690,
  [7881] = 7881,
  [7882] = 7688,
  [7883] = 7809,
  [7884] = 7694,
  [7885] = 7701,
  [7886] = 7719,
  [7887] = 7707,
  [7888] = 7701,
  [7889] = 7755,
  [7890] = 7701,
  [7891] = 7690,
  [7892] = 7892,
  [7893] = 7695,
  [7894] = 7894,
  [7895] = 7698,
  [7896] = 7896,
  [7897] = 7700,
  [7898] = 7898,
  [7899] = 7766,
  [7900] = 7803,
  [7901] = 7690,
  [7902] = 7702,
  [7903] = 7690,
  [7904] = 7784,
  [7905] = 7698,
  [7906] = 7735,
  [7907] = 7683,
  [7908] = 7797,
  [7909] = 7738,
  [7910] = 7803,
  [7911] = 7707,
  [7912] = 7912,
  [7913] = 7696,
  [7914] = 7705,
  [7915] = 7803,
  [7916] = 7743,
  [7917] = 7707,
  [7918] = 7918,
  [7919] = 7752,
  [7920] = 7699,
  [7921] = 7809,
  [7922] = 7696,
  [7923] = 7766,
  [7924] = 7809,
  [7925] = 7755,
  [7926] = 7695,
  [7927] = 7735,
  [7928] = 7693,
  [7929] = 7766,
  [7930] = 7693,
  [7931] = 7705,
  [7932] = 7932,
  [7933] = 7933,
  [7934] = 7699,
  [7935] = 7755,
  [7936] = 7727,
  [7937] = 7690,
  [7938] = 7727,
  [7939] = 7939,
  [7940] = 7700,
  [7941] = 7716,
  [7942] = 7797,
  [7943] = 7690,
  [7944] = 7944,
  [7945] = 7803,
  [7946] = 7705,
  [7947] = 7727,
  [7948] = 7688,
  [7949] = 7684,
  [7950] = 7714,
  [7951] = 7951,
  [7952] = 7952,
  [7953] = 7690,
  [7954] = 7714,
  [7955] = 7955,
  [7956] = 7683,
  [7957] = 7705,
  [7958] = 7720,
  [7959] = 7691,
  [7960] = 7692,
  [7961] = 7698,
  [7962] = 7716,
  [7963] = 7727,
  [7964] = 7720,
  [7965] = 7766,
  [7966] = 7693,
  [7967] = 7721,
  [7968] = 7727,
  [7969] = 7723,
  [7970] = 7699,
  [7971] = 7683,
  [7972] = 7721,
  [7973] = 7713,
  [7974] = 7743,
  [7975] = 7694,
  [7976] = 7728,
  [7977] = 7766,
  [7978] = 7709,
  [7979] = 7693,
  [7980] = 7692,
  [7981] = 7698,
  [7982] = 7982,
  [7983] = 7732,
  [7984] = 7735,
  [7985] = 7690,
  [7986] = 7727,
  [7987] = 7690,
  [7988] = 7731,
  [7989] = 7723,
  [7990] = 7690,
  [7991] = 7699,
  [7992] = 7766,
  [7993] = 7993,
  [7994] = 7698,
  [7995] = 7707,
  [7996] = 7709,
  [7997] = 7695,
  [7998] = 7738,
  [7999] = 7701,
  [8000] = 7868,
  [8001] = 7735,
  [8002] = 7704,
  [8003] = 7700,
  [8004] = 7693,
  [8005] = 8005,
  [8006] = 7702,
  [8007] = 7690,
  [8008] = 7707,
  [8009] = 7784,
  [8010] = 7699,
  [8011] = 7712,
  [8012] = 7707,
  [8013] = 7755,
  [8014] = 7698,
  [8015] = 7797,
  [8016] = 7766,
  [8017] = 7693,
  [8018] = 7727,
  [8019] = 7766,
  [8020] = 7693,
  [8021] = 7803,
  [8022] = 7689,
  [8023] = 7732,
  [8024] = 7704,
  [8025] = 7735,
  [8026] = 8026,
  [8027] = 8027,
  [8028] = 7690,
  [8029] = 7714,
  [8030] = 7738,
  [8031] = 7698,
  [8032] = 7749,
  [8033] = 7698,
  [8034] = 7689,
  [8035] = 7732,
  [8036] = 7705,
  [8037] = 8037,
  [8038] = 7727,
  [8039] = 7707,
  [8040] = 7738,
  [8041] = 7752,
  [8042] = 7684,
  [8043] = 8043,
  [8044] = 7696,
  [8045] = 7714,
  [8046] = 7689,
  [8047] = 8047,
  [8048] = 7712,
  [8049] = 7809,
  [8050] = 7784,
  [8051] = 7732,
  [8052] = 7683,
  [8053] = 7712,
  [8054] = 7712,
  [8055] = 7735,
  [8056] = 7690,
  [8057] = 7735,
  [8058] = 7712,
  [8059] = 7712,
  [8060] = 7712,
  [8061] = 7712,
  [8062] = 7712,
  [8063] = 7712,
  [8064] = 7712,
  [8065] = 7712,
  [8066] = 7712,
  [8067] = 7712,
  [8068] = 7712,
  [8069] = 7712,
  [8070] = 7743,
  [8071] = 7738,
  [8072] = 7766,
  [8073] = 8073,
  [8074] = 8074,
  [8075] = 8075,
  [8076] = 8076,
  [8077] = 8077,
  [8078] = 8078,
  [8079] = 8079,
  [8080] = 8080,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 8083,
  [8084] = 8084,
  [8085] = 8085,
  [8086] = 8086,
  [8087] = 8087,
  [8088] = 8088,
  [8089] = 8075,
  [8090] = 8090,
  [8091] = 8091,
  [8092] = 8078,
  [8093] = 8081,
  [8094] = 8094,
  [8095] = 8085,
  [8096] = 8094,
  [8097] = 8097,
  [8098] = 8098,
  [8099] = 8099,
  [8100] = 8083,
  [8101] = 8086,
  [8102] = 8102,
  [8103] = 8103,
  [8104] = 8087,
  [8105] = 8105,
  [8106] = 8106,
  [8107] = 8103,
  [8108] = 8108,
  [8109] = 8109,
  [8110] = 8110,
  [8111] = 8111,
  [8112] = 8079,
  [8113] = 8113,
  [8114] = 8114,
  [8115] = 8115,
  [8116] = 8116,
  [8117] = 8117,
  [8118] = 8118,
  [8119] = 8075,
  [8120] = 8078,
  [8121] = 8121,
  [8122] = 8081,
  [8123] = 8123,
  [8124] = 8124,
  [8125] = 8125,
  [8126] = 8087,
  [8127] = 8127,
  [8128] = 8128,
  [8129] = 8129,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 8087,
  [8133] = 8097,
  [8134] = 8134,
  [8135] = 8135,
  [8136] = 8136,
  [8137] = 8117,
  [8138] = 8091,
  [8139] = 5782,
  [8140] = 8098,
  [8141] = 8083,
  [8142] = 8103,
  [8143] = 8143,
  [8144] = 8144,
  [8145] = 8145,
  [8146] = 8146,
  [8147] = 8147,
  [8148] = 8148,
  [8149] = 8149,
  [8150] = 8150,
  [8151] = 8151,
  [8152] = 8152,
  [8153] = 8153,
  [8154] = 8115,
  [8155] = 8155,
  [8156] = 8156,
  [8157] = 8121,
  [8158] = 8156,
  [8159] = 8110,
  [8160] = 8097,
  [8161] = 8161,
  [8162] = 8162,
  [8163] = 8163,
  [8164] = 8164,
  [8165] = 8165,
  [8166] = 8166,
  [8167] = 2456,
  [8168] = 8168,
  [8169] = 8075,
  [8170] = 8110,
  [8171] = 8087,
  [8172] = 8172,
  [8173] = 8106,
  [8174] = 8078,
  [8175] = 8081,
  [8176] = 8176,
  [8177] = 8079,
  [8178] = 8098,
  [8179] = 8179,
  [8180] = 8087,
  [8181] = 8181,
  [8182] = 8136,
  [8183] = 8110,
  [8184] = 8109,
  [8185] = 8185,
  [8186] = 8150,
  [8187] = 8187,
  [8188] = 8188,
  [8189] = 8079,
  [8190] = 8190,
  [8191] = 8074,
  [8192] = 8192,
  [8193] = 8193,
  [8194] = 8085,
  [8195] = 8086,
  [8196] = 8083,
  [8197] = 8113,
  [8198] = 8198,
  [8199] = 8085,
  [8200] = 8086,
  [8201] = 8144,
  [8202] = 8123,
  [8203] = 8203,
  [8204] = 8164,
  [8205] = 8205,
  [8206] = 8206,
  [8207] = 8103,
  [8208] = 8130,
  [8209] = 8108,
  [8210] = 8117,
  [8211] = 8103,
  [8212] = 8212,
  [8213] = 8203,
  [8214] = 8214,
  [8215] = 8115,
  [8216] = 8121,
  [8217] = 8108,
  [8218] = 8203,
  [8219] = 8156,
  [8220] = 8220,
  [8221] = 8147,
  [8222] = 8087,
  [8223] = 8223,
  [8224] = 8152,
  [8225] = 8225,
  [8226] = 8162,
  [8227] = 8220,
  [8228] = 8088,
  [8229] = 8229,
  [8230] = 8193,
  [8231] = 8231,
  [8232] = 8165,
  [8233] = 8136,
  [8234] = 8117,
  [8235] = 8235,
  [8236] = 8151,
  [8237] = 8237,
  [8238] = 8172,
  [8239] = 8098,
  [8240] = 8156,
  [8241] = 8162,
  [8242] = 8083,
  [8243] = 8105,
  [8244] = 8098,
  [8245] = 2457,
  [8246] = 8147,
  [8247] = 8102,
  [8248] = 8248,
  [8249] = 8106,
  [8250] = 8150,
  [8251] = 8251,
  [8252] = 8252,
  [8253] = 8098,
  [8254] = 8109,
  [8255] = 8162,
  [8256] = 8155,
  [8257] = 8085,
  [8258] = 8086,
  [8259] = 8259,
  [8260] = 8113,
  [8261] = 8103,
  [8262] = 8115,
  [8263] = 8108,
  [8264] = 8264,
  [8265] = 8206,
  [8266] = 8266,
  [8267] = 8130,
  [8268] = 8268,
  [8269] = 8155,
  [8270] = 8270,
  [8271] = 8220,
  [8272] = 8075,
  [8273] = 8078,
  [8274] = 8081,
  [8275] = 8275,
  [8276] = 8276,
  [8277] = 8277,
  [8278] = 8205,
  [8279] = 8087,
  [8280] = 5752,
  [8281] = 8076,
  [8282] = 8152,
  [8283] = 8110,
  [8284] = 8114,
  [8285] = 8097,
  [8286] = 8094,
  [8287] = 8287,
  [8288] = 8288,
  [8289] = 8165,
  [8290] = 8098,
  [8291] = 8156,
  [8292] = 8115,
  [8293] = 8293,
  [8294] = 8294,
  [8295] = 8172,
  [8296] = 8166,
  [8297] = 8098,
  [8298] = 8099,
  [8299] = 8193,
  [8300] = 8113,
  [8301] = 8301,
  [8302] = 8083,
  [8303] = 8114,
  [8304] = 8152,
  [8305] = 8102,
  [8306] = 8306,
  [8307] = 8150,
  [8308] = 8308,
  [8309] = 8130,
  [8310] = 8109,
  [8311] = 8311,
  [8312] = 8312,
  [8313] = 8098,
  [8314] = 8085,
  [8315] = 8086,
  [8316] = 8181,
  [8317] = 8113,
  [8318] = 8193,
  [8319] = 8163,
  [8320] = 8237,
  [8321] = 8083,
  [8322] = 8277,
  [8323] = 8323,
  [8324] = 8324,
  [8325] = 8325,
  [8326] = 8326,
  [8327] = 8327,
  [8328] = 8097,
  [8329] = 8229,
  [8330] = 8185,
  [8331] = 8220,
  [8332] = 8248,
  [8333] = 8152,
  [8334] = 8277,
  [8335] = 8335,
  [8336] = 8336,
  [8337] = 8110,
  [8338] = 8220,
  [8339] = 8252,
  [8340] = 8223,
  [8341] = 8266,
  [8342] = 5848,
  [8343] = 8172,
  [8344] = 8123,
  [8345] = 8345,
  [8346] = 8229,
  [8347] = 8347,
  [8348] = 8348,
  [8349] = 8349,
  [8350] = 8350,
  [8351] = 8088,
  [8352] = 8352,
  [8353] = 8147,
  [8354] = 8354,
  [8355] = 8287,
  [8356] = 8356,
  [8357] = 8076,
  [8358] = 8358,
  [8359] = 8085,
  [8360] = 8086,
  [8361] = 8098,
  [8362] = 8362,
  [8363] = 8363,
  [8364] = 8364,
  [8365] = 8365,
  [8366] = 8366,
  [8367] = 8367,
  [8368] = 8152,
  [8369] = 8129,
  [8370] = 8370,
  [8371] = 8134,
  [8372] = 8172,
  [8373] = 8373,
  [8374] = 8193,
  [8375] = 8375,
  [8376] = 8086,
  [8377] = 8083,
  [8378] = 8378,
  [8379] = 8130,
  [8380] = 8380,
  [8381] = 8381,
  [8382] = 8152,
  [8383] = 8223,
  [8384] = 8115,
  [8385] = 8172,
  [8386] = 8237,
  [8387] = 8387,
  [8388] = 8086,
  [8389] = 8156,
  [8390] = 8162,
  [8391] = 8391,
  [8392] = 8392,
  [8393] = 8152,
  [8394] = 8172,
  [8395] = 8086,
  [8396] = 8098,
  [8397] = 8155,
  [8398] = 8172,
  [8399] = 8086,
  [8400] = 8088,
  [8401] = 8088,
  [8402] = 8172,
  [8403] = 8086,
  [8404] = 8172,
  [8405] = 8086,
  [8406] = 8172,
  [8407] = 8086,
  [8408] = 8172,
  [8409] = 8086,
  [8410] = 8172,
  [8411] = 8086,
  [8412] = 8172,
  [8413] = 8086,
  [8414] = 8414,
  [8415] = 8415,
  [8416] = 8416,
  [8417] = 8417,
  [8418] = 8418,
  [8419] = 8327,
  [8420] = 8084,
  [8421] = 8294,
  [8422] = 8422,
  [8423] = 8423,
  [8424] = 8190,
  [8425] = 8266,
  [8426] = 8426,
  [8427] = 8427,
  [8428] = 8428,
  [8429] = 8103,
  [8430] = 8326,
  [8431] = 8364,
  [8432] = 8220,
  [8433] = 8433,
  [8434] = 8434,
  [8435] = 8364,
  [8436] = 8223,
  [8437] = 8124,
  [8438] = 8094,
  [8439] = 8080,
  [8440] = 8440,
  [8441] = 8441,
  [8442] = 8350,
  [8443] = 8443,
  [8444] = 8444,
  [8445] = 8287,
  [8446] = 8103,
  [8447] = 8163,
  [8448] = 8448,
  [8449] = 8127,
  [8450] = 8090,
  [8451] = 8147,
  [8452] = 8164,
  [8453] = 8277,
  [8454] = 8454,
  [8455] = 8082,
  [8456] = 8076,
  [8457] = 8454,
  [8458] = 8076,
  [8459] = 8136,
  [8460] = 8074,
  [8461] = 8083,
  [8462] = 8091,
  [8463] = 8117,
  [8464] = 8094,
  [8465] = 8083,
  [8466] = 8466,
  [8467] = 8136,
  [8468] = 8468,
  [8469] = 8469,
  [8470] = 8097,
  [8471] = 8471,
  [8472] = 8472,
  [8473] = 8110,
  [8474] = 8293,
  [8475] = 8266,
  [8476] = 8441,
  [8477] = 8477,
  [8478] = 8478,
  [8479] = 8099,
  [8480] = 8350,
  [8481] = 8103,
  [8482] = 8108,
  [8483] = 8115,
  [8484] = 8287,
  [8485] = 8094,
  [8486] = 8288,
  [8487] = 8487,
  [8488] = 8091,
  [8489] = 8074,
  [8490] = 8124,
  [8491] = 8363,
  [8492] = 8083,
  [8493] = 8493,
  [8494] = 8136,
  [8495] = 8229,
  [8496] = 8496,
  [8497] = 8148,
  [8498] = 8102,
  [8499] = 8147,
  [8500] = 8350,
  [8501] = 8501,
  [8502] = 8150,
  [8503] = 8503,
  [8504] = 8155,
  [8505] = 8143,
  [8506] = 8248,
  [8507] = 8356,
  [8508] = 8147,
  [8509] = 8509,
  [8510] = 8510,
  [8511] = 8454,
  [8512] = 8109,
  [8513] = 8277,
  [8514] = 8514,
  [8515] = 8075,
  [8516] = 8078,
  [8517] = 8081,
  [8518] = 8110,
  [8519] = 8109,
  [8520] = 8088,
  [8521] = 8087,
  [8522] = 8522,
  [8523] = 8110,
  [8524] = 8524,
  [8525] = 8525,
  [8526] = 8148,
  [8527] = 8115,
  [8528] = 8528,
  [8529] = 8529,
  [8530] = 8356,
  [8531] = 8531,
  [8532] = 8532,
  [8533] = 8193,
  [8534] = 8147,
  [8535] = 8324,
  [8536] = 8115,
  [8537] = 8537,
  [8538] = 8538,
  [8539] = 8364,
  [8540] = 8540,
  [8541] = 8541,
  [8542] = 8542,
  [8543] = 8364,
  [8544] = 8220,
  [8545] = 8366,
  [8546] = 8223,
  [8547] = 8129,
  [8548] = 8356,
  [8549] = 8387,
  [8550] = 8155,
  [8551] = 5824,
  [8552] = 8552,
  [8553] = 8164,
  [8554] = 8554,
  [8555] = 8080,
  [8556] = 8121,
  [8557] = 8156,
  [8558] = 8156,
  [8559] = 8162,
  [8560] = 8364,
  [8561] = 8134,
  [8562] = 8098,
  [8563] = 8162,
  [8564] = 8564,
  [8565] = 8364,
  [8566] = 8366,
  [8567] = 8567,
  [8568] = 8366,
  [8569] = 8129,
  [8570] = 8134,
  [8571] = 8571,
  [8572] = 8572,
  [8573] = 8573,
  [8574] = 8074,
  [8575] = 8575,
  [8576] = 8098,
  [8577] = 8129,
  [8578] = 8094,
  [8579] = 6980,
  [8580] = 8134,
  [8581] = 8581,
  [8582] = 8091,
  [8583] = 8123,
  [8584] = 8103,
  [8585] = 8417,
  [8586] = 8454,
  [8587] = 8477,
  [8588] = 8074,
  [8589] = 8083,
  [8590] = 8098,
  [8591] = 8102,
  [8592] = 8152,
  [8593] = 8593,
  [8594] = 8109,
  [8595] = 8595,
  [8596] = 8323,
  [8597] = 8205,
  [8598] = 8567,
  [8599] = 8136,
  [8600] = 8600,
  [8601] = 8083,
  [8602] = 8602,
  [8603] = 8572,
  [8604] = 8572,
  [8605] = 8076,
  [8606] = 8606,
  [8607] = 8607,
  [8608] = 8608,
  [8609] = 8113,
  [8610] = 8114,
  [8611] = 8572,
  [8612] = 8214,
  [8613] = 8155,
  [8614] = 8614,
  [8615] = 8615,
  [8616] = 8616,
  [8617] = 8266,
  [8618] = 8094,
  [8619] = 8323,
  [8620] = 8097,
  [8621] = 8350,
  [8622] = 8417,
  [8623] = 8084,
  [8624] = 8294,
  [8625] = 8190,
  [8626] = 8528,
  [8627] = 8426,
  [8628] = 8287,
  [8629] = 8629,
  [8630] = 8364,
  [8631] = 8144,
  [8632] = 8366,
  [8633] = 8633,
  [8634] = 8441,
  [8635] = 8635,
  [8636] = 8443,
  [8637] = 8637,
  [8638] = 8638,
  [8639] = 8206,
  [8640] = 8127,
  [8641] = 8090,
  [8642] = 8454,
  [8643] = 8082,
  [8644] = 8567,
  [8645] = 8645,
  [8646] = 8136,
  [8647] = 8468,
  [8648] = 8364,
  [8649] = 8366,
  [8650] = 8129,
  [8651] = 8134,
  [8652] = 8288,
  [8653] = 8363,
  [8654] = 8654,
  [8655] = 8123,
  [8656] = 8214,
  [8657] = 8417,
  [8658] = 8084,
  [8659] = 8190,
  [8660] = 8660,
  [8661] = 8426,
  [8662] = 8301,
  [8663] = 8663,
  [8664] = 8441,
  [8665] = 8665,
  [8666] = 8443,
  [8667] = 8136,
  [8668] = 8098,
  [8669] = 8127,
  [8670] = 8090,
  [8671] = 8660,
  [8672] = 8468,
  [8673] = 8323,
  [8674] = 8674,
  [8675] = 8675,
  [8676] = 8130,
  [8677] = 8288,
  [8678] = 8363,
  [8679] = 8083,
  [8680] = 8567,
  [8681] = 8417,
  [8682] = 8084,
  [8683] = 8190,
  [8684] = 8606,
  [8685] = 8426,
  [8686] = 8686,
  [8687] = 8687,
  [8688] = 8441,
  [8689] = 8443,
  [8690] = 8690,
  [8691] = 8148,
  [8692] = 8127,
  [8693] = 8090,
  [8694] = 8083,
  [8695] = 8468,
  [8696] = 8364,
  [8697] = 8477,
  [8698] = 8079,
  [8699] = 8288,
  [8700] = 8363,
  [8701] = 8606,
  [8702] = 8417,
  [8703] = 8084,
  [8704] = 8190,
  [8705] = 8151,
  [8706] = 8426,
  [8707] = 8129,
  [8708] = 8134,
  [8709] = 8443,
  [8710] = 8472,
  [8711] = 8225,
  [8712] = 8127,
  [8713] = 8090,
  [8714] = 8356,
  [8715] = 8468,
  [8716] = 8102,
  [8717] = 8717,
  [8718] = 8165,
  [8719] = 8288,
  [8720] = 8363,
  [8721] = 8721,
  [8722] = 8417,
  [8723] = 8084,
  [8724] = 8136,
  [8725] = 8426,
  [8726] = 8301,
  [8727] = 8727,
  [8728] = 8356,
  [8729] = 8528,
  [8730] = 8127,
  [8731] = 8090,
  [8732] = 8105,
  [8733] = 8606,
  [8734] = 8097,
  [8735] = 8097,
  [8736] = 8288,
  [8737] = 8737,
  [8738] = 8417,
  [8739] = 8084,
  [8740] = 8426,
  [8741] = 8364,
  [8742] = 8090,
  [8743] = 8324,
  [8744] = 8080,
  [8745] = 8288,
  [8746] = 8366,
  [8747] = 8417,
  [8748] = 8084,
  [8749] = 8426,
  [8750] = 8129,
  [8751] = 8090,
  [8752] = 8136,
  [8753] = 8288,
  [8754] = 8417,
  [8755] = 8084,
  [8756] = 8426,
  [8757] = 8090,
  [8758] = 8288,
  [8759] = 8084,
  [8760] = 8090,
  [8761] = 8288,
  [8762] = 8084,
  [8763] = 8090,
  [8764] = 8288,
  [8765] = 8090,
  [8766] = 8288,
  [8767] = 8090,
  [8768] = 8288,
  [8769] = 8090,
  [8770] = 8288,
  [8771] = 8090,
  [8772] = 8288,
  [8773] = 8090,
  [8774] = 8288,
  [8775] = 8134,
  [8776] = 8113,
  [8777] = 8294,
  [8778] = 8348,
  [8779] = 8362,
  [8780] = 8117,
  [8781] = 8575,
  [8782] = 8782,
  [8783] = 8356,
  [8784] = 8784,
  [8785] = 8103,
  [8786] = 8786,
  [8787] = 8099,
  [8788] = 8788,
  [8789] = 8789,
  [8790] = 8115,
  [8791] = 8791,
  [8792] = 8103,
  [8793] = 8082,
  [8794] = 8572,
  [8795] = 8795,
  [8796] = 8364,
  [8797] = 8443,
  [8798] = 8466,
  [8799] = 8675,
  [8800] = 8366,
  [8801] = 8801,
  [8802] = 8193,
  [8803] = 8803,
  [8804] = 8129,
  [8805] = 8136,
  [8806] = 8134,
  [8807] = 8381,
  [8808] = 8220,
  [8809] = 8147,
  [8810] = 8108,
  [8811] = 8152,
  [8812] = 8097,
  [8813] = 8323,
  [8814] = 8575,
  [8815] = 8567,
  [8816] = 8237,
  [8817] = 8817,
  [8818] = 8606,
  [8819] = 8819,
  [8820] = 8147,
  [8821] = 8468,
  [8822] = 8087,
  [8823] = 8172,
  [8824] = 8110,
  [8825] = 8364,
  [8826] = 8259,
  [8827] = 8166,
  [8828] = 8828,
  [8829] = 8098,
  [8830] = 8075,
  [8831] = 8572,
  [8832] = 8110,
  [8833] = 8220,
  [8834] = 8252,
  [8835] = 8181,
  [8836] = 8083,
  [8837] = 8837,
  [8838] = 8259,
  [8839] = 8660,
  [8840] = 8840,
  [8841] = 8301,
  [8842] = 8102,
  [8843] = 8660,
  [8844] = 8301,
  [8845] = 8845,
  [8846] = 8220,
  [8847] = 8223,
  [8848] = 8223,
  [8849] = 8849,
  [8850] = 8163,
  [8851] = 8851,
  [8852] = 8164,
  [8853] = 8853,
  [8854] = 8165,
  [8855] = 8079,
  [8856] = 8477,
  [8857] = 8163,
  [8858] = 8163,
  [8859] = 8156,
  [8860] = 8098,
  [8861] = 8606,
  [8862] = 8110,
  [8863] = 8164,
  [8864] = 8248,
  [8865] = 8294,
  [8866] = 8348,
  [8867] = 8362,
  [8868] = 8165,
  [8869] = 8172,
  [8870] = 8136,
  [8871] = 8082,
  [8872] = 8454,
  [8873] = 8466,
  [8874] = 8675,
  [8875] = 8080,
  [8876] = 8876,
  [8877] = 8094,
  [8878] = 8426,
  [8879] = 8294,
  [8880] = 8348,
  [8881] = 8362,
  [8882] = 8882,
  [8883] = 8185,
  [8884] = 8082,
  [8885] = 8466,
  [8886] = 8675,
  [8887] = 8887,
  [8888] = 8888,
  [8889] = 8083,
  [8890] = 8348,
  [8891] = 8362,
  [8892] = 8078,
  [8893] = 8080,
  [8894] = 8466,
  [8895] = 8675,
  [8896] = 8326,
  [8897] = 8110,
  [8898] = 8348,
  [8899] = 8362,
  [8900] = 8225,
  [8901] = 8901,
  [8902] = 8466,
  [8903] = 8675,
  [8904] = 8091,
  [8905] = 8348,
  [8906] = 8362,
  [8907] = 8074,
  [8908] = 8466,
  [8909] = 8675,
  [8910] = 8277,
  [8911] = 8466,
  [8912] = 8675,
  [8913] = 8477,
  [8914] = 8675,
  [8915] = 8176,
  [8916] = 8675,
  [8917] = 8387,
  [8918] = 8675,
  [8919] = 8919,
  [8920] = 8675,
  [8921] = 8477,
  [8922] = 8675,
  [8923] = 8229,
  [8924] = 8675,
  [8925] = 8366,
  [8926] = 8675,
  [8927] = 8081,
  [8928] = 8675,
  [8929] = 8929,
  [8930] = 8675,
  [8931] = 8581,
  [8932] = 8929,
  [8933] = 8080,
  [8934] = 8581,
  [8935] = 8929,
  [8936] = 8172,
  [8937] = 8581,
  [8938] = 8929,
  [8939] = 8466,
  [8940] = 8581,
  [8941] = 8929,
  [8942] = 8203,
  [8943] = 8581,
  [8944] = 8929,
  [8945] = 8150,
  [8946] = 8929,
  [8947] = 8929,
  [8948] = 8929,
  [8949] = 8929,
  [8950] = 8929,
  [8951] = 8929,
  [8952] = 8929,
  [8953] = 8929,
  [8954] = 8929,
  [8955] = 8929,
  [8956] = 8929,
  [8957] = 8957,
  [8958] = 8958,
  [8959] = 8091,
  [8960] = 8454,
  [8961] = 8660,
  [8962] = 8595,
  [8963] = 8595,
  [8964] = 8595,
  [8965] = 8595,
  [8966] = 8595,
  [8967] = 8277,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(339);
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 285,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 343,
        ')', 346,
        '*', 426,
        '+', 420,
        ',', 345,
        '-', 409,
        '.', 490,
        '/', 428,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 468,
        '\\', 2,
        ']', 470,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 434,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(337);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(176);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(176);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(198);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(198);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(184);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(184);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(188);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(188);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(178);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(178);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(196);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(196);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(179);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(179);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(185);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(185);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(189);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(189);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(202);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(202);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(211);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(211);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(244);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(245);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(245);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(251);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(251);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(97);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 348,
        '!', 272,
        '%', 429,
        '&', 439,
        '(', 404,
        '*', 425,
        '+', 418,
        '-', 408,
        '/', 427,
        '<', 453,
        '=', 273,
        '>', 444,
      );
      if (lookahead == '\\') SKIP(98);
      if (lookahead == '^') ADVANCE(436);
      if (lookahead == '|') ADVANCE(435);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(246);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(246);
      if (lookahead == '\r') SKIP(100);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(250);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(250);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(234);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '\r') SKIP(106);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == '/') ADVANCE(526);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(529);
      if (lookahead != 0) ADVANCE(530);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(532);
      if (lookahead == '\r') ADVANCE(531);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      if (lookahead == 'x') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(534);
      if (lookahead != 0) ADVANCE(531);
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\'') ADVANCE(516);
      if (lookahead == '/') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(518);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(520);
      if (lookahead != 0) ADVANCE(517);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(341);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '(') ADVANCE(343);
      if (lookahead == '/') ADVANCE(369);
      if (lookahead == '\\') ADVANCE(364);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(264);
      if (lookahead != 0) ADVANCE(371);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(341);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '/') ADVANCE(369);
      if (lookahead == '\\') ADVANCE(364);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(264);
      if (lookahead != 0) ADVANCE(371);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(341);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '(') ADVANCE(404);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(341);
      if (lookahead == '(') ADVANCE(404);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 115:
      if (lookahead == '\n') ADVANCE(341);
      if (lookahead == '/') ADVANCE(369);
      if (lookahead == '\\') ADVANCE(364);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      if (lookahead != 0) ADVANCE(371);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(252);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(252);
      if (lookahead == '\r') SKIP(116);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(204);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(204);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(210);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(210);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(181);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(181);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(191);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(191);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(231);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '\r') SKIP(158);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(160);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 162:
      if (lookahead == '\r') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(634);
      if (lookahead != 0) ADVANCE(639);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 285,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 420,
        ',', 345,
        '-', 409,
        '.', 490,
        '/', 428,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 468,
        '\\', 2,
        ']', 470,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 434,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 294,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 420,
        ',', 345,
        '-', 410,
        '.', 490,
        '/', 428,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 119,
        ']', 470,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 434,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 294,
        '%', 429,
        '&', 439,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 421,
        ',', 345,
        '-', 411,
        '.', 490,
        '/', 427,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 143,
        ']', 470,
        '^', 436,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 435,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 420,
        ',', 345,
        '-', 409,
        '.', 490,
        '/', 428,
        '0', 498,
        ':', 271,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 24,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 434,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 404,
        '*', 426,
        '+', 420,
        ',', 345,
        '-', 410,
        '.', 490,
        '/', 428,
        '0', 498,
        ':', 271,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 26,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 434,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '%', 429,
        '&', 439,
        '\'', 516,
        '(', 404,
        '*', 425,
        '+', 421,
        ',', 345,
        '-', 411,
        '.', 490,
        '/', 427,
        '0', 498,
        ':', 271,
        '<', 452,
        '=', 273,
        '>', 641,
        '?', 475,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 121,
        '^', 436,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 435,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 406,
        '"', 236,
        '%', 430,
        '&', 440,
        '(', 253,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '/', 428,
        ':', 271,
        '<', 450,
        '=', 472,
        '>', 445,
        '[', 282,
        '\\', 20,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '|', 434,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 406,
        '"', 236,
        '%', 430,
        '&', 440,
        '(', 253,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 445,
        '[', 283,
        '\\', 76,
        '^', 437,
        '|', 434,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 405,
        '"', 525,
        '#', 285,
        '&', 439,
        '\'', 516,
        '(', 404,
        '*', 425,
        '+', 421,
        ',', 345,
        '-', 412,
        '.', 314,
        '/', 255,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 449,
        '>', 443,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 467,
        '\\', 6,
        ']', 284,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 433,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 405,
        '"', 525,
        '#', 289,
        '%', 429,
        '&', 439,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 421,
        ',', 345,
        '-', 412,
        '.', 492,
        '/', 427,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 449,
        '=', 471,
        '>', 641,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 467,
        '\\', 4,
        ']', 470,
        '^', 436,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 308,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 405,
        '"', 525,
        '#', 293,
        '&', 438,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 421,
        '-', 412,
        '.', 261,
        '/', 255,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 449,
        '>', 276,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 467,
        '\\', 10,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 405,
        '"', 525,
        '#', 287,
        '&', 439,
        '\'', 516,
        '(', 404,
        '*', 425,
        '+', 421,
        ',', 345,
        '-', 412,
        '.', 314,
        '/', 255,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 449,
        '>', 274,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 467,
        '\\', 8,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 405,
        '"', 525,
        '&', 439,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 421,
        ',', 345,
        '-', 412,
        '.', 492,
        '/', 255,
        '0', 498,
        ':', 271,
        ';', 460,
        '<', 449,
        '=', 471,
        '>', 641,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 12,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 405,
        '"', 525,
        '&', 438,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 421,
        ',', 345,
        '-', 412,
        '.', 492,
        '/', 255,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 449,
        '=', 471,
        '>', 641,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 466,
        '\\', 22,
        ']', 470,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 405,
        '\'', 516,
        '(', 404,
        ')', 346,
        '+', 423,
        '-', 416,
        '.', 314,
        '/', 255,
        '0', 498,
        'L', 560,
        'U', 561,
        '\\', 96,
        'u', 562,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 459,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 46,
        ']', 470,
        '^', 437,
        'u', 550,
        '{', 464,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 458,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 60,
        ']', 470,
        '^', 437,
        'u', 550,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 458,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 466,
        '\\', 60,
        ']', 470,
        '^', 437,
        'u', 655,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '#', 294,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 458,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 129,
        ']', 470,
        '^', 436,
        'u', 550,
        '|', 435,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '#', 294,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 458,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 466,
        '\\', 129,
        ']', 470,
        '^', 436,
        'u', 655,
        '|', 435,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        ':', 459,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 467,
        '\\', 30,
        '^', 437,
        'u', 550,
        '{', 464,
        '|', 434,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        ':', 271,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 40,
        '^', 437,
        'u', 550,
        '{', 464,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 70,
        '^', 437,
        'u', 550,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 466,
        '\\', 70,
        '^', 437,
        'u', 655,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 459,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 467,
        '\\', 28,
        '^', 437,
        'u', 550,
        '{', 464,
        '|', 434,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 271,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 44,
        '^', 437,
        'u', 550,
        '{', 464,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 72,
        '^', 437,
        'u', 550,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 466,
        '\\', 72,
        '^', 437,
        'u', 655,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 429,
        '&', 439,
        '(', 404,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        '<', 452,
        '=', 273,
        '>', 641,
        '?', 475,
        'L', 543,
        'R', 545,
        'U', 547,
        '[', 466,
        '\\', 135,
        '^', 436,
        'u', 550,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 272,
        '"', 525,
        '%', 429,
        '&', 439,
        '(', 404,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        '<', 452,
        '=', 273,
        '>', 641,
        '?', 475,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 466,
        '\\', 135,
        '^', 436,
        'u', 655,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 272,
        '#', 305,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 459,
        ';', 460,
        '<', 452,
        '=', 472,
        '>', 444,
        '?', 475,
        '[', 467,
        '\\', 34,
        ']', 470,
        '^', 436,
        '{', 464,
        '|', 435,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 272,
        '#', 290,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 418,
        ',', 345,
        '-', 408,
        '/', 427,
        ':', 271,
        ';', 460,
        '<', 453,
        '=', 273,
        '>', 444,
        '[', 467,
        '\\', 16,
        '^', 436,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '|', 435,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        '0', 642,
        ':', 459,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 467,
        '\\', 32,
        ']', 470,
        '^', 437,
        '{', 464,
        '|', 434,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 459,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 48,
        ']', 470,
        '^', 437,
        '{', 464,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 458,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 467,
        '\\', 155,
        ']', 470,
        '^', 437,
        '{', 464,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 458,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 38,
        ']', 470,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 458,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 125,
        ']', 470,
        '^', 437,
        '{', 464,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 458,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 137,
        ']', 470,
        '^', 437,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 458,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 137,
        ']', 470,
        '^', 437,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 458,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 469,
        '\\', 74,
        ']', 470,
        '^', 437,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 459,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        '[', 466,
        '\\', 161,
        ']', 470,
        '^', 436,
        '{', 464,
        '|', 435,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 458,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        '[', 466,
        '\\', 123,
        ']', 470,
        '^', 436,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
        '|', 435,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 458,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        '[', 466,
        '\\', 145,
        ']', 470,
        '^', 436,
        '{', 464,
        '|', 435,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 458,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        '[', 466,
        '\\', 149,
        ']', 470,
        '^', 436,
        '|', 435,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 272,
        '#', 294,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 458,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        '[', 466,
        '\\', 149,
        ']', 470,
        '^', 436,
        '|', 435,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        ':', 459,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 467,
        '\\', 36,
        '^', 437,
        '{', 464,
        '|', 434,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        ':', 459,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 56,
        '^', 437,
        '{', 464,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        ':', 458,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 127,
        '^', 437,
        '{', 464,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 468,
        '\\', 82,
        '^', 437,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 52,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 141,
        '^', 437,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 466,
        '\\', 141,
        '^', 437,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 413,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 469,
        '\\', 153,
        '^', 437,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 459,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 62,
        '^', 437,
        '{', 464,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ':', 458,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 147,
        '^', 437,
        '{', 464,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 445,
        '?', 475,
        '[', 468,
        '\\', 80,
        '^', 437,
        '|', 434,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        '[', 467,
        '\\', 78,
        '^', 437,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 54,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 139,
        '^', 437,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 139,
        '^', 437,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '(', 404,
        '*', 426,
        '+', 422,
        ',', 345,
        '-', 414,
        '.', 489,
        '/', 428,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        '[', 469,
        '\\', 151,
        '^', 437,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 272,
        '%', 430,
        '&', 440,
        '*', 426,
        '+', 424,
        ',', 345,
        '-', 417,
        '.', 254,
        '/', 428,
        '<', 451,
        '=', 472,
        '>', 445,
        '\\', 92,
        '^', 437,
        '|', 434,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 272,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 459,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        '[', 466,
        '\\', 64,
        ']', 470,
        '^', 436,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
        '|', 435,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 272,
        '%', 429,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 271,
        ';', 460,
        '<', 452,
        '=', 273,
        '>', 444,
        '?', 475,
        '[', 466,
        '\\', 133,
        ']', 284,
        '^', 436,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
        '|', 435,
        '}', 465,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 272,
        '%', 429,
        '&', 439,
        '(', 404,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 459,
        '<', 452,
        '=', 273,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 157,
        '^', 436,
        '{', 464,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 272,
        '%', 429,
        '&', 439,
        '(', 404,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 458,
        '<', 452,
        '=', 273,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 68,
        '^', 436,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 272,
        '%', 429,
        '&', 439,
        '(', 404,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        ':', 458,
        '<', 452,
        '=', 273,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 131,
        '^', 436,
        '{', 464,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '!', 272,
        '%', 429,
        '&', 439,
        '(', 404,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        '<', 452,
        '=', 273,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 159,
        '^', 436,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '!', 272,
        '%', 429,
        '&', 439,
        '(', 404,
        '*', 425,
        '+', 419,
        ',', 345,
        '-', 415,
        '.', 489,
        '/', 427,
        '<', 452,
        '=', 273,
        '>', 641,
        '?', 475,
        '[', 466,
        '\\', 159,
        '^', 436,
        '|', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '"', 525,
        '&', 439,
        '(', 404,
        '*', 425,
        '/', 255,
        ':', 271,
        'L', 544,
        'U', 548,
        '[', 467,
        '\\', 50,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 551,
        'v', 611,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '"', 525,
        ')', 346,
        ',', 345,
        '/', 255,
        ':', 458,
        'L', 543,
        'R', 545,
        'U', 547,
        '\\', 103,
        'u', 550,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 234:
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '<') ADVANCE(278);
      if (lookahead == 'L') ADVANCE(544);
      if (lookahead == 'U') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == 'u') ADVANCE(552);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 235:
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      END_STATE();
    case 236:
      if (lookahead == '"') ADVANCE(651);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 294,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        ',', 345,
        '-', 277,
        '.', 260,
        '/', 255,
        ':', 459,
        ';', 460,
        '<', 449,
        '=', 471,
        '>', 641,
        '[', 467,
        '\\', 42,
        ']', 470,
        '{', 464,
        '|', 308,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '#', 286,
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 418,
        ',', 345,
        '-', 277,
        '.', 491,
        '/', 255,
        ':', 459,
        ';', 460,
        '<', 449,
        '=', 471,
        '>', 641,
        '[', 467,
        '\\', 14,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
        '|', 308,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '#', 288,
        '&', 439,
        '(', 404,
        '*', 425,
        ',', 345,
        '/', 255,
        ':', 271,
        ';', 460,
        '[', 467,
        '\\', 18,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        ',', 345,
        '-', 277,
        '.', 260,
        '/', 255,
        ':', 459,
        ';', 460,
        '<', 449,
        '=', 471,
        '>', 641,
        '[', 466,
        '\\', 66,
        '{', 464,
        '|', 308,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        ',', 345,
        '-', 277,
        '.', 260,
        '/', 255,
        ':', 458,
        ';', 460,
        '<', 449,
        '=', 471,
        '>', 641,
        '[', 467,
        '\\', 58,
        ']', 470,
        '{', 464,
        '|', 308,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        ',', 345,
        '-', 277,
        '.', 260,
        '/', 255,
        ':', 458,
        ';', 460,
        '=', 471,
        '>', 641,
        '[', 466,
        '\\', 86,
        '{', 464,
        '|', 308,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        ',', 345,
        '-', 277,
        '/', 255,
        ':', 458,
        ';', 460,
        '=', 471,
        '>', 641,
        '[', 467,
        '\\', 84,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        ',', 345,
        '/', 255,
        ':', 459,
        ';', 460,
        '<', 449,
        '[', 466,
        '\\', 88,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
        '|', 308,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '&', 439,
        '(', 404,
        ')', 346,
        '*', 425,
        ',', 345,
        '/', 255,
        ':', 458,
        ';', 460,
        '=', 471,
        '>', 641,
        '[', 466,
        '\\', 90,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 606,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        'u', 599,
        'v', 611,
        '{', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 246:
      ADVANCE_MAP(
        '&', 438,
        '*', 425,
        '.', 260,
        '/', 255,
        ':', 271,
        '=', 471,
        '\\', 101,
        ']', 470,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 247:
      if (lookahead == '\'') ADVANCE(516);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      END_STATE();
    case 248:
      if (lookahead == '\'') ADVANCE(319);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(309);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(248);
      END_STATE();
    case 249:
      if (lookahead == '\'') ADVANCE(315);
      if (lookahead == '.') ADVANCE(505);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(309);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(249);
      END_STATE();
    case 250:
      ADVANCE_MAP(
        '(', 404,
        ')', 346,
        ',', 345,
        '/', 255,
        ':', 458,
        ';', 460,
        '<', 449,
        '=', 471,
        '>', 641,
        '[', 468,
        '\\', 105,
        ']', 470,
        '{', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 251:
      ADVANCE_MAP(
        '(', 404,
        '/', 255,
        ':', 271,
        'F', 568,
        'T', 572,
        '[', 466,
        '\\', 94,
        'f', 578,
        't', 619,
        '{', 464,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 252:
      if (lookahead == '(') ADVANCE(404);
      if (lookahead == '/') ADVANCE(255);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 253:
      if (lookahead == ')') ADVANCE(649);
      END_STATE();
    case 254:
      if (lookahead == '*') ADVANCE(493);
      END_STATE();
    case 255:
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(639);
      END_STATE();
    case 256:
      if (lookahead == '*') ADVANCE(648);
      END_STATE();
    case 257:
      if (lookahead == '*') ADVANCE(257);
      if (lookahead == '/') ADVANCE(632);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 258:
      if (lookahead == '*') ADVANCE(257);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 259:
      if (lookahead == '*') ADVANCE(257);
      if (lookahead != 0) ADVANCE(362);
      END_STATE();
    case 260:
      if (lookahead == '.') ADVANCE(262);
      END_STATE();
    case 261:
      if (lookahead == '.') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 262:
      if (lookahead == '.') ADVANCE(344);
      END_STATE();
    case 263:
      if (lookahead == '.') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(503);
      END_STATE();
    case 264:
      if (lookahead == '/') ADVANCE(369);
      if (lookahead == '\\') ADVANCE(364);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      if (lookahead != 0) ADVANCE(371);
      END_STATE();
    case 265:
      if (lookahead == '1') ADVANCE(269);
      END_STATE();
    case 266:
      if (lookahead == '2') ADVANCE(496);
      END_STATE();
    case 267:
      if (lookahead == '2') ADVANCE(270);
      if (lookahead == '6') ADVANCE(496);
      END_STATE();
    case 268:
      if (lookahead == '4') ADVANCE(496);
      END_STATE();
    case 269:
      if (lookahead == '6') ADVANCE(496);
      END_STATE();
    case 270:
      if (lookahead == '8') ADVANCE(496);
      END_STATE();
    case 271:
      if (lookahead == ':') ADVANCE(461);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 274:
      if (lookahead == '=') ADVANCE(446);
      if (lookahead == '>') ADVANCE(275);
      END_STATE();
    case 275:
      if (lookahead == '=') ADVANCE(482);
      END_STATE();
    case 276:
      if (lookahead == '>') ADVANCE(456);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(494);
      END_STATE();
    case 278:
      if (lookahead == '>') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(278);
      END_STATE();
    case 279:
      if (lookahead == '>') ADVANCE(539);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(278);
      END_STATE();
    case 280:
      if (lookahead == 'F') ADVANCE(265);
      END_STATE();
    case 281:
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 282:
      if (lookahead == '[') ADVANCE(462);
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 283:
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 284:
      if (lookahead == ']') ADVANCE(463);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'e') ADVANCE(398);
      if (lookahead == 'i') ADVANCE(386);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'e') ADVANCE(398);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'e') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(386);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'e') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 289:
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(386);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 290:
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(290);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 291:
      if (lookahead == 'd') ADVANCE(303);
      END_STATE();
    case 292:
      if (lookahead == 'd') ADVANCE(297);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(293);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(306);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(294);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 296:
      if (lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 298:
      if (lookahead == 'f') ADVANCE(265);
      END_STATE();
    case 299:
      if (lookahead == 'f') ADVANCE(349);
      END_STATE();
    case 300:
      if (lookahead == 'f') ADVANCE(355);
      END_STATE();
    case 301:
      if (lookahead == 'f') ADVANCE(357);
      END_STATE();
    case 302:
      if (lookahead == 'f') ADVANCE(359);
      END_STATE();
    case 303:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 304:
      if (lookahead == 'i') ADVANCE(300);
      if (lookahead == 's') ADVANCE(295);
      END_STATE();
    case 305:
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(305);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 306:
      if (lookahead == 'l') ADVANCE(304);
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 308:
      if (lookahead == '|') ADVANCE(431);
      END_STATE();
    case 309:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(316);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(502);
      END_STATE();
    case 310:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(309);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(248);
      END_STATE();
    case 311:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(500);
      END_STATE();
    case 312:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(499);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(249);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(502);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(631);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(503);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(248);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(531);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(537);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      END_STATE();
    case 333:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(331);
      END_STATE();
    case 334:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(332);
      END_STATE();
    case 335:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(333);
      END_STATE();
    case 336:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(371);
      END_STATE();
    case 337:
      if (eof) ADVANCE(339);
      ADVANCE_MAP(
        '!', 406,
        '"', 525,
        '#', 285,
        '%', 430,
        '&', 440,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 426,
        '+', 420,
        ',', 345,
        '-', 409,
        '.', 490,
        '/', 428,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 450,
        '=', 472,
        '>', 641,
        '?', 475,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 468,
        '\\', 2,
        ']', 470,
        '^', 437,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 434,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(337);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 338:
      if (eof) ADVANCE(339);
      ADVANCE_MAP(
        '!', 405,
        '"', 525,
        '#', 289,
        '%', 429,
        '&', 439,
        '\'', 516,
        '(', 404,
        ')', 346,
        '*', 425,
        '+', 421,
        ',', 345,
        '-', 412,
        '.', 492,
        '/', 427,
        '0', 498,
        ':', 459,
        ';', 460,
        '<', 449,
        '=', 471,
        '>', 641,
        'F', 568,
        'L', 542,
        'R', 545,
        'T', 572,
        'U', 546,
        '[', 467,
        '\\', 4,
        ']', 470,
        '^', 436,
        'b', 614,
        'c', 593,
        'd', 610,
        'f', 577,
        'i', 607,
        'm', 579,
        'n', 627,
        'p', 624,
        's', 594,
        't', 619,
        'u', 549,
        'v', 611,
        '{', 464,
        '|', 308,
        '}', 465,
        '~', 407,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(338);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(382);
      if (lookahead == 'n') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(348);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(296);
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(384);
      if (lookahead == 'n') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(258);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '/') ADVANCE(632);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0) ADVANCE(362);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(258);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0) ADVANCE(362);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(639);
      if (lookahead == '\r') ADVANCE(633);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(635);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(264);
      if (lookahead == '\r') ADVANCE(365);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0) ADVANCE(371);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(264);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0) ADVANCE(371);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(372);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0) ADVANCE(371);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(370);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0) ADVANCE(362);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(638);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(635);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(371);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead != 0) ADVANCE(362);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(371);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0) ADVANCE(371);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(397);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(381);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(383);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(342);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(340);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(347);
      if (lookahead == 'n') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(360);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(401);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(389);
      if (lookahead == 's') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(396);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(402);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(403);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(487);
      if (lookahead == '.') ADVANCE(314);
      if (lookahead == '0') ADVANCE(498);
      if (lookahead == '=') ADVANCE(480);
      if (lookahead == '>') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(487);
      if (lookahead == '.') ADVANCE(314);
      if (lookahead == '0') ADVANCE(498);
      if (lookahead == '=') ADVANCE(480);
      if (lookahead == '>') ADVANCE(494);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(487);
      if (lookahead == '.') ADVANCE(314);
      if (lookahead == '0') ADVANCE(498);
      if (lookahead == '>') ADVANCE(494);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(487);
      if (lookahead == '.') ADVANCE(314);
      if (lookahead == '0') ADVANCE(498);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(487);
      if (lookahead == '=') ADVANCE(480);
      if (lookahead == '>') ADVANCE(495);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(487);
      if (lookahead == '=') ADVANCE(480);
      if (lookahead == '>') ADVANCE(494);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(487);
      if (lookahead == '>') ADVANCE(494);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(314);
      if (lookahead == '0') ADVANCE(498);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(480);
      if (lookahead == '>') ADVANCE(256);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(488);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(488);
      if (lookahead == '.') ADVANCE(314);
      if (lookahead == '0') ADVANCE(498);
      if (lookahead == '=') ADVANCE(479);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(488);
      if (lookahead == '.') ADVANCE(314);
      if (lookahead == '0') ADVANCE(498);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(488);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(314);
      if (lookahead == '0') ADVANCE(498);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(639);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(639);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(485);
      if (lookahead == '|') ADVANCE(431);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(431);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(484);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(432);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(432);
      if (lookahead == '=') ADVANCE(483);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(446);
      if (lookahead == '>') ADVANCE(456);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(446);
      if (lookahead == '>') ADVANCE(457);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(486);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(455);
      if (lookahead == '=') ADVANCE(448);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(455);
      if (lookahead == '=') ADVANCE(447);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(454);
      if (lookahead == '=') ADVANCE(448);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(454);
      if (lookahead == '=') ADVANCE(447);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(481);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(482);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(461);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(462);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(462);
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(567);
      if (lookahead == '3') ADVANCE(565);
      if (lookahead == '6') ADVANCE(566);
      if (lookahead == '8') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'p') ADVANCE(625);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(493);
      if (lookahead == '.') ADVANCE(262);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(493);
      if (lookahead == '.') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(262);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(648);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 314,
        'B', 280,
        'b', 298,
        'E', 309,
        'e', 309,
        'F', 504,
        'f', 504,
        'L', 496,
        'l', 496,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 312,
        '.', 505,
        'L', 506,
        'l', 509,
        'B', 311,
        'b', 311,
        'E', 309,
        'e', 309,
        'U', 508,
        'u', 508,
        'X', 263,
        'x', 263,
        'Z', 511,
        'z', 511,
        '8', 249,
        '9', 249,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(499);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 312,
        '.', 505,
        'L', 506,
        'l', 509,
        'E', 309,
        'e', 309,
        'U', 508,
        'u', 508,
        'Z', 511,
        'z', 511,
        '8', 249,
        '9', 249,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(499);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 311,
        'L', 506,
        'l', 509,
        'U', 508,
        'u', 508,
        'Z', 511,
        'z', 511,
        '0', 500,
        '1', 500,
      );
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 313,
        '.', 505,
        'L', 506,
        'l', 509,
        'E', 309,
        'e', 309,
        'U', 508,
        'u', 508,
        'Z', 511,
        'z', 511,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(316);
      if (lookahead == 'B') ADVANCE(280);
      if (lookahead == 'b') ADVANCE(298);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(504);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(502);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 318,
        '.', 310,
        'L', 506,
        'l', 509,
        'P', 309,
        'p', 309,
        'U', 508,
        'u', 508,
        'Z', 511,
        'z', 511,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(503);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(267);
      if (lookahead == '3') ADVANCE(266);
      if (lookahead == '6') ADVANCE(268);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 280,
        'b', 298,
        'E', 309,
        'e', 309,
        'F', 504,
        'f', 504,
        'L', 496,
        'l', 496,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(497);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(511);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(496);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(496);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(507);
      if (lookahead == 'l') ADVANCE(510);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(496);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(511);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(496);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(496);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(496);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(532);
      if (lookahead == '\r') ADVANCE(531);
      if (lookahead == 'U') ADVANCE(335);
      if (lookahead == 'u') ADVANCE(327);
      if (lookahead == 'x') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(534);
      if (lookahead != 0) ADVANCE(531);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(639);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(528);
      if (lookahead == '/') ADVANCE(530);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(527);
      if (lookahead == '/') ADVANCE(530);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(528);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(528);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(526);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(529);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(533);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(531);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(535);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(536);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(278);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(643);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == '\'') ADVANCE(514);
      if (lookahead == 'R') ADVANCE(554);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == 'R') ADVANCE(554);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '8') ADVANCE(555);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '8') ADVANCE(556);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '8') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '8') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(644);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == '\'') ADVANCE(515);
      if (lookahead == 'R') ADVANCE(559);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == 'R') ADVANCE(559);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(645);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(647);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(514);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '8') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(515);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(567);
      if (lookahead == '3') ADVANCE(565);
      if (lookahead == '6') ADVANCE(566);
      if (lookahead == '8') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'p') ADVANCE(625);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(571);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(540);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(541);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(574);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == '_') ADVANCE(582);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == '_') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'a') ADVANCE(600);
      if (lookahead == 'l') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'a') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'a') ADVANCE(629);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'a') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'a') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'a') ADVANCE(604);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'b') ADVANCE(605);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'd') ADVANCE(474);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'd') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'e') ADVANCE(540);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'e') ADVANCE(474);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'e') ADVANCE(541);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'e') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'f') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'f') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'g') ADVANCE(608);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'h') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(630);
      if (lookahead == 's') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(630);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(584);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'l') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'l') ADVANCE(474);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'l') ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'l') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'l') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'l') ADVANCE(587);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'l') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'n') ADVANCE(621);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'n') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'n') ADVANCE(623);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'o') ADVANCE(626);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'o') ADVANCE(598);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'o') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'o') ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'o') ADVANCE(613);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'p') ADVANCE(625);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'r') ADVANCE(473);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'r') ADVANCE(585);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'r') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'r') ADVANCE(628);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 's') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 't') ADVANCE(473);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 't') ADVANCE(474);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 't') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 't') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 't') ADVANCE(618);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'u') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'u') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'u') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'x') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (lookahead == 'z') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(281);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(639);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(634);
      if (lookahead != 0) ADVANCE(639);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(638);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(635);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(637);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(639);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(162);
      if (lookahead != 0) ADVANCE(639);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_pure_virtual_clause_token1);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(656);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(643);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == 'R') ADVANCE(657);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '8') ADVANCE(658);
      if (lookahead == 'R') ADVANCE(659);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(644);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == 'R') ADVANCE(660);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(645);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(647);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'b') ADVANCE(39);
      if (lookahead == 'e') ADVANCE(40);
      if (lookahead == 'l') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'i') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(46);
      if (lookahead == 'n') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(48);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(55);
      if (lookahead == 'n') ADVANCE(56);
      END_STATE();
    case 12:
      if (lookahead == 'i') ADVANCE(57);
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'o') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(64);
      if (lookahead == 'p') ADVANCE(65);
      if (lookahead == 'r') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(67);
      if (lookahead == 'v') ADVANCE(68);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(69);
      if (lookahead == 'r') ADVANCE(70);
      if (lookahead == 'u') ADVANCE(71);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(72);
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(74);
      if (lookahead == 'h') ADVANCE(75);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'n') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(80);
      if (lookahead == 'h') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(84);
      if (lookahead == 's') ADVANCE(85);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(88);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(89);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(90);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(94);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'a', 95,
        'b', 96,
        'c', 97,
        'd', 98,
        'e', 99,
        'f', 100,
        'i', 101,
        'l', 102,
        'r', 103,
        's', 104,
        't', 105,
        'u', 106,
        'v', 107,
      );
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(111);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(118);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 42:
      if (lookahead == '_') ADVANCE(121);
      if (lookahead == 'l') ADVANCE(122);
      if (lookahead == 'm') ADVANCE(123);
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 43:
      if (lookahead == 'c') ADVANCE(125);
      if (lookahead == 'f') ADVANCE(126);
      if (lookahead == 'l') ADVANCE(127);
      END_STATE();
    case 44:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 48:
      if (lookahead == 'p') ADVANCE(131);
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(134);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(138);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'l') ADVANCE(139);
      if (lookahead == 'o') ADVANCE(140);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'm') ADVANCE(144);
      END_STATE();
    case 61:
      if (lookahead == 'w') ADVANCE(145);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(146);
      if (lookahead == 'i') ADVANCE(147);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(149);
      if (lookahead == 't') ADVANCE(150);
      END_STATE();
    case 63:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 64:
      if (lookahead == 'f') ADVANCE(152);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(154);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 69:
      if (lookahead == 'i') ADVANCE(157);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(158);
      if (lookahead == 'i') ADVANCE(159);
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 71:
      if (lookahead == 'b') ADVANCE(161);
      END_STATE();
    case 72:
      if (lookahead == 'g') ADVANCE(162);
      if (lookahead == 'q') ADVANCE(163);
      if (lookahead == 's') ADVANCE(164);
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 73:
      if (lookahead == 'w') ADVANCE(166);
      END_STATE();
    case 74:
      if (lookahead == 'm') ADVANCE(167);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(168);
      if (lookahead == 'o') ADVANCE(169);
      END_STATE();
    case 76:
      if (lookahead == 'g') ADVANCE(170);
      if (lookahead == 'z') ADVANCE(171);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(172);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 80:
      if (lookahead == 'm') ADVANCE(176);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(177);
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 82:
      if (lookahead == 'i') ADVANCE(179);
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 83:
      if (lookahead == 'p') ADVANCE(181);
      END_STATE();
    case 84:
      if (lookahead == 'i') ADVANCE(182);
      if (lookahead == 'o') ADVANCE(183);
      if (lookahead == 's') ADVANCE(184);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(185);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(186);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 88:
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 90:
      if (lookahead == 'L') ADVANCE(190);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(191);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 93:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(194);
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(196);
      if (lookahead == 's') ADVANCE(197);
      if (lookahead == 't') ADVANCE(198);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(199);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(200);
      if (lookahead == 'l') ADVANCE(201);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 99:
      if (lookahead == 'x') ADVANCE(203);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(204);
      if (lookahead == 'i') ADVANCE(205);
      if (lookahead == 'o') ADVANCE(206);
      END_STATE();
    case 101:
      if (lookahead == 'n') ADVANCE(207);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 104:
      if (lookahead == 'p') ADVANCE(210);
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 105:
      if (lookahead == 'h') ADVANCE(212);
      if (lookahead == 'r') ADVANCE(213);
      END_STATE();
    case 106:
      if (lookahead == 'n') ADVANCE(214);
      if (lookahead == 'p') ADVANCE(215);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(216);
      if (lookahead == 'o') ADVANCE(217);
      END_STATE();
    case 108:
      if (lookahead == 'i') ADVANCE(218);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(219);
      END_STATE();
    case 110:
      if (lookahead == 'g') ADVANCE(220);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(221);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 113:
      if (lookahead == 'o') ADVANCE(222);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(223);
      if (lookahead == 'o') ADVANCE(224);
      END_STATE();
    case 115:
      if (lookahead == 'a') ADVANCE(225);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(227);
      END_STATE();
    case 118:
      if (lookahead == 'f') ADVANCE(228);
      END_STATE();
    case 119:
      if (lookahead == 't') ADVANCE(229);
      END_STATE();
    case 120:
      if (lookahead == 's') ADVANCE(230);
      END_STATE();
    case 121:
      if (lookahead == 'a') ADVANCE(231);
      if (lookahead == 'r') ADVANCE(232);
      if (lookahead == 'y') ADVANCE(233);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(234);
      END_STATE();
    case 123:
      if (lookahead == 'p') ADVANCE(235);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(236);
      if (lookahead == 's') ADVANCE(237);
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(240);
      if (lookahead == 'i') ADVANCE(241);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(243);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 130:
      if (lookahead == 'm') ADVANCE(245);
      END_STATE();
    case 131:
      if (lookahead == 'l') ADVANCE(246);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 133:
      if (lookahead == 'a') ADVANCE(248);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 136:
      if (lookahead == 'b') ADVANCE(250);
      END_STATE();
    case 137:
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 138:
      if (lookahead == 'u') ADVANCE(252);
      END_STATE();
    case 139:
      if (lookahead == 'i') ADVANCE(253);
      END_STATE();
    case 140:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(256);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(257);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 146:
      if (lookahead == 'x') ADVANCE(259);
      END_STATE();
    case 147:
      if (lookahead == 'n') ADVANCE(260);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(263);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(264);
      END_STATE();
    case 152:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 153:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 158:
      if (lookahead == 'c') ADVANCE(270);
      END_STATE();
    case 159:
      if (lookahead == 'v') ADVANCE(271);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 161:
      if (lookahead == 'l') ADVANCE(273);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 163:
      if (lookahead == 'u') ADVANCE(275);
      END_STATE();
    case 164:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 165:
      if (lookahead == 'u') ADVANCE(277);
      END_STATE();
    case 166:
      if (lookahead == '_') ADVANCE(278);
      END_STATE();
    case 167:
      if (lookahead == 'p') ADVANCE(279);
      END_STATE();
    case 168:
      if (lookahead == 'r') ADVANCE(280);
      END_STATE();
    case 169:
      if (lookahead == 'r') ADVANCE(281);
      END_STATE();
    case 170:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 172:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 174:
      if (lookahead == 'u') ADVANCE(286);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(287);
      END_STATE();
    case 176:
      if (lookahead == 'p') ADVANCE(288);
      END_STATE();
    case 177:
      if (lookahead == 's') ADVANCE(289);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(290);
      if (lookahead == 'o') ADVANCE(291);
      END_STATE();
    case 179:
      if (lookahead == 'a') ADVANCE(292);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 182:
      if (lookahead == 'f') ADVANCE(294);
      if (lookahead == 'o') ADVANCE(295);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(296);
      END_STATE();
    case 184:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 185:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(299);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(300);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(302);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 191:
      if (lookahead == 'g') ADVANCE(303);
      END_STATE();
    case 192:
      if (lookahead == 'm') ADVANCE(304);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 194:
      if (lookahead == 'n') ADVANCE(306);
      END_STATE();
    case 195:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 196:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 197:
      if (lookahead == 'm') ADVANCE(309);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 199:
      if (lookahead == 's') ADVANCE(311);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(314);
      END_STATE();
    case 203:
      if (lookahead == 'c') ADVANCE(315);
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 204:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 205:
      if (lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 206:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 207:
      if (lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(321);
      END_STATE();
    case 209:
      if (lookahead == 's') ADVANCE(322);
      END_STATE();
    case 210:
      if (lookahead == 't') ADVANCE(323);
      END_STATE();
    case 211:
      if (lookahead == 'd') ADVANCE(324);
      END_STATE();
    case 212:
      if (lookahead == 'i') ADVANCE(325);
      if (lookahead == 'r') ADVANCE(326);
      END_STATE();
    case 213:
      if (lookahead == 'y') ADVANCE(327);
      END_STATE();
    case 214:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 215:
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 216:
      if (lookahead == 'c') ADVANCE(330);
      END_STATE();
    case 217:
      if (lookahead == 'l') ADVANCE(331);
      END_STATE();
    case 218:
      if (lookahead == 'g') ADVANCE(332);
      END_STATE();
    case 219:
      if (lookahead == 'l') ADVANCE(333);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(334);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(336);
      END_STATE();
    case 224:
      if (lookahead == 'r') ADVANCE(337);
      END_STATE();
    case 225:
      if (lookahead == 'k') ADVANCE(338);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 227:
      if (lookahead == 'h') ADVANCE(339);
      END_STATE();
    case 228:
      if (lookahead == 'f') ADVANCE(340);
      END_STATE();
    case 229:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 230:
      if (lookahead == 's') ADVANCE(342);
      END_STATE();
    case 231:
      if (lookahead == 'w') ADVANCE(343);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 233:
      if (lookahead == 'i') ADVANCE(345);
      END_STATE();
    case 234:
      if (lookahead == 'm') ADVANCE(346);
      END_STATE();
    case 235:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(349);
      END_STATE();
    case 238:
      if (lookahead == 'i') ADVANCE(350);
      END_STATE();
    case 239:
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 240:
      if (lookahead == 'u') ADVANCE(352);
      END_STATE();
    case 241:
      if (lookahead == 'n') ADVANCE(353);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(354);
      END_STATE();
    case 243:
      if (lookahead == 'a') ADVANCE(355);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 246:
      if (lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 247:
      if (lookahead == 'r') ADVANCE(357);
      END_STATE();
    case 248:
      if (lookahead == 'l') ADVANCE(358);
      END_STATE();
    case 249:
      if (lookahead == 'n') ADVANCE(359);
      END_STATE();
    case 250:
      if (lookahead == 'a') ADVANCE(360);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 252:
      if (lookahead == 'p') ADVANCE(361);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 254:
      if (lookahead == 't') ADVANCE(363);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_line);
      if (lookahead == 'a') ADVANCE(364);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 257:
      if (lookahead == 'b') ADVANCE(365);
      END_STATE();
    case 258:
      if (lookahead == 's') ADVANCE(366);
      END_STATE();
    case 259:
      if (lookahead == 'c') ADVANCE(367);
      END_STATE();
    case 260:
      if (lookahead == 't') ADVANCE(368);
      END_STATE();
    case 261:
      if (lookahead == 'r') ADVANCE(369);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 264:
      if (lookahead == 'p') ADVANCE(372);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(374);
      END_STATE();
    case 267:
      if (lookahead == 'q') ADVANCE(375);
      END_STATE();
    case 268:
      if (lookahead == 'r') ADVANCE(376);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(377);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(378);
      END_STATE();
    case 271:
      if (lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 273:
      if (lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 274:
      if (lookahead == 's') ADVANCE(382);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(383);
      END_STATE();
    case 276:
      if (lookahead == 'r') ADVANCE(384);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(385);
      END_STATE();
    case 278:
      if (lookahead == 'm') ADVANCE(386);
      END_STATE();
    case 279:
      if (lookahead == 'l') ADVANCE(387);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 281:
      if (lookahead == 't') ADVANCE(389);
      END_STATE();
    case 282:
      if (lookahead == 'e') ADVANCE(390);
      END_STATE();
    case 283:
      if (lookahead == 'o') ADVANCE(391);
      END_STATE();
    case 284:
      if (lookahead == 'm') ADVANCE(392);
      END_STATE();
    case 285:
      if (lookahead == 'i') ADVANCE(393);
      END_STATE();
    case 286:
      if (lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 287:
      if (lookahead == 'c') ADVANCE(395);
      END_STATE();
    case 288:
      if (lookahead == 'l') ADVANCE(396);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 290:
      if (lookahead == 'a') ADVANCE(397);
      END_STATE();
    case 291:
      if (lookahead == 'w') ADVANCE(398);
      END_STATE();
    case 292:
      if (lookahead == 'n') ADVANCE(399);
      END_STATE();
    case 293:
      if (lookahead == 'd') ADVANCE(400);
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 294:
      if (lookahead == 'o') ADVANCE(402);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(403);
      END_STATE();
    case 296:
      if (lookahead == 'm') ADVANCE(404);
      END_STATE();
    case 297:
      if (lookahead == 'g') ADVANCE(405);
      END_STATE();
    case 298:
      if (lookahead == 'g') ADVANCE(406);
      END_STATE();
    case 299:
      if (lookahead == 'u') ADVANCE(407);
      END_STATE();
    case 300:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 301:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 302:
      if (lookahead == 'e') ADVANCE(410);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 304:
      if (lookahead == 'i') ADVANCE(412);
      END_STATE();
    case 305:
      if (lookahead == 'r') ADVANCE(413);
      END_STATE();
    case 306:
      if (lookahead == 'u') ADVANCE(414);
      END_STATE();
    case 307:
      if (lookahead == 't') ADVANCE(415);
      END_STATE();
    case 308:
      if (lookahead == 'g') ADVANCE(416);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(417);
      END_STATE();
    case 310:
      if (lookahead == 'r') ADVANCE(418);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(419);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(420);
      END_STATE();
    case 313:
      if (lookahead == 'c') ADVANCE(421);
      END_STATE();
    case 314:
      if (lookahead == 'l') ADVANCE(422);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(423);
      END_STATE();
    case 316:
      if (lookahead == 'e') ADVANCE(424);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(425);
      END_STATE();
    case 318:
      if (lookahead == 'a') ADVANCE(426);
      END_STATE();
    case 319:
      if (lookahead == 'c') ADVANCE(427);
      END_STATE();
    case 320:
      if (lookahead == 'i') ADVANCE(428);
      END_STATE();
    case 321:
      if (lookahead == 'v') ADVANCE(429);
      END_STATE();
    case 322:
      if (lookahead == 't') ADVANCE(430);
      END_STATE();
    case 323:
      if (lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 324:
      if (lookahead == 'c') ADVANCE(432);
      END_STATE();
    case 325:
      if (lookahead == 's') ADVANCE(433);
      END_STATE();
    case 326:
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 328:
      if (lookahead == 'l') ADVANCE(435);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(436);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(437);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(438);
      END_STATE();
    case 332:
      if (lookahead == 'n') ADVANCE(439);
      END_STATE();
    case 333:
      if (lookahead == 'i') ADVANCE(440);
      END_STATE();
    case 334:
      if (lookahead == 'a') ADVANCE(441);
      if (lookahead == 'o') ADVANCE(442);
      END_STATE();
    case 335:
      if (lookahead == 'q') ADVANCE(443);
      END_STATE();
    case 336:
      if (lookahead == 'd') ADVANCE(444);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(445);
      END_STATE();
    case 341:
      if (lookahead == 'o') ADVANCE(446);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 343:
      if (lookahead == 'a') ADVANCE(447);
      END_STATE();
    case 344:
      if (lookahead == 't') ADVANCE(448);
      END_STATE();
    case 345:
      if (lookahead == 'e') ADVANCE(449);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(450);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 348:
      if (lookahead == 'p') ADVANCE(451);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(452);
      if (lookahead == 'i') ADVANCE(453);
      END_STATE();
    case 350:
      if (lookahead == 'n') ADVANCE(454);
      END_STATE();
    case 351:
      if (lookahead == 'y') ADVANCE(455);
      END_STATE();
    case 352:
      if (lookahead == 'l') ADVANCE(456);
      END_STATE();
    case 353:
      if (lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(458);
      END_STATE();
    case 355:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 356:
      if (lookahead == 'c') ADVANCE(460);
      END_STATE();
    case 357:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 359:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 360:
      if (lookahead == 'l') ADVANCE(463);
      END_STATE();
    case 361:
      if (lookahead == 's') ADVANCE(464);
      END_STATE();
    case 362:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_inout);
      END_STATE();
    case 364:
      if (lookahead == 'd') ADVANCE(466);
      if (lookahead == 'r') ADVANCE(467);
      END_STATE();
    case 365:
      if (lookahead == 'l') ADVANCE(468);
      END_STATE();
    case 366:
      if (lookahead == 'p') ADVANCE(469);
      END_STATE();
    case 367:
      if (lookahead == 'e') ADVANCE(470);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(471);
      END_STATE();
    case 369:
      if (lookahead == 's') ADVANCE(472);
      END_STATE();
    case 370:
      if (lookahead == 'u') ADVANCE(473);
      END_STATE();
    case 371:
      if (lookahead == 'q') ADVANCE(474);
      END_STATE();
    case 372:
      if (lookahead == 't') ADVANCE(475);
      END_STATE();
    case 373:
      if (lookahead == 't') ADVANCE(476);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(477);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 376:
      if (lookahead == 'i') ADVANCE(478);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_point);
      END_STATE();
    case 378:
      if (lookahead == 's') ADVANCE(479);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(480);
      END_STATE();
    case 380:
      if (lookahead == 'c') ADVANCE(481);
      END_STATE();
    case 381:
      if (lookahead == 'c') ADVANCE(482);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(483);
      END_STATE();
    case 383:
      if (lookahead == 'r') ADVANCE(484);
      END_STATE();
    case 384:
      if (lookahead == 'i') ADVANCE(485);
      END_STATE();
    case 385:
      if (lookahead == 'n') ADVANCE(486);
      END_STATE();
    case 386:
      if (lookahead == 'a') ADVANCE(487);
      END_STATE();
    case 387:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 388:
      if (lookahead == 'd') ADVANCE(489);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 390:
      if (lookahead == 'd') ADVANCE(490);
      END_STATE();
    case 391:
      if (lookahead == 'f') ADVANCE(491);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_snorm);
      END_STATE();
    case 393:
      if (lookahead == 'c') ADVANCE(492);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(493);
      END_STATE();
    case 395:
      if (lookahead == 'h') ADVANCE(494);
      END_STATE();
    case 396:
      if (lookahead == 'a') ADVANCE(495);
      END_STATE();
    case 397:
      if (lookahead == 'd') ADVANCE(496);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 399:
      if (lookahead == 'g') ADVANCE(497);
      END_STATE();
    case 400:
      if (lookahead == 'e') ADVANCE(498);
      END_STATE();
    case 401:
      if (lookahead == 'a') ADVANCE(499);
      END_STATE();
    case 402:
      if (lookahead == 'r') ADVANCE(500);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_unorm);
      END_STATE();
    case 405:
      if (lookahead == 'n') ADVANCE(501);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 407:
      if (lookahead == 'a') ADVANCE(502);
      END_STATE();
    case 408:
      if (lookahead == 'i') ADVANCE(503);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 410:
      if (lookahead == 'q') ADVANCE(504);
      END_STATE();
    case 411:
      if (lookahead == 'a') ADVANCE(505);
      if (lookahead == 'o') ADVANCE(506);
      END_STATE();
    case 412:
      if (lookahead == 'c') ADVANCE(507);
      END_STATE();
    case 413:
      if (lookahead == 'i') ADVANCE(508);
      END_STATE();
    case 414:
      if (lookahead == 'l') ADVANCE(509);
      END_STATE();
    case 415:
      if (lookahead == 'u') ADVANCE(510);
      END_STATE();
    case 416:
      if (lookahead == 'n') ADVANCE(511);
      END_STATE();
    case 417:
      if (lookahead == '_') ADVANCE(512);
      END_STATE();
    case 418:
      if (lookahead == 'i') ADVANCE(513);
      END_STATE();
    case 419:
      if (lookahead == 'd') ADVANCE(514);
      END_STATE();
    case 420:
      if (lookahead == 'l') ADVANCE(515);
      END_STATE();
    case 421:
      if (lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 422:
      if (lookahead == 's') ADVANCE(517);
      END_STATE();
    case 423:
      if (lookahead == 'p') ADVANCE(518);
      END_STATE();
    case 424:
      if (lookahead == 'n') ADVANCE(519);
      END_STATE();
    case 425:
      if (lookahead == 'c') ADVANCE(520);
      END_STATE();
    case 426:
      if (lookahead == 'l') ADVANCE(521);
      END_STATE();
    case 427:
      if (lookahead == 'e') ADVANCE(522);
      END_STATE();
    case 428:
      if (lookahead == 'n') ADVANCE(523);
      END_STATE();
    case 429:
      if (lookahead == 'e') ADVANCE(524);
      END_STATE();
    case 430:
      if (lookahead == 'r') ADVANCE(525);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 432:
      if (lookahead == 'a') ADVANCE(526);
      END_STATE();
    case 433:
      if (lookahead == 'c') ADVANCE(527);
      END_STATE();
    case 434:
      if (lookahead == 'a') ADVANCE(528);
      END_STATE();
    case 435:
      if (lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 437:
      if (lookahead == 'o') ADVANCE(530);
      END_STATE();
    case 438:
      if (lookahead == 't') ADVANCE(531);
      END_STATE();
    case 439:
      if (lookahead == 'o') ADVANCE(532);
      END_STATE();
    case 440:
      if (lookahead == 'g') ADVANCE(533);
      END_STATE();
    case 441:
      if (lookahead == 's') ADVANCE(534);
      END_STATE();
    case 442:
      if (lookahead == 'f') ADVANCE(535);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 445:
      if (lookahead == 'r') ADVANCE(536);
      END_STATE();
    case 446:
      if (lookahead == 'i') ADVANCE(537);
      END_STATE();
    case 447:
      if (lookahead == 'i') ADVANCE(538);
      END_STATE();
    case 448:
      if (lookahead == 'u') ADVANCE(539);
      END_STATE();
    case 449:
      if (lookahead == 'l') ADVANCE(540);
      END_STATE();
    case 450:
      if (lookahead == '_') ADVANCE(541);
      END_STATE();
    case 451:
      if (lookahead == 't') ADVANCE(542);
      END_STATE();
    case 452:
      if (lookahead == 'v') ADVANCE(543);
      if (lookahead == 'x') ADVANCE(544);
      END_STATE();
    case 453:
      if (lookahead == 'n') ADVANCE(545);
      END_STATE();
    case 454:
      if (lookahead == 'u') ADVANCE(546);
      END_STATE();
    case 455:
      if (lookahead == 'p') ADVANCE(547);
      END_STATE();
    case 456:
      if (lookahead == 't') ADVANCE(548);
      END_STATE();
    case 457:
      if (lookahead == 'd') ADVANCE(549);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 459:
      if (lookahead == 'd') ADVANCE(550);
      END_STATE();
    case 460:
      if (lookahead == 'i') ADVANCE(551);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 463:
      if (lookahead == 'l') ADVANCE(552);
      END_STATE();
    case 464:
      if (lookahead == 'h') ADVANCE(553);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 466:
      if (lookahead == 'j') ADVANCE(554);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_linear);
      END_STATE();
    case 468:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 469:
      if (lookahead == 'a') ADVANCE(556);
      END_STATE();
    case 470:
      if (lookahead == 'p') ADVANCE(557);
      END_STATE();
    case 471:
      if (lookahead == 'r') ADVANCE(558);
      END_STATE();
    case 472:
      if (lookahead == 'p') ADVANCE(559);
      END_STATE();
    case 473:
      if (lookahead == 'r') ADVANCE(560);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 475:
      if (lookahead == 'r') ADVANCE(561);
      END_STATE();
    case 476:
      if (lookahead == 'o') ADVANCE(562);
      END_STATE();
    case 477:
      if (lookahead == 'o') ADVANCE(563);
      END_STATE();
    case 478:
      if (lookahead == 'd') ADVANCE(564);
      END_STATE();
    case 479:
      if (lookahead == 'e') ADVANCE(565);
      END_STATE();
    case 480:
      if (lookahead == 'e') ADVANCE(566);
      END_STATE();
    case 481:
      if (lookahead == 't') ADVANCE(567);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 483:
      if (lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 484:
      if (lookahead == 'e') ADVANCE(569);
      END_STATE();
    case 485:
      if (lookahead == 'c') ADVANCE(570);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 487:
      if (lookahead == 'j') ADVANCE(571);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_sample);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_shared);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 495:
      if (lookahead == 't') ADVANCE(573);
      END_STATE();
    case 496:
      if (lookahead == '_') ADVANCE(574);
      END_STATE();
    case 497:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 498:
      if (lookahead == 'f') ADVANCE(576);
      END_STATE();
    case 499:
      if (lookahead == 'm') ADVANCE(577);
      END_STATE();
    case 500:
      if (lookahead == 'm') ADVANCE(578);
      END_STATE();
    case 501:
      if (lookahead == 'e') ADVANCE(579);
      END_STATE();
    case 502:
      if (lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 503:
      if (lookahead == 'l') ADVANCE(581);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 505:
      if (lookahead == 's') ADVANCE(582);
      END_STATE();
    case 506:
      if (lookahead == 'f') ADVANCE(583);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 508:
      if (lookahead == 'c') ADVANCE(584);
      END_STATE();
    case 509:
      if (lookahead == 'l') ADVANCE(585);
      END_STATE();
    case 510:
      if (lookahead == 'r') ADVANCE(586);
      END_STATE();
    case 511:
      if (lookahead == 'o') ADVANCE(587);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 513:
      if (lookahead == 'b') ADVANCE(588);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 516:
      if (lookahead == 'l') ADVANCE(589);
      END_STATE();
    case 517:
      if (lookahead == 'p') ADVANCE(590);
      END_STATE();
    case 518:
      if (lookahead == 't') ADVANCE(591);
      END_STATE();
    case 519:
      if (lookahead == 's') ADVANCE(592);
      END_STATE();
    case 520:
      if (lookahead == 'a') ADVANCE(593);
      END_STATE();
    case 521:
      if (lookahead == 'l') ADVANCE(594);
      END_STATE();
    case 522:
      if (lookahead == 'i') ADVANCE(595);
      END_STATE();
    case 523:
      if (lookahead == 'e') ADVANCE(596);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 525:
      if (lookahead == 'i') ADVANCE(597);
      END_STATE();
    case 526:
      if (lookahead == 'l') ADVANCE(598);
      END_STATE();
    case 527:
      if (lookahead == 'a') ADVANCE(599);
      END_STATE();
    case 528:
      if (lookahead == 'd') ADVANCE(600);
      END_STATE();
    case 529:
      if (lookahead == 'g') ADVANCE(601);
      END_STATE();
    case 530:
      if (lookahead == 'r') ADVANCE(602);
      END_STATE();
    case 531:
      if (lookahead == 'i') ADVANCE(603);
      END_STATE();
    case 532:
      if (lookahead == 'f') ADVANCE(604);
      END_STATE();
    case 533:
      if (lookahead == 'n') ADVANCE(605);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_cbuffer);
      END_STATE();
    case 537:
      if (lookahead == 'd') ADVANCE(606);
      END_STATE();
    case 538:
      if (lookahead == 't') ADVANCE(607);
      END_STATE();
    case 539:
      if (lookahead == 'r') ADVANCE(608);
      END_STATE();
    case 540:
      if (lookahead == 'd') ADVANCE(609);
      END_STATE();
    case 541:
      if (lookahead == 'm') ADVANCE(610);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 543:
      if (lookahead == 'a') ADVANCE(611);
      END_STATE();
    case 544:
      if (lookahead == 'p') ADVANCE(612);
      END_STATE();
    case 545:
      if (lookahead == 'i') ADVANCE(613);
      END_STATE();
    case 546:
      if (lookahead == 'e') ADVANCE(614);
      END_STATE();
    case 547:
      if (lookahead == 'e') ADVANCE(615);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_discard);
      END_STATE();
    case 551:
      if (lookahead == 't') ADVANCE(616);
      END_STATE();
    case 552:
      if (lookahead == 'y') ADVANCE(617);
      END_STATE();
    case 553:
      if (lookahead == 'a') ADVANCE(618);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_lineadj);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 556:
      if (lookahead == 'c') ADVANCE(619);
      END_STATE();
    case 557:
      if (lookahead == 't') ADVANCE(620);
      END_STATE();
    case 558:
      if (lookahead == 'p') ADVANCE(621);
      END_STATE();
    case 559:
      if (lookahead == 'e') ADVANCE(622);
      END_STATE();
    case 560:
      if (lookahead == 'n') ADVANCE(623);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 562:
      if (lookahead == 'f') ADVANCE(624);
      END_STATE();
    case 563:
      if (lookahead == 'r') ADVANCE(625);
      END_STATE();
    case 564:
      if (lookahead == 'e') ADVANCE(626);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_precise);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 567:
      if (lookahead == 'e') ADVANCE(627);
      END_STATE();
    case 568:
      if (lookahead == 'r') ADVANCE(628);
      END_STATE();
    case 569:
      if (lookahead == 's') ADVANCE(629);
      END_STATE();
    case 570:
      if (lookahead == 't') ADVANCE(630);
      END_STATE();
    case 571:
      if (lookahead == 'o') ADVANCE(631);
      END_STATE();
    case 572:
      if (lookahead == 'a') ADVANCE(632);
      END_STATE();
    case 573:
      if (lookahead == 'e') ADVANCE(633);
      END_STATE();
    case 574:
      if (lookahead == 'l') ADVANCE(634);
      END_STATE();
    case 575:
      if (lookahead == 'e') ADVANCE(635);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 577:
      if (lookahead == 'e') ADVANCE(636);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_uniform);
      END_STATE();
    case 579:
      if (lookahead == 'd') ADVANCE(637);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 581:
      if (lookahead == 'e') ADVANCE(638);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 586:
      if (lookahead == 'n') ADVANCE(639);
      END_STATE();
    case 587:
      if (lookahead == 'f') ADVANCE(640);
      END_STATE();
    case 588:
      if (lookahead == 'u') ADVANCE(641);
      END_STATE();
    case 589:
      if (lookahead == 'l') ADVANCE(642);
      END_STATE();
    case 590:
      if (lookahead == 'e') ADVANCE(643);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 592:
      if (lookahead == 'i') ADVANCE(644);
      END_STATE();
    case 593:
      if (lookahead == 'l') ADVANCE(645);
      END_STATE();
    case 594:
      if (lookahead == 'y') ADVANCE(646);
      END_STATE();
    case 595:
      if (lookahead == 'n') ADVANCE(647);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(648);
      END_STATE();
    case 597:
      if (lookahead == 'c') ADVANCE(649);
      END_STATE();
    case 598:
      if (lookahead == 'l') ADVANCE(650);
      END_STATE();
    case 599:
      if (lookahead == 'l') ADVANCE(651);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 601:
      if (lookahead == 'n') ADVANCE(652);
      END_STATE();
    case 602:
      if (lookahead == 'c') ADVANCE(653);
      END_STATE();
    case 603:
      if (lookahead == 'l') ADVANCE(654);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 605:
      if (lookahead == 'e') ADVANCE(655);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_centroid);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 608:
      if (lookahead == 'n') ADVANCE(656);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 610:
      if (lookahead == 'a') ADVANCE(657);
      END_STATE();
    case 611:
      if (lookahead == 'l') ADVANCE(658);
      END_STATE();
    case 612:
      if (lookahead == 'r') ADVANCE(659);
      END_STATE();
    case 613:
      if (lookahead == 't') ADVANCE(660);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 617:
      if (lookahead == 'c') ADVANCE(661);
      END_STATE();
    case 618:
      if (lookahead == 'r') ADVANCE(662);
      END_STATE();
    case 619:
      if (lookahead == 'e') ADVANCE(663);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 621:
      if (lookahead == 'o') ADVANCE(664);
      END_STATE();
    case 622:
      if (lookahead == 'c') ADVANCE(665);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 627:
      if (lookahead == 'd') ADVANCE(666);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 631:
      if (lookahead == 'r') ADVANCE(667);
      END_STATE();
    case 632:
      if (lookahead == 's') ADVANCE(668);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 634:
      if (lookahead == 'o') ADVANCE(669);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_triangle);
      if (lookahead == 'a') ADVANCE(670);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(671);
      END_STATE();
    case 641:
      if (lookahead == 't') ADVANCE(672);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 643:
      if (lookahead == 'c') ADVANCE(673);
      END_STATE();
    case 644:
      if (lookahead == 'o') ADVANCE(674);
      END_STATE();
    case 645:
      if (lookahead == 'l') ADVANCE(675);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 647:
      if (lookahead == 'l') ADVANCE(676);
      END_STATE();
    case 648:
      if (lookahead == '_') ADVANCE(677);
      END_STATE();
    case 649:
      if (lookahead == 't') ADVANCE(678);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 651:
      if (lookahead == 'l') ADVANCE(679);
      END_STATE();
    case 652:
      if (lookahead == 'e') ADVANCE(680);
      END_STATE();
    case 653:
      if (lookahead == 'a') ADVANCE(681);
      END_STATE();
    case 654:
      if (lookahead == 'e') ADVANCE(682);
      END_STATE();
    case 655:
      if (lookahead == 'd') ADVANCE(683);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 657:
      if (lookahead == 'j') ADVANCE(684);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 661:
      if (lookahead == 'o') ADVANCE(685);
      END_STATE();
    case 662:
      if (lookahead == 'e') ADVANCE(686);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 664:
      if (lookahead == 'l') ADVANCE(687);
      END_STATE();
    case 665:
      if (lookahead == 't') ADVANCE(688);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(anon_sym_row_major);
      END_STATE();
    case 668:
      if (lookahead == 's') ADVANCE(689);
      END_STATE();
    case 669:
      if (lookahead == 'c') ADVANCE(690);
      END_STATE();
    case 670:
      if (lookahead == 'd') ADVANCE(691);
      END_STATE();
    case 671:
      if (lookahead == '_') ADVANCE(692);
      END_STATE();
    case 672:
      if (lookahead == 'e') ADVANCE(693);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 674:
      if (lookahead == 'n') ADVANCE(694);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 676:
      if (lookahead == 'i') ADVANCE(695);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(696);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 680:
      if (lookahead == 'd') ADVANCE(697);
      END_STATE();
    case 681:
      if (lookahead == 'l') ADVANCE(698);
      END_STATE();
    case 682:
      if (lookahead == '_') ADVANCE(699);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 684:
      if (lookahead == 'o') ADVANCE(700);
      END_STATE();
    case 685:
      if (lookahead == 'h') ADVANCE(701);
      END_STATE();
    case 686:
      if (lookahead == 'd') ADVANCE(702);
      END_STATE();
    case 687:
      if (lookahead == 'a') ADVANCE(703);
      END_STATE();
    case 688:
      if (lookahead == 'i') ADVANCE(704);
      END_STATE();
    case 689:
      if (lookahead == 'e') ADVANCE(705);
      END_STATE();
    case 690:
      if (lookahead == 'a') ADVANCE(706);
      END_STATE();
    case 691:
      if (lookahead == 'j') ADVANCE(707);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(anon_sym___attribute);
      if (lookahead == '_') ADVANCE(708);
      END_STATE();
    case 694:
      if (lookahead == '_') ADVANCE(709);
      END_STATE();
    case 695:
      if (lookahead == 'n') ADVANCE(710);
      END_STATE();
    case 696:
      if (lookahead == '_') ADVANCE(711);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 698:
      if (lookahead == 'l') ADVANCE(712);
      END_STATE();
    case 699:
      if (lookahead == '_') ADVANCE(713);
      END_STATE();
    case 700:
      if (lookahead == 'r') ADVANCE(714);
      END_STATE();
    case 701:
      if (lookahead == 'e') ADVANCE(715);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_groupshared);
      END_STATE();
    case 703:
      if (lookahead == 't') ADVANCE(716);
      END_STATE();
    case 704:
      if (lookahead == 'v') ADVANCE(717);
      END_STATE();
    case 705:
      if (lookahead == 'r') ADVANCE(718);
      END_STATE();
    case 706:
      if (lookahead == 'l') ADVANCE(719);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_triangleadj);
      END_STATE();
    case 708:
      if (lookahead == '_') ADVANCE(720);
      END_STATE();
    case 709:
      if (lookahead == '_') ADVANCE(721);
      END_STATE();
    case 710:
      if (lookahead == 'e') ADVANCE(722);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(anon_sym___volatile__);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(anon_sym_column_major);
      END_STATE();
    case 715:
      if (lookahead == 'r') ADVANCE(723);
      END_STATE();
    case 716:
      if (lookahead == 'i') ADVANCE(724);
      END_STATE();
    case 717:
      if (lookahead == 'e') ADVANCE(725);
      END_STATE();
    case 718:
      if (lookahead == 't') ADVANCE(726);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 723:
      if (lookahead == 'e') ADVANCE(727);
      END_STATE();
    case 724:
      if (lookahead == 'o') ADVANCE(728);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_noperspective);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    case 727:
      if (lookahead == 'n') ADVANCE(729);
      END_STATE();
    case 728:
      if (lookahead == 'n') ADVANCE(730);
      END_STATE();
    case 729:
      if (lookahead == 't') ADVANCE(731);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_nointerpolation);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_globallycoherent);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 338},
  [2] = {.lex_state = 338},
  [3] = {.lex_state = 338},
  [4] = {.lex_state = 338},
  [5] = {.lex_state = 338},
  [6] = {.lex_state = 338},
  [7] = {.lex_state = 338},
  [8] = {.lex_state = 338},
  [9] = {.lex_state = 338},
  [10] = {.lex_state = 338},
  [11] = {.lex_state = 338},
  [12] = {.lex_state = 338},
  [13] = {.lex_state = 171},
  [14] = {.lex_state = 171},
  [15] = {.lex_state = 171},
  [16] = {.lex_state = 171},
  [17] = {.lex_state = 171},
  [18] = {.lex_state = 171},
  [19] = {.lex_state = 171},
  [20] = {.lex_state = 171},
  [21] = {.lex_state = 171},
  [22] = {.lex_state = 171},
  [23] = {.lex_state = 171},
  [24] = {.lex_state = 171},
  [25] = {.lex_state = 171},
  [26] = {.lex_state = 171},
  [27] = {.lex_state = 171},
  [28] = {.lex_state = 171},
  [29] = {.lex_state = 171},
  [30] = {.lex_state = 171},
  [31] = {.lex_state = 171},
  [32] = {.lex_state = 171},
  [33] = {.lex_state = 171},
  [34] = {.lex_state = 338},
  [35] = {.lex_state = 338},
  [36] = {.lex_state = 338},
  [37] = {.lex_state = 338},
  [38] = {.lex_state = 338},
  [39] = {.lex_state = 338},
  [40] = {.lex_state = 338},
  [41] = {.lex_state = 338},
  [42] = {.lex_state = 338},
  [43] = {.lex_state = 174},
  [44] = {.lex_state = 338},
  [45] = {.lex_state = 338},
  [46] = {.lex_state = 338},
  [47] = {.lex_state = 338},
  [48] = {.lex_state = 338},
  [49] = {.lex_state = 338},
  [50] = {.lex_state = 174},
  [51] = {.lex_state = 338},
  [52] = {.lex_state = 338},
  [53] = {.lex_state = 338},
  [54] = {.lex_state = 338},
  [55] = {.lex_state = 338},
  [56] = {.lex_state = 338},
  [57] = {.lex_state = 338},
  [58] = {.lex_state = 338},
  [59] = {.lex_state = 338},
  [60] = {.lex_state = 338},
  [61] = {.lex_state = 338},
  [62] = {.lex_state = 338},
  [63] = {.lex_state = 338},
  [64] = {.lex_state = 338},
  [65] = {.lex_state = 174},
  [66] = {.lex_state = 338},
  [67] = {.lex_state = 338},
  [68] = {.lex_state = 338},
  [69] = {.lex_state = 338},
  [70] = {.lex_state = 338},
  [71] = {.lex_state = 338},
  [72] = {.lex_state = 338},
  [73] = {.lex_state = 338},
  [74] = {.lex_state = 338},
  [75] = {.lex_state = 338},
  [76] = {.lex_state = 338},
  [77] = {.lex_state = 338},
  [78] = {.lex_state = 338},
  [79] = {.lex_state = 338},
  [80] = {.lex_state = 338},
  [81] = {.lex_state = 338},
  [82] = {.lex_state = 171},
  [83] = {.lex_state = 171},
  [84] = {.lex_state = 171},
  [85] = {.lex_state = 171},
  [86] = {.lex_state = 171},
  [87] = {.lex_state = 338},
  [88] = {.lex_state = 338},
  [89] = {.lex_state = 338},
  [90] = {.lex_state = 338},
  [91] = {.lex_state = 338},
  [92] = {.lex_state = 338},
  [93] = {.lex_state = 174},
  [94] = {.lex_state = 174},
  [95] = {.lex_state = 338},
  [96] = {.lex_state = 174},
  [97] = {.lex_state = 338},
  [98] = {.lex_state = 174},
  [99] = {.lex_state = 174},
  [100] = {.lex_state = 338},
  [101] = {.lex_state = 338},
  [102] = {.lex_state = 173},
  [103] = {.lex_state = 173},
  [104] = {.lex_state = 173},
  [105] = {.lex_state = 173},
  [106] = {.lex_state = 173},
  [107] = {.lex_state = 173},
  [108] = {.lex_state = 173},
  [109] = {.lex_state = 173},
  [110] = {.lex_state = 173},
  [111] = {.lex_state = 173},
  [112] = {.lex_state = 173},
  [113] = {.lex_state = 173},
  [114] = {.lex_state = 173},
  [115] = {.lex_state = 173},
  [116] = {.lex_state = 173},
  [117] = {.lex_state = 173},
  [118] = {.lex_state = 173},
  [119] = {.lex_state = 173},
  [120] = {.lex_state = 173},
  [121] = {.lex_state = 173},
  [122] = {.lex_state = 173},
  [123] = {.lex_state = 173},
  [124] = {.lex_state = 173},
  [125] = {.lex_state = 173},
  [126] = {.lex_state = 173},
  [127] = {.lex_state = 173},
  [128] = {.lex_state = 173},
  [129] = {.lex_state = 173},
  [130] = {.lex_state = 173},
  [131] = {.lex_state = 173},
  [132] = {.lex_state = 173},
  [133] = {.lex_state = 173},
  [134] = {.lex_state = 173},
  [135] = {.lex_state = 338},
  [136] = {.lex_state = 338},
  [137] = {.lex_state = 338},
  [138] = {.lex_state = 338},
  [139] = {.lex_state = 338},
  [140] = {.lex_state = 338},
  [141] = {.lex_state = 171},
  [142] = {.lex_state = 171},
  [143] = {.lex_state = 338},
  [144] = {.lex_state = 338},
  [145] = {.lex_state = 171},
  [146] = {.lex_state = 171},
  [147] = {.lex_state = 338},
  [148] = {.lex_state = 171},
  [149] = {.lex_state = 171},
  [150] = {.lex_state = 171},
  [151] = {.lex_state = 171},
  [152] = {.lex_state = 171},
  [153] = {.lex_state = 171},
  [154] = {.lex_state = 171},
  [155] = {.lex_state = 171},
  [156] = {.lex_state = 171},
  [157] = {.lex_state = 171},
  [158] = {.lex_state = 171},
  [159] = {.lex_state = 171},
  [160] = {.lex_state = 171},
  [161] = {.lex_state = 171},
  [162] = {.lex_state = 171},
  [163] = {.lex_state = 338},
  [164] = {.lex_state = 171},
  [165] = {.lex_state = 171},
  [166] = {.lex_state = 175},
  [167] = {.lex_state = 338},
  [168] = {.lex_state = 338},
  [169] = {.lex_state = 175},
  [170] = {.lex_state = 175},
  [171] = {.lex_state = 174},
  [172] = {.lex_state = 174},
  [173] = {.lex_state = 338},
  [174] = {.lex_state = 171},
  [175] = {.lex_state = 338},
  [176] = {.lex_state = 338},
  [177] = {.lex_state = 174},
  [178] = {.lex_state = 171},
  [179] = {.lex_state = 171},
  [180] = {.lex_state = 174},
  [181] = {.lex_state = 338},
  [182] = {.lex_state = 171},
  [183] = {.lex_state = 171},
  [184] = {.lex_state = 171},
  [185] = {.lex_state = 338},
  [186] = {.lex_state = 171},
  [187] = {.lex_state = 171},
  [188] = {.lex_state = 171},
  [189] = {.lex_state = 171},
  [190] = {.lex_state = 171},
  [191] = {.lex_state = 171},
  [192] = {.lex_state = 171},
  [193] = {.lex_state = 171},
  [194] = {.lex_state = 171},
  [195] = {.lex_state = 171},
  [196] = {.lex_state = 171},
  [197] = {.lex_state = 171},
  [198] = {.lex_state = 171},
  [199] = {.lex_state = 171},
  [200] = {.lex_state = 171},
  [201] = {.lex_state = 171},
  [202] = {.lex_state = 171},
  [203] = {.lex_state = 171},
  [204] = {.lex_state = 171},
  [205] = {.lex_state = 171},
  [206] = {.lex_state = 171},
  [207] = {.lex_state = 171},
  [208] = {.lex_state = 171},
  [209] = {.lex_state = 171},
  [210] = {.lex_state = 171},
  [211] = {.lex_state = 171},
  [212] = {.lex_state = 171},
  [213] = {.lex_state = 171},
  [214] = {.lex_state = 338},
  [215] = {.lex_state = 171},
  [216] = {.lex_state = 171},
  [217] = {.lex_state = 171},
  [218] = {.lex_state = 171},
  [219] = {.lex_state = 171},
  [220] = {.lex_state = 171},
  [221] = {.lex_state = 171},
  [222] = {.lex_state = 171},
  [223] = {.lex_state = 171},
  [224] = {.lex_state = 171},
  [225] = {.lex_state = 171},
  [226] = {.lex_state = 171},
  [227] = {.lex_state = 171},
  [228] = {.lex_state = 171},
  [229] = {.lex_state = 171},
  [230] = {.lex_state = 338},
  [231] = {.lex_state = 171},
  [232] = {.lex_state = 171},
  [233] = {.lex_state = 171},
  [234] = {.lex_state = 171},
  [235] = {.lex_state = 338},
  [236] = {.lex_state = 171},
  [237] = {.lex_state = 171},
  [238] = {.lex_state = 171},
  [239] = {.lex_state = 171},
  [240] = {.lex_state = 171},
  [241] = {.lex_state = 338},
  [242] = {.lex_state = 171},
  [243] = {.lex_state = 174},
  [244] = {.lex_state = 171},
  [245] = {.lex_state = 171},
  [246] = {.lex_state = 171},
  [247] = {.lex_state = 171},
  [248] = {.lex_state = 171},
  [249] = {.lex_state = 171},
  [250] = {.lex_state = 171},
  [251] = {.lex_state = 171},
  [252] = {.lex_state = 338},
  [253] = {.lex_state = 171},
  [254] = {.lex_state = 338},
  [255] = {.lex_state = 338},
  [256] = {.lex_state = 338},
  [257] = {.lex_state = 338},
  [258] = {.lex_state = 171},
  [259] = {.lex_state = 171},
  [260] = {.lex_state = 171},
  [261] = {.lex_state = 171},
  [262] = {.lex_state = 338},
  [263] = {.lex_state = 171},
  [264] = {.lex_state = 171},
  [265] = {.lex_state = 171},
  [266] = {.lex_state = 171},
  [267] = {.lex_state = 171},
  [268] = {.lex_state = 171},
  [269] = {.lex_state = 174},
  [270] = {.lex_state = 174},
  [271] = {.lex_state = 174},
  [272] = {.lex_state = 174},
  [273] = {.lex_state = 174},
  [274] = {.lex_state = 174},
  [275] = {.lex_state = 171},
  [276] = {.lex_state = 171},
  [277] = {.lex_state = 338},
  [278] = {.lex_state = 338},
  [279] = {.lex_state = 338},
  [280] = {.lex_state = 338},
  [281] = {.lex_state = 338},
  [282] = {.lex_state = 338},
  [283] = {.lex_state = 338},
  [284] = {.lex_state = 171},
  [285] = {.lex_state = 171},
  [286] = {.lex_state = 171},
  [287] = {.lex_state = 171},
  [288] = {.lex_state = 171},
  [289] = {.lex_state = 171},
  [290] = {.lex_state = 171},
  [291] = {.lex_state = 174},
  [292] = {.lex_state = 174},
  [293] = {.lex_state = 174},
  [294] = {.lex_state = 171},
  [295] = {.lex_state = 174},
  [296] = {.lex_state = 174},
  [297] = {.lex_state = 174},
  [298] = {.lex_state = 171},
  [299] = {.lex_state = 171},
  [300] = {.lex_state = 338},
  [301] = {.lex_state = 171},
  [302] = {.lex_state = 171},
  [303] = {.lex_state = 171},
  [304] = {.lex_state = 171},
  [305] = {.lex_state = 338},
  [306] = {.lex_state = 171},
  [307] = {.lex_state = 171},
  [308] = {.lex_state = 171},
  [309] = {.lex_state = 338},
  [310] = {.lex_state = 171},
  [311] = {.lex_state = 171},
  [312] = {.lex_state = 171},
  [313] = {.lex_state = 338},
  [314] = {.lex_state = 171},
  [315] = {.lex_state = 174},
  [316] = {.lex_state = 171},
  [317] = {.lex_state = 171},
  [318] = {.lex_state = 171},
  [319] = {.lex_state = 171},
  [320] = {.lex_state = 171},
  [321] = {.lex_state = 171},
  [322] = {.lex_state = 171},
  [323] = {.lex_state = 171},
  [324] = {.lex_state = 171},
  [325] = {.lex_state = 171},
  [326] = {.lex_state = 171},
  [327] = {.lex_state = 171},
  [328] = {.lex_state = 171},
  [329] = {.lex_state = 171},
  [330] = {.lex_state = 171},
  [331] = {.lex_state = 171},
  [332] = {.lex_state = 174},
  [333] = {.lex_state = 171},
  [334] = {.lex_state = 171},
  [335] = {.lex_state = 171},
  [336] = {.lex_state = 171},
  [337] = {.lex_state = 171},
  [338] = {.lex_state = 171},
  [339] = {.lex_state = 171},
  [340] = {.lex_state = 338},
  [341] = {.lex_state = 171},
  [342] = {.lex_state = 171},
  [343] = {.lex_state = 338},
  [344] = {.lex_state = 171},
  [345] = {.lex_state = 171},
  [346] = {.lex_state = 338},
  [347] = {.lex_state = 338},
  [348] = {.lex_state = 338},
  [349] = {.lex_state = 338},
  [350] = {.lex_state = 171},
  [351] = {.lex_state = 171},
  [352] = {.lex_state = 171},
  [353] = {.lex_state = 171},
  [354] = {.lex_state = 171},
  [355] = {.lex_state = 171},
  [356] = {.lex_state = 171},
  [357] = {.lex_state = 171},
  [358] = {.lex_state = 171},
  [359] = {.lex_state = 171},
  [360] = {.lex_state = 174},
  [361] = {.lex_state = 338},
  [362] = {.lex_state = 338},
  [363] = {.lex_state = 174},
  [364] = {.lex_state = 173},
  [365] = {.lex_state = 238},
  [366] = {.lex_state = 238},
  [367] = {.lex_state = 238},
  [368] = {.lex_state = 238},
  [369] = {.lex_state = 338},
  [370] = {.lex_state = 174},
  [371] = {.lex_state = 238},
  [372] = {.lex_state = 338},
  [373] = {.lex_state = 174},
  [374] = {.lex_state = 338},
  [375] = {.lex_state = 238},
  [376] = {.lex_state = 173},
  [377] = {.lex_state = 338},
  [378] = {.lex_state = 174},
  [379] = {.lex_state = 238},
  [380] = {.lex_state = 238},
  [381] = {.lex_state = 173},
  [382] = {.lex_state = 338},
  [383] = {.lex_state = 238},
  [384] = {.lex_state = 238},
  [385] = {.lex_state = 238},
  [386] = {.lex_state = 238},
  [387] = {.lex_state = 238},
  [388] = {.lex_state = 338},
  [389] = {.lex_state = 338},
  [390] = {.lex_state = 174},
  [391] = {.lex_state = 174},
  [392] = {.lex_state = 338},
  [393] = {.lex_state = 174},
  [394] = {.lex_state = 238},
  [395] = {.lex_state = 238},
  [396] = {.lex_state = 338},
  [397] = {.lex_state = 238},
  [398] = {.lex_state = 338},
  [399] = {.lex_state = 174},
  [400] = {.lex_state = 173},
  [401] = {.lex_state = 338},
  [402] = {.lex_state = 338},
  [403] = {.lex_state = 338},
  [404] = {.lex_state = 338},
  [405] = {.lex_state = 338},
  [406] = {.lex_state = 338},
  [407] = {.lex_state = 338},
  [408] = {.lex_state = 338},
  [409] = {.lex_state = 338},
  [410] = {.lex_state = 338},
  [411] = {.lex_state = 338},
  [412] = {.lex_state = 338},
  [413] = {.lex_state = 338},
  [414] = {.lex_state = 338},
  [415] = {.lex_state = 338},
  [416] = {.lex_state = 338},
  [417] = {.lex_state = 338},
  [418] = {.lex_state = 338},
  [419] = {.lex_state = 338},
  [420] = {.lex_state = 338},
  [421] = {.lex_state = 338},
  [422] = {.lex_state = 338},
  [423] = {.lex_state = 338},
  [424] = {.lex_state = 338},
  [425] = {.lex_state = 338},
  [426] = {.lex_state = 338},
  [427] = {.lex_state = 338},
  [428] = {.lex_state = 338},
  [429] = {.lex_state = 338},
  [430] = {.lex_state = 338},
  [431] = {.lex_state = 338},
  [432] = {.lex_state = 338},
  [433] = {.lex_state = 338},
  [434] = {.lex_state = 338},
  [435] = {.lex_state = 338},
  [436] = {.lex_state = 338},
  [437] = {.lex_state = 338},
  [438] = {.lex_state = 174},
  [439] = {.lex_state = 338},
  [440] = {.lex_state = 174},
  [441] = {.lex_state = 174},
  [442] = {.lex_state = 174},
  [443] = {.lex_state = 174},
  [444] = {.lex_state = 174},
  [445] = {.lex_state = 174},
  [446] = {.lex_state = 174},
  [447] = {.lex_state = 173},
  [448] = {.lex_state = 174},
  [449] = {.lex_state = 338},
  [450] = {.lex_state = 338},
  [451] = {.lex_state = 174},
  [452] = {.lex_state = 174},
  [453] = {.lex_state = 174},
  [454] = {.lex_state = 174},
  [455] = {.lex_state = 174},
  [456] = {.lex_state = 174},
  [457] = {.lex_state = 174},
  [458] = {.lex_state = 174},
  [459] = {.lex_state = 338},
  [460] = {.lex_state = 174},
  [461] = {.lex_state = 174},
  [462] = {.lex_state = 173},
  [463] = {.lex_state = 174},
  [464] = {.lex_state = 338},
  [465] = {.lex_state = 338},
  [466] = {.lex_state = 174},
  [467] = {.lex_state = 338},
  [468] = {.lex_state = 174},
  [469] = {.lex_state = 174},
  [470] = {.lex_state = 174},
  [471] = {.lex_state = 174},
  [472] = {.lex_state = 174},
  [473] = {.lex_state = 174},
  [474] = {.lex_state = 174},
  [475] = {.lex_state = 174},
  [476] = {.lex_state = 174},
  [477] = {.lex_state = 338},
  [478] = {.lex_state = 174},
  [479] = {.lex_state = 174},
  [480] = {.lex_state = 174},
  [481] = {.lex_state = 174},
  [482] = {.lex_state = 338},
  [483] = {.lex_state = 174},
  [484] = {.lex_state = 174},
  [485] = {.lex_state = 174},
  [486] = {.lex_state = 338},
  [487] = {.lex_state = 338},
  [488] = {.lex_state = 338},
  [489] = {.lex_state = 338},
  [490] = {.lex_state = 174},
  [491] = {.lex_state = 174},
  [492] = {.lex_state = 338},
  [493] = {.lex_state = 338},
  [494] = {.lex_state = 338},
  [495] = {.lex_state = 174},
  [496] = {.lex_state = 174},
  [497] = {.lex_state = 338},
  [498] = {.lex_state = 338},
  [499] = {.lex_state = 174},
  [500] = {.lex_state = 174},
  [501] = {.lex_state = 338},
  [502] = {.lex_state = 174},
  [503] = {.lex_state = 338},
  [504] = {.lex_state = 338},
  [505] = {.lex_state = 338},
  [506] = {.lex_state = 338},
  [507] = {.lex_state = 338},
  [508] = {.lex_state = 174},
  [509] = {.lex_state = 174},
  [510] = {.lex_state = 338},
  [511] = {.lex_state = 338},
  [512] = {.lex_state = 338},
  [513] = {.lex_state = 338},
  [514] = {.lex_state = 338},
  [515] = {.lex_state = 174},
  [516] = {.lex_state = 174},
  [517] = {.lex_state = 174},
  [518] = {.lex_state = 174},
  [519] = {.lex_state = 338},
  [520] = {.lex_state = 338},
  [521] = {.lex_state = 174},
  [522] = {.lex_state = 174},
  [523] = {.lex_state = 338},
  [524] = {.lex_state = 338},
  [525] = {.lex_state = 338},
  [526] = {.lex_state = 338},
  [527] = {.lex_state = 338},
  [528] = {.lex_state = 338},
  [529] = {.lex_state = 338},
  [530] = {.lex_state = 338},
  [531] = {.lex_state = 338},
  [532] = {.lex_state = 338},
  [533] = {.lex_state = 338},
  [534] = {.lex_state = 338},
  [535] = {.lex_state = 338},
  [536] = {.lex_state = 338},
  [537] = {.lex_state = 338},
  [538] = {.lex_state = 338},
  [539] = {.lex_state = 338},
  [540] = {.lex_state = 338},
  [541] = {.lex_state = 338},
  [542] = {.lex_state = 338},
  [543] = {.lex_state = 338},
  [544] = {.lex_state = 338},
  [545] = {.lex_state = 338},
  [546] = {.lex_state = 338},
  [547] = {.lex_state = 338},
  [548] = {.lex_state = 338},
  [549] = {.lex_state = 338},
  [550] = {.lex_state = 338},
  [551] = {.lex_state = 338},
  [552] = {.lex_state = 338},
  [553] = {.lex_state = 338},
  [554] = {.lex_state = 338},
  [555] = {.lex_state = 338},
  [556] = {.lex_state = 338},
  [557] = {.lex_state = 338},
  [558] = {.lex_state = 173},
  [559] = {.lex_state = 338},
  [560] = {.lex_state = 338},
  [561] = {.lex_state = 173},
  [562] = {.lex_state = 173},
  [563] = {.lex_state = 338},
  [564] = {.lex_state = 174},
  [565] = {.lex_state = 174},
  [566] = {.lex_state = 338},
  [567] = {.lex_state = 174},
  [568] = {.lex_state = 174},
  [569] = {.lex_state = 174},
  [570] = {.lex_state = 174},
  [571] = {.lex_state = 174},
  [572] = {.lex_state = 174},
  [573] = {.lex_state = 174},
  [574] = {.lex_state = 174},
  [575] = {.lex_state = 174},
  [576] = {.lex_state = 174},
  [577] = {.lex_state = 174},
  [578] = {.lex_state = 338},
  [579] = {.lex_state = 174},
  [580] = {.lex_state = 174},
  [581] = {.lex_state = 174},
  [582] = {.lex_state = 174},
  [583] = {.lex_state = 174},
  [584] = {.lex_state = 174},
  [585] = {.lex_state = 174},
  [586] = {.lex_state = 174},
  [587] = {.lex_state = 174},
  [588] = {.lex_state = 174},
  [589] = {.lex_state = 174},
  [590] = {.lex_state = 174},
  [591] = {.lex_state = 174},
  [592] = {.lex_state = 174},
  [593] = {.lex_state = 174},
  [594] = {.lex_state = 174},
  [595] = {.lex_state = 174},
  [596] = {.lex_state = 174},
  [597] = {.lex_state = 174},
  [598] = {.lex_state = 174},
  [599] = {.lex_state = 174},
  [600] = {.lex_state = 174},
  [601] = {.lex_state = 174},
  [602] = {.lex_state = 174},
  [603] = {.lex_state = 174},
  [604] = {.lex_state = 174},
  [605] = {.lex_state = 173},
  [606] = {.lex_state = 174},
  [607] = {.lex_state = 174},
  [608] = {.lex_state = 174},
  [609] = {.lex_state = 174},
  [610] = {.lex_state = 338},
  [611] = {.lex_state = 338},
  [612] = {.lex_state = 174},
  [613] = {.lex_state = 174},
  [614] = {.lex_state = 338},
  [615] = {.lex_state = 338},
  [616] = {.lex_state = 338},
  [617] = {.lex_state = 338},
  [618] = {.lex_state = 338},
  [619] = {.lex_state = 174},
  [620] = {.lex_state = 174},
  [621] = {.lex_state = 174},
  [622] = {.lex_state = 174},
  [623] = {.lex_state = 174},
  [624] = {.lex_state = 174},
  [625] = {.lex_state = 174},
  [626] = {.lex_state = 174},
  [627] = {.lex_state = 174},
  [628] = {.lex_state = 338},
  [629] = {.lex_state = 338},
  [630] = {.lex_state = 338},
  [631] = {.lex_state = 338},
  [632] = {.lex_state = 174},
  [633] = {.lex_state = 174},
  [634] = {.lex_state = 338},
  [635] = {.lex_state = 338},
  [636] = {.lex_state = 174},
  [637] = {.lex_state = 174},
  [638] = {.lex_state = 174},
  [639] = {.lex_state = 174},
  [640] = {.lex_state = 174},
  [641] = {.lex_state = 174},
  [642] = {.lex_state = 338},
  [643] = {.lex_state = 174},
  [644] = {.lex_state = 174},
  [645] = {.lex_state = 174},
  [646] = {.lex_state = 173},
  [647] = {.lex_state = 174},
  [648] = {.lex_state = 174},
  [649] = {.lex_state = 174},
  [650] = {.lex_state = 174},
  [651] = {.lex_state = 174},
  [652] = {.lex_state = 338},
  [653] = {.lex_state = 338},
  [654] = {.lex_state = 338},
  [655] = {.lex_state = 338},
  [656] = {.lex_state = 338},
  [657] = {.lex_state = 338},
  [658] = {.lex_state = 174},
  [659] = {.lex_state = 174},
  [660] = {.lex_state = 338},
  [661] = {.lex_state = 338},
  [662] = {.lex_state = 338},
  [663] = {.lex_state = 338},
  [664] = {.lex_state = 338},
  [665] = {.lex_state = 338},
  [666] = {.lex_state = 338},
  [667] = {.lex_state = 338},
  [668] = {.lex_state = 338},
  [669] = {.lex_state = 338},
  [670] = {.lex_state = 338},
  [671] = {.lex_state = 338},
  [672] = {.lex_state = 338},
  [673] = {.lex_state = 338},
  [674] = {.lex_state = 338},
  [675] = {.lex_state = 338},
  [676] = {.lex_state = 338},
  [677] = {.lex_state = 338},
  [678] = {.lex_state = 338},
  [679] = {.lex_state = 338},
  [680] = {.lex_state = 338},
  [681] = {.lex_state = 338},
  [682] = {.lex_state = 338},
  [683] = {.lex_state = 338},
  [684] = {.lex_state = 338},
  [685] = {.lex_state = 338},
  [686] = {.lex_state = 338},
  [687] = {.lex_state = 338},
  [688] = {.lex_state = 338},
  [689] = {.lex_state = 338},
  [690] = {.lex_state = 338},
  [691] = {.lex_state = 338},
  [692] = {.lex_state = 338},
  [693] = {.lex_state = 338},
  [694] = {.lex_state = 338},
  [695] = {.lex_state = 338},
  [696] = {.lex_state = 338},
  [697] = {.lex_state = 338},
  [698] = {.lex_state = 338},
  [699] = {.lex_state = 338},
  [700] = {.lex_state = 338},
  [701] = {.lex_state = 338},
  [702] = {.lex_state = 338},
  [703] = {.lex_state = 338},
  [704] = {.lex_state = 174},
  [705] = {.lex_state = 338},
  [706] = {.lex_state = 338},
  [707] = {.lex_state = 338},
  [708] = {.lex_state = 338},
  [709] = {.lex_state = 338},
  [710] = {.lex_state = 338},
  [711] = {.lex_state = 338},
  [712] = {.lex_state = 338},
  [713] = {.lex_state = 174},
  [714] = {.lex_state = 174},
  [715] = {.lex_state = 174},
  [716] = {.lex_state = 174},
  [717] = {.lex_state = 338},
  [718] = {.lex_state = 338},
  [719] = {.lex_state = 338},
  [720] = {.lex_state = 338},
  [721] = {.lex_state = 174},
  [722] = {.lex_state = 174},
  [723] = {.lex_state = 338},
  [724] = {.lex_state = 238},
  [725] = {.lex_state = 338},
  [726] = {.lex_state = 338},
  [727] = {.lex_state = 338},
  [728] = {.lex_state = 338},
  [729] = {.lex_state = 338},
  [730] = {.lex_state = 338},
  [731] = {.lex_state = 338},
  [732] = {.lex_state = 338},
  [733] = {.lex_state = 338},
  [734] = {.lex_state = 338},
  [735] = {.lex_state = 338},
  [736] = {.lex_state = 338},
  [737] = {.lex_state = 338},
  [738] = {.lex_state = 338},
  [739] = {.lex_state = 338},
  [740] = {.lex_state = 338},
  [741] = {.lex_state = 338},
  [742] = {.lex_state = 338},
  [743] = {.lex_state = 338},
  [744] = {.lex_state = 338},
  [745] = {.lex_state = 338},
  [746] = {.lex_state = 338},
  [747] = {.lex_state = 338},
  [748] = {.lex_state = 338},
  [749] = {.lex_state = 338},
  [750] = {.lex_state = 338},
  [751] = {.lex_state = 338},
  [752] = {.lex_state = 338},
  [753] = {.lex_state = 338},
  [754] = {.lex_state = 338},
  [755] = {.lex_state = 338},
  [756] = {.lex_state = 338},
  [757] = {.lex_state = 338},
  [758] = {.lex_state = 338},
  [759] = {.lex_state = 338},
  [760] = {.lex_state = 338},
  [761] = {.lex_state = 338},
  [762] = {.lex_state = 338},
  [763] = {.lex_state = 338},
  [764] = {.lex_state = 338},
  [765] = {.lex_state = 338},
  [766] = {.lex_state = 338},
  [767] = {.lex_state = 338},
  [768] = {.lex_state = 338},
  [769] = {.lex_state = 338},
  [770] = {.lex_state = 338},
  [771] = {.lex_state = 338},
  [772] = {.lex_state = 338},
  [773] = {.lex_state = 338},
  [774] = {.lex_state = 338},
  [775] = {.lex_state = 338},
  [776] = {.lex_state = 338},
  [777] = {.lex_state = 338},
  [778] = {.lex_state = 338},
  [779] = {.lex_state = 338},
  [780] = {.lex_state = 338},
  [781] = {.lex_state = 338},
  [782] = {.lex_state = 338},
  [783] = {.lex_state = 338},
  [784] = {.lex_state = 338},
  [785] = {.lex_state = 338},
  [786] = {.lex_state = 338},
  [787] = {.lex_state = 338},
  [788] = {.lex_state = 338},
  [789] = {.lex_state = 338},
  [790] = {.lex_state = 338},
  [791] = {.lex_state = 338},
  [792] = {.lex_state = 338},
  [793] = {.lex_state = 338},
  [794] = {.lex_state = 338},
  [795] = {.lex_state = 338},
  [796] = {.lex_state = 338},
  [797] = {.lex_state = 338},
  [798] = {.lex_state = 338},
  [799] = {.lex_state = 338},
  [800] = {.lex_state = 338},
  [801] = {.lex_state = 338},
  [802] = {.lex_state = 338},
  [803] = {.lex_state = 338},
  [804] = {.lex_state = 338},
  [805] = {.lex_state = 338},
  [806] = {.lex_state = 338},
  [807] = {.lex_state = 338},
  [808] = {.lex_state = 338},
  [809] = {.lex_state = 194},
  [810] = {.lex_state = 239},
  [811] = {.lex_state = 239},
  [812] = {.lex_state = 194},
  [813] = {.lex_state = 194},
  [814] = {.lex_state = 194},
  [815] = {.lex_state = 194},
  [816] = {.lex_state = 194},
  [817] = {.lex_state = 194},
  [818] = {.lex_state = 194},
  [819] = {.lex_state = 194},
  [820] = {.lex_state = 194},
  [821] = {.lex_state = 194},
  [822] = {.lex_state = 194},
  [823] = {.lex_state = 194},
  [824] = {.lex_state = 194},
  [825] = {.lex_state = 194},
  [826] = {.lex_state = 194},
  [827] = {.lex_state = 194},
  [828] = {.lex_state = 194},
  [829] = {.lex_state = 194},
  [830] = {.lex_state = 194},
  [831] = {.lex_state = 194},
  [832] = {.lex_state = 194},
  [833] = {.lex_state = 194},
  [834] = {.lex_state = 194},
  [835] = {.lex_state = 194},
  [836] = {.lex_state = 194},
  [837] = {.lex_state = 194},
  [838] = {.lex_state = 194},
  [839] = {.lex_state = 239},
  [840] = {.lex_state = 194},
  [841] = {.lex_state = 194},
  [842] = {.lex_state = 194},
  [843] = {.lex_state = 173},
  [844] = {.lex_state = 173},
  [845] = {.lex_state = 173},
  [846] = {.lex_state = 173},
  [847] = {.lex_state = 173},
  [848] = {.lex_state = 173},
  [849] = {.lex_state = 173},
  [850] = {.lex_state = 173},
  [851] = {.lex_state = 173},
  [852] = {.lex_state = 173},
  [853] = {.lex_state = 173},
  [854] = {.lex_state = 173},
  [855] = {.lex_state = 173},
  [856] = {.lex_state = 173},
  [857] = {.lex_state = 173},
  [858] = {.lex_state = 173},
  [859] = {.lex_state = 173},
  [860] = {.lex_state = 173},
  [861] = {.lex_state = 173},
  [862] = {.lex_state = 173},
  [863] = {.lex_state = 173},
  [864] = {.lex_state = 173},
  [865] = {.lex_state = 173},
  [866] = {.lex_state = 173},
  [867] = {.lex_state = 173},
  [868] = {.lex_state = 173},
  [869] = {.lex_state = 173},
  [870] = {.lex_state = 173},
  [871] = {.lex_state = 173},
  [872] = {.lex_state = 173},
  [873] = {.lex_state = 173},
  [874] = {.lex_state = 173},
  [875] = {.lex_state = 173},
  [876] = {.lex_state = 173},
  [877] = {.lex_state = 173},
  [878] = {.lex_state = 173},
  [879] = {.lex_state = 173},
  [880] = {.lex_state = 173},
  [881] = {.lex_state = 173},
  [882] = {.lex_state = 173},
  [883] = {.lex_state = 173},
  [884] = {.lex_state = 173},
  [885] = {.lex_state = 173},
  [886] = {.lex_state = 173},
  [887] = {.lex_state = 173},
  [888] = {.lex_state = 173},
  [889] = {.lex_state = 173},
  [890] = {.lex_state = 173},
  [891] = {.lex_state = 173},
  [892] = {.lex_state = 173},
  [893] = {.lex_state = 173},
  [894] = {.lex_state = 173},
  [895] = {.lex_state = 173},
  [896] = {.lex_state = 173},
  [897] = {.lex_state = 173},
  [898] = {.lex_state = 173},
  [899] = {.lex_state = 173},
  [900] = {.lex_state = 173},
  [901] = {.lex_state = 173},
  [902] = {.lex_state = 173},
  [903] = {.lex_state = 173},
  [904] = {.lex_state = 173},
  [905] = {.lex_state = 173},
  [906] = {.lex_state = 173},
  [907] = {.lex_state = 173},
  [908] = {.lex_state = 164},
  [909] = {.lex_state = 169},
  [910] = {.lex_state = 169},
  [911] = {.lex_state = 164},
  [912] = {.lex_state = 176},
  [913] = {.lex_state = 176},
  [914] = {.lex_state = 176},
  [915] = {.lex_state = 176},
  [916] = {.lex_state = 338},
  [917] = {.lex_state = 176},
  [918] = {.lex_state = 176},
  [919] = {.lex_state = 176},
  [920] = {.lex_state = 176},
  [921] = {.lex_state = 176},
  [922] = {.lex_state = 176},
  [923] = {.lex_state = 176},
  [924] = {.lex_state = 176},
  [925] = {.lex_state = 176},
  [926] = {.lex_state = 176},
  [927] = {.lex_state = 176},
  [928] = {.lex_state = 338},
  [929] = {.lex_state = 176},
  [930] = {.lex_state = 176},
  [931] = {.lex_state = 176},
  [932] = {.lex_state = 176},
  [933] = {.lex_state = 176},
  [934] = {.lex_state = 176},
  [935] = {.lex_state = 176},
  [936] = {.lex_state = 176},
  [937] = {.lex_state = 164},
  [938] = {.lex_state = 176},
  [939] = {.lex_state = 176},
  [940] = {.lex_state = 176},
  [941] = {.lex_state = 238},
  [942] = {.lex_state = 238},
  [943] = {.lex_state = 238},
  [944] = {.lex_state = 238},
  [945] = {.lex_state = 238},
  [946] = {.lex_state = 166},
  [947] = {.lex_state = 238},
  [948] = {.lex_state = 238},
  [949] = {.lex_state = 167},
  [950] = {.lex_state = 173},
  [951] = {.lex_state = 173},
  [952] = {.lex_state = 164},
  [953] = {.lex_state = 238},
  [954] = {.lex_state = 238},
  [955] = {.lex_state = 238},
  [956] = {.lex_state = 238},
  [957] = {.lex_state = 238},
  [958] = {.lex_state = 173},
  [959] = {.lex_state = 173},
  [960] = {.lex_state = 238},
  [961] = {.lex_state = 238},
  [962] = {.lex_state = 166},
  [963] = {.lex_state = 338},
  [964] = {.lex_state = 173},
  [965] = {.lex_state = 173},
  [966] = {.lex_state = 173},
  [967] = {.lex_state = 173},
  [968] = {.lex_state = 173},
  [969] = {.lex_state = 173},
  [970] = {.lex_state = 173},
  [971] = {.lex_state = 173},
  [972] = {.lex_state = 173},
  [973] = {.lex_state = 173},
  [974] = {.lex_state = 173},
  [975] = {.lex_state = 173},
  [976] = {.lex_state = 173},
  [977] = {.lex_state = 173},
  [978] = {.lex_state = 173},
  [979] = {.lex_state = 176},
  [980] = {.lex_state = 176},
  [981] = {.lex_state = 176},
  [982] = {.lex_state = 176},
  [983] = {.lex_state = 176},
  [984] = {.lex_state = 176},
  [985] = {.lex_state = 176},
  [986] = {.lex_state = 176},
  [987] = {.lex_state = 176},
  [988] = {.lex_state = 176},
  [989] = {.lex_state = 176},
  [990] = {.lex_state = 176},
  [991] = {.lex_state = 176},
  [992] = {.lex_state = 176},
  [993] = {.lex_state = 176},
  [994] = {.lex_state = 176},
  [995] = {.lex_state = 176},
  [996] = {.lex_state = 176},
  [997] = {.lex_state = 176},
  [998] = {.lex_state = 176},
  [999] = {.lex_state = 176},
  [1000] = {.lex_state = 176},
  [1001] = {.lex_state = 173},
  [1002] = {.lex_state = 173},
  [1003] = {.lex_state = 173},
  [1004] = {.lex_state = 173},
  [1005] = {.lex_state = 175},
  [1006] = {.lex_state = 173},
  [1007] = {.lex_state = 173},
  [1008] = {.lex_state = 187},
  [1009] = {.lex_state = 176},
  [1010] = {.lex_state = 175},
  [1011] = {.lex_state = 187},
  [1012] = {.lex_state = 173},
  [1013] = {.lex_state = 173},
  [1014] = {.lex_state = 173},
  [1015] = {.lex_state = 173},
  [1016] = {.lex_state = 173},
  [1017] = {.lex_state = 173},
  [1018] = {.lex_state = 173},
  [1019] = {.lex_state = 173},
  [1020] = {.lex_state = 173},
  [1021] = {.lex_state = 173},
  [1022] = {.lex_state = 173},
  [1023] = {.lex_state = 173},
  [1024] = {.lex_state = 173},
  [1025] = {.lex_state = 173},
  [1026] = {.lex_state = 173},
  [1027] = {.lex_state = 173},
  [1028] = {.lex_state = 173},
  [1029] = {.lex_state = 173},
  [1030] = {.lex_state = 173},
  [1031] = {.lex_state = 173},
  [1032] = {.lex_state = 173},
  [1033] = {.lex_state = 173},
  [1034] = {.lex_state = 173},
  [1035] = {.lex_state = 173},
  [1036] = {.lex_state = 173},
  [1037] = {.lex_state = 173},
  [1038] = {.lex_state = 173},
  [1039] = {.lex_state = 173},
  [1040] = {.lex_state = 173},
  [1041] = {.lex_state = 173},
  [1042] = {.lex_state = 176},
  [1043] = {.lex_state = 173},
  [1044] = {.lex_state = 173},
  [1045] = {.lex_state = 173},
  [1046] = {.lex_state = 187},
  [1047] = {.lex_state = 173},
  [1048] = {.lex_state = 173},
  [1049] = {.lex_state = 173},
  [1050] = {.lex_state = 176},
  [1051] = {.lex_state = 173},
  [1052] = {.lex_state = 173},
  [1053] = {.lex_state = 176},
  [1054] = {.lex_state = 176},
  [1055] = {.lex_state = 176},
  [1056] = {.lex_state = 176},
  [1057] = {.lex_state = 176},
  [1058] = {.lex_state = 176},
  [1059] = {.lex_state = 176},
  [1060] = {.lex_state = 176},
  [1061] = {.lex_state = 176},
  [1062] = {.lex_state = 173},
  [1063] = {.lex_state = 173},
  [1064] = {.lex_state = 173},
  [1065] = {.lex_state = 173},
  [1066] = {.lex_state = 173},
  [1067] = {.lex_state = 173},
  [1068] = {.lex_state = 173},
  [1069] = {.lex_state = 173},
  [1070] = {.lex_state = 176},
  [1071] = {.lex_state = 173},
  [1072] = {.lex_state = 187},
  [1073] = {.lex_state = 173},
  [1074] = {.lex_state = 173},
  [1075] = {.lex_state = 173},
  [1076] = {.lex_state = 173},
  [1077] = {.lex_state = 173},
  [1078] = {.lex_state = 173},
  [1079] = {.lex_state = 173},
  [1080] = {.lex_state = 173},
  [1081] = {.lex_state = 187},
  [1082] = {.lex_state = 238},
  [1083] = {.lex_state = 165},
  [1084] = {.lex_state = 183},
  [1085] = {.lex_state = 187},
  [1086] = {.lex_state = 187},
  [1087] = {.lex_state = 165},
  [1088] = {.lex_state = 187},
  [1089] = {.lex_state = 165},
  [1090] = {.lex_state = 187},
  [1091] = {.lex_state = 187},
  [1092] = {.lex_state = 187},
  [1093] = {.lex_state = 187},
  [1094] = {.lex_state = 187},
  [1095] = {.lex_state = 165},
  [1096] = {.lex_state = 165},
  [1097] = {.lex_state = 168},
  [1098] = {.lex_state = 165},
  [1099] = {.lex_state = 176},
  [1100] = {.lex_state = 176},
  [1101] = {.lex_state = 176},
  [1102] = {.lex_state = 195},
  [1103] = {.lex_state = 195},
  [1104] = {.lex_state = 195},
  [1105] = {.lex_state = 195},
  [1106] = {.lex_state = 195},
  [1107] = {.lex_state = 195},
  [1108] = {.lex_state = 195},
  [1109] = {.lex_state = 195},
  [1110] = {.lex_state = 195},
  [1111] = {.lex_state = 176},
  [1112] = {.lex_state = 238},
  [1113] = {.lex_state = 176},
  [1114] = {.lex_state = 176},
  [1115] = {.lex_state = 176},
  [1116] = {.lex_state = 176},
  [1117] = {.lex_state = 176},
  [1118] = {.lex_state = 238},
  [1119] = {.lex_state = 176},
  [1120] = {.lex_state = 176},
  [1121] = {.lex_state = 176},
  [1122] = {.lex_state = 176},
  [1123] = {.lex_state = 176},
  [1124] = {.lex_state = 176},
  [1125] = {.lex_state = 176},
  [1126] = {.lex_state = 176},
  [1127] = {.lex_state = 176},
  [1128] = {.lex_state = 176},
  [1129] = {.lex_state = 176},
  [1130] = {.lex_state = 176},
  [1131] = {.lex_state = 176},
  [1132] = {.lex_state = 176},
  [1133] = {.lex_state = 176},
  [1134] = {.lex_state = 238},
  [1135] = {.lex_state = 238},
  [1136] = {.lex_state = 173},
  [1137] = {.lex_state = 173},
  [1138] = {.lex_state = 175},
  [1139] = {.lex_state = 175},
  [1140] = {.lex_state = 173},
  [1141] = {.lex_state = 238},
  [1142] = {.lex_state = 238},
  [1143] = {.lex_state = 193},
  [1144] = {.lex_state = 193},
  [1145] = {.lex_state = 193},
  [1146] = {.lex_state = 193},
  [1147] = {.lex_state = 176},
  [1148] = {.lex_state = 208},
  [1149] = {.lex_state = 193},
  [1150] = {.lex_state = 193},
  [1151] = {.lex_state = 195},
  [1152] = {.lex_state = 193},
  [1153] = {.lex_state = 208},
  [1154] = {.lex_state = 195},
  [1155] = {.lex_state = 208},
  [1156] = {.lex_state = 208},
  [1157] = {.lex_state = 208},
  [1158] = {.lex_state = 208},
  [1159] = {.lex_state = 208},
  [1160] = {.lex_state = 195},
  [1161] = {.lex_state = 208},
  [1162] = {.lex_state = 208},
  [1163] = {.lex_state = 175},
  [1164] = {.lex_state = 195},
  [1165] = {.lex_state = 175},
  [1166] = {.lex_state = 208},
  [1167] = {.lex_state = 208},
  [1168] = {.lex_state = 208},
  [1169] = {.lex_state = 208},
  [1170] = {.lex_state = 208},
  [1171] = {.lex_state = 208},
  [1172] = {.lex_state = 208},
  [1173] = {.lex_state = 208},
  [1174] = {.lex_state = 176},
  [1175] = {.lex_state = 176},
  [1176] = {.lex_state = 176},
  [1177] = {.lex_state = 176},
  [1178] = {.lex_state = 176},
  [1179] = {.lex_state = 176},
  [1180] = {.lex_state = 176},
  [1181] = {.lex_state = 176},
  [1182] = {.lex_state = 176},
  [1183] = {.lex_state = 176},
  [1184] = {.lex_state = 176},
  [1185] = {.lex_state = 176},
  [1186] = {.lex_state = 176},
  [1187] = {.lex_state = 176},
  [1188] = {.lex_state = 176},
  [1189] = {.lex_state = 176},
  [1190] = {.lex_state = 176},
  [1191] = {.lex_state = 176},
  [1192] = {.lex_state = 176},
  [1193] = {.lex_state = 176},
  [1194] = {.lex_state = 176},
  [1195] = {.lex_state = 176},
  [1196] = {.lex_state = 176},
  [1197] = {.lex_state = 176},
  [1198] = {.lex_state = 176},
  [1199] = {.lex_state = 176},
  [1200] = {.lex_state = 176},
  [1201] = {.lex_state = 176},
  [1202] = {.lex_state = 176},
  [1203] = {.lex_state = 176},
  [1204] = {.lex_state = 176},
  [1205] = {.lex_state = 176},
  [1206] = {.lex_state = 176},
  [1207] = {.lex_state = 176},
  [1208] = {.lex_state = 176},
  [1209] = {.lex_state = 176},
  [1210] = {.lex_state = 176},
  [1211] = {.lex_state = 176},
  [1212] = {.lex_state = 176},
  [1213] = {.lex_state = 176},
  [1214] = {.lex_state = 176},
  [1215] = {.lex_state = 176},
  [1216] = {.lex_state = 176},
  [1217] = {.lex_state = 193},
  [1218] = {.lex_state = 238},
  [1219] = {.lex_state = 238},
  [1220] = {.lex_state = 238},
  [1221] = {.lex_state = 238},
  [1222] = {.lex_state = 238},
  [1223] = {.lex_state = 238},
  [1224] = {.lex_state = 238},
  [1225] = {.lex_state = 238},
  [1226] = {.lex_state = 238},
  [1227] = {.lex_state = 238},
  [1228] = {.lex_state = 238},
  [1229] = {.lex_state = 238},
  [1230] = {.lex_state = 238},
  [1231] = {.lex_state = 238},
  [1232] = {.lex_state = 238},
  [1233] = {.lex_state = 238},
  [1234] = {.lex_state = 238},
  [1235] = {.lex_state = 238},
  [1236] = {.lex_state = 176},
  [1237] = {.lex_state = 176},
  [1238] = {.lex_state = 176},
  [1239] = {.lex_state = 176},
  [1240] = {.lex_state = 176},
  [1241] = {.lex_state = 176},
  [1242] = {.lex_state = 176},
  [1243] = {.lex_state = 176},
  [1244] = {.lex_state = 176},
  [1245] = {.lex_state = 176},
  [1246] = {.lex_state = 176},
  [1247] = {.lex_state = 176},
  [1248] = {.lex_state = 176},
  [1249] = {.lex_state = 176},
  [1250] = {.lex_state = 176},
  [1251] = {.lex_state = 176},
  [1252] = {.lex_state = 176},
  [1253] = {.lex_state = 176},
  [1254] = {.lex_state = 176},
  [1255] = {.lex_state = 176},
  [1256] = {.lex_state = 176},
  [1257] = {.lex_state = 176},
  [1258] = {.lex_state = 176},
  [1259] = {.lex_state = 176},
  [1260] = {.lex_state = 176},
  [1261] = {.lex_state = 238},
  [1262] = {.lex_state = 176},
  [1263] = {.lex_state = 176},
  [1264] = {.lex_state = 175},
  [1265] = {.lex_state = 175},
  [1266] = {.lex_state = 175},
  [1267] = {.lex_state = 175},
  [1268] = {.lex_state = 175},
  [1269] = {.lex_state = 175},
  [1270] = {.lex_state = 176},
  [1271] = {.lex_state = 175},
  [1272] = {.lex_state = 175},
  [1273] = {.lex_state = 176},
  [1274] = {.lex_state = 176},
  [1275] = {.lex_state = 176},
  [1276] = {.lex_state = 175},
  [1277] = {.lex_state = 175},
  [1278] = {.lex_state = 238},
  [1279] = {.lex_state = 175},
  [1280] = {.lex_state = 176},
  [1281] = {.lex_state = 175},
  [1282] = {.lex_state = 175},
  [1283] = {.lex_state = 175},
  [1284] = {.lex_state = 175},
  [1285] = {.lex_state = 176},
  [1286] = {.lex_state = 176},
  [1287] = {.lex_state = 176},
  [1288] = {.lex_state = 176},
  [1289] = {.lex_state = 176},
  [1290] = {.lex_state = 176},
  [1291] = {.lex_state = 175},
  [1292] = {.lex_state = 175},
  [1293] = {.lex_state = 175},
  [1294] = {.lex_state = 176},
  [1295] = {.lex_state = 175},
  [1296] = {.lex_state = 175},
  [1297] = {.lex_state = 175},
  [1298] = {.lex_state = 176},
  [1299] = {.lex_state = 238},
  [1300] = {.lex_state = 238},
  [1301] = {.lex_state = 238},
  [1302] = {.lex_state = 175},
  [1303] = {.lex_state = 175},
  [1304] = {.lex_state = 175},
  [1305] = {.lex_state = 175},
  [1306] = {.lex_state = 175},
  [1307] = {.lex_state = 176},
  [1308] = {.lex_state = 238},
  [1309] = {.lex_state = 176},
  [1310] = {.lex_state = 176},
  [1311] = {.lex_state = 176},
  [1312] = {.lex_state = 176},
  [1313] = {.lex_state = 176},
  [1314] = {.lex_state = 176},
  [1315] = {.lex_state = 238},
  [1316] = {.lex_state = 176},
  [1317] = {.lex_state = 176},
  [1318] = {.lex_state = 176},
  [1319] = {.lex_state = 176},
  [1320] = {.lex_state = 176},
  [1321] = {.lex_state = 176},
  [1322] = {.lex_state = 176},
  [1323] = {.lex_state = 176},
  [1324] = {.lex_state = 176},
  [1325] = {.lex_state = 176},
  [1326] = {.lex_state = 176},
  [1327] = {.lex_state = 176},
  [1328] = {.lex_state = 176},
  [1329] = {.lex_state = 176},
  [1330] = {.lex_state = 176},
  [1331] = {.lex_state = 176},
  [1332] = {.lex_state = 176},
  [1333] = {.lex_state = 176},
  [1334] = {.lex_state = 238},
  [1335] = {.lex_state = 176},
  [1336] = {.lex_state = 176},
  [1337] = {.lex_state = 176},
  [1338] = {.lex_state = 176},
  [1339] = {.lex_state = 176},
  [1340] = {.lex_state = 176},
  [1341] = {.lex_state = 176},
  [1342] = {.lex_state = 176},
  [1343] = {.lex_state = 176},
  [1344] = {.lex_state = 176},
  [1345] = {.lex_state = 176},
  [1346] = {.lex_state = 176},
  [1347] = {.lex_state = 176},
  [1348] = {.lex_state = 176},
  [1349] = {.lex_state = 176},
  [1350] = {.lex_state = 238},
  [1351] = {.lex_state = 176},
  [1352] = {.lex_state = 176},
  [1353] = {.lex_state = 176},
  [1354] = {.lex_state = 176},
  [1355] = {.lex_state = 176},
  [1356] = {.lex_state = 176},
  [1357] = {.lex_state = 176},
  [1358] = {.lex_state = 176},
  [1359] = {.lex_state = 176},
  [1360] = {.lex_state = 176},
  [1361] = {.lex_state = 176},
  [1362] = {.lex_state = 176},
  [1363] = {.lex_state = 176},
  [1364] = {.lex_state = 176},
  [1365] = {.lex_state = 176},
  [1366] = {.lex_state = 176},
  [1367] = {.lex_state = 176},
  [1368] = {.lex_state = 176},
  [1369] = {.lex_state = 176},
  [1370] = {.lex_state = 176},
  [1371] = {.lex_state = 193},
  [1372] = {.lex_state = 176},
  [1373] = {.lex_state = 176},
  [1374] = {.lex_state = 176},
  [1375] = {.lex_state = 176},
  [1376] = {.lex_state = 176},
  [1377] = {.lex_state = 176},
  [1378] = {.lex_state = 176},
  [1379] = {.lex_state = 176},
  [1380] = {.lex_state = 176},
  [1381] = {.lex_state = 176},
  [1382] = {.lex_state = 176},
  [1383] = {.lex_state = 176},
  [1384] = {.lex_state = 176},
  [1385] = {.lex_state = 176},
  [1386] = {.lex_state = 176},
  [1387] = {.lex_state = 176},
  [1388] = {.lex_state = 176},
  [1389] = {.lex_state = 176},
  [1390] = {.lex_state = 176},
  [1391] = {.lex_state = 176},
  [1392] = {.lex_state = 176},
  [1393] = {.lex_state = 176},
  [1394] = {.lex_state = 176},
  [1395] = {.lex_state = 176},
  [1396] = {.lex_state = 176},
  [1397] = {.lex_state = 176},
  [1398] = {.lex_state = 176},
  [1399] = {.lex_state = 176},
  [1400] = {.lex_state = 176},
  [1401] = {.lex_state = 176},
  [1402] = {.lex_state = 176},
  [1403] = {.lex_state = 193},
  [1404] = {.lex_state = 176},
  [1405] = {.lex_state = 176},
  [1406] = {.lex_state = 176},
  [1407] = {.lex_state = 176},
  [1408] = {.lex_state = 176},
  [1409] = {.lex_state = 176},
  [1410] = {.lex_state = 176},
  [1411] = {.lex_state = 176},
  [1412] = {.lex_state = 176},
  [1413] = {.lex_state = 238},
  [1414] = {.lex_state = 176},
  [1415] = {.lex_state = 176},
  [1416] = {.lex_state = 176},
  [1417] = {.lex_state = 176},
  [1418] = {.lex_state = 176},
  [1419] = {.lex_state = 176},
  [1420] = {.lex_state = 176},
  [1421] = {.lex_state = 176},
  [1422] = {.lex_state = 176},
  [1423] = {.lex_state = 176},
  [1424] = {.lex_state = 176},
  [1425] = {.lex_state = 176},
  [1426] = {.lex_state = 176},
  [1427] = {.lex_state = 176},
  [1428] = {.lex_state = 238},
  [1429] = {.lex_state = 176},
  [1430] = {.lex_state = 176},
  [1431] = {.lex_state = 176},
  [1432] = {.lex_state = 176},
  [1433] = {.lex_state = 238},
  [1434] = {.lex_state = 176},
  [1435] = {.lex_state = 176},
  [1436] = {.lex_state = 176},
  [1437] = {.lex_state = 176},
  [1438] = {.lex_state = 176},
  [1439] = {.lex_state = 176},
  [1440] = {.lex_state = 176},
  [1441] = {.lex_state = 176},
  [1442] = {.lex_state = 176},
  [1443] = {.lex_state = 176},
  [1444] = {.lex_state = 176},
  [1445] = {.lex_state = 176},
  [1446] = {.lex_state = 176},
  [1447] = {.lex_state = 176},
  [1448] = {.lex_state = 176},
  [1449] = {.lex_state = 176},
  [1450] = {.lex_state = 176},
  [1451] = {.lex_state = 176},
  [1452] = {.lex_state = 176},
  [1453] = {.lex_state = 176},
  [1454] = {.lex_state = 176},
  [1455] = {.lex_state = 176},
  [1456] = {.lex_state = 176},
  [1457] = {.lex_state = 176},
  [1458] = {.lex_state = 176},
  [1459] = {.lex_state = 238},
  [1460] = {.lex_state = 176},
  [1461] = {.lex_state = 176},
  [1462] = {.lex_state = 176},
  [1463] = {.lex_state = 238},
  [1464] = {.lex_state = 176},
  [1465] = {.lex_state = 238},
  [1466] = {.lex_state = 176},
  [1467] = {.lex_state = 238},
  [1468] = {.lex_state = 176},
  [1469] = {.lex_state = 176},
  [1470] = {.lex_state = 176},
  [1471] = {.lex_state = 176},
  [1472] = {.lex_state = 176},
  [1473] = {.lex_state = 176},
  [1474] = {.lex_state = 176},
  [1475] = {.lex_state = 176},
  [1476] = {.lex_state = 176},
  [1477] = {.lex_state = 238},
  [1478] = {.lex_state = 176},
  [1479] = {.lex_state = 176},
  [1480] = {.lex_state = 176},
  [1481] = {.lex_state = 176},
  [1482] = {.lex_state = 176},
  [1483] = {.lex_state = 176},
  [1484] = {.lex_state = 176},
  [1485] = {.lex_state = 176},
  [1486] = {.lex_state = 176},
  [1487] = {.lex_state = 176},
  [1488] = {.lex_state = 176},
  [1489] = {.lex_state = 176},
  [1490] = {.lex_state = 176},
  [1491] = {.lex_state = 176},
  [1492] = {.lex_state = 176},
  [1493] = {.lex_state = 176},
  [1494] = {.lex_state = 176},
  [1495] = {.lex_state = 176},
  [1496] = {.lex_state = 176},
  [1497] = {.lex_state = 176},
  [1498] = {.lex_state = 176},
  [1499] = {.lex_state = 176},
  [1500] = {.lex_state = 176},
  [1501] = {.lex_state = 176},
  [1502] = {.lex_state = 176},
  [1503] = {.lex_state = 176},
  [1504] = {.lex_state = 176},
  [1505] = {.lex_state = 176},
  [1506] = {.lex_state = 176},
  [1507] = {.lex_state = 176},
  [1508] = {.lex_state = 176},
  [1509] = {.lex_state = 176},
  [1510] = {.lex_state = 176},
  [1511] = {.lex_state = 176},
  [1512] = {.lex_state = 176},
  [1513] = {.lex_state = 176},
  [1514] = {.lex_state = 176},
  [1515] = {.lex_state = 176},
  [1516] = {.lex_state = 176},
  [1517] = {.lex_state = 176},
  [1518] = {.lex_state = 176},
  [1519] = {.lex_state = 176},
  [1520] = {.lex_state = 176},
  [1521] = {.lex_state = 176},
  [1522] = {.lex_state = 176},
  [1523] = {.lex_state = 176},
  [1524] = {.lex_state = 176},
  [1525] = {.lex_state = 176},
  [1526] = {.lex_state = 176},
  [1527] = {.lex_state = 176},
  [1528] = {.lex_state = 176},
  [1529] = {.lex_state = 176},
  [1530] = {.lex_state = 176},
  [1531] = {.lex_state = 176},
  [1532] = {.lex_state = 176},
  [1533] = {.lex_state = 176},
  [1534] = {.lex_state = 176},
  [1535] = {.lex_state = 176},
  [1536] = {.lex_state = 176},
  [1537] = {.lex_state = 176},
  [1538] = {.lex_state = 176},
  [1539] = {.lex_state = 176},
  [1540] = {.lex_state = 176},
  [1541] = {.lex_state = 176},
  [1542] = {.lex_state = 176},
  [1543] = {.lex_state = 176},
  [1544] = {.lex_state = 176},
  [1545] = {.lex_state = 176},
  [1546] = {.lex_state = 176},
  [1547] = {.lex_state = 176},
  [1548] = {.lex_state = 176},
  [1549] = {.lex_state = 176},
  [1550] = {.lex_state = 176},
  [1551] = {.lex_state = 176},
  [1552] = {.lex_state = 176},
  [1553] = {.lex_state = 176},
  [1554] = {.lex_state = 176},
  [1555] = {.lex_state = 176},
  [1556] = {.lex_state = 176},
  [1557] = {.lex_state = 176},
  [1558] = {.lex_state = 176},
  [1559] = {.lex_state = 176},
  [1560] = {.lex_state = 176},
  [1561] = {.lex_state = 176},
  [1562] = {.lex_state = 176},
  [1563] = {.lex_state = 176},
  [1564] = {.lex_state = 176},
  [1565] = {.lex_state = 176},
  [1566] = {.lex_state = 176},
  [1567] = {.lex_state = 176},
  [1568] = {.lex_state = 176},
  [1569] = {.lex_state = 176},
  [1570] = {.lex_state = 176},
  [1571] = {.lex_state = 176},
  [1572] = {.lex_state = 176},
  [1573] = {.lex_state = 176},
  [1574] = {.lex_state = 176},
  [1575] = {.lex_state = 176},
  [1576] = {.lex_state = 176},
  [1577] = {.lex_state = 176},
  [1578] = {.lex_state = 176},
  [1579] = {.lex_state = 176},
  [1580] = {.lex_state = 176},
  [1581] = {.lex_state = 176},
  [1582] = {.lex_state = 176},
  [1583] = {.lex_state = 176},
  [1584] = {.lex_state = 176},
  [1585] = {.lex_state = 176},
  [1586] = {.lex_state = 176},
  [1587] = {.lex_state = 176},
  [1588] = {.lex_state = 176},
  [1589] = {.lex_state = 176},
  [1590] = {.lex_state = 176},
  [1591] = {.lex_state = 176},
  [1592] = {.lex_state = 176},
  [1593] = {.lex_state = 176},
  [1594] = {.lex_state = 176},
  [1595] = {.lex_state = 176},
  [1596] = {.lex_state = 176},
  [1597] = {.lex_state = 176},
  [1598] = {.lex_state = 176},
  [1599] = {.lex_state = 176},
  [1600] = {.lex_state = 176},
  [1601] = {.lex_state = 176},
  [1602] = {.lex_state = 176},
  [1603] = {.lex_state = 176},
  [1604] = {.lex_state = 176},
  [1605] = {.lex_state = 176},
  [1606] = {.lex_state = 176},
  [1607] = {.lex_state = 176},
  [1608] = {.lex_state = 176},
  [1609] = {.lex_state = 176},
  [1610] = {.lex_state = 176},
  [1611] = {.lex_state = 176},
  [1612] = {.lex_state = 176},
  [1613] = {.lex_state = 176},
  [1614] = {.lex_state = 176},
  [1615] = {.lex_state = 176},
  [1616] = {.lex_state = 176},
  [1617] = {.lex_state = 176},
  [1618] = {.lex_state = 176},
  [1619] = {.lex_state = 176},
  [1620] = {.lex_state = 176},
  [1621] = {.lex_state = 176},
  [1622] = {.lex_state = 176},
  [1623] = {.lex_state = 176},
  [1624] = {.lex_state = 176},
  [1625] = {.lex_state = 176},
  [1626] = {.lex_state = 176},
  [1627] = {.lex_state = 176},
  [1628] = {.lex_state = 176},
  [1629] = {.lex_state = 176},
  [1630] = {.lex_state = 176},
  [1631] = {.lex_state = 176},
  [1632] = {.lex_state = 176},
  [1633] = {.lex_state = 176},
  [1634] = {.lex_state = 176},
  [1635] = {.lex_state = 176},
  [1636] = {.lex_state = 176},
  [1637] = {.lex_state = 176},
  [1638] = {.lex_state = 176},
  [1639] = {.lex_state = 176},
  [1640] = {.lex_state = 176},
  [1641] = {.lex_state = 176},
  [1642] = {.lex_state = 176},
  [1643] = {.lex_state = 176},
  [1644] = {.lex_state = 176},
  [1645] = {.lex_state = 176},
  [1646] = {.lex_state = 176},
  [1647] = {.lex_state = 176},
  [1648] = {.lex_state = 176},
  [1649] = {.lex_state = 176},
  [1650] = {.lex_state = 176},
  [1651] = {.lex_state = 176},
  [1652] = {.lex_state = 176},
  [1653] = {.lex_state = 176},
  [1654] = {.lex_state = 176},
  [1655] = {.lex_state = 176},
  [1656] = {.lex_state = 176},
  [1657] = {.lex_state = 176},
  [1658] = {.lex_state = 176},
  [1659] = {.lex_state = 176},
  [1660] = {.lex_state = 176},
  [1661] = {.lex_state = 176},
  [1662] = {.lex_state = 176},
  [1663] = {.lex_state = 176},
  [1664] = {.lex_state = 176},
  [1665] = {.lex_state = 176},
  [1666] = {.lex_state = 176},
  [1667] = {.lex_state = 176},
  [1668] = {.lex_state = 176},
  [1669] = {.lex_state = 176},
  [1670] = {.lex_state = 176},
  [1671] = {.lex_state = 176},
  [1672] = {.lex_state = 176},
  [1673] = {.lex_state = 176},
  [1674] = {.lex_state = 176},
  [1675] = {.lex_state = 176},
  [1676] = {.lex_state = 176},
  [1677] = {.lex_state = 176},
  [1678] = {.lex_state = 176},
  [1679] = {.lex_state = 176},
  [1680] = {.lex_state = 176},
  [1681] = {.lex_state = 176},
  [1682] = {.lex_state = 176},
  [1683] = {.lex_state = 176},
  [1684] = {.lex_state = 176},
  [1685] = {.lex_state = 176},
  [1686] = {.lex_state = 176},
  [1687] = {.lex_state = 176},
  [1688] = {.lex_state = 176},
  [1689] = {.lex_state = 176},
  [1690] = {.lex_state = 176},
  [1691] = {.lex_state = 176},
  [1692] = {.lex_state = 176},
  [1693] = {.lex_state = 176},
  [1694] = {.lex_state = 176},
  [1695] = {.lex_state = 176},
  [1696] = {.lex_state = 176},
  [1697] = {.lex_state = 176},
  [1698] = {.lex_state = 176},
  [1699] = {.lex_state = 176},
  [1700] = {.lex_state = 176},
  [1701] = {.lex_state = 176},
  [1702] = {.lex_state = 176},
  [1703] = {.lex_state = 176},
  [1704] = {.lex_state = 176},
  [1705] = {.lex_state = 176},
  [1706] = {.lex_state = 176},
  [1707] = {.lex_state = 176},
  [1708] = {.lex_state = 176},
  [1709] = {.lex_state = 176},
  [1710] = {.lex_state = 176},
  [1711] = {.lex_state = 176},
  [1712] = {.lex_state = 176},
  [1713] = {.lex_state = 176},
  [1714] = {.lex_state = 176},
  [1715] = {.lex_state = 176},
  [1716] = {.lex_state = 176},
  [1717] = {.lex_state = 176},
  [1718] = {.lex_state = 176},
  [1719] = {.lex_state = 176},
  [1720] = {.lex_state = 176},
  [1721] = {.lex_state = 176},
  [1722] = {.lex_state = 176},
  [1723] = {.lex_state = 176},
  [1724] = {.lex_state = 176},
  [1725] = {.lex_state = 176},
  [1726] = {.lex_state = 176},
  [1727] = {.lex_state = 176},
  [1728] = {.lex_state = 176},
  [1729] = {.lex_state = 176},
  [1730] = {.lex_state = 176},
  [1731] = {.lex_state = 176},
  [1732] = {.lex_state = 176},
  [1733] = {.lex_state = 176},
  [1734] = {.lex_state = 176},
  [1735] = {.lex_state = 176},
  [1736] = {.lex_state = 176},
  [1737] = {.lex_state = 176},
  [1738] = {.lex_state = 176},
  [1739] = {.lex_state = 176},
  [1740] = {.lex_state = 176},
  [1741] = {.lex_state = 176},
  [1742] = {.lex_state = 176},
  [1743] = {.lex_state = 176},
  [1744] = {.lex_state = 176},
  [1745] = {.lex_state = 176},
  [1746] = {.lex_state = 176},
  [1747] = {.lex_state = 176},
  [1748] = {.lex_state = 176},
  [1749] = {.lex_state = 176},
  [1750] = {.lex_state = 176},
  [1751] = {.lex_state = 176},
  [1752] = {.lex_state = 176},
  [1753] = {.lex_state = 176},
  [1754] = {.lex_state = 176},
  [1755] = {.lex_state = 176},
  [1756] = {.lex_state = 176},
  [1757] = {.lex_state = 176},
  [1758] = {.lex_state = 176},
  [1759] = {.lex_state = 176},
  [1760] = {.lex_state = 176},
  [1761] = {.lex_state = 176},
  [1762] = {.lex_state = 176},
  [1763] = {.lex_state = 176},
  [1764] = {.lex_state = 176},
  [1765] = {.lex_state = 176},
  [1766] = {.lex_state = 176},
  [1767] = {.lex_state = 176},
  [1768] = {.lex_state = 176},
  [1769] = {.lex_state = 176},
  [1770] = {.lex_state = 176},
  [1771] = {.lex_state = 176},
  [1772] = {.lex_state = 176},
  [1773] = {.lex_state = 176},
  [1774] = {.lex_state = 176},
  [1775] = {.lex_state = 176},
  [1776] = {.lex_state = 176},
  [1777] = {.lex_state = 176},
  [1778] = {.lex_state = 176},
  [1779] = {.lex_state = 176},
  [1780] = {.lex_state = 176},
  [1781] = {.lex_state = 176},
  [1782] = {.lex_state = 176},
  [1783] = {.lex_state = 176},
  [1784] = {.lex_state = 176},
  [1785] = {.lex_state = 176},
  [1786] = {.lex_state = 176},
  [1787] = {.lex_state = 176},
  [1788] = {.lex_state = 176},
  [1789] = {.lex_state = 176},
  [1790] = {.lex_state = 176},
  [1791] = {.lex_state = 176},
  [1792] = {.lex_state = 176},
  [1793] = {.lex_state = 176},
  [1794] = {.lex_state = 176},
  [1795] = {.lex_state = 176},
  [1796] = {.lex_state = 176},
  [1797] = {.lex_state = 176},
  [1798] = {.lex_state = 176},
  [1799] = {.lex_state = 176},
  [1800] = {.lex_state = 176},
  [1801] = {.lex_state = 176},
  [1802] = {.lex_state = 176},
  [1803] = {.lex_state = 176},
  [1804] = {.lex_state = 176},
  [1805] = {.lex_state = 176},
  [1806] = {.lex_state = 176},
  [1807] = {.lex_state = 176},
  [1808] = {.lex_state = 176},
  [1809] = {.lex_state = 176},
  [1810] = {.lex_state = 176},
  [1811] = {.lex_state = 176},
  [1812] = {.lex_state = 176},
  [1813] = {.lex_state = 176},
  [1814] = {.lex_state = 176},
  [1815] = {.lex_state = 176},
  [1816] = {.lex_state = 176},
  [1817] = {.lex_state = 176},
  [1818] = {.lex_state = 176},
  [1819] = {.lex_state = 176},
  [1820] = {.lex_state = 176},
  [1821] = {.lex_state = 176},
  [1822] = {.lex_state = 176},
  [1823] = {.lex_state = 176},
  [1824] = {.lex_state = 176},
  [1825] = {.lex_state = 176},
  [1826] = {.lex_state = 176},
  [1827] = {.lex_state = 176},
  [1828] = {.lex_state = 176},
  [1829] = {.lex_state = 176},
  [1830] = {.lex_state = 176},
  [1831] = {.lex_state = 238},
  [1832] = {.lex_state = 238},
  [1833] = {.lex_state = 238},
  [1834] = {.lex_state = 238},
  [1835] = {.lex_state = 238},
  [1836] = {.lex_state = 238},
  [1837] = {.lex_state = 238},
  [1838] = {.lex_state = 238},
  [1839] = {.lex_state = 238},
  [1840] = {.lex_state = 238},
  [1841] = {.lex_state = 238},
  [1842] = {.lex_state = 238},
  [1843] = {.lex_state = 193},
  [1844] = {.lex_state = 238},
  [1845] = {.lex_state = 238},
  [1846] = {.lex_state = 193},
  [1847] = {.lex_state = 193},
  [1848] = {.lex_state = 238},
  [1849] = {.lex_state = 193},
  [1850] = {.lex_state = 193},
  [1851] = {.lex_state = 238},
  [1852] = {.lex_state = 193},
  [1853] = {.lex_state = 193},
  [1854] = {.lex_state = 193},
  [1855] = {.lex_state = 193},
  [1856] = {.lex_state = 193},
  [1857] = {.lex_state = 193},
  [1858] = {.lex_state = 238},
  [1859] = {.lex_state = 238},
  [1860] = {.lex_state = 238},
  [1861] = {.lex_state = 238},
  [1862] = {.lex_state = 238},
  [1863] = {.lex_state = 238},
  [1864] = {.lex_state = 238},
  [1865] = {.lex_state = 238},
  [1866] = {.lex_state = 238},
  [1867] = {.lex_state = 238},
  [1868] = {.lex_state = 238},
  [1869] = {.lex_state = 238},
  [1870] = {.lex_state = 238},
  [1871] = {.lex_state = 238},
  [1872] = {.lex_state = 238},
  [1873] = {.lex_state = 238},
  [1874] = {.lex_state = 238},
  [1875] = {.lex_state = 238},
  [1876] = {.lex_state = 238},
  [1877] = {.lex_state = 238},
  [1878] = {.lex_state = 238},
  [1879] = {.lex_state = 238},
  [1880] = {.lex_state = 238},
  [1881] = {.lex_state = 238},
  [1882] = {.lex_state = 238},
  [1883] = {.lex_state = 238},
  [1884] = {.lex_state = 238},
  [1885] = {.lex_state = 238},
  [1886] = {.lex_state = 238},
  [1887] = {.lex_state = 238},
  [1888] = {.lex_state = 238},
  [1889] = {.lex_state = 238},
  [1890] = {.lex_state = 238},
  [1891] = {.lex_state = 238},
  [1892] = {.lex_state = 238},
  [1893] = {.lex_state = 238},
  [1894] = {.lex_state = 238},
  [1895] = {.lex_state = 238},
  [1896] = {.lex_state = 238},
  [1897] = {.lex_state = 238},
  [1898] = {.lex_state = 238},
  [1899] = {.lex_state = 238},
  [1900] = {.lex_state = 238},
  [1901] = {.lex_state = 238},
  [1902] = {.lex_state = 238},
  [1903] = {.lex_state = 238},
  [1904] = {.lex_state = 238},
  [1905] = {.lex_state = 238},
  [1906] = {.lex_state = 238},
  [1907] = {.lex_state = 238},
  [1908] = {.lex_state = 238},
  [1909] = {.lex_state = 238},
  [1910] = {.lex_state = 238},
  [1911] = {.lex_state = 238},
  [1912] = {.lex_state = 238},
  [1913] = {.lex_state = 238},
  [1914] = {.lex_state = 238},
  [1915] = {.lex_state = 238},
  [1916] = {.lex_state = 238},
  [1917] = {.lex_state = 238},
  [1918] = {.lex_state = 238},
  [1919] = {.lex_state = 238},
  [1920] = {.lex_state = 238},
  [1921] = {.lex_state = 238},
  [1922] = {.lex_state = 238},
  [1923] = {.lex_state = 238},
  [1924] = {.lex_state = 238},
  [1925] = {.lex_state = 238},
  [1926] = {.lex_state = 238},
  [1927] = {.lex_state = 238},
  [1928] = {.lex_state = 238},
  [1929] = {.lex_state = 238},
  [1930] = {.lex_state = 238},
  [1931] = {.lex_state = 238},
  [1932] = {.lex_state = 238},
  [1933] = {.lex_state = 238},
  [1934] = {.lex_state = 238},
  [1935] = {.lex_state = 238},
  [1936] = {.lex_state = 238},
  [1937] = {.lex_state = 238},
  [1938] = {.lex_state = 238},
  [1939] = {.lex_state = 238},
  [1940] = {.lex_state = 238},
  [1941] = {.lex_state = 238},
  [1942] = {.lex_state = 238},
  [1943] = {.lex_state = 238},
  [1944] = {.lex_state = 238},
  [1945] = {.lex_state = 238},
  [1946] = {.lex_state = 238},
  [1947] = {.lex_state = 238},
  [1948] = {.lex_state = 238},
  [1949] = {.lex_state = 238},
  [1950] = {.lex_state = 238},
  [1951] = {.lex_state = 238},
  [1952] = {.lex_state = 238},
  [1953] = {.lex_state = 238},
  [1954] = {.lex_state = 238},
  [1955] = {.lex_state = 238},
  [1956] = {.lex_state = 238},
  [1957] = {.lex_state = 238},
  [1958] = {.lex_state = 194},
  [1959] = {.lex_state = 239},
  [1960] = {.lex_state = 239},
  [1961] = {.lex_state = 239},
  [1962] = {.lex_state = 194},
  [1963] = {.lex_state = 239},
  [1964] = {.lex_state = 194},
  [1965] = {.lex_state = 194},
  [1966] = {.lex_state = 238},
  [1967] = {.lex_state = 238},
  [1968] = {.lex_state = 238},
  [1969] = {.lex_state = 238},
  [1970] = {.lex_state = 238},
  [1971] = {.lex_state = 238},
  [1972] = {.lex_state = 238},
  [1973] = {.lex_state = 238},
  [1974] = {.lex_state = 238},
  [1975] = {.lex_state = 238},
  [1976] = {.lex_state = 238},
  [1977] = {.lex_state = 238},
  [1978] = {.lex_state = 238},
  [1979] = {.lex_state = 238},
  [1980] = {.lex_state = 238},
  [1981] = {.lex_state = 238},
  [1982] = {.lex_state = 238},
  [1983] = {.lex_state = 238},
  [1984] = {.lex_state = 238},
  [1985] = {.lex_state = 238},
  [1986] = {.lex_state = 238},
  [1987] = {.lex_state = 238},
  [1988] = {.lex_state = 238},
  [1989] = {.lex_state = 238},
  [1990] = {.lex_state = 238},
  [1991] = {.lex_state = 238},
  [1992] = {.lex_state = 238},
  [1993] = {.lex_state = 238},
  [1994] = {.lex_state = 238},
  [1995] = {.lex_state = 238},
  [1996] = {.lex_state = 239},
  [1997] = {.lex_state = 194},
  [1998] = {.lex_state = 239},
  [1999] = {.lex_state = 194},
  [2000] = {.lex_state = 238},
  [2001] = {.lex_state = 194},
  [2002] = {.lex_state = 238},
  [2003] = {.lex_state = 239},
  [2004] = {.lex_state = 194},
  [2005] = {.lex_state = 238},
  [2006] = {.lex_state = 239},
  [2007] = {.lex_state = 239},
  [2008] = {.lex_state = 238},
  [2009] = {.lex_state = 194},
  [2010] = {.lex_state = 194},
  [2011] = {.lex_state = 239},
  [2012] = {.lex_state = 194},
  [2013] = {.lex_state = 194},
  [2014] = {.lex_state = 239},
  [2015] = {.lex_state = 239},
  [2016] = {.lex_state = 239},
  [2017] = {.lex_state = 194},
  [2018] = {.lex_state = 194},
  [2019] = {.lex_state = 194},
  [2020] = {.lex_state = 194},
  [2021] = {.lex_state = 194},
  [2022] = {.lex_state = 194},
  [2023] = {.lex_state = 194},
  [2024] = {.lex_state = 194},
  [2025] = {.lex_state = 194},
  [2026] = {.lex_state = 194},
  [2027] = {.lex_state = 194},
  [2028] = {.lex_state = 194},
  [2029] = {.lex_state = 194},
  [2030] = {.lex_state = 239},
  [2031] = {.lex_state = 194},
  [2032] = {.lex_state = 194},
  [2033] = {.lex_state = 239},
  [2034] = {.lex_state = 194},
  [2035] = {.lex_state = 194},
  [2036] = {.lex_state = 194},
  [2037] = {.lex_state = 194},
  [2038] = {.lex_state = 239},
  [2039] = {.lex_state = 194},
  [2040] = {.lex_state = 239},
  [2041] = {.lex_state = 239},
  [2042] = {.lex_state = 194},
  [2043] = {.lex_state = 194},
  [2044] = {.lex_state = 194},
  [2045] = {.lex_state = 194},
  [2046] = {.lex_state = 194},
  [2047] = {.lex_state = 194},
  [2048] = {.lex_state = 239},
  [2049] = {.lex_state = 194},
  [2050] = {.lex_state = 194},
  [2051] = {.lex_state = 194},
  [2052] = {.lex_state = 194},
  [2053] = {.lex_state = 239},
  [2054] = {.lex_state = 239},
  [2055] = {.lex_state = 194},
  [2056] = {.lex_state = 239},
  [2057] = {.lex_state = 239},
  [2058] = {.lex_state = 239},
  [2059] = {.lex_state = 239},
  [2060] = {.lex_state = 239},
  [2061] = {.lex_state = 239},
  [2062] = {.lex_state = 194},
  [2063] = {.lex_state = 194},
  [2064] = {.lex_state = 239},
  [2065] = {.lex_state = 239},
  [2066] = {.lex_state = 239},
  [2067] = {.lex_state = 239},
  [2068] = {.lex_state = 194},
  [2069] = {.lex_state = 194},
  [2070] = {.lex_state = 194},
  [2071] = {.lex_state = 239},
  [2072] = {.lex_state = 239},
  [2073] = {.lex_state = 194},
  [2074] = {.lex_state = 194},
  [2075] = {.lex_state = 194},
  [2076] = {.lex_state = 194},
  [2077] = {.lex_state = 194},
  [2078] = {.lex_state = 194},
  [2079] = {.lex_state = 239},
  [2080] = {.lex_state = 194},
  [2081] = {.lex_state = 239},
  [2082] = {.lex_state = 239},
  [2083] = {.lex_state = 194},
  [2084] = {.lex_state = 194},
  [2085] = {.lex_state = 239},
  [2086] = {.lex_state = 239},
  [2087] = {.lex_state = 239},
  [2088] = {.lex_state = 194},
  [2089] = {.lex_state = 194},
  [2090] = {.lex_state = 239},
  [2091] = {.lex_state = 239},
  [2092] = {.lex_state = 239},
  [2093] = {.lex_state = 239},
  [2094] = {.lex_state = 239},
  [2095] = {.lex_state = 194},
  [2096] = {.lex_state = 239},
  [2097] = {.lex_state = 194},
  [2098] = {.lex_state = 194},
  [2099] = {.lex_state = 194},
  [2100] = {.lex_state = 239},
  [2101] = {.lex_state = 239},
  [2102] = {.lex_state = 194},
  [2103] = {.lex_state = 239},
  [2104] = {.lex_state = 194},
  [2105] = {.lex_state = 239},
  [2106] = {.lex_state = 239},
  [2107] = {.lex_state = 239},
  [2108] = {.lex_state = 239},
  [2109] = {.lex_state = 239},
  [2110] = {.lex_state = 239},
  [2111] = {.lex_state = 239},
  [2112] = {.lex_state = 239},
  [2113] = {.lex_state = 239},
  [2114] = {.lex_state = 239},
  [2115] = {.lex_state = 239},
  [2116] = {.lex_state = 194},
  [2117] = {.lex_state = 239},
  [2118] = {.lex_state = 239},
  [2119] = {.lex_state = 239},
  [2120] = {.lex_state = 239},
  [2121] = {.lex_state = 194},
  [2122] = {.lex_state = 239},
  [2123] = {.lex_state = 239},
  [2124] = {.lex_state = 194},
  [2125] = {.lex_state = 239},
  [2126] = {.lex_state = 239},
  [2127] = {.lex_state = 239},
  [2128] = {.lex_state = 239},
  [2129] = {.lex_state = 194},
  [2130] = {.lex_state = 194},
  [2131] = {.lex_state = 239},
  [2132] = {.lex_state = 239},
  [2133] = {.lex_state = 239},
  [2134] = {.lex_state = 239},
  [2135] = {.lex_state = 239},
  [2136] = {.lex_state = 239},
  [2137] = {.lex_state = 239},
  [2138] = {.lex_state = 194},
  [2139] = {.lex_state = 239},
  [2140] = {.lex_state = 239},
  [2141] = {.lex_state = 239},
  [2142] = {.lex_state = 239},
  [2143] = {.lex_state = 239},
  [2144] = {.lex_state = 239},
  [2145] = {.lex_state = 239},
  [2146] = {.lex_state = 194},
  [2147] = {.lex_state = 239},
  [2148] = {.lex_state = 239},
  [2149] = {.lex_state = 194},
  [2150] = {.lex_state = 194},
  [2151] = {.lex_state = 194},
  [2152] = {.lex_state = 194},
  [2153] = {.lex_state = 239},
  [2154] = {.lex_state = 194},
  [2155] = {.lex_state = 194},
  [2156] = {.lex_state = 194},
  [2157] = {.lex_state = 239},
  [2158] = {.lex_state = 194},
  [2159] = {.lex_state = 194},
  [2160] = {.lex_state = 239},
  [2161] = {.lex_state = 194},
  [2162] = {.lex_state = 194},
  [2163] = {.lex_state = 194},
  [2164] = {.lex_state = 194},
  [2165] = {.lex_state = 194},
  [2166] = {.lex_state = 194},
  [2167] = {.lex_state = 239},
  [2168] = {.lex_state = 239},
  [2169] = {.lex_state = 239},
  [2170] = {.lex_state = 239},
  [2171] = {.lex_state = 194},
  [2172] = {.lex_state = 239},
  [2173] = {.lex_state = 239},
  [2174] = {.lex_state = 194},
  [2175] = {.lex_state = 239},
  [2176] = {.lex_state = 239},
  [2177] = {.lex_state = 239},
  [2178] = {.lex_state = 239},
  [2179] = {.lex_state = 239},
  [2180] = {.lex_state = 239},
  [2181] = {.lex_state = 239},
  [2182] = {.lex_state = 238},
  [2183] = {.lex_state = 194},
  [2184] = {.lex_state = 239},
  [2185] = {.lex_state = 239},
  [2186] = {.lex_state = 194},
  [2187] = {.lex_state = 194},
  [2188] = {.lex_state = 194},
  [2189] = {.lex_state = 194},
  [2190] = {.lex_state = 194},
  [2191] = {.lex_state = 194},
  [2192] = {.lex_state = 194},
  [2193] = {.lex_state = 194},
  [2194] = {.lex_state = 194},
  [2195] = {.lex_state = 194},
  [2196] = {.lex_state = 194},
  [2197] = {.lex_state = 194},
  [2198] = {.lex_state = 194},
  [2199] = {.lex_state = 239},
  [2200] = {.lex_state = 238},
  [2201] = {.lex_state = 194},
  [2202] = {.lex_state = 194},
  [2203] = {.lex_state = 194},
  [2204] = {.lex_state = 239},
  [2205] = {.lex_state = 194},
  [2206] = {.lex_state = 194},
  [2207] = {.lex_state = 239},
  [2208] = {.lex_state = 183},
  [2209] = {.lex_state = 239},
  [2210] = {.lex_state = 239},
  [2211] = {.lex_state = 198},
  [2212] = {.lex_state = 184},
  [2213] = {.lex_state = 238},
  [2214] = {.lex_state = 238},
  [2215] = {.lex_state = 237},
  [2216] = {.lex_state = 238},
  [2217] = {.lex_state = 238},
  [2218] = {.lex_state = 238},
  [2219] = {.lex_state = 188},
  [2220] = {.lex_state = 238},
  [2221] = {.lex_state = 237},
  [2222] = {.lex_state = 238},
  [2223] = {.lex_state = 238},
  [2224] = {.lex_state = 238},
  [2225] = {.lex_state = 238},
  [2226] = {.lex_state = 238},
  [2227] = {.lex_state = 238},
  [2228] = {.lex_state = 238},
  [2229] = {.lex_state = 238},
  [2230] = {.lex_state = 238},
  [2231] = {.lex_state = 238},
  [2232] = {.lex_state = 237},
  [2233] = {.lex_state = 238},
  [2234] = {.lex_state = 237},
  [2235] = {.lex_state = 237},
  [2236] = {.lex_state = 238},
  [2237] = {.lex_state = 238},
  [2238] = {.lex_state = 237},
  [2239] = {.lex_state = 238},
  [2240] = {.lex_state = 178},
  [2241] = {.lex_state = 237},
  [2242] = {.lex_state = 237},
  [2243] = {.lex_state = 198},
  [2244] = {.lex_state = 238},
  [2245] = {.lex_state = 237},
  [2246] = {.lex_state = 237},
  [2247] = {.lex_state = 198},
  [2248] = {.lex_state = 237},
  [2249] = {.lex_state = 238},
  [2250] = {.lex_state = 198},
  [2251] = {.lex_state = 237},
  [2252] = {.lex_state = 238},
  [2253] = {.lex_state = 237},
  [2254] = {.lex_state = 198},
  [2255] = {.lex_state = 237},
  [2256] = {.lex_state = 237},
  [2257] = {.lex_state = 237},
  [2258] = {.lex_state = 198},
  [2259] = {.lex_state = 238},
  [2260] = {.lex_state = 198},
  [2261] = {.lex_state = 198},
  [2262] = {.lex_state = 237},
  [2263] = {.lex_state = 196},
  [2264] = {.lex_state = 237},
  [2265] = {.lex_state = 237},
  [2266] = {.lex_state = 196},
  [2267] = {.lex_state = 196},
  [2268] = {.lex_state = 196},
  [2269] = {.lex_state = 237},
  [2270] = {.lex_state = 237},
  [2271] = {.lex_state = 237},
  [2272] = {.lex_state = 237},
  [2273] = {.lex_state = 237},
  [2274] = {.lex_state = 196},
  [2275] = {.lex_state = 196},
  [2276] = {.lex_state = 196},
  [2277] = {.lex_state = 237},
  [2278] = {.lex_state = 237},
  [2279] = {.lex_state = 237},
  [2280] = {.lex_state = 237},
  [2281] = {.lex_state = 237},
  [2282] = {.lex_state = 237},
  [2283] = {.lex_state = 237},
  [2284] = {.lex_state = 237},
  [2285] = {.lex_state = 237},
  [2286] = {.lex_state = 237},
  [2287] = {.lex_state = 237},
  [2288] = {.lex_state = 237},
  [2289] = {.lex_state = 237},
  [2290] = {.lex_state = 198},
  [2291] = {.lex_state = 198},
  [2292] = {.lex_state = 237},
  [2293] = {.lex_state = 237},
  [2294] = {.lex_state = 232},
  [2295] = {.lex_state = 193},
  [2296] = {.lex_state = 232},
  [2297] = {.lex_state = 193},
  [2298] = {.lex_state = 212},
  [2299] = {.lex_state = 232},
  [2300] = {.lex_state = 212},
  [2301] = {.lex_state = 232},
  [2302] = {.lex_state = 193},
  [2303] = {.lex_state = 193},
  [2304] = {.lex_state = 193},
  [2305] = {.lex_state = 193},
  [2306] = {.lex_state = 193},
  [2307] = {.lex_state = 237},
  [2308] = {.lex_state = 237},
  [2309] = {.lex_state = 237},
  [2310] = {.lex_state = 237},
  [2311] = {.lex_state = 237},
  [2312] = {.lex_state = 237},
  [2313] = {.lex_state = 237},
  [2314] = {.lex_state = 237},
  [2315] = {.lex_state = 237},
  [2316] = {.lex_state = 237},
  [2317] = {.lex_state = 237},
  [2318] = {.lex_state = 237},
  [2319] = {.lex_state = 237},
  [2320] = {.lex_state = 237},
  [2321] = {.lex_state = 237},
  [2322] = {.lex_state = 237},
  [2323] = {.lex_state = 237},
  [2324] = {.lex_state = 237},
  [2325] = {.lex_state = 237},
  [2326] = {.lex_state = 237},
  [2327] = {.lex_state = 237},
  [2328] = {.lex_state = 237},
  [2329] = {.lex_state = 237},
  [2330] = {.lex_state = 237},
  [2331] = {.lex_state = 237},
  [2332] = {.lex_state = 237},
  [2333] = {.lex_state = 237},
  [2334] = {.lex_state = 237},
  [2335] = {.lex_state = 237},
  [2336] = {.lex_state = 237},
  [2337] = {.lex_state = 237},
  [2338] = {.lex_state = 237},
  [2339] = {.lex_state = 237},
  [2340] = {.lex_state = 220},
  [2341] = {.lex_state = 237},
  [2342] = {.lex_state = 220},
  [2343] = {.lex_state = 237},
  [2344] = {.lex_state = 212},
  [2345] = {.lex_state = 237},
  [2346] = {.lex_state = 237},
  [2347] = {.lex_state = 237},
  [2348] = {.lex_state = 237},
  [2349] = {.lex_state = 193},
  [2350] = {.lex_state = 193},
  [2351] = {.lex_state = 220},
  [2352] = {.lex_state = 193},
  [2353] = {.lex_state = 193},
  [2354] = {.lex_state = 193},
  [2355] = {.lex_state = 193},
  [2356] = {.lex_state = 193},
  [2357] = {.lex_state = 193},
  [2358] = {.lex_state = 193},
  [2359] = {.lex_state = 193},
  [2360] = {.lex_state = 193},
  [2361] = {.lex_state = 193},
  [2362] = {.lex_state = 193},
  [2363] = {.lex_state = 193},
  [2364] = {.lex_state = 212},
  [2365] = {.lex_state = 237},
  [2366] = {.lex_state = 237},
  [2367] = {.lex_state = 237},
  [2368] = {.lex_state = 237},
  [2369] = {.lex_state = 212},
  [2370] = {.lex_state = 237},
  [2371] = {.lex_state = 237},
  [2372] = {.lex_state = 212},
  [2373] = {.lex_state = 237},
  [2374] = {.lex_state = 237},
  [2375] = {.lex_state = 212},
  [2376] = {.lex_state = 237},
  [2377] = {.lex_state = 237},
  [2378] = {.lex_state = 237},
  [2379] = {.lex_state = 237},
  [2380] = {.lex_state = 237},
  [2381] = {.lex_state = 237},
  [2382] = {.lex_state = 237},
  [2383] = {.lex_state = 237},
  [2384] = {.lex_state = 220},
  [2385] = {.lex_state = 212},
  [2386] = {.lex_state = 237},
  [2387] = {.lex_state = 204},
  [2388] = {.lex_state = 237},
  [2389] = {.lex_state = 212},
  [2390] = {.lex_state = 237},
  [2391] = {.lex_state = 237},
  [2392] = {.lex_state = 237},
  [2393] = {.lex_state = 220},
  [2394] = {.lex_state = 238},
  [2395] = {.lex_state = 212},
  [2396] = {.lex_state = 237},
  [2397] = {.lex_state = 173},
  [2398] = {.lex_state = 220},
  [2399] = {.lex_state = 237},
  [2400] = {.lex_state = 237},
  [2401] = {.lex_state = 220},
  [2402] = {.lex_state = 238},
  [2403] = {.lex_state = 238},
  [2404] = {.lex_state = 193},
  [2405] = {.lex_state = 238},
  [2406] = {.lex_state = 238},
  [2407] = {.lex_state = 238},
  [2408] = {.lex_state = 238},
  [2409] = {.lex_state = 238},
  [2410] = {.lex_state = 193},
  [2411] = {.lex_state = 238},
  [2412] = {.lex_state = 238},
  [2413] = {.lex_state = 173},
  [2414] = {.lex_state = 238},
  [2415] = {.lex_state = 238},
  [2416] = {.lex_state = 238},
  [2417] = {.lex_state = 238},
  [2418] = {.lex_state = 238},
  [2419] = {.lex_state = 204},
  [2420] = {.lex_state = 209},
  [2421] = {.lex_state = 241},
  [2422] = {.lex_state = 238},
  [2423] = {.lex_state = 193},
  [2424] = {.lex_state = 212},
  [2425] = {.lex_state = 209},
  [2426] = {.lex_state = 237},
  [2427] = {.lex_state = 238},
  [2428] = {.lex_state = 238},
  [2429] = {.lex_state = 238},
  [2430] = {.lex_state = 209},
  [2431] = {.lex_state = 209},
  [2432] = {.lex_state = 212},
  [2433] = {.lex_state = 209},
  [2434] = {.lex_state = 238},
  [2435] = {.lex_state = 238},
  [2436] = {.lex_state = 178},
  [2437] = {.lex_state = 238},
  [2438] = {.lex_state = 209},
  [2439] = {.lex_state = 237},
  [2440] = {.lex_state = 209},
  [2441] = {.lex_state = 180},
  [2442] = {.lex_state = 180},
  [2443] = {.lex_state = 204},
  [2444] = {.lex_state = 238},
  [2445] = {.lex_state = 212},
  [2446] = {.lex_state = 237},
  [2447] = {.lex_state = 237},
  [2448] = {.lex_state = 216},
  [2449] = {.lex_state = 216},
  [2450] = {.lex_state = 216},
  [2451] = {.lex_state = 216},
  [2452] = {.lex_state = 216},
  [2453] = {.lex_state = 216},
  [2454] = {.lex_state = 216},
  [2455] = {.lex_state = 237},
  [2456] = {.lex_state = 238},
  [2457] = {.lex_state = 238},
  [2458] = {.lex_state = 204},
  [2459] = {.lex_state = 212},
  [2460] = {.lex_state = 180},
  [2461] = {.lex_state = 237},
  [2462] = {.lex_state = 176},
  [2463] = {.lex_state = 237},
  [2464] = {.lex_state = 237},
  [2465] = {.lex_state = 225},
  [2466] = {.lex_state = 237},
  [2467] = {.lex_state = 237},
  [2468] = {.lex_state = 237},
  [2469] = {.lex_state = 237},
  [2470] = {.lex_state = 237},
  [2471] = {.lex_state = 208},
  [2472] = {.lex_state = 237},
  [2473] = {.lex_state = 208},
  [2474] = {.lex_state = 204},
  [2475] = {.lex_state = 180},
  [2476] = {.lex_state = 225},
  [2477] = {.lex_state = 225},
  [2478] = {.lex_state = 225},
  [2479] = {.lex_state = 225},
  [2480] = {.lex_state = 199},
  [2481] = {.lex_state = 180},
  [2482] = {.lex_state = 237},
  [2483] = {.lex_state = 225},
  [2484] = {.lex_state = 225},
  [2485] = {.lex_state = 225},
  [2486] = {.lex_state = 225},
  [2487] = {.lex_state = 238},
  [2488] = {.lex_state = 225},
  [2489] = {.lex_state = 193},
  [2490] = {.lex_state = 204},
  [2491] = {.lex_state = 225},
  [2492] = {.lex_state = 225},
  [2493] = {.lex_state = 225},
  [2494] = {.lex_state = 180},
  [2495] = {.lex_state = 209},
  [2496] = {.lex_state = 225},
  [2497] = {.lex_state = 193},
  [2498] = {.lex_state = 193},
  [2499] = {.lex_state = 180},
  [2500] = {.lex_state = 204},
  [2501] = {.lex_state = 204},
  [2502] = {.lex_state = 204},
  [2503] = {.lex_state = 240},
  [2504] = {.lex_state = 240},
  [2505] = {.lex_state = 204},
  [2506] = {.lex_state = 204},
  [2507] = {.lex_state = 204},
  [2508] = {.lex_state = 204},
  [2509] = {.lex_state = 209},
  [2510] = {.lex_state = 204},
  [2511] = {.lex_state = 204},
  [2512] = {.lex_state = 204},
  [2513] = {.lex_state = 176},
  [2514] = {.lex_state = 204},
  [2515] = {.lex_state = 204},
  [2516] = {.lex_state = 204},
  [2517] = {.lex_state = 204},
  [2518] = {.lex_state = 204},
  [2519] = {.lex_state = 204},
  [2520] = {.lex_state = 204},
  [2521] = {.lex_state = 237},
  [2522] = {.lex_state = 204},
  [2523] = {.lex_state = 216},
  [2524] = {.lex_state = 204},
  [2525] = {.lex_state = 204},
  [2526] = {.lex_state = 204},
  [2527] = {.lex_state = 204},
  [2528] = {.lex_state = 204},
  [2529] = {.lex_state = 204},
  [2530] = {.lex_state = 204},
  [2531] = {.lex_state = 204},
  [2532] = {.lex_state = 204},
  [2533] = {.lex_state = 204},
  [2534] = {.lex_state = 178},
  [2535] = {.lex_state = 204},
  [2536] = {.lex_state = 204},
  [2537] = {.lex_state = 238},
  [2538] = {.lex_state = 204},
  [2539] = {.lex_state = 204},
  [2540] = {.lex_state = 204},
  [2541] = {.lex_state = 204},
  [2542] = {.lex_state = 204},
  [2543] = {.lex_state = 204},
  [2544] = {.lex_state = 204},
  [2545] = {.lex_state = 204},
  [2546] = {.lex_state = 241},
  [2547] = {.lex_state = 176},
  [2548] = {.lex_state = 204},
  [2549] = {.lex_state = 237},
  [2550] = {.lex_state = 204},
  [2551] = {.lex_state = 204},
  [2552] = {.lex_state = 204},
  [2553] = {.lex_state = 196},
  [2554] = {.lex_state = 216},
  [2555] = {.lex_state = 199},
  [2556] = {.lex_state = 205},
  [2557] = {.lex_state = 238},
  [2558] = {.lex_state = 199},
  [2559] = {.lex_state = 196},
  [2560] = {.lex_state = 199},
  [2561] = {.lex_state = 196},
  [2562] = {.lex_state = 199},
  [2563] = {.lex_state = 238},
  [2564] = {.lex_state = 196},
  [2565] = {.lex_state = 205},
  [2566] = {.lex_state = 205},
  [2567] = {.lex_state = 240},
  [2568] = {.lex_state = 205},
  [2569] = {.lex_state = 240},
  [2570] = {.lex_state = 205},
  [2571] = {.lex_state = 205},
  [2572] = {.lex_state = 205},
  [2573] = {.lex_state = 205},
  [2574] = {.lex_state = 196},
  [2575] = {.lex_state = 205},
  [2576] = {.lex_state = 205},
  [2577] = {.lex_state = 205},
  [2578] = {.lex_state = 240},
  [2579] = {.lex_state = 196},
  [2580] = {.lex_state = 196},
  [2581] = {.lex_state = 205},
  [2582] = {.lex_state = 196},
  [2583] = {.lex_state = 240},
  [2584] = {.lex_state = 205},
  [2585] = {.lex_state = 180},
  [2586] = {.lex_state = 196},
  [2587] = {.lex_state = 205},
  [2588] = {.lex_state = 199},
  [2589] = {.lex_state = 178},
  [2590] = {.lex_state = 199},
  [2591] = {.lex_state = 180},
  [2592] = {.lex_state = 178},
  [2593] = {.lex_state = 180},
  [2594] = {.lex_state = 187},
  [2595] = {.lex_state = 204},
  [2596] = {.lex_state = 183},
  [2597] = {.lex_state = 204},
  [2598] = {.lex_state = 178},
  [2599] = {.lex_state = 180},
  [2600] = {.lex_state = 178},
  [2601] = {.lex_state = 180},
  [2602] = {.lex_state = 205},
  [2603] = {.lex_state = 228},
  [2604] = {.lex_state = 199},
  [2605] = {.lex_state = 196},
  [2606] = {.lex_state = 237},
  [2607] = {.lex_state = 187},
  [2608] = {.lex_state = 183},
  [2609] = {.lex_state = 187},
  [2610] = {.lex_state = 238},
  [2611] = {.lex_state = 196},
  [2612] = {.lex_state = 184},
  [2613] = {.lex_state = 238},
  [2614] = {.lex_state = 196},
  [2615] = {.lex_state = 238},
  [2616] = {.lex_state = 238},
  [2617] = {.lex_state = 238},
  [2618] = {.lex_state = 178},
  [2619] = {.lex_state = 238},
  [2620] = {.lex_state = 186},
  [2621] = {.lex_state = 197},
  [2622] = {.lex_state = 228},
  [2623] = {.lex_state = 228},
  [2624] = {.lex_state = 228},
  [2625] = {.lex_state = 228},
  [2626] = {.lex_state = 238},
  [2627] = {.lex_state = 197},
  [2628] = {.lex_state = 186},
  [2629] = {.lex_state = 178},
  [2630] = {.lex_state = 184},
  [2631] = {.lex_state = 199},
  [2632] = {.lex_state = 199},
  [2633] = {.lex_state = 199},
  [2634] = {.lex_state = 197},
  [2635] = {.lex_state = 241},
  [2636] = {.lex_state = 241},
  [2637] = {.lex_state = 199},
  [2638] = {.lex_state = 199},
  [2639] = {.lex_state = 199},
  [2640] = {.lex_state = 199},
  [2641] = {.lex_state = 178},
  [2642] = {.lex_state = 197},
  [2643] = {.lex_state = 186},
  [2644] = {.lex_state = 178},
  [2645] = {.lex_state = 199},
  [2646] = {.lex_state = 199},
  [2647] = {.lex_state = 199},
  [2648] = {.lex_state = 199},
  [2649] = {.lex_state = 196},
  [2650] = {.lex_state = 178},
  [2651] = {.lex_state = 178},
  [2652] = {.lex_state = 199},
  [2653] = {.lex_state = 199},
  [2654] = {.lex_state = 178},
  [2655] = {.lex_state = 178},
  [2656] = {.lex_state = 197},
  [2657] = {.lex_state = 196},
  [2658] = {.lex_state = 199},
  [2659] = {.lex_state = 196},
  [2660] = {.lex_state = 196},
  [2661] = {.lex_state = 196},
  [2662] = {.lex_state = 196},
  [2663] = {.lex_state = 196},
  [2664] = {.lex_state = 196},
  [2665] = {.lex_state = 196},
  [2666] = {.lex_state = 196},
  [2667] = {.lex_state = 196},
  [2668] = {.lex_state = 196},
  [2669] = {.lex_state = 196},
  [2670] = {.lex_state = 180},
  [2671] = {.lex_state = 205},
  [2672] = {.lex_state = 197},
  [2673] = {.lex_state = 229},
  [2674] = {.lex_state = 229},
  [2675] = {.lex_state = 197},
  [2676] = {.lex_state = 197},
  [2677] = {.lex_state = 229},
  [2678] = {.lex_state = 197},
  [2679] = {.lex_state = 180},
  [2680] = {.lex_state = 199},
  [2681] = {.lex_state = 229},
  [2682] = {.lex_state = 199},
  [2683] = {.lex_state = 229},
  [2684] = {.lex_state = 188},
  [2685] = {.lex_state = 199},
  [2686] = {.lex_state = 229},
  [2687] = {.lex_state = 229},
  [2688] = {.lex_state = 199},
  [2689] = {.lex_state = 199},
  [2690] = {.lex_state = 178},
  [2691] = {.lex_state = 199},
  [2692] = {.lex_state = 180},
  [2693] = {.lex_state = 196},
  [2694] = {.lex_state = 229},
  [2695] = {.lex_state = 197},
  [2696] = {.lex_state = 199},
  [2697] = {.lex_state = 197},
  [2698] = {.lex_state = 229},
  [2699] = {.lex_state = 228},
  [2700] = {.lex_state = 199},
  [2701] = {.lex_state = 190},
  [2702] = {.lex_state = 199},
  [2703] = {.lex_state = 199},
  [2704] = {.lex_state = 199},
  [2705] = {.lex_state = 199},
  [2706] = {.lex_state = 199},
  [2707] = {.lex_state = 199},
  [2708] = {.lex_state = 199},
  [2709] = {.lex_state = 190},
  [2710] = {.lex_state = 196},
  [2711] = {.lex_state = 199},
  [2712] = {.lex_state = 199},
  [2713] = {.lex_state = 197},
  [2714] = {.lex_state = 178},
  [2715] = {.lex_state = 180},
  [2716] = {.lex_state = 205},
  [2717] = {.lex_state = 190},
  [2718] = {.lex_state = 199},
  [2719] = {.lex_state = 229},
  [2720] = {.lex_state = 199},
  [2721] = {.lex_state = 199},
  [2722] = {.lex_state = 199},
  [2723] = {.lex_state = 180},
  [2724] = {.lex_state = 199},
  [2725] = {.lex_state = 199},
  [2726] = {.lex_state = 199},
  [2727] = {.lex_state = 229},
  [2728] = {.lex_state = 199},
  [2729] = {.lex_state = 199},
  [2730] = {.lex_state = 199},
  [2731] = {.lex_state = 199},
  [2732] = {.lex_state = 229},
  [2733] = {.lex_state = 199},
  [2734] = {.lex_state = 199},
  [2735] = {.lex_state = 197},
  [2736] = {.lex_state = 197},
  [2737] = {.lex_state = 197},
  [2738] = {.lex_state = 197},
  [2739] = {.lex_state = 197},
  [2740] = {.lex_state = 237},
  [2741] = {.lex_state = 199},
  [2742] = {.lex_state = 199},
  [2743] = {.lex_state = 199},
  [2744] = {.lex_state = 229},
  [2745] = {.lex_state = 199},
  [2746] = {.lex_state = 199},
  [2747] = {.lex_state = 199},
  [2748] = {.lex_state = 199},
  [2749] = {.lex_state = 199},
  [2750] = {.lex_state = 196},
  [2751] = {.lex_state = 199},
  [2752] = {.lex_state = 199},
  [2753] = {.lex_state = 178},
  [2754] = {.lex_state = 188},
  [2755] = {.lex_state = 199},
  [2756] = {.lex_state = 196},
  [2757] = {.lex_state = 197},
  [2758] = {.lex_state = 178},
  [2759] = {.lex_state = 199},
  [2760] = {.lex_state = 199},
  [2761] = {.lex_state = 199},
  [2762] = {.lex_state = 205},
  [2763] = {.lex_state = 180},
  [2764] = {.lex_state = 180},
  [2765] = {.lex_state = 205},
  [2766] = {.lex_state = 180},
  [2767] = {.lex_state = 180},
  [2768] = {.lex_state = 205},
  [2769] = {.lex_state = 205},
  [2770] = {.lex_state = 196},
  [2771] = {.lex_state = 205},
  [2772] = {.lex_state = 205},
  [2773] = {.lex_state = 240},
  [2774] = {.lex_state = 240},
  [2775] = {.lex_state = 205},
  [2776] = {.lex_state = 205},
  [2777] = {.lex_state = 229},
  [2778] = {.lex_state = 196},
  [2779] = {.lex_state = 196},
  [2780] = {.lex_state = 199},
  [2781] = {.lex_state = 205},
  [2782] = {.lex_state = 186},
  [2783] = {.lex_state = 193},
  [2784] = {.lex_state = 205},
  [2785] = {.lex_state = 205},
  [2786] = {.lex_state = 199},
  [2787] = {.lex_state = 199},
  [2788] = {.lex_state = 199},
  [2789] = {.lex_state = 199},
  [2790] = {.lex_state = 199},
  [2791] = {.lex_state = 199},
  [2792] = {.lex_state = 199},
  [2793] = {.lex_state = 196},
  [2794] = {.lex_state = 199},
  [2795] = {.lex_state = 199},
  [2796] = {.lex_state = 199},
  [2797] = {.lex_state = 199},
  [2798] = {.lex_state = 193},
  [2799] = {.lex_state = 193},
  [2800] = {.lex_state = 199},
  [2801] = {.lex_state = 199},
  [2802] = {.lex_state = 205},
  [2803] = {.lex_state = 186},
  [2804] = {.lex_state = 196},
  [2805] = {.lex_state = 197},
  [2806] = {.lex_state = 180},
  [2807] = {.lex_state = 196},
  [2808] = {.lex_state = 197},
  [2809] = {.lex_state = 199},
  [2810] = {.lex_state = 196},
  [2811] = {.lex_state = 199},
  [2812] = {.lex_state = 241},
  [2813] = {.lex_state = 186},
  [2814] = {.lex_state = 190},
  [2815] = {.lex_state = 199},
  [2816] = {.lex_state = 186},
  [2817] = {.lex_state = 197},
  [2818] = {.lex_state = 199},
  [2819] = {.lex_state = 210},
  [2820] = {.lex_state = 199},
  [2821] = {.lex_state = 196},
  [2822] = {.lex_state = 196},
  [2823] = {.lex_state = 180},
  [2824] = {.lex_state = 199},
  [2825] = {.lex_state = 197},
  [2826] = {.lex_state = 196},
  [2827] = {.lex_state = 196},
  [2828] = {.lex_state = 199},
  [2829] = {.lex_state = 199},
  [2830] = {.lex_state = 241},
  [2831] = {.lex_state = 196},
  [2832] = {.lex_state = 186},
  [2833] = {.lex_state = 186},
  [2834] = {.lex_state = 180},
  [2835] = {.lex_state = 180},
  [2836] = {.lex_state = 186},
  [2837] = {.lex_state = 186},
  [2838] = {.lex_state = 199},
  [2839] = {.lex_state = 202},
  [2840] = {.lex_state = 209},
  [2841] = {.lex_state = 197},
  [2842] = {.lex_state = 228},
  [2843] = {.lex_state = 193},
  [2844] = {.lex_state = 240},
  [2845] = {.lex_state = 199},
  [2846] = {.lex_state = 199},
  [2847] = {.lex_state = 199},
  [2848] = {.lex_state = 199},
  [2849] = {.lex_state = 199},
  [2850] = {.lex_state = 199},
  [2851] = {.lex_state = 190},
  [2852] = {.lex_state = 199},
  [2853] = {.lex_state = 199},
  [2854] = {.lex_state = 199},
  [2855] = {.lex_state = 199},
  [2856] = {.lex_state = 199},
  [2857] = {.lex_state = 199},
  [2858] = {.lex_state = 199},
  [2859] = {.lex_state = 199},
  [2860] = {.lex_state = 199},
  [2861] = {.lex_state = 199},
  [2862] = {.lex_state = 229},
  [2863] = {.lex_state = 229},
  [2864] = {.lex_state = 186},
  [2865] = {.lex_state = 199},
  [2866] = {.lex_state = 199},
  [2867] = {.lex_state = 199},
  [2868] = {.lex_state = 199},
  [2869] = {.lex_state = 199},
  [2870] = {.lex_state = 216},
  [2871] = {.lex_state = 199},
  [2872] = {.lex_state = 190},
  [2873] = {.lex_state = 199},
  [2874] = {.lex_state = 199},
  [2875] = {.lex_state = 199},
  [2876] = {.lex_state = 199},
  [2877] = {.lex_state = 199},
  [2878] = {.lex_state = 199},
  [2879] = {.lex_state = 199},
  [2880] = {.lex_state = 217},
  [2881] = {.lex_state = 199},
  [2882] = {.lex_state = 199},
  [2883] = {.lex_state = 199},
  [2884] = {.lex_state = 199},
  [2885] = {.lex_state = 199},
  [2886] = {.lex_state = 199},
  [2887] = {.lex_state = 199},
  [2888] = {.lex_state = 199},
  [2889] = {.lex_state = 199},
  [2890] = {.lex_state = 199},
  [2891] = {.lex_state = 199},
  [2892] = {.lex_state = 199},
  [2893] = {.lex_state = 199},
  [2894] = {.lex_state = 199},
  [2895] = {.lex_state = 199},
  [2896] = {.lex_state = 199},
  [2897] = {.lex_state = 199},
  [2898] = {.lex_state = 199},
  [2899] = {.lex_state = 199},
  [2900] = {.lex_state = 199},
  [2901] = {.lex_state = 199},
  [2902] = {.lex_state = 199},
  [2903] = {.lex_state = 199},
  [2904] = {.lex_state = 199},
  [2905] = {.lex_state = 199},
  [2906] = {.lex_state = 190},
  [2907] = {.lex_state = 186},
  [2908] = {.lex_state = 199},
  [2909] = {.lex_state = 199},
  [2910] = {.lex_state = 199},
  [2911] = {.lex_state = 199},
  [2912] = {.lex_state = 199},
  [2913] = {.lex_state = 190},
  [2914] = {.lex_state = 186},
  [2915] = {.lex_state = 199},
  [2916] = {.lex_state = 199},
  [2917] = {.lex_state = 199},
  [2918] = {.lex_state = 199},
  [2919] = {.lex_state = 199},
  [2920] = {.lex_state = 240},
  [2921] = {.lex_state = 199},
  [2922] = {.lex_state = 199},
  [2923] = {.lex_state = 199},
  [2924] = {.lex_state = 199},
  [2925] = {.lex_state = 199},
  [2926] = {.lex_state = 186},
  [2927] = {.lex_state = 199},
  [2928] = {.lex_state = 199},
  [2929] = {.lex_state = 199},
  [2930] = {.lex_state = 199},
  [2931] = {.lex_state = 199},
  [2932] = {.lex_state = 199},
  [2933] = {.lex_state = 199},
  [2934] = {.lex_state = 199},
  [2935] = {.lex_state = 209},
  [2936] = {.lex_state = 229},
  [2937] = {.lex_state = 229},
  [2938] = {.lex_state = 229},
  [2939] = {.lex_state = 229},
  [2940] = {.lex_state = 209},
  [2941] = {.lex_state = 209},
  [2942] = {.lex_state = 229},
  [2943] = {.lex_state = 229},
  [2944] = {.lex_state = 209},
  [2945] = {.lex_state = 229},
  [2946] = {.lex_state = 209},
  [2947] = {.lex_state = 209},
  [2948] = {.lex_state = 229},
  [2949] = {.lex_state = 209},
  [2950] = {.lex_state = 190},
  [2951] = {.lex_state = 190},
  [2952] = {.lex_state = 227},
  [2953] = {.lex_state = 227},
  [2954] = {.lex_state = 209},
  [2955] = {.lex_state = 229},
  [2956] = {.lex_state = 209},
  [2957] = {.lex_state = 209},
  [2958] = {.lex_state = 209},
  [2959] = {.lex_state = 227},
  [2960] = {.lex_state = 227},
  [2961] = {.lex_state = 227},
  [2962] = {.lex_state = 190},
  [2963] = {.lex_state = 209},
  [2964] = {.lex_state = 227},
  [2965] = {.lex_state = 227},
  [2966] = {.lex_state = 227},
  [2967] = {.lex_state = 227},
  [2968] = {.lex_state = 190},
  [2969] = {.lex_state = 227},
  [2970] = {.lex_state = 209},
  [2971] = {.lex_state = 227},
  [2972] = {.lex_state = 186},
  [2973] = {.lex_state = 209},
  [2974] = {.lex_state = 229},
  [2975] = {.lex_state = 227},
  [2976] = {.lex_state = 227},
  [2977] = {.lex_state = 229},
  [2978] = {.lex_state = 227},
  [2979] = {.lex_state = 229},
  [2980] = {.lex_state = 229},
  [2981] = {.lex_state = 209},
  [2982] = {.lex_state = 229},
  [2983] = {.lex_state = 216},
  [2984] = {.lex_state = 216},
  [2985] = {.lex_state = 229},
  [2986] = {.lex_state = 229},
  [2987] = {.lex_state = 229},
  [2988] = {.lex_state = 229},
  [2989] = {.lex_state = 229},
  [2990] = {.lex_state = 229},
  [2991] = {.lex_state = 229},
  [2992] = {.lex_state = 216},
  [2993] = {.lex_state = 240},
  [2994] = {.lex_state = 209},
  [2995] = {.lex_state = 229},
  [2996] = {.lex_state = 229},
  [2997] = {.lex_state = 229},
  [2998] = {.lex_state = 209},
  [2999] = {.lex_state = 216},
  [3000] = {.lex_state = 209},
  [3001] = {.lex_state = 229},
  [3002] = {.lex_state = 229},
  [3003] = {.lex_state = 229},
  [3004] = {.lex_state = 176},
  [3005] = {.lex_state = 229},
  [3006] = {.lex_state = 229},
  [3007] = {.lex_state = 229},
  [3008] = {.lex_state = 176},
  [3009] = {.lex_state = 182},
  [3010] = {.lex_state = 229},
  [3011] = {.lex_state = 229},
  [3012] = {.lex_state = 229},
  [3013] = {.lex_state = 229},
  [3014] = {.lex_state = 229},
  [3015] = {.lex_state = 216},
  [3016] = {.lex_state = 229},
  [3017] = {.lex_state = 229},
  [3018] = {.lex_state = 229},
  [3019] = {.lex_state = 186},
  [3020] = {.lex_state = 186},
  [3021] = {.lex_state = 229},
  [3022] = {.lex_state = 186},
  [3023] = {.lex_state = 216},
  [3024] = {.lex_state = 216},
  [3025] = {.lex_state = 229},
  [3026] = {.lex_state = 186},
  [3027] = {.lex_state = 229},
  [3028] = {.lex_state = 216},
  [3029] = {.lex_state = 210},
  [3030] = {.lex_state = 240},
  [3031] = {.lex_state = 216},
  [3032] = {.lex_state = 229},
  [3033] = {.lex_state = 216},
  [3034] = {.lex_state = 216},
  [3035] = {.lex_state = 229},
  [3036] = {.lex_state = 229},
  [3037] = {.lex_state = 229},
  [3038] = {.lex_state = 216},
  [3039] = {.lex_state = 229},
  [3040] = {.lex_state = 182},
  [3041] = {.lex_state = 210},
  [3042] = {.lex_state = 209},
  [3043] = {.lex_state = 229},
  [3044] = {.lex_state = 229},
  [3045] = {.lex_state = 229},
  [3046] = {.lex_state = 216},
  [3047] = {.lex_state = 240},
  [3048] = {.lex_state = 229},
  [3049] = {.lex_state = 182},
  [3050] = {.lex_state = 209},
  [3051] = {.lex_state = 210},
  [3052] = {.lex_state = 216},
  [3053] = {.lex_state = 216},
  [3054] = {.lex_state = 229},
  [3055] = {.lex_state = 240},
  [3056] = {.lex_state = 229},
  [3057] = {.lex_state = 229},
  [3058] = {.lex_state = 209},
  [3059] = {.lex_state = 186},
  [3060] = {.lex_state = 209},
  [3061] = {.lex_state = 217},
  [3062] = {.lex_state = 186},
  [3063] = {.lex_state = 216},
  [3064] = {.lex_state = 186},
  [3065] = {.lex_state = 186},
  [3066] = {.lex_state = 216},
  [3067] = {.lex_state = 216},
  [3068] = {.lex_state = 216},
  [3069] = {.lex_state = 210},
  [3070] = {.lex_state = 217},
  [3071] = {.lex_state = 216},
  [3072] = {.lex_state = 209},
  [3073] = {.lex_state = 176},
  [3074] = {.lex_state = 241},
  [3075] = {.lex_state = 176},
  [3076] = {.lex_state = 176},
  [3077] = {.lex_state = 217},
  [3078] = {.lex_state = 209},
  [3079] = {.lex_state = 176},
  [3080] = {.lex_state = 176},
  [3081] = {.lex_state = 209},
  [3082] = {.lex_state = 176},
  [3083] = {.lex_state = 209},
  [3084] = {.lex_state = 209},
  [3085] = {.lex_state = 209},
  [3086] = {.lex_state = 209},
  [3087] = {.lex_state = 176},
  [3088] = {.lex_state = 176},
  [3089] = {.lex_state = 209},
  [3090] = {.lex_state = 209},
  [3091] = {.lex_state = 176},
  [3092] = {.lex_state = 209},
  [3093] = {.lex_state = 209},
  [3094] = {.lex_state = 176},
  [3095] = {.lex_state = 176},
  [3096] = {.lex_state = 209},
  [3097] = {.lex_state = 209},
  [3098] = {.lex_state = 209},
  [3099] = {.lex_state = 209},
  [3100] = {.lex_state = 176},
  [3101] = {.lex_state = 176},
  [3102] = {.lex_state = 209},
  [3103] = {.lex_state = 209},
  [3104] = {.lex_state = 176},
  [3105] = {.lex_state = 209},
  [3106] = {.lex_state = 176},
  [3107] = {.lex_state = 241},
  [3108] = {.lex_state = 176},
  [3109] = {.lex_state = 176},
  [3110] = {.lex_state = 176},
  [3111] = {.lex_state = 216},
  [3112] = {.lex_state = 209},
  [3113] = {.lex_state = 176},
  [3114] = {.lex_state = 209},
  [3115] = {.lex_state = 176},
  [3116] = {.lex_state = 209},
  [3117] = {.lex_state = 197},
  [3118] = {.lex_state = 209},
  [3119] = {.lex_state = 216},
  [3120] = {.lex_state = 216},
  [3121] = {.lex_state = 209},
  [3122] = {.lex_state = 209},
  [3123] = {.lex_state = 209},
  [3124] = {.lex_state = 209},
  [3125] = {.lex_state = 209},
  [3126] = {.lex_state = 209},
  [3127] = {.lex_state = 209},
  [3128] = {.lex_state = 209},
  [3129] = {.lex_state = 216},
  [3130] = {.lex_state = 209},
  [3131] = {.lex_state = 209},
  [3132] = {.lex_state = 226},
  [3133] = {.lex_state = 209},
  [3134] = {.lex_state = 209},
  [3135] = {.lex_state = 209},
  [3136] = {.lex_state = 197},
  [3137] = {.lex_state = 216},
  [3138] = {.lex_state = 209},
  [3139] = {.lex_state = 209},
  [3140] = {.lex_state = 197},
  [3141] = {.lex_state = 209},
  [3142] = {.lex_state = 197},
  [3143] = {.lex_state = 197},
  [3144] = {.lex_state = 209},
  [3145] = {.lex_state = 196},
  [3146] = {.lex_state = 196},
  [3147] = {.lex_state = 196},
  [3148] = {.lex_state = 196},
  [3149] = {.lex_state = 196},
  [3150] = {.lex_state = 196},
  [3151] = {.lex_state = 196},
  [3152] = {.lex_state = 196},
  [3153] = {.lex_state = 196},
  [3154] = {.lex_state = 196},
  [3155] = {.lex_state = 196},
  [3156] = {.lex_state = 196},
  [3157] = {.lex_state = 196},
  [3158] = {.lex_state = 197},
  [3159] = {.lex_state = 209},
  [3160] = {.lex_state = 209},
  [3161] = {.lex_state = 182},
  [3162] = {.lex_state = 209},
  [3163] = {.lex_state = 209},
  [3164] = {.lex_state = 209},
  [3165] = {.lex_state = 210},
  [3166] = {.lex_state = 197},
  [3167] = {.lex_state = 226},
  [3168] = {.lex_state = 216},
  [3169] = {.lex_state = 196},
  [3170] = {.lex_state = 196},
  [3171] = {.lex_state = 210},
  [3172] = {.lex_state = 216},
  [3173] = {.lex_state = 182},
  [3174] = {.lex_state = 182},
  [3175] = {.lex_state = 209},
  [3176] = {.lex_state = 182},
  [3177] = {.lex_state = 196},
  [3178] = {.lex_state = 196},
  [3179] = {.lex_state = 196},
  [3180] = {.lex_state = 226},
  [3181] = {.lex_state = 209},
  [3182] = {.lex_state = 216},
  [3183] = {.lex_state = 209},
  [3184] = {.lex_state = 216},
  [3185] = {.lex_state = 209},
  [3186] = {.lex_state = 200},
  [3187] = {.lex_state = 216},
  [3188] = {.lex_state = 216},
  [3189] = {.lex_state = 209},
  [3190] = {.lex_state = 216},
  [3191] = {.lex_state = 216},
  [3192] = {.lex_state = 240},
  [3193] = {.lex_state = 240},
  [3194] = {.lex_state = 241},
  [3195] = {.lex_state = 195},
  [3196] = {.lex_state = 216},
  [3197] = {.lex_state = 209},
  [3198] = {.lex_state = 216},
  [3199] = {.lex_state = 216},
  [3200] = {.lex_state = 216},
  [3201] = {.lex_state = 209},
  [3202] = {.lex_state = 200},
  [3203] = {.lex_state = 216},
  [3204] = {.lex_state = 210},
  [3205] = {.lex_state = 241},
  [3206] = {.lex_state = 216},
  [3207] = {.lex_state = 209},
  [3208] = {.lex_state = 196},
  [3209] = {.lex_state = 196},
  [3210] = {.lex_state = 240},
  [3211] = {.lex_state = 176},
  [3212] = {.lex_state = 176},
  [3213] = {.lex_state = 209},
  [3214] = {.lex_state = 196},
  [3215] = {.lex_state = 196},
  [3216] = {.lex_state = 240},
  [3217] = {.lex_state = 216},
  [3218] = {.lex_state = 240},
  [3219] = {.lex_state = 196},
  [3220] = {.lex_state = 240},
  [3221] = {.lex_state = 196},
  [3222] = {.lex_state = 240},
  [3223] = {.lex_state = 208},
  [3224] = {.lex_state = 240},
  [3225] = {.lex_state = 216},
  [3226] = {.lex_state = 216},
  [3227] = {.lex_state = 240},
  [3228] = {.lex_state = 240},
  [3229] = {.lex_state = 209},
  [3230] = {.lex_state = 196},
  [3231] = {.lex_state = 208},
  [3232] = {.lex_state = 209},
  [3233] = {.lex_state = 196},
  [3234] = {.lex_state = 240},
  [3235] = {.lex_state = 240},
  [3236] = {.lex_state = 240},
  [3237] = {.lex_state = 240},
  [3238] = {.lex_state = 240},
  [3239] = {.lex_state = 208},
  [3240] = {.lex_state = 176},
  [3241] = {.lex_state = 240},
  [3242] = {.lex_state = 216},
  [3243] = {.lex_state = 209},
  [3244] = {.lex_state = 176},
  [3245] = {.lex_state = 196},
  [3246] = {.lex_state = 196},
  [3247] = {.lex_state = 176},
  [3248] = {.lex_state = 240},
  [3249] = {.lex_state = 240},
  [3250] = {.lex_state = 196},
  [3251] = {.lex_state = 240},
  [3252] = {.lex_state = 209},
  [3253] = {.lex_state = 241},
  [3254] = {.lex_state = 241},
  [3255] = {.lex_state = 241},
  [3256] = {.lex_state = 195},
  [3257] = {.lex_state = 227},
  [3258] = {.lex_state = 208},
  [3259] = {.lex_state = 208},
  [3260] = {.lex_state = 196},
  [3261] = {.lex_state = 240},
  [3262] = {.lex_state = 240},
  [3263] = {.lex_state = 196},
  [3264] = {.lex_state = 209},
  [3265] = {.lex_state = 196},
  [3266] = {.lex_state = 240},
  [3267] = {.lex_state = 196},
  [3268] = {.lex_state = 209},
  [3269] = {.lex_state = 240},
  [3270] = {.lex_state = 200},
  [3271] = {.lex_state = 240},
  [3272] = {.lex_state = 209},
  [3273] = {.lex_state = 208},
  [3274] = {.lex_state = 241},
  [3275] = {.lex_state = 240},
  [3276] = {.lex_state = 196},
  [3277] = {.lex_state = 196},
  [3278] = {.lex_state = 196},
  [3279] = {.lex_state = 209},
  [3280] = {.lex_state = 209},
  [3281] = {.lex_state = 196},
  [3282] = {.lex_state = 240},
  [3283] = {.lex_state = 209},
  [3284] = {.lex_state = 216},
  [3285] = {.lex_state = 176},
  [3286] = {.lex_state = 216},
  [3287] = {.lex_state = 200},
  [3288] = {.lex_state = 209},
  [3289] = {.lex_state = 196},
  [3290] = {.lex_state = 209},
  [3291] = {.lex_state = 209},
  [3292] = {.lex_state = 209},
  [3293] = {.lex_state = 209},
  [3294] = {.lex_state = 196},
  [3295] = {.lex_state = 196},
  [3296] = {.lex_state = 196},
  [3297] = {.lex_state = 196},
  [3298] = {.lex_state = 196},
  [3299] = {.lex_state = 209},
  [3300] = {.lex_state = 208},
  [3301] = {.lex_state = 196},
  [3302] = {.lex_state = 209},
  [3303] = {.lex_state = 209},
  [3304] = {.lex_state = 209},
  [3305] = {.lex_state = 209},
  [3306] = {.lex_state = 209},
  [3307] = {.lex_state = 209},
  [3308] = {.lex_state = 208},
  [3309] = {.lex_state = 170},
  [3310] = {.lex_state = 209},
  [3311] = {.lex_state = 209},
  [3312] = {.lex_state = 208},
  [3313] = {.lex_state = 209},
  [3314] = {.lex_state = 209},
  [3315] = {.lex_state = 182},
  [3316] = {.lex_state = 219},
  [3317] = {.lex_state = 209},
  [3318] = {.lex_state = 209},
  [3319] = {.lex_state = 216},
  [3320] = {.lex_state = 209},
  [3321] = {.lex_state = 209},
  [3322] = {.lex_state = 219},
  [3323] = {.lex_state = 170},
  [3324] = {.lex_state = 209},
  [3325] = {.lex_state = 209},
  [3326] = {.lex_state = 193},
  [3327] = {.lex_state = 209},
  [3328] = {.lex_state = 196},
  [3329] = {.lex_state = 209},
  [3330] = {.lex_state = 176},
  [3331] = {.lex_state = 170},
  [3332] = {.lex_state = 193},
  [3333] = {.lex_state = 219},
  [3334] = {.lex_state = 170},
  [3335] = {.lex_state = 209},
  [3336] = {.lex_state = 170},
  [3337] = {.lex_state = 209},
  [3338] = {.lex_state = 209},
  [3339] = {.lex_state = 209},
  [3340] = {.lex_state = 170},
  [3341] = {.lex_state = 209},
  [3342] = {.lex_state = 209},
  [3343] = {.lex_state = 219},
  [3344] = {.lex_state = 196},
  [3345] = {.lex_state = 209},
  [3346] = {.lex_state = 219},
  [3347] = {.lex_state = 196},
  [3348] = {.lex_state = 209},
  [3349] = {.lex_state = 209},
  [3350] = {.lex_state = 209},
  [3351] = {.lex_state = 196},
  [3352] = {.lex_state = 196},
  [3353] = {.lex_state = 196},
  [3354] = {.lex_state = 196},
  [3355] = {.lex_state = 196},
  [3356] = {.lex_state = 196},
  [3357] = {.lex_state = 196},
  [3358] = {.lex_state = 237},
  [3359] = {.lex_state = 209},
  [3360] = {.lex_state = 209},
  [3361] = {.lex_state = 209},
  [3362] = {.lex_state = 216},
  [3363] = {.lex_state = 209},
  [3364] = {.lex_state = 209},
  [3365] = {.lex_state = 209},
  [3366] = {.lex_state = 209},
  [3367] = {.lex_state = 237},
  [3368] = {.lex_state = 209},
  [3369] = {.lex_state = 216},
  [3370] = {.lex_state = 203},
  [3371] = {.lex_state = 209},
  [3372] = {.lex_state = 196},
  [3373] = {.lex_state = 209},
  [3374] = {.lex_state = 209},
  [3375] = {.lex_state = 209},
  [3376] = {.lex_state = 209},
  [3377] = {.lex_state = 209},
  [3378] = {.lex_state = 209},
  [3379] = {.lex_state = 209},
  [3380] = {.lex_state = 209},
  [3381] = {.lex_state = 208},
  [3382] = {.lex_state = 216},
  [3383] = {.lex_state = 219},
  [3384] = {.lex_state = 216},
  [3385] = {.lex_state = 205},
  [3386] = {.lex_state = 182},
  [3387] = {.lex_state = 216},
  [3388] = {.lex_state = 209},
  [3389] = {.lex_state = 182},
  [3390] = {.lex_state = 209},
  [3391] = {.lex_state = 209},
  [3392] = {.lex_state = 209},
  [3393] = {.lex_state = 209},
  [3394] = {.lex_state = 209},
  [3395] = {.lex_state = 216},
  [3396] = {.lex_state = 241},
  [3397] = {.lex_state = 241},
  [3398] = {.lex_state = 209},
  [3399] = {.lex_state = 208},
  [3400] = {.lex_state = 209},
  [3401] = {.lex_state = 216},
  [3402] = {.lex_state = 216},
  [3403] = {.lex_state = 216},
  [3404] = {.lex_state = 216},
  [3405] = {.lex_state = 216},
  [3406] = {.lex_state = 209},
  [3407] = {.lex_state = 216},
  [3408] = {.lex_state = 216},
  [3409] = {.lex_state = 216},
  [3410] = {.lex_state = 216},
  [3411] = {.lex_state = 216},
  [3412] = {.lex_state = 216},
  [3413] = {.lex_state = 209},
  [3414] = {.lex_state = 216},
  [3415] = {.lex_state = 241},
  [3416] = {.lex_state = 216},
  [3417] = {.lex_state = 216},
  [3418] = {.lex_state = 216},
  [3419] = {.lex_state = 216},
  [3420] = {.lex_state = 182},
  [3421] = {.lex_state = 216},
  [3422] = {.lex_state = 209},
  [3423] = {.lex_state = 209},
  [3424] = {.lex_state = 209},
  [3425] = {.lex_state = 209},
  [3426] = {.lex_state = 209},
  [3427] = {.lex_state = 216},
  [3428] = {.lex_state = 209},
  [3429] = {.lex_state = 216},
  [3430] = {.lex_state = 216},
  [3431] = {.lex_state = 209},
  [3432] = {.lex_state = 218},
  [3433] = {.lex_state = 196},
  [3434] = {.lex_state = 209},
  [3435] = {.lex_state = 216},
  [3436] = {.lex_state = 237},
  [3437] = {.lex_state = 209},
  [3438] = {.lex_state = 216},
  [3439] = {.lex_state = 182},
  [3440] = {.lex_state = 237},
  [3441] = {.lex_state = 209},
  [3442] = {.lex_state = 209},
  [3443] = {.lex_state = 209},
  [3444] = {.lex_state = 209},
  [3445] = {.lex_state = 209},
  [3446] = {.lex_state = 216},
  [3447] = {.lex_state = 216},
  [3448] = {.lex_state = 216},
  [3449] = {.lex_state = 209},
  [3450] = {.lex_state = 216},
  [3451] = {.lex_state = 219},
  [3452] = {.lex_state = 209},
  [3453] = {.lex_state = 209},
  [3454] = {.lex_state = 209},
  [3455] = {.lex_state = 209},
  [3456] = {.lex_state = 211},
  [3457] = {.lex_state = 200},
  [3458] = {.lex_state = 216},
  [3459] = {.lex_state = 209},
  [3460] = {.lex_state = 216},
  [3461] = {.lex_state = 216},
  [3462] = {.lex_state = 216},
  [3463] = {.lex_state = 209},
  [3464] = {.lex_state = 203},
  [3465] = {.lex_state = 195},
  [3466] = {.lex_state = 241},
  [3467] = {.lex_state = 216},
  [3468] = {.lex_state = 209},
  [3469] = {.lex_state = 195},
  [3470] = {.lex_state = 216},
  [3471] = {.lex_state = 200},
  [3472] = {.lex_state = 216},
  [3473] = {.lex_state = 209},
  [3474] = {.lex_state = 209},
  [3475] = {.lex_state = 241},
  [3476] = {.lex_state = 216},
  [3477] = {.lex_state = 209},
  [3478] = {.lex_state = 241},
  [3479] = {.lex_state = 213},
  [3480] = {.lex_state = 208},
  [3481] = {.lex_state = 205},
  [3482] = {.lex_state = 209},
  [3483] = {.lex_state = 208},
  [3484] = {.lex_state = 205},
  [3485] = {.lex_state = 216},
  [3486] = {.lex_state = 209},
  [3487] = {.lex_state = 205},
  [3488] = {.lex_state = 209},
  [3489] = {.lex_state = 208},
  [3490] = {.lex_state = 216},
  [3491] = {.lex_state = 205},
  [3492] = {.lex_state = 209},
  [3493] = {.lex_state = 195},
  [3494] = {.lex_state = 205},
  [3495] = {.lex_state = 216},
  [3496] = {.lex_state = 205},
  [3497] = {.lex_state = 203},
  [3498] = {.lex_state = 216},
  [3499] = {.lex_state = 209},
  [3500] = {.lex_state = 216},
  [3501] = {.lex_state = 208},
  [3502] = {.lex_state = 196},
  [3503] = {.lex_state = 216},
  [3504] = {.lex_state = 209},
  [3505] = {.lex_state = 216},
  [3506] = {.lex_state = 205},
  [3507] = {.lex_state = 205},
  [3508] = {.lex_state = 208},
  [3509] = {.lex_state = 196},
  [3510] = {.lex_state = 209},
  [3511] = {.lex_state = 196},
  [3512] = {.lex_state = 208},
  [3513] = {.lex_state = 195},
  [3514] = {.lex_state = 216},
  [3515] = {.lex_state = 208},
  [3516] = {.lex_state = 208},
  [3517] = {.lex_state = 216},
  [3518] = {.lex_state = 195},
  [3519] = {.lex_state = 209},
  [3520] = {.lex_state = 208},
  [3521] = {.lex_state = 208},
  [3522] = {.lex_state = 208},
  [3523] = {.lex_state = 208},
  [3524] = {.lex_state = 205},
  [3525] = {.lex_state = 216},
  [3526] = {.lex_state = 205},
  [3527] = {.lex_state = 208},
  [3528] = {.lex_state = 216},
  [3529] = {.lex_state = 209},
  [3530] = {.lex_state = 205},
  [3531] = {.lex_state = 205},
  [3532] = {.lex_state = 215},
  [3533] = {.lex_state = 216},
  [3534] = {.lex_state = 205},
  [3535] = {.lex_state = 216},
  [3536] = {.lex_state = 208},
  [3537] = {.lex_state = 195},
  [3538] = {.lex_state = 208},
  [3539] = {.lex_state = 209},
  [3540] = {.lex_state = 216},
  [3541] = {.lex_state = 209},
  [3542] = {.lex_state = 216},
  [3543] = {.lex_state = 208},
  [3544] = {.lex_state = 195},
  [3545] = {.lex_state = 216},
  [3546] = {.lex_state = 216},
  [3547] = {.lex_state = 216},
  [3548] = {.lex_state = 209},
  [3549] = {.lex_state = 208},
  [3550] = {.lex_state = 203},
  [3551] = {.lex_state = 216},
  [3552] = {.lex_state = 209},
  [3553] = {.lex_state = 199},
  [3554] = {.lex_state = 199},
  [3555] = {.lex_state = 199},
  [3556] = {.lex_state = 199},
  [3557] = {.lex_state = 199},
  [3558] = {.lex_state = 199},
  [3559] = {.lex_state = 199},
  [3560] = {.lex_state = 199},
  [3561] = {.lex_state = 199},
  [3562] = {.lex_state = 199},
  [3563] = {.lex_state = 199},
  [3564] = {.lex_state = 199},
  [3565] = {.lex_state = 199},
  [3566] = {.lex_state = 199},
  [3567] = {.lex_state = 199},
  [3568] = {.lex_state = 199},
  [3569] = {.lex_state = 199},
  [3570] = {.lex_state = 199},
  [3571] = {.lex_state = 199},
  [3572] = {.lex_state = 199},
  [3573] = {.lex_state = 199},
  [3574] = {.lex_state = 199},
  [3575] = {.lex_state = 199},
  [3576] = {.lex_state = 199},
  [3577] = {.lex_state = 208},
  [3578] = {.lex_state = 216},
  [3579] = {.lex_state = 208},
  [3580] = {.lex_state = 216},
  [3581] = {.lex_state = 205},
  [3582] = {.lex_state = 209},
  [3583] = {.lex_state = 208},
  [3584] = {.lex_state = 208},
  [3585] = {.lex_state = 209},
  [3586] = {.lex_state = 208},
  [3587] = {.lex_state = 208},
  [3588] = {.lex_state = 196},
  [3589] = {.lex_state = 208},
  [3590] = {.lex_state = 213},
  [3591] = {.lex_state = 199},
  [3592] = {.lex_state = 216},
  [3593] = {.lex_state = 208},
  [3594] = {.lex_state = 209},
  [3595] = {.lex_state = 216},
  [3596] = {.lex_state = 216},
  [3597] = {.lex_state = 205},
  [3598] = {.lex_state = 208},
  [3599] = {.lex_state = 216},
  [3600] = {.lex_state = 216},
  [3601] = {.lex_state = 205},
  [3602] = {.lex_state = 208},
  [3603] = {.lex_state = 209},
  [3604] = {.lex_state = 216},
  [3605] = {.lex_state = 205},
  [3606] = {.lex_state = 216},
  [3607] = {.lex_state = 208},
  [3608] = {.lex_state = 195},
  [3609] = {.lex_state = 216},
  [3610] = {.lex_state = 209},
  [3611] = {.lex_state = 209},
  [3612] = {.lex_state = 209},
  [3613] = {.lex_state = 209},
  [3614] = {.lex_state = 209},
  [3615] = {.lex_state = 209},
  [3616] = {.lex_state = 209},
  [3617] = {.lex_state = 209},
  [3618] = {.lex_state = 209},
  [3619] = {.lex_state = 209},
  [3620] = {.lex_state = 209},
  [3621] = {.lex_state = 209},
  [3622] = {.lex_state = 193},
  [3623] = {.lex_state = 241},
  [3624] = {.lex_state = 209},
  [3625] = {.lex_state = 209},
  [3626] = {.lex_state = 209},
  [3627] = {.lex_state = 209},
  [3628] = {.lex_state = 209},
  [3629] = {.lex_state = 219},
  [3630] = {.lex_state = 221},
  [3631] = {.lex_state = 216},
  [3632] = {.lex_state = 219},
  [3633] = {.lex_state = 209},
  [3634] = {.lex_state = 223},
  [3635] = {.lex_state = 209},
  [3636] = {.lex_state = 209},
  [3637] = {.lex_state = 209},
  [3638] = {.lex_state = 209},
  [3639] = {.lex_state = 203},
  [3640] = {.lex_state = 209},
  [3641] = {.lex_state = 243},
  [3642] = {.lex_state = 219},
  [3643] = {.lex_state = 219},
  [3644] = {.lex_state = 203},
  [3645] = {.lex_state = 219},
  [3646] = {.lex_state = 209},
  [3647] = {.lex_state = 216},
  [3648] = {.lex_state = 219},
  [3649] = {.lex_state = 182},
  [3650] = {.lex_state = 209},
  [3651] = {.lex_state = 209},
  [3652] = {.lex_state = 221},
  [3653] = {.lex_state = 209},
  [3654] = {.lex_state = 209},
  [3655] = {.lex_state = 182},
  [3656] = {.lex_state = 193},
  [3657] = {.lex_state = 219},
  [3658] = {.lex_state = 209},
  [3659] = {.lex_state = 219},
  [3660] = {.lex_state = 209},
  [3661] = {.lex_state = 209},
  [3662] = {.lex_state = 209},
  [3663] = {.lex_state = 209},
  [3664] = {.lex_state = 209},
  [3665] = {.lex_state = 182},
  [3666] = {.lex_state = 209},
  [3667] = {.lex_state = 216},
  [3668] = {.lex_state = 216},
  [3669] = {.lex_state = 209},
  [3670] = {.lex_state = 209},
  [3671] = {.lex_state = 209},
  [3672] = {.lex_state = 209},
  [3673] = {.lex_state = 209},
  [3674] = {.lex_state = 209},
  [3675] = {.lex_state = 209},
  [3676] = {.lex_state = 209},
  [3677] = {.lex_state = 196},
  [3678] = {.lex_state = 219},
  [3679] = {.lex_state = 209},
  [3680] = {.lex_state = 209},
  [3681] = {.lex_state = 209},
  [3682] = {.lex_state = 209},
  [3683] = {.lex_state = 209},
  [3684] = {.lex_state = 209},
  [3685] = {.lex_state = 209},
  [3686] = {.lex_state = 219},
  [3687] = {.lex_state = 209},
  [3688] = {.lex_state = 219},
  [3689] = {.lex_state = 209},
  [3690] = {.lex_state = 209},
  [3691] = {.lex_state = 209},
  [3692] = {.lex_state = 209},
  [3693] = {.lex_state = 219},
  [3694] = {.lex_state = 209},
  [3695] = {.lex_state = 219},
  [3696] = {.lex_state = 219},
  [3697] = {.lex_state = 219},
  [3698] = {.lex_state = 219},
  [3699] = {.lex_state = 209},
  [3700] = {.lex_state = 209},
  [3701] = {.lex_state = 209},
  [3702] = {.lex_state = 209},
  [3703] = {.lex_state = 209},
  [3704] = {.lex_state = 209},
  [3705] = {.lex_state = 209},
  [3706] = {.lex_state = 209},
  [3707] = {.lex_state = 209},
  [3708] = {.lex_state = 209},
  [3709] = {.lex_state = 241},
  [3710] = {.lex_state = 209},
  [3711] = {.lex_state = 209},
  [3712] = {.lex_state = 192},
  [3713] = {.lex_state = 209},
  [3714] = {.lex_state = 209},
  [3715] = {.lex_state = 205},
  [3716] = {.lex_state = 209},
  [3717] = {.lex_state = 182},
  [3718] = {.lex_state = 209},
  [3719] = {.lex_state = 209},
  [3720] = {.lex_state = 209},
  [3721] = {.lex_state = 209},
  [3722] = {.lex_state = 209},
  [3723] = {.lex_state = 209},
  [3724] = {.lex_state = 209},
  [3725] = {.lex_state = 209},
  [3726] = {.lex_state = 209},
  [3727] = {.lex_state = 209},
  [3728] = {.lex_state = 209},
  [3729] = {.lex_state = 209},
  [3730] = {.lex_state = 209},
  [3731] = {.lex_state = 209},
  [3732] = {.lex_state = 209},
  [3733] = {.lex_state = 209},
  [3734] = {.lex_state = 209},
  [3735] = {.lex_state = 192},
  [3736] = {.lex_state = 209},
  [3737] = {.lex_state = 209},
  [3738] = {.lex_state = 209},
  [3739] = {.lex_state = 209},
  [3740] = {.lex_state = 209},
  [3741] = {.lex_state = 182},
  [3742] = {.lex_state = 209},
  [3743] = {.lex_state = 203},
  [3744] = {.lex_state = 205},
  [3745] = {.lex_state = 205},
  [3746] = {.lex_state = 209},
  [3747] = {.lex_state = 209},
  [3748] = {.lex_state = 209},
  [3749] = {.lex_state = 205},
  [3750] = {.lex_state = 205},
  [3751] = {.lex_state = 209},
  [3752] = {.lex_state = 209},
  [3753] = {.lex_state = 209},
  [3754] = {.lex_state = 209},
  [3755] = {.lex_state = 209},
  [3756] = {.lex_state = 209},
  [3757] = {.lex_state = 209},
  [3758] = {.lex_state = 209},
  [3759] = {.lex_state = 209},
  [3760] = {.lex_state = 209},
  [3761] = {.lex_state = 209},
  [3762] = {.lex_state = 205},
  [3763] = {.lex_state = 192},
  [3764] = {.lex_state = 209},
  [3765] = {.lex_state = 205},
  [3766] = {.lex_state = 209},
  [3767] = {.lex_state = 209},
  [3768] = {.lex_state = 209},
  [3769] = {.lex_state = 209},
  [3770] = {.lex_state = 209},
  [3771] = {.lex_state = 209},
  [3772] = {.lex_state = 205},
  [3773] = {.lex_state = 205},
  [3774] = {.lex_state = 205},
  [3775] = {.lex_state = 205},
  [3776] = {.lex_state = 209},
  [3777] = {.lex_state = 209},
  [3778] = {.lex_state = 205},
  [3779] = {.lex_state = 209},
  [3780] = {.lex_state = 209},
  [3781] = {.lex_state = 205},
  [3782] = {.lex_state = 209},
  [3783] = {.lex_state = 199},
  [3784] = {.lex_state = 182},
  [3785] = {.lex_state = 216},
  [3786] = {.lex_state = 216},
  [3787] = {.lex_state = 216},
  [3788] = {.lex_state = 216},
  [3789] = {.lex_state = 216},
  [3790] = {.lex_state = 216},
  [3791] = {.lex_state = 216},
  [3792] = {.lex_state = 216},
  [3793] = {.lex_state = 182},
  [3794] = {.lex_state = 216},
  [3795] = {.lex_state = 182},
  [3796] = {.lex_state = 216},
  [3797] = {.lex_state = 216},
  [3798] = {.lex_state = 216},
  [3799] = {.lex_state = 216},
  [3800] = {.lex_state = 209},
  [3801] = {.lex_state = 203},
  [3802] = {.lex_state = 216},
  [3803] = {.lex_state = 216},
  [3804] = {.lex_state = 199},
  [3805] = {.lex_state = 216},
  [3806] = {.lex_state = 216},
  [3807] = {.lex_state = 216},
  [3808] = {.lex_state = 216},
  [3809] = {.lex_state = 216},
  [3810] = {.lex_state = 216},
  [3811] = {.lex_state = 216},
  [3812] = {.lex_state = 216},
  [3813] = {.lex_state = 216},
  [3814] = {.lex_state = 205},
  [3815] = {.lex_state = 216},
  [3816] = {.lex_state = 216},
  [3817] = {.lex_state = 205},
  [3818] = {.lex_state = 216},
  [3819] = {.lex_state = 216},
  [3820] = {.lex_state = 216},
  [3821] = {.lex_state = 216},
  [3822] = {.lex_state = 216},
  [3823] = {.lex_state = 196},
  [3824] = {.lex_state = 216},
  [3825] = {.lex_state = 196},
  [3826] = {.lex_state = 216},
  [3827] = {.lex_state = 209},
  [3828] = {.lex_state = 216},
  [3829] = {.lex_state = 216},
  [3830] = {.lex_state = 216},
  [3831] = {.lex_state = 216},
  [3832] = {.lex_state = 196},
  [3833] = {.lex_state = 216},
  [3834] = {.lex_state = 216},
  [3835] = {.lex_state = 216},
  [3836] = {.lex_state = 205},
  [3837] = {.lex_state = 238},
  [3838] = {.lex_state = 216},
  [3839] = {.lex_state = 216},
  [3840] = {.lex_state = 216},
  [3841] = {.lex_state = 216},
  [3842] = {.lex_state = 216},
  [3843] = {.lex_state = 216},
  [3844] = {.lex_state = 216},
  [3845] = {.lex_state = 216},
  [3846] = {.lex_state = 216},
  [3847] = {.lex_state = 216},
  [3848] = {.lex_state = 216},
  [3849] = {.lex_state = 216},
  [3850] = {.lex_state = 216},
  [3851] = {.lex_state = 216},
  [3852] = {.lex_state = 203},
  [3853] = {.lex_state = 216},
  [3854] = {.lex_state = 216},
  [3855] = {.lex_state = 216},
  [3856] = {.lex_state = 216},
  [3857] = {.lex_state = 216},
  [3858] = {.lex_state = 216},
  [3859] = {.lex_state = 209},
  [3860] = {.lex_state = 216},
  [3861] = {.lex_state = 216},
  [3862] = {.lex_state = 216},
  [3863] = {.lex_state = 196},
  [3864] = {.lex_state = 216},
  [3865] = {.lex_state = 216},
  [3866] = {.lex_state = 209},
  [3867] = {.lex_state = 209},
  [3868] = {.lex_state = 216},
  [3869] = {.lex_state = 216},
  [3870] = {.lex_state = 209},
  [3871] = {.lex_state = 209},
  [3872] = {.lex_state = 209},
  [3873] = {.lex_state = 209},
  [3874] = {.lex_state = 216},
  [3875] = {.lex_state = 203},
  [3876] = {.lex_state = 203},
  [3877] = {.lex_state = 216},
  [3878] = {.lex_state = 216},
  [3879] = {.lex_state = 203},
  [3880] = {.lex_state = 196},
  [3881] = {.lex_state = 216},
  [3882] = {.lex_state = 209},
  [3883] = {.lex_state = 216},
  [3884] = {.lex_state = 209},
  [3885] = {.lex_state = 203},
  [3886] = {.lex_state = 216},
  [3887] = {.lex_state = 209},
  [3888] = {.lex_state = 209},
  [3889] = {.lex_state = 209},
  [3890] = {.lex_state = 209},
  [3891] = {.lex_state = 209},
  [3892] = {.lex_state = 209},
  [3893] = {.lex_state = 209},
  [3894] = {.lex_state = 209},
  [3895] = {.lex_state = 209},
  [3896] = {.lex_state = 209},
  [3897] = {.lex_state = 209},
  [3898] = {.lex_state = 216},
  [3899] = {.lex_state = 209},
  [3900] = {.lex_state = 216},
  [3901] = {.lex_state = 216},
  [3902] = {.lex_state = 216},
  [3903] = {.lex_state = 195},
  [3904] = {.lex_state = 216},
  [3905] = {.lex_state = 203},
  [3906] = {.lex_state = 216},
  [3907] = {.lex_state = 216},
  [3908] = {.lex_state = 216},
  [3909] = {.lex_state = 199},
  [3910] = {.lex_state = 209},
  [3911] = {.lex_state = 216},
  [3912] = {.lex_state = 209},
  [3913] = {.lex_state = 216},
  [3914] = {.lex_state = 199},
  [3915] = {.lex_state = 209},
  [3916] = {.lex_state = 199},
  [3917] = {.lex_state = 203},
  [3918] = {.lex_state = 199},
  [3919] = {.lex_state = 199},
  [3920] = {.lex_state = 203},
  [3921] = {.lex_state = 203},
  [3922] = {.lex_state = 203},
  [3923] = {.lex_state = 203},
  [3924] = {.lex_state = 203},
  [3925] = {.lex_state = 199},
  [3926] = {.lex_state = 182},
  [3927] = {.lex_state = 238},
  [3928] = {.lex_state = 238},
  [3929] = {.lex_state = 238},
  [3930] = {.lex_state = 238},
  [3931] = {.lex_state = 238},
  [3932] = {.lex_state = 238},
  [3933] = {.lex_state = 182},
  [3934] = {.lex_state = 238},
  [3935] = {.lex_state = 238},
  [3936] = {.lex_state = 182},
  [3937] = {.lex_state = 238},
  [3938] = {.lex_state = 238},
  [3939] = {.lex_state = 238},
  [3940] = {.lex_state = 238},
  [3941] = {.lex_state = 238},
  [3942] = {.lex_state = 238},
  [3943] = {.lex_state = 205},
  [3944] = {.lex_state = 205},
  [3945] = {.lex_state = 238},
  [3946] = {.lex_state = 238},
  [3947] = {.lex_state = 238},
  [3948] = {.lex_state = 240},
  [3949] = {.lex_state = 238},
  [3950] = {.lex_state = 205},
  [3951] = {.lex_state = 196},
  [3952] = {.lex_state = 238},
  [3953] = {.lex_state = 238},
  [3954] = {.lex_state = 205},
  [3955] = {.lex_state = 238},
  [3956] = {.lex_state = 238},
  [3957] = {.lex_state = 238},
  [3958] = {.lex_state = 205},
  [3959] = {.lex_state = 238},
  [3960] = {.lex_state = 238},
  [3961] = {.lex_state = 203},
  [3962] = {.lex_state = 205},
  [3963] = {.lex_state = 238},
  [3964] = {.lex_state = 205},
  [3965] = {.lex_state = 238},
  [3966] = {.lex_state = 205},
  [3967] = {.lex_state = 213},
  [3968] = {.lex_state = 238},
  [3969] = {.lex_state = 205},
  [3970] = {.lex_state = 238},
  [3971] = {.lex_state = 240},
  [3972] = {.lex_state = 240},
  [3973] = {.lex_state = 205},
  [3974] = {.lex_state = 203},
  [3975] = {.lex_state = 238},
  [3976] = {.lex_state = 238},
  [3977] = {.lex_state = 238},
  [3978] = {.lex_state = 238},
  [3979] = {.lex_state = 205},
  [3980] = {.lex_state = 238},
  [3981] = {.lex_state = 238},
  [3982] = {.lex_state = 205},
  [3983] = {.lex_state = 238},
  [3984] = {.lex_state = 238},
  [3985] = {.lex_state = 238},
  [3986] = {.lex_state = 238},
  [3987] = {.lex_state = 238},
  [3988] = {.lex_state = 238},
  [3989] = {.lex_state = 238},
  [3990] = {.lex_state = 238},
  [3991] = {.lex_state = 238},
  [3992] = {.lex_state = 238},
  [3993] = {.lex_state = 238},
  [3994] = {.lex_state = 242},
  [3995] = {.lex_state = 238},
  [3996] = {.lex_state = 238},
  [3997] = {.lex_state = 238},
  [3998] = {.lex_state = 242},
  [3999] = {.lex_state = 182},
  [4000] = {.lex_state = 209},
  [4001] = {.lex_state = 238},
  [4002] = {.lex_state = 213},
  [4003] = {.lex_state = 238},
  [4004] = {.lex_state = 238},
  [4005] = {.lex_state = 238},
  [4006] = {.lex_state = 238},
  [4007] = {.lex_state = 238},
  [4008] = {.lex_state = 182},
  [4009] = {.lex_state = 238},
  [4010] = {.lex_state = 238},
  [4011] = {.lex_state = 238},
  [4012] = {.lex_state = 238},
  [4013] = {.lex_state = 192},
  [4014] = {.lex_state = 238},
  [4015] = {.lex_state = 238},
  [4016] = {.lex_state = 243},
  [4017] = {.lex_state = 238},
  [4018] = {.lex_state = 238},
  [4019] = {.lex_state = 241},
  [4020] = {.lex_state = 238},
  [4021] = {.lex_state = 238},
  [4022] = {.lex_state = 238},
  [4023] = {.lex_state = 238},
  [4024] = {.lex_state = 241},
  [4025] = {.lex_state = 238},
  [4026] = {.lex_state = 205},
  [4027] = {.lex_state = 209},
  [4028] = {.lex_state = 205},
  [4029] = {.lex_state = 209},
  [4030] = {.lex_state = 205},
  [4031] = {.lex_state = 238},
  [4032] = {.lex_state = 209},
  [4033] = {.lex_state = 205},
  [4034] = {.lex_state = 205},
  [4035] = {.lex_state = 205},
  [4036] = {.lex_state = 238},
  [4037] = {.lex_state = 205},
  [4038] = {.lex_state = 209},
  [4039] = {.lex_state = 209},
  [4040] = {.lex_state = 238},
  [4041] = {.lex_state = 205},
  [4042] = {.lex_state = 205},
  [4043] = {.lex_state = 192},
  [4044] = {.lex_state = 205},
  [4045] = {.lex_state = 209},
  [4046] = {.lex_state = 243},
  [4047] = {.lex_state = 192},
  [4048] = {.lex_state = 209},
  [4049] = {.lex_state = 209},
  [4050] = {.lex_state = 209},
  [4051] = {.lex_state = 209},
  [4052] = {.lex_state = 209},
  [4053] = {.lex_state = 238},
  [4054] = {.lex_state = 205},
  [4055] = {.lex_state = 209},
  [4056] = {.lex_state = 192},
  [4057] = {.lex_state = 238},
  [4058] = {.lex_state = 238},
  [4059] = {.lex_state = 243},
  [4060] = {.lex_state = 238},
  [4061] = {.lex_state = 238},
  [4062] = {.lex_state = 209},
  [4063] = {.lex_state = 238},
  [4064] = {.lex_state = 238},
  [4065] = {.lex_state = 209},
  [4066] = {.lex_state = 209},
  [4067] = {.lex_state = 205},
  [4068] = {.lex_state = 209},
  [4069] = {.lex_state = 205},
  [4070] = {.lex_state = 209},
  [4071] = {.lex_state = 209},
  [4072] = {.lex_state = 209},
  [4073] = {.lex_state = 209},
  [4074] = {.lex_state = 209},
  [4075] = {.lex_state = 205},
  [4076] = {.lex_state = 238},
  [4077] = {.lex_state = 205},
  [4078] = {.lex_state = 205},
  [4079] = {.lex_state = 209},
  [4080] = {.lex_state = 205},
  [4081] = {.lex_state = 209},
  [4082] = {.lex_state = 209},
  [4083] = {.lex_state = 205},
  [4084] = {.lex_state = 209},
  [4085] = {.lex_state = 227},
  [4086] = {.lex_state = 205},
  [4087] = {.lex_state = 205},
  [4088] = {.lex_state = 238},
  [4089] = {.lex_state = 238},
  [4090] = {.lex_state = 205},
  [4091] = {.lex_state = 238},
  [4092] = {.lex_state = 209},
  [4093] = {.lex_state = 209},
  [4094] = {.lex_state = 209},
  [4095] = {.lex_state = 205},
  [4096] = {.lex_state = 209},
  [4097] = {.lex_state = 209},
  [4098] = {.lex_state = 209},
  [4099] = {.lex_state = 205},
  [4100] = {.lex_state = 205},
  [4101] = {.lex_state = 209},
  [4102] = {.lex_state = 209},
  [4103] = {.lex_state = 209},
  [4104] = {.lex_state = 209},
  [4105] = {.lex_state = 241},
  [4106] = {.lex_state = 205},
  [4107] = {.lex_state = 205},
  [4108] = {.lex_state = 209},
  [4109] = {.lex_state = 209},
  [4110] = {.lex_state = 205},
  [4111] = {.lex_state = 205},
  [4112] = {.lex_state = 205},
  [4113] = {.lex_state = 241},
  [4114] = {.lex_state = 241},
  [4115] = {.lex_state = 209},
  [4116] = {.lex_state = 241},
  [4117] = {.lex_state = 209},
  [4118] = {.lex_state = 209},
  [4119] = {.lex_state = 205},
  [4120] = {.lex_state = 209},
  [4121] = {.lex_state = 209},
  [4122] = {.lex_state = 209},
  [4123] = {.lex_state = 205},
  [4124] = {.lex_state = 205},
  [4125] = {.lex_state = 205},
  [4126] = {.lex_state = 205},
  [4127] = {.lex_state = 209},
  [4128] = {.lex_state = 209},
  [4129] = {.lex_state = 205},
  [4130] = {.lex_state = 205},
  [4131] = {.lex_state = 209},
  [4132] = {.lex_state = 209},
  [4133] = {.lex_state = 209},
  [4134] = {.lex_state = 209},
  [4135] = {.lex_state = 205},
  [4136] = {.lex_state = 209},
  [4137] = {.lex_state = 209},
  [4138] = {.lex_state = 209},
  [4139] = {.lex_state = 209},
  [4140] = {.lex_state = 209},
  [4141] = {.lex_state = 205},
  [4142] = {.lex_state = 209},
  [4143] = {.lex_state = 192},
  [4144] = {.lex_state = 238},
  [4145] = {.lex_state = 205},
  [4146] = {.lex_state = 209},
  [4147] = {.lex_state = 240},
  [4148] = {.lex_state = 205},
  [4149] = {.lex_state = 240},
  [4150] = {.lex_state = 240},
  [4151] = {.lex_state = 205},
  [4152] = {.lex_state = 205},
  [4153] = {.lex_state = 240},
  [4154] = {.lex_state = 240},
  [4155] = {.lex_state = 192},
  [4156] = {.lex_state = 205},
  [4157] = {.lex_state = 240},
  [4158] = {.lex_state = 240},
  [4159] = {.lex_state = 240},
  [4160] = {.lex_state = 240},
  [4161] = {.lex_state = 240},
  [4162] = {.lex_state = 192},
  [4163] = {.lex_state = 205},
  [4164] = {.lex_state = 205},
  [4165] = {.lex_state = 205},
  [4166] = {.lex_state = 192},
  [4167] = {.lex_state = 205},
  [4168] = {.lex_state = 205},
  [4169] = {.lex_state = 192},
  [4170] = {.lex_state = 240},
  [4171] = {.lex_state = 205},
  [4172] = {.lex_state = 240},
  [4173] = {.lex_state = 240},
  [4174] = {.lex_state = 229},
  [4175] = {.lex_state = 229},
  [4176] = {.lex_state = 205},
  [4177] = {.lex_state = 240},
  [4178] = {.lex_state = 240},
  [4179] = {.lex_state = 205},
  [4180] = {.lex_state = 240},
  [4181] = {.lex_state = 205},
  [4182] = {.lex_state = 205},
  [4183] = {.lex_state = 205},
  [4184] = {.lex_state = 240},
  [4185] = {.lex_state = 205},
  [4186] = {.lex_state = 205},
  [4187] = {.lex_state = 205},
  [4188] = {.lex_state = 240},
  [4189] = {.lex_state = 227},
  [4190] = {.lex_state = 240},
  [4191] = {.lex_state = 243},
  [4192] = {.lex_state = 205},
  [4193] = {.lex_state = 240},
  [4194] = {.lex_state = 237},
  [4195] = {.lex_state = 205},
  [4196] = {.lex_state = 205},
  [4197] = {.lex_state = 205},
  [4198] = {.lex_state = 205},
  [4199] = {.lex_state = 227},
  [4200] = {.lex_state = 240},
  [4201] = {.lex_state = 243},
  [4202] = {.lex_state = 240},
  [4203] = {.lex_state = 205},
  [4204] = {.lex_state = 240},
  [4205] = {.lex_state = 205},
  [4206] = {.lex_state = 205},
  [4207] = {.lex_state = 240},
  [4208] = {.lex_state = 205},
  [4209] = {.lex_state = 241},
  [4210] = {.lex_state = 243},
  [4211] = {.lex_state = 227},
  [4212] = {.lex_state = 243},
  [4213] = {.lex_state = 205},
  [4214] = {.lex_state = 240},
  [4215] = {.lex_state = 238},
  [4216] = {.lex_state = 241},
  [4217] = {.lex_state = 244},
  [4218] = {.lex_state = 238},
  [4219] = {.lex_state = 205},
  [4220] = {.lex_state = 238},
  [4221] = {.lex_state = 238},
  [4222] = {.lex_state = 240},
  [4223] = {.lex_state = 245},
  [4224] = {.lex_state = 238},
  [4225] = {.lex_state = 238},
  [4226] = {.lex_state = 203},
  [4227] = {.lex_state = 238},
  [4228] = {.lex_state = 238},
  [4229] = {.lex_state = 238},
  [4230] = {.lex_state = 241},
  [4231] = {.lex_state = 229},
  [4232] = {.lex_state = 238},
  [4233] = {.lex_state = 238},
  [4234] = {.lex_state = 238},
  [4235] = {.lex_state = 238},
  [4236] = {.lex_state = 238},
  [4237] = {.lex_state = 238},
  [4238] = {.lex_state = 229},
  [4239] = {.lex_state = 238},
  [4240] = {.lex_state = 241},
  [4241] = {.lex_state = 238},
  [4242] = {.lex_state = 238},
  [4243] = {.lex_state = 244},
  [4244] = {.lex_state = 238},
  [4245] = {.lex_state = 238},
  [4246] = {.lex_state = 203},
  [4247] = {.lex_state = 238},
  [4248] = {.lex_state = 238},
  [4249] = {.lex_state = 241},
  [4250] = {.lex_state = 238},
  [4251] = {.lex_state = 238},
  [4252] = {.lex_state = 245},
  [4253] = {.lex_state = 238},
  [4254] = {.lex_state = 240},
  [4255] = {.lex_state = 238},
  [4256] = {.lex_state = 238},
  [4257] = {.lex_state = 238},
  [4258] = {.lex_state = 205},
  [4259] = {.lex_state = 205},
  [4260] = {.lex_state = 245},
  [4261] = {.lex_state = 205},
  [4262] = {.lex_state = 205},
  [4263] = {.lex_state = 241},
  [4264] = {.lex_state = 205},
  [4265] = {.lex_state = 205},
  [4266] = {.lex_state = 205},
  [4267] = {.lex_state = 205},
  [4268] = {.lex_state = 205},
  [4269] = {.lex_state = 193},
  [4270] = {.lex_state = 205},
  [4271] = {.lex_state = 237},
  [4272] = {.lex_state = 240},
  [4273] = {.lex_state = 240},
  [4274] = {.lex_state = 205},
  [4275] = {.lex_state = 205},
  [4276] = {.lex_state = 205},
  [4277] = {.lex_state = 205},
  [4278] = {.lex_state = 205},
  [4279] = {.lex_state = 205},
  [4280] = {.lex_state = 205},
  [4281] = {.lex_state = 237},
  [4282] = {.lex_state = 205},
  [4283] = {.lex_state = 205},
  [4284] = {.lex_state = 205},
  [4285] = {.lex_state = 193},
  [4286] = {.lex_state = 205},
  [4287] = {.lex_state = 241},
  [4288] = {.lex_state = 205},
  [4289] = {.lex_state = 205},
  [4290] = {.lex_state = 205},
  [4291] = {.lex_state = 205},
  [4292] = {.lex_state = 242},
  [4293] = {.lex_state = 205},
  [4294] = {.lex_state = 242},
  [4295] = {.lex_state = 205},
  [4296] = {.lex_state = 205},
  [4297] = {.lex_state = 205},
  [4298] = {.lex_state = 205},
  [4299] = {.lex_state = 205},
  [4300] = {.lex_state = 205},
  [4301] = {.lex_state = 205},
  [4302] = {.lex_state = 205},
  [4303] = {.lex_state = 205},
  [4304] = {.lex_state = 205},
  [4305] = {.lex_state = 193},
  [4306] = {.lex_state = 205},
  [4307] = {.lex_state = 205},
  [4308] = {.lex_state = 193},
  [4309] = {.lex_state = 205},
  [4310] = {.lex_state = 240},
  [4311] = {.lex_state = 205},
  [4312] = {.lex_state = 205},
  [4313] = {.lex_state = 205},
  [4314] = {.lex_state = 205},
  [4315] = {.lex_state = 241},
  [4316] = {.lex_state = 241},
  [4317] = {.lex_state = 205},
  [4318] = {.lex_state = 193},
  [4319] = {.lex_state = 240},
  [4320] = {.lex_state = 205},
  [4321] = {.lex_state = 205},
  [4322] = {.lex_state = 229},
  [4323] = {.lex_state = 243},
  [4324] = {.lex_state = 243},
  [4325] = {.lex_state = 205},
  [4326] = {.lex_state = 205},
  [4327] = {.lex_state = 240},
  [4328] = {.lex_state = 205},
  [4329] = {.lex_state = 229},
  [4330] = {.lex_state = 205},
  [4331] = {.lex_state = 193},
  [4332] = {.lex_state = 205},
  [4333] = {.lex_state = 205},
  [4334] = {.lex_state = 205},
  [4335] = {.lex_state = 205},
  [4336] = {.lex_state = 205},
  [4337] = {.lex_state = 205},
  [4338] = {.lex_state = 205},
  [4339] = {.lex_state = 205},
  [4340] = {.lex_state = 205},
  [4341] = {.lex_state = 193},
  [4342] = {.lex_state = 193},
  [4343] = {.lex_state = 229},
  [4344] = {.lex_state = 240},
  [4345] = {.lex_state = 193},
  [4346] = {.lex_state = 205},
  [4347] = {.lex_state = 205},
  [4348] = {.lex_state = 205},
  [4349] = {.lex_state = 229},
  [4350] = {.lex_state = 205},
  [4351] = {.lex_state = 205},
  [4352] = {.lex_state = 193},
  [4353] = {.lex_state = 229},
  [4354] = {.lex_state = 229},
  [4355] = {.lex_state = 229},
  [4356] = {.lex_state = 229},
  [4357] = {.lex_state = 240},
  [4358] = {.lex_state = 241},
  [4359] = {.lex_state = 229},
  [4360] = {.lex_state = 205},
  [4361] = {.lex_state = 228},
  [4362] = {.lex_state = 240},
  [4363] = {.lex_state = 240},
  [4364] = {.lex_state = 237},
  [4365] = {.lex_state = 229},
  [4366] = {.lex_state = 229},
  [4367] = {.lex_state = 229},
  [4368] = {.lex_state = 229},
  [4369] = {.lex_state = 229},
  [4370] = {.lex_state = 229},
  [4371] = {.lex_state = 237},
  [4372] = {.lex_state = 206},
  [4373] = {.lex_state = 245},
  [4374] = {.lex_state = 229},
  [4375] = {.lex_state = 240},
  [4376] = {.lex_state = 229},
  [4377] = {.lex_state = 204},
  [4378] = {.lex_state = 240},
  [4379] = {.lex_state = 241},
  [4380] = {.lex_state = 229},
  [4381] = {.lex_state = 228},
  [4382] = {.lex_state = 205},
  [4383] = {.lex_state = 241},
  [4384] = {.lex_state = 237},
  [4385] = {.lex_state = 205},
  [4386] = {.lex_state = 229},
  [4387] = {.lex_state = 205},
  [4388] = {.lex_state = 206},
  [4389] = {.lex_state = 240},
  [4390] = {.lex_state = 229},
  [4391] = {.lex_state = 205},
  [4392] = {.lex_state = 205},
  [4393] = {.lex_state = 204},
  [4394] = {.lex_state = 229},
  [4395] = {.lex_state = 245},
  [4396] = {.lex_state = 205},
  [4397] = {.lex_state = 229},
  [4398] = {.lex_state = 237},
  [4399] = {.lex_state = 229},
  [4400] = {.lex_state = 240},
  [4401] = {.lex_state = 242},
  [4402] = {.lex_state = 241},
  [4403] = {.lex_state = 240},
  [4404] = {.lex_state = 241},
  [4405] = {.lex_state = 241},
  [4406] = {.lex_state = 242},
  [4407] = {.lex_state = 241},
  [4408] = {.lex_state = 241},
  [4409] = {.lex_state = 241},
  [4410] = {.lex_state = 242},
  [4411] = {.lex_state = 242},
  [4412] = {.lex_state = 241},
  [4413] = {.lex_state = 241},
  [4414] = {.lex_state = 241},
  [4415] = {.lex_state = 240},
  [4416] = {.lex_state = 206},
  [4417] = {.lex_state = 245},
  [4418] = {.lex_state = 245},
  [4419] = {.lex_state = 240},
  [4420] = {.lex_state = 241},
  [4421] = {.lex_state = 205},
  [4422] = {.lex_state = 228},
  [4423] = {.lex_state = 241},
  [4424] = {.lex_state = 241},
  [4425] = {.lex_state = 241},
  [4426] = {.lex_state = 205},
  [4427] = {.lex_state = 241},
  [4428] = {.lex_state = 241},
  [4429] = {.lex_state = 241},
  [4430] = {.lex_state = 240},
  [4431] = {.lex_state = 241},
  [4432] = {.lex_state = 241},
  [4433] = {.lex_state = 241},
  [4434] = {.lex_state = 240},
  [4435] = {.lex_state = 240},
  [4436] = {.lex_state = 240},
  [4437] = {.lex_state = 237},
  [4438] = {.lex_state = 241},
  [4439] = {.lex_state = 206},
  [4440] = {.lex_state = 241},
  [4441] = {.lex_state = 205},
  [4442] = {.lex_state = 241},
  [4443] = {.lex_state = 205},
  [4444] = {.lex_state = 205},
  [4445] = {.lex_state = 205},
  [4446] = {.lex_state = 240},
  [4447] = {.lex_state = 205},
  [4448] = {.lex_state = 205},
  [4449] = {.lex_state = 205},
  [4450] = {.lex_state = 205},
  [4451] = {.lex_state = 205},
  [4452] = {.lex_state = 241},
  [4453] = {.lex_state = 205},
  [4454] = {.lex_state = 205},
  [4455] = {.lex_state = 205},
  [4456] = {.lex_state = 205},
  [4457] = {.lex_state = 205},
  [4458] = {.lex_state = 242},
  [4459] = {.lex_state = 242},
  [4460] = {.lex_state = 238},
  [4461] = {.lex_state = 205},
  [4462] = {.lex_state = 205},
  [4463] = {.lex_state = 205},
  [4464] = {.lex_state = 205},
  [4465] = {.lex_state = 205},
  [4466] = {.lex_state = 242},
  [4467] = {.lex_state = 240},
  [4468] = {.lex_state = 205},
  [4469] = {.lex_state = 205},
  [4470] = {.lex_state = 205},
  [4471] = {.lex_state = 205},
  [4472] = {.lex_state = 242},
  [4473] = {.lex_state = 238},
  [4474] = {.lex_state = 205},
  [4475] = {.lex_state = 205},
  [4476] = {.lex_state = 205},
  [4477] = {.lex_state = 205},
  [4478] = {.lex_state = 242},
  [4479] = {.lex_state = 205},
  [4480] = {.lex_state = 237},
  [4481] = {.lex_state = 242},
  [4482] = {.lex_state = 241},
  [4483] = {.lex_state = 241},
  [4484] = {.lex_state = 240},
  [4485] = {.lex_state = 205},
  [4486] = {.lex_state = 205},
  [4487] = {.lex_state = 242},
  [4488] = {.lex_state = 242},
  [4489] = {.lex_state = 205},
  [4490] = {.lex_state = 242},
  [4491] = {.lex_state = 205},
  [4492] = {.lex_state = 205},
  [4493] = {.lex_state = 205},
  [4494] = {.lex_state = 205},
  [4495] = {.lex_state = 205},
  [4496] = {.lex_state = 240},
  [4497] = {.lex_state = 205},
  [4498] = {.lex_state = 205},
  [4499] = {.lex_state = 241},
  [4500] = {.lex_state = 205},
  [4501] = {.lex_state = 242},
  [4502] = {.lex_state = 205},
  [4503] = {.lex_state = 205},
  [4504] = {.lex_state = 240},
  [4505] = {.lex_state = 242},
  [4506] = {.lex_state = 242},
  [4507] = {.lex_state = 205},
  [4508] = {.lex_state = 242},
  [4509] = {.lex_state = 241},
  [4510] = {.lex_state = 205},
  [4511] = {.lex_state = 241},
  [4512] = {.lex_state = 205},
  [4513] = {.lex_state = 205},
  [4514] = {.lex_state = 229},
  [4515] = {.lex_state = 229},
  [4516] = {.lex_state = 205},
  [4517] = {.lex_state = 205},
  [4518] = {.lex_state = 205},
  [4519] = {.lex_state = 205},
  [4520] = {.lex_state = 205},
  [4521] = {.lex_state = 229},
  [4522] = {.lex_state = 205},
  [4523] = {.lex_state = 229},
  [4524] = {.lex_state = 205},
  [4525] = {.lex_state = 205},
  [4526] = {.lex_state = 228},
  [4527] = {.lex_state = 205},
  [4528] = {.lex_state = 229},
  [4529] = {.lex_state = 205},
  [4530] = {.lex_state = 205},
  [4531] = {.lex_state = 229},
  [4532] = {.lex_state = 205},
  [4533] = {.lex_state = 205},
  [4534] = {.lex_state = 229},
  [4535] = {.lex_state = 229},
  [4536] = {.lex_state = 229},
  [4537] = {.lex_state = 229},
  [4538] = {.lex_state = 205},
  [4539] = {.lex_state = 229},
  [4540] = {.lex_state = 229},
  [4541] = {.lex_state = 229},
  [4542] = {.lex_state = 242},
  [4543] = {.lex_state = 229},
  [4544] = {.lex_state = 229},
  [4545] = {.lex_state = 229},
  [4546] = {.lex_state = 229},
  [4547] = {.lex_state = 229},
  [4548] = {.lex_state = 229},
  [4549] = {.lex_state = 205},
  [4550] = {.lex_state = 205},
  [4551] = {.lex_state = 229},
  [4552] = {.lex_state = 205},
  [4553] = {.lex_state = 229},
  [4554] = {.lex_state = 229},
  [4555] = {.lex_state = 229},
  [4556] = {.lex_state = 205},
  [4557] = {.lex_state = 241},
  [4558] = {.lex_state = 204},
  [4559] = {.lex_state = 205},
  [4560] = {.lex_state = 205},
  [4561] = {.lex_state = 205},
  [4562] = {.lex_state = 205},
  [4563] = {.lex_state = 229},
  [4564] = {.lex_state = 229},
  [4565] = {.lex_state = 205},
  [4566] = {.lex_state = 193},
  [4567] = {.lex_state = 206},
  [4568] = {.lex_state = 205},
  [4569] = {.lex_state = 205},
  [4570] = {.lex_state = 205},
  [4571] = {.lex_state = 205},
  [4572] = {.lex_state = 205},
  [4573] = {.lex_state = 229},
  [4574] = {.lex_state = 224},
  [4575] = {.lex_state = 205},
  [4576] = {.lex_state = 205},
  [4577] = {.lex_state = 205},
  [4578] = {.lex_state = 206},
  [4579] = {.lex_state = 237},
  [4580] = {.lex_state = 240},
  [4581] = {.lex_state = 229},
  [4582] = {.lex_state = 240},
  [4583] = {.lex_state = 229},
  [4584] = {.lex_state = 240},
  [4585] = {.lex_state = 240},
  [4586] = {.lex_state = 240},
  [4587] = {.lex_state = 240},
  [4588] = {.lex_state = 240},
  [4589] = {.lex_state = 240},
  [4590] = {.lex_state = 240},
  [4591] = {.lex_state = 205},
  [4592] = {.lex_state = 205},
  [4593] = {.lex_state = 229},
  [4594] = {.lex_state = 240},
  [4595] = {.lex_state = 240},
  [4596] = {.lex_state = 240},
  [4597] = {.lex_state = 240},
  [4598] = {.lex_state = 205},
  [4599] = {.lex_state = 205},
  [4600] = {.lex_state = 205},
  [4601] = {.lex_state = 205},
  [4602] = {.lex_state = 193},
  [4603] = {.lex_state = 241},
  [4604] = {.lex_state = 229},
  [4605] = {.lex_state = 205},
  [4606] = {.lex_state = 229},
  [4607] = {.lex_state = 205},
  [4608] = {.lex_state = 229},
  [4609] = {.lex_state = 229},
  [4610] = {.lex_state = 229},
  [4611] = {.lex_state = 240},
  [4612] = {.lex_state = 229},
  [4613] = {.lex_state = 229},
  [4614] = {.lex_state = 229},
  [4615] = {.lex_state = 229},
  [4616] = {.lex_state = 229},
  [4617] = {.lex_state = 205},
  [4618] = {.lex_state = 242},
  [4619] = {.lex_state = 229},
  [4620] = {.lex_state = 240},
  [4621] = {.lex_state = 229},
  [4622] = {.lex_state = 229},
  [4623] = {.lex_state = 205},
  [4624] = {.lex_state = 229},
  [4625] = {.lex_state = 229},
  [4626] = {.lex_state = 229},
  [4627] = {.lex_state = 205},
  [4628] = {.lex_state = 240},
  [4629] = {.lex_state = 205},
  [4630] = {.lex_state = 229},
  [4631] = {.lex_state = 205},
  [4632] = {.lex_state = 205},
  [4633] = {.lex_state = 205},
  [4634] = {.lex_state = 205},
  [4635] = {.lex_state = 205},
  [4636] = {.lex_state = 205},
  [4637] = {.lex_state = 205},
  [4638] = {.lex_state = 205},
  [4639] = {.lex_state = 205},
  [4640] = {.lex_state = 205},
  [4641] = {.lex_state = 205},
  [4642] = {.lex_state = 205},
  [4643] = {.lex_state = 205},
  [4644] = {.lex_state = 205},
  [4645] = {.lex_state = 205},
  [4646] = {.lex_state = 229},
  [4647] = {.lex_state = 205},
  [4648] = {.lex_state = 205},
  [4649] = {.lex_state = 240},
  [4650] = {.lex_state = 205},
  [4651] = {.lex_state = 205},
  [4652] = {.lex_state = 205},
  [4653] = {.lex_state = 205},
  [4654] = {.lex_state = 241},
  [4655] = {.lex_state = 205},
  [4656] = {.lex_state = 205},
  [4657] = {.lex_state = 205},
  [4658] = {.lex_state = 205},
  [4659] = {.lex_state = 205},
  [4660] = {.lex_state = 229},
  [4661] = {.lex_state = 242},
  [4662] = {.lex_state = 229},
  [4663] = {.lex_state = 205},
  [4664] = {.lex_state = 205},
  [4665] = {.lex_state = 205},
  [4666] = {.lex_state = 227},
  [4667] = {.lex_state = 205},
  [4668] = {.lex_state = 205},
  [4669] = {.lex_state = 205},
  [4670] = {.lex_state = 205},
  [4671] = {.lex_state = 205},
  [4672] = {.lex_state = 205},
  [4673] = {.lex_state = 229},
  [4674] = {.lex_state = 205},
  [4675] = {.lex_state = 241},
  [4676] = {.lex_state = 205},
  [4677] = {.lex_state = 240},
  [4678] = {.lex_state = 205},
  [4679] = {.lex_state = 205},
  [4680] = {.lex_state = 205},
  [4681] = {.lex_state = 205},
  [4682] = {.lex_state = 205},
  [4683] = {.lex_state = 205},
  [4684] = {.lex_state = 205},
  [4685] = {.lex_state = 240},
  [4686] = {.lex_state = 229},
  [4687] = {.lex_state = 240},
  [4688] = {.lex_state = 193},
  [4689] = {.lex_state = 240},
  [4690] = {.lex_state = 240},
  [4691] = {.lex_state = 205},
  [4692] = {.lex_state = 205},
  [4693] = {.lex_state = 205},
  [4694] = {.lex_state = 204},
  [4695] = {.lex_state = 205},
  [4696] = {.lex_state = 205},
  [4697] = {.lex_state = 242},
  [4698] = {.lex_state = 229},
  [4699] = {.lex_state = 205},
  [4700] = {.lex_state = 205},
  [4701] = {.lex_state = 205},
  [4702] = {.lex_state = 205},
  [4703] = {.lex_state = 205},
  [4704] = {.lex_state = 205},
  [4705] = {.lex_state = 205},
  [4706] = {.lex_state = 205},
  [4707] = {.lex_state = 205},
  [4708] = {.lex_state = 205},
  [4709] = {.lex_state = 205},
  [4710] = {.lex_state = 205},
  [4711] = {.lex_state = 205},
  [4712] = {.lex_state = 205},
  [4713] = {.lex_state = 205},
  [4714] = {.lex_state = 205},
  [4715] = {.lex_state = 205},
  [4716] = {.lex_state = 240},
  [4717] = {.lex_state = 205},
  [4718] = {.lex_state = 205},
  [4719] = {.lex_state = 205},
  [4720] = {.lex_state = 205},
  [4721] = {.lex_state = 205},
  [4722] = {.lex_state = 205},
  [4723] = {.lex_state = 242},
  [4724] = {.lex_state = 205},
  [4725] = {.lex_state = 229},
  [4726] = {.lex_state = 205},
  [4727] = {.lex_state = 205},
  [4728] = {.lex_state = 205},
  [4729] = {.lex_state = 205},
  [4730] = {.lex_state = 205},
  [4731] = {.lex_state = 205},
  [4732] = {.lex_state = 205},
  [4733] = {.lex_state = 205},
  [4734] = {.lex_state = 229},
  [4735] = {.lex_state = 229},
  [4736] = {.lex_state = 229},
  [4737] = {.lex_state = 205},
  [4738] = {.lex_state = 229},
  [4739] = {.lex_state = 205},
  [4740] = {.lex_state = 205},
  [4741] = {.lex_state = 205},
  [4742] = {.lex_state = 205},
  [4743] = {.lex_state = 205},
  [4744] = {.lex_state = 205},
  [4745] = {.lex_state = 205},
  [4746] = {.lex_state = 205},
  [4747] = {.lex_state = 205},
  [4748] = {.lex_state = 205},
  [4749] = {.lex_state = 205},
  [4750] = {.lex_state = 205},
  [4751] = {.lex_state = 240},
  [4752] = {.lex_state = 229},
  [4753] = {.lex_state = 205},
  [4754] = {.lex_state = 205},
  [4755] = {.lex_state = 229},
  [4756] = {.lex_state = 205},
  [4757] = {.lex_state = 205},
  [4758] = {.lex_state = 205},
  [4759] = {.lex_state = 237},
  [4760] = {.lex_state = 205},
  [4761] = {.lex_state = 240},
  [4762] = {.lex_state = 238},
  [4763] = {.lex_state = 205},
  [4764] = {.lex_state = 205},
  [4765] = {.lex_state = 205},
  [4766] = {.lex_state = 205},
  [4767] = {.lex_state = 205},
  [4768] = {.lex_state = 241},
  [4769] = {.lex_state = 205},
  [4770] = {.lex_state = 241},
  [4771] = {.lex_state = 205},
  [4772] = {.lex_state = 240},
  [4773] = {.lex_state = 238},
  [4774] = {.lex_state = 205},
  [4775] = {.lex_state = 205},
  [4776] = {.lex_state = 205},
  [4777] = {.lex_state = 238},
  [4778] = {.lex_state = 205},
  [4779] = {.lex_state = 205},
  [4780] = {.lex_state = 238},
  [4781] = {.lex_state = 205},
  [4782] = {.lex_state = 238},
  [4783] = {.lex_state = 238},
  [4784] = {.lex_state = 240},
  [4785] = {.lex_state = 205},
  [4786] = {.lex_state = 205},
  [4787] = {.lex_state = 205},
  [4788] = {.lex_state = 205},
  [4789] = {.lex_state = 205},
  [4790] = {.lex_state = 205},
  [4791] = {.lex_state = 205},
  [4792] = {.lex_state = 241},
  [4793] = {.lex_state = 205},
  [4794] = {.lex_state = 241},
  [4795] = {.lex_state = 205},
  [4796] = {.lex_state = 205},
  [4797] = {.lex_state = 205},
  [4798] = {.lex_state = 205},
  [4799] = {.lex_state = 205},
  [4800] = {.lex_state = 241},
  [4801] = {.lex_state = 238},
  [4802] = {.lex_state = 205},
  [4803] = {.lex_state = 205},
  [4804] = {.lex_state = 205},
  [4805] = {.lex_state = 205},
  [4806] = {.lex_state = 205},
  [4807] = {.lex_state = 241},
  [4808] = {.lex_state = 238},
  [4809] = {.lex_state = 205},
  [4810] = {.lex_state = 237},
  [4811] = {.lex_state = 205},
  [4812] = {.lex_state = 205},
  [4813] = {.lex_state = 237},
  [4814] = {.lex_state = 238},
  [4815] = {.lex_state = 205},
  [4816] = {.lex_state = 205},
  [4817] = {.lex_state = 237},
  [4818] = {.lex_state = 205},
  [4819] = {.lex_state = 237},
  [4820] = {.lex_state = 205},
  [4821] = {.lex_state = 205},
  [4822] = {.lex_state = 238},
  [4823] = {.lex_state = 241},
  [4824] = {.lex_state = 241},
  [4825] = {.lex_state = 241},
  [4826] = {.lex_state = 205},
  [4827] = {.lex_state = 205},
  [4828] = {.lex_state = 205},
  [4829] = {.lex_state = 205},
  [4830] = {.lex_state = 238},
  [4831] = {.lex_state = 205},
  [4832] = {.lex_state = 241},
  [4833] = {.lex_state = 238},
  [4834] = {.lex_state = 205},
  [4835] = {.lex_state = 238},
  [4836] = {.lex_state = 242},
  [4837] = {.lex_state = 205},
  [4838] = {.lex_state = 241},
  [4839] = {.lex_state = 205},
  [4840] = {.lex_state = 205},
  [4841] = {.lex_state = 241},
  [4842] = {.lex_state = 240},
  [4843] = {.lex_state = 240},
  [4844] = {.lex_state = 241},
  [4845] = {.lex_state = 205},
  [4846] = {.lex_state = 240},
  [4847] = {.lex_state = 240},
  [4848] = {.lex_state = 240},
  [4849] = {.lex_state = 205},
  [4850] = {.lex_state = 241},
  [4851] = {.lex_state = 205},
  [4852] = {.lex_state = 238},
  [4853] = {.lex_state = 240},
  [4854] = {.lex_state = 205},
  [4855] = {.lex_state = 205},
  [4856] = {.lex_state = 205},
  [4857] = {.lex_state = 205},
  [4858] = {.lex_state = 230},
  [4859] = {.lex_state = 205},
  [4860] = {.lex_state = 205},
  [4861] = {.lex_state = 205},
  [4862] = {.lex_state = 205},
  [4863] = {.lex_state = 205},
  [4864] = {.lex_state = 205},
  [4865] = {.lex_state = 205},
  [4866] = {.lex_state = 205},
  [4867] = {.lex_state = 205},
  [4868] = {.lex_state = 238},
  [4869] = {.lex_state = 240},
  [4870] = {.lex_state = 240},
  [4871] = {.lex_state = 230},
  [4872] = {.lex_state = 238},
  [4873] = {.lex_state = 205},
  [4874] = {.lex_state = 205},
  [4875] = {.lex_state = 205},
  [4876] = {.lex_state = 205},
  [4877] = {.lex_state = 240},
  [4878] = {.lex_state = 205},
  [4879] = {.lex_state = 205},
  [4880] = {.lex_state = 205},
  [4881] = {.lex_state = 205},
  [4882] = {.lex_state = 205},
  [4883] = {.lex_state = 205},
  [4884] = {.lex_state = 238},
  [4885] = {.lex_state = 205},
  [4886] = {.lex_state = 205},
  [4887] = {.lex_state = 205},
  [4888] = {.lex_state = 237},
  [4889] = {.lex_state = 241},
  [4890] = {.lex_state = 205},
  [4891] = {.lex_state = 205},
  [4892] = {.lex_state = 240},
  [4893] = {.lex_state = 229},
  [4894] = {.lex_state = 205},
  [4895] = {.lex_state = 205},
  [4896] = {.lex_state = 205},
  [4897] = {.lex_state = 238},
  [4898] = {.lex_state = 205},
  [4899] = {.lex_state = 237},
  [4900] = {.lex_state = 240},
  [4901] = {.lex_state = 205},
  [4902] = {.lex_state = 205},
  [4903] = {.lex_state = 238},
  [4904] = {.lex_state = 238},
  [4905] = {.lex_state = 237},
  [4906] = {.lex_state = 237},
  [4907] = {.lex_state = 237},
  [4908] = {.lex_state = 205},
  [4909] = {.lex_state = 237},
  [4910] = {.lex_state = 205},
  [4911] = {.lex_state = 241},
  [4912] = {.lex_state = 238},
  [4913] = {.lex_state = 205},
  [4914] = {.lex_state = 205},
  [4915] = {.lex_state = 205},
  [4916] = {.lex_state = 205},
  [4917] = {.lex_state = 240},
  [4918] = {.lex_state = 205},
  [4919] = {.lex_state = 205},
  [4920] = {.lex_state = 205},
  [4921] = {.lex_state = 205},
  [4922] = {.lex_state = 240},
  [4923] = {.lex_state = 205},
  [4924] = {.lex_state = 237},
  [4925] = {.lex_state = 205},
  [4926] = {.lex_state = 205},
  [4927] = {.lex_state = 205},
  [4928] = {.lex_state = 205},
  [4929] = {.lex_state = 205},
  [4930] = {.lex_state = 241},
  [4931] = {.lex_state = 205},
  [4932] = {.lex_state = 205},
  [4933] = {.lex_state = 205},
  [4934] = {.lex_state = 205},
  [4935] = {.lex_state = 205},
  [4936] = {.lex_state = 242},
  [4937] = {.lex_state = 205},
  [4938] = {.lex_state = 205},
  [4939] = {.lex_state = 241},
  [4940] = {.lex_state = 242},
  [4941] = {.lex_state = 229},
  [4942] = {.lex_state = 241},
  [4943] = {.lex_state = 240},
  [4944] = {.lex_state = 241},
  [4945] = {.lex_state = 241},
  [4946] = {.lex_state = 229},
  [4947] = {.lex_state = 229},
  [4948] = {.lex_state = 241},
  [4949] = {.lex_state = 229},
  [4950] = {.lex_state = 240},
  [4951] = {.lex_state = 240},
  [4952] = {.lex_state = 229},
  [4953] = {.lex_state = 240},
  [4954] = {.lex_state = 229},
  [4955] = {.lex_state = 240},
  [4956] = {.lex_state = 229},
  [4957] = {.lex_state = 229},
  [4958] = {.lex_state = 205},
  [4959] = {.lex_state = 241},
  [4960] = {.lex_state = 242},
  [4961] = {.lex_state = 240},
  [4962] = {.lex_state = 240},
  [4963] = {.lex_state = 241},
  [4964] = {.lex_state = 229},
  [4965] = {.lex_state = 229},
  [4966] = {.lex_state = 240},
  [4967] = {.lex_state = 229},
  [4968] = {.lex_state = 241},
  [4969] = {.lex_state = 241},
  [4970] = {.lex_state = 241},
  [4971] = {.lex_state = 241},
  [4972] = {.lex_state = 241},
  [4973] = {.lex_state = 241},
  [4974] = {.lex_state = 229},
  [4975] = {.lex_state = 229},
  [4976] = {.lex_state = 241},
  [4977] = {.lex_state = 229},
  [4978] = {.lex_state = 242},
  [4979] = {.lex_state = 242},
  [4980] = {.lex_state = 242},
  [4981] = {.lex_state = 241},
  [4982] = {.lex_state = 193},
  [4983] = {.lex_state = 241},
  [4984] = {.lex_state = 241},
  [4985] = {.lex_state = 229},
  [4986] = {.lex_state = 241},
  [4987] = {.lex_state = 229},
  [4988] = {.lex_state = 229},
  [4989] = {.lex_state = 229},
  [4990] = {.lex_state = 241},
  [4991] = {.lex_state = 242},
  [4992] = {.lex_state = 242},
  [4993] = {.lex_state = 242},
  [4994] = {.lex_state = 241},
  [4995] = {.lex_state = 241},
  [4996] = {.lex_state = 241},
  [4997] = {.lex_state = 241},
  [4998] = {.lex_state = 206},
  [4999] = {.lex_state = 241},
  [5000] = {.lex_state = 229},
  [5001] = {.lex_state = 241},
  [5002] = {.lex_state = 229},
  [5003] = {.lex_state = 229},
  [5004] = {.lex_state = 240},
  [5005] = {.lex_state = 242},
  [5006] = {.lex_state = 229},
  [5007] = {.lex_state = 193},
  [5008] = {.lex_state = 241},
  [5009] = {.lex_state = 242},
  [5010] = {.lex_state = 242},
  [5011] = {.lex_state = 240},
  [5012] = {.lex_state = 229},
  [5013] = {.lex_state = 241},
  [5014] = {.lex_state = 241},
  [5015] = {.lex_state = 241},
  [5016] = {.lex_state = 241},
  [5017] = {.lex_state = 229},
  [5018] = {.lex_state = 241},
  [5019] = {.lex_state = 240},
  [5020] = {.lex_state = 240},
  [5021] = {.lex_state = 205},
  [5022] = {.lex_state = 193},
  [5023] = {.lex_state = 240},
  [5024] = {.lex_state = 229},
  [5025] = {.lex_state = 229},
  [5026] = {.lex_state = 241},
  [5027] = {.lex_state = 241},
  [5028] = {.lex_state = 240},
  [5029] = {.lex_state = 240},
  [5030] = {.lex_state = 229},
  [5031] = {.lex_state = 229},
  [5032] = {.lex_state = 241},
  [5033] = {.lex_state = 193},
  [5034] = {.lex_state = 240},
  [5035] = {.lex_state = 229},
  [5036] = {.lex_state = 240},
  [5037] = {.lex_state = 229},
  [5038] = {.lex_state = 241},
  [5039] = {.lex_state = 240},
  [5040] = {.lex_state = 229},
  [5041] = {.lex_state = 241},
  [5042] = {.lex_state = 240},
  [5043] = {.lex_state = 229},
  [5044] = {.lex_state = 229},
  [5045] = {.lex_state = 241},
  [5046] = {.lex_state = 240},
  [5047] = {.lex_state = 229},
  [5048] = {.lex_state = 240},
  [5049] = {.lex_state = 241},
  [5050] = {.lex_state = 229},
  [5051] = {.lex_state = 241},
  [5052] = {.lex_state = 241},
  [5053] = {.lex_state = 229},
  [5054] = {.lex_state = 242},
  [5055] = {.lex_state = 240},
  [5056] = {.lex_state = 229},
  [5057] = {.lex_state = 240},
  [5058] = {.lex_state = 229},
  [5059] = {.lex_state = 242},
  [5060] = {.lex_state = 241},
  [5061] = {.lex_state = 241},
  [5062] = {.lex_state = 241},
  [5063] = {.lex_state = 241},
  [5064] = {.lex_state = 241},
  [5065] = {.lex_state = 241},
  [5066] = {.lex_state = 241},
  [5067] = {.lex_state = 193},
  [5068] = {.lex_state = 240},
  [5069] = {.lex_state = 229},
  [5070] = {.lex_state = 241},
  [5071] = {.lex_state = 242},
  [5072] = {.lex_state = 204},
  [5073] = {.lex_state = 242},
  [5074] = {.lex_state = 242},
  [5075] = {.lex_state = 205},
  [5076] = {.lex_state = 242},
  [5077] = {.lex_state = 204},
  [5078] = {.lex_state = 242},
  [5079] = {.lex_state = 242},
  [5080] = {.lex_state = 242},
  [5081] = {.lex_state = 237},
  [5082] = {.lex_state = 242},
  [5083] = {.lex_state = 205},
  [5084] = {.lex_state = 242},
  [5085] = {.lex_state = 242},
  [5086] = {.lex_state = 242},
  [5087] = {.lex_state = 205},
  [5088] = {.lex_state = 237},
  [5089] = {.lex_state = 242},
  [5090] = {.lex_state = 242},
  [5091] = {.lex_state = 193},
  [5092] = {.lex_state = 240},
  [5093] = {.lex_state = 242},
  [5094] = {.lex_state = 242},
  [5095] = {.lex_state = 242},
  [5096] = {.lex_state = 237},
  [5097] = {.lex_state = 242},
  [5098] = {.lex_state = 193},
  [5099] = {.lex_state = 242},
  [5100] = {.lex_state = 193},
  [5101] = {.lex_state = 193},
  [5102] = {.lex_state = 205},
  [5103] = {.lex_state = 242},
  [5104] = {.lex_state = 238},
  [5105] = {.lex_state = 193},
  [5106] = {.lex_state = 242},
  [5107] = {.lex_state = 205},
  [5108] = {.lex_state = 242},
  [5109] = {.lex_state = 229},
  [5110] = {.lex_state = 237},
  [5111] = {.lex_state = 242},
  [5112] = {.lex_state = 193},
  [5113] = {.lex_state = 242},
  [5114] = {.lex_state = 242},
  [5115] = {.lex_state = 240},
  [5116] = {.lex_state = 238},
  [5117] = {.lex_state = 242},
  [5118] = {.lex_state = 242},
  [5119] = {.lex_state = 242},
  [5120] = {.lex_state = 242},
  [5121] = {.lex_state = 242},
  [5122] = {.lex_state = 242},
  [5123] = {.lex_state = 242},
  [5124] = {.lex_state = 242},
  [5125] = {.lex_state = 242},
  [5126] = {.lex_state = 238},
  [5127] = {.lex_state = 242},
  [5128] = {.lex_state = 193},
  [5129] = {.lex_state = 242},
  [5130] = {.lex_state = 242},
  [5131] = {.lex_state = 242},
  [5132] = {.lex_state = 193},
  [5133] = {.lex_state = 205},
  [5134] = {.lex_state = 205},
  [5135] = {.lex_state = 242},
  [5136] = {.lex_state = 242},
  [5137] = {.lex_state = 229},
  [5138] = {.lex_state = 205},
  [5139] = {.lex_state = 205},
  [5140] = {.lex_state = 242},
  [5141] = {.lex_state = 242},
  [5142] = {.lex_state = 238},
  [5143] = {.lex_state = 240},
  [5144] = {.lex_state = 241},
  [5145] = {.lex_state = 241},
  [5146] = {.lex_state = 241},
  [5147] = {.lex_state = 241},
  [5148] = {.lex_state = 237},
  [5149] = {.lex_state = 237},
  [5150] = {.lex_state = 241},
  [5151] = {.lex_state = 241},
  [5152] = {.lex_state = 241},
  [5153] = {.lex_state = 237},
  [5154] = {.lex_state = 237},
  [5155] = {.lex_state = 241},
  [5156] = {.lex_state = 240},
  [5157] = {.lex_state = 240},
  [5158] = {.lex_state = 240},
  [5159] = {.lex_state = 240},
  [5160] = {.lex_state = 240},
  [5161] = {.lex_state = 240},
  [5162] = {.lex_state = 237},
  [5163] = {.lex_state = 241},
  [5164] = {.lex_state = 240},
  [5165] = {.lex_state = 241},
  [5166] = {.lex_state = 241},
  [5167] = {.lex_state = 241},
  [5168] = {.lex_state = 241},
  [5169] = {.lex_state = 241},
  [5170] = {.lex_state = 241},
  [5171] = {.lex_state = 240},
  [5172] = {.lex_state = 241},
  [5173] = {.lex_state = 241},
  [5174] = {.lex_state = 238},
  [5175] = {.lex_state = 238},
  [5176] = {.lex_state = 241},
  [5177] = {.lex_state = 205},
  [5178] = {.lex_state = 238},
  [5179] = {.lex_state = 195},
  [5180] = {.lex_state = 238},
  [5181] = {.lex_state = 195},
  [5182] = {.lex_state = 238},
  [5183] = {.lex_state = 238},
  [5184] = {.lex_state = 238},
  [5185] = {.lex_state = 237},
  [5186] = {.lex_state = 205},
  [5187] = {.lex_state = 237},
  [5188] = {.lex_state = 193},
  [5189] = {.lex_state = 237},
  [5190] = {.lex_state = 237},
  [5191] = {.lex_state = 237},
  [5192] = {.lex_state = 237},
  [5193] = {.lex_state = 238},
  [5194] = {.lex_state = 237},
  [5195] = {.lex_state = 238},
  [5196] = {.lex_state = 237},
  [5197] = {.lex_state = 237},
  [5198] = {.lex_state = 238},
  [5199] = {.lex_state = 238},
  [5200] = {.lex_state = 238},
  [5201] = {.lex_state = 195},
  [5202] = {.lex_state = 238},
  [5203] = {.lex_state = 238},
  [5204] = {.lex_state = 205},
  [5205] = {.lex_state = 238},
  [5206] = {.lex_state = 238},
  [5207] = {.lex_state = 238},
  [5208] = {.lex_state = 237},
  [5209] = {.lex_state = 238},
  [5210] = {.lex_state = 238},
  [5211] = {.lex_state = 238},
  [5212] = {.lex_state = 237},
  [5213] = {.lex_state = 193},
  [5214] = {.lex_state = 238},
  [5215] = {.lex_state = 238},
  [5216] = {.lex_state = 238},
  [5217] = {.lex_state = 238},
  [5218] = {.lex_state = 237},
  [5219] = {.lex_state = 205},
  [5220] = {.lex_state = 241},
  [5221] = {.lex_state = 238},
  [5222] = {.lex_state = 238},
  [5223] = {.lex_state = 238},
  [5224] = {.lex_state = 238},
  [5225] = {.lex_state = 237},
  [5226] = {.lex_state = 238},
  [5227] = {.lex_state = 238},
  [5228] = {.lex_state = 237},
  [5229] = {.lex_state = 241},
  [5230] = {.lex_state = 238},
  [5231] = {.lex_state = 238},
  [5232] = {.lex_state = 238},
  [5233] = {.lex_state = 238},
  [5234] = {.lex_state = 238},
  [5235] = {.lex_state = 238},
  [5236] = {.lex_state = 195},
  [5237] = {.lex_state = 238},
  [5238] = {.lex_state = 237},
  [5239] = {.lex_state = 237},
  [5240] = {.lex_state = 238},
  [5241] = {.lex_state = 238},
  [5242] = {.lex_state = 240},
  [5243] = {.lex_state = 241},
  [5244] = {.lex_state = 240},
  [5245] = {.lex_state = 241},
  [5246] = {.lex_state = 241},
  [5247] = {.lex_state = 195},
  [5248] = {.lex_state = 195},
  [5249] = {.lex_state = 195},
  [5250] = {.lex_state = 195},
  [5251] = {.lex_state = 195},
  [5252] = {.lex_state = 195},
  [5253] = {.lex_state = 241},
  [5254] = {.lex_state = 195},
  [5255] = {.lex_state = 195},
  [5256] = {.lex_state = 195},
  [5257] = {.lex_state = 195},
  [5258] = {.lex_state = 195},
  [5259] = {.lex_state = 195},
  [5260] = {.lex_state = 241},
  [5261] = {.lex_state = 195},
  [5262] = {.lex_state = 195},
  [5263] = {.lex_state = 195},
  [5264] = {.lex_state = 195},
  [5265] = {.lex_state = 195},
  [5266] = {.lex_state = 195},
  [5267] = {.lex_state = 195},
  [5268] = {.lex_state = 195},
  [5269] = {.lex_state = 195},
  [5270] = {.lex_state = 195},
  [5271] = {.lex_state = 195},
  [5272] = {.lex_state = 195},
  [5273] = {.lex_state = 195},
  [5274] = {.lex_state = 195},
  [5275] = {.lex_state = 195},
  [5276] = {.lex_state = 195},
  [5277] = {.lex_state = 195},
  [5278] = {.lex_state = 195},
  [5279] = {.lex_state = 195},
  [5280] = {.lex_state = 195},
  [5281] = {.lex_state = 195},
  [5282] = {.lex_state = 195},
  [5283] = {.lex_state = 195},
  [5284] = {.lex_state = 195},
  [5285] = {.lex_state = 195},
  [5286] = {.lex_state = 195},
  [5287] = {.lex_state = 195},
  [5288] = {.lex_state = 195},
  [5289] = {.lex_state = 195},
  [5290] = {.lex_state = 195},
  [5291] = {.lex_state = 195},
  [5292] = {.lex_state = 195},
  [5293] = {.lex_state = 195},
  [5294] = {.lex_state = 195},
  [5295] = {.lex_state = 195},
  [5296] = {.lex_state = 241},
  [5297] = {.lex_state = 195},
  [5298] = {.lex_state = 195},
  [5299] = {.lex_state = 195},
  [5300] = {.lex_state = 237},
  [5301] = {.lex_state = 237},
  [5302] = {.lex_state = 241},
  [5303] = {.lex_state = 237},
  [5304] = {.lex_state = 237},
  [5305] = {.lex_state = 195},
  [5306] = {.lex_state = 195},
  [5307] = {.lex_state = 195},
  [5308] = {.lex_state = 195},
  [5309] = {.lex_state = 195},
  [5310] = {.lex_state = 195},
  [5311] = {.lex_state = 195},
  [5312] = {.lex_state = 195},
  [5313] = {.lex_state = 241},
  [5314] = {.lex_state = 241},
  [5315] = {.lex_state = 195},
  [5316] = {.lex_state = 195},
  [5317] = {.lex_state = 195},
  [5318] = {.lex_state = 195},
  [5319] = {.lex_state = 195},
  [5320] = {.lex_state = 195},
  [5321] = {.lex_state = 241},
  [5322] = {.lex_state = 241},
  [5323] = {.lex_state = 195},
  [5324] = {.lex_state = 195},
  [5325] = {.lex_state = 195},
  [5326] = {.lex_state = 195},
  [5327] = {.lex_state = 195},
  [5328] = {.lex_state = 195},
  [5329] = {.lex_state = 241},
  [5330] = {.lex_state = 241},
  [5331] = {.lex_state = 195},
  [5332] = {.lex_state = 195},
  [5333] = {.lex_state = 195},
  [5334] = {.lex_state = 195},
  [5335] = {.lex_state = 195},
  [5336] = {.lex_state = 195},
  [5337] = {.lex_state = 195},
  [5338] = {.lex_state = 195},
  [5339] = {.lex_state = 195},
  [5340] = {.lex_state = 195},
  [5341] = {.lex_state = 195},
  [5342] = {.lex_state = 195},
  [5343] = {.lex_state = 195},
  [5344] = {.lex_state = 195},
  [5345] = {.lex_state = 195},
  [5346] = {.lex_state = 195},
  [5347] = {.lex_state = 195},
  [5348] = {.lex_state = 195},
  [5349] = {.lex_state = 238},
  [5350] = {.lex_state = 238},
  [5351] = {.lex_state = 238},
  [5352] = {.lex_state = 238},
  [5353] = {.lex_state = 238},
  [5354] = {.lex_state = 238},
  [5355] = {.lex_state = 238},
  [5356] = {.lex_state = 238},
  [5357] = {.lex_state = 238},
  [5358] = {.lex_state = 238},
  [5359] = {.lex_state = 238},
  [5360] = {.lex_state = 195},
  [5361] = {.lex_state = 195},
  [5362] = {.lex_state = 195},
  [5363] = {.lex_state = 195},
  [5364] = {.lex_state = 195},
  [5365] = {.lex_state = 195},
  [5366] = {.lex_state = 195},
  [5367] = {.lex_state = 195},
  [5368] = {.lex_state = 241},
  [5369] = {.lex_state = 195},
  [5370] = {.lex_state = 238},
  [5371] = {.lex_state = 238},
  [5372] = {.lex_state = 238},
  [5373] = {.lex_state = 238},
  [5374] = {.lex_state = 238},
  [5375] = {.lex_state = 238},
  [5376] = {.lex_state = 240},
  [5377] = {.lex_state = 240},
  [5378] = {.lex_state = 240},
  [5379] = {.lex_state = 195},
  [5380] = {.lex_state = 240},
  [5381] = {.lex_state = 238},
  [5382] = {.lex_state = 238},
  [5383] = {.lex_state = 238},
  [5384] = {.lex_state = 238},
  [5385] = {.lex_state = 238},
  [5386] = {.lex_state = 238},
  [5387] = {.lex_state = 195},
  [5388] = {.lex_state = 195},
  [5389] = {.lex_state = 238},
  [5390] = {.lex_state = 238},
  [5391] = {.lex_state = 238},
  [5392] = {.lex_state = 195},
  [5393] = {.lex_state = 240},
  [5394] = {.lex_state = 195},
  [5395] = {.lex_state = 238},
  [5396] = {.lex_state = 238},
  [5397] = {.lex_state = 238},
  [5398] = {.lex_state = 238},
  [5399] = {.lex_state = 238},
  [5400] = {.lex_state = 240},
  [5401] = {.lex_state = 195},
  [5402] = {.lex_state = 238},
  [5403] = {.lex_state = 238},
  [5404] = {.lex_state = 238},
  [5405] = {.lex_state = 195},
  [5406] = {.lex_state = 195},
  [5407] = {.lex_state = 238},
  [5408] = {.lex_state = 195},
  [5409] = {.lex_state = 238},
  [5410] = {.lex_state = 238},
  [5411] = {.lex_state = 238},
  [5412] = {.lex_state = 195},
  [5413] = {.lex_state = 238},
  [5414] = {.lex_state = 238},
  [5415] = {.lex_state = 195},
  [5416] = {.lex_state = 238},
  [5417] = {.lex_state = 238},
  [5418] = {.lex_state = 238},
  [5419] = {.lex_state = 240},
  [5420] = {.lex_state = 238},
  [5421] = {.lex_state = 195},
  [5422] = {.lex_state = 195},
  [5423] = {.lex_state = 238},
  [5424] = {.lex_state = 195},
  [5425] = {.lex_state = 238},
  [5426] = {.lex_state = 240},
  [5427] = {.lex_state = 238},
  [5428] = {.lex_state = 195},
  [5429] = {.lex_state = 238},
  [5430] = {.lex_state = 238},
  [5431] = {.lex_state = 195},
  [5432] = {.lex_state = 238},
  [5433] = {.lex_state = 238},
  [5434] = {.lex_state = 195},
  [5435] = {.lex_state = 240},
  [5436] = {.lex_state = 241},
  [5437] = {.lex_state = 240},
  [5438] = {.lex_state = 240},
  [5439] = {.lex_state = 195},
  [5440] = {.lex_state = 240},
  [5441] = {.lex_state = 241},
  [5442] = {.lex_state = 240},
  [5443] = {.lex_state = 240},
  [5444] = {.lex_state = 240},
  [5445] = {.lex_state = 240},
  [5446] = {.lex_state = 240},
  [5447] = {.lex_state = 238},
  [5448] = {.lex_state = 240},
  [5449] = {.lex_state = 240},
  [5450] = {.lex_state = 240},
  [5451] = {.lex_state = 240},
  [5452] = {.lex_state = 195},
  [5453] = {.lex_state = 240},
  [5454] = {.lex_state = 240},
  [5455] = {.lex_state = 195},
  [5456] = {.lex_state = 240},
  [5457] = {.lex_state = 240},
  [5458] = {.lex_state = 240},
  [5459] = {.lex_state = 238},
  [5460] = {.lex_state = 240},
  [5461] = {.lex_state = 240},
  [5462] = {.lex_state = 240},
  [5463] = {.lex_state = 241},
  [5464] = {.lex_state = 240},
  [5465] = {.lex_state = 195},
  [5466] = {.lex_state = 240},
  [5467] = {.lex_state = 240},
  [5468] = {.lex_state = 240},
  [5469] = {.lex_state = 240},
  [5470] = {.lex_state = 240},
  [5471] = {.lex_state = 240},
  [5472] = {.lex_state = 240},
  [5473] = {.lex_state = 240},
  [5474] = {.lex_state = 240},
  [5475] = {.lex_state = 241},
  [5476] = {.lex_state = 241},
  [5477] = {.lex_state = 241},
  [5478] = {.lex_state = 240},
  [5479] = {.lex_state = 240},
  [5480] = {.lex_state = 241},
  [5481] = {.lex_state = 240},
  [5482] = {.lex_state = 240},
  [5483] = {.lex_state = 240},
  [5484] = {.lex_state = 241},
  [5485] = {.lex_state = 240},
  [5486] = {.lex_state = 238},
  [5487] = {.lex_state = 241},
  [5488] = {.lex_state = 240},
  [5489] = {.lex_state = 240},
  [5490] = {.lex_state = 241},
  [5491] = {.lex_state = 240},
  [5492] = {.lex_state = 238},
  [5493] = {.lex_state = 240},
  [5494] = {.lex_state = 240},
  [5495] = {.lex_state = 241},
  [5496] = {.lex_state = 241},
  [5497] = {.lex_state = 241},
  [5498] = {.lex_state = 241},
  [5499] = {.lex_state = 241},
  [5500] = {.lex_state = 240},
  [5501] = {.lex_state = 241},
  [5502] = {.lex_state = 241},
  [5503] = {.lex_state = 241},
  [5504] = {.lex_state = 241},
  [5505] = {.lex_state = 241},
  [5506] = {.lex_state = 241},
  [5507] = {.lex_state = 241},
  [5508] = {.lex_state = 237},
  [5509] = {.lex_state = 195},
  [5510] = {.lex_state = 237},
  [5511] = {.lex_state = 240},
  [5512] = {.lex_state = 241},
  [5513] = {.lex_state = 237},
  [5514] = {.lex_state = 237},
  [5515] = {.lex_state = 195},
  [5516] = {.lex_state = 237},
  [5517] = {.lex_state = 195},
  [5518] = {.lex_state = 237},
  [5519] = {.lex_state = 195},
  [5520] = {.lex_state = 195},
  [5521] = {.lex_state = 195},
  [5522] = {.lex_state = 237},
  [5523] = {.lex_state = 241},
  [5524] = {.lex_state = 237},
  [5525] = {.lex_state = 241},
  [5526] = {.lex_state = 238},
  [5527] = {.lex_state = 237},
  [5528] = {.lex_state = 238},
  [5529] = {.lex_state = 241},
  [5530] = {.lex_state = 241},
  [5531] = {.lex_state = 237},
  [5532] = {.lex_state = 237},
  [5533] = {.lex_state = 237},
  [5534] = {.lex_state = 238},
  [5535] = {.lex_state = 241},
  [5536] = {.lex_state = 241},
  [5537] = {.lex_state = 241},
  [5538] = {.lex_state = 241},
  [5539] = {.lex_state = 241},
  [5540] = {.lex_state = 241},
  [5541] = {.lex_state = 237},
  [5542] = {.lex_state = 241},
  [5543] = {.lex_state = 238},
  [5544] = {.lex_state = 241},
  [5545] = {.lex_state = 251},
  [5546] = {.lex_state = 251},
  [5547] = {.lex_state = 251},
  [5548] = {.lex_state = 251},
  [5549] = {.lex_state = 251},
  [5550] = {.lex_state = 251},
  [5551] = {.lex_state = 251},
  [5552] = {.lex_state = 241},
  [5553] = {.lex_state = 193},
  [5554] = {.lex_state = 195},
  [5555] = {.lex_state = 195},
  [5556] = {.lex_state = 241},
  [5557] = {.lex_state = 241},
  [5558] = {.lex_state = 195},
  [5559] = {.lex_state = 195},
  [5560] = {.lex_state = 195},
  [5561] = {.lex_state = 241},
  [5562] = {.lex_state = 241},
  [5563] = {.lex_state = 241},
  [5564] = {.lex_state = 241},
  [5565] = {.lex_state = 195},
  [5566] = {.lex_state = 241},
  [5567] = {.lex_state = 241},
  [5568] = {.lex_state = 241},
  [5569] = {.lex_state = 242},
  [5570] = {.lex_state = 241},
  [5571] = {.lex_state = 251},
  [5572] = {.lex_state = 251},
  [5573] = {.lex_state = 251},
  [5574] = {.lex_state = 251},
  [5575] = {.lex_state = 241},
  [5576] = {.lex_state = 241},
  [5577] = {.lex_state = 241},
  [5578] = {.lex_state = 193},
  [5579] = {.lex_state = 241},
  [5580] = {.lex_state = 251},
  [5581] = {.lex_state = 194},
  [5582] = {.lex_state = 251},
  [5583] = {.lex_state = 251},
  [5584] = {.lex_state = 251},
  [5585] = {.lex_state = 251},
  [5586] = {.lex_state = 251},
  [5587] = {.lex_state = 251},
  [5588] = {.lex_state = 241},
  [5589] = {.lex_state = 251},
  [5590] = {.lex_state = 241},
  [5591] = {.lex_state = 251},
  [5592] = {.lex_state = 251},
  [5593] = {.lex_state = 251},
  [5594] = {.lex_state = 241},
  [5595] = {.lex_state = 251},
  [5596] = {.lex_state = 251},
  [5597] = {.lex_state = 251},
  [5598] = {.lex_state = 193},
  [5599] = {.lex_state = 251},
  [5600] = {.lex_state = 251},
  [5601] = {.lex_state = 251},
  [5602] = {.lex_state = 251},
  [5603] = {.lex_state = 251},
  [5604] = {.lex_state = 251},
  [5605] = {.lex_state = 251},
  [5606] = {.lex_state = 251},
  [5607] = {.lex_state = 251},
  [5608] = {.lex_state = 251},
  [5609] = {.lex_state = 251},
  [5610] = {.lex_state = 251},
  [5611] = {.lex_state = 251},
  [5612] = {.lex_state = 251},
  [5613] = {.lex_state = 193},
  [5614] = {.lex_state = 241},
  [5615] = {.lex_state = 251},
  [5616] = {.lex_state = 251},
  [5617] = {.lex_state = 251},
  [5618] = {.lex_state = 241},
  [5619] = {.lex_state = 195},
  [5620] = {.lex_state = 195},
  [5621] = {.lex_state = 193},
  [5622] = {.lex_state = 195},
  [5623] = {.lex_state = 195},
  [5624] = {.lex_state = 195},
  [5625] = {.lex_state = 195},
  [5626] = {.lex_state = 195},
  [5627] = {.lex_state = 195},
  [5628] = {.lex_state = 195},
  [5629] = {.lex_state = 195},
  [5630] = {.lex_state = 195},
  [5631] = {.lex_state = 195},
  [5632] = {.lex_state = 195},
  [5633] = {.lex_state = 195},
  [5634] = {.lex_state = 195},
  [5635] = {.lex_state = 195},
  [5636] = {.lex_state = 195},
  [5637] = {.lex_state = 195},
  [5638] = {.lex_state = 195},
  [5639] = {.lex_state = 195},
  [5640] = {.lex_state = 195},
  [5641] = {.lex_state = 195},
  [5642] = {.lex_state = 195},
  [5643] = {.lex_state = 195},
  [5644] = {.lex_state = 193},
  [5645] = {.lex_state = 195},
  [5646] = {.lex_state = 177},
  [5647] = {.lex_state = 195},
  [5648] = {.lex_state = 177},
  [5649] = {.lex_state = 177},
  [5650] = {.lex_state = 195},
  [5651] = {.lex_state = 241},
  [5652] = {.lex_state = 193},
  [5653] = {.lex_state = 195},
  [5654] = {.lex_state = 195},
  [5655] = {.lex_state = 195},
  [5656] = {.lex_state = 195},
  [5657] = {.lex_state = 195},
  [5658] = {.lex_state = 195},
  [5659] = {.lex_state = 194},
  [5660] = {.lex_state = 195},
  [5661] = {.lex_state = 195},
  [5662] = {.lex_state = 195},
  [5663] = {.lex_state = 195},
  [5664] = {.lex_state = 241},
  [5665] = {.lex_state = 241},
  [5666] = {.lex_state = 195},
  [5667] = {.lex_state = 195},
  [5668] = {.lex_state = 195},
  [5669] = {.lex_state = 195},
  [5670] = {.lex_state = 195},
  [5671] = {.lex_state = 195},
  [5672] = {.lex_state = 195},
  [5673] = {.lex_state = 193},
  [5674] = {.lex_state = 205},
  [5675] = {.lex_state = 194},
  [5676] = {.lex_state = 195},
  [5677] = {.lex_state = 195},
  [5678] = {.lex_state = 195},
  [5679] = {.lex_state = 195},
  [5680] = {.lex_state = 195},
  [5681] = {.lex_state = 195},
  [5682] = {.lex_state = 195},
  [5683] = {.lex_state = 195},
  [5684] = {.lex_state = 195},
  [5685] = {.lex_state = 195},
  [5686] = {.lex_state = 195},
  [5687] = {.lex_state = 195},
  [5688] = {.lex_state = 195},
  [5689] = {.lex_state = 195},
  [5690] = {.lex_state = 195},
  [5691] = {.lex_state = 195},
  [5692] = {.lex_state = 195},
  [5693] = {.lex_state = 195},
  [5694] = {.lex_state = 241},
  [5695] = {.lex_state = 229},
  [5696] = {.lex_state = 241},
  [5697] = {.lex_state = 195},
  [5698] = {.lex_state = 195},
  [5699] = {.lex_state = 195},
  [5700] = {.lex_state = 195},
  [5701] = {.lex_state = 195},
  [5702] = {.lex_state = 195},
  [5703] = {.lex_state = 195},
  [5704] = {.lex_state = 195},
  [5705] = {.lex_state = 195},
  [5706] = {.lex_state = 195},
  [5707] = {.lex_state = 194},
  [5708] = {.lex_state = 237},
  [5709] = {.lex_state = 241},
  [5710] = {.lex_state = 241},
  [5711] = {.lex_state = 195},
  [5712] = {.lex_state = 195},
  [5713] = {.lex_state = 195},
  [5714] = {.lex_state = 195},
  [5715] = {.lex_state = 195},
  [5716] = {.lex_state = 195},
  [5717] = {.lex_state = 195},
  [5718] = {.lex_state = 195},
  [5719] = {.lex_state = 195},
  [5720] = {.lex_state = 195},
  [5721] = {.lex_state = 99},
  [5722] = {.lex_state = 195},
  [5723] = {.lex_state = 195},
  [5724] = {.lex_state = 237},
  [5725] = {.lex_state = 195},
  [5726] = {.lex_state = 195},
  [5727] = {.lex_state = 195},
  [5728] = {.lex_state = 195},
  [5729] = {.lex_state = 241},
  [5730] = {.lex_state = 195},
  [5731] = {.lex_state = 195},
  [5732] = {.lex_state = 177},
  [5733] = {.lex_state = 193},
  [5734] = {.lex_state = 241},
  [5735] = {.lex_state = 177},
  [5736] = {.lex_state = 177},
  [5737] = {.lex_state = 177},
  [5738] = {.lex_state = 177},
  [5739] = {.lex_state = 241},
  [5740] = {.lex_state = 193},
  [5741] = {.lex_state = 177},
  [5742] = {.lex_state = 177},
  [5743] = {.lex_state = 177},
  [5744] = {.lex_state = 246},
  [5745] = {.lex_state = 241},
  [5746] = {.lex_state = 177},
  [5747] = {.lex_state = 177},
  [5748] = {.lex_state = 241},
  [5749] = {.lex_state = 193},
  [5750] = {.lex_state = 246},
  [5751] = {.lex_state = 246},
  [5752] = {.lex_state = 194},
  [5753] = {.lex_state = 193},
  [5754] = {.lex_state = 193},
  [5755] = {.lex_state = 238},
  [5756] = {.lex_state = 193},
  [5757] = {.lex_state = 240},
  [5758] = {.lex_state = 193},
  [5759] = {.lex_state = 193},
  [5760] = {.lex_state = 194},
  [5761] = {.lex_state = 238},
  [5762] = {.lex_state = 246},
  [5763] = {.lex_state = 193},
  [5764] = {.lex_state = 246},
  [5765] = {.lex_state = 246},
  [5766] = {.lex_state = 193},
  [5767] = {.lex_state = 238},
  [5768] = {.lex_state = 241},
  [5769] = {.lex_state = 246},
  [5770] = {.lex_state = 177},
  [5771] = {.lex_state = 240},
  [5772] = {.lex_state = 246},
  [5773] = {.lex_state = 177},
  [5774] = {.lex_state = 177},
  [5775] = {.lex_state = 177},
  [5776] = {.lex_state = 177},
  [5777] = {.lex_state = 241},
  [5778] = {.lex_state = 177},
  [5779] = {.lex_state = 241},
  [5780] = {.lex_state = 238},
  [5781] = {.lex_state = 177},
  [5782] = {.lex_state = 194},
  [5783] = {.lex_state = 238},
  [5784] = {.lex_state = 241},
  [5785] = {.lex_state = 194},
  [5786] = {.lex_state = 194},
  [5787] = {.lex_state = 194},
  [5788] = {.lex_state = 194},
  [5789] = {.lex_state = 194},
  [5790] = {.lex_state = 194},
  [5791] = {.lex_state = 241},
  [5792] = {.lex_state = 241},
  [5793] = {.lex_state = 241},
  [5794] = {.lex_state = 194},
  [5795] = {.lex_state = 194},
  [5796] = {.lex_state = 238},
  [5797] = {.lex_state = 194},
  [5798] = {.lex_state = 194},
  [5799] = {.lex_state = 238},
  [5800] = {.lex_state = 246},
  [5801] = {.lex_state = 194},
  [5802] = {.lex_state = 241},
  [5803] = {.lex_state = 177},
  [5804] = {.lex_state = 177},
  [5805] = {.lex_state = 177},
  [5806] = {.lex_state = 246},
  [5807] = {.lex_state = 177},
  [5808] = {.lex_state = 246},
  [5809] = {.lex_state = 238},
  [5810] = {.lex_state = 241},
  [5811] = {.lex_state = 241},
  [5812] = {.lex_state = 177},
  [5813] = {.lex_state = 238},
  [5814] = {.lex_state = 241},
  [5815] = {.lex_state = 238},
  [5816] = {.lex_state = 177},
  [5817] = {.lex_state = 246},
  [5818] = {.lex_state = 241},
  [5819] = {.lex_state = 246},
  [5820] = {.lex_state = 238},
  [5821] = {.lex_state = 241},
  [5822] = {.lex_state = 193},
  [5823] = {.lex_state = 238},
  [5824] = {.lex_state = 194},
  [5825] = {.lex_state = 193},
  [5826] = {.lex_state = 238},
  [5827] = {.lex_state = 238},
  [5828] = {.lex_state = 238},
  [5829] = {.lex_state = 238},
  [5830] = {.lex_state = 241},
  [5831] = {.lex_state = 177},
  [5832] = {.lex_state = 246},
  [5833] = {.lex_state = 241},
  [5834] = {.lex_state = 246},
  [5835] = {.lex_state = 246},
  [5836] = {.lex_state = 177},
  [5837] = {.lex_state = 238},
  [5838] = {.lex_state = 193},
  [5839] = {.lex_state = 177},
  [5840] = {.lex_state = 241},
  [5841] = {.lex_state = 177},
  [5842] = {.lex_state = 177},
  [5843] = {.lex_state = 246},
  [5844] = {.lex_state = 246},
  [5845] = {.lex_state = 177},
  [5846] = {.lex_state = 241},
  [5847] = {.lex_state = 238},
  [5848] = {.lex_state = 194},
  [5849] = {.lex_state = 241},
  [5850] = {.lex_state = 177},
  [5851] = {.lex_state = 246},
  [5852] = {.lex_state = 246},
  [5853] = {.lex_state = 194},
  [5854] = {.lex_state = 246},
  [5855] = {.lex_state = 194},
  [5856] = {.lex_state = 241},
  [5857] = {.lex_state = 241},
  [5858] = {.lex_state = 177},
  [5859] = {.lex_state = 194},
  [5860] = {.lex_state = 177},
  [5861] = {.lex_state = 177},
  [5862] = {.lex_state = 177},
  [5863] = {.lex_state = 177},
  [5864] = {.lex_state = 194},
  [5865] = {.lex_state = 241},
  [5866] = {.lex_state = 177},
  [5867] = {.lex_state = 193},
  [5868] = {.lex_state = 241},
  [5869] = {.lex_state = 177},
  [5870] = {.lex_state = 246},
  [5871] = {.lex_state = 241},
  [5872] = {.lex_state = 246},
  [5873] = {.lex_state = 246},
  [5874] = {.lex_state = 246},
  [5875] = {.lex_state = 246},
  [5876] = {.lex_state = 246},
  [5877] = {.lex_state = 177},
  [5878] = {.lex_state = 241},
  [5879] = {.lex_state = 177},
  [5880] = {.lex_state = 246},
  [5881] = {.lex_state = 241},
  [5882] = {.lex_state = 242},
  [5883] = {.lex_state = 99},
  [5884] = {.lex_state = 241},
  [5885] = {.lex_state = 238},
  [5886] = {.lex_state = 195},
  [5887] = {.lex_state = 242},
  [5888] = {.lex_state = 242},
  [5889] = {.lex_state = 242},
  [5890] = {.lex_state = 242},
  [5891] = {.lex_state = 193},
  [5892] = {.lex_state = 99},
  [5893] = {.lex_state = 242},
  [5894] = {.lex_state = 242},
  [5895] = {.lex_state = 238},
  [5896] = {.lex_state = 195},
  [5897] = {.lex_state = 240},
  [5898] = {.lex_state = 195},
  [5899] = {.lex_state = 99},
  [5900] = {.lex_state = 193},
  [5901] = {.lex_state = 242},
  [5902] = {.lex_state = 193},
  [5903] = {.lex_state = 238},
  [5904] = {.lex_state = 242},
  [5905] = {.lex_state = 99},
  [5906] = {.lex_state = 238},
  [5907] = {.lex_state = 99},
  [5908] = {.lex_state = 238},
  [5909] = {.lex_state = 242},
  [5910] = {.lex_state = 241},
  [5911] = {.lex_state = 238},
  [5912] = {.lex_state = 99},
  [5913] = {.lex_state = 242},
  [5914] = {.lex_state = 193},
  [5915] = {.lex_state = 99},
  [5916] = {.lex_state = 99},
  [5917] = {.lex_state = 238},
  [5918] = {.lex_state = 242},
  [5919] = {.lex_state = 194},
  [5920] = {.lex_state = 99},
  [5921] = {.lex_state = 99},
  [5922] = {.lex_state = 99},
  [5923] = {.lex_state = 242},
  [5924] = {.lex_state = 99},
  [5925] = {.lex_state = 195},
  [5926] = {.lex_state = 242},
  [5927] = {.lex_state = 242},
  [5928] = {.lex_state = 99},
  [5929] = {.lex_state = 238},
  [5930] = {.lex_state = 241},
  [5931] = {.lex_state = 99},
  [5932] = {.lex_state = 99},
  [5933] = {.lex_state = 242},
  [5934] = {.lex_state = 242},
  [5935] = {.lex_state = 193},
  [5936] = {.lex_state = 242},
  [5937] = {.lex_state = 194},
  [5938] = {.lex_state = 242},
  [5939] = {.lex_state = 195},
  [5940] = {.lex_state = 238},
  [5941] = {.lex_state = 242},
  [5942] = {.lex_state = 99},
  [5943] = {.lex_state = 242},
  [5944] = {.lex_state = 242},
  [5945] = {.lex_state = 99},
  [5946] = {.lex_state = 99},
  [5947] = {.lex_state = 193},
  [5948] = {.lex_state = 99},
  [5949] = {.lex_state = 242},
  [5950] = {.lex_state = 242},
  [5951] = {.lex_state = 99},
  [5952] = {.lex_state = 99},
  [5953] = {.lex_state = 99},
  [5954] = {.lex_state = 99},
  [5955] = {.lex_state = 242},
  [5956] = {.lex_state = 99},
  [5957] = {.lex_state = 99},
  [5958] = {.lex_state = 99},
  [5959] = {.lex_state = 241},
  [5960] = {.lex_state = 99},
  [5961] = {.lex_state = 238},
  [5962] = {.lex_state = 238},
  [5963] = {.lex_state = 99},
  [5964] = {.lex_state = 99},
  [5965] = {.lex_state = 99},
  [5966] = {.lex_state = 242},
  [5967] = {.lex_state = 99},
  [5968] = {.lex_state = 242},
  [5969] = {.lex_state = 238},
  [5970] = {.lex_state = 99},
  [5971] = {.lex_state = 193},
  [5972] = {.lex_state = 195},
  [5973] = {.lex_state = 242},
  [5974] = {.lex_state = 99},
  [5975] = {.lex_state = 242},
  [5976] = {.lex_state = 195},
  [5977] = {.lex_state = 241},
  [5978] = {.lex_state = 241},
  [5979] = {.lex_state = 241},
  [5980] = {.lex_state = 241},
  [5981] = {.lex_state = 241},
  [5982] = {.lex_state = 241},
  [5983] = {.lex_state = 205},
  [5984] = {.lex_state = 241},
  [5985] = {.lex_state = 241},
  [5986] = {.lex_state = 241},
  [5987] = {.lex_state = 241},
  [5988] = {.lex_state = 241},
  [5989] = {.lex_state = 241},
  [5990] = {.lex_state = 242},
  [5991] = {.lex_state = 205},
  [5992] = {.lex_state = 241},
  [5993] = {.lex_state = 241},
  [5994] = {.lex_state = 193},
  [5995] = {.lex_state = 241},
  [5996] = {.lex_state = 195},
  [5997] = {.lex_state = 241},
  [5998] = {.lex_state = 195},
  [5999] = {.lex_state = 241},
  [6000] = {.lex_state = 241},
  [6001] = {.lex_state = 242},
  [6002] = {.lex_state = 242},
  [6003] = {.lex_state = 242},
  [6004] = {.lex_state = 242},
  [6005] = {.lex_state = 242},
  [6006] = {.lex_state = 242},
  [6007] = {.lex_state = 242},
  [6008] = {.lex_state = 242},
  [6009] = {.lex_state = 241},
  [6010] = {.lex_state = 241},
  [6011] = {.lex_state = 241},
  [6012] = {.lex_state = 242},
  [6013] = {.lex_state = 241},
  [6014] = {.lex_state = 241},
  [6015] = {.lex_state = 195},
  [6016] = {.lex_state = 241},
  [6017] = {.lex_state = 241},
  [6018] = {.lex_state = 175},
  [6019] = {.lex_state = 175},
  [6020] = {.lex_state = 241},
  [6021] = {.lex_state = 246},
  [6022] = {.lex_state = 240},
  [6023] = {.lex_state = 241},
  [6024] = {.lex_state = 241},
  [6025] = {.lex_state = 175},
  [6026] = {.lex_state = 175},
  [6027] = {.lex_state = 195},
  [6028] = {.lex_state = 240},
  [6029] = {.lex_state = 240},
  [6030] = {.lex_state = 240},
  [6031] = {.lex_state = 237},
  [6032] = {.lex_state = 246},
  [6033] = {.lex_state = 241},
  [6034] = {.lex_state = 195},
  [6035] = {.lex_state = 175},
  [6036] = {.lex_state = 175},
  [6037] = {.lex_state = 240},
  [6038] = {.lex_state = 195},
  [6039] = {.lex_state = 195},
  [6040] = {.lex_state = 193},
  [6041] = {.lex_state = 233},
  [6042] = {.lex_state = 240},
  [6043] = {.lex_state = 195},
  [6044] = {.lex_state = 233},
  [6045] = {.lex_state = 175},
  [6046] = {.lex_state = 241},
  [6047] = {.lex_state = 241},
  [6048] = {.lex_state = 240},
  [6049] = {.lex_state = 195},
  [6050] = {.lex_state = 193},
  [6051] = {.lex_state = 195},
  [6052] = {.lex_state = 241},
  [6053] = {.lex_state = 240},
  [6054] = {.lex_state = 240},
  [6055] = {.lex_state = 205},
  [6056] = {.lex_state = 175},
  [6057] = {.lex_state = 241},
  [6058] = {.lex_state = 193},
  [6059] = {.lex_state = 175},
  [6060] = {.lex_state = 240},
  [6061] = {.lex_state = 175},
  [6062] = {.lex_state = 193},
  [6063] = {.lex_state = 241},
  [6064] = {.lex_state = 240},
  [6065] = {.lex_state = 233},
  [6066] = {.lex_state = 237},
  [6067] = {.lex_state = 233},
  [6068] = {.lex_state = 237},
  [6069] = {.lex_state = 241},
  [6070] = {.lex_state = 238},
  [6071] = {.lex_state = 241},
  [6072] = {.lex_state = 237},
  [6073] = {.lex_state = 238},
  [6074] = {.lex_state = 238},
  [6075] = {.lex_state = 199},
  [6076] = {.lex_state = 241},
  [6077] = {.lex_state = 242},
  [6078] = {.lex_state = 199},
  [6079] = {.lex_state = 238},
  [6080] = {.lex_state = 199},
  [6081] = {.lex_state = 199},
  [6082] = {.lex_state = 238},
  [6083] = {.lex_state = 199},
  [6084] = {.lex_state = 242},
  [6085] = {.lex_state = 175},
  [6086] = {.lex_state = 199},
  [6087] = {.lex_state = 241},
  [6088] = {.lex_state = 242},
  [6089] = {.lex_state = 238},
  [6090] = {.lex_state = 199},
  [6091] = {.lex_state = 242},
  [6092] = {.lex_state = 242},
  [6093] = {.lex_state = 242},
  [6094] = {.lex_state = 242},
  [6095] = {.lex_state = 242},
  [6096] = {.lex_state = 242},
  [6097] = {.lex_state = 238},
  [6098] = {.lex_state = 241},
  [6099] = {.lex_state = 250},
  [6100] = {.lex_state = 199},
  [6101] = {.lex_state = 238},
  [6102] = {.lex_state = 241},
  [6103] = {.lex_state = 242},
  [6104] = {.lex_state = 199},
  [6105] = {.lex_state = 241},
  [6106] = {.lex_state = 241},
  [6107] = {.lex_state = 199},
  [6108] = {.lex_state = 241},
  [6109] = {.lex_state = 242},
  [6110] = {.lex_state = 199},
  [6111] = {.lex_state = 241},
  [6112] = {.lex_state = 238},
  [6113] = {.lex_state = 241},
  [6114] = {.lex_state = 229},
  [6115] = {.lex_state = 241},
  [6116] = {.lex_state = 241},
  [6117] = {.lex_state = 241},
  [6118] = {.lex_state = 229},
  [6119] = {.lex_state = 229},
  [6120] = {.lex_state = 242},
  [6121] = {.lex_state = 229},
  [6122] = {.lex_state = 241},
  [6123] = {.lex_state = 242},
  [6124] = {.lex_state = 195},
  [6125] = {.lex_state = 199},
  [6126] = {.lex_state = 199},
  [6127] = {.lex_state = 241},
  [6128] = {.lex_state = 241},
  [6129] = {.lex_state = 229},
  [6130] = {.lex_state = 229},
  [6131] = {.lex_state = 229},
  [6132] = {.lex_state = 229},
  [6133] = {.lex_state = 241},
  [6134] = {.lex_state = 238},
  [6135] = {.lex_state = 241},
  [6136] = {.lex_state = 242},
  [6137] = {.lex_state = 242},
  [6138] = {.lex_state = 199},
  [6139] = {.lex_state = 199},
  [6140] = {.lex_state = 241},
  [6141] = {.lex_state = 241},
  [6142] = {.lex_state = 238},
  [6143] = {.lex_state = 242},
  [6144] = {.lex_state = 238},
  [6145] = {.lex_state = 238},
  [6146] = {.lex_state = 241},
  [6147] = {.lex_state = 199},
  [6148] = {.lex_state = 241},
  [6149] = {.lex_state = 242},
  [6150] = {.lex_state = 241},
  [6151] = {.lex_state = 241},
  [6152] = {.lex_state = 175},
  [6153] = {.lex_state = 238},
  [6154] = {.lex_state = 238},
  [6155] = {.lex_state = 241},
  [6156] = {.lex_state = 238},
  [6157] = {.lex_state = 238},
  [6158] = {.lex_state = 199},
  [6159] = {.lex_state = 237},
  [6160] = {.lex_state = 241},
  [6161] = {.lex_state = 241},
  [6162] = {.lex_state = 241},
  [6163] = {.lex_state = 242},
  [6164] = {.lex_state = 238},
  [6165] = {.lex_state = 242},
  [6166] = {.lex_state = 242},
  [6167] = {.lex_state = 241},
  [6168] = {.lex_state = 199},
  [6169] = {.lex_state = 238},
  [6170] = {.lex_state = 242},
  [6171] = {.lex_state = 175},
  [6172] = {.lex_state = 196},
  [6173] = {.lex_state = 187},
  [6174] = {.lex_state = 241},
  [6175] = {.lex_state = 229},
  [6176] = {.lex_state = 241},
  [6177] = {.lex_state = 229},
  [6178] = {.lex_state = 241},
  [6179] = {.lex_state = 241},
  [6180] = {.lex_state = 241},
  [6181] = {.lex_state = 229},
  [6182] = {.lex_state = 187},
  [6183] = {.lex_state = 240},
  [6184] = {.lex_state = 196},
  [6185] = {.lex_state = 241},
  [6186] = {.lex_state = 229},
  [6187] = {.lex_state = 175},
  [6188] = {.lex_state = 241},
  [6189] = {.lex_state = 241},
  [6190] = {.lex_state = 240},
  [6191] = {.lex_state = 229},
  [6192] = {.lex_state = 175},
  [6193] = {.lex_state = 241},
  [6194] = {.lex_state = 187},
  [6195] = {.lex_state = 175},
  [6196] = {.lex_state = 187},
  [6197] = {.lex_state = 241},
  [6198] = {.lex_state = 240},
  [6199] = {.lex_state = 195},
  [6200] = {.lex_state = 196},
  [6201] = {.lex_state = 241},
  [6202] = {.lex_state = 241},
  [6203] = {.lex_state = 187},
  [6204] = {.lex_state = 195},
  [6205] = {.lex_state = 241},
  [6206] = {.lex_state = 187},
  [6207] = {.lex_state = 240},
  [6208] = {.lex_state = 229},
  [6209] = {.lex_state = 241},
  [6210] = {.lex_state = 196},
  [6211] = {.lex_state = 187},
  [6212] = {.lex_state = 175},
  [6213] = {.lex_state = 241},
  [6214] = {.lex_state = 229},
  [6215] = {.lex_state = 241},
  [6216] = {.lex_state = 229},
  [6217] = {.lex_state = 241},
  [6218] = {.lex_state = 187},
  [6219] = {.lex_state = 241},
  [6220] = {.lex_state = 229},
  [6221] = {.lex_state = 175},
  [6222] = {.lex_state = 196},
  [6223] = {.lex_state = 229},
  [6224] = {.lex_state = 175},
  [6225] = {.lex_state = 195},
  [6226] = {.lex_state = 241},
  [6227] = {.lex_state = 195},
  [6228] = {.lex_state = 241},
  [6229] = {.lex_state = 175},
  [6230] = {.lex_state = 195},
  [6231] = {.lex_state = 187},
  [6232] = {.lex_state = 229},
  [6233] = {.lex_state = 187},
  [6234] = {.lex_state = 187},
  [6235] = {.lex_state = 187},
  [6236] = {.lex_state = 180},
  [6237] = {.lex_state = 187},
  [6238] = {.lex_state = 195},
  [6239] = {.lex_state = 241},
  [6240] = {.lex_state = 187},
  [6241] = {.lex_state = 229},
  [6242] = {.lex_state = 187},
  [6243] = {.lex_state = 187},
  [6244] = {.lex_state = 240},
  [6245] = {.lex_state = 187},
  [6246] = {.lex_state = 187},
  [6247] = {.lex_state = 241},
  [6248] = {.lex_state = 175},
  [6249] = {.lex_state = 241},
  [6250] = {.lex_state = 196},
  [6251] = {.lex_state = 240},
  [6252] = {.lex_state = 175},
  [6253] = {.lex_state = 195},
  [6254] = {.lex_state = 187},
  [6255] = {.lex_state = 241},
  [6256] = {.lex_state = 241},
  [6257] = {.lex_state = 187},
  [6258] = {.lex_state = 241},
  [6259] = {.lex_state = 240},
  [6260] = {.lex_state = 187},
  [6261] = {.lex_state = 241},
  [6262] = {.lex_state = 196},
  [6263] = {.lex_state = 240},
  [6264] = {.lex_state = 241},
  [6265] = {.lex_state = 241},
  [6266] = {.lex_state = 241},
  [6267] = {.lex_state = 187},
  [6268] = {.lex_state = 195},
  [6269] = {.lex_state = 196},
  [6270] = {.lex_state = 195},
  [6271] = {.lex_state = 195},
  [6272] = {.lex_state = 195},
  [6273] = {.lex_state = 195},
  [6274] = {.lex_state = 195},
  [6275] = {.lex_state = 241},
  [6276] = {.lex_state = 233},
  [6277] = {.lex_state = 195},
  [6278] = {.lex_state = 195},
  [6279] = {.lex_state = 233},
  [6280] = {.lex_state = 195},
  [6281] = {.lex_state = 195},
  [6282] = {.lex_state = 241},
  [6283] = {.lex_state = 241},
  [6284] = {.lex_state = 195},
  [6285] = {.lex_state = 195},
  [6286] = {.lex_state = 195},
  [6287] = {.lex_state = 195},
  [6288] = {.lex_state = 195},
  [6289] = {.lex_state = 241},
  [6290] = {.lex_state = 241},
  [6291] = {.lex_state = 195},
  [6292] = {.lex_state = 241},
  [6293] = {.lex_state = 241},
  [6294] = {.lex_state = 237},
  [6295] = {.lex_state = 241},
  [6296] = {.lex_state = 233},
  [6297] = {.lex_state = 241},
  [6298] = {.lex_state = 241},
  [6299] = {.lex_state = 241},
  [6300] = {.lex_state = 241},
  [6301] = {.lex_state = 216},
  [6302] = {.lex_state = 241},
  [6303] = {.lex_state = 216},
  [6304] = {.lex_state = 233},
  [6305] = {.lex_state = 216},
  [6306] = {.lex_state = 195},
  [6307] = {.lex_state = 216},
  [6308] = {.lex_state = 195},
  [6309] = {.lex_state = 195},
  [6310] = {.lex_state = 216},
  [6311] = {.lex_state = 216},
  [6312] = {.lex_state = 216},
  [6313] = {.lex_state = 216},
  [6314] = {.lex_state = 195},
  [6315] = {.lex_state = 242},
  [6316] = {.lex_state = 242},
  [6317] = {.lex_state = 242},
  [6318] = {.lex_state = 242},
  [6319] = {.lex_state = 195},
  [6320] = {.lex_state = 242},
  [6321] = {.lex_state = 242},
  [6322] = {.lex_state = 242},
  [6323] = {.lex_state = 242},
  [6324] = {.lex_state = 195},
  [6325] = {.lex_state = 241},
  [6326] = {.lex_state = 241},
  [6327] = {.lex_state = 204},
  [6328] = {.lex_state = 241},
  [6329] = {.lex_state = 195},
  [6330] = {.lex_state = 195},
  [6331] = {.lex_state = 241},
  [6332] = {.lex_state = 241},
  [6333] = {.lex_state = 241},
  [6334] = {.lex_state = 241},
  [6335] = {.lex_state = 241},
  [6336] = {.lex_state = 195},
  [6337] = {.lex_state = 241},
  [6338] = {.lex_state = 195},
  [6339] = {.lex_state = 241},
  [6340] = {.lex_state = 241},
  [6341] = {.lex_state = 241},
  [6342] = {.lex_state = 237},
  [6343] = {.lex_state = 241},
  [6344] = {.lex_state = 195},
  [6345] = {.lex_state = 241},
  [6346] = {.lex_state = 195},
  [6347] = {.lex_state = 241},
  [6348] = {.lex_state = 195},
  [6349] = {.lex_state = 195},
  [6350] = {.lex_state = 241},
  [6351] = {.lex_state = 241},
  [6352] = {.lex_state = 175},
  [6353] = {.lex_state = 193},
  [6354] = {.lex_state = 241},
  [6355] = {.lex_state = 195},
  [6356] = {.lex_state = 193},
  [6357] = {.lex_state = 195},
  [6358] = {.lex_state = 193},
  [6359] = {.lex_state = 193},
  [6360] = {.lex_state = 193},
  [6361] = {.lex_state = 241},
  [6362] = {.lex_state = 241},
  [6363] = {.lex_state = 241},
  [6364] = {.lex_state = 241},
  [6365] = {.lex_state = 195},
  [6366] = {.lex_state = 241},
  [6367] = {.lex_state = 241},
  [6368] = {.lex_state = 193},
  [6369] = {.lex_state = 241},
  [6370] = {.lex_state = 195},
  [6371] = {.lex_state = 241},
  [6372] = {.lex_state = 241},
  [6373] = {.lex_state = 195},
  [6374] = {.lex_state = 241},
  [6375] = {.lex_state = 241},
  [6376] = {.lex_state = 193},
  [6377] = {.lex_state = 193},
  [6378] = {.lex_state = 241},
  [6379] = {.lex_state = 241},
  [6380] = {.lex_state = 195},
  [6381] = {.lex_state = 241},
  [6382] = {.lex_state = 241},
  [6383] = {.lex_state = 195},
  [6384] = {.lex_state = 241},
  [6385] = {.lex_state = 241},
  [6386] = {.lex_state = 241},
  [6387] = {.lex_state = 193},
  [6388] = {.lex_state = 241},
  [6389] = {.lex_state = 195},
  [6390] = {.lex_state = 241},
  [6391] = {.lex_state = 193},
  [6392] = {.lex_state = 195},
  [6393] = {.lex_state = 237},
  [6394] = {.lex_state = 241},
  [6395] = {.lex_state = 175},
  [6396] = {.lex_state = 241},
  [6397] = {.lex_state = 241},
  [6398] = {.lex_state = 241},
  [6399] = {.lex_state = 241},
  [6400] = {.lex_state = 195},
  [6401] = {.lex_state = 193},
  [6402] = {.lex_state = 195},
  [6403] = {.lex_state = 195},
  [6404] = {.lex_state = 241},
  [6405] = {.lex_state = 193},
  [6406] = {.lex_state = 193},
  [6407] = {.lex_state = 193},
  [6408] = {.lex_state = 193},
  [6409] = {.lex_state = 241},
  [6410] = {.lex_state = 241},
  [6411] = {.lex_state = 241},
  [6412] = {.lex_state = 195},
  [6413] = {.lex_state = 193},
  [6414] = {.lex_state = 241},
  [6415] = {.lex_state = 241},
  [6416] = {.lex_state = 241},
  [6417] = {.lex_state = 193},
  [6418] = {.lex_state = 241},
  [6419] = {.lex_state = 195},
  [6420] = {.lex_state = 241},
  [6421] = {.lex_state = 241},
  [6422] = {.lex_state = 241},
  [6423] = {.lex_state = 241},
  [6424] = {.lex_state = 241},
  [6425] = {.lex_state = 241},
  [6426] = {.lex_state = 241},
  [6427] = {.lex_state = 241},
  [6428] = {.lex_state = 241},
  [6429] = {.lex_state = 193},
  [6430] = {.lex_state = 175},
  [6431] = {.lex_state = 241},
  [6432] = {.lex_state = 241},
  [6433] = {.lex_state = 195},
  [6434] = {.lex_state = 241},
  [6435] = {.lex_state = 241},
  [6436] = {.lex_state = 241},
  [6437] = {.lex_state = 241},
  [6438] = {.lex_state = 241},
  [6439] = {.lex_state = 241},
  [6440] = {.lex_state = 241},
  [6441] = {.lex_state = 241},
  [6442] = {.lex_state = 193},
  [6443] = {.lex_state = 195},
  [6444] = {.lex_state = 193},
  [6445] = {.lex_state = 195},
  [6446] = {.lex_state = 199},
  [6447] = {.lex_state = 199},
  [6448] = {.lex_state = 229},
  [6449] = {.lex_state = 229},
  [6450] = {.lex_state = 199},
  [6451] = {.lex_state = 199},
  [6452] = {.lex_state = 199},
  [6453] = {.lex_state = 0},
  [6454] = {.lex_state = 229},
  [6455] = {.lex_state = 199},
  [6456] = {.lex_state = 199},
  [6457] = {.lex_state = 199},
  [6458] = {.lex_state = 229},
  [6459] = {.lex_state = 199},
  [6460] = {.lex_state = 240},
  [6461] = {.lex_state = 199},
  [6462] = {.lex_state = 195},
  [6463] = {.lex_state = 195},
  [6464] = {.lex_state = 195},
  [6465] = {.lex_state = 195},
  [6466] = {.lex_state = 199},
  [6467] = {.lex_state = 195},
  [6468] = {.lex_state = 199},
  [6469] = {.lex_state = 195},
  [6470] = {.lex_state = 199},
  [6471] = {.lex_state = 241},
  [6472] = {.lex_state = 195},
  [6473] = {.lex_state = 241},
  [6474] = {.lex_state = 195},
  [6475] = {.lex_state = 241},
  [6476] = {.lex_state = 195},
  [6477] = {.lex_state = 195},
  [6478] = {.lex_state = 199},
  [6479] = {.lex_state = 229},
  [6480] = {.lex_state = 229},
  [6481] = {.lex_state = 241},
  [6482] = {.lex_state = 199},
  [6483] = {.lex_state = 195},
  [6484] = {.lex_state = 199},
  [6485] = {.lex_state = 195},
  [6486] = {.lex_state = 241},
  [6487] = {.lex_state = 241},
  [6488] = {.lex_state = 195},
  [6489] = {.lex_state = 241},
  [6490] = {.lex_state = 241},
  [6491] = {.lex_state = 241},
  [6492] = {.lex_state = 199},
  [6493] = {.lex_state = 195},
  [6494] = {.lex_state = 195},
  [6495] = {.lex_state = 229},
  [6496] = {.lex_state = 241},
  [6497] = {.lex_state = 237},
  [6498] = {.lex_state = 195},
  [6499] = {.lex_state = 229},
  [6500] = {.lex_state = 195},
  [6501] = {.lex_state = 229},
  [6502] = {.lex_state = 195},
  [6503] = {.lex_state = 195},
  [6504] = {.lex_state = 195},
  [6505] = {.lex_state = 195},
  [6506] = {.lex_state = 195},
  [6507] = {.lex_state = 195},
  [6508] = {.lex_state = 195},
  [6509] = {.lex_state = 195},
  [6510] = {.lex_state = 195},
  [6511] = {.lex_state = 195},
  [6512] = {.lex_state = 240},
  [6513] = {.lex_state = 195},
  [6514] = {.lex_state = 242},
  [6515] = {.lex_state = 242},
  [6516] = {.lex_state = 242},
  [6517] = {.lex_state = 195},
  [6518] = {.lex_state = 195},
  [6519] = {.lex_state = 195},
  [6520] = {.lex_state = 195},
  [6521] = {.lex_state = 195},
  [6522] = {.lex_state = 195},
  [6523] = {.lex_state = 195},
  [6524] = {.lex_state = 196},
  [6525] = {.lex_state = 195},
  [6526] = {.lex_state = 195},
  [6527] = {.lex_state = 195},
  [6528] = {.lex_state = 195},
  [6529] = {.lex_state = 196},
  [6530] = {.lex_state = 195},
  [6531] = {.lex_state = 195},
  [6532] = {.lex_state = 196},
  [6533] = {.lex_state = 195},
  [6534] = {.lex_state = 195},
  [6535] = {.lex_state = 240},
  [6536] = {.lex_state = 240},
  [6537] = {.lex_state = 237},
  [6538] = {.lex_state = 195},
  [6539] = {.lex_state = 196},
  [6540] = {.lex_state = 195},
  [6541] = {.lex_state = 241},
  [6542] = {.lex_state = 195},
  [6543] = {.lex_state = 240},
  [6544] = {.lex_state = 196},
  [6545] = {.lex_state = 195},
  [6546] = {.lex_state = 195},
  [6547] = {.lex_state = 193},
  [6548] = {.lex_state = 195},
  [6549] = {.lex_state = 195},
  [6550] = {.lex_state = 195},
  [6551] = {.lex_state = 195},
  [6552] = {.lex_state = 195},
  [6553] = {.lex_state = 195},
  [6554] = {.lex_state = 195},
  [6555] = {.lex_state = 241},
  [6556] = {.lex_state = 195},
  [6557] = {.lex_state = 195},
  [6558] = {.lex_state = 241},
  [6559] = {.lex_state = 195},
  [6560] = {.lex_state = 241},
  [6561] = {.lex_state = 195},
  [6562] = {.lex_state = 195},
  [6563] = {.lex_state = 195},
  [6564] = {.lex_state = 195},
  [6565] = {.lex_state = 241},
  [6566] = {.lex_state = 195},
  [6567] = {.lex_state = 242},
  [6568] = {.lex_state = 195},
  [6569] = {.lex_state = 195},
  [6570] = {.lex_state = 241},
  [6571] = {.lex_state = 195},
  [6572] = {.lex_state = 195},
  [6573] = {.lex_state = 241},
  [6574] = {.lex_state = 195},
  [6575] = {.lex_state = 196},
  [6576] = {.lex_state = 196},
  [6577] = {.lex_state = 195},
  [6578] = {.lex_state = 195},
  [6579] = {.lex_state = 195},
  [6580] = {.lex_state = 195},
  [6581] = {.lex_state = 195},
  [6582] = {.lex_state = 195},
  [6583] = {.lex_state = 195},
  [6584] = {.lex_state = 195},
  [6585] = {.lex_state = 195},
  [6586] = {.lex_state = 195},
  [6587] = {.lex_state = 195},
  [6588] = {.lex_state = 195},
  [6589] = {.lex_state = 195},
  [6590] = {.lex_state = 195},
  [6591] = {.lex_state = 195},
  [6592] = {.lex_state = 195},
  [6593] = {.lex_state = 241},
  [6594] = {.lex_state = 195},
  [6595] = {.lex_state = 195},
  [6596] = {.lex_state = 195},
  [6597] = {.lex_state = 195},
  [6598] = {.lex_state = 195},
  [6599] = {.lex_state = 195},
  [6600] = {.lex_state = 195},
  [6601] = {.lex_state = 196},
  [6602] = {.lex_state = 195},
  [6603] = {.lex_state = 195},
  [6604] = {.lex_state = 241},
  [6605] = {.lex_state = 240},
  [6606] = {.lex_state = 240},
  [6607] = {.lex_state = 195},
  [6608] = {.lex_state = 195},
  [6609] = {.lex_state = 195},
  [6610] = {.lex_state = 195},
  [6611] = {.lex_state = 195},
  [6612] = {.lex_state = 240},
  [6613] = {.lex_state = 195},
  [6614] = {.lex_state = 195},
  [6615] = {.lex_state = 195},
  [6616] = {.lex_state = 195},
  [6617] = {.lex_state = 240},
  [6618] = {.lex_state = 195},
  [6619] = {.lex_state = 195},
  [6620] = {.lex_state = 195},
  [6621] = {.lex_state = 195},
  [6622] = {.lex_state = 195},
  [6623] = {.lex_state = 237},
  [6624] = {.lex_state = 195},
  [6625] = {.lex_state = 195},
  [6626] = {.lex_state = 195},
  [6627] = {.lex_state = 195},
  [6628] = {.lex_state = 195},
  [6629] = {.lex_state = 195},
  [6630] = {.lex_state = 193},
  [6631] = {.lex_state = 193},
  [6632] = {.lex_state = 193},
  [6633] = {.lex_state = 193},
  [6634] = {.lex_state = 237},
  [6635] = {.lex_state = 241},
  [6636] = {.lex_state = 193},
  [6637] = {.lex_state = 338},
  [6638] = {.lex_state = 193},
  [6639] = {.lex_state = 216},
  [6640] = {.lex_state = 216},
  [6641] = {.lex_state = 195},
  [6642] = {.lex_state = 180},
  [6643] = {.lex_state = 193},
  [6644] = {.lex_state = 195},
  [6645] = {.lex_state = 216},
  [6646] = {.lex_state = 216},
  [6647] = {.lex_state = 193},
  [6648] = {.lex_state = 195},
  [6649] = {.lex_state = 216},
  [6650] = {.lex_state = 216},
  [6651] = {.lex_state = 193},
  [6652] = {.lex_state = 195},
  [6653] = {.lex_state = 216},
  [6654] = {.lex_state = 193},
  [6655] = {.lex_state = 216},
  [6656] = {.lex_state = 195},
  [6657] = {.lex_state = 193},
  [6658] = {.lex_state = 195},
  [6659] = {.lex_state = 193},
  [6660] = {.lex_state = 180},
  [6661] = {.lex_state = 193},
  [6662] = {.lex_state = 195},
  [6663] = {.lex_state = 195},
  [6664] = {.lex_state = 338},
  [6665] = {.lex_state = 199},
  [6666] = {.lex_state = 195},
  [6667] = {.lex_state = 229},
  [6668] = {.lex_state = 195},
  [6669] = {.lex_state = 338},
  [6670] = {.lex_state = 241},
  [6671] = {.lex_state = 195},
  [6672] = {.lex_state = 338},
  [6673] = {.lex_state = 195},
  [6674] = {.lex_state = 195},
  [6675] = {.lex_state = 199},
  [6676] = {.lex_state = 241},
  [6677] = {.lex_state = 195},
  [6678] = {.lex_state = 229},
  [6679] = {.lex_state = 195},
  [6680] = {.lex_state = 195},
  [6681] = {.lex_state = 195},
  [6682] = {.lex_state = 195},
  [6683] = {.lex_state = 195},
  [6684] = {.lex_state = 195},
  [6685] = {.lex_state = 195},
  [6686] = {.lex_state = 195},
  [6687] = {.lex_state = 195},
  [6688] = {.lex_state = 195},
  [6689] = {.lex_state = 199},
  [6690] = {.lex_state = 195},
  [6691] = {.lex_state = 234},
  [6692] = {.lex_state = 195},
  [6693] = {.lex_state = 195},
  [6694] = {.lex_state = 229},
  [6695] = {.lex_state = 195},
  [6696] = {.lex_state = 195},
  [6697] = {.lex_state = 195},
  [6698] = {.lex_state = 195},
  [6699] = {.lex_state = 195},
  [6700] = {.lex_state = 234},
  [6701] = {.lex_state = 195},
  [6702] = {.lex_state = 195},
  [6703] = {.lex_state = 195},
  [6704] = {.lex_state = 195},
  [6705] = {.lex_state = 195},
  [6706] = {.lex_state = 195},
  [6707] = {.lex_state = 195},
  [6708] = {.lex_state = 195},
  [6709] = {.lex_state = 195},
  [6710] = {.lex_state = 195},
  [6711] = {.lex_state = 241},
  [6712] = {.lex_state = 241},
  [6713] = {.lex_state = 195},
  [6714] = {.lex_state = 338},
  [6715] = {.lex_state = 338},
  [6716] = {.lex_state = 195},
  [6717] = {.lex_state = 195},
  [6718] = {.lex_state = 338},
  [6719] = {.lex_state = 241},
  [6720] = {.lex_state = 195},
  [6721] = {.lex_state = 234},
  [6722] = {.lex_state = 195},
  [6723] = {.lex_state = 195},
  [6724] = {.lex_state = 195},
  [6725] = {.lex_state = 195},
  [6726] = {.lex_state = 229},
  [6727] = {.lex_state = 338},
  [6728] = {.lex_state = 199},
  [6729] = {.lex_state = 195},
  [6730] = {.lex_state = 234},
  [6731] = {.lex_state = 195},
  [6732] = {.lex_state = 195},
  [6733] = {.lex_state = 195},
  [6734] = {.lex_state = 199},
  [6735] = {.lex_state = 241},
  [6736] = {.lex_state = 241},
  [6737] = {.lex_state = 338},
  [6738] = {.lex_state = 237},
  [6739] = {.lex_state = 241},
  [6740] = {.lex_state = 240},
  [6741] = {.lex_state = 175},
  [6742] = {.lex_state = 338},
  [6743] = {.lex_state = 241},
  [6744] = {.lex_state = 195},
  [6745] = {.lex_state = 241},
  [6746] = {.lex_state = 338},
  [6747] = {.lex_state = 199},
  [6748] = {.lex_state = 241},
  [6749] = {.lex_state = 338},
  [6750] = {.lex_state = 338},
  [6751] = {.lex_state = 338},
  [6752] = {.lex_state = 338},
  [6753] = {.lex_state = 338},
  [6754] = {.lex_state = 240},
  [6755] = {.lex_state = 338},
  [6756] = {.lex_state = 240},
  [6757] = {.lex_state = 199},
  [6758] = {.lex_state = 338},
  [6759] = {.lex_state = 338},
  [6760] = {.lex_state = 338},
  [6761] = {.lex_state = 240},
  [6762] = {.lex_state = 193},
  [6763] = {.lex_state = 237},
  [6764] = {.lex_state = 338},
  [6765] = {.lex_state = 338},
  [6766] = {.lex_state = 338},
  [6767] = {.lex_state = 199},
  [6768] = {.lex_state = 241},
  [6769] = {.lex_state = 199},
  [6770] = {.lex_state = 240},
  [6771] = {.lex_state = 338},
  [6772] = {.lex_state = 199},
  [6773] = {.lex_state = 199},
  [6774] = {.lex_state = 338},
  [6775] = {.lex_state = 338},
  [6776] = {.lex_state = 175},
  [6777] = {.lex_state = 338},
  [6778] = {.lex_state = 338},
  [6779] = {.lex_state = 338},
  [6780] = {.lex_state = 242},
  [6781] = {.lex_state = 237},
  [6782] = {.lex_state = 195},
  [6783] = {.lex_state = 338},
  [6784] = {.lex_state = 338},
  [6785] = {.lex_state = 193},
  [6786] = {.lex_state = 338},
  [6787] = {.lex_state = 338},
  [6788] = {.lex_state = 242},
  [6789] = {.lex_state = 338},
  [6790] = {.lex_state = 338},
  [6791] = {.lex_state = 338},
  [6792] = {.lex_state = 338},
  [6793] = {.lex_state = 199},
  [6794] = {.lex_state = 338},
  [6795] = {.lex_state = 195},
  [6796] = {.lex_state = 338},
  [6797] = {.lex_state = 175},
  [6798] = {.lex_state = 240},
  [6799] = {.lex_state = 338},
  [6800] = {.lex_state = 338},
  [6801] = {.lex_state = 175},
  [6802] = {.lex_state = 338},
  [6803] = {.lex_state = 240},
  [6804] = {.lex_state = 175},
  [6805] = {.lex_state = 338},
  [6806] = {.lex_state = 195},
  [6807] = {.lex_state = 195},
  [6808] = {.lex_state = 338},
  [6809] = {.lex_state = 195},
  [6810] = {.lex_state = 195},
  [6811] = {.lex_state = 175},
  [6812] = {.lex_state = 195},
  [6813] = {.lex_state = 195},
  [6814] = {.lex_state = 338},
  [6815] = {.lex_state = 237},
  [6816] = {.lex_state = 175},
  [6817] = {.lex_state = 175},
  [6818] = {.lex_state = 338},
  [6819] = {.lex_state = 195},
  [6820] = {.lex_state = 241},
  [6821] = {.lex_state = 338},
  [6822] = {.lex_state = 195},
  [6823] = {.lex_state = 195},
  [6824] = {.lex_state = 338},
  [6825] = {.lex_state = 175},
  [6826] = {.lex_state = 195},
  [6827] = {.lex_state = 241},
  [6828] = {.lex_state = 175},
  [6829] = {.lex_state = 175},
  [6830] = {.lex_state = 175},
  [6831] = {.lex_state = 175},
  [6832] = {.lex_state = 241},
  [6833] = {.lex_state = 175},
  [6834] = {.lex_state = 175},
  [6835] = {.lex_state = 175},
  [6836] = {.lex_state = 175},
  [6837] = {.lex_state = 195},
  [6838] = {.lex_state = 175},
  [6839] = {.lex_state = 195},
  [6840] = {.lex_state = 338},
  [6841] = {.lex_state = 338},
  [6842] = {.lex_state = 175},
  [6843] = {.lex_state = 175},
  [6844] = {.lex_state = 195},
  [6845] = {.lex_state = 195},
  [6846] = {.lex_state = 195},
  [6847] = {.lex_state = 195},
  [6848] = {.lex_state = 195},
  [6849] = {.lex_state = 195},
  [6850] = {.lex_state = 195},
  [6851] = {.lex_state = 195},
  [6852] = {.lex_state = 195},
  [6853] = {.lex_state = 195},
  [6854] = {.lex_state = 195},
  [6855] = {.lex_state = 241},
  [6856] = {.lex_state = 195},
  [6857] = {.lex_state = 175},
  [6858] = {.lex_state = 175},
  [6859] = {.lex_state = 175},
  [6860] = {.lex_state = 241},
  [6861] = {.lex_state = 175},
  [6862] = {.lex_state = 240},
  [6863] = {.lex_state = 195},
  [6864] = {.lex_state = 175},
  [6865] = {.lex_state = 338},
  [6866] = {.lex_state = 195},
  [6867] = {.lex_state = 0},
  [6868] = {.lex_state = 193},
  [6869] = {.lex_state = 195},
  [6870] = {.lex_state = 193},
  [6871] = {.lex_state = 193},
  [6872] = {.lex_state = 193},
  [6873] = {.lex_state = 195},
  [6874] = {.lex_state = 195},
  [6875] = {.lex_state = 193},
  [6876] = {.lex_state = 195},
  [6877] = {.lex_state = 193},
  [6878] = {.lex_state = 195},
  [6879] = {.lex_state = 195},
  [6880] = {.lex_state = 237},
  [6881] = {.lex_state = 338},
  [6882] = {.lex_state = 195},
  [6883] = {.lex_state = 237},
  [6884] = {.lex_state = 237},
  [6885] = {.lex_state = 195},
  [6886] = {.lex_state = 195},
  [6887] = {.lex_state = 237},
  [6888] = {.lex_state = 195},
  [6889] = {.lex_state = 237},
  [6890] = {.lex_state = 237},
  [6891] = {.lex_state = 195},
  [6892] = {.lex_state = 193},
  [6893] = {.lex_state = 237},
  [6894] = {.lex_state = 237},
  [6895] = {.lex_state = 338},
  [6896] = {.lex_state = 195},
  [6897] = {.lex_state = 237},
  [6898] = {.lex_state = 195},
  [6899] = {.lex_state = 241},
  [6900] = {.lex_state = 195},
  [6901] = {.lex_state = 195},
  [6902] = {.lex_state = 195},
  [6903] = {.lex_state = 237},
  [6904] = {.lex_state = 195},
  [6905] = {.lex_state = 195},
  [6906] = {.lex_state = 237},
  [6907] = {.lex_state = 195},
  [6908] = {.lex_state = 195},
  [6909] = {.lex_state = 0},
  [6910] = {.lex_state = 237},
  [6911] = {.lex_state = 338},
  [6912] = {.lex_state = 338},
  [6913] = {.lex_state = 195},
  [6914] = {.lex_state = 237},
  [6915] = {.lex_state = 237},
  [6916] = {.lex_state = 193},
  [6917] = {.lex_state = 193},
  [6918] = {.lex_state = 195},
  [6919] = {.lex_state = 195},
  [6920] = {.lex_state = 193},
  [6921] = {.lex_state = 195},
  [6922] = {.lex_state = 193},
  [6923] = {.lex_state = 338},
  [6924] = {.lex_state = 198},
  [6925] = {.lex_state = 175},
  [6926] = {.lex_state = 338},
  [6927] = {.lex_state = 195},
  [6928] = {.lex_state = 195},
  [6929] = {.lex_state = 195},
  [6930] = {.lex_state = 195},
  [6931] = {.lex_state = 195},
  [6932] = {.lex_state = 195},
  [6933] = {.lex_state = 195},
  [6934] = {.lex_state = 198},
  [6935] = {.lex_state = 198},
  [6936] = {.lex_state = 195},
  [6937] = {.lex_state = 195},
  [6938] = {.lex_state = 195},
  [6939] = {.lex_state = 195},
  [6940] = {.lex_state = 195},
  [6941] = {.lex_state = 198},
  [6942] = {.lex_state = 198},
  [6943] = {.lex_state = 175},
  [6944] = {.lex_state = 195},
  [6945] = {.lex_state = 195},
  [6946] = {.lex_state = 195},
  [6947] = {.lex_state = 237},
  [6948] = {.lex_state = 198},
  [6949] = {.lex_state = 195},
  [6950] = {.lex_state = 195},
  [6951] = {.lex_state = 195},
  [6952] = {.lex_state = 338},
  [6953] = {.lex_state = 195},
  [6954] = {.lex_state = 195},
  [6955] = {.lex_state = 195},
  [6956] = {.lex_state = 195},
  [6957] = {.lex_state = 195},
  [6958] = {.lex_state = 195},
  [6959] = {.lex_state = 195},
  [6960] = {.lex_state = 195},
  [6961] = {.lex_state = 195},
  [6962] = {.lex_state = 195},
  [6963] = {.lex_state = 195},
  [6964] = {.lex_state = 195},
  [6965] = {.lex_state = 198},
  [6966] = {.lex_state = 195},
  [6967] = {.lex_state = 175},
  [6968] = {.lex_state = 195},
  [6969] = {.lex_state = 338},
  [6970] = {.lex_state = 195},
  [6971] = {.lex_state = 195},
  [6972] = {.lex_state = 195},
  [6973] = {.lex_state = 195},
  [6974] = {.lex_state = 195},
  [6975] = {.lex_state = 195},
  [6976] = {.lex_state = 195},
  [6977] = {.lex_state = 195},
  [6978] = {.lex_state = 195},
  [6979] = {.lex_state = 195},
  [6980] = {.lex_state = 195},
  [6981] = {.lex_state = 195},
  [6982] = {.lex_state = 237},
  [6983] = {.lex_state = 195},
  [6984] = {.lex_state = 195},
  [6985] = {.lex_state = 195},
  [6986] = {.lex_state = 237},
  [6987] = {.lex_state = 195},
  [6988] = {.lex_state = 195},
  [6989] = {.lex_state = 338},
  [6990] = {.lex_state = 195},
  [6991] = {.lex_state = 171},
  [6992] = {.lex_state = 175},
  [6993] = {.lex_state = 198},
  [6994] = {.lex_state = 195},
  [6995] = {.lex_state = 195},
  [6996] = {.lex_state = 195},
  [6997] = {.lex_state = 195},
  [6998] = {.lex_state = 338},
  [6999] = {.lex_state = 108},
  [7000] = {.lex_state = 0},
  [7001] = {.lex_state = 195},
  [7002] = {.lex_state = 108},
  [7003] = {.lex_state = 108},
  [7004] = {.lex_state = 198},
  [7005] = {.lex_state = 108},
  [7006] = {.lex_state = 198},
  [7007] = {.lex_state = 198},
  [7008] = {.lex_state = 338},
  [7009] = {.lex_state = 175},
  [7010] = {.lex_state = 195},
  [7011] = {.lex_state = 110},
  [7012] = {.lex_state = 338},
  [7013] = {.lex_state = 0},
  [7014] = {.lex_state = 110},
  [7015] = {.lex_state = 198},
  [7016] = {.lex_state = 198},
  [7017] = {.lex_state = 198},
  [7018] = {.lex_state = 0},
  [7019] = {.lex_state = 175},
  [7020] = {.lex_state = 195},
  [7021] = {.lex_state = 175},
  [7022] = {.lex_state = 111},
  [7023] = {.lex_state = 195},
  [7024] = {.lex_state = 237},
  [7025] = {.lex_state = 108},
  [7026] = {.lex_state = 198},
  [7027] = {.lex_state = 198},
  [7028] = {.lex_state = 237},
  [7029] = {.lex_state = 198},
  [7030] = {.lex_state = 198},
  [7031] = {.lex_state = 0},
  [7032] = {.lex_state = 198},
  [7033] = {.lex_state = 175},
  [7034] = {.lex_state = 198},
  [7035] = {.lex_state = 338},
  [7036] = {.lex_state = 111},
  [7037] = {.lex_state = 198},
  [7038] = {.lex_state = 108},
  [7039] = {.lex_state = 338},
  [7040] = {.lex_state = 338},
  [7041] = {.lex_state = 338},
  [7042] = {.lex_state = 108},
  [7043] = {.lex_state = 108},
  [7044] = {.lex_state = 175},
  [7045] = {.lex_state = 198},
  [7046] = {.lex_state = 338},
  [7047] = {.lex_state = 111},
  [7048] = {.lex_state = 338},
  [7049] = {.lex_state = 198},
  [7050] = {.lex_state = 111},
  [7051] = {.lex_state = 195},
  [7052] = {.lex_state = 338},
  [7053] = {.lex_state = 338},
  [7054] = {.lex_state = 110},
  [7055] = {.lex_state = 175},
  [7056] = {.lex_state = 237},
  [7057] = {.lex_state = 0},
  [7058] = {.lex_state = 108},
  [7059] = {.lex_state = 338},
  [7060] = {.lex_state = 198},
  [7061] = {.lex_state = 198},
  [7062] = {.lex_state = 110},
  [7063] = {.lex_state = 108},
  [7064] = {.lex_state = 195},
  [7065] = {.lex_state = 175},
  [7066] = {.lex_state = 198},
  [7067] = {.lex_state = 175},
  [7068] = {.lex_state = 175},
  [7069] = {.lex_state = 338},
  [7070] = {.lex_state = 198},
  [7071] = {.lex_state = 175},
  [7072] = {.lex_state = 175},
  [7073] = {.lex_state = 198},
  [7074] = {.lex_state = 175},
  [7075] = {.lex_state = 175},
  [7076] = {.lex_state = 0},
  [7077] = {.lex_state = 110},
  [7078] = {.lex_state = 195},
  [7079] = {.lex_state = 237},
  [7080] = {.lex_state = 108},
  [7081] = {.lex_state = 198},
  [7082] = {.lex_state = 198},
  [7083] = {.lex_state = 338},
  [7084] = {.lex_state = 195},
  [7085] = {.lex_state = 198},
  [7086] = {.lex_state = 198},
  [7087] = {.lex_state = 198},
  [7088] = {.lex_state = 108},
  [7089] = {.lex_state = 338},
  [7090] = {.lex_state = 198},
  [7091] = {.lex_state = 198},
  [7092] = {.lex_state = 108},
  [7093] = {.lex_state = 0},
  [7094] = {.lex_state = 237},
  [7095] = {.lex_state = 237},
  [7096] = {.lex_state = 108},
  [7097] = {.lex_state = 108},
  [7098] = {.lex_state = 198},
  [7099] = {.lex_state = 0},
  [7100] = {.lex_state = 338},
  [7101] = {.lex_state = 108},
  [7102] = {.lex_state = 198},
  [7103] = {.lex_state = 237},
  [7104] = {.lex_state = 338},
  [7105] = {.lex_state = 0},
  [7106] = {.lex_state = 111},
  [7107] = {.lex_state = 198},
  [7108] = {.lex_state = 338},
  [7109] = {.lex_state = 237},
  [7110] = {.lex_state = 338},
  [7111] = {.lex_state = 0},
  [7112] = {.lex_state = 175},
  [7113] = {.lex_state = 175},
  [7114] = {.lex_state = 0},
  [7115] = {.lex_state = 110},
  [7116] = {.lex_state = 198},
  [7117] = {.lex_state = 338},
  [7118] = {.lex_state = 0},
  [7119] = {.lex_state = 338},
  [7120] = {.lex_state = 108},
  [7121] = {.lex_state = 198},
  [7122] = {.lex_state = 175},
  [7123] = {.lex_state = 198},
  [7124] = {.lex_state = 108},
  [7125] = {.lex_state = 195},
  [7126] = {.lex_state = 198},
  [7127] = {.lex_state = 175},
  [7128] = {.lex_state = 110},
  [7129] = {.lex_state = 108},
  [7130] = {.lex_state = 195},
  [7131] = {.lex_state = 198},
  [7132] = {.lex_state = 175},
  [7133] = {.lex_state = 0},
  [7134] = {.lex_state = 198},
  [7135] = {.lex_state = 110},
  [7136] = {.lex_state = 338},
  [7137] = {.lex_state = 338},
  [7138] = {.lex_state = 198},
  [7139] = {.lex_state = 108},
  [7140] = {.lex_state = 195},
  [7141] = {.lex_state = 195},
  [7142] = {.lex_state = 175},
  [7143] = {.lex_state = 0},
  [7144] = {.lex_state = 108},
  [7145] = {.lex_state = 108},
  [7146] = {.lex_state = 0},
  [7147] = {.lex_state = 175},
  [7148] = {.lex_state = 338},
  [7149] = {.lex_state = 108},
  [7150] = {.lex_state = 108},
  [7151] = {.lex_state = 0},
  [7152] = {.lex_state = 198},
  [7153] = {.lex_state = 198},
  [7154] = {.lex_state = 198},
  [7155] = {.lex_state = 338},
  [7156] = {.lex_state = 108},
  [7157] = {.lex_state = 338},
  [7158] = {.lex_state = 108},
  [7159] = {.lex_state = 110},
  [7160] = {.lex_state = 175},
  [7161] = {.lex_state = 175},
  [7162] = {.lex_state = 198},
  [7163] = {.lex_state = 175},
  [7164] = {.lex_state = 108},
  [7165] = {.lex_state = 198},
  [7166] = {.lex_state = 338},
  [7167] = {.lex_state = 0},
  [7168] = {.lex_state = 338},
  [7169] = {.lex_state = 198},
  [7170] = {.lex_state = 108},
  [7171] = {.lex_state = 0},
  [7172] = {.lex_state = 338},
  [7173] = {.lex_state = 0},
  [7174] = {.lex_state = 338},
  [7175] = {.lex_state = 338},
  [7176] = {.lex_state = 198},
  [7177] = {.lex_state = 111},
  [7178] = {.lex_state = 198},
  [7179] = {.lex_state = 0},
  [7180] = {.lex_state = 108},
  [7181] = {.lex_state = 338},
  [7182] = {.lex_state = 338},
  [7183] = {.lex_state = 198},
  [7184] = {.lex_state = 0},
  [7185] = {.lex_state = 108},
  [7186] = {.lex_state = 338},
  [7187] = {.lex_state = 338},
  [7188] = {.lex_state = 0},
  [7189] = {.lex_state = 338},
  [7190] = {.lex_state = 338},
  [7191] = {.lex_state = 338},
  [7192] = {.lex_state = 111},
  [7193] = {.lex_state = 175},
  [7194] = {.lex_state = 338},
  [7195] = {.lex_state = 198},
  [7196] = {.lex_state = 338},
  [7197] = {.lex_state = 108},
  [7198] = {.lex_state = 198},
  [7199] = {.lex_state = 198},
  [7200] = {.lex_state = 175},
  [7201] = {.lex_state = 175},
  [7202] = {.lex_state = 0},
  [7203] = {.lex_state = 195},
  [7204] = {.lex_state = 108},
  [7205] = {.lex_state = 198},
  [7206] = {.lex_state = 237},
  [7207] = {.lex_state = 198},
  [7208] = {.lex_state = 338},
  [7209] = {.lex_state = 338},
  [7210] = {.lex_state = 175},
  [7211] = {.lex_state = 198},
  [7212] = {.lex_state = 338},
  [7213] = {.lex_state = 198},
  [7214] = {.lex_state = 237},
  [7215] = {.lex_state = 0},
  [7216] = {.lex_state = 198},
  [7217] = {.lex_state = 108},
  [7218] = {.lex_state = 198},
  [7219] = {.lex_state = 198},
  [7220] = {.lex_state = 198},
  [7221] = {.lex_state = 175},
  [7222] = {.lex_state = 198},
  [7223] = {.lex_state = 198},
  [7224] = {.lex_state = 110},
  [7225] = {.lex_state = 108},
  [7226] = {.lex_state = 108},
  [7227] = {.lex_state = 338},
  [7228] = {.lex_state = 198},
  [7229] = {.lex_state = 110},
  [7230] = {.lex_state = 237},
  [7231] = {.lex_state = 175},
  [7232] = {.lex_state = 338},
  [7233] = {.lex_state = 338},
  [7234] = {.lex_state = 108},
  [7235] = {.lex_state = 195},
  [7236] = {.lex_state = 108},
  [7237] = {.lex_state = 175},
  [7238] = {.lex_state = 110},
  [7239] = {.lex_state = 198},
  [7240] = {.lex_state = 338},
  [7241] = {.lex_state = 0},
  [7242] = {.lex_state = 198},
  [7243] = {.lex_state = 198},
  [7244] = {.lex_state = 175},
  [7245] = {.lex_state = 110},
  [7246] = {.lex_state = 108},
  [7247] = {.lex_state = 0},
  [7248] = {.lex_state = 108},
  [7249] = {.lex_state = 198},
  [7250] = {.lex_state = 171},
  [7251] = {.lex_state = 0},
  [7252] = {.lex_state = 198},
  [7253] = {.lex_state = 171},
  [7254] = {.lex_state = 0},
  [7255] = {.lex_state = 195},
  [7256] = {.lex_state = 0},
  [7257] = {.lex_state = 0},
  [7258] = {.lex_state = 195},
  [7259] = {.lex_state = 0},
  [7260] = {.lex_state = 0},
  [7261] = {.lex_state = 0},
  [7262] = {.lex_state = 198},
  [7263] = {.lex_state = 0},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 198},
  [7266] = {.lex_state = 0},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 0},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 0},
  [7271] = {.lex_state = 0},
  [7272] = {.lex_state = 195},
  [7273] = {.lex_state = 0},
  [7274] = {.lex_state = 0},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 0},
  [7277] = {.lex_state = 0},
  [7278] = {.lex_state = 0},
  [7279] = {.lex_state = 195},
  [7280] = {.lex_state = 195},
  [7281] = {.lex_state = 0},
  [7282] = {.lex_state = 0},
  [7283] = {.lex_state = 0},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 0},
  [7286] = {.lex_state = 0},
  [7287] = {.lex_state = 0},
  [7288] = {.lex_state = 195},
  [7289] = {.lex_state = 195},
  [7290] = {.lex_state = 195},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 0},
  [7293] = {.lex_state = 195},
  [7294] = {.lex_state = 195},
  [7295] = {.lex_state = 0},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 0},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 195},
  [7301] = {.lex_state = 0},
  [7302] = {.lex_state = 0},
  [7303] = {.lex_state = 195},
  [7304] = {.lex_state = 198},
  [7305] = {.lex_state = 198},
  [7306] = {.lex_state = 0},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 0},
  [7309] = {.lex_state = 0},
  [7310] = {.lex_state = 0},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 0},
  [7313] = {.lex_state = 195},
  [7314] = {.lex_state = 0},
  [7315] = {.lex_state = 195},
  [7316] = {.lex_state = 0},
  [7317] = {.lex_state = 0},
  [7318] = {.lex_state = 0},
  [7319] = {.lex_state = 0},
  [7320] = {.lex_state = 0},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 0},
  [7323] = {.lex_state = 0},
  [7324] = {.lex_state = 0},
  [7325] = {.lex_state = 195},
  [7326] = {.lex_state = 195},
  [7327] = {.lex_state = 0},
  [7328] = {.lex_state = 0},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 0},
  [7331] = {.lex_state = 195},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 195},
  [7334] = {.lex_state = 198},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 0},
  [7338] = {.lex_state = 0},
  [7339] = {.lex_state = 198},
  [7340] = {.lex_state = 198},
  [7341] = {.lex_state = 0},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 171},
  [7344] = {.lex_state = 0},
  [7345] = {.lex_state = 195},
  [7346] = {.lex_state = 0},
  [7347] = {.lex_state = 0},
  [7348] = {.lex_state = 0},
  [7349] = {.lex_state = 0},
  [7350] = {.lex_state = 0},
  [7351] = {.lex_state = 0},
  [7352] = {.lex_state = 198},
  [7353] = {.lex_state = 198},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 195},
  [7356] = {.lex_state = 0},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 0},
  [7359] = {.lex_state = 0},
  [7360] = {.lex_state = 198},
  [7361] = {.lex_state = 0},
  [7362] = {.lex_state = 195},
  [7363] = {.lex_state = 0},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 0},
  [7366] = {.lex_state = 0},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 198},
  [7369] = {.lex_state = 195},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 0},
  [7372] = {.lex_state = 0},
  [7373] = {.lex_state = 0},
  [7374] = {.lex_state = 0},
  [7375] = {.lex_state = 0},
  [7376] = {.lex_state = 195},
  [7377] = {.lex_state = 195},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 0},
  [7380] = {.lex_state = 0},
  [7381] = {.lex_state = 0},
  [7382] = {.lex_state = 113},
  [7383] = {.lex_state = 195},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 0},
  [7387] = {.lex_state = 0},
  [7388] = {.lex_state = 0},
  [7389] = {.lex_state = 0},
  [7390] = {.lex_state = 0},
  [7391] = {.lex_state = 0},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 0},
  [7395] = {.lex_state = 195},
  [7396] = {.lex_state = 0},
  [7397] = {.lex_state = 198},
  [7398] = {.lex_state = 195},
  [7399] = {.lex_state = 110},
  [7400] = {.lex_state = 198},
  [7401] = {.lex_state = 198},
  [7402] = {.lex_state = 198},
  [7403] = {.lex_state = 0},
  [7404] = {.lex_state = 0},
  [7405] = {.lex_state = 198},
  [7406] = {.lex_state = 0},
  [7407] = {.lex_state = 171},
  [7408] = {.lex_state = 195},
  [7409] = {.lex_state = 198},
  [7410] = {.lex_state = 198},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 0},
  [7413] = {.lex_state = 171},
  [7414] = {.lex_state = 198},
  [7415] = {.lex_state = 0},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 0},
  [7418] = {.lex_state = 195},
  [7419] = {.lex_state = 195},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 175},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 0},
  [7424] = {.lex_state = 0},
  [7425] = {.lex_state = 0},
  [7426] = {.lex_state = 0},
  [7427] = {.lex_state = 0},
  [7428] = {.lex_state = 0},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 195},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 198},
  [7433] = {.lex_state = 195},
  [7434] = {.lex_state = 195},
  [7435] = {.lex_state = 0},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 0},
  [7438] = {.lex_state = 0},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 171},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 195},
  [7443] = {.lex_state = 195},
  [7444] = {.lex_state = 195},
  [7445] = {.lex_state = 237},
  [7446] = {.lex_state = 195},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 195},
  [7449] = {.lex_state = 0},
  [7450] = {.lex_state = 338},
  [7451] = {.lex_state = 0},
  [7452] = {.lex_state = 171},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 0},
  [7455] = {.lex_state = 198},
  [7456] = {.lex_state = 0},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 198},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 0},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 0},
  [7464] = {.lex_state = 0},
  [7465] = {.lex_state = 195},
  [7466] = {.lex_state = 195},
  [7467] = {.lex_state = 195},
  [7468] = {.lex_state = 198},
  [7469] = {.lex_state = 195},
  [7470] = {.lex_state = 0},
  [7471] = {.lex_state = 0},
  [7472] = {.lex_state = 0},
  [7473] = {.lex_state = 0},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 0},
  [7476] = {.lex_state = 0},
  [7477] = {.lex_state = 195},
  [7478] = {.lex_state = 198},
  [7479] = {.lex_state = 198},
  [7480] = {.lex_state = 0},
  [7481] = {.lex_state = 0},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 0},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 195},
  [7487] = {.lex_state = 0},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 195},
  [7490] = {.lex_state = 198},
  [7491] = {.lex_state = 198},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 195},
  [7494] = {.lex_state = 0},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 198},
  [7497] = {.lex_state = 198},
  [7498] = {.lex_state = 198},
  [7499] = {.lex_state = 0},
  [7500] = {.lex_state = 195},
  [7501] = {.lex_state = 0},
  [7502] = {.lex_state = 198},
  [7503] = {.lex_state = 198},
  [7504] = {.lex_state = 0},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 0},
  [7507] = {.lex_state = 0},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 0},
  [7510] = {.lex_state = 0},
  [7511] = {.lex_state = 0},
  [7512] = {.lex_state = 0},
  [7513] = {.lex_state = 195},
  [7514] = {.lex_state = 0},
  [7515] = {.lex_state = 195},
  [7516] = {.lex_state = 0},
  [7517] = {.lex_state = 195},
  [7518] = {.lex_state = 110},
  [7519] = {.lex_state = 0},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 0},
  [7522] = {.lex_state = 0},
  [7523] = {.lex_state = 195},
  [7524] = {.lex_state = 195},
  [7525] = {.lex_state = 171},
  [7526] = {.lex_state = 171},
  [7527] = {.lex_state = 195},
  [7528] = {.lex_state = 195},
  [7529] = {.lex_state = 195},
  [7530] = {.lex_state = 198},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 0},
  [7533] = {.lex_state = 198},
  [7534] = {.lex_state = 0},
  [7535] = {.lex_state = 195},
  [7536] = {.lex_state = 0},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 171},
  [7539] = {.lex_state = 0},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 0},
  [7542] = {.lex_state = 195},
  [7543] = {.lex_state = 110},
  [7544] = {.lex_state = 0},
  [7545] = {.lex_state = 0},
  [7546] = {.lex_state = 0},
  [7547] = {.lex_state = 198},
  [7548] = {.lex_state = 0},
  [7549] = {.lex_state = 0},
  [7550] = {.lex_state = 195},
  [7551] = {.lex_state = 195},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 0},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 0},
  [7558] = {.lex_state = 0},
  [7559] = {.lex_state = 195},
  [7560] = {.lex_state = 198},
  [7561] = {.lex_state = 198},
  [7562] = {.lex_state = 110},
  [7563] = {.lex_state = 0},
  [7564] = {.lex_state = 0},
  [7565] = {.lex_state = 195},
  [7566] = {.lex_state = 198},
  [7567] = {.lex_state = 198},
  [7568] = {.lex_state = 0},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 0},
  [7571] = {.lex_state = 198},
  [7572] = {.lex_state = 195},
  [7573] = {.lex_state = 0},
  [7574] = {.lex_state = 110},
  [7575] = {.lex_state = 195},
  [7576] = {.lex_state = 198},
  [7577] = {.lex_state = 198},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 0},
  [7580] = {.lex_state = 198},
  [7581] = {.lex_state = 198},
  [7582] = {.lex_state = 198},
  [7583] = {.lex_state = 0},
  [7584] = {.lex_state = 110},
  [7585] = {.lex_state = 0},
  [7586] = {.lex_state = 0},
  [7587] = {.lex_state = 195},
  [7588] = {.lex_state = 171},
  [7589] = {.lex_state = 195},
  [7590] = {.lex_state = 175},
  [7591] = {.lex_state = 0},
  [7592] = {.lex_state = 0},
  [7593] = {.lex_state = 110},
  [7594] = {.lex_state = 110},
  [7595] = {.lex_state = 110},
  [7596] = {.lex_state = 171},
  [7597] = {.lex_state = 110},
  [7598] = {.lex_state = 110},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 198},
  [7601] = {.lex_state = 195},
  [7602] = {.lex_state = 198},
  [7603] = {.lex_state = 338},
  [7604] = {.lex_state = 338},
  [7605] = {.lex_state = 0},
  [7606] = {.lex_state = 0},
  [7607] = {.lex_state = 0},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 198},
  [7610] = {.lex_state = 195},
  [7611] = {.lex_state = 198},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 171},
  [7614] = {.lex_state = 238},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 195},
  [7617] = {.lex_state = 0},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 198},
  [7621] = {.lex_state = 0},
  [7622] = {.lex_state = 113},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 0},
  [7625] = {.lex_state = 195},
  [7626] = {.lex_state = 175},
  [7627] = {.lex_state = 113},
  [7628] = {.lex_state = 198},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 198},
  [7631] = {.lex_state = 198},
  [7632] = {.lex_state = 0},
  [7633] = {.lex_state = 0},
  [7634] = {.lex_state = 0},
  [7635] = {.lex_state = 0},
  [7636] = {.lex_state = 0},
  [7637] = {.lex_state = 0},
  [7638] = {.lex_state = 195},
  [7639] = {.lex_state = 198},
  [7640] = {.lex_state = 198},
  [7641] = {.lex_state = 0},
  [7642] = {.lex_state = 171},
  [7643] = {.lex_state = 198},
  [7644] = {.lex_state = 198},
  [7645] = {.lex_state = 198},
  [7646] = {.lex_state = 110},
  [7647] = {.lex_state = 198},
  [7648] = {.lex_state = 198},
  [7649] = {.lex_state = 0},
  [7650] = {.lex_state = 195},
  [7651] = {.lex_state = 171},
  [7652] = {.lex_state = 171},
  [7653] = {.lex_state = 0},
  [7654] = {.lex_state = 113},
  [7655] = {.lex_state = 195},
  [7656] = {.lex_state = 195},
  [7657] = {.lex_state = 0},
  [7658] = {.lex_state = 0},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 195},
  [7661] = {.lex_state = 171},
  [7662] = {.lex_state = 0},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 198},
  [7665] = {.lex_state = 171},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 0},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 0},
  [7670] = {.lex_state = 0},
  [7671] = {.lex_state = 198},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 0},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 195},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 195},
  [7678] = {.lex_state = 0},
  [7679] = {.lex_state = 198},
  [7680] = {.lex_state = 0},
  [7681] = {.lex_state = 195},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 112},
  [7684] = {.lex_state = 338},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 171},
  [7687] = {.lex_state = 112},
  [7688] = {.lex_state = 195},
  [7689] = {.lex_state = 338},
  [7690] = {.lex_state = 195},
  [7691] = {.lex_state = 338},
  [7692] = {.lex_state = 338},
  [7693] = {.lex_state = 0},
  [7694] = {.lex_state = 0},
  [7695] = {.lex_state = 0},
  [7696] = {.lex_state = 0},
  [7697] = {.lex_state = 195},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 0},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 338},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 338},
  [7704] = {.lex_state = 195},
  [7705] = {.lex_state = 0},
  [7706] = {.lex_state = 195},
  [7707] = {.lex_state = 338},
  [7708] = {.lex_state = 338},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 0},
  [7712] = {.lex_state = 338, .external_lex_state = 2},
  [7713] = {.lex_state = 338},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 195},
  [7716] = {.lex_state = 0},
  [7717] = {.lex_state = 338},
  [7718] = {.lex_state = 338},
  [7719] = {.lex_state = 338},
  [7720] = {.lex_state = 0},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 171},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 195},
  [7725] = {.lex_state = 0},
  [7726] = {.lex_state = 0},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 338},
  [7729] = {.lex_state = 338},
  [7730] = {.lex_state = 0},
  [7731] = {.lex_state = 338},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 338},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 0},
  [7740] = {.lex_state = 0},
  [7741] = {.lex_state = 338},
  [7742] = {.lex_state = 338},
  [7743] = {.lex_state = 112},
  [7744] = {.lex_state = 338},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 338},
  [7749] = {.lex_state = 0},
  [7750] = {.lex_state = 338},
  [7751] = {.lex_state = 338},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 338},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 195},
  [7757] = {.lex_state = 338},
  [7758] = {.lex_state = 338},
  [7759] = {.lex_state = 338},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 0},
  [7762] = {.lex_state = 0},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 0},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 0},
  [7767] = {.lex_state = 195},
  [7768] = {.lex_state = 0},
  [7769] = {.lex_state = 0},
  [7770] = {.lex_state = 338},
  [7771] = {.lex_state = 0},
  [7772] = {.lex_state = 338},
  [7773] = {.lex_state = 338},
  [7774] = {.lex_state = 195},
  [7775] = {.lex_state = 0},
  [7776] = {.lex_state = 0},
  [7777] = {.lex_state = 0},
  [7778] = {.lex_state = 0},
  [7779] = {.lex_state = 338},
  [7780] = {.lex_state = 0},
  [7781] = {.lex_state = 0},
  [7782] = {.lex_state = 338},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 338},
  [7786] = {.lex_state = 338},
  [7787] = {.lex_state = 338},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 0},
  [7791] = {.lex_state = 338},
  [7792] = {.lex_state = 195},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 338},
  [7795] = {.lex_state = 112},
  [7796] = {.lex_state = 112},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 195},
  [7799] = {.lex_state = 338},
  [7800] = {.lex_state = 338},
  [7801] = {.lex_state = 0},
  [7802] = {.lex_state = 112},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 0},
  [7805] = {.lex_state = 0},
  [7806] = {.lex_state = 338},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 195},
  [7809] = {.lex_state = 0},
  [7810] = {.lex_state = 0},
  [7811] = {.lex_state = 338},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 338},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 338},
  [7819] = {.lex_state = 338},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 338},
  [7822] = {.lex_state = 338},
  [7823] = {.lex_state = 338},
  [7824] = {.lex_state = 0},
  [7825] = {.lex_state = 0},
  [7826] = {.lex_state = 338},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 0},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 0},
  [7832] = {.lex_state = 195},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 0},
  [7838] = {.lex_state = 338},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 195},
  [7841] = {.lex_state = 0},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 338},
  [7844] = {.lex_state = 338},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 0},
  [7847] = {.lex_state = 338},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 338},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 195},
  [7852] = {.lex_state = 0},
  [7853] = {.lex_state = 0},
  [7854] = {.lex_state = 0},
  [7855] = {.lex_state = 0},
  [7856] = {.lex_state = 338},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 112},
  [7860] = {.lex_state = 195},
  [7861] = {.lex_state = 0},
  [7862] = {.lex_state = 0},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 338},
  [7865] = {.lex_state = 338},
  [7866] = {.lex_state = 112},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 195},
  [7869] = {.lex_state = 0},
  [7870] = {.lex_state = 171},
  [7871] = {.lex_state = 0},
  [7872] = {.lex_state = 338},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 338},
  [7875] = {.lex_state = 338},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 0},
  [7879] = {.lex_state = 112},
  [7880] = {.lex_state = 195},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 195},
  [7883] = {.lex_state = 0},
  [7884] = {.lex_state = 0},
  [7885] = {.lex_state = 338},
  [7886] = {.lex_state = 338},
  [7887] = {.lex_state = 338},
  [7888] = {.lex_state = 338},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 338},
  [7891] = {.lex_state = 195},
  [7892] = {.lex_state = 0},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 0},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 0},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 195},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 195},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 112},
  [7908] = {.lex_state = 0},
  [7909] = {.lex_state = 0},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 338},
  [7912] = {.lex_state = 0},
  [7913] = {.lex_state = 0},
  [7914] = {.lex_state = 0},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 112},
  [7917] = {.lex_state = 338},
  [7918] = {.lex_state = 0},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 0},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 0},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 0},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 0},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 0},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 0},
  [7937] = {.lex_state = 195},
  [7938] = {.lex_state = 0},
  [7939] = {.lex_state = 0},
  [7940] = {.lex_state = 0},
  [7941] = {.lex_state = 0},
  [7942] = {.lex_state = 0},
  [7943] = {.lex_state = 195},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 0},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 195},
  [7949] = {.lex_state = 338},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 195},
  [7952] = {.lex_state = 112},
  [7953] = {.lex_state = 195},
  [7954] = {.lex_state = 0},
  [7955] = {.lex_state = 0},
  [7956] = {.lex_state = 112},
  [7957] = {.lex_state = 0},
  [7958] = {.lex_state = 0},
  [7959] = {.lex_state = 338},
  [7960] = {.lex_state = 338},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 0},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 0},
  [7971] = {.lex_state = 112},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 338},
  [7974] = {.lex_state = 112},
  [7975] = {.lex_state = 0},
  [7976] = {.lex_state = 338},
  [7977] = {.lex_state = 0},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 0},
  [7980] = {.lex_state = 338},
  [7981] = {.lex_state = 0},
  [7982] = {.lex_state = 0},
  [7983] = {.lex_state = 0},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 195},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 195},
  [7988] = {.lex_state = 338},
  [7989] = {.lex_state = 0},
  [7990] = {.lex_state = 195},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 0},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 0},
  [7995] = {.lex_state = 338},
  [7996] = {.lex_state = 0},
  [7997] = {.lex_state = 0},
  [7998] = {.lex_state = 0},
  [7999] = {.lex_state = 338},
  [8000] = {.lex_state = 195},
  [8001] = {.lex_state = 0},
  [8002] = {.lex_state = 195},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 0},
  [8005] = {.lex_state = 0},
  [8006] = {.lex_state = 0},
  [8007] = {.lex_state = 195},
  [8008] = {.lex_state = 338},
  [8009] = {.lex_state = 0},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 338, .external_lex_state = 2},
  [8012] = {.lex_state = 338},
  [8013] = {.lex_state = 0},
  [8014] = {.lex_state = 0},
  [8015] = {.lex_state = 0},
  [8016] = {.lex_state = 0},
  [8017] = {.lex_state = 0},
  [8018] = {.lex_state = 0},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 0},
  [8021] = {.lex_state = 0},
  [8022] = {.lex_state = 338},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 195},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 195},
  [8029] = {.lex_state = 0},
  [8030] = {.lex_state = 0},
  [8031] = {.lex_state = 0},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 338},
  [8035] = {.lex_state = 0},
  [8036] = {.lex_state = 0},
  [8037] = {.lex_state = 195},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 338},
  [8040] = {.lex_state = 0},
  [8041] = {.lex_state = 0},
  [8042] = {.lex_state = 338},
  [8043] = {.lex_state = 0},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 338},
  [8047] = {.lex_state = 0},
  [8048] = {.lex_state = 338, .external_lex_state = 2},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 112},
  [8053] = {.lex_state = 338, .external_lex_state = 2},
  [8054] = {.lex_state = 338, .external_lex_state = 2},
  [8055] = {.lex_state = 0},
  [8056] = {.lex_state = 195},
  [8057] = {.lex_state = 0},
  [8058] = {.lex_state = 338, .external_lex_state = 2},
  [8059] = {.lex_state = 338, .external_lex_state = 2},
  [8060] = {.lex_state = 338, .external_lex_state = 2},
  [8061] = {.lex_state = 338, .external_lex_state = 2},
  [8062] = {.lex_state = 338, .external_lex_state = 2},
  [8063] = {.lex_state = 338, .external_lex_state = 2},
  [8064] = {.lex_state = 338, .external_lex_state = 2},
  [8065] = {.lex_state = 338, .external_lex_state = 2},
  [8066] = {.lex_state = 338, .external_lex_state = 2},
  [8067] = {.lex_state = 338, .external_lex_state = 2},
  [8068] = {.lex_state = 338, .external_lex_state = 2},
  [8069] = {.lex_state = 338, .external_lex_state = 2},
  [8070] = {.lex_state = 112},
  [8071] = {.lex_state = 0},
  [8072] = {.lex_state = 0},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 0},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 338},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 338},
  [8085] = {.lex_state = 0},
  [8086] = {.lex_state = 0, .external_lex_state = 2},
  [8087] = {.lex_state = 195},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 0, .external_lex_state = 3},
  [8091] = {.lex_state = 113},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 173},
  [8100] = {.lex_state = 0},
  [8101] = {.lex_state = 0, .external_lex_state = 2},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 195},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 0},
  [8107] = {.lex_state = 0},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 198},
  [8111] = {.lex_state = 195},
  [8112] = {.lex_state = 0},
  [8113] = {.lex_state = 195},
  [8114] = {.lex_state = 195},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 173},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 0},
  [8123] = {.lex_state = 195},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 0},
  [8126] = {.lex_state = 195},
  [8127] = {.lex_state = 338},
  [8128] = {.lex_state = 0},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 338},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 195},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 0},
  [8135] = {.lex_state = 195},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 0},
  [8138] = {.lex_state = 113},
  [8139] = {.lex_state = 113},
  [8140] = {.lex_state = 0},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 0},
  [8143] = {.lex_state = 338},
  [8144] = {.lex_state = 173},
  [8145] = {.lex_state = 195},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 0},
  [8148] = {.lex_state = 113},
  [8149] = {.lex_state = 0},
  [8150] = {.lex_state = 195},
  [8151] = {.lex_state = 173},
  [8152] = {.lex_state = 338},
  [8153] = {.lex_state = 173},
  [8154] = {.lex_state = 0},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 0},
  [8159] = {.lex_state = 198},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 195},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 195},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 113},
  [8168] = {.lex_state = 195},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 198},
  [8171] = {.lex_state = 195},
  [8172] = {.lex_state = 0},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 0},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 0},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 195},
  [8180] = {.lex_state = 195},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 0},
  [8183] = {.lex_state = 198},
  [8184] = {.lex_state = 0},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 195},
  [8187] = {.lex_state = 0},
  [8188] = {.lex_state = 338},
  [8189] = {.lex_state = 0},
  [8190] = {.lex_state = 338},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 0},
  [8193] = {.lex_state = 113},
  [8194] = {.lex_state = 0},
  [8195] = {.lex_state = 0, .external_lex_state = 2},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 195},
  [8198] = {.lex_state = 195},
  [8199] = {.lex_state = 0},
  [8200] = {.lex_state = 0, .external_lex_state = 2},
  [8201] = {.lex_state = 173},
  [8202] = {.lex_state = 195},
  [8203] = {.lex_state = 173},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 173},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 0},
  [8208] = {.lex_state = 338},
  [8209] = {.lex_state = 0},
  [8210] = {.lex_state = 0},
  [8211] = {.lex_state = 0},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 173},
  [8214] = {.lex_state = 0},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 0},
  [8217] = {.lex_state = 0},
  [8218] = {.lex_state = 173},
  [8219] = {.lex_state = 0},
  [8220] = {.lex_state = 0},
  [8221] = {.lex_state = 0},
  [8222] = {.lex_state = 195},
  [8223] = {.lex_state = 0},
  [8224] = {.lex_state = 338},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 0},
  [8227] = {.lex_state = 0},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 0},
  [8230] = {.lex_state = 113},
  [8231] = {.lex_state = 0},
  [8232] = {.lex_state = 195},
  [8233] = {.lex_state = 0},
  [8234] = {.lex_state = 0},
  [8235] = {.lex_state = 0},
  [8236] = {.lex_state = 173},
  [8237] = {.lex_state = 173},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 0},
  [8240] = {.lex_state = 0},
  [8241] = {.lex_state = 0},
  [8242] = {.lex_state = 0},
  [8243] = {.lex_state = 0},
  [8244] = {.lex_state = 0},
  [8245] = {.lex_state = 113},
  [8246] = {.lex_state = 0},
  [8247] = {.lex_state = 0},
  [8248] = {.lex_state = 173},
  [8249] = {.lex_state = 0},
  [8250] = {.lex_state = 195},
  [8251] = {.lex_state = 338},
  [8252] = {.lex_state = 0},
  [8253] = {.lex_state = 0},
  [8254] = {.lex_state = 0},
  [8255] = {.lex_state = 0},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 0},
  [8258] = {.lex_state = 0, .external_lex_state = 2},
  [8259] = {.lex_state = 195},
  [8260] = {.lex_state = 195},
  [8261] = {.lex_state = 0},
  [8262] = {.lex_state = 0},
  [8263] = {.lex_state = 0},
  [8264] = {.lex_state = 173},
  [8265] = {.lex_state = 0},
  [8266] = {.lex_state = 198},
  [8267] = {.lex_state = 338},
  [8268] = {.lex_state = 338},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 0},
  [8271] = {.lex_state = 0},
  [8272] = {.lex_state = 0},
  [8273] = {.lex_state = 0},
  [8274] = {.lex_state = 0},
  [8275] = {.lex_state = 173},
  [8276] = {.lex_state = 0},
  [8277] = {.lex_state = 0},
  [8278] = {.lex_state = 173},
  [8279] = {.lex_state = 195},
  [8280] = {.lex_state = 113},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 338},
  [8283] = {.lex_state = 198},
  [8284] = {.lex_state = 195},
  [8285] = {.lex_state = 0},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 0},
  [8288] = {.lex_state = 0},
  [8289] = {.lex_state = 195},
  [8290] = {.lex_state = 0},
  [8291] = {.lex_state = 0},
  [8292] = {.lex_state = 0},
  [8293] = {.lex_state = 195},
  [8294] = {.lex_state = 338},
  [8295] = {.lex_state = 0},
  [8296] = {.lex_state = 0},
  [8297] = {.lex_state = 0},
  [8298] = {.lex_state = 173},
  [8299] = {.lex_state = 113},
  [8300] = {.lex_state = 195},
  [8301] = {.lex_state = 0},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 195},
  [8304] = {.lex_state = 338},
  [8305] = {.lex_state = 0},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 195},
  [8308] = {.lex_state = 195},
  [8309] = {.lex_state = 338},
  [8310] = {.lex_state = 0},
  [8311] = {.lex_state = 173},
  [8312] = {.lex_state = 0},
  [8313] = {.lex_state = 0},
  [8314] = {.lex_state = 0},
  [8315] = {.lex_state = 0, .external_lex_state = 2},
  [8316] = {.lex_state = 0},
  [8317] = {.lex_state = 195},
  [8318] = {.lex_state = 113},
  [8319] = {.lex_state = 0},
  [8320] = {.lex_state = 173},
  [8321] = {.lex_state = 0},
  [8322] = {.lex_state = 0},
  [8323] = {.lex_state = 0},
  [8324] = {.lex_state = 198},
  [8325] = {.lex_state = 0},
  [8326] = {.lex_state = 173},
  [8327] = {.lex_state = 338},
  [8328] = {.lex_state = 0},
  [8329] = {.lex_state = 0},
  [8330] = {.lex_state = 0},
  [8331] = {.lex_state = 0},
  [8332] = {.lex_state = 173},
  [8333] = {.lex_state = 338},
  [8334] = {.lex_state = 0},
  [8335] = {.lex_state = 0},
  [8336] = {.lex_state = 173},
  [8337] = {.lex_state = 198},
  [8338] = {.lex_state = 0},
  [8339] = {.lex_state = 0},
  [8340] = {.lex_state = 0},
  [8341] = {.lex_state = 198},
  [8342] = {.lex_state = 113},
  [8343] = {.lex_state = 0},
  [8344] = {.lex_state = 195},
  [8345] = {.lex_state = 0},
  [8346] = {.lex_state = 0},
  [8347] = {.lex_state = 195},
  [8348] = {.lex_state = 338},
  [8349] = {.lex_state = 0},
  [8350] = {.lex_state = 0},
  [8351] = {.lex_state = 0},
  [8352] = {.lex_state = 0},
  [8353] = {.lex_state = 0},
  [8354] = {.lex_state = 0},
  [8355] = {.lex_state = 0},
  [8356] = {.lex_state = 113},
  [8357] = {.lex_state = 0},
  [8358] = {.lex_state = 195},
  [8359] = {.lex_state = 0},
  [8360] = {.lex_state = 0, .external_lex_state = 2},
  [8361] = {.lex_state = 0},
  [8362] = {.lex_state = 195},
  [8363] = {.lex_state = 198},
  [8364] = {.lex_state = 0},
  [8365] = {.lex_state = 195},
  [8366] = {.lex_state = 0},
  [8367] = {.lex_state = 0},
  [8368] = {.lex_state = 338},
  [8369] = {.lex_state = 0},
  [8370] = {.lex_state = 195},
  [8371] = {.lex_state = 0},
  [8372] = {.lex_state = 0},
  [8373] = {.lex_state = 0},
  [8374] = {.lex_state = 113},
  [8375] = {.lex_state = 0},
  [8376] = {.lex_state = 0, .external_lex_state = 2},
  [8377] = {.lex_state = 0},
  [8378] = {.lex_state = 0},
  [8379] = {.lex_state = 338},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 0},
  [8382] = {.lex_state = 338},
  [8383] = {.lex_state = 0},
  [8384] = {.lex_state = 0},
  [8385] = {.lex_state = 0},
  [8386] = {.lex_state = 173},
  [8387] = {.lex_state = 0},
  [8388] = {.lex_state = 0, .external_lex_state = 2},
  [8389] = {.lex_state = 0},
  [8390] = {.lex_state = 0},
  [8391] = {.lex_state = 0},
  [8392] = {.lex_state = 338},
  [8393] = {.lex_state = 338},
  [8394] = {.lex_state = 0},
  [8395] = {.lex_state = 0, .external_lex_state = 2},
  [8396] = {.lex_state = 0},
  [8397] = {.lex_state = 0},
  [8398] = {.lex_state = 0},
  [8399] = {.lex_state = 0, .external_lex_state = 2},
  [8400] = {.lex_state = 0},
  [8401] = {.lex_state = 0},
  [8402] = {.lex_state = 0},
  [8403] = {.lex_state = 0, .external_lex_state = 2},
  [8404] = {.lex_state = 0},
  [8405] = {.lex_state = 0, .external_lex_state = 2},
  [8406] = {.lex_state = 0},
  [8407] = {.lex_state = 0, .external_lex_state = 2},
  [8408] = {.lex_state = 0},
  [8409] = {.lex_state = 0, .external_lex_state = 2},
  [8410] = {.lex_state = 0},
  [8411] = {.lex_state = 0, .external_lex_state = 2},
  [8412] = {.lex_state = 0},
  [8413] = {.lex_state = 0, .external_lex_state = 2},
  [8414] = {.lex_state = 0},
  [8415] = {.lex_state = 195},
  [8416] = {.lex_state = 0},
  [8417] = {.lex_state = 338},
  [8418] = {.lex_state = 0},
  [8419] = {.lex_state = 338},
  [8420] = {.lex_state = 338},
  [8421] = {.lex_state = 338},
  [8422] = {.lex_state = 338},
  [8423] = {.lex_state = 0},
  [8424] = {.lex_state = 338},
  [8425] = {.lex_state = 198},
  [8426] = {.lex_state = 338},
  [8427] = {.lex_state = 0},
  [8428] = {.lex_state = 0},
  [8429] = {.lex_state = 0},
  [8430] = {.lex_state = 173},
  [8431] = {.lex_state = 0},
  [8432] = {.lex_state = 0},
  [8433] = {.lex_state = 195},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 0},
  [8436] = {.lex_state = 0},
  [8437] = {.lex_state = 0},
  [8438] = {.lex_state = 0},
  [8439] = {.lex_state = 0},
  [8440] = {.lex_state = 0},
  [8441] = {.lex_state = 195},
  [8442] = {.lex_state = 0},
  [8443] = {.lex_state = 338},
  [8444] = {.lex_state = 198},
  [8445] = {.lex_state = 0},
  [8446] = {.lex_state = 0},
  [8447] = {.lex_state = 0},
  [8448] = {.lex_state = 338},
  [8449] = {.lex_state = 338},
  [8450] = {.lex_state = 0, .external_lex_state = 3},
  [8451] = {.lex_state = 0},
  [8452] = {.lex_state = 0},
  [8453] = {.lex_state = 0},
  [8454] = {.lex_state = 338},
  [8455] = {.lex_state = 338},
  [8456] = {.lex_state = 0},
  [8457] = {.lex_state = 338},
  [8458] = {.lex_state = 0},
  [8459] = {.lex_state = 0},
  [8460] = {.lex_state = 0},
  [8461] = {.lex_state = 0},
  [8462] = {.lex_state = 113},
  [8463] = {.lex_state = 0},
  [8464] = {.lex_state = 0},
  [8465] = {.lex_state = 0},
  [8466] = {.lex_state = 195},
  [8467] = {.lex_state = 0},
  [8468] = {.lex_state = 0},
  [8469] = {.lex_state = 0},
  [8470] = {.lex_state = 0},
  [8471] = {.lex_state = 0},
  [8472] = {.lex_state = 195},
  [8473] = {.lex_state = 198},
  [8474] = {.lex_state = 195},
  [8475] = {.lex_state = 198},
  [8476] = {.lex_state = 195},
  [8477] = {.lex_state = 195},
  [8478] = {.lex_state = 0},
  [8479] = {.lex_state = 173},
  [8480] = {.lex_state = 0},
  [8481] = {.lex_state = 0},
  [8482] = {.lex_state = 0},
  [8483] = {.lex_state = 0},
  [8484] = {.lex_state = 0},
  [8485] = {.lex_state = 0},
  [8486] = {.lex_state = 0},
  [8487] = {.lex_state = 195},
  [8488] = {.lex_state = 113},
  [8489] = {.lex_state = 0},
  [8490] = {.lex_state = 0},
  [8491] = {.lex_state = 198},
  [8492] = {.lex_state = 0},
  [8493] = {.lex_state = 0},
  [8494] = {.lex_state = 0},
  [8495] = {.lex_state = 0},
  [8496] = {.lex_state = 0},
  [8497] = {.lex_state = 113},
  [8498] = {.lex_state = 0},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 0},
  [8501] = {.lex_state = 0},
  [8502] = {.lex_state = 195},
  [8503] = {.lex_state = 0},
  [8504] = {.lex_state = 0},
  [8505] = {.lex_state = 338},
  [8506] = {.lex_state = 173},
  [8507] = {.lex_state = 113},
  [8508] = {.lex_state = 0},
  [8509] = {.lex_state = 173},
  [8510] = {.lex_state = 0},
  [8511] = {.lex_state = 338},
  [8512] = {.lex_state = 0},
  [8513] = {.lex_state = 0},
  [8514] = {.lex_state = 195},
  [8515] = {.lex_state = 0},
  [8516] = {.lex_state = 0},
  [8517] = {.lex_state = 0},
  [8518] = {.lex_state = 198},
  [8519] = {.lex_state = 0},
  [8520] = {.lex_state = 0},
  [8521] = {.lex_state = 195},
  [8522] = {.lex_state = 195},
  [8523] = {.lex_state = 198},
  [8524] = {.lex_state = 0},
  [8525] = {.lex_state = 0},
  [8526] = {.lex_state = 113},
  [8527] = {.lex_state = 0},
  [8528] = {.lex_state = 0},
  [8529] = {.lex_state = 338},
  [8530] = {.lex_state = 113},
  [8531] = {.lex_state = 173},
  [8532] = {.lex_state = 173},
  [8533] = {.lex_state = 113},
  [8534] = {.lex_state = 0},
  [8535] = {.lex_state = 198},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 0},
  [8538] = {.lex_state = 173},
  [8539] = {.lex_state = 0},
  [8540] = {.lex_state = 173},
  [8541] = {.lex_state = 173},
  [8542] = {.lex_state = 195},
  [8543] = {.lex_state = 0},
  [8544] = {.lex_state = 0},
  [8545] = {.lex_state = 0},
  [8546] = {.lex_state = 0},
  [8547] = {.lex_state = 0},
  [8548] = {.lex_state = 113},
  [8549] = {.lex_state = 0},
  [8550] = {.lex_state = 0},
  [8551] = {.lex_state = 113},
  [8552] = {.lex_state = 0},
  [8553] = {.lex_state = 0},
  [8554] = {.lex_state = 195},
  [8555] = {.lex_state = 0},
  [8556] = {.lex_state = 0},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 0},
  [8559] = {.lex_state = 0},
  [8560] = {.lex_state = 0},
  [8561] = {.lex_state = 0},
  [8562] = {.lex_state = 0},
  [8563] = {.lex_state = 0},
  [8564] = {.lex_state = 173},
  [8565] = {.lex_state = 0},
  [8566] = {.lex_state = 0},
  [8567] = {.lex_state = 0},
  [8568] = {.lex_state = 0},
  [8569] = {.lex_state = 0},
  [8570] = {.lex_state = 0},
  [8571] = {.lex_state = 173},
  [8572] = {.lex_state = 195},
  [8573] = {.lex_state = 0},
  [8574] = {.lex_state = 0},
  [8575] = {.lex_state = 0},
  [8576] = {.lex_state = 0},
  [8577] = {.lex_state = 0},
  [8578] = {.lex_state = 0},
  [8579] = {.lex_state = 198},
  [8580] = {.lex_state = 0},
  [8581] = {.lex_state = 338},
  [8582] = {.lex_state = 113},
  [8583] = {.lex_state = 195},
  [8584] = {.lex_state = 0},
  [8585] = {.lex_state = 338},
  [8586] = {.lex_state = 338},
  [8587] = {.lex_state = 195},
  [8588] = {.lex_state = 0},
  [8589] = {.lex_state = 0},
  [8590] = {.lex_state = 0},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 338},
  [8593] = {.lex_state = 0},
  [8594] = {.lex_state = 0},
  [8595] = {.lex_state = 338},
  [8596] = {.lex_state = 0},
  [8597] = {.lex_state = 173},
  [8598] = {.lex_state = 0},
  [8599] = {.lex_state = 0},
  [8600] = {.lex_state = 173},
  [8601] = {.lex_state = 0},
  [8602] = {.lex_state = 0},
  [8603] = {.lex_state = 195},
  [8604] = {.lex_state = 195},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 0},
  [8607] = {.lex_state = 195},
  [8608] = {.lex_state = 194},
  [8609] = {.lex_state = 195},
  [8610] = {.lex_state = 195},
  [8611] = {.lex_state = 195},
  [8612] = {.lex_state = 0},
  [8613] = {.lex_state = 0},
  [8614] = {.lex_state = 0},
  [8615] = {.lex_state = 338},
  [8616] = {.lex_state = 338},
  [8617] = {.lex_state = 198},
  [8618] = {.lex_state = 0},
  [8619] = {.lex_state = 0},
  [8620] = {.lex_state = 0},
  [8621] = {.lex_state = 0},
  [8622] = {.lex_state = 338},
  [8623] = {.lex_state = 338},
  [8624] = {.lex_state = 338},
  [8625] = {.lex_state = 338},
  [8626] = {.lex_state = 0},
  [8627] = {.lex_state = 338},
  [8628] = {.lex_state = 0},
  [8629] = {.lex_state = 238},
  [8630] = {.lex_state = 0},
  [8631] = {.lex_state = 173},
  [8632] = {.lex_state = 0},
  [8633] = {.lex_state = 195},
  [8634] = {.lex_state = 195},
  [8635] = {.lex_state = 338},
  [8636] = {.lex_state = 338},
  [8637] = {.lex_state = 195},
  [8638] = {.lex_state = 338},
  [8639] = {.lex_state = 0},
  [8640] = {.lex_state = 338},
  [8641] = {.lex_state = 0, .external_lex_state = 3},
  [8642] = {.lex_state = 338},
  [8643] = {.lex_state = 338},
  [8644] = {.lex_state = 0},
  [8645] = {.lex_state = 0},
  [8646] = {.lex_state = 0},
  [8647] = {.lex_state = 0},
  [8648] = {.lex_state = 0},
  [8649] = {.lex_state = 0},
  [8650] = {.lex_state = 0},
  [8651] = {.lex_state = 0},
  [8652] = {.lex_state = 0},
  [8653] = {.lex_state = 198},
  [8654] = {.lex_state = 338},
  [8655] = {.lex_state = 195},
  [8656] = {.lex_state = 0},
  [8657] = {.lex_state = 338},
  [8658] = {.lex_state = 338},
  [8659] = {.lex_state = 338},
  [8660] = {.lex_state = 0},
  [8661] = {.lex_state = 338},
  [8662] = {.lex_state = 0},
  [8663] = {.lex_state = 195},
  [8664] = {.lex_state = 195},
  [8665] = {.lex_state = 173},
  [8666] = {.lex_state = 338},
  [8667] = {.lex_state = 0},
  [8668] = {.lex_state = 0},
  [8669] = {.lex_state = 338},
  [8670] = {.lex_state = 0, .external_lex_state = 3},
  [8671] = {.lex_state = 0},
  [8672] = {.lex_state = 0},
  [8673] = {.lex_state = 0},
  [8674] = {.lex_state = 173},
  [8675] = {.lex_state = 0, .external_lex_state = 3},
  [8676] = {.lex_state = 338},
  [8677] = {.lex_state = 0},
  [8678] = {.lex_state = 198},
  [8679] = {.lex_state = 0},
  [8680] = {.lex_state = 0},
  [8681] = {.lex_state = 338},
  [8682] = {.lex_state = 338},
  [8683] = {.lex_state = 338},
  [8684] = {.lex_state = 0},
  [8685] = {.lex_state = 338},
  [8686] = {.lex_state = 0},
  [8687] = {.lex_state = 0},
  [8688] = {.lex_state = 195},
  [8689] = {.lex_state = 338},
  [8690] = {.lex_state = 173},
  [8691] = {.lex_state = 113},
  [8692] = {.lex_state = 338},
  [8693] = {.lex_state = 0, .external_lex_state = 3},
  [8694] = {.lex_state = 0},
  [8695] = {.lex_state = 0},
  [8696] = {.lex_state = 0},
  [8697] = {.lex_state = 195},
  [8698] = {.lex_state = 0},
  [8699] = {.lex_state = 0},
  [8700] = {.lex_state = 198},
  [8701] = {.lex_state = 0},
  [8702] = {.lex_state = 338},
  [8703] = {.lex_state = 338},
  [8704] = {.lex_state = 338},
  [8705] = {.lex_state = 173},
  [8706] = {.lex_state = 338},
  [8707] = {.lex_state = 0},
  [8708] = {.lex_state = 0},
  [8709] = {.lex_state = 338},
  [8710] = {.lex_state = 195},
  [8711] = {.lex_state = 0},
  [8712] = {.lex_state = 338},
  [8713] = {.lex_state = 0, .external_lex_state = 3},
  [8714] = {.lex_state = 113},
  [8715] = {.lex_state = 0},
  [8716] = {.lex_state = 0},
  [8717] = {.lex_state = 0},
  [8718] = {.lex_state = 195},
  [8719] = {.lex_state = 0},
  [8720] = {.lex_state = 198},
  [8721] = {.lex_state = 171},
  [8722] = {.lex_state = 338},
  [8723] = {.lex_state = 338},
  [8724] = {.lex_state = 0},
  [8725] = {.lex_state = 338},
  [8726] = {.lex_state = 0},
  [8727] = {.lex_state = 338},
  [8728] = {.lex_state = 113},
  [8729] = {.lex_state = 0},
  [8730] = {.lex_state = 338},
  [8731] = {.lex_state = 0, .external_lex_state = 3},
  [8732] = {.lex_state = 0},
  [8733] = {.lex_state = 0},
  [8734] = {.lex_state = 0},
  [8735] = {.lex_state = 0},
  [8736] = {.lex_state = 0},
  [8737] = {.lex_state = 173},
  [8738] = {.lex_state = 338},
  [8739] = {.lex_state = 338},
  [8740] = {.lex_state = 338},
  [8741] = {.lex_state = 0},
  [8742] = {.lex_state = 0, .external_lex_state = 3},
  [8743] = {.lex_state = 198},
  [8744] = {.lex_state = 0},
  [8745] = {.lex_state = 0},
  [8746] = {.lex_state = 0},
  [8747] = {.lex_state = 338},
  [8748] = {.lex_state = 338},
  [8749] = {.lex_state = 338},
  [8750] = {.lex_state = 0},
  [8751] = {.lex_state = 0, .external_lex_state = 3},
  [8752] = {.lex_state = 0},
  [8753] = {.lex_state = 0},
  [8754] = {.lex_state = 338},
  [8755] = {.lex_state = 338},
  [8756] = {.lex_state = 338},
  [8757] = {.lex_state = 0, .external_lex_state = 3},
  [8758] = {.lex_state = 0},
  [8759] = {.lex_state = 338},
  [8760] = {.lex_state = 0, .external_lex_state = 3},
  [8761] = {.lex_state = 0},
  [8762] = {.lex_state = 338},
  [8763] = {.lex_state = 0, .external_lex_state = 3},
  [8764] = {.lex_state = 0},
  [8765] = {.lex_state = 0, .external_lex_state = 3},
  [8766] = {.lex_state = 0},
  [8767] = {.lex_state = 0, .external_lex_state = 3},
  [8768] = {.lex_state = 0},
  [8769] = {.lex_state = 0, .external_lex_state = 3},
  [8770] = {.lex_state = 0},
  [8771] = {.lex_state = 0, .external_lex_state = 3},
  [8772] = {.lex_state = 0},
  [8773] = {.lex_state = 0, .external_lex_state = 3},
  [8774] = {.lex_state = 0},
  [8775] = {.lex_state = 0},
  [8776] = {.lex_state = 195},
  [8777] = {.lex_state = 338},
  [8778] = {.lex_state = 338},
  [8779] = {.lex_state = 195},
  [8780] = {.lex_state = 0},
  [8781] = {.lex_state = 0},
  [8782] = {.lex_state = 0},
  [8783] = {.lex_state = 113},
  [8784] = {.lex_state = 0},
  [8785] = {.lex_state = 0},
  [8786] = {.lex_state = 0},
  [8787] = {.lex_state = 173},
  [8788] = {.lex_state = 0},
  [8789] = {.lex_state = 171},
  [8790] = {.lex_state = 0},
  [8791] = {.lex_state = 0},
  [8792] = {.lex_state = 0},
  [8793] = {.lex_state = 338},
  [8794] = {.lex_state = 195},
  [8795] = {.lex_state = 174},
  [8796] = {.lex_state = 0},
  [8797] = {.lex_state = 338},
  [8798] = {.lex_state = 195},
  [8799] = {.lex_state = 0, .external_lex_state = 3},
  [8800] = {.lex_state = 0},
  [8801] = {.lex_state = 174},
  [8802] = {.lex_state = 113},
  [8803] = {.lex_state = 0},
  [8804] = {.lex_state = 0},
  [8805] = {.lex_state = 0},
  [8806] = {.lex_state = 0},
  [8807] = {.lex_state = 0},
  [8808] = {.lex_state = 0},
  [8809] = {.lex_state = 0},
  [8810] = {.lex_state = 0},
  [8811] = {.lex_state = 338},
  [8812] = {.lex_state = 0},
  [8813] = {.lex_state = 0},
  [8814] = {.lex_state = 0},
  [8815] = {.lex_state = 0},
  [8816] = {.lex_state = 173},
  [8817] = {.lex_state = 194},
  [8818] = {.lex_state = 0},
  [8819] = {.lex_state = 0},
  [8820] = {.lex_state = 0},
  [8821] = {.lex_state = 0},
  [8822] = {.lex_state = 195},
  [8823] = {.lex_state = 0},
  [8824] = {.lex_state = 198},
  [8825] = {.lex_state = 0},
  [8826] = {.lex_state = 195},
  [8827] = {.lex_state = 0},
  [8828] = {.lex_state = 195},
  [8829] = {.lex_state = 0},
  [8830] = {.lex_state = 0},
  [8831] = {.lex_state = 195},
  [8832] = {.lex_state = 198},
  [8833] = {.lex_state = 0},
  [8834] = {.lex_state = 0},
  [8835] = {.lex_state = 0},
  [8836] = {.lex_state = 0},
  [8837] = {.lex_state = 338},
  [8838] = {.lex_state = 195},
  [8839] = {.lex_state = 0},
  [8840] = {.lex_state = 194},
  [8841] = {.lex_state = 0},
  [8842] = {.lex_state = 0},
  [8843] = {.lex_state = 0},
  [8844] = {.lex_state = 0},
  [8845] = {.lex_state = 173},
  [8846] = {.lex_state = 0},
  [8847] = {.lex_state = 0},
  [8848] = {.lex_state = 0},
  [8849] = {.lex_state = 338},
  [8850] = {.lex_state = 0},
  [8851] = {.lex_state = 0},
  [8852] = {.lex_state = 0},
  [8853] = {.lex_state = 0},
  [8854] = {.lex_state = 195},
  [8855] = {.lex_state = 0},
  [8856] = {.lex_state = 195},
  [8857] = {.lex_state = 0},
  [8858] = {.lex_state = 0},
  [8859] = {.lex_state = 0},
  [8860] = {.lex_state = 0},
  [8861] = {.lex_state = 0},
  [8862] = {.lex_state = 198},
  [8863] = {.lex_state = 0},
  [8864] = {.lex_state = 173},
  [8865] = {.lex_state = 338},
  [8866] = {.lex_state = 338},
  [8867] = {.lex_state = 195},
  [8868] = {.lex_state = 195},
  [8869] = {.lex_state = 0},
  [8870] = {.lex_state = 0},
  [8871] = {.lex_state = 338},
  [8872] = {.lex_state = 338},
  [8873] = {.lex_state = 195},
  [8874] = {.lex_state = 0, .external_lex_state = 3},
  [8875] = {.lex_state = 0},
  [8876] = {.lex_state = 173},
  [8877] = {.lex_state = 0},
  [8878] = {.lex_state = 338},
  [8879] = {.lex_state = 338},
  [8880] = {.lex_state = 338},
  [8881] = {.lex_state = 195},
  [8882] = {.lex_state = 173},
  [8883] = {.lex_state = 0},
  [8884] = {.lex_state = 338},
  [8885] = {.lex_state = 195},
  [8886] = {.lex_state = 0, .external_lex_state = 3},
  [8887] = {.lex_state = 0},
  [8888] = {.lex_state = 173},
  [8889] = {.lex_state = 0},
  [8890] = {.lex_state = 338},
  [8891] = {.lex_state = 195},
  [8892] = {.lex_state = 0},
  [8893] = {.lex_state = 0},
  [8894] = {.lex_state = 195},
  [8895] = {.lex_state = 0, .external_lex_state = 3},
  [8896] = {.lex_state = 173},
  [8897] = {.lex_state = 198},
  [8898] = {.lex_state = 338},
  [8899] = {.lex_state = 195},
  [8900] = {.lex_state = 0},
  [8901] = {.lex_state = 173},
  [8902] = {.lex_state = 195},
  [8903] = {.lex_state = 0, .external_lex_state = 3},
  [8904] = {.lex_state = 113},
  [8905] = {.lex_state = 338},
  [8906] = {.lex_state = 195},
  [8907] = {.lex_state = 0},
  [8908] = {.lex_state = 195},
  [8909] = {.lex_state = 0, .external_lex_state = 3},
  [8910] = {.lex_state = 0},
  [8911] = {.lex_state = 195},
  [8912] = {.lex_state = 0, .external_lex_state = 3},
  [8913] = {.lex_state = 195},
  [8914] = {.lex_state = 0, .external_lex_state = 3},
  [8915] = {.lex_state = 0},
  [8916] = {.lex_state = 0, .external_lex_state = 3},
  [8917] = {.lex_state = 0},
  [8918] = {.lex_state = 0, .external_lex_state = 3},
  [8919] = {.lex_state = 195},
  [8920] = {.lex_state = 0, .external_lex_state = 3},
  [8921] = {.lex_state = 195},
  [8922] = {.lex_state = 0, .external_lex_state = 3},
  [8923] = {.lex_state = 0},
  [8924] = {.lex_state = 0, .external_lex_state = 3},
  [8925] = {.lex_state = 0},
  [8926] = {.lex_state = 0, .external_lex_state = 3},
  [8927] = {.lex_state = 0},
  [8928] = {.lex_state = 0, .external_lex_state = 3},
  [8929] = {.lex_state = 338},
  [8930] = {.lex_state = 0, .external_lex_state = 3},
  [8931] = {.lex_state = 338},
  [8932] = {.lex_state = 338},
  [8933] = {.lex_state = 0},
  [8934] = {.lex_state = 338},
  [8935] = {.lex_state = 338},
  [8936] = {.lex_state = 0},
  [8937] = {.lex_state = 338},
  [8938] = {.lex_state = 338},
  [8939] = {.lex_state = 195},
  [8940] = {.lex_state = 338},
  [8941] = {.lex_state = 338},
  [8942] = {.lex_state = 173},
  [8943] = {.lex_state = 338},
  [8944] = {.lex_state = 338},
  [8945] = {.lex_state = 195},
  [8946] = {.lex_state = 338},
  [8947] = {.lex_state = 338},
  [8948] = {.lex_state = 338},
  [8949] = {.lex_state = 338},
  [8950] = {.lex_state = 338},
  [8951] = {.lex_state = 338},
  [8952] = {.lex_state = 338},
  [8953] = {.lex_state = 338},
  [8954] = {.lex_state = 338},
  [8955] = {.lex_state = 338},
  [8956] = {.lex_state = 338},
  [8957] = {.lex_state = 173},
  [8958] = {.lex_state = 173},
  [8959] = {.lex_state = 113},
  [8960] = {.lex_state = 338},
  [8961] = {.lex_state = 0},
  [8962] = {.lex_state = 338},
  [8963] = {.lex_state = 338},
  [8964] = {.lex_state = 338},
  [8965] = {.lex_state = 338},
  [8966] = {.lex_state = 338},
  [8967] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_inout] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym___attribute] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym___volatile__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [anon_sym_discard] = ACTIONS(1),
    [anon_sym_precise] = ACTIONS(1),
    [anon_sym_shared] = ACTIONS(1),
    [anon_sym_groupshared] = ACTIONS(1),
    [anon_sym_uniform] = ACTIONS(1),
    [anon_sym_row_major] = ACTIONS(1),
    [anon_sym_column_major] = ACTIONS(1),
    [anon_sym_globallycoherent] = ACTIONS(1),
    [anon_sym_centroid] = ACTIONS(1),
    [anon_sym_noperspective] = ACTIONS(1),
    [anon_sym_nointerpolation] = ACTIONS(1),
    [anon_sym_sample] = ACTIONS(1),
    [anon_sym_linear] = ACTIONS(1),
    [anon_sym_snorm] = ACTIONS(1),
    [anon_sym_unorm] = ACTIONS(1),
    [anon_sym_point] = ACTIONS(1),
    [anon_sym_line] = ACTIONS(1),
    [anon_sym_triangleadj] = ACTIONS(1),
    [anon_sym_lineadj] = ACTIONS(1),
    [anon_sym_triangle] = ACTIONS(1),
    [anon_sym_cbuffer] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8276),
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4892),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1966),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6418),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2303),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(796),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(5021),
    [sym__string] = STATE(4998),
    [sym_conditional_expression] = STATE(5087),
    [sym_assignment_expression] = STATE(5087),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(5087),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(5087),
    [sym_cast_expression] = STATE(5087),
    [sym_sizeof_expression] = STATE(5087),
    [sym_alignof_expression] = STATE(5087),
    [sym_offsetof_expression] = STATE(5087),
    [sym_generic_expression] = STATE(5087),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(5087),
    [sym_extension_expression] = STATE(5087),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(4998),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(5087),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1856),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6887),
    [sym__constructor_specifiers] = STATE(1856),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4982),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(5087),
    [sym_new_expression] = STATE(5087),
    [sym_delete_expression] = STATE(5087),
    [sym_requires_clause] = STATE(5087),
    [sym_requires_expression] = STATE(5087),
    [sym_lambda_expression] = STATE(5087),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(5087),
    [sym_parameter_pack_expansion] = STATE(5087),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6887),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3951),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1301),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1856),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(63),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(119),
    [sym_false] = ACTIONS(119),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(119),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [3] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [4] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [5] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [6] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [7] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [8] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [9] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [10] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [11] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [12] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [13] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8479),
    [sym_preproc_elif] = STATE(8479),
    [sym_preproc_elifdef] = STATE(8479),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [14] = {
    [sym__block_item] = STATE(16),
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(8531),
    [sym_preproc_elif] = STATE(8531),
    [sym_preproc_elifdef] = STATE(8531),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(16),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(16),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(16),
    [sym_template_instantiation] = STATE(16),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(16),
    [sym_operator_cast_declaration] = STATE(16),
    [sym_constructor_or_destructor_definition] = STATE(16),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(16),
    [sym_namespace_alias_definition] = STATE(16),
    [sym_using_declaration] = STATE(16),
    [sym_alias_declaration] = STATE(16),
    [sym_static_assert_declaration] = STATE(16),
    [sym_concept_definition] = STATE(16),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [15] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(8665),
    [sym_preproc_elif] = STATE(8665),
    [sym_preproc_elifdef] = STATE(8665),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(17),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(17),
    [sym_template_instantiation] = STATE(17),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(17),
    [sym_operator_cast_declaration] = STATE(17),
    [sym_constructor_or_destructor_definition] = STATE(17),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(17),
    [sym_namespace_alias_definition] = STATE(17),
    [sym_using_declaration] = STATE(17),
    [sym_alias_declaration] = STATE(17),
    [sym_static_assert_declaration] = STATE(17),
    [sym_concept_definition] = STATE(17),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [16] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8674),
    [sym_preproc_elif] = STATE(8674),
    [sym_preproc_elifdef] = STATE(8674),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [17] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8509),
    [sym_preproc_elif] = STATE(8509),
    [sym_preproc_elifdef] = STATE(8509),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [18] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(8213),
    [sym_preproc_elif] = STATE(8213),
    [sym_preproc_elifdef] = STATE(8213),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [19] = {
    [sym__block_item] = STATE(13),
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(8386),
    [sym_preproc_elif] = STATE(8386),
    [sym_preproc_elifdef] = STATE(8386),
    [sym_function_definition] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(13),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(13),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(13),
    [sym_template_instantiation] = STATE(13),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(13),
    [sym_operator_cast_declaration] = STATE(13),
    [sym_constructor_or_destructor_definition] = STATE(13),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(13),
    [sym_namespace_alias_definition] = STATE(13),
    [sym_using_declaration] = STATE(13),
    [sym_alias_declaration] = STATE(13),
    [sym_static_assert_declaration] = STATE(13),
    [sym_concept_definition] = STATE(13),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [20] = {
    [sym__block_item] = STATE(23),
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(8816),
    [sym_preproc_elif] = STATE(8816),
    [sym_preproc_elifdef] = STATE(8816),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(23),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(23),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(23),
    [sym_template_instantiation] = STATE(23),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(23),
    [sym_operator_cast_declaration] = STATE(23),
    [sym_constructor_or_destructor_definition] = STATE(23),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(23),
    [sym_namespace_alias_definition] = STATE(23),
    [sym_using_declaration] = STATE(23),
    [sym_alias_declaration] = STATE(23),
    [sym_static_assert_declaration] = STATE(23),
    [sym_concept_definition] = STATE(23),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [21] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(8218),
    [sym_preproc_elif] = STATE(8218),
    [sym_preproc_elifdef] = STATE(8218),
    [sym_function_definition] = STATE(32),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(32),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(32),
    [sym_template_instantiation] = STATE(32),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(32),
    [sym_operator_cast_declaration] = STATE(32),
    [sym_constructor_or_destructor_definition] = STATE(32),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(32),
    [sym_namespace_alias_definition] = STATE(32),
    [sym_using_declaration] = STATE(32),
    [sym_alias_declaration] = STATE(32),
    [sym_static_assert_declaration] = STATE(32),
    [sym_concept_definition] = STATE(32),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [22] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8864),
    [sym_preproc_elif] = STATE(8864),
    [sym_preproc_elifdef] = STATE(8864),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [23] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8099),
    [sym_preproc_elif] = STATE(8099),
    [sym_preproc_elifdef] = STATE(8099),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [24] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(8203),
    [sym_preproc_elif] = STATE(8203),
    [sym_preproc_elifdef] = STATE(8203),
    [sym_function_definition] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(26),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(26),
    [sym_template_instantiation] = STATE(26),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(26),
    [sym_operator_cast_declaration] = STATE(26),
    [sym_constructor_or_destructor_definition] = STATE(26),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(26),
    [sym_namespace_alias_definition] = STATE(26),
    [sym_using_declaration] = STATE(26),
    [sym_alias_declaration] = STATE(26),
    [sym_static_assert_declaration] = STATE(26),
    [sym_concept_definition] = STATE(26),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [25] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8787),
    [sym_preproc_elif] = STATE(8787),
    [sym_preproc_elifdef] = STATE(8787),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [26] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8248),
    [sym_preproc_elif] = STATE(8248),
    [sym_preproc_elifdef] = STATE(8248),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [27] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8332),
    [sym_preproc_elif] = STATE(8332),
    [sym_preproc_elifdef] = STATE(8332),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [28] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8320),
    [sym_preproc_elif] = STATE(8320),
    [sym_preproc_elifdef] = STATE(8320),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [29] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8298),
    [sym_preproc_elif] = STATE(8298),
    [sym_preproc_elifdef] = STATE(8298),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [30] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(8237),
    [sym_preproc_elif] = STATE(8237),
    [sym_preproc_elifdef] = STATE(8237),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [31] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(8942),
    [sym_preproc_elif] = STATE(8942),
    [sym_preproc_elifdef] = STATE(8942),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [32] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8506),
    [sym_preproc_elif] = STATE(8506),
    [sym_preproc_elifdef] = STATE(8506),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(267),
    [aux_sym_preproc_include_token1] = ACTIONS(269),
    [aux_sym_preproc_def_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token1] = ACTIONS(273),
    [aux_sym_preproc_if_token2] = ACTIONS(383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(277),
    [aux_sym_preproc_else_token1] = ACTIONS(279),
    [aux_sym_preproc_elif_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(289),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(293),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(325),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(331),
    [anon_sym_using] = ACTIONS(333),
    [anon_sym_static_assert] = ACTIONS(335),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6410),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1853),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1853),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(1299),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1853),
    [sym_identifier] = ACTIONS(385),
    [aux_sym_preproc_include_token1] = ACTIONS(388),
    [aux_sym_preproc_def_token1] = ACTIONS(391),
    [aux_sym_preproc_if_token1] = ACTIONS(394),
    [aux_sym_preproc_if_token2] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(399),
    [aux_sym_preproc_else_token1] = ACTIONS(397),
    [aux_sym_preproc_elif_token1] = ACTIONS(397),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(402),
    [anon_sym_LPAREN2] = ACTIONS(405),
    [anon_sym_BANG] = ACTIONS(408),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_STAR] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(429),
    [anon_sym_typedef] = ACTIONS(432),
    [anon_sym_in] = ACTIONS(435),
    [anon_sym_out] = ACTIONS(435),
    [anon_sym_inout] = ACTIONS(435),
    [anon_sym_virtual] = ACTIONS(435),
    [anon_sym_extern] = ACTIONS(438),
    [anon_sym___attribute__] = ACTIONS(441),
    [anon_sym___attribute] = ACTIONS(441),
    [anon_sym_COLON_COLON] = ACTIONS(444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(447),
    [anon_sym___declspec] = ACTIONS(450),
    [anon_sym___based] = ACTIONS(453),
    [anon_sym___cdecl] = ACTIONS(456),
    [anon_sym___clrcall] = ACTIONS(456),
    [anon_sym___stdcall] = ACTIONS(456),
    [anon_sym___fastcall] = ACTIONS(456),
    [anon_sym___thiscall] = ACTIONS(456),
    [anon_sym___vectorcall] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_signed] = ACTIONS(462),
    [anon_sym_unsigned] = ACTIONS(462),
    [anon_sym_long] = ACTIONS(462),
    [anon_sym_short] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_static] = ACTIONS(468),
    [anon_sym_register] = ACTIONS(468),
    [anon_sym_inline] = ACTIONS(471),
    [anon_sym___inline] = ACTIONS(468),
    [anon_sym___inline__] = ACTIONS(468),
    [anon_sym___forceinline] = ACTIONS(468),
    [anon_sym_thread_local] = ACTIONS(468),
    [anon_sym___thread] = ACTIONS(468),
    [anon_sym_const] = ACTIONS(474),
    [anon_sym_constexpr] = ACTIONS(474),
    [anon_sym_volatile] = ACTIONS(474),
    [anon_sym_restrict] = ACTIONS(474),
    [anon_sym___restrict__] = ACTIONS(474),
    [anon_sym__Atomic] = ACTIONS(474),
    [anon_sym__Noreturn] = ACTIONS(474),
    [anon_sym_noreturn] = ACTIONS(474),
    [anon_sym__Nonnull] = ACTIONS(474),
    [anon_sym_mutable] = ACTIONS(474),
    [anon_sym_constinit] = ACTIONS(474),
    [anon_sym_consteval] = ACTIONS(474),
    [anon_sym_alignas] = ACTIONS(477),
    [anon_sym__Alignas] = ACTIONS(477),
    [sym_primitive_type] = ACTIONS(480),
    [anon_sym_enum] = ACTIONS(483),
    [anon_sym_class] = ACTIONS(486),
    [anon_sym_struct] = ACTIONS(489),
    [anon_sym_union] = ACTIONS(492),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_switch] = ACTIONS(498),
    [anon_sym_case] = ACTIONS(501),
    [anon_sym_default] = ACTIONS(504),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(522),
    [anon_sym_goto] = ACTIONS(525),
    [anon_sym___try] = ACTIONS(528),
    [anon_sym___leave] = ACTIONS(531),
    [anon_sym_not] = ACTIONS(414),
    [anon_sym_compl] = ACTIONS(414),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_sizeof] = ACTIONS(537),
    [anon_sym___alignof__] = ACTIONS(540),
    [anon_sym___alignof] = ACTIONS(540),
    [anon_sym__alignof] = ACTIONS(540),
    [anon_sym_alignof] = ACTIONS(540),
    [anon_sym__Alignof] = ACTIONS(540),
    [anon_sym_offsetof] = ACTIONS(543),
    [anon_sym__Generic] = ACTIONS(546),
    [anon_sym_asm] = ACTIONS(549),
    [anon_sym___asm__] = ACTIONS(549),
    [anon_sym___asm] = ACTIONS(549),
    [sym_number_literal] = ACTIONS(552),
    [anon_sym_L_SQUOTE] = ACTIONS(555),
    [anon_sym_u_SQUOTE] = ACTIONS(555),
    [anon_sym_U_SQUOTE] = ACTIONS(555),
    [anon_sym_u8_SQUOTE] = ACTIONS(555),
    [anon_sym_SQUOTE] = ACTIONS(555),
    [anon_sym_L_DQUOTE] = ACTIONS(558),
    [anon_sym_u_DQUOTE] = ACTIONS(558),
    [anon_sym_U_DQUOTE] = ACTIONS(558),
    [anon_sym_u8_DQUOTE] = ACTIONS(558),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [sym_true] = ACTIONS(561),
    [sym_false] = ACTIONS(561),
    [anon_sym_NULL] = ACTIONS(564),
    [anon_sym_nullptr] = ACTIONS(564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(567),
    [anon_sym_decltype] = ACTIONS(570),
    [anon_sym_explicit] = ACTIONS(573),
    [anon_sym_typename] = ACTIONS(576),
    [anon_sym_template] = ACTIONS(579),
    [anon_sym_operator] = ACTIONS(582),
    [anon_sym_try] = ACTIONS(585),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_namespace] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(597),
    [anon_sym_static_assert] = ACTIONS(600),
    [anon_sym_concept] = ACTIONS(603),
    [anon_sym_co_return] = ACTIONS(606),
    [anon_sym_co_yield] = ACTIONS(609),
    [anon_sym_R_DQUOTE] = ACTIONS(612),
    [anon_sym_LR_DQUOTE] = ACTIONS(612),
    [anon_sym_uR_DQUOTE] = ACTIONS(612),
    [anon_sym_UR_DQUOTE] = ACTIONS(612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(612),
    [anon_sym_co_await] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(618),
    [anon_sym_requires] = ACTIONS(621),
    [sym_this] = ACTIONS(561),
    [anon_sym_discard] = ACTIONS(624),
    [anon_sym_precise] = ACTIONS(627),
    [anon_sym_shared] = ACTIONS(627),
    [anon_sym_groupshared] = ACTIONS(627),
    [anon_sym_uniform] = ACTIONS(627),
    [anon_sym_row_major] = ACTIONS(627),
    [anon_sym_column_major] = ACTIONS(627),
    [anon_sym_globallycoherent] = ACTIONS(627),
    [anon_sym_centroid] = ACTIONS(627),
    [anon_sym_noperspective] = ACTIONS(627),
    [anon_sym_nointerpolation] = ACTIONS(627),
    [anon_sym_sample] = ACTIONS(627),
    [anon_sym_linear] = ACTIONS(627),
    [anon_sym_snorm] = ACTIONS(627),
    [anon_sym_unorm] = ACTIONS(627),
    [anon_sym_point] = ACTIONS(627),
    [anon_sym_line] = ACTIONS(627),
    [anon_sym_triangleadj] = ACTIONS(627),
    [anon_sym_lineadj] = ACTIONS(627),
    [anon_sym_triangle] = ACTIONS(627),
    [anon_sym_cbuffer] = ACTIONS(630),
  },
  [34] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [35] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(639),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [36] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(641),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [37] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(643),
    [aux_sym_preproc_include_token1] = ACTIONS(646),
    [aux_sym_preproc_def_token1] = ACTIONS(649),
    [aux_sym_preproc_if_token1] = ACTIONS(652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(655),
    [sym_preproc_directive] = ACTIONS(658),
    [anon_sym_LPAREN2] = ACTIONS(405),
    [anon_sym_BANG] = ACTIONS(408),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_STAR] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym___extension__] = ACTIONS(664),
    [anon_sym_typedef] = ACTIONS(667),
    [anon_sym_in] = ACTIONS(435),
    [anon_sym_out] = ACTIONS(435),
    [anon_sym_inout] = ACTIONS(435),
    [anon_sym_virtual] = ACTIONS(435),
    [anon_sym_extern] = ACTIONS(670),
    [anon_sym___attribute__] = ACTIONS(441),
    [anon_sym___attribute] = ACTIONS(441),
    [anon_sym_COLON_COLON] = ACTIONS(444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(447),
    [anon_sym___declspec] = ACTIONS(450),
    [anon_sym___based] = ACTIONS(453),
    [anon_sym___cdecl] = ACTIONS(456),
    [anon_sym___clrcall] = ACTIONS(456),
    [anon_sym___stdcall] = ACTIONS(456),
    [anon_sym___fastcall] = ACTIONS(456),
    [anon_sym___thiscall] = ACTIONS(456),
    [anon_sym___vectorcall] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_signed] = ACTIONS(462),
    [anon_sym_unsigned] = ACTIONS(462),
    [anon_sym_long] = ACTIONS(462),
    [anon_sym_short] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_static] = ACTIONS(468),
    [anon_sym_register] = ACTIONS(468),
    [anon_sym_inline] = ACTIONS(678),
    [anon_sym___inline] = ACTIONS(468),
    [anon_sym___inline__] = ACTIONS(468),
    [anon_sym___forceinline] = ACTIONS(468),
    [anon_sym_thread_local] = ACTIONS(468),
    [anon_sym___thread] = ACTIONS(468),
    [anon_sym_const] = ACTIONS(474),
    [anon_sym_constexpr] = ACTIONS(474),
    [anon_sym_volatile] = ACTIONS(474),
    [anon_sym_restrict] = ACTIONS(474),
    [anon_sym___restrict__] = ACTIONS(474),
    [anon_sym__Atomic] = ACTIONS(474),
    [anon_sym__Noreturn] = ACTIONS(474),
    [anon_sym_noreturn] = ACTIONS(474),
    [anon_sym__Nonnull] = ACTIONS(474),
    [anon_sym_mutable] = ACTIONS(474),
    [anon_sym_constinit] = ACTIONS(474),
    [anon_sym_consteval] = ACTIONS(474),
    [anon_sym_alignas] = ACTIONS(477),
    [anon_sym__Alignas] = ACTIONS(477),
    [sym_primitive_type] = ACTIONS(480),
    [anon_sym_enum] = ACTIONS(483),
    [anon_sym_class] = ACTIONS(486),
    [anon_sym_struct] = ACTIONS(489),
    [anon_sym_union] = ACTIONS(492),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_switch] = ACTIONS(684),
    [anon_sym_case] = ACTIONS(687),
    [anon_sym_default] = ACTIONS(690),
    [anon_sym_while] = ACTIONS(693),
    [anon_sym_do] = ACTIONS(696),
    [anon_sym_for] = ACTIONS(699),
    [anon_sym_return] = ACTIONS(702),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(708),
    [anon_sym_goto] = ACTIONS(711),
    [anon_sym___try] = ACTIONS(714),
    [anon_sym___leave] = ACTIONS(717),
    [anon_sym_not] = ACTIONS(414),
    [anon_sym_compl] = ACTIONS(414),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_sizeof] = ACTIONS(537),
    [anon_sym___alignof__] = ACTIONS(540),
    [anon_sym___alignof] = ACTIONS(540),
    [anon_sym__alignof] = ACTIONS(540),
    [anon_sym_alignof] = ACTIONS(540),
    [anon_sym__Alignof] = ACTIONS(540),
    [anon_sym_offsetof] = ACTIONS(543),
    [anon_sym__Generic] = ACTIONS(546),
    [anon_sym_asm] = ACTIONS(549),
    [anon_sym___asm__] = ACTIONS(549),
    [anon_sym___asm] = ACTIONS(549),
    [sym_number_literal] = ACTIONS(552),
    [anon_sym_L_SQUOTE] = ACTIONS(555),
    [anon_sym_u_SQUOTE] = ACTIONS(555),
    [anon_sym_U_SQUOTE] = ACTIONS(555),
    [anon_sym_u8_SQUOTE] = ACTIONS(555),
    [anon_sym_SQUOTE] = ACTIONS(555),
    [anon_sym_L_DQUOTE] = ACTIONS(558),
    [anon_sym_u_DQUOTE] = ACTIONS(558),
    [anon_sym_U_DQUOTE] = ACTIONS(558),
    [anon_sym_u8_DQUOTE] = ACTIONS(558),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [sym_true] = ACTIONS(561),
    [sym_false] = ACTIONS(561),
    [anon_sym_NULL] = ACTIONS(564),
    [anon_sym_nullptr] = ACTIONS(564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(567),
    [anon_sym_decltype] = ACTIONS(570),
    [anon_sym_explicit] = ACTIONS(573),
    [anon_sym_typename] = ACTIONS(576),
    [anon_sym_template] = ACTIONS(720),
    [anon_sym_operator] = ACTIONS(582),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_throw] = ACTIONS(726),
    [anon_sym_namespace] = ACTIONS(729),
    [anon_sym_using] = ACTIONS(732),
    [anon_sym_static_assert] = ACTIONS(735),
    [anon_sym_concept] = ACTIONS(738),
    [anon_sym_co_return] = ACTIONS(741),
    [anon_sym_co_yield] = ACTIONS(744),
    [anon_sym_R_DQUOTE] = ACTIONS(612),
    [anon_sym_LR_DQUOTE] = ACTIONS(612),
    [anon_sym_uR_DQUOTE] = ACTIONS(612),
    [anon_sym_UR_DQUOTE] = ACTIONS(612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(612),
    [anon_sym_co_await] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(618),
    [anon_sym_requires] = ACTIONS(621),
    [sym_this] = ACTIONS(561),
    [anon_sym_discard] = ACTIONS(747),
    [anon_sym_precise] = ACTIONS(627),
    [anon_sym_shared] = ACTIONS(627),
    [anon_sym_groupshared] = ACTIONS(627),
    [anon_sym_uniform] = ACTIONS(627),
    [anon_sym_row_major] = ACTIONS(627),
    [anon_sym_column_major] = ACTIONS(627),
    [anon_sym_globallycoherent] = ACTIONS(627),
    [anon_sym_centroid] = ACTIONS(627),
    [anon_sym_noperspective] = ACTIONS(627),
    [anon_sym_nointerpolation] = ACTIONS(627),
    [anon_sym_sample] = ACTIONS(627),
    [anon_sym_linear] = ACTIONS(627),
    [anon_sym_snorm] = ACTIONS(627),
    [anon_sym_unorm] = ACTIONS(627),
    [anon_sym_point] = ACTIONS(627),
    [anon_sym_line] = ACTIONS(627),
    [anon_sym_triangleadj] = ACTIONS(627),
    [anon_sym_lineadj] = ACTIONS(627),
    [anon_sym_triangle] = ACTIONS(627),
    [anon_sym_cbuffer] = ACTIONS(750),
  },
  [38] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [39] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(755),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [40] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [41] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(759),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [42] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(761),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [43] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4917),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1980),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6409),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(438),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2297),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(721),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1855),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6890),
    [sym__constructor_specifiers] = STATE(1855),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6890),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(1300),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1855),
    [sym_identifier] = ACTIONS(763),
    [aux_sym_preproc_include_token1] = ACTIONS(765),
    [aux_sym_preproc_def_token1] = ACTIONS(767),
    [aux_sym_preproc_if_token1] = ACTIONS(769),
    [aux_sym_preproc_if_token2] = ACTIONS(771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(773),
    [sym_preproc_directive] = ACTIONS(775),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(779),
    [anon_sym_typedef] = ACTIONS(781),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(783),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(787),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(815),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_using] = ACTIONS(823),
    [anon_sym_static_assert] = ACTIONS(825),
    [anon_sym_concept] = ACTIONS(827),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [44] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [45] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [46] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(841),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [47] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [48] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [49] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(847),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [50] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4917),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1980),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6409),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(438),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2297),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(721),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1855),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6890),
    [sym__constructor_specifiers] = STATE(1855),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6890),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(1300),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1855),
    [sym_identifier] = ACTIONS(763),
    [aux_sym_preproc_include_token1] = ACTIONS(765),
    [aux_sym_preproc_def_token1] = ACTIONS(767),
    [aux_sym_preproc_if_token1] = ACTIONS(769),
    [aux_sym_preproc_if_token2] = ACTIONS(849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(773),
    [sym_preproc_directive] = ACTIONS(775),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(779),
    [anon_sym_typedef] = ACTIONS(781),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(783),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(787),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(815),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_using] = ACTIONS(823),
    [anon_sym_static_assert] = ACTIONS(825),
    [anon_sym_concept] = ACTIONS(827),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [51] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(851),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [52] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [53] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [54] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(857),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [55] = {
    [sym__block_item] = STATE(56),
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(56),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(859),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [56] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(861),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [57] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(863),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [58] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(865),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [59] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(867),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [60] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(869),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [61] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [62] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [63] = {
    [sym__block_item] = STATE(64),
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(64),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [64] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(877),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [65] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4917),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1980),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6409),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(438),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2297),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(721),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1855),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6890),
    [sym__constructor_specifiers] = STATE(1855),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6890),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(1300),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1855),
    [sym_identifier] = ACTIONS(879),
    [aux_sym_preproc_include_token1] = ACTIONS(882),
    [aux_sym_preproc_def_token1] = ACTIONS(885),
    [aux_sym_preproc_if_token1] = ACTIONS(888),
    [aux_sym_preproc_if_token2] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(891),
    [sym_preproc_directive] = ACTIONS(894),
    [anon_sym_LPAREN2] = ACTIONS(405),
    [anon_sym_BANG] = ACTIONS(408),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_STAR] = ACTIONS(417),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym___extension__] = ACTIONS(900),
    [anon_sym_typedef] = ACTIONS(903),
    [anon_sym_in] = ACTIONS(435),
    [anon_sym_out] = ACTIONS(435),
    [anon_sym_inout] = ACTIONS(435),
    [anon_sym_virtual] = ACTIONS(435),
    [anon_sym_extern] = ACTIONS(906),
    [anon_sym___attribute__] = ACTIONS(441),
    [anon_sym___attribute] = ACTIONS(441),
    [anon_sym_COLON_COLON] = ACTIONS(444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(447),
    [anon_sym___declspec] = ACTIONS(450),
    [anon_sym___based] = ACTIONS(453),
    [anon_sym___cdecl] = ACTIONS(456),
    [anon_sym___clrcall] = ACTIONS(456),
    [anon_sym___stdcall] = ACTIONS(456),
    [anon_sym___fastcall] = ACTIONS(456),
    [anon_sym___thiscall] = ACTIONS(456),
    [anon_sym___vectorcall] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_signed] = ACTIONS(462),
    [anon_sym_unsigned] = ACTIONS(462),
    [anon_sym_long] = ACTIONS(462),
    [anon_sym_short] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_static] = ACTIONS(468),
    [anon_sym_register] = ACTIONS(468),
    [anon_sym_inline] = ACTIONS(912),
    [anon_sym___inline] = ACTIONS(468),
    [anon_sym___inline__] = ACTIONS(468),
    [anon_sym___forceinline] = ACTIONS(468),
    [anon_sym_thread_local] = ACTIONS(468),
    [anon_sym___thread] = ACTIONS(468),
    [anon_sym_const] = ACTIONS(474),
    [anon_sym_constexpr] = ACTIONS(474),
    [anon_sym_volatile] = ACTIONS(474),
    [anon_sym_restrict] = ACTIONS(474),
    [anon_sym___restrict__] = ACTIONS(474),
    [anon_sym__Atomic] = ACTIONS(474),
    [anon_sym__Noreturn] = ACTIONS(474),
    [anon_sym_noreturn] = ACTIONS(474),
    [anon_sym__Nonnull] = ACTIONS(474),
    [anon_sym_mutable] = ACTIONS(474),
    [anon_sym_constinit] = ACTIONS(474),
    [anon_sym_consteval] = ACTIONS(474),
    [anon_sym_alignas] = ACTIONS(477),
    [anon_sym__Alignas] = ACTIONS(477),
    [sym_primitive_type] = ACTIONS(480),
    [anon_sym_enum] = ACTIONS(483),
    [anon_sym_class] = ACTIONS(486),
    [anon_sym_struct] = ACTIONS(489),
    [anon_sym_union] = ACTIONS(492),
    [anon_sym_if] = ACTIONS(915),
    [anon_sym_switch] = ACTIONS(918),
    [anon_sym_case] = ACTIONS(921),
    [anon_sym_default] = ACTIONS(924),
    [anon_sym_while] = ACTIONS(927),
    [anon_sym_do] = ACTIONS(930),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(936),
    [anon_sym_break] = ACTIONS(939),
    [anon_sym_continue] = ACTIONS(942),
    [anon_sym_goto] = ACTIONS(945),
    [anon_sym___try] = ACTIONS(948),
    [anon_sym___leave] = ACTIONS(951),
    [anon_sym_not] = ACTIONS(414),
    [anon_sym_compl] = ACTIONS(414),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_sizeof] = ACTIONS(537),
    [anon_sym___alignof__] = ACTIONS(540),
    [anon_sym___alignof] = ACTIONS(540),
    [anon_sym__alignof] = ACTIONS(540),
    [anon_sym_alignof] = ACTIONS(540),
    [anon_sym__Alignof] = ACTIONS(540),
    [anon_sym_offsetof] = ACTIONS(543),
    [anon_sym__Generic] = ACTIONS(546),
    [anon_sym_asm] = ACTIONS(549),
    [anon_sym___asm__] = ACTIONS(549),
    [anon_sym___asm] = ACTIONS(549),
    [sym_number_literal] = ACTIONS(552),
    [anon_sym_L_SQUOTE] = ACTIONS(555),
    [anon_sym_u_SQUOTE] = ACTIONS(555),
    [anon_sym_U_SQUOTE] = ACTIONS(555),
    [anon_sym_u8_SQUOTE] = ACTIONS(555),
    [anon_sym_SQUOTE] = ACTIONS(555),
    [anon_sym_L_DQUOTE] = ACTIONS(558),
    [anon_sym_u_DQUOTE] = ACTIONS(558),
    [anon_sym_U_DQUOTE] = ACTIONS(558),
    [anon_sym_u8_DQUOTE] = ACTIONS(558),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [sym_true] = ACTIONS(561),
    [sym_false] = ACTIONS(561),
    [anon_sym_NULL] = ACTIONS(564),
    [anon_sym_nullptr] = ACTIONS(564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(567),
    [anon_sym_decltype] = ACTIONS(570),
    [anon_sym_explicit] = ACTIONS(573),
    [anon_sym_typename] = ACTIONS(576),
    [anon_sym_template] = ACTIONS(954),
    [anon_sym_operator] = ACTIONS(582),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_throw] = ACTIONS(960),
    [anon_sym_namespace] = ACTIONS(963),
    [anon_sym_using] = ACTIONS(966),
    [anon_sym_static_assert] = ACTIONS(969),
    [anon_sym_concept] = ACTIONS(972),
    [anon_sym_co_return] = ACTIONS(975),
    [anon_sym_co_yield] = ACTIONS(978),
    [anon_sym_R_DQUOTE] = ACTIONS(612),
    [anon_sym_LR_DQUOTE] = ACTIONS(612),
    [anon_sym_uR_DQUOTE] = ACTIONS(612),
    [anon_sym_UR_DQUOTE] = ACTIONS(612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(612),
    [anon_sym_co_await] = ACTIONS(615),
    [anon_sym_new] = ACTIONS(618),
    [anon_sym_requires] = ACTIONS(621),
    [sym_this] = ACTIONS(561),
    [anon_sym_discard] = ACTIONS(981),
    [anon_sym_precise] = ACTIONS(627),
    [anon_sym_shared] = ACTIONS(627),
    [anon_sym_groupshared] = ACTIONS(627),
    [anon_sym_uniform] = ACTIONS(627),
    [anon_sym_row_major] = ACTIONS(627),
    [anon_sym_column_major] = ACTIONS(627),
    [anon_sym_globallycoherent] = ACTIONS(627),
    [anon_sym_centroid] = ACTIONS(627),
    [anon_sym_noperspective] = ACTIONS(627),
    [anon_sym_nointerpolation] = ACTIONS(627),
    [anon_sym_sample] = ACTIONS(627),
    [anon_sym_linear] = ACTIONS(627),
    [anon_sym_snorm] = ACTIONS(627),
    [anon_sym_unorm] = ACTIONS(627),
    [anon_sym_point] = ACTIONS(627),
    [anon_sym_line] = ACTIONS(627),
    [anon_sym_triangleadj] = ACTIONS(627),
    [anon_sym_lineadj] = ACTIONS(627),
    [anon_sym_triangle] = ACTIONS(627),
    [anon_sym_cbuffer] = ACTIONS(984),
  },
  [66] = {
    [sym__block_item] = STATE(67),
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(67),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [67] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [68] = {
    [sym__block_item] = STATE(69),
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(69),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [69] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(993),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [70] = {
    [sym__block_item] = STATE(71),
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(71),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [71] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [72] = {
    [sym__block_item] = STATE(73),
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(73),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [73] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [74] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [75] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [76] = {
    [sym__block_item] = STATE(77),
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [77] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [78] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [79] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6437),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(676),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1857),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1857),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4688),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3608),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2428),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(1278),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1857),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(225),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(231),
    [anon_sym_using] = ACTIONS(233),
    [anon_sym_static_assert] = ACTIONS(235),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [80] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4892),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1966),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6418),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2303),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(796),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(5021),
    [sym__string] = STATE(4998),
    [sym_conditional_expression] = STATE(5087),
    [sym_assignment_expression] = STATE(5087),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(5087),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(5087),
    [sym_cast_expression] = STATE(5087),
    [sym_sizeof_expression] = STATE(5087),
    [sym_alignof_expression] = STATE(5087),
    [sym_offsetof_expression] = STATE(5087),
    [sym_generic_expression] = STATE(5087),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(5087),
    [sym_extension_expression] = STATE(5087),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(4998),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(5087),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1856),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6887),
    [sym__constructor_specifiers] = STATE(1856),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4982),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(5087),
    [sym_new_expression] = STATE(5087),
    [sym_delete_expression] = STATE(5087),
    [sym_requires_clause] = STATE(5087),
    [sym_requires_expression] = STATE(5087),
    [sym_lambda_expression] = STATE(5087),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(5087),
    [sym_parameter_pack_expansion] = STATE(5087),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6887),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3951),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1301),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1856),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(1017),
    [aux_sym_preproc_include_token1] = ACTIONS(1020),
    [aux_sym_preproc_def_token1] = ACTIONS(1023),
    [aux_sym_preproc_if_token1] = ACTIONS(1026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1029),
    [sym_preproc_directive] = ACTIONS(1032),
    [anon_sym_LPAREN2] = ACTIONS(1035),
    [anon_sym_BANG] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_STAR] = ACTIONS(1047),
    [anon_sym_AMP_AMP] = ACTIONS(1050),
    [anon_sym_AMP] = ACTIONS(1053),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym___extension__] = ACTIONS(1059),
    [anon_sym_typedef] = ACTIONS(1062),
    [anon_sym_in] = ACTIONS(1065),
    [anon_sym_out] = ACTIONS(1065),
    [anon_sym_inout] = ACTIONS(1065),
    [anon_sym_virtual] = ACTIONS(1065),
    [anon_sym_extern] = ACTIONS(1068),
    [anon_sym___attribute__] = ACTIONS(1071),
    [anon_sym___attribute] = ACTIONS(1071),
    [anon_sym_COLON_COLON] = ACTIONS(1074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1077),
    [anon_sym___declspec] = ACTIONS(1080),
    [anon_sym___based] = ACTIONS(1083),
    [anon_sym___cdecl] = ACTIONS(1086),
    [anon_sym___clrcall] = ACTIONS(1086),
    [anon_sym___stdcall] = ACTIONS(1086),
    [anon_sym___fastcall] = ACTIONS(1086),
    [anon_sym___thiscall] = ACTIONS(1086),
    [anon_sym___vectorcall] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_signed] = ACTIONS(1092),
    [anon_sym_unsigned] = ACTIONS(1092),
    [anon_sym_long] = ACTIONS(1092),
    [anon_sym_short] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_static] = ACTIONS(1098),
    [anon_sym_register] = ACTIONS(1098),
    [anon_sym_inline] = ACTIONS(1101),
    [anon_sym___inline] = ACTIONS(1098),
    [anon_sym___inline__] = ACTIONS(1098),
    [anon_sym___forceinline] = ACTIONS(1098),
    [anon_sym_thread_local] = ACTIONS(1098),
    [anon_sym___thread] = ACTIONS(1098),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_constexpr] = ACTIONS(1104),
    [anon_sym_volatile] = ACTIONS(1104),
    [anon_sym_restrict] = ACTIONS(1104),
    [anon_sym___restrict__] = ACTIONS(1104),
    [anon_sym__Atomic] = ACTIONS(1104),
    [anon_sym__Noreturn] = ACTIONS(1104),
    [anon_sym_noreturn] = ACTIONS(1104),
    [anon_sym__Nonnull] = ACTIONS(1104),
    [anon_sym_mutable] = ACTIONS(1104),
    [anon_sym_constinit] = ACTIONS(1104),
    [anon_sym_consteval] = ACTIONS(1104),
    [anon_sym_alignas] = ACTIONS(1107),
    [anon_sym__Alignas] = ACTIONS(1107),
    [sym_primitive_type] = ACTIONS(1110),
    [anon_sym_enum] = ACTIONS(1113),
    [anon_sym_class] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1119),
    [anon_sym_union] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1128),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1134),
    [anon_sym_while] = ACTIONS(1137),
    [anon_sym_do] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1149),
    [anon_sym_continue] = ACTIONS(1152),
    [anon_sym_goto] = ACTIONS(1155),
    [anon_sym_not] = ACTIONS(1044),
    [anon_sym_compl] = ACTIONS(1044),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [anon_sym_sizeof] = ACTIONS(1161),
    [anon_sym___alignof__] = ACTIONS(1164),
    [anon_sym___alignof] = ACTIONS(1164),
    [anon_sym__alignof] = ACTIONS(1164),
    [anon_sym_alignof] = ACTIONS(1164),
    [anon_sym__Alignof] = ACTIONS(1164),
    [anon_sym_offsetof] = ACTIONS(1167),
    [anon_sym__Generic] = ACTIONS(1170),
    [anon_sym_asm] = ACTIONS(1173),
    [anon_sym___asm__] = ACTIONS(1173),
    [anon_sym___asm] = ACTIONS(1173),
    [sym_number_literal] = ACTIONS(1176),
    [anon_sym_L_SQUOTE] = ACTIONS(1179),
    [anon_sym_u_SQUOTE] = ACTIONS(1179),
    [anon_sym_U_SQUOTE] = ACTIONS(1179),
    [anon_sym_u8_SQUOTE] = ACTIONS(1179),
    [anon_sym_SQUOTE] = ACTIONS(1179),
    [anon_sym_L_DQUOTE] = ACTIONS(1182),
    [anon_sym_u_DQUOTE] = ACTIONS(1182),
    [anon_sym_U_DQUOTE] = ACTIONS(1182),
    [anon_sym_u8_DQUOTE] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [sym_true] = ACTIONS(1185),
    [sym_false] = ACTIONS(1185),
    [anon_sym_NULL] = ACTIONS(1188),
    [anon_sym_nullptr] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1191),
    [anon_sym_decltype] = ACTIONS(1194),
    [anon_sym_explicit] = ACTIONS(1197),
    [anon_sym_typename] = ACTIONS(1200),
    [anon_sym_template] = ACTIONS(1203),
    [anon_sym_operator] = ACTIONS(1206),
    [anon_sym_try] = ACTIONS(1209),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_throw] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_using] = ACTIONS(1221),
    [anon_sym_static_assert] = ACTIONS(1224),
    [anon_sym_concept] = ACTIONS(1227),
    [anon_sym_co_return] = ACTIONS(1230),
    [anon_sym_co_yield] = ACTIONS(1233),
    [anon_sym_R_DQUOTE] = ACTIONS(1236),
    [anon_sym_LR_DQUOTE] = ACTIONS(1236),
    [anon_sym_uR_DQUOTE] = ACTIONS(1236),
    [anon_sym_UR_DQUOTE] = ACTIONS(1236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1236),
    [anon_sym_co_await] = ACTIONS(1239),
    [anon_sym_new] = ACTIONS(1242),
    [anon_sym_requires] = ACTIONS(1245),
    [sym_this] = ACTIONS(1185),
    [anon_sym_precise] = ACTIONS(1248),
    [anon_sym_shared] = ACTIONS(1248),
    [anon_sym_groupshared] = ACTIONS(1248),
    [anon_sym_uniform] = ACTIONS(1248),
    [anon_sym_row_major] = ACTIONS(1248),
    [anon_sym_column_major] = ACTIONS(1248),
    [anon_sym_globallycoherent] = ACTIONS(1248),
    [anon_sym_centroid] = ACTIONS(1248),
    [anon_sym_noperspective] = ACTIONS(1248),
    [anon_sym_nointerpolation] = ACTIONS(1248),
    [anon_sym_sample] = ACTIONS(1248),
    [anon_sym_linear] = ACTIONS(1248),
    [anon_sym_snorm] = ACTIONS(1248),
    [anon_sym_unorm] = ACTIONS(1248),
    [anon_sym_point] = ACTIONS(1248),
    [anon_sym_line] = ACTIONS(1248),
    [anon_sym_triangleadj] = ACTIONS(1248),
    [anon_sym_lineadj] = ACTIONS(1248),
    [anon_sym_triangle] = ACTIONS(1248),
  },
  [81] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4892),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(963),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1966),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6418),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2303),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(796),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(5021),
    [sym__string] = STATE(4998),
    [sym_conditional_expression] = STATE(5087),
    [sym_assignment_expression] = STATE(5087),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(5087),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(5087),
    [sym_cast_expression] = STATE(5087),
    [sym_sizeof_expression] = STATE(5087),
    [sym_alignof_expression] = STATE(5087),
    [sym_offsetof_expression] = STATE(5087),
    [sym_generic_expression] = STATE(5087),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(5087),
    [sym_extension_expression] = STATE(5087),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(4998),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(5087),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_explicit_function_specifier] = STATE(1856),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6887),
    [sym__constructor_specifiers] = STATE(1856),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4982),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(5087),
    [sym_new_expression] = STATE(5087),
    [sym_delete_expression] = STATE(5087),
    [sym_requires_clause] = STATE(5087),
    [sym_requires_expression] = STATE(5087),
    [sym_lambda_expression] = STATE(5087),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(5087),
    [sym_parameter_pack_expansion] = STATE(5087),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5598),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_qualified_operator_cast_identifier] = STATE(6887),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3951),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1301),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1856),
    [ts_builtin_sym_end] = ACTIONS(1251),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(63),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(119),
    [sym_false] = ACTIONS(119),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(119),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [82] = {
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5393),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(85),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(85),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(85),
    [sym_identifier] = ACTIONS(1253),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token2] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [aux_sym_preproc_else_token1] = ACTIONS(1255),
    [aux_sym_preproc_elif_token1] = ACTIONS(1255),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(1265),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_else] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1255),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1255),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(1255),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_static_assert] = ACTIONS(1255),
    [anon_sym_concept] = ACTIONS(1255),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [83] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5393),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(83),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(83),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1275),
    [aux_sym_preproc_include_token1] = ACTIONS(1278),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1278),
    [aux_sym_preproc_else_token1] = ACTIONS(1278),
    [aux_sym_preproc_elif_token1] = ACTIONS(1278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1278),
    [sym_preproc_directive] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1283),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP_AMP] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1306),
    [anon_sym_out] = ACTIONS(1306),
    [anon_sym_inout] = ACTIONS(1306),
    [anon_sym_virtual] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1309),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1321),
    [anon_sym___based] = ACTIONS(1278),
    [anon_sym___cdecl] = ACTIONS(1278),
    [anon_sym___clrcall] = ACTIONS(1278),
    [anon_sym___stdcall] = ACTIONS(1278),
    [anon_sym___fastcall] = ACTIONS(1278),
    [anon_sym___thiscall] = ACTIONS(1278),
    [anon_sym___vectorcall] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_register] = ACTIONS(1309),
    [anon_sym_inline] = ACTIONS(1309),
    [anon_sym___inline] = ACTIONS(1309),
    [anon_sym___inline__] = ACTIONS(1309),
    [anon_sym___forceinline] = ACTIONS(1309),
    [anon_sym_thread_local] = ACTIONS(1309),
    [anon_sym___thread] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1333),
    [anon_sym_constexpr] = ACTIONS(1333),
    [anon_sym_volatile] = ACTIONS(1333),
    [anon_sym_restrict] = ACTIONS(1333),
    [anon_sym___restrict__] = ACTIONS(1333),
    [anon_sym__Atomic] = ACTIONS(1333),
    [anon_sym__Noreturn] = ACTIONS(1333),
    [anon_sym_noreturn] = ACTIONS(1333),
    [anon_sym__Nonnull] = ACTIONS(1333),
    [anon_sym_mutable] = ACTIONS(1333),
    [anon_sym_constinit] = ACTIONS(1333),
    [anon_sym_consteval] = ACTIONS(1333),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_class] = ACTIONS(1345),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1357),
    [anon_sym_case] = ACTIONS(1278),
    [anon_sym_default] = ACTIONS(1278),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1369),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1375),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1381),
    [anon_sym___leave] = ACTIONS(1384),
    [anon_sym_not] = ACTIONS(1286),
    [anon_sym_compl] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1393),
    [anon_sym___alignof] = ACTIONS(1393),
    [anon_sym__alignof] = ACTIONS(1393),
    [anon_sym_alignof] = ACTIONS(1393),
    [anon_sym__Alignof] = ACTIONS(1393),
    [anon_sym_offsetof] = ACTIONS(1396),
    [anon_sym__Generic] = ACTIONS(1399),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [anon_sym___asm] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1405),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1411),
    [anon_sym_u_DQUOTE] = ACTIONS(1411),
    [anon_sym_U_DQUOTE] = ACTIONS(1411),
    [anon_sym_u8_DQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1417),
    [anon_sym_nullptr] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1420),
    [anon_sym_decltype] = ACTIONS(1423),
    [anon_sym_explicit] = ACTIONS(1278),
    [anon_sym_typename] = ACTIONS(1426),
    [anon_sym_template] = ACTIONS(1429),
    [anon_sym_operator] = ACTIONS(1278),
    [anon_sym_try] = ACTIONS(1432),
    [anon_sym_delete] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_namespace] = ACTIONS(1278),
    [anon_sym_using] = ACTIONS(1278),
    [anon_sym_static_assert] = ACTIONS(1278),
    [anon_sym_concept] = ACTIONS(1278),
    [anon_sym_co_return] = ACTIONS(1441),
    [anon_sym_co_yield] = ACTIONS(1444),
    [anon_sym_R_DQUOTE] = ACTIONS(1447),
    [anon_sym_LR_DQUOTE] = ACTIONS(1447),
    [anon_sym_uR_DQUOTE] = ACTIONS(1447),
    [anon_sym_UR_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1447),
    [anon_sym_co_await] = ACTIONS(1450),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_requires] = ACTIONS(1456),
    [sym_this] = ACTIONS(1414),
    [anon_sym_discard] = ACTIONS(1459),
    [anon_sym_precise] = ACTIONS(1462),
    [anon_sym_shared] = ACTIONS(1462),
    [anon_sym_groupshared] = ACTIONS(1462),
    [anon_sym_uniform] = ACTIONS(1462),
    [anon_sym_row_major] = ACTIONS(1462),
    [anon_sym_column_major] = ACTIONS(1462),
    [anon_sym_globallycoherent] = ACTIONS(1462),
    [anon_sym_centroid] = ACTIONS(1462),
    [anon_sym_noperspective] = ACTIONS(1462),
    [anon_sym_nointerpolation] = ACTIONS(1462),
    [anon_sym_sample] = ACTIONS(1462),
    [anon_sym_linear] = ACTIONS(1462),
    [anon_sym_snorm] = ACTIONS(1462),
    [anon_sym_unorm] = ACTIONS(1462),
    [anon_sym_point] = ACTIONS(1462),
    [anon_sym_line] = ACTIONS(1462),
    [anon_sym_triangleadj] = ACTIONS(1462),
    [anon_sym_lineadj] = ACTIONS(1462),
    [anon_sym_triangle] = ACTIONS(1462),
    [anon_sym_cbuffer] = ACTIONS(1465),
  },
  [84] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5393),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(83),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(83),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1253),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [aux_sym_preproc_else_token1] = ACTIONS(1468),
    [aux_sym_preproc_elif_token1] = ACTIONS(1468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(1265),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_else] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1468),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1468),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1468),
    [anon_sym_static_assert] = ACTIONS(1468),
    [anon_sym_concept] = ACTIONS(1468),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [85] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5393),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(83),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(83),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1253),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [aux_sym_preproc_else_token1] = ACTIONS(1472),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(1265),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_else] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1472),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1472),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(1472),
    [anon_sym_using] = ACTIONS(1472),
    [anon_sym_static_assert] = ACTIONS(1472),
    [anon_sym_concept] = ACTIONS(1472),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [86] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5393),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(84),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(84),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1253),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [aux_sym_preproc_else_token1] = ACTIONS(1476),
    [aux_sym_preproc_elif_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(1265),
    [anon_sym_typedef] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_else] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1476),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1476),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_namespace] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1476),
    [anon_sym_static_assert] = ACTIONS(1476),
    [anon_sym_concept] = ACTIONS(1476),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [87] = {
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5378),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(97),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(97),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(1261),
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1255),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1255),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1255),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_static_assert] = ACTIONS(1255),
    [anon_sym_concept] = ACTIONS(1255),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [88] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5435),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(90),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(90),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1494),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1255),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1255),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(1255),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_static_assert] = ACTIONS(1255),
    [anon_sym_concept] = ACTIONS(1255),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [89] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5435),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(92),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(92),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1494),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1468),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1468),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1468),
    [anon_sym_static_assert] = ACTIONS(1468),
    [anon_sym_concept] = ACTIONS(1468),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [90] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5435),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(92),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(92),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1494),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1472),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1472),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(1472),
    [anon_sym_using] = ACTIONS(1472),
    [anon_sym_static_assert] = ACTIONS(1472),
    [anon_sym_concept] = ACTIONS(1472),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [91] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5378),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(95),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(95),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1468),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1468),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1468),
    [anon_sym_static_assert] = ACTIONS(1468),
    [anon_sym_concept] = ACTIONS(1468),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [92] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5435),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(92),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(92),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1498),
    [aux_sym_preproc_include_token1] = ACTIONS(1278),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1278),
    [sym_preproc_directive] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1283),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP_AMP] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1501),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1306),
    [anon_sym_out] = ACTIONS(1306),
    [anon_sym_inout] = ACTIONS(1306),
    [anon_sym_virtual] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1309),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1321),
    [anon_sym___based] = ACTIONS(1278),
    [anon_sym___cdecl] = ACTIONS(1278),
    [anon_sym___clrcall] = ACTIONS(1278),
    [anon_sym___stdcall] = ACTIONS(1278),
    [anon_sym___fastcall] = ACTIONS(1278),
    [anon_sym___thiscall] = ACTIONS(1278),
    [anon_sym___vectorcall] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_register] = ACTIONS(1309),
    [anon_sym_inline] = ACTIONS(1309),
    [anon_sym___inline] = ACTIONS(1309),
    [anon_sym___inline__] = ACTIONS(1309),
    [anon_sym___forceinline] = ACTIONS(1309),
    [anon_sym_thread_local] = ACTIONS(1309),
    [anon_sym___thread] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1333),
    [anon_sym_constexpr] = ACTIONS(1333),
    [anon_sym_volatile] = ACTIONS(1333),
    [anon_sym_restrict] = ACTIONS(1333),
    [anon_sym___restrict__] = ACTIONS(1333),
    [anon_sym__Atomic] = ACTIONS(1333),
    [anon_sym__Noreturn] = ACTIONS(1333),
    [anon_sym_noreturn] = ACTIONS(1333),
    [anon_sym__Nonnull] = ACTIONS(1333),
    [anon_sym_mutable] = ACTIONS(1333),
    [anon_sym_constinit] = ACTIONS(1333),
    [anon_sym_consteval] = ACTIONS(1333),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_class] = ACTIONS(1345),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1278),
    [anon_sym_default] = ACTIONS(1278),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_do] = ACTIONS(1522),
    [anon_sym_for] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1531),
    [anon_sym_continue] = ACTIONS(1534),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1540),
    [anon_sym___leave] = ACTIONS(1543),
    [anon_sym_not] = ACTIONS(1286),
    [anon_sym_compl] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1393),
    [anon_sym___alignof] = ACTIONS(1393),
    [anon_sym__alignof] = ACTIONS(1393),
    [anon_sym_alignof] = ACTIONS(1393),
    [anon_sym__Alignof] = ACTIONS(1393),
    [anon_sym_offsetof] = ACTIONS(1396),
    [anon_sym__Generic] = ACTIONS(1399),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [anon_sym___asm] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1405),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1411),
    [anon_sym_u_DQUOTE] = ACTIONS(1411),
    [anon_sym_U_DQUOTE] = ACTIONS(1411),
    [anon_sym_u8_DQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1417),
    [anon_sym_nullptr] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1420),
    [anon_sym_decltype] = ACTIONS(1423),
    [anon_sym_explicit] = ACTIONS(1278),
    [anon_sym_typename] = ACTIONS(1426),
    [anon_sym_template] = ACTIONS(1429),
    [anon_sym_operator] = ACTIONS(1278),
    [anon_sym_try] = ACTIONS(1546),
    [anon_sym_delete] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1549),
    [anon_sym_namespace] = ACTIONS(1278),
    [anon_sym_using] = ACTIONS(1278),
    [anon_sym_static_assert] = ACTIONS(1278),
    [anon_sym_concept] = ACTIONS(1278),
    [anon_sym_co_return] = ACTIONS(1552),
    [anon_sym_co_yield] = ACTIONS(1555),
    [anon_sym_R_DQUOTE] = ACTIONS(1447),
    [anon_sym_LR_DQUOTE] = ACTIONS(1447),
    [anon_sym_uR_DQUOTE] = ACTIONS(1447),
    [anon_sym_UR_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1447),
    [anon_sym_co_await] = ACTIONS(1450),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_requires] = ACTIONS(1456),
    [sym_this] = ACTIONS(1414),
    [anon_sym_discard] = ACTIONS(1558),
    [anon_sym_precise] = ACTIONS(1462),
    [anon_sym_shared] = ACTIONS(1462),
    [anon_sym_groupshared] = ACTIONS(1462),
    [anon_sym_uniform] = ACTIONS(1462),
    [anon_sym_row_major] = ACTIONS(1462),
    [anon_sym_column_major] = ACTIONS(1462),
    [anon_sym_globallycoherent] = ACTIONS(1462),
    [anon_sym_centroid] = ACTIONS(1462),
    [anon_sym_noperspective] = ACTIONS(1462),
    [anon_sym_nointerpolation] = ACTIONS(1462),
    [anon_sym_sample] = ACTIONS(1462),
    [anon_sym_linear] = ACTIONS(1462),
    [anon_sym_snorm] = ACTIONS(1462),
    [anon_sym_unorm] = ACTIONS(1462),
    [anon_sym_point] = ACTIONS(1462),
    [anon_sym_line] = ACTIONS(1462),
    [anon_sym_triangleadj] = ACTIONS(1462),
    [anon_sym_lineadj] = ACTIONS(1462),
    [anon_sym_triangle] = ACTIONS(1462),
    [anon_sym_cbuffer] = ACTIONS(1561),
  },
  [93] = {
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(96),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(96),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(96),
    [sym_identifier] = ACTIONS(1564),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(1566),
    [anon_sym_typedef] = ACTIONS(781),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1476),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1476),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1476),
    [anon_sym_static_assert] = ACTIONS(1476),
    [anon_sym_concept] = ACTIONS(1476),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [94] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(98),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(98),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [sym_identifier] = ACTIONS(1564),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token2] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(1566),
    [anon_sym_typedef] = ACTIONS(781),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1255),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1255),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(1255),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_static_assert] = ACTIONS(1255),
    [anon_sym_concept] = ACTIONS(1255),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [95] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5378),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(95),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(95),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_identifier] = ACTIONS(1568),
    [aux_sym_preproc_include_token1] = ACTIONS(1278),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1278),
    [sym_preproc_directive] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1283),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP_AMP] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym___extension__] = ACTIONS(1574),
    [anon_sym_typedef] = ACTIONS(1577),
    [anon_sym_in] = ACTIONS(1306),
    [anon_sym_out] = ACTIONS(1306),
    [anon_sym_inout] = ACTIONS(1306),
    [anon_sym_virtual] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1309),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1321),
    [anon_sym___based] = ACTIONS(1278),
    [anon_sym___cdecl] = ACTIONS(1278),
    [anon_sym___clrcall] = ACTIONS(1278),
    [anon_sym___stdcall] = ACTIONS(1278),
    [anon_sym___fastcall] = ACTIONS(1278),
    [anon_sym___thiscall] = ACTIONS(1278),
    [anon_sym___vectorcall] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_register] = ACTIONS(1309),
    [anon_sym_inline] = ACTIONS(1309),
    [anon_sym___inline] = ACTIONS(1309),
    [anon_sym___inline__] = ACTIONS(1309),
    [anon_sym___forceinline] = ACTIONS(1309),
    [anon_sym_thread_local] = ACTIONS(1309),
    [anon_sym___thread] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1333),
    [anon_sym_constexpr] = ACTIONS(1333),
    [anon_sym_volatile] = ACTIONS(1333),
    [anon_sym_restrict] = ACTIONS(1333),
    [anon_sym___restrict__] = ACTIONS(1333),
    [anon_sym__Atomic] = ACTIONS(1333),
    [anon_sym__Noreturn] = ACTIONS(1333),
    [anon_sym_noreturn] = ACTIONS(1333),
    [anon_sym__Nonnull] = ACTIONS(1333),
    [anon_sym_mutable] = ACTIONS(1333),
    [anon_sym_constinit] = ACTIONS(1333),
    [anon_sym_consteval] = ACTIONS(1333),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_class] = ACTIONS(1345),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1583),
    [anon_sym_else] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1586),
    [anon_sym_case] = ACTIONS(1278),
    [anon_sym_default] = ACTIONS(1278),
    [anon_sym_while] = ACTIONS(1589),
    [anon_sym_do] = ACTIONS(1592),
    [anon_sym_for] = ACTIONS(1595),
    [anon_sym_return] = ACTIONS(1598),
    [anon_sym_break] = ACTIONS(1601),
    [anon_sym_continue] = ACTIONS(1604),
    [anon_sym_goto] = ACTIONS(1607),
    [anon_sym___try] = ACTIONS(1610),
    [anon_sym___leave] = ACTIONS(1613),
    [anon_sym_not] = ACTIONS(1286),
    [anon_sym_compl] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1393),
    [anon_sym___alignof] = ACTIONS(1393),
    [anon_sym__alignof] = ACTIONS(1393),
    [anon_sym_alignof] = ACTIONS(1393),
    [anon_sym__Alignof] = ACTIONS(1393),
    [anon_sym_offsetof] = ACTIONS(1396),
    [anon_sym__Generic] = ACTIONS(1399),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [anon_sym___asm] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1405),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1411),
    [anon_sym_u_DQUOTE] = ACTIONS(1411),
    [anon_sym_U_DQUOTE] = ACTIONS(1411),
    [anon_sym_u8_DQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1417),
    [anon_sym_nullptr] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1420),
    [anon_sym_decltype] = ACTIONS(1423),
    [anon_sym_explicit] = ACTIONS(1278),
    [anon_sym_typename] = ACTIONS(1426),
    [anon_sym_template] = ACTIONS(1429),
    [anon_sym_operator] = ACTIONS(1278),
    [anon_sym_try] = ACTIONS(1616),
    [anon_sym_delete] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1619),
    [anon_sym_namespace] = ACTIONS(1278),
    [anon_sym_using] = ACTIONS(1278),
    [anon_sym_static_assert] = ACTIONS(1278),
    [anon_sym_concept] = ACTIONS(1278),
    [anon_sym_co_return] = ACTIONS(1622),
    [anon_sym_co_yield] = ACTIONS(1625),
    [anon_sym_R_DQUOTE] = ACTIONS(1447),
    [anon_sym_LR_DQUOTE] = ACTIONS(1447),
    [anon_sym_uR_DQUOTE] = ACTIONS(1447),
    [anon_sym_UR_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1447),
    [anon_sym_co_await] = ACTIONS(1450),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_requires] = ACTIONS(1456),
    [sym_this] = ACTIONS(1414),
    [anon_sym_discard] = ACTIONS(1628),
    [anon_sym_precise] = ACTIONS(1462),
    [anon_sym_shared] = ACTIONS(1462),
    [anon_sym_groupshared] = ACTIONS(1462),
    [anon_sym_uniform] = ACTIONS(1462),
    [anon_sym_row_major] = ACTIONS(1462),
    [anon_sym_column_major] = ACTIONS(1462),
    [anon_sym_globallycoherent] = ACTIONS(1462),
    [anon_sym_centroid] = ACTIONS(1462),
    [anon_sym_noperspective] = ACTIONS(1462),
    [anon_sym_nointerpolation] = ACTIONS(1462),
    [anon_sym_sample] = ACTIONS(1462),
    [anon_sym_linear] = ACTIONS(1462),
    [anon_sym_snorm] = ACTIONS(1462),
    [anon_sym_unorm] = ACTIONS(1462),
    [anon_sym_point] = ACTIONS(1462),
    [anon_sym_line] = ACTIONS(1462),
    [anon_sym_triangleadj] = ACTIONS(1462),
    [anon_sym_lineadj] = ACTIONS(1462),
    [anon_sym_triangle] = ACTIONS(1462),
    [anon_sym_cbuffer] = ACTIONS(1631),
  },
  [96] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(99),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(99),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [sym_identifier] = ACTIONS(1564),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(1566),
    [anon_sym_typedef] = ACTIONS(781),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1468),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1468),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1468),
    [anon_sym_static_assert] = ACTIONS(1468),
    [anon_sym_concept] = ACTIONS(1468),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [97] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5378),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(95),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(95),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1472),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1472),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1472),
    [anon_sym_using] = ACTIONS(1472),
    [anon_sym_static_assert] = ACTIONS(1472),
    [anon_sym_concept] = ACTIONS(1472),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [98] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(99),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(99),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [sym_identifier] = ACTIONS(1564),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(1566),
    [anon_sym_typedef] = ACTIONS(781),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1472),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1472),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(1472),
    [anon_sym_using] = ACTIONS(1472),
    [anon_sym_static_assert] = ACTIONS(1472),
    [anon_sym_concept] = ACTIONS(1472),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [99] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(99),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(99),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [sym_identifier] = ACTIONS(1634),
    [aux_sym_preproc_include_token1] = ACTIONS(1278),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1278),
    [sym_preproc_directive] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1283),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP_AMP] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1637),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1306),
    [anon_sym_out] = ACTIONS(1306),
    [anon_sym_inout] = ACTIONS(1306),
    [anon_sym_virtual] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1309),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1321),
    [anon_sym___based] = ACTIONS(1278),
    [anon_sym___cdecl] = ACTIONS(1278),
    [anon_sym___clrcall] = ACTIONS(1278),
    [anon_sym___stdcall] = ACTIONS(1278),
    [anon_sym___fastcall] = ACTIONS(1278),
    [anon_sym___thiscall] = ACTIONS(1278),
    [anon_sym___vectorcall] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_register] = ACTIONS(1309),
    [anon_sym_inline] = ACTIONS(1309),
    [anon_sym___inline] = ACTIONS(1309),
    [anon_sym___inline__] = ACTIONS(1309),
    [anon_sym___forceinline] = ACTIONS(1309),
    [anon_sym_thread_local] = ACTIONS(1309),
    [anon_sym___thread] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1333),
    [anon_sym_constexpr] = ACTIONS(1333),
    [anon_sym_volatile] = ACTIONS(1333),
    [anon_sym_restrict] = ACTIONS(1333),
    [anon_sym___restrict__] = ACTIONS(1333),
    [anon_sym__Atomic] = ACTIONS(1333),
    [anon_sym__Noreturn] = ACTIONS(1333),
    [anon_sym_noreturn] = ACTIONS(1333),
    [anon_sym__Nonnull] = ACTIONS(1333),
    [anon_sym_mutable] = ACTIONS(1333),
    [anon_sym_constinit] = ACTIONS(1333),
    [anon_sym_consteval] = ACTIONS(1333),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_class] = ACTIONS(1345),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_else] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1652),
    [anon_sym_case] = ACTIONS(1278),
    [anon_sym_default] = ACTIONS(1278),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1664),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1670),
    [anon_sym_goto] = ACTIONS(1673),
    [anon_sym___try] = ACTIONS(1676),
    [anon_sym___leave] = ACTIONS(1679),
    [anon_sym_not] = ACTIONS(1286),
    [anon_sym_compl] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1393),
    [anon_sym___alignof] = ACTIONS(1393),
    [anon_sym__alignof] = ACTIONS(1393),
    [anon_sym_alignof] = ACTIONS(1393),
    [anon_sym__Alignof] = ACTIONS(1393),
    [anon_sym_offsetof] = ACTIONS(1396),
    [anon_sym__Generic] = ACTIONS(1399),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [anon_sym___asm] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1405),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1411),
    [anon_sym_u_DQUOTE] = ACTIONS(1411),
    [anon_sym_U_DQUOTE] = ACTIONS(1411),
    [anon_sym_u8_DQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1417),
    [anon_sym_nullptr] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1420),
    [anon_sym_decltype] = ACTIONS(1423),
    [anon_sym_explicit] = ACTIONS(1278),
    [anon_sym_typename] = ACTIONS(1426),
    [anon_sym_template] = ACTIONS(1429),
    [anon_sym_operator] = ACTIONS(1278),
    [anon_sym_try] = ACTIONS(1682),
    [anon_sym_delete] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_namespace] = ACTIONS(1278),
    [anon_sym_using] = ACTIONS(1278),
    [anon_sym_static_assert] = ACTIONS(1278),
    [anon_sym_concept] = ACTIONS(1278),
    [anon_sym_co_return] = ACTIONS(1688),
    [anon_sym_co_yield] = ACTIONS(1691),
    [anon_sym_R_DQUOTE] = ACTIONS(1447),
    [anon_sym_LR_DQUOTE] = ACTIONS(1447),
    [anon_sym_uR_DQUOTE] = ACTIONS(1447),
    [anon_sym_UR_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1447),
    [anon_sym_co_await] = ACTIONS(1450),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_requires] = ACTIONS(1456),
    [sym_this] = ACTIONS(1414),
    [anon_sym_discard] = ACTIONS(1694),
    [anon_sym_precise] = ACTIONS(1462),
    [anon_sym_shared] = ACTIONS(1462),
    [anon_sym_groupshared] = ACTIONS(1462),
    [anon_sym_uniform] = ACTIONS(1462),
    [anon_sym_row_major] = ACTIONS(1462),
    [anon_sym_column_major] = ACTIONS(1462),
    [anon_sym_globallycoherent] = ACTIONS(1462),
    [anon_sym_centroid] = ACTIONS(1462),
    [anon_sym_noperspective] = ACTIONS(1462),
    [anon_sym_nointerpolation] = ACTIONS(1462),
    [anon_sym_sample] = ACTIONS(1462),
    [anon_sym_linear] = ACTIONS(1462),
    [anon_sym_snorm] = ACTIONS(1462),
    [anon_sym_unorm] = ACTIONS(1462),
    [anon_sym_point] = ACTIONS(1462),
    [anon_sym_line] = ACTIONS(1462),
    [anon_sym_triangleadj] = ACTIONS(1462),
    [anon_sym_lineadj] = ACTIONS(1462),
    [anon_sym_triangle] = ACTIONS(1462),
    [anon_sym_cbuffer] = ACTIONS(1697),
  },
  [100] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5378),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(91),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(91),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1476),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1476),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1476),
    [anon_sym_static_assert] = ACTIONS(1476),
    [anon_sym_concept] = ACTIONS(1476),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [101] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5435),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(89),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(89),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(1494),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1476),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(1476),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_namespace] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1476),
    [anon_sym_static_assert] = ACTIONS(1476),
    [anon_sym_concept] = ACTIONS(1476),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [102] = {
    [sym_declaration] = STATE(511),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5435),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(511),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4599),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7881),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1494),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [103] = {
    [sym_declaration] = STATE(455),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(438),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(455),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1564),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [104] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5419),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(105),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(105),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(1706),
    [anon_sym_typedef] = ACTIONS(1708),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [105] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5419),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(109),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(109),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(1706),
    [anon_sym_typedef] = ACTIONS(1708),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [106] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5419),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(108),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(108),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(1706),
    [anon_sym_typedef] = ACTIONS(1708),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [107] = {
    [sym_declaration] = STATE(1067),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5419),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(1034),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1067),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [108] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5419),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(109),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(109),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(1706),
    [anon_sym_typedef] = ACTIONS(1708),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_else] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [109] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5419),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(109),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(109),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1283),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1753),
    [anon_sym___extension__] = ACTIONS(1756),
    [anon_sym_typedef] = ACTIONS(1759),
    [anon_sym_in] = ACTIONS(1306),
    [anon_sym_out] = ACTIONS(1306),
    [anon_sym_inout] = ACTIONS(1306),
    [anon_sym_virtual] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1309),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_register] = ACTIONS(1309),
    [anon_sym_inline] = ACTIONS(1309),
    [anon_sym___inline] = ACTIONS(1309),
    [anon_sym___inline__] = ACTIONS(1309),
    [anon_sym___forceinline] = ACTIONS(1309),
    [anon_sym_thread_local] = ACTIONS(1309),
    [anon_sym___thread] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1333),
    [anon_sym_constexpr] = ACTIONS(1333),
    [anon_sym_volatile] = ACTIONS(1333),
    [anon_sym_restrict] = ACTIONS(1333),
    [anon_sym___restrict__] = ACTIONS(1333),
    [anon_sym__Atomic] = ACTIONS(1333),
    [anon_sym__Noreturn] = ACTIONS(1333),
    [anon_sym_noreturn] = ACTIONS(1333),
    [anon_sym__Nonnull] = ACTIONS(1333),
    [anon_sym_mutable] = ACTIONS(1333),
    [anon_sym_constinit] = ACTIONS(1333),
    [anon_sym_consteval] = ACTIONS(1333),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_class] = ACTIONS(1345),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_else] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1768),
    [anon_sym_while] = ACTIONS(1771),
    [anon_sym_do] = ACTIONS(1774),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_return] = ACTIONS(1780),
    [anon_sym_break] = ACTIONS(1783),
    [anon_sym_continue] = ACTIONS(1786),
    [anon_sym_goto] = ACTIONS(1789),
    [anon_sym___try] = ACTIONS(1792),
    [anon_sym___leave] = ACTIONS(1795),
    [anon_sym_not] = ACTIONS(1286),
    [anon_sym_compl] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1393),
    [anon_sym___alignof] = ACTIONS(1393),
    [anon_sym__alignof] = ACTIONS(1393),
    [anon_sym_alignof] = ACTIONS(1393),
    [anon_sym__Alignof] = ACTIONS(1393),
    [anon_sym_offsetof] = ACTIONS(1396),
    [anon_sym__Generic] = ACTIONS(1399),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [anon_sym___asm] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1405),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1411),
    [anon_sym_u_DQUOTE] = ACTIONS(1411),
    [anon_sym_U_DQUOTE] = ACTIONS(1411),
    [anon_sym_u8_DQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1417),
    [anon_sym_nullptr] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1420),
    [anon_sym_decltype] = ACTIONS(1423),
    [anon_sym_typename] = ACTIONS(1426),
    [anon_sym_template] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(1798),
    [anon_sym_delete] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1801),
    [anon_sym_co_return] = ACTIONS(1804),
    [anon_sym_co_yield] = ACTIONS(1807),
    [anon_sym_R_DQUOTE] = ACTIONS(1447),
    [anon_sym_LR_DQUOTE] = ACTIONS(1447),
    [anon_sym_uR_DQUOTE] = ACTIONS(1447),
    [anon_sym_UR_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1447),
    [anon_sym_co_await] = ACTIONS(1450),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_requires] = ACTIONS(1456),
    [sym_this] = ACTIONS(1414),
    [anon_sym_discard] = ACTIONS(1810),
    [anon_sym_precise] = ACTIONS(1462),
    [anon_sym_shared] = ACTIONS(1462),
    [anon_sym_groupshared] = ACTIONS(1462),
    [anon_sym_uniform] = ACTIONS(1462),
    [anon_sym_row_major] = ACTIONS(1462),
    [anon_sym_column_major] = ACTIONS(1462),
    [anon_sym_globallycoherent] = ACTIONS(1462),
    [anon_sym_centroid] = ACTIONS(1462),
    [anon_sym_noperspective] = ACTIONS(1462),
    [anon_sym_nointerpolation] = ACTIONS(1462),
    [anon_sym_sample] = ACTIONS(1462),
    [anon_sym_linear] = ACTIONS(1462),
    [anon_sym_snorm] = ACTIONS(1462),
    [anon_sym_unorm] = ACTIONS(1462),
    [anon_sym_point] = ACTIONS(1462),
    [anon_sym_line] = ACTIONS(1462),
    [anon_sym_triangleadj] = ACTIONS(1462),
    [anon_sym_lineadj] = ACTIONS(1462),
    [anon_sym_triangle] = ACTIONS(1462),
    [anon_sym_cbuffer] = ACTIONS(1813),
  },
  [110] = {
    [sym_declaration] = STATE(557),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5378),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(467),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(557),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [111] = {
    [sym_declaration] = STATE(511),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5435),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(511),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1494),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [112] = {
    [sym_declaration] = STATE(557),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5378),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(557),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1816),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [113] = {
    [sym_declaration] = STATE(231),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5393),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(1022),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(211),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(231),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_qualifiers] = STATE(2008),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [114] = {
    [sym_declaration] = STATE(376),
    [sym_type_definition] = STATE(2626),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5380),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_expression_statement] = STATE(2626),
    [sym__for_statement_body] = STATE(8857),
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8471),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_alias_declaration] = STATE(2626),
    [sym__for_range_loop_body] = STATE(8204),
    [sym_init_statement] = STATE(1975),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym___extension__] = ACTIONS(1832),
    [anon_sym_typedef] = ACTIONS(1834),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1840),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [115] = {
    [sym_declaration] = STATE(376),
    [sym_type_definition] = STATE(2626),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5380),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_expression_statement] = STATE(2626),
    [sym__for_statement_body] = STATE(8850),
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8471),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_alias_declaration] = STATE(2626),
    [sym__for_range_loop_body] = STATE(8852),
    [sym_init_statement] = STATE(1975),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym___extension__] = ACTIONS(1832),
    [anon_sym_typedef] = ACTIONS(1834),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1840),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [116] = {
    [sym_declaration] = STATE(376),
    [sym_type_definition] = STATE(2626),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5380),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_expression_statement] = STATE(2626),
    [sym__for_statement_body] = STATE(8163),
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8471),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_alias_declaration] = STATE(2626),
    [sym__for_range_loop_body] = STATE(8164),
    [sym_init_statement] = STATE(1975),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym___extension__] = ACTIONS(1832),
    [anon_sym_typedef] = ACTIONS(1834),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1840),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [117] = {
    [sym_declaration] = STATE(376),
    [sym_type_definition] = STATE(2626),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5380),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_expression_statement] = STATE(2626),
    [sym__for_statement_body] = STATE(8319),
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8471),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_alias_declaration] = STATE(2626),
    [sym__for_range_loop_body] = STATE(8553),
    [sym_init_statement] = STATE(1975),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym___extension__] = ACTIONS(1832),
    [anon_sym_typedef] = ACTIONS(1834),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1840),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [118] = {
    [sym_declaration] = STATE(376),
    [sym_type_definition] = STATE(2626),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5380),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_expression_statement] = STATE(2626),
    [sym__for_statement_body] = STATE(8447),
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8471),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_alias_declaration] = STATE(2626),
    [sym__for_range_loop_body] = STATE(8452),
    [sym_init_statement] = STATE(1975),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym___extension__] = ACTIONS(1832),
    [anon_sym_typedef] = ACTIONS(1834),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1840),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [119] = {
    [sym_declaration] = STATE(376),
    [sym_type_definition] = STATE(2626),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5380),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_expression_statement] = STATE(2626),
    [sym__for_statement_body] = STATE(8858),
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8471),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_alias_declaration] = STATE(2626),
    [sym__for_range_loop_body] = STATE(8863),
    [sym_init_statement] = STATE(1975),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym___extension__] = ACTIONS(1832),
    [anon_sym_typedef] = ACTIONS(1834),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1840),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [120] = {
    [sym_declaration] = STATE(1140),
    [sym_type_definition] = STATE(1140),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5376),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_expression_statement] = STATE(1140),
    [sym_expression] = STATE(4524),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(7933),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_alias_declaration] = STATE(1140),
    [sym_init_statement] = STATE(134),
    [sym_condition_declaration] = STATE(8786),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(1706),
    [anon_sym_typedef] = ACTIONS(1708),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1842),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [121] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7275),
    [sym_expression] = STATE(3548),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8010),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7275),
    [sym_variadic_parameter_declaration] = STATE(7275),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8746),
    [sym__unary_right_fold] = STATE(8750),
    [sym__binary_fold] = STATE(8775),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5754),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3701),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_RPAREN] = ACTIONS(1848),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(1858),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1864),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [122] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_compound_statement] = STATE(7534),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7370),
    [sym_expression] = STATE(4538),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7534),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7370),
    [sym_variadic_parameter_declaration] = STATE(7370),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5759),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_RPAREN] = ACTIONS(1912),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [123] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7275),
    [sym_expression] = STATE(3519),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8010),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7275),
    [sym_variadic_parameter_declaration] = STATE(7275),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8566),
    [sym__unary_right_fold] = STATE(8577),
    [sym__binary_fold] = STATE(8580),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5754),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3701),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_RPAREN] = ACTIONS(1848),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(1858),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1864),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7275),
    [sym_expression] = STATE(3529),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8010),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7275),
    [sym_variadic_parameter_declaration] = STATE(7275),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5754),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3701),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_RPAREN] = ACTIONS(1848),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(1858),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1864),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [125] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7275),
    [sym_expression] = STATE(3499),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8010),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7275),
    [sym_variadic_parameter_declaration] = STATE(7275),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5754),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3701),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_RPAREN] = ACTIONS(1848),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(1858),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1864),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [126] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7275),
    [sym_expression] = STATE(3510),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8010),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7275),
    [sym_variadic_parameter_declaration] = STATE(7275),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8545),
    [sym__unary_right_fold] = STATE(8547),
    [sym__binary_fold] = STATE(8561),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5754),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3701),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_RPAREN] = ACTIONS(1848),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(1858),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1864),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [127] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7275),
    [sym_expression] = STATE(3582),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8010),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7275),
    [sym_variadic_parameter_declaration] = STATE(7275),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8800),
    [sym__unary_right_fold] = STATE(8804),
    [sym__binary_fold] = STATE(8806),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5754),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3701),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_RPAREN] = ACTIONS(1848),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(1858),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(1864),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [128] = {
    [sym_declaration] = STATE(1354),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5377),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__for_statement_body] = STATE(8189),
    [sym_expression] = STATE(4754),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8146),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [129] = {
    [sym_declaration] = STATE(1354),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5377),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__for_statement_body] = STATE(8112),
    [sym_expression] = STATE(4754),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8146),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [130] = {
    [sym_declaration] = STATE(1354),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5377),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__for_statement_body] = STATE(8079),
    [sym_expression] = STATE(4754),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8146),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [131] = {
    [sym_declaration] = STATE(1354),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5377),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__for_statement_body] = STATE(8855),
    [sym_expression] = STATE(4754),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8146),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [132] = {
    [sym_declaration] = STATE(1354),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5377),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__for_statement_body] = STATE(8698),
    [sym_expression] = STATE(4754),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8146),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [133] = {
    [sym_declaration] = STATE(1354),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5377),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__for_statement_body] = STATE(8177),
    [sym_expression] = STATE(4754),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8146),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [134] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_expression] = STATE(4633),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8803),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4044),
    [sym_condition_declaration] = STATE(8803),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5740),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(2396),
    [sym_user_defined_literal] = STATE(3588),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(1700),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1918),
    [aux_sym_preproc_include_token1] = ACTIONS(1918),
    [aux_sym_preproc_def_token1] = ACTIONS(1918),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [aux_sym_preproc_if_token1] = ACTIONS(1918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1918),
    [sym_preproc_directive] = ACTIONS(1918),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_typedef] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym___cdecl] = ACTIONS(1918),
    [anon_sym___clrcall] = ACTIONS(1918),
    [anon_sym___stdcall] = ACTIONS(1918),
    [anon_sym___fastcall] = ACTIONS(1918),
    [anon_sym___thiscall] = ACTIONS(1918),
    [anon_sym___vectorcall] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1918),
    [anon_sym_unsigned] = ACTIONS(1918),
    [anon_sym_long] = ACTIONS(1918),
    [anon_sym_short] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_EQ] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [sym_primitive_type] = ACTIONS(1918),
    [anon_sym_enum] = ACTIONS(1918),
    [anon_sym_class] = ACTIONS(1918),
    [anon_sym_struct] = ACTIONS(1918),
    [anon_sym_union] = ACTIONS(1918),
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(1918),
    [anon_sym_switch] = ACTIONS(1918),
    [anon_sym_case] = ACTIONS(1918),
    [anon_sym_default] = ACTIONS(1918),
    [anon_sym_while] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1918),
    [anon_sym_for] = ACTIONS(1918),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_break] = ACTIONS(1918),
    [anon_sym_continue] = ACTIONS(1918),
    [anon_sym_goto] = ACTIONS(1918),
    [anon_sym___try] = ACTIONS(1918),
    [anon_sym___leave] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_compl] = ACTIONS(1918),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1918),
    [anon_sym___alignof] = ACTIONS(1918),
    [anon_sym__alignof] = ACTIONS(1918),
    [anon_sym_alignof] = ACTIONS(1918),
    [anon_sym__Alignof] = ACTIONS(1918),
    [anon_sym_offsetof] = ACTIONS(1918),
    [anon_sym__Generic] = ACTIONS(1918),
    [anon_sym_asm] = ACTIONS(1918),
    [anon_sym___asm__] = ACTIONS(1918),
    [anon_sym___asm] = ACTIONS(1918),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1918),
    [sym_false] = ACTIONS(1918),
    [anon_sym_NULL] = ACTIONS(1918),
    [anon_sym_nullptr] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_final] = ACTIONS(1918),
    [anon_sym_override] = ACTIONS(1918),
    [anon_sym_explicit] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_GT2] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_try] = ACTIONS(1918),
    [anon_sym_delete] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_namespace] = ACTIONS(1918),
    [anon_sym_using] = ACTIONS(1918),
    [anon_sym_static_assert] = ACTIONS(1918),
    [anon_sym_concept] = ACTIONS(1918),
    [anon_sym_co_return] = ACTIONS(1918),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1918),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1918),
    [anon_sym_discard] = ACTIONS(1918),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
    [anon_sym_cbuffer] = ACTIONS(1918),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(1924),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_EQ] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [anon_sym___asm] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1924),
    [anon_sym_u_SQUOTE] = ACTIONS(1924),
    [anon_sym_U_SQUOTE] = ACTIONS(1924),
    [anon_sym_u8_SQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1924),
    [anon_sym_L_DQUOTE] = ACTIONS(1924),
    [anon_sym_u_DQUOTE] = ACTIONS(1924),
    [anon_sym_U_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8_DQUOTE] = ACTIONS(1924),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_GT2] = ACTIONS(1924),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1924),
    [anon_sym_LR_DQUOTE] = ACTIONS(1924),
    [anon_sym_uR_DQUOTE] = ACTIONS(1924),
    [anon_sym_UR_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1924),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
    [anon_sym_discard] = ACTIONS(1922),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
    [anon_sym_cbuffer] = ACTIONS(1922),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1926),
    [aux_sym_preproc_include_token1] = ACTIONS(1926),
    [aux_sym_preproc_def_token1] = ACTIONS(1926),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [aux_sym_preproc_if_token1] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1926),
    [sym_preproc_directive] = ACTIONS(1926),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_typedef] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym___cdecl] = ACTIONS(1926),
    [anon_sym___clrcall] = ACTIONS(1926),
    [anon_sym___stdcall] = ACTIONS(1926),
    [anon_sym___fastcall] = ACTIONS(1926),
    [anon_sym___thiscall] = ACTIONS(1926),
    [anon_sym___vectorcall] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_RBRACE] = ACTIONS(1928),
    [anon_sym_signed] = ACTIONS(1926),
    [anon_sym_unsigned] = ACTIONS(1926),
    [anon_sym_long] = ACTIONS(1926),
    [anon_sym_short] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_EQ] = ACTIONS(1928),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [sym_primitive_type] = ACTIONS(1926),
    [anon_sym_enum] = ACTIONS(1926),
    [anon_sym_class] = ACTIONS(1926),
    [anon_sym_struct] = ACTIONS(1926),
    [anon_sym_union] = ACTIONS(1926),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_else] = ACTIONS(1926),
    [anon_sym_switch] = ACTIONS(1926),
    [anon_sym_case] = ACTIONS(1926),
    [anon_sym_default] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1926),
    [anon_sym_do] = ACTIONS(1926),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_return] = ACTIONS(1926),
    [anon_sym_break] = ACTIONS(1926),
    [anon_sym_continue] = ACTIONS(1926),
    [anon_sym_goto] = ACTIONS(1926),
    [anon_sym___try] = ACTIONS(1926),
    [anon_sym___leave] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(1926),
    [anon_sym___alignof__] = ACTIONS(1926),
    [anon_sym___alignof] = ACTIONS(1926),
    [anon_sym__alignof] = ACTIONS(1926),
    [anon_sym_alignof] = ACTIONS(1926),
    [anon_sym__Alignof] = ACTIONS(1926),
    [anon_sym_offsetof] = ACTIONS(1926),
    [anon_sym__Generic] = ACTIONS(1926),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1928),
    [anon_sym_u_SQUOTE] = ACTIONS(1928),
    [anon_sym_U_SQUOTE] = ACTIONS(1928),
    [anon_sym_u8_SQUOTE] = ACTIONS(1928),
    [anon_sym_SQUOTE] = ACTIONS(1928),
    [anon_sym_L_DQUOTE] = ACTIONS(1928),
    [anon_sym_u_DQUOTE] = ACTIONS(1928),
    [anon_sym_U_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8_DQUOTE] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1928),
    [sym_true] = ACTIONS(1926),
    [sym_false] = ACTIONS(1926),
    [anon_sym_NULL] = ACTIONS(1926),
    [anon_sym_nullptr] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_final] = ACTIONS(1926),
    [anon_sym_override] = ACTIONS(1926),
    [anon_sym_explicit] = ACTIONS(1926),
    [anon_sym_typename] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_GT2] = ACTIONS(1928),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_delete] = ACTIONS(1926),
    [anon_sym_throw] = ACTIONS(1926),
    [anon_sym_namespace] = ACTIONS(1926),
    [anon_sym_using] = ACTIONS(1926),
    [anon_sym_static_assert] = ACTIONS(1926),
    [anon_sym_concept] = ACTIONS(1926),
    [anon_sym_co_return] = ACTIONS(1926),
    [anon_sym_co_yield] = ACTIONS(1926),
    [anon_sym_R_DQUOTE] = ACTIONS(1928),
    [anon_sym_LR_DQUOTE] = ACTIONS(1928),
    [anon_sym_uR_DQUOTE] = ACTIONS(1928),
    [anon_sym_UR_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1928),
    [anon_sym_co_await] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1926),
    [sym_this] = ACTIONS(1926),
    [anon_sym_discard] = ACTIONS(1926),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
    [anon_sym_cbuffer] = ACTIONS(1926),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1930),
    [aux_sym_preproc_include_token1] = ACTIONS(1930),
    [aux_sym_preproc_def_token1] = ACTIONS(1930),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [aux_sym_preproc_if_token1] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1930),
    [sym_preproc_directive] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_typedef] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym___cdecl] = ACTIONS(1930),
    [anon_sym___clrcall] = ACTIONS(1930),
    [anon_sym___stdcall] = ACTIONS(1930),
    [anon_sym___fastcall] = ACTIONS(1930),
    [anon_sym___thiscall] = ACTIONS(1930),
    [anon_sym___vectorcall] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1930),
    [anon_sym_unsigned] = ACTIONS(1930),
    [anon_sym_long] = ACTIONS(1930),
    [anon_sym_short] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_EQ] = ACTIONS(1932),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [sym_primitive_type] = ACTIONS(1930),
    [anon_sym_enum] = ACTIONS(1930),
    [anon_sym_class] = ACTIONS(1930),
    [anon_sym_struct] = ACTIONS(1930),
    [anon_sym_union] = ACTIONS(1930),
    [anon_sym_if] = ACTIONS(1930),
    [anon_sym_else] = ACTIONS(1930),
    [anon_sym_switch] = ACTIONS(1930),
    [anon_sym_case] = ACTIONS(1930),
    [anon_sym_default] = ACTIONS(1930),
    [anon_sym_while] = ACTIONS(1930),
    [anon_sym_do] = ACTIONS(1930),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_return] = ACTIONS(1930),
    [anon_sym_break] = ACTIONS(1930),
    [anon_sym_continue] = ACTIONS(1930),
    [anon_sym_goto] = ACTIONS(1930),
    [anon_sym___try] = ACTIONS(1930),
    [anon_sym___leave] = ACTIONS(1930),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_sizeof] = ACTIONS(1930),
    [anon_sym___alignof__] = ACTIONS(1930),
    [anon_sym___alignof] = ACTIONS(1930),
    [anon_sym__alignof] = ACTIONS(1930),
    [anon_sym_alignof] = ACTIONS(1930),
    [anon_sym__Alignof] = ACTIONS(1930),
    [anon_sym_offsetof] = ACTIONS(1930),
    [anon_sym__Generic] = ACTIONS(1930),
    [anon_sym_asm] = ACTIONS(1930),
    [anon_sym___asm__] = ACTIONS(1930),
    [anon_sym___asm] = ACTIONS(1930),
    [sym_number_literal] = ACTIONS(1932),
    [anon_sym_L_SQUOTE] = ACTIONS(1932),
    [anon_sym_u_SQUOTE] = ACTIONS(1932),
    [anon_sym_U_SQUOTE] = ACTIONS(1932),
    [anon_sym_u8_SQUOTE] = ACTIONS(1932),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [anon_sym_NULL] = ACTIONS(1930),
    [anon_sym_nullptr] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_final] = ACTIONS(1930),
    [anon_sym_override] = ACTIONS(1930),
    [anon_sym_explicit] = ACTIONS(1930),
    [anon_sym_typename] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_GT2] = ACTIONS(1932),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1930),
    [anon_sym_delete] = ACTIONS(1930),
    [anon_sym_throw] = ACTIONS(1930),
    [anon_sym_namespace] = ACTIONS(1930),
    [anon_sym_using] = ACTIONS(1930),
    [anon_sym_static_assert] = ACTIONS(1930),
    [anon_sym_concept] = ACTIONS(1930),
    [anon_sym_co_return] = ACTIONS(1930),
    [anon_sym_co_yield] = ACTIONS(1930),
    [anon_sym_R_DQUOTE] = ACTIONS(1932),
    [anon_sym_LR_DQUOTE] = ACTIONS(1932),
    [anon_sym_uR_DQUOTE] = ACTIONS(1932),
    [anon_sym_UR_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1932),
    [anon_sym_co_await] = ACTIONS(1930),
    [anon_sym_new] = ACTIONS(1930),
    [anon_sym_requires] = ACTIONS(1930),
    [sym_this] = ACTIONS(1930),
    [anon_sym_discard] = ACTIONS(1930),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
    [anon_sym_cbuffer] = ACTIONS(1930),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1934),
    [aux_sym_preproc_include_token1] = ACTIONS(1934),
    [aux_sym_preproc_def_token1] = ACTIONS(1934),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [aux_sym_preproc_if_token1] = ACTIONS(1934),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1934),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1934),
    [sym_preproc_directive] = ACTIONS(1934),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_typedef] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym___cdecl] = ACTIONS(1934),
    [anon_sym___clrcall] = ACTIONS(1934),
    [anon_sym___stdcall] = ACTIONS(1934),
    [anon_sym___fastcall] = ACTIONS(1934),
    [anon_sym___thiscall] = ACTIONS(1934),
    [anon_sym___vectorcall] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_signed] = ACTIONS(1934),
    [anon_sym_unsigned] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_EQ] = ACTIONS(1936),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [sym_primitive_type] = ACTIONS(1934),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_class] = ACTIONS(1934),
    [anon_sym_struct] = ACTIONS(1934),
    [anon_sym_union] = ACTIONS(1934),
    [anon_sym_if] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1934),
    [anon_sym_switch] = ACTIONS(1934),
    [anon_sym_case] = ACTIONS(1934),
    [anon_sym_default] = ACTIONS(1934),
    [anon_sym_while] = ACTIONS(1934),
    [anon_sym_do] = ACTIONS(1934),
    [anon_sym_for] = ACTIONS(1934),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_break] = ACTIONS(1934),
    [anon_sym_continue] = ACTIONS(1934),
    [anon_sym_goto] = ACTIONS(1934),
    [anon_sym___try] = ACTIONS(1934),
    [anon_sym___leave] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1934),
    [anon_sym_compl] = ACTIONS(1934),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_sizeof] = ACTIONS(1934),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1934),
    [anon_sym__Generic] = ACTIONS(1934),
    [anon_sym_asm] = ACTIONS(1934),
    [anon_sym___asm__] = ACTIONS(1934),
    [anon_sym___asm] = ACTIONS(1934),
    [sym_number_literal] = ACTIONS(1936),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1936),
    [anon_sym_u_DQUOTE] = ACTIONS(1936),
    [anon_sym_U_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8_DQUOTE] = ACTIONS(1936),
    [anon_sym_DQUOTE] = ACTIONS(1936),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1934),
    [anon_sym_nullptr] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_final] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_explicit] = ACTIONS(1934),
    [anon_sym_typename] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_GT2] = ACTIONS(1936),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_try] = ACTIONS(1934),
    [anon_sym_delete] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1934),
    [anon_sym_namespace] = ACTIONS(1934),
    [anon_sym_using] = ACTIONS(1934),
    [anon_sym_static_assert] = ACTIONS(1934),
    [anon_sym_concept] = ACTIONS(1934),
    [anon_sym_co_return] = ACTIONS(1934),
    [anon_sym_co_yield] = ACTIONS(1934),
    [anon_sym_R_DQUOTE] = ACTIONS(1936),
    [anon_sym_LR_DQUOTE] = ACTIONS(1936),
    [anon_sym_uR_DQUOTE] = ACTIONS(1936),
    [anon_sym_UR_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1936),
    [anon_sym_co_await] = ACTIONS(1934),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_requires] = ACTIONS(1934),
    [sym_this] = ACTIONS(1934),
    [anon_sym_discard] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
    [anon_sym_cbuffer] = ACTIONS(1934),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1938),
    [aux_sym_preproc_include_token1] = ACTIONS(1938),
    [aux_sym_preproc_def_token1] = ACTIONS(1938),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [aux_sym_preproc_if_token1] = ACTIONS(1938),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1938),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1938),
    [sym_preproc_directive] = ACTIONS(1938),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_typedef] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym___cdecl] = ACTIONS(1938),
    [anon_sym___clrcall] = ACTIONS(1938),
    [anon_sym___stdcall] = ACTIONS(1938),
    [anon_sym___fastcall] = ACTIONS(1938),
    [anon_sym___thiscall] = ACTIONS(1938),
    [anon_sym___vectorcall] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_signed] = ACTIONS(1938),
    [anon_sym_unsigned] = ACTIONS(1938),
    [anon_sym_long] = ACTIONS(1938),
    [anon_sym_short] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_EQ] = ACTIONS(1940),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [sym_primitive_type] = ACTIONS(1938),
    [anon_sym_enum] = ACTIONS(1938),
    [anon_sym_class] = ACTIONS(1938),
    [anon_sym_struct] = ACTIONS(1938),
    [anon_sym_union] = ACTIONS(1938),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_case] = ACTIONS(1938),
    [anon_sym_default] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1938),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_for] = ACTIONS(1938),
    [anon_sym_return] = ACTIONS(1938),
    [anon_sym_break] = ACTIONS(1938),
    [anon_sym_continue] = ACTIONS(1938),
    [anon_sym_goto] = ACTIONS(1938),
    [anon_sym___try] = ACTIONS(1938),
    [anon_sym___leave] = ACTIONS(1938),
    [anon_sym_not] = ACTIONS(1938),
    [anon_sym_compl] = ACTIONS(1938),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1938),
    [anon_sym___alignof] = ACTIONS(1938),
    [anon_sym__alignof] = ACTIONS(1938),
    [anon_sym_alignof] = ACTIONS(1938),
    [anon_sym__Alignof] = ACTIONS(1938),
    [anon_sym_offsetof] = ACTIONS(1938),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1938),
    [anon_sym___asm__] = ACTIONS(1938),
    [anon_sym___asm] = ACTIONS(1938),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1940),
    [anon_sym_u_SQUOTE] = ACTIONS(1940),
    [anon_sym_U_SQUOTE] = ACTIONS(1940),
    [anon_sym_u8_SQUOTE] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1940),
    [anon_sym_L_DQUOTE] = ACTIONS(1940),
    [anon_sym_u_DQUOTE] = ACTIONS(1940),
    [anon_sym_U_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8_DQUOTE] = ACTIONS(1940),
    [anon_sym_DQUOTE] = ACTIONS(1940),
    [sym_true] = ACTIONS(1938),
    [sym_false] = ACTIONS(1938),
    [anon_sym_NULL] = ACTIONS(1938),
    [anon_sym_nullptr] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_final] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_GT2] = ACTIONS(1940),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_try] = ACTIONS(1938),
    [anon_sym_delete] = ACTIONS(1938),
    [anon_sym_throw] = ACTIONS(1938),
    [anon_sym_namespace] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(1938),
    [anon_sym_static_assert] = ACTIONS(1938),
    [anon_sym_concept] = ACTIONS(1938),
    [anon_sym_co_return] = ACTIONS(1938),
    [anon_sym_co_yield] = ACTIONS(1938),
    [anon_sym_R_DQUOTE] = ACTIONS(1940),
    [anon_sym_LR_DQUOTE] = ACTIONS(1940),
    [anon_sym_uR_DQUOTE] = ACTIONS(1940),
    [anon_sym_UR_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1940),
    [anon_sym_co_await] = ACTIONS(1938),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_requires] = ACTIONS(1938),
    [sym_this] = ACTIONS(1938),
    [anon_sym_discard] = ACTIONS(1938),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
    [anon_sym_cbuffer] = ACTIONS(1938),
  },
  [141] = {
    [sym_field_declaration_list] = STATE(203),
    [sym_virtual_specifier] = STATE(7034),
    [sym_base_class_clause] = STATE(8049),
    [sym_identifier] = ACTIONS(1942),
    [aux_sym_preproc_include_token1] = ACTIONS(1942),
    [aux_sym_preproc_def_token1] = ACTIONS(1942),
    [aux_sym_preproc_if_token1] = ACTIONS(1942),
    [aux_sym_preproc_if_token2] = ACTIONS(1942),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1942),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1942),
    [aux_sym_preproc_else_token1] = ACTIONS(1942),
    [aux_sym_preproc_elif_token1] = ACTIONS(1942),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1942),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1942),
    [sym_preproc_directive] = ACTIONS(1942),
    [anon_sym_LPAREN2] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_AMP_AMP] = ACTIONS(1944),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1944),
    [anon_sym___extension__] = ACTIONS(1942),
    [anon_sym_typedef] = ACTIONS(1942),
    [anon_sym_in] = ACTIONS(1942),
    [anon_sym_out] = ACTIONS(1942),
    [anon_sym_inout] = ACTIONS(1942),
    [anon_sym_virtual] = ACTIONS(1942),
    [anon_sym_extern] = ACTIONS(1942),
    [anon_sym___attribute__] = ACTIONS(1942),
    [anon_sym___attribute] = ACTIONS(1942),
    [anon_sym_COLON_COLON] = ACTIONS(1944),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1944),
    [anon_sym___declspec] = ACTIONS(1942),
    [anon_sym___based] = ACTIONS(1942),
    [anon_sym___cdecl] = ACTIONS(1942),
    [anon_sym___clrcall] = ACTIONS(1942),
    [anon_sym___stdcall] = ACTIONS(1942),
    [anon_sym___fastcall] = ACTIONS(1942),
    [anon_sym___thiscall] = ACTIONS(1942),
    [anon_sym___vectorcall] = ACTIONS(1942),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_signed] = ACTIONS(1942),
    [anon_sym_unsigned] = ACTIONS(1942),
    [anon_sym_long] = ACTIONS(1942),
    [anon_sym_short] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_static] = ACTIONS(1942),
    [anon_sym_register] = ACTIONS(1942),
    [anon_sym_inline] = ACTIONS(1942),
    [anon_sym___inline] = ACTIONS(1942),
    [anon_sym___inline__] = ACTIONS(1942),
    [anon_sym___forceinline] = ACTIONS(1942),
    [anon_sym_thread_local] = ACTIONS(1942),
    [anon_sym___thread] = ACTIONS(1942),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_constexpr] = ACTIONS(1942),
    [anon_sym_volatile] = ACTIONS(1942),
    [anon_sym_restrict] = ACTIONS(1942),
    [anon_sym___restrict__] = ACTIONS(1942),
    [anon_sym__Atomic] = ACTIONS(1942),
    [anon_sym__Noreturn] = ACTIONS(1942),
    [anon_sym_noreturn] = ACTIONS(1942),
    [anon_sym__Nonnull] = ACTIONS(1942),
    [anon_sym_mutable] = ACTIONS(1942),
    [anon_sym_constinit] = ACTIONS(1942),
    [anon_sym_consteval] = ACTIONS(1942),
    [anon_sym_alignas] = ACTIONS(1942),
    [anon_sym__Alignas] = ACTIONS(1942),
    [sym_primitive_type] = ACTIONS(1942),
    [anon_sym_enum] = ACTIONS(1942),
    [anon_sym_class] = ACTIONS(1942),
    [anon_sym_struct] = ACTIONS(1942),
    [anon_sym_union] = ACTIONS(1942),
    [anon_sym_if] = ACTIONS(1942),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_switch] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1942),
    [anon_sym_default] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1942),
    [anon_sym_return] = ACTIONS(1942),
    [anon_sym_break] = ACTIONS(1942),
    [anon_sym_continue] = ACTIONS(1942),
    [anon_sym_goto] = ACTIONS(1942),
    [anon_sym___try] = ACTIONS(1942),
    [anon_sym___leave] = ACTIONS(1942),
    [anon_sym_not] = ACTIONS(1942),
    [anon_sym_compl] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1944),
    [anon_sym_sizeof] = ACTIONS(1942),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1942),
    [anon_sym__Generic] = ACTIONS(1942),
    [anon_sym_asm] = ACTIONS(1942),
    [anon_sym___asm__] = ACTIONS(1942),
    [anon_sym___asm] = ACTIONS(1942),
    [sym_number_literal] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1944),
    [anon_sym_u_SQUOTE] = ACTIONS(1944),
    [anon_sym_U_SQUOTE] = ACTIONS(1944),
    [anon_sym_u8_SQUOTE] = ACTIONS(1944),
    [anon_sym_SQUOTE] = ACTIONS(1944),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1942),
    [sym_false] = ACTIONS(1942),
    [anon_sym_NULL] = ACTIONS(1942),
    [anon_sym_nullptr] = ACTIONS(1942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1942),
    [anon_sym_decltype] = ACTIONS(1942),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1942),
    [anon_sym_typename] = ACTIONS(1942),
    [anon_sym_template] = ACTIONS(1942),
    [anon_sym_operator] = ACTIONS(1942),
    [anon_sym_try] = ACTIONS(1942),
    [anon_sym_delete] = ACTIONS(1942),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_namespace] = ACTIONS(1942),
    [anon_sym_using] = ACTIONS(1942),
    [anon_sym_static_assert] = ACTIONS(1942),
    [anon_sym_concept] = ACTIONS(1942),
    [anon_sym_co_return] = ACTIONS(1942),
    [anon_sym_co_yield] = ACTIONS(1942),
    [anon_sym_R_DQUOTE] = ACTIONS(1944),
    [anon_sym_LR_DQUOTE] = ACTIONS(1944),
    [anon_sym_uR_DQUOTE] = ACTIONS(1944),
    [anon_sym_UR_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1944),
    [anon_sym_co_await] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1942),
    [anon_sym_requires] = ACTIONS(1942),
    [sym_this] = ACTIONS(1942),
    [anon_sym_discard] = ACTIONS(1942),
    [anon_sym_precise] = ACTIONS(1942),
    [anon_sym_shared] = ACTIONS(1942),
    [anon_sym_groupshared] = ACTIONS(1942),
    [anon_sym_uniform] = ACTIONS(1942),
    [anon_sym_row_major] = ACTIONS(1942),
    [anon_sym_column_major] = ACTIONS(1942),
    [anon_sym_globallycoherent] = ACTIONS(1942),
    [anon_sym_centroid] = ACTIONS(1942),
    [anon_sym_noperspective] = ACTIONS(1942),
    [anon_sym_nointerpolation] = ACTIONS(1942),
    [anon_sym_sample] = ACTIONS(1942),
    [anon_sym_linear] = ACTIONS(1942),
    [anon_sym_snorm] = ACTIONS(1942),
    [anon_sym_unorm] = ACTIONS(1942),
    [anon_sym_point] = ACTIONS(1942),
    [anon_sym_line] = ACTIONS(1942),
    [anon_sym_triangleadj] = ACTIONS(1942),
    [anon_sym_lineadj] = ACTIONS(1942),
    [anon_sym_triangle] = ACTIONS(1942),
    [anon_sym_cbuffer] = ACTIONS(1942),
  },
  [142] = {
    [sym_field_declaration_list] = STATE(219),
    [sym_virtual_specifier] = STATE(7249),
    [sym_base_class_clause] = STATE(7958),
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [aux_sym_preproc_else_token1] = ACTIONS(1952),
    [aux_sym_preproc_elif_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_in] = ACTIONS(1952),
    [anon_sym_out] = ACTIONS(1952),
    [anon_sym_inout] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym___attribute] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
    [anon_sym_discard] = ACTIONS(1952),
    [anon_sym_precise] = ACTIONS(1952),
    [anon_sym_shared] = ACTIONS(1952),
    [anon_sym_groupshared] = ACTIONS(1952),
    [anon_sym_uniform] = ACTIONS(1952),
    [anon_sym_row_major] = ACTIONS(1952),
    [anon_sym_column_major] = ACTIONS(1952),
    [anon_sym_globallycoherent] = ACTIONS(1952),
    [anon_sym_centroid] = ACTIONS(1952),
    [anon_sym_noperspective] = ACTIONS(1952),
    [anon_sym_nointerpolation] = ACTIONS(1952),
    [anon_sym_sample] = ACTIONS(1952),
    [anon_sym_linear] = ACTIONS(1952),
    [anon_sym_snorm] = ACTIONS(1952),
    [anon_sym_unorm] = ACTIONS(1952),
    [anon_sym_point] = ACTIONS(1952),
    [anon_sym_line] = ACTIONS(1952),
    [anon_sym_triangleadj] = ACTIONS(1952),
    [anon_sym_lineadj] = ACTIONS(1952),
    [anon_sym_triangle] = ACTIONS(1952),
    [anon_sym_cbuffer] = ACTIONS(1952),
  },
  [143] = {
    [ts_builtin_sym_end] = ACTIONS(1956),
    [sym_identifier] = ACTIONS(1958),
    [aux_sym_preproc_include_token1] = ACTIONS(1958),
    [aux_sym_preproc_def_token1] = ACTIONS(1958),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_RPAREN] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [sym_preproc_directive] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1956),
    [anon_sym_BANG] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1958),
    [anon_sym_PLUS] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_PIPE_PIPE] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1958),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_typedef] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_out] = ACTIONS(1958),
    [anon_sym_inout] = ACTIONS(1958),
    [anon_sym_virtual] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym___attribute] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1956),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1956),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym___based] = ACTIONS(1958),
    [anon_sym___cdecl] = ACTIONS(1958),
    [anon_sym___clrcall] = ACTIONS(1958),
    [anon_sym___stdcall] = ACTIONS(1958),
    [anon_sym___fastcall] = ACTIONS(1958),
    [anon_sym___thiscall] = ACTIONS(1958),
    [anon_sym___vectorcall] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [anon_sym__Nonnull] = ACTIONS(1958),
    [anon_sym_mutable] = ACTIONS(1958),
    [anon_sym_constinit] = ACTIONS(1958),
    [anon_sym_consteval] = ACTIONS(1958),
    [anon_sym_alignas] = ACTIONS(1958),
    [anon_sym__Alignas] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_class] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [anon_sym_if] = ACTIONS(1958),
    [anon_sym_else] = ACTIONS(1958),
    [anon_sym_switch] = ACTIONS(1958),
    [anon_sym_case] = ACTIONS(1958),
    [anon_sym_default] = ACTIONS(1958),
    [anon_sym_while] = ACTIONS(1958),
    [anon_sym_do] = ACTIONS(1958),
    [anon_sym_for] = ACTIONS(1958),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_break] = ACTIONS(1958),
    [anon_sym_continue] = ACTIONS(1958),
    [anon_sym_goto] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1958),
    [anon_sym___except] = ACTIONS(1958),
    [anon_sym___finally] = ACTIONS(1958),
    [anon_sym___leave] = ACTIONS(1958),
    [anon_sym_not] = ACTIONS(1958),
    [anon_sym_compl] = ACTIONS(1958),
    [anon_sym_or] = ACTIONS(1958),
    [anon_sym_and] = ACTIONS(1958),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_sizeof] = ACTIONS(1958),
    [anon_sym___alignof__] = ACTIONS(1958),
    [anon_sym___alignof] = ACTIONS(1958),
    [anon_sym__alignof] = ACTIONS(1958),
    [anon_sym_alignof] = ACTIONS(1958),
    [anon_sym__Alignof] = ACTIONS(1958),
    [anon_sym_offsetof] = ACTIONS(1958),
    [anon_sym__Generic] = ACTIONS(1958),
    [anon_sym_asm] = ACTIONS(1958),
    [anon_sym___asm__] = ACTIONS(1958),
    [anon_sym___asm] = ACTIONS(1958),
    [sym_number_literal] = ACTIONS(1956),
    [anon_sym_L_SQUOTE] = ACTIONS(1956),
    [anon_sym_u_SQUOTE] = ACTIONS(1956),
    [anon_sym_U_SQUOTE] = ACTIONS(1956),
    [anon_sym_u8_SQUOTE] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1956),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1958),
    [anon_sym_nullptr] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1958),
    [anon_sym_decltype] = ACTIONS(1958),
    [anon_sym_final] = ACTIONS(1958),
    [anon_sym_override] = ACTIONS(1958),
    [anon_sym_explicit] = ACTIONS(1958),
    [anon_sym_typename] = ACTIONS(1958),
    [anon_sym_template] = ACTIONS(1958),
    [anon_sym_operator] = ACTIONS(1958),
    [anon_sym_try] = ACTIONS(1958),
    [anon_sym_delete] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1958),
    [anon_sym_namespace] = ACTIONS(1958),
    [anon_sym_using] = ACTIONS(1958),
    [anon_sym_static_assert] = ACTIONS(1958),
    [anon_sym_concept] = ACTIONS(1958),
    [anon_sym_co_return] = ACTIONS(1958),
    [anon_sym_co_yield] = ACTIONS(1958),
    [anon_sym_catch] = ACTIONS(1958),
    [anon_sym_R_DQUOTE] = ACTIONS(1956),
    [anon_sym_LR_DQUOTE] = ACTIONS(1956),
    [anon_sym_uR_DQUOTE] = ACTIONS(1956),
    [anon_sym_UR_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1956),
    [anon_sym_co_await] = ACTIONS(1958),
    [anon_sym_new] = ACTIONS(1958),
    [anon_sym_requires] = ACTIONS(1958),
    [sym_this] = ACTIONS(1958),
    [anon_sym_discard] = ACTIONS(1958),
    [anon_sym_precise] = ACTIONS(1958),
    [anon_sym_shared] = ACTIONS(1958),
    [anon_sym_groupshared] = ACTIONS(1958),
    [anon_sym_uniform] = ACTIONS(1958),
    [anon_sym_row_major] = ACTIONS(1958),
    [anon_sym_column_major] = ACTIONS(1958),
    [anon_sym_globallycoherent] = ACTIONS(1958),
    [anon_sym_centroid] = ACTIONS(1958),
    [anon_sym_noperspective] = ACTIONS(1958),
    [anon_sym_nointerpolation] = ACTIONS(1958),
    [anon_sym_sample] = ACTIONS(1958),
    [anon_sym_linear] = ACTIONS(1958),
    [anon_sym_snorm] = ACTIONS(1958),
    [anon_sym_unorm] = ACTIONS(1958),
    [anon_sym_point] = ACTIONS(1958),
    [anon_sym_line] = ACTIONS(1958),
    [anon_sym_triangleadj] = ACTIONS(1958),
    [anon_sym_lineadj] = ACTIONS(1958),
    [anon_sym_triangle] = ACTIONS(1958),
    [anon_sym_cbuffer] = ACTIONS(1958),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1960),
    [aux_sym_preproc_include_token1] = ACTIONS(1960),
    [aux_sym_preproc_def_token1] = ACTIONS(1960),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [aux_sym_preproc_if_token1] = ACTIONS(1960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1960),
    [sym_preproc_directive] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_typedef] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym___cdecl] = ACTIONS(1960),
    [anon_sym___clrcall] = ACTIONS(1960),
    [anon_sym___stdcall] = ACTIONS(1960),
    [anon_sym___fastcall] = ACTIONS(1960),
    [anon_sym___thiscall] = ACTIONS(1960),
    [anon_sym___vectorcall] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_signed] = ACTIONS(1960),
    [anon_sym_unsigned] = ACTIONS(1960),
    [anon_sym_long] = ACTIONS(1960),
    [anon_sym_short] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1962),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_enum] = ACTIONS(1960),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_struct] = ACTIONS(1960),
    [anon_sym_union] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_else] = ACTIONS(1960),
    [anon_sym_switch] = ACTIONS(1960),
    [anon_sym_case] = ACTIONS(1960),
    [anon_sym_default] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_goto] = ACTIONS(1960),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym___leave] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_sizeof] = ACTIONS(1960),
    [anon_sym___alignof__] = ACTIONS(1960),
    [anon_sym___alignof] = ACTIONS(1960),
    [anon_sym__alignof] = ACTIONS(1960),
    [anon_sym_alignof] = ACTIONS(1960),
    [anon_sym__Alignof] = ACTIONS(1960),
    [anon_sym_offsetof] = ACTIONS(1960),
    [anon_sym__Generic] = ACTIONS(1960),
    [anon_sym_asm] = ACTIONS(1960),
    [anon_sym___asm__] = ACTIONS(1960),
    [anon_sym___asm] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(1962),
    [anon_sym_L_SQUOTE] = ACTIONS(1962),
    [anon_sym_u_SQUOTE] = ACTIONS(1962),
    [anon_sym_U_SQUOTE] = ACTIONS(1962),
    [anon_sym_u8_SQUOTE] = ACTIONS(1962),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [anon_sym_L_DQUOTE] = ACTIONS(1962),
    [anon_sym_u_DQUOTE] = ACTIONS(1962),
    [anon_sym_U_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8_DQUOTE] = ACTIONS(1962),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [sym_true] = ACTIONS(1960),
    [sym_false] = ACTIONS(1960),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_final] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
    [anon_sym_explicit] = ACTIONS(1960),
    [anon_sym_typename] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_GT2] = ACTIONS(1962),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_delete] = ACTIONS(1960),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_namespace] = ACTIONS(1960),
    [anon_sym_using] = ACTIONS(1960),
    [anon_sym_static_assert] = ACTIONS(1960),
    [anon_sym_concept] = ACTIONS(1960),
    [anon_sym_co_return] = ACTIONS(1960),
    [anon_sym_co_yield] = ACTIONS(1960),
    [anon_sym_R_DQUOTE] = ACTIONS(1962),
    [anon_sym_LR_DQUOTE] = ACTIONS(1962),
    [anon_sym_uR_DQUOTE] = ACTIONS(1962),
    [anon_sym_UR_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1962),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1960),
    [anon_sym_requires] = ACTIONS(1960),
    [sym_this] = ACTIONS(1960),
    [anon_sym_discard] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
    [anon_sym_cbuffer] = ACTIONS(1960),
  },
  [145] = {
    [sym_template_argument_list] = STATE(162),
    [sym_identifier] = ACTIONS(1964),
    [aux_sym_preproc_include_token1] = ACTIONS(1964),
    [aux_sym_preproc_def_token1] = ACTIONS(1964),
    [aux_sym_preproc_if_token1] = ACTIONS(1964),
    [aux_sym_preproc_if_token2] = ACTIONS(1964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1964),
    [aux_sym_preproc_else_token1] = ACTIONS(1964),
    [aux_sym_preproc_elif_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1964),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_typedef] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_out] = ACTIONS(1964),
    [anon_sym_inout] = ACTIONS(1964),
    [anon_sym_virtual] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1964),
    [anon_sym___based] = ACTIONS(1964),
    [anon_sym___cdecl] = ACTIONS(1964),
    [anon_sym___clrcall] = ACTIONS(1964),
    [anon_sym___stdcall] = ACTIONS(1964),
    [anon_sym___fastcall] = ACTIONS(1964),
    [anon_sym___thiscall] = ACTIONS(1964),
    [anon_sym___vectorcall] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1964),
    [anon_sym_unsigned] = ACTIONS(1964),
    [anon_sym_long] = ACTIONS(1964),
    [anon_sym_short] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_register] = ACTIONS(1964),
    [anon_sym_inline] = ACTIONS(1964),
    [anon_sym___inline] = ACTIONS(1964),
    [anon_sym___inline__] = ACTIONS(1964),
    [anon_sym___forceinline] = ACTIONS(1964),
    [anon_sym_thread_local] = ACTIONS(1964),
    [anon_sym___thread] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_constexpr] = ACTIONS(1964),
    [anon_sym_volatile] = ACTIONS(1964),
    [anon_sym_restrict] = ACTIONS(1964),
    [anon_sym___restrict__] = ACTIONS(1964),
    [anon_sym__Atomic] = ACTIONS(1964),
    [anon_sym__Noreturn] = ACTIONS(1964),
    [anon_sym_noreturn] = ACTIONS(1964),
    [anon_sym__Nonnull] = ACTIONS(1964),
    [anon_sym_mutable] = ACTIONS(1964),
    [anon_sym_constinit] = ACTIONS(1964),
    [anon_sym_consteval] = ACTIONS(1964),
    [anon_sym_alignas] = ACTIONS(1964),
    [anon_sym__Alignas] = ACTIONS(1964),
    [sym_primitive_type] = ACTIONS(1964),
    [anon_sym_enum] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1964),
    [anon_sym_struct] = ACTIONS(1964),
    [anon_sym_union] = ACTIONS(1964),
    [anon_sym_if] = ACTIONS(1964),
    [anon_sym_else] = ACTIONS(1964),
    [anon_sym_switch] = ACTIONS(1964),
    [anon_sym_case] = ACTIONS(1964),
    [anon_sym_default] = ACTIONS(1964),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_do] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_return] = ACTIONS(1964),
    [anon_sym_break] = ACTIONS(1964),
    [anon_sym_continue] = ACTIONS(1964),
    [anon_sym_goto] = ACTIONS(1964),
    [anon_sym___try] = ACTIONS(1964),
    [anon_sym___leave] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1964),
    [anon_sym___alignof__] = ACTIONS(1964),
    [anon_sym___alignof] = ACTIONS(1964),
    [anon_sym__alignof] = ACTIONS(1964),
    [anon_sym_alignof] = ACTIONS(1964),
    [anon_sym__Alignof] = ACTIONS(1964),
    [anon_sym_offsetof] = ACTIONS(1964),
    [anon_sym__Generic] = ACTIONS(1964),
    [anon_sym_asm] = ACTIONS(1964),
    [anon_sym___asm__] = ACTIONS(1964),
    [anon_sym___asm] = ACTIONS(1964),
    [sym_number_literal] = ACTIONS(1966),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1964),
    [sym_false] = ACTIONS(1964),
    [anon_sym_NULL] = ACTIONS(1964),
    [anon_sym_nullptr] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_final] = ACTIONS(1964),
    [anon_sym_override] = ACTIONS(1964),
    [anon_sym_explicit] = ACTIONS(1964),
    [anon_sym_typename] = ACTIONS(1964),
    [anon_sym_template] = ACTIONS(1964),
    [anon_sym_operator] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1964),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_throw] = ACTIONS(1964),
    [anon_sym_namespace] = ACTIONS(1964),
    [anon_sym_using] = ACTIONS(1964),
    [anon_sym_static_assert] = ACTIONS(1964),
    [anon_sym_concept] = ACTIONS(1964),
    [anon_sym_co_return] = ACTIONS(1964),
    [anon_sym_co_yield] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1964),
    [anon_sym_new] = ACTIONS(1964),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1964),
    [anon_sym_discard] = ACTIONS(1964),
    [anon_sym_precise] = ACTIONS(1964),
    [anon_sym_shared] = ACTIONS(1964),
    [anon_sym_groupshared] = ACTIONS(1964),
    [anon_sym_uniform] = ACTIONS(1964),
    [anon_sym_row_major] = ACTIONS(1964),
    [anon_sym_column_major] = ACTIONS(1964),
    [anon_sym_globallycoherent] = ACTIONS(1964),
    [anon_sym_centroid] = ACTIONS(1964),
    [anon_sym_noperspective] = ACTIONS(1964),
    [anon_sym_nointerpolation] = ACTIONS(1964),
    [anon_sym_sample] = ACTIONS(1964),
    [anon_sym_linear] = ACTIONS(1964),
    [anon_sym_snorm] = ACTIONS(1964),
    [anon_sym_unorm] = ACTIONS(1964),
    [anon_sym_point] = ACTIONS(1964),
    [anon_sym_line] = ACTIONS(1964),
    [anon_sym_triangleadj] = ACTIONS(1964),
    [anon_sym_lineadj] = ACTIONS(1964),
    [anon_sym_triangle] = ACTIONS(1964),
    [anon_sym_cbuffer] = ACTIONS(1964),
  },
  [146] = {
    [sym_template_argument_list] = STATE(162),
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_include_token1] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token2] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [aux_sym_preproc_else_token1] = ACTIONS(1972),
    [aux_sym_preproc_elif_token1] = ACTIONS(1972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1974),
    [anon_sym_BANG] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_primitive_type] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [sym_number_literal] = ACTIONS(1974),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_final] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1974),
    [anon_sym_LR_DQUOTE] = ACTIONS(1974),
    [anon_sym_uR_DQUOTE] = ACTIONS(1974),
    [anon_sym_UR_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1974),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
    [anon_sym_discard] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
    [anon_sym_cbuffer] = ACTIONS(1972),
  },
  [147] = {
    [ts_builtin_sym_end] = ACTIONS(1976),
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_include_token1] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_RPAREN] = ACTIONS(1976),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_PIPE_PIPE] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_else] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym___try] = ACTIONS(1978),
    [anon_sym___except] = ACTIONS(1978),
    [anon_sym___finally] = ACTIONS(1978),
    [anon_sym___leave] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_or] = ACTIONS(1978),
    [anon_sym_and] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_final] = ACTIONS(1978),
    [anon_sym_override] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_namespace] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_catch] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_discard] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
    [anon_sym_cbuffer] = ACTIONS(1978),
  },
  [148] = {
    [sym_catch_clause] = STATE(148),
    [aux_sym_constructor_try_statement_repeat1] = STATE(148),
    [sym_identifier] = ACTIONS(1980),
    [aux_sym_preproc_include_token1] = ACTIONS(1980),
    [aux_sym_preproc_def_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1980),
    [aux_sym_preproc_else_token1] = ACTIONS(1980),
    [aux_sym_preproc_elif_token1] = ACTIONS(1980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1980),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1980),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1982),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_AMP_AMP] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1980),
    [anon_sym_typedef] = ACTIONS(1980),
    [anon_sym_in] = ACTIONS(1980),
    [anon_sym_out] = ACTIONS(1980),
    [anon_sym_inout] = ACTIONS(1980),
    [anon_sym_virtual] = ACTIONS(1980),
    [anon_sym_extern] = ACTIONS(1980),
    [anon_sym___attribute__] = ACTIONS(1980),
    [anon_sym___attribute] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1982),
    [anon_sym___declspec] = ACTIONS(1980),
    [anon_sym___based] = ACTIONS(1980),
    [anon_sym___cdecl] = ACTIONS(1980),
    [anon_sym___clrcall] = ACTIONS(1980),
    [anon_sym___stdcall] = ACTIONS(1980),
    [anon_sym___fastcall] = ACTIONS(1980),
    [anon_sym___thiscall] = ACTIONS(1980),
    [anon_sym___vectorcall] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1982),
    [anon_sym_signed] = ACTIONS(1980),
    [anon_sym_unsigned] = ACTIONS(1980),
    [anon_sym_long] = ACTIONS(1980),
    [anon_sym_short] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_register] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(1980),
    [anon_sym___inline] = ACTIONS(1980),
    [anon_sym___inline__] = ACTIONS(1980),
    [anon_sym___forceinline] = ACTIONS(1980),
    [anon_sym_thread_local] = ACTIONS(1980),
    [anon_sym___thread] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_constexpr] = ACTIONS(1980),
    [anon_sym_volatile] = ACTIONS(1980),
    [anon_sym_restrict] = ACTIONS(1980),
    [anon_sym___restrict__] = ACTIONS(1980),
    [anon_sym__Atomic] = ACTIONS(1980),
    [anon_sym__Noreturn] = ACTIONS(1980),
    [anon_sym_noreturn] = ACTIONS(1980),
    [anon_sym__Nonnull] = ACTIONS(1980),
    [anon_sym_mutable] = ACTIONS(1980),
    [anon_sym_constinit] = ACTIONS(1980),
    [anon_sym_consteval] = ACTIONS(1980),
    [anon_sym_alignas] = ACTIONS(1980),
    [anon_sym__Alignas] = ACTIONS(1980),
    [sym_primitive_type] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_struct] = ACTIONS(1980),
    [anon_sym_union] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_else] = ACTIONS(1980),
    [anon_sym_switch] = ACTIONS(1980),
    [anon_sym_case] = ACTIONS(1980),
    [anon_sym_default] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_goto] = ACTIONS(1980),
    [anon_sym___try] = ACTIONS(1980),
    [anon_sym___leave] = ACTIONS(1980),
    [anon_sym_not] = ACTIONS(1980),
    [anon_sym_compl] = ACTIONS(1980),
    [anon_sym_DASH_DASH] = ACTIONS(1982),
    [anon_sym_PLUS_PLUS] = ACTIONS(1982),
    [anon_sym_sizeof] = ACTIONS(1980),
    [anon_sym___alignof__] = ACTIONS(1980),
    [anon_sym___alignof] = ACTIONS(1980),
    [anon_sym__alignof] = ACTIONS(1980),
    [anon_sym_alignof] = ACTIONS(1980),
    [anon_sym__Alignof] = ACTIONS(1980),
    [anon_sym_offsetof] = ACTIONS(1980),
    [anon_sym__Generic] = ACTIONS(1980),
    [anon_sym_asm] = ACTIONS(1980),
    [anon_sym___asm__] = ACTIONS(1980),
    [anon_sym___asm] = ACTIONS(1980),
    [sym_number_literal] = ACTIONS(1982),
    [anon_sym_L_SQUOTE] = ACTIONS(1982),
    [anon_sym_u_SQUOTE] = ACTIONS(1982),
    [anon_sym_U_SQUOTE] = ACTIONS(1982),
    [anon_sym_u8_SQUOTE] = ACTIONS(1982),
    [anon_sym_SQUOTE] = ACTIONS(1982),
    [anon_sym_L_DQUOTE] = ACTIONS(1982),
    [anon_sym_u_DQUOTE] = ACTIONS(1982),
    [anon_sym_U_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8_DQUOTE] = ACTIONS(1982),
    [anon_sym_DQUOTE] = ACTIONS(1982),
    [sym_true] = ACTIONS(1980),
    [sym_false] = ACTIONS(1980),
    [anon_sym_NULL] = ACTIONS(1980),
    [anon_sym_nullptr] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1980),
    [anon_sym_decltype] = ACTIONS(1980),
    [anon_sym_explicit] = ACTIONS(1980),
    [anon_sym_typename] = ACTIONS(1980),
    [anon_sym_template] = ACTIONS(1980),
    [anon_sym_operator] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_throw] = ACTIONS(1980),
    [anon_sym_namespace] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1980),
    [anon_sym_static_assert] = ACTIONS(1980),
    [anon_sym_concept] = ACTIONS(1980),
    [anon_sym_co_return] = ACTIONS(1980),
    [anon_sym_co_yield] = ACTIONS(1980),
    [anon_sym_catch] = ACTIONS(1984),
    [anon_sym_R_DQUOTE] = ACTIONS(1982),
    [anon_sym_LR_DQUOTE] = ACTIONS(1982),
    [anon_sym_uR_DQUOTE] = ACTIONS(1982),
    [anon_sym_UR_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1982),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1980),
    [anon_sym_requires] = ACTIONS(1980),
    [sym_this] = ACTIONS(1980),
    [anon_sym_discard] = ACTIONS(1980),
    [anon_sym_precise] = ACTIONS(1980),
    [anon_sym_shared] = ACTIONS(1980),
    [anon_sym_groupshared] = ACTIONS(1980),
    [anon_sym_uniform] = ACTIONS(1980),
    [anon_sym_row_major] = ACTIONS(1980),
    [anon_sym_column_major] = ACTIONS(1980),
    [anon_sym_globallycoherent] = ACTIONS(1980),
    [anon_sym_centroid] = ACTIONS(1980),
    [anon_sym_noperspective] = ACTIONS(1980),
    [anon_sym_nointerpolation] = ACTIONS(1980),
    [anon_sym_sample] = ACTIONS(1980),
    [anon_sym_linear] = ACTIONS(1980),
    [anon_sym_snorm] = ACTIONS(1980),
    [anon_sym_unorm] = ACTIONS(1980),
    [anon_sym_point] = ACTIONS(1980),
    [anon_sym_line] = ACTIONS(1980),
    [anon_sym_triangleadj] = ACTIONS(1980),
    [anon_sym_lineadj] = ACTIONS(1980),
    [anon_sym_triangle] = ACTIONS(1980),
    [anon_sym_cbuffer] = ACTIONS(1980),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token2] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [aux_sym_preproc_else_token1] = ACTIONS(1987),
    [aux_sym_preproc_elif_token1] = ACTIONS(1987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1960),
    [aux_sym_preproc_include_token1] = ACTIONS(1960),
    [aux_sym_preproc_def_token1] = ACTIONS(1960),
    [aux_sym_preproc_if_token1] = ACTIONS(1960),
    [aux_sym_preproc_if_token2] = ACTIONS(1960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1960),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1960),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1960),
    [sym_preproc_directive] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_typedef] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym___cdecl] = ACTIONS(1960),
    [anon_sym___clrcall] = ACTIONS(1960),
    [anon_sym___stdcall] = ACTIONS(1960),
    [anon_sym___fastcall] = ACTIONS(1960),
    [anon_sym___thiscall] = ACTIONS(1960),
    [anon_sym___vectorcall] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_signed] = ACTIONS(1960),
    [anon_sym_unsigned] = ACTIONS(1960),
    [anon_sym_long] = ACTIONS(1960),
    [anon_sym_short] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_enum] = ACTIONS(1960),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_struct] = ACTIONS(1960),
    [anon_sym_union] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_else] = ACTIONS(1960),
    [anon_sym_switch] = ACTIONS(1960),
    [anon_sym_case] = ACTIONS(1960),
    [anon_sym_default] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_goto] = ACTIONS(1960),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym___leave] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_sizeof] = ACTIONS(1960),
    [anon_sym___alignof__] = ACTIONS(1960),
    [anon_sym___alignof] = ACTIONS(1960),
    [anon_sym__alignof] = ACTIONS(1960),
    [anon_sym_alignof] = ACTIONS(1960),
    [anon_sym__Alignof] = ACTIONS(1960),
    [anon_sym_offsetof] = ACTIONS(1960),
    [anon_sym__Generic] = ACTIONS(1960),
    [anon_sym_asm] = ACTIONS(1960),
    [anon_sym___asm__] = ACTIONS(1960),
    [anon_sym___asm] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(1962),
    [anon_sym_L_SQUOTE] = ACTIONS(1962),
    [anon_sym_u_SQUOTE] = ACTIONS(1962),
    [anon_sym_U_SQUOTE] = ACTIONS(1962),
    [anon_sym_u8_SQUOTE] = ACTIONS(1962),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [anon_sym_L_DQUOTE] = ACTIONS(1962),
    [anon_sym_u_DQUOTE] = ACTIONS(1962),
    [anon_sym_U_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8_DQUOTE] = ACTIONS(1962),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [sym_true] = ACTIONS(1960),
    [sym_false] = ACTIONS(1960),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_final] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
    [anon_sym_explicit] = ACTIONS(1960),
    [anon_sym_typename] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_delete] = ACTIONS(1960),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_namespace] = ACTIONS(1960),
    [anon_sym_using] = ACTIONS(1960),
    [anon_sym_static_assert] = ACTIONS(1960),
    [anon_sym_concept] = ACTIONS(1960),
    [anon_sym_co_return] = ACTIONS(1960),
    [anon_sym_co_yield] = ACTIONS(1960),
    [anon_sym_R_DQUOTE] = ACTIONS(1962),
    [anon_sym_LR_DQUOTE] = ACTIONS(1962),
    [anon_sym_uR_DQUOTE] = ACTIONS(1962),
    [anon_sym_UR_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1962),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1960),
    [anon_sym_requires] = ACTIONS(1960),
    [sym_this] = ACTIONS(1960),
    [anon_sym_discard] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
    [anon_sym_cbuffer] = ACTIONS(1960),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [aux_sym_preproc_else_token1] = ACTIONS(1922),
    [aux_sym_preproc_elif_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [anon_sym___asm] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1924),
    [anon_sym_u_SQUOTE] = ACTIONS(1924),
    [anon_sym_U_SQUOTE] = ACTIONS(1924),
    [anon_sym_u8_SQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1924),
    [anon_sym_L_DQUOTE] = ACTIONS(1924),
    [anon_sym_u_DQUOTE] = ACTIONS(1924),
    [anon_sym_U_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8_DQUOTE] = ACTIONS(1924),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1924),
    [anon_sym_LR_DQUOTE] = ACTIONS(1924),
    [anon_sym_uR_DQUOTE] = ACTIONS(1924),
    [anon_sym_UR_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1924),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
    [anon_sym_discard] = ACTIONS(1922),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
    [anon_sym_cbuffer] = ACTIONS(1922),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1930),
    [aux_sym_preproc_include_token1] = ACTIONS(1930),
    [aux_sym_preproc_def_token1] = ACTIONS(1930),
    [aux_sym_preproc_if_token1] = ACTIONS(1930),
    [aux_sym_preproc_if_token2] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1930),
    [aux_sym_preproc_else_token1] = ACTIONS(1930),
    [aux_sym_preproc_elif_token1] = ACTIONS(1930),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1930),
    [sym_preproc_directive] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_typedef] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym___cdecl] = ACTIONS(1930),
    [anon_sym___clrcall] = ACTIONS(1930),
    [anon_sym___stdcall] = ACTIONS(1930),
    [anon_sym___fastcall] = ACTIONS(1930),
    [anon_sym___thiscall] = ACTIONS(1930),
    [anon_sym___vectorcall] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1930),
    [anon_sym_unsigned] = ACTIONS(1930),
    [anon_sym_long] = ACTIONS(1930),
    [anon_sym_short] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [sym_primitive_type] = ACTIONS(1930),
    [anon_sym_enum] = ACTIONS(1930),
    [anon_sym_class] = ACTIONS(1930),
    [anon_sym_struct] = ACTIONS(1930),
    [anon_sym_union] = ACTIONS(1930),
    [anon_sym_if] = ACTIONS(1930),
    [anon_sym_else] = ACTIONS(1930),
    [anon_sym_switch] = ACTIONS(1930),
    [anon_sym_case] = ACTIONS(1930),
    [anon_sym_default] = ACTIONS(1930),
    [anon_sym_while] = ACTIONS(1930),
    [anon_sym_do] = ACTIONS(1930),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_return] = ACTIONS(1930),
    [anon_sym_break] = ACTIONS(1930),
    [anon_sym_continue] = ACTIONS(1930),
    [anon_sym_goto] = ACTIONS(1930),
    [anon_sym___try] = ACTIONS(1930),
    [anon_sym___leave] = ACTIONS(1930),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_sizeof] = ACTIONS(1930),
    [anon_sym___alignof__] = ACTIONS(1930),
    [anon_sym___alignof] = ACTIONS(1930),
    [anon_sym__alignof] = ACTIONS(1930),
    [anon_sym_alignof] = ACTIONS(1930),
    [anon_sym__Alignof] = ACTIONS(1930),
    [anon_sym_offsetof] = ACTIONS(1930),
    [anon_sym__Generic] = ACTIONS(1930),
    [anon_sym_asm] = ACTIONS(1930),
    [anon_sym___asm__] = ACTIONS(1930),
    [anon_sym___asm] = ACTIONS(1930),
    [sym_number_literal] = ACTIONS(1932),
    [anon_sym_L_SQUOTE] = ACTIONS(1932),
    [anon_sym_u_SQUOTE] = ACTIONS(1932),
    [anon_sym_U_SQUOTE] = ACTIONS(1932),
    [anon_sym_u8_SQUOTE] = ACTIONS(1932),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [anon_sym_NULL] = ACTIONS(1930),
    [anon_sym_nullptr] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_final] = ACTIONS(1930),
    [anon_sym_override] = ACTIONS(1930),
    [anon_sym_explicit] = ACTIONS(1930),
    [anon_sym_typename] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1930),
    [anon_sym_delete] = ACTIONS(1930),
    [anon_sym_throw] = ACTIONS(1930),
    [anon_sym_namespace] = ACTIONS(1930),
    [anon_sym_using] = ACTIONS(1930),
    [anon_sym_static_assert] = ACTIONS(1930),
    [anon_sym_concept] = ACTIONS(1930),
    [anon_sym_co_return] = ACTIONS(1930),
    [anon_sym_co_yield] = ACTIONS(1930),
    [anon_sym_R_DQUOTE] = ACTIONS(1932),
    [anon_sym_LR_DQUOTE] = ACTIONS(1932),
    [anon_sym_uR_DQUOTE] = ACTIONS(1932),
    [anon_sym_UR_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1932),
    [anon_sym_co_await] = ACTIONS(1930),
    [anon_sym_new] = ACTIONS(1930),
    [anon_sym_requires] = ACTIONS(1930),
    [sym_this] = ACTIONS(1930),
    [anon_sym_discard] = ACTIONS(1930),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
    [anon_sym_cbuffer] = ACTIONS(1930),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1934),
    [aux_sym_preproc_include_token1] = ACTIONS(1934),
    [aux_sym_preproc_def_token1] = ACTIONS(1934),
    [aux_sym_preproc_if_token1] = ACTIONS(1934),
    [aux_sym_preproc_if_token2] = ACTIONS(1934),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1934),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1934),
    [aux_sym_preproc_else_token1] = ACTIONS(1934),
    [aux_sym_preproc_elif_token1] = ACTIONS(1934),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1934),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1934),
    [sym_preproc_directive] = ACTIONS(1934),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_typedef] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym___cdecl] = ACTIONS(1934),
    [anon_sym___clrcall] = ACTIONS(1934),
    [anon_sym___stdcall] = ACTIONS(1934),
    [anon_sym___fastcall] = ACTIONS(1934),
    [anon_sym___thiscall] = ACTIONS(1934),
    [anon_sym___vectorcall] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_signed] = ACTIONS(1934),
    [anon_sym_unsigned] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [sym_primitive_type] = ACTIONS(1934),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_class] = ACTIONS(1934),
    [anon_sym_struct] = ACTIONS(1934),
    [anon_sym_union] = ACTIONS(1934),
    [anon_sym_if] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1934),
    [anon_sym_switch] = ACTIONS(1934),
    [anon_sym_case] = ACTIONS(1934),
    [anon_sym_default] = ACTIONS(1934),
    [anon_sym_while] = ACTIONS(1934),
    [anon_sym_do] = ACTIONS(1934),
    [anon_sym_for] = ACTIONS(1934),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_break] = ACTIONS(1934),
    [anon_sym_continue] = ACTIONS(1934),
    [anon_sym_goto] = ACTIONS(1934),
    [anon_sym___try] = ACTIONS(1934),
    [anon_sym___leave] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1934),
    [anon_sym_compl] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_sizeof] = ACTIONS(1934),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1934),
    [anon_sym__Generic] = ACTIONS(1934),
    [anon_sym_asm] = ACTIONS(1934),
    [anon_sym___asm__] = ACTIONS(1934),
    [anon_sym___asm] = ACTIONS(1934),
    [sym_number_literal] = ACTIONS(1936),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1936),
    [anon_sym_u_DQUOTE] = ACTIONS(1936),
    [anon_sym_U_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8_DQUOTE] = ACTIONS(1936),
    [anon_sym_DQUOTE] = ACTIONS(1936),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1934),
    [anon_sym_nullptr] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_final] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_explicit] = ACTIONS(1934),
    [anon_sym_typename] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_try] = ACTIONS(1934),
    [anon_sym_delete] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1934),
    [anon_sym_namespace] = ACTIONS(1934),
    [anon_sym_using] = ACTIONS(1934),
    [anon_sym_static_assert] = ACTIONS(1934),
    [anon_sym_concept] = ACTIONS(1934),
    [anon_sym_co_return] = ACTIONS(1934),
    [anon_sym_co_yield] = ACTIONS(1934),
    [anon_sym_R_DQUOTE] = ACTIONS(1936),
    [anon_sym_LR_DQUOTE] = ACTIONS(1936),
    [anon_sym_uR_DQUOTE] = ACTIONS(1936),
    [anon_sym_UR_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1936),
    [anon_sym_co_await] = ACTIONS(1934),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_requires] = ACTIONS(1934),
    [sym_this] = ACTIONS(1934),
    [anon_sym_discard] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
    [anon_sym_cbuffer] = ACTIONS(1934),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1918),
    [aux_sym_preproc_include_token1] = ACTIONS(1918),
    [aux_sym_preproc_def_token1] = ACTIONS(1918),
    [aux_sym_preproc_if_token1] = ACTIONS(1918),
    [aux_sym_preproc_if_token2] = ACTIONS(1918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1918),
    [aux_sym_preproc_else_token1] = ACTIONS(1918),
    [aux_sym_preproc_elif_token1] = ACTIONS(1918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1918),
    [sym_preproc_directive] = ACTIONS(1918),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_typedef] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym___cdecl] = ACTIONS(1918),
    [anon_sym___clrcall] = ACTIONS(1918),
    [anon_sym___stdcall] = ACTIONS(1918),
    [anon_sym___fastcall] = ACTIONS(1918),
    [anon_sym___thiscall] = ACTIONS(1918),
    [anon_sym___vectorcall] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1918),
    [anon_sym_unsigned] = ACTIONS(1918),
    [anon_sym_long] = ACTIONS(1918),
    [anon_sym_short] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [sym_primitive_type] = ACTIONS(1918),
    [anon_sym_enum] = ACTIONS(1918),
    [anon_sym_class] = ACTIONS(1918),
    [anon_sym_struct] = ACTIONS(1918),
    [anon_sym_union] = ACTIONS(1918),
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(1918),
    [anon_sym_switch] = ACTIONS(1918),
    [anon_sym_case] = ACTIONS(1918),
    [anon_sym_default] = ACTIONS(1918),
    [anon_sym_while] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1918),
    [anon_sym_for] = ACTIONS(1918),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_break] = ACTIONS(1918),
    [anon_sym_continue] = ACTIONS(1918),
    [anon_sym_goto] = ACTIONS(1918),
    [anon_sym___try] = ACTIONS(1918),
    [anon_sym___leave] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_compl] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1918),
    [anon_sym___alignof] = ACTIONS(1918),
    [anon_sym__alignof] = ACTIONS(1918),
    [anon_sym_alignof] = ACTIONS(1918),
    [anon_sym__Alignof] = ACTIONS(1918),
    [anon_sym_offsetof] = ACTIONS(1918),
    [anon_sym__Generic] = ACTIONS(1918),
    [anon_sym_asm] = ACTIONS(1918),
    [anon_sym___asm__] = ACTIONS(1918),
    [anon_sym___asm] = ACTIONS(1918),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1918),
    [sym_false] = ACTIONS(1918),
    [anon_sym_NULL] = ACTIONS(1918),
    [anon_sym_nullptr] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_final] = ACTIONS(1918),
    [anon_sym_override] = ACTIONS(1918),
    [anon_sym_explicit] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_try] = ACTIONS(1918),
    [anon_sym_delete] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_namespace] = ACTIONS(1918),
    [anon_sym_using] = ACTIONS(1918),
    [anon_sym_static_assert] = ACTIONS(1918),
    [anon_sym_concept] = ACTIONS(1918),
    [anon_sym_co_return] = ACTIONS(1918),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1918),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1918),
    [anon_sym_discard] = ACTIONS(1918),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
    [anon_sym_cbuffer] = ACTIONS(1918),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1938),
    [aux_sym_preproc_include_token1] = ACTIONS(1938),
    [aux_sym_preproc_def_token1] = ACTIONS(1938),
    [aux_sym_preproc_if_token1] = ACTIONS(1938),
    [aux_sym_preproc_if_token2] = ACTIONS(1938),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1938),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1938),
    [aux_sym_preproc_else_token1] = ACTIONS(1938),
    [aux_sym_preproc_elif_token1] = ACTIONS(1938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1938),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1938),
    [sym_preproc_directive] = ACTIONS(1938),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_typedef] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym___cdecl] = ACTIONS(1938),
    [anon_sym___clrcall] = ACTIONS(1938),
    [anon_sym___stdcall] = ACTIONS(1938),
    [anon_sym___fastcall] = ACTIONS(1938),
    [anon_sym___thiscall] = ACTIONS(1938),
    [anon_sym___vectorcall] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_signed] = ACTIONS(1938),
    [anon_sym_unsigned] = ACTIONS(1938),
    [anon_sym_long] = ACTIONS(1938),
    [anon_sym_short] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [sym_primitive_type] = ACTIONS(1938),
    [anon_sym_enum] = ACTIONS(1938),
    [anon_sym_class] = ACTIONS(1938),
    [anon_sym_struct] = ACTIONS(1938),
    [anon_sym_union] = ACTIONS(1938),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_case] = ACTIONS(1938),
    [anon_sym_default] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1938),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_for] = ACTIONS(1938),
    [anon_sym_return] = ACTIONS(1938),
    [anon_sym_break] = ACTIONS(1938),
    [anon_sym_continue] = ACTIONS(1938),
    [anon_sym_goto] = ACTIONS(1938),
    [anon_sym___try] = ACTIONS(1938),
    [anon_sym___leave] = ACTIONS(1938),
    [anon_sym_not] = ACTIONS(1938),
    [anon_sym_compl] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1938),
    [anon_sym___alignof] = ACTIONS(1938),
    [anon_sym__alignof] = ACTIONS(1938),
    [anon_sym_alignof] = ACTIONS(1938),
    [anon_sym__Alignof] = ACTIONS(1938),
    [anon_sym_offsetof] = ACTIONS(1938),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1938),
    [anon_sym___asm__] = ACTIONS(1938),
    [anon_sym___asm] = ACTIONS(1938),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1940),
    [anon_sym_u_SQUOTE] = ACTIONS(1940),
    [anon_sym_U_SQUOTE] = ACTIONS(1940),
    [anon_sym_u8_SQUOTE] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1940),
    [anon_sym_L_DQUOTE] = ACTIONS(1940),
    [anon_sym_u_DQUOTE] = ACTIONS(1940),
    [anon_sym_U_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8_DQUOTE] = ACTIONS(1940),
    [anon_sym_DQUOTE] = ACTIONS(1940),
    [sym_true] = ACTIONS(1938),
    [sym_false] = ACTIONS(1938),
    [anon_sym_NULL] = ACTIONS(1938),
    [anon_sym_nullptr] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_final] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_try] = ACTIONS(1938),
    [anon_sym_delete] = ACTIONS(1938),
    [anon_sym_throw] = ACTIONS(1938),
    [anon_sym_namespace] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(1938),
    [anon_sym_static_assert] = ACTIONS(1938),
    [anon_sym_concept] = ACTIONS(1938),
    [anon_sym_co_return] = ACTIONS(1938),
    [anon_sym_co_yield] = ACTIONS(1938),
    [anon_sym_R_DQUOTE] = ACTIONS(1940),
    [anon_sym_LR_DQUOTE] = ACTIONS(1940),
    [anon_sym_uR_DQUOTE] = ACTIONS(1940),
    [anon_sym_UR_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1940),
    [anon_sym_co_await] = ACTIONS(1938),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_requires] = ACTIONS(1938),
    [sym_this] = ACTIONS(1938),
    [anon_sym_discard] = ACTIONS(1938),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
    [anon_sym_cbuffer] = ACTIONS(1938),
  },
  [156] = {
    [sym_identifier] = ACTIONS(1926),
    [aux_sym_preproc_include_token1] = ACTIONS(1926),
    [aux_sym_preproc_def_token1] = ACTIONS(1926),
    [aux_sym_preproc_if_token1] = ACTIONS(1926),
    [aux_sym_preproc_if_token2] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1926),
    [aux_sym_preproc_else_token1] = ACTIONS(1926),
    [aux_sym_preproc_elif_token1] = ACTIONS(1926),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1926),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1926),
    [sym_preproc_directive] = ACTIONS(1926),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_typedef] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym___cdecl] = ACTIONS(1926),
    [anon_sym___clrcall] = ACTIONS(1926),
    [anon_sym___stdcall] = ACTIONS(1926),
    [anon_sym___fastcall] = ACTIONS(1926),
    [anon_sym___thiscall] = ACTIONS(1926),
    [anon_sym___vectorcall] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_signed] = ACTIONS(1926),
    [anon_sym_unsigned] = ACTIONS(1926),
    [anon_sym_long] = ACTIONS(1926),
    [anon_sym_short] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [sym_primitive_type] = ACTIONS(1926),
    [anon_sym_enum] = ACTIONS(1926),
    [anon_sym_class] = ACTIONS(1926),
    [anon_sym_struct] = ACTIONS(1926),
    [anon_sym_union] = ACTIONS(1926),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_else] = ACTIONS(1926),
    [anon_sym_switch] = ACTIONS(1926),
    [anon_sym_case] = ACTIONS(1926),
    [anon_sym_default] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1926),
    [anon_sym_do] = ACTIONS(1926),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_return] = ACTIONS(1926),
    [anon_sym_break] = ACTIONS(1926),
    [anon_sym_continue] = ACTIONS(1926),
    [anon_sym_goto] = ACTIONS(1926),
    [anon_sym___try] = ACTIONS(1926),
    [anon_sym___leave] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(1926),
    [anon_sym___alignof__] = ACTIONS(1926),
    [anon_sym___alignof] = ACTIONS(1926),
    [anon_sym__alignof] = ACTIONS(1926),
    [anon_sym_alignof] = ACTIONS(1926),
    [anon_sym__Alignof] = ACTIONS(1926),
    [anon_sym_offsetof] = ACTIONS(1926),
    [anon_sym__Generic] = ACTIONS(1926),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1928),
    [anon_sym_u_SQUOTE] = ACTIONS(1928),
    [anon_sym_U_SQUOTE] = ACTIONS(1928),
    [anon_sym_u8_SQUOTE] = ACTIONS(1928),
    [anon_sym_SQUOTE] = ACTIONS(1928),
    [anon_sym_L_DQUOTE] = ACTIONS(1928),
    [anon_sym_u_DQUOTE] = ACTIONS(1928),
    [anon_sym_U_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8_DQUOTE] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1928),
    [sym_true] = ACTIONS(1926),
    [sym_false] = ACTIONS(1926),
    [anon_sym_NULL] = ACTIONS(1926),
    [anon_sym_nullptr] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_final] = ACTIONS(1926),
    [anon_sym_override] = ACTIONS(1926),
    [anon_sym_explicit] = ACTIONS(1926),
    [anon_sym_typename] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_delete] = ACTIONS(1926),
    [anon_sym_throw] = ACTIONS(1926),
    [anon_sym_namespace] = ACTIONS(1926),
    [anon_sym_using] = ACTIONS(1926),
    [anon_sym_static_assert] = ACTIONS(1926),
    [anon_sym_concept] = ACTIONS(1926),
    [anon_sym_co_return] = ACTIONS(1926),
    [anon_sym_co_yield] = ACTIONS(1926),
    [anon_sym_R_DQUOTE] = ACTIONS(1928),
    [anon_sym_LR_DQUOTE] = ACTIONS(1928),
    [anon_sym_uR_DQUOTE] = ACTIONS(1928),
    [anon_sym_UR_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1928),
    [anon_sym_co_await] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1926),
    [sym_this] = ACTIONS(1926),
    [anon_sym_discard] = ACTIONS(1926),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
    [anon_sym_cbuffer] = ACTIONS(1926),
  },
  [157] = {
    [sym_identifier] = ACTIONS(1991),
    [aux_sym_preproc_include_token1] = ACTIONS(1991),
    [aux_sym_preproc_def_token1] = ACTIONS(1991),
    [aux_sym_preproc_if_token1] = ACTIONS(1991),
    [aux_sym_preproc_if_token2] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1991),
    [aux_sym_preproc_else_token1] = ACTIONS(1991),
    [aux_sym_preproc_elif_token1] = ACTIONS(1991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1991),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1991),
    [sym_preproc_directive] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_STAR] = ACTIONS(1993),
    [anon_sym_AMP_AMP] = ACTIONS(1993),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1991),
    [anon_sym_typedef] = ACTIONS(1991),
    [anon_sym_in] = ACTIONS(1991),
    [anon_sym_out] = ACTIONS(1991),
    [anon_sym_inout] = ACTIONS(1991),
    [anon_sym_virtual] = ACTIONS(1991),
    [anon_sym_extern] = ACTIONS(1991),
    [anon_sym___attribute__] = ACTIONS(1991),
    [anon_sym___attribute] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1993),
    [anon_sym___declspec] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(1991),
    [anon_sym___cdecl] = ACTIONS(1991),
    [anon_sym___clrcall] = ACTIONS(1991),
    [anon_sym___stdcall] = ACTIONS(1991),
    [anon_sym___fastcall] = ACTIONS(1991),
    [anon_sym___thiscall] = ACTIONS(1991),
    [anon_sym___vectorcall] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_signed] = ACTIONS(1991),
    [anon_sym_unsigned] = ACTIONS(1991),
    [anon_sym_long] = ACTIONS(1991),
    [anon_sym_short] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_static] = ACTIONS(1991),
    [anon_sym_register] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1991),
    [anon_sym___inline] = ACTIONS(1991),
    [anon_sym___inline__] = ACTIONS(1991),
    [anon_sym___forceinline] = ACTIONS(1991),
    [anon_sym_thread_local] = ACTIONS(1991),
    [anon_sym___thread] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_constexpr] = ACTIONS(1991),
    [anon_sym_volatile] = ACTIONS(1991),
    [anon_sym_restrict] = ACTIONS(1991),
    [anon_sym___restrict__] = ACTIONS(1991),
    [anon_sym__Atomic] = ACTIONS(1991),
    [anon_sym__Noreturn] = ACTIONS(1991),
    [anon_sym_noreturn] = ACTIONS(1991),
    [anon_sym__Nonnull] = ACTIONS(1991),
    [anon_sym_mutable] = ACTIONS(1991),
    [anon_sym_constinit] = ACTIONS(1991),
    [anon_sym_consteval] = ACTIONS(1991),
    [anon_sym_alignas] = ACTIONS(1991),
    [anon_sym__Alignas] = ACTIONS(1991),
    [sym_primitive_type] = ACTIONS(1991),
    [anon_sym_enum] = ACTIONS(1991),
    [anon_sym_class] = ACTIONS(1991),
    [anon_sym_struct] = ACTIONS(1991),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(1991),
    [anon_sym_switch] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1991),
    [anon_sym_default] = ACTIONS(1991),
    [anon_sym_while] = ACTIONS(1991),
    [anon_sym_do] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1991),
    [anon_sym_return] = ACTIONS(1991),
    [anon_sym_break] = ACTIONS(1991),
    [anon_sym_continue] = ACTIONS(1991),
    [anon_sym_goto] = ACTIONS(1991),
    [anon_sym___try] = ACTIONS(1991),
    [anon_sym___leave] = ACTIONS(1991),
    [anon_sym_not] = ACTIONS(1991),
    [anon_sym_compl] = ACTIONS(1991),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_sizeof] = ACTIONS(1991),
    [anon_sym___alignof__] = ACTIONS(1991),
    [anon_sym___alignof] = ACTIONS(1991),
    [anon_sym__alignof] = ACTIONS(1991),
    [anon_sym_alignof] = ACTIONS(1991),
    [anon_sym__Alignof] = ACTIONS(1991),
    [anon_sym_offsetof] = ACTIONS(1991),
    [anon_sym__Generic] = ACTIONS(1991),
    [anon_sym_asm] = ACTIONS(1991),
    [anon_sym___asm__] = ACTIONS(1991),
    [anon_sym___asm] = ACTIONS(1991),
    [sym_number_literal] = ACTIONS(1993),
    [anon_sym_L_SQUOTE] = ACTIONS(1993),
    [anon_sym_u_SQUOTE] = ACTIONS(1993),
    [anon_sym_U_SQUOTE] = ACTIONS(1993),
    [anon_sym_u8_SQUOTE] = ACTIONS(1993),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1991),
    [sym_false] = ACTIONS(1991),
    [anon_sym_NULL] = ACTIONS(1991),
    [anon_sym_nullptr] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1991),
    [anon_sym_decltype] = ACTIONS(1991),
    [anon_sym_final] = ACTIONS(1991),
    [anon_sym_override] = ACTIONS(1991),
    [anon_sym_explicit] = ACTIONS(1991),
    [anon_sym_typename] = ACTIONS(1991),
    [anon_sym_template] = ACTIONS(1991),
    [anon_sym_operator] = ACTIONS(1991),
    [anon_sym_try] = ACTIONS(1991),
    [anon_sym_delete] = ACTIONS(1991),
    [anon_sym_throw] = ACTIONS(1991),
    [anon_sym_namespace] = ACTIONS(1991),
    [anon_sym_using] = ACTIONS(1991),
    [anon_sym_static_assert] = ACTIONS(1991),
    [anon_sym_concept] = ACTIONS(1991),
    [anon_sym_co_return] = ACTIONS(1991),
    [anon_sym_co_yield] = ACTIONS(1991),
    [anon_sym_R_DQUOTE] = ACTIONS(1993),
    [anon_sym_LR_DQUOTE] = ACTIONS(1993),
    [anon_sym_uR_DQUOTE] = ACTIONS(1993),
    [anon_sym_UR_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1993),
    [anon_sym_co_await] = ACTIONS(1991),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_requires] = ACTIONS(1991),
    [sym_this] = ACTIONS(1991),
    [anon_sym_discard] = ACTIONS(1991),
    [anon_sym_precise] = ACTIONS(1991),
    [anon_sym_shared] = ACTIONS(1991),
    [anon_sym_groupshared] = ACTIONS(1991),
    [anon_sym_uniform] = ACTIONS(1991),
    [anon_sym_row_major] = ACTIONS(1991),
    [anon_sym_column_major] = ACTIONS(1991),
    [anon_sym_globallycoherent] = ACTIONS(1991),
    [anon_sym_centroid] = ACTIONS(1991),
    [anon_sym_noperspective] = ACTIONS(1991),
    [anon_sym_nointerpolation] = ACTIONS(1991),
    [anon_sym_sample] = ACTIONS(1991),
    [anon_sym_linear] = ACTIONS(1991),
    [anon_sym_snorm] = ACTIONS(1991),
    [anon_sym_unorm] = ACTIONS(1991),
    [anon_sym_point] = ACTIONS(1991),
    [anon_sym_line] = ACTIONS(1991),
    [anon_sym_triangleadj] = ACTIONS(1991),
    [anon_sym_lineadj] = ACTIONS(1991),
    [anon_sym_triangle] = ACTIONS(1991),
    [anon_sym_cbuffer] = ACTIONS(1991),
  },
  [158] = {
    [sym_catch_clause] = STATE(148),
    [aux_sym_constructor_try_statement_repeat1] = STATE(148),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_include_token1] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token2] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1997),
    [aux_sym_preproc_else_token1] = ACTIONS(1997),
    [aux_sym_preproc_elif_token1] = ACTIONS(1997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1997),
    [sym_preproc_directive] = ACTIONS(1997),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_AMP_AMP] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym___extension__] = ACTIONS(1997),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1997),
    [anon_sym_out] = ACTIONS(1997),
    [anon_sym_inout] = ACTIONS(1997),
    [anon_sym_virtual] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(1997),
    [anon_sym___attribute__] = ACTIONS(1997),
    [anon_sym___attribute] = ACTIONS(1997),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(1997),
    [anon_sym___based] = ACTIONS(1997),
    [anon_sym___cdecl] = ACTIONS(1997),
    [anon_sym___clrcall] = ACTIONS(1997),
    [anon_sym___stdcall] = ACTIONS(1997),
    [anon_sym___fastcall] = ACTIONS(1997),
    [anon_sym___thiscall] = ACTIONS(1997),
    [anon_sym___vectorcall] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [anon_sym_signed] = ACTIONS(1997),
    [anon_sym_unsigned] = ACTIONS(1997),
    [anon_sym_long] = ACTIONS(1997),
    [anon_sym_short] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_register] = ACTIONS(1997),
    [anon_sym_inline] = ACTIONS(1997),
    [anon_sym___inline] = ACTIONS(1997),
    [anon_sym___inline__] = ACTIONS(1997),
    [anon_sym___forceinline] = ACTIONS(1997),
    [anon_sym_thread_local] = ACTIONS(1997),
    [anon_sym___thread] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_constexpr] = ACTIONS(1997),
    [anon_sym_volatile] = ACTIONS(1997),
    [anon_sym_restrict] = ACTIONS(1997),
    [anon_sym___restrict__] = ACTIONS(1997),
    [anon_sym__Atomic] = ACTIONS(1997),
    [anon_sym__Noreturn] = ACTIONS(1997),
    [anon_sym_noreturn] = ACTIONS(1997),
    [anon_sym__Nonnull] = ACTIONS(1997),
    [anon_sym_mutable] = ACTIONS(1997),
    [anon_sym_constinit] = ACTIONS(1997),
    [anon_sym_consteval] = ACTIONS(1997),
    [anon_sym_alignas] = ACTIONS(1997),
    [anon_sym__Alignas] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_struct] = ACTIONS(1997),
    [anon_sym_union] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_else] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_case] = ACTIONS(1997),
    [anon_sym_default] = ACTIONS(1997),
    [anon_sym_while] = ACTIONS(1997),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_for] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_goto] = ACTIONS(1997),
    [anon_sym___try] = ACTIONS(1997),
    [anon_sym___leave] = ACTIONS(1997),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1999),
    [anon_sym_PLUS_PLUS] = ACTIONS(1999),
    [anon_sym_sizeof] = ACTIONS(1997),
    [anon_sym___alignof__] = ACTIONS(1997),
    [anon_sym___alignof] = ACTIONS(1997),
    [anon_sym__alignof] = ACTIONS(1997),
    [anon_sym_alignof] = ACTIONS(1997),
    [anon_sym__Alignof] = ACTIONS(1997),
    [anon_sym_offsetof] = ACTIONS(1997),
    [anon_sym__Generic] = ACTIONS(1997),
    [anon_sym_asm] = ACTIONS(1997),
    [anon_sym___asm__] = ACTIONS(1997),
    [anon_sym___asm] = ACTIONS(1997),
    [sym_number_literal] = ACTIONS(1999),
    [anon_sym_L_SQUOTE] = ACTIONS(1999),
    [anon_sym_u_SQUOTE] = ACTIONS(1999),
    [anon_sym_U_SQUOTE] = ACTIONS(1999),
    [anon_sym_u8_SQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_L_DQUOTE] = ACTIONS(1999),
    [anon_sym_u_DQUOTE] = ACTIONS(1999),
    [anon_sym_U_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8_DQUOTE] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [anon_sym_NULL] = ACTIONS(1997),
    [anon_sym_nullptr] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1997),
    [anon_sym_decltype] = ACTIONS(1997),
    [anon_sym_explicit] = ACTIONS(1997),
    [anon_sym_typename] = ACTIONS(1997),
    [anon_sym_template] = ACTIONS(1997),
    [anon_sym_operator] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1997),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_using] = ACTIONS(1997),
    [anon_sym_static_assert] = ACTIONS(1997),
    [anon_sym_concept] = ACTIONS(1997),
    [anon_sym_co_return] = ACTIONS(1997),
    [anon_sym_co_yield] = ACTIONS(1997),
    [anon_sym_catch] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(1999),
    [anon_sym_LR_DQUOTE] = ACTIONS(1999),
    [anon_sym_uR_DQUOTE] = ACTIONS(1999),
    [anon_sym_UR_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1999),
    [anon_sym_co_await] = ACTIONS(1997),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_requires] = ACTIONS(1997),
    [sym_this] = ACTIONS(1997),
    [anon_sym_discard] = ACTIONS(1997),
    [anon_sym_precise] = ACTIONS(1997),
    [anon_sym_shared] = ACTIONS(1997),
    [anon_sym_groupshared] = ACTIONS(1997),
    [anon_sym_uniform] = ACTIONS(1997),
    [anon_sym_row_major] = ACTIONS(1997),
    [anon_sym_column_major] = ACTIONS(1997),
    [anon_sym_globallycoherent] = ACTIONS(1997),
    [anon_sym_centroid] = ACTIONS(1997),
    [anon_sym_noperspective] = ACTIONS(1997),
    [anon_sym_nointerpolation] = ACTIONS(1997),
    [anon_sym_sample] = ACTIONS(1997),
    [anon_sym_linear] = ACTIONS(1997),
    [anon_sym_snorm] = ACTIONS(1997),
    [anon_sym_unorm] = ACTIONS(1997),
    [anon_sym_point] = ACTIONS(1997),
    [anon_sym_line] = ACTIONS(1997),
    [anon_sym_triangleadj] = ACTIONS(1997),
    [anon_sym_lineadj] = ACTIONS(1997),
    [anon_sym_triangle] = ACTIONS(1997),
    [anon_sym_cbuffer] = ACTIONS(1997),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token2] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [aux_sym_preproc_else_token1] = ACTIONS(1987),
    [aux_sym_preproc_elif_token1] = ACTIONS(1987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token2] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [aux_sym_preproc_else_token1] = ACTIONS(1987),
    [aux_sym_preproc_elif_token1] = ACTIONS(1987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [161] = {
    [sym_identifier] = ACTIONS(2003),
    [aux_sym_preproc_include_token1] = ACTIONS(2003),
    [aux_sym_preproc_def_token1] = ACTIONS(2003),
    [aux_sym_preproc_if_token1] = ACTIONS(2003),
    [aux_sym_preproc_if_token2] = ACTIONS(2003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2003),
    [aux_sym_preproc_else_token1] = ACTIONS(2003),
    [aux_sym_preproc_elif_token1] = ACTIONS(2003),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2003),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2003),
    [sym_preproc_directive] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_AMP_AMP] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_SEMI] = ACTIONS(2005),
    [anon_sym___extension__] = ACTIONS(2003),
    [anon_sym_typedef] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(2003),
    [anon_sym_out] = ACTIONS(2003),
    [anon_sym_inout] = ACTIONS(2003),
    [anon_sym_virtual] = ACTIONS(2003),
    [anon_sym_extern] = ACTIONS(2003),
    [anon_sym___attribute__] = ACTIONS(2003),
    [anon_sym___attribute] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2005),
    [anon_sym___declspec] = ACTIONS(2003),
    [anon_sym___based] = ACTIONS(2003),
    [anon_sym___cdecl] = ACTIONS(2003),
    [anon_sym___clrcall] = ACTIONS(2003),
    [anon_sym___stdcall] = ACTIONS(2003),
    [anon_sym___fastcall] = ACTIONS(2003),
    [anon_sym___thiscall] = ACTIONS(2003),
    [anon_sym___vectorcall] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_signed] = ACTIONS(2003),
    [anon_sym_unsigned] = ACTIONS(2003),
    [anon_sym_long] = ACTIONS(2003),
    [anon_sym_short] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_static] = ACTIONS(2003),
    [anon_sym_register] = ACTIONS(2003),
    [anon_sym_inline] = ACTIONS(2003),
    [anon_sym___inline] = ACTIONS(2003),
    [anon_sym___inline__] = ACTIONS(2003),
    [anon_sym___forceinline] = ACTIONS(2003),
    [anon_sym_thread_local] = ACTIONS(2003),
    [anon_sym___thread] = ACTIONS(2003),
    [anon_sym_const] = ACTIONS(2003),
    [anon_sym_constexpr] = ACTIONS(2003),
    [anon_sym_volatile] = ACTIONS(2003),
    [anon_sym_restrict] = ACTIONS(2003),
    [anon_sym___restrict__] = ACTIONS(2003),
    [anon_sym__Atomic] = ACTIONS(2003),
    [anon_sym__Noreturn] = ACTIONS(2003),
    [anon_sym_noreturn] = ACTIONS(2003),
    [anon_sym__Nonnull] = ACTIONS(2003),
    [anon_sym_mutable] = ACTIONS(2003),
    [anon_sym_constinit] = ACTIONS(2003),
    [anon_sym_consteval] = ACTIONS(2003),
    [anon_sym_alignas] = ACTIONS(2003),
    [anon_sym__Alignas] = ACTIONS(2003),
    [sym_primitive_type] = ACTIONS(2003),
    [anon_sym_enum] = ACTIONS(2003),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2003),
    [anon_sym_union] = ACTIONS(2003),
    [anon_sym_if] = ACTIONS(2003),
    [anon_sym_else] = ACTIONS(2003),
    [anon_sym_switch] = ACTIONS(2003),
    [anon_sym_case] = ACTIONS(2003),
    [anon_sym_default] = ACTIONS(2003),
    [anon_sym_while] = ACTIONS(2003),
    [anon_sym_do] = ACTIONS(2003),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_return] = ACTIONS(2003),
    [anon_sym_break] = ACTIONS(2003),
    [anon_sym_continue] = ACTIONS(2003),
    [anon_sym_goto] = ACTIONS(2003),
    [anon_sym___try] = ACTIONS(2003),
    [anon_sym___leave] = ACTIONS(2003),
    [anon_sym_not] = ACTIONS(2003),
    [anon_sym_compl] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_sizeof] = ACTIONS(2003),
    [anon_sym___alignof__] = ACTIONS(2003),
    [anon_sym___alignof] = ACTIONS(2003),
    [anon_sym__alignof] = ACTIONS(2003),
    [anon_sym_alignof] = ACTIONS(2003),
    [anon_sym__Alignof] = ACTIONS(2003),
    [anon_sym_offsetof] = ACTIONS(2003),
    [anon_sym__Generic] = ACTIONS(2003),
    [anon_sym_asm] = ACTIONS(2003),
    [anon_sym___asm__] = ACTIONS(2003),
    [anon_sym___asm] = ACTIONS(2003),
    [sym_number_literal] = ACTIONS(2005),
    [anon_sym_L_SQUOTE] = ACTIONS(2005),
    [anon_sym_u_SQUOTE] = ACTIONS(2005),
    [anon_sym_U_SQUOTE] = ACTIONS(2005),
    [anon_sym_u8_SQUOTE] = ACTIONS(2005),
    [anon_sym_SQUOTE] = ACTIONS(2005),
    [anon_sym_L_DQUOTE] = ACTIONS(2005),
    [anon_sym_u_DQUOTE] = ACTIONS(2005),
    [anon_sym_U_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8_DQUOTE] = ACTIONS(2005),
    [anon_sym_DQUOTE] = ACTIONS(2005),
    [sym_true] = ACTIONS(2003),
    [sym_false] = ACTIONS(2003),
    [anon_sym_NULL] = ACTIONS(2003),
    [anon_sym_nullptr] = ACTIONS(2003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2003),
    [anon_sym_decltype] = ACTIONS(2003),
    [anon_sym_final] = ACTIONS(2003),
    [anon_sym_override] = ACTIONS(2003),
    [anon_sym_explicit] = ACTIONS(2003),
    [anon_sym_typename] = ACTIONS(2003),
    [anon_sym_template] = ACTIONS(2003),
    [anon_sym_operator] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2003),
    [anon_sym_delete] = ACTIONS(2003),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_namespace] = ACTIONS(2003),
    [anon_sym_using] = ACTIONS(2003),
    [anon_sym_static_assert] = ACTIONS(2003),
    [anon_sym_concept] = ACTIONS(2003),
    [anon_sym_co_return] = ACTIONS(2003),
    [anon_sym_co_yield] = ACTIONS(2003),
    [anon_sym_R_DQUOTE] = ACTIONS(2005),
    [anon_sym_LR_DQUOTE] = ACTIONS(2005),
    [anon_sym_uR_DQUOTE] = ACTIONS(2005),
    [anon_sym_UR_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2005),
    [anon_sym_co_await] = ACTIONS(2003),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_requires] = ACTIONS(2003),
    [sym_this] = ACTIONS(2003),
    [anon_sym_discard] = ACTIONS(2003),
    [anon_sym_precise] = ACTIONS(2003),
    [anon_sym_shared] = ACTIONS(2003),
    [anon_sym_groupshared] = ACTIONS(2003),
    [anon_sym_uniform] = ACTIONS(2003),
    [anon_sym_row_major] = ACTIONS(2003),
    [anon_sym_column_major] = ACTIONS(2003),
    [anon_sym_globallycoherent] = ACTIONS(2003),
    [anon_sym_centroid] = ACTIONS(2003),
    [anon_sym_noperspective] = ACTIONS(2003),
    [anon_sym_nointerpolation] = ACTIONS(2003),
    [anon_sym_sample] = ACTIONS(2003),
    [anon_sym_linear] = ACTIONS(2003),
    [anon_sym_snorm] = ACTIONS(2003),
    [anon_sym_unorm] = ACTIONS(2003),
    [anon_sym_point] = ACTIONS(2003),
    [anon_sym_line] = ACTIONS(2003),
    [anon_sym_triangleadj] = ACTIONS(2003),
    [anon_sym_lineadj] = ACTIONS(2003),
    [anon_sym_triangle] = ACTIONS(2003),
    [anon_sym_cbuffer] = ACTIONS(2003),
  },
  [162] = {
    [sym_identifier] = ACTIONS(2007),
    [aux_sym_preproc_include_token1] = ACTIONS(2007),
    [aux_sym_preproc_def_token1] = ACTIONS(2007),
    [aux_sym_preproc_if_token1] = ACTIONS(2007),
    [aux_sym_preproc_if_token2] = ACTIONS(2007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2007),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2007),
    [sym_preproc_directive] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2009),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2009),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_typedef] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym___cdecl] = ACTIONS(2007),
    [anon_sym___clrcall] = ACTIONS(2007),
    [anon_sym___stdcall] = ACTIONS(2007),
    [anon_sym___fastcall] = ACTIONS(2007),
    [anon_sym___thiscall] = ACTIONS(2007),
    [anon_sym___vectorcall] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_signed] = ACTIONS(2007),
    [anon_sym_unsigned] = ACTIONS(2007),
    [anon_sym_long] = ACTIONS(2007),
    [anon_sym_short] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [sym_primitive_type] = ACTIONS(2007),
    [anon_sym_enum] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_struct] = ACTIONS(2007),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_else] = ACTIONS(2007),
    [anon_sym_switch] = ACTIONS(2007),
    [anon_sym_case] = ACTIONS(2007),
    [anon_sym_default] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym___try] = ACTIONS(2007),
    [anon_sym___leave] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_compl] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2007),
    [anon_sym___alignof__] = ACTIONS(2007),
    [anon_sym___alignof] = ACTIONS(2007),
    [anon_sym__alignof] = ACTIONS(2007),
    [anon_sym_alignof] = ACTIONS(2007),
    [anon_sym__Alignof] = ACTIONS(2007),
    [anon_sym_offsetof] = ACTIONS(2007),
    [anon_sym__Generic] = ACTIONS(2007),
    [anon_sym_asm] = ACTIONS(2007),
    [anon_sym___asm__] = ACTIONS(2007),
    [anon_sym___asm] = ACTIONS(2007),
    [sym_number_literal] = ACTIONS(2009),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2009),
    [anon_sym_u_DQUOTE] = ACTIONS(2009),
    [anon_sym_U_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8_DQUOTE] = ACTIONS(2009),
    [anon_sym_DQUOTE] = ACTIONS(2009),
    [sym_true] = ACTIONS(2007),
    [sym_false] = ACTIONS(2007),
    [anon_sym_NULL] = ACTIONS(2007),
    [anon_sym_nullptr] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_final] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_explicit] = ACTIONS(2007),
    [anon_sym_typename] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_namespace] = ACTIONS(2007),
    [anon_sym_using] = ACTIONS(2007),
    [anon_sym_static_assert] = ACTIONS(2007),
    [anon_sym_concept] = ACTIONS(2007),
    [anon_sym_co_return] = ACTIONS(2007),
    [anon_sym_co_yield] = ACTIONS(2007),
    [anon_sym_R_DQUOTE] = ACTIONS(2009),
    [anon_sym_LR_DQUOTE] = ACTIONS(2009),
    [anon_sym_uR_DQUOTE] = ACTIONS(2009),
    [anon_sym_UR_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2009),
    [anon_sym_co_await] = ACTIONS(2007),
    [anon_sym_new] = ACTIONS(2007),
    [anon_sym_requires] = ACTIONS(2007),
    [sym_this] = ACTIONS(2007),
    [anon_sym_discard] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
    [anon_sym_cbuffer] = ACTIONS(2007),
  },
  [163] = {
    [sym_field_declaration_list] = STATE(535),
    [sym_virtual_specifier] = STATE(7116),
    [sym_base_class_clause] = STATE(7720),
    [ts_builtin_sym_end] = ACTIONS(1954),
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_in] = ACTIONS(1952),
    [anon_sym_out] = ACTIONS(1952),
    [anon_sym_inout] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym___attribute] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(2011),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
    [anon_sym_discard] = ACTIONS(1952),
    [anon_sym_precise] = ACTIONS(1952),
    [anon_sym_shared] = ACTIONS(1952),
    [anon_sym_groupshared] = ACTIONS(1952),
    [anon_sym_uniform] = ACTIONS(1952),
    [anon_sym_row_major] = ACTIONS(1952),
    [anon_sym_column_major] = ACTIONS(1952),
    [anon_sym_globallycoherent] = ACTIONS(1952),
    [anon_sym_centroid] = ACTIONS(1952),
    [anon_sym_noperspective] = ACTIONS(1952),
    [anon_sym_nointerpolation] = ACTIONS(1952),
    [anon_sym_sample] = ACTIONS(1952),
    [anon_sym_linear] = ACTIONS(1952),
    [anon_sym_snorm] = ACTIONS(1952),
    [anon_sym_unorm] = ACTIONS(1952),
    [anon_sym_point] = ACTIONS(1952),
    [anon_sym_line] = ACTIONS(1952),
    [anon_sym_triangleadj] = ACTIONS(1952),
    [anon_sym_lineadj] = ACTIONS(1952),
    [anon_sym_triangle] = ACTIONS(1952),
    [anon_sym_cbuffer] = ACTIONS(1952),
  },
  [164] = {
    [sym_catch_clause] = STATE(148),
    [aux_sym_constructor_try_statement_repeat1] = STATE(148),
    [sym_identifier] = ACTIONS(2013),
    [aux_sym_preproc_include_token1] = ACTIONS(2013),
    [aux_sym_preproc_def_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token2] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2013),
    [aux_sym_preproc_else_token1] = ACTIONS(2013),
    [aux_sym_preproc_elif_token1] = ACTIONS(2013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2013),
    [sym_preproc_directive] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(2015),
    [anon_sym_BANG] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym___extension__] = ACTIONS(2013),
    [anon_sym_typedef] = ACTIONS(2013),
    [anon_sym_in] = ACTIONS(2013),
    [anon_sym_out] = ACTIONS(2013),
    [anon_sym_inout] = ACTIONS(2013),
    [anon_sym_virtual] = ACTIONS(2013),
    [anon_sym_extern] = ACTIONS(2013),
    [anon_sym___attribute__] = ACTIONS(2013),
    [anon_sym___attribute] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2015),
    [anon_sym___declspec] = ACTIONS(2013),
    [anon_sym___based] = ACTIONS(2013),
    [anon_sym___cdecl] = ACTIONS(2013),
    [anon_sym___clrcall] = ACTIONS(2013),
    [anon_sym___stdcall] = ACTIONS(2013),
    [anon_sym___fastcall] = ACTIONS(2013),
    [anon_sym___thiscall] = ACTIONS(2013),
    [anon_sym___vectorcall] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_signed] = ACTIONS(2013),
    [anon_sym_unsigned] = ACTIONS(2013),
    [anon_sym_long] = ACTIONS(2013),
    [anon_sym_short] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_register] = ACTIONS(2013),
    [anon_sym_inline] = ACTIONS(2013),
    [anon_sym___inline] = ACTIONS(2013),
    [anon_sym___inline__] = ACTIONS(2013),
    [anon_sym___forceinline] = ACTIONS(2013),
    [anon_sym_thread_local] = ACTIONS(2013),
    [anon_sym___thread] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2013),
    [anon_sym_constexpr] = ACTIONS(2013),
    [anon_sym_volatile] = ACTIONS(2013),
    [anon_sym_restrict] = ACTIONS(2013),
    [anon_sym___restrict__] = ACTIONS(2013),
    [anon_sym__Atomic] = ACTIONS(2013),
    [anon_sym__Noreturn] = ACTIONS(2013),
    [anon_sym_noreturn] = ACTIONS(2013),
    [anon_sym__Nonnull] = ACTIONS(2013),
    [anon_sym_mutable] = ACTIONS(2013),
    [anon_sym_constinit] = ACTIONS(2013),
    [anon_sym_consteval] = ACTIONS(2013),
    [anon_sym_alignas] = ACTIONS(2013),
    [anon_sym__Alignas] = ACTIONS(2013),
    [sym_primitive_type] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_struct] = ACTIONS(2013),
    [anon_sym_union] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_switch] = ACTIONS(2013),
    [anon_sym_case] = ACTIONS(2013),
    [anon_sym_default] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym___try] = ACTIONS(2013),
    [anon_sym___leave] = ACTIONS(2013),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_sizeof] = ACTIONS(2013),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2013),
    [anon_sym__Generic] = ACTIONS(2013),
    [anon_sym_asm] = ACTIONS(2013),
    [anon_sym___asm__] = ACTIONS(2013),
    [anon_sym___asm] = ACTIONS(2013),
    [sym_number_literal] = ACTIONS(2015),
    [anon_sym_L_SQUOTE] = ACTIONS(2015),
    [anon_sym_u_SQUOTE] = ACTIONS(2015),
    [anon_sym_U_SQUOTE] = ACTIONS(2015),
    [anon_sym_u8_SQUOTE] = ACTIONS(2015),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_L_DQUOTE] = ACTIONS(2015),
    [anon_sym_u_DQUOTE] = ACTIONS(2015),
    [anon_sym_U_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [sym_true] = ACTIONS(2013),
    [sym_false] = ACTIONS(2013),
    [anon_sym_NULL] = ACTIONS(2013),
    [anon_sym_nullptr] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2013),
    [anon_sym_decltype] = ACTIONS(2013),
    [anon_sym_explicit] = ACTIONS(2013),
    [anon_sym_typename] = ACTIONS(2013),
    [anon_sym_template] = ACTIONS(2013),
    [anon_sym_operator] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_namespace] = ACTIONS(2013),
    [anon_sym_using] = ACTIONS(2013),
    [anon_sym_static_assert] = ACTIONS(2013),
    [anon_sym_concept] = ACTIONS(2013),
    [anon_sym_co_return] = ACTIONS(2013),
    [anon_sym_co_yield] = ACTIONS(2013),
    [anon_sym_catch] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2013),
    [anon_sym_requires] = ACTIONS(2013),
    [sym_this] = ACTIONS(2013),
    [anon_sym_discard] = ACTIONS(2013),
    [anon_sym_precise] = ACTIONS(2013),
    [anon_sym_shared] = ACTIONS(2013),
    [anon_sym_groupshared] = ACTIONS(2013),
    [anon_sym_uniform] = ACTIONS(2013),
    [anon_sym_row_major] = ACTIONS(2013),
    [anon_sym_column_major] = ACTIONS(2013),
    [anon_sym_globallycoherent] = ACTIONS(2013),
    [anon_sym_centroid] = ACTIONS(2013),
    [anon_sym_noperspective] = ACTIONS(2013),
    [anon_sym_nointerpolation] = ACTIONS(2013),
    [anon_sym_sample] = ACTIONS(2013),
    [anon_sym_linear] = ACTIONS(2013),
    [anon_sym_snorm] = ACTIONS(2013),
    [anon_sym_unorm] = ACTIONS(2013),
    [anon_sym_point] = ACTIONS(2013),
    [anon_sym_line] = ACTIONS(2013),
    [anon_sym_triangleadj] = ACTIONS(2013),
    [anon_sym_lineadj] = ACTIONS(2013),
    [anon_sym_triangle] = ACTIONS(2013),
    [anon_sym_cbuffer] = ACTIONS(2013),
  },
  [165] = {
    [sym_catch_clause] = STATE(148),
    [aux_sym_constructor_try_statement_repeat1] = STATE(148),
    [sym_identifier] = ACTIONS(2017),
    [aux_sym_preproc_include_token1] = ACTIONS(2017),
    [aux_sym_preproc_def_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token2] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2017),
    [aux_sym_preproc_else_token1] = ACTIONS(2017),
    [aux_sym_preproc_elif_token1] = ACTIONS(2017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2017),
    [sym_preproc_directive] = ACTIONS(2017),
    [anon_sym_LPAREN2] = ACTIONS(2019),
    [anon_sym_BANG] = ACTIONS(2019),
    [anon_sym_TILDE] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2019),
    [anon_sym_AMP_AMP] = ACTIONS(2019),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym___extension__] = ACTIONS(2017),
    [anon_sym_typedef] = ACTIONS(2017),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_out] = ACTIONS(2017),
    [anon_sym_inout] = ACTIONS(2017),
    [anon_sym_virtual] = ACTIONS(2017),
    [anon_sym_extern] = ACTIONS(2017),
    [anon_sym___attribute__] = ACTIONS(2017),
    [anon_sym___attribute] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2019),
    [anon_sym___declspec] = ACTIONS(2017),
    [anon_sym___based] = ACTIONS(2017),
    [anon_sym___cdecl] = ACTIONS(2017),
    [anon_sym___clrcall] = ACTIONS(2017),
    [anon_sym___stdcall] = ACTIONS(2017),
    [anon_sym___fastcall] = ACTIONS(2017),
    [anon_sym___thiscall] = ACTIONS(2017),
    [anon_sym___vectorcall] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2019),
    [anon_sym_signed] = ACTIONS(2017),
    [anon_sym_unsigned] = ACTIONS(2017),
    [anon_sym_long] = ACTIONS(2017),
    [anon_sym_short] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_register] = ACTIONS(2017),
    [anon_sym_inline] = ACTIONS(2017),
    [anon_sym___inline] = ACTIONS(2017),
    [anon_sym___inline__] = ACTIONS(2017),
    [anon_sym___forceinline] = ACTIONS(2017),
    [anon_sym_thread_local] = ACTIONS(2017),
    [anon_sym___thread] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_constexpr] = ACTIONS(2017),
    [anon_sym_volatile] = ACTIONS(2017),
    [anon_sym_restrict] = ACTIONS(2017),
    [anon_sym___restrict__] = ACTIONS(2017),
    [anon_sym__Atomic] = ACTIONS(2017),
    [anon_sym__Noreturn] = ACTIONS(2017),
    [anon_sym_noreturn] = ACTIONS(2017),
    [anon_sym__Nonnull] = ACTIONS(2017),
    [anon_sym_mutable] = ACTIONS(2017),
    [anon_sym_constinit] = ACTIONS(2017),
    [anon_sym_consteval] = ACTIONS(2017),
    [anon_sym_alignas] = ACTIONS(2017),
    [anon_sym__Alignas] = ACTIONS(2017),
    [sym_primitive_type] = ACTIONS(2017),
    [anon_sym_enum] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_struct] = ACTIONS(2017),
    [anon_sym_union] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_switch] = ACTIONS(2017),
    [anon_sym_case] = ACTIONS(2017),
    [anon_sym_default] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym___try] = ACTIONS(2017),
    [anon_sym___leave] = ACTIONS(2017),
    [anon_sym_not] = ACTIONS(2017),
    [anon_sym_compl] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2019),
    [anon_sym_sizeof] = ACTIONS(2017),
    [anon_sym___alignof__] = ACTIONS(2017),
    [anon_sym___alignof] = ACTIONS(2017),
    [anon_sym__alignof] = ACTIONS(2017),
    [anon_sym_alignof] = ACTIONS(2017),
    [anon_sym__Alignof] = ACTIONS(2017),
    [anon_sym_offsetof] = ACTIONS(2017),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2017),
    [anon_sym___asm__] = ACTIONS(2017),
    [anon_sym___asm] = ACTIONS(2017),
    [sym_number_literal] = ACTIONS(2019),
    [anon_sym_L_SQUOTE] = ACTIONS(2019),
    [anon_sym_u_SQUOTE] = ACTIONS(2019),
    [anon_sym_U_SQUOTE] = ACTIONS(2019),
    [anon_sym_u8_SQUOTE] = ACTIONS(2019),
    [anon_sym_SQUOTE] = ACTIONS(2019),
    [anon_sym_L_DQUOTE] = ACTIONS(2019),
    [anon_sym_u_DQUOTE] = ACTIONS(2019),
    [anon_sym_U_DQUOTE] = ACTIONS(2019),
    [anon_sym_u8_DQUOTE] = ACTIONS(2019),
    [anon_sym_DQUOTE] = ACTIONS(2019),
    [sym_true] = ACTIONS(2017),
    [sym_false] = ACTIONS(2017),
    [anon_sym_NULL] = ACTIONS(2017),
    [anon_sym_nullptr] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2017),
    [anon_sym_decltype] = ACTIONS(2017),
    [anon_sym_explicit] = ACTIONS(2017),
    [anon_sym_typename] = ACTIONS(2017),
    [anon_sym_template] = ACTIONS(2017),
    [anon_sym_operator] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_throw] = ACTIONS(2017),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_using] = ACTIONS(2017),
    [anon_sym_static_assert] = ACTIONS(2017),
    [anon_sym_concept] = ACTIONS(2017),
    [anon_sym_co_return] = ACTIONS(2017),
    [anon_sym_co_yield] = ACTIONS(2017),
    [anon_sym_catch] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(2019),
    [anon_sym_LR_DQUOTE] = ACTIONS(2019),
    [anon_sym_uR_DQUOTE] = ACTIONS(2019),
    [anon_sym_UR_DQUOTE] = ACTIONS(2019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2019),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(2017),
    [anon_sym_requires] = ACTIONS(2017),
    [sym_this] = ACTIONS(2017),
    [anon_sym_discard] = ACTIONS(2017),
    [anon_sym_precise] = ACTIONS(2017),
    [anon_sym_shared] = ACTIONS(2017),
    [anon_sym_groupshared] = ACTIONS(2017),
    [anon_sym_uniform] = ACTIONS(2017),
    [anon_sym_row_major] = ACTIONS(2017),
    [anon_sym_column_major] = ACTIONS(2017),
    [anon_sym_globallycoherent] = ACTIONS(2017),
    [anon_sym_centroid] = ACTIONS(2017),
    [anon_sym_noperspective] = ACTIONS(2017),
    [anon_sym_nointerpolation] = ACTIONS(2017),
    [anon_sym_sample] = ACTIONS(2017),
    [anon_sym_linear] = ACTIONS(2017),
    [anon_sym_snorm] = ACTIONS(2017),
    [anon_sym_unorm] = ACTIONS(2017),
    [anon_sym_point] = ACTIONS(2017),
    [anon_sym_line] = ACTIONS(2017),
    [anon_sym_triangleadj] = ACTIONS(2017),
    [anon_sym_lineadj] = ACTIONS(2017),
    [anon_sym_triangle] = ACTIONS(2017),
    [anon_sym_cbuffer] = ACTIONS(2017),
  },
  [166] = {
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(5470),
    [sym__declarator] = STATE(6742),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8543),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3579),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5763),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(2021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2027),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2033),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(2039),
    [anon_sym___clrcall] = ACTIONS(2039),
    [anon_sym___stdcall] = ACTIONS(2039),
    [anon_sym___fastcall] = ACTIONS(2039),
    [anon_sym___thiscall] = ACTIONS(2039),
    [anon_sym___vectorcall] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [167] = {
    [sym_field_declaration_list] = STATE(528),
    [sym_virtual_specifier] = STATE(7030),
    [sym_base_class_clause] = STATE(7921),
    [ts_builtin_sym_end] = ACTIONS(1944),
    [sym_identifier] = ACTIONS(1942),
    [aux_sym_preproc_include_token1] = ACTIONS(1942),
    [aux_sym_preproc_def_token1] = ACTIONS(1942),
    [aux_sym_preproc_if_token1] = ACTIONS(1942),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1942),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1942),
    [sym_preproc_directive] = ACTIONS(1942),
    [anon_sym_LPAREN2] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_AMP_AMP] = ACTIONS(1944),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1944),
    [anon_sym___extension__] = ACTIONS(1942),
    [anon_sym_typedef] = ACTIONS(1942),
    [anon_sym_in] = ACTIONS(1942),
    [anon_sym_out] = ACTIONS(1942),
    [anon_sym_inout] = ACTIONS(1942),
    [anon_sym_virtual] = ACTIONS(1942),
    [anon_sym_extern] = ACTIONS(1942),
    [anon_sym___attribute__] = ACTIONS(1942),
    [anon_sym___attribute] = ACTIONS(1942),
    [anon_sym_COLON_COLON] = ACTIONS(1944),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1944),
    [anon_sym___declspec] = ACTIONS(1942),
    [anon_sym___based] = ACTIONS(1942),
    [anon_sym___cdecl] = ACTIONS(1942),
    [anon_sym___clrcall] = ACTIONS(1942),
    [anon_sym___stdcall] = ACTIONS(1942),
    [anon_sym___fastcall] = ACTIONS(1942),
    [anon_sym___thiscall] = ACTIONS(1942),
    [anon_sym___vectorcall] = ACTIONS(1942),
    [anon_sym_LBRACE] = ACTIONS(2011),
    [anon_sym_signed] = ACTIONS(1942),
    [anon_sym_unsigned] = ACTIONS(1942),
    [anon_sym_long] = ACTIONS(1942),
    [anon_sym_short] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_static] = ACTIONS(1942),
    [anon_sym_register] = ACTIONS(1942),
    [anon_sym_inline] = ACTIONS(1942),
    [anon_sym___inline] = ACTIONS(1942),
    [anon_sym___inline__] = ACTIONS(1942),
    [anon_sym___forceinline] = ACTIONS(1942),
    [anon_sym_thread_local] = ACTIONS(1942),
    [anon_sym___thread] = ACTIONS(1942),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_constexpr] = ACTIONS(1942),
    [anon_sym_volatile] = ACTIONS(1942),
    [anon_sym_restrict] = ACTIONS(1942),
    [anon_sym___restrict__] = ACTIONS(1942),
    [anon_sym__Atomic] = ACTIONS(1942),
    [anon_sym__Noreturn] = ACTIONS(1942),
    [anon_sym_noreturn] = ACTIONS(1942),
    [anon_sym__Nonnull] = ACTIONS(1942),
    [anon_sym_mutable] = ACTIONS(1942),
    [anon_sym_constinit] = ACTIONS(1942),
    [anon_sym_consteval] = ACTIONS(1942),
    [anon_sym_alignas] = ACTIONS(1942),
    [anon_sym__Alignas] = ACTIONS(1942),
    [sym_primitive_type] = ACTIONS(1942),
    [anon_sym_enum] = ACTIONS(1942),
    [anon_sym_class] = ACTIONS(1942),
    [anon_sym_struct] = ACTIONS(1942),
    [anon_sym_union] = ACTIONS(1942),
    [anon_sym_if] = ACTIONS(1942),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_switch] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1942),
    [anon_sym_default] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1942),
    [anon_sym_return] = ACTIONS(1942),
    [anon_sym_break] = ACTIONS(1942),
    [anon_sym_continue] = ACTIONS(1942),
    [anon_sym_goto] = ACTIONS(1942),
    [anon_sym___try] = ACTIONS(1942),
    [anon_sym___leave] = ACTIONS(1942),
    [anon_sym_not] = ACTIONS(1942),
    [anon_sym_compl] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1944),
    [anon_sym_sizeof] = ACTIONS(1942),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1942),
    [anon_sym__Generic] = ACTIONS(1942),
    [anon_sym_asm] = ACTIONS(1942),
    [anon_sym___asm__] = ACTIONS(1942),
    [anon_sym___asm] = ACTIONS(1942),
    [sym_number_literal] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1944),
    [anon_sym_u_SQUOTE] = ACTIONS(1944),
    [anon_sym_U_SQUOTE] = ACTIONS(1944),
    [anon_sym_u8_SQUOTE] = ACTIONS(1944),
    [anon_sym_SQUOTE] = ACTIONS(1944),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1942),
    [sym_false] = ACTIONS(1942),
    [anon_sym_NULL] = ACTIONS(1942),
    [anon_sym_nullptr] = ACTIONS(1942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1942),
    [anon_sym_decltype] = ACTIONS(1942),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1942),
    [anon_sym_typename] = ACTIONS(1942),
    [anon_sym_template] = ACTIONS(1942),
    [anon_sym_operator] = ACTIONS(1942),
    [anon_sym_try] = ACTIONS(1942),
    [anon_sym_delete] = ACTIONS(1942),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_namespace] = ACTIONS(1942),
    [anon_sym_using] = ACTIONS(1942),
    [anon_sym_static_assert] = ACTIONS(1942),
    [anon_sym_concept] = ACTIONS(1942),
    [anon_sym_co_return] = ACTIONS(1942),
    [anon_sym_co_yield] = ACTIONS(1942),
    [anon_sym_R_DQUOTE] = ACTIONS(1944),
    [anon_sym_LR_DQUOTE] = ACTIONS(1944),
    [anon_sym_uR_DQUOTE] = ACTIONS(1944),
    [anon_sym_UR_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1944),
    [anon_sym_co_await] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1942),
    [anon_sym_requires] = ACTIONS(1942),
    [sym_this] = ACTIONS(1942),
    [anon_sym_discard] = ACTIONS(1942),
    [anon_sym_precise] = ACTIONS(1942),
    [anon_sym_shared] = ACTIONS(1942),
    [anon_sym_groupshared] = ACTIONS(1942),
    [anon_sym_uniform] = ACTIONS(1942),
    [anon_sym_row_major] = ACTIONS(1942),
    [anon_sym_column_major] = ACTIONS(1942),
    [anon_sym_globallycoherent] = ACTIONS(1942),
    [anon_sym_centroid] = ACTIONS(1942),
    [anon_sym_noperspective] = ACTIONS(1942),
    [anon_sym_nointerpolation] = ACTIONS(1942),
    [anon_sym_sample] = ACTIONS(1942),
    [anon_sym_linear] = ACTIONS(1942),
    [anon_sym_snorm] = ACTIONS(1942),
    [anon_sym_unorm] = ACTIONS(1942),
    [anon_sym_point] = ACTIONS(1942),
    [anon_sym_line] = ACTIONS(1942),
    [anon_sym_triangleadj] = ACTIONS(1942),
    [anon_sym_lineadj] = ACTIONS(1942),
    [anon_sym_triangle] = ACTIONS(1942),
    [anon_sym_cbuffer] = ACTIONS(1942),
  },
  [168] = {
    [sym_field_declaration_list] = STATE(421),
    [sym_virtual_specifier] = STATE(7073),
    [sym_base_class_clause] = STATE(7753),
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_in] = ACTIONS(1952),
    [anon_sym_out] = ACTIONS(1952),
    [anon_sym_inout] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym___attribute] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
    [anon_sym_discard] = ACTIONS(1952),
    [anon_sym_precise] = ACTIONS(1952),
    [anon_sym_shared] = ACTIONS(1952),
    [anon_sym_groupshared] = ACTIONS(1952),
    [anon_sym_uniform] = ACTIONS(1952),
    [anon_sym_row_major] = ACTIONS(1952),
    [anon_sym_column_major] = ACTIONS(1952),
    [anon_sym_globallycoherent] = ACTIONS(1952),
    [anon_sym_centroid] = ACTIONS(1952),
    [anon_sym_noperspective] = ACTIONS(1952),
    [anon_sym_nointerpolation] = ACTIONS(1952),
    [anon_sym_sample] = ACTIONS(1952),
    [anon_sym_linear] = ACTIONS(1952),
    [anon_sym_snorm] = ACTIONS(1952),
    [anon_sym_unorm] = ACTIONS(1952),
    [anon_sym_point] = ACTIONS(1952),
    [anon_sym_line] = ACTIONS(1952),
    [anon_sym_triangleadj] = ACTIONS(1952),
    [anon_sym_lineadj] = ACTIONS(1952),
    [anon_sym_triangle] = ACTIONS(1952),
    [anon_sym_cbuffer] = ACTIONS(1952),
  },
  [169] = {
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(5470),
    [sym__declarator] = STATE(6742),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8565),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3579),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5763),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(2021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2027),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2033),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(2039),
    [anon_sym___clrcall] = ACTIONS(2039),
    [anon_sym___stdcall] = ACTIONS(2039),
    [anon_sym___fastcall] = ACTIONS(2039),
    [anon_sym___thiscall] = ACTIONS(2039),
    [anon_sym___vectorcall] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [170] = {
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(5470),
    [sym__declarator] = STATE(6742),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_compound_statement] = STATE(8729),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3213),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8729),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8741),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3579),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8746),
    [sym__unary_right_fold] = STATE(8750),
    [sym__binary_fold] = STATE(8775),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5763),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8781),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(2021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2027),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2033),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(2039),
    [anon_sym___clrcall] = ACTIONS(2039),
    [anon_sym___stdcall] = ACTIONS(2039),
    [anon_sym___fastcall] = ACTIONS(2039),
    [anon_sym___thiscall] = ACTIONS(2039),
    [anon_sym___vectorcall] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [171] = {
    [sym_field_declaration_list] = STATE(469),
    [sym_virtual_specifier] = STATE(7165),
    [sym_base_class_clause] = STATE(7964),
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_in] = ACTIONS(1952),
    [anon_sym_out] = ACTIONS(1952),
    [anon_sym_inout] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym___attribute] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
    [anon_sym_discard] = ACTIONS(1952),
    [anon_sym_precise] = ACTIONS(1952),
    [anon_sym_shared] = ACTIONS(1952),
    [anon_sym_groupshared] = ACTIONS(1952),
    [anon_sym_uniform] = ACTIONS(1952),
    [anon_sym_row_major] = ACTIONS(1952),
    [anon_sym_column_major] = ACTIONS(1952),
    [anon_sym_globallycoherent] = ACTIONS(1952),
    [anon_sym_centroid] = ACTIONS(1952),
    [anon_sym_noperspective] = ACTIONS(1952),
    [anon_sym_nointerpolation] = ACTIONS(1952),
    [anon_sym_sample] = ACTIONS(1952),
    [anon_sym_linear] = ACTIONS(1952),
    [anon_sym_snorm] = ACTIONS(1952),
    [anon_sym_unorm] = ACTIONS(1952),
    [anon_sym_point] = ACTIONS(1952),
    [anon_sym_line] = ACTIONS(1952),
    [anon_sym_triangleadj] = ACTIONS(1952),
    [anon_sym_lineadj] = ACTIONS(1952),
    [anon_sym_triangle] = ACTIONS(1952),
    [anon_sym_cbuffer] = ACTIONS(1952),
  },
  [172] = {
    [sym_field_declaration_list] = STATE(463),
    [sym_virtual_specifier] = STATE(7183),
    [sym_base_class_clause] = STATE(7924),
    [sym_identifier] = ACTIONS(1942),
    [aux_sym_preproc_include_token1] = ACTIONS(1942),
    [aux_sym_preproc_def_token1] = ACTIONS(1942),
    [aux_sym_preproc_if_token1] = ACTIONS(1942),
    [aux_sym_preproc_if_token2] = ACTIONS(1942),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1942),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1942),
    [sym_preproc_directive] = ACTIONS(1942),
    [anon_sym_LPAREN2] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_AMP_AMP] = ACTIONS(1944),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1944),
    [anon_sym___extension__] = ACTIONS(1942),
    [anon_sym_typedef] = ACTIONS(1942),
    [anon_sym_in] = ACTIONS(1942),
    [anon_sym_out] = ACTIONS(1942),
    [anon_sym_inout] = ACTIONS(1942),
    [anon_sym_virtual] = ACTIONS(1942),
    [anon_sym_extern] = ACTIONS(1942),
    [anon_sym___attribute__] = ACTIONS(1942),
    [anon_sym___attribute] = ACTIONS(1942),
    [anon_sym_COLON_COLON] = ACTIONS(1944),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1944),
    [anon_sym___declspec] = ACTIONS(1942),
    [anon_sym___based] = ACTIONS(1942),
    [anon_sym___cdecl] = ACTIONS(1942),
    [anon_sym___clrcall] = ACTIONS(1942),
    [anon_sym___stdcall] = ACTIONS(1942),
    [anon_sym___fastcall] = ACTIONS(1942),
    [anon_sym___thiscall] = ACTIONS(1942),
    [anon_sym___vectorcall] = ACTIONS(1942),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_signed] = ACTIONS(1942),
    [anon_sym_unsigned] = ACTIONS(1942),
    [anon_sym_long] = ACTIONS(1942),
    [anon_sym_short] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_static] = ACTIONS(1942),
    [anon_sym_register] = ACTIONS(1942),
    [anon_sym_inline] = ACTIONS(1942),
    [anon_sym___inline] = ACTIONS(1942),
    [anon_sym___inline__] = ACTIONS(1942),
    [anon_sym___forceinline] = ACTIONS(1942),
    [anon_sym_thread_local] = ACTIONS(1942),
    [anon_sym___thread] = ACTIONS(1942),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_constexpr] = ACTIONS(1942),
    [anon_sym_volatile] = ACTIONS(1942),
    [anon_sym_restrict] = ACTIONS(1942),
    [anon_sym___restrict__] = ACTIONS(1942),
    [anon_sym__Atomic] = ACTIONS(1942),
    [anon_sym__Noreturn] = ACTIONS(1942),
    [anon_sym_noreturn] = ACTIONS(1942),
    [anon_sym__Nonnull] = ACTIONS(1942),
    [anon_sym_mutable] = ACTIONS(1942),
    [anon_sym_constinit] = ACTIONS(1942),
    [anon_sym_consteval] = ACTIONS(1942),
    [anon_sym_alignas] = ACTIONS(1942),
    [anon_sym__Alignas] = ACTIONS(1942),
    [sym_primitive_type] = ACTIONS(1942),
    [anon_sym_enum] = ACTIONS(1942),
    [anon_sym_class] = ACTIONS(1942),
    [anon_sym_struct] = ACTIONS(1942),
    [anon_sym_union] = ACTIONS(1942),
    [anon_sym_if] = ACTIONS(1942),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_switch] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1942),
    [anon_sym_default] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1942),
    [anon_sym_return] = ACTIONS(1942),
    [anon_sym_break] = ACTIONS(1942),
    [anon_sym_continue] = ACTIONS(1942),
    [anon_sym_goto] = ACTIONS(1942),
    [anon_sym___try] = ACTIONS(1942),
    [anon_sym___leave] = ACTIONS(1942),
    [anon_sym_not] = ACTIONS(1942),
    [anon_sym_compl] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1944),
    [anon_sym_sizeof] = ACTIONS(1942),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1942),
    [anon_sym__Generic] = ACTIONS(1942),
    [anon_sym_asm] = ACTIONS(1942),
    [anon_sym___asm__] = ACTIONS(1942),
    [anon_sym___asm] = ACTIONS(1942),
    [sym_number_literal] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1944),
    [anon_sym_u_SQUOTE] = ACTIONS(1944),
    [anon_sym_U_SQUOTE] = ACTIONS(1944),
    [anon_sym_u8_SQUOTE] = ACTIONS(1944),
    [anon_sym_SQUOTE] = ACTIONS(1944),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1942),
    [sym_false] = ACTIONS(1942),
    [anon_sym_NULL] = ACTIONS(1942),
    [anon_sym_nullptr] = ACTIONS(1942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1942),
    [anon_sym_decltype] = ACTIONS(1942),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1942),
    [anon_sym_typename] = ACTIONS(1942),
    [anon_sym_template] = ACTIONS(1942),
    [anon_sym_operator] = ACTIONS(1942),
    [anon_sym_try] = ACTIONS(1942),
    [anon_sym_delete] = ACTIONS(1942),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_namespace] = ACTIONS(1942),
    [anon_sym_using] = ACTIONS(1942),
    [anon_sym_static_assert] = ACTIONS(1942),
    [anon_sym_concept] = ACTIONS(1942),
    [anon_sym_co_return] = ACTIONS(1942),
    [anon_sym_co_yield] = ACTIONS(1942),
    [anon_sym_R_DQUOTE] = ACTIONS(1944),
    [anon_sym_LR_DQUOTE] = ACTIONS(1944),
    [anon_sym_uR_DQUOTE] = ACTIONS(1944),
    [anon_sym_UR_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1944),
    [anon_sym_co_await] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1942),
    [anon_sym_requires] = ACTIONS(1942),
    [sym_this] = ACTIONS(1942),
    [anon_sym_discard] = ACTIONS(1942),
    [anon_sym_precise] = ACTIONS(1942),
    [anon_sym_shared] = ACTIONS(1942),
    [anon_sym_groupshared] = ACTIONS(1942),
    [anon_sym_uniform] = ACTIONS(1942),
    [anon_sym_row_major] = ACTIONS(1942),
    [anon_sym_column_major] = ACTIONS(1942),
    [anon_sym_globallycoherent] = ACTIONS(1942),
    [anon_sym_centroid] = ACTIONS(1942),
    [anon_sym_noperspective] = ACTIONS(1942),
    [anon_sym_nointerpolation] = ACTIONS(1942),
    [anon_sym_sample] = ACTIONS(1942),
    [anon_sym_linear] = ACTIONS(1942),
    [anon_sym_snorm] = ACTIONS(1942),
    [anon_sym_unorm] = ACTIONS(1942),
    [anon_sym_point] = ACTIONS(1942),
    [anon_sym_line] = ACTIONS(1942),
    [anon_sym_triangleadj] = ACTIONS(1942),
    [anon_sym_lineadj] = ACTIONS(1942),
    [anon_sym_triangle] = ACTIONS(1942),
    [anon_sym_cbuffer] = ACTIONS(1942),
  },
  [173] = {
    [sym_field_declaration_list] = STATE(410),
    [sym_virtual_specifier] = STATE(7086),
    [sym_base_class_clause] = STATE(7827),
    [sym_identifier] = ACTIONS(1942),
    [aux_sym_preproc_include_token1] = ACTIONS(1942),
    [aux_sym_preproc_def_token1] = ACTIONS(1942),
    [aux_sym_preproc_if_token1] = ACTIONS(1942),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1942),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1942),
    [sym_preproc_directive] = ACTIONS(1942),
    [anon_sym_LPAREN2] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_AMP_AMP] = ACTIONS(1944),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1944),
    [anon_sym___extension__] = ACTIONS(1942),
    [anon_sym_typedef] = ACTIONS(1942),
    [anon_sym_in] = ACTIONS(1942),
    [anon_sym_out] = ACTIONS(1942),
    [anon_sym_inout] = ACTIONS(1942),
    [anon_sym_virtual] = ACTIONS(1942),
    [anon_sym_extern] = ACTIONS(1942),
    [anon_sym___attribute__] = ACTIONS(1942),
    [anon_sym___attribute] = ACTIONS(1942),
    [anon_sym_COLON_COLON] = ACTIONS(1944),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1944),
    [anon_sym___declspec] = ACTIONS(1942),
    [anon_sym___based] = ACTIONS(1942),
    [anon_sym___cdecl] = ACTIONS(1942),
    [anon_sym___clrcall] = ACTIONS(1942),
    [anon_sym___stdcall] = ACTIONS(1942),
    [anon_sym___fastcall] = ACTIONS(1942),
    [anon_sym___thiscall] = ACTIONS(1942),
    [anon_sym___vectorcall] = ACTIONS(1942),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_RBRACE] = ACTIONS(1944),
    [anon_sym_signed] = ACTIONS(1942),
    [anon_sym_unsigned] = ACTIONS(1942),
    [anon_sym_long] = ACTIONS(1942),
    [anon_sym_short] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_static] = ACTIONS(1942),
    [anon_sym_register] = ACTIONS(1942),
    [anon_sym_inline] = ACTIONS(1942),
    [anon_sym___inline] = ACTIONS(1942),
    [anon_sym___inline__] = ACTIONS(1942),
    [anon_sym___forceinline] = ACTIONS(1942),
    [anon_sym_thread_local] = ACTIONS(1942),
    [anon_sym___thread] = ACTIONS(1942),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_constexpr] = ACTIONS(1942),
    [anon_sym_volatile] = ACTIONS(1942),
    [anon_sym_restrict] = ACTIONS(1942),
    [anon_sym___restrict__] = ACTIONS(1942),
    [anon_sym__Atomic] = ACTIONS(1942),
    [anon_sym__Noreturn] = ACTIONS(1942),
    [anon_sym_noreturn] = ACTIONS(1942),
    [anon_sym__Nonnull] = ACTIONS(1942),
    [anon_sym_mutable] = ACTIONS(1942),
    [anon_sym_constinit] = ACTIONS(1942),
    [anon_sym_consteval] = ACTIONS(1942),
    [anon_sym_alignas] = ACTIONS(1942),
    [anon_sym__Alignas] = ACTIONS(1942),
    [sym_primitive_type] = ACTIONS(1942),
    [anon_sym_enum] = ACTIONS(1942),
    [anon_sym_class] = ACTIONS(1942),
    [anon_sym_struct] = ACTIONS(1942),
    [anon_sym_union] = ACTIONS(1942),
    [anon_sym_if] = ACTIONS(1942),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_switch] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1942),
    [anon_sym_default] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1942),
    [anon_sym_return] = ACTIONS(1942),
    [anon_sym_break] = ACTIONS(1942),
    [anon_sym_continue] = ACTIONS(1942),
    [anon_sym_goto] = ACTIONS(1942),
    [anon_sym___try] = ACTIONS(1942),
    [anon_sym___leave] = ACTIONS(1942),
    [anon_sym_not] = ACTIONS(1942),
    [anon_sym_compl] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1944),
    [anon_sym_sizeof] = ACTIONS(1942),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1942),
    [anon_sym__Generic] = ACTIONS(1942),
    [anon_sym_asm] = ACTIONS(1942),
    [anon_sym___asm__] = ACTIONS(1942),
    [anon_sym___asm] = ACTIONS(1942),
    [sym_number_literal] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1944),
    [anon_sym_u_SQUOTE] = ACTIONS(1944),
    [anon_sym_U_SQUOTE] = ACTIONS(1944),
    [anon_sym_u8_SQUOTE] = ACTIONS(1944),
    [anon_sym_SQUOTE] = ACTIONS(1944),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1942),
    [sym_false] = ACTIONS(1942),
    [anon_sym_NULL] = ACTIONS(1942),
    [anon_sym_nullptr] = ACTIONS(1942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1942),
    [anon_sym_decltype] = ACTIONS(1942),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1942),
    [anon_sym_typename] = ACTIONS(1942),
    [anon_sym_template] = ACTIONS(1942),
    [anon_sym_operator] = ACTIONS(1942),
    [anon_sym_try] = ACTIONS(1942),
    [anon_sym_delete] = ACTIONS(1942),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_namespace] = ACTIONS(1942),
    [anon_sym_using] = ACTIONS(1942),
    [anon_sym_static_assert] = ACTIONS(1942),
    [anon_sym_concept] = ACTIONS(1942),
    [anon_sym_co_return] = ACTIONS(1942),
    [anon_sym_co_yield] = ACTIONS(1942),
    [anon_sym_R_DQUOTE] = ACTIONS(1944),
    [anon_sym_LR_DQUOTE] = ACTIONS(1944),
    [anon_sym_uR_DQUOTE] = ACTIONS(1944),
    [anon_sym_UR_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1944),
    [anon_sym_co_await] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1942),
    [anon_sym_requires] = ACTIONS(1942),
    [sym_this] = ACTIONS(1942),
    [anon_sym_discard] = ACTIONS(1942),
    [anon_sym_precise] = ACTIONS(1942),
    [anon_sym_shared] = ACTIONS(1942),
    [anon_sym_groupshared] = ACTIONS(1942),
    [anon_sym_uniform] = ACTIONS(1942),
    [anon_sym_row_major] = ACTIONS(1942),
    [anon_sym_column_major] = ACTIONS(1942),
    [anon_sym_globallycoherent] = ACTIONS(1942),
    [anon_sym_centroid] = ACTIONS(1942),
    [anon_sym_noperspective] = ACTIONS(1942),
    [anon_sym_nointerpolation] = ACTIONS(1942),
    [anon_sym_sample] = ACTIONS(1942),
    [anon_sym_linear] = ACTIONS(1942),
    [anon_sym_snorm] = ACTIONS(1942),
    [anon_sym_unorm] = ACTIONS(1942),
    [anon_sym_point] = ACTIONS(1942),
    [anon_sym_line] = ACTIONS(1942),
    [anon_sym_triangleadj] = ACTIONS(1942),
    [anon_sym_lineadj] = ACTIONS(1942),
    [anon_sym_triangle] = ACTIONS(1942),
    [anon_sym_cbuffer] = ACTIONS(1942),
  },
  [174] = {
    [sym_identifier] = ACTIONS(2099),
    [aux_sym_preproc_include_token1] = ACTIONS(2099),
    [aux_sym_preproc_def_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token2] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2099),
    [aux_sym_preproc_else_token1] = ACTIONS(2099),
    [aux_sym_preproc_elif_token1] = ACTIONS(2099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2099),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2099),
    [sym_preproc_directive] = ACTIONS(2099),
    [anon_sym_LPAREN2] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2099),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym___extension__] = ACTIONS(2099),
    [anon_sym_typedef] = ACTIONS(2099),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_out] = ACTIONS(2099),
    [anon_sym_inout] = ACTIONS(2099),
    [anon_sym_virtual] = ACTIONS(2099),
    [anon_sym_extern] = ACTIONS(2099),
    [anon_sym___attribute__] = ACTIONS(2099),
    [anon_sym___attribute] = ACTIONS(2099),
    [anon_sym_COLON_COLON] = ACTIONS(2101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2101),
    [anon_sym___declspec] = ACTIONS(2099),
    [anon_sym___based] = ACTIONS(2099),
    [anon_sym___cdecl] = ACTIONS(2099),
    [anon_sym___clrcall] = ACTIONS(2099),
    [anon_sym___stdcall] = ACTIONS(2099),
    [anon_sym___fastcall] = ACTIONS(2099),
    [anon_sym___thiscall] = ACTIONS(2099),
    [anon_sym___vectorcall] = ACTIONS(2099),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2099),
    [anon_sym_register] = ACTIONS(2099),
    [anon_sym_inline] = ACTIONS(2099),
    [anon_sym___inline] = ACTIONS(2099),
    [anon_sym___inline__] = ACTIONS(2099),
    [anon_sym___forceinline] = ACTIONS(2099),
    [anon_sym_thread_local] = ACTIONS(2099),
    [anon_sym___thread] = ACTIONS(2099),
    [anon_sym_const] = ACTIONS(2099),
    [anon_sym_constexpr] = ACTIONS(2099),
    [anon_sym_volatile] = ACTIONS(2099),
    [anon_sym_restrict] = ACTIONS(2099),
    [anon_sym___restrict__] = ACTIONS(2099),
    [anon_sym__Atomic] = ACTIONS(2099),
    [anon_sym__Noreturn] = ACTIONS(2099),
    [anon_sym_noreturn] = ACTIONS(2099),
    [anon_sym__Nonnull] = ACTIONS(2099),
    [anon_sym_mutable] = ACTIONS(2099),
    [anon_sym_constinit] = ACTIONS(2099),
    [anon_sym_consteval] = ACTIONS(2099),
    [anon_sym_alignas] = ACTIONS(2099),
    [anon_sym__Alignas] = ACTIONS(2099),
    [sym_primitive_type] = ACTIONS(2099),
    [anon_sym_enum] = ACTIONS(2099),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2099),
    [anon_sym_union] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(2099),
    [anon_sym_switch] = ACTIONS(2099),
    [anon_sym_case] = ACTIONS(2099),
    [anon_sym_default] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2099),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_return] = ACTIONS(2099),
    [anon_sym_break] = ACTIONS(2099),
    [anon_sym_continue] = ACTIONS(2099),
    [anon_sym_goto] = ACTIONS(2099),
    [anon_sym___try] = ACTIONS(2099),
    [anon_sym___leave] = ACTIONS(2099),
    [anon_sym_not] = ACTIONS(2099),
    [anon_sym_compl] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_sizeof] = ACTIONS(2099),
    [anon_sym___alignof__] = ACTIONS(2099),
    [anon_sym___alignof] = ACTIONS(2099),
    [anon_sym__alignof] = ACTIONS(2099),
    [anon_sym_alignof] = ACTIONS(2099),
    [anon_sym__Alignof] = ACTIONS(2099),
    [anon_sym_offsetof] = ACTIONS(2099),
    [anon_sym__Generic] = ACTIONS(2099),
    [anon_sym_asm] = ACTIONS(2099),
    [anon_sym___asm__] = ACTIONS(2099),
    [anon_sym___asm] = ACTIONS(2099),
    [sym_number_literal] = ACTIONS(2101),
    [anon_sym_L_SQUOTE] = ACTIONS(2101),
    [anon_sym_u_SQUOTE] = ACTIONS(2101),
    [anon_sym_U_SQUOTE] = ACTIONS(2101),
    [anon_sym_u8_SQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2099),
    [sym_false] = ACTIONS(2099),
    [anon_sym_NULL] = ACTIONS(2099),
    [anon_sym_nullptr] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2099),
    [anon_sym_decltype] = ACTIONS(2099),
    [anon_sym_explicit] = ACTIONS(2099),
    [anon_sym_typename] = ACTIONS(2099),
    [anon_sym_template] = ACTIONS(2099),
    [anon_sym_operator] = ACTIONS(2099),
    [anon_sym_try] = ACTIONS(2099),
    [anon_sym_delete] = ACTIONS(2099),
    [anon_sym_throw] = ACTIONS(2099),
    [anon_sym_namespace] = ACTIONS(2099),
    [anon_sym_using] = ACTIONS(2099),
    [anon_sym_static_assert] = ACTIONS(2099),
    [anon_sym_concept] = ACTIONS(2099),
    [anon_sym_co_return] = ACTIONS(2099),
    [anon_sym_co_yield] = ACTIONS(2099),
    [anon_sym_catch] = ACTIONS(2099),
    [anon_sym_R_DQUOTE] = ACTIONS(2101),
    [anon_sym_LR_DQUOTE] = ACTIONS(2101),
    [anon_sym_uR_DQUOTE] = ACTIONS(2101),
    [anon_sym_UR_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2101),
    [anon_sym_co_await] = ACTIONS(2099),
    [anon_sym_new] = ACTIONS(2099),
    [anon_sym_requires] = ACTIONS(2099),
    [sym_this] = ACTIONS(2099),
    [anon_sym_discard] = ACTIONS(2099),
    [anon_sym_precise] = ACTIONS(2099),
    [anon_sym_shared] = ACTIONS(2099),
    [anon_sym_groupshared] = ACTIONS(2099),
    [anon_sym_uniform] = ACTIONS(2099),
    [anon_sym_row_major] = ACTIONS(2099),
    [anon_sym_column_major] = ACTIONS(2099),
    [anon_sym_globallycoherent] = ACTIONS(2099),
    [anon_sym_centroid] = ACTIONS(2099),
    [anon_sym_noperspective] = ACTIONS(2099),
    [anon_sym_nointerpolation] = ACTIONS(2099),
    [anon_sym_sample] = ACTIONS(2099),
    [anon_sym_linear] = ACTIONS(2099),
    [anon_sym_snorm] = ACTIONS(2099),
    [anon_sym_unorm] = ACTIONS(2099),
    [anon_sym_point] = ACTIONS(2099),
    [anon_sym_line] = ACTIONS(2099),
    [anon_sym_triangleadj] = ACTIONS(2099),
    [anon_sym_lineadj] = ACTIONS(2099),
    [anon_sym_triangle] = ACTIONS(2099),
    [anon_sym_cbuffer] = ACTIONS(2099),
  },
  [175] = {
    [sym_template_argument_list] = STATE(349),
    [sym_identifier] = ACTIONS(1964),
    [aux_sym_preproc_include_token1] = ACTIONS(1964),
    [aux_sym_preproc_def_token1] = ACTIONS(1964),
    [aux_sym_preproc_if_token1] = ACTIONS(1964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1964),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_typedef] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_out] = ACTIONS(1964),
    [anon_sym_inout] = ACTIONS(1964),
    [anon_sym_virtual] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1964),
    [anon_sym___based] = ACTIONS(1964),
    [anon_sym___cdecl] = ACTIONS(1964),
    [anon_sym___clrcall] = ACTIONS(1964),
    [anon_sym___stdcall] = ACTIONS(1964),
    [anon_sym___fastcall] = ACTIONS(1964),
    [anon_sym___thiscall] = ACTIONS(1964),
    [anon_sym___vectorcall] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1964),
    [anon_sym_unsigned] = ACTIONS(1964),
    [anon_sym_long] = ACTIONS(1964),
    [anon_sym_short] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_register] = ACTIONS(1964),
    [anon_sym_inline] = ACTIONS(1964),
    [anon_sym___inline] = ACTIONS(1964),
    [anon_sym___inline__] = ACTIONS(1964),
    [anon_sym___forceinline] = ACTIONS(1964),
    [anon_sym_thread_local] = ACTIONS(1964),
    [anon_sym___thread] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_constexpr] = ACTIONS(1964),
    [anon_sym_volatile] = ACTIONS(1964),
    [anon_sym_restrict] = ACTIONS(1964),
    [anon_sym___restrict__] = ACTIONS(1964),
    [anon_sym__Atomic] = ACTIONS(1964),
    [anon_sym__Noreturn] = ACTIONS(1964),
    [anon_sym_noreturn] = ACTIONS(1964),
    [anon_sym__Nonnull] = ACTIONS(1964),
    [anon_sym_mutable] = ACTIONS(1964),
    [anon_sym_constinit] = ACTIONS(1964),
    [anon_sym_consteval] = ACTIONS(1964),
    [anon_sym_alignas] = ACTIONS(1964),
    [anon_sym__Alignas] = ACTIONS(1964),
    [sym_primitive_type] = ACTIONS(1964),
    [anon_sym_enum] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1964),
    [anon_sym_struct] = ACTIONS(1964),
    [anon_sym_union] = ACTIONS(1964),
    [anon_sym_if] = ACTIONS(1964),
    [anon_sym_else] = ACTIONS(1964),
    [anon_sym_switch] = ACTIONS(1964),
    [anon_sym_case] = ACTIONS(1964),
    [anon_sym_default] = ACTIONS(1964),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_do] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_return] = ACTIONS(1964),
    [anon_sym_break] = ACTIONS(1964),
    [anon_sym_continue] = ACTIONS(1964),
    [anon_sym_goto] = ACTIONS(1964),
    [anon_sym___try] = ACTIONS(1964),
    [anon_sym___leave] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1964),
    [anon_sym___alignof__] = ACTIONS(1964),
    [anon_sym___alignof] = ACTIONS(1964),
    [anon_sym__alignof] = ACTIONS(1964),
    [anon_sym_alignof] = ACTIONS(1964),
    [anon_sym__Alignof] = ACTIONS(1964),
    [anon_sym_offsetof] = ACTIONS(1964),
    [anon_sym__Generic] = ACTIONS(1964),
    [anon_sym_asm] = ACTIONS(1964),
    [anon_sym___asm__] = ACTIONS(1964),
    [anon_sym___asm] = ACTIONS(1964),
    [sym_number_literal] = ACTIONS(1966),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1964),
    [sym_false] = ACTIONS(1964),
    [anon_sym_NULL] = ACTIONS(1964),
    [anon_sym_nullptr] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_final] = ACTIONS(1964),
    [anon_sym_override] = ACTIONS(1964),
    [anon_sym_explicit] = ACTIONS(1964),
    [anon_sym_typename] = ACTIONS(1964),
    [anon_sym_template] = ACTIONS(1964),
    [anon_sym_operator] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1964),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_throw] = ACTIONS(1964),
    [anon_sym_namespace] = ACTIONS(1964),
    [anon_sym_using] = ACTIONS(1964),
    [anon_sym_static_assert] = ACTIONS(1964),
    [anon_sym_concept] = ACTIONS(1964),
    [anon_sym_co_return] = ACTIONS(1964),
    [anon_sym_co_yield] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1964),
    [anon_sym_new] = ACTIONS(1964),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1964),
    [anon_sym_discard] = ACTIONS(1964),
    [anon_sym_precise] = ACTIONS(1964),
    [anon_sym_shared] = ACTIONS(1964),
    [anon_sym_groupshared] = ACTIONS(1964),
    [anon_sym_uniform] = ACTIONS(1964),
    [anon_sym_row_major] = ACTIONS(1964),
    [anon_sym_column_major] = ACTIONS(1964),
    [anon_sym_globallycoherent] = ACTIONS(1964),
    [anon_sym_centroid] = ACTIONS(1964),
    [anon_sym_noperspective] = ACTIONS(1964),
    [anon_sym_nointerpolation] = ACTIONS(1964),
    [anon_sym_sample] = ACTIONS(1964),
    [anon_sym_linear] = ACTIONS(1964),
    [anon_sym_snorm] = ACTIONS(1964),
    [anon_sym_unorm] = ACTIONS(1964),
    [anon_sym_point] = ACTIONS(1964),
    [anon_sym_line] = ACTIONS(1964),
    [anon_sym_triangleadj] = ACTIONS(1964),
    [anon_sym_lineadj] = ACTIONS(1964),
    [anon_sym_triangle] = ACTIONS(1964),
    [anon_sym_cbuffer] = ACTIONS(1964),
  },
  [176] = {
    [sym_template_argument_list] = STATE(349),
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_include_token1] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1974),
    [anon_sym_BANG] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(1974),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_primitive_type] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [sym_number_literal] = ACTIONS(1974),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_final] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1974),
    [anon_sym_LR_DQUOTE] = ACTIONS(1974),
    [anon_sym_uR_DQUOTE] = ACTIONS(1974),
    [anon_sym_UR_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1974),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
    [anon_sym_discard] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
    [anon_sym_cbuffer] = ACTIONS(1972),
  },
  [177] = {
    [sym_template_argument_list] = STATE(269),
    [sym_identifier] = ACTIONS(1964),
    [aux_sym_preproc_include_token1] = ACTIONS(1964),
    [aux_sym_preproc_def_token1] = ACTIONS(1964),
    [aux_sym_preproc_if_token1] = ACTIONS(1964),
    [aux_sym_preproc_if_token2] = ACTIONS(1964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1964),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_typedef] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_out] = ACTIONS(1964),
    [anon_sym_inout] = ACTIONS(1964),
    [anon_sym_virtual] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1964),
    [anon_sym___based] = ACTIONS(1964),
    [anon_sym___cdecl] = ACTIONS(1964),
    [anon_sym___clrcall] = ACTIONS(1964),
    [anon_sym___stdcall] = ACTIONS(1964),
    [anon_sym___fastcall] = ACTIONS(1964),
    [anon_sym___thiscall] = ACTIONS(1964),
    [anon_sym___vectorcall] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1964),
    [anon_sym_unsigned] = ACTIONS(1964),
    [anon_sym_long] = ACTIONS(1964),
    [anon_sym_short] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_register] = ACTIONS(1964),
    [anon_sym_inline] = ACTIONS(1964),
    [anon_sym___inline] = ACTIONS(1964),
    [anon_sym___inline__] = ACTIONS(1964),
    [anon_sym___forceinline] = ACTIONS(1964),
    [anon_sym_thread_local] = ACTIONS(1964),
    [anon_sym___thread] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_constexpr] = ACTIONS(1964),
    [anon_sym_volatile] = ACTIONS(1964),
    [anon_sym_restrict] = ACTIONS(1964),
    [anon_sym___restrict__] = ACTIONS(1964),
    [anon_sym__Atomic] = ACTIONS(1964),
    [anon_sym__Noreturn] = ACTIONS(1964),
    [anon_sym_noreturn] = ACTIONS(1964),
    [anon_sym__Nonnull] = ACTIONS(1964),
    [anon_sym_mutable] = ACTIONS(1964),
    [anon_sym_constinit] = ACTIONS(1964),
    [anon_sym_consteval] = ACTIONS(1964),
    [anon_sym_alignas] = ACTIONS(1964),
    [anon_sym__Alignas] = ACTIONS(1964),
    [sym_primitive_type] = ACTIONS(1964),
    [anon_sym_enum] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1964),
    [anon_sym_struct] = ACTIONS(1964),
    [anon_sym_union] = ACTIONS(1964),
    [anon_sym_if] = ACTIONS(1964),
    [anon_sym_else] = ACTIONS(1964),
    [anon_sym_switch] = ACTIONS(1964),
    [anon_sym_case] = ACTIONS(1964),
    [anon_sym_default] = ACTIONS(1964),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_do] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_return] = ACTIONS(1964),
    [anon_sym_break] = ACTIONS(1964),
    [anon_sym_continue] = ACTIONS(1964),
    [anon_sym_goto] = ACTIONS(1964),
    [anon_sym___try] = ACTIONS(1964),
    [anon_sym___leave] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1964),
    [anon_sym___alignof__] = ACTIONS(1964),
    [anon_sym___alignof] = ACTIONS(1964),
    [anon_sym__alignof] = ACTIONS(1964),
    [anon_sym_alignof] = ACTIONS(1964),
    [anon_sym__Alignof] = ACTIONS(1964),
    [anon_sym_offsetof] = ACTIONS(1964),
    [anon_sym__Generic] = ACTIONS(1964),
    [anon_sym_asm] = ACTIONS(1964),
    [anon_sym___asm__] = ACTIONS(1964),
    [anon_sym___asm] = ACTIONS(1964),
    [sym_number_literal] = ACTIONS(1966),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1964),
    [sym_false] = ACTIONS(1964),
    [anon_sym_NULL] = ACTIONS(1964),
    [anon_sym_nullptr] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_final] = ACTIONS(1964),
    [anon_sym_override] = ACTIONS(1964),
    [anon_sym_explicit] = ACTIONS(1964),
    [anon_sym_typename] = ACTIONS(1964),
    [anon_sym_template] = ACTIONS(1964),
    [anon_sym_operator] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1964),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_throw] = ACTIONS(1964),
    [anon_sym_namespace] = ACTIONS(1964),
    [anon_sym_using] = ACTIONS(1964),
    [anon_sym_static_assert] = ACTIONS(1964),
    [anon_sym_concept] = ACTIONS(1964),
    [anon_sym_co_return] = ACTIONS(1964),
    [anon_sym_co_yield] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1964),
    [anon_sym_new] = ACTIONS(1964),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1964),
    [anon_sym_discard] = ACTIONS(1964),
    [anon_sym_precise] = ACTIONS(1964),
    [anon_sym_shared] = ACTIONS(1964),
    [anon_sym_groupshared] = ACTIONS(1964),
    [anon_sym_uniform] = ACTIONS(1964),
    [anon_sym_row_major] = ACTIONS(1964),
    [anon_sym_column_major] = ACTIONS(1964),
    [anon_sym_globallycoherent] = ACTIONS(1964),
    [anon_sym_centroid] = ACTIONS(1964),
    [anon_sym_noperspective] = ACTIONS(1964),
    [anon_sym_nointerpolation] = ACTIONS(1964),
    [anon_sym_sample] = ACTIONS(1964),
    [anon_sym_linear] = ACTIONS(1964),
    [anon_sym_snorm] = ACTIONS(1964),
    [anon_sym_unorm] = ACTIONS(1964),
    [anon_sym_point] = ACTIONS(1964),
    [anon_sym_line] = ACTIONS(1964),
    [anon_sym_triangleadj] = ACTIONS(1964),
    [anon_sym_lineadj] = ACTIONS(1964),
    [anon_sym_triangle] = ACTIONS(1964),
    [anon_sym_cbuffer] = ACTIONS(1964),
  },
  [178] = {
    [sym_else_clause] = STATE(193),
    [sym_identifier] = ACTIONS(2107),
    [aux_sym_preproc_include_token1] = ACTIONS(2107),
    [aux_sym_preproc_def_token1] = ACTIONS(2107),
    [aux_sym_preproc_if_token1] = ACTIONS(2107),
    [aux_sym_preproc_if_token2] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [aux_sym_preproc_else_token1] = ACTIONS(2107),
    [aux_sym_preproc_elif_token1] = ACTIONS(2107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2107),
    [sym_preproc_directive] = ACTIONS(2107),
    [anon_sym_LPAREN2] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(2107),
    [anon_sym_typedef] = ACTIONS(2107),
    [anon_sym_in] = ACTIONS(2107),
    [anon_sym_out] = ACTIONS(2107),
    [anon_sym_inout] = ACTIONS(2107),
    [anon_sym_virtual] = ACTIONS(2107),
    [anon_sym_extern] = ACTIONS(2107),
    [anon_sym___attribute__] = ACTIONS(2107),
    [anon_sym___attribute] = ACTIONS(2107),
    [anon_sym_COLON_COLON] = ACTIONS(2109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2109),
    [anon_sym___declspec] = ACTIONS(2107),
    [anon_sym___based] = ACTIONS(2107),
    [anon_sym___cdecl] = ACTIONS(2107),
    [anon_sym___clrcall] = ACTIONS(2107),
    [anon_sym___stdcall] = ACTIONS(2107),
    [anon_sym___fastcall] = ACTIONS(2107),
    [anon_sym___thiscall] = ACTIONS(2107),
    [anon_sym___vectorcall] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_signed] = ACTIONS(2107),
    [anon_sym_unsigned] = ACTIONS(2107),
    [anon_sym_long] = ACTIONS(2107),
    [anon_sym_short] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_register] = ACTIONS(2107),
    [anon_sym_inline] = ACTIONS(2107),
    [anon_sym___inline] = ACTIONS(2107),
    [anon_sym___inline__] = ACTIONS(2107),
    [anon_sym___forceinline] = ACTIONS(2107),
    [anon_sym_thread_local] = ACTIONS(2107),
    [anon_sym___thread] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_constexpr] = ACTIONS(2107),
    [anon_sym_volatile] = ACTIONS(2107),
    [anon_sym_restrict] = ACTIONS(2107),
    [anon_sym___restrict__] = ACTIONS(2107),
    [anon_sym__Atomic] = ACTIONS(2107),
    [anon_sym__Noreturn] = ACTIONS(2107),
    [anon_sym_noreturn] = ACTIONS(2107),
    [anon_sym__Nonnull] = ACTIONS(2107),
    [anon_sym_mutable] = ACTIONS(2107),
    [anon_sym_constinit] = ACTIONS(2107),
    [anon_sym_consteval] = ACTIONS(2107),
    [anon_sym_alignas] = ACTIONS(2107),
    [anon_sym__Alignas] = ACTIONS(2107),
    [sym_primitive_type] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_struct] = ACTIONS(2107),
    [anon_sym_union] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2111),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_goto] = ACTIONS(2107),
    [anon_sym___try] = ACTIONS(2107),
    [anon_sym___leave] = ACTIONS(2107),
    [anon_sym_not] = ACTIONS(2107),
    [anon_sym_compl] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2107),
    [anon_sym___alignof] = ACTIONS(2107),
    [anon_sym__alignof] = ACTIONS(2107),
    [anon_sym_alignof] = ACTIONS(2107),
    [anon_sym__Alignof] = ACTIONS(2107),
    [anon_sym_offsetof] = ACTIONS(2107),
    [anon_sym__Generic] = ACTIONS(2107),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [sym_number_literal] = ACTIONS(2109),
    [anon_sym_L_SQUOTE] = ACTIONS(2109),
    [anon_sym_u_SQUOTE] = ACTIONS(2109),
    [anon_sym_U_SQUOTE] = ACTIONS(2109),
    [anon_sym_u8_SQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_L_DQUOTE] = ACTIONS(2109),
    [anon_sym_u_DQUOTE] = ACTIONS(2109),
    [anon_sym_U_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8_DQUOTE] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2107),
    [anon_sym_decltype] = ACTIONS(2107),
    [anon_sym_explicit] = ACTIONS(2107),
    [anon_sym_typename] = ACTIONS(2107),
    [anon_sym_template] = ACTIONS(2107),
    [anon_sym_operator] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_static_assert] = ACTIONS(2107),
    [anon_sym_concept] = ACTIONS(2107),
    [anon_sym_co_return] = ACTIONS(2107),
    [anon_sym_co_yield] = ACTIONS(2107),
    [anon_sym_R_DQUOTE] = ACTIONS(2109),
    [anon_sym_LR_DQUOTE] = ACTIONS(2109),
    [anon_sym_uR_DQUOTE] = ACTIONS(2109),
    [anon_sym_UR_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2109),
    [anon_sym_co_await] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_requires] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [anon_sym_discard] = ACTIONS(2107),
    [anon_sym_precise] = ACTIONS(2107),
    [anon_sym_shared] = ACTIONS(2107),
    [anon_sym_groupshared] = ACTIONS(2107),
    [anon_sym_uniform] = ACTIONS(2107),
    [anon_sym_row_major] = ACTIONS(2107),
    [anon_sym_column_major] = ACTIONS(2107),
    [anon_sym_globallycoherent] = ACTIONS(2107),
    [anon_sym_centroid] = ACTIONS(2107),
    [anon_sym_noperspective] = ACTIONS(2107),
    [anon_sym_nointerpolation] = ACTIONS(2107),
    [anon_sym_sample] = ACTIONS(2107),
    [anon_sym_linear] = ACTIONS(2107),
    [anon_sym_snorm] = ACTIONS(2107),
    [anon_sym_unorm] = ACTIONS(2107),
    [anon_sym_point] = ACTIONS(2107),
    [anon_sym_line] = ACTIONS(2107),
    [anon_sym_triangleadj] = ACTIONS(2107),
    [anon_sym_lineadj] = ACTIONS(2107),
    [anon_sym_triangle] = ACTIONS(2107),
    [anon_sym_cbuffer] = ACTIONS(2107),
  },
  [179] = {
    [sym_else_clause] = STATE(205),
    [sym_identifier] = ACTIONS(2113),
    [aux_sym_preproc_include_token1] = ACTIONS(2113),
    [aux_sym_preproc_def_token1] = ACTIONS(2113),
    [aux_sym_preproc_if_token1] = ACTIONS(2113),
    [aux_sym_preproc_if_token2] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2113),
    [aux_sym_preproc_else_token1] = ACTIONS(2113),
    [aux_sym_preproc_elif_token1] = ACTIONS(2113),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2113),
    [sym_preproc_directive] = ACTIONS(2113),
    [anon_sym_LPAREN2] = ACTIONS(2115),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_TILDE] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_AMP] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym___extension__] = ACTIONS(2113),
    [anon_sym_typedef] = ACTIONS(2113),
    [anon_sym_in] = ACTIONS(2113),
    [anon_sym_out] = ACTIONS(2113),
    [anon_sym_inout] = ACTIONS(2113),
    [anon_sym_virtual] = ACTIONS(2113),
    [anon_sym_extern] = ACTIONS(2113),
    [anon_sym___attribute__] = ACTIONS(2113),
    [anon_sym___attribute] = ACTIONS(2113),
    [anon_sym_COLON_COLON] = ACTIONS(2115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2115),
    [anon_sym___declspec] = ACTIONS(2113),
    [anon_sym___based] = ACTIONS(2113),
    [anon_sym___cdecl] = ACTIONS(2113),
    [anon_sym___clrcall] = ACTIONS(2113),
    [anon_sym___stdcall] = ACTIONS(2113),
    [anon_sym___fastcall] = ACTIONS(2113),
    [anon_sym___thiscall] = ACTIONS(2113),
    [anon_sym___vectorcall] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2115),
    [anon_sym_signed] = ACTIONS(2113),
    [anon_sym_unsigned] = ACTIONS(2113),
    [anon_sym_long] = ACTIONS(2113),
    [anon_sym_short] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_static] = ACTIONS(2113),
    [anon_sym_register] = ACTIONS(2113),
    [anon_sym_inline] = ACTIONS(2113),
    [anon_sym___inline] = ACTIONS(2113),
    [anon_sym___inline__] = ACTIONS(2113),
    [anon_sym___forceinline] = ACTIONS(2113),
    [anon_sym_thread_local] = ACTIONS(2113),
    [anon_sym___thread] = ACTIONS(2113),
    [anon_sym_const] = ACTIONS(2113),
    [anon_sym_constexpr] = ACTIONS(2113),
    [anon_sym_volatile] = ACTIONS(2113),
    [anon_sym_restrict] = ACTIONS(2113),
    [anon_sym___restrict__] = ACTIONS(2113),
    [anon_sym__Atomic] = ACTIONS(2113),
    [anon_sym__Noreturn] = ACTIONS(2113),
    [anon_sym_noreturn] = ACTIONS(2113),
    [anon_sym__Nonnull] = ACTIONS(2113),
    [anon_sym_mutable] = ACTIONS(2113),
    [anon_sym_constinit] = ACTIONS(2113),
    [anon_sym_consteval] = ACTIONS(2113),
    [anon_sym_alignas] = ACTIONS(2113),
    [anon_sym__Alignas] = ACTIONS(2113),
    [sym_primitive_type] = ACTIONS(2113),
    [anon_sym_enum] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_struct] = ACTIONS(2113),
    [anon_sym_union] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_else] = ACTIONS(2111),
    [anon_sym_switch] = ACTIONS(2113),
    [anon_sym_case] = ACTIONS(2113),
    [anon_sym_default] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym___try] = ACTIONS(2113),
    [anon_sym___leave] = ACTIONS(2113),
    [anon_sym_not] = ACTIONS(2113),
    [anon_sym_compl] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2115),
    [anon_sym_PLUS_PLUS] = ACTIONS(2115),
    [anon_sym_sizeof] = ACTIONS(2113),
    [anon_sym___alignof__] = ACTIONS(2113),
    [anon_sym___alignof] = ACTIONS(2113),
    [anon_sym__alignof] = ACTIONS(2113),
    [anon_sym_alignof] = ACTIONS(2113),
    [anon_sym__Alignof] = ACTIONS(2113),
    [anon_sym_offsetof] = ACTIONS(2113),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2113),
    [anon_sym___asm__] = ACTIONS(2113),
    [anon_sym___asm] = ACTIONS(2113),
    [sym_number_literal] = ACTIONS(2115),
    [anon_sym_L_SQUOTE] = ACTIONS(2115),
    [anon_sym_u_SQUOTE] = ACTIONS(2115),
    [anon_sym_U_SQUOTE] = ACTIONS(2115),
    [anon_sym_u8_SQUOTE] = ACTIONS(2115),
    [anon_sym_SQUOTE] = ACTIONS(2115),
    [anon_sym_L_DQUOTE] = ACTIONS(2115),
    [anon_sym_u_DQUOTE] = ACTIONS(2115),
    [anon_sym_U_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8_DQUOTE] = ACTIONS(2115),
    [anon_sym_DQUOTE] = ACTIONS(2115),
    [sym_true] = ACTIONS(2113),
    [sym_false] = ACTIONS(2113),
    [anon_sym_NULL] = ACTIONS(2113),
    [anon_sym_nullptr] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2113),
    [anon_sym_decltype] = ACTIONS(2113),
    [anon_sym_explicit] = ACTIONS(2113),
    [anon_sym_typename] = ACTIONS(2113),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_operator] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2113),
    [anon_sym_namespace] = ACTIONS(2113),
    [anon_sym_using] = ACTIONS(2113),
    [anon_sym_static_assert] = ACTIONS(2113),
    [anon_sym_concept] = ACTIONS(2113),
    [anon_sym_co_return] = ACTIONS(2113),
    [anon_sym_co_yield] = ACTIONS(2113),
    [anon_sym_R_DQUOTE] = ACTIONS(2115),
    [anon_sym_LR_DQUOTE] = ACTIONS(2115),
    [anon_sym_uR_DQUOTE] = ACTIONS(2115),
    [anon_sym_UR_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2115),
    [anon_sym_co_await] = ACTIONS(2113),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_requires] = ACTIONS(2113),
    [sym_this] = ACTIONS(2113),
    [anon_sym_discard] = ACTIONS(2113),
    [anon_sym_precise] = ACTIONS(2113),
    [anon_sym_shared] = ACTIONS(2113),
    [anon_sym_groupshared] = ACTIONS(2113),
    [anon_sym_uniform] = ACTIONS(2113),
    [anon_sym_row_major] = ACTIONS(2113),
    [anon_sym_column_major] = ACTIONS(2113),
    [anon_sym_globallycoherent] = ACTIONS(2113),
    [anon_sym_centroid] = ACTIONS(2113),
    [anon_sym_noperspective] = ACTIONS(2113),
    [anon_sym_nointerpolation] = ACTIONS(2113),
    [anon_sym_sample] = ACTIONS(2113),
    [anon_sym_linear] = ACTIONS(2113),
    [anon_sym_snorm] = ACTIONS(2113),
    [anon_sym_unorm] = ACTIONS(2113),
    [anon_sym_point] = ACTIONS(2113),
    [anon_sym_line] = ACTIONS(2113),
    [anon_sym_triangleadj] = ACTIONS(2113),
    [anon_sym_lineadj] = ACTIONS(2113),
    [anon_sym_triangle] = ACTIONS(2113),
    [anon_sym_cbuffer] = ACTIONS(2113),
  },
  [180] = {
    [sym_template_argument_list] = STATE(269),
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_include_token1] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token2] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1974),
    [anon_sym_BANG] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(2105),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_primitive_type] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [sym_number_literal] = ACTIONS(1974),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_final] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1974),
    [anon_sym_LR_DQUOTE] = ACTIONS(1974),
    [anon_sym_uR_DQUOTE] = ACTIONS(1974),
    [anon_sym_UR_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1974),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
    [anon_sym_discard] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
    [anon_sym_cbuffer] = ACTIONS(1972),
  },
  [181] = {
    [sym_template_argument_list] = STATE(257),
    [ts_builtin_sym_end] = ACTIONS(1966),
    [sym_identifier] = ACTIONS(1964),
    [aux_sym_preproc_include_token1] = ACTIONS(1964),
    [aux_sym_preproc_def_token1] = ACTIONS(1964),
    [aux_sym_preproc_if_token1] = ACTIONS(1964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1964),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_typedef] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_out] = ACTIONS(1964),
    [anon_sym_inout] = ACTIONS(1964),
    [anon_sym_virtual] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1964),
    [anon_sym___based] = ACTIONS(1964),
    [anon_sym___cdecl] = ACTIONS(1964),
    [anon_sym___clrcall] = ACTIONS(1964),
    [anon_sym___stdcall] = ACTIONS(1964),
    [anon_sym___fastcall] = ACTIONS(1964),
    [anon_sym___thiscall] = ACTIONS(1964),
    [anon_sym___vectorcall] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1964),
    [anon_sym_unsigned] = ACTIONS(1964),
    [anon_sym_long] = ACTIONS(1964),
    [anon_sym_short] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_register] = ACTIONS(1964),
    [anon_sym_inline] = ACTIONS(1964),
    [anon_sym___inline] = ACTIONS(1964),
    [anon_sym___inline__] = ACTIONS(1964),
    [anon_sym___forceinline] = ACTIONS(1964),
    [anon_sym_thread_local] = ACTIONS(1964),
    [anon_sym___thread] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_constexpr] = ACTIONS(1964),
    [anon_sym_volatile] = ACTIONS(1964),
    [anon_sym_restrict] = ACTIONS(1964),
    [anon_sym___restrict__] = ACTIONS(1964),
    [anon_sym__Atomic] = ACTIONS(1964),
    [anon_sym__Noreturn] = ACTIONS(1964),
    [anon_sym_noreturn] = ACTIONS(1964),
    [anon_sym__Nonnull] = ACTIONS(1964),
    [anon_sym_mutable] = ACTIONS(1964),
    [anon_sym_constinit] = ACTIONS(1964),
    [anon_sym_consteval] = ACTIONS(1964),
    [anon_sym_alignas] = ACTIONS(1964),
    [anon_sym__Alignas] = ACTIONS(1964),
    [sym_primitive_type] = ACTIONS(1964),
    [anon_sym_enum] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1964),
    [anon_sym_struct] = ACTIONS(1964),
    [anon_sym_union] = ACTIONS(1964),
    [anon_sym_if] = ACTIONS(1964),
    [anon_sym_else] = ACTIONS(1964),
    [anon_sym_switch] = ACTIONS(1964),
    [anon_sym_case] = ACTIONS(1964),
    [anon_sym_default] = ACTIONS(1964),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_do] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_return] = ACTIONS(1964),
    [anon_sym_break] = ACTIONS(1964),
    [anon_sym_continue] = ACTIONS(1964),
    [anon_sym_goto] = ACTIONS(1964),
    [anon_sym___try] = ACTIONS(1964),
    [anon_sym___leave] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1964),
    [anon_sym___alignof__] = ACTIONS(1964),
    [anon_sym___alignof] = ACTIONS(1964),
    [anon_sym__alignof] = ACTIONS(1964),
    [anon_sym_alignof] = ACTIONS(1964),
    [anon_sym__Alignof] = ACTIONS(1964),
    [anon_sym_offsetof] = ACTIONS(1964),
    [anon_sym__Generic] = ACTIONS(1964),
    [anon_sym_asm] = ACTIONS(1964),
    [anon_sym___asm__] = ACTIONS(1964),
    [anon_sym___asm] = ACTIONS(1964),
    [sym_number_literal] = ACTIONS(1966),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1964),
    [sym_false] = ACTIONS(1964),
    [anon_sym_NULL] = ACTIONS(1964),
    [anon_sym_nullptr] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_final] = ACTIONS(1964),
    [anon_sym_override] = ACTIONS(1964),
    [anon_sym_explicit] = ACTIONS(1964),
    [anon_sym_typename] = ACTIONS(1964),
    [anon_sym_template] = ACTIONS(1964),
    [anon_sym_operator] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1964),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_throw] = ACTIONS(1964),
    [anon_sym_namespace] = ACTIONS(1964),
    [anon_sym_using] = ACTIONS(1964),
    [anon_sym_static_assert] = ACTIONS(1964),
    [anon_sym_concept] = ACTIONS(1964),
    [anon_sym_co_return] = ACTIONS(1964),
    [anon_sym_co_yield] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1964),
    [anon_sym_new] = ACTIONS(1964),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1964),
    [anon_sym_discard] = ACTIONS(1964),
    [anon_sym_precise] = ACTIONS(1964),
    [anon_sym_shared] = ACTIONS(1964),
    [anon_sym_groupshared] = ACTIONS(1964),
    [anon_sym_uniform] = ACTIONS(1964),
    [anon_sym_row_major] = ACTIONS(1964),
    [anon_sym_column_major] = ACTIONS(1964),
    [anon_sym_globallycoherent] = ACTIONS(1964),
    [anon_sym_centroid] = ACTIONS(1964),
    [anon_sym_noperspective] = ACTIONS(1964),
    [anon_sym_nointerpolation] = ACTIONS(1964),
    [anon_sym_sample] = ACTIONS(1964),
    [anon_sym_linear] = ACTIONS(1964),
    [anon_sym_snorm] = ACTIONS(1964),
    [anon_sym_unorm] = ACTIONS(1964),
    [anon_sym_point] = ACTIONS(1964),
    [anon_sym_line] = ACTIONS(1964),
    [anon_sym_triangleadj] = ACTIONS(1964),
    [anon_sym_lineadj] = ACTIONS(1964),
    [anon_sym_triangle] = ACTIONS(1964),
    [anon_sym_cbuffer] = ACTIONS(1964),
  },
  [182] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_include_token1] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [aux_sym_preproc_else_token1] = ACTIONS(1978),
    [aux_sym_preproc_elif_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_else] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym___try] = ACTIONS(1978),
    [anon_sym___leave] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_namespace] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_catch] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_discard] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
    [anon_sym_cbuffer] = ACTIONS(1978),
  },
  [183] = {
    [sym_else_clause] = STATE(232),
    [sym_identifier] = ACTIONS(2119),
    [aux_sym_preproc_include_token1] = ACTIONS(2119),
    [aux_sym_preproc_def_token1] = ACTIONS(2119),
    [aux_sym_preproc_if_token1] = ACTIONS(2119),
    [aux_sym_preproc_if_token2] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2119),
    [aux_sym_preproc_else_token1] = ACTIONS(2119),
    [aux_sym_preproc_elif_token1] = ACTIONS(2119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2119),
    [sym_preproc_directive] = ACTIONS(2119),
    [anon_sym_LPAREN2] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2121),
    [anon_sym_AMP_AMP] = ACTIONS(2121),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym___extension__] = ACTIONS(2119),
    [anon_sym_typedef] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_out] = ACTIONS(2119),
    [anon_sym_inout] = ACTIONS(2119),
    [anon_sym_virtual] = ACTIONS(2119),
    [anon_sym_extern] = ACTIONS(2119),
    [anon_sym___attribute__] = ACTIONS(2119),
    [anon_sym___attribute] = ACTIONS(2119),
    [anon_sym_COLON_COLON] = ACTIONS(2121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2121),
    [anon_sym___declspec] = ACTIONS(2119),
    [anon_sym___based] = ACTIONS(2119),
    [anon_sym___cdecl] = ACTIONS(2119),
    [anon_sym___clrcall] = ACTIONS(2119),
    [anon_sym___stdcall] = ACTIONS(2119),
    [anon_sym___fastcall] = ACTIONS(2119),
    [anon_sym___thiscall] = ACTIONS(2119),
    [anon_sym___vectorcall] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_signed] = ACTIONS(2119),
    [anon_sym_unsigned] = ACTIONS(2119),
    [anon_sym_long] = ACTIONS(2119),
    [anon_sym_short] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_register] = ACTIONS(2119),
    [anon_sym_inline] = ACTIONS(2119),
    [anon_sym___inline] = ACTIONS(2119),
    [anon_sym___inline__] = ACTIONS(2119),
    [anon_sym___forceinline] = ACTIONS(2119),
    [anon_sym_thread_local] = ACTIONS(2119),
    [anon_sym___thread] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_constexpr] = ACTIONS(2119),
    [anon_sym_volatile] = ACTIONS(2119),
    [anon_sym_restrict] = ACTIONS(2119),
    [anon_sym___restrict__] = ACTIONS(2119),
    [anon_sym__Atomic] = ACTIONS(2119),
    [anon_sym__Noreturn] = ACTIONS(2119),
    [anon_sym_noreturn] = ACTIONS(2119),
    [anon_sym__Nonnull] = ACTIONS(2119),
    [anon_sym_mutable] = ACTIONS(2119),
    [anon_sym_constinit] = ACTIONS(2119),
    [anon_sym_consteval] = ACTIONS(2119),
    [anon_sym_alignas] = ACTIONS(2119),
    [anon_sym__Alignas] = ACTIONS(2119),
    [sym_primitive_type] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_struct] = ACTIONS(2119),
    [anon_sym_union] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2111),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_goto] = ACTIONS(2119),
    [anon_sym___try] = ACTIONS(2119),
    [anon_sym___leave] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2119),
    [anon_sym_compl] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2119),
    [anon_sym___alignof__] = ACTIONS(2119),
    [anon_sym___alignof] = ACTIONS(2119),
    [anon_sym__alignof] = ACTIONS(2119),
    [anon_sym_alignof] = ACTIONS(2119),
    [anon_sym__Alignof] = ACTIONS(2119),
    [anon_sym_offsetof] = ACTIONS(2119),
    [anon_sym__Generic] = ACTIONS(2119),
    [anon_sym_asm] = ACTIONS(2119),
    [anon_sym___asm__] = ACTIONS(2119),
    [anon_sym___asm] = ACTIONS(2119),
    [sym_number_literal] = ACTIONS(2121),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2121),
    [anon_sym_u_DQUOTE] = ACTIONS(2121),
    [anon_sym_U_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8_DQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2121),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [anon_sym_NULL] = ACTIONS(2119),
    [anon_sym_nullptr] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2119),
    [anon_sym_decltype] = ACTIONS(2119),
    [anon_sym_explicit] = ACTIONS(2119),
    [anon_sym_typename] = ACTIONS(2119),
    [anon_sym_template] = ACTIONS(2119),
    [anon_sym_operator] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_static_assert] = ACTIONS(2119),
    [anon_sym_concept] = ACTIONS(2119),
    [anon_sym_co_return] = ACTIONS(2119),
    [anon_sym_co_yield] = ACTIONS(2119),
    [anon_sym_R_DQUOTE] = ACTIONS(2121),
    [anon_sym_LR_DQUOTE] = ACTIONS(2121),
    [anon_sym_uR_DQUOTE] = ACTIONS(2121),
    [anon_sym_UR_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2121),
    [anon_sym_co_await] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_requires] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [anon_sym_discard] = ACTIONS(2119),
    [anon_sym_precise] = ACTIONS(2119),
    [anon_sym_shared] = ACTIONS(2119),
    [anon_sym_groupshared] = ACTIONS(2119),
    [anon_sym_uniform] = ACTIONS(2119),
    [anon_sym_row_major] = ACTIONS(2119),
    [anon_sym_column_major] = ACTIONS(2119),
    [anon_sym_globallycoherent] = ACTIONS(2119),
    [anon_sym_centroid] = ACTIONS(2119),
    [anon_sym_noperspective] = ACTIONS(2119),
    [anon_sym_nointerpolation] = ACTIONS(2119),
    [anon_sym_sample] = ACTIONS(2119),
    [anon_sym_linear] = ACTIONS(2119),
    [anon_sym_snorm] = ACTIONS(2119),
    [anon_sym_unorm] = ACTIONS(2119),
    [anon_sym_point] = ACTIONS(2119),
    [anon_sym_line] = ACTIONS(2119),
    [anon_sym_triangleadj] = ACTIONS(2119),
    [anon_sym_lineadj] = ACTIONS(2119),
    [anon_sym_triangle] = ACTIONS(2119),
    [anon_sym_cbuffer] = ACTIONS(2119),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1958),
    [aux_sym_preproc_include_token1] = ACTIONS(1958),
    [aux_sym_preproc_def_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token2] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1958),
    [aux_sym_preproc_elif_token1] = ACTIONS(1958),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1958),
    [sym_preproc_directive] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1956),
    [anon_sym_BANG] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1958),
    [anon_sym_PLUS] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1958),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_typedef] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_out] = ACTIONS(1958),
    [anon_sym_inout] = ACTIONS(1958),
    [anon_sym_virtual] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym___attribute] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1956),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1956),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym___based] = ACTIONS(1958),
    [anon_sym___cdecl] = ACTIONS(1958),
    [anon_sym___clrcall] = ACTIONS(1958),
    [anon_sym___stdcall] = ACTIONS(1958),
    [anon_sym___fastcall] = ACTIONS(1958),
    [anon_sym___thiscall] = ACTIONS(1958),
    [anon_sym___vectorcall] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [anon_sym__Nonnull] = ACTIONS(1958),
    [anon_sym_mutable] = ACTIONS(1958),
    [anon_sym_constinit] = ACTIONS(1958),
    [anon_sym_consteval] = ACTIONS(1958),
    [anon_sym_alignas] = ACTIONS(1958),
    [anon_sym__Alignas] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_class] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [anon_sym_if] = ACTIONS(1958),
    [anon_sym_else] = ACTIONS(1958),
    [anon_sym_switch] = ACTIONS(1958),
    [anon_sym_case] = ACTIONS(1958),
    [anon_sym_default] = ACTIONS(1958),
    [anon_sym_while] = ACTIONS(1958),
    [anon_sym_do] = ACTIONS(1958),
    [anon_sym_for] = ACTIONS(1958),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_break] = ACTIONS(1958),
    [anon_sym_continue] = ACTIONS(1958),
    [anon_sym_goto] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1958),
    [anon_sym___leave] = ACTIONS(1958),
    [anon_sym_not] = ACTIONS(1958),
    [anon_sym_compl] = ACTIONS(1958),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_sizeof] = ACTIONS(1958),
    [anon_sym___alignof__] = ACTIONS(1958),
    [anon_sym___alignof] = ACTIONS(1958),
    [anon_sym__alignof] = ACTIONS(1958),
    [anon_sym_alignof] = ACTIONS(1958),
    [anon_sym__Alignof] = ACTIONS(1958),
    [anon_sym_offsetof] = ACTIONS(1958),
    [anon_sym__Generic] = ACTIONS(1958),
    [anon_sym_asm] = ACTIONS(1958),
    [anon_sym___asm__] = ACTIONS(1958),
    [anon_sym___asm] = ACTIONS(1958),
    [sym_number_literal] = ACTIONS(1956),
    [anon_sym_L_SQUOTE] = ACTIONS(1956),
    [anon_sym_u_SQUOTE] = ACTIONS(1956),
    [anon_sym_U_SQUOTE] = ACTIONS(1956),
    [anon_sym_u8_SQUOTE] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1956),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1958),
    [anon_sym_nullptr] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1958),
    [anon_sym_decltype] = ACTIONS(1958),
    [anon_sym_explicit] = ACTIONS(1958),
    [anon_sym_typename] = ACTIONS(1958),
    [anon_sym_template] = ACTIONS(1958),
    [anon_sym_operator] = ACTIONS(1958),
    [anon_sym_try] = ACTIONS(1958),
    [anon_sym_delete] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1958),
    [anon_sym_namespace] = ACTIONS(1958),
    [anon_sym_using] = ACTIONS(1958),
    [anon_sym_static_assert] = ACTIONS(1958),
    [anon_sym_concept] = ACTIONS(1958),
    [anon_sym_co_return] = ACTIONS(1958),
    [anon_sym_co_yield] = ACTIONS(1958),
    [anon_sym_catch] = ACTIONS(1958),
    [anon_sym_R_DQUOTE] = ACTIONS(1956),
    [anon_sym_LR_DQUOTE] = ACTIONS(1956),
    [anon_sym_uR_DQUOTE] = ACTIONS(1956),
    [anon_sym_UR_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1956),
    [anon_sym_co_await] = ACTIONS(1958),
    [anon_sym_new] = ACTIONS(1958),
    [anon_sym_requires] = ACTIONS(1958),
    [sym_this] = ACTIONS(1958),
    [anon_sym_discard] = ACTIONS(1958),
    [anon_sym_precise] = ACTIONS(1958),
    [anon_sym_shared] = ACTIONS(1958),
    [anon_sym_groupshared] = ACTIONS(1958),
    [anon_sym_uniform] = ACTIONS(1958),
    [anon_sym_row_major] = ACTIONS(1958),
    [anon_sym_column_major] = ACTIONS(1958),
    [anon_sym_globallycoherent] = ACTIONS(1958),
    [anon_sym_centroid] = ACTIONS(1958),
    [anon_sym_noperspective] = ACTIONS(1958),
    [anon_sym_nointerpolation] = ACTIONS(1958),
    [anon_sym_sample] = ACTIONS(1958),
    [anon_sym_linear] = ACTIONS(1958),
    [anon_sym_snorm] = ACTIONS(1958),
    [anon_sym_unorm] = ACTIONS(1958),
    [anon_sym_point] = ACTIONS(1958),
    [anon_sym_line] = ACTIONS(1958),
    [anon_sym_triangleadj] = ACTIONS(1958),
    [anon_sym_lineadj] = ACTIONS(1958),
    [anon_sym_triangle] = ACTIONS(1958),
    [anon_sym_cbuffer] = ACTIONS(1958),
  },
  [185] = {
    [sym_template_argument_list] = STATE(257),
    [ts_builtin_sym_end] = ACTIONS(1974),
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_include_token1] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1974),
    [anon_sym_BANG] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_primitive_type] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [sym_number_literal] = ACTIONS(1974),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_final] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1974),
    [anon_sym_LR_DQUOTE] = ACTIONS(1974),
    [anon_sym_uR_DQUOTE] = ACTIONS(1974),
    [anon_sym_UR_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1974),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
    [anon_sym_discard] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
    [anon_sym_cbuffer] = ACTIONS(1972),
  },
  [186] = {
    [sym_identifier] = ACTIONS(2123),
    [aux_sym_preproc_include_token1] = ACTIONS(2123),
    [aux_sym_preproc_def_token1] = ACTIONS(2123),
    [aux_sym_preproc_if_token1] = ACTIONS(2123),
    [aux_sym_preproc_if_token2] = ACTIONS(2123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2123),
    [aux_sym_preproc_else_token1] = ACTIONS(2123),
    [aux_sym_preproc_elif_token1] = ACTIONS(2123),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2123),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2123),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_AMP_AMP] = ACTIONS(2125),
    [anon_sym_AMP] = ACTIONS(2123),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym___extension__] = ACTIONS(2123),
    [anon_sym_typedef] = ACTIONS(2123),
    [anon_sym_in] = ACTIONS(2123),
    [anon_sym_out] = ACTIONS(2123),
    [anon_sym_inout] = ACTIONS(2123),
    [anon_sym_virtual] = ACTIONS(2123),
    [anon_sym_extern] = ACTIONS(2123),
    [anon_sym___attribute__] = ACTIONS(2123),
    [anon_sym___attribute] = ACTIONS(2123),
    [anon_sym_COLON_COLON] = ACTIONS(2125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2125),
    [anon_sym___declspec] = ACTIONS(2123),
    [anon_sym___based] = ACTIONS(2123),
    [anon_sym___cdecl] = ACTIONS(2123),
    [anon_sym___clrcall] = ACTIONS(2123),
    [anon_sym___stdcall] = ACTIONS(2123),
    [anon_sym___fastcall] = ACTIONS(2123),
    [anon_sym___thiscall] = ACTIONS(2123),
    [anon_sym___vectorcall] = ACTIONS(2123),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_signed] = ACTIONS(2123),
    [anon_sym_unsigned] = ACTIONS(2123),
    [anon_sym_long] = ACTIONS(2123),
    [anon_sym_short] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_static] = ACTIONS(2123),
    [anon_sym_register] = ACTIONS(2123),
    [anon_sym_inline] = ACTIONS(2123),
    [anon_sym___inline] = ACTIONS(2123),
    [anon_sym___inline__] = ACTIONS(2123),
    [anon_sym___forceinline] = ACTIONS(2123),
    [anon_sym_thread_local] = ACTIONS(2123),
    [anon_sym___thread] = ACTIONS(2123),
    [anon_sym_const] = ACTIONS(2123),
    [anon_sym_constexpr] = ACTIONS(2123),
    [anon_sym_volatile] = ACTIONS(2123),
    [anon_sym_restrict] = ACTIONS(2123),
    [anon_sym___restrict__] = ACTIONS(2123),
    [anon_sym__Atomic] = ACTIONS(2123),
    [anon_sym__Noreturn] = ACTIONS(2123),
    [anon_sym_noreturn] = ACTIONS(2123),
    [anon_sym__Nonnull] = ACTIONS(2123),
    [anon_sym_mutable] = ACTIONS(2123),
    [anon_sym_constinit] = ACTIONS(2123),
    [anon_sym_consteval] = ACTIONS(2123),
    [anon_sym_alignas] = ACTIONS(2123),
    [anon_sym__Alignas] = ACTIONS(2123),
    [sym_primitive_type] = ACTIONS(2123),
    [anon_sym_enum] = ACTIONS(2123),
    [anon_sym_class] = ACTIONS(2123),
    [anon_sym_struct] = ACTIONS(2123),
    [anon_sym_union] = ACTIONS(2123),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(2123),
    [anon_sym_switch] = ACTIONS(2123),
    [anon_sym_case] = ACTIONS(2123),
    [anon_sym_default] = ACTIONS(2123),
    [anon_sym_while] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2123),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_return] = ACTIONS(2123),
    [anon_sym_break] = ACTIONS(2123),
    [anon_sym_continue] = ACTIONS(2123),
    [anon_sym_goto] = ACTIONS(2123),
    [anon_sym___try] = ACTIONS(2123),
    [anon_sym___leave] = ACTIONS(2123),
    [anon_sym_not] = ACTIONS(2123),
    [anon_sym_compl] = ACTIONS(2123),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_sizeof] = ACTIONS(2123),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2123),
    [anon_sym_asm] = ACTIONS(2123),
    [anon_sym___asm__] = ACTIONS(2123),
    [anon_sym___asm] = ACTIONS(2123),
    [sym_number_literal] = ACTIONS(2125),
    [anon_sym_L_SQUOTE] = ACTIONS(2125),
    [anon_sym_u_SQUOTE] = ACTIONS(2125),
    [anon_sym_U_SQUOTE] = ACTIONS(2125),
    [anon_sym_u8_SQUOTE] = ACTIONS(2125),
    [anon_sym_SQUOTE] = ACTIONS(2125),
    [anon_sym_L_DQUOTE] = ACTIONS(2125),
    [anon_sym_u_DQUOTE] = ACTIONS(2125),
    [anon_sym_U_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8_DQUOTE] = ACTIONS(2125),
    [anon_sym_DQUOTE] = ACTIONS(2125),
    [sym_true] = ACTIONS(2123),
    [sym_false] = ACTIONS(2123),
    [anon_sym_NULL] = ACTIONS(2123),
    [anon_sym_nullptr] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2123),
    [anon_sym_decltype] = ACTIONS(2123),
    [anon_sym_explicit] = ACTIONS(2123),
    [anon_sym_typename] = ACTIONS(2123),
    [anon_sym_template] = ACTIONS(2123),
    [anon_sym_operator] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2123),
    [anon_sym_delete] = ACTIONS(2123),
    [anon_sym_throw] = ACTIONS(2123),
    [anon_sym_namespace] = ACTIONS(2123),
    [anon_sym_using] = ACTIONS(2123),
    [anon_sym_static_assert] = ACTIONS(2123),
    [anon_sym_concept] = ACTIONS(2123),
    [anon_sym_co_return] = ACTIONS(2123),
    [anon_sym_co_yield] = ACTIONS(2123),
    [anon_sym_R_DQUOTE] = ACTIONS(2125),
    [anon_sym_LR_DQUOTE] = ACTIONS(2125),
    [anon_sym_uR_DQUOTE] = ACTIONS(2125),
    [anon_sym_UR_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2125),
    [anon_sym_co_await] = ACTIONS(2123),
    [anon_sym_new] = ACTIONS(2123),
    [anon_sym_requires] = ACTIONS(2123),
    [sym_this] = ACTIONS(2123),
    [anon_sym_discard] = ACTIONS(2123),
    [anon_sym_precise] = ACTIONS(2123),
    [anon_sym_shared] = ACTIONS(2123),
    [anon_sym_groupshared] = ACTIONS(2123),
    [anon_sym_uniform] = ACTIONS(2123),
    [anon_sym_row_major] = ACTIONS(2123),
    [anon_sym_column_major] = ACTIONS(2123),
    [anon_sym_globallycoherent] = ACTIONS(2123),
    [anon_sym_centroid] = ACTIONS(2123),
    [anon_sym_noperspective] = ACTIONS(2123),
    [anon_sym_nointerpolation] = ACTIONS(2123),
    [anon_sym_sample] = ACTIONS(2123),
    [anon_sym_linear] = ACTIONS(2123),
    [anon_sym_snorm] = ACTIONS(2123),
    [anon_sym_unorm] = ACTIONS(2123),
    [anon_sym_point] = ACTIONS(2123),
    [anon_sym_line] = ACTIONS(2123),
    [anon_sym_triangleadj] = ACTIONS(2123),
    [anon_sym_lineadj] = ACTIONS(2123),
    [anon_sym_triangle] = ACTIONS(2123),
    [anon_sym_cbuffer] = ACTIONS(2123),
  },
  [187] = {
    [sym_identifier] = ACTIONS(2127),
    [aux_sym_preproc_include_token1] = ACTIONS(2127),
    [aux_sym_preproc_def_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token2] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2127),
    [aux_sym_preproc_else_token1] = ACTIONS(2127),
    [aux_sym_preproc_elif_token1] = ACTIONS(2127),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2127),
    [sym_preproc_directive] = ACTIONS(2127),
    [anon_sym_LPAREN2] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym___extension__] = ACTIONS(2127),
    [anon_sym_typedef] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_out] = ACTIONS(2127),
    [anon_sym_inout] = ACTIONS(2127),
    [anon_sym_virtual] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2127),
    [anon_sym___attribute__] = ACTIONS(2127),
    [anon_sym___attribute] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2129),
    [anon_sym___declspec] = ACTIONS(2127),
    [anon_sym___based] = ACTIONS(2127),
    [anon_sym___cdecl] = ACTIONS(2127),
    [anon_sym___clrcall] = ACTIONS(2127),
    [anon_sym___stdcall] = ACTIONS(2127),
    [anon_sym___fastcall] = ACTIONS(2127),
    [anon_sym___thiscall] = ACTIONS(2127),
    [anon_sym___vectorcall] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_signed] = ACTIONS(2127),
    [anon_sym_unsigned] = ACTIONS(2127),
    [anon_sym_long] = ACTIONS(2127),
    [anon_sym_short] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_register] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(2127),
    [anon_sym___inline] = ACTIONS(2127),
    [anon_sym___inline__] = ACTIONS(2127),
    [anon_sym___forceinline] = ACTIONS(2127),
    [anon_sym_thread_local] = ACTIONS(2127),
    [anon_sym___thread] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_constexpr] = ACTIONS(2127),
    [anon_sym_volatile] = ACTIONS(2127),
    [anon_sym_restrict] = ACTIONS(2127),
    [anon_sym___restrict__] = ACTIONS(2127),
    [anon_sym__Atomic] = ACTIONS(2127),
    [anon_sym__Noreturn] = ACTIONS(2127),
    [anon_sym_noreturn] = ACTIONS(2127),
    [anon_sym__Nonnull] = ACTIONS(2127),
    [anon_sym_mutable] = ACTIONS(2127),
    [anon_sym_constinit] = ACTIONS(2127),
    [anon_sym_consteval] = ACTIONS(2127),
    [anon_sym_alignas] = ACTIONS(2127),
    [anon_sym__Alignas] = ACTIONS(2127),
    [sym_primitive_type] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_struct] = ACTIONS(2127),
    [anon_sym_union] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_goto] = ACTIONS(2127),
    [anon_sym___try] = ACTIONS(2127),
    [anon_sym___leave] = ACTIONS(2127),
    [anon_sym_not] = ACTIONS(2127),
    [anon_sym_compl] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_sizeof] = ACTIONS(2127),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2127),
    [anon_sym__Generic] = ACTIONS(2127),
    [anon_sym_asm] = ACTIONS(2127),
    [anon_sym___asm__] = ACTIONS(2127),
    [anon_sym___asm] = ACTIONS(2127),
    [sym_number_literal] = ACTIONS(2129),
    [anon_sym_L_SQUOTE] = ACTIONS(2129),
    [anon_sym_u_SQUOTE] = ACTIONS(2129),
    [anon_sym_U_SQUOTE] = ACTIONS(2129),
    [anon_sym_u8_SQUOTE] = ACTIONS(2129),
    [anon_sym_SQUOTE] = ACTIONS(2129),
    [anon_sym_L_DQUOTE] = ACTIONS(2129),
    [anon_sym_u_DQUOTE] = ACTIONS(2129),
    [anon_sym_U_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8_DQUOTE] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2129),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2127),
    [anon_sym_decltype] = ACTIONS(2127),
    [anon_sym_explicit] = ACTIONS(2127),
    [anon_sym_typename] = ACTIONS(2127),
    [anon_sym_template] = ACTIONS(2127),
    [anon_sym_operator] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_static_assert] = ACTIONS(2127),
    [anon_sym_concept] = ACTIONS(2127),
    [anon_sym_co_return] = ACTIONS(2127),
    [anon_sym_co_yield] = ACTIONS(2127),
    [anon_sym_R_DQUOTE] = ACTIONS(2129),
    [anon_sym_LR_DQUOTE] = ACTIONS(2129),
    [anon_sym_uR_DQUOTE] = ACTIONS(2129),
    [anon_sym_UR_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2129),
    [anon_sym_co_await] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_requires] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [anon_sym_discard] = ACTIONS(2127),
    [anon_sym_precise] = ACTIONS(2127),
    [anon_sym_shared] = ACTIONS(2127),
    [anon_sym_groupshared] = ACTIONS(2127),
    [anon_sym_uniform] = ACTIONS(2127),
    [anon_sym_row_major] = ACTIONS(2127),
    [anon_sym_column_major] = ACTIONS(2127),
    [anon_sym_globallycoherent] = ACTIONS(2127),
    [anon_sym_centroid] = ACTIONS(2127),
    [anon_sym_noperspective] = ACTIONS(2127),
    [anon_sym_nointerpolation] = ACTIONS(2127),
    [anon_sym_sample] = ACTIONS(2127),
    [anon_sym_linear] = ACTIONS(2127),
    [anon_sym_snorm] = ACTIONS(2127),
    [anon_sym_unorm] = ACTIONS(2127),
    [anon_sym_point] = ACTIONS(2127),
    [anon_sym_line] = ACTIONS(2127),
    [anon_sym_triangleadj] = ACTIONS(2127),
    [anon_sym_lineadj] = ACTIONS(2127),
    [anon_sym_triangle] = ACTIONS(2127),
    [anon_sym_cbuffer] = ACTIONS(2127),
  },
  [188] = {
    [sym_identifier] = ACTIONS(2131),
    [aux_sym_preproc_include_token1] = ACTIONS(2131),
    [aux_sym_preproc_def_token1] = ACTIONS(2131),
    [aux_sym_preproc_if_token1] = ACTIONS(2131),
    [aux_sym_preproc_if_token2] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2131),
    [aux_sym_preproc_else_token1] = ACTIONS(2131),
    [aux_sym_preproc_elif_token1] = ACTIONS(2131),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2131),
    [sym_preproc_directive] = ACTIONS(2131),
    [anon_sym_LPAREN2] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2133),
    [anon_sym_AMP_AMP] = ACTIONS(2133),
    [anon_sym_AMP] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym___extension__] = ACTIONS(2131),
    [anon_sym_typedef] = ACTIONS(2131),
    [anon_sym_in] = ACTIONS(2131),
    [anon_sym_out] = ACTIONS(2131),
    [anon_sym_inout] = ACTIONS(2131),
    [anon_sym_virtual] = ACTIONS(2131),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym___based] = ACTIONS(2131),
    [anon_sym___cdecl] = ACTIONS(2131),
    [anon_sym___clrcall] = ACTIONS(2131),
    [anon_sym___stdcall] = ACTIONS(2131),
    [anon_sym___fastcall] = ACTIONS(2131),
    [anon_sym___thiscall] = ACTIONS(2131),
    [anon_sym___vectorcall] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_mutable] = ACTIONS(2131),
    [anon_sym_constinit] = ACTIONS(2131),
    [anon_sym_consteval] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2131),
    [anon_sym_default] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_goto] = ACTIONS(2131),
    [anon_sym___try] = ACTIONS(2131),
    [anon_sym___leave] = ACTIONS(2131),
    [anon_sym_not] = ACTIONS(2131),
    [anon_sym_compl] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_sizeof] = ACTIONS(2131),
    [anon_sym___alignof__] = ACTIONS(2131),
    [anon_sym___alignof] = ACTIONS(2131),
    [anon_sym__alignof] = ACTIONS(2131),
    [anon_sym_alignof] = ACTIONS(2131),
    [anon_sym__Alignof] = ACTIONS(2131),
    [anon_sym_offsetof] = ACTIONS(2131),
    [anon_sym__Generic] = ACTIONS(2131),
    [anon_sym_asm] = ACTIONS(2131),
    [anon_sym___asm__] = ACTIONS(2131),
    [anon_sym___asm] = ACTIONS(2131),
    [sym_number_literal] = ACTIONS(2133),
    [anon_sym_L_SQUOTE] = ACTIONS(2133),
    [anon_sym_u_SQUOTE] = ACTIONS(2133),
    [anon_sym_U_SQUOTE] = ACTIONS(2133),
    [anon_sym_u8_SQUOTE] = ACTIONS(2133),
    [anon_sym_SQUOTE] = ACTIONS(2133),
    [anon_sym_L_DQUOTE] = ACTIONS(2133),
    [anon_sym_u_DQUOTE] = ACTIONS(2133),
    [anon_sym_U_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8_DQUOTE] = ACTIONS(2133),
    [anon_sym_DQUOTE] = ACTIONS(2133),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [anon_sym_NULL] = ACTIONS(2131),
    [anon_sym_nullptr] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2131),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_explicit] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2131),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_operator] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_static_assert] = ACTIONS(2131),
    [anon_sym_concept] = ACTIONS(2131),
    [anon_sym_co_return] = ACTIONS(2131),
    [anon_sym_co_yield] = ACTIONS(2131),
    [anon_sym_R_DQUOTE] = ACTIONS(2133),
    [anon_sym_LR_DQUOTE] = ACTIONS(2133),
    [anon_sym_uR_DQUOTE] = ACTIONS(2133),
    [anon_sym_UR_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2133),
    [anon_sym_co_await] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_requires] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [anon_sym_discard] = ACTIONS(2131),
    [anon_sym_precise] = ACTIONS(2131),
    [anon_sym_shared] = ACTIONS(2131),
    [anon_sym_groupshared] = ACTIONS(2131),
    [anon_sym_uniform] = ACTIONS(2131),
    [anon_sym_row_major] = ACTIONS(2131),
    [anon_sym_column_major] = ACTIONS(2131),
    [anon_sym_globallycoherent] = ACTIONS(2131),
    [anon_sym_centroid] = ACTIONS(2131),
    [anon_sym_noperspective] = ACTIONS(2131),
    [anon_sym_nointerpolation] = ACTIONS(2131),
    [anon_sym_sample] = ACTIONS(2131),
    [anon_sym_linear] = ACTIONS(2131),
    [anon_sym_snorm] = ACTIONS(2131),
    [anon_sym_unorm] = ACTIONS(2131),
    [anon_sym_point] = ACTIONS(2131),
    [anon_sym_line] = ACTIONS(2131),
    [anon_sym_triangleadj] = ACTIONS(2131),
    [anon_sym_lineadj] = ACTIONS(2131),
    [anon_sym_triangle] = ACTIONS(2131),
    [anon_sym_cbuffer] = ACTIONS(2131),
  },
  [189] = {
    [sym_identifier] = ACTIONS(2135),
    [aux_sym_preproc_include_token1] = ACTIONS(2135),
    [aux_sym_preproc_def_token1] = ACTIONS(2135),
    [aux_sym_preproc_if_token1] = ACTIONS(2135),
    [aux_sym_preproc_if_token2] = ACTIONS(2135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2135),
    [aux_sym_preproc_else_token1] = ACTIONS(2135),
    [aux_sym_preproc_elif_token1] = ACTIONS(2135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2135),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2135),
    [sym_preproc_directive] = ACTIONS(2135),
    [anon_sym_LPAREN2] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym___extension__] = ACTIONS(2135),
    [anon_sym_typedef] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2135),
    [anon_sym_out] = ACTIONS(2135),
    [anon_sym_inout] = ACTIONS(2135),
    [anon_sym_virtual] = ACTIONS(2135),
    [anon_sym_extern] = ACTIONS(2135),
    [anon_sym___attribute__] = ACTIONS(2135),
    [anon_sym___attribute] = ACTIONS(2135),
    [anon_sym_COLON_COLON] = ACTIONS(2137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2137),
    [anon_sym___declspec] = ACTIONS(2135),
    [anon_sym___based] = ACTIONS(2135),
    [anon_sym___cdecl] = ACTIONS(2135),
    [anon_sym___clrcall] = ACTIONS(2135),
    [anon_sym___stdcall] = ACTIONS(2135),
    [anon_sym___fastcall] = ACTIONS(2135),
    [anon_sym___thiscall] = ACTIONS(2135),
    [anon_sym___vectorcall] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_signed] = ACTIONS(2135),
    [anon_sym_unsigned] = ACTIONS(2135),
    [anon_sym_long] = ACTIONS(2135),
    [anon_sym_short] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_register] = ACTIONS(2135),
    [anon_sym_inline] = ACTIONS(2135),
    [anon_sym___inline] = ACTIONS(2135),
    [anon_sym___inline__] = ACTIONS(2135),
    [anon_sym___forceinline] = ACTIONS(2135),
    [anon_sym_thread_local] = ACTIONS(2135),
    [anon_sym___thread] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_constexpr] = ACTIONS(2135),
    [anon_sym_volatile] = ACTIONS(2135),
    [anon_sym_restrict] = ACTIONS(2135),
    [anon_sym___restrict__] = ACTIONS(2135),
    [anon_sym__Atomic] = ACTIONS(2135),
    [anon_sym__Noreturn] = ACTIONS(2135),
    [anon_sym_noreturn] = ACTIONS(2135),
    [anon_sym__Nonnull] = ACTIONS(2135),
    [anon_sym_mutable] = ACTIONS(2135),
    [anon_sym_constinit] = ACTIONS(2135),
    [anon_sym_consteval] = ACTIONS(2135),
    [anon_sym_alignas] = ACTIONS(2135),
    [anon_sym__Alignas] = ACTIONS(2135),
    [sym_primitive_type] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_struct] = ACTIONS(2135),
    [anon_sym_union] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_goto] = ACTIONS(2135),
    [anon_sym___try] = ACTIONS(2135),
    [anon_sym___leave] = ACTIONS(2135),
    [anon_sym_not] = ACTIONS(2135),
    [anon_sym_compl] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_sizeof] = ACTIONS(2135),
    [anon_sym___alignof__] = ACTIONS(2135),
    [anon_sym___alignof] = ACTIONS(2135),
    [anon_sym__alignof] = ACTIONS(2135),
    [anon_sym_alignof] = ACTIONS(2135),
    [anon_sym__Alignof] = ACTIONS(2135),
    [anon_sym_offsetof] = ACTIONS(2135),
    [anon_sym__Generic] = ACTIONS(2135),
    [anon_sym_asm] = ACTIONS(2135),
    [anon_sym___asm__] = ACTIONS(2135),
    [anon_sym___asm] = ACTIONS(2135),
    [sym_number_literal] = ACTIONS(2137),
    [anon_sym_L_SQUOTE] = ACTIONS(2137),
    [anon_sym_u_SQUOTE] = ACTIONS(2137),
    [anon_sym_U_SQUOTE] = ACTIONS(2137),
    [anon_sym_u8_SQUOTE] = ACTIONS(2137),
    [anon_sym_SQUOTE] = ACTIONS(2137),
    [anon_sym_L_DQUOTE] = ACTIONS(2137),
    [anon_sym_u_DQUOTE] = ACTIONS(2137),
    [anon_sym_U_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8_DQUOTE] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2137),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [anon_sym_NULL] = ACTIONS(2135),
    [anon_sym_nullptr] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2135),
    [anon_sym_decltype] = ACTIONS(2135),
    [anon_sym_explicit] = ACTIONS(2135),
    [anon_sym_typename] = ACTIONS(2135),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_static_assert] = ACTIONS(2135),
    [anon_sym_concept] = ACTIONS(2135),
    [anon_sym_co_return] = ACTIONS(2135),
    [anon_sym_co_yield] = ACTIONS(2135),
    [anon_sym_R_DQUOTE] = ACTIONS(2137),
    [anon_sym_LR_DQUOTE] = ACTIONS(2137),
    [anon_sym_uR_DQUOTE] = ACTIONS(2137),
    [anon_sym_UR_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2137),
    [anon_sym_co_await] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_requires] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [anon_sym_discard] = ACTIONS(2135),
    [anon_sym_precise] = ACTIONS(2135),
    [anon_sym_shared] = ACTIONS(2135),
    [anon_sym_groupshared] = ACTIONS(2135),
    [anon_sym_uniform] = ACTIONS(2135),
    [anon_sym_row_major] = ACTIONS(2135),
    [anon_sym_column_major] = ACTIONS(2135),
    [anon_sym_globallycoherent] = ACTIONS(2135),
    [anon_sym_centroid] = ACTIONS(2135),
    [anon_sym_noperspective] = ACTIONS(2135),
    [anon_sym_nointerpolation] = ACTIONS(2135),
    [anon_sym_sample] = ACTIONS(2135),
    [anon_sym_linear] = ACTIONS(2135),
    [anon_sym_snorm] = ACTIONS(2135),
    [anon_sym_unorm] = ACTIONS(2135),
    [anon_sym_point] = ACTIONS(2135),
    [anon_sym_line] = ACTIONS(2135),
    [anon_sym_triangleadj] = ACTIONS(2135),
    [anon_sym_lineadj] = ACTIONS(2135),
    [anon_sym_triangle] = ACTIONS(2135),
    [anon_sym_cbuffer] = ACTIONS(2135),
  },
  [190] = {
    [sym_identifier] = ACTIONS(2139),
    [aux_sym_preproc_include_token1] = ACTIONS(2139),
    [aux_sym_preproc_def_token1] = ACTIONS(2139),
    [aux_sym_preproc_if_token1] = ACTIONS(2139),
    [aux_sym_preproc_if_token2] = ACTIONS(2139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2139),
    [aux_sym_preproc_else_token1] = ACTIONS(2139),
    [aux_sym_preproc_elif_token1] = ACTIONS(2139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2139),
    [sym_preproc_directive] = ACTIONS(2139),
    [anon_sym_LPAREN2] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym___extension__] = ACTIONS(2139),
    [anon_sym_typedef] = ACTIONS(2139),
    [anon_sym_in] = ACTIONS(2139),
    [anon_sym_out] = ACTIONS(2139),
    [anon_sym_inout] = ACTIONS(2139),
    [anon_sym_virtual] = ACTIONS(2139),
    [anon_sym_extern] = ACTIONS(2139),
    [anon_sym___attribute__] = ACTIONS(2139),
    [anon_sym___attribute] = ACTIONS(2139),
    [anon_sym_COLON_COLON] = ACTIONS(2141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2141),
    [anon_sym___declspec] = ACTIONS(2139),
    [anon_sym___based] = ACTIONS(2139),
    [anon_sym___cdecl] = ACTIONS(2139),
    [anon_sym___clrcall] = ACTIONS(2139),
    [anon_sym___stdcall] = ACTIONS(2139),
    [anon_sym___fastcall] = ACTIONS(2139),
    [anon_sym___thiscall] = ACTIONS(2139),
    [anon_sym___vectorcall] = ACTIONS(2139),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_signed] = ACTIONS(2139),
    [anon_sym_unsigned] = ACTIONS(2139),
    [anon_sym_long] = ACTIONS(2139),
    [anon_sym_short] = ACTIONS(2139),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_register] = ACTIONS(2139),
    [anon_sym_inline] = ACTIONS(2139),
    [anon_sym___inline] = ACTIONS(2139),
    [anon_sym___inline__] = ACTIONS(2139),
    [anon_sym___forceinline] = ACTIONS(2139),
    [anon_sym_thread_local] = ACTIONS(2139),
    [anon_sym___thread] = ACTIONS(2139),
    [anon_sym_const] = ACTIONS(2139),
    [anon_sym_constexpr] = ACTIONS(2139),
    [anon_sym_volatile] = ACTIONS(2139),
    [anon_sym_restrict] = ACTIONS(2139),
    [anon_sym___restrict__] = ACTIONS(2139),
    [anon_sym__Atomic] = ACTIONS(2139),
    [anon_sym__Noreturn] = ACTIONS(2139),
    [anon_sym_noreturn] = ACTIONS(2139),
    [anon_sym__Nonnull] = ACTIONS(2139),
    [anon_sym_mutable] = ACTIONS(2139),
    [anon_sym_constinit] = ACTIONS(2139),
    [anon_sym_consteval] = ACTIONS(2139),
    [anon_sym_alignas] = ACTIONS(2139),
    [anon_sym__Alignas] = ACTIONS(2139),
    [sym_primitive_type] = ACTIONS(2139),
    [anon_sym_enum] = ACTIONS(2139),
    [anon_sym_class] = ACTIONS(2139),
    [anon_sym_struct] = ACTIONS(2139),
    [anon_sym_union] = ACTIONS(2139),
    [anon_sym_if] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2139),
    [anon_sym_switch] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2139),
    [anon_sym_default] = ACTIONS(2139),
    [anon_sym_while] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2139),
    [anon_sym_for] = ACTIONS(2139),
    [anon_sym_return] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2139),
    [anon_sym_continue] = ACTIONS(2139),
    [anon_sym_goto] = ACTIONS(2139),
    [anon_sym___try] = ACTIONS(2139),
    [anon_sym___leave] = ACTIONS(2139),
    [anon_sym_not] = ACTIONS(2139),
    [anon_sym_compl] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_sizeof] = ACTIONS(2139),
    [anon_sym___alignof__] = ACTIONS(2139),
    [anon_sym___alignof] = ACTIONS(2139),
    [anon_sym__alignof] = ACTIONS(2139),
    [anon_sym_alignof] = ACTIONS(2139),
    [anon_sym__Alignof] = ACTIONS(2139),
    [anon_sym_offsetof] = ACTIONS(2139),
    [anon_sym__Generic] = ACTIONS(2139),
    [anon_sym_asm] = ACTIONS(2139),
    [anon_sym___asm__] = ACTIONS(2139),
    [anon_sym___asm] = ACTIONS(2139),
    [sym_number_literal] = ACTIONS(2141),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2141),
    [anon_sym_u_DQUOTE] = ACTIONS(2141),
    [anon_sym_U_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8_DQUOTE] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [sym_true] = ACTIONS(2139),
    [sym_false] = ACTIONS(2139),
    [anon_sym_NULL] = ACTIONS(2139),
    [anon_sym_nullptr] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2139),
    [anon_sym_decltype] = ACTIONS(2139),
    [anon_sym_explicit] = ACTIONS(2139),
    [anon_sym_typename] = ACTIONS(2139),
    [anon_sym_template] = ACTIONS(2139),
    [anon_sym_operator] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_throw] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2139),
    [anon_sym_using] = ACTIONS(2139),
    [anon_sym_static_assert] = ACTIONS(2139),
    [anon_sym_concept] = ACTIONS(2139),
    [anon_sym_co_return] = ACTIONS(2139),
    [anon_sym_co_yield] = ACTIONS(2139),
    [anon_sym_R_DQUOTE] = ACTIONS(2141),
    [anon_sym_LR_DQUOTE] = ACTIONS(2141),
    [anon_sym_uR_DQUOTE] = ACTIONS(2141),
    [anon_sym_UR_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2141),
    [anon_sym_co_await] = ACTIONS(2139),
    [anon_sym_new] = ACTIONS(2139),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2139),
    [anon_sym_discard] = ACTIONS(2139),
    [anon_sym_precise] = ACTIONS(2139),
    [anon_sym_shared] = ACTIONS(2139),
    [anon_sym_groupshared] = ACTIONS(2139),
    [anon_sym_uniform] = ACTIONS(2139),
    [anon_sym_row_major] = ACTIONS(2139),
    [anon_sym_column_major] = ACTIONS(2139),
    [anon_sym_globallycoherent] = ACTIONS(2139),
    [anon_sym_centroid] = ACTIONS(2139),
    [anon_sym_noperspective] = ACTIONS(2139),
    [anon_sym_nointerpolation] = ACTIONS(2139),
    [anon_sym_sample] = ACTIONS(2139),
    [anon_sym_linear] = ACTIONS(2139),
    [anon_sym_snorm] = ACTIONS(2139),
    [anon_sym_unorm] = ACTIONS(2139),
    [anon_sym_point] = ACTIONS(2139),
    [anon_sym_line] = ACTIONS(2139),
    [anon_sym_triangleadj] = ACTIONS(2139),
    [anon_sym_lineadj] = ACTIONS(2139),
    [anon_sym_triangle] = ACTIONS(2139),
    [anon_sym_cbuffer] = ACTIONS(2139),
  },
  [191] = {
    [sym_identifier] = ACTIONS(2143),
    [aux_sym_preproc_include_token1] = ACTIONS(2143),
    [aux_sym_preproc_def_token1] = ACTIONS(2143),
    [aux_sym_preproc_if_token1] = ACTIONS(2143),
    [aux_sym_preproc_if_token2] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2143),
    [aux_sym_preproc_else_token1] = ACTIONS(2143),
    [aux_sym_preproc_elif_token1] = ACTIONS(2143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2143),
    [sym_preproc_directive] = ACTIONS(2143),
    [anon_sym_LPAREN2] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym___extension__] = ACTIONS(2143),
    [anon_sym_typedef] = ACTIONS(2143),
    [anon_sym_in] = ACTIONS(2143),
    [anon_sym_out] = ACTIONS(2143),
    [anon_sym_inout] = ACTIONS(2143),
    [anon_sym_virtual] = ACTIONS(2143),
    [anon_sym_extern] = ACTIONS(2143),
    [anon_sym___attribute__] = ACTIONS(2143),
    [anon_sym___attribute] = ACTIONS(2143),
    [anon_sym_COLON_COLON] = ACTIONS(2145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2145),
    [anon_sym___declspec] = ACTIONS(2143),
    [anon_sym___based] = ACTIONS(2143),
    [anon_sym___cdecl] = ACTIONS(2143),
    [anon_sym___clrcall] = ACTIONS(2143),
    [anon_sym___stdcall] = ACTIONS(2143),
    [anon_sym___fastcall] = ACTIONS(2143),
    [anon_sym___thiscall] = ACTIONS(2143),
    [anon_sym___vectorcall] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_register] = ACTIONS(2143),
    [anon_sym_inline] = ACTIONS(2143),
    [anon_sym___inline] = ACTIONS(2143),
    [anon_sym___inline__] = ACTIONS(2143),
    [anon_sym___forceinline] = ACTIONS(2143),
    [anon_sym_thread_local] = ACTIONS(2143),
    [anon_sym___thread] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_constexpr] = ACTIONS(2143),
    [anon_sym_volatile] = ACTIONS(2143),
    [anon_sym_restrict] = ACTIONS(2143),
    [anon_sym___restrict__] = ACTIONS(2143),
    [anon_sym__Atomic] = ACTIONS(2143),
    [anon_sym__Noreturn] = ACTIONS(2143),
    [anon_sym_noreturn] = ACTIONS(2143),
    [anon_sym__Nonnull] = ACTIONS(2143),
    [anon_sym_mutable] = ACTIONS(2143),
    [anon_sym_constinit] = ACTIONS(2143),
    [anon_sym_consteval] = ACTIONS(2143),
    [anon_sym_alignas] = ACTIONS(2143),
    [anon_sym__Alignas] = ACTIONS(2143),
    [sym_primitive_type] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_struct] = ACTIONS(2143),
    [anon_sym_union] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_goto] = ACTIONS(2143),
    [anon_sym___try] = ACTIONS(2143),
    [anon_sym___leave] = ACTIONS(2143),
    [anon_sym_not] = ACTIONS(2143),
    [anon_sym_compl] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_sizeof] = ACTIONS(2143),
    [anon_sym___alignof__] = ACTIONS(2143),
    [anon_sym___alignof] = ACTIONS(2143),
    [anon_sym__alignof] = ACTIONS(2143),
    [anon_sym_alignof] = ACTIONS(2143),
    [anon_sym__Alignof] = ACTIONS(2143),
    [anon_sym_offsetof] = ACTIONS(2143),
    [anon_sym__Generic] = ACTIONS(2143),
    [anon_sym_asm] = ACTIONS(2143),
    [anon_sym___asm__] = ACTIONS(2143),
    [anon_sym___asm] = ACTIONS(2143),
    [sym_number_literal] = ACTIONS(2145),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2145),
    [anon_sym_u_DQUOTE] = ACTIONS(2145),
    [anon_sym_U_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8_DQUOTE] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [anon_sym_NULL] = ACTIONS(2143),
    [anon_sym_nullptr] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2143),
    [anon_sym_decltype] = ACTIONS(2143),
    [anon_sym_explicit] = ACTIONS(2143),
    [anon_sym_typename] = ACTIONS(2143),
    [anon_sym_template] = ACTIONS(2143),
    [anon_sym_operator] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_static_assert] = ACTIONS(2143),
    [anon_sym_concept] = ACTIONS(2143),
    [anon_sym_co_return] = ACTIONS(2143),
    [anon_sym_co_yield] = ACTIONS(2143),
    [anon_sym_R_DQUOTE] = ACTIONS(2145),
    [anon_sym_LR_DQUOTE] = ACTIONS(2145),
    [anon_sym_uR_DQUOTE] = ACTIONS(2145),
    [anon_sym_UR_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2145),
    [anon_sym_co_await] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [anon_sym_discard] = ACTIONS(2143),
    [anon_sym_precise] = ACTIONS(2143),
    [anon_sym_shared] = ACTIONS(2143),
    [anon_sym_groupshared] = ACTIONS(2143),
    [anon_sym_uniform] = ACTIONS(2143),
    [anon_sym_row_major] = ACTIONS(2143),
    [anon_sym_column_major] = ACTIONS(2143),
    [anon_sym_globallycoherent] = ACTIONS(2143),
    [anon_sym_centroid] = ACTIONS(2143),
    [anon_sym_noperspective] = ACTIONS(2143),
    [anon_sym_nointerpolation] = ACTIONS(2143),
    [anon_sym_sample] = ACTIONS(2143),
    [anon_sym_linear] = ACTIONS(2143),
    [anon_sym_snorm] = ACTIONS(2143),
    [anon_sym_unorm] = ACTIONS(2143),
    [anon_sym_point] = ACTIONS(2143),
    [anon_sym_line] = ACTIONS(2143),
    [anon_sym_triangleadj] = ACTIONS(2143),
    [anon_sym_lineadj] = ACTIONS(2143),
    [anon_sym_triangle] = ACTIONS(2143),
    [anon_sym_cbuffer] = ACTIONS(2143),
  },
  [192] = {
    [sym_identifier] = ACTIONS(2147),
    [aux_sym_preproc_include_token1] = ACTIONS(2147),
    [aux_sym_preproc_def_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token2] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2147),
    [aux_sym_preproc_else_token1] = ACTIONS(2147),
    [aux_sym_preproc_elif_token1] = ACTIONS(2147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2147),
    [sym_preproc_directive] = ACTIONS(2147),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___extension__] = ACTIONS(2147),
    [anon_sym_typedef] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2147),
    [anon_sym_out] = ACTIONS(2147),
    [anon_sym_inout] = ACTIONS(2147),
    [anon_sym_virtual] = ACTIONS(2147),
    [anon_sym_extern] = ACTIONS(2147),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym___attribute] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2149),
    [anon_sym___declspec] = ACTIONS(2147),
    [anon_sym___based] = ACTIONS(2147),
    [anon_sym___cdecl] = ACTIONS(2147),
    [anon_sym___clrcall] = ACTIONS(2147),
    [anon_sym___stdcall] = ACTIONS(2147),
    [anon_sym___fastcall] = ACTIONS(2147),
    [anon_sym___thiscall] = ACTIONS(2147),
    [anon_sym___vectorcall] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_signed] = ACTIONS(2147),
    [anon_sym_unsigned] = ACTIONS(2147),
    [anon_sym_long] = ACTIONS(2147),
    [anon_sym_short] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_register] = ACTIONS(2147),
    [anon_sym_inline] = ACTIONS(2147),
    [anon_sym___inline] = ACTIONS(2147),
    [anon_sym___inline__] = ACTIONS(2147),
    [anon_sym___forceinline] = ACTIONS(2147),
    [anon_sym_thread_local] = ACTIONS(2147),
    [anon_sym___thread] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_constexpr] = ACTIONS(2147),
    [anon_sym_volatile] = ACTIONS(2147),
    [anon_sym_restrict] = ACTIONS(2147),
    [anon_sym___restrict__] = ACTIONS(2147),
    [anon_sym__Atomic] = ACTIONS(2147),
    [anon_sym__Noreturn] = ACTIONS(2147),
    [anon_sym_noreturn] = ACTIONS(2147),
    [anon_sym__Nonnull] = ACTIONS(2147),
    [anon_sym_mutable] = ACTIONS(2147),
    [anon_sym_constinit] = ACTIONS(2147),
    [anon_sym_consteval] = ACTIONS(2147),
    [anon_sym_alignas] = ACTIONS(2147),
    [anon_sym__Alignas] = ACTIONS(2147),
    [sym_primitive_type] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_struct] = ACTIONS(2147),
    [anon_sym_union] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_goto] = ACTIONS(2147),
    [anon_sym___try] = ACTIONS(2147),
    [anon_sym___leave] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2147),
    [anon_sym_compl] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2147),
    [anon_sym___alignof__] = ACTIONS(2147),
    [anon_sym___alignof] = ACTIONS(2147),
    [anon_sym__alignof] = ACTIONS(2147),
    [anon_sym_alignof] = ACTIONS(2147),
    [anon_sym__Alignof] = ACTIONS(2147),
    [anon_sym_offsetof] = ACTIONS(2147),
    [anon_sym__Generic] = ACTIONS(2147),
    [anon_sym_asm] = ACTIONS(2147),
    [anon_sym___asm__] = ACTIONS(2147),
    [anon_sym___asm] = ACTIONS(2147),
    [sym_number_literal] = ACTIONS(2149),
    [anon_sym_L_SQUOTE] = ACTIONS(2149),
    [anon_sym_u_SQUOTE] = ACTIONS(2149),
    [anon_sym_U_SQUOTE] = ACTIONS(2149),
    [anon_sym_u8_SQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_L_DQUOTE] = ACTIONS(2149),
    [anon_sym_u_DQUOTE] = ACTIONS(2149),
    [anon_sym_U_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8_DQUOTE] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2147),
    [anon_sym_nullptr] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2147),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_explicit] = ACTIONS(2147),
    [anon_sym_typename] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2147),
    [anon_sym_operator] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_static_assert] = ACTIONS(2147),
    [anon_sym_concept] = ACTIONS(2147),
    [anon_sym_co_return] = ACTIONS(2147),
    [anon_sym_co_yield] = ACTIONS(2147),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_requires] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [anon_sym_discard] = ACTIONS(2147),
    [anon_sym_precise] = ACTIONS(2147),
    [anon_sym_shared] = ACTIONS(2147),
    [anon_sym_groupshared] = ACTIONS(2147),
    [anon_sym_uniform] = ACTIONS(2147),
    [anon_sym_row_major] = ACTIONS(2147),
    [anon_sym_column_major] = ACTIONS(2147),
    [anon_sym_globallycoherent] = ACTIONS(2147),
    [anon_sym_centroid] = ACTIONS(2147),
    [anon_sym_noperspective] = ACTIONS(2147),
    [anon_sym_nointerpolation] = ACTIONS(2147),
    [anon_sym_sample] = ACTIONS(2147),
    [anon_sym_linear] = ACTIONS(2147),
    [anon_sym_snorm] = ACTIONS(2147),
    [anon_sym_unorm] = ACTIONS(2147),
    [anon_sym_point] = ACTIONS(2147),
    [anon_sym_line] = ACTIONS(2147),
    [anon_sym_triangleadj] = ACTIONS(2147),
    [anon_sym_lineadj] = ACTIONS(2147),
    [anon_sym_triangle] = ACTIONS(2147),
    [anon_sym_cbuffer] = ACTIONS(2147),
  },
  [193] = {
    [sym_identifier] = ACTIONS(2151),
    [aux_sym_preproc_include_token1] = ACTIONS(2151),
    [aux_sym_preproc_def_token1] = ACTIONS(2151),
    [aux_sym_preproc_if_token1] = ACTIONS(2151),
    [aux_sym_preproc_if_token2] = ACTIONS(2151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2151),
    [aux_sym_preproc_else_token1] = ACTIONS(2151),
    [aux_sym_preproc_elif_token1] = ACTIONS(2151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2151),
    [sym_preproc_directive] = ACTIONS(2151),
    [anon_sym_LPAREN2] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(2153),
    [anon_sym_AMP_AMP] = ACTIONS(2153),
    [anon_sym_AMP] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym___extension__] = ACTIONS(2151),
    [anon_sym_typedef] = ACTIONS(2151),
    [anon_sym_in] = ACTIONS(2151),
    [anon_sym_out] = ACTIONS(2151),
    [anon_sym_inout] = ACTIONS(2151),
    [anon_sym_virtual] = ACTIONS(2151),
    [anon_sym_extern] = ACTIONS(2151),
    [anon_sym___attribute__] = ACTIONS(2151),
    [anon_sym___attribute] = ACTIONS(2151),
    [anon_sym_COLON_COLON] = ACTIONS(2153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2153),
    [anon_sym___declspec] = ACTIONS(2151),
    [anon_sym___based] = ACTIONS(2151),
    [anon_sym___cdecl] = ACTIONS(2151),
    [anon_sym___clrcall] = ACTIONS(2151),
    [anon_sym___stdcall] = ACTIONS(2151),
    [anon_sym___fastcall] = ACTIONS(2151),
    [anon_sym___thiscall] = ACTIONS(2151),
    [anon_sym___vectorcall] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_signed] = ACTIONS(2151),
    [anon_sym_unsigned] = ACTIONS(2151),
    [anon_sym_long] = ACTIONS(2151),
    [anon_sym_short] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [anon_sym_static] = ACTIONS(2151),
    [anon_sym_register] = ACTIONS(2151),
    [anon_sym_inline] = ACTIONS(2151),
    [anon_sym___inline] = ACTIONS(2151),
    [anon_sym___inline__] = ACTIONS(2151),
    [anon_sym___forceinline] = ACTIONS(2151),
    [anon_sym_thread_local] = ACTIONS(2151),
    [anon_sym___thread] = ACTIONS(2151),
    [anon_sym_const] = ACTIONS(2151),
    [anon_sym_constexpr] = ACTIONS(2151),
    [anon_sym_volatile] = ACTIONS(2151),
    [anon_sym_restrict] = ACTIONS(2151),
    [anon_sym___restrict__] = ACTIONS(2151),
    [anon_sym__Atomic] = ACTIONS(2151),
    [anon_sym__Noreturn] = ACTIONS(2151),
    [anon_sym_noreturn] = ACTIONS(2151),
    [anon_sym__Nonnull] = ACTIONS(2151),
    [anon_sym_mutable] = ACTIONS(2151),
    [anon_sym_constinit] = ACTIONS(2151),
    [anon_sym_consteval] = ACTIONS(2151),
    [anon_sym_alignas] = ACTIONS(2151),
    [anon_sym__Alignas] = ACTIONS(2151),
    [sym_primitive_type] = ACTIONS(2151),
    [anon_sym_enum] = ACTIONS(2151),
    [anon_sym_class] = ACTIONS(2151),
    [anon_sym_struct] = ACTIONS(2151),
    [anon_sym_union] = ACTIONS(2151),
    [anon_sym_if] = ACTIONS(2151),
    [anon_sym_else] = ACTIONS(2151),
    [anon_sym_switch] = ACTIONS(2151),
    [anon_sym_case] = ACTIONS(2151),
    [anon_sym_default] = ACTIONS(2151),
    [anon_sym_while] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2151),
    [anon_sym_for] = ACTIONS(2151),
    [anon_sym_return] = ACTIONS(2151),
    [anon_sym_break] = ACTIONS(2151),
    [anon_sym_continue] = ACTIONS(2151),
    [anon_sym_goto] = ACTIONS(2151),
    [anon_sym___try] = ACTIONS(2151),
    [anon_sym___leave] = ACTIONS(2151),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_sizeof] = ACTIONS(2151),
    [anon_sym___alignof__] = ACTIONS(2151),
    [anon_sym___alignof] = ACTIONS(2151),
    [anon_sym__alignof] = ACTIONS(2151),
    [anon_sym_alignof] = ACTIONS(2151),
    [anon_sym__Alignof] = ACTIONS(2151),
    [anon_sym_offsetof] = ACTIONS(2151),
    [anon_sym__Generic] = ACTIONS(2151),
    [anon_sym_asm] = ACTIONS(2151),
    [anon_sym___asm__] = ACTIONS(2151),
    [anon_sym___asm] = ACTIONS(2151),
    [sym_number_literal] = ACTIONS(2153),
    [anon_sym_L_SQUOTE] = ACTIONS(2153),
    [anon_sym_u_SQUOTE] = ACTIONS(2153),
    [anon_sym_U_SQUOTE] = ACTIONS(2153),
    [anon_sym_u8_SQUOTE] = ACTIONS(2153),
    [anon_sym_SQUOTE] = ACTIONS(2153),
    [anon_sym_L_DQUOTE] = ACTIONS(2153),
    [anon_sym_u_DQUOTE] = ACTIONS(2153),
    [anon_sym_U_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8_DQUOTE] = ACTIONS(2153),
    [anon_sym_DQUOTE] = ACTIONS(2153),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2151),
    [anon_sym_nullptr] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2151),
    [anon_sym_decltype] = ACTIONS(2151),
    [anon_sym_explicit] = ACTIONS(2151),
    [anon_sym_typename] = ACTIONS(2151),
    [anon_sym_template] = ACTIONS(2151),
    [anon_sym_operator] = ACTIONS(2151),
    [anon_sym_try] = ACTIONS(2151),
    [anon_sym_delete] = ACTIONS(2151),
    [anon_sym_throw] = ACTIONS(2151),
    [anon_sym_namespace] = ACTIONS(2151),
    [anon_sym_using] = ACTIONS(2151),
    [anon_sym_static_assert] = ACTIONS(2151),
    [anon_sym_concept] = ACTIONS(2151),
    [anon_sym_co_return] = ACTIONS(2151),
    [anon_sym_co_yield] = ACTIONS(2151),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2151),
    [anon_sym_new] = ACTIONS(2151),
    [anon_sym_requires] = ACTIONS(2151),
    [sym_this] = ACTIONS(2151),
    [anon_sym_discard] = ACTIONS(2151),
    [anon_sym_precise] = ACTIONS(2151),
    [anon_sym_shared] = ACTIONS(2151),
    [anon_sym_groupshared] = ACTIONS(2151),
    [anon_sym_uniform] = ACTIONS(2151),
    [anon_sym_row_major] = ACTIONS(2151),
    [anon_sym_column_major] = ACTIONS(2151),
    [anon_sym_globallycoherent] = ACTIONS(2151),
    [anon_sym_centroid] = ACTIONS(2151),
    [anon_sym_noperspective] = ACTIONS(2151),
    [anon_sym_nointerpolation] = ACTIONS(2151),
    [anon_sym_sample] = ACTIONS(2151),
    [anon_sym_linear] = ACTIONS(2151),
    [anon_sym_snorm] = ACTIONS(2151),
    [anon_sym_unorm] = ACTIONS(2151),
    [anon_sym_point] = ACTIONS(2151),
    [anon_sym_line] = ACTIONS(2151),
    [anon_sym_triangleadj] = ACTIONS(2151),
    [anon_sym_lineadj] = ACTIONS(2151),
    [anon_sym_triangle] = ACTIONS(2151),
    [anon_sym_cbuffer] = ACTIONS(2151),
  },
  [194] = {
    [sym_identifier] = ACTIONS(2155),
    [aux_sym_preproc_include_token1] = ACTIONS(2155),
    [aux_sym_preproc_def_token1] = ACTIONS(2155),
    [aux_sym_preproc_if_token1] = ACTIONS(2155),
    [aux_sym_preproc_if_token2] = ACTIONS(2155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2155),
    [aux_sym_preproc_else_token1] = ACTIONS(2155),
    [aux_sym_preproc_elif_token1] = ACTIONS(2155),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2155),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2155),
    [sym_preproc_directive] = ACTIONS(2155),
    [anon_sym_LPAREN2] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym___extension__] = ACTIONS(2155),
    [anon_sym_typedef] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2155),
    [anon_sym_out] = ACTIONS(2155),
    [anon_sym_inout] = ACTIONS(2155),
    [anon_sym_virtual] = ACTIONS(2155),
    [anon_sym_extern] = ACTIONS(2155),
    [anon_sym___attribute__] = ACTIONS(2155),
    [anon_sym___attribute] = ACTIONS(2155),
    [anon_sym_COLON_COLON] = ACTIONS(2157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2157),
    [anon_sym___declspec] = ACTIONS(2155),
    [anon_sym___based] = ACTIONS(2155),
    [anon_sym___cdecl] = ACTIONS(2155),
    [anon_sym___clrcall] = ACTIONS(2155),
    [anon_sym___stdcall] = ACTIONS(2155),
    [anon_sym___fastcall] = ACTIONS(2155),
    [anon_sym___thiscall] = ACTIONS(2155),
    [anon_sym___vectorcall] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_signed] = ACTIONS(2155),
    [anon_sym_unsigned] = ACTIONS(2155),
    [anon_sym_long] = ACTIONS(2155),
    [anon_sym_short] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_register] = ACTIONS(2155),
    [anon_sym_inline] = ACTIONS(2155),
    [anon_sym___inline] = ACTIONS(2155),
    [anon_sym___inline__] = ACTIONS(2155),
    [anon_sym___forceinline] = ACTIONS(2155),
    [anon_sym_thread_local] = ACTIONS(2155),
    [anon_sym___thread] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_constexpr] = ACTIONS(2155),
    [anon_sym_volatile] = ACTIONS(2155),
    [anon_sym_restrict] = ACTIONS(2155),
    [anon_sym___restrict__] = ACTIONS(2155),
    [anon_sym__Atomic] = ACTIONS(2155),
    [anon_sym__Noreturn] = ACTIONS(2155),
    [anon_sym_noreturn] = ACTIONS(2155),
    [anon_sym__Nonnull] = ACTIONS(2155),
    [anon_sym_mutable] = ACTIONS(2155),
    [anon_sym_constinit] = ACTIONS(2155),
    [anon_sym_consteval] = ACTIONS(2155),
    [anon_sym_alignas] = ACTIONS(2155),
    [anon_sym__Alignas] = ACTIONS(2155),
    [sym_primitive_type] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_struct] = ACTIONS(2155),
    [anon_sym_union] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_goto] = ACTIONS(2155),
    [anon_sym___try] = ACTIONS(2155),
    [anon_sym___leave] = ACTIONS(2155),
    [anon_sym_not] = ACTIONS(2155),
    [anon_sym_compl] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_sizeof] = ACTIONS(2155),
    [anon_sym___alignof__] = ACTIONS(2155),
    [anon_sym___alignof] = ACTIONS(2155),
    [anon_sym__alignof] = ACTIONS(2155),
    [anon_sym_alignof] = ACTIONS(2155),
    [anon_sym__Alignof] = ACTIONS(2155),
    [anon_sym_offsetof] = ACTIONS(2155),
    [anon_sym__Generic] = ACTIONS(2155),
    [anon_sym_asm] = ACTIONS(2155),
    [anon_sym___asm__] = ACTIONS(2155),
    [anon_sym___asm] = ACTIONS(2155),
    [sym_number_literal] = ACTIONS(2157),
    [anon_sym_L_SQUOTE] = ACTIONS(2157),
    [anon_sym_u_SQUOTE] = ACTIONS(2157),
    [anon_sym_U_SQUOTE] = ACTIONS(2157),
    [anon_sym_u8_SQUOTE] = ACTIONS(2157),
    [anon_sym_SQUOTE] = ACTIONS(2157),
    [anon_sym_L_DQUOTE] = ACTIONS(2157),
    [anon_sym_u_DQUOTE] = ACTIONS(2157),
    [anon_sym_U_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8_DQUOTE] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2157),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [anon_sym_NULL] = ACTIONS(2155),
    [anon_sym_nullptr] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2155),
    [anon_sym_decltype] = ACTIONS(2155),
    [anon_sym_explicit] = ACTIONS(2155),
    [anon_sym_typename] = ACTIONS(2155),
    [anon_sym_template] = ACTIONS(2155),
    [anon_sym_operator] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_static_assert] = ACTIONS(2155),
    [anon_sym_concept] = ACTIONS(2155),
    [anon_sym_co_return] = ACTIONS(2155),
    [anon_sym_co_yield] = ACTIONS(2155),
    [anon_sym_R_DQUOTE] = ACTIONS(2157),
    [anon_sym_LR_DQUOTE] = ACTIONS(2157),
    [anon_sym_uR_DQUOTE] = ACTIONS(2157),
    [anon_sym_UR_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2157),
    [anon_sym_co_await] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [anon_sym_discard] = ACTIONS(2155),
    [anon_sym_precise] = ACTIONS(2155),
    [anon_sym_shared] = ACTIONS(2155),
    [anon_sym_groupshared] = ACTIONS(2155),
    [anon_sym_uniform] = ACTIONS(2155),
    [anon_sym_row_major] = ACTIONS(2155),
    [anon_sym_column_major] = ACTIONS(2155),
    [anon_sym_globallycoherent] = ACTIONS(2155),
    [anon_sym_centroid] = ACTIONS(2155),
    [anon_sym_noperspective] = ACTIONS(2155),
    [anon_sym_nointerpolation] = ACTIONS(2155),
    [anon_sym_sample] = ACTIONS(2155),
    [anon_sym_linear] = ACTIONS(2155),
    [anon_sym_snorm] = ACTIONS(2155),
    [anon_sym_unorm] = ACTIONS(2155),
    [anon_sym_point] = ACTIONS(2155),
    [anon_sym_line] = ACTIONS(2155),
    [anon_sym_triangleadj] = ACTIONS(2155),
    [anon_sym_lineadj] = ACTIONS(2155),
    [anon_sym_triangle] = ACTIONS(2155),
    [anon_sym_cbuffer] = ACTIONS(2155),
  },
  [195] = {
    [sym_identifier] = ACTIONS(2159),
    [aux_sym_preproc_include_token1] = ACTIONS(2159),
    [aux_sym_preproc_def_token1] = ACTIONS(2159),
    [aux_sym_preproc_if_token1] = ACTIONS(2159),
    [aux_sym_preproc_if_token2] = ACTIONS(2159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2159),
    [aux_sym_preproc_else_token1] = ACTIONS(2159),
    [aux_sym_preproc_elif_token1] = ACTIONS(2159),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2159),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2159),
    [sym_preproc_directive] = ACTIONS(2159),
    [anon_sym_LPAREN2] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_STAR] = ACTIONS(2161),
    [anon_sym_AMP_AMP] = ACTIONS(2161),
    [anon_sym_AMP] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym___extension__] = ACTIONS(2159),
    [anon_sym_typedef] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_virtual] = ACTIONS(2159),
    [anon_sym_extern] = ACTIONS(2159),
    [anon_sym___attribute__] = ACTIONS(2159),
    [anon_sym___attribute] = ACTIONS(2159),
    [anon_sym_COLON_COLON] = ACTIONS(2161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2161),
    [anon_sym___declspec] = ACTIONS(2159),
    [anon_sym___based] = ACTIONS(2159),
    [anon_sym___cdecl] = ACTIONS(2159),
    [anon_sym___clrcall] = ACTIONS(2159),
    [anon_sym___stdcall] = ACTIONS(2159),
    [anon_sym___fastcall] = ACTIONS(2159),
    [anon_sym___thiscall] = ACTIONS(2159),
    [anon_sym___vectorcall] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_signed] = ACTIONS(2159),
    [anon_sym_unsigned] = ACTIONS(2159),
    [anon_sym_long] = ACTIONS(2159),
    [anon_sym_short] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_register] = ACTIONS(2159),
    [anon_sym_inline] = ACTIONS(2159),
    [anon_sym___inline] = ACTIONS(2159),
    [anon_sym___inline__] = ACTIONS(2159),
    [anon_sym___forceinline] = ACTIONS(2159),
    [anon_sym_thread_local] = ACTIONS(2159),
    [anon_sym___thread] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_constexpr] = ACTIONS(2159),
    [anon_sym_volatile] = ACTIONS(2159),
    [anon_sym_restrict] = ACTIONS(2159),
    [anon_sym___restrict__] = ACTIONS(2159),
    [anon_sym__Atomic] = ACTIONS(2159),
    [anon_sym__Noreturn] = ACTIONS(2159),
    [anon_sym_noreturn] = ACTIONS(2159),
    [anon_sym__Nonnull] = ACTIONS(2159),
    [anon_sym_mutable] = ACTIONS(2159),
    [anon_sym_constinit] = ACTIONS(2159),
    [anon_sym_consteval] = ACTIONS(2159),
    [anon_sym_alignas] = ACTIONS(2159),
    [anon_sym__Alignas] = ACTIONS(2159),
    [sym_primitive_type] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_struct] = ACTIONS(2159),
    [anon_sym_union] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym_default] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_goto] = ACTIONS(2159),
    [anon_sym___try] = ACTIONS(2159),
    [anon_sym___leave] = ACTIONS(2159),
    [anon_sym_not] = ACTIONS(2159),
    [anon_sym_compl] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2159),
    [anon_sym___alignof] = ACTIONS(2159),
    [anon_sym__alignof] = ACTIONS(2159),
    [anon_sym_alignof] = ACTIONS(2159),
    [anon_sym__Alignof] = ACTIONS(2159),
    [anon_sym_offsetof] = ACTIONS(2159),
    [anon_sym__Generic] = ACTIONS(2159),
    [anon_sym_asm] = ACTIONS(2159),
    [anon_sym___asm__] = ACTIONS(2159),
    [anon_sym___asm] = ACTIONS(2159),
    [sym_number_literal] = ACTIONS(2161),
    [anon_sym_L_SQUOTE] = ACTIONS(2161),
    [anon_sym_u_SQUOTE] = ACTIONS(2161),
    [anon_sym_U_SQUOTE] = ACTIONS(2161),
    [anon_sym_u8_SQUOTE] = ACTIONS(2161),
    [anon_sym_SQUOTE] = ACTIONS(2161),
    [anon_sym_L_DQUOTE] = ACTIONS(2161),
    [anon_sym_u_DQUOTE] = ACTIONS(2161),
    [anon_sym_U_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8_DQUOTE] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2161),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [anon_sym_NULL] = ACTIONS(2159),
    [anon_sym_nullptr] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2159),
    [anon_sym_decltype] = ACTIONS(2159),
    [anon_sym_explicit] = ACTIONS(2159),
    [anon_sym_typename] = ACTIONS(2159),
    [anon_sym_template] = ACTIONS(2159),
    [anon_sym_operator] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_static_assert] = ACTIONS(2159),
    [anon_sym_concept] = ACTIONS(2159),
    [anon_sym_co_return] = ACTIONS(2159),
    [anon_sym_co_yield] = ACTIONS(2159),
    [anon_sym_R_DQUOTE] = ACTIONS(2161),
    [anon_sym_LR_DQUOTE] = ACTIONS(2161),
    [anon_sym_uR_DQUOTE] = ACTIONS(2161),
    [anon_sym_UR_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2161),
    [anon_sym_co_await] = ACTIONS(2159),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [anon_sym_discard] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_groupshared] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_row_major] = ACTIONS(2159),
    [anon_sym_column_major] = ACTIONS(2159),
    [anon_sym_globallycoherent] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym_nointerpolation] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_linear] = ACTIONS(2159),
    [anon_sym_snorm] = ACTIONS(2159),
    [anon_sym_unorm] = ACTIONS(2159),
    [anon_sym_point] = ACTIONS(2159),
    [anon_sym_line] = ACTIONS(2159),
    [anon_sym_triangleadj] = ACTIONS(2159),
    [anon_sym_lineadj] = ACTIONS(2159),
    [anon_sym_triangle] = ACTIONS(2159),
    [anon_sym_cbuffer] = ACTIONS(2159),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_include_token1] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [aux_sym_preproc_else_token1] = ACTIONS(1978),
    [aux_sym_preproc_elif_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym___try] = ACTIONS(1978),
    [anon_sym___leave] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_namespace] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_discard] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
    [anon_sym_cbuffer] = ACTIONS(1978),
  },
  [197] = {
    [sym_identifier] = ACTIONS(2165),
    [aux_sym_preproc_include_token1] = ACTIONS(2165),
    [aux_sym_preproc_def_token1] = ACTIONS(2165),
    [aux_sym_preproc_if_token1] = ACTIONS(2165),
    [aux_sym_preproc_if_token2] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2165),
    [aux_sym_preproc_else_token1] = ACTIONS(2165),
    [aux_sym_preproc_elif_token1] = ACTIONS(2165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2165),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2165),
    [sym_preproc_directive] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2167),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym___extension__] = ACTIONS(2165),
    [anon_sym_typedef] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_out] = ACTIONS(2165),
    [anon_sym_inout] = ACTIONS(2165),
    [anon_sym_virtual] = ACTIONS(2165),
    [anon_sym_extern] = ACTIONS(2165),
    [anon_sym___attribute__] = ACTIONS(2165),
    [anon_sym___attribute] = ACTIONS(2165),
    [anon_sym_COLON_COLON] = ACTIONS(2167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2167),
    [anon_sym___declspec] = ACTIONS(2165),
    [anon_sym___based] = ACTIONS(2165),
    [anon_sym___cdecl] = ACTIONS(2165),
    [anon_sym___clrcall] = ACTIONS(2165),
    [anon_sym___stdcall] = ACTIONS(2165),
    [anon_sym___fastcall] = ACTIONS(2165),
    [anon_sym___thiscall] = ACTIONS(2165),
    [anon_sym___vectorcall] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_signed] = ACTIONS(2165),
    [anon_sym_unsigned] = ACTIONS(2165),
    [anon_sym_long] = ACTIONS(2165),
    [anon_sym_short] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_register] = ACTIONS(2165),
    [anon_sym_inline] = ACTIONS(2165),
    [anon_sym___inline] = ACTIONS(2165),
    [anon_sym___inline__] = ACTIONS(2165),
    [anon_sym___forceinline] = ACTIONS(2165),
    [anon_sym_thread_local] = ACTIONS(2165),
    [anon_sym___thread] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_constexpr] = ACTIONS(2165),
    [anon_sym_volatile] = ACTIONS(2165),
    [anon_sym_restrict] = ACTIONS(2165),
    [anon_sym___restrict__] = ACTIONS(2165),
    [anon_sym__Atomic] = ACTIONS(2165),
    [anon_sym__Noreturn] = ACTIONS(2165),
    [anon_sym_noreturn] = ACTIONS(2165),
    [anon_sym__Nonnull] = ACTIONS(2165),
    [anon_sym_mutable] = ACTIONS(2165),
    [anon_sym_constinit] = ACTIONS(2165),
    [anon_sym_consteval] = ACTIONS(2165),
    [anon_sym_alignas] = ACTIONS(2165),
    [anon_sym__Alignas] = ACTIONS(2165),
    [sym_primitive_type] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_struct] = ACTIONS(2165),
    [anon_sym_union] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym___try] = ACTIONS(2165),
    [anon_sym___leave] = ACTIONS(2165),
    [anon_sym_not] = ACTIONS(2165),
    [anon_sym_compl] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_sizeof] = ACTIONS(2165),
    [anon_sym___alignof__] = ACTIONS(2165),
    [anon_sym___alignof] = ACTIONS(2165),
    [anon_sym__alignof] = ACTIONS(2165),
    [anon_sym_alignof] = ACTIONS(2165),
    [anon_sym__Alignof] = ACTIONS(2165),
    [anon_sym_offsetof] = ACTIONS(2165),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2165),
    [anon_sym___asm__] = ACTIONS(2165),
    [anon_sym___asm] = ACTIONS(2165),
    [sym_number_literal] = ACTIONS(2167),
    [anon_sym_L_SQUOTE] = ACTIONS(2167),
    [anon_sym_u_SQUOTE] = ACTIONS(2167),
    [anon_sym_U_SQUOTE] = ACTIONS(2167),
    [anon_sym_u8_SQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_L_DQUOTE] = ACTIONS(2167),
    [anon_sym_u_DQUOTE] = ACTIONS(2167),
    [anon_sym_U_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8_DQUOTE] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [anon_sym_NULL] = ACTIONS(2165),
    [anon_sym_nullptr] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2165),
    [anon_sym_decltype] = ACTIONS(2165),
    [anon_sym_explicit] = ACTIONS(2165),
    [anon_sym_typename] = ACTIONS(2165),
    [anon_sym_template] = ACTIONS(2165),
    [anon_sym_operator] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_static_assert] = ACTIONS(2165),
    [anon_sym_concept] = ACTIONS(2165),
    [anon_sym_co_return] = ACTIONS(2165),
    [anon_sym_co_yield] = ACTIONS(2165),
    [anon_sym_R_DQUOTE] = ACTIONS(2167),
    [anon_sym_LR_DQUOTE] = ACTIONS(2167),
    [anon_sym_uR_DQUOTE] = ACTIONS(2167),
    [anon_sym_UR_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2167),
    [anon_sym_co_await] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_requires] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [anon_sym_discard] = ACTIONS(2165),
    [anon_sym_precise] = ACTIONS(2165),
    [anon_sym_shared] = ACTIONS(2165),
    [anon_sym_groupshared] = ACTIONS(2165),
    [anon_sym_uniform] = ACTIONS(2165),
    [anon_sym_row_major] = ACTIONS(2165),
    [anon_sym_column_major] = ACTIONS(2165),
    [anon_sym_globallycoherent] = ACTIONS(2165),
    [anon_sym_centroid] = ACTIONS(2165),
    [anon_sym_noperspective] = ACTIONS(2165),
    [anon_sym_nointerpolation] = ACTIONS(2165),
    [anon_sym_sample] = ACTIONS(2165),
    [anon_sym_linear] = ACTIONS(2165),
    [anon_sym_snorm] = ACTIONS(2165),
    [anon_sym_unorm] = ACTIONS(2165),
    [anon_sym_point] = ACTIONS(2165),
    [anon_sym_line] = ACTIONS(2165),
    [anon_sym_triangleadj] = ACTIONS(2165),
    [anon_sym_lineadj] = ACTIONS(2165),
    [anon_sym_triangle] = ACTIONS(2165),
    [anon_sym_cbuffer] = ACTIONS(2165),
  },
  [198] = {
    [sym_identifier] = ACTIONS(2169),
    [aux_sym_preproc_include_token1] = ACTIONS(2169),
    [aux_sym_preproc_def_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token2] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2169),
    [aux_sym_preproc_else_token1] = ACTIONS(2169),
    [aux_sym_preproc_elif_token1] = ACTIONS(2169),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2169),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2169),
    [sym_preproc_directive] = ACTIONS(2169),
    [anon_sym_LPAREN2] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym___extension__] = ACTIONS(2169),
    [anon_sym_typedef] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_out] = ACTIONS(2169),
    [anon_sym_inout] = ACTIONS(2169),
    [anon_sym_virtual] = ACTIONS(2169),
    [anon_sym_extern] = ACTIONS(2169),
    [anon_sym___attribute__] = ACTIONS(2169),
    [anon_sym___attribute] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2171),
    [anon_sym___declspec] = ACTIONS(2169),
    [anon_sym___based] = ACTIONS(2169),
    [anon_sym___cdecl] = ACTIONS(2169),
    [anon_sym___clrcall] = ACTIONS(2169),
    [anon_sym___stdcall] = ACTIONS(2169),
    [anon_sym___fastcall] = ACTIONS(2169),
    [anon_sym___thiscall] = ACTIONS(2169),
    [anon_sym___vectorcall] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_signed] = ACTIONS(2169),
    [anon_sym_unsigned] = ACTIONS(2169),
    [anon_sym_long] = ACTIONS(2169),
    [anon_sym_short] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_register] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(2169),
    [anon_sym___inline] = ACTIONS(2169),
    [anon_sym___inline__] = ACTIONS(2169),
    [anon_sym___forceinline] = ACTIONS(2169),
    [anon_sym_thread_local] = ACTIONS(2169),
    [anon_sym___thread] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_constexpr] = ACTIONS(2169),
    [anon_sym_volatile] = ACTIONS(2169),
    [anon_sym_restrict] = ACTIONS(2169),
    [anon_sym___restrict__] = ACTIONS(2169),
    [anon_sym__Atomic] = ACTIONS(2169),
    [anon_sym__Noreturn] = ACTIONS(2169),
    [anon_sym_noreturn] = ACTIONS(2169),
    [anon_sym__Nonnull] = ACTIONS(2169),
    [anon_sym_mutable] = ACTIONS(2169),
    [anon_sym_constinit] = ACTIONS(2169),
    [anon_sym_consteval] = ACTIONS(2169),
    [anon_sym_alignas] = ACTIONS(2169),
    [anon_sym__Alignas] = ACTIONS(2169),
    [sym_primitive_type] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_struct] = ACTIONS(2169),
    [anon_sym_union] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym___try] = ACTIONS(2169),
    [anon_sym___leave] = ACTIONS(2169),
    [anon_sym_not] = ACTIONS(2169),
    [anon_sym_compl] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_sizeof] = ACTIONS(2169),
    [anon_sym___alignof__] = ACTIONS(2169),
    [anon_sym___alignof] = ACTIONS(2169),
    [anon_sym__alignof] = ACTIONS(2169),
    [anon_sym_alignof] = ACTIONS(2169),
    [anon_sym__Alignof] = ACTIONS(2169),
    [anon_sym_offsetof] = ACTIONS(2169),
    [anon_sym__Generic] = ACTIONS(2169),
    [anon_sym_asm] = ACTIONS(2169),
    [anon_sym___asm__] = ACTIONS(2169),
    [anon_sym___asm] = ACTIONS(2169),
    [sym_number_literal] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2171),
    [anon_sym_u_SQUOTE] = ACTIONS(2171),
    [anon_sym_U_SQUOTE] = ACTIONS(2171),
    [anon_sym_u8_SQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_L_DQUOTE] = ACTIONS(2171),
    [anon_sym_u_DQUOTE] = ACTIONS(2171),
    [anon_sym_U_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8_DQUOTE] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [anon_sym_NULL] = ACTIONS(2169),
    [anon_sym_nullptr] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2169),
    [anon_sym_decltype] = ACTIONS(2169),
    [anon_sym_explicit] = ACTIONS(2169),
    [anon_sym_typename] = ACTIONS(2169),
    [anon_sym_template] = ACTIONS(2169),
    [anon_sym_operator] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_static_assert] = ACTIONS(2169),
    [anon_sym_concept] = ACTIONS(2169),
    [anon_sym_co_return] = ACTIONS(2169),
    [anon_sym_co_yield] = ACTIONS(2169),
    [anon_sym_R_DQUOTE] = ACTIONS(2171),
    [anon_sym_LR_DQUOTE] = ACTIONS(2171),
    [anon_sym_uR_DQUOTE] = ACTIONS(2171),
    [anon_sym_UR_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2171),
    [anon_sym_co_await] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_requires] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [anon_sym_discard] = ACTIONS(2169),
    [anon_sym_precise] = ACTIONS(2169),
    [anon_sym_shared] = ACTIONS(2169),
    [anon_sym_groupshared] = ACTIONS(2169),
    [anon_sym_uniform] = ACTIONS(2169),
    [anon_sym_row_major] = ACTIONS(2169),
    [anon_sym_column_major] = ACTIONS(2169),
    [anon_sym_globallycoherent] = ACTIONS(2169),
    [anon_sym_centroid] = ACTIONS(2169),
    [anon_sym_noperspective] = ACTIONS(2169),
    [anon_sym_nointerpolation] = ACTIONS(2169),
    [anon_sym_sample] = ACTIONS(2169),
    [anon_sym_linear] = ACTIONS(2169),
    [anon_sym_snorm] = ACTIONS(2169),
    [anon_sym_unorm] = ACTIONS(2169),
    [anon_sym_point] = ACTIONS(2169),
    [anon_sym_line] = ACTIONS(2169),
    [anon_sym_triangleadj] = ACTIONS(2169),
    [anon_sym_lineadj] = ACTIONS(2169),
    [anon_sym_triangle] = ACTIONS(2169),
    [anon_sym_cbuffer] = ACTIONS(2169),
  },
  [199] = {
    [sym_identifier] = ACTIONS(2173),
    [aux_sym_preproc_include_token1] = ACTIONS(2173),
    [aux_sym_preproc_def_token1] = ACTIONS(2173),
    [aux_sym_preproc_if_token1] = ACTIONS(2173),
    [aux_sym_preproc_if_token2] = ACTIONS(2173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2173),
    [aux_sym_preproc_else_token1] = ACTIONS(2173),
    [aux_sym_preproc_elif_token1] = ACTIONS(2173),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2173),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2173),
    [sym_preproc_directive] = ACTIONS(2173),
    [anon_sym_LPAREN2] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym___extension__] = ACTIONS(2173),
    [anon_sym_typedef] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_out] = ACTIONS(2173),
    [anon_sym_inout] = ACTIONS(2173),
    [anon_sym_virtual] = ACTIONS(2173),
    [anon_sym_extern] = ACTIONS(2173),
    [anon_sym___attribute__] = ACTIONS(2173),
    [anon_sym___attribute] = ACTIONS(2173),
    [anon_sym_COLON_COLON] = ACTIONS(2175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2175),
    [anon_sym___declspec] = ACTIONS(2173),
    [anon_sym___based] = ACTIONS(2173),
    [anon_sym___cdecl] = ACTIONS(2173),
    [anon_sym___clrcall] = ACTIONS(2173),
    [anon_sym___stdcall] = ACTIONS(2173),
    [anon_sym___fastcall] = ACTIONS(2173),
    [anon_sym___thiscall] = ACTIONS(2173),
    [anon_sym___vectorcall] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_signed] = ACTIONS(2173),
    [anon_sym_unsigned] = ACTIONS(2173),
    [anon_sym_long] = ACTIONS(2173),
    [anon_sym_short] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_register] = ACTIONS(2173),
    [anon_sym_inline] = ACTIONS(2173),
    [anon_sym___inline] = ACTIONS(2173),
    [anon_sym___inline__] = ACTIONS(2173),
    [anon_sym___forceinline] = ACTIONS(2173),
    [anon_sym_thread_local] = ACTIONS(2173),
    [anon_sym___thread] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_constexpr] = ACTIONS(2173),
    [anon_sym_volatile] = ACTIONS(2173),
    [anon_sym_restrict] = ACTIONS(2173),
    [anon_sym___restrict__] = ACTIONS(2173),
    [anon_sym__Atomic] = ACTIONS(2173),
    [anon_sym__Noreturn] = ACTIONS(2173),
    [anon_sym_noreturn] = ACTIONS(2173),
    [anon_sym__Nonnull] = ACTIONS(2173),
    [anon_sym_mutable] = ACTIONS(2173),
    [anon_sym_constinit] = ACTIONS(2173),
    [anon_sym_consteval] = ACTIONS(2173),
    [anon_sym_alignas] = ACTIONS(2173),
    [anon_sym__Alignas] = ACTIONS(2173),
    [sym_primitive_type] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_struct] = ACTIONS(2173),
    [anon_sym_union] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym___try] = ACTIONS(2173),
    [anon_sym___leave] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2173),
    [anon_sym_compl] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_sizeof] = ACTIONS(2173),
    [anon_sym___alignof__] = ACTIONS(2173),
    [anon_sym___alignof] = ACTIONS(2173),
    [anon_sym__alignof] = ACTIONS(2173),
    [anon_sym_alignof] = ACTIONS(2173),
    [anon_sym__Alignof] = ACTIONS(2173),
    [anon_sym_offsetof] = ACTIONS(2173),
    [anon_sym__Generic] = ACTIONS(2173),
    [anon_sym_asm] = ACTIONS(2173),
    [anon_sym___asm__] = ACTIONS(2173),
    [anon_sym___asm] = ACTIONS(2173),
    [sym_number_literal] = ACTIONS(2175),
    [anon_sym_L_SQUOTE] = ACTIONS(2175),
    [anon_sym_u_SQUOTE] = ACTIONS(2175),
    [anon_sym_U_SQUOTE] = ACTIONS(2175),
    [anon_sym_u8_SQUOTE] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2175),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [anon_sym_NULL] = ACTIONS(2173),
    [anon_sym_nullptr] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2173),
    [anon_sym_decltype] = ACTIONS(2173),
    [anon_sym_explicit] = ACTIONS(2173),
    [anon_sym_typename] = ACTIONS(2173),
    [anon_sym_template] = ACTIONS(2173),
    [anon_sym_operator] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_static_assert] = ACTIONS(2173),
    [anon_sym_concept] = ACTIONS(2173),
    [anon_sym_co_return] = ACTIONS(2173),
    [anon_sym_co_yield] = ACTIONS(2173),
    [anon_sym_R_DQUOTE] = ACTIONS(2175),
    [anon_sym_LR_DQUOTE] = ACTIONS(2175),
    [anon_sym_uR_DQUOTE] = ACTIONS(2175),
    [anon_sym_UR_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2175),
    [anon_sym_co_await] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_requires] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [anon_sym_discard] = ACTIONS(2173),
    [anon_sym_precise] = ACTIONS(2173),
    [anon_sym_shared] = ACTIONS(2173),
    [anon_sym_groupshared] = ACTIONS(2173),
    [anon_sym_uniform] = ACTIONS(2173),
    [anon_sym_row_major] = ACTIONS(2173),
    [anon_sym_column_major] = ACTIONS(2173),
    [anon_sym_globallycoherent] = ACTIONS(2173),
    [anon_sym_centroid] = ACTIONS(2173),
    [anon_sym_noperspective] = ACTIONS(2173),
    [anon_sym_nointerpolation] = ACTIONS(2173),
    [anon_sym_sample] = ACTIONS(2173),
    [anon_sym_linear] = ACTIONS(2173),
    [anon_sym_snorm] = ACTIONS(2173),
    [anon_sym_unorm] = ACTIONS(2173),
    [anon_sym_point] = ACTIONS(2173),
    [anon_sym_line] = ACTIONS(2173),
    [anon_sym_triangleadj] = ACTIONS(2173),
    [anon_sym_lineadj] = ACTIONS(2173),
    [anon_sym_triangle] = ACTIONS(2173),
    [anon_sym_cbuffer] = ACTIONS(2173),
  },
  [200] = {
    [sym_identifier] = ACTIONS(2177),
    [aux_sym_preproc_include_token1] = ACTIONS(2177),
    [aux_sym_preproc_def_token1] = ACTIONS(2177),
    [aux_sym_preproc_if_token1] = ACTIONS(2177),
    [aux_sym_preproc_if_token2] = ACTIONS(2177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2177),
    [aux_sym_preproc_else_token1] = ACTIONS(2177),
    [aux_sym_preproc_elif_token1] = ACTIONS(2177),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2177),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2177),
    [sym_preproc_directive] = ACTIONS(2177),
    [anon_sym_LPAREN2] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_AMP_AMP] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym___extension__] = ACTIONS(2177),
    [anon_sym_typedef] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2177),
    [anon_sym_out] = ACTIONS(2177),
    [anon_sym_inout] = ACTIONS(2177),
    [anon_sym_virtual] = ACTIONS(2177),
    [anon_sym_extern] = ACTIONS(2177),
    [anon_sym___attribute__] = ACTIONS(2177),
    [anon_sym___attribute] = ACTIONS(2177),
    [anon_sym_COLON_COLON] = ACTIONS(2179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2179),
    [anon_sym___declspec] = ACTIONS(2177),
    [anon_sym___based] = ACTIONS(2177),
    [anon_sym___cdecl] = ACTIONS(2177),
    [anon_sym___clrcall] = ACTIONS(2177),
    [anon_sym___stdcall] = ACTIONS(2177),
    [anon_sym___fastcall] = ACTIONS(2177),
    [anon_sym___thiscall] = ACTIONS(2177),
    [anon_sym___vectorcall] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_signed] = ACTIONS(2177),
    [anon_sym_unsigned] = ACTIONS(2177),
    [anon_sym_long] = ACTIONS(2177),
    [anon_sym_short] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_register] = ACTIONS(2177),
    [anon_sym_inline] = ACTIONS(2177),
    [anon_sym___inline] = ACTIONS(2177),
    [anon_sym___inline__] = ACTIONS(2177),
    [anon_sym___forceinline] = ACTIONS(2177),
    [anon_sym_thread_local] = ACTIONS(2177),
    [anon_sym___thread] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_constexpr] = ACTIONS(2177),
    [anon_sym_volatile] = ACTIONS(2177),
    [anon_sym_restrict] = ACTIONS(2177),
    [anon_sym___restrict__] = ACTIONS(2177),
    [anon_sym__Atomic] = ACTIONS(2177),
    [anon_sym__Noreturn] = ACTIONS(2177),
    [anon_sym_noreturn] = ACTIONS(2177),
    [anon_sym__Nonnull] = ACTIONS(2177),
    [anon_sym_mutable] = ACTIONS(2177),
    [anon_sym_constinit] = ACTIONS(2177),
    [anon_sym_consteval] = ACTIONS(2177),
    [anon_sym_alignas] = ACTIONS(2177),
    [anon_sym__Alignas] = ACTIONS(2177),
    [sym_primitive_type] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_struct] = ACTIONS(2177),
    [anon_sym_union] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym___try] = ACTIONS(2177),
    [anon_sym___leave] = ACTIONS(2177),
    [anon_sym_not] = ACTIONS(2177),
    [anon_sym_compl] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_sizeof] = ACTIONS(2177),
    [anon_sym___alignof__] = ACTIONS(2177),
    [anon_sym___alignof] = ACTIONS(2177),
    [anon_sym__alignof] = ACTIONS(2177),
    [anon_sym_alignof] = ACTIONS(2177),
    [anon_sym__Alignof] = ACTIONS(2177),
    [anon_sym_offsetof] = ACTIONS(2177),
    [anon_sym__Generic] = ACTIONS(2177),
    [anon_sym_asm] = ACTIONS(2177),
    [anon_sym___asm__] = ACTIONS(2177),
    [anon_sym___asm] = ACTIONS(2177),
    [sym_number_literal] = ACTIONS(2179),
    [anon_sym_L_SQUOTE] = ACTIONS(2179),
    [anon_sym_u_SQUOTE] = ACTIONS(2179),
    [anon_sym_U_SQUOTE] = ACTIONS(2179),
    [anon_sym_u8_SQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_L_DQUOTE] = ACTIONS(2179),
    [anon_sym_u_DQUOTE] = ACTIONS(2179),
    [anon_sym_U_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8_DQUOTE] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2177),
    [anon_sym_nullptr] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2177),
    [anon_sym_decltype] = ACTIONS(2177),
    [anon_sym_explicit] = ACTIONS(2177),
    [anon_sym_typename] = ACTIONS(2177),
    [anon_sym_template] = ACTIONS(2177),
    [anon_sym_operator] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_static_assert] = ACTIONS(2177),
    [anon_sym_concept] = ACTIONS(2177),
    [anon_sym_co_return] = ACTIONS(2177),
    [anon_sym_co_yield] = ACTIONS(2177),
    [anon_sym_R_DQUOTE] = ACTIONS(2179),
    [anon_sym_LR_DQUOTE] = ACTIONS(2179),
    [anon_sym_uR_DQUOTE] = ACTIONS(2179),
    [anon_sym_UR_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2179),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [anon_sym_discard] = ACTIONS(2177),
    [anon_sym_precise] = ACTIONS(2177),
    [anon_sym_shared] = ACTIONS(2177),
    [anon_sym_groupshared] = ACTIONS(2177),
    [anon_sym_uniform] = ACTIONS(2177),
    [anon_sym_row_major] = ACTIONS(2177),
    [anon_sym_column_major] = ACTIONS(2177),
    [anon_sym_globallycoherent] = ACTIONS(2177),
    [anon_sym_centroid] = ACTIONS(2177),
    [anon_sym_noperspective] = ACTIONS(2177),
    [anon_sym_nointerpolation] = ACTIONS(2177),
    [anon_sym_sample] = ACTIONS(2177),
    [anon_sym_linear] = ACTIONS(2177),
    [anon_sym_snorm] = ACTIONS(2177),
    [anon_sym_unorm] = ACTIONS(2177),
    [anon_sym_point] = ACTIONS(2177),
    [anon_sym_line] = ACTIONS(2177),
    [anon_sym_triangleadj] = ACTIONS(2177),
    [anon_sym_lineadj] = ACTIONS(2177),
    [anon_sym_triangle] = ACTIONS(2177),
    [anon_sym_cbuffer] = ACTIONS(2177),
  },
  [201] = {
    [sym_identifier] = ACTIONS(2181),
    [aux_sym_preproc_include_token1] = ACTIONS(2181),
    [aux_sym_preproc_def_token1] = ACTIONS(2181),
    [aux_sym_preproc_if_token1] = ACTIONS(2181),
    [aux_sym_preproc_if_token2] = ACTIONS(2181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2181),
    [aux_sym_preproc_else_token1] = ACTIONS(2181),
    [aux_sym_preproc_elif_token1] = ACTIONS(2181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2181),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2181),
    [sym_preproc_directive] = ACTIONS(2181),
    [anon_sym_LPAREN2] = ACTIONS(2183),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym___extension__] = ACTIONS(2181),
    [anon_sym_typedef] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(2181),
    [anon_sym_out] = ACTIONS(2181),
    [anon_sym_inout] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(2181),
    [anon_sym_extern] = ACTIONS(2181),
    [anon_sym___attribute__] = ACTIONS(2181),
    [anon_sym___attribute] = ACTIONS(2181),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2183),
    [anon_sym___declspec] = ACTIONS(2181),
    [anon_sym___based] = ACTIONS(2181),
    [anon_sym___cdecl] = ACTIONS(2181),
    [anon_sym___clrcall] = ACTIONS(2181),
    [anon_sym___stdcall] = ACTIONS(2181),
    [anon_sym___fastcall] = ACTIONS(2181),
    [anon_sym___thiscall] = ACTIONS(2181),
    [anon_sym___vectorcall] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_signed] = ACTIONS(2181),
    [anon_sym_unsigned] = ACTIONS(2181),
    [anon_sym_long] = ACTIONS(2181),
    [anon_sym_short] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_register] = ACTIONS(2181),
    [anon_sym_inline] = ACTIONS(2181),
    [anon_sym___inline] = ACTIONS(2181),
    [anon_sym___inline__] = ACTIONS(2181),
    [anon_sym___forceinline] = ACTIONS(2181),
    [anon_sym_thread_local] = ACTIONS(2181),
    [anon_sym___thread] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_constexpr] = ACTIONS(2181),
    [anon_sym_volatile] = ACTIONS(2181),
    [anon_sym_restrict] = ACTIONS(2181),
    [anon_sym___restrict__] = ACTIONS(2181),
    [anon_sym__Atomic] = ACTIONS(2181),
    [anon_sym__Noreturn] = ACTIONS(2181),
    [anon_sym_noreturn] = ACTIONS(2181),
    [anon_sym__Nonnull] = ACTIONS(2181),
    [anon_sym_mutable] = ACTIONS(2181),
    [anon_sym_constinit] = ACTIONS(2181),
    [anon_sym_consteval] = ACTIONS(2181),
    [anon_sym_alignas] = ACTIONS(2181),
    [anon_sym__Alignas] = ACTIONS(2181),
    [sym_primitive_type] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_struct] = ACTIONS(2181),
    [anon_sym_union] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym___try] = ACTIONS(2181),
    [anon_sym___leave] = ACTIONS(2181),
    [anon_sym_not] = ACTIONS(2181),
    [anon_sym_compl] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_sizeof] = ACTIONS(2181),
    [anon_sym___alignof__] = ACTIONS(2181),
    [anon_sym___alignof] = ACTIONS(2181),
    [anon_sym__alignof] = ACTIONS(2181),
    [anon_sym_alignof] = ACTIONS(2181),
    [anon_sym__Alignof] = ACTIONS(2181),
    [anon_sym_offsetof] = ACTIONS(2181),
    [anon_sym__Generic] = ACTIONS(2181),
    [anon_sym_asm] = ACTIONS(2181),
    [anon_sym___asm__] = ACTIONS(2181),
    [anon_sym___asm] = ACTIONS(2181),
    [sym_number_literal] = ACTIONS(2183),
    [anon_sym_L_SQUOTE] = ACTIONS(2183),
    [anon_sym_u_SQUOTE] = ACTIONS(2183),
    [anon_sym_U_SQUOTE] = ACTIONS(2183),
    [anon_sym_u8_SQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [anon_sym_L_DQUOTE] = ACTIONS(2183),
    [anon_sym_u_DQUOTE] = ACTIONS(2183),
    [anon_sym_U_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8_DQUOTE] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [anon_sym_NULL] = ACTIONS(2181),
    [anon_sym_nullptr] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2181),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_explicit] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(2181),
    [anon_sym_operator] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_static_assert] = ACTIONS(2181),
    [anon_sym_concept] = ACTIONS(2181),
    [anon_sym_co_return] = ACTIONS(2181),
    [anon_sym_co_yield] = ACTIONS(2181),
    [anon_sym_R_DQUOTE] = ACTIONS(2183),
    [anon_sym_LR_DQUOTE] = ACTIONS(2183),
    [anon_sym_uR_DQUOTE] = ACTIONS(2183),
    [anon_sym_UR_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2183),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_requires] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [anon_sym_discard] = ACTIONS(2181),
    [anon_sym_precise] = ACTIONS(2181),
    [anon_sym_shared] = ACTIONS(2181),
    [anon_sym_groupshared] = ACTIONS(2181),
    [anon_sym_uniform] = ACTIONS(2181),
    [anon_sym_row_major] = ACTIONS(2181),
    [anon_sym_column_major] = ACTIONS(2181),
    [anon_sym_globallycoherent] = ACTIONS(2181),
    [anon_sym_centroid] = ACTIONS(2181),
    [anon_sym_noperspective] = ACTIONS(2181),
    [anon_sym_nointerpolation] = ACTIONS(2181),
    [anon_sym_sample] = ACTIONS(2181),
    [anon_sym_linear] = ACTIONS(2181),
    [anon_sym_snorm] = ACTIONS(2181),
    [anon_sym_unorm] = ACTIONS(2181),
    [anon_sym_point] = ACTIONS(2181),
    [anon_sym_line] = ACTIONS(2181),
    [anon_sym_triangleadj] = ACTIONS(2181),
    [anon_sym_lineadj] = ACTIONS(2181),
    [anon_sym_triangle] = ACTIONS(2181),
    [anon_sym_cbuffer] = ACTIONS(2181),
  },
  [202] = {
    [sym_identifier] = ACTIONS(2185),
    [aux_sym_preproc_include_token1] = ACTIONS(2185),
    [aux_sym_preproc_def_token1] = ACTIONS(2185),
    [aux_sym_preproc_if_token1] = ACTIONS(2185),
    [aux_sym_preproc_if_token2] = ACTIONS(2185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2185),
    [aux_sym_preproc_else_token1] = ACTIONS(2185),
    [aux_sym_preproc_elif_token1] = ACTIONS(2185),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2185),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2185),
    [sym_preproc_directive] = ACTIONS(2185),
    [anon_sym_LPAREN2] = ACTIONS(2187),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_AMP_AMP] = ACTIONS(2187),
    [anon_sym_AMP] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym___extension__] = ACTIONS(2185),
    [anon_sym_typedef] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2185),
    [anon_sym_out] = ACTIONS(2185),
    [anon_sym_inout] = ACTIONS(2185),
    [anon_sym_virtual] = ACTIONS(2185),
    [anon_sym_extern] = ACTIONS(2185),
    [anon_sym___attribute__] = ACTIONS(2185),
    [anon_sym___attribute] = ACTIONS(2185),
    [anon_sym_COLON_COLON] = ACTIONS(2187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2187),
    [anon_sym___declspec] = ACTIONS(2185),
    [anon_sym___based] = ACTIONS(2185),
    [anon_sym___cdecl] = ACTIONS(2185),
    [anon_sym___clrcall] = ACTIONS(2185),
    [anon_sym___stdcall] = ACTIONS(2185),
    [anon_sym___fastcall] = ACTIONS(2185),
    [anon_sym___thiscall] = ACTIONS(2185),
    [anon_sym___vectorcall] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_signed] = ACTIONS(2185),
    [anon_sym_unsigned] = ACTIONS(2185),
    [anon_sym_long] = ACTIONS(2185),
    [anon_sym_short] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_register] = ACTIONS(2185),
    [anon_sym_inline] = ACTIONS(2185),
    [anon_sym___inline] = ACTIONS(2185),
    [anon_sym___inline__] = ACTIONS(2185),
    [anon_sym___forceinline] = ACTIONS(2185),
    [anon_sym_thread_local] = ACTIONS(2185),
    [anon_sym___thread] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_constexpr] = ACTIONS(2185),
    [anon_sym_volatile] = ACTIONS(2185),
    [anon_sym_restrict] = ACTIONS(2185),
    [anon_sym___restrict__] = ACTIONS(2185),
    [anon_sym__Atomic] = ACTIONS(2185),
    [anon_sym__Noreturn] = ACTIONS(2185),
    [anon_sym_noreturn] = ACTIONS(2185),
    [anon_sym__Nonnull] = ACTIONS(2185),
    [anon_sym_mutable] = ACTIONS(2185),
    [anon_sym_constinit] = ACTIONS(2185),
    [anon_sym_consteval] = ACTIONS(2185),
    [anon_sym_alignas] = ACTIONS(2185),
    [anon_sym__Alignas] = ACTIONS(2185),
    [sym_primitive_type] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_struct] = ACTIONS(2185),
    [anon_sym_union] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym___try] = ACTIONS(2185),
    [anon_sym___leave] = ACTIONS(2185),
    [anon_sym_not] = ACTIONS(2185),
    [anon_sym_compl] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2187),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_sizeof] = ACTIONS(2185),
    [anon_sym___alignof__] = ACTIONS(2185),
    [anon_sym___alignof] = ACTIONS(2185),
    [anon_sym__alignof] = ACTIONS(2185),
    [anon_sym_alignof] = ACTIONS(2185),
    [anon_sym__Alignof] = ACTIONS(2185),
    [anon_sym_offsetof] = ACTIONS(2185),
    [anon_sym__Generic] = ACTIONS(2185),
    [anon_sym_asm] = ACTIONS(2185),
    [anon_sym___asm__] = ACTIONS(2185),
    [anon_sym___asm] = ACTIONS(2185),
    [sym_number_literal] = ACTIONS(2187),
    [anon_sym_L_SQUOTE] = ACTIONS(2187),
    [anon_sym_u_SQUOTE] = ACTIONS(2187),
    [anon_sym_U_SQUOTE] = ACTIONS(2187),
    [anon_sym_u8_SQUOTE] = ACTIONS(2187),
    [anon_sym_SQUOTE] = ACTIONS(2187),
    [anon_sym_L_DQUOTE] = ACTIONS(2187),
    [anon_sym_u_DQUOTE] = ACTIONS(2187),
    [anon_sym_U_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8_DQUOTE] = ACTIONS(2187),
    [anon_sym_DQUOTE] = ACTIONS(2187),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [anon_sym_NULL] = ACTIONS(2185),
    [anon_sym_nullptr] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2185),
    [anon_sym_decltype] = ACTIONS(2185),
    [anon_sym_explicit] = ACTIONS(2185),
    [anon_sym_typename] = ACTIONS(2185),
    [anon_sym_template] = ACTIONS(2185),
    [anon_sym_operator] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_static_assert] = ACTIONS(2185),
    [anon_sym_concept] = ACTIONS(2185),
    [anon_sym_co_return] = ACTIONS(2185),
    [anon_sym_co_yield] = ACTIONS(2185),
    [anon_sym_R_DQUOTE] = ACTIONS(2187),
    [anon_sym_LR_DQUOTE] = ACTIONS(2187),
    [anon_sym_uR_DQUOTE] = ACTIONS(2187),
    [anon_sym_UR_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2187),
    [anon_sym_co_await] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_requires] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [anon_sym_discard] = ACTIONS(2185),
    [anon_sym_precise] = ACTIONS(2185),
    [anon_sym_shared] = ACTIONS(2185),
    [anon_sym_groupshared] = ACTIONS(2185),
    [anon_sym_uniform] = ACTIONS(2185),
    [anon_sym_row_major] = ACTIONS(2185),
    [anon_sym_column_major] = ACTIONS(2185),
    [anon_sym_globallycoherent] = ACTIONS(2185),
    [anon_sym_centroid] = ACTIONS(2185),
    [anon_sym_noperspective] = ACTIONS(2185),
    [anon_sym_nointerpolation] = ACTIONS(2185),
    [anon_sym_sample] = ACTIONS(2185),
    [anon_sym_linear] = ACTIONS(2185),
    [anon_sym_snorm] = ACTIONS(2185),
    [anon_sym_unorm] = ACTIONS(2185),
    [anon_sym_point] = ACTIONS(2185),
    [anon_sym_line] = ACTIONS(2185),
    [anon_sym_triangleadj] = ACTIONS(2185),
    [anon_sym_lineadj] = ACTIONS(2185),
    [anon_sym_triangle] = ACTIONS(2185),
    [anon_sym_cbuffer] = ACTIONS(2185),
  },
  [203] = {
    [sym_identifier] = ACTIONS(2189),
    [aux_sym_preproc_include_token1] = ACTIONS(2189),
    [aux_sym_preproc_def_token1] = ACTIONS(2189),
    [aux_sym_preproc_if_token1] = ACTIONS(2189),
    [aux_sym_preproc_if_token2] = ACTIONS(2189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2189),
    [aux_sym_preproc_else_token1] = ACTIONS(2189),
    [aux_sym_preproc_elif_token1] = ACTIONS(2189),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2189),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2189),
    [sym_preproc_directive] = ACTIONS(2189),
    [anon_sym_LPAREN2] = ACTIONS(2191),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_typedef] = ACTIONS(2189),
    [anon_sym_in] = ACTIONS(2189),
    [anon_sym_out] = ACTIONS(2189),
    [anon_sym_inout] = ACTIONS(2189),
    [anon_sym_virtual] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_COLON_COLON] = ACTIONS(2191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2191),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_signed] = ACTIONS(2189),
    [anon_sym_unsigned] = ACTIONS(2189),
    [anon_sym_long] = ACTIONS(2189),
    [anon_sym_short] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_mutable] = ACTIONS(2189),
    [anon_sym_constinit] = ACTIONS(2189),
    [anon_sym_consteval] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [sym_primitive_type] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_union] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym___try] = ACTIONS(2189),
    [anon_sym___leave] = ACTIONS(2189),
    [anon_sym_not] = ACTIONS(2189),
    [anon_sym_compl] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_sizeof] = ACTIONS(2189),
    [anon_sym___alignof__] = ACTIONS(2189),
    [anon_sym___alignof] = ACTIONS(2189),
    [anon_sym__alignof] = ACTIONS(2189),
    [anon_sym_alignof] = ACTIONS(2189),
    [anon_sym__Alignof] = ACTIONS(2189),
    [anon_sym_offsetof] = ACTIONS(2189),
    [anon_sym__Generic] = ACTIONS(2189),
    [anon_sym_asm] = ACTIONS(2189),
    [anon_sym___asm__] = ACTIONS(2189),
    [anon_sym___asm] = ACTIONS(2189),
    [sym_number_literal] = ACTIONS(2191),
    [anon_sym_L_SQUOTE] = ACTIONS(2191),
    [anon_sym_u_SQUOTE] = ACTIONS(2191),
    [anon_sym_U_SQUOTE] = ACTIONS(2191),
    [anon_sym_u8_SQUOTE] = ACTIONS(2191),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(2191),
    [anon_sym_u_DQUOTE] = ACTIONS(2191),
    [anon_sym_U_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8_DQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2191),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [anon_sym_NULL] = ACTIONS(2189),
    [anon_sym_nullptr] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2189),
    [anon_sym_decltype] = ACTIONS(2189),
    [anon_sym_explicit] = ACTIONS(2189),
    [anon_sym_typename] = ACTIONS(2189),
    [anon_sym_template] = ACTIONS(2189),
    [anon_sym_operator] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_static_assert] = ACTIONS(2189),
    [anon_sym_concept] = ACTIONS(2189),
    [anon_sym_co_return] = ACTIONS(2189),
    [anon_sym_co_yield] = ACTIONS(2189),
    [anon_sym_R_DQUOTE] = ACTIONS(2191),
    [anon_sym_LR_DQUOTE] = ACTIONS(2191),
    [anon_sym_uR_DQUOTE] = ACTIONS(2191),
    [anon_sym_UR_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2191),
    [anon_sym_co_await] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [anon_sym_discard] = ACTIONS(2189),
    [anon_sym_precise] = ACTIONS(2189),
    [anon_sym_shared] = ACTIONS(2189),
    [anon_sym_groupshared] = ACTIONS(2189),
    [anon_sym_uniform] = ACTIONS(2189),
    [anon_sym_row_major] = ACTIONS(2189),
    [anon_sym_column_major] = ACTIONS(2189),
    [anon_sym_globallycoherent] = ACTIONS(2189),
    [anon_sym_centroid] = ACTIONS(2189),
    [anon_sym_noperspective] = ACTIONS(2189),
    [anon_sym_nointerpolation] = ACTIONS(2189),
    [anon_sym_sample] = ACTIONS(2189),
    [anon_sym_linear] = ACTIONS(2189),
    [anon_sym_snorm] = ACTIONS(2189),
    [anon_sym_unorm] = ACTIONS(2189),
    [anon_sym_point] = ACTIONS(2189),
    [anon_sym_line] = ACTIONS(2189),
    [anon_sym_triangleadj] = ACTIONS(2189),
    [anon_sym_lineadj] = ACTIONS(2189),
    [anon_sym_triangle] = ACTIONS(2189),
    [anon_sym_cbuffer] = ACTIONS(2189),
  },
  [204] = {
    [sym_identifier] = ACTIONS(2193),
    [aux_sym_preproc_include_token1] = ACTIONS(2193),
    [aux_sym_preproc_def_token1] = ACTIONS(2193),
    [aux_sym_preproc_if_token1] = ACTIONS(2193),
    [aux_sym_preproc_if_token2] = ACTIONS(2193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2193),
    [aux_sym_preproc_else_token1] = ACTIONS(2193),
    [aux_sym_preproc_elif_token1] = ACTIONS(2193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2193),
    [sym_preproc_directive] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym___extension__] = ACTIONS(2193),
    [anon_sym_typedef] = ACTIONS(2193),
    [anon_sym_in] = ACTIONS(2193),
    [anon_sym_out] = ACTIONS(2193),
    [anon_sym_inout] = ACTIONS(2193),
    [anon_sym_virtual] = ACTIONS(2193),
    [anon_sym_extern] = ACTIONS(2193),
    [anon_sym___attribute__] = ACTIONS(2193),
    [anon_sym___attribute] = ACTIONS(2193),
    [anon_sym_COLON_COLON] = ACTIONS(2195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2195),
    [anon_sym___declspec] = ACTIONS(2193),
    [anon_sym___based] = ACTIONS(2193),
    [anon_sym___cdecl] = ACTIONS(2193),
    [anon_sym___clrcall] = ACTIONS(2193),
    [anon_sym___stdcall] = ACTIONS(2193),
    [anon_sym___fastcall] = ACTIONS(2193),
    [anon_sym___thiscall] = ACTIONS(2193),
    [anon_sym___vectorcall] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_signed] = ACTIONS(2193),
    [anon_sym_unsigned] = ACTIONS(2193),
    [anon_sym_long] = ACTIONS(2193),
    [anon_sym_short] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_register] = ACTIONS(2193),
    [anon_sym_inline] = ACTIONS(2193),
    [anon_sym___inline] = ACTIONS(2193),
    [anon_sym___inline__] = ACTIONS(2193),
    [anon_sym___forceinline] = ACTIONS(2193),
    [anon_sym_thread_local] = ACTIONS(2193),
    [anon_sym___thread] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_constexpr] = ACTIONS(2193),
    [anon_sym_volatile] = ACTIONS(2193),
    [anon_sym_restrict] = ACTIONS(2193),
    [anon_sym___restrict__] = ACTIONS(2193),
    [anon_sym__Atomic] = ACTIONS(2193),
    [anon_sym__Noreturn] = ACTIONS(2193),
    [anon_sym_noreturn] = ACTIONS(2193),
    [anon_sym__Nonnull] = ACTIONS(2193),
    [anon_sym_mutable] = ACTIONS(2193),
    [anon_sym_constinit] = ACTIONS(2193),
    [anon_sym_consteval] = ACTIONS(2193),
    [anon_sym_alignas] = ACTIONS(2193),
    [anon_sym__Alignas] = ACTIONS(2193),
    [sym_primitive_type] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_struct] = ACTIONS(2193),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym___try] = ACTIONS(2193),
    [anon_sym___leave] = ACTIONS(2193),
    [anon_sym_not] = ACTIONS(2193),
    [anon_sym_compl] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_sizeof] = ACTIONS(2193),
    [anon_sym___alignof__] = ACTIONS(2193),
    [anon_sym___alignof] = ACTIONS(2193),
    [anon_sym__alignof] = ACTIONS(2193),
    [anon_sym_alignof] = ACTIONS(2193),
    [anon_sym__Alignof] = ACTIONS(2193),
    [anon_sym_offsetof] = ACTIONS(2193),
    [anon_sym__Generic] = ACTIONS(2193),
    [anon_sym_asm] = ACTIONS(2193),
    [anon_sym___asm__] = ACTIONS(2193),
    [anon_sym___asm] = ACTIONS(2193),
    [sym_number_literal] = ACTIONS(2195),
    [anon_sym_L_SQUOTE] = ACTIONS(2195),
    [anon_sym_u_SQUOTE] = ACTIONS(2195),
    [anon_sym_U_SQUOTE] = ACTIONS(2195),
    [anon_sym_u8_SQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_L_DQUOTE] = ACTIONS(2195),
    [anon_sym_u_DQUOTE] = ACTIONS(2195),
    [anon_sym_U_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8_DQUOTE] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [anon_sym_NULL] = ACTIONS(2193),
    [anon_sym_nullptr] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2193),
    [anon_sym_decltype] = ACTIONS(2193),
    [anon_sym_explicit] = ACTIONS(2193),
    [anon_sym_typename] = ACTIONS(2193),
    [anon_sym_template] = ACTIONS(2193),
    [anon_sym_operator] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_static_assert] = ACTIONS(2193),
    [anon_sym_concept] = ACTIONS(2193),
    [anon_sym_co_return] = ACTIONS(2193),
    [anon_sym_co_yield] = ACTIONS(2193),
    [anon_sym_R_DQUOTE] = ACTIONS(2195),
    [anon_sym_LR_DQUOTE] = ACTIONS(2195),
    [anon_sym_uR_DQUOTE] = ACTIONS(2195),
    [anon_sym_UR_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2195),
    [anon_sym_co_await] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_requires] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [anon_sym_discard] = ACTIONS(2193),
    [anon_sym_precise] = ACTIONS(2193),
    [anon_sym_shared] = ACTIONS(2193),
    [anon_sym_groupshared] = ACTIONS(2193),
    [anon_sym_uniform] = ACTIONS(2193),
    [anon_sym_row_major] = ACTIONS(2193),
    [anon_sym_column_major] = ACTIONS(2193),
    [anon_sym_globallycoherent] = ACTIONS(2193),
    [anon_sym_centroid] = ACTIONS(2193),
    [anon_sym_noperspective] = ACTIONS(2193),
    [anon_sym_nointerpolation] = ACTIONS(2193),
    [anon_sym_sample] = ACTIONS(2193),
    [anon_sym_linear] = ACTIONS(2193),
    [anon_sym_snorm] = ACTIONS(2193),
    [anon_sym_unorm] = ACTIONS(2193),
    [anon_sym_point] = ACTIONS(2193),
    [anon_sym_line] = ACTIONS(2193),
    [anon_sym_triangleadj] = ACTIONS(2193),
    [anon_sym_lineadj] = ACTIONS(2193),
    [anon_sym_triangle] = ACTIONS(2193),
    [anon_sym_cbuffer] = ACTIONS(2193),
  },
  [205] = {
    [sym_identifier] = ACTIONS(2197),
    [aux_sym_preproc_include_token1] = ACTIONS(2197),
    [aux_sym_preproc_def_token1] = ACTIONS(2197),
    [aux_sym_preproc_if_token1] = ACTIONS(2197),
    [aux_sym_preproc_if_token2] = ACTIONS(2197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2197),
    [aux_sym_preproc_else_token1] = ACTIONS(2197),
    [aux_sym_preproc_elif_token1] = ACTIONS(2197),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2197),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2197),
    [sym_preproc_directive] = ACTIONS(2197),
    [anon_sym_LPAREN2] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym___extension__] = ACTIONS(2197),
    [anon_sym_typedef] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2197),
    [anon_sym_out] = ACTIONS(2197),
    [anon_sym_inout] = ACTIONS(2197),
    [anon_sym_virtual] = ACTIONS(2197),
    [anon_sym_extern] = ACTIONS(2197),
    [anon_sym___attribute__] = ACTIONS(2197),
    [anon_sym___attribute] = ACTIONS(2197),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym___declspec] = ACTIONS(2197),
    [anon_sym___based] = ACTIONS(2197),
    [anon_sym___cdecl] = ACTIONS(2197),
    [anon_sym___clrcall] = ACTIONS(2197),
    [anon_sym___stdcall] = ACTIONS(2197),
    [anon_sym___fastcall] = ACTIONS(2197),
    [anon_sym___thiscall] = ACTIONS(2197),
    [anon_sym___vectorcall] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_signed] = ACTIONS(2197),
    [anon_sym_unsigned] = ACTIONS(2197),
    [anon_sym_long] = ACTIONS(2197),
    [anon_sym_short] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_register] = ACTIONS(2197),
    [anon_sym_inline] = ACTIONS(2197),
    [anon_sym___inline] = ACTIONS(2197),
    [anon_sym___inline__] = ACTIONS(2197),
    [anon_sym___forceinline] = ACTIONS(2197),
    [anon_sym_thread_local] = ACTIONS(2197),
    [anon_sym___thread] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_constexpr] = ACTIONS(2197),
    [anon_sym_volatile] = ACTIONS(2197),
    [anon_sym_restrict] = ACTIONS(2197),
    [anon_sym___restrict__] = ACTIONS(2197),
    [anon_sym__Atomic] = ACTIONS(2197),
    [anon_sym__Noreturn] = ACTIONS(2197),
    [anon_sym_noreturn] = ACTIONS(2197),
    [anon_sym__Nonnull] = ACTIONS(2197),
    [anon_sym_mutable] = ACTIONS(2197),
    [anon_sym_constinit] = ACTIONS(2197),
    [anon_sym_consteval] = ACTIONS(2197),
    [anon_sym_alignas] = ACTIONS(2197),
    [anon_sym__Alignas] = ACTIONS(2197),
    [sym_primitive_type] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_struct] = ACTIONS(2197),
    [anon_sym_union] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym___try] = ACTIONS(2197),
    [anon_sym___leave] = ACTIONS(2197),
    [anon_sym_not] = ACTIONS(2197),
    [anon_sym_compl] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_sizeof] = ACTIONS(2197),
    [anon_sym___alignof__] = ACTIONS(2197),
    [anon_sym___alignof] = ACTIONS(2197),
    [anon_sym__alignof] = ACTIONS(2197),
    [anon_sym_alignof] = ACTIONS(2197),
    [anon_sym__Alignof] = ACTIONS(2197),
    [anon_sym_offsetof] = ACTIONS(2197),
    [anon_sym__Generic] = ACTIONS(2197),
    [anon_sym_asm] = ACTIONS(2197),
    [anon_sym___asm__] = ACTIONS(2197),
    [anon_sym___asm] = ACTIONS(2197),
    [sym_number_literal] = ACTIONS(2199),
    [anon_sym_L_SQUOTE] = ACTIONS(2199),
    [anon_sym_u_SQUOTE] = ACTIONS(2199),
    [anon_sym_U_SQUOTE] = ACTIONS(2199),
    [anon_sym_u8_SQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_L_DQUOTE] = ACTIONS(2199),
    [anon_sym_u_DQUOTE] = ACTIONS(2199),
    [anon_sym_U_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8_DQUOTE] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [anon_sym_NULL] = ACTIONS(2197),
    [anon_sym_nullptr] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2197),
    [anon_sym_decltype] = ACTIONS(2197),
    [anon_sym_explicit] = ACTIONS(2197),
    [anon_sym_typename] = ACTIONS(2197),
    [anon_sym_template] = ACTIONS(2197),
    [anon_sym_operator] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_static_assert] = ACTIONS(2197),
    [anon_sym_concept] = ACTIONS(2197),
    [anon_sym_co_return] = ACTIONS(2197),
    [anon_sym_co_yield] = ACTIONS(2197),
    [anon_sym_R_DQUOTE] = ACTIONS(2199),
    [anon_sym_LR_DQUOTE] = ACTIONS(2199),
    [anon_sym_uR_DQUOTE] = ACTIONS(2199),
    [anon_sym_UR_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2199),
    [anon_sym_co_await] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_requires] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [anon_sym_discard] = ACTIONS(2197),
    [anon_sym_precise] = ACTIONS(2197),
    [anon_sym_shared] = ACTIONS(2197),
    [anon_sym_groupshared] = ACTIONS(2197),
    [anon_sym_uniform] = ACTIONS(2197),
    [anon_sym_row_major] = ACTIONS(2197),
    [anon_sym_column_major] = ACTIONS(2197),
    [anon_sym_globallycoherent] = ACTIONS(2197),
    [anon_sym_centroid] = ACTIONS(2197),
    [anon_sym_noperspective] = ACTIONS(2197),
    [anon_sym_nointerpolation] = ACTIONS(2197),
    [anon_sym_sample] = ACTIONS(2197),
    [anon_sym_linear] = ACTIONS(2197),
    [anon_sym_snorm] = ACTIONS(2197),
    [anon_sym_unorm] = ACTIONS(2197),
    [anon_sym_point] = ACTIONS(2197),
    [anon_sym_line] = ACTIONS(2197),
    [anon_sym_triangleadj] = ACTIONS(2197),
    [anon_sym_lineadj] = ACTIONS(2197),
    [anon_sym_triangle] = ACTIONS(2197),
    [anon_sym_cbuffer] = ACTIONS(2197),
  },
  [206] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_include_token1] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token2] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [aux_sym_preproc_else_token1] = ACTIONS(2201),
    [aux_sym_preproc_elif_token1] = ACTIONS(2201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym___cdecl] = ACTIONS(2201),
    [anon_sym___clrcall] = ACTIONS(2201),
    [anon_sym___stdcall] = ACTIONS(2201),
    [anon_sym___fastcall] = ACTIONS(2201),
    [anon_sym___thiscall] = ACTIONS(2201),
    [anon_sym___vectorcall] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_concept] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [207] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_include_token1] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token2] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [aux_sym_preproc_else_token1] = ACTIONS(2205),
    [aux_sym_preproc_elif_token1] = ACTIONS(2205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym___cdecl] = ACTIONS(2205),
    [anon_sym___clrcall] = ACTIONS(2205),
    [anon_sym___stdcall] = ACTIONS(2205),
    [anon_sym___fastcall] = ACTIONS(2205),
    [anon_sym___thiscall] = ACTIONS(2205),
    [anon_sym___vectorcall] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_concept] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [208] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_include_token1] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token2] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [aux_sym_preproc_else_token1] = ACTIONS(2205),
    [aux_sym_preproc_elif_token1] = ACTIONS(2205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym___cdecl] = ACTIONS(2205),
    [anon_sym___clrcall] = ACTIONS(2205),
    [anon_sym___stdcall] = ACTIONS(2205),
    [anon_sym___fastcall] = ACTIONS(2205),
    [anon_sym___thiscall] = ACTIONS(2205),
    [anon_sym___vectorcall] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_concept] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [209] = {
    [sym_identifier] = ACTIONS(2209),
    [aux_sym_preproc_include_token1] = ACTIONS(2209),
    [aux_sym_preproc_def_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token2] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2209),
    [aux_sym_preproc_else_token1] = ACTIONS(2209),
    [aux_sym_preproc_elif_token1] = ACTIONS(2209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2209),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2209),
    [sym_preproc_directive] = ACTIONS(2209),
    [anon_sym_LPAREN2] = ACTIONS(2211),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_AMP_AMP] = ACTIONS(2211),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym___extension__] = ACTIONS(2209),
    [anon_sym_typedef] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_out] = ACTIONS(2209),
    [anon_sym_inout] = ACTIONS(2209),
    [anon_sym_virtual] = ACTIONS(2209),
    [anon_sym_extern] = ACTIONS(2209),
    [anon_sym___attribute__] = ACTIONS(2209),
    [anon_sym___attribute] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2211),
    [anon_sym___declspec] = ACTIONS(2209),
    [anon_sym___based] = ACTIONS(2209),
    [anon_sym___cdecl] = ACTIONS(2209),
    [anon_sym___clrcall] = ACTIONS(2209),
    [anon_sym___stdcall] = ACTIONS(2209),
    [anon_sym___fastcall] = ACTIONS(2209),
    [anon_sym___thiscall] = ACTIONS(2209),
    [anon_sym___vectorcall] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_register] = ACTIONS(2209),
    [anon_sym_inline] = ACTIONS(2209),
    [anon_sym___inline] = ACTIONS(2209),
    [anon_sym___inline__] = ACTIONS(2209),
    [anon_sym___forceinline] = ACTIONS(2209),
    [anon_sym_thread_local] = ACTIONS(2209),
    [anon_sym___thread] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_constexpr] = ACTIONS(2209),
    [anon_sym_volatile] = ACTIONS(2209),
    [anon_sym_restrict] = ACTIONS(2209),
    [anon_sym___restrict__] = ACTIONS(2209),
    [anon_sym__Atomic] = ACTIONS(2209),
    [anon_sym__Noreturn] = ACTIONS(2209),
    [anon_sym_noreturn] = ACTIONS(2209),
    [anon_sym__Nonnull] = ACTIONS(2209),
    [anon_sym_mutable] = ACTIONS(2209),
    [anon_sym_constinit] = ACTIONS(2209),
    [anon_sym_consteval] = ACTIONS(2209),
    [anon_sym_alignas] = ACTIONS(2209),
    [anon_sym__Alignas] = ACTIONS(2209),
    [sym_primitive_type] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_struct] = ACTIONS(2209),
    [anon_sym_union] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym___try] = ACTIONS(2209),
    [anon_sym___leave] = ACTIONS(2209),
    [anon_sym_not] = ACTIONS(2209),
    [anon_sym_compl] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_sizeof] = ACTIONS(2209),
    [anon_sym___alignof__] = ACTIONS(2209),
    [anon_sym___alignof] = ACTIONS(2209),
    [anon_sym__alignof] = ACTIONS(2209),
    [anon_sym_alignof] = ACTIONS(2209),
    [anon_sym__Alignof] = ACTIONS(2209),
    [anon_sym_offsetof] = ACTIONS(2209),
    [anon_sym__Generic] = ACTIONS(2209),
    [anon_sym_asm] = ACTIONS(2209),
    [anon_sym___asm__] = ACTIONS(2209),
    [anon_sym___asm] = ACTIONS(2209),
    [sym_number_literal] = ACTIONS(2211),
    [anon_sym_L_SQUOTE] = ACTIONS(2211),
    [anon_sym_u_SQUOTE] = ACTIONS(2211),
    [anon_sym_U_SQUOTE] = ACTIONS(2211),
    [anon_sym_u8_SQUOTE] = ACTIONS(2211),
    [anon_sym_SQUOTE] = ACTIONS(2211),
    [anon_sym_L_DQUOTE] = ACTIONS(2211),
    [anon_sym_u_DQUOTE] = ACTIONS(2211),
    [anon_sym_U_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8_DQUOTE] = ACTIONS(2211),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [anon_sym_NULL] = ACTIONS(2209),
    [anon_sym_nullptr] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2209),
    [anon_sym_decltype] = ACTIONS(2209),
    [anon_sym_explicit] = ACTIONS(2209),
    [anon_sym_typename] = ACTIONS(2209),
    [anon_sym_template] = ACTIONS(2209),
    [anon_sym_operator] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_static_assert] = ACTIONS(2209),
    [anon_sym_concept] = ACTIONS(2209),
    [anon_sym_co_return] = ACTIONS(2209),
    [anon_sym_co_yield] = ACTIONS(2209),
    [anon_sym_R_DQUOTE] = ACTIONS(2211),
    [anon_sym_LR_DQUOTE] = ACTIONS(2211),
    [anon_sym_uR_DQUOTE] = ACTIONS(2211),
    [anon_sym_UR_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2211),
    [anon_sym_co_await] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_requires] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [anon_sym_discard] = ACTIONS(2209),
    [anon_sym_precise] = ACTIONS(2209),
    [anon_sym_shared] = ACTIONS(2209),
    [anon_sym_groupshared] = ACTIONS(2209),
    [anon_sym_uniform] = ACTIONS(2209),
    [anon_sym_row_major] = ACTIONS(2209),
    [anon_sym_column_major] = ACTIONS(2209),
    [anon_sym_globallycoherent] = ACTIONS(2209),
    [anon_sym_centroid] = ACTIONS(2209),
    [anon_sym_noperspective] = ACTIONS(2209),
    [anon_sym_nointerpolation] = ACTIONS(2209),
    [anon_sym_sample] = ACTIONS(2209),
    [anon_sym_linear] = ACTIONS(2209),
    [anon_sym_snorm] = ACTIONS(2209),
    [anon_sym_unorm] = ACTIONS(2209),
    [anon_sym_point] = ACTIONS(2209),
    [anon_sym_line] = ACTIONS(2209),
    [anon_sym_triangleadj] = ACTIONS(2209),
    [anon_sym_lineadj] = ACTIONS(2209),
    [anon_sym_triangle] = ACTIONS(2209),
    [anon_sym_cbuffer] = ACTIONS(2209),
  },
  [210] = {
    [sym_identifier] = ACTIONS(2213),
    [aux_sym_preproc_include_token1] = ACTIONS(2213),
    [aux_sym_preproc_def_token1] = ACTIONS(2213),
    [aux_sym_preproc_if_token1] = ACTIONS(2213),
    [aux_sym_preproc_if_token2] = ACTIONS(2213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2213),
    [aux_sym_preproc_else_token1] = ACTIONS(2213),
    [aux_sym_preproc_elif_token1] = ACTIONS(2213),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2213),
    [sym_preproc_directive] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym___extension__] = ACTIONS(2213),
    [anon_sym_typedef] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2213),
    [anon_sym_out] = ACTIONS(2213),
    [anon_sym_inout] = ACTIONS(2213),
    [anon_sym_virtual] = ACTIONS(2213),
    [anon_sym_extern] = ACTIONS(2213),
    [anon_sym___attribute__] = ACTIONS(2213),
    [anon_sym___attribute] = ACTIONS(2213),
    [anon_sym_COLON_COLON] = ACTIONS(2215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2215),
    [anon_sym___declspec] = ACTIONS(2213),
    [anon_sym___based] = ACTIONS(2213),
    [anon_sym___cdecl] = ACTIONS(2213),
    [anon_sym___clrcall] = ACTIONS(2213),
    [anon_sym___stdcall] = ACTIONS(2213),
    [anon_sym___fastcall] = ACTIONS(2213),
    [anon_sym___thiscall] = ACTIONS(2213),
    [anon_sym___vectorcall] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_signed] = ACTIONS(2213),
    [anon_sym_unsigned] = ACTIONS(2213),
    [anon_sym_long] = ACTIONS(2213),
    [anon_sym_short] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_register] = ACTIONS(2213),
    [anon_sym_inline] = ACTIONS(2213),
    [anon_sym___inline] = ACTIONS(2213),
    [anon_sym___inline__] = ACTIONS(2213),
    [anon_sym___forceinline] = ACTIONS(2213),
    [anon_sym_thread_local] = ACTIONS(2213),
    [anon_sym___thread] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_constexpr] = ACTIONS(2213),
    [anon_sym_volatile] = ACTIONS(2213),
    [anon_sym_restrict] = ACTIONS(2213),
    [anon_sym___restrict__] = ACTIONS(2213),
    [anon_sym__Atomic] = ACTIONS(2213),
    [anon_sym__Noreturn] = ACTIONS(2213),
    [anon_sym_noreturn] = ACTIONS(2213),
    [anon_sym__Nonnull] = ACTIONS(2213),
    [anon_sym_mutable] = ACTIONS(2213),
    [anon_sym_constinit] = ACTIONS(2213),
    [anon_sym_consteval] = ACTIONS(2213),
    [anon_sym_alignas] = ACTIONS(2213),
    [anon_sym__Alignas] = ACTIONS(2213),
    [sym_primitive_type] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_struct] = ACTIONS(2213),
    [anon_sym_union] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym___try] = ACTIONS(2213),
    [anon_sym___leave] = ACTIONS(2213),
    [anon_sym_not] = ACTIONS(2213),
    [anon_sym_compl] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_sizeof] = ACTIONS(2213),
    [anon_sym___alignof__] = ACTIONS(2213),
    [anon_sym___alignof] = ACTIONS(2213),
    [anon_sym__alignof] = ACTIONS(2213),
    [anon_sym_alignof] = ACTIONS(2213),
    [anon_sym__Alignof] = ACTIONS(2213),
    [anon_sym_offsetof] = ACTIONS(2213),
    [anon_sym__Generic] = ACTIONS(2213),
    [anon_sym_asm] = ACTIONS(2213),
    [anon_sym___asm__] = ACTIONS(2213),
    [anon_sym___asm] = ACTIONS(2213),
    [sym_number_literal] = ACTIONS(2215),
    [anon_sym_L_SQUOTE] = ACTIONS(2215),
    [anon_sym_u_SQUOTE] = ACTIONS(2215),
    [anon_sym_U_SQUOTE] = ACTIONS(2215),
    [anon_sym_u8_SQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_L_DQUOTE] = ACTIONS(2215),
    [anon_sym_u_DQUOTE] = ACTIONS(2215),
    [anon_sym_U_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8_DQUOTE] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [anon_sym_NULL] = ACTIONS(2213),
    [anon_sym_nullptr] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2213),
    [anon_sym_decltype] = ACTIONS(2213),
    [anon_sym_explicit] = ACTIONS(2213),
    [anon_sym_typename] = ACTIONS(2213),
    [anon_sym_template] = ACTIONS(2213),
    [anon_sym_operator] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_static_assert] = ACTIONS(2213),
    [anon_sym_concept] = ACTIONS(2213),
    [anon_sym_co_return] = ACTIONS(2213),
    [anon_sym_co_yield] = ACTIONS(2213),
    [anon_sym_R_DQUOTE] = ACTIONS(2215),
    [anon_sym_LR_DQUOTE] = ACTIONS(2215),
    [anon_sym_uR_DQUOTE] = ACTIONS(2215),
    [anon_sym_UR_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2215),
    [anon_sym_co_await] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_requires] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [anon_sym_discard] = ACTIONS(2213),
    [anon_sym_precise] = ACTIONS(2213),
    [anon_sym_shared] = ACTIONS(2213),
    [anon_sym_groupshared] = ACTIONS(2213),
    [anon_sym_uniform] = ACTIONS(2213),
    [anon_sym_row_major] = ACTIONS(2213),
    [anon_sym_column_major] = ACTIONS(2213),
    [anon_sym_globallycoherent] = ACTIONS(2213),
    [anon_sym_centroid] = ACTIONS(2213),
    [anon_sym_noperspective] = ACTIONS(2213),
    [anon_sym_nointerpolation] = ACTIONS(2213),
    [anon_sym_sample] = ACTIONS(2213),
    [anon_sym_linear] = ACTIONS(2213),
    [anon_sym_snorm] = ACTIONS(2213),
    [anon_sym_unorm] = ACTIONS(2213),
    [anon_sym_point] = ACTIONS(2213),
    [anon_sym_line] = ACTIONS(2213),
    [anon_sym_triangleadj] = ACTIONS(2213),
    [anon_sym_lineadj] = ACTIONS(2213),
    [anon_sym_triangle] = ACTIONS(2213),
    [anon_sym_cbuffer] = ACTIONS(2213),
  },
  [211] = {
    [sym_identifier] = ACTIONS(2217),
    [aux_sym_preproc_include_token1] = ACTIONS(2217),
    [aux_sym_preproc_def_token1] = ACTIONS(2217),
    [aux_sym_preproc_if_token1] = ACTIONS(2217),
    [aux_sym_preproc_if_token2] = ACTIONS(2217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2217),
    [aux_sym_preproc_else_token1] = ACTIONS(2217),
    [aux_sym_preproc_elif_token1] = ACTIONS(2217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2217),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2217),
    [sym_preproc_directive] = ACTIONS(2217),
    [anon_sym_LPAREN2] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_typedef] = ACTIONS(2217),
    [anon_sym_in] = ACTIONS(2217),
    [anon_sym_out] = ACTIONS(2217),
    [anon_sym_inout] = ACTIONS(2217),
    [anon_sym_virtual] = ACTIONS(2217),
    [anon_sym_extern] = ACTIONS(2217),
    [anon_sym___attribute__] = ACTIONS(2217),
    [anon_sym___attribute] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2219),
    [anon_sym___declspec] = ACTIONS(2217),
    [anon_sym___based] = ACTIONS(2217),
    [anon_sym___cdecl] = ACTIONS(2217),
    [anon_sym___clrcall] = ACTIONS(2217),
    [anon_sym___stdcall] = ACTIONS(2217),
    [anon_sym___fastcall] = ACTIONS(2217),
    [anon_sym___thiscall] = ACTIONS(2217),
    [anon_sym___vectorcall] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_signed] = ACTIONS(2217),
    [anon_sym_unsigned] = ACTIONS(2217),
    [anon_sym_long] = ACTIONS(2217),
    [anon_sym_short] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_static] = ACTIONS(2217),
    [anon_sym_register] = ACTIONS(2217),
    [anon_sym_inline] = ACTIONS(2217),
    [anon_sym___inline] = ACTIONS(2217),
    [anon_sym___inline__] = ACTIONS(2217),
    [anon_sym___forceinline] = ACTIONS(2217),
    [anon_sym_thread_local] = ACTIONS(2217),
    [anon_sym___thread] = ACTIONS(2217),
    [anon_sym_const] = ACTIONS(2217),
    [anon_sym_constexpr] = ACTIONS(2217),
    [anon_sym_volatile] = ACTIONS(2217),
    [anon_sym_restrict] = ACTIONS(2217),
    [anon_sym___restrict__] = ACTIONS(2217),
    [anon_sym__Atomic] = ACTIONS(2217),
    [anon_sym__Noreturn] = ACTIONS(2217),
    [anon_sym_noreturn] = ACTIONS(2217),
    [anon_sym__Nonnull] = ACTIONS(2217),
    [anon_sym_mutable] = ACTIONS(2217),
    [anon_sym_constinit] = ACTIONS(2217),
    [anon_sym_consteval] = ACTIONS(2217),
    [anon_sym_alignas] = ACTIONS(2217),
    [anon_sym__Alignas] = ACTIONS(2217),
    [sym_primitive_type] = ACTIONS(2217),
    [anon_sym_enum] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_struct] = ACTIONS(2217),
    [anon_sym_union] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_else] = ACTIONS(2217),
    [anon_sym_switch] = ACTIONS(2217),
    [anon_sym_case] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym___try] = ACTIONS(2217),
    [anon_sym___leave] = ACTIONS(2217),
    [anon_sym_not] = ACTIONS(2217),
    [anon_sym_compl] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_sizeof] = ACTIONS(2217),
    [anon_sym___alignof__] = ACTIONS(2217),
    [anon_sym___alignof] = ACTIONS(2217),
    [anon_sym__alignof] = ACTIONS(2217),
    [anon_sym_alignof] = ACTIONS(2217),
    [anon_sym__Alignof] = ACTIONS(2217),
    [anon_sym_offsetof] = ACTIONS(2217),
    [anon_sym__Generic] = ACTIONS(2217),
    [anon_sym_asm] = ACTIONS(2217),
    [anon_sym___asm__] = ACTIONS(2217),
    [anon_sym___asm] = ACTIONS(2217),
    [sym_number_literal] = ACTIONS(2219),
    [anon_sym_L_SQUOTE] = ACTIONS(2219),
    [anon_sym_u_SQUOTE] = ACTIONS(2219),
    [anon_sym_U_SQUOTE] = ACTIONS(2219),
    [anon_sym_u8_SQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_L_DQUOTE] = ACTIONS(2219),
    [anon_sym_u_DQUOTE] = ACTIONS(2219),
    [anon_sym_U_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8_DQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_true] = ACTIONS(2217),
    [sym_false] = ACTIONS(2217),
    [anon_sym_NULL] = ACTIONS(2217),
    [anon_sym_nullptr] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2217),
    [anon_sym_decltype] = ACTIONS(2217),
    [anon_sym_explicit] = ACTIONS(2217),
    [anon_sym_typename] = ACTIONS(2217),
    [anon_sym_template] = ACTIONS(2217),
    [anon_sym_operator] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_throw] = ACTIONS(2217),
    [anon_sym_namespace] = ACTIONS(2217),
    [anon_sym_using] = ACTIONS(2217),
    [anon_sym_static_assert] = ACTIONS(2217),
    [anon_sym_concept] = ACTIONS(2217),
    [anon_sym_co_return] = ACTIONS(2217),
    [anon_sym_co_yield] = ACTIONS(2217),
    [anon_sym_R_DQUOTE] = ACTIONS(2219),
    [anon_sym_LR_DQUOTE] = ACTIONS(2219),
    [anon_sym_uR_DQUOTE] = ACTIONS(2219),
    [anon_sym_UR_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2219),
    [anon_sym_co_await] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2217),
    [sym_this] = ACTIONS(2217),
    [anon_sym_discard] = ACTIONS(2217),
    [anon_sym_precise] = ACTIONS(2217),
    [anon_sym_shared] = ACTIONS(2217),
    [anon_sym_groupshared] = ACTIONS(2217),
    [anon_sym_uniform] = ACTIONS(2217),
    [anon_sym_row_major] = ACTIONS(2217),
    [anon_sym_column_major] = ACTIONS(2217),
    [anon_sym_globallycoherent] = ACTIONS(2217),
    [anon_sym_centroid] = ACTIONS(2217),
    [anon_sym_noperspective] = ACTIONS(2217),
    [anon_sym_nointerpolation] = ACTIONS(2217),
    [anon_sym_sample] = ACTIONS(2217),
    [anon_sym_linear] = ACTIONS(2217),
    [anon_sym_snorm] = ACTIONS(2217),
    [anon_sym_unorm] = ACTIONS(2217),
    [anon_sym_point] = ACTIONS(2217),
    [anon_sym_line] = ACTIONS(2217),
    [anon_sym_triangleadj] = ACTIONS(2217),
    [anon_sym_lineadj] = ACTIONS(2217),
    [anon_sym_triangle] = ACTIONS(2217),
    [anon_sym_cbuffer] = ACTIONS(2217),
  },
  [212] = {
    [sym_identifier] = ACTIONS(2221),
    [aux_sym_preproc_include_token1] = ACTIONS(2221),
    [aux_sym_preproc_def_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token2] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2221),
    [aux_sym_preproc_else_token1] = ACTIONS(2221),
    [aux_sym_preproc_elif_token1] = ACTIONS(2221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2221),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2221),
    [sym_preproc_directive] = ACTIONS(2221),
    [anon_sym_LPAREN2] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2223),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym___extension__] = ACTIONS(2221),
    [anon_sym_typedef] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_out] = ACTIONS(2221),
    [anon_sym_inout] = ACTIONS(2221),
    [anon_sym_virtual] = ACTIONS(2221),
    [anon_sym_extern] = ACTIONS(2221),
    [anon_sym___attribute__] = ACTIONS(2221),
    [anon_sym___attribute] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2223),
    [anon_sym___declspec] = ACTIONS(2221),
    [anon_sym___based] = ACTIONS(2221),
    [anon_sym___cdecl] = ACTIONS(2221),
    [anon_sym___clrcall] = ACTIONS(2221),
    [anon_sym___stdcall] = ACTIONS(2221),
    [anon_sym___fastcall] = ACTIONS(2221),
    [anon_sym___thiscall] = ACTIONS(2221),
    [anon_sym___vectorcall] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_signed] = ACTIONS(2221),
    [anon_sym_unsigned] = ACTIONS(2221),
    [anon_sym_long] = ACTIONS(2221),
    [anon_sym_short] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_register] = ACTIONS(2221),
    [anon_sym_inline] = ACTIONS(2221),
    [anon_sym___inline] = ACTIONS(2221),
    [anon_sym___inline__] = ACTIONS(2221),
    [anon_sym___forceinline] = ACTIONS(2221),
    [anon_sym_thread_local] = ACTIONS(2221),
    [anon_sym___thread] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_constexpr] = ACTIONS(2221),
    [anon_sym_volatile] = ACTIONS(2221),
    [anon_sym_restrict] = ACTIONS(2221),
    [anon_sym___restrict__] = ACTIONS(2221),
    [anon_sym__Atomic] = ACTIONS(2221),
    [anon_sym__Noreturn] = ACTIONS(2221),
    [anon_sym_noreturn] = ACTIONS(2221),
    [anon_sym__Nonnull] = ACTIONS(2221),
    [anon_sym_mutable] = ACTIONS(2221),
    [anon_sym_constinit] = ACTIONS(2221),
    [anon_sym_consteval] = ACTIONS(2221),
    [anon_sym_alignas] = ACTIONS(2221),
    [anon_sym__Alignas] = ACTIONS(2221),
    [sym_primitive_type] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_union] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym___try] = ACTIONS(2221),
    [anon_sym___leave] = ACTIONS(2221),
    [anon_sym_not] = ACTIONS(2221),
    [anon_sym_compl] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_sizeof] = ACTIONS(2221),
    [anon_sym___alignof__] = ACTIONS(2221),
    [anon_sym___alignof] = ACTIONS(2221),
    [anon_sym__alignof] = ACTIONS(2221),
    [anon_sym_alignof] = ACTIONS(2221),
    [anon_sym__Alignof] = ACTIONS(2221),
    [anon_sym_offsetof] = ACTIONS(2221),
    [anon_sym__Generic] = ACTIONS(2221),
    [anon_sym_asm] = ACTIONS(2221),
    [anon_sym___asm__] = ACTIONS(2221),
    [anon_sym___asm] = ACTIONS(2221),
    [sym_number_literal] = ACTIONS(2223),
    [anon_sym_L_SQUOTE] = ACTIONS(2223),
    [anon_sym_u_SQUOTE] = ACTIONS(2223),
    [anon_sym_U_SQUOTE] = ACTIONS(2223),
    [anon_sym_u8_SQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [anon_sym_L_DQUOTE] = ACTIONS(2223),
    [anon_sym_u_DQUOTE] = ACTIONS(2223),
    [anon_sym_U_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8_DQUOTE] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [anon_sym_NULL] = ACTIONS(2221),
    [anon_sym_nullptr] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2221),
    [anon_sym_decltype] = ACTIONS(2221),
    [anon_sym_explicit] = ACTIONS(2221),
    [anon_sym_typename] = ACTIONS(2221),
    [anon_sym_template] = ACTIONS(2221),
    [anon_sym_operator] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_static_assert] = ACTIONS(2221),
    [anon_sym_concept] = ACTIONS(2221),
    [anon_sym_co_return] = ACTIONS(2221),
    [anon_sym_co_yield] = ACTIONS(2221),
    [anon_sym_R_DQUOTE] = ACTIONS(2223),
    [anon_sym_LR_DQUOTE] = ACTIONS(2223),
    [anon_sym_uR_DQUOTE] = ACTIONS(2223),
    [anon_sym_UR_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2223),
    [anon_sym_co_await] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_requires] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [anon_sym_discard] = ACTIONS(2221),
    [anon_sym_precise] = ACTIONS(2221),
    [anon_sym_shared] = ACTIONS(2221),
    [anon_sym_groupshared] = ACTIONS(2221),
    [anon_sym_uniform] = ACTIONS(2221),
    [anon_sym_row_major] = ACTIONS(2221),
    [anon_sym_column_major] = ACTIONS(2221),
    [anon_sym_globallycoherent] = ACTIONS(2221),
    [anon_sym_centroid] = ACTIONS(2221),
    [anon_sym_noperspective] = ACTIONS(2221),
    [anon_sym_nointerpolation] = ACTIONS(2221),
    [anon_sym_sample] = ACTIONS(2221),
    [anon_sym_linear] = ACTIONS(2221),
    [anon_sym_snorm] = ACTIONS(2221),
    [anon_sym_unorm] = ACTIONS(2221),
    [anon_sym_point] = ACTIONS(2221),
    [anon_sym_line] = ACTIONS(2221),
    [anon_sym_triangleadj] = ACTIONS(2221),
    [anon_sym_lineadj] = ACTIONS(2221),
    [anon_sym_triangle] = ACTIONS(2221),
    [anon_sym_cbuffer] = ACTIONS(2221),
  },
  [213] = {
    [sym_identifier] = ACTIONS(2225),
    [aux_sym_preproc_include_token1] = ACTIONS(2225),
    [aux_sym_preproc_def_token1] = ACTIONS(2225),
    [aux_sym_preproc_if_token1] = ACTIONS(2225),
    [aux_sym_preproc_if_token2] = ACTIONS(2225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2225),
    [aux_sym_preproc_else_token1] = ACTIONS(2225),
    [aux_sym_preproc_elif_token1] = ACTIONS(2225),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2225),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2225),
    [sym_preproc_directive] = ACTIONS(2225),
    [anon_sym_LPAREN2] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_AMP_AMP] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym___extension__] = ACTIONS(2225),
    [anon_sym_typedef] = ACTIONS(2225),
    [anon_sym_in] = ACTIONS(2225),
    [anon_sym_out] = ACTIONS(2225),
    [anon_sym_inout] = ACTIONS(2225),
    [anon_sym_virtual] = ACTIONS(2225),
    [anon_sym_extern] = ACTIONS(2225),
    [anon_sym___attribute__] = ACTIONS(2225),
    [anon_sym___attribute] = ACTIONS(2225),
    [anon_sym_COLON_COLON] = ACTIONS(2227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2227),
    [anon_sym___declspec] = ACTIONS(2225),
    [anon_sym___based] = ACTIONS(2225),
    [anon_sym___cdecl] = ACTIONS(2225),
    [anon_sym___clrcall] = ACTIONS(2225),
    [anon_sym___stdcall] = ACTIONS(2225),
    [anon_sym___fastcall] = ACTIONS(2225),
    [anon_sym___thiscall] = ACTIONS(2225),
    [anon_sym___vectorcall] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_signed] = ACTIONS(2225),
    [anon_sym_unsigned] = ACTIONS(2225),
    [anon_sym_long] = ACTIONS(2225),
    [anon_sym_short] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_register] = ACTIONS(2225),
    [anon_sym_inline] = ACTIONS(2225),
    [anon_sym___inline] = ACTIONS(2225),
    [anon_sym___inline__] = ACTIONS(2225),
    [anon_sym___forceinline] = ACTIONS(2225),
    [anon_sym_thread_local] = ACTIONS(2225),
    [anon_sym___thread] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_constexpr] = ACTIONS(2225),
    [anon_sym_volatile] = ACTIONS(2225),
    [anon_sym_restrict] = ACTIONS(2225),
    [anon_sym___restrict__] = ACTIONS(2225),
    [anon_sym__Atomic] = ACTIONS(2225),
    [anon_sym__Noreturn] = ACTIONS(2225),
    [anon_sym_noreturn] = ACTIONS(2225),
    [anon_sym__Nonnull] = ACTIONS(2225),
    [anon_sym_mutable] = ACTIONS(2225),
    [anon_sym_constinit] = ACTIONS(2225),
    [anon_sym_consteval] = ACTIONS(2225),
    [anon_sym_alignas] = ACTIONS(2225),
    [anon_sym__Alignas] = ACTIONS(2225),
    [sym_primitive_type] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_struct] = ACTIONS(2225),
    [anon_sym_union] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym___try] = ACTIONS(2225),
    [anon_sym___leave] = ACTIONS(2225),
    [anon_sym_not] = ACTIONS(2225),
    [anon_sym_compl] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_sizeof] = ACTIONS(2225),
    [anon_sym___alignof__] = ACTIONS(2225),
    [anon_sym___alignof] = ACTIONS(2225),
    [anon_sym__alignof] = ACTIONS(2225),
    [anon_sym_alignof] = ACTIONS(2225),
    [anon_sym__Alignof] = ACTIONS(2225),
    [anon_sym_offsetof] = ACTIONS(2225),
    [anon_sym__Generic] = ACTIONS(2225),
    [anon_sym_asm] = ACTIONS(2225),
    [anon_sym___asm__] = ACTIONS(2225),
    [anon_sym___asm] = ACTIONS(2225),
    [sym_number_literal] = ACTIONS(2227),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2227),
    [anon_sym_u_DQUOTE] = ACTIONS(2227),
    [anon_sym_U_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8_DQUOTE] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [anon_sym_NULL] = ACTIONS(2225),
    [anon_sym_nullptr] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2225),
    [anon_sym_decltype] = ACTIONS(2225),
    [anon_sym_explicit] = ACTIONS(2225),
    [anon_sym_typename] = ACTIONS(2225),
    [anon_sym_template] = ACTIONS(2225),
    [anon_sym_operator] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_static_assert] = ACTIONS(2225),
    [anon_sym_concept] = ACTIONS(2225),
    [anon_sym_co_return] = ACTIONS(2225),
    [anon_sym_co_yield] = ACTIONS(2225),
    [anon_sym_R_DQUOTE] = ACTIONS(2227),
    [anon_sym_LR_DQUOTE] = ACTIONS(2227),
    [anon_sym_uR_DQUOTE] = ACTIONS(2227),
    [anon_sym_UR_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2227),
    [anon_sym_co_await] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_requires] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [anon_sym_discard] = ACTIONS(2225),
    [anon_sym_precise] = ACTIONS(2225),
    [anon_sym_shared] = ACTIONS(2225),
    [anon_sym_groupshared] = ACTIONS(2225),
    [anon_sym_uniform] = ACTIONS(2225),
    [anon_sym_row_major] = ACTIONS(2225),
    [anon_sym_column_major] = ACTIONS(2225),
    [anon_sym_globallycoherent] = ACTIONS(2225),
    [anon_sym_centroid] = ACTIONS(2225),
    [anon_sym_noperspective] = ACTIONS(2225),
    [anon_sym_nointerpolation] = ACTIONS(2225),
    [anon_sym_sample] = ACTIONS(2225),
    [anon_sym_linear] = ACTIONS(2225),
    [anon_sym_snorm] = ACTIONS(2225),
    [anon_sym_unorm] = ACTIONS(2225),
    [anon_sym_point] = ACTIONS(2225),
    [anon_sym_line] = ACTIONS(2225),
    [anon_sym_triangleadj] = ACTIONS(2225),
    [anon_sym_lineadj] = ACTIONS(2225),
    [anon_sym_triangle] = ACTIONS(2225),
    [anon_sym_cbuffer] = ACTIONS(2225),
  },
  [214] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2243),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2249),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [215] = {
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [aux_sym_preproc_else_token1] = ACTIONS(2268),
    [aux_sym_preproc_elif_token1] = ACTIONS(2268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym___attribute] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [216] = {
    [sym_identifier] = ACTIONS(2272),
    [aux_sym_preproc_include_token1] = ACTIONS(2272),
    [aux_sym_preproc_def_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token2] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2272),
    [aux_sym_preproc_else_token1] = ACTIONS(2272),
    [aux_sym_preproc_elif_token1] = ACTIONS(2272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2272),
    [sym_preproc_directive] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym___attribute] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym___based] = ACTIONS(2272),
    [anon_sym___cdecl] = ACTIONS(2272),
    [anon_sym___clrcall] = ACTIONS(2272),
    [anon_sym___stdcall] = ACTIONS(2272),
    [anon_sym___fastcall] = ACTIONS(2272),
    [anon_sym___thiscall] = ACTIONS(2272),
    [anon_sym___vectorcall] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_explicit] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_operator] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_static_assert] = ACTIONS(2272),
    [anon_sym_concept] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [217] = {
    [sym_identifier] = ACTIONS(2276),
    [aux_sym_preproc_include_token1] = ACTIONS(2276),
    [aux_sym_preproc_def_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token2] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2276),
    [aux_sym_preproc_else_token1] = ACTIONS(2276),
    [aux_sym_preproc_elif_token1] = ACTIONS(2276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2276),
    [sym_preproc_directive] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP_AMP] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym___attribute] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym___based] = ACTIONS(2276),
    [anon_sym___cdecl] = ACTIONS(2276),
    [anon_sym___clrcall] = ACTIONS(2276),
    [anon_sym___stdcall] = ACTIONS(2276),
    [anon_sym___fastcall] = ACTIONS(2276),
    [anon_sym___thiscall] = ACTIONS(2276),
    [anon_sym___vectorcall] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_explicit] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_operator] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_namespace] = ACTIONS(2276),
    [anon_sym_using] = ACTIONS(2276),
    [anon_sym_static_assert] = ACTIONS(2276),
    [anon_sym_concept] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [218] = {
    [sym_identifier] = ACTIONS(2280),
    [aux_sym_preproc_include_token1] = ACTIONS(2280),
    [aux_sym_preproc_def_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token2] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2280),
    [aux_sym_preproc_else_token1] = ACTIONS(2280),
    [aux_sym_preproc_elif_token1] = ACTIONS(2280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2280),
    [sym_preproc_directive] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym___attribute] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym___based] = ACTIONS(2280),
    [anon_sym___cdecl] = ACTIONS(2280),
    [anon_sym___clrcall] = ACTIONS(2280),
    [anon_sym___stdcall] = ACTIONS(2280),
    [anon_sym___fastcall] = ACTIONS(2280),
    [anon_sym___thiscall] = ACTIONS(2280),
    [anon_sym___vectorcall] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_explicit] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_operator] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_static_assert] = ACTIONS(2280),
    [anon_sym_concept] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [219] = {
    [sym_identifier] = ACTIONS(2284),
    [aux_sym_preproc_include_token1] = ACTIONS(2284),
    [aux_sym_preproc_def_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token2] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2284),
    [aux_sym_preproc_else_token1] = ACTIONS(2284),
    [aux_sym_preproc_elif_token1] = ACTIONS(2284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2284),
    [sym_preproc_directive] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP_AMP] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym___attribute] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym___based] = ACTIONS(2284),
    [anon_sym___cdecl] = ACTIONS(2284),
    [anon_sym___clrcall] = ACTIONS(2284),
    [anon_sym___stdcall] = ACTIONS(2284),
    [anon_sym___fastcall] = ACTIONS(2284),
    [anon_sym___thiscall] = ACTIONS(2284),
    [anon_sym___vectorcall] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_explicit] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_operator] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_namespace] = ACTIONS(2284),
    [anon_sym_using] = ACTIONS(2284),
    [anon_sym_static_assert] = ACTIONS(2284),
    [anon_sym_concept] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [220] = {
    [sym_identifier] = ACTIONS(2288),
    [aux_sym_preproc_include_token1] = ACTIONS(2288),
    [aux_sym_preproc_def_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token2] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2288),
    [aux_sym_preproc_else_token1] = ACTIONS(2288),
    [aux_sym_preproc_elif_token1] = ACTIONS(2288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2288),
    [sym_preproc_directive] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym___attribute] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym___based] = ACTIONS(2288),
    [anon_sym___cdecl] = ACTIONS(2288),
    [anon_sym___clrcall] = ACTIONS(2288),
    [anon_sym___stdcall] = ACTIONS(2288),
    [anon_sym___fastcall] = ACTIONS(2288),
    [anon_sym___thiscall] = ACTIONS(2288),
    [anon_sym___vectorcall] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_explicit] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_operator] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_static_assert] = ACTIONS(2288),
    [anon_sym_concept] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [221] = {
    [sym_identifier] = ACTIONS(2292),
    [aux_sym_preproc_include_token1] = ACTIONS(2292),
    [aux_sym_preproc_def_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token2] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2292),
    [aux_sym_preproc_else_token1] = ACTIONS(2292),
    [aux_sym_preproc_elif_token1] = ACTIONS(2292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2292),
    [sym_preproc_directive] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym___attribute] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym___cdecl] = ACTIONS(2292),
    [anon_sym___clrcall] = ACTIONS(2292),
    [anon_sym___stdcall] = ACTIONS(2292),
    [anon_sym___fastcall] = ACTIONS(2292),
    [anon_sym___thiscall] = ACTIONS(2292),
    [anon_sym___vectorcall] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_explicit] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_operator] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_namespace] = ACTIONS(2292),
    [anon_sym_using] = ACTIONS(2292),
    [anon_sym_static_assert] = ACTIONS(2292),
    [anon_sym_concept] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [222] = {
    [sym_identifier] = ACTIONS(2296),
    [aux_sym_preproc_include_token1] = ACTIONS(2296),
    [aux_sym_preproc_def_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token2] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2296),
    [aux_sym_preproc_else_token1] = ACTIONS(2296),
    [aux_sym_preproc_elif_token1] = ACTIONS(2296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2296),
    [sym_preproc_directive] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP_AMP] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym___attribute] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym___based] = ACTIONS(2296),
    [anon_sym___cdecl] = ACTIONS(2296),
    [anon_sym___clrcall] = ACTIONS(2296),
    [anon_sym___stdcall] = ACTIONS(2296),
    [anon_sym___fastcall] = ACTIONS(2296),
    [anon_sym___thiscall] = ACTIONS(2296),
    [anon_sym___vectorcall] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_explicit] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_operator] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_static_assert] = ACTIONS(2296),
    [anon_sym_concept] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [223] = {
    [sym_identifier] = ACTIONS(2300),
    [aux_sym_preproc_include_token1] = ACTIONS(2300),
    [aux_sym_preproc_def_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token2] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2300),
    [aux_sym_preproc_else_token1] = ACTIONS(2300),
    [aux_sym_preproc_elif_token1] = ACTIONS(2300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2300),
    [sym_preproc_directive] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym___attribute] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym___based] = ACTIONS(2300),
    [anon_sym___cdecl] = ACTIONS(2300),
    [anon_sym___clrcall] = ACTIONS(2300),
    [anon_sym___stdcall] = ACTIONS(2300),
    [anon_sym___fastcall] = ACTIONS(2300),
    [anon_sym___thiscall] = ACTIONS(2300),
    [anon_sym___vectorcall] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_case] = ACTIONS(2300),
    [anon_sym_default] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_explicit] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_operator] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_namespace] = ACTIONS(2300),
    [anon_sym_using] = ACTIONS(2300),
    [anon_sym_static_assert] = ACTIONS(2300),
    [anon_sym_concept] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [224] = {
    [sym_identifier] = ACTIONS(2304),
    [aux_sym_preproc_include_token1] = ACTIONS(2304),
    [aux_sym_preproc_def_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token2] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2304),
    [aux_sym_preproc_else_token1] = ACTIONS(2304),
    [aux_sym_preproc_elif_token1] = ACTIONS(2304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2304),
    [sym_preproc_directive] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym___attribute] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym___based] = ACTIONS(2304),
    [anon_sym___cdecl] = ACTIONS(2304),
    [anon_sym___clrcall] = ACTIONS(2304),
    [anon_sym___stdcall] = ACTIONS(2304),
    [anon_sym___fastcall] = ACTIONS(2304),
    [anon_sym___thiscall] = ACTIONS(2304),
    [anon_sym___vectorcall] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_explicit] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_operator] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2304),
    [anon_sym_using] = ACTIONS(2304),
    [anon_sym_static_assert] = ACTIONS(2304),
    [anon_sym_concept] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [225] = {
    [sym_identifier] = ACTIONS(2308),
    [aux_sym_preproc_include_token1] = ACTIONS(2308),
    [aux_sym_preproc_def_token1] = ACTIONS(2308),
    [aux_sym_preproc_if_token1] = ACTIONS(2308),
    [aux_sym_preproc_if_token2] = ACTIONS(2308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2308),
    [aux_sym_preproc_else_token1] = ACTIONS(2308),
    [aux_sym_preproc_elif_token1] = ACTIONS(2308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2308),
    [sym_preproc_directive] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym___extension__] = ACTIONS(2308),
    [anon_sym_typedef] = ACTIONS(2308),
    [anon_sym_in] = ACTIONS(2308),
    [anon_sym_out] = ACTIONS(2308),
    [anon_sym_inout] = ACTIONS(2308),
    [anon_sym_virtual] = ACTIONS(2308),
    [anon_sym_extern] = ACTIONS(2308),
    [anon_sym___attribute__] = ACTIONS(2308),
    [anon_sym___attribute] = ACTIONS(2308),
    [anon_sym_COLON_COLON] = ACTIONS(2310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2310),
    [anon_sym___declspec] = ACTIONS(2308),
    [anon_sym___based] = ACTIONS(2308),
    [anon_sym___cdecl] = ACTIONS(2308),
    [anon_sym___clrcall] = ACTIONS(2308),
    [anon_sym___stdcall] = ACTIONS(2308),
    [anon_sym___fastcall] = ACTIONS(2308),
    [anon_sym___thiscall] = ACTIONS(2308),
    [anon_sym___vectorcall] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_signed] = ACTIONS(2308),
    [anon_sym_unsigned] = ACTIONS(2308),
    [anon_sym_long] = ACTIONS(2308),
    [anon_sym_short] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_register] = ACTIONS(2308),
    [anon_sym_inline] = ACTIONS(2308),
    [anon_sym___inline] = ACTIONS(2308),
    [anon_sym___inline__] = ACTIONS(2308),
    [anon_sym___forceinline] = ACTIONS(2308),
    [anon_sym_thread_local] = ACTIONS(2308),
    [anon_sym___thread] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_constexpr] = ACTIONS(2308),
    [anon_sym_volatile] = ACTIONS(2308),
    [anon_sym_restrict] = ACTIONS(2308),
    [anon_sym___restrict__] = ACTIONS(2308),
    [anon_sym__Atomic] = ACTIONS(2308),
    [anon_sym__Noreturn] = ACTIONS(2308),
    [anon_sym_noreturn] = ACTIONS(2308),
    [anon_sym__Nonnull] = ACTIONS(2308),
    [anon_sym_mutable] = ACTIONS(2308),
    [anon_sym_constinit] = ACTIONS(2308),
    [anon_sym_consteval] = ACTIONS(2308),
    [anon_sym_alignas] = ACTIONS(2308),
    [anon_sym__Alignas] = ACTIONS(2308),
    [sym_primitive_type] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_struct] = ACTIONS(2308),
    [anon_sym_union] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_else] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_case] = ACTIONS(2308),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_goto] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2308),
    [anon_sym___leave] = ACTIONS(2308),
    [anon_sym_not] = ACTIONS(2308),
    [anon_sym_compl] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_sizeof] = ACTIONS(2308),
    [anon_sym___alignof__] = ACTIONS(2308),
    [anon_sym___alignof] = ACTIONS(2308),
    [anon_sym__alignof] = ACTIONS(2308),
    [anon_sym_alignof] = ACTIONS(2308),
    [anon_sym__Alignof] = ACTIONS(2308),
    [anon_sym_offsetof] = ACTIONS(2308),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2308),
    [anon_sym___asm__] = ACTIONS(2308),
    [anon_sym___asm] = ACTIONS(2308),
    [sym_number_literal] = ACTIONS(2310),
    [anon_sym_L_SQUOTE] = ACTIONS(2310),
    [anon_sym_u_SQUOTE] = ACTIONS(2310),
    [anon_sym_U_SQUOTE] = ACTIONS(2310),
    [anon_sym_u8_SQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_L_DQUOTE] = ACTIONS(2310),
    [anon_sym_u_DQUOTE] = ACTIONS(2310),
    [anon_sym_U_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8_DQUOTE] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [anon_sym_NULL] = ACTIONS(2308),
    [anon_sym_nullptr] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2308),
    [anon_sym_decltype] = ACTIONS(2308),
    [anon_sym_explicit] = ACTIONS(2308),
    [anon_sym_typename] = ACTIONS(2308),
    [anon_sym_template] = ACTIONS(2308),
    [anon_sym_operator] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_static_assert] = ACTIONS(2308),
    [anon_sym_concept] = ACTIONS(2308),
    [anon_sym_co_return] = ACTIONS(2308),
    [anon_sym_co_yield] = ACTIONS(2308),
    [anon_sym_R_DQUOTE] = ACTIONS(2310),
    [anon_sym_LR_DQUOTE] = ACTIONS(2310),
    [anon_sym_uR_DQUOTE] = ACTIONS(2310),
    [anon_sym_UR_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2310),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_requires] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [anon_sym_discard] = ACTIONS(2308),
    [anon_sym_precise] = ACTIONS(2308),
    [anon_sym_shared] = ACTIONS(2308),
    [anon_sym_groupshared] = ACTIONS(2308),
    [anon_sym_uniform] = ACTIONS(2308),
    [anon_sym_row_major] = ACTIONS(2308),
    [anon_sym_column_major] = ACTIONS(2308),
    [anon_sym_globallycoherent] = ACTIONS(2308),
    [anon_sym_centroid] = ACTIONS(2308),
    [anon_sym_noperspective] = ACTIONS(2308),
    [anon_sym_nointerpolation] = ACTIONS(2308),
    [anon_sym_sample] = ACTIONS(2308),
    [anon_sym_linear] = ACTIONS(2308),
    [anon_sym_snorm] = ACTIONS(2308),
    [anon_sym_unorm] = ACTIONS(2308),
    [anon_sym_point] = ACTIONS(2308),
    [anon_sym_line] = ACTIONS(2308),
    [anon_sym_triangleadj] = ACTIONS(2308),
    [anon_sym_lineadj] = ACTIONS(2308),
    [anon_sym_triangle] = ACTIONS(2308),
    [anon_sym_cbuffer] = ACTIONS(2308),
  },
  [226] = {
    [sym_identifier] = ACTIONS(2312),
    [aux_sym_preproc_include_token1] = ACTIONS(2312),
    [aux_sym_preproc_def_token1] = ACTIONS(2312),
    [aux_sym_preproc_if_token1] = ACTIONS(2312),
    [aux_sym_preproc_if_token2] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2312),
    [aux_sym_preproc_else_token1] = ACTIONS(2312),
    [aux_sym_preproc_elif_token1] = ACTIONS(2312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2312),
    [sym_preproc_directive] = ACTIONS(2312),
    [anon_sym_LPAREN2] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2312),
    [anon_sym_typedef] = ACTIONS(2312),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_out] = ACTIONS(2312),
    [anon_sym_inout] = ACTIONS(2312),
    [anon_sym_virtual] = ACTIONS(2312),
    [anon_sym_extern] = ACTIONS(2312),
    [anon_sym___attribute__] = ACTIONS(2312),
    [anon_sym___attribute] = ACTIONS(2312),
    [anon_sym_COLON_COLON] = ACTIONS(2314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2314),
    [anon_sym___declspec] = ACTIONS(2312),
    [anon_sym___based] = ACTIONS(2312),
    [anon_sym___cdecl] = ACTIONS(2312),
    [anon_sym___clrcall] = ACTIONS(2312),
    [anon_sym___stdcall] = ACTIONS(2312),
    [anon_sym___fastcall] = ACTIONS(2312),
    [anon_sym___thiscall] = ACTIONS(2312),
    [anon_sym___vectorcall] = ACTIONS(2312),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_signed] = ACTIONS(2312),
    [anon_sym_unsigned] = ACTIONS(2312),
    [anon_sym_long] = ACTIONS(2312),
    [anon_sym_short] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_static] = ACTIONS(2312),
    [anon_sym_register] = ACTIONS(2312),
    [anon_sym_inline] = ACTIONS(2312),
    [anon_sym___inline] = ACTIONS(2312),
    [anon_sym___inline__] = ACTIONS(2312),
    [anon_sym___forceinline] = ACTIONS(2312),
    [anon_sym_thread_local] = ACTIONS(2312),
    [anon_sym___thread] = ACTIONS(2312),
    [anon_sym_const] = ACTIONS(2312),
    [anon_sym_constexpr] = ACTIONS(2312),
    [anon_sym_volatile] = ACTIONS(2312),
    [anon_sym_restrict] = ACTIONS(2312),
    [anon_sym___restrict__] = ACTIONS(2312),
    [anon_sym__Atomic] = ACTIONS(2312),
    [anon_sym__Noreturn] = ACTIONS(2312),
    [anon_sym_noreturn] = ACTIONS(2312),
    [anon_sym__Nonnull] = ACTIONS(2312),
    [anon_sym_mutable] = ACTIONS(2312),
    [anon_sym_constinit] = ACTIONS(2312),
    [anon_sym_consteval] = ACTIONS(2312),
    [anon_sym_alignas] = ACTIONS(2312),
    [anon_sym__Alignas] = ACTIONS(2312),
    [sym_primitive_type] = ACTIONS(2312),
    [anon_sym_enum] = ACTIONS(2312),
    [anon_sym_class] = ACTIONS(2312),
    [anon_sym_struct] = ACTIONS(2312),
    [anon_sym_union] = ACTIONS(2312),
    [anon_sym_if] = ACTIONS(2312),
    [anon_sym_else] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2312),
    [anon_sym_case] = ACTIONS(2312),
    [anon_sym_default] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(2312),
    [anon_sym_for] = ACTIONS(2312),
    [anon_sym_return] = ACTIONS(2312),
    [anon_sym_break] = ACTIONS(2312),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2312),
    [anon_sym___try] = ACTIONS(2312),
    [anon_sym___leave] = ACTIONS(2312),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_sizeof] = ACTIONS(2312),
    [anon_sym___alignof__] = ACTIONS(2312),
    [anon_sym___alignof] = ACTIONS(2312),
    [anon_sym__alignof] = ACTIONS(2312),
    [anon_sym_alignof] = ACTIONS(2312),
    [anon_sym__Alignof] = ACTIONS(2312),
    [anon_sym_offsetof] = ACTIONS(2312),
    [anon_sym__Generic] = ACTIONS(2312),
    [anon_sym_asm] = ACTIONS(2312),
    [anon_sym___asm__] = ACTIONS(2312),
    [anon_sym___asm] = ACTIONS(2312),
    [sym_number_literal] = ACTIONS(2314),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2314),
    [anon_sym_u_DQUOTE] = ACTIONS(2314),
    [anon_sym_U_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8_DQUOTE] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [sym_true] = ACTIONS(2312),
    [sym_false] = ACTIONS(2312),
    [anon_sym_NULL] = ACTIONS(2312),
    [anon_sym_nullptr] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2312),
    [anon_sym_decltype] = ACTIONS(2312),
    [anon_sym_explicit] = ACTIONS(2312),
    [anon_sym_typename] = ACTIONS(2312),
    [anon_sym_template] = ACTIONS(2312),
    [anon_sym_operator] = ACTIONS(2312),
    [anon_sym_try] = ACTIONS(2312),
    [anon_sym_delete] = ACTIONS(2312),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_namespace] = ACTIONS(2312),
    [anon_sym_using] = ACTIONS(2312),
    [anon_sym_static_assert] = ACTIONS(2312),
    [anon_sym_concept] = ACTIONS(2312),
    [anon_sym_co_return] = ACTIONS(2312),
    [anon_sym_co_yield] = ACTIONS(2312),
    [anon_sym_R_DQUOTE] = ACTIONS(2314),
    [anon_sym_LR_DQUOTE] = ACTIONS(2314),
    [anon_sym_uR_DQUOTE] = ACTIONS(2314),
    [anon_sym_UR_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2314),
    [anon_sym_co_await] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2312),
    [anon_sym_requires] = ACTIONS(2312),
    [sym_this] = ACTIONS(2312),
    [anon_sym_discard] = ACTIONS(2312),
    [anon_sym_precise] = ACTIONS(2312),
    [anon_sym_shared] = ACTIONS(2312),
    [anon_sym_groupshared] = ACTIONS(2312),
    [anon_sym_uniform] = ACTIONS(2312),
    [anon_sym_row_major] = ACTIONS(2312),
    [anon_sym_column_major] = ACTIONS(2312),
    [anon_sym_globallycoherent] = ACTIONS(2312),
    [anon_sym_centroid] = ACTIONS(2312),
    [anon_sym_noperspective] = ACTIONS(2312),
    [anon_sym_nointerpolation] = ACTIONS(2312),
    [anon_sym_sample] = ACTIONS(2312),
    [anon_sym_linear] = ACTIONS(2312),
    [anon_sym_snorm] = ACTIONS(2312),
    [anon_sym_unorm] = ACTIONS(2312),
    [anon_sym_point] = ACTIONS(2312),
    [anon_sym_line] = ACTIONS(2312),
    [anon_sym_triangleadj] = ACTIONS(2312),
    [anon_sym_lineadj] = ACTIONS(2312),
    [anon_sym_triangle] = ACTIONS(2312),
    [anon_sym_cbuffer] = ACTIONS(2312),
  },
  [227] = {
    [sym_identifier] = ACTIONS(2316),
    [aux_sym_preproc_include_token1] = ACTIONS(2316),
    [aux_sym_preproc_def_token1] = ACTIONS(2316),
    [aux_sym_preproc_if_token1] = ACTIONS(2316),
    [aux_sym_preproc_if_token2] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2316),
    [aux_sym_preproc_else_token1] = ACTIONS(2316),
    [aux_sym_preproc_elif_token1] = ACTIONS(2316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2316),
    [sym_preproc_directive] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_BANG] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2316),
    [anon_sym_typedef] = ACTIONS(2316),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_out] = ACTIONS(2316),
    [anon_sym_inout] = ACTIONS(2316),
    [anon_sym_virtual] = ACTIONS(2316),
    [anon_sym_extern] = ACTIONS(2316),
    [anon_sym___attribute__] = ACTIONS(2316),
    [anon_sym___attribute] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2318),
    [anon_sym___declspec] = ACTIONS(2316),
    [anon_sym___based] = ACTIONS(2316),
    [anon_sym___cdecl] = ACTIONS(2316),
    [anon_sym___clrcall] = ACTIONS(2316),
    [anon_sym___stdcall] = ACTIONS(2316),
    [anon_sym___fastcall] = ACTIONS(2316),
    [anon_sym___thiscall] = ACTIONS(2316),
    [anon_sym___vectorcall] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2316),
    [anon_sym_unsigned] = ACTIONS(2316),
    [anon_sym_long] = ACTIONS(2316),
    [anon_sym_short] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_register] = ACTIONS(2316),
    [anon_sym_inline] = ACTIONS(2316),
    [anon_sym___inline] = ACTIONS(2316),
    [anon_sym___inline__] = ACTIONS(2316),
    [anon_sym___forceinline] = ACTIONS(2316),
    [anon_sym_thread_local] = ACTIONS(2316),
    [anon_sym___thread] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_constexpr] = ACTIONS(2316),
    [anon_sym_volatile] = ACTIONS(2316),
    [anon_sym_restrict] = ACTIONS(2316),
    [anon_sym___restrict__] = ACTIONS(2316),
    [anon_sym__Atomic] = ACTIONS(2316),
    [anon_sym__Noreturn] = ACTIONS(2316),
    [anon_sym_noreturn] = ACTIONS(2316),
    [anon_sym__Nonnull] = ACTIONS(2316),
    [anon_sym_mutable] = ACTIONS(2316),
    [anon_sym_constinit] = ACTIONS(2316),
    [anon_sym_consteval] = ACTIONS(2316),
    [anon_sym_alignas] = ACTIONS(2316),
    [anon_sym__Alignas] = ACTIONS(2316),
    [sym_primitive_type] = ACTIONS(2316),
    [anon_sym_enum] = ACTIONS(2316),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_struct] = ACTIONS(2316),
    [anon_sym_union] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_else] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_case] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_goto] = ACTIONS(2316),
    [anon_sym___try] = ACTIONS(2316),
    [anon_sym___leave] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2316),
    [anon_sym_compl] = ACTIONS(2316),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_sizeof] = ACTIONS(2316),
    [anon_sym___alignof__] = ACTIONS(2316),
    [anon_sym___alignof] = ACTIONS(2316),
    [anon_sym__alignof] = ACTIONS(2316),
    [anon_sym_alignof] = ACTIONS(2316),
    [anon_sym__Alignof] = ACTIONS(2316),
    [anon_sym_offsetof] = ACTIONS(2316),
    [anon_sym__Generic] = ACTIONS(2316),
    [anon_sym_asm] = ACTIONS(2316),
    [anon_sym___asm__] = ACTIONS(2316),
    [anon_sym___asm] = ACTIONS(2316),
    [sym_number_literal] = ACTIONS(2318),
    [anon_sym_L_SQUOTE] = ACTIONS(2318),
    [anon_sym_u_SQUOTE] = ACTIONS(2318),
    [anon_sym_U_SQUOTE] = ACTIONS(2318),
    [anon_sym_u8_SQUOTE] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_L_DQUOTE] = ACTIONS(2318),
    [anon_sym_u_DQUOTE] = ACTIONS(2318),
    [anon_sym_U_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2318),
    [sym_true] = ACTIONS(2316),
    [sym_false] = ACTIONS(2316),
    [anon_sym_NULL] = ACTIONS(2316),
    [anon_sym_nullptr] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2316),
    [anon_sym_decltype] = ACTIONS(2316),
    [anon_sym_explicit] = ACTIONS(2316),
    [anon_sym_typename] = ACTIONS(2316),
    [anon_sym_template] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_throw] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_using] = ACTIONS(2316),
    [anon_sym_static_assert] = ACTIONS(2316),
    [anon_sym_concept] = ACTIONS(2316),
    [anon_sym_co_return] = ACTIONS(2316),
    [anon_sym_co_yield] = ACTIONS(2316),
    [anon_sym_R_DQUOTE] = ACTIONS(2318),
    [anon_sym_LR_DQUOTE] = ACTIONS(2318),
    [anon_sym_uR_DQUOTE] = ACTIONS(2318),
    [anon_sym_UR_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2318),
    [anon_sym_co_await] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_requires] = ACTIONS(2316),
    [sym_this] = ACTIONS(2316),
    [anon_sym_discard] = ACTIONS(2316),
    [anon_sym_precise] = ACTIONS(2316),
    [anon_sym_shared] = ACTIONS(2316),
    [anon_sym_groupshared] = ACTIONS(2316),
    [anon_sym_uniform] = ACTIONS(2316),
    [anon_sym_row_major] = ACTIONS(2316),
    [anon_sym_column_major] = ACTIONS(2316),
    [anon_sym_globallycoherent] = ACTIONS(2316),
    [anon_sym_centroid] = ACTIONS(2316),
    [anon_sym_noperspective] = ACTIONS(2316),
    [anon_sym_nointerpolation] = ACTIONS(2316),
    [anon_sym_sample] = ACTIONS(2316),
    [anon_sym_linear] = ACTIONS(2316),
    [anon_sym_snorm] = ACTIONS(2316),
    [anon_sym_unorm] = ACTIONS(2316),
    [anon_sym_point] = ACTIONS(2316),
    [anon_sym_line] = ACTIONS(2316),
    [anon_sym_triangleadj] = ACTIONS(2316),
    [anon_sym_lineadj] = ACTIONS(2316),
    [anon_sym_triangle] = ACTIONS(2316),
    [anon_sym_cbuffer] = ACTIONS(2316),
  },
  [228] = {
    [sym_identifier] = ACTIONS(2320),
    [aux_sym_preproc_include_token1] = ACTIONS(2320),
    [aux_sym_preproc_def_token1] = ACTIONS(2320),
    [aux_sym_preproc_if_token1] = ACTIONS(2320),
    [aux_sym_preproc_if_token2] = ACTIONS(2320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2320),
    [aux_sym_preproc_else_token1] = ACTIONS(2320),
    [aux_sym_preproc_elif_token1] = ACTIONS(2320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2320),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2320),
    [sym_preproc_directive] = ACTIONS(2320),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2322),
    [anon_sym_TILDE] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2322),
    [anon_sym_AMP_AMP] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(2320),
    [anon_sym_typedef] = ACTIONS(2320),
    [anon_sym_in] = ACTIONS(2320),
    [anon_sym_out] = ACTIONS(2320),
    [anon_sym_inout] = ACTIONS(2320),
    [anon_sym_virtual] = ACTIONS(2320),
    [anon_sym_extern] = ACTIONS(2320),
    [anon_sym___attribute__] = ACTIONS(2320),
    [anon_sym___attribute] = ACTIONS(2320),
    [anon_sym_COLON_COLON] = ACTIONS(2322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2322),
    [anon_sym___declspec] = ACTIONS(2320),
    [anon_sym___based] = ACTIONS(2320),
    [anon_sym___cdecl] = ACTIONS(2320),
    [anon_sym___clrcall] = ACTIONS(2320),
    [anon_sym___stdcall] = ACTIONS(2320),
    [anon_sym___fastcall] = ACTIONS(2320),
    [anon_sym___thiscall] = ACTIONS(2320),
    [anon_sym___vectorcall] = ACTIONS(2320),
    [anon_sym_LBRACE] = ACTIONS(2322),
    [anon_sym_signed] = ACTIONS(2320),
    [anon_sym_unsigned] = ACTIONS(2320),
    [anon_sym_long] = ACTIONS(2320),
    [anon_sym_short] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_static] = ACTIONS(2320),
    [anon_sym_register] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(2320),
    [anon_sym___inline] = ACTIONS(2320),
    [anon_sym___inline__] = ACTIONS(2320),
    [anon_sym___forceinline] = ACTIONS(2320),
    [anon_sym_thread_local] = ACTIONS(2320),
    [anon_sym___thread] = ACTIONS(2320),
    [anon_sym_const] = ACTIONS(2320),
    [anon_sym_constexpr] = ACTIONS(2320),
    [anon_sym_volatile] = ACTIONS(2320),
    [anon_sym_restrict] = ACTIONS(2320),
    [anon_sym___restrict__] = ACTIONS(2320),
    [anon_sym__Atomic] = ACTIONS(2320),
    [anon_sym__Noreturn] = ACTIONS(2320),
    [anon_sym_noreturn] = ACTIONS(2320),
    [anon_sym__Nonnull] = ACTIONS(2320),
    [anon_sym_mutable] = ACTIONS(2320),
    [anon_sym_constinit] = ACTIONS(2320),
    [anon_sym_consteval] = ACTIONS(2320),
    [anon_sym_alignas] = ACTIONS(2320),
    [anon_sym__Alignas] = ACTIONS(2320),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2320),
    [anon_sym_class] = ACTIONS(2320),
    [anon_sym_struct] = ACTIONS(2320),
    [anon_sym_union] = ACTIONS(2320),
    [anon_sym_if] = ACTIONS(2320),
    [anon_sym_else] = ACTIONS(2320),
    [anon_sym_switch] = ACTIONS(2320),
    [anon_sym_case] = ACTIONS(2320),
    [anon_sym_default] = ACTIONS(2320),
    [anon_sym_while] = ACTIONS(2320),
    [anon_sym_do] = ACTIONS(2320),
    [anon_sym_for] = ACTIONS(2320),
    [anon_sym_return] = ACTIONS(2320),
    [anon_sym_break] = ACTIONS(2320),
    [anon_sym_continue] = ACTIONS(2320),
    [anon_sym_goto] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2320),
    [anon_sym___leave] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2320),
    [anon_sym_compl] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_sizeof] = ACTIONS(2320),
    [anon_sym___alignof__] = ACTIONS(2320),
    [anon_sym___alignof] = ACTIONS(2320),
    [anon_sym__alignof] = ACTIONS(2320),
    [anon_sym_alignof] = ACTIONS(2320),
    [anon_sym__Alignof] = ACTIONS(2320),
    [anon_sym_offsetof] = ACTIONS(2320),
    [anon_sym__Generic] = ACTIONS(2320),
    [anon_sym_asm] = ACTIONS(2320),
    [anon_sym___asm__] = ACTIONS(2320),
    [anon_sym___asm] = ACTIONS(2320),
    [sym_number_literal] = ACTIONS(2322),
    [anon_sym_L_SQUOTE] = ACTIONS(2322),
    [anon_sym_u_SQUOTE] = ACTIONS(2322),
    [anon_sym_U_SQUOTE] = ACTIONS(2322),
    [anon_sym_u8_SQUOTE] = ACTIONS(2322),
    [anon_sym_SQUOTE] = ACTIONS(2322),
    [anon_sym_L_DQUOTE] = ACTIONS(2322),
    [anon_sym_u_DQUOTE] = ACTIONS(2322),
    [anon_sym_U_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8_DQUOTE] = ACTIONS(2322),
    [anon_sym_DQUOTE] = ACTIONS(2322),
    [sym_true] = ACTIONS(2320),
    [sym_false] = ACTIONS(2320),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2320),
    [anon_sym_decltype] = ACTIONS(2320),
    [anon_sym_explicit] = ACTIONS(2320),
    [anon_sym_typename] = ACTIONS(2320),
    [anon_sym_template] = ACTIONS(2320),
    [anon_sym_operator] = ACTIONS(2320),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_delete] = ACTIONS(2320),
    [anon_sym_throw] = ACTIONS(2320),
    [anon_sym_namespace] = ACTIONS(2320),
    [anon_sym_using] = ACTIONS(2320),
    [anon_sym_static_assert] = ACTIONS(2320),
    [anon_sym_concept] = ACTIONS(2320),
    [anon_sym_co_return] = ACTIONS(2320),
    [anon_sym_co_yield] = ACTIONS(2320),
    [anon_sym_R_DQUOTE] = ACTIONS(2322),
    [anon_sym_LR_DQUOTE] = ACTIONS(2322),
    [anon_sym_uR_DQUOTE] = ACTIONS(2322),
    [anon_sym_UR_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2322),
    [anon_sym_co_await] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(2320),
    [anon_sym_requires] = ACTIONS(2320),
    [sym_this] = ACTIONS(2320),
    [anon_sym_discard] = ACTIONS(2320),
    [anon_sym_precise] = ACTIONS(2320),
    [anon_sym_shared] = ACTIONS(2320),
    [anon_sym_groupshared] = ACTIONS(2320),
    [anon_sym_uniform] = ACTIONS(2320),
    [anon_sym_row_major] = ACTIONS(2320),
    [anon_sym_column_major] = ACTIONS(2320),
    [anon_sym_globallycoherent] = ACTIONS(2320),
    [anon_sym_centroid] = ACTIONS(2320),
    [anon_sym_noperspective] = ACTIONS(2320),
    [anon_sym_nointerpolation] = ACTIONS(2320),
    [anon_sym_sample] = ACTIONS(2320),
    [anon_sym_linear] = ACTIONS(2320),
    [anon_sym_snorm] = ACTIONS(2320),
    [anon_sym_unorm] = ACTIONS(2320),
    [anon_sym_point] = ACTIONS(2320),
    [anon_sym_line] = ACTIONS(2320),
    [anon_sym_triangleadj] = ACTIONS(2320),
    [anon_sym_lineadj] = ACTIONS(2320),
    [anon_sym_triangle] = ACTIONS(2320),
    [anon_sym_cbuffer] = ACTIONS(2320),
  },
  [229] = {
    [sym_identifier] = ACTIONS(2324),
    [aux_sym_preproc_include_token1] = ACTIONS(2324),
    [aux_sym_preproc_def_token1] = ACTIONS(2324),
    [aux_sym_preproc_if_token1] = ACTIONS(2324),
    [aux_sym_preproc_if_token2] = ACTIONS(2324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2324),
    [aux_sym_preproc_else_token1] = ACTIONS(2324),
    [aux_sym_preproc_elif_token1] = ACTIONS(2324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2324),
    [sym_preproc_directive] = ACTIONS(2324),
    [anon_sym_LPAREN2] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_TILDE] = ACTIONS(2326),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2326),
    [anon_sym_AMP_AMP] = ACTIONS(2326),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2324),
    [anon_sym_typedef] = ACTIONS(2324),
    [anon_sym_in] = ACTIONS(2324),
    [anon_sym_out] = ACTIONS(2324),
    [anon_sym_inout] = ACTIONS(2324),
    [anon_sym_virtual] = ACTIONS(2324),
    [anon_sym_extern] = ACTIONS(2324),
    [anon_sym___attribute__] = ACTIONS(2324),
    [anon_sym___attribute] = ACTIONS(2324),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2326),
    [anon_sym___declspec] = ACTIONS(2324),
    [anon_sym___based] = ACTIONS(2324),
    [anon_sym___cdecl] = ACTIONS(2324),
    [anon_sym___clrcall] = ACTIONS(2324),
    [anon_sym___stdcall] = ACTIONS(2324),
    [anon_sym___fastcall] = ACTIONS(2324),
    [anon_sym___thiscall] = ACTIONS(2324),
    [anon_sym___vectorcall] = ACTIONS(2324),
    [anon_sym_LBRACE] = ACTIONS(2326),
    [anon_sym_signed] = ACTIONS(2324),
    [anon_sym_unsigned] = ACTIONS(2324),
    [anon_sym_long] = ACTIONS(2324),
    [anon_sym_short] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_static] = ACTIONS(2324),
    [anon_sym_register] = ACTIONS(2324),
    [anon_sym_inline] = ACTIONS(2324),
    [anon_sym___inline] = ACTIONS(2324),
    [anon_sym___inline__] = ACTIONS(2324),
    [anon_sym___forceinline] = ACTIONS(2324),
    [anon_sym_thread_local] = ACTIONS(2324),
    [anon_sym___thread] = ACTIONS(2324),
    [anon_sym_const] = ACTIONS(2324),
    [anon_sym_constexpr] = ACTIONS(2324),
    [anon_sym_volatile] = ACTIONS(2324),
    [anon_sym_restrict] = ACTIONS(2324),
    [anon_sym___restrict__] = ACTIONS(2324),
    [anon_sym__Atomic] = ACTIONS(2324),
    [anon_sym__Noreturn] = ACTIONS(2324),
    [anon_sym_noreturn] = ACTIONS(2324),
    [anon_sym__Nonnull] = ACTIONS(2324),
    [anon_sym_mutable] = ACTIONS(2324),
    [anon_sym_constinit] = ACTIONS(2324),
    [anon_sym_consteval] = ACTIONS(2324),
    [anon_sym_alignas] = ACTIONS(2324),
    [anon_sym__Alignas] = ACTIONS(2324),
    [sym_primitive_type] = ACTIONS(2324),
    [anon_sym_enum] = ACTIONS(2324),
    [anon_sym_class] = ACTIONS(2324),
    [anon_sym_struct] = ACTIONS(2324),
    [anon_sym_union] = ACTIONS(2324),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_else] = ACTIONS(2324),
    [anon_sym_switch] = ACTIONS(2324),
    [anon_sym_case] = ACTIONS(2324),
    [anon_sym_default] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2324),
    [anon_sym_do] = ACTIONS(2324),
    [anon_sym_for] = ACTIONS(2324),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_break] = ACTIONS(2324),
    [anon_sym_continue] = ACTIONS(2324),
    [anon_sym_goto] = ACTIONS(2324),
    [anon_sym___try] = ACTIONS(2324),
    [anon_sym___leave] = ACTIONS(2324),
    [anon_sym_not] = ACTIONS(2324),
    [anon_sym_compl] = ACTIONS(2324),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_sizeof] = ACTIONS(2324),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2324),
    [anon_sym__Generic] = ACTIONS(2324),
    [anon_sym_asm] = ACTIONS(2324),
    [anon_sym___asm__] = ACTIONS(2324),
    [anon_sym___asm] = ACTIONS(2324),
    [sym_number_literal] = ACTIONS(2326),
    [anon_sym_L_SQUOTE] = ACTIONS(2326),
    [anon_sym_u_SQUOTE] = ACTIONS(2326),
    [anon_sym_U_SQUOTE] = ACTIONS(2326),
    [anon_sym_u8_SQUOTE] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym_L_DQUOTE] = ACTIONS(2326),
    [anon_sym_u_DQUOTE] = ACTIONS(2326),
    [anon_sym_U_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8_DQUOTE] = ACTIONS(2326),
    [anon_sym_DQUOTE] = ACTIONS(2326),
    [sym_true] = ACTIONS(2324),
    [sym_false] = ACTIONS(2324),
    [anon_sym_NULL] = ACTIONS(2324),
    [anon_sym_nullptr] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2324),
    [anon_sym_decltype] = ACTIONS(2324),
    [anon_sym_explicit] = ACTIONS(2324),
    [anon_sym_typename] = ACTIONS(2324),
    [anon_sym_template] = ACTIONS(2324),
    [anon_sym_operator] = ACTIONS(2324),
    [anon_sym_try] = ACTIONS(2324),
    [anon_sym_delete] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2324),
    [anon_sym_namespace] = ACTIONS(2324),
    [anon_sym_using] = ACTIONS(2324),
    [anon_sym_static_assert] = ACTIONS(2324),
    [anon_sym_concept] = ACTIONS(2324),
    [anon_sym_co_return] = ACTIONS(2324),
    [anon_sym_co_yield] = ACTIONS(2324),
    [anon_sym_R_DQUOTE] = ACTIONS(2326),
    [anon_sym_LR_DQUOTE] = ACTIONS(2326),
    [anon_sym_uR_DQUOTE] = ACTIONS(2326),
    [anon_sym_UR_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2326),
    [anon_sym_co_await] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2324),
    [anon_sym_requires] = ACTIONS(2324),
    [sym_this] = ACTIONS(2324),
    [anon_sym_discard] = ACTIONS(2324),
    [anon_sym_precise] = ACTIONS(2324),
    [anon_sym_shared] = ACTIONS(2324),
    [anon_sym_groupshared] = ACTIONS(2324),
    [anon_sym_uniform] = ACTIONS(2324),
    [anon_sym_row_major] = ACTIONS(2324),
    [anon_sym_column_major] = ACTIONS(2324),
    [anon_sym_globallycoherent] = ACTIONS(2324),
    [anon_sym_centroid] = ACTIONS(2324),
    [anon_sym_noperspective] = ACTIONS(2324),
    [anon_sym_nointerpolation] = ACTIONS(2324),
    [anon_sym_sample] = ACTIONS(2324),
    [anon_sym_linear] = ACTIONS(2324),
    [anon_sym_snorm] = ACTIONS(2324),
    [anon_sym_unorm] = ACTIONS(2324),
    [anon_sym_point] = ACTIONS(2324),
    [anon_sym_line] = ACTIONS(2324),
    [anon_sym_triangleadj] = ACTIONS(2324),
    [anon_sym_lineadj] = ACTIONS(2324),
    [anon_sym_triangle] = ACTIONS(2324),
    [anon_sym_cbuffer] = ACTIONS(2324),
  },
  [230] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2243),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [231] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [aux_sym_preproc_else_token1] = ACTIONS(2330),
    [aux_sym_preproc_elif_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym___attribute] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [anon_sym___asm] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [232] = {
    [sym_identifier] = ACTIONS(2334),
    [aux_sym_preproc_include_token1] = ACTIONS(2334),
    [aux_sym_preproc_def_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token2] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2334),
    [aux_sym_preproc_else_token1] = ACTIONS(2334),
    [aux_sym_preproc_elif_token1] = ACTIONS(2334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2334),
    [sym_preproc_directive] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym___attribute] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym___based] = ACTIONS(2334),
    [anon_sym___cdecl] = ACTIONS(2334),
    [anon_sym___clrcall] = ACTIONS(2334),
    [anon_sym___stdcall] = ACTIONS(2334),
    [anon_sym___fastcall] = ACTIONS(2334),
    [anon_sym___thiscall] = ACTIONS(2334),
    [anon_sym___vectorcall] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym__Alignas] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [anon_sym___asm] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_explicit] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_namespace] = ACTIONS(2334),
    [anon_sym_using] = ACTIONS(2334),
    [anon_sym_static_assert] = ACTIONS(2334),
    [anon_sym_concept] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [233] = {
    [sym_identifier] = ACTIONS(2338),
    [aux_sym_preproc_include_token1] = ACTIONS(2338),
    [aux_sym_preproc_def_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token2] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2338),
    [aux_sym_preproc_else_token1] = ACTIONS(2338),
    [aux_sym_preproc_elif_token1] = ACTIONS(2338),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2338),
    [sym_preproc_directive] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym___attribute] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym___based] = ACTIONS(2338),
    [anon_sym___cdecl] = ACTIONS(2338),
    [anon_sym___clrcall] = ACTIONS(2338),
    [anon_sym___stdcall] = ACTIONS(2338),
    [anon_sym___fastcall] = ACTIONS(2338),
    [anon_sym___thiscall] = ACTIONS(2338),
    [anon_sym___vectorcall] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym__Nonnull] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym__Alignas] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [anon_sym___asm] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_explicit] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_operator] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_static_assert] = ACTIONS(2338),
    [anon_sym_concept] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [234] = {
    [sym_identifier] = ACTIONS(2342),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token2] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2342),
    [aux_sym_preproc_else_token1] = ACTIONS(2342),
    [aux_sym_preproc_elif_token1] = ACTIONS(2342),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2342),
    [sym_preproc_directive] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym___attribute] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym___based] = ACTIONS(2342),
    [anon_sym___cdecl] = ACTIONS(2342),
    [anon_sym___clrcall] = ACTIONS(2342),
    [anon_sym___stdcall] = ACTIONS(2342),
    [anon_sym___fastcall] = ACTIONS(2342),
    [anon_sym___thiscall] = ACTIONS(2342),
    [anon_sym___vectorcall] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym__Nonnull] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym__Alignas] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [anon_sym___asm] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_explicit] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_operator] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_static_assert] = ACTIONS(2342),
    [anon_sym_concept] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [235] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2243),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2348),
    [aux_sym_preproc_include_token1] = ACTIONS(2348),
    [aux_sym_preproc_def_token1] = ACTIONS(2348),
    [aux_sym_preproc_if_token1] = ACTIONS(2348),
    [aux_sym_preproc_if_token2] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2348),
    [aux_sym_preproc_else_token1] = ACTIONS(2348),
    [aux_sym_preproc_elif_token1] = ACTIONS(2348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2348),
    [sym_preproc_directive] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym___extension__] = ACTIONS(2348),
    [anon_sym_typedef] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2348),
    [anon_sym_out] = ACTIONS(2348),
    [anon_sym_inout] = ACTIONS(2348),
    [anon_sym_virtual] = ACTIONS(2348),
    [anon_sym_extern] = ACTIONS(2348),
    [anon_sym___attribute__] = ACTIONS(2348),
    [anon_sym___attribute] = ACTIONS(2348),
    [anon_sym_COLON_COLON] = ACTIONS(2350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2350),
    [anon_sym___declspec] = ACTIONS(2348),
    [anon_sym___based] = ACTIONS(2348),
    [anon_sym___cdecl] = ACTIONS(2348),
    [anon_sym___clrcall] = ACTIONS(2348),
    [anon_sym___stdcall] = ACTIONS(2348),
    [anon_sym___fastcall] = ACTIONS(2348),
    [anon_sym___thiscall] = ACTIONS(2348),
    [anon_sym___vectorcall] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_signed] = ACTIONS(2348),
    [anon_sym_unsigned] = ACTIONS(2348),
    [anon_sym_long] = ACTIONS(2348),
    [anon_sym_short] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2348),
    [anon_sym_register] = ACTIONS(2348),
    [anon_sym_inline] = ACTIONS(2348),
    [anon_sym___inline] = ACTIONS(2348),
    [anon_sym___inline__] = ACTIONS(2348),
    [anon_sym___forceinline] = ACTIONS(2348),
    [anon_sym_thread_local] = ACTIONS(2348),
    [anon_sym___thread] = ACTIONS(2348),
    [anon_sym_const] = ACTIONS(2348),
    [anon_sym_constexpr] = ACTIONS(2348),
    [anon_sym_volatile] = ACTIONS(2348),
    [anon_sym_restrict] = ACTIONS(2348),
    [anon_sym___restrict__] = ACTIONS(2348),
    [anon_sym__Atomic] = ACTIONS(2348),
    [anon_sym__Noreturn] = ACTIONS(2348),
    [anon_sym_noreturn] = ACTIONS(2348),
    [anon_sym__Nonnull] = ACTIONS(2348),
    [anon_sym_mutable] = ACTIONS(2348),
    [anon_sym_constinit] = ACTIONS(2348),
    [anon_sym_consteval] = ACTIONS(2348),
    [anon_sym_alignas] = ACTIONS(2348),
    [anon_sym__Alignas] = ACTIONS(2348),
    [sym_primitive_type] = ACTIONS(2348),
    [anon_sym_enum] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2348),
    [anon_sym_struct] = ACTIONS(2348),
    [anon_sym_union] = ACTIONS(2348),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_else] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2348),
    [anon_sym_case] = ACTIONS(2348),
    [anon_sym_default] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2348),
    [anon_sym___leave] = ACTIONS(2348),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_compl] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_sizeof] = ACTIONS(2348),
    [anon_sym___alignof__] = ACTIONS(2348),
    [anon_sym___alignof] = ACTIONS(2348),
    [anon_sym__alignof] = ACTIONS(2348),
    [anon_sym_alignof] = ACTIONS(2348),
    [anon_sym__Alignof] = ACTIONS(2348),
    [anon_sym_offsetof] = ACTIONS(2348),
    [anon_sym__Generic] = ACTIONS(2348),
    [anon_sym_asm] = ACTIONS(2348),
    [anon_sym___asm__] = ACTIONS(2348),
    [anon_sym___asm] = ACTIONS(2348),
    [sym_number_literal] = ACTIONS(2350),
    [anon_sym_L_SQUOTE] = ACTIONS(2350),
    [anon_sym_u_SQUOTE] = ACTIONS(2350),
    [anon_sym_U_SQUOTE] = ACTIONS(2350),
    [anon_sym_u8_SQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_L_DQUOTE] = ACTIONS(2350),
    [anon_sym_u_DQUOTE] = ACTIONS(2350),
    [anon_sym_U_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8_DQUOTE] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [sym_true] = ACTIONS(2348),
    [sym_false] = ACTIONS(2348),
    [anon_sym_NULL] = ACTIONS(2348),
    [anon_sym_nullptr] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2348),
    [anon_sym_decltype] = ACTIONS(2348),
    [anon_sym_explicit] = ACTIONS(2348),
    [anon_sym_typename] = ACTIONS(2348),
    [anon_sym_template] = ACTIONS(2348),
    [anon_sym_operator] = ACTIONS(2348),
    [anon_sym_try] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_namespace] = ACTIONS(2348),
    [anon_sym_using] = ACTIONS(2348),
    [anon_sym_static_assert] = ACTIONS(2348),
    [anon_sym_concept] = ACTIONS(2348),
    [anon_sym_co_return] = ACTIONS(2348),
    [anon_sym_co_yield] = ACTIONS(2348),
    [anon_sym_R_DQUOTE] = ACTIONS(2350),
    [anon_sym_LR_DQUOTE] = ACTIONS(2350),
    [anon_sym_uR_DQUOTE] = ACTIONS(2350),
    [anon_sym_UR_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2350),
    [anon_sym_co_await] = ACTIONS(2348),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2348),
    [sym_this] = ACTIONS(2348),
    [anon_sym_discard] = ACTIONS(2348),
    [anon_sym_precise] = ACTIONS(2348),
    [anon_sym_shared] = ACTIONS(2348),
    [anon_sym_groupshared] = ACTIONS(2348),
    [anon_sym_uniform] = ACTIONS(2348),
    [anon_sym_row_major] = ACTIONS(2348),
    [anon_sym_column_major] = ACTIONS(2348),
    [anon_sym_globallycoherent] = ACTIONS(2348),
    [anon_sym_centroid] = ACTIONS(2348),
    [anon_sym_noperspective] = ACTIONS(2348),
    [anon_sym_nointerpolation] = ACTIONS(2348),
    [anon_sym_sample] = ACTIONS(2348),
    [anon_sym_linear] = ACTIONS(2348),
    [anon_sym_snorm] = ACTIONS(2348),
    [anon_sym_unorm] = ACTIONS(2348),
    [anon_sym_point] = ACTIONS(2348),
    [anon_sym_line] = ACTIONS(2348),
    [anon_sym_triangleadj] = ACTIONS(2348),
    [anon_sym_lineadj] = ACTIONS(2348),
    [anon_sym_triangle] = ACTIONS(2348),
    [anon_sym_cbuffer] = ACTIONS(2348),
  },
  [237] = {
    [sym_identifier] = ACTIONS(2352),
    [aux_sym_preproc_include_token1] = ACTIONS(2352),
    [aux_sym_preproc_def_token1] = ACTIONS(2352),
    [aux_sym_preproc_if_token1] = ACTIONS(2352),
    [aux_sym_preproc_if_token2] = ACTIONS(2352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2352),
    [aux_sym_preproc_else_token1] = ACTIONS(2352),
    [aux_sym_preproc_elif_token1] = ACTIONS(2352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2352),
    [sym_preproc_directive] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_AMP_AMP] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2352),
    [anon_sym_typedef] = ACTIONS(2352),
    [anon_sym_in] = ACTIONS(2352),
    [anon_sym_out] = ACTIONS(2352),
    [anon_sym_inout] = ACTIONS(2352),
    [anon_sym_virtual] = ACTIONS(2352),
    [anon_sym_extern] = ACTIONS(2352),
    [anon_sym___attribute__] = ACTIONS(2352),
    [anon_sym___attribute] = ACTIONS(2352),
    [anon_sym_COLON_COLON] = ACTIONS(2354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2354),
    [anon_sym___declspec] = ACTIONS(2352),
    [anon_sym___based] = ACTIONS(2352),
    [anon_sym___cdecl] = ACTIONS(2352),
    [anon_sym___clrcall] = ACTIONS(2352),
    [anon_sym___stdcall] = ACTIONS(2352),
    [anon_sym___fastcall] = ACTIONS(2352),
    [anon_sym___thiscall] = ACTIONS(2352),
    [anon_sym___vectorcall] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2352),
    [anon_sym_unsigned] = ACTIONS(2352),
    [anon_sym_long] = ACTIONS(2352),
    [anon_sym_short] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_register] = ACTIONS(2352),
    [anon_sym_inline] = ACTIONS(2352),
    [anon_sym___inline] = ACTIONS(2352),
    [anon_sym___inline__] = ACTIONS(2352),
    [anon_sym___forceinline] = ACTIONS(2352),
    [anon_sym_thread_local] = ACTIONS(2352),
    [anon_sym___thread] = ACTIONS(2352),
    [anon_sym_const] = ACTIONS(2352),
    [anon_sym_constexpr] = ACTIONS(2352),
    [anon_sym_volatile] = ACTIONS(2352),
    [anon_sym_restrict] = ACTIONS(2352),
    [anon_sym___restrict__] = ACTIONS(2352),
    [anon_sym__Atomic] = ACTIONS(2352),
    [anon_sym__Noreturn] = ACTIONS(2352),
    [anon_sym_noreturn] = ACTIONS(2352),
    [anon_sym__Nonnull] = ACTIONS(2352),
    [anon_sym_mutable] = ACTIONS(2352),
    [anon_sym_constinit] = ACTIONS(2352),
    [anon_sym_consteval] = ACTIONS(2352),
    [anon_sym_alignas] = ACTIONS(2352),
    [anon_sym__Alignas] = ACTIONS(2352),
    [sym_primitive_type] = ACTIONS(2352),
    [anon_sym_enum] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2352),
    [anon_sym_struct] = ACTIONS(2352),
    [anon_sym_union] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_else] = ACTIONS(2352),
    [anon_sym_switch] = ACTIONS(2352),
    [anon_sym_case] = ACTIONS(2352),
    [anon_sym_default] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym___try] = ACTIONS(2352),
    [anon_sym___leave] = ACTIONS(2352),
    [anon_sym_not] = ACTIONS(2352),
    [anon_sym_compl] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_sizeof] = ACTIONS(2352),
    [anon_sym___alignof__] = ACTIONS(2352),
    [anon_sym___alignof] = ACTIONS(2352),
    [anon_sym__alignof] = ACTIONS(2352),
    [anon_sym_alignof] = ACTIONS(2352),
    [anon_sym__Alignof] = ACTIONS(2352),
    [anon_sym_offsetof] = ACTIONS(2352),
    [anon_sym__Generic] = ACTIONS(2352),
    [anon_sym_asm] = ACTIONS(2352),
    [anon_sym___asm__] = ACTIONS(2352),
    [anon_sym___asm] = ACTIONS(2352),
    [sym_number_literal] = ACTIONS(2354),
    [anon_sym_L_SQUOTE] = ACTIONS(2354),
    [anon_sym_u_SQUOTE] = ACTIONS(2354),
    [anon_sym_U_SQUOTE] = ACTIONS(2354),
    [anon_sym_u8_SQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_L_DQUOTE] = ACTIONS(2354),
    [anon_sym_u_DQUOTE] = ACTIONS(2354),
    [anon_sym_U_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8_DQUOTE] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [sym_true] = ACTIONS(2352),
    [sym_false] = ACTIONS(2352),
    [anon_sym_NULL] = ACTIONS(2352),
    [anon_sym_nullptr] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2352),
    [anon_sym_decltype] = ACTIONS(2352),
    [anon_sym_explicit] = ACTIONS(2352),
    [anon_sym_typename] = ACTIONS(2352),
    [anon_sym_template] = ACTIONS(2352),
    [anon_sym_operator] = ACTIONS(2352),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_throw] = ACTIONS(2352),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_using] = ACTIONS(2352),
    [anon_sym_static_assert] = ACTIONS(2352),
    [anon_sym_concept] = ACTIONS(2352),
    [anon_sym_co_return] = ACTIONS(2352),
    [anon_sym_co_yield] = ACTIONS(2352),
    [anon_sym_R_DQUOTE] = ACTIONS(2354),
    [anon_sym_LR_DQUOTE] = ACTIONS(2354),
    [anon_sym_uR_DQUOTE] = ACTIONS(2354),
    [anon_sym_UR_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2354),
    [anon_sym_co_await] = ACTIONS(2352),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_requires] = ACTIONS(2352),
    [sym_this] = ACTIONS(2352),
    [anon_sym_discard] = ACTIONS(2352),
    [anon_sym_precise] = ACTIONS(2352),
    [anon_sym_shared] = ACTIONS(2352),
    [anon_sym_groupshared] = ACTIONS(2352),
    [anon_sym_uniform] = ACTIONS(2352),
    [anon_sym_row_major] = ACTIONS(2352),
    [anon_sym_column_major] = ACTIONS(2352),
    [anon_sym_globallycoherent] = ACTIONS(2352),
    [anon_sym_centroid] = ACTIONS(2352),
    [anon_sym_noperspective] = ACTIONS(2352),
    [anon_sym_nointerpolation] = ACTIONS(2352),
    [anon_sym_sample] = ACTIONS(2352),
    [anon_sym_linear] = ACTIONS(2352),
    [anon_sym_snorm] = ACTIONS(2352),
    [anon_sym_unorm] = ACTIONS(2352),
    [anon_sym_point] = ACTIONS(2352),
    [anon_sym_line] = ACTIONS(2352),
    [anon_sym_triangleadj] = ACTIONS(2352),
    [anon_sym_lineadj] = ACTIONS(2352),
    [anon_sym_triangle] = ACTIONS(2352),
    [anon_sym_cbuffer] = ACTIONS(2352),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [aux_sym_preproc_else_token1] = ACTIONS(2356),
    [aux_sym_preproc_elif_token1] = ACTIONS(2356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_out] = ACTIONS(2356),
    [anon_sym_inout] = ACTIONS(2356),
    [anon_sym_virtual] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_COLON_COLON] = ACTIONS(2358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___based] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_mutable] = ACTIONS(2356),
    [anon_sym_constinit] = ACTIONS(2356),
    [anon_sym_consteval] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym___leave] = ACTIONS(2356),
    [anon_sym_not] = ACTIONS(2356),
    [anon_sym_compl] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2356),
    [anon_sym_decltype] = ACTIONS(2356),
    [anon_sym_explicit] = ACTIONS(2356),
    [anon_sym_typename] = ACTIONS(2356),
    [anon_sym_template] = ACTIONS(2356),
    [anon_sym_operator] = ACTIONS(2356),
    [anon_sym_try] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_throw] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2356),
    [anon_sym_using] = ACTIONS(2356),
    [anon_sym_static_assert] = ACTIONS(2356),
    [anon_sym_concept] = ACTIONS(2356),
    [anon_sym_co_return] = ACTIONS(2356),
    [anon_sym_co_yield] = ACTIONS(2356),
    [anon_sym_R_DQUOTE] = ACTIONS(2358),
    [anon_sym_LR_DQUOTE] = ACTIONS(2358),
    [anon_sym_uR_DQUOTE] = ACTIONS(2358),
    [anon_sym_UR_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2358),
    [anon_sym_co_await] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2356),
    [anon_sym_requires] = ACTIONS(2356),
    [sym_this] = ACTIONS(2356),
    [anon_sym_discard] = ACTIONS(2356),
    [anon_sym_precise] = ACTIONS(2356),
    [anon_sym_shared] = ACTIONS(2356),
    [anon_sym_groupshared] = ACTIONS(2356),
    [anon_sym_uniform] = ACTIONS(2356),
    [anon_sym_row_major] = ACTIONS(2356),
    [anon_sym_column_major] = ACTIONS(2356),
    [anon_sym_globallycoherent] = ACTIONS(2356),
    [anon_sym_centroid] = ACTIONS(2356),
    [anon_sym_noperspective] = ACTIONS(2356),
    [anon_sym_nointerpolation] = ACTIONS(2356),
    [anon_sym_sample] = ACTIONS(2356),
    [anon_sym_linear] = ACTIONS(2356),
    [anon_sym_snorm] = ACTIONS(2356),
    [anon_sym_unorm] = ACTIONS(2356),
    [anon_sym_point] = ACTIONS(2356),
    [anon_sym_line] = ACTIONS(2356),
    [anon_sym_triangleadj] = ACTIONS(2356),
    [anon_sym_lineadj] = ACTIONS(2356),
    [anon_sym_triangle] = ACTIONS(2356),
    [anon_sym_cbuffer] = ACTIONS(2356),
  },
  [239] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_include_token1] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token2] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [aux_sym_preproc_else_token1] = ACTIONS(2201),
    [aux_sym_preproc_elif_token1] = ACTIONS(2201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym___cdecl] = ACTIONS(2201),
    [anon_sym___clrcall] = ACTIONS(2201),
    [anon_sym___stdcall] = ACTIONS(2201),
    [anon_sym___fastcall] = ACTIONS(2201),
    [anon_sym___thiscall] = ACTIONS(2201),
    [anon_sym___vectorcall] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_concept] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [240] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [aux_sym_preproc_else_token1] = ACTIONS(2360),
    [aux_sym_preproc_elif_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_namespace] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_concept] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [241] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2243),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [242] = {
    [sym_identifier] = ACTIONS(2366),
    [aux_sym_preproc_include_token1] = ACTIONS(2366),
    [aux_sym_preproc_def_token1] = ACTIONS(2366),
    [aux_sym_preproc_if_token1] = ACTIONS(2366),
    [aux_sym_preproc_if_token2] = ACTIONS(2366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2366),
    [aux_sym_preproc_else_token1] = ACTIONS(2366),
    [aux_sym_preproc_elif_token1] = ACTIONS(2366),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2366),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2366),
    [sym_preproc_directive] = ACTIONS(2366),
    [anon_sym_LPAREN2] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_AMP_AMP] = ACTIONS(2368),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym___extension__] = ACTIONS(2366),
    [anon_sym_typedef] = ACTIONS(2366),
    [anon_sym_in] = ACTIONS(2366),
    [anon_sym_out] = ACTIONS(2366),
    [anon_sym_inout] = ACTIONS(2366),
    [anon_sym_virtual] = ACTIONS(2366),
    [anon_sym_extern] = ACTIONS(2366),
    [anon_sym___attribute__] = ACTIONS(2366),
    [anon_sym___attribute] = ACTIONS(2366),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2368),
    [anon_sym___declspec] = ACTIONS(2366),
    [anon_sym___based] = ACTIONS(2366),
    [anon_sym___cdecl] = ACTIONS(2366),
    [anon_sym___clrcall] = ACTIONS(2366),
    [anon_sym___stdcall] = ACTIONS(2366),
    [anon_sym___fastcall] = ACTIONS(2366),
    [anon_sym___thiscall] = ACTIONS(2366),
    [anon_sym___vectorcall] = ACTIONS(2366),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_signed] = ACTIONS(2366),
    [anon_sym_unsigned] = ACTIONS(2366),
    [anon_sym_long] = ACTIONS(2366),
    [anon_sym_short] = ACTIONS(2366),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym_static] = ACTIONS(2366),
    [anon_sym_register] = ACTIONS(2366),
    [anon_sym_inline] = ACTIONS(2366),
    [anon_sym___inline] = ACTIONS(2366),
    [anon_sym___inline__] = ACTIONS(2366),
    [anon_sym___forceinline] = ACTIONS(2366),
    [anon_sym_thread_local] = ACTIONS(2366),
    [anon_sym___thread] = ACTIONS(2366),
    [anon_sym_const] = ACTIONS(2366),
    [anon_sym_constexpr] = ACTIONS(2366),
    [anon_sym_volatile] = ACTIONS(2366),
    [anon_sym_restrict] = ACTIONS(2366),
    [anon_sym___restrict__] = ACTIONS(2366),
    [anon_sym__Atomic] = ACTIONS(2366),
    [anon_sym__Noreturn] = ACTIONS(2366),
    [anon_sym_noreturn] = ACTIONS(2366),
    [anon_sym__Nonnull] = ACTIONS(2366),
    [anon_sym_mutable] = ACTIONS(2366),
    [anon_sym_constinit] = ACTIONS(2366),
    [anon_sym_consteval] = ACTIONS(2366),
    [anon_sym_alignas] = ACTIONS(2366),
    [anon_sym__Alignas] = ACTIONS(2366),
    [sym_primitive_type] = ACTIONS(2366),
    [anon_sym_enum] = ACTIONS(2366),
    [anon_sym_class] = ACTIONS(2366),
    [anon_sym_struct] = ACTIONS(2366),
    [anon_sym_union] = ACTIONS(2366),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_else] = ACTIONS(2366),
    [anon_sym_switch] = ACTIONS(2366),
    [anon_sym_case] = ACTIONS(2366),
    [anon_sym_default] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2366),
    [anon_sym_for] = ACTIONS(2366),
    [anon_sym_return] = ACTIONS(2366),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2366),
    [anon_sym_goto] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2366),
    [anon_sym___leave] = ACTIONS(2366),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_sizeof] = ACTIONS(2366),
    [anon_sym___alignof__] = ACTIONS(2366),
    [anon_sym___alignof] = ACTIONS(2366),
    [anon_sym__alignof] = ACTIONS(2366),
    [anon_sym_alignof] = ACTIONS(2366),
    [anon_sym__Alignof] = ACTIONS(2366),
    [anon_sym_offsetof] = ACTIONS(2366),
    [anon_sym__Generic] = ACTIONS(2366),
    [anon_sym_asm] = ACTIONS(2366),
    [anon_sym___asm__] = ACTIONS(2366),
    [anon_sym___asm] = ACTIONS(2366),
    [sym_number_literal] = ACTIONS(2368),
    [anon_sym_L_SQUOTE] = ACTIONS(2368),
    [anon_sym_u_SQUOTE] = ACTIONS(2368),
    [anon_sym_U_SQUOTE] = ACTIONS(2368),
    [anon_sym_u8_SQUOTE] = ACTIONS(2368),
    [anon_sym_SQUOTE] = ACTIONS(2368),
    [anon_sym_L_DQUOTE] = ACTIONS(2368),
    [anon_sym_u_DQUOTE] = ACTIONS(2368),
    [anon_sym_U_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8_DQUOTE] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2368),
    [sym_true] = ACTIONS(2366),
    [sym_false] = ACTIONS(2366),
    [anon_sym_NULL] = ACTIONS(2366),
    [anon_sym_nullptr] = ACTIONS(2366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2366),
    [anon_sym_decltype] = ACTIONS(2366),
    [anon_sym_explicit] = ACTIONS(2366),
    [anon_sym_typename] = ACTIONS(2366),
    [anon_sym_template] = ACTIONS(2366),
    [anon_sym_operator] = ACTIONS(2366),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_delete] = ACTIONS(2366),
    [anon_sym_throw] = ACTIONS(2366),
    [anon_sym_namespace] = ACTIONS(2366),
    [anon_sym_using] = ACTIONS(2366),
    [anon_sym_static_assert] = ACTIONS(2366),
    [anon_sym_concept] = ACTIONS(2366),
    [anon_sym_co_return] = ACTIONS(2366),
    [anon_sym_co_yield] = ACTIONS(2366),
    [anon_sym_R_DQUOTE] = ACTIONS(2368),
    [anon_sym_LR_DQUOTE] = ACTIONS(2368),
    [anon_sym_uR_DQUOTE] = ACTIONS(2368),
    [anon_sym_UR_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2368),
    [anon_sym_co_await] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_requires] = ACTIONS(2366),
    [sym_this] = ACTIONS(2366),
    [anon_sym_discard] = ACTIONS(2366),
    [anon_sym_precise] = ACTIONS(2366),
    [anon_sym_shared] = ACTIONS(2366),
    [anon_sym_groupshared] = ACTIONS(2366),
    [anon_sym_uniform] = ACTIONS(2366),
    [anon_sym_row_major] = ACTIONS(2366),
    [anon_sym_column_major] = ACTIONS(2366),
    [anon_sym_globallycoherent] = ACTIONS(2366),
    [anon_sym_centroid] = ACTIONS(2366),
    [anon_sym_noperspective] = ACTIONS(2366),
    [anon_sym_nointerpolation] = ACTIONS(2366),
    [anon_sym_sample] = ACTIONS(2366),
    [anon_sym_linear] = ACTIONS(2366),
    [anon_sym_snorm] = ACTIONS(2366),
    [anon_sym_unorm] = ACTIONS(2366),
    [anon_sym_point] = ACTIONS(2366),
    [anon_sym_line] = ACTIONS(2366),
    [anon_sym_triangleadj] = ACTIONS(2366),
    [anon_sym_lineadj] = ACTIONS(2366),
    [anon_sym_triangle] = ACTIONS(2366),
    [anon_sym_cbuffer] = ACTIONS(2366),
  },
  [243] = {
    [sym_identifier] = ACTIONS(1934),
    [aux_sym_preproc_include_token1] = ACTIONS(1934),
    [aux_sym_preproc_def_token1] = ACTIONS(1934),
    [aux_sym_preproc_if_token1] = ACTIONS(1934),
    [aux_sym_preproc_if_token2] = ACTIONS(1934),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1934),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1934),
    [sym_preproc_directive] = ACTIONS(1934),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_typedef] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym___cdecl] = ACTIONS(1934),
    [anon_sym___clrcall] = ACTIONS(1934),
    [anon_sym___stdcall] = ACTIONS(1934),
    [anon_sym___fastcall] = ACTIONS(1934),
    [anon_sym___thiscall] = ACTIONS(1934),
    [anon_sym___vectorcall] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_signed] = ACTIONS(1934),
    [anon_sym_unsigned] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [sym_primitive_type] = ACTIONS(1934),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_class] = ACTIONS(1934),
    [anon_sym_struct] = ACTIONS(1934),
    [anon_sym_union] = ACTIONS(1934),
    [anon_sym_if] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1934),
    [anon_sym_switch] = ACTIONS(1934),
    [anon_sym_case] = ACTIONS(1934),
    [anon_sym_default] = ACTIONS(1934),
    [anon_sym_while] = ACTIONS(1934),
    [anon_sym_do] = ACTIONS(1934),
    [anon_sym_for] = ACTIONS(1934),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_break] = ACTIONS(1934),
    [anon_sym_continue] = ACTIONS(1934),
    [anon_sym_goto] = ACTIONS(1934),
    [anon_sym___try] = ACTIONS(1934),
    [anon_sym___leave] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1934),
    [anon_sym_compl] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_sizeof] = ACTIONS(1934),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1934),
    [anon_sym__Generic] = ACTIONS(1934),
    [anon_sym_asm] = ACTIONS(1934),
    [anon_sym___asm__] = ACTIONS(1934),
    [anon_sym___asm] = ACTIONS(1934),
    [sym_number_literal] = ACTIONS(1936),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1936),
    [anon_sym_u_DQUOTE] = ACTIONS(1936),
    [anon_sym_U_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8_DQUOTE] = ACTIONS(1936),
    [anon_sym_DQUOTE] = ACTIONS(1936),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1934),
    [anon_sym_nullptr] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_final] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_explicit] = ACTIONS(1934),
    [anon_sym_typename] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_try] = ACTIONS(1934),
    [anon_sym_delete] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1934),
    [anon_sym_namespace] = ACTIONS(1934),
    [anon_sym_using] = ACTIONS(1934),
    [anon_sym_static_assert] = ACTIONS(1934),
    [anon_sym_concept] = ACTIONS(1934),
    [anon_sym_co_return] = ACTIONS(1934),
    [anon_sym_co_yield] = ACTIONS(1934),
    [anon_sym_R_DQUOTE] = ACTIONS(1936),
    [anon_sym_LR_DQUOTE] = ACTIONS(1936),
    [anon_sym_uR_DQUOTE] = ACTIONS(1936),
    [anon_sym_UR_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1936),
    [anon_sym_co_await] = ACTIONS(1934),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_requires] = ACTIONS(1934),
    [sym_this] = ACTIONS(1934),
    [anon_sym_discard] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
    [anon_sym_cbuffer] = ACTIONS(1934),
  },
  [244] = {
    [sym_identifier] = ACTIONS(2370),
    [aux_sym_preproc_include_token1] = ACTIONS(2370),
    [aux_sym_preproc_def_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token2] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2370),
    [aux_sym_preproc_else_token1] = ACTIONS(2370),
    [aux_sym_preproc_elif_token1] = ACTIONS(2370),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2370),
    [sym_preproc_directive] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2372),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym___extension__] = ACTIONS(2370),
    [anon_sym_typedef] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_out] = ACTIONS(2370),
    [anon_sym_inout] = ACTIONS(2370),
    [anon_sym_virtual] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2370),
    [anon_sym___attribute__] = ACTIONS(2370),
    [anon_sym___attribute] = ACTIONS(2370),
    [anon_sym_COLON_COLON] = ACTIONS(2372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2372),
    [anon_sym___declspec] = ACTIONS(2370),
    [anon_sym___based] = ACTIONS(2370),
    [anon_sym___cdecl] = ACTIONS(2370),
    [anon_sym___clrcall] = ACTIONS(2370),
    [anon_sym___stdcall] = ACTIONS(2370),
    [anon_sym___fastcall] = ACTIONS(2370),
    [anon_sym___thiscall] = ACTIONS(2370),
    [anon_sym___vectorcall] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2372),
    [anon_sym_signed] = ACTIONS(2370),
    [anon_sym_unsigned] = ACTIONS(2370),
    [anon_sym_long] = ACTIONS(2370),
    [anon_sym_short] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_register] = ACTIONS(2370),
    [anon_sym_inline] = ACTIONS(2370),
    [anon_sym___inline] = ACTIONS(2370),
    [anon_sym___inline__] = ACTIONS(2370),
    [anon_sym___forceinline] = ACTIONS(2370),
    [anon_sym_thread_local] = ACTIONS(2370),
    [anon_sym___thread] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_constexpr] = ACTIONS(2370),
    [anon_sym_volatile] = ACTIONS(2370),
    [anon_sym_restrict] = ACTIONS(2370),
    [anon_sym___restrict__] = ACTIONS(2370),
    [anon_sym__Atomic] = ACTIONS(2370),
    [anon_sym__Noreturn] = ACTIONS(2370),
    [anon_sym_noreturn] = ACTIONS(2370),
    [anon_sym__Nonnull] = ACTIONS(2370),
    [anon_sym_mutable] = ACTIONS(2370),
    [anon_sym_constinit] = ACTIONS(2370),
    [anon_sym_consteval] = ACTIONS(2370),
    [anon_sym_alignas] = ACTIONS(2370),
    [anon_sym__Alignas] = ACTIONS(2370),
    [sym_primitive_type] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_struct] = ACTIONS(2370),
    [anon_sym_union] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_case] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2370),
    [anon_sym___leave] = ACTIONS(2370),
    [anon_sym_not] = ACTIONS(2370),
    [anon_sym_compl] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2372),
    [anon_sym_PLUS_PLUS] = ACTIONS(2372),
    [anon_sym_sizeof] = ACTIONS(2370),
    [anon_sym___alignof__] = ACTIONS(2370),
    [anon_sym___alignof] = ACTIONS(2370),
    [anon_sym__alignof] = ACTIONS(2370),
    [anon_sym_alignof] = ACTIONS(2370),
    [anon_sym__Alignof] = ACTIONS(2370),
    [anon_sym_offsetof] = ACTIONS(2370),
    [anon_sym__Generic] = ACTIONS(2370),
    [anon_sym_asm] = ACTIONS(2370),
    [anon_sym___asm__] = ACTIONS(2370),
    [anon_sym___asm] = ACTIONS(2370),
    [sym_number_literal] = ACTIONS(2372),
    [anon_sym_L_SQUOTE] = ACTIONS(2372),
    [anon_sym_u_SQUOTE] = ACTIONS(2372),
    [anon_sym_U_SQUOTE] = ACTIONS(2372),
    [anon_sym_u8_SQUOTE] = ACTIONS(2372),
    [anon_sym_SQUOTE] = ACTIONS(2372),
    [anon_sym_L_DQUOTE] = ACTIONS(2372),
    [anon_sym_u_DQUOTE] = ACTIONS(2372),
    [anon_sym_U_DQUOTE] = ACTIONS(2372),
    [anon_sym_u8_DQUOTE] = ACTIONS(2372),
    [anon_sym_DQUOTE] = ACTIONS(2372),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [anon_sym_NULL] = ACTIONS(2370),
    [anon_sym_nullptr] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2370),
    [anon_sym_decltype] = ACTIONS(2370),
    [anon_sym_explicit] = ACTIONS(2370),
    [anon_sym_typename] = ACTIONS(2370),
    [anon_sym_template] = ACTIONS(2370),
    [anon_sym_operator] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_static_assert] = ACTIONS(2370),
    [anon_sym_concept] = ACTIONS(2370),
    [anon_sym_co_return] = ACTIONS(2370),
    [anon_sym_co_yield] = ACTIONS(2370),
    [anon_sym_R_DQUOTE] = ACTIONS(2372),
    [anon_sym_LR_DQUOTE] = ACTIONS(2372),
    [anon_sym_uR_DQUOTE] = ACTIONS(2372),
    [anon_sym_UR_DQUOTE] = ACTIONS(2372),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2372),
    [anon_sym_co_await] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_requires] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [anon_sym_discard] = ACTIONS(2370),
    [anon_sym_precise] = ACTIONS(2370),
    [anon_sym_shared] = ACTIONS(2370),
    [anon_sym_groupshared] = ACTIONS(2370),
    [anon_sym_uniform] = ACTIONS(2370),
    [anon_sym_row_major] = ACTIONS(2370),
    [anon_sym_column_major] = ACTIONS(2370),
    [anon_sym_globallycoherent] = ACTIONS(2370),
    [anon_sym_centroid] = ACTIONS(2370),
    [anon_sym_noperspective] = ACTIONS(2370),
    [anon_sym_nointerpolation] = ACTIONS(2370),
    [anon_sym_sample] = ACTIONS(2370),
    [anon_sym_linear] = ACTIONS(2370),
    [anon_sym_snorm] = ACTIONS(2370),
    [anon_sym_unorm] = ACTIONS(2370),
    [anon_sym_point] = ACTIONS(2370),
    [anon_sym_line] = ACTIONS(2370),
    [anon_sym_triangleadj] = ACTIONS(2370),
    [anon_sym_lineadj] = ACTIONS(2370),
    [anon_sym_triangle] = ACTIONS(2370),
    [anon_sym_cbuffer] = ACTIONS(2370),
  },
  [245] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [aux_sym_preproc_else_token1] = ACTIONS(2374),
    [aux_sym_preproc_elif_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [246] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [aux_sym_preproc_else_token1] = ACTIONS(2374),
    [aux_sym_preproc_elif_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2378),
    [aux_sym_preproc_include_token1] = ACTIONS(2378),
    [aux_sym_preproc_def_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token2] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2378),
    [aux_sym_preproc_else_token1] = ACTIONS(2378),
    [aux_sym_preproc_elif_token1] = ACTIONS(2378),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2378),
    [sym_preproc_directive] = ACTIONS(2378),
    [anon_sym_LPAREN2] = ACTIONS(2380),
    [anon_sym_BANG] = ACTIONS(2380),
    [anon_sym_TILDE] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2380),
    [anon_sym___extension__] = ACTIONS(2378),
    [anon_sym_typedef] = ACTIONS(2378),
    [anon_sym_in] = ACTIONS(2378),
    [anon_sym_out] = ACTIONS(2378),
    [anon_sym_inout] = ACTIONS(2378),
    [anon_sym_virtual] = ACTIONS(2378),
    [anon_sym_extern] = ACTIONS(2378),
    [anon_sym___attribute__] = ACTIONS(2378),
    [anon_sym___attribute] = ACTIONS(2378),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2380),
    [anon_sym___declspec] = ACTIONS(2378),
    [anon_sym___based] = ACTIONS(2378),
    [anon_sym___cdecl] = ACTIONS(2378),
    [anon_sym___clrcall] = ACTIONS(2378),
    [anon_sym___stdcall] = ACTIONS(2378),
    [anon_sym___fastcall] = ACTIONS(2378),
    [anon_sym___thiscall] = ACTIONS(2378),
    [anon_sym___vectorcall] = ACTIONS(2378),
    [anon_sym_LBRACE] = ACTIONS(2380),
    [anon_sym_signed] = ACTIONS(2378),
    [anon_sym_unsigned] = ACTIONS(2378),
    [anon_sym_long] = ACTIONS(2378),
    [anon_sym_short] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_register] = ACTIONS(2378),
    [anon_sym_inline] = ACTIONS(2378),
    [anon_sym___inline] = ACTIONS(2378),
    [anon_sym___inline__] = ACTIONS(2378),
    [anon_sym___forceinline] = ACTIONS(2378),
    [anon_sym_thread_local] = ACTIONS(2378),
    [anon_sym___thread] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_constexpr] = ACTIONS(2378),
    [anon_sym_volatile] = ACTIONS(2378),
    [anon_sym_restrict] = ACTIONS(2378),
    [anon_sym___restrict__] = ACTIONS(2378),
    [anon_sym__Atomic] = ACTIONS(2378),
    [anon_sym__Noreturn] = ACTIONS(2378),
    [anon_sym_noreturn] = ACTIONS(2378),
    [anon_sym__Nonnull] = ACTIONS(2378),
    [anon_sym_mutable] = ACTIONS(2378),
    [anon_sym_constinit] = ACTIONS(2378),
    [anon_sym_consteval] = ACTIONS(2378),
    [anon_sym_alignas] = ACTIONS(2378),
    [anon_sym__Alignas] = ACTIONS(2378),
    [sym_primitive_type] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_struct] = ACTIONS(2378),
    [anon_sym_union] = ACTIONS(2378),
    [anon_sym_if] = ACTIONS(2378),
    [anon_sym_switch] = ACTIONS(2378),
    [anon_sym_case] = ACTIONS(2378),
    [anon_sym_default] = ACTIONS(2378),
    [anon_sym_while] = ACTIONS(2378),
    [anon_sym_do] = ACTIONS(2378),
    [anon_sym_for] = ACTIONS(2378),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_break] = ACTIONS(2378),
    [anon_sym_continue] = ACTIONS(2378),
    [anon_sym_goto] = ACTIONS(2378),
    [anon_sym___try] = ACTIONS(2378),
    [anon_sym___leave] = ACTIONS(2378),
    [anon_sym_not] = ACTIONS(2378),
    [anon_sym_compl] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2378),
    [anon_sym___alignof__] = ACTIONS(2378),
    [anon_sym___alignof] = ACTIONS(2378),
    [anon_sym__alignof] = ACTIONS(2378),
    [anon_sym_alignof] = ACTIONS(2378),
    [anon_sym__Alignof] = ACTIONS(2378),
    [anon_sym_offsetof] = ACTIONS(2378),
    [anon_sym__Generic] = ACTIONS(2378),
    [anon_sym_asm] = ACTIONS(2378),
    [anon_sym___asm__] = ACTIONS(2378),
    [anon_sym___asm] = ACTIONS(2378),
    [sym_number_literal] = ACTIONS(2380),
    [anon_sym_L_SQUOTE] = ACTIONS(2380),
    [anon_sym_u_SQUOTE] = ACTIONS(2380),
    [anon_sym_U_SQUOTE] = ACTIONS(2380),
    [anon_sym_u8_SQUOTE] = ACTIONS(2380),
    [anon_sym_SQUOTE] = ACTIONS(2380),
    [anon_sym_L_DQUOTE] = ACTIONS(2380),
    [anon_sym_u_DQUOTE] = ACTIONS(2380),
    [anon_sym_U_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8_DQUOTE] = ACTIONS(2380),
    [anon_sym_DQUOTE] = ACTIONS(2380),
    [sym_true] = ACTIONS(2378),
    [sym_false] = ACTIONS(2378),
    [anon_sym_NULL] = ACTIONS(2378),
    [anon_sym_nullptr] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2378),
    [anon_sym_decltype] = ACTIONS(2378),
    [anon_sym_explicit] = ACTIONS(2378),
    [anon_sym_typename] = ACTIONS(2378),
    [anon_sym_template] = ACTIONS(2378),
    [anon_sym_operator] = ACTIONS(2378),
    [anon_sym_try] = ACTIONS(2378),
    [anon_sym_delete] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2378),
    [anon_sym_namespace] = ACTIONS(2378),
    [anon_sym_using] = ACTIONS(2378),
    [anon_sym_static_assert] = ACTIONS(2378),
    [anon_sym_concept] = ACTIONS(2378),
    [anon_sym_co_return] = ACTIONS(2378),
    [anon_sym_co_yield] = ACTIONS(2378),
    [anon_sym_R_DQUOTE] = ACTIONS(2380),
    [anon_sym_LR_DQUOTE] = ACTIONS(2380),
    [anon_sym_uR_DQUOTE] = ACTIONS(2380),
    [anon_sym_UR_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2380),
    [anon_sym_co_await] = ACTIONS(2378),
    [anon_sym_new] = ACTIONS(2378),
    [anon_sym_requires] = ACTIONS(2378),
    [sym_this] = ACTIONS(2378),
    [anon_sym_discard] = ACTIONS(2378),
    [anon_sym_precise] = ACTIONS(2378),
    [anon_sym_shared] = ACTIONS(2378),
    [anon_sym_groupshared] = ACTIONS(2378),
    [anon_sym_uniform] = ACTIONS(2378),
    [anon_sym_row_major] = ACTIONS(2378),
    [anon_sym_column_major] = ACTIONS(2378),
    [anon_sym_globallycoherent] = ACTIONS(2378),
    [anon_sym_centroid] = ACTIONS(2378),
    [anon_sym_noperspective] = ACTIONS(2378),
    [anon_sym_nointerpolation] = ACTIONS(2378),
    [anon_sym_sample] = ACTIONS(2378),
    [anon_sym_linear] = ACTIONS(2378),
    [anon_sym_snorm] = ACTIONS(2378),
    [anon_sym_unorm] = ACTIONS(2378),
    [anon_sym_point] = ACTIONS(2378),
    [anon_sym_line] = ACTIONS(2378),
    [anon_sym_triangleadj] = ACTIONS(2378),
    [anon_sym_lineadj] = ACTIONS(2378),
    [anon_sym_triangle] = ACTIONS(2378),
    [anon_sym_cbuffer] = ACTIONS(2378),
  },
  [248] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_include_token1] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token2] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [aux_sym_preproc_else_token1] = ACTIONS(2382),
    [aux_sym_preproc_elif_token1] = ACTIONS(2382),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym___cdecl] = ACTIONS(2382),
    [anon_sym___clrcall] = ACTIONS(2382),
    [anon_sym___stdcall] = ACTIONS(2382),
    [anon_sym___fastcall] = ACTIONS(2382),
    [anon_sym___thiscall] = ACTIONS(2382),
    [anon_sym___vectorcall] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_goto] = ACTIONS(2382),
    [anon_sym___try] = ACTIONS(2382),
    [anon_sym___leave] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_compl] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_sizeof] = ACTIONS(2382),
    [anon_sym___alignof__] = ACTIONS(2382),
    [anon_sym___alignof] = ACTIONS(2382),
    [anon_sym__alignof] = ACTIONS(2382),
    [anon_sym_alignof] = ACTIONS(2382),
    [anon_sym__Alignof] = ACTIONS(2382),
    [anon_sym_offsetof] = ACTIONS(2382),
    [anon_sym__Generic] = ACTIONS(2382),
    [anon_sym_asm] = ACTIONS(2382),
    [anon_sym___asm__] = ACTIONS(2382),
    [anon_sym___asm] = ACTIONS(2382),
    [sym_number_literal] = ACTIONS(2384),
    [anon_sym_L_SQUOTE] = ACTIONS(2384),
    [anon_sym_u_SQUOTE] = ACTIONS(2384),
    [anon_sym_U_SQUOTE] = ACTIONS(2384),
    [anon_sym_u8_SQUOTE] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2384),
    [anon_sym_L_DQUOTE] = ACTIONS(2384),
    [anon_sym_u_DQUOTE] = ACTIONS(2384),
    [anon_sym_U_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8_DQUOTE] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2384),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [anon_sym_NULL] = ACTIONS(2382),
    [anon_sym_nullptr] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_concept] = ACTIONS(2382),
    [anon_sym_co_return] = ACTIONS(2382),
    [anon_sym_co_yield] = ACTIONS(2382),
    [anon_sym_R_DQUOTE] = ACTIONS(2384),
    [anon_sym_LR_DQUOTE] = ACTIONS(2384),
    [anon_sym_uR_DQUOTE] = ACTIONS(2384),
    [anon_sym_UR_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2384),
    [anon_sym_co_await] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_requires] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [anon_sym_discard] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
    [anon_sym_cbuffer] = ACTIONS(2382),
  },
  [249] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_include_token1] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token2] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [aux_sym_preproc_else_token1] = ACTIONS(2382),
    [aux_sym_preproc_elif_token1] = ACTIONS(2382),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym___cdecl] = ACTIONS(2382),
    [anon_sym___clrcall] = ACTIONS(2382),
    [anon_sym___stdcall] = ACTIONS(2382),
    [anon_sym___fastcall] = ACTIONS(2382),
    [anon_sym___thiscall] = ACTIONS(2382),
    [anon_sym___vectorcall] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_goto] = ACTIONS(2382),
    [anon_sym___try] = ACTIONS(2382),
    [anon_sym___leave] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_compl] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_sizeof] = ACTIONS(2382),
    [anon_sym___alignof__] = ACTIONS(2382),
    [anon_sym___alignof] = ACTIONS(2382),
    [anon_sym__alignof] = ACTIONS(2382),
    [anon_sym_alignof] = ACTIONS(2382),
    [anon_sym__Alignof] = ACTIONS(2382),
    [anon_sym_offsetof] = ACTIONS(2382),
    [anon_sym__Generic] = ACTIONS(2382),
    [anon_sym_asm] = ACTIONS(2382),
    [anon_sym___asm__] = ACTIONS(2382),
    [anon_sym___asm] = ACTIONS(2382),
    [sym_number_literal] = ACTIONS(2384),
    [anon_sym_L_SQUOTE] = ACTIONS(2384),
    [anon_sym_u_SQUOTE] = ACTIONS(2384),
    [anon_sym_U_SQUOTE] = ACTIONS(2384),
    [anon_sym_u8_SQUOTE] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2384),
    [anon_sym_L_DQUOTE] = ACTIONS(2384),
    [anon_sym_u_DQUOTE] = ACTIONS(2384),
    [anon_sym_U_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8_DQUOTE] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2384),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [anon_sym_NULL] = ACTIONS(2382),
    [anon_sym_nullptr] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_concept] = ACTIONS(2382),
    [anon_sym_co_return] = ACTIONS(2382),
    [anon_sym_co_yield] = ACTIONS(2382),
    [anon_sym_R_DQUOTE] = ACTIONS(2384),
    [anon_sym_LR_DQUOTE] = ACTIONS(2384),
    [anon_sym_uR_DQUOTE] = ACTIONS(2384),
    [anon_sym_UR_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2384),
    [anon_sym_co_await] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_requires] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [anon_sym_discard] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
    [anon_sym_cbuffer] = ACTIONS(2382),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2386),
    [aux_sym_preproc_include_token1] = ACTIONS(2386),
    [aux_sym_preproc_def_token1] = ACTIONS(2386),
    [aux_sym_preproc_if_token1] = ACTIONS(2386),
    [aux_sym_preproc_if_token2] = ACTIONS(2386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2386),
    [aux_sym_preproc_else_token1] = ACTIONS(2386),
    [aux_sym_preproc_elif_token1] = ACTIONS(2386),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2386),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2386),
    [sym_preproc_directive] = ACTIONS(2386),
    [anon_sym_LPAREN2] = ACTIONS(2388),
    [anon_sym_BANG] = ACTIONS(2388),
    [anon_sym_TILDE] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2386),
    [anon_sym_PLUS] = ACTIONS(2386),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_AMP_AMP] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2386),
    [anon_sym_SEMI] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2386),
    [anon_sym_typedef] = ACTIONS(2386),
    [anon_sym_in] = ACTIONS(2386),
    [anon_sym_out] = ACTIONS(2386),
    [anon_sym_inout] = ACTIONS(2386),
    [anon_sym_virtual] = ACTIONS(2386),
    [anon_sym_extern] = ACTIONS(2386),
    [anon_sym___attribute__] = ACTIONS(2386),
    [anon_sym___attribute] = ACTIONS(2386),
    [anon_sym_COLON_COLON] = ACTIONS(2388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2388),
    [anon_sym___declspec] = ACTIONS(2386),
    [anon_sym___based] = ACTIONS(2386),
    [anon_sym___cdecl] = ACTIONS(2386),
    [anon_sym___clrcall] = ACTIONS(2386),
    [anon_sym___stdcall] = ACTIONS(2386),
    [anon_sym___fastcall] = ACTIONS(2386),
    [anon_sym___thiscall] = ACTIONS(2386),
    [anon_sym___vectorcall] = ACTIONS(2386),
    [anon_sym_LBRACE] = ACTIONS(2388),
    [anon_sym_signed] = ACTIONS(2386),
    [anon_sym_unsigned] = ACTIONS(2386),
    [anon_sym_long] = ACTIONS(2386),
    [anon_sym_short] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_static] = ACTIONS(2386),
    [anon_sym_register] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym___inline] = ACTIONS(2386),
    [anon_sym___inline__] = ACTIONS(2386),
    [anon_sym___forceinline] = ACTIONS(2386),
    [anon_sym_thread_local] = ACTIONS(2386),
    [anon_sym___thread] = ACTIONS(2386),
    [anon_sym_const] = ACTIONS(2386),
    [anon_sym_constexpr] = ACTIONS(2386),
    [anon_sym_volatile] = ACTIONS(2386),
    [anon_sym_restrict] = ACTIONS(2386),
    [anon_sym___restrict__] = ACTIONS(2386),
    [anon_sym__Atomic] = ACTIONS(2386),
    [anon_sym__Noreturn] = ACTIONS(2386),
    [anon_sym_noreturn] = ACTIONS(2386),
    [anon_sym__Nonnull] = ACTIONS(2386),
    [anon_sym_mutable] = ACTIONS(2386),
    [anon_sym_constinit] = ACTIONS(2386),
    [anon_sym_consteval] = ACTIONS(2386),
    [anon_sym_alignas] = ACTIONS(2386),
    [anon_sym__Alignas] = ACTIONS(2386),
    [sym_primitive_type] = ACTIONS(2386),
    [anon_sym_enum] = ACTIONS(2386),
    [anon_sym_class] = ACTIONS(2386),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2386),
    [anon_sym_if] = ACTIONS(2386),
    [anon_sym_switch] = ACTIONS(2386),
    [anon_sym_case] = ACTIONS(2386),
    [anon_sym_default] = ACTIONS(2386),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_do] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2386),
    [anon_sym_return] = ACTIONS(2386),
    [anon_sym_break] = ACTIONS(2386),
    [anon_sym_continue] = ACTIONS(2386),
    [anon_sym_goto] = ACTIONS(2386),
    [anon_sym___try] = ACTIONS(2386),
    [anon_sym___leave] = ACTIONS(2386),
    [anon_sym_not] = ACTIONS(2386),
    [anon_sym_compl] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2388),
    [anon_sym_PLUS_PLUS] = ACTIONS(2388),
    [anon_sym_sizeof] = ACTIONS(2386),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2386),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2386),
    [anon_sym___asm__] = ACTIONS(2386),
    [anon_sym___asm] = ACTIONS(2386),
    [sym_number_literal] = ACTIONS(2388),
    [anon_sym_L_SQUOTE] = ACTIONS(2388),
    [anon_sym_u_SQUOTE] = ACTIONS(2388),
    [anon_sym_U_SQUOTE] = ACTIONS(2388),
    [anon_sym_u8_SQUOTE] = ACTIONS(2388),
    [anon_sym_SQUOTE] = ACTIONS(2388),
    [anon_sym_L_DQUOTE] = ACTIONS(2388),
    [anon_sym_u_DQUOTE] = ACTIONS(2388),
    [anon_sym_U_DQUOTE] = ACTIONS(2388),
    [anon_sym_u8_DQUOTE] = ACTIONS(2388),
    [anon_sym_DQUOTE] = ACTIONS(2388),
    [sym_true] = ACTIONS(2386),
    [sym_false] = ACTIONS(2386),
    [anon_sym_NULL] = ACTIONS(2386),
    [anon_sym_nullptr] = ACTIONS(2386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2386),
    [anon_sym_decltype] = ACTIONS(2386),
    [anon_sym_explicit] = ACTIONS(2386),
    [anon_sym_typename] = ACTIONS(2386),
    [anon_sym_template] = ACTIONS(2386),
    [anon_sym_operator] = ACTIONS(2386),
    [anon_sym_try] = ACTIONS(2386),
    [anon_sym_delete] = ACTIONS(2386),
    [anon_sym_throw] = ACTIONS(2386),
    [anon_sym_namespace] = ACTIONS(2386),
    [anon_sym_using] = ACTIONS(2386),
    [anon_sym_static_assert] = ACTIONS(2386),
    [anon_sym_concept] = ACTIONS(2386),
    [anon_sym_co_return] = ACTIONS(2386),
    [anon_sym_co_yield] = ACTIONS(2386),
    [anon_sym_R_DQUOTE] = ACTIONS(2388),
    [anon_sym_LR_DQUOTE] = ACTIONS(2388),
    [anon_sym_uR_DQUOTE] = ACTIONS(2388),
    [anon_sym_UR_DQUOTE] = ACTIONS(2388),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2388),
    [anon_sym_co_await] = ACTIONS(2386),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_requires] = ACTIONS(2386),
    [sym_this] = ACTIONS(2386),
    [anon_sym_discard] = ACTIONS(2386),
    [anon_sym_precise] = ACTIONS(2386),
    [anon_sym_shared] = ACTIONS(2386),
    [anon_sym_groupshared] = ACTIONS(2386),
    [anon_sym_uniform] = ACTIONS(2386),
    [anon_sym_row_major] = ACTIONS(2386),
    [anon_sym_column_major] = ACTIONS(2386),
    [anon_sym_globallycoherent] = ACTIONS(2386),
    [anon_sym_centroid] = ACTIONS(2386),
    [anon_sym_noperspective] = ACTIONS(2386),
    [anon_sym_nointerpolation] = ACTIONS(2386),
    [anon_sym_sample] = ACTIONS(2386),
    [anon_sym_linear] = ACTIONS(2386),
    [anon_sym_snorm] = ACTIONS(2386),
    [anon_sym_unorm] = ACTIONS(2386),
    [anon_sym_point] = ACTIONS(2386),
    [anon_sym_line] = ACTIONS(2386),
    [anon_sym_triangleadj] = ACTIONS(2386),
    [anon_sym_lineadj] = ACTIONS(2386),
    [anon_sym_triangle] = ACTIONS(2386),
    [anon_sym_cbuffer] = ACTIONS(2386),
  },
  [251] = {
    [sym_identifier] = ACTIONS(2390),
    [aux_sym_preproc_include_token1] = ACTIONS(2390),
    [aux_sym_preproc_def_token1] = ACTIONS(2390),
    [aux_sym_preproc_if_token1] = ACTIONS(2390),
    [aux_sym_preproc_if_token2] = ACTIONS(2390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2390),
    [aux_sym_preproc_else_token1] = ACTIONS(2390),
    [aux_sym_preproc_elif_token1] = ACTIONS(2390),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2390),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2390),
    [sym_preproc_directive] = ACTIONS(2390),
    [anon_sym_LPAREN2] = ACTIONS(2392),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_AMP_AMP] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2390),
    [anon_sym_SEMI] = ACTIONS(2392),
    [anon_sym___extension__] = ACTIONS(2390),
    [anon_sym_typedef] = ACTIONS(2390),
    [anon_sym_in] = ACTIONS(2390),
    [anon_sym_out] = ACTIONS(2390),
    [anon_sym_inout] = ACTIONS(2390),
    [anon_sym_virtual] = ACTIONS(2390),
    [anon_sym_extern] = ACTIONS(2390),
    [anon_sym___attribute__] = ACTIONS(2390),
    [anon_sym___attribute] = ACTIONS(2390),
    [anon_sym_COLON_COLON] = ACTIONS(2392),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2392),
    [anon_sym___declspec] = ACTIONS(2390),
    [anon_sym___based] = ACTIONS(2390),
    [anon_sym___cdecl] = ACTIONS(2390),
    [anon_sym___clrcall] = ACTIONS(2390),
    [anon_sym___stdcall] = ACTIONS(2390),
    [anon_sym___fastcall] = ACTIONS(2390),
    [anon_sym___thiscall] = ACTIONS(2390),
    [anon_sym___vectorcall] = ACTIONS(2390),
    [anon_sym_LBRACE] = ACTIONS(2392),
    [anon_sym_signed] = ACTIONS(2390),
    [anon_sym_unsigned] = ACTIONS(2390),
    [anon_sym_long] = ACTIONS(2390),
    [anon_sym_short] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_static] = ACTIONS(2390),
    [anon_sym_register] = ACTIONS(2390),
    [anon_sym_inline] = ACTIONS(2390),
    [anon_sym___inline] = ACTIONS(2390),
    [anon_sym___inline__] = ACTIONS(2390),
    [anon_sym___forceinline] = ACTIONS(2390),
    [anon_sym_thread_local] = ACTIONS(2390),
    [anon_sym___thread] = ACTIONS(2390),
    [anon_sym_const] = ACTIONS(2390),
    [anon_sym_constexpr] = ACTIONS(2390),
    [anon_sym_volatile] = ACTIONS(2390),
    [anon_sym_restrict] = ACTIONS(2390),
    [anon_sym___restrict__] = ACTIONS(2390),
    [anon_sym__Atomic] = ACTIONS(2390),
    [anon_sym__Noreturn] = ACTIONS(2390),
    [anon_sym_noreturn] = ACTIONS(2390),
    [anon_sym__Nonnull] = ACTIONS(2390),
    [anon_sym_mutable] = ACTIONS(2390),
    [anon_sym_constinit] = ACTIONS(2390),
    [anon_sym_consteval] = ACTIONS(2390),
    [anon_sym_alignas] = ACTIONS(2390),
    [anon_sym__Alignas] = ACTIONS(2390),
    [sym_primitive_type] = ACTIONS(2390),
    [anon_sym_enum] = ACTIONS(2390),
    [anon_sym_class] = ACTIONS(2390),
    [anon_sym_struct] = ACTIONS(2390),
    [anon_sym_union] = ACTIONS(2390),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_switch] = ACTIONS(2390),
    [anon_sym_case] = ACTIONS(2390),
    [anon_sym_default] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2390),
    [anon_sym_do] = ACTIONS(2390),
    [anon_sym_for] = ACTIONS(2390),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_break] = ACTIONS(2390),
    [anon_sym_continue] = ACTIONS(2390),
    [anon_sym_goto] = ACTIONS(2390),
    [anon_sym___try] = ACTIONS(2390),
    [anon_sym___leave] = ACTIONS(2390),
    [anon_sym_not] = ACTIONS(2390),
    [anon_sym_compl] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2392),
    [anon_sym_PLUS_PLUS] = ACTIONS(2392),
    [anon_sym_sizeof] = ACTIONS(2390),
    [anon_sym___alignof__] = ACTIONS(2390),
    [anon_sym___alignof] = ACTIONS(2390),
    [anon_sym__alignof] = ACTIONS(2390),
    [anon_sym_alignof] = ACTIONS(2390),
    [anon_sym__Alignof] = ACTIONS(2390),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2390),
    [anon_sym_asm] = ACTIONS(2390),
    [anon_sym___asm__] = ACTIONS(2390),
    [anon_sym___asm] = ACTIONS(2390),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2392),
    [anon_sym_u_SQUOTE] = ACTIONS(2392),
    [anon_sym_U_SQUOTE] = ACTIONS(2392),
    [anon_sym_u8_SQUOTE] = ACTIONS(2392),
    [anon_sym_SQUOTE] = ACTIONS(2392),
    [anon_sym_L_DQUOTE] = ACTIONS(2392),
    [anon_sym_u_DQUOTE] = ACTIONS(2392),
    [anon_sym_U_DQUOTE] = ACTIONS(2392),
    [anon_sym_u8_DQUOTE] = ACTIONS(2392),
    [anon_sym_DQUOTE] = ACTIONS(2392),
    [sym_true] = ACTIONS(2390),
    [sym_false] = ACTIONS(2390),
    [anon_sym_NULL] = ACTIONS(2390),
    [anon_sym_nullptr] = ACTIONS(2390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2390),
    [anon_sym_decltype] = ACTIONS(2390),
    [anon_sym_explicit] = ACTIONS(2390),
    [anon_sym_typename] = ACTIONS(2390),
    [anon_sym_template] = ACTIONS(2390),
    [anon_sym_operator] = ACTIONS(2390),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2390),
    [anon_sym_namespace] = ACTIONS(2390),
    [anon_sym_using] = ACTIONS(2390),
    [anon_sym_static_assert] = ACTIONS(2390),
    [anon_sym_concept] = ACTIONS(2390),
    [anon_sym_co_return] = ACTIONS(2390),
    [anon_sym_co_yield] = ACTIONS(2390),
    [anon_sym_R_DQUOTE] = ACTIONS(2392),
    [anon_sym_LR_DQUOTE] = ACTIONS(2392),
    [anon_sym_uR_DQUOTE] = ACTIONS(2392),
    [anon_sym_UR_DQUOTE] = ACTIONS(2392),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2392),
    [anon_sym_co_await] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(2390),
    [anon_sym_requires] = ACTIONS(2390),
    [sym_this] = ACTIONS(2390),
    [anon_sym_discard] = ACTIONS(2390),
    [anon_sym_precise] = ACTIONS(2390),
    [anon_sym_shared] = ACTIONS(2390),
    [anon_sym_groupshared] = ACTIONS(2390),
    [anon_sym_uniform] = ACTIONS(2390),
    [anon_sym_row_major] = ACTIONS(2390),
    [anon_sym_column_major] = ACTIONS(2390),
    [anon_sym_globallycoherent] = ACTIONS(2390),
    [anon_sym_centroid] = ACTIONS(2390),
    [anon_sym_noperspective] = ACTIONS(2390),
    [anon_sym_nointerpolation] = ACTIONS(2390),
    [anon_sym_sample] = ACTIONS(2390),
    [anon_sym_linear] = ACTIONS(2390),
    [anon_sym_snorm] = ACTIONS(2390),
    [anon_sym_unorm] = ACTIONS(2390),
    [anon_sym_point] = ACTIONS(2390),
    [anon_sym_line] = ACTIONS(2390),
    [anon_sym_triangleadj] = ACTIONS(2390),
    [anon_sym_lineadj] = ACTIONS(2390),
    [anon_sym_triangle] = ACTIONS(2390),
    [anon_sym_cbuffer] = ACTIONS(2390),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1993),
    [sym_identifier] = ACTIONS(1991),
    [aux_sym_preproc_include_token1] = ACTIONS(1991),
    [aux_sym_preproc_def_token1] = ACTIONS(1991),
    [aux_sym_preproc_if_token1] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1991),
    [sym_preproc_directive] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_STAR] = ACTIONS(1993),
    [anon_sym_AMP_AMP] = ACTIONS(1993),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1991),
    [anon_sym_typedef] = ACTIONS(1991),
    [anon_sym_in] = ACTIONS(1991),
    [anon_sym_out] = ACTIONS(1991),
    [anon_sym_inout] = ACTIONS(1991),
    [anon_sym_virtual] = ACTIONS(1991),
    [anon_sym_extern] = ACTIONS(1991),
    [anon_sym___attribute__] = ACTIONS(1991),
    [anon_sym___attribute] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1993),
    [anon_sym___declspec] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(1991),
    [anon_sym___cdecl] = ACTIONS(1991),
    [anon_sym___clrcall] = ACTIONS(1991),
    [anon_sym___stdcall] = ACTIONS(1991),
    [anon_sym___fastcall] = ACTIONS(1991),
    [anon_sym___thiscall] = ACTIONS(1991),
    [anon_sym___vectorcall] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_signed] = ACTIONS(1991),
    [anon_sym_unsigned] = ACTIONS(1991),
    [anon_sym_long] = ACTIONS(1991),
    [anon_sym_short] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_static] = ACTIONS(1991),
    [anon_sym_register] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1991),
    [anon_sym___inline] = ACTIONS(1991),
    [anon_sym___inline__] = ACTIONS(1991),
    [anon_sym___forceinline] = ACTIONS(1991),
    [anon_sym_thread_local] = ACTIONS(1991),
    [anon_sym___thread] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_constexpr] = ACTIONS(1991),
    [anon_sym_volatile] = ACTIONS(1991),
    [anon_sym_restrict] = ACTIONS(1991),
    [anon_sym___restrict__] = ACTIONS(1991),
    [anon_sym__Atomic] = ACTIONS(1991),
    [anon_sym__Noreturn] = ACTIONS(1991),
    [anon_sym_noreturn] = ACTIONS(1991),
    [anon_sym__Nonnull] = ACTIONS(1991),
    [anon_sym_mutable] = ACTIONS(1991),
    [anon_sym_constinit] = ACTIONS(1991),
    [anon_sym_consteval] = ACTIONS(1991),
    [anon_sym_alignas] = ACTIONS(1991),
    [anon_sym__Alignas] = ACTIONS(1991),
    [sym_primitive_type] = ACTIONS(1991),
    [anon_sym_enum] = ACTIONS(1991),
    [anon_sym_class] = ACTIONS(1991),
    [anon_sym_struct] = ACTIONS(1991),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(1991),
    [anon_sym_switch] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1991),
    [anon_sym_default] = ACTIONS(1991),
    [anon_sym_while] = ACTIONS(1991),
    [anon_sym_do] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1991),
    [anon_sym_return] = ACTIONS(1991),
    [anon_sym_break] = ACTIONS(1991),
    [anon_sym_continue] = ACTIONS(1991),
    [anon_sym_goto] = ACTIONS(1991),
    [anon_sym___try] = ACTIONS(1991),
    [anon_sym___leave] = ACTIONS(1991),
    [anon_sym_not] = ACTIONS(1991),
    [anon_sym_compl] = ACTIONS(1991),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_sizeof] = ACTIONS(1991),
    [anon_sym___alignof__] = ACTIONS(1991),
    [anon_sym___alignof] = ACTIONS(1991),
    [anon_sym__alignof] = ACTIONS(1991),
    [anon_sym_alignof] = ACTIONS(1991),
    [anon_sym__Alignof] = ACTIONS(1991),
    [anon_sym_offsetof] = ACTIONS(1991),
    [anon_sym__Generic] = ACTIONS(1991),
    [anon_sym_asm] = ACTIONS(1991),
    [anon_sym___asm__] = ACTIONS(1991),
    [anon_sym___asm] = ACTIONS(1991),
    [sym_number_literal] = ACTIONS(1993),
    [anon_sym_L_SQUOTE] = ACTIONS(1993),
    [anon_sym_u_SQUOTE] = ACTIONS(1993),
    [anon_sym_U_SQUOTE] = ACTIONS(1993),
    [anon_sym_u8_SQUOTE] = ACTIONS(1993),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1991),
    [sym_false] = ACTIONS(1991),
    [anon_sym_NULL] = ACTIONS(1991),
    [anon_sym_nullptr] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1991),
    [anon_sym_decltype] = ACTIONS(1991),
    [anon_sym_final] = ACTIONS(1991),
    [anon_sym_override] = ACTIONS(1991),
    [anon_sym_explicit] = ACTIONS(1991),
    [anon_sym_typename] = ACTIONS(1991),
    [anon_sym_template] = ACTIONS(1991),
    [anon_sym_operator] = ACTIONS(1991),
    [anon_sym_try] = ACTIONS(1991),
    [anon_sym_delete] = ACTIONS(1991),
    [anon_sym_throw] = ACTIONS(1991),
    [anon_sym_namespace] = ACTIONS(1991),
    [anon_sym_using] = ACTIONS(1991),
    [anon_sym_static_assert] = ACTIONS(1991),
    [anon_sym_concept] = ACTIONS(1991),
    [anon_sym_co_return] = ACTIONS(1991),
    [anon_sym_co_yield] = ACTIONS(1991),
    [anon_sym_R_DQUOTE] = ACTIONS(1993),
    [anon_sym_LR_DQUOTE] = ACTIONS(1993),
    [anon_sym_uR_DQUOTE] = ACTIONS(1993),
    [anon_sym_UR_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1993),
    [anon_sym_co_await] = ACTIONS(1991),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_requires] = ACTIONS(1991),
    [sym_this] = ACTIONS(1991),
    [anon_sym_discard] = ACTIONS(1991),
    [anon_sym_precise] = ACTIONS(1991),
    [anon_sym_shared] = ACTIONS(1991),
    [anon_sym_groupshared] = ACTIONS(1991),
    [anon_sym_uniform] = ACTIONS(1991),
    [anon_sym_row_major] = ACTIONS(1991),
    [anon_sym_column_major] = ACTIONS(1991),
    [anon_sym_globallycoherent] = ACTIONS(1991),
    [anon_sym_centroid] = ACTIONS(1991),
    [anon_sym_noperspective] = ACTIONS(1991),
    [anon_sym_nointerpolation] = ACTIONS(1991),
    [anon_sym_sample] = ACTIONS(1991),
    [anon_sym_linear] = ACTIONS(1991),
    [anon_sym_snorm] = ACTIONS(1991),
    [anon_sym_unorm] = ACTIONS(1991),
    [anon_sym_point] = ACTIONS(1991),
    [anon_sym_line] = ACTIONS(1991),
    [anon_sym_triangleadj] = ACTIONS(1991),
    [anon_sym_lineadj] = ACTIONS(1991),
    [anon_sym_triangle] = ACTIONS(1991),
    [anon_sym_cbuffer] = ACTIONS(1991),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2394),
    [aux_sym_preproc_include_token1] = ACTIONS(2394),
    [aux_sym_preproc_def_token1] = ACTIONS(2394),
    [aux_sym_preproc_if_token1] = ACTIONS(2394),
    [aux_sym_preproc_if_token2] = ACTIONS(2394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2394),
    [aux_sym_preproc_else_token1] = ACTIONS(2394),
    [aux_sym_preproc_elif_token1] = ACTIONS(2394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2394),
    [sym_preproc_directive] = ACTIONS(2394),
    [anon_sym_LPAREN2] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2396),
    [anon_sym_TILDE] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym___extension__] = ACTIONS(2394),
    [anon_sym_typedef] = ACTIONS(2394),
    [anon_sym_in] = ACTIONS(2394),
    [anon_sym_out] = ACTIONS(2394),
    [anon_sym_inout] = ACTIONS(2394),
    [anon_sym_virtual] = ACTIONS(2394),
    [anon_sym_extern] = ACTIONS(2394),
    [anon_sym___attribute__] = ACTIONS(2394),
    [anon_sym___attribute] = ACTIONS(2394),
    [anon_sym_COLON_COLON] = ACTIONS(2396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2396),
    [anon_sym___declspec] = ACTIONS(2394),
    [anon_sym___based] = ACTIONS(2394),
    [anon_sym___cdecl] = ACTIONS(2394),
    [anon_sym___clrcall] = ACTIONS(2394),
    [anon_sym___stdcall] = ACTIONS(2394),
    [anon_sym___fastcall] = ACTIONS(2394),
    [anon_sym___thiscall] = ACTIONS(2394),
    [anon_sym___vectorcall] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2396),
    [anon_sym_signed] = ACTIONS(2394),
    [anon_sym_unsigned] = ACTIONS(2394),
    [anon_sym_long] = ACTIONS(2394),
    [anon_sym_short] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_register] = ACTIONS(2394),
    [anon_sym_inline] = ACTIONS(2394),
    [anon_sym___inline] = ACTIONS(2394),
    [anon_sym___inline__] = ACTIONS(2394),
    [anon_sym___forceinline] = ACTIONS(2394),
    [anon_sym_thread_local] = ACTIONS(2394),
    [anon_sym___thread] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_constexpr] = ACTIONS(2394),
    [anon_sym_volatile] = ACTIONS(2394),
    [anon_sym_restrict] = ACTIONS(2394),
    [anon_sym___restrict__] = ACTIONS(2394),
    [anon_sym__Atomic] = ACTIONS(2394),
    [anon_sym__Noreturn] = ACTIONS(2394),
    [anon_sym_noreturn] = ACTIONS(2394),
    [anon_sym__Nonnull] = ACTIONS(2394),
    [anon_sym_mutable] = ACTIONS(2394),
    [anon_sym_constinit] = ACTIONS(2394),
    [anon_sym_consteval] = ACTIONS(2394),
    [anon_sym_alignas] = ACTIONS(2394),
    [anon_sym__Alignas] = ACTIONS(2394),
    [sym_primitive_type] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_struct] = ACTIONS(2394),
    [anon_sym_union] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_case] = ACTIONS(2394),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_goto] = ACTIONS(2394),
    [anon_sym___try] = ACTIONS(2394),
    [anon_sym___leave] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2394),
    [anon_sym_compl] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2396),
    [anon_sym_PLUS_PLUS] = ACTIONS(2396),
    [anon_sym_sizeof] = ACTIONS(2394),
    [anon_sym___alignof__] = ACTIONS(2394),
    [anon_sym___alignof] = ACTIONS(2394),
    [anon_sym__alignof] = ACTIONS(2394),
    [anon_sym_alignof] = ACTIONS(2394),
    [anon_sym__Alignof] = ACTIONS(2394),
    [anon_sym_offsetof] = ACTIONS(2394),
    [anon_sym__Generic] = ACTIONS(2394),
    [anon_sym_asm] = ACTIONS(2394),
    [anon_sym___asm__] = ACTIONS(2394),
    [anon_sym___asm] = ACTIONS(2394),
    [sym_number_literal] = ACTIONS(2396),
    [anon_sym_L_SQUOTE] = ACTIONS(2396),
    [anon_sym_u_SQUOTE] = ACTIONS(2396),
    [anon_sym_U_SQUOTE] = ACTIONS(2396),
    [anon_sym_u8_SQUOTE] = ACTIONS(2396),
    [anon_sym_SQUOTE] = ACTIONS(2396),
    [anon_sym_L_DQUOTE] = ACTIONS(2396),
    [anon_sym_u_DQUOTE] = ACTIONS(2396),
    [anon_sym_U_DQUOTE] = ACTIONS(2396),
    [anon_sym_u8_DQUOTE] = ACTIONS(2396),
    [anon_sym_DQUOTE] = ACTIONS(2396),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [anon_sym_NULL] = ACTIONS(2394),
    [anon_sym_nullptr] = ACTIONS(2394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2394),
    [anon_sym_decltype] = ACTIONS(2394),
    [anon_sym_explicit] = ACTIONS(2394),
    [anon_sym_typename] = ACTIONS(2394),
    [anon_sym_template] = ACTIONS(2394),
    [anon_sym_operator] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_static_assert] = ACTIONS(2394),
    [anon_sym_concept] = ACTIONS(2394),
    [anon_sym_co_return] = ACTIONS(2394),
    [anon_sym_co_yield] = ACTIONS(2394),
    [anon_sym_R_DQUOTE] = ACTIONS(2396),
    [anon_sym_LR_DQUOTE] = ACTIONS(2396),
    [anon_sym_uR_DQUOTE] = ACTIONS(2396),
    [anon_sym_UR_DQUOTE] = ACTIONS(2396),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2396),
    [anon_sym_co_await] = ACTIONS(2394),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_requires] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [anon_sym_discard] = ACTIONS(2394),
    [anon_sym_precise] = ACTIONS(2394),
    [anon_sym_shared] = ACTIONS(2394),
    [anon_sym_groupshared] = ACTIONS(2394),
    [anon_sym_uniform] = ACTIONS(2394),
    [anon_sym_row_major] = ACTIONS(2394),
    [anon_sym_column_major] = ACTIONS(2394),
    [anon_sym_globallycoherent] = ACTIONS(2394),
    [anon_sym_centroid] = ACTIONS(2394),
    [anon_sym_noperspective] = ACTIONS(2394),
    [anon_sym_nointerpolation] = ACTIONS(2394),
    [anon_sym_sample] = ACTIONS(2394),
    [anon_sym_linear] = ACTIONS(2394),
    [anon_sym_snorm] = ACTIONS(2394),
    [anon_sym_unorm] = ACTIONS(2394),
    [anon_sym_point] = ACTIONS(2394),
    [anon_sym_line] = ACTIONS(2394),
    [anon_sym_triangleadj] = ACTIONS(2394),
    [anon_sym_lineadj] = ACTIONS(2394),
    [anon_sym_triangle] = ACTIONS(2394),
    [anon_sym_cbuffer] = ACTIONS(2394),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(1989),
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(1989),
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(2005),
    [sym_identifier] = ACTIONS(2003),
    [aux_sym_preproc_include_token1] = ACTIONS(2003),
    [aux_sym_preproc_def_token1] = ACTIONS(2003),
    [aux_sym_preproc_if_token1] = ACTIONS(2003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2003),
    [sym_preproc_directive] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_AMP_AMP] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_SEMI] = ACTIONS(2005),
    [anon_sym___extension__] = ACTIONS(2003),
    [anon_sym_typedef] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(2003),
    [anon_sym_out] = ACTIONS(2003),
    [anon_sym_inout] = ACTIONS(2003),
    [anon_sym_virtual] = ACTIONS(2003),
    [anon_sym_extern] = ACTIONS(2003),
    [anon_sym___attribute__] = ACTIONS(2003),
    [anon_sym___attribute] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2005),
    [anon_sym___declspec] = ACTIONS(2003),
    [anon_sym___based] = ACTIONS(2003),
    [anon_sym___cdecl] = ACTIONS(2003),
    [anon_sym___clrcall] = ACTIONS(2003),
    [anon_sym___stdcall] = ACTIONS(2003),
    [anon_sym___fastcall] = ACTIONS(2003),
    [anon_sym___thiscall] = ACTIONS(2003),
    [anon_sym___vectorcall] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_signed] = ACTIONS(2003),
    [anon_sym_unsigned] = ACTIONS(2003),
    [anon_sym_long] = ACTIONS(2003),
    [anon_sym_short] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_static] = ACTIONS(2003),
    [anon_sym_register] = ACTIONS(2003),
    [anon_sym_inline] = ACTIONS(2003),
    [anon_sym___inline] = ACTIONS(2003),
    [anon_sym___inline__] = ACTIONS(2003),
    [anon_sym___forceinline] = ACTIONS(2003),
    [anon_sym_thread_local] = ACTIONS(2003),
    [anon_sym___thread] = ACTIONS(2003),
    [anon_sym_const] = ACTIONS(2003),
    [anon_sym_constexpr] = ACTIONS(2003),
    [anon_sym_volatile] = ACTIONS(2003),
    [anon_sym_restrict] = ACTIONS(2003),
    [anon_sym___restrict__] = ACTIONS(2003),
    [anon_sym__Atomic] = ACTIONS(2003),
    [anon_sym__Noreturn] = ACTIONS(2003),
    [anon_sym_noreturn] = ACTIONS(2003),
    [anon_sym__Nonnull] = ACTIONS(2003),
    [anon_sym_mutable] = ACTIONS(2003),
    [anon_sym_constinit] = ACTIONS(2003),
    [anon_sym_consteval] = ACTIONS(2003),
    [anon_sym_alignas] = ACTIONS(2003),
    [anon_sym__Alignas] = ACTIONS(2003),
    [sym_primitive_type] = ACTIONS(2003),
    [anon_sym_enum] = ACTIONS(2003),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2003),
    [anon_sym_union] = ACTIONS(2003),
    [anon_sym_if] = ACTIONS(2003),
    [anon_sym_else] = ACTIONS(2003),
    [anon_sym_switch] = ACTIONS(2003),
    [anon_sym_case] = ACTIONS(2003),
    [anon_sym_default] = ACTIONS(2003),
    [anon_sym_while] = ACTIONS(2003),
    [anon_sym_do] = ACTIONS(2003),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_return] = ACTIONS(2003),
    [anon_sym_break] = ACTIONS(2003),
    [anon_sym_continue] = ACTIONS(2003),
    [anon_sym_goto] = ACTIONS(2003),
    [anon_sym___try] = ACTIONS(2003),
    [anon_sym___leave] = ACTIONS(2003),
    [anon_sym_not] = ACTIONS(2003),
    [anon_sym_compl] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_sizeof] = ACTIONS(2003),
    [anon_sym___alignof__] = ACTIONS(2003),
    [anon_sym___alignof] = ACTIONS(2003),
    [anon_sym__alignof] = ACTIONS(2003),
    [anon_sym_alignof] = ACTIONS(2003),
    [anon_sym__Alignof] = ACTIONS(2003),
    [anon_sym_offsetof] = ACTIONS(2003),
    [anon_sym__Generic] = ACTIONS(2003),
    [anon_sym_asm] = ACTIONS(2003),
    [anon_sym___asm__] = ACTIONS(2003),
    [anon_sym___asm] = ACTIONS(2003),
    [sym_number_literal] = ACTIONS(2005),
    [anon_sym_L_SQUOTE] = ACTIONS(2005),
    [anon_sym_u_SQUOTE] = ACTIONS(2005),
    [anon_sym_U_SQUOTE] = ACTIONS(2005),
    [anon_sym_u8_SQUOTE] = ACTIONS(2005),
    [anon_sym_SQUOTE] = ACTIONS(2005),
    [anon_sym_L_DQUOTE] = ACTIONS(2005),
    [anon_sym_u_DQUOTE] = ACTIONS(2005),
    [anon_sym_U_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8_DQUOTE] = ACTIONS(2005),
    [anon_sym_DQUOTE] = ACTIONS(2005),
    [sym_true] = ACTIONS(2003),
    [sym_false] = ACTIONS(2003),
    [anon_sym_NULL] = ACTIONS(2003),
    [anon_sym_nullptr] = ACTIONS(2003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2003),
    [anon_sym_decltype] = ACTIONS(2003),
    [anon_sym_final] = ACTIONS(2003),
    [anon_sym_override] = ACTIONS(2003),
    [anon_sym_explicit] = ACTIONS(2003),
    [anon_sym_typename] = ACTIONS(2003),
    [anon_sym_template] = ACTIONS(2003),
    [anon_sym_operator] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2003),
    [anon_sym_delete] = ACTIONS(2003),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_namespace] = ACTIONS(2003),
    [anon_sym_using] = ACTIONS(2003),
    [anon_sym_static_assert] = ACTIONS(2003),
    [anon_sym_concept] = ACTIONS(2003),
    [anon_sym_co_return] = ACTIONS(2003),
    [anon_sym_co_yield] = ACTIONS(2003),
    [anon_sym_R_DQUOTE] = ACTIONS(2005),
    [anon_sym_LR_DQUOTE] = ACTIONS(2005),
    [anon_sym_uR_DQUOTE] = ACTIONS(2005),
    [anon_sym_UR_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2005),
    [anon_sym_co_await] = ACTIONS(2003),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_requires] = ACTIONS(2003),
    [sym_this] = ACTIONS(2003),
    [anon_sym_discard] = ACTIONS(2003),
    [anon_sym_precise] = ACTIONS(2003),
    [anon_sym_shared] = ACTIONS(2003),
    [anon_sym_groupshared] = ACTIONS(2003),
    [anon_sym_uniform] = ACTIONS(2003),
    [anon_sym_row_major] = ACTIONS(2003),
    [anon_sym_column_major] = ACTIONS(2003),
    [anon_sym_globallycoherent] = ACTIONS(2003),
    [anon_sym_centroid] = ACTIONS(2003),
    [anon_sym_noperspective] = ACTIONS(2003),
    [anon_sym_nointerpolation] = ACTIONS(2003),
    [anon_sym_sample] = ACTIONS(2003),
    [anon_sym_linear] = ACTIONS(2003),
    [anon_sym_snorm] = ACTIONS(2003),
    [anon_sym_unorm] = ACTIONS(2003),
    [anon_sym_point] = ACTIONS(2003),
    [anon_sym_line] = ACTIONS(2003),
    [anon_sym_triangleadj] = ACTIONS(2003),
    [anon_sym_lineadj] = ACTIONS(2003),
    [anon_sym_triangle] = ACTIONS(2003),
    [anon_sym_cbuffer] = ACTIONS(2003),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(2009),
    [sym_identifier] = ACTIONS(2007),
    [aux_sym_preproc_include_token1] = ACTIONS(2007),
    [aux_sym_preproc_def_token1] = ACTIONS(2007),
    [aux_sym_preproc_if_token1] = ACTIONS(2007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2007),
    [sym_preproc_directive] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2009),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2009),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_typedef] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym___cdecl] = ACTIONS(2007),
    [anon_sym___clrcall] = ACTIONS(2007),
    [anon_sym___stdcall] = ACTIONS(2007),
    [anon_sym___fastcall] = ACTIONS(2007),
    [anon_sym___thiscall] = ACTIONS(2007),
    [anon_sym___vectorcall] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_signed] = ACTIONS(2007),
    [anon_sym_unsigned] = ACTIONS(2007),
    [anon_sym_long] = ACTIONS(2007),
    [anon_sym_short] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [sym_primitive_type] = ACTIONS(2007),
    [anon_sym_enum] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_struct] = ACTIONS(2007),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_else] = ACTIONS(2007),
    [anon_sym_switch] = ACTIONS(2007),
    [anon_sym_case] = ACTIONS(2007),
    [anon_sym_default] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym___try] = ACTIONS(2007),
    [anon_sym___leave] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_compl] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2007),
    [anon_sym___alignof__] = ACTIONS(2007),
    [anon_sym___alignof] = ACTIONS(2007),
    [anon_sym__alignof] = ACTIONS(2007),
    [anon_sym_alignof] = ACTIONS(2007),
    [anon_sym__Alignof] = ACTIONS(2007),
    [anon_sym_offsetof] = ACTIONS(2007),
    [anon_sym__Generic] = ACTIONS(2007),
    [anon_sym_asm] = ACTIONS(2007),
    [anon_sym___asm__] = ACTIONS(2007),
    [anon_sym___asm] = ACTIONS(2007),
    [sym_number_literal] = ACTIONS(2009),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2009),
    [anon_sym_u_DQUOTE] = ACTIONS(2009),
    [anon_sym_U_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8_DQUOTE] = ACTIONS(2009),
    [anon_sym_DQUOTE] = ACTIONS(2009),
    [sym_true] = ACTIONS(2007),
    [sym_false] = ACTIONS(2007),
    [anon_sym_NULL] = ACTIONS(2007),
    [anon_sym_nullptr] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_final] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_explicit] = ACTIONS(2007),
    [anon_sym_typename] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_namespace] = ACTIONS(2007),
    [anon_sym_using] = ACTIONS(2007),
    [anon_sym_static_assert] = ACTIONS(2007),
    [anon_sym_concept] = ACTIONS(2007),
    [anon_sym_co_return] = ACTIONS(2007),
    [anon_sym_co_yield] = ACTIONS(2007),
    [anon_sym_R_DQUOTE] = ACTIONS(2009),
    [anon_sym_LR_DQUOTE] = ACTIONS(2009),
    [anon_sym_uR_DQUOTE] = ACTIONS(2009),
    [anon_sym_UR_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2009),
    [anon_sym_co_await] = ACTIONS(2007),
    [anon_sym_new] = ACTIONS(2007),
    [anon_sym_requires] = ACTIONS(2007),
    [sym_this] = ACTIONS(2007),
    [anon_sym_discard] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
    [anon_sym_cbuffer] = ACTIONS(2007),
  },
  [258] = {
    [sym_identifier] = ACTIONS(2398),
    [aux_sym_preproc_include_token1] = ACTIONS(2398),
    [aux_sym_preproc_def_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token2] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2398),
    [aux_sym_preproc_else_token1] = ACTIONS(2398),
    [aux_sym_preproc_elif_token1] = ACTIONS(2398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2398),
    [sym_preproc_directive] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2400),
    [anon_sym_BANG] = ACTIONS(2400),
    [anon_sym_TILDE] = ACTIONS(2400),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2400),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2398),
    [anon_sym_typedef] = ACTIONS(2398),
    [anon_sym_in] = ACTIONS(2398),
    [anon_sym_out] = ACTIONS(2398),
    [anon_sym_inout] = ACTIONS(2398),
    [anon_sym_virtual] = ACTIONS(2398),
    [anon_sym_extern] = ACTIONS(2398),
    [anon_sym___attribute__] = ACTIONS(2398),
    [anon_sym___attribute] = ACTIONS(2398),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2400),
    [anon_sym___declspec] = ACTIONS(2398),
    [anon_sym___based] = ACTIONS(2398),
    [anon_sym___cdecl] = ACTIONS(2398),
    [anon_sym___clrcall] = ACTIONS(2398),
    [anon_sym___stdcall] = ACTIONS(2398),
    [anon_sym___fastcall] = ACTIONS(2398),
    [anon_sym___thiscall] = ACTIONS(2398),
    [anon_sym___vectorcall] = ACTIONS(2398),
    [anon_sym_LBRACE] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2398),
    [anon_sym_unsigned] = ACTIONS(2398),
    [anon_sym_long] = ACTIONS(2398),
    [anon_sym_short] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2398),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_register] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(2398),
    [anon_sym___inline] = ACTIONS(2398),
    [anon_sym___inline__] = ACTIONS(2398),
    [anon_sym___forceinline] = ACTIONS(2398),
    [anon_sym_thread_local] = ACTIONS(2398),
    [anon_sym___thread] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_constexpr] = ACTIONS(2398),
    [anon_sym_volatile] = ACTIONS(2398),
    [anon_sym_restrict] = ACTIONS(2398),
    [anon_sym___restrict__] = ACTIONS(2398),
    [anon_sym__Atomic] = ACTIONS(2398),
    [anon_sym__Noreturn] = ACTIONS(2398),
    [anon_sym_noreturn] = ACTIONS(2398),
    [anon_sym__Nonnull] = ACTIONS(2398),
    [anon_sym_mutable] = ACTIONS(2398),
    [anon_sym_constinit] = ACTIONS(2398),
    [anon_sym_consteval] = ACTIONS(2398),
    [anon_sym_alignas] = ACTIONS(2398),
    [anon_sym__Alignas] = ACTIONS(2398),
    [sym_primitive_type] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_class] = ACTIONS(2398),
    [anon_sym_struct] = ACTIONS(2398),
    [anon_sym_union] = ACTIONS(2398),
    [anon_sym_if] = ACTIONS(2398),
    [anon_sym_switch] = ACTIONS(2398),
    [anon_sym_case] = ACTIONS(2398),
    [anon_sym_default] = ACTIONS(2398),
    [anon_sym_while] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(2398),
    [anon_sym_for] = ACTIONS(2398),
    [anon_sym_return] = ACTIONS(2398),
    [anon_sym_break] = ACTIONS(2398),
    [anon_sym_continue] = ACTIONS(2398),
    [anon_sym_goto] = ACTIONS(2398),
    [anon_sym___try] = ACTIONS(2398),
    [anon_sym___leave] = ACTIONS(2398),
    [anon_sym_not] = ACTIONS(2398),
    [anon_sym_compl] = ACTIONS(2398),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_sizeof] = ACTIONS(2398),
    [anon_sym___alignof__] = ACTIONS(2398),
    [anon_sym___alignof] = ACTIONS(2398),
    [anon_sym__alignof] = ACTIONS(2398),
    [anon_sym_alignof] = ACTIONS(2398),
    [anon_sym__Alignof] = ACTIONS(2398),
    [anon_sym_offsetof] = ACTIONS(2398),
    [anon_sym__Generic] = ACTIONS(2398),
    [anon_sym_asm] = ACTIONS(2398),
    [anon_sym___asm__] = ACTIONS(2398),
    [anon_sym___asm] = ACTIONS(2398),
    [sym_number_literal] = ACTIONS(2400),
    [anon_sym_L_SQUOTE] = ACTIONS(2400),
    [anon_sym_u_SQUOTE] = ACTIONS(2400),
    [anon_sym_U_SQUOTE] = ACTIONS(2400),
    [anon_sym_u8_SQUOTE] = ACTIONS(2400),
    [anon_sym_SQUOTE] = ACTIONS(2400),
    [anon_sym_L_DQUOTE] = ACTIONS(2400),
    [anon_sym_u_DQUOTE] = ACTIONS(2400),
    [anon_sym_U_DQUOTE] = ACTIONS(2400),
    [anon_sym_u8_DQUOTE] = ACTIONS(2400),
    [anon_sym_DQUOTE] = ACTIONS(2400),
    [sym_true] = ACTIONS(2398),
    [sym_false] = ACTIONS(2398),
    [anon_sym_NULL] = ACTIONS(2398),
    [anon_sym_nullptr] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2398),
    [anon_sym_decltype] = ACTIONS(2398),
    [anon_sym_explicit] = ACTIONS(2398),
    [anon_sym_typename] = ACTIONS(2398),
    [anon_sym_template] = ACTIONS(2398),
    [anon_sym_operator] = ACTIONS(2398),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_delete] = ACTIONS(2398),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_namespace] = ACTIONS(2398),
    [anon_sym_using] = ACTIONS(2398),
    [anon_sym_static_assert] = ACTIONS(2398),
    [anon_sym_concept] = ACTIONS(2398),
    [anon_sym_co_return] = ACTIONS(2398),
    [anon_sym_co_yield] = ACTIONS(2398),
    [anon_sym_R_DQUOTE] = ACTIONS(2400),
    [anon_sym_LR_DQUOTE] = ACTIONS(2400),
    [anon_sym_uR_DQUOTE] = ACTIONS(2400),
    [anon_sym_UR_DQUOTE] = ACTIONS(2400),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2400),
    [anon_sym_co_await] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(2398),
    [anon_sym_requires] = ACTIONS(2398),
    [sym_this] = ACTIONS(2398),
    [anon_sym_discard] = ACTIONS(2398),
    [anon_sym_precise] = ACTIONS(2398),
    [anon_sym_shared] = ACTIONS(2398),
    [anon_sym_groupshared] = ACTIONS(2398),
    [anon_sym_uniform] = ACTIONS(2398),
    [anon_sym_row_major] = ACTIONS(2398),
    [anon_sym_column_major] = ACTIONS(2398),
    [anon_sym_globallycoherent] = ACTIONS(2398),
    [anon_sym_centroid] = ACTIONS(2398),
    [anon_sym_noperspective] = ACTIONS(2398),
    [anon_sym_nointerpolation] = ACTIONS(2398),
    [anon_sym_sample] = ACTIONS(2398),
    [anon_sym_linear] = ACTIONS(2398),
    [anon_sym_snorm] = ACTIONS(2398),
    [anon_sym_unorm] = ACTIONS(2398),
    [anon_sym_point] = ACTIONS(2398),
    [anon_sym_line] = ACTIONS(2398),
    [anon_sym_triangleadj] = ACTIONS(2398),
    [anon_sym_lineadj] = ACTIONS(2398),
    [anon_sym_triangle] = ACTIONS(2398),
    [anon_sym_cbuffer] = ACTIONS(2398),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [aux_sym_preproc_else_token1] = ACTIONS(2402),
    [aux_sym_preproc_elif_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym___leave] = ACTIONS(2402),
    [anon_sym_not] = ACTIONS(2402),
    [anon_sym_compl] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_concept] = ACTIONS(2402),
    [anon_sym_co_return] = ACTIONS(2402),
    [anon_sym_co_yield] = ACTIONS(2402),
    [anon_sym_R_DQUOTE] = ACTIONS(2404),
    [anon_sym_LR_DQUOTE] = ACTIONS(2404),
    [anon_sym_uR_DQUOTE] = ACTIONS(2404),
    [anon_sym_UR_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2404),
    [anon_sym_co_await] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_requires] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [anon_sym_discard] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
    [anon_sym_cbuffer] = ACTIONS(2402),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [aux_sym_preproc_else_token1] = ACTIONS(2402),
    [aux_sym_preproc_elif_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym___leave] = ACTIONS(2402),
    [anon_sym_not] = ACTIONS(2402),
    [anon_sym_compl] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_concept] = ACTIONS(2402),
    [anon_sym_co_return] = ACTIONS(2402),
    [anon_sym_co_yield] = ACTIONS(2402),
    [anon_sym_R_DQUOTE] = ACTIONS(2404),
    [anon_sym_LR_DQUOTE] = ACTIONS(2404),
    [anon_sym_uR_DQUOTE] = ACTIONS(2404),
    [anon_sym_UR_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2404),
    [anon_sym_co_await] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_requires] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [anon_sym_discard] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
    [anon_sym_cbuffer] = ACTIONS(2402),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2406),
    [aux_sym_preproc_include_token1] = ACTIONS(2406),
    [aux_sym_preproc_def_token1] = ACTIONS(2406),
    [aux_sym_preproc_if_token1] = ACTIONS(2406),
    [aux_sym_preproc_if_token2] = ACTIONS(2406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2406),
    [aux_sym_preproc_else_token1] = ACTIONS(2406),
    [aux_sym_preproc_elif_token1] = ACTIONS(2406),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2406),
    [sym_preproc_directive] = ACTIONS(2406),
    [anon_sym_LPAREN2] = ACTIONS(2408),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2406),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym___extension__] = ACTIONS(2406),
    [anon_sym_typedef] = ACTIONS(2406),
    [anon_sym_in] = ACTIONS(2406),
    [anon_sym_out] = ACTIONS(2406),
    [anon_sym_inout] = ACTIONS(2406),
    [anon_sym_virtual] = ACTIONS(2406),
    [anon_sym_extern] = ACTIONS(2406),
    [anon_sym___attribute__] = ACTIONS(2406),
    [anon_sym___attribute] = ACTIONS(2406),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2408),
    [anon_sym___declspec] = ACTIONS(2406),
    [anon_sym___based] = ACTIONS(2406),
    [anon_sym___cdecl] = ACTIONS(2406),
    [anon_sym___clrcall] = ACTIONS(2406),
    [anon_sym___stdcall] = ACTIONS(2406),
    [anon_sym___fastcall] = ACTIONS(2406),
    [anon_sym___thiscall] = ACTIONS(2406),
    [anon_sym___vectorcall] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_signed] = ACTIONS(2406),
    [anon_sym_unsigned] = ACTIONS(2406),
    [anon_sym_long] = ACTIONS(2406),
    [anon_sym_short] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_static] = ACTIONS(2406),
    [anon_sym_register] = ACTIONS(2406),
    [anon_sym_inline] = ACTIONS(2406),
    [anon_sym___inline] = ACTIONS(2406),
    [anon_sym___inline__] = ACTIONS(2406),
    [anon_sym___forceinline] = ACTIONS(2406),
    [anon_sym_thread_local] = ACTIONS(2406),
    [anon_sym___thread] = ACTIONS(2406),
    [anon_sym_const] = ACTIONS(2406),
    [anon_sym_constexpr] = ACTIONS(2406),
    [anon_sym_volatile] = ACTIONS(2406),
    [anon_sym_restrict] = ACTIONS(2406),
    [anon_sym___restrict__] = ACTIONS(2406),
    [anon_sym__Atomic] = ACTIONS(2406),
    [anon_sym__Noreturn] = ACTIONS(2406),
    [anon_sym_noreturn] = ACTIONS(2406),
    [anon_sym__Nonnull] = ACTIONS(2406),
    [anon_sym_mutable] = ACTIONS(2406),
    [anon_sym_constinit] = ACTIONS(2406),
    [anon_sym_consteval] = ACTIONS(2406),
    [anon_sym_alignas] = ACTIONS(2406),
    [anon_sym__Alignas] = ACTIONS(2406),
    [sym_primitive_type] = ACTIONS(2406),
    [anon_sym_enum] = ACTIONS(2406),
    [anon_sym_class] = ACTIONS(2406),
    [anon_sym_struct] = ACTIONS(2406),
    [anon_sym_union] = ACTIONS(2406),
    [anon_sym_if] = ACTIONS(2406),
    [anon_sym_switch] = ACTIONS(2406),
    [anon_sym_case] = ACTIONS(2406),
    [anon_sym_default] = ACTIONS(2406),
    [anon_sym_while] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(2406),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_return] = ACTIONS(2406),
    [anon_sym_break] = ACTIONS(2406),
    [anon_sym_continue] = ACTIONS(2406),
    [anon_sym_goto] = ACTIONS(2406),
    [anon_sym___try] = ACTIONS(2406),
    [anon_sym___leave] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_compl] = ACTIONS(2406),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_sizeof] = ACTIONS(2406),
    [anon_sym___alignof__] = ACTIONS(2406),
    [anon_sym___alignof] = ACTIONS(2406),
    [anon_sym__alignof] = ACTIONS(2406),
    [anon_sym_alignof] = ACTIONS(2406),
    [anon_sym__Alignof] = ACTIONS(2406),
    [anon_sym_offsetof] = ACTIONS(2406),
    [anon_sym__Generic] = ACTIONS(2406),
    [anon_sym_asm] = ACTIONS(2406),
    [anon_sym___asm__] = ACTIONS(2406),
    [anon_sym___asm] = ACTIONS(2406),
    [sym_number_literal] = ACTIONS(2408),
    [anon_sym_L_SQUOTE] = ACTIONS(2408),
    [anon_sym_u_SQUOTE] = ACTIONS(2408),
    [anon_sym_U_SQUOTE] = ACTIONS(2408),
    [anon_sym_u8_SQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2406),
    [sym_false] = ACTIONS(2406),
    [anon_sym_NULL] = ACTIONS(2406),
    [anon_sym_nullptr] = ACTIONS(2406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2406),
    [anon_sym_decltype] = ACTIONS(2406),
    [anon_sym_explicit] = ACTIONS(2406),
    [anon_sym_typename] = ACTIONS(2406),
    [anon_sym_template] = ACTIONS(2406),
    [anon_sym_operator] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2406),
    [anon_sym_delete] = ACTIONS(2406),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_namespace] = ACTIONS(2406),
    [anon_sym_using] = ACTIONS(2406),
    [anon_sym_static_assert] = ACTIONS(2406),
    [anon_sym_concept] = ACTIONS(2406),
    [anon_sym_co_return] = ACTIONS(2406),
    [anon_sym_co_yield] = ACTIONS(2406),
    [anon_sym_R_DQUOTE] = ACTIONS(2408),
    [anon_sym_LR_DQUOTE] = ACTIONS(2408),
    [anon_sym_uR_DQUOTE] = ACTIONS(2408),
    [anon_sym_UR_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2408),
    [anon_sym_co_await] = ACTIONS(2406),
    [anon_sym_new] = ACTIONS(2406),
    [anon_sym_requires] = ACTIONS(2406),
    [sym_this] = ACTIONS(2406),
    [anon_sym_discard] = ACTIONS(2406),
    [anon_sym_precise] = ACTIONS(2406),
    [anon_sym_shared] = ACTIONS(2406),
    [anon_sym_groupshared] = ACTIONS(2406),
    [anon_sym_uniform] = ACTIONS(2406),
    [anon_sym_row_major] = ACTIONS(2406),
    [anon_sym_column_major] = ACTIONS(2406),
    [anon_sym_globallycoherent] = ACTIONS(2406),
    [anon_sym_centroid] = ACTIONS(2406),
    [anon_sym_noperspective] = ACTIONS(2406),
    [anon_sym_nointerpolation] = ACTIONS(2406),
    [anon_sym_sample] = ACTIONS(2406),
    [anon_sym_linear] = ACTIONS(2406),
    [anon_sym_snorm] = ACTIONS(2406),
    [anon_sym_unorm] = ACTIONS(2406),
    [anon_sym_point] = ACTIONS(2406),
    [anon_sym_line] = ACTIONS(2406),
    [anon_sym_triangleadj] = ACTIONS(2406),
    [anon_sym_lineadj] = ACTIONS(2406),
    [anon_sym_triangle] = ACTIONS(2406),
    [anon_sym_cbuffer] = ACTIONS(2406),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(1989),
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2410),
    [aux_sym_preproc_include_token1] = ACTIONS(2410),
    [aux_sym_preproc_def_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token2] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2410),
    [aux_sym_preproc_else_token1] = ACTIONS(2410),
    [aux_sym_preproc_elif_token1] = ACTIONS(2410),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2410),
    [sym_preproc_directive] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_BANG] = ACTIONS(2412),
    [anon_sym_TILDE] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(2410),
    [anon_sym_typedef] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_out] = ACTIONS(2410),
    [anon_sym_inout] = ACTIONS(2410),
    [anon_sym_virtual] = ACTIONS(2410),
    [anon_sym_extern] = ACTIONS(2410),
    [anon_sym___attribute__] = ACTIONS(2410),
    [anon_sym___attribute] = ACTIONS(2410),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2412),
    [anon_sym___declspec] = ACTIONS(2410),
    [anon_sym___based] = ACTIONS(2410),
    [anon_sym___cdecl] = ACTIONS(2410),
    [anon_sym___clrcall] = ACTIONS(2410),
    [anon_sym___stdcall] = ACTIONS(2410),
    [anon_sym___fastcall] = ACTIONS(2410),
    [anon_sym___thiscall] = ACTIONS(2410),
    [anon_sym___vectorcall] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2412),
    [anon_sym_signed] = ACTIONS(2410),
    [anon_sym_unsigned] = ACTIONS(2410),
    [anon_sym_long] = ACTIONS(2410),
    [anon_sym_short] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_register] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym___inline] = ACTIONS(2410),
    [anon_sym___inline__] = ACTIONS(2410),
    [anon_sym___forceinline] = ACTIONS(2410),
    [anon_sym_thread_local] = ACTIONS(2410),
    [anon_sym___thread] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_constexpr] = ACTIONS(2410),
    [anon_sym_volatile] = ACTIONS(2410),
    [anon_sym_restrict] = ACTIONS(2410),
    [anon_sym___restrict__] = ACTIONS(2410),
    [anon_sym__Atomic] = ACTIONS(2410),
    [anon_sym__Noreturn] = ACTIONS(2410),
    [anon_sym_noreturn] = ACTIONS(2410),
    [anon_sym__Nonnull] = ACTIONS(2410),
    [anon_sym_mutable] = ACTIONS(2410),
    [anon_sym_constinit] = ACTIONS(2410),
    [anon_sym_consteval] = ACTIONS(2410),
    [anon_sym_alignas] = ACTIONS(2410),
    [anon_sym__Alignas] = ACTIONS(2410),
    [sym_primitive_type] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_struct] = ACTIONS(2410),
    [anon_sym_union] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_case] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_goto] = ACTIONS(2410),
    [anon_sym___try] = ACTIONS(2410),
    [anon_sym___leave] = ACTIONS(2410),
    [anon_sym_not] = ACTIONS(2410),
    [anon_sym_compl] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_sizeof] = ACTIONS(2410),
    [anon_sym___alignof__] = ACTIONS(2410),
    [anon_sym___alignof] = ACTIONS(2410),
    [anon_sym__alignof] = ACTIONS(2410),
    [anon_sym_alignof] = ACTIONS(2410),
    [anon_sym__Alignof] = ACTIONS(2410),
    [anon_sym_offsetof] = ACTIONS(2410),
    [anon_sym__Generic] = ACTIONS(2410),
    [anon_sym_asm] = ACTIONS(2410),
    [anon_sym___asm__] = ACTIONS(2410),
    [anon_sym___asm] = ACTIONS(2410),
    [sym_number_literal] = ACTIONS(2412),
    [anon_sym_L_SQUOTE] = ACTIONS(2412),
    [anon_sym_u_SQUOTE] = ACTIONS(2412),
    [anon_sym_U_SQUOTE] = ACTIONS(2412),
    [anon_sym_u8_SQUOTE] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_L_DQUOTE] = ACTIONS(2412),
    [anon_sym_u_DQUOTE] = ACTIONS(2412),
    [anon_sym_U_DQUOTE] = ACTIONS(2412),
    [anon_sym_u8_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2412),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2410),
    [anon_sym_decltype] = ACTIONS(2410),
    [anon_sym_explicit] = ACTIONS(2410),
    [anon_sym_typename] = ACTIONS(2410),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_static_assert] = ACTIONS(2410),
    [anon_sym_concept] = ACTIONS(2410),
    [anon_sym_co_return] = ACTIONS(2410),
    [anon_sym_co_yield] = ACTIONS(2410),
    [anon_sym_R_DQUOTE] = ACTIONS(2412),
    [anon_sym_LR_DQUOTE] = ACTIONS(2412),
    [anon_sym_uR_DQUOTE] = ACTIONS(2412),
    [anon_sym_UR_DQUOTE] = ACTIONS(2412),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2412),
    [anon_sym_co_await] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_requires] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [anon_sym_discard] = ACTIONS(2410),
    [anon_sym_precise] = ACTIONS(2410),
    [anon_sym_shared] = ACTIONS(2410),
    [anon_sym_groupshared] = ACTIONS(2410),
    [anon_sym_uniform] = ACTIONS(2410),
    [anon_sym_row_major] = ACTIONS(2410),
    [anon_sym_column_major] = ACTIONS(2410),
    [anon_sym_globallycoherent] = ACTIONS(2410),
    [anon_sym_centroid] = ACTIONS(2410),
    [anon_sym_noperspective] = ACTIONS(2410),
    [anon_sym_nointerpolation] = ACTIONS(2410),
    [anon_sym_sample] = ACTIONS(2410),
    [anon_sym_linear] = ACTIONS(2410),
    [anon_sym_snorm] = ACTIONS(2410),
    [anon_sym_unorm] = ACTIONS(2410),
    [anon_sym_point] = ACTIONS(2410),
    [anon_sym_line] = ACTIONS(2410),
    [anon_sym_triangleadj] = ACTIONS(2410),
    [anon_sym_lineadj] = ACTIONS(2410),
    [anon_sym_triangle] = ACTIONS(2410),
    [anon_sym_cbuffer] = ACTIONS(2410),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_include_token1] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token2] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [aux_sym_preproc_else_token1] = ACTIONS(2414),
    [aux_sym_preproc_elif_token1] = ACTIONS(2414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym___cdecl] = ACTIONS(2414),
    [anon_sym___clrcall] = ACTIONS(2414),
    [anon_sym___stdcall] = ACTIONS(2414),
    [anon_sym___fastcall] = ACTIONS(2414),
    [anon_sym___thiscall] = ACTIONS(2414),
    [anon_sym___vectorcall] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_switch] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(2414),
    [anon_sym_default] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_break] = ACTIONS(2414),
    [anon_sym_continue] = ACTIONS(2414),
    [anon_sym_goto] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2414),
    [anon_sym___leave] = ACTIONS(2414),
    [anon_sym_not] = ACTIONS(2414),
    [anon_sym_compl] = ACTIONS(2414),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_sizeof] = ACTIONS(2414),
    [anon_sym___alignof__] = ACTIONS(2414),
    [anon_sym___alignof] = ACTIONS(2414),
    [anon_sym__alignof] = ACTIONS(2414),
    [anon_sym_alignof] = ACTIONS(2414),
    [anon_sym__Alignof] = ACTIONS(2414),
    [anon_sym_offsetof] = ACTIONS(2414),
    [anon_sym__Generic] = ACTIONS(2414),
    [anon_sym_asm] = ACTIONS(2414),
    [anon_sym___asm__] = ACTIONS(2414),
    [anon_sym___asm] = ACTIONS(2414),
    [sym_number_literal] = ACTIONS(2416),
    [anon_sym_L_SQUOTE] = ACTIONS(2416),
    [anon_sym_u_SQUOTE] = ACTIONS(2416),
    [anon_sym_U_SQUOTE] = ACTIONS(2416),
    [anon_sym_u8_SQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_L_DQUOTE] = ACTIONS(2416),
    [anon_sym_u_DQUOTE] = ACTIONS(2416),
    [anon_sym_U_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8_DQUOTE] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [sym_true] = ACTIONS(2414),
    [sym_false] = ACTIONS(2414),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2414),
    [anon_sym_delete] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2414),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_concept] = ACTIONS(2414),
    [anon_sym_co_return] = ACTIONS(2414),
    [anon_sym_co_yield] = ACTIONS(2414),
    [anon_sym_R_DQUOTE] = ACTIONS(2416),
    [anon_sym_LR_DQUOTE] = ACTIONS(2416),
    [anon_sym_uR_DQUOTE] = ACTIONS(2416),
    [anon_sym_UR_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2416),
    [anon_sym_co_await] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_requires] = ACTIONS(2414),
    [sym_this] = ACTIONS(2414),
    [anon_sym_discard] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
    [anon_sym_cbuffer] = ACTIONS(2414),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2418),
    [aux_sym_preproc_include_token1] = ACTIONS(2418),
    [aux_sym_preproc_def_token1] = ACTIONS(2418),
    [aux_sym_preproc_if_token1] = ACTIONS(2418),
    [aux_sym_preproc_if_token2] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2418),
    [aux_sym_preproc_else_token1] = ACTIONS(2418),
    [aux_sym_preproc_elif_token1] = ACTIONS(2418),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2418),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2418),
    [sym_preproc_directive] = ACTIONS(2418),
    [anon_sym_LPAREN2] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(2420),
    [anon_sym_TILDE] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_AMP_AMP] = ACTIONS(2420),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2420),
    [anon_sym___extension__] = ACTIONS(2418),
    [anon_sym_typedef] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_out] = ACTIONS(2418),
    [anon_sym_inout] = ACTIONS(2418),
    [anon_sym_virtual] = ACTIONS(2418),
    [anon_sym_extern] = ACTIONS(2418),
    [anon_sym___attribute__] = ACTIONS(2418),
    [anon_sym___attribute] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2420),
    [anon_sym___declspec] = ACTIONS(2418),
    [anon_sym___based] = ACTIONS(2418),
    [anon_sym___cdecl] = ACTIONS(2418),
    [anon_sym___clrcall] = ACTIONS(2418),
    [anon_sym___stdcall] = ACTIONS(2418),
    [anon_sym___fastcall] = ACTIONS(2418),
    [anon_sym___thiscall] = ACTIONS(2418),
    [anon_sym___vectorcall] = ACTIONS(2418),
    [anon_sym_LBRACE] = ACTIONS(2420),
    [anon_sym_signed] = ACTIONS(2418),
    [anon_sym_unsigned] = ACTIONS(2418),
    [anon_sym_long] = ACTIONS(2418),
    [anon_sym_short] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_static] = ACTIONS(2418),
    [anon_sym_register] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(2418),
    [anon_sym___inline] = ACTIONS(2418),
    [anon_sym___inline__] = ACTIONS(2418),
    [anon_sym___forceinline] = ACTIONS(2418),
    [anon_sym_thread_local] = ACTIONS(2418),
    [anon_sym___thread] = ACTIONS(2418),
    [anon_sym_const] = ACTIONS(2418),
    [anon_sym_constexpr] = ACTIONS(2418),
    [anon_sym_volatile] = ACTIONS(2418),
    [anon_sym_restrict] = ACTIONS(2418),
    [anon_sym___restrict__] = ACTIONS(2418),
    [anon_sym__Atomic] = ACTIONS(2418),
    [anon_sym__Noreturn] = ACTIONS(2418),
    [anon_sym_noreturn] = ACTIONS(2418),
    [anon_sym__Nonnull] = ACTIONS(2418),
    [anon_sym_mutable] = ACTIONS(2418),
    [anon_sym_constinit] = ACTIONS(2418),
    [anon_sym_consteval] = ACTIONS(2418),
    [anon_sym_alignas] = ACTIONS(2418),
    [anon_sym__Alignas] = ACTIONS(2418),
    [sym_primitive_type] = ACTIONS(2418),
    [anon_sym_enum] = ACTIONS(2418),
    [anon_sym_class] = ACTIONS(2418),
    [anon_sym_struct] = ACTIONS(2418),
    [anon_sym_union] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2418),
    [anon_sym_switch] = ACTIONS(2418),
    [anon_sym_case] = ACTIONS(2418),
    [anon_sym_default] = ACTIONS(2418),
    [anon_sym_while] = ACTIONS(2418),
    [anon_sym_do] = ACTIONS(2418),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_return] = ACTIONS(2418),
    [anon_sym_break] = ACTIONS(2418),
    [anon_sym_continue] = ACTIONS(2418),
    [anon_sym_goto] = ACTIONS(2418),
    [anon_sym___try] = ACTIONS(2418),
    [anon_sym___leave] = ACTIONS(2418),
    [anon_sym_not] = ACTIONS(2418),
    [anon_sym_compl] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2420),
    [anon_sym_PLUS_PLUS] = ACTIONS(2420),
    [anon_sym_sizeof] = ACTIONS(2418),
    [anon_sym___alignof__] = ACTIONS(2418),
    [anon_sym___alignof] = ACTIONS(2418),
    [anon_sym__alignof] = ACTIONS(2418),
    [anon_sym_alignof] = ACTIONS(2418),
    [anon_sym__Alignof] = ACTIONS(2418),
    [anon_sym_offsetof] = ACTIONS(2418),
    [anon_sym__Generic] = ACTIONS(2418),
    [anon_sym_asm] = ACTIONS(2418),
    [anon_sym___asm__] = ACTIONS(2418),
    [anon_sym___asm] = ACTIONS(2418),
    [sym_number_literal] = ACTIONS(2420),
    [anon_sym_L_SQUOTE] = ACTIONS(2420),
    [anon_sym_u_SQUOTE] = ACTIONS(2420),
    [anon_sym_U_SQUOTE] = ACTIONS(2420),
    [anon_sym_u8_SQUOTE] = ACTIONS(2420),
    [anon_sym_SQUOTE] = ACTIONS(2420),
    [anon_sym_L_DQUOTE] = ACTIONS(2420),
    [anon_sym_u_DQUOTE] = ACTIONS(2420),
    [anon_sym_U_DQUOTE] = ACTIONS(2420),
    [anon_sym_u8_DQUOTE] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2420),
    [sym_true] = ACTIONS(2418),
    [sym_false] = ACTIONS(2418),
    [anon_sym_NULL] = ACTIONS(2418),
    [anon_sym_nullptr] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2418),
    [anon_sym_decltype] = ACTIONS(2418),
    [anon_sym_explicit] = ACTIONS(2418),
    [anon_sym_typename] = ACTIONS(2418),
    [anon_sym_template] = ACTIONS(2418),
    [anon_sym_operator] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2418),
    [anon_sym_delete] = ACTIONS(2418),
    [anon_sym_throw] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2418),
    [anon_sym_using] = ACTIONS(2418),
    [anon_sym_static_assert] = ACTIONS(2418),
    [anon_sym_concept] = ACTIONS(2418),
    [anon_sym_co_return] = ACTIONS(2418),
    [anon_sym_co_yield] = ACTIONS(2418),
    [anon_sym_R_DQUOTE] = ACTIONS(2420),
    [anon_sym_LR_DQUOTE] = ACTIONS(2420),
    [anon_sym_uR_DQUOTE] = ACTIONS(2420),
    [anon_sym_UR_DQUOTE] = ACTIONS(2420),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2420),
    [anon_sym_co_await] = ACTIONS(2418),
    [anon_sym_new] = ACTIONS(2418),
    [anon_sym_requires] = ACTIONS(2418),
    [sym_this] = ACTIONS(2418),
    [anon_sym_discard] = ACTIONS(2418),
    [anon_sym_precise] = ACTIONS(2418),
    [anon_sym_shared] = ACTIONS(2418),
    [anon_sym_groupshared] = ACTIONS(2418),
    [anon_sym_uniform] = ACTIONS(2418),
    [anon_sym_row_major] = ACTIONS(2418),
    [anon_sym_column_major] = ACTIONS(2418),
    [anon_sym_globallycoherent] = ACTIONS(2418),
    [anon_sym_centroid] = ACTIONS(2418),
    [anon_sym_noperspective] = ACTIONS(2418),
    [anon_sym_nointerpolation] = ACTIONS(2418),
    [anon_sym_sample] = ACTIONS(2418),
    [anon_sym_linear] = ACTIONS(2418),
    [anon_sym_snorm] = ACTIONS(2418),
    [anon_sym_unorm] = ACTIONS(2418),
    [anon_sym_point] = ACTIONS(2418),
    [anon_sym_line] = ACTIONS(2418),
    [anon_sym_triangleadj] = ACTIONS(2418),
    [anon_sym_lineadj] = ACTIONS(2418),
    [anon_sym_triangle] = ACTIONS(2418),
    [anon_sym_cbuffer] = ACTIONS(2418),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2422),
    [aux_sym_preproc_include_token1] = ACTIONS(2422),
    [aux_sym_preproc_def_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token2] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2422),
    [aux_sym_preproc_else_token1] = ACTIONS(2422),
    [aux_sym_preproc_elif_token1] = ACTIONS(2422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2422),
    [sym_preproc_directive] = ACTIONS(2422),
    [anon_sym_LPAREN2] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym___extension__] = ACTIONS(2422),
    [anon_sym_typedef] = ACTIONS(2422),
    [anon_sym_in] = ACTIONS(2422),
    [anon_sym_out] = ACTIONS(2422),
    [anon_sym_inout] = ACTIONS(2422),
    [anon_sym_virtual] = ACTIONS(2422),
    [anon_sym_extern] = ACTIONS(2422),
    [anon_sym___attribute__] = ACTIONS(2422),
    [anon_sym___attribute] = ACTIONS(2422),
    [anon_sym_COLON_COLON] = ACTIONS(2424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2424),
    [anon_sym___declspec] = ACTIONS(2422),
    [anon_sym___based] = ACTIONS(2422),
    [anon_sym___cdecl] = ACTIONS(2422),
    [anon_sym___clrcall] = ACTIONS(2422),
    [anon_sym___stdcall] = ACTIONS(2422),
    [anon_sym___fastcall] = ACTIONS(2422),
    [anon_sym___thiscall] = ACTIONS(2422),
    [anon_sym___vectorcall] = ACTIONS(2422),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_signed] = ACTIONS(2422),
    [anon_sym_unsigned] = ACTIONS(2422),
    [anon_sym_long] = ACTIONS(2422),
    [anon_sym_short] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_static] = ACTIONS(2422),
    [anon_sym_register] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(2422),
    [anon_sym___inline] = ACTIONS(2422),
    [anon_sym___inline__] = ACTIONS(2422),
    [anon_sym___forceinline] = ACTIONS(2422),
    [anon_sym_thread_local] = ACTIONS(2422),
    [anon_sym___thread] = ACTIONS(2422),
    [anon_sym_const] = ACTIONS(2422),
    [anon_sym_constexpr] = ACTIONS(2422),
    [anon_sym_volatile] = ACTIONS(2422),
    [anon_sym_restrict] = ACTIONS(2422),
    [anon_sym___restrict__] = ACTIONS(2422),
    [anon_sym__Atomic] = ACTIONS(2422),
    [anon_sym__Noreturn] = ACTIONS(2422),
    [anon_sym_noreturn] = ACTIONS(2422),
    [anon_sym__Nonnull] = ACTIONS(2422),
    [anon_sym_mutable] = ACTIONS(2422),
    [anon_sym_constinit] = ACTIONS(2422),
    [anon_sym_consteval] = ACTIONS(2422),
    [anon_sym_alignas] = ACTIONS(2422),
    [anon_sym__Alignas] = ACTIONS(2422),
    [sym_primitive_type] = ACTIONS(2422),
    [anon_sym_enum] = ACTIONS(2422),
    [anon_sym_class] = ACTIONS(2422),
    [anon_sym_struct] = ACTIONS(2422),
    [anon_sym_union] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(2422),
    [anon_sym_switch] = ACTIONS(2422),
    [anon_sym_case] = ACTIONS(2422),
    [anon_sym_default] = ACTIONS(2422),
    [anon_sym_while] = ACTIONS(2422),
    [anon_sym_do] = ACTIONS(2422),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_return] = ACTIONS(2422),
    [anon_sym_break] = ACTIONS(2422),
    [anon_sym_continue] = ACTIONS(2422),
    [anon_sym_goto] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2422),
    [anon_sym___leave] = ACTIONS(2422),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_sizeof] = ACTIONS(2422),
    [anon_sym___alignof__] = ACTIONS(2422),
    [anon_sym___alignof] = ACTIONS(2422),
    [anon_sym__alignof] = ACTIONS(2422),
    [anon_sym_alignof] = ACTIONS(2422),
    [anon_sym__Alignof] = ACTIONS(2422),
    [anon_sym_offsetof] = ACTIONS(2422),
    [anon_sym__Generic] = ACTIONS(2422),
    [anon_sym_asm] = ACTIONS(2422),
    [anon_sym___asm__] = ACTIONS(2422),
    [anon_sym___asm] = ACTIONS(2422),
    [sym_number_literal] = ACTIONS(2424),
    [anon_sym_L_SQUOTE] = ACTIONS(2424),
    [anon_sym_u_SQUOTE] = ACTIONS(2424),
    [anon_sym_U_SQUOTE] = ACTIONS(2424),
    [anon_sym_u8_SQUOTE] = ACTIONS(2424),
    [anon_sym_SQUOTE] = ACTIONS(2424),
    [anon_sym_L_DQUOTE] = ACTIONS(2424),
    [anon_sym_u_DQUOTE] = ACTIONS(2424),
    [anon_sym_U_DQUOTE] = ACTIONS(2424),
    [anon_sym_u8_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [sym_true] = ACTIONS(2422),
    [sym_false] = ACTIONS(2422),
    [anon_sym_NULL] = ACTIONS(2422),
    [anon_sym_nullptr] = ACTIONS(2422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2422),
    [anon_sym_decltype] = ACTIONS(2422),
    [anon_sym_explicit] = ACTIONS(2422),
    [anon_sym_typename] = ACTIONS(2422),
    [anon_sym_template] = ACTIONS(2422),
    [anon_sym_operator] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2422),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2422),
    [anon_sym_namespace] = ACTIONS(2422),
    [anon_sym_using] = ACTIONS(2422),
    [anon_sym_static_assert] = ACTIONS(2422),
    [anon_sym_concept] = ACTIONS(2422),
    [anon_sym_co_return] = ACTIONS(2422),
    [anon_sym_co_yield] = ACTIONS(2422),
    [anon_sym_R_DQUOTE] = ACTIONS(2424),
    [anon_sym_LR_DQUOTE] = ACTIONS(2424),
    [anon_sym_uR_DQUOTE] = ACTIONS(2424),
    [anon_sym_UR_DQUOTE] = ACTIONS(2424),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2424),
    [anon_sym_co_await] = ACTIONS(2422),
    [anon_sym_new] = ACTIONS(2422),
    [anon_sym_requires] = ACTIONS(2422),
    [sym_this] = ACTIONS(2422),
    [anon_sym_discard] = ACTIONS(2422),
    [anon_sym_precise] = ACTIONS(2422),
    [anon_sym_shared] = ACTIONS(2422),
    [anon_sym_groupshared] = ACTIONS(2422),
    [anon_sym_uniform] = ACTIONS(2422),
    [anon_sym_row_major] = ACTIONS(2422),
    [anon_sym_column_major] = ACTIONS(2422),
    [anon_sym_globallycoherent] = ACTIONS(2422),
    [anon_sym_centroid] = ACTIONS(2422),
    [anon_sym_noperspective] = ACTIONS(2422),
    [anon_sym_nointerpolation] = ACTIONS(2422),
    [anon_sym_sample] = ACTIONS(2422),
    [anon_sym_linear] = ACTIONS(2422),
    [anon_sym_snorm] = ACTIONS(2422),
    [anon_sym_unorm] = ACTIONS(2422),
    [anon_sym_point] = ACTIONS(2422),
    [anon_sym_line] = ACTIONS(2422),
    [anon_sym_triangleadj] = ACTIONS(2422),
    [anon_sym_lineadj] = ACTIONS(2422),
    [anon_sym_triangle] = ACTIONS(2422),
    [anon_sym_cbuffer] = ACTIONS(2422),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_include_token1] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token2] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [aux_sym_preproc_else_token1] = ACTIONS(2426),
    [aux_sym_preproc_elif_token1] = ACTIONS(2426),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym___cdecl] = ACTIONS(2426),
    [anon_sym___clrcall] = ACTIONS(2426),
    [anon_sym___stdcall] = ACTIONS(2426),
    [anon_sym___fastcall] = ACTIONS(2426),
    [anon_sym___thiscall] = ACTIONS(2426),
    [anon_sym___vectorcall] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_goto] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2426),
    [anon_sym___leave] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2426),
    [anon_sym_compl] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2426),
    [anon_sym___alignof] = ACTIONS(2426),
    [anon_sym__alignof] = ACTIONS(2426),
    [anon_sym_alignof] = ACTIONS(2426),
    [anon_sym__Alignof] = ACTIONS(2426),
    [anon_sym_offsetof] = ACTIONS(2426),
    [anon_sym__Generic] = ACTIONS(2426),
    [anon_sym_asm] = ACTIONS(2426),
    [anon_sym___asm__] = ACTIONS(2426),
    [anon_sym___asm] = ACTIONS(2426),
    [sym_number_literal] = ACTIONS(2428),
    [anon_sym_L_SQUOTE] = ACTIONS(2428),
    [anon_sym_u_SQUOTE] = ACTIONS(2428),
    [anon_sym_U_SQUOTE] = ACTIONS(2428),
    [anon_sym_u8_SQUOTE] = ACTIONS(2428),
    [anon_sym_SQUOTE] = ACTIONS(2428),
    [anon_sym_L_DQUOTE] = ACTIONS(2428),
    [anon_sym_u_DQUOTE] = ACTIONS(2428),
    [anon_sym_U_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [anon_sym_NULL] = ACTIONS(2426),
    [anon_sym_nullptr] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_concept] = ACTIONS(2426),
    [anon_sym_co_return] = ACTIONS(2426),
    [anon_sym_co_yield] = ACTIONS(2426),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_requires] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [anon_sym_discard] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
    [anon_sym_cbuffer] = ACTIONS(2426),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_include_token1] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token2] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [aux_sym_preproc_else_token1] = ACTIONS(2426),
    [aux_sym_preproc_elif_token1] = ACTIONS(2426),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym___cdecl] = ACTIONS(2426),
    [anon_sym___clrcall] = ACTIONS(2426),
    [anon_sym___stdcall] = ACTIONS(2426),
    [anon_sym___fastcall] = ACTIONS(2426),
    [anon_sym___thiscall] = ACTIONS(2426),
    [anon_sym___vectorcall] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_goto] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2426),
    [anon_sym___leave] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2426),
    [anon_sym_compl] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2426),
    [anon_sym___alignof] = ACTIONS(2426),
    [anon_sym__alignof] = ACTIONS(2426),
    [anon_sym_alignof] = ACTIONS(2426),
    [anon_sym__Alignof] = ACTIONS(2426),
    [anon_sym_offsetof] = ACTIONS(2426),
    [anon_sym__Generic] = ACTIONS(2426),
    [anon_sym_asm] = ACTIONS(2426),
    [anon_sym___asm__] = ACTIONS(2426),
    [anon_sym___asm] = ACTIONS(2426),
    [sym_number_literal] = ACTIONS(2428),
    [anon_sym_L_SQUOTE] = ACTIONS(2428),
    [anon_sym_u_SQUOTE] = ACTIONS(2428),
    [anon_sym_U_SQUOTE] = ACTIONS(2428),
    [anon_sym_u8_SQUOTE] = ACTIONS(2428),
    [anon_sym_SQUOTE] = ACTIONS(2428),
    [anon_sym_L_DQUOTE] = ACTIONS(2428),
    [anon_sym_u_DQUOTE] = ACTIONS(2428),
    [anon_sym_U_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [anon_sym_NULL] = ACTIONS(2426),
    [anon_sym_nullptr] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_concept] = ACTIONS(2426),
    [anon_sym_co_return] = ACTIONS(2426),
    [anon_sym_co_yield] = ACTIONS(2426),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_requires] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [anon_sym_discard] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
    [anon_sym_cbuffer] = ACTIONS(2426),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2007),
    [aux_sym_preproc_include_token1] = ACTIONS(2007),
    [aux_sym_preproc_def_token1] = ACTIONS(2007),
    [aux_sym_preproc_if_token1] = ACTIONS(2007),
    [aux_sym_preproc_if_token2] = ACTIONS(2007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2007),
    [sym_preproc_directive] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2009),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2009),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_typedef] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym___cdecl] = ACTIONS(2007),
    [anon_sym___clrcall] = ACTIONS(2007),
    [anon_sym___stdcall] = ACTIONS(2007),
    [anon_sym___fastcall] = ACTIONS(2007),
    [anon_sym___thiscall] = ACTIONS(2007),
    [anon_sym___vectorcall] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_signed] = ACTIONS(2007),
    [anon_sym_unsigned] = ACTIONS(2007),
    [anon_sym_long] = ACTIONS(2007),
    [anon_sym_short] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [sym_primitive_type] = ACTIONS(2007),
    [anon_sym_enum] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_struct] = ACTIONS(2007),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_else] = ACTIONS(2007),
    [anon_sym_switch] = ACTIONS(2007),
    [anon_sym_case] = ACTIONS(2007),
    [anon_sym_default] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym___try] = ACTIONS(2007),
    [anon_sym___leave] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_compl] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2007),
    [anon_sym___alignof__] = ACTIONS(2007),
    [anon_sym___alignof] = ACTIONS(2007),
    [anon_sym__alignof] = ACTIONS(2007),
    [anon_sym_alignof] = ACTIONS(2007),
    [anon_sym__Alignof] = ACTIONS(2007),
    [anon_sym_offsetof] = ACTIONS(2007),
    [anon_sym__Generic] = ACTIONS(2007),
    [anon_sym_asm] = ACTIONS(2007),
    [anon_sym___asm__] = ACTIONS(2007),
    [anon_sym___asm] = ACTIONS(2007),
    [sym_number_literal] = ACTIONS(2009),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2009),
    [anon_sym_u_DQUOTE] = ACTIONS(2009),
    [anon_sym_U_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8_DQUOTE] = ACTIONS(2009),
    [anon_sym_DQUOTE] = ACTIONS(2009),
    [sym_true] = ACTIONS(2007),
    [sym_false] = ACTIONS(2007),
    [anon_sym_NULL] = ACTIONS(2007),
    [anon_sym_nullptr] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_final] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_explicit] = ACTIONS(2007),
    [anon_sym_typename] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_namespace] = ACTIONS(2007),
    [anon_sym_using] = ACTIONS(2007),
    [anon_sym_static_assert] = ACTIONS(2007),
    [anon_sym_concept] = ACTIONS(2007),
    [anon_sym_co_return] = ACTIONS(2007),
    [anon_sym_co_yield] = ACTIONS(2007),
    [anon_sym_R_DQUOTE] = ACTIONS(2009),
    [anon_sym_LR_DQUOTE] = ACTIONS(2009),
    [anon_sym_uR_DQUOTE] = ACTIONS(2009),
    [anon_sym_UR_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2009),
    [anon_sym_co_await] = ACTIONS(2007),
    [anon_sym_new] = ACTIONS(2007),
    [anon_sym_requires] = ACTIONS(2007),
    [sym_this] = ACTIONS(2007),
    [anon_sym_discard] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
    [anon_sym_cbuffer] = ACTIONS(2007),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token2] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token2] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2003),
    [aux_sym_preproc_include_token1] = ACTIONS(2003),
    [aux_sym_preproc_def_token1] = ACTIONS(2003),
    [aux_sym_preproc_if_token1] = ACTIONS(2003),
    [aux_sym_preproc_if_token2] = ACTIONS(2003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2003),
    [sym_preproc_directive] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_AMP_AMP] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_SEMI] = ACTIONS(2005),
    [anon_sym___extension__] = ACTIONS(2003),
    [anon_sym_typedef] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(2003),
    [anon_sym_out] = ACTIONS(2003),
    [anon_sym_inout] = ACTIONS(2003),
    [anon_sym_virtual] = ACTIONS(2003),
    [anon_sym_extern] = ACTIONS(2003),
    [anon_sym___attribute__] = ACTIONS(2003),
    [anon_sym___attribute] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2005),
    [anon_sym___declspec] = ACTIONS(2003),
    [anon_sym___based] = ACTIONS(2003),
    [anon_sym___cdecl] = ACTIONS(2003),
    [anon_sym___clrcall] = ACTIONS(2003),
    [anon_sym___stdcall] = ACTIONS(2003),
    [anon_sym___fastcall] = ACTIONS(2003),
    [anon_sym___thiscall] = ACTIONS(2003),
    [anon_sym___vectorcall] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_signed] = ACTIONS(2003),
    [anon_sym_unsigned] = ACTIONS(2003),
    [anon_sym_long] = ACTIONS(2003),
    [anon_sym_short] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_static] = ACTIONS(2003),
    [anon_sym_register] = ACTIONS(2003),
    [anon_sym_inline] = ACTIONS(2003),
    [anon_sym___inline] = ACTIONS(2003),
    [anon_sym___inline__] = ACTIONS(2003),
    [anon_sym___forceinline] = ACTIONS(2003),
    [anon_sym_thread_local] = ACTIONS(2003),
    [anon_sym___thread] = ACTIONS(2003),
    [anon_sym_const] = ACTIONS(2003),
    [anon_sym_constexpr] = ACTIONS(2003),
    [anon_sym_volatile] = ACTIONS(2003),
    [anon_sym_restrict] = ACTIONS(2003),
    [anon_sym___restrict__] = ACTIONS(2003),
    [anon_sym__Atomic] = ACTIONS(2003),
    [anon_sym__Noreturn] = ACTIONS(2003),
    [anon_sym_noreturn] = ACTIONS(2003),
    [anon_sym__Nonnull] = ACTIONS(2003),
    [anon_sym_mutable] = ACTIONS(2003),
    [anon_sym_constinit] = ACTIONS(2003),
    [anon_sym_consteval] = ACTIONS(2003),
    [anon_sym_alignas] = ACTIONS(2003),
    [anon_sym__Alignas] = ACTIONS(2003),
    [sym_primitive_type] = ACTIONS(2003),
    [anon_sym_enum] = ACTIONS(2003),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2003),
    [anon_sym_union] = ACTIONS(2003),
    [anon_sym_if] = ACTIONS(2003),
    [anon_sym_else] = ACTIONS(2003),
    [anon_sym_switch] = ACTIONS(2003),
    [anon_sym_case] = ACTIONS(2003),
    [anon_sym_default] = ACTIONS(2003),
    [anon_sym_while] = ACTIONS(2003),
    [anon_sym_do] = ACTIONS(2003),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_return] = ACTIONS(2003),
    [anon_sym_break] = ACTIONS(2003),
    [anon_sym_continue] = ACTIONS(2003),
    [anon_sym_goto] = ACTIONS(2003),
    [anon_sym___try] = ACTIONS(2003),
    [anon_sym___leave] = ACTIONS(2003),
    [anon_sym_not] = ACTIONS(2003),
    [anon_sym_compl] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_sizeof] = ACTIONS(2003),
    [anon_sym___alignof__] = ACTIONS(2003),
    [anon_sym___alignof] = ACTIONS(2003),
    [anon_sym__alignof] = ACTIONS(2003),
    [anon_sym_alignof] = ACTIONS(2003),
    [anon_sym__Alignof] = ACTIONS(2003),
    [anon_sym_offsetof] = ACTIONS(2003),
    [anon_sym__Generic] = ACTIONS(2003),
    [anon_sym_asm] = ACTIONS(2003),
    [anon_sym___asm__] = ACTIONS(2003),
    [anon_sym___asm] = ACTIONS(2003),
    [sym_number_literal] = ACTIONS(2005),
    [anon_sym_L_SQUOTE] = ACTIONS(2005),
    [anon_sym_u_SQUOTE] = ACTIONS(2005),
    [anon_sym_U_SQUOTE] = ACTIONS(2005),
    [anon_sym_u8_SQUOTE] = ACTIONS(2005),
    [anon_sym_SQUOTE] = ACTIONS(2005),
    [anon_sym_L_DQUOTE] = ACTIONS(2005),
    [anon_sym_u_DQUOTE] = ACTIONS(2005),
    [anon_sym_U_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8_DQUOTE] = ACTIONS(2005),
    [anon_sym_DQUOTE] = ACTIONS(2005),
    [sym_true] = ACTIONS(2003),
    [sym_false] = ACTIONS(2003),
    [anon_sym_NULL] = ACTIONS(2003),
    [anon_sym_nullptr] = ACTIONS(2003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2003),
    [anon_sym_decltype] = ACTIONS(2003),
    [anon_sym_final] = ACTIONS(2003),
    [anon_sym_override] = ACTIONS(2003),
    [anon_sym_explicit] = ACTIONS(2003),
    [anon_sym_typename] = ACTIONS(2003),
    [anon_sym_template] = ACTIONS(2003),
    [anon_sym_operator] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2003),
    [anon_sym_delete] = ACTIONS(2003),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_namespace] = ACTIONS(2003),
    [anon_sym_using] = ACTIONS(2003),
    [anon_sym_static_assert] = ACTIONS(2003),
    [anon_sym_concept] = ACTIONS(2003),
    [anon_sym_co_return] = ACTIONS(2003),
    [anon_sym_co_yield] = ACTIONS(2003),
    [anon_sym_R_DQUOTE] = ACTIONS(2005),
    [anon_sym_LR_DQUOTE] = ACTIONS(2005),
    [anon_sym_uR_DQUOTE] = ACTIONS(2005),
    [anon_sym_UR_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2005),
    [anon_sym_co_await] = ACTIONS(2003),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_requires] = ACTIONS(2003),
    [sym_this] = ACTIONS(2003),
    [anon_sym_discard] = ACTIONS(2003),
    [anon_sym_precise] = ACTIONS(2003),
    [anon_sym_shared] = ACTIONS(2003),
    [anon_sym_groupshared] = ACTIONS(2003),
    [anon_sym_uniform] = ACTIONS(2003),
    [anon_sym_row_major] = ACTIONS(2003),
    [anon_sym_column_major] = ACTIONS(2003),
    [anon_sym_globallycoherent] = ACTIONS(2003),
    [anon_sym_centroid] = ACTIONS(2003),
    [anon_sym_noperspective] = ACTIONS(2003),
    [anon_sym_nointerpolation] = ACTIONS(2003),
    [anon_sym_sample] = ACTIONS(2003),
    [anon_sym_linear] = ACTIONS(2003),
    [anon_sym_snorm] = ACTIONS(2003),
    [anon_sym_unorm] = ACTIONS(2003),
    [anon_sym_point] = ACTIONS(2003),
    [anon_sym_line] = ACTIONS(2003),
    [anon_sym_triangleadj] = ACTIONS(2003),
    [anon_sym_lineadj] = ACTIONS(2003),
    [anon_sym_triangle] = ACTIONS(2003),
    [anon_sym_cbuffer] = ACTIONS(2003),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1991),
    [aux_sym_preproc_include_token1] = ACTIONS(1991),
    [aux_sym_preproc_def_token1] = ACTIONS(1991),
    [aux_sym_preproc_if_token1] = ACTIONS(1991),
    [aux_sym_preproc_if_token2] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1991),
    [sym_preproc_directive] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_STAR] = ACTIONS(1993),
    [anon_sym_AMP_AMP] = ACTIONS(1993),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1991),
    [anon_sym_typedef] = ACTIONS(1991),
    [anon_sym_in] = ACTIONS(1991),
    [anon_sym_out] = ACTIONS(1991),
    [anon_sym_inout] = ACTIONS(1991),
    [anon_sym_virtual] = ACTIONS(1991),
    [anon_sym_extern] = ACTIONS(1991),
    [anon_sym___attribute__] = ACTIONS(1991),
    [anon_sym___attribute] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1993),
    [anon_sym___declspec] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(1991),
    [anon_sym___cdecl] = ACTIONS(1991),
    [anon_sym___clrcall] = ACTIONS(1991),
    [anon_sym___stdcall] = ACTIONS(1991),
    [anon_sym___fastcall] = ACTIONS(1991),
    [anon_sym___thiscall] = ACTIONS(1991),
    [anon_sym___vectorcall] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_signed] = ACTIONS(1991),
    [anon_sym_unsigned] = ACTIONS(1991),
    [anon_sym_long] = ACTIONS(1991),
    [anon_sym_short] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_static] = ACTIONS(1991),
    [anon_sym_register] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1991),
    [anon_sym___inline] = ACTIONS(1991),
    [anon_sym___inline__] = ACTIONS(1991),
    [anon_sym___forceinline] = ACTIONS(1991),
    [anon_sym_thread_local] = ACTIONS(1991),
    [anon_sym___thread] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_constexpr] = ACTIONS(1991),
    [anon_sym_volatile] = ACTIONS(1991),
    [anon_sym_restrict] = ACTIONS(1991),
    [anon_sym___restrict__] = ACTIONS(1991),
    [anon_sym__Atomic] = ACTIONS(1991),
    [anon_sym__Noreturn] = ACTIONS(1991),
    [anon_sym_noreturn] = ACTIONS(1991),
    [anon_sym__Nonnull] = ACTIONS(1991),
    [anon_sym_mutable] = ACTIONS(1991),
    [anon_sym_constinit] = ACTIONS(1991),
    [anon_sym_consteval] = ACTIONS(1991),
    [anon_sym_alignas] = ACTIONS(1991),
    [anon_sym__Alignas] = ACTIONS(1991),
    [sym_primitive_type] = ACTIONS(1991),
    [anon_sym_enum] = ACTIONS(1991),
    [anon_sym_class] = ACTIONS(1991),
    [anon_sym_struct] = ACTIONS(1991),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(1991),
    [anon_sym_switch] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1991),
    [anon_sym_default] = ACTIONS(1991),
    [anon_sym_while] = ACTIONS(1991),
    [anon_sym_do] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1991),
    [anon_sym_return] = ACTIONS(1991),
    [anon_sym_break] = ACTIONS(1991),
    [anon_sym_continue] = ACTIONS(1991),
    [anon_sym_goto] = ACTIONS(1991),
    [anon_sym___try] = ACTIONS(1991),
    [anon_sym___leave] = ACTIONS(1991),
    [anon_sym_not] = ACTIONS(1991),
    [anon_sym_compl] = ACTIONS(1991),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_sizeof] = ACTIONS(1991),
    [anon_sym___alignof__] = ACTIONS(1991),
    [anon_sym___alignof] = ACTIONS(1991),
    [anon_sym__alignof] = ACTIONS(1991),
    [anon_sym_alignof] = ACTIONS(1991),
    [anon_sym__Alignof] = ACTIONS(1991),
    [anon_sym_offsetof] = ACTIONS(1991),
    [anon_sym__Generic] = ACTIONS(1991),
    [anon_sym_asm] = ACTIONS(1991),
    [anon_sym___asm__] = ACTIONS(1991),
    [anon_sym___asm] = ACTIONS(1991),
    [sym_number_literal] = ACTIONS(1993),
    [anon_sym_L_SQUOTE] = ACTIONS(1993),
    [anon_sym_u_SQUOTE] = ACTIONS(1993),
    [anon_sym_U_SQUOTE] = ACTIONS(1993),
    [anon_sym_u8_SQUOTE] = ACTIONS(1993),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1991),
    [sym_false] = ACTIONS(1991),
    [anon_sym_NULL] = ACTIONS(1991),
    [anon_sym_nullptr] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1991),
    [anon_sym_decltype] = ACTIONS(1991),
    [anon_sym_final] = ACTIONS(1991),
    [anon_sym_override] = ACTIONS(1991),
    [anon_sym_explicit] = ACTIONS(1991),
    [anon_sym_typename] = ACTIONS(1991),
    [anon_sym_template] = ACTIONS(1991),
    [anon_sym_operator] = ACTIONS(1991),
    [anon_sym_try] = ACTIONS(1991),
    [anon_sym_delete] = ACTIONS(1991),
    [anon_sym_throw] = ACTIONS(1991),
    [anon_sym_namespace] = ACTIONS(1991),
    [anon_sym_using] = ACTIONS(1991),
    [anon_sym_static_assert] = ACTIONS(1991),
    [anon_sym_concept] = ACTIONS(1991),
    [anon_sym_co_return] = ACTIONS(1991),
    [anon_sym_co_yield] = ACTIONS(1991),
    [anon_sym_R_DQUOTE] = ACTIONS(1993),
    [anon_sym_LR_DQUOTE] = ACTIONS(1993),
    [anon_sym_uR_DQUOTE] = ACTIONS(1993),
    [anon_sym_UR_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1993),
    [anon_sym_co_await] = ACTIONS(1991),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_requires] = ACTIONS(1991),
    [sym_this] = ACTIONS(1991),
    [anon_sym_discard] = ACTIONS(1991),
    [anon_sym_precise] = ACTIONS(1991),
    [anon_sym_shared] = ACTIONS(1991),
    [anon_sym_groupshared] = ACTIONS(1991),
    [anon_sym_uniform] = ACTIONS(1991),
    [anon_sym_row_major] = ACTIONS(1991),
    [anon_sym_column_major] = ACTIONS(1991),
    [anon_sym_globallycoherent] = ACTIONS(1991),
    [anon_sym_centroid] = ACTIONS(1991),
    [anon_sym_noperspective] = ACTIONS(1991),
    [anon_sym_nointerpolation] = ACTIONS(1991),
    [anon_sym_sample] = ACTIONS(1991),
    [anon_sym_linear] = ACTIONS(1991),
    [anon_sym_snorm] = ACTIONS(1991),
    [anon_sym_unorm] = ACTIONS(1991),
    [anon_sym_point] = ACTIONS(1991),
    [anon_sym_line] = ACTIONS(1991),
    [anon_sym_triangleadj] = ACTIONS(1991),
    [anon_sym_lineadj] = ACTIONS(1991),
    [anon_sym_triangle] = ACTIONS(1991),
    [anon_sym_cbuffer] = ACTIONS(1991),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token2] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2430),
    [aux_sym_preproc_include_token1] = ACTIONS(2430),
    [aux_sym_preproc_def_token1] = ACTIONS(2430),
    [aux_sym_preproc_if_token1] = ACTIONS(2430),
    [aux_sym_preproc_if_token2] = ACTIONS(2430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2430),
    [aux_sym_preproc_else_token1] = ACTIONS(2430),
    [aux_sym_preproc_elif_token1] = ACTIONS(2430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2430),
    [sym_preproc_directive] = ACTIONS(2430),
    [anon_sym_LPAREN2] = ACTIONS(2432),
    [anon_sym_BANG] = ACTIONS(2432),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2432),
    [anon_sym___extension__] = ACTIONS(2430),
    [anon_sym_typedef] = ACTIONS(2430),
    [anon_sym_in] = ACTIONS(2430),
    [anon_sym_out] = ACTIONS(2430),
    [anon_sym_inout] = ACTIONS(2430),
    [anon_sym_virtual] = ACTIONS(2430),
    [anon_sym_extern] = ACTIONS(2430),
    [anon_sym___attribute__] = ACTIONS(2430),
    [anon_sym___attribute] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2432),
    [anon_sym___declspec] = ACTIONS(2430),
    [anon_sym___based] = ACTIONS(2430),
    [anon_sym___cdecl] = ACTIONS(2430),
    [anon_sym___clrcall] = ACTIONS(2430),
    [anon_sym___stdcall] = ACTIONS(2430),
    [anon_sym___fastcall] = ACTIONS(2430),
    [anon_sym___thiscall] = ACTIONS(2430),
    [anon_sym___vectorcall] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2432),
    [anon_sym_signed] = ACTIONS(2430),
    [anon_sym_unsigned] = ACTIONS(2430),
    [anon_sym_long] = ACTIONS(2430),
    [anon_sym_short] = ACTIONS(2430),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym_static] = ACTIONS(2430),
    [anon_sym_register] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(2430),
    [anon_sym___inline] = ACTIONS(2430),
    [anon_sym___inline__] = ACTIONS(2430),
    [anon_sym___forceinline] = ACTIONS(2430),
    [anon_sym_thread_local] = ACTIONS(2430),
    [anon_sym___thread] = ACTIONS(2430),
    [anon_sym_const] = ACTIONS(2430),
    [anon_sym_constexpr] = ACTIONS(2430),
    [anon_sym_volatile] = ACTIONS(2430),
    [anon_sym_restrict] = ACTIONS(2430),
    [anon_sym___restrict__] = ACTIONS(2430),
    [anon_sym__Atomic] = ACTIONS(2430),
    [anon_sym__Noreturn] = ACTIONS(2430),
    [anon_sym_noreturn] = ACTIONS(2430),
    [anon_sym__Nonnull] = ACTIONS(2430),
    [anon_sym_mutable] = ACTIONS(2430),
    [anon_sym_constinit] = ACTIONS(2430),
    [anon_sym_consteval] = ACTIONS(2430),
    [anon_sym_alignas] = ACTIONS(2430),
    [anon_sym__Alignas] = ACTIONS(2430),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_enum] = ACTIONS(2430),
    [anon_sym_class] = ACTIONS(2430),
    [anon_sym_struct] = ACTIONS(2430),
    [anon_sym_union] = ACTIONS(2430),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_switch] = ACTIONS(2430),
    [anon_sym_case] = ACTIONS(2430),
    [anon_sym_default] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2430),
    [anon_sym_do] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2430),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_break] = ACTIONS(2430),
    [anon_sym_continue] = ACTIONS(2430),
    [anon_sym_goto] = ACTIONS(2430),
    [anon_sym___try] = ACTIONS(2430),
    [anon_sym___leave] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2430),
    [anon_sym_compl] = ACTIONS(2430),
    [anon_sym_DASH_DASH] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2432),
    [anon_sym_sizeof] = ACTIONS(2430),
    [anon_sym___alignof__] = ACTIONS(2430),
    [anon_sym___alignof] = ACTIONS(2430),
    [anon_sym__alignof] = ACTIONS(2430),
    [anon_sym_alignof] = ACTIONS(2430),
    [anon_sym__Alignof] = ACTIONS(2430),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2430),
    [anon_sym_asm] = ACTIONS(2430),
    [anon_sym___asm__] = ACTIONS(2430),
    [anon_sym___asm] = ACTIONS(2430),
    [sym_number_literal] = ACTIONS(2432),
    [anon_sym_L_SQUOTE] = ACTIONS(2432),
    [anon_sym_u_SQUOTE] = ACTIONS(2432),
    [anon_sym_U_SQUOTE] = ACTIONS(2432),
    [anon_sym_u8_SQUOTE] = ACTIONS(2432),
    [anon_sym_SQUOTE] = ACTIONS(2432),
    [anon_sym_L_DQUOTE] = ACTIONS(2432),
    [anon_sym_u_DQUOTE] = ACTIONS(2432),
    [anon_sym_U_DQUOTE] = ACTIONS(2432),
    [anon_sym_u8_DQUOTE] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2432),
    [sym_true] = ACTIONS(2430),
    [sym_false] = ACTIONS(2430),
    [anon_sym_NULL] = ACTIONS(2430),
    [anon_sym_nullptr] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2430),
    [anon_sym_decltype] = ACTIONS(2430),
    [anon_sym_explicit] = ACTIONS(2430),
    [anon_sym_typename] = ACTIONS(2430),
    [anon_sym_template] = ACTIONS(2430),
    [anon_sym_operator] = ACTIONS(2430),
    [anon_sym_try] = ACTIONS(2430),
    [anon_sym_delete] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2430),
    [anon_sym_namespace] = ACTIONS(2430),
    [anon_sym_using] = ACTIONS(2430),
    [anon_sym_static_assert] = ACTIONS(2430),
    [anon_sym_concept] = ACTIONS(2430),
    [anon_sym_co_return] = ACTIONS(2430),
    [anon_sym_co_yield] = ACTIONS(2430),
    [anon_sym_R_DQUOTE] = ACTIONS(2432),
    [anon_sym_LR_DQUOTE] = ACTIONS(2432),
    [anon_sym_uR_DQUOTE] = ACTIONS(2432),
    [anon_sym_UR_DQUOTE] = ACTIONS(2432),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2432),
    [anon_sym_co_await] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2430),
    [anon_sym_requires] = ACTIONS(2430),
    [sym_this] = ACTIONS(2430),
    [anon_sym_discard] = ACTIONS(2430),
    [anon_sym_precise] = ACTIONS(2430),
    [anon_sym_shared] = ACTIONS(2430),
    [anon_sym_groupshared] = ACTIONS(2430),
    [anon_sym_uniform] = ACTIONS(2430),
    [anon_sym_row_major] = ACTIONS(2430),
    [anon_sym_column_major] = ACTIONS(2430),
    [anon_sym_globallycoherent] = ACTIONS(2430),
    [anon_sym_centroid] = ACTIONS(2430),
    [anon_sym_noperspective] = ACTIONS(2430),
    [anon_sym_nointerpolation] = ACTIONS(2430),
    [anon_sym_sample] = ACTIONS(2430),
    [anon_sym_linear] = ACTIONS(2430),
    [anon_sym_snorm] = ACTIONS(2430),
    [anon_sym_unorm] = ACTIONS(2430),
    [anon_sym_point] = ACTIONS(2430),
    [anon_sym_line] = ACTIONS(2430),
    [anon_sym_triangleadj] = ACTIONS(2430),
    [anon_sym_lineadj] = ACTIONS(2430),
    [anon_sym_triangle] = ACTIONS(2430),
    [anon_sym_cbuffer] = ACTIONS(2430),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2434),
    [aux_sym_preproc_include_token1] = ACTIONS(2434),
    [aux_sym_preproc_def_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token2] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2434),
    [aux_sym_preproc_else_token1] = ACTIONS(2434),
    [aux_sym_preproc_elif_token1] = ACTIONS(2434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2434),
    [sym_preproc_directive] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2436),
    [anon_sym___extension__] = ACTIONS(2434),
    [anon_sym_typedef] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_out] = ACTIONS(2434),
    [anon_sym_inout] = ACTIONS(2434),
    [anon_sym_virtual] = ACTIONS(2434),
    [anon_sym_extern] = ACTIONS(2434),
    [anon_sym___attribute__] = ACTIONS(2434),
    [anon_sym___attribute] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2436),
    [anon_sym___declspec] = ACTIONS(2434),
    [anon_sym___based] = ACTIONS(2434),
    [anon_sym___cdecl] = ACTIONS(2434),
    [anon_sym___clrcall] = ACTIONS(2434),
    [anon_sym___stdcall] = ACTIONS(2434),
    [anon_sym___fastcall] = ACTIONS(2434),
    [anon_sym___thiscall] = ACTIONS(2434),
    [anon_sym___vectorcall] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2434),
    [anon_sym_unsigned] = ACTIONS(2434),
    [anon_sym_long] = ACTIONS(2434),
    [anon_sym_short] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_register] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym___inline] = ACTIONS(2434),
    [anon_sym___inline__] = ACTIONS(2434),
    [anon_sym___forceinline] = ACTIONS(2434),
    [anon_sym_thread_local] = ACTIONS(2434),
    [anon_sym___thread] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_constexpr] = ACTIONS(2434),
    [anon_sym_volatile] = ACTIONS(2434),
    [anon_sym_restrict] = ACTIONS(2434),
    [anon_sym___restrict__] = ACTIONS(2434),
    [anon_sym__Atomic] = ACTIONS(2434),
    [anon_sym__Noreturn] = ACTIONS(2434),
    [anon_sym_noreturn] = ACTIONS(2434),
    [anon_sym__Nonnull] = ACTIONS(2434),
    [anon_sym_mutable] = ACTIONS(2434),
    [anon_sym_constinit] = ACTIONS(2434),
    [anon_sym_consteval] = ACTIONS(2434),
    [anon_sym_alignas] = ACTIONS(2434),
    [anon_sym__Alignas] = ACTIONS(2434),
    [sym_primitive_type] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_struct] = ACTIONS(2434),
    [anon_sym_union] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_goto] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2434),
    [anon_sym___leave] = ACTIONS(2434),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2436),
    [anon_sym_sizeof] = ACTIONS(2434),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2434),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [anon_sym___asm] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2436),
    [anon_sym_u_SQUOTE] = ACTIONS(2436),
    [anon_sym_U_SQUOTE] = ACTIONS(2436),
    [anon_sym_u8_SQUOTE] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_L_DQUOTE] = ACTIONS(2436),
    [anon_sym_u_DQUOTE] = ACTIONS(2436),
    [anon_sym_U_DQUOTE] = ACTIONS(2436),
    [anon_sym_u8_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2436),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [anon_sym_NULL] = ACTIONS(2434),
    [anon_sym_nullptr] = ACTIONS(2434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2434),
    [anon_sym_decltype] = ACTIONS(2434),
    [anon_sym_explicit] = ACTIONS(2434),
    [anon_sym_typename] = ACTIONS(2434),
    [anon_sym_template] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_static_assert] = ACTIONS(2434),
    [anon_sym_concept] = ACTIONS(2434),
    [anon_sym_co_return] = ACTIONS(2434),
    [anon_sym_co_yield] = ACTIONS(2434),
    [anon_sym_R_DQUOTE] = ACTIONS(2436),
    [anon_sym_LR_DQUOTE] = ACTIONS(2436),
    [anon_sym_uR_DQUOTE] = ACTIONS(2436),
    [anon_sym_UR_DQUOTE] = ACTIONS(2436),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2436),
    [anon_sym_co_await] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [anon_sym_discard] = ACTIONS(2434),
    [anon_sym_precise] = ACTIONS(2434),
    [anon_sym_shared] = ACTIONS(2434),
    [anon_sym_groupshared] = ACTIONS(2434),
    [anon_sym_uniform] = ACTIONS(2434),
    [anon_sym_row_major] = ACTIONS(2434),
    [anon_sym_column_major] = ACTIONS(2434),
    [anon_sym_globallycoherent] = ACTIONS(2434),
    [anon_sym_centroid] = ACTIONS(2434),
    [anon_sym_noperspective] = ACTIONS(2434),
    [anon_sym_nointerpolation] = ACTIONS(2434),
    [anon_sym_sample] = ACTIONS(2434),
    [anon_sym_linear] = ACTIONS(2434),
    [anon_sym_snorm] = ACTIONS(2434),
    [anon_sym_unorm] = ACTIONS(2434),
    [anon_sym_point] = ACTIONS(2434),
    [anon_sym_line] = ACTIONS(2434),
    [anon_sym_triangleadj] = ACTIONS(2434),
    [anon_sym_lineadj] = ACTIONS(2434),
    [anon_sym_triangle] = ACTIONS(2434),
    [anon_sym_cbuffer] = ACTIONS(2434),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(1962),
    [sym_identifier] = ACTIONS(1960),
    [aux_sym_preproc_include_token1] = ACTIONS(1960),
    [aux_sym_preproc_def_token1] = ACTIONS(1960),
    [aux_sym_preproc_if_token1] = ACTIONS(1960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1960),
    [sym_preproc_directive] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_typedef] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym___cdecl] = ACTIONS(1960),
    [anon_sym___clrcall] = ACTIONS(1960),
    [anon_sym___stdcall] = ACTIONS(1960),
    [anon_sym___fastcall] = ACTIONS(1960),
    [anon_sym___thiscall] = ACTIONS(1960),
    [anon_sym___vectorcall] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_signed] = ACTIONS(1960),
    [anon_sym_unsigned] = ACTIONS(1960),
    [anon_sym_long] = ACTIONS(1960),
    [anon_sym_short] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_enum] = ACTIONS(1960),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_struct] = ACTIONS(1960),
    [anon_sym_union] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_else] = ACTIONS(1960),
    [anon_sym_switch] = ACTIONS(1960),
    [anon_sym_case] = ACTIONS(1960),
    [anon_sym_default] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_goto] = ACTIONS(1960),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym___leave] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_sizeof] = ACTIONS(1960),
    [anon_sym___alignof__] = ACTIONS(1960),
    [anon_sym___alignof] = ACTIONS(1960),
    [anon_sym__alignof] = ACTIONS(1960),
    [anon_sym_alignof] = ACTIONS(1960),
    [anon_sym__Alignof] = ACTIONS(1960),
    [anon_sym_offsetof] = ACTIONS(1960),
    [anon_sym__Generic] = ACTIONS(1960),
    [anon_sym_asm] = ACTIONS(1960),
    [anon_sym___asm__] = ACTIONS(1960),
    [anon_sym___asm] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(1962),
    [anon_sym_L_SQUOTE] = ACTIONS(1962),
    [anon_sym_u_SQUOTE] = ACTIONS(1962),
    [anon_sym_U_SQUOTE] = ACTIONS(1962),
    [anon_sym_u8_SQUOTE] = ACTIONS(1962),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [anon_sym_L_DQUOTE] = ACTIONS(1962),
    [anon_sym_u_DQUOTE] = ACTIONS(1962),
    [anon_sym_U_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8_DQUOTE] = ACTIONS(1962),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [sym_true] = ACTIONS(1960),
    [sym_false] = ACTIONS(1960),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_final] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
    [anon_sym_explicit] = ACTIONS(1960),
    [anon_sym_typename] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_delete] = ACTIONS(1960),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_namespace] = ACTIONS(1960),
    [anon_sym_using] = ACTIONS(1960),
    [anon_sym_static_assert] = ACTIONS(1960),
    [anon_sym_concept] = ACTIONS(1960),
    [anon_sym_co_return] = ACTIONS(1960),
    [anon_sym_co_yield] = ACTIONS(1960),
    [anon_sym_R_DQUOTE] = ACTIONS(1962),
    [anon_sym_LR_DQUOTE] = ACTIONS(1962),
    [anon_sym_uR_DQUOTE] = ACTIONS(1962),
    [anon_sym_UR_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1962),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1960),
    [anon_sym_requires] = ACTIONS(1960),
    [sym_this] = ACTIONS(1960),
    [anon_sym_discard] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
    [anon_sym_cbuffer] = ACTIONS(1960),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(1924),
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [anon_sym___asm] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1924),
    [anon_sym_u_SQUOTE] = ACTIONS(1924),
    [anon_sym_U_SQUOTE] = ACTIONS(1924),
    [anon_sym_u8_SQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1924),
    [anon_sym_L_DQUOTE] = ACTIONS(1924),
    [anon_sym_u_DQUOTE] = ACTIONS(1924),
    [anon_sym_U_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8_DQUOTE] = ACTIONS(1924),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1924),
    [anon_sym_LR_DQUOTE] = ACTIONS(1924),
    [anon_sym_uR_DQUOTE] = ACTIONS(1924),
    [anon_sym_UR_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1924),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
    [anon_sym_discard] = ACTIONS(1922),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
    [anon_sym_cbuffer] = ACTIONS(1922),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(1932),
    [sym_identifier] = ACTIONS(1930),
    [aux_sym_preproc_include_token1] = ACTIONS(1930),
    [aux_sym_preproc_def_token1] = ACTIONS(1930),
    [aux_sym_preproc_if_token1] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1930),
    [sym_preproc_directive] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_typedef] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym___cdecl] = ACTIONS(1930),
    [anon_sym___clrcall] = ACTIONS(1930),
    [anon_sym___stdcall] = ACTIONS(1930),
    [anon_sym___fastcall] = ACTIONS(1930),
    [anon_sym___thiscall] = ACTIONS(1930),
    [anon_sym___vectorcall] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1930),
    [anon_sym_unsigned] = ACTIONS(1930),
    [anon_sym_long] = ACTIONS(1930),
    [anon_sym_short] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [sym_primitive_type] = ACTIONS(1930),
    [anon_sym_enum] = ACTIONS(1930),
    [anon_sym_class] = ACTIONS(1930),
    [anon_sym_struct] = ACTIONS(1930),
    [anon_sym_union] = ACTIONS(1930),
    [anon_sym_if] = ACTIONS(1930),
    [anon_sym_else] = ACTIONS(1930),
    [anon_sym_switch] = ACTIONS(1930),
    [anon_sym_case] = ACTIONS(1930),
    [anon_sym_default] = ACTIONS(1930),
    [anon_sym_while] = ACTIONS(1930),
    [anon_sym_do] = ACTIONS(1930),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_return] = ACTIONS(1930),
    [anon_sym_break] = ACTIONS(1930),
    [anon_sym_continue] = ACTIONS(1930),
    [anon_sym_goto] = ACTIONS(1930),
    [anon_sym___try] = ACTIONS(1930),
    [anon_sym___leave] = ACTIONS(1930),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_sizeof] = ACTIONS(1930),
    [anon_sym___alignof__] = ACTIONS(1930),
    [anon_sym___alignof] = ACTIONS(1930),
    [anon_sym__alignof] = ACTIONS(1930),
    [anon_sym_alignof] = ACTIONS(1930),
    [anon_sym__Alignof] = ACTIONS(1930),
    [anon_sym_offsetof] = ACTIONS(1930),
    [anon_sym__Generic] = ACTIONS(1930),
    [anon_sym_asm] = ACTIONS(1930),
    [anon_sym___asm__] = ACTIONS(1930),
    [anon_sym___asm] = ACTIONS(1930),
    [sym_number_literal] = ACTIONS(1932),
    [anon_sym_L_SQUOTE] = ACTIONS(1932),
    [anon_sym_u_SQUOTE] = ACTIONS(1932),
    [anon_sym_U_SQUOTE] = ACTIONS(1932),
    [anon_sym_u8_SQUOTE] = ACTIONS(1932),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [anon_sym_NULL] = ACTIONS(1930),
    [anon_sym_nullptr] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_final] = ACTIONS(1930),
    [anon_sym_override] = ACTIONS(1930),
    [anon_sym_explicit] = ACTIONS(1930),
    [anon_sym_typename] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1930),
    [anon_sym_delete] = ACTIONS(1930),
    [anon_sym_throw] = ACTIONS(1930),
    [anon_sym_namespace] = ACTIONS(1930),
    [anon_sym_using] = ACTIONS(1930),
    [anon_sym_static_assert] = ACTIONS(1930),
    [anon_sym_concept] = ACTIONS(1930),
    [anon_sym_co_return] = ACTIONS(1930),
    [anon_sym_co_yield] = ACTIONS(1930),
    [anon_sym_R_DQUOTE] = ACTIONS(1932),
    [anon_sym_LR_DQUOTE] = ACTIONS(1932),
    [anon_sym_uR_DQUOTE] = ACTIONS(1932),
    [anon_sym_UR_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1932),
    [anon_sym_co_await] = ACTIONS(1930),
    [anon_sym_new] = ACTIONS(1930),
    [anon_sym_requires] = ACTIONS(1930),
    [sym_this] = ACTIONS(1930),
    [anon_sym_discard] = ACTIONS(1930),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
    [anon_sym_cbuffer] = ACTIONS(1930),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(1936),
    [sym_identifier] = ACTIONS(1934),
    [aux_sym_preproc_include_token1] = ACTIONS(1934),
    [aux_sym_preproc_def_token1] = ACTIONS(1934),
    [aux_sym_preproc_if_token1] = ACTIONS(1934),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1934),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1934),
    [sym_preproc_directive] = ACTIONS(1934),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_typedef] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym___cdecl] = ACTIONS(1934),
    [anon_sym___clrcall] = ACTIONS(1934),
    [anon_sym___stdcall] = ACTIONS(1934),
    [anon_sym___fastcall] = ACTIONS(1934),
    [anon_sym___thiscall] = ACTIONS(1934),
    [anon_sym___vectorcall] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_signed] = ACTIONS(1934),
    [anon_sym_unsigned] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [sym_primitive_type] = ACTIONS(1934),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_class] = ACTIONS(1934),
    [anon_sym_struct] = ACTIONS(1934),
    [anon_sym_union] = ACTIONS(1934),
    [anon_sym_if] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1934),
    [anon_sym_switch] = ACTIONS(1934),
    [anon_sym_case] = ACTIONS(1934),
    [anon_sym_default] = ACTIONS(1934),
    [anon_sym_while] = ACTIONS(1934),
    [anon_sym_do] = ACTIONS(1934),
    [anon_sym_for] = ACTIONS(1934),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_break] = ACTIONS(1934),
    [anon_sym_continue] = ACTIONS(1934),
    [anon_sym_goto] = ACTIONS(1934),
    [anon_sym___try] = ACTIONS(1934),
    [anon_sym___leave] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1934),
    [anon_sym_compl] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_sizeof] = ACTIONS(1934),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1934),
    [anon_sym__Generic] = ACTIONS(1934),
    [anon_sym_asm] = ACTIONS(1934),
    [anon_sym___asm__] = ACTIONS(1934),
    [anon_sym___asm] = ACTIONS(1934),
    [sym_number_literal] = ACTIONS(1936),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1936),
    [anon_sym_u_DQUOTE] = ACTIONS(1936),
    [anon_sym_U_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8_DQUOTE] = ACTIONS(1936),
    [anon_sym_DQUOTE] = ACTIONS(1936),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1934),
    [anon_sym_nullptr] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_final] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_explicit] = ACTIONS(1934),
    [anon_sym_typename] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_try] = ACTIONS(1934),
    [anon_sym_delete] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1934),
    [anon_sym_namespace] = ACTIONS(1934),
    [anon_sym_using] = ACTIONS(1934),
    [anon_sym_static_assert] = ACTIONS(1934),
    [anon_sym_concept] = ACTIONS(1934),
    [anon_sym_co_return] = ACTIONS(1934),
    [anon_sym_co_yield] = ACTIONS(1934),
    [anon_sym_R_DQUOTE] = ACTIONS(1936),
    [anon_sym_LR_DQUOTE] = ACTIONS(1936),
    [anon_sym_uR_DQUOTE] = ACTIONS(1936),
    [anon_sym_UR_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1936),
    [anon_sym_co_await] = ACTIONS(1934),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_requires] = ACTIONS(1934),
    [sym_this] = ACTIONS(1934),
    [anon_sym_discard] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
    [anon_sym_cbuffer] = ACTIONS(1934),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(1920),
    [sym_identifier] = ACTIONS(1918),
    [aux_sym_preproc_include_token1] = ACTIONS(1918),
    [aux_sym_preproc_def_token1] = ACTIONS(1918),
    [aux_sym_preproc_if_token1] = ACTIONS(1918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1918),
    [sym_preproc_directive] = ACTIONS(1918),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_typedef] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym___cdecl] = ACTIONS(1918),
    [anon_sym___clrcall] = ACTIONS(1918),
    [anon_sym___stdcall] = ACTIONS(1918),
    [anon_sym___fastcall] = ACTIONS(1918),
    [anon_sym___thiscall] = ACTIONS(1918),
    [anon_sym___vectorcall] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1918),
    [anon_sym_unsigned] = ACTIONS(1918),
    [anon_sym_long] = ACTIONS(1918),
    [anon_sym_short] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [sym_primitive_type] = ACTIONS(1918),
    [anon_sym_enum] = ACTIONS(1918),
    [anon_sym_class] = ACTIONS(1918),
    [anon_sym_struct] = ACTIONS(1918),
    [anon_sym_union] = ACTIONS(1918),
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(1918),
    [anon_sym_switch] = ACTIONS(1918),
    [anon_sym_case] = ACTIONS(1918),
    [anon_sym_default] = ACTIONS(1918),
    [anon_sym_while] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1918),
    [anon_sym_for] = ACTIONS(1918),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_break] = ACTIONS(1918),
    [anon_sym_continue] = ACTIONS(1918),
    [anon_sym_goto] = ACTIONS(1918),
    [anon_sym___try] = ACTIONS(1918),
    [anon_sym___leave] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_compl] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1918),
    [anon_sym___alignof] = ACTIONS(1918),
    [anon_sym__alignof] = ACTIONS(1918),
    [anon_sym_alignof] = ACTIONS(1918),
    [anon_sym__Alignof] = ACTIONS(1918),
    [anon_sym_offsetof] = ACTIONS(1918),
    [anon_sym__Generic] = ACTIONS(1918),
    [anon_sym_asm] = ACTIONS(1918),
    [anon_sym___asm__] = ACTIONS(1918),
    [anon_sym___asm] = ACTIONS(1918),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1918),
    [sym_false] = ACTIONS(1918),
    [anon_sym_NULL] = ACTIONS(1918),
    [anon_sym_nullptr] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_final] = ACTIONS(1918),
    [anon_sym_override] = ACTIONS(1918),
    [anon_sym_explicit] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_try] = ACTIONS(1918),
    [anon_sym_delete] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_namespace] = ACTIONS(1918),
    [anon_sym_using] = ACTIONS(1918),
    [anon_sym_static_assert] = ACTIONS(1918),
    [anon_sym_concept] = ACTIONS(1918),
    [anon_sym_co_return] = ACTIONS(1918),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1918),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1918),
    [anon_sym_discard] = ACTIONS(1918),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
    [anon_sym_cbuffer] = ACTIONS(1918),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(1940),
    [sym_identifier] = ACTIONS(1938),
    [aux_sym_preproc_include_token1] = ACTIONS(1938),
    [aux_sym_preproc_def_token1] = ACTIONS(1938),
    [aux_sym_preproc_if_token1] = ACTIONS(1938),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1938),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1938),
    [sym_preproc_directive] = ACTIONS(1938),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_typedef] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym___cdecl] = ACTIONS(1938),
    [anon_sym___clrcall] = ACTIONS(1938),
    [anon_sym___stdcall] = ACTIONS(1938),
    [anon_sym___fastcall] = ACTIONS(1938),
    [anon_sym___thiscall] = ACTIONS(1938),
    [anon_sym___vectorcall] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_signed] = ACTIONS(1938),
    [anon_sym_unsigned] = ACTIONS(1938),
    [anon_sym_long] = ACTIONS(1938),
    [anon_sym_short] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [sym_primitive_type] = ACTIONS(1938),
    [anon_sym_enum] = ACTIONS(1938),
    [anon_sym_class] = ACTIONS(1938),
    [anon_sym_struct] = ACTIONS(1938),
    [anon_sym_union] = ACTIONS(1938),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_case] = ACTIONS(1938),
    [anon_sym_default] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1938),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_for] = ACTIONS(1938),
    [anon_sym_return] = ACTIONS(1938),
    [anon_sym_break] = ACTIONS(1938),
    [anon_sym_continue] = ACTIONS(1938),
    [anon_sym_goto] = ACTIONS(1938),
    [anon_sym___try] = ACTIONS(1938),
    [anon_sym___leave] = ACTIONS(1938),
    [anon_sym_not] = ACTIONS(1938),
    [anon_sym_compl] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1938),
    [anon_sym___alignof] = ACTIONS(1938),
    [anon_sym__alignof] = ACTIONS(1938),
    [anon_sym_alignof] = ACTIONS(1938),
    [anon_sym__Alignof] = ACTIONS(1938),
    [anon_sym_offsetof] = ACTIONS(1938),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1938),
    [anon_sym___asm__] = ACTIONS(1938),
    [anon_sym___asm] = ACTIONS(1938),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1940),
    [anon_sym_u_SQUOTE] = ACTIONS(1940),
    [anon_sym_U_SQUOTE] = ACTIONS(1940),
    [anon_sym_u8_SQUOTE] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1940),
    [anon_sym_L_DQUOTE] = ACTIONS(1940),
    [anon_sym_u_DQUOTE] = ACTIONS(1940),
    [anon_sym_U_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8_DQUOTE] = ACTIONS(1940),
    [anon_sym_DQUOTE] = ACTIONS(1940),
    [sym_true] = ACTIONS(1938),
    [sym_false] = ACTIONS(1938),
    [anon_sym_NULL] = ACTIONS(1938),
    [anon_sym_nullptr] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_final] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_try] = ACTIONS(1938),
    [anon_sym_delete] = ACTIONS(1938),
    [anon_sym_throw] = ACTIONS(1938),
    [anon_sym_namespace] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(1938),
    [anon_sym_static_assert] = ACTIONS(1938),
    [anon_sym_concept] = ACTIONS(1938),
    [anon_sym_co_return] = ACTIONS(1938),
    [anon_sym_co_yield] = ACTIONS(1938),
    [anon_sym_R_DQUOTE] = ACTIONS(1940),
    [anon_sym_LR_DQUOTE] = ACTIONS(1940),
    [anon_sym_uR_DQUOTE] = ACTIONS(1940),
    [anon_sym_UR_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1940),
    [anon_sym_co_await] = ACTIONS(1938),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_requires] = ACTIONS(1938),
    [sym_this] = ACTIONS(1938),
    [anon_sym_discard] = ACTIONS(1938),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
    [anon_sym_cbuffer] = ACTIONS(1938),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(1926),
    [aux_sym_preproc_include_token1] = ACTIONS(1926),
    [aux_sym_preproc_def_token1] = ACTIONS(1926),
    [aux_sym_preproc_if_token1] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1926),
    [sym_preproc_directive] = ACTIONS(1926),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_typedef] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym___cdecl] = ACTIONS(1926),
    [anon_sym___clrcall] = ACTIONS(1926),
    [anon_sym___stdcall] = ACTIONS(1926),
    [anon_sym___fastcall] = ACTIONS(1926),
    [anon_sym___thiscall] = ACTIONS(1926),
    [anon_sym___vectorcall] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_signed] = ACTIONS(1926),
    [anon_sym_unsigned] = ACTIONS(1926),
    [anon_sym_long] = ACTIONS(1926),
    [anon_sym_short] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [sym_primitive_type] = ACTIONS(1926),
    [anon_sym_enum] = ACTIONS(1926),
    [anon_sym_class] = ACTIONS(1926),
    [anon_sym_struct] = ACTIONS(1926),
    [anon_sym_union] = ACTIONS(1926),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_else] = ACTIONS(1926),
    [anon_sym_switch] = ACTIONS(1926),
    [anon_sym_case] = ACTIONS(1926),
    [anon_sym_default] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1926),
    [anon_sym_do] = ACTIONS(1926),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_return] = ACTIONS(1926),
    [anon_sym_break] = ACTIONS(1926),
    [anon_sym_continue] = ACTIONS(1926),
    [anon_sym_goto] = ACTIONS(1926),
    [anon_sym___try] = ACTIONS(1926),
    [anon_sym___leave] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(1926),
    [anon_sym___alignof__] = ACTIONS(1926),
    [anon_sym___alignof] = ACTIONS(1926),
    [anon_sym__alignof] = ACTIONS(1926),
    [anon_sym_alignof] = ACTIONS(1926),
    [anon_sym__Alignof] = ACTIONS(1926),
    [anon_sym_offsetof] = ACTIONS(1926),
    [anon_sym__Generic] = ACTIONS(1926),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1928),
    [anon_sym_u_SQUOTE] = ACTIONS(1928),
    [anon_sym_U_SQUOTE] = ACTIONS(1928),
    [anon_sym_u8_SQUOTE] = ACTIONS(1928),
    [anon_sym_SQUOTE] = ACTIONS(1928),
    [anon_sym_L_DQUOTE] = ACTIONS(1928),
    [anon_sym_u_DQUOTE] = ACTIONS(1928),
    [anon_sym_U_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8_DQUOTE] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1928),
    [sym_true] = ACTIONS(1926),
    [sym_false] = ACTIONS(1926),
    [anon_sym_NULL] = ACTIONS(1926),
    [anon_sym_nullptr] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_final] = ACTIONS(1926),
    [anon_sym_override] = ACTIONS(1926),
    [anon_sym_explicit] = ACTIONS(1926),
    [anon_sym_typename] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_delete] = ACTIONS(1926),
    [anon_sym_throw] = ACTIONS(1926),
    [anon_sym_namespace] = ACTIONS(1926),
    [anon_sym_using] = ACTIONS(1926),
    [anon_sym_static_assert] = ACTIONS(1926),
    [anon_sym_concept] = ACTIONS(1926),
    [anon_sym_co_return] = ACTIONS(1926),
    [anon_sym_co_yield] = ACTIONS(1926),
    [anon_sym_R_DQUOTE] = ACTIONS(1928),
    [anon_sym_LR_DQUOTE] = ACTIONS(1928),
    [anon_sym_uR_DQUOTE] = ACTIONS(1928),
    [anon_sym_UR_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1928),
    [anon_sym_co_await] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1926),
    [sym_this] = ACTIONS(1926),
    [anon_sym_discard] = ACTIONS(1926),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
    [anon_sym_cbuffer] = ACTIONS(1926),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [aux_sym_preproc_else_token1] = ACTIONS(2438),
    [aux_sym_preproc_elif_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [aux_sym_preproc_else_token1] = ACTIONS(2438),
    [aux_sym_preproc_elif_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2442),
    [aux_sym_preproc_include_token1] = ACTIONS(2442),
    [aux_sym_preproc_def_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token2] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2442),
    [aux_sym_preproc_else_token1] = ACTIONS(2442),
    [aux_sym_preproc_elif_token1] = ACTIONS(2442),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2442),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2442),
    [sym_preproc_directive] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_BANG] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2444),
    [anon_sym___extension__] = ACTIONS(2442),
    [anon_sym_typedef] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_out] = ACTIONS(2442),
    [anon_sym_inout] = ACTIONS(2442),
    [anon_sym_virtual] = ACTIONS(2442),
    [anon_sym_extern] = ACTIONS(2442),
    [anon_sym___attribute__] = ACTIONS(2442),
    [anon_sym___attribute] = ACTIONS(2442),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2444),
    [anon_sym___declspec] = ACTIONS(2442),
    [anon_sym___based] = ACTIONS(2442),
    [anon_sym___cdecl] = ACTIONS(2442),
    [anon_sym___clrcall] = ACTIONS(2442),
    [anon_sym___stdcall] = ACTIONS(2442),
    [anon_sym___fastcall] = ACTIONS(2442),
    [anon_sym___thiscall] = ACTIONS(2442),
    [anon_sym___vectorcall] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2444),
    [anon_sym_signed] = ACTIONS(2442),
    [anon_sym_unsigned] = ACTIONS(2442),
    [anon_sym_long] = ACTIONS(2442),
    [anon_sym_short] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_register] = ACTIONS(2442),
    [anon_sym_inline] = ACTIONS(2442),
    [anon_sym___inline] = ACTIONS(2442),
    [anon_sym___inline__] = ACTIONS(2442),
    [anon_sym___forceinline] = ACTIONS(2442),
    [anon_sym_thread_local] = ACTIONS(2442),
    [anon_sym___thread] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_constexpr] = ACTIONS(2442),
    [anon_sym_volatile] = ACTIONS(2442),
    [anon_sym_restrict] = ACTIONS(2442),
    [anon_sym___restrict__] = ACTIONS(2442),
    [anon_sym__Atomic] = ACTIONS(2442),
    [anon_sym__Noreturn] = ACTIONS(2442),
    [anon_sym_noreturn] = ACTIONS(2442),
    [anon_sym__Nonnull] = ACTIONS(2442),
    [anon_sym_mutable] = ACTIONS(2442),
    [anon_sym_constinit] = ACTIONS(2442),
    [anon_sym_consteval] = ACTIONS(2442),
    [anon_sym_alignas] = ACTIONS(2442),
    [anon_sym__Alignas] = ACTIONS(2442),
    [sym_primitive_type] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_struct] = ACTIONS(2442),
    [anon_sym_union] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_goto] = ACTIONS(2442),
    [anon_sym___try] = ACTIONS(2442),
    [anon_sym___leave] = ACTIONS(2442),
    [anon_sym_not] = ACTIONS(2442),
    [anon_sym_compl] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2444),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(2442),
    [anon_sym___alignof] = ACTIONS(2442),
    [anon_sym__alignof] = ACTIONS(2442),
    [anon_sym_alignof] = ACTIONS(2442),
    [anon_sym__Alignof] = ACTIONS(2442),
    [anon_sym_offsetof] = ACTIONS(2442),
    [anon_sym__Generic] = ACTIONS(2442),
    [anon_sym_asm] = ACTIONS(2442),
    [anon_sym___asm__] = ACTIONS(2442),
    [anon_sym___asm] = ACTIONS(2442),
    [sym_number_literal] = ACTIONS(2444),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2444),
    [anon_sym_u_DQUOTE] = ACTIONS(2444),
    [anon_sym_U_DQUOTE] = ACTIONS(2444),
    [anon_sym_u8_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2444),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2442),
    [anon_sym_nullptr] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2442),
    [anon_sym_decltype] = ACTIONS(2442),
    [anon_sym_explicit] = ACTIONS(2442),
    [anon_sym_typename] = ACTIONS(2442),
    [anon_sym_template] = ACTIONS(2442),
    [anon_sym_operator] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_static_assert] = ACTIONS(2442),
    [anon_sym_concept] = ACTIONS(2442),
    [anon_sym_co_return] = ACTIONS(2442),
    [anon_sym_co_yield] = ACTIONS(2442),
    [anon_sym_R_DQUOTE] = ACTIONS(2444),
    [anon_sym_LR_DQUOTE] = ACTIONS(2444),
    [anon_sym_uR_DQUOTE] = ACTIONS(2444),
    [anon_sym_UR_DQUOTE] = ACTIONS(2444),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2444),
    [anon_sym_co_await] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_requires] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [anon_sym_discard] = ACTIONS(2442),
    [anon_sym_precise] = ACTIONS(2442),
    [anon_sym_shared] = ACTIONS(2442),
    [anon_sym_groupshared] = ACTIONS(2442),
    [anon_sym_uniform] = ACTIONS(2442),
    [anon_sym_row_major] = ACTIONS(2442),
    [anon_sym_column_major] = ACTIONS(2442),
    [anon_sym_globallycoherent] = ACTIONS(2442),
    [anon_sym_centroid] = ACTIONS(2442),
    [anon_sym_noperspective] = ACTIONS(2442),
    [anon_sym_nointerpolation] = ACTIONS(2442),
    [anon_sym_sample] = ACTIONS(2442),
    [anon_sym_linear] = ACTIONS(2442),
    [anon_sym_snorm] = ACTIONS(2442),
    [anon_sym_unorm] = ACTIONS(2442),
    [anon_sym_point] = ACTIONS(2442),
    [anon_sym_line] = ACTIONS(2442),
    [anon_sym_triangleadj] = ACTIONS(2442),
    [anon_sym_lineadj] = ACTIONS(2442),
    [anon_sym_triangle] = ACTIONS(2442),
    [anon_sym_cbuffer] = ACTIONS(2442),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2446),
    [aux_sym_preproc_include_token1] = ACTIONS(2446),
    [aux_sym_preproc_def_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token2] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2446),
    [aux_sym_preproc_else_token1] = ACTIONS(2446),
    [aux_sym_preproc_elif_token1] = ACTIONS(2446),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2446),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2446),
    [sym_preproc_directive] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(2448),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_typedef] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(2446),
    [anon_sym_out] = ACTIONS(2446),
    [anon_sym_inout] = ACTIONS(2446),
    [anon_sym_virtual] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym___attribute] = ACTIONS(2446),
    [anon_sym_COLON_COLON] = ACTIONS(2448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2448),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2446),
    [anon_sym_unsigned] = ACTIONS(2446),
    [anon_sym_long] = ACTIONS(2446),
    [anon_sym_short] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym__Nonnull] = ACTIONS(2446),
    [anon_sym_mutable] = ACTIONS(2446),
    [anon_sym_constinit] = ACTIONS(2446),
    [anon_sym_consteval] = ACTIONS(2446),
    [anon_sym_alignas] = ACTIONS(2446),
    [anon_sym__Alignas] = ACTIONS(2446),
    [sym_primitive_type] = ACTIONS(2446),
    [anon_sym_enum] = ACTIONS(2446),
    [anon_sym_class] = ACTIONS(2446),
    [anon_sym_struct] = ACTIONS(2446),
    [anon_sym_union] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_switch] = ACTIONS(2446),
    [anon_sym_case] = ACTIONS(2446),
    [anon_sym_default] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(2446),
    [anon_sym_for] = ACTIONS(2446),
    [anon_sym_return] = ACTIONS(2446),
    [anon_sym_break] = ACTIONS(2446),
    [anon_sym_continue] = ACTIONS(2446),
    [anon_sym_goto] = ACTIONS(2446),
    [anon_sym___try] = ACTIONS(2446),
    [anon_sym___leave] = ACTIONS(2446),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_compl] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_sizeof] = ACTIONS(2446),
    [anon_sym___alignof__] = ACTIONS(2446),
    [anon_sym___alignof] = ACTIONS(2446),
    [anon_sym__alignof] = ACTIONS(2446),
    [anon_sym_alignof] = ACTIONS(2446),
    [anon_sym__Alignof] = ACTIONS(2446),
    [anon_sym_offsetof] = ACTIONS(2446),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2446),
    [anon_sym___asm__] = ACTIONS(2446),
    [anon_sym___asm] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [anon_sym_L_SQUOTE] = ACTIONS(2448),
    [anon_sym_u_SQUOTE] = ACTIONS(2448),
    [anon_sym_U_SQUOTE] = ACTIONS(2448),
    [anon_sym_u8_SQUOTE] = ACTIONS(2448),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(2448),
    [anon_sym_u_DQUOTE] = ACTIONS(2448),
    [anon_sym_U_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [sym_true] = ACTIONS(2446),
    [sym_false] = ACTIONS(2446),
    [anon_sym_NULL] = ACTIONS(2446),
    [anon_sym_nullptr] = ACTIONS(2446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2446),
    [anon_sym_decltype] = ACTIONS(2446),
    [anon_sym_explicit] = ACTIONS(2446),
    [anon_sym_typename] = ACTIONS(2446),
    [anon_sym_template] = ACTIONS(2446),
    [anon_sym_operator] = ACTIONS(2446),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_using] = ACTIONS(2446),
    [anon_sym_static_assert] = ACTIONS(2446),
    [anon_sym_concept] = ACTIONS(2446),
    [anon_sym_co_return] = ACTIONS(2446),
    [anon_sym_co_yield] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_requires] = ACTIONS(2446),
    [sym_this] = ACTIONS(2446),
    [anon_sym_discard] = ACTIONS(2446),
    [anon_sym_precise] = ACTIONS(2446),
    [anon_sym_shared] = ACTIONS(2446),
    [anon_sym_groupshared] = ACTIONS(2446),
    [anon_sym_uniform] = ACTIONS(2446),
    [anon_sym_row_major] = ACTIONS(2446),
    [anon_sym_column_major] = ACTIONS(2446),
    [anon_sym_globallycoherent] = ACTIONS(2446),
    [anon_sym_centroid] = ACTIONS(2446),
    [anon_sym_noperspective] = ACTIONS(2446),
    [anon_sym_nointerpolation] = ACTIONS(2446),
    [anon_sym_sample] = ACTIONS(2446),
    [anon_sym_linear] = ACTIONS(2446),
    [anon_sym_snorm] = ACTIONS(2446),
    [anon_sym_unorm] = ACTIONS(2446),
    [anon_sym_point] = ACTIONS(2446),
    [anon_sym_line] = ACTIONS(2446),
    [anon_sym_triangleadj] = ACTIONS(2446),
    [anon_sym_lineadj] = ACTIONS(2446),
    [anon_sym_triangle] = ACTIONS(2446),
    [anon_sym_cbuffer] = ACTIONS(2446),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2450),
    [aux_sym_preproc_include_token1] = ACTIONS(2450),
    [aux_sym_preproc_def_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token2] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2450),
    [aux_sym_preproc_else_token1] = ACTIONS(2450),
    [aux_sym_preproc_elif_token1] = ACTIONS(2450),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2450),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2450),
    [sym_preproc_directive] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym___extension__] = ACTIONS(2450),
    [anon_sym_typedef] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2450),
    [anon_sym_out] = ACTIONS(2450),
    [anon_sym_inout] = ACTIONS(2450),
    [anon_sym_virtual] = ACTIONS(2450),
    [anon_sym_extern] = ACTIONS(2450),
    [anon_sym___attribute__] = ACTIONS(2450),
    [anon_sym___attribute] = ACTIONS(2450),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2452),
    [anon_sym___declspec] = ACTIONS(2450),
    [anon_sym___based] = ACTIONS(2450),
    [anon_sym___cdecl] = ACTIONS(2450),
    [anon_sym___clrcall] = ACTIONS(2450),
    [anon_sym___stdcall] = ACTIONS(2450),
    [anon_sym___fastcall] = ACTIONS(2450),
    [anon_sym___thiscall] = ACTIONS(2450),
    [anon_sym___vectorcall] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2450),
    [anon_sym_unsigned] = ACTIONS(2450),
    [anon_sym_long] = ACTIONS(2450),
    [anon_sym_short] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_register] = ACTIONS(2450),
    [anon_sym_inline] = ACTIONS(2450),
    [anon_sym___inline] = ACTIONS(2450),
    [anon_sym___inline__] = ACTIONS(2450),
    [anon_sym___forceinline] = ACTIONS(2450),
    [anon_sym_thread_local] = ACTIONS(2450),
    [anon_sym___thread] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_constexpr] = ACTIONS(2450),
    [anon_sym_volatile] = ACTIONS(2450),
    [anon_sym_restrict] = ACTIONS(2450),
    [anon_sym___restrict__] = ACTIONS(2450),
    [anon_sym__Atomic] = ACTIONS(2450),
    [anon_sym__Noreturn] = ACTIONS(2450),
    [anon_sym_noreturn] = ACTIONS(2450),
    [anon_sym__Nonnull] = ACTIONS(2450),
    [anon_sym_mutable] = ACTIONS(2450),
    [anon_sym_constinit] = ACTIONS(2450),
    [anon_sym_consteval] = ACTIONS(2450),
    [anon_sym_alignas] = ACTIONS(2450),
    [anon_sym__Alignas] = ACTIONS(2450),
    [sym_primitive_type] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_struct] = ACTIONS(2450),
    [anon_sym_union] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_case] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_goto] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2450),
    [anon_sym___leave] = ACTIONS(2450),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_sizeof] = ACTIONS(2450),
    [anon_sym___alignof__] = ACTIONS(2450),
    [anon_sym___alignof] = ACTIONS(2450),
    [anon_sym__alignof] = ACTIONS(2450),
    [anon_sym_alignof] = ACTIONS(2450),
    [anon_sym__Alignof] = ACTIONS(2450),
    [anon_sym_offsetof] = ACTIONS(2450),
    [anon_sym__Generic] = ACTIONS(2450),
    [anon_sym_asm] = ACTIONS(2450),
    [anon_sym___asm__] = ACTIONS(2450),
    [anon_sym___asm] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2452),
    [anon_sym_u_SQUOTE] = ACTIONS(2452),
    [anon_sym_U_SQUOTE] = ACTIONS(2452),
    [anon_sym_u8_SQUOTE] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_L_DQUOTE] = ACTIONS(2452),
    [anon_sym_u_DQUOTE] = ACTIONS(2452),
    [anon_sym_U_DQUOTE] = ACTIONS(2452),
    [anon_sym_u8_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2450),
    [anon_sym_decltype] = ACTIONS(2450),
    [anon_sym_explicit] = ACTIONS(2450),
    [anon_sym_typename] = ACTIONS(2450),
    [anon_sym_template] = ACTIONS(2450),
    [anon_sym_operator] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_static_assert] = ACTIONS(2450),
    [anon_sym_concept] = ACTIONS(2450),
    [anon_sym_co_return] = ACTIONS(2450),
    [anon_sym_co_yield] = ACTIONS(2450),
    [anon_sym_R_DQUOTE] = ACTIONS(2452),
    [anon_sym_LR_DQUOTE] = ACTIONS(2452),
    [anon_sym_uR_DQUOTE] = ACTIONS(2452),
    [anon_sym_UR_DQUOTE] = ACTIONS(2452),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2452),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_requires] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [anon_sym_discard] = ACTIONS(2450),
    [anon_sym_precise] = ACTIONS(2450),
    [anon_sym_shared] = ACTIONS(2450),
    [anon_sym_groupshared] = ACTIONS(2450),
    [anon_sym_uniform] = ACTIONS(2450),
    [anon_sym_row_major] = ACTIONS(2450),
    [anon_sym_column_major] = ACTIONS(2450),
    [anon_sym_globallycoherent] = ACTIONS(2450),
    [anon_sym_centroid] = ACTIONS(2450),
    [anon_sym_noperspective] = ACTIONS(2450),
    [anon_sym_nointerpolation] = ACTIONS(2450),
    [anon_sym_sample] = ACTIONS(2450),
    [anon_sym_linear] = ACTIONS(2450),
    [anon_sym_snorm] = ACTIONS(2450),
    [anon_sym_unorm] = ACTIONS(2450),
    [anon_sym_point] = ACTIONS(2450),
    [anon_sym_line] = ACTIONS(2450),
    [anon_sym_triangleadj] = ACTIONS(2450),
    [anon_sym_lineadj] = ACTIONS(2450),
    [anon_sym_triangle] = ACTIONS(2450),
    [anon_sym_cbuffer] = ACTIONS(2450),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_include_token1] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token2] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [aux_sym_preproc_else_token1] = ACTIONS(2414),
    [aux_sym_preproc_elif_token1] = ACTIONS(2414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym___cdecl] = ACTIONS(2414),
    [anon_sym___clrcall] = ACTIONS(2414),
    [anon_sym___stdcall] = ACTIONS(2414),
    [anon_sym___fastcall] = ACTIONS(2414),
    [anon_sym___thiscall] = ACTIONS(2414),
    [anon_sym___vectorcall] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_switch] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(2414),
    [anon_sym_default] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_break] = ACTIONS(2414),
    [anon_sym_continue] = ACTIONS(2414),
    [anon_sym_goto] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2414),
    [anon_sym___leave] = ACTIONS(2414),
    [anon_sym_not] = ACTIONS(2414),
    [anon_sym_compl] = ACTIONS(2414),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_sizeof] = ACTIONS(2414),
    [anon_sym___alignof__] = ACTIONS(2414),
    [anon_sym___alignof] = ACTIONS(2414),
    [anon_sym__alignof] = ACTIONS(2414),
    [anon_sym_alignof] = ACTIONS(2414),
    [anon_sym__Alignof] = ACTIONS(2414),
    [anon_sym_offsetof] = ACTIONS(2414),
    [anon_sym__Generic] = ACTIONS(2414),
    [anon_sym_asm] = ACTIONS(2414),
    [anon_sym___asm__] = ACTIONS(2414),
    [anon_sym___asm] = ACTIONS(2414),
    [sym_number_literal] = ACTIONS(2416),
    [anon_sym_L_SQUOTE] = ACTIONS(2416),
    [anon_sym_u_SQUOTE] = ACTIONS(2416),
    [anon_sym_U_SQUOTE] = ACTIONS(2416),
    [anon_sym_u8_SQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_L_DQUOTE] = ACTIONS(2416),
    [anon_sym_u_DQUOTE] = ACTIONS(2416),
    [anon_sym_U_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8_DQUOTE] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [sym_true] = ACTIONS(2414),
    [sym_false] = ACTIONS(2414),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2414),
    [anon_sym_delete] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2414),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_concept] = ACTIONS(2414),
    [anon_sym_co_return] = ACTIONS(2414),
    [anon_sym_co_yield] = ACTIONS(2414),
    [anon_sym_R_DQUOTE] = ACTIONS(2416),
    [anon_sym_LR_DQUOTE] = ACTIONS(2416),
    [anon_sym_uR_DQUOTE] = ACTIONS(2416),
    [anon_sym_UR_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2416),
    [anon_sym_co_await] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_requires] = ACTIONS(2414),
    [sym_this] = ACTIONS(2414),
    [anon_sym_discard] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
    [anon_sym_cbuffer] = ACTIONS(2414),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2454),
    [aux_sym_preproc_include_token1] = ACTIONS(2454),
    [aux_sym_preproc_def_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token2] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2454),
    [aux_sym_preproc_else_token1] = ACTIONS(2454),
    [aux_sym_preproc_elif_token1] = ACTIONS(2454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2454),
    [sym_preproc_directive] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_typedef] = ACTIONS(2454),
    [anon_sym_in] = ACTIONS(2454),
    [anon_sym_out] = ACTIONS(2454),
    [anon_sym_inout] = ACTIONS(2454),
    [anon_sym_virtual] = ACTIONS(2454),
    [anon_sym_extern] = ACTIONS(2454),
    [anon_sym___attribute__] = ACTIONS(2454),
    [anon_sym___attribute] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2456),
    [anon_sym___declspec] = ACTIONS(2454),
    [anon_sym___based] = ACTIONS(2454),
    [anon_sym___cdecl] = ACTIONS(2454),
    [anon_sym___clrcall] = ACTIONS(2454),
    [anon_sym___stdcall] = ACTIONS(2454),
    [anon_sym___fastcall] = ACTIONS(2454),
    [anon_sym___thiscall] = ACTIONS(2454),
    [anon_sym___vectorcall] = ACTIONS(2454),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_signed] = ACTIONS(2454),
    [anon_sym_unsigned] = ACTIONS(2454),
    [anon_sym_long] = ACTIONS(2454),
    [anon_sym_short] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_register] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(2454),
    [anon_sym___inline] = ACTIONS(2454),
    [anon_sym___inline__] = ACTIONS(2454),
    [anon_sym___forceinline] = ACTIONS(2454),
    [anon_sym_thread_local] = ACTIONS(2454),
    [anon_sym___thread] = ACTIONS(2454),
    [anon_sym_const] = ACTIONS(2454),
    [anon_sym_constexpr] = ACTIONS(2454),
    [anon_sym_volatile] = ACTIONS(2454),
    [anon_sym_restrict] = ACTIONS(2454),
    [anon_sym___restrict__] = ACTIONS(2454),
    [anon_sym__Atomic] = ACTIONS(2454),
    [anon_sym__Noreturn] = ACTIONS(2454),
    [anon_sym_noreturn] = ACTIONS(2454),
    [anon_sym__Nonnull] = ACTIONS(2454),
    [anon_sym_mutable] = ACTIONS(2454),
    [anon_sym_constinit] = ACTIONS(2454),
    [anon_sym_consteval] = ACTIONS(2454),
    [anon_sym_alignas] = ACTIONS(2454),
    [anon_sym__Alignas] = ACTIONS(2454),
    [sym_primitive_type] = ACTIONS(2454),
    [anon_sym_enum] = ACTIONS(2454),
    [anon_sym_class] = ACTIONS(2454),
    [anon_sym_struct] = ACTIONS(2454),
    [anon_sym_union] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_switch] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(2454),
    [anon_sym_default] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_break] = ACTIONS(2454),
    [anon_sym_continue] = ACTIONS(2454),
    [anon_sym_goto] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2454),
    [anon_sym___leave] = ACTIONS(2454),
    [anon_sym_not] = ACTIONS(2454),
    [anon_sym_compl] = ACTIONS(2454),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_sizeof] = ACTIONS(2454),
    [anon_sym___alignof__] = ACTIONS(2454),
    [anon_sym___alignof] = ACTIONS(2454),
    [anon_sym__alignof] = ACTIONS(2454),
    [anon_sym_alignof] = ACTIONS(2454),
    [anon_sym__Alignof] = ACTIONS(2454),
    [anon_sym_offsetof] = ACTIONS(2454),
    [anon_sym__Generic] = ACTIONS(2454),
    [anon_sym_asm] = ACTIONS(2454),
    [anon_sym___asm__] = ACTIONS(2454),
    [anon_sym___asm] = ACTIONS(2454),
    [sym_number_literal] = ACTIONS(2456),
    [anon_sym_L_SQUOTE] = ACTIONS(2456),
    [anon_sym_u_SQUOTE] = ACTIONS(2456),
    [anon_sym_U_SQUOTE] = ACTIONS(2456),
    [anon_sym_u8_SQUOTE] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_L_DQUOTE] = ACTIONS(2456),
    [anon_sym_u_DQUOTE] = ACTIONS(2456),
    [anon_sym_U_DQUOTE] = ACTIONS(2456),
    [anon_sym_u8_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2456),
    [sym_true] = ACTIONS(2454),
    [sym_false] = ACTIONS(2454),
    [anon_sym_NULL] = ACTIONS(2454),
    [anon_sym_nullptr] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2454),
    [anon_sym_decltype] = ACTIONS(2454),
    [anon_sym_explicit] = ACTIONS(2454),
    [anon_sym_typename] = ACTIONS(2454),
    [anon_sym_template] = ACTIONS(2454),
    [anon_sym_operator] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_delete] = ACTIONS(2454),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_namespace] = ACTIONS(2454),
    [anon_sym_using] = ACTIONS(2454),
    [anon_sym_static_assert] = ACTIONS(2454),
    [anon_sym_concept] = ACTIONS(2454),
    [anon_sym_co_return] = ACTIONS(2454),
    [anon_sym_co_yield] = ACTIONS(2454),
    [anon_sym_R_DQUOTE] = ACTIONS(2456),
    [anon_sym_LR_DQUOTE] = ACTIONS(2456),
    [anon_sym_uR_DQUOTE] = ACTIONS(2456),
    [anon_sym_UR_DQUOTE] = ACTIONS(2456),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2456),
    [anon_sym_co_await] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2454),
    [anon_sym_discard] = ACTIONS(2454),
    [anon_sym_precise] = ACTIONS(2454),
    [anon_sym_shared] = ACTIONS(2454),
    [anon_sym_groupshared] = ACTIONS(2454),
    [anon_sym_uniform] = ACTIONS(2454),
    [anon_sym_row_major] = ACTIONS(2454),
    [anon_sym_column_major] = ACTIONS(2454),
    [anon_sym_globallycoherent] = ACTIONS(2454),
    [anon_sym_centroid] = ACTIONS(2454),
    [anon_sym_noperspective] = ACTIONS(2454),
    [anon_sym_nointerpolation] = ACTIONS(2454),
    [anon_sym_sample] = ACTIONS(2454),
    [anon_sym_linear] = ACTIONS(2454),
    [anon_sym_snorm] = ACTIONS(2454),
    [anon_sym_unorm] = ACTIONS(2454),
    [anon_sym_point] = ACTIONS(2454),
    [anon_sym_line] = ACTIONS(2454),
    [anon_sym_triangleadj] = ACTIONS(2454),
    [anon_sym_lineadj] = ACTIONS(2454),
    [anon_sym_triangle] = ACTIONS(2454),
    [anon_sym_cbuffer] = ACTIONS(2454),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1960),
    [aux_sym_preproc_include_token1] = ACTIONS(1960),
    [aux_sym_preproc_def_token1] = ACTIONS(1960),
    [aux_sym_preproc_if_token1] = ACTIONS(1960),
    [aux_sym_preproc_if_token2] = ACTIONS(1960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1960),
    [sym_preproc_directive] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_typedef] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym___cdecl] = ACTIONS(1960),
    [anon_sym___clrcall] = ACTIONS(1960),
    [anon_sym___stdcall] = ACTIONS(1960),
    [anon_sym___fastcall] = ACTIONS(1960),
    [anon_sym___thiscall] = ACTIONS(1960),
    [anon_sym___vectorcall] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_signed] = ACTIONS(1960),
    [anon_sym_unsigned] = ACTIONS(1960),
    [anon_sym_long] = ACTIONS(1960),
    [anon_sym_short] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_enum] = ACTIONS(1960),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_struct] = ACTIONS(1960),
    [anon_sym_union] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_else] = ACTIONS(1960),
    [anon_sym_switch] = ACTIONS(1960),
    [anon_sym_case] = ACTIONS(1960),
    [anon_sym_default] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_goto] = ACTIONS(1960),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym___leave] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_sizeof] = ACTIONS(1960),
    [anon_sym___alignof__] = ACTIONS(1960),
    [anon_sym___alignof] = ACTIONS(1960),
    [anon_sym__alignof] = ACTIONS(1960),
    [anon_sym_alignof] = ACTIONS(1960),
    [anon_sym__Alignof] = ACTIONS(1960),
    [anon_sym_offsetof] = ACTIONS(1960),
    [anon_sym__Generic] = ACTIONS(1960),
    [anon_sym_asm] = ACTIONS(1960),
    [anon_sym___asm__] = ACTIONS(1960),
    [anon_sym___asm] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(1962),
    [anon_sym_L_SQUOTE] = ACTIONS(1962),
    [anon_sym_u_SQUOTE] = ACTIONS(1962),
    [anon_sym_U_SQUOTE] = ACTIONS(1962),
    [anon_sym_u8_SQUOTE] = ACTIONS(1962),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [anon_sym_L_DQUOTE] = ACTIONS(1962),
    [anon_sym_u_DQUOTE] = ACTIONS(1962),
    [anon_sym_U_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8_DQUOTE] = ACTIONS(1962),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [sym_true] = ACTIONS(1960),
    [sym_false] = ACTIONS(1960),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_final] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
    [anon_sym_explicit] = ACTIONS(1960),
    [anon_sym_typename] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_delete] = ACTIONS(1960),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_namespace] = ACTIONS(1960),
    [anon_sym_using] = ACTIONS(1960),
    [anon_sym_static_assert] = ACTIONS(1960),
    [anon_sym_concept] = ACTIONS(1960),
    [anon_sym_co_return] = ACTIONS(1960),
    [anon_sym_co_yield] = ACTIONS(1960),
    [anon_sym_R_DQUOTE] = ACTIONS(1962),
    [anon_sym_LR_DQUOTE] = ACTIONS(1962),
    [anon_sym_uR_DQUOTE] = ACTIONS(1962),
    [anon_sym_UR_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1962),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1960),
    [anon_sym_requires] = ACTIONS(1960),
    [sym_this] = ACTIONS(1960),
    [anon_sym_discard] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
    [anon_sym_cbuffer] = ACTIONS(1960),
  },
  [292] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [anon_sym___asm] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1924),
    [anon_sym_u_SQUOTE] = ACTIONS(1924),
    [anon_sym_U_SQUOTE] = ACTIONS(1924),
    [anon_sym_u8_SQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1924),
    [anon_sym_L_DQUOTE] = ACTIONS(1924),
    [anon_sym_u_DQUOTE] = ACTIONS(1924),
    [anon_sym_U_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8_DQUOTE] = ACTIONS(1924),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1924),
    [anon_sym_LR_DQUOTE] = ACTIONS(1924),
    [anon_sym_uR_DQUOTE] = ACTIONS(1924),
    [anon_sym_UR_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1924),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
    [anon_sym_discard] = ACTIONS(1922),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
    [anon_sym_cbuffer] = ACTIONS(1922),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1930),
    [aux_sym_preproc_include_token1] = ACTIONS(1930),
    [aux_sym_preproc_def_token1] = ACTIONS(1930),
    [aux_sym_preproc_if_token1] = ACTIONS(1930),
    [aux_sym_preproc_if_token2] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1930),
    [sym_preproc_directive] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_typedef] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym___cdecl] = ACTIONS(1930),
    [anon_sym___clrcall] = ACTIONS(1930),
    [anon_sym___stdcall] = ACTIONS(1930),
    [anon_sym___fastcall] = ACTIONS(1930),
    [anon_sym___thiscall] = ACTIONS(1930),
    [anon_sym___vectorcall] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1930),
    [anon_sym_unsigned] = ACTIONS(1930),
    [anon_sym_long] = ACTIONS(1930),
    [anon_sym_short] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [sym_primitive_type] = ACTIONS(1930),
    [anon_sym_enum] = ACTIONS(1930),
    [anon_sym_class] = ACTIONS(1930),
    [anon_sym_struct] = ACTIONS(1930),
    [anon_sym_union] = ACTIONS(1930),
    [anon_sym_if] = ACTIONS(1930),
    [anon_sym_else] = ACTIONS(1930),
    [anon_sym_switch] = ACTIONS(1930),
    [anon_sym_case] = ACTIONS(1930),
    [anon_sym_default] = ACTIONS(1930),
    [anon_sym_while] = ACTIONS(1930),
    [anon_sym_do] = ACTIONS(1930),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_return] = ACTIONS(1930),
    [anon_sym_break] = ACTIONS(1930),
    [anon_sym_continue] = ACTIONS(1930),
    [anon_sym_goto] = ACTIONS(1930),
    [anon_sym___try] = ACTIONS(1930),
    [anon_sym___leave] = ACTIONS(1930),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_sizeof] = ACTIONS(1930),
    [anon_sym___alignof__] = ACTIONS(1930),
    [anon_sym___alignof] = ACTIONS(1930),
    [anon_sym__alignof] = ACTIONS(1930),
    [anon_sym_alignof] = ACTIONS(1930),
    [anon_sym__Alignof] = ACTIONS(1930),
    [anon_sym_offsetof] = ACTIONS(1930),
    [anon_sym__Generic] = ACTIONS(1930),
    [anon_sym_asm] = ACTIONS(1930),
    [anon_sym___asm__] = ACTIONS(1930),
    [anon_sym___asm] = ACTIONS(1930),
    [sym_number_literal] = ACTIONS(1932),
    [anon_sym_L_SQUOTE] = ACTIONS(1932),
    [anon_sym_u_SQUOTE] = ACTIONS(1932),
    [anon_sym_U_SQUOTE] = ACTIONS(1932),
    [anon_sym_u8_SQUOTE] = ACTIONS(1932),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [anon_sym_NULL] = ACTIONS(1930),
    [anon_sym_nullptr] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_final] = ACTIONS(1930),
    [anon_sym_override] = ACTIONS(1930),
    [anon_sym_explicit] = ACTIONS(1930),
    [anon_sym_typename] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1930),
    [anon_sym_delete] = ACTIONS(1930),
    [anon_sym_throw] = ACTIONS(1930),
    [anon_sym_namespace] = ACTIONS(1930),
    [anon_sym_using] = ACTIONS(1930),
    [anon_sym_static_assert] = ACTIONS(1930),
    [anon_sym_concept] = ACTIONS(1930),
    [anon_sym_co_return] = ACTIONS(1930),
    [anon_sym_co_yield] = ACTIONS(1930),
    [anon_sym_R_DQUOTE] = ACTIONS(1932),
    [anon_sym_LR_DQUOTE] = ACTIONS(1932),
    [anon_sym_uR_DQUOTE] = ACTIONS(1932),
    [anon_sym_UR_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1932),
    [anon_sym_co_await] = ACTIONS(1930),
    [anon_sym_new] = ACTIONS(1930),
    [anon_sym_requires] = ACTIONS(1930),
    [sym_this] = ACTIONS(1930),
    [anon_sym_discard] = ACTIONS(1930),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
    [anon_sym_cbuffer] = ACTIONS(1930),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2458),
    [aux_sym_preproc_include_token1] = ACTIONS(2458),
    [aux_sym_preproc_def_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token2] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2458),
    [aux_sym_preproc_else_token1] = ACTIONS(2458),
    [aux_sym_preproc_elif_token1] = ACTIONS(2458),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2458),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2458),
    [sym_preproc_directive] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym___extension__] = ACTIONS(2458),
    [anon_sym_typedef] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2458),
    [anon_sym_out] = ACTIONS(2458),
    [anon_sym_inout] = ACTIONS(2458),
    [anon_sym_virtual] = ACTIONS(2458),
    [anon_sym_extern] = ACTIONS(2458),
    [anon_sym___attribute__] = ACTIONS(2458),
    [anon_sym___attribute] = ACTIONS(2458),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2460),
    [anon_sym___declspec] = ACTIONS(2458),
    [anon_sym___based] = ACTIONS(2458),
    [anon_sym___cdecl] = ACTIONS(2458),
    [anon_sym___clrcall] = ACTIONS(2458),
    [anon_sym___stdcall] = ACTIONS(2458),
    [anon_sym___fastcall] = ACTIONS(2458),
    [anon_sym___thiscall] = ACTIONS(2458),
    [anon_sym___vectorcall] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2458),
    [anon_sym_unsigned] = ACTIONS(2458),
    [anon_sym_long] = ACTIONS(2458),
    [anon_sym_short] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_register] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(2458),
    [anon_sym___inline] = ACTIONS(2458),
    [anon_sym___inline__] = ACTIONS(2458),
    [anon_sym___forceinline] = ACTIONS(2458),
    [anon_sym_thread_local] = ACTIONS(2458),
    [anon_sym___thread] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_constexpr] = ACTIONS(2458),
    [anon_sym_volatile] = ACTIONS(2458),
    [anon_sym_restrict] = ACTIONS(2458),
    [anon_sym___restrict__] = ACTIONS(2458),
    [anon_sym__Atomic] = ACTIONS(2458),
    [anon_sym__Noreturn] = ACTIONS(2458),
    [anon_sym_noreturn] = ACTIONS(2458),
    [anon_sym__Nonnull] = ACTIONS(2458),
    [anon_sym_mutable] = ACTIONS(2458),
    [anon_sym_constinit] = ACTIONS(2458),
    [anon_sym_consteval] = ACTIONS(2458),
    [anon_sym_alignas] = ACTIONS(2458),
    [anon_sym__Alignas] = ACTIONS(2458),
    [sym_primitive_type] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_struct] = ACTIONS(2458),
    [anon_sym_union] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_case] = ACTIONS(2458),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_goto] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2458),
    [anon_sym_compl] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2458),
    [anon_sym___alignof] = ACTIONS(2458),
    [anon_sym__alignof] = ACTIONS(2458),
    [anon_sym_alignof] = ACTIONS(2458),
    [anon_sym__Alignof] = ACTIONS(2458),
    [anon_sym_offsetof] = ACTIONS(2458),
    [anon_sym__Generic] = ACTIONS(2458),
    [anon_sym_asm] = ACTIONS(2458),
    [anon_sym___asm__] = ACTIONS(2458),
    [anon_sym___asm] = ACTIONS(2458),
    [sym_number_literal] = ACTIONS(2460),
    [anon_sym_L_SQUOTE] = ACTIONS(2460),
    [anon_sym_u_SQUOTE] = ACTIONS(2460),
    [anon_sym_U_SQUOTE] = ACTIONS(2460),
    [anon_sym_u8_SQUOTE] = ACTIONS(2460),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [anon_sym_L_DQUOTE] = ACTIONS(2460),
    [anon_sym_u_DQUOTE] = ACTIONS(2460),
    [anon_sym_U_DQUOTE] = ACTIONS(2460),
    [anon_sym_u8_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [anon_sym_NULL] = ACTIONS(2458),
    [anon_sym_nullptr] = ACTIONS(2458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2458),
    [anon_sym_decltype] = ACTIONS(2458),
    [anon_sym_explicit] = ACTIONS(2458),
    [anon_sym_typename] = ACTIONS(2458),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_operator] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_static_assert] = ACTIONS(2458),
    [anon_sym_concept] = ACTIONS(2458),
    [anon_sym_co_return] = ACTIONS(2458),
    [anon_sym_co_yield] = ACTIONS(2458),
    [anon_sym_R_DQUOTE] = ACTIONS(2460),
    [anon_sym_LR_DQUOTE] = ACTIONS(2460),
    [anon_sym_uR_DQUOTE] = ACTIONS(2460),
    [anon_sym_UR_DQUOTE] = ACTIONS(2460),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2460),
    [anon_sym_co_await] = ACTIONS(2458),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [anon_sym_discard] = ACTIONS(2458),
    [anon_sym_precise] = ACTIONS(2458),
    [anon_sym_shared] = ACTIONS(2458),
    [anon_sym_groupshared] = ACTIONS(2458),
    [anon_sym_uniform] = ACTIONS(2458),
    [anon_sym_row_major] = ACTIONS(2458),
    [anon_sym_column_major] = ACTIONS(2458),
    [anon_sym_globallycoherent] = ACTIONS(2458),
    [anon_sym_centroid] = ACTIONS(2458),
    [anon_sym_noperspective] = ACTIONS(2458),
    [anon_sym_nointerpolation] = ACTIONS(2458),
    [anon_sym_sample] = ACTIONS(2458),
    [anon_sym_linear] = ACTIONS(2458),
    [anon_sym_snorm] = ACTIONS(2458),
    [anon_sym_unorm] = ACTIONS(2458),
    [anon_sym_point] = ACTIONS(2458),
    [anon_sym_line] = ACTIONS(2458),
    [anon_sym_triangleadj] = ACTIONS(2458),
    [anon_sym_lineadj] = ACTIONS(2458),
    [anon_sym_triangle] = ACTIONS(2458),
    [anon_sym_cbuffer] = ACTIONS(2458),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1918),
    [aux_sym_preproc_include_token1] = ACTIONS(1918),
    [aux_sym_preproc_def_token1] = ACTIONS(1918),
    [aux_sym_preproc_if_token1] = ACTIONS(1918),
    [aux_sym_preproc_if_token2] = ACTIONS(1918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1918),
    [sym_preproc_directive] = ACTIONS(1918),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_typedef] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym___cdecl] = ACTIONS(1918),
    [anon_sym___clrcall] = ACTIONS(1918),
    [anon_sym___stdcall] = ACTIONS(1918),
    [anon_sym___fastcall] = ACTIONS(1918),
    [anon_sym___thiscall] = ACTIONS(1918),
    [anon_sym___vectorcall] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1918),
    [anon_sym_unsigned] = ACTIONS(1918),
    [anon_sym_long] = ACTIONS(1918),
    [anon_sym_short] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [sym_primitive_type] = ACTIONS(1918),
    [anon_sym_enum] = ACTIONS(1918),
    [anon_sym_class] = ACTIONS(1918),
    [anon_sym_struct] = ACTIONS(1918),
    [anon_sym_union] = ACTIONS(1918),
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(1918),
    [anon_sym_switch] = ACTIONS(1918),
    [anon_sym_case] = ACTIONS(1918),
    [anon_sym_default] = ACTIONS(1918),
    [anon_sym_while] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1918),
    [anon_sym_for] = ACTIONS(1918),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_break] = ACTIONS(1918),
    [anon_sym_continue] = ACTIONS(1918),
    [anon_sym_goto] = ACTIONS(1918),
    [anon_sym___try] = ACTIONS(1918),
    [anon_sym___leave] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_compl] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1918),
    [anon_sym___alignof] = ACTIONS(1918),
    [anon_sym__alignof] = ACTIONS(1918),
    [anon_sym_alignof] = ACTIONS(1918),
    [anon_sym__Alignof] = ACTIONS(1918),
    [anon_sym_offsetof] = ACTIONS(1918),
    [anon_sym__Generic] = ACTIONS(1918),
    [anon_sym_asm] = ACTIONS(1918),
    [anon_sym___asm__] = ACTIONS(1918),
    [anon_sym___asm] = ACTIONS(1918),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1918),
    [sym_false] = ACTIONS(1918),
    [anon_sym_NULL] = ACTIONS(1918),
    [anon_sym_nullptr] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_final] = ACTIONS(1918),
    [anon_sym_override] = ACTIONS(1918),
    [anon_sym_explicit] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_try] = ACTIONS(1918),
    [anon_sym_delete] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_namespace] = ACTIONS(1918),
    [anon_sym_using] = ACTIONS(1918),
    [anon_sym_static_assert] = ACTIONS(1918),
    [anon_sym_concept] = ACTIONS(1918),
    [anon_sym_co_return] = ACTIONS(1918),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1918),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1918),
    [anon_sym_discard] = ACTIONS(1918),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
    [anon_sym_cbuffer] = ACTIONS(1918),
  },
  [296] = {
    [sym_identifier] = ACTIONS(1938),
    [aux_sym_preproc_include_token1] = ACTIONS(1938),
    [aux_sym_preproc_def_token1] = ACTIONS(1938),
    [aux_sym_preproc_if_token1] = ACTIONS(1938),
    [aux_sym_preproc_if_token2] = ACTIONS(1938),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1938),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1938),
    [sym_preproc_directive] = ACTIONS(1938),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_typedef] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym___cdecl] = ACTIONS(1938),
    [anon_sym___clrcall] = ACTIONS(1938),
    [anon_sym___stdcall] = ACTIONS(1938),
    [anon_sym___fastcall] = ACTIONS(1938),
    [anon_sym___thiscall] = ACTIONS(1938),
    [anon_sym___vectorcall] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_signed] = ACTIONS(1938),
    [anon_sym_unsigned] = ACTIONS(1938),
    [anon_sym_long] = ACTIONS(1938),
    [anon_sym_short] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [sym_primitive_type] = ACTIONS(1938),
    [anon_sym_enum] = ACTIONS(1938),
    [anon_sym_class] = ACTIONS(1938),
    [anon_sym_struct] = ACTIONS(1938),
    [anon_sym_union] = ACTIONS(1938),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_case] = ACTIONS(1938),
    [anon_sym_default] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1938),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_for] = ACTIONS(1938),
    [anon_sym_return] = ACTIONS(1938),
    [anon_sym_break] = ACTIONS(1938),
    [anon_sym_continue] = ACTIONS(1938),
    [anon_sym_goto] = ACTIONS(1938),
    [anon_sym___try] = ACTIONS(1938),
    [anon_sym___leave] = ACTIONS(1938),
    [anon_sym_not] = ACTIONS(1938),
    [anon_sym_compl] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1938),
    [anon_sym___alignof] = ACTIONS(1938),
    [anon_sym__alignof] = ACTIONS(1938),
    [anon_sym_alignof] = ACTIONS(1938),
    [anon_sym__Alignof] = ACTIONS(1938),
    [anon_sym_offsetof] = ACTIONS(1938),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1938),
    [anon_sym___asm__] = ACTIONS(1938),
    [anon_sym___asm] = ACTIONS(1938),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1940),
    [anon_sym_u_SQUOTE] = ACTIONS(1940),
    [anon_sym_U_SQUOTE] = ACTIONS(1940),
    [anon_sym_u8_SQUOTE] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1940),
    [anon_sym_L_DQUOTE] = ACTIONS(1940),
    [anon_sym_u_DQUOTE] = ACTIONS(1940),
    [anon_sym_U_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8_DQUOTE] = ACTIONS(1940),
    [anon_sym_DQUOTE] = ACTIONS(1940),
    [sym_true] = ACTIONS(1938),
    [sym_false] = ACTIONS(1938),
    [anon_sym_NULL] = ACTIONS(1938),
    [anon_sym_nullptr] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_final] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_try] = ACTIONS(1938),
    [anon_sym_delete] = ACTIONS(1938),
    [anon_sym_throw] = ACTIONS(1938),
    [anon_sym_namespace] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(1938),
    [anon_sym_static_assert] = ACTIONS(1938),
    [anon_sym_concept] = ACTIONS(1938),
    [anon_sym_co_return] = ACTIONS(1938),
    [anon_sym_co_yield] = ACTIONS(1938),
    [anon_sym_R_DQUOTE] = ACTIONS(1940),
    [anon_sym_LR_DQUOTE] = ACTIONS(1940),
    [anon_sym_uR_DQUOTE] = ACTIONS(1940),
    [anon_sym_UR_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1940),
    [anon_sym_co_await] = ACTIONS(1938),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_requires] = ACTIONS(1938),
    [sym_this] = ACTIONS(1938),
    [anon_sym_discard] = ACTIONS(1938),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
    [anon_sym_cbuffer] = ACTIONS(1938),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1926),
    [aux_sym_preproc_include_token1] = ACTIONS(1926),
    [aux_sym_preproc_def_token1] = ACTIONS(1926),
    [aux_sym_preproc_if_token1] = ACTIONS(1926),
    [aux_sym_preproc_if_token2] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1926),
    [sym_preproc_directive] = ACTIONS(1926),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_typedef] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym___cdecl] = ACTIONS(1926),
    [anon_sym___clrcall] = ACTIONS(1926),
    [anon_sym___stdcall] = ACTIONS(1926),
    [anon_sym___fastcall] = ACTIONS(1926),
    [anon_sym___thiscall] = ACTIONS(1926),
    [anon_sym___vectorcall] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_signed] = ACTIONS(1926),
    [anon_sym_unsigned] = ACTIONS(1926),
    [anon_sym_long] = ACTIONS(1926),
    [anon_sym_short] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [sym_primitive_type] = ACTIONS(1926),
    [anon_sym_enum] = ACTIONS(1926),
    [anon_sym_class] = ACTIONS(1926),
    [anon_sym_struct] = ACTIONS(1926),
    [anon_sym_union] = ACTIONS(1926),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_else] = ACTIONS(1926),
    [anon_sym_switch] = ACTIONS(1926),
    [anon_sym_case] = ACTIONS(1926),
    [anon_sym_default] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1926),
    [anon_sym_do] = ACTIONS(1926),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_return] = ACTIONS(1926),
    [anon_sym_break] = ACTIONS(1926),
    [anon_sym_continue] = ACTIONS(1926),
    [anon_sym_goto] = ACTIONS(1926),
    [anon_sym___try] = ACTIONS(1926),
    [anon_sym___leave] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(1926),
    [anon_sym___alignof__] = ACTIONS(1926),
    [anon_sym___alignof] = ACTIONS(1926),
    [anon_sym__alignof] = ACTIONS(1926),
    [anon_sym_alignof] = ACTIONS(1926),
    [anon_sym__Alignof] = ACTIONS(1926),
    [anon_sym_offsetof] = ACTIONS(1926),
    [anon_sym__Generic] = ACTIONS(1926),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1928),
    [anon_sym_u_SQUOTE] = ACTIONS(1928),
    [anon_sym_U_SQUOTE] = ACTIONS(1928),
    [anon_sym_u8_SQUOTE] = ACTIONS(1928),
    [anon_sym_SQUOTE] = ACTIONS(1928),
    [anon_sym_L_DQUOTE] = ACTIONS(1928),
    [anon_sym_u_DQUOTE] = ACTIONS(1928),
    [anon_sym_U_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8_DQUOTE] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1928),
    [sym_true] = ACTIONS(1926),
    [sym_false] = ACTIONS(1926),
    [anon_sym_NULL] = ACTIONS(1926),
    [anon_sym_nullptr] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_final] = ACTIONS(1926),
    [anon_sym_override] = ACTIONS(1926),
    [anon_sym_explicit] = ACTIONS(1926),
    [anon_sym_typename] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_delete] = ACTIONS(1926),
    [anon_sym_throw] = ACTIONS(1926),
    [anon_sym_namespace] = ACTIONS(1926),
    [anon_sym_using] = ACTIONS(1926),
    [anon_sym_static_assert] = ACTIONS(1926),
    [anon_sym_concept] = ACTIONS(1926),
    [anon_sym_co_return] = ACTIONS(1926),
    [anon_sym_co_yield] = ACTIONS(1926),
    [anon_sym_R_DQUOTE] = ACTIONS(1928),
    [anon_sym_LR_DQUOTE] = ACTIONS(1928),
    [anon_sym_uR_DQUOTE] = ACTIONS(1928),
    [anon_sym_UR_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1928),
    [anon_sym_co_await] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1926),
    [sym_this] = ACTIONS(1926),
    [anon_sym_discard] = ACTIONS(1926),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
    [anon_sym_cbuffer] = ACTIONS(1926),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [aux_sym_preproc_else_token1] = ACTIONS(2438),
    [aux_sym_preproc_elif_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2462),
    [aux_sym_preproc_include_token1] = ACTIONS(2462),
    [aux_sym_preproc_def_token1] = ACTIONS(2462),
    [aux_sym_preproc_if_token1] = ACTIONS(2462),
    [aux_sym_preproc_if_token2] = ACTIONS(2462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2462),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2462),
    [aux_sym_preproc_else_token1] = ACTIONS(2462),
    [aux_sym_preproc_elif_token1] = ACTIONS(2462),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2462),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2462),
    [sym_preproc_directive] = ACTIONS(2462),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2462),
    [anon_sym_typedef] = ACTIONS(2462),
    [anon_sym_in] = ACTIONS(2462),
    [anon_sym_out] = ACTIONS(2462),
    [anon_sym_inout] = ACTIONS(2462),
    [anon_sym_virtual] = ACTIONS(2462),
    [anon_sym_extern] = ACTIONS(2462),
    [anon_sym___attribute__] = ACTIONS(2462),
    [anon_sym___attribute] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2462),
    [anon_sym___based] = ACTIONS(2462),
    [anon_sym___cdecl] = ACTIONS(2462),
    [anon_sym___clrcall] = ACTIONS(2462),
    [anon_sym___stdcall] = ACTIONS(2462),
    [anon_sym___fastcall] = ACTIONS(2462),
    [anon_sym___thiscall] = ACTIONS(2462),
    [anon_sym___vectorcall] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2462),
    [anon_sym_unsigned] = ACTIONS(2462),
    [anon_sym_long] = ACTIONS(2462),
    [anon_sym_short] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym_static] = ACTIONS(2462),
    [anon_sym_register] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2462),
    [anon_sym___inline] = ACTIONS(2462),
    [anon_sym___inline__] = ACTIONS(2462),
    [anon_sym___forceinline] = ACTIONS(2462),
    [anon_sym_thread_local] = ACTIONS(2462),
    [anon_sym___thread] = ACTIONS(2462),
    [anon_sym_const] = ACTIONS(2462),
    [anon_sym_constexpr] = ACTIONS(2462),
    [anon_sym_volatile] = ACTIONS(2462),
    [anon_sym_restrict] = ACTIONS(2462),
    [anon_sym___restrict__] = ACTIONS(2462),
    [anon_sym__Atomic] = ACTIONS(2462),
    [anon_sym__Noreturn] = ACTIONS(2462),
    [anon_sym_noreturn] = ACTIONS(2462),
    [anon_sym__Nonnull] = ACTIONS(2462),
    [anon_sym_mutable] = ACTIONS(2462),
    [anon_sym_constinit] = ACTIONS(2462),
    [anon_sym_consteval] = ACTIONS(2462),
    [anon_sym_alignas] = ACTIONS(2462),
    [anon_sym__Alignas] = ACTIONS(2462),
    [sym_primitive_type] = ACTIONS(2462),
    [anon_sym_enum] = ACTIONS(2462),
    [anon_sym_class] = ACTIONS(2462),
    [anon_sym_struct] = ACTIONS(2462),
    [anon_sym_union] = ACTIONS(2462),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_switch] = ACTIONS(2462),
    [anon_sym_case] = ACTIONS(2462),
    [anon_sym_default] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_do] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2462),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_break] = ACTIONS(2462),
    [anon_sym_continue] = ACTIONS(2462),
    [anon_sym_goto] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2462),
    [anon_sym___leave] = ACTIONS(2462),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2462),
    [anon_sym_asm] = ACTIONS(2462),
    [anon_sym___asm__] = ACTIONS(2462),
    [anon_sym___asm] = ACTIONS(2462),
    [sym_number_literal] = ACTIONS(2465),
    [anon_sym_L_SQUOTE] = ACTIONS(2465),
    [anon_sym_u_SQUOTE] = ACTIONS(2465),
    [anon_sym_U_SQUOTE] = ACTIONS(2465),
    [anon_sym_u8_SQUOTE] = ACTIONS(2465),
    [anon_sym_SQUOTE] = ACTIONS(2465),
    [anon_sym_L_DQUOTE] = ACTIONS(2465),
    [anon_sym_u_DQUOTE] = ACTIONS(2465),
    [anon_sym_U_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8_DQUOTE] = ACTIONS(2465),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [sym_true] = ACTIONS(2462),
    [sym_false] = ACTIONS(2462),
    [anon_sym_NULL] = ACTIONS(2462),
    [anon_sym_nullptr] = ACTIONS(2462),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2462),
    [anon_sym_decltype] = ACTIONS(2462),
    [anon_sym_explicit] = ACTIONS(2462),
    [anon_sym_typename] = ACTIONS(2462),
    [anon_sym_template] = ACTIONS(2462),
    [anon_sym_operator] = ACTIONS(2462),
    [anon_sym_try] = ACTIONS(2462),
    [anon_sym_delete] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2462),
    [anon_sym_namespace] = ACTIONS(2462),
    [anon_sym_using] = ACTIONS(2462),
    [anon_sym_static_assert] = ACTIONS(2462),
    [anon_sym_concept] = ACTIONS(2462),
    [anon_sym_co_return] = ACTIONS(2462),
    [anon_sym_co_yield] = ACTIONS(2462),
    [anon_sym_R_DQUOTE] = ACTIONS(2465),
    [anon_sym_LR_DQUOTE] = ACTIONS(2465),
    [anon_sym_uR_DQUOTE] = ACTIONS(2465),
    [anon_sym_UR_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2465),
    [anon_sym_co_await] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2462),
    [anon_sym_requires] = ACTIONS(2462),
    [sym_this] = ACTIONS(2462),
    [anon_sym_discard] = ACTIONS(2462),
    [anon_sym_precise] = ACTIONS(2462),
    [anon_sym_shared] = ACTIONS(2462),
    [anon_sym_groupshared] = ACTIONS(2462),
    [anon_sym_uniform] = ACTIONS(2462),
    [anon_sym_row_major] = ACTIONS(2462),
    [anon_sym_column_major] = ACTIONS(2462),
    [anon_sym_globallycoherent] = ACTIONS(2462),
    [anon_sym_centroid] = ACTIONS(2462),
    [anon_sym_noperspective] = ACTIONS(2462),
    [anon_sym_nointerpolation] = ACTIONS(2462),
    [anon_sym_sample] = ACTIONS(2462),
    [anon_sym_linear] = ACTIONS(2462),
    [anon_sym_snorm] = ACTIONS(2462),
    [anon_sym_unorm] = ACTIONS(2462),
    [anon_sym_point] = ACTIONS(2462),
    [anon_sym_line] = ACTIONS(2462),
    [anon_sym_triangleadj] = ACTIONS(2462),
    [anon_sym_lineadj] = ACTIONS(2462),
    [anon_sym_triangle] = ACTIONS(2462),
    [anon_sym_cbuffer] = ACTIONS(2462),
  },
  [300] = {
    [sym_catch_clause] = STATE(313),
    [aux_sym_constructor_try_statement_repeat1] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(1999),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_include_token1] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1997),
    [sym_preproc_directive] = ACTIONS(1997),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_AMP_AMP] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym___extension__] = ACTIONS(1997),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1997),
    [anon_sym_out] = ACTIONS(1997),
    [anon_sym_inout] = ACTIONS(1997),
    [anon_sym_virtual] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(1997),
    [anon_sym___attribute__] = ACTIONS(1997),
    [anon_sym___attribute] = ACTIONS(1997),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(1997),
    [anon_sym___based] = ACTIONS(1997),
    [anon_sym___cdecl] = ACTIONS(1997),
    [anon_sym___clrcall] = ACTIONS(1997),
    [anon_sym___stdcall] = ACTIONS(1997),
    [anon_sym___fastcall] = ACTIONS(1997),
    [anon_sym___thiscall] = ACTIONS(1997),
    [anon_sym___vectorcall] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [anon_sym_signed] = ACTIONS(1997),
    [anon_sym_unsigned] = ACTIONS(1997),
    [anon_sym_long] = ACTIONS(1997),
    [anon_sym_short] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_register] = ACTIONS(1997),
    [anon_sym_inline] = ACTIONS(1997),
    [anon_sym___inline] = ACTIONS(1997),
    [anon_sym___inline__] = ACTIONS(1997),
    [anon_sym___forceinline] = ACTIONS(1997),
    [anon_sym_thread_local] = ACTIONS(1997),
    [anon_sym___thread] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_constexpr] = ACTIONS(1997),
    [anon_sym_volatile] = ACTIONS(1997),
    [anon_sym_restrict] = ACTIONS(1997),
    [anon_sym___restrict__] = ACTIONS(1997),
    [anon_sym__Atomic] = ACTIONS(1997),
    [anon_sym__Noreturn] = ACTIONS(1997),
    [anon_sym_noreturn] = ACTIONS(1997),
    [anon_sym__Nonnull] = ACTIONS(1997),
    [anon_sym_mutable] = ACTIONS(1997),
    [anon_sym_constinit] = ACTIONS(1997),
    [anon_sym_consteval] = ACTIONS(1997),
    [anon_sym_alignas] = ACTIONS(1997),
    [anon_sym__Alignas] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_struct] = ACTIONS(1997),
    [anon_sym_union] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_else] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_case] = ACTIONS(1997),
    [anon_sym_default] = ACTIONS(1997),
    [anon_sym_while] = ACTIONS(1997),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_for] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_goto] = ACTIONS(1997),
    [anon_sym___try] = ACTIONS(1997),
    [anon_sym___leave] = ACTIONS(1997),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1999),
    [anon_sym_PLUS_PLUS] = ACTIONS(1999),
    [anon_sym_sizeof] = ACTIONS(1997),
    [anon_sym___alignof__] = ACTIONS(1997),
    [anon_sym___alignof] = ACTIONS(1997),
    [anon_sym__alignof] = ACTIONS(1997),
    [anon_sym_alignof] = ACTIONS(1997),
    [anon_sym__Alignof] = ACTIONS(1997),
    [anon_sym_offsetof] = ACTIONS(1997),
    [anon_sym__Generic] = ACTIONS(1997),
    [anon_sym_asm] = ACTIONS(1997),
    [anon_sym___asm__] = ACTIONS(1997),
    [anon_sym___asm] = ACTIONS(1997),
    [sym_number_literal] = ACTIONS(1999),
    [anon_sym_L_SQUOTE] = ACTIONS(1999),
    [anon_sym_u_SQUOTE] = ACTIONS(1999),
    [anon_sym_U_SQUOTE] = ACTIONS(1999),
    [anon_sym_u8_SQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_L_DQUOTE] = ACTIONS(1999),
    [anon_sym_u_DQUOTE] = ACTIONS(1999),
    [anon_sym_U_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8_DQUOTE] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [anon_sym_NULL] = ACTIONS(1997),
    [anon_sym_nullptr] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1997),
    [anon_sym_decltype] = ACTIONS(1997),
    [anon_sym_explicit] = ACTIONS(1997),
    [anon_sym_typename] = ACTIONS(1997),
    [anon_sym_template] = ACTIONS(1997),
    [anon_sym_operator] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1997),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_using] = ACTIONS(1997),
    [anon_sym_static_assert] = ACTIONS(1997),
    [anon_sym_concept] = ACTIONS(1997),
    [anon_sym_co_return] = ACTIONS(1997),
    [anon_sym_co_yield] = ACTIONS(1997),
    [anon_sym_catch] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(1999),
    [anon_sym_LR_DQUOTE] = ACTIONS(1999),
    [anon_sym_uR_DQUOTE] = ACTIONS(1999),
    [anon_sym_UR_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1999),
    [anon_sym_co_await] = ACTIONS(1997),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_requires] = ACTIONS(1997),
    [sym_this] = ACTIONS(1997),
    [anon_sym_discard] = ACTIONS(1997),
    [anon_sym_precise] = ACTIONS(1997),
    [anon_sym_shared] = ACTIONS(1997),
    [anon_sym_groupshared] = ACTIONS(1997),
    [anon_sym_uniform] = ACTIONS(1997),
    [anon_sym_row_major] = ACTIONS(1997),
    [anon_sym_column_major] = ACTIONS(1997),
    [anon_sym_globallycoherent] = ACTIONS(1997),
    [anon_sym_centroid] = ACTIONS(1997),
    [anon_sym_noperspective] = ACTIONS(1997),
    [anon_sym_nointerpolation] = ACTIONS(1997),
    [anon_sym_sample] = ACTIONS(1997),
    [anon_sym_linear] = ACTIONS(1997),
    [anon_sym_snorm] = ACTIONS(1997),
    [anon_sym_unorm] = ACTIONS(1997),
    [anon_sym_point] = ACTIONS(1997),
    [anon_sym_line] = ACTIONS(1997),
    [anon_sym_triangleadj] = ACTIONS(1997),
    [anon_sym_lineadj] = ACTIONS(1997),
    [anon_sym_triangle] = ACTIONS(1997),
    [anon_sym_cbuffer] = ACTIONS(1997),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [aux_sym_preproc_else_token1] = ACTIONS(2438),
    [aux_sym_preproc_elif_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [aux_sym_preproc_else_token1] = ACTIONS(2470),
    [aux_sym_preproc_elif_token1] = ACTIONS(2470),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_out] = ACTIONS(2470),
    [anon_sym_inout] = ACTIONS(2470),
    [anon_sym_virtual] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___based] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_mutable] = ACTIONS(2470),
    [anon_sym_constinit] = ACTIONS(2470),
    [anon_sym_consteval] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_class] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym___leave] = ACTIONS(2470),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_compl] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2470),
    [anon_sym_decltype] = ACTIONS(2470),
    [anon_sym_explicit] = ACTIONS(2470),
    [anon_sym_typename] = ACTIONS(2470),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_operator] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_namespace] = ACTIONS(2470),
    [anon_sym_using] = ACTIONS(2470),
    [anon_sym_static_assert] = ACTIONS(2470),
    [anon_sym_concept] = ACTIONS(2470),
    [anon_sym_co_return] = ACTIONS(2470),
    [anon_sym_co_yield] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(2472),
    [anon_sym_LR_DQUOTE] = ACTIONS(2472),
    [anon_sym_uR_DQUOTE] = ACTIONS(2472),
    [anon_sym_UR_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2472),
    [anon_sym_co_await] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2470),
    [anon_sym_requires] = ACTIONS(2470),
    [sym_this] = ACTIONS(2470),
    [anon_sym_discard] = ACTIONS(2470),
    [anon_sym_precise] = ACTIONS(2470),
    [anon_sym_shared] = ACTIONS(2470),
    [anon_sym_groupshared] = ACTIONS(2470),
    [anon_sym_uniform] = ACTIONS(2470),
    [anon_sym_row_major] = ACTIONS(2470),
    [anon_sym_column_major] = ACTIONS(2470),
    [anon_sym_globallycoherent] = ACTIONS(2470),
    [anon_sym_centroid] = ACTIONS(2470),
    [anon_sym_noperspective] = ACTIONS(2470),
    [anon_sym_nointerpolation] = ACTIONS(2470),
    [anon_sym_sample] = ACTIONS(2470),
    [anon_sym_linear] = ACTIONS(2470),
    [anon_sym_snorm] = ACTIONS(2470),
    [anon_sym_unorm] = ACTIONS(2470),
    [anon_sym_point] = ACTIONS(2470),
    [anon_sym_line] = ACTIONS(2470),
    [anon_sym_triangleadj] = ACTIONS(2470),
    [anon_sym_lineadj] = ACTIONS(2470),
    [anon_sym_triangle] = ACTIONS(2470),
    [anon_sym_cbuffer] = ACTIONS(2470),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_out] = ACTIONS(2474),
    [anon_sym_inout] = ACTIONS(2474),
    [anon_sym_virtual] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym___leave] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [anon_sym_discard] = ACTIONS(2474),
    [anon_sym_precise] = ACTIONS(2474),
    [anon_sym_shared] = ACTIONS(2474),
    [anon_sym_groupshared] = ACTIONS(2474),
    [anon_sym_uniform] = ACTIONS(2474),
    [anon_sym_row_major] = ACTIONS(2474),
    [anon_sym_column_major] = ACTIONS(2474),
    [anon_sym_globallycoherent] = ACTIONS(2474),
    [anon_sym_centroid] = ACTIONS(2474),
    [anon_sym_noperspective] = ACTIONS(2474),
    [anon_sym_nointerpolation] = ACTIONS(2474),
    [anon_sym_sample] = ACTIONS(2474),
    [anon_sym_linear] = ACTIONS(2474),
    [anon_sym_snorm] = ACTIONS(2474),
    [anon_sym_unorm] = ACTIONS(2474),
    [anon_sym_point] = ACTIONS(2474),
    [anon_sym_line] = ACTIONS(2474),
    [anon_sym_triangleadj] = ACTIONS(2474),
    [anon_sym_lineadj] = ACTIONS(2474),
    [anon_sym_triangle] = ACTIONS(2474),
    [anon_sym_cbuffer] = ACTIONS(2474),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_out] = ACTIONS(2478),
    [anon_sym_inout] = ACTIONS(2478),
    [anon_sym_virtual] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [anon_sym_discard] = ACTIONS(2478),
    [anon_sym_precise] = ACTIONS(2478),
    [anon_sym_shared] = ACTIONS(2478),
    [anon_sym_groupshared] = ACTIONS(2478),
    [anon_sym_uniform] = ACTIONS(2478),
    [anon_sym_row_major] = ACTIONS(2478),
    [anon_sym_column_major] = ACTIONS(2478),
    [anon_sym_globallycoherent] = ACTIONS(2478),
    [anon_sym_centroid] = ACTIONS(2478),
    [anon_sym_noperspective] = ACTIONS(2478),
    [anon_sym_nointerpolation] = ACTIONS(2478),
    [anon_sym_sample] = ACTIONS(2478),
    [anon_sym_linear] = ACTIONS(2478),
    [anon_sym_snorm] = ACTIONS(2478),
    [anon_sym_unorm] = ACTIONS(2478),
    [anon_sym_point] = ACTIONS(2478),
    [anon_sym_line] = ACTIONS(2478),
    [anon_sym_triangleadj] = ACTIONS(2478),
    [anon_sym_lineadj] = ACTIONS(2478),
    [anon_sym_triangle] = ACTIONS(2478),
    [anon_sym_cbuffer] = ACTIONS(2478),
  },
  [305] = {
    [sym_catch_clause] = STATE(309),
    [aux_sym_constructor_try_statement_repeat1] = STATE(309),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_include_token1] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1997),
    [sym_preproc_directive] = ACTIONS(1997),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_AMP_AMP] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym___extension__] = ACTIONS(1997),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1997),
    [anon_sym_out] = ACTIONS(1997),
    [anon_sym_inout] = ACTIONS(1997),
    [anon_sym_virtual] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(1997),
    [anon_sym___attribute__] = ACTIONS(1997),
    [anon_sym___attribute] = ACTIONS(1997),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(1997),
    [anon_sym___based] = ACTIONS(1997),
    [anon_sym___cdecl] = ACTIONS(1997),
    [anon_sym___clrcall] = ACTIONS(1997),
    [anon_sym___stdcall] = ACTIONS(1997),
    [anon_sym___fastcall] = ACTIONS(1997),
    [anon_sym___thiscall] = ACTIONS(1997),
    [anon_sym___vectorcall] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [anon_sym_RBRACE] = ACTIONS(1999),
    [anon_sym_signed] = ACTIONS(1997),
    [anon_sym_unsigned] = ACTIONS(1997),
    [anon_sym_long] = ACTIONS(1997),
    [anon_sym_short] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_register] = ACTIONS(1997),
    [anon_sym_inline] = ACTIONS(1997),
    [anon_sym___inline] = ACTIONS(1997),
    [anon_sym___inline__] = ACTIONS(1997),
    [anon_sym___forceinline] = ACTIONS(1997),
    [anon_sym_thread_local] = ACTIONS(1997),
    [anon_sym___thread] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_constexpr] = ACTIONS(1997),
    [anon_sym_volatile] = ACTIONS(1997),
    [anon_sym_restrict] = ACTIONS(1997),
    [anon_sym___restrict__] = ACTIONS(1997),
    [anon_sym__Atomic] = ACTIONS(1997),
    [anon_sym__Noreturn] = ACTIONS(1997),
    [anon_sym_noreturn] = ACTIONS(1997),
    [anon_sym__Nonnull] = ACTIONS(1997),
    [anon_sym_mutable] = ACTIONS(1997),
    [anon_sym_constinit] = ACTIONS(1997),
    [anon_sym_consteval] = ACTIONS(1997),
    [anon_sym_alignas] = ACTIONS(1997),
    [anon_sym__Alignas] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_struct] = ACTIONS(1997),
    [anon_sym_union] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_else] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_case] = ACTIONS(1997),
    [anon_sym_default] = ACTIONS(1997),
    [anon_sym_while] = ACTIONS(1997),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_for] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_goto] = ACTIONS(1997),
    [anon_sym___try] = ACTIONS(1997),
    [anon_sym___leave] = ACTIONS(1997),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1999),
    [anon_sym_PLUS_PLUS] = ACTIONS(1999),
    [anon_sym_sizeof] = ACTIONS(1997),
    [anon_sym___alignof__] = ACTIONS(1997),
    [anon_sym___alignof] = ACTIONS(1997),
    [anon_sym__alignof] = ACTIONS(1997),
    [anon_sym_alignof] = ACTIONS(1997),
    [anon_sym__Alignof] = ACTIONS(1997),
    [anon_sym_offsetof] = ACTIONS(1997),
    [anon_sym__Generic] = ACTIONS(1997),
    [anon_sym_asm] = ACTIONS(1997),
    [anon_sym___asm__] = ACTIONS(1997),
    [anon_sym___asm] = ACTIONS(1997),
    [sym_number_literal] = ACTIONS(1999),
    [anon_sym_L_SQUOTE] = ACTIONS(1999),
    [anon_sym_u_SQUOTE] = ACTIONS(1999),
    [anon_sym_U_SQUOTE] = ACTIONS(1999),
    [anon_sym_u8_SQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_L_DQUOTE] = ACTIONS(1999),
    [anon_sym_u_DQUOTE] = ACTIONS(1999),
    [anon_sym_U_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8_DQUOTE] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [anon_sym_NULL] = ACTIONS(1997),
    [anon_sym_nullptr] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1997),
    [anon_sym_decltype] = ACTIONS(1997),
    [anon_sym_explicit] = ACTIONS(1997),
    [anon_sym_typename] = ACTIONS(1997),
    [anon_sym_template] = ACTIONS(1997),
    [anon_sym_operator] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1997),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_using] = ACTIONS(1997),
    [anon_sym_static_assert] = ACTIONS(1997),
    [anon_sym_concept] = ACTIONS(1997),
    [anon_sym_co_return] = ACTIONS(1997),
    [anon_sym_co_yield] = ACTIONS(1997),
    [anon_sym_catch] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(1999),
    [anon_sym_LR_DQUOTE] = ACTIONS(1999),
    [anon_sym_uR_DQUOTE] = ACTIONS(1999),
    [anon_sym_UR_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1999),
    [anon_sym_co_await] = ACTIONS(1997),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_requires] = ACTIONS(1997),
    [sym_this] = ACTIONS(1997),
    [anon_sym_discard] = ACTIONS(1997),
    [anon_sym_precise] = ACTIONS(1997),
    [anon_sym_shared] = ACTIONS(1997),
    [anon_sym_groupshared] = ACTIONS(1997),
    [anon_sym_uniform] = ACTIONS(1997),
    [anon_sym_row_major] = ACTIONS(1997),
    [anon_sym_column_major] = ACTIONS(1997),
    [anon_sym_globallycoherent] = ACTIONS(1997),
    [anon_sym_centroid] = ACTIONS(1997),
    [anon_sym_noperspective] = ACTIONS(1997),
    [anon_sym_nointerpolation] = ACTIONS(1997),
    [anon_sym_sample] = ACTIONS(1997),
    [anon_sym_linear] = ACTIONS(1997),
    [anon_sym_snorm] = ACTIONS(1997),
    [anon_sym_unorm] = ACTIONS(1997),
    [anon_sym_point] = ACTIONS(1997),
    [anon_sym_line] = ACTIONS(1997),
    [anon_sym_triangleadj] = ACTIONS(1997),
    [anon_sym_lineadj] = ACTIONS(1997),
    [anon_sym_triangle] = ACTIONS(1997),
    [anon_sym_cbuffer] = ACTIONS(1997),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token2] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [aux_sym_preproc_else_token1] = ACTIONS(2484),
    [aux_sym_preproc_elif_token1] = ACTIONS(2484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym___attribute] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym__Nonnull] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym__Alignas] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [anon_sym___asm] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token2] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [aux_sym_preproc_else_token1] = ACTIONS(2488),
    [aux_sym_preproc_elif_token1] = ACTIONS(2488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym___attribute] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym__Nonnull] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym__Alignas] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [anon_sym___asm] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_discard] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
    [anon_sym_cbuffer] = ACTIONS(2488),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym___attribute] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_discard] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
    [anon_sym_cbuffer] = ACTIONS(2492),
  },
  [309] = {
    [sym_catch_clause] = STATE(309),
    [aux_sym_constructor_try_statement_repeat1] = STATE(309),
    [sym_identifier] = ACTIONS(1980),
    [aux_sym_preproc_include_token1] = ACTIONS(1980),
    [aux_sym_preproc_def_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1980),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1982),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_AMP_AMP] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1980),
    [anon_sym_typedef] = ACTIONS(1980),
    [anon_sym_in] = ACTIONS(1980),
    [anon_sym_out] = ACTIONS(1980),
    [anon_sym_inout] = ACTIONS(1980),
    [anon_sym_virtual] = ACTIONS(1980),
    [anon_sym_extern] = ACTIONS(1980),
    [anon_sym___attribute__] = ACTIONS(1980),
    [anon_sym___attribute] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1982),
    [anon_sym___declspec] = ACTIONS(1980),
    [anon_sym___based] = ACTIONS(1980),
    [anon_sym___cdecl] = ACTIONS(1980),
    [anon_sym___clrcall] = ACTIONS(1980),
    [anon_sym___stdcall] = ACTIONS(1980),
    [anon_sym___fastcall] = ACTIONS(1980),
    [anon_sym___thiscall] = ACTIONS(1980),
    [anon_sym___vectorcall] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1982),
    [anon_sym_RBRACE] = ACTIONS(1982),
    [anon_sym_signed] = ACTIONS(1980),
    [anon_sym_unsigned] = ACTIONS(1980),
    [anon_sym_long] = ACTIONS(1980),
    [anon_sym_short] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_register] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(1980),
    [anon_sym___inline] = ACTIONS(1980),
    [anon_sym___inline__] = ACTIONS(1980),
    [anon_sym___forceinline] = ACTIONS(1980),
    [anon_sym_thread_local] = ACTIONS(1980),
    [anon_sym___thread] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_constexpr] = ACTIONS(1980),
    [anon_sym_volatile] = ACTIONS(1980),
    [anon_sym_restrict] = ACTIONS(1980),
    [anon_sym___restrict__] = ACTIONS(1980),
    [anon_sym__Atomic] = ACTIONS(1980),
    [anon_sym__Noreturn] = ACTIONS(1980),
    [anon_sym_noreturn] = ACTIONS(1980),
    [anon_sym__Nonnull] = ACTIONS(1980),
    [anon_sym_mutable] = ACTIONS(1980),
    [anon_sym_constinit] = ACTIONS(1980),
    [anon_sym_consteval] = ACTIONS(1980),
    [anon_sym_alignas] = ACTIONS(1980),
    [anon_sym__Alignas] = ACTIONS(1980),
    [sym_primitive_type] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_struct] = ACTIONS(1980),
    [anon_sym_union] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_else] = ACTIONS(1980),
    [anon_sym_switch] = ACTIONS(1980),
    [anon_sym_case] = ACTIONS(1980),
    [anon_sym_default] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_goto] = ACTIONS(1980),
    [anon_sym___try] = ACTIONS(1980),
    [anon_sym___leave] = ACTIONS(1980),
    [anon_sym_not] = ACTIONS(1980),
    [anon_sym_compl] = ACTIONS(1980),
    [anon_sym_DASH_DASH] = ACTIONS(1982),
    [anon_sym_PLUS_PLUS] = ACTIONS(1982),
    [anon_sym_sizeof] = ACTIONS(1980),
    [anon_sym___alignof__] = ACTIONS(1980),
    [anon_sym___alignof] = ACTIONS(1980),
    [anon_sym__alignof] = ACTIONS(1980),
    [anon_sym_alignof] = ACTIONS(1980),
    [anon_sym__Alignof] = ACTIONS(1980),
    [anon_sym_offsetof] = ACTIONS(1980),
    [anon_sym__Generic] = ACTIONS(1980),
    [anon_sym_asm] = ACTIONS(1980),
    [anon_sym___asm__] = ACTIONS(1980),
    [anon_sym___asm] = ACTIONS(1980),
    [sym_number_literal] = ACTIONS(1982),
    [anon_sym_L_SQUOTE] = ACTIONS(1982),
    [anon_sym_u_SQUOTE] = ACTIONS(1982),
    [anon_sym_U_SQUOTE] = ACTIONS(1982),
    [anon_sym_u8_SQUOTE] = ACTIONS(1982),
    [anon_sym_SQUOTE] = ACTIONS(1982),
    [anon_sym_L_DQUOTE] = ACTIONS(1982),
    [anon_sym_u_DQUOTE] = ACTIONS(1982),
    [anon_sym_U_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8_DQUOTE] = ACTIONS(1982),
    [anon_sym_DQUOTE] = ACTIONS(1982),
    [sym_true] = ACTIONS(1980),
    [sym_false] = ACTIONS(1980),
    [anon_sym_NULL] = ACTIONS(1980),
    [anon_sym_nullptr] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1980),
    [anon_sym_decltype] = ACTIONS(1980),
    [anon_sym_explicit] = ACTIONS(1980),
    [anon_sym_typename] = ACTIONS(1980),
    [anon_sym_template] = ACTIONS(1980),
    [anon_sym_operator] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_throw] = ACTIONS(1980),
    [anon_sym_namespace] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1980),
    [anon_sym_static_assert] = ACTIONS(1980),
    [anon_sym_concept] = ACTIONS(1980),
    [anon_sym_co_return] = ACTIONS(1980),
    [anon_sym_co_yield] = ACTIONS(1980),
    [anon_sym_catch] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(1982),
    [anon_sym_LR_DQUOTE] = ACTIONS(1982),
    [anon_sym_uR_DQUOTE] = ACTIONS(1982),
    [anon_sym_UR_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1982),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1980),
    [anon_sym_requires] = ACTIONS(1980),
    [sym_this] = ACTIONS(1980),
    [anon_sym_discard] = ACTIONS(1980),
    [anon_sym_precise] = ACTIONS(1980),
    [anon_sym_shared] = ACTIONS(1980),
    [anon_sym_groupshared] = ACTIONS(1980),
    [anon_sym_uniform] = ACTIONS(1980),
    [anon_sym_row_major] = ACTIONS(1980),
    [anon_sym_column_major] = ACTIONS(1980),
    [anon_sym_globallycoherent] = ACTIONS(1980),
    [anon_sym_centroid] = ACTIONS(1980),
    [anon_sym_noperspective] = ACTIONS(1980),
    [anon_sym_nointerpolation] = ACTIONS(1980),
    [anon_sym_sample] = ACTIONS(1980),
    [anon_sym_linear] = ACTIONS(1980),
    [anon_sym_snorm] = ACTIONS(1980),
    [anon_sym_unorm] = ACTIONS(1980),
    [anon_sym_point] = ACTIONS(1980),
    [anon_sym_line] = ACTIONS(1980),
    [anon_sym_triangleadj] = ACTIONS(1980),
    [anon_sym_lineadj] = ACTIONS(1980),
    [anon_sym_triangle] = ACTIONS(1980),
    [anon_sym_cbuffer] = ACTIONS(1980),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [aux_sym_preproc_else_token1] = ACTIONS(2499),
    [aux_sym_preproc_elif_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_in] = ACTIONS(2499),
    [anon_sym_out] = ACTIONS(2499),
    [anon_sym_inout] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym___attribute] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
    [anon_sym_discard] = ACTIONS(2499),
    [anon_sym_precise] = ACTIONS(2499),
    [anon_sym_shared] = ACTIONS(2499),
    [anon_sym_groupshared] = ACTIONS(2499),
    [anon_sym_uniform] = ACTIONS(2499),
    [anon_sym_row_major] = ACTIONS(2499),
    [anon_sym_column_major] = ACTIONS(2499),
    [anon_sym_globallycoherent] = ACTIONS(2499),
    [anon_sym_centroid] = ACTIONS(2499),
    [anon_sym_noperspective] = ACTIONS(2499),
    [anon_sym_nointerpolation] = ACTIONS(2499),
    [anon_sym_sample] = ACTIONS(2499),
    [anon_sym_linear] = ACTIONS(2499),
    [anon_sym_snorm] = ACTIONS(2499),
    [anon_sym_unorm] = ACTIONS(2499),
    [anon_sym_point] = ACTIONS(2499),
    [anon_sym_line] = ACTIONS(2499),
    [anon_sym_triangleadj] = ACTIONS(2499),
    [anon_sym_lineadj] = ACTIONS(2499),
    [anon_sym_triangle] = ACTIONS(2499),
    [anon_sym_cbuffer] = ACTIONS(2499),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2503),
    [aux_sym_preproc_include_token1] = ACTIONS(2503),
    [aux_sym_preproc_def_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token2] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2503),
    [aux_sym_preproc_else_token1] = ACTIONS(2503),
    [aux_sym_preproc_elif_token1] = ACTIONS(2503),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2503),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2503),
    [sym_preproc_directive] = ACTIONS(2503),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_BANG] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_STAR] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_SEMI] = ACTIONS(2505),
    [anon_sym___extension__] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2503),
    [anon_sym_in] = ACTIONS(2503),
    [anon_sym_out] = ACTIONS(2503),
    [anon_sym_inout] = ACTIONS(2503),
    [anon_sym_virtual] = ACTIONS(2503),
    [anon_sym_extern] = ACTIONS(2503),
    [anon_sym___attribute__] = ACTIONS(2503),
    [anon_sym___attribute] = ACTIONS(2503),
    [anon_sym_COLON_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2505),
    [anon_sym___declspec] = ACTIONS(2503),
    [anon_sym___based] = ACTIONS(2503),
    [anon_sym___cdecl] = ACTIONS(2503),
    [anon_sym___clrcall] = ACTIONS(2503),
    [anon_sym___stdcall] = ACTIONS(2503),
    [anon_sym___fastcall] = ACTIONS(2503),
    [anon_sym___thiscall] = ACTIONS(2503),
    [anon_sym___vectorcall] = ACTIONS(2503),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_signed] = ACTIONS(2503),
    [anon_sym_unsigned] = ACTIONS(2503),
    [anon_sym_long] = ACTIONS(2503),
    [anon_sym_short] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2503),
    [anon_sym_register] = ACTIONS(2503),
    [anon_sym_inline] = ACTIONS(2503),
    [anon_sym___inline] = ACTIONS(2503),
    [anon_sym___inline__] = ACTIONS(2503),
    [anon_sym___forceinline] = ACTIONS(2503),
    [anon_sym_thread_local] = ACTIONS(2503),
    [anon_sym___thread] = ACTIONS(2503),
    [anon_sym_const] = ACTIONS(2503),
    [anon_sym_constexpr] = ACTIONS(2503),
    [anon_sym_volatile] = ACTIONS(2503),
    [anon_sym_restrict] = ACTIONS(2503),
    [anon_sym___restrict__] = ACTIONS(2503),
    [anon_sym__Atomic] = ACTIONS(2503),
    [anon_sym__Noreturn] = ACTIONS(2503),
    [anon_sym_noreturn] = ACTIONS(2503),
    [anon_sym__Nonnull] = ACTIONS(2503),
    [anon_sym_mutable] = ACTIONS(2503),
    [anon_sym_constinit] = ACTIONS(2503),
    [anon_sym_consteval] = ACTIONS(2503),
    [anon_sym_alignas] = ACTIONS(2503),
    [anon_sym__Alignas] = ACTIONS(2503),
    [sym_primitive_type] = ACTIONS(2503),
    [anon_sym_enum] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2503),
    [anon_sym_struct] = ACTIONS(2503),
    [anon_sym_union] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2503),
    [anon_sym_switch] = ACTIONS(2503),
    [anon_sym_case] = ACTIONS(2503),
    [anon_sym_default] = ACTIONS(2503),
    [anon_sym_while] = ACTIONS(2503),
    [anon_sym_do] = ACTIONS(2503),
    [anon_sym_for] = ACTIONS(2503),
    [anon_sym_return] = ACTIONS(2503),
    [anon_sym_break] = ACTIONS(2503),
    [anon_sym_continue] = ACTIONS(2503),
    [anon_sym_goto] = ACTIONS(2503),
    [anon_sym___try] = ACTIONS(2503),
    [anon_sym___leave] = ACTIONS(2503),
    [anon_sym_not] = ACTIONS(2503),
    [anon_sym_compl] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_PLUS] = ACTIONS(2505),
    [anon_sym_sizeof] = ACTIONS(2503),
    [anon_sym___alignof__] = ACTIONS(2503),
    [anon_sym___alignof] = ACTIONS(2503),
    [anon_sym__alignof] = ACTIONS(2503),
    [anon_sym_alignof] = ACTIONS(2503),
    [anon_sym__Alignof] = ACTIONS(2503),
    [anon_sym_offsetof] = ACTIONS(2503),
    [anon_sym__Generic] = ACTIONS(2503),
    [anon_sym_asm] = ACTIONS(2503),
    [anon_sym___asm__] = ACTIONS(2503),
    [anon_sym___asm] = ACTIONS(2503),
    [sym_number_literal] = ACTIONS(2505),
    [anon_sym_L_SQUOTE] = ACTIONS(2505),
    [anon_sym_u_SQUOTE] = ACTIONS(2505),
    [anon_sym_U_SQUOTE] = ACTIONS(2505),
    [anon_sym_u8_SQUOTE] = ACTIONS(2505),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [anon_sym_L_DQUOTE] = ACTIONS(2505),
    [anon_sym_u_DQUOTE] = ACTIONS(2505),
    [anon_sym_U_DQUOTE] = ACTIONS(2505),
    [anon_sym_u8_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [sym_true] = ACTIONS(2503),
    [sym_false] = ACTIONS(2503),
    [anon_sym_NULL] = ACTIONS(2503),
    [anon_sym_nullptr] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2503),
    [anon_sym_decltype] = ACTIONS(2503),
    [anon_sym_explicit] = ACTIONS(2503),
    [anon_sym_typename] = ACTIONS(2503),
    [anon_sym_template] = ACTIONS(2503),
    [anon_sym_operator] = ACTIONS(2503),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_delete] = ACTIONS(2503),
    [anon_sym_throw] = ACTIONS(2503),
    [anon_sym_namespace] = ACTIONS(2503),
    [anon_sym_using] = ACTIONS(2503),
    [anon_sym_static_assert] = ACTIONS(2503),
    [anon_sym_concept] = ACTIONS(2503),
    [anon_sym_co_return] = ACTIONS(2503),
    [anon_sym_co_yield] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2505),
    [anon_sym_LR_DQUOTE] = ACTIONS(2505),
    [anon_sym_uR_DQUOTE] = ACTIONS(2505),
    [anon_sym_UR_DQUOTE] = ACTIONS(2505),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2505),
    [anon_sym_co_await] = ACTIONS(2503),
    [anon_sym_new] = ACTIONS(2503),
    [anon_sym_requires] = ACTIONS(2503),
    [sym_this] = ACTIONS(2503),
    [anon_sym_discard] = ACTIONS(2503),
    [anon_sym_precise] = ACTIONS(2503),
    [anon_sym_shared] = ACTIONS(2503),
    [anon_sym_groupshared] = ACTIONS(2503),
    [anon_sym_uniform] = ACTIONS(2503),
    [anon_sym_row_major] = ACTIONS(2503),
    [anon_sym_column_major] = ACTIONS(2503),
    [anon_sym_globallycoherent] = ACTIONS(2503),
    [anon_sym_centroid] = ACTIONS(2503),
    [anon_sym_noperspective] = ACTIONS(2503),
    [anon_sym_nointerpolation] = ACTIONS(2503),
    [anon_sym_sample] = ACTIONS(2503),
    [anon_sym_linear] = ACTIONS(2503),
    [anon_sym_snorm] = ACTIONS(2503),
    [anon_sym_unorm] = ACTIONS(2503),
    [anon_sym_point] = ACTIONS(2503),
    [anon_sym_line] = ACTIONS(2503),
    [anon_sym_triangleadj] = ACTIONS(2503),
    [anon_sym_lineadj] = ACTIONS(2503),
    [anon_sym_triangle] = ACTIONS(2503),
    [anon_sym_cbuffer] = ACTIONS(2503),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2507),
    [aux_sym_preproc_include_token1] = ACTIONS(2507),
    [aux_sym_preproc_def_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token2] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2507),
    [aux_sym_preproc_else_token1] = ACTIONS(2507),
    [aux_sym_preproc_elif_token1] = ACTIONS(2507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2507),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2507),
    [sym_preproc_directive] = ACTIONS(2507),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2507),
    [anon_sym_PLUS] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_AMP_AMP] = ACTIONS(2509),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_SEMI] = ACTIONS(2509),
    [anon_sym___extension__] = ACTIONS(2507),
    [anon_sym_typedef] = ACTIONS(2507),
    [anon_sym_in] = ACTIONS(2507),
    [anon_sym_out] = ACTIONS(2507),
    [anon_sym_inout] = ACTIONS(2507),
    [anon_sym_virtual] = ACTIONS(2507),
    [anon_sym_extern] = ACTIONS(2507),
    [anon_sym___attribute__] = ACTIONS(2507),
    [anon_sym___attribute] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2509),
    [anon_sym___declspec] = ACTIONS(2507),
    [anon_sym___based] = ACTIONS(2507),
    [anon_sym___cdecl] = ACTIONS(2507),
    [anon_sym___clrcall] = ACTIONS(2507),
    [anon_sym___stdcall] = ACTIONS(2507),
    [anon_sym___fastcall] = ACTIONS(2507),
    [anon_sym___thiscall] = ACTIONS(2507),
    [anon_sym___vectorcall] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_signed] = ACTIONS(2507),
    [anon_sym_unsigned] = ACTIONS(2507),
    [anon_sym_long] = ACTIONS(2507),
    [anon_sym_short] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2507),
    [anon_sym_register] = ACTIONS(2507),
    [anon_sym_inline] = ACTIONS(2507),
    [anon_sym___inline] = ACTIONS(2507),
    [anon_sym___inline__] = ACTIONS(2507),
    [anon_sym___forceinline] = ACTIONS(2507),
    [anon_sym_thread_local] = ACTIONS(2507),
    [anon_sym___thread] = ACTIONS(2507),
    [anon_sym_const] = ACTIONS(2507),
    [anon_sym_constexpr] = ACTIONS(2507),
    [anon_sym_volatile] = ACTIONS(2507),
    [anon_sym_restrict] = ACTIONS(2507),
    [anon_sym___restrict__] = ACTIONS(2507),
    [anon_sym__Atomic] = ACTIONS(2507),
    [anon_sym__Noreturn] = ACTIONS(2507),
    [anon_sym_noreturn] = ACTIONS(2507),
    [anon_sym__Nonnull] = ACTIONS(2507),
    [anon_sym_mutable] = ACTIONS(2507),
    [anon_sym_constinit] = ACTIONS(2507),
    [anon_sym_consteval] = ACTIONS(2507),
    [anon_sym_alignas] = ACTIONS(2507),
    [anon_sym__Alignas] = ACTIONS(2507),
    [sym_primitive_type] = ACTIONS(2507),
    [anon_sym_enum] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2507),
    [anon_sym_struct] = ACTIONS(2507),
    [anon_sym_union] = ACTIONS(2507),
    [anon_sym_if] = ACTIONS(2507),
    [anon_sym_switch] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2507),
    [anon_sym_default] = ACTIONS(2507),
    [anon_sym_while] = ACTIONS(2507),
    [anon_sym_do] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2507),
    [anon_sym_return] = ACTIONS(2507),
    [anon_sym_break] = ACTIONS(2507),
    [anon_sym_continue] = ACTIONS(2507),
    [anon_sym_goto] = ACTIONS(2507),
    [anon_sym___try] = ACTIONS(2507),
    [anon_sym___leave] = ACTIONS(2507),
    [anon_sym_not] = ACTIONS(2507),
    [anon_sym_compl] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2509),
    [anon_sym_sizeof] = ACTIONS(2507),
    [anon_sym___alignof__] = ACTIONS(2507),
    [anon_sym___alignof] = ACTIONS(2507),
    [anon_sym__alignof] = ACTIONS(2507),
    [anon_sym_alignof] = ACTIONS(2507),
    [anon_sym__Alignof] = ACTIONS(2507),
    [anon_sym_offsetof] = ACTIONS(2507),
    [anon_sym__Generic] = ACTIONS(2507),
    [anon_sym_asm] = ACTIONS(2507),
    [anon_sym___asm__] = ACTIONS(2507),
    [anon_sym___asm] = ACTIONS(2507),
    [sym_number_literal] = ACTIONS(2509),
    [anon_sym_L_SQUOTE] = ACTIONS(2509),
    [anon_sym_u_SQUOTE] = ACTIONS(2509),
    [anon_sym_U_SQUOTE] = ACTIONS(2509),
    [anon_sym_u8_SQUOTE] = ACTIONS(2509),
    [anon_sym_SQUOTE] = ACTIONS(2509),
    [anon_sym_L_DQUOTE] = ACTIONS(2509),
    [anon_sym_u_DQUOTE] = ACTIONS(2509),
    [anon_sym_U_DQUOTE] = ACTIONS(2509),
    [anon_sym_u8_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_true] = ACTIONS(2507),
    [sym_false] = ACTIONS(2507),
    [anon_sym_NULL] = ACTIONS(2507),
    [anon_sym_nullptr] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2507),
    [anon_sym_decltype] = ACTIONS(2507),
    [anon_sym_explicit] = ACTIONS(2507),
    [anon_sym_typename] = ACTIONS(2507),
    [anon_sym_template] = ACTIONS(2507),
    [anon_sym_operator] = ACTIONS(2507),
    [anon_sym_try] = ACTIONS(2507),
    [anon_sym_delete] = ACTIONS(2507),
    [anon_sym_throw] = ACTIONS(2507),
    [anon_sym_namespace] = ACTIONS(2507),
    [anon_sym_using] = ACTIONS(2507),
    [anon_sym_static_assert] = ACTIONS(2507),
    [anon_sym_concept] = ACTIONS(2507),
    [anon_sym_co_return] = ACTIONS(2507),
    [anon_sym_co_yield] = ACTIONS(2507),
    [anon_sym_R_DQUOTE] = ACTIONS(2509),
    [anon_sym_LR_DQUOTE] = ACTIONS(2509),
    [anon_sym_uR_DQUOTE] = ACTIONS(2509),
    [anon_sym_UR_DQUOTE] = ACTIONS(2509),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2509),
    [anon_sym_co_await] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2507),
    [anon_sym_requires] = ACTIONS(2507),
    [sym_this] = ACTIONS(2507),
    [anon_sym_discard] = ACTIONS(2507),
    [anon_sym_precise] = ACTIONS(2507),
    [anon_sym_shared] = ACTIONS(2507),
    [anon_sym_groupshared] = ACTIONS(2507),
    [anon_sym_uniform] = ACTIONS(2507),
    [anon_sym_row_major] = ACTIONS(2507),
    [anon_sym_column_major] = ACTIONS(2507),
    [anon_sym_globallycoherent] = ACTIONS(2507),
    [anon_sym_centroid] = ACTIONS(2507),
    [anon_sym_noperspective] = ACTIONS(2507),
    [anon_sym_nointerpolation] = ACTIONS(2507),
    [anon_sym_sample] = ACTIONS(2507),
    [anon_sym_linear] = ACTIONS(2507),
    [anon_sym_snorm] = ACTIONS(2507),
    [anon_sym_unorm] = ACTIONS(2507),
    [anon_sym_point] = ACTIONS(2507),
    [anon_sym_line] = ACTIONS(2507),
    [anon_sym_triangleadj] = ACTIONS(2507),
    [anon_sym_lineadj] = ACTIONS(2507),
    [anon_sym_triangle] = ACTIONS(2507),
    [anon_sym_cbuffer] = ACTIONS(2507),
  },
  [313] = {
    [sym_catch_clause] = STATE(313),
    [aux_sym_constructor_try_statement_repeat1] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(1982),
    [sym_identifier] = ACTIONS(1980),
    [aux_sym_preproc_include_token1] = ACTIONS(1980),
    [aux_sym_preproc_def_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1980),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1982),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_AMP_AMP] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1980),
    [anon_sym_typedef] = ACTIONS(1980),
    [anon_sym_in] = ACTIONS(1980),
    [anon_sym_out] = ACTIONS(1980),
    [anon_sym_inout] = ACTIONS(1980),
    [anon_sym_virtual] = ACTIONS(1980),
    [anon_sym_extern] = ACTIONS(1980),
    [anon_sym___attribute__] = ACTIONS(1980),
    [anon_sym___attribute] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1982),
    [anon_sym___declspec] = ACTIONS(1980),
    [anon_sym___based] = ACTIONS(1980),
    [anon_sym___cdecl] = ACTIONS(1980),
    [anon_sym___clrcall] = ACTIONS(1980),
    [anon_sym___stdcall] = ACTIONS(1980),
    [anon_sym___fastcall] = ACTIONS(1980),
    [anon_sym___thiscall] = ACTIONS(1980),
    [anon_sym___vectorcall] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1982),
    [anon_sym_signed] = ACTIONS(1980),
    [anon_sym_unsigned] = ACTIONS(1980),
    [anon_sym_long] = ACTIONS(1980),
    [anon_sym_short] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_register] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(1980),
    [anon_sym___inline] = ACTIONS(1980),
    [anon_sym___inline__] = ACTIONS(1980),
    [anon_sym___forceinline] = ACTIONS(1980),
    [anon_sym_thread_local] = ACTIONS(1980),
    [anon_sym___thread] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_constexpr] = ACTIONS(1980),
    [anon_sym_volatile] = ACTIONS(1980),
    [anon_sym_restrict] = ACTIONS(1980),
    [anon_sym___restrict__] = ACTIONS(1980),
    [anon_sym__Atomic] = ACTIONS(1980),
    [anon_sym__Noreturn] = ACTIONS(1980),
    [anon_sym_noreturn] = ACTIONS(1980),
    [anon_sym__Nonnull] = ACTIONS(1980),
    [anon_sym_mutable] = ACTIONS(1980),
    [anon_sym_constinit] = ACTIONS(1980),
    [anon_sym_consteval] = ACTIONS(1980),
    [anon_sym_alignas] = ACTIONS(1980),
    [anon_sym__Alignas] = ACTIONS(1980),
    [sym_primitive_type] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_struct] = ACTIONS(1980),
    [anon_sym_union] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_else] = ACTIONS(1980),
    [anon_sym_switch] = ACTIONS(1980),
    [anon_sym_case] = ACTIONS(1980),
    [anon_sym_default] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_goto] = ACTIONS(1980),
    [anon_sym___try] = ACTIONS(1980),
    [anon_sym___leave] = ACTIONS(1980),
    [anon_sym_not] = ACTIONS(1980),
    [anon_sym_compl] = ACTIONS(1980),
    [anon_sym_DASH_DASH] = ACTIONS(1982),
    [anon_sym_PLUS_PLUS] = ACTIONS(1982),
    [anon_sym_sizeof] = ACTIONS(1980),
    [anon_sym___alignof__] = ACTIONS(1980),
    [anon_sym___alignof] = ACTIONS(1980),
    [anon_sym__alignof] = ACTIONS(1980),
    [anon_sym_alignof] = ACTIONS(1980),
    [anon_sym__Alignof] = ACTIONS(1980),
    [anon_sym_offsetof] = ACTIONS(1980),
    [anon_sym__Generic] = ACTIONS(1980),
    [anon_sym_asm] = ACTIONS(1980),
    [anon_sym___asm__] = ACTIONS(1980),
    [anon_sym___asm] = ACTIONS(1980),
    [sym_number_literal] = ACTIONS(1982),
    [anon_sym_L_SQUOTE] = ACTIONS(1982),
    [anon_sym_u_SQUOTE] = ACTIONS(1982),
    [anon_sym_U_SQUOTE] = ACTIONS(1982),
    [anon_sym_u8_SQUOTE] = ACTIONS(1982),
    [anon_sym_SQUOTE] = ACTIONS(1982),
    [anon_sym_L_DQUOTE] = ACTIONS(1982),
    [anon_sym_u_DQUOTE] = ACTIONS(1982),
    [anon_sym_U_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8_DQUOTE] = ACTIONS(1982),
    [anon_sym_DQUOTE] = ACTIONS(1982),
    [sym_true] = ACTIONS(1980),
    [sym_false] = ACTIONS(1980),
    [anon_sym_NULL] = ACTIONS(1980),
    [anon_sym_nullptr] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1980),
    [anon_sym_decltype] = ACTIONS(1980),
    [anon_sym_explicit] = ACTIONS(1980),
    [anon_sym_typename] = ACTIONS(1980),
    [anon_sym_template] = ACTIONS(1980),
    [anon_sym_operator] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_throw] = ACTIONS(1980),
    [anon_sym_namespace] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1980),
    [anon_sym_static_assert] = ACTIONS(1980),
    [anon_sym_concept] = ACTIONS(1980),
    [anon_sym_co_return] = ACTIONS(1980),
    [anon_sym_co_yield] = ACTIONS(1980),
    [anon_sym_catch] = ACTIONS(2511),
    [anon_sym_R_DQUOTE] = ACTIONS(1982),
    [anon_sym_LR_DQUOTE] = ACTIONS(1982),
    [anon_sym_uR_DQUOTE] = ACTIONS(1982),
    [anon_sym_UR_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1982),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1980),
    [anon_sym_requires] = ACTIONS(1980),
    [sym_this] = ACTIONS(1980),
    [anon_sym_discard] = ACTIONS(1980),
    [anon_sym_precise] = ACTIONS(1980),
    [anon_sym_shared] = ACTIONS(1980),
    [anon_sym_groupshared] = ACTIONS(1980),
    [anon_sym_uniform] = ACTIONS(1980),
    [anon_sym_row_major] = ACTIONS(1980),
    [anon_sym_column_major] = ACTIONS(1980),
    [anon_sym_globallycoherent] = ACTIONS(1980),
    [anon_sym_centroid] = ACTIONS(1980),
    [anon_sym_noperspective] = ACTIONS(1980),
    [anon_sym_nointerpolation] = ACTIONS(1980),
    [anon_sym_sample] = ACTIONS(1980),
    [anon_sym_linear] = ACTIONS(1980),
    [anon_sym_snorm] = ACTIONS(1980),
    [anon_sym_unorm] = ACTIONS(1980),
    [anon_sym_point] = ACTIONS(1980),
    [anon_sym_line] = ACTIONS(1980),
    [anon_sym_triangleadj] = ACTIONS(1980),
    [anon_sym_lineadj] = ACTIONS(1980),
    [anon_sym_triangle] = ACTIONS(1980),
    [anon_sym_cbuffer] = ACTIONS(1980),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [aux_sym_preproc_else_token1] = ACTIONS(2514),
    [aux_sym_preproc_elif_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym___attribute] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [anon_sym___asm] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
    [anon_sym_discard] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
    [anon_sym_cbuffer] = ACTIONS(2514),
  },
  [315] = {
    [sym_catch_clause] = STATE(332),
    [aux_sym_constructor_try_statement_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_include_token1] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token2] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1997),
    [sym_preproc_directive] = ACTIONS(1997),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_AMP_AMP] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym___extension__] = ACTIONS(1997),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1997),
    [anon_sym_out] = ACTIONS(1997),
    [anon_sym_inout] = ACTIONS(1997),
    [anon_sym_virtual] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(1997),
    [anon_sym___attribute__] = ACTIONS(1997),
    [anon_sym___attribute] = ACTIONS(1997),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(1997),
    [anon_sym___based] = ACTIONS(1997),
    [anon_sym___cdecl] = ACTIONS(1997),
    [anon_sym___clrcall] = ACTIONS(1997),
    [anon_sym___stdcall] = ACTIONS(1997),
    [anon_sym___fastcall] = ACTIONS(1997),
    [anon_sym___thiscall] = ACTIONS(1997),
    [anon_sym___vectorcall] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [anon_sym_signed] = ACTIONS(1997),
    [anon_sym_unsigned] = ACTIONS(1997),
    [anon_sym_long] = ACTIONS(1997),
    [anon_sym_short] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_register] = ACTIONS(1997),
    [anon_sym_inline] = ACTIONS(1997),
    [anon_sym___inline] = ACTIONS(1997),
    [anon_sym___inline__] = ACTIONS(1997),
    [anon_sym___forceinline] = ACTIONS(1997),
    [anon_sym_thread_local] = ACTIONS(1997),
    [anon_sym___thread] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_constexpr] = ACTIONS(1997),
    [anon_sym_volatile] = ACTIONS(1997),
    [anon_sym_restrict] = ACTIONS(1997),
    [anon_sym___restrict__] = ACTIONS(1997),
    [anon_sym__Atomic] = ACTIONS(1997),
    [anon_sym__Noreturn] = ACTIONS(1997),
    [anon_sym_noreturn] = ACTIONS(1997),
    [anon_sym__Nonnull] = ACTIONS(1997),
    [anon_sym_mutable] = ACTIONS(1997),
    [anon_sym_constinit] = ACTIONS(1997),
    [anon_sym_consteval] = ACTIONS(1997),
    [anon_sym_alignas] = ACTIONS(1997),
    [anon_sym__Alignas] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_struct] = ACTIONS(1997),
    [anon_sym_union] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_else] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_case] = ACTIONS(1997),
    [anon_sym_default] = ACTIONS(1997),
    [anon_sym_while] = ACTIONS(1997),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_for] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_goto] = ACTIONS(1997),
    [anon_sym___try] = ACTIONS(1997),
    [anon_sym___leave] = ACTIONS(1997),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1999),
    [anon_sym_PLUS_PLUS] = ACTIONS(1999),
    [anon_sym_sizeof] = ACTIONS(1997),
    [anon_sym___alignof__] = ACTIONS(1997),
    [anon_sym___alignof] = ACTIONS(1997),
    [anon_sym__alignof] = ACTIONS(1997),
    [anon_sym_alignof] = ACTIONS(1997),
    [anon_sym__Alignof] = ACTIONS(1997),
    [anon_sym_offsetof] = ACTIONS(1997),
    [anon_sym__Generic] = ACTIONS(1997),
    [anon_sym_asm] = ACTIONS(1997),
    [anon_sym___asm__] = ACTIONS(1997),
    [anon_sym___asm] = ACTIONS(1997),
    [sym_number_literal] = ACTIONS(1999),
    [anon_sym_L_SQUOTE] = ACTIONS(1999),
    [anon_sym_u_SQUOTE] = ACTIONS(1999),
    [anon_sym_U_SQUOTE] = ACTIONS(1999),
    [anon_sym_u8_SQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_L_DQUOTE] = ACTIONS(1999),
    [anon_sym_u_DQUOTE] = ACTIONS(1999),
    [anon_sym_U_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8_DQUOTE] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [anon_sym_NULL] = ACTIONS(1997),
    [anon_sym_nullptr] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1997),
    [anon_sym_decltype] = ACTIONS(1997),
    [anon_sym_explicit] = ACTIONS(1997),
    [anon_sym_typename] = ACTIONS(1997),
    [anon_sym_template] = ACTIONS(1997),
    [anon_sym_operator] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1997),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_using] = ACTIONS(1997),
    [anon_sym_static_assert] = ACTIONS(1997),
    [anon_sym_concept] = ACTIONS(1997),
    [anon_sym_co_return] = ACTIONS(1997),
    [anon_sym_co_yield] = ACTIONS(1997),
    [anon_sym_catch] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(1999),
    [anon_sym_LR_DQUOTE] = ACTIONS(1999),
    [anon_sym_uR_DQUOTE] = ACTIONS(1999),
    [anon_sym_UR_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1999),
    [anon_sym_co_await] = ACTIONS(1997),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_requires] = ACTIONS(1997),
    [sym_this] = ACTIONS(1997),
    [anon_sym_discard] = ACTIONS(1997),
    [anon_sym_precise] = ACTIONS(1997),
    [anon_sym_shared] = ACTIONS(1997),
    [anon_sym_groupshared] = ACTIONS(1997),
    [anon_sym_uniform] = ACTIONS(1997),
    [anon_sym_row_major] = ACTIONS(1997),
    [anon_sym_column_major] = ACTIONS(1997),
    [anon_sym_globallycoherent] = ACTIONS(1997),
    [anon_sym_centroid] = ACTIONS(1997),
    [anon_sym_noperspective] = ACTIONS(1997),
    [anon_sym_nointerpolation] = ACTIONS(1997),
    [anon_sym_sample] = ACTIONS(1997),
    [anon_sym_linear] = ACTIONS(1997),
    [anon_sym_snorm] = ACTIONS(1997),
    [anon_sym_unorm] = ACTIONS(1997),
    [anon_sym_point] = ACTIONS(1997),
    [anon_sym_line] = ACTIONS(1997),
    [anon_sym_triangleadj] = ACTIONS(1997),
    [anon_sym_lineadj] = ACTIONS(1997),
    [anon_sym_triangle] = ACTIONS(1997),
    [anon_sym_cbuffer] = ACTIONS(1997),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [aux_sym_preproc_else_token1] = ACTIONS(2374),
    [aux_sym_preproc_elif_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
    [anon_sym_discard] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
    [anon_sym_cbuffer] = ACTIONS(2524),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
    [anon_sym_discard] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_groupshared] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_row_major] = ACTIONS(2528),
    [anon_sym_column_major] = ACTIONS(2528),
    [anon_sym_globallycoherent] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym_nointerpolation] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_linear] = ACTIONS(2528),
    [anon_sym_snorm] = ACTIONS(2528),
    [anon_sym_unorm] = ACTIONS(2528),
    [anon_sym_point] = ACTIONS(2528),
    [anon_sym_line] = ACTIONS(2528),
    [anon_sym_triangleadj] = ACTIONS(2528),
    [anon_sym_lineadj] = ACTIONS(2528),
    [anon_sym_triangle] = ACTIONS(2528),
    [anon_sym_cbuffer] = ACTIONS(2528),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [aux_sym_preproc_else_token1] = ACTIONS(2532),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
    [anon_sym_discard] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_groupshared] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_row_major] = ACTIONS(2532),
    [anon_sym_column_major] = ACTIONS(2532),
    [anon_sym_globallycoherent] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym_nointerpolation] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_linear] = ACTIONS(2532),
    [anon_sym_snorm] = ACTIONS(2532),
    [anon_sym_unorm] = ACTIONS(2532),
    [anon_sym_point] = ACTIONS(2532),
    [anon_sym_line] = ACTIONS(2532),
    [anon_sym_triangleadj] = ACTIONS(2532),
    [anon_sym_lineadj] = ACTIONS(2532),
    [anon_sym_triangle] = ACTIONS(2532),
    [anon_sym_cbuffer] = ACTIONS(2532),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_virtual] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
    [anon_sym_discard] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_groupshared] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_row_major] = ACTIONS(2536),
    [anon_sym_column_major] = ACTIONS(2536),
    [anon_sym_globallycoherent] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym_nointerpolation] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_linear] = ACTIONS(2536),
    [anon_sym_snorm] = ACTIONS(2536),
    [anon_sym_unorm] = ACTIONS(2536),
    [anon_sym_point] = ACTIONS(2536),
    [anon_sym_line] = ACTIONS(2536),
    [anon_sym_triangleadj] = ACTIONS(2536),
    [anon_sym_lineadj] = ACTIONS(2536),
    [anon_sym_triangle] = ACTIONS(2536),
    [anon_sym_cbuffer] = ACTIONS(2536),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [aux_sym_preproc_else_token1] = ACTIONS(2540),
    [aux_sym_preproc_elif_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_virtual] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
    [anon_sym_discard] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_groupshared] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_row_major] = ACTIONS(2540),
    [anon_sym_column_major] = ACTIONS(2540),
    [anon_sym_globallycoherent] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym_nointerpolation] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_linear] = ACTIONS(2540),
    [anon_sym_snorm] = ACTIONS(2540),
    [anon_sym_unorm] = ACTIONS(2540),
    [anon_sym_point] = ACTIONS(2540),
    [anon_sym_line] = ACTIONS(2540),
    [anon_sym_triangleadj] = ACTIONS(2540),
    [anon_sym_lineadj] = ACTIONS(2540),
    [anon_sym_triangle] = ACTIONS(2540),
    [anon_sym_cbuffer] = ACTIONS(2540),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_virtual] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
    [anon_sym_discard] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_groupshared] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_row_major] = ACTIONS(2544),
    [anon_sym_column_major] = ACTIONS(2544),
    [anon_sym_globallycoherent] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym_nointerpolation] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_linear] = ACTIONS(2544),
    [anon_sym_snorm] = ACTIONS(2544),
    [anon_sym_unorm] = ACTIONS(2544),
    [anon_sym_point] = ACTIONS(2544),
    [anon_sym_line] = ACTIONS(2544),
    [anon_sym_triangleadj] = ACTIONS(2544),
    [anon_sym_lineadj] = ACTIONS(2544),
    [anon_sym_triangle] = ACTIONS(2544),
    [anon_sym_cbuffer] = ACTIONS(2544),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
    [anon_sym_discard] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_groupshared] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_row_major] = ACTIONS(2548),
    [anon_sym_column_major] = ACTIONS(2548),
    [anon_sym_globallycoherent] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym_nointerpolation] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_linear] = ACTIONS(2548),
    [anon_sym_snorm] = ACTIONS(2548),
    [anon_sym_unorm] = ACTIONS(2548),
    [anon_sym_point] = ACTIONS(2548),
    [anon_sym_line] = ACTIONS(2548),
    [anon_sym_triangleadj] = ACTIONS(2548),
    [anon_sym_lineadj] = ACTIONS(2548),
    [anon_sym_triangle] = ACTIONS(2548),
    [anon_sym_cbuffer] = ACTIONS(2548),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [aux_sym_preproc_else_token1] = ACTIONS(2552),
    [aux_sym_preproc_elif_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
    [anon_sym_discard] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_groupshared] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_row_major] = ACTIONS(2552),
    [anon_sym_column_major] = ACTIONS(2552),
    [anon_sym_globallycoherent] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym_nointerpolation] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_linear] = ACTIONS(2552),
    [anon_sym_snorm] = ACTIONS(2552),
    [anon_sym_unorm] = ACTIONS(2552),
    [anon_sym_point] = ACTIONS(2552),
    [anon_sym_line] = ACTIONS(2552),
    [anon_sym_triangleadj] = ACTIONS(2552),
    [anon_sym_lineadj] = ACTIONS(2552),
    [anon_sym_triangle] = ACTIONS(2552),
    [anon_sym_cbuffer] = ACTIONS(2552),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_out] = ACTIONS(2556),
    [anon_sym_inout] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
    [anon_sym_discard] = ACTIONS(2556),
    [anon_sym_precise] = ACTIONS(2556),
    [anon_sym_shared] = ACTIONS(2556),
    [anon_sym_groupshared] = ACTIONS(2556),
    [anon_sym_uniform] = ACTIONS(2556),
    [anon_sym_row_major] = ACTIONS(2556),
    [anon_sym_column_major] = ACTIONS(2556),
    [anon_sym_globallycoherent] = ACTIONS(2556),
    [anon_sym_centroid] = ACTIONS(2556),
    [anon_sym_noperspective] = ACTIONS(2556),
    [anon_sym_nointerpolation] = ACTIONS(2556),
    [anon_sym_sample] = ACTIONS(2556),
    [anon_sym_linear] = ACTIONS(2556),
    [anon_sym_snorm] = ACTIONS(2556),
    [anon_sym_unorm] = ACTIONS(2556),
    [anon_sym_point] = ACTIONS(2556),
    [anon_sym_line] = ACTIONS(2556),
    [anon_sym_triangleadj] = ACTIONS(2556),
    [anon_sym_lineadj] = ACTIONS(2556),
    [anon_sym_triangle] = ACTIONS(2556),
    [anon_sym_cbuffer] = ACTIONS(2556),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_virtual] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
    [anon_sym_discard] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_groupshared] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_row_major] = ACTIONS(2560),
    [anon_sym_column_major] = ACTIONS(2560),
    [anon_sym_globallycoherent] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym_nointerpolation] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_linear] = ACTIONS(2560),
    [anon_sym_snorm] = ACTIONS(2560),
    [anon_sym_unorm] = ACTIONS(2560),
    [anon_sym_point] = ACTIONS(2560),
    [anon_sym_line] = ACTIONS(2560),
    [anon_sym_triangleadj] = ACTIONS(2560),
    [anon_sym_lineadj] = ACTIONS(2560),
    [anon_sym_triangle] = ACTIONS(2560),
    [anon_sym_cbuffer] = ACTIONS(2560),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_out] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
    [anon_sym_discard] = ACTIONS(2564),
    [anon_sym_precise] = ACTIONS(2564),
    [anon_sym_shared] = ACTIONS(2564),
    [anon_sym_groupshared] = ACTIONS(2564),
    [anon_sym_uniform] = ACTIONS(2564),
    [anon_sym_row_major] = ACTIONS(2564),
    [anon_sym_column_major] = ACTIONS(2564),
    [anon_sym_globallycoherent] = ACTIONS(2564),
    [anon_sym_centroid] = ACTIONS(2564),
    [anon_sym_noperspective] = ACTIONS(2564),
    [anon_sym_nointerpolation] = ACTIONS(2564),
    [anon_sym_sample] = ACTIONS(2564),
    [anon_sym_linear] = ACTIONS(2564),
    [anon_sym_snorm] = ACTIONS(2564),
    [anon_sym_unorm] = ACTIONS(2564),
    [anon_sym_point] = ACTIONS(2564),
    [anon_sym_line] = ACTIONS(2564),
    [anon_sym_triangleadj] = ACTIONS(2564),
    [anon_sym_lineadj] = ACTIONS(2564),
    [anon_sym_triangle] = ACTIONS(2564),
    [anon_sym_cbuffer] = ACTIONS(2564),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_out] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_virtual] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
    [anon_sym_discard] = ACTIONS(2568),
    [anon_sym_precise] = ACTIONS(2568),
    [anon_sym_shared] = ACTIONS(2568),
    [anon_sym_groupshared] = ACTIONS(2568),
    [anon_sym_uniform] = ACTIONS(2568),
    [anon_sym_row_major] = ACTIONS(2568),
    [anon_sym_column_major] = ACTIONS(2568),
    [anon_sym_globallycoherent] = ACTIONS(2568),
    [anon_sym_centroid] = ACTIONS(2568),
    [anon_sym_noperspective] = ACTIONS(2568),
    [anon_sym_nointerpolation] = ACTIONS(2568),
    [anon_sym_sample] = ACTIONS(2568),
    [anon_sym_linear] = ACTIONS(2568),
    [anon_sym_snorm] = ACTIONS(2568),
    [anon_sym_unorm] = ACTIONS(2568),
    [anon_sym_point] = ACTIONS(2568),
    [anon_sym_line] = ACTIONS(2568),
    [anon_sym_triangleadj] = ACTIONS(2568),
    [anon_sym_lineadj] = ACTIONS(2568),
    [anon_sym_triangle] = ACTIONS(2568),
    [anon_sym_cbuffer] = ACTIONS(2568),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [aux_sym_preproc_else_token1] = ACTIONS(2572),
    [aux_sym_preproc_elif_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_out] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_virtual] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym___attribute] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
    [anon_sym_discard] = ACTIONS(2572),
    [anon_sym_precise] = ACTIONS(2572),
    [anon_sym_shared] = ACTIONS(2572),
    [anon_sym_groupshared] = ACTIONS(2572),
    [anon_sym_uniform] = ACTIONS(2572),
    [anon_sym_row_major] = ACTIONS(2572),
    [anon_sym_column_major] = ACTIONS(2572),
    [anon_sym_globallycoherent] = ACTIONS(2572),
    [anon_sym_centroid] = ACTIONS(2572),
    [anon_sym_noperspective] = ACTIONS(2572),
    [anon_sym_nointerpolation] = ACTIONS(2572),
    [anon_sym_sample] = ACTIONS(2572),
    [anon_sym_linear] = ACTIONS(2572),
    [anon_sym_snorm] = ACTIONS(2572),
    [anon_sym_unorm] = ACTIONS(2572),
    [anon_sym_point] = ACTIONS(2572),
    [anon_sym_line] = ACTIONS(2572),
    [anon_sym_triangleadj] = ACTIONS(2572),
    [anon_sym_lineadj] = ACTIONS(2572),
    [anon_sym_triangle] = ACTIONS(2572),
    [anon_sym_cbuffer] = ACTIONS(2572),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_out] = ACTIONS(2576),
    [anon_sym_inout] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
    [anon_sym_discard] = ACTIONS(2576),
    [anon_sym_precise] = ACTIONS(2576),
    [anon_sym_shared] = ACTIONS(2576),
    [anon_sym_groupshared] = ACTIONS(2576),
    [anon_sym_uniform] = ACTIONS(2576),
    [anon_sym_row_major] = ACTIONS(2576),
    [anon_sym_column_major] = ACTIONS(2576),
    [anon_sym_globallycoherent] = ACTIONS(2576),
    [anon_sym_centroid] = ACTIONS(2576),
    [anon_sym_noperspective] = ACTIONS(2576),
    [anon_sym_nointerpolation] = ACTIONS(2576),
    [anon_sym_sample] = ACTIONS(2576),
    [anon_sym_linear] = ACTIONS(2576),
    [anon_sym_snorm] = ACTIONS(2576),
    [anon_sym_unorm] = ACTIONS(2576),
    [anon_sym_point] = ACTIONS(2576),
    [anon_sym_line] = ACTIONS(2576),
    [anon_sym_triangleadj] = ACTIONS(2576),
    [anon_sym_lineadj] = ACTIONS(2576),
    [anon_sym_triangle] = ACTIONS(2576),
    [anon_sym_cbuffer] = ACTIONS(2576),
  },
  [332] = {
    [sym_catch_clause] = STATE(332),
    [aux_sym_constructor_try_statement_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(1980),
    [aux_sym_preproc_include_token1] = ACTIONS(1980),
    [aux_sym_preproc_def_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1980),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1982),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_AMP_AMP] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1980),
    [anon_sym_typedef] = ACTIONS(1980),
    [anon_sym_in] = ACTIONS(1980),
    [anon_sym_out] = ACTIONS(1980),
    [anon_sym_inout] = ACTIONS(1980),
    [anon_sym_virtual] = ACTIONS(1980),
    [anon_sym_extern] = ACTIONS(1980),
    [anon_sym___attribute__] = ACTIONS(1980),
    [anon_sym___attribute] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1982),
    [anon_sym___declspec] = ACTIONS(1980),
    [anon_sym___based] = ACTIONS(1980),
    [anon_sym___cdecl] = ACTIONS(1980),
    [anon_sym___clrcall] = ACTIONS(1980),
    [anon_sym___stdcall] = ACTIONS(1980),
    [anon_sym___fastcall] = ACTIONS(1980),
    [anon_sym___thiscall] = ACTIONS(1980),
    [anon_sym___vectorcall] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1982),
    [anon_sym_signed] = ACTIONS(1980),
    [anon_sym_unsigned] = ACTIONS(1980),
    [anon_sym_long] = ACTIONS(1980),
    [anon_sym_short] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_register] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(1980),
    [anon_sym___inline] = ACTIONS(1980),
    [anon_sym___inline__] = ACTIONS(1980),
    [anon_sym___forceinline] = ACTIONS(1980),
    [anon_sym_thread_local] = ACTIONS(1980),
    [anon_sym___thread] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_constexpr] = ACTIONS(1980),
    [anon_sym_volatile] = ACTIONS(1980),
    [anon_sym_restrict] = ACTIONS(1980),
    [anon_sym___restrict__] = ACTIONS(1980),
    [anon_sym__Atomic] = ACTIONS(1980),
    [anon_sym__Noreturn] = ACTIONS(1980),
    [anon_sym_noreturn] = ACTIONS(1980),
    [anon_sym__Nonnull] = ACTIONS(1980),
    [anon_sym_mutable] = ACTIONS(1980),
    [anon_sym_constinit] = ACTIONS(1980),
    [anon_sym_consteval] = ACTIONS(1980),
    [anon_sym_alignas] = ACTIONS(1980),
    [anon_sym__Alignas] = ACTIONS(1980),
    [sym_primitive_type] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_struct] = ACTIONS(1980),
    [anon_sym_union] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_else] = ACTIONS(1980),
    [anon_sym_switch] = ACTIONS(1980),
    [anon_sym_case] = ACTIONS(1980),
    [anon_sym_default] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_goto] = ACTIONS(1980),
    [anon_sym___try] = ACTIONS(1980),
    [anon_sym___leave] = ACTIONS(1980),
    [anon_sym_not] = ACTIONS(1980),
    [anon_sym_compl] = ACTIONS(1980),
    [anon_sym_DASH_DASH] = ACTIONS(1982),
    [anon_sym_PLUS_PLUS] = ACTIONS(1982),
    [anon_sym_sizeof] = ACTIONS(1980),
    [anon_sym___alignof__] = ACTIONS(1980),
    [anon_sym___alignof] = ACTIONS(1980),
    [anon_sym__alignof] = ACTIONS(1980),
    [anon_sym_alignof] = ACTIONS(1980),
    [anon_sym__Alignof] = ACTIONS(1980),
    [anon_sym_offsetof] = ACTIONS(1980),
    [anon_sym__Generic] = ACTIONS(1980),
    [anon_sym_asm] = ACTIONS(1980),
    [anon_sym___asm__] = ACTIONS(1980),
    [anon_sym___asm] = ACTIONS(1980),
    [sym_number_literal] = ACTIONS(1982),
    [anon_sym_L_SQUOTE] = ACTIONS(1982),
    [anon_sym_u_SQUOTE] = ACTIONS(1982),
    [anon_sym_U_SQUOTE] = ACTIONS(1982),
    [anon_sym_u8_SQUOTE] = ACTIONS(1982),
    [anon_sym_SQUOTE] = ACTIONS(1982),
    [anon_sym_L_DQUOTE] = ACTIONS(1982),
    [anon_sym_u_DQUOTE] = ACTIONS(1982),
    [anon_sym_U_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8_DQUOTE] = ACTIONS(1982),
    [anon_sym_DQUOTE] = ACTIONS(1982),
    [sym_true] = ACTIONS(1980),
    [sym_false] = ACTIONS(1980),
    [anon_sym_NULL] = ACTIONS(1980),
    [anon_sym_nullptr] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1980),
    [anon_sym_decltype] = ACTIONS(1980),
    [anon_sym_explicit] = ACTIONS(1980),
    [anon_sym_typename] = ACTIONS(1980),
    [anon_sym_template] = ACTIONS(1980),
    [anon_sym_operator] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_throw] = ACTIONS(1980),
    [anon_sym_namespace] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1980),
    [anon_sym_static_assert] = ACTIONS(1980),
    [anon_sym_concept] = ACTIONS(1980),
    [anon_sym_co_return] = ACTIONS(1980),
    [anon_sym_co_yield] = ACTIONS(1980),
    [anon_sym_catch] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(1982),
    [anon_sym_LR_DQUOTE] = ACTIONS(1982),
    [anon_sym_uR_DQUOTE] = ACTIONS(1982),
    [anon_sym_UR_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1982),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1980),
    [anon_sym_requires] = ACTIONS(1980),
    [sym_this] = ACTIONS(1980),
    [anon_sym_discard] = ACTIONS(1980),
    [anon_sym_precise] = ACTIONS(1980),
    [anon_sym_shared] = ACTIONS(1980),
    [anon_sym_groupshared] = ACTIONS(1980),
    [anon_sym_uniform] = ACTIONS(1980),
    [anon_sym_row_major] = ACTIONS(1980),
    [anon_sym_column_major] = ACTIONS(1980),
    [anon_sym_globallycoherent] = ACTIONS(1980),
    [anon_sym_centroid] = ACTIONS(1980),
    [anon_sym_noperspective] = ACTIONS(1980),
    [anon_sym_nointerpolation] = ACTIONS(1980),
    [anon_sym_sample] = ACTIONS(1980),
    [anon_sym_linear] = ACTIONS(1980),
    [anon_sym_snorm] = ACTIONS(1980),
    [anon_sym_unorm] = ACTIONS(1980),
    [anon_sym_point] = ACTIONS(1980),
    [anon_sym_line] = ACTIONS(1980),
    [anon_sym_triangleadj] = ACTIONS(1980),
    [anon_sym_lineadj] = ACTIONS(1980),
    [anon_sym_triangle] = ACTIONS(1980),
    [anon_sym_cbuffer] = ACTIONS(1980),
  },
  [333] = {
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_include_token1] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token2] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [aux_sym_preproc_else_token1] = ACTIONS(2583),
    [aux_sym_preproc_elif_token1] = ACTIONS(2583),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_in] = ACTIONS(2583),
    [anon_sym_out] = ACTIONS(2583),
    [anon_sym_inout] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym___cdecl] = ACTIONS(2583),
    [anon_sym___clrcall] = ACTIONS(2583),
    [anon_sym___stdcall] = ACTIONS(2583),
    [anon_sym___fastcall] = ACTIONS(2583),
    [anon_sym___thiscall] = ACTIONS(2583),
    [anon_sym___vectorcall] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2583),
    [anon_sym_default] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_goto] = ACTIONS(2583),
    [anon_sym___try] = ACTIONS(2583),
    [anon_sym___leave] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_compl] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_sizeof] = ACTIONS(2583),
    [anon_sym___alignof__] = ACTIONS(2583),
    [anon_sym___alignof] = ACTIONS(2583),
    [anon_sym__alignof] = ACTIONS(2583),
    [anon_sym_alignof] = ACTIONS(2583),
    [anon_sym__Alignof] = ACTIONS(2583),
    [anon_sym_offsetof] = ACTIONS(2583),
    [anon_sym__Generic] = ACTIONS(2583),
    [anon_sym_asm] = ACTIONS(2583),
    [anon_sym___asm__] = ACTIONS(2583),
    [anon_sym___asm] = ACTIONS(2583),
    [sym_number_literal] = ACTIONS(2585),
    [anon_sym_L_SQUOTE] = ACTIONS(2585),
    [anon_sym_u_SQUOTE] = ACTIONS(2585),
    [anon_sym_U_SQUOTE] = ACTIONS(2585),
    [anon_sym_u8_SQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [anon_sym_L_DQUOTE] = ACTIONS(2585),
    [anon_sym_u_DQUOTE] = ACTIONS(2585),
    [anon_sym_U_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8_DQUOTE] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [anon_sym_NULL] = ACTIONS(2583),
    [anon_sym_nullptr] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_concept] = ACTIONS(2583),
    [anon_sym_co_return] = ACTIONS(2583),
    [anon_sym_co_yield] = ACTIONS(2583),
    [anon_sym_R_DQUOTE] = ACTIONS(2585),
    [anon_sym_LR_DQUOTE] = ACTIONS(2585),
    [anon_sym_uR_DQUOTE] = ACTIONS(2585),
    [anon_sym_UR_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2585),
    [anon_sym_co_await] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_requires] = ACTIONS(2583),
    [sym_this] = ACTIONS(2583),
    [anon_sym_discard] = ACTIONS(2583),
    [anon_sym_precise] = ACTIONS(2583),
    [anon_sym_shared] = ACTIONS(2583),
    [anon_sym_groupshared] = ACTIONS(2583),
    [anon_sym_uniform] = ACTIONS(2583),
    [anon_sym_row_major] = ACTIONS(2583),
    [anon_sym_column_major] = ACTIONS(2583),
    [anon_sym_globallycoherent] = ACTIONS(2583),
    [anon_sym_centroid] = ACTIONS(2583),
    [anon_sym_noperspective] = ACTIONS(2583),
    [anon_sym_nointerpolation] = ACTIONS(2583),
    [anon_sym_sample] = ACTIONS(2583),
    [anon_sym_linear] = ACTIONS(2583),
    [anon_sym_snorm] = ACTIONS(2583),
    [anon_sym_unorm] = ACTIONS(2583),
    [anon_sym_point] = ACTIONS(2583),
    [anon_sym_line] = ACTIONS(2583),
    [anon_sym_triangleadj] = ACTIONS(2583),
    [anon_sym_lineadj] = ACTIONS(2583),
    [anon_sym_triangle] = ACTIONS(2583),
    [anon_sym_cbuffer] = ACTIONS(2583),
  },
  [334] = {
    [sym_identifier] = ACTIONS(2587),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token2] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2587),
    [aux_sym_preproc_else_token1] = ACTIONS(2587),
    [aux_sym_preproc_elif_token1] = ACTIONS(2587),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2587),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2587),
    [sym_preproc_directive] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_STAR] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym___extension__] = ACTIONS(2587),
    [anon_sym_typedef] = ACTIONS(2587),
    [anon_sym_in] = ACTIONS(2587),
    [anon_sym_out] = ACTIONS(2587),
    [anon_sym_inout] = ACTIONS(2587),
    [anon_sym_virtual] = ACTIONS(2587),
    [anon_sym_extern] = ACTIONS(2587),
    [anon_sym___attribute__] = ACTIONS(2587),
    [anon_sym___attribute] = ACTIONS(2587),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2589),
    [anon_sym___declspec] = ACTIONS(2587),
    [anon_sym___based] = ACTIONS(2587),
    [anon_sym___cdecl] = ACTIONS(2587),
    [anon_sym___clrcall] = ACTIONS(2587),
    [anon_sym___stdcall] = ACTIONS(2587),
    [anon_sym___fastcall] = ACTIONS(2587),
    [anon_sym___thiscall] = ACTIONS(2587),
    [anon_sym___vectorcall] = ACTIONS(2587),
    [anon_sym_LBRACE] = ACTIONS(2589),
    [anon_sym_signed] = ACTIONS(2587),
    [anon_sym_unsigned] = ACTIONS(2587),
    [anon_sym_long] = ACTIONS(2587),
    [anon_sym_short] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_register] = ACTIONS(2587),
    [anon_sym_inline] = ACTIONS(2587),
    [anon_sym___inline] = ACTIONS(2587),
    [anon_sym___inline__] = ACTIONS(2587),
    [anon_sym___forceinline] = ACTIONS(2587),
    [anon_sym_thread_local] = ACTIONS(2587),
    [anon_sym___thread] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_constexpr] = ACTIONS(2587),
    [anon_sym_volatile] = ACTIONS(2587),
    [anon_sym_restrict] = ACTIONS(2587),
    [anon_sym___restrict__] = ACTIONS(2587),
    [anon_sym__Atomic] = ACTIONS(2587),
    [anon_sym__Noreturn] = ACTIONS(2587),
    [anon_sym_noreturn] = ACTIONS(2587),
    [anon_sym__Nonnull] = ACTIONS(2587),
    [anon_sym_mutable] = ACTIONS(2587),
    [anon_sym_constinit] = ACTIONS(2587),
    [anon_sym_consteval] = ACTIONS(2587),
    [anon_sym_alignas] = ACTIONS(2587),
    [anon_sym__Alignas] = ACTIONS(2587),
    [sym_primitive_type] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_struct] = ACTIONS(2587),
    [anon_sym_union] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_switch] = ACTIONS(2587),
    [anon_sym_case] = ACTIONS(2587),
    [anon_sym_default] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_break] = ACTIONS(2587),
    [anon_sym_continue] = ACTIONS(2587),
    [anon_sym_goto] = ACTIONS(2587),
    [anon_sym___try] = ACTIONS(2587),
    [anon_sym___leave] = ACTIONS(2587),
    [anon_sym_not] = ACTIONS(2587),
    [anon_sym_compl] = ACTIONS(2587),
    [anon_sym_DASH_DASH] = ACTIONS(2589),
    [anon_sym_PLUS_PLUS] = ACTIONS(2589),
    [anon_sym_sizeof] = ACTIONS(2587),
    [anon_sym___alignof__] = ACTIONS(2587),
    [anon_sym___alignof] = ACTIONS(2587),
    [anon_sym__alignof] = ACTIONS(2587),
    [anon_sym_alignof] = ACTIONS(2587),
    [anon_sym__Alignof] = ACTIONS(2587),
    [anon_sym_offsetof] = ACTIONS(2587),
    [anon_sym__Generic] = ACTIONS(2587),
    [anon_sym_asm] = ACTIONS(2587),
    [anon_sym___asm__] = ACTIONS(2587),
    [anon_sym___asm] = ACTIONS(2587),
    [sym_number_literal] = ACTIONS(2589),
    [anon_sym_L_SQUOTE] = ACTIONS(2589),
    [anon_sym_u_SQUOTE] = ACTIONS(2589),
    [anon_sym_U_SQUOTE] = ACTIONS(2589),
    [anon_sym_u8_SQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_L_DQUOTE] = ACTIONS(2589),
    [anon_sym_u_DQUOTE] = ACTIONS(2589),
    [anon_sym_U_DQUOTE] = ACTIONS(2589),
    [anon_sym_u8_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [sym_true] = ACTIONS(2587),
    [sym_false] = ACTIONS(2587),
    [anon_sym_NULL] = ACTIONS(2587),
    [anon_sym_nullptr] = ACTIONS(2587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2587),
    [anon_sym_decltype] = ACTIONS(2587),
    [anon_sym_explicit] = ACTIONS(2587),
    [anon_sym_typename] = ACTIONS(2587),
    [anon_sym_template] = ACTIONS(2587),
    [anon_sym_operator] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_delete] = ACTIONS(2587),
    [anon_sym_throw] = ACTIONS(2587),
    [anon_sym_namespace] = ACTIONS(2587),
    [anon_sym_using] = ACTIONS(2587),
    [anon_sym_static_assert] = ACTIONS(2587),
    [anon_sym_concept] = ACTIONS(2587),
    [anon_sym_co_return] = ACTIONS(2587),
    [anon_sym_co_yield] = ACTIONS(2587),
    [anon_sym_R_DQUOTE] = ACTIONS(2589),
    [anon_sym_LR_DQUOTE] = ACTIONS(2589),
    [anon_sym_uR_DQUOTE] = ACTIONS(2589),
    [anon_sym_UR_DQUOTE] = ACTIONS(2589),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2589),
    [anon_sym_co_await] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_requires] = ACTIONS(2587),
    [sym_this] = ACTIONS(2587),
    [anon_sym_discard] = ACTIONS(2587),
    [anon_sym_precise] = ACTIONS(2587),
    [anon_sym_shared] = ACTIONS(2587),
    [anon_sym_groupshared] = ACTIONS(2587),
    [anon_sym_uniform] = ACTIONS(2587),
    [anon_sym_row_major] = ACTIONS(2587),
    [anon_sym_column_major] = ACTIONS(2587),
    [anon_sym_globallycoherent] = ACTIONS(2587),
    [anon_sym_centroid] = ACTIONS(2587),
    [anon_sym_noperspective] = ACTIONS(2587),
    [anon_sym_nointerpolation] = ACTIONS(2587),
    [anon_sym_sample] = ACTIONS(2587),
    [anon_sym_linear] = ACTIONS(2587),
    [anon_sym_snorm] = ACTIONS(2587),
    [anon_sym_unorm] = ACTIONS(2587),
    [anon_sym_point] = ACTIONS(2587),
    [anon_sym_line] = ACTIONS(2587),
    [anon_sym_triangleadj] = ACTIONS(2587),
    [anon_sym_lineadj] = ACTIONS(2587),
    [anon_sym_triangle] = ACTIONS(2587),
    [anon_sym_cbuffer] = ACTIONS(2587),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2591),
    [aux_sym_preproc_include_token1] = ACTIONS(2591),
    [aux_sym_preproc_def_token1] = ACTIONS(2591),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_if_token2] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2591),
    [aux_sym_preproc_else_token1] = ACTIONS(2591),
    [aux_sym_preproc_elif_token1] = ACTIONS(2591),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2591),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2591),
    [sym_preproc_directive] = ACTIONS(2591),
    [anon_sym_LPAREN2] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_AMP_AMP] = ACTIONS(2593),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym_SEMI] = ACTIONS(2593),
    [anon_sym___extension__] = ACTIONS(2591),
    [anon_sym_typedef] = ACTIONS(2591),
    [anon_sym_in] = ACTIONS(2591),
    [anon_sym_out] = ACTIONS(2591),
    [anon_sym_inout] = ACTIONS(2591),
    [anon_sym_virtual] = ACTIONS(2591),
    [anon_sym_extern] = ACTIONS(2591),
    [anon_sym___attribute__] = ACTIONS(2591),
    [anon_sym___attribute] = ACTIONS(2591),
    [anon_sym_COLON_COLON] = ACTIONS(2593),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2593),
    [anon_sym___declspec] = ACTIONS(2591),
    [anon_sym___based] = ACTIONS(2591),
    [anon_sym___cdecl] = ACTIONS(2591),
    [anon_sym___clrcall] = ACTIONS(2591),
    [anon_sym___stdcall] = ACTIONS(2591),
    [anon_sym___fastcall] = ACTIONS(2591),
    [anon_sym___thiscall] = ACTIONS(2591),
    [anon_sym___vectorcall] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(2593),
    [anon_sym_signed] = ACTIONS(2591),
    [anon_sym_unsigned] = ACTIONS(2591),
    [anon_sym_long] = ACTIONS(2591),
    [anon_sym_short] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [anon_sym_static] = ACTIONS(2591),
    [anon_sym_register] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2591),
    [anon_sym___inline] = ACTIONS(2591),
    [anon_sym___inline__] = ACTIONS(2591),
    [anon_sym___forceinline] = ACTIONS(2591),
    [anon_sym_thread_local] = ACTIONS(2591),
    [anon_sym___thread] = ACTIONS(2591),
    [anon_sym_const] = ACTIONS(2591),
    [anon_sym_constexpr] = ACTIONS(2591),
    [anon_sym_volatile] = ACTIONS(2591),
    [anon_sym_restrict] = ACTIONS(2591),
    [anon_sym___restrict__] = ACTIONS(2591),
    [anon_sym__Atomic] = ACTIONS(2591),
    [anon_sym__Noreturn] = ACTIONS(2591),
    [anon_sym_noreturn] = ACTIONS(2591),
    [anon_sym__Nonnull] = ACTIONS(2591),
    [anon_sym_mutable] = ACTIONS(2591),
    [anon_sym_constinit] = ACTIONS(2591),
    [anon_sym_consteval] = ACTIONS(2591),
    [anon_sym_alignas] = ACTIONS(2591),
    [anon_sym__Alignas] = ACTIONS(2591),
    [sym_primitive_type] = ACTIONS(2591),
    [anon_sym_enum] = ACTIONS(2591),
    [anon_sym_class] = ACTIONS(2591),
    [anon_sym_struct] = ACTIONS(2591),
    [anon_sym_union] = ACTIONS(2591),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_switch] = ACTIONS(2591),
    [anon_sym_case] = ACTIONS(2591),
    [anon_sym_default] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(2591),
    [anon_sym_do] = ACTIONS(2591),
    [anon_sym_for] = ACTIONS(2591),
    [anon_sym_return] = ACTIONS(2591),
    [anon_sym_break] = ACTIONS(2591),
    [anon_sym_continue] = ACTIONS(2591),
    [anon_sym_goto] = ACTIONS(2591),
    [anon_sym___try] = ACTIONS(2591),
    [anon_sym___leave] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2591),
    [anon_sym_compl] = ACTIONS(2591),
    [anon_sym_DASH_DASH] = ACTIONS(2593),
    [anon_sym_PLUS_PLUS] = ACTIONS(2593),
    [anon_sym_sizeof] = ACTIONS(2591),
    [anon_sym___alignof__] = ACTIONS(2591),
    [anon_sym___alignof] = ACTIONS(2591),
    [anon_sym__alignof] = ACTIONS(2591),
    [anon_sym_alignof] = ACTIONS(2591),
    [anon_sym__Alignof] = ACTIONS(2591),
    [anon_sym_offsetof] = ACTIONS(2591),
    [anon_sym__Generic] = ACTIONS(2591),
    [anon_sym_asm] = ACTIONS(2591),
    [anon_sym___asm__] = ACTIONS(2591),
    [anon_sym___asm] = ACTIONS(2591),
    [sym_number_literal] = ACTIONS(2593),
    [anon_sym_L_SQUOTE] = ACTIONS(2593),
    [anon_sym_u_SQUOTE] = ACTIONS(2593),
    [anon_sym_U_SQUOTE] = ACTIONS(2593),
    [anon_sym_u8_SQUOTE] = ACTIONS(2593),
    [anon_sym_SQUOTE] = ACTIONS(2593),
    [anon_sym_L_DQUOTE] = ACTIONS(2593),
    [anon_sym_u_DQUOTE] = ACTIONS(2593),
    [anon_sym_U_DQUOTE] = ACTIONS(2593),
    [anon_sym_u8_DQUOTE] = ACTIONS(2593),
    [anon_sym_DQUOTE] = ACTIONS(2593),
    [sym_true] = ACTIONS(2591),
    [sym_false] = ACTIONS(2591),
    [anon_sym_NULL] = ACTIONS(2591),
    [anon_sym_nullptr] = ACTIONS(2591),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2591),
    [anon_sym_decltype] = ACTIONS(2591),
    [anon_sym_explicit] = ACTIONS(2591),
    [anon_sym_typename] = ACTIONS(2591),
    [anon_sym_template] = ACTIONS(2591),
    [anon_sym_operator] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2591),
    [anon_sym_delete] = ACTIONS(2591),
    [anon_sym_throw] = ACTIONS(2591),
    [anon_sym_namespace] = ACTIONS(2591),
    [anon_sym_using] = ACTIONS(2591),
    [anon_sym_static_assert] = ACTIONS(2591),
    [anon_sym_concept] = ACTIONS(2591),
    [anon_sym_co_return] = ACTIONS(2591),
    [anon_sym_co_yield] = ACTIONS(2591),
    [anon_sym_R_DQUOTE] = ACTIONS(2593),
    [anon_sym_LR_DQUOTE] = ACTIONS(2593),
    [anon_sym_uR_DQUOTE] = ACTIONS(2593),
    [anon_sym_UR_DQUOTE] = ACTIONS(2593),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2593),
    [anon_sym_co_await] = ACTIONS(2591),
    [anon_sym_new] = ACTIONS(2591),
    [anon_sym_requires] = ACTIONS(2591),
    [sym_this] = ACTIONS(2591),
    [anon_sym_discard] = ACTIONS(2591),
    [anon_sym_precise] = ACTIONS(2591),
    [anon_sym_shared] = ACTIONS(2591),
    [anon_sym_groupshared] = ACTIONS(2591),
    [anon_sym_uniform] = ACTIONS(2591),
    [anon_sym_row_major] = ACTIONS(2591),
    [anon_sym_column_major] = ACTIONS(2591),
    [anon_sym_globallycoherent] = ACTIONS(2591),
    [anon_sym_centroid] = ACTIONS(2591),
    [anon_sym_noperspective] = ACTIONS(2591),
    [anon_sym_nointerpolation] = ACTIONS(2591),
    [anon_sym_sample] = ACTIONS(2591),
    [anon_sym_linear] = ACTIONS(2591),
    [anon_sym_snorm] = ACTIONS(2591),
    [anon_sym_unorm] = ACTIONS(2591),
    [anon_sym_point] = ACTIONS(2591),
    [anon_sym_line] = ACTIONS(2591),
    [anon_sym_triangleadj] = ACTIONS(2591),
    [anon_sym_lineadj] = ACTIONS(2591),
    [anon_sym_triangle] = ACTIONS(2591),
    [anon_sym_cbuffer] = ACTIONS(2591),
  },
  [336] = {
    [sym_identifier] = ACTIONS(2595),
    [aux_sym_preproc_include_token1] = ACTIONS(2595),
    [aux_sym_preproc_def_token1] = ACTIONS(2595),
    [aux_sym_preproc_if_token1] = ACTIONS(2595),
    [aux_sym_preproc_if_token2] = ACTIONS(2595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2595),
    [aux_sym_preproc_else_token1] = ACTIONS(2595),
    [aux_sym_preproc_elif_token1] = ACTIONS(2595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2595),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2595),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(2597),
    [anon_sym_BANG] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2595),
    [anon_sym_SEMI] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2595),
    [anon_sym_typedef] = ACTIONS(2595),
    [anon_sym_in] = ACTIONS(2595),
    [anon_sym_out] = ACTIONS(2595),
    [anon_sym_inout] = ACTIONS(2595),
    [anon_sym_virtual] = ACTIONS(2595),
    [anon_sym_extern] = ACTIONS(2595),
    [anon_sym___attribute__] = ACTIONS(2595),
    [anon_sym___attribute] = ACTIONS(2595),
    [anon_sym_COLON_COLON] = ACTIONS(2597),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym___declspec] = ACTIONS(2595),
    [anon_sym___based] = ACTIONS(2595),
    [anon_sym___cdecl] = ACTIONS(2595),
    [anon_sym___clrcall] = ACTIONS(2595),
    [anon_sym___stdcall] = ACTIONS(2595),
    [anon_sym___fastcall] = ACTIONS(2595),
    [anon_sym___thiscall] = ACTIONS(2595),
    [anon_sym___vectorcall] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_signed] = ACTIONS(2595),
    [anon_sym_unsigned] = ACTIONS(2595),
    [anon_sym_long] = ACTIONS(2595),
    [anon_sym_short] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_static] = ACTIONS(2595),
    [anon_sym_register] = ACTIONS(2595),
    [anon_sym_inline] = ACTIONS(2595),
    [anon_sym___inline] = ACTIONS(2595),
    [anon_sym___inline__] = ACTIONS(2595),
    [anon_sym___forceinline] = ACTIONS(2595),
    [anon_sym_thread_local] = ACTIONS(2595),
    [anon_sym___thread] = ACTIONS(2595),
    [anon_sym_const] = ACTIONS(2595),
    [anon_sym_constexpr] = ACTIONS(2595),
    [anon_sym_volatile] = ACTIONS(2595),
    [anon_sym_restrict] = ACTIONS(2595),
    [anon_sym___restrict__] = ACTIONS(2595),
    [anon_sym__Atomic] = ACTIONS(2595),
    [anon_sym__Noreturn] = ACTIONS(2595),
    [anon_sym_noreturn] = ACTIONS(2595),
    [anon_sym__Nonnull] = ACTIONS(2595),
    [anon_sym_mutable] = ACTIONS(2595),
    [anon_sym_constinit] = ACTIONS(2595),
    [anon_sym_consteval] = ACTIONS(2595),
    [anon_sym_alignas] = ACTIONS(2595),
    [anon_sym__Alignas] = ACTIONS(2595),
    [sym_primitive_type] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2595),
    [anon_sym_class] = ACTIONS(2595),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_union] = ACTIONS(2595),
    [anon_sym_if] = ACTIONS(2595),
    [anon_sym_switch] = ACTIONS(2595),
    [anon_sym_case] = ACTIONS(2595),
    [anon_sym_default] = ACTIONS(2595),
    [anon_sym_while] = ACTIONS(2595),
    [anon_sym_do] = ACTIONS(2595),
    [anon_sym_for] = ACTIONS(2595),
    [anon_sym_return] = ACTIONS(2595),
    [anon_sym_break] = ACTIONS(2595),
    [anon_sym_continue] = ACTIONS(2595),
    [anon_sym_goto] = ACTIONS(2595),
    [anon_sym___try] = ACTIONS(2595),
    [anon_sym___leave] = ACTIONS(2595),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_PLUS] = ACTIONS(2597),
    [anon_sym_sizeof] = ACTIONS(2595),
    [anon_sym___alignof__] = ACTIONS(2595),
    [anon_sym___alignof] = ACTIONS(2595),
    [anon_sym__alignof] = ACTIONS(2595),
    [anon_sym_alignof] = ACTIONS(2595),
    [anon_sym__Alignof] = ACTIONS(2595),
    [anon_sym_offsetof] = ACTIONS(2595),
    [anon_sym__Generic] = ACTIONS(2595),
    [anon_sym_asm] = ACTIONS(2595),
    [anon_sym___asm__] = ACTIONS(2595),
    [anon_sym___asm] = ACTIONS(2595),
    [sym_number_literal] = ACTIONS(2597),
    [anon_sym_L_SQUOTE] = ACTIONS(2597),
    [anon_sym_u_SQUOTE] = ACTIONS(2597),
    [anon_sym_U_SQUOTE] = ACTIONS(2597),
    [anon_sym_u8_SQUOTE] = ACTIONS(2597),
    [anon_sym_SQUOTE] = ACTIONS(2597),
    [anon_sym_L_DQUOTE] = ACTIONS(2597),
    [anon_sym_u_DQUOTE] = ACTIONS(2597),
    [anon_sym_U_DQUOTE] = ACTIONS(2597),
    [anon_sym_u8_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_true] = ACTIONS(2595),
    [sym_false] = ACTIONS(2595),
    [anon_sym_NULL] = ACTIONS(2595),
    [anon_sym_nullptr] = ACTIONS(2595),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2595),
    [anon_sym_decltype] = ACTIONS(2595),
    [anon_sym_explicit] = ACTIONS(2595),
    [anon_sym_typename] = ACTIONS(2595),
    [anon_sym_template] = ACTIONS(2595),
    [anon_sym_operator] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_delete] = ACTIONS(2595),
    [anon_sym_throw] = ACTIONS(2595),
    [anon_sym_namespace] = ACTIONS(2595),
    [anon_sym_using] = ACTIONS(2595),
    [anon_sym_static_assert] = ACTIONS(2595),
    [anon_sym_concept] = ACTIONS(2595),
    [anon_sym_co_return] = ACTIONS(2595),
    [anon_sym_co_yield] = ACTIONS(2595),
    [anon_sym_R_DQUOTE] = ACTIONS(2597),
    [anon_sym_LR_DQUOTE] = ACTIONS(2597),
    [anon_sym_uR_DQUOTE] = ACTIONS(2597),
    [anon_sym_UR_DQUOTE] = ACTIONS(2597),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2597),
    [anon_sym_co_await] = ACTIONS(2595),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_requires] = ACTIONS(2595),
    [sym_this] = ACTIONS(2595),
    [anon_sym_discard] = ACTIONS(2595),
    [anon_sym_precise] = ACTIONS(2595),
    [anon_sym_shared] = ACTIONS(2595),
    [anon_sym_groupshared] = ACTIONS(2595),
    [anon_sym_uniform] = ACTIONS(2595),
    [anon_sym_row_major] = ACTIONS(2595),
    [anon_sym_column_major] = ACTIONS(2595),
    [anon_sym_globallycoherent] = ACTIONS(2595),
    [anon_sym_centroid] = ACTIONS(2595),
    [anon_sym_noperspective] = ACTIONS(2595),
    [anon_sym_nointerpolation] = ACTIONS(2595),
    [anon_sym_sample] = ACTIONS(2595),
    [anon_sym_linear] = ACTIONS(2595),
    [anon_sym_snorm] = ACTIONS(2595),
    [anon_sym_unorm] = ACTIONS(2595),
    [anon_sym_point] = ACTIONS(2595),
    [anon_sym_line] = ACTIONS(2595),
    [anon_sym_triangleadj] = ACTIONS(2595),
    [anon_sym_lineadj] = ACTIONS(2595),
    [anon_sym_triangle] = ACTIONS(2595),
    [anon_sym_cbuffer] = ACTIONS(2595),
  },
  [337] = {
    [sym_identifier] = ACTIONS(2599),
    [aux_sym_preproc_include_token1] = ACTIONS(2599),
    [aux_sym_preproc_def_token1] = ACTIONS(2599),
    [aux_sym_preproc_if_token1] = ACTIONS(2599),
    [aux_sym_preproc_if_token2] = ACTIONS(2599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2599),
    [aux_sym_preproc_else_token1] = ACTIONS(2599),
    [aux_sym_preproc_elif_token1] = ACTIONS(2599),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2599),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2599),
    [sym_preproc_directive] = ACTIONS(2599),
    [anon_sym_LPAREN2] = ACTIONS(2601),
    [anon_sym_BANG] = ACTIONS(2601),
    [anon_sym_TILDE] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2599),
    [anon_sym_PLUS] = ACTIONS(2599),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_AMP_AMP] = ACTIONS(2601),
    [anon_sym_AMP] = ACTIONS(2599),
    [anon_sym_SEMI] = ACTIONS(2601),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_typedef] = ACTIONS(2599),
    [anon_sym_in] = ACTIONS(2599),
    [anon_sym_out] = ACTIONS(2599),
    [anon_sym_inout] = ACTIONS(2599),
    [anon_sym_virtual] = ACTIONS(2599),
    [anon_sym_extern] = ACTIONS(2599),
    [anon_sym___attribute__] = ACTIONS(2599),
    [anon_sym___attribute] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2601),
    [anon_sym___declspec] = ACTIONS(2599),
    [anon_sym___based] = ACTIONS(2599),
    [anon_sym___cdecl] = ACTIONS(2599),
    [anon_sym___clrcall] = ACTIONS(2599),
    [anon_sym___stdcall] = ACTIONS(2599),
    [anon_sym___fastcall] = ACTIONS(2599),
    [anon_sym___thiscall] = ACTIONS(2599),
    [anon_sym___vectorcall] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2599),
    [anon_sym_unsigned] = ACTIONS(2599),
    [anon_sym_long] = ACTIONS(2599),
    [anon_sym_short] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [anon_sym_static] = ACTIONS(2599),
    [anon_sym_register] = ACTIONS(2599),
    [anon_sym_inline] = ACTIONS(2599),
    [anon_sym___inline] = ACTIONS(2599),
    [anon_sym___inline__] = ACTIONS(2599),
    [anon_sym___forceinline] = ACTIONS(2599),
    [anon_sym_thread_local] = ACTIONS(2599),
    [anon_sym___thread] = ACTIONS(2599),
    [anon_sym_const] = ACTIONS(2599),
    [anon_sym_constexpr] = ACTIONS(2599),
    [anon_sym_volatile] = ACTIONS(2599),
    [anon_sym_restrict] = ACTIONS(2599),
    [anon_sym___restrict__] = ACTIONS(2599),
    [anon_sym__Atomic] = ACTIONS(2599),
    [anon_sym__Noreturn] = ACTIONS(2599),
    [anon_sym_noreturn] = ACTIONS(2599),
    [anon_sym__Nonnull] = ACTIONS(2599),
    [anon_sym_mutable] = ACTIONS(2599),
    [anon_sym_constinit] = ACTIONS(2599),
    [anon_sym_consteval] = ACTIONS(2599),
    [anon_sym_alignas] = ACTIONS(2599),
    [anon_sym__Alignas] = ACTIONS(2599),
    [sym_primitive_type] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2599),
    [anon_sym_struct] = ACTIONS(2599),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_if] = ACTIONS(2599),
    [anon_sym_switch] = ACTIONS(2599),
    [anon_sym_case] = ACTIONS(2599),
    [anon_sym_default] = ACTIONS(2599),
    [anon_sym_while] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2599),
    [anon_sym_return] = ACTIONS(2599),
    [anon_sym_break] = ACTIONS(2599),
    [anon_sym_continue] = ACTIONS(2599),
    [anon_sym_goto] = ACTIONS(2599),
    [anon_sym___try] = ACTIONS(2599),
    [anon_sym___leave] = ACTIONS(2599),
    [anon_sym_not] = ACTIONS(2599),
    [anon_sym_compl] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(2601),
    [anon_sym_PLUS_PLUS] = ACTIONS(2601),
    [anon_sym_sizeof] = ACTIONS(2599),
    [anon_sym___alignof__] = ACTIONS(2599),
    [anon_sym___alignof] = ACTIONS(2599),
    [anon_sym__alignof] = ACTIONS(2599),
    [anon_sym_alignof] = ACTIONS(2599),
    [anon_sym__Alignof] = ACTIONS(2599),
    [anon_sym_offsetof] = ACTIONS(2599),
    [anon_sym__Generic] = ACTIONS(2599),
    [anon_sym_asm] = ACTIONS(2599),
    [anon_sym___asm__] = ACTIONS(2599),
    [anon_sym___asm] = ACTIONS(2599),
    [sym_number_literal] = ACTIONS(2601),
    [anon_sym_L_SQUOTE] = ACTIONS(2601),
    [anon_sym_u_SQUOTE] = ACTIONS(2601),
    [anon_sym_U_SQUOTE] = ACTIONS(2601),
    [anon_sym_u8_SQUOTE] = ACTIONS(2601),
    [anon_sym_SQUOTE] = ACTIONS(2601),
    [anon_sym_L_DQUOTE] = ACTIONS(2601),
    [anon_sym_u_DQUOTE] = ACTIONS(2601),
    [anon_sym_U_DQUOTE] = ACTIONS(2601),
    [anon_sym_u8_DQUOTE] = ACTIONS(2601),
    [anon_sym_DQUOTE] = ACTIONS(2601),
    [sym_true] = ACTIONS(2599),
    [sym_false] = ACTIONS(2599),
    [anon_sym_NULL] = ACTIONS(2599),
    [anon_sym_nullptr] = ACTIONS(2599),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2599),
    [anon_sym_decltype] = ACTIONS(2599),
    [anon_sym_explicit] = ACTIONS(2599),
    [anon_sym_typename] = ACTIONS(2599),
    [anon_sym_template] = ACTIONS(2599),
    [anon_sym_operator] = ACTIONS(2599),
    [anon_sym_try] = ACTIONS(2599),
    [anon_sym_delete] = ACTIONS(2599),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_namespace] = ACTIONS(2599),
    [anon_sym_using] = ACTIONS(2599),
    [anon_sym_static_assert] = ACTIONS(2599),
    [anon_sym_concept] = ACTIONS(2599),
    [anon_sym_co_return] = ACTIONS(2599),
    [anon_sym_co_yield] = ACTIONS(2599),
    [anon_sym_R_DQUOTE] = ACTIONS(2601),
    [anon_sym_LR_DQUOTE] = ACTIONS(2601),
    [anon_sym_uR_DQUOTE] = ACTIONS(2601),
    [anon_sym_UR_DQUOTE] = ACTIONS(2601),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2601),
    [anon_sym_co_await] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2599),
    [anon_sym_requires] = ACTIONS(2599),
    [sym_this] = ACTIONS(2599),
    [anon_sym_discard] = ACTIONS(2599),
    [anon_sym_precise] = ACTIONS(2599),
    [anon_sym_shared] = ACTIONS(2599),
    [anon_sym_groupshared] = ACTIONS(2599),
    [anon_sym_uniform] = ACTIONS(2599),
    [anon_sym_row_major] = ACTIONS(2599),
    [anon_sym_column_major] = ACTIONS(2599),
    [anon_sym_globallycoherent] = ACTIONS(2599),
    [anon_sym_centroid] = ACTIONS(2599),
    [anon_sym_noperspective] = ACTIONS(2599),
    [anon_sym_nointerpolation] = ACTIONS(2599),
    [anon_sym_sample] = ACTIONS(2599),
    [anon_sym_linear] = ACTIONS(2599),
    [anon_sym_snorm] = ACTIONS(2599),
    [anon_sym_unorm] = ACTIONS(2599),
    [anon_sym_point] = ACTIONS(2599),
    [anon_sym_line] = ACTIONS(2599),
    [anon_sym_triangleadj] = ACTIONS(2599),
    [anon_sym_lineadj] = ACTIONS(2599),
    [anon_sym_triangle] = ACTIONS(2599),
    [anon_sym_cbuffer] = ACTIONS(2599),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2603),
    [aux_sym_preproc_include_token1] = ACTIONS(2603),
    [aux_sym_preproc_def_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token2] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2603),
    [aux_sym_preproc_else_token1] = ACTIONS(2603),
    [aux_sym_preproc_elif_token1] = ACTIONS(2603),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2603),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2603),
    [sym_preproc_directive] = ACTIONS(2603),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym___extension__] = ACTIONS(2603),
    [anon_sym_typedef] = ACTIONS(2603),
    [anon_sym_in] = ACTIONS(2603),
    [anon_sym_out] = ACTIONS(2603),
    [anon_sym_inout] = ACTIONS(2603),
    [anon_sym_virtual] = ACTIONS(2603),
    [anon_sym_extern] = ACTIONS(2603),
    [anon_sym___attribute__] = ACTIONS(2603),
    [anon_sym___attribute] = ACTIONS(2603),
    [anon_sym_COLON_COLON] = ACTIONS(2605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2605),
    [anon_sym___declspec] = ACTIONS(2603),
    [anon_sym___based] = ACTIONS(2603),
    [anon_sym___cdecl] = ACTIONS(2603),
    [anon_sym___clrcall] = ACTIONS(2603),
    [anon_sym___stdcall] = ACTIONS(2603),
    [anon_sym___fastcall] = ACTIONS(2603),
    [anon_sym___thiscall] = ACTIONS(2603),
    [anon_sym___vectorcall] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(2605),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [anon_sym_static] = ACTIONS(2603),
    [anon_sym_register] = ACTIONS(2603),
    [anon_sym_inline] = ACTIONS(2603),
    [anon_sym___inline] = ACTIONS(2603),
    [anon_sym___inline__] = ACTIONS(2603),
    [anon_sym___forceinline] = ACTIONS(2603),
    [anon_sym_thread_local] = ACTIONS(2603),
    [anon_sym___thread] = ACTIONS(2603),
    [anon_sym_const] = ACTIONS(2603),
    [anon_sym_constexpr] = ACTIONS(2603),
    [anon_sym_volatile] = ACTIONS(2603),
    [anon_sym_restrict] = ACTIONS(2603),
    [anon_sym___restrict__] = ACTIONS(2603),
    [anon_sym__Atomic] = ACTIONS(2603),
    [anon_sym__Noreturn] = ACTIONS(2603),
    [anon_sym_noreturn] = ACTIONS(2603),
    [anon_sym__Nonnull] = ACTIONS(2603),
    [anon_sym_mutable] = ACTIONS(2603),
    [anon_sym_constinit] = ACTIONS(2603),
    [anon_sym_consteval] = ACTIONS(2603),
    [anon_sym_alignas] = ACTIONS(2603),
    [anon_sym__Alignas] = ACTIONS(2603),
    [sym_primitive_type] = ACTIONS(2603),
    [anon_sym_enum] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2603),
    [anon_sym_union] = ACTIONS(2603),
    [anon_sym_if] = ACTIONS(2603),
    [anon_sym_switch] = ACTIONS(2603),
    [anon_sym_case] = ACTIONS(2603),
    [anon_sym_default] = ACTIONS(2603),
    [anon_sym_while] = ACTIONS(2603),
    [anon_sym_do] = ACTIONS(2603),
    [anon_sym_for] = ACTIONS(2603),
    [anon_sym_return] = ACTIONS(2603),
    [anon_sym_break] = ACTIONS(2603),
    [anon_sym_continue] = ACTIONS(2603),
    [anon_sym_goto] = ACTIONS(2603),
    [anon_sym___try] = ACTIONS(2603),
    [anon_sym___leave] = ACTIONS(2603),
    [anon_sym_not] = ACTIONS(2603),
    [anon_sym_compl] = ACTIONS(2603),
    [anon_sym_DASH_DASH] = ACTIONS(2605),
    [anon_sym_PLUS_PLUS] = ACTIONS(2605),
    [anon_sym_sizeof] = ACTIONS(2603),
    [anon_sym___alignof__] = ACTIONS(2603),
    [anon_sym___alignof] = ACTIONS(2603),
    [anon_sym__alignof] = ACTIONS(2603),
    [anon_sym_alignof] = ACTIONS(2603),
    [anon_sym__Alignof] = ACTIONS(2603),
    [anon_sym_offsetof] = ACTIONS(2603),
    [anon_sym__Generic] = ACTIONS(2603),
    [anon_sym_asm] = ACTIONS(2603),
    [anon_sym___asm__] = ACTIONS(2603),
    [anon_sym___asm] = ACTIONS(2603),
    [sym_number_literal] = ACTIONS(2605),
    [anon_sym_L_SQUOTE] = ACTIONS(2605),
    [anon_sym_u_SQUOTE] = ACTIONS(2605),
    [anon_sym_U_SQUOTE] = ACTIONS(2605),
    [anon_sym_u8_SQUOTE] = ACTIONS(2605),
    [anon_sym_SQUOTE] = ACTIONS(2605),
    [anon_sym_L_DQUOTE] = ACTIONS(2605),
    [anon_sym_u_DQUOTE] = ACTIONS(2605),
    [anon_sym_U_DQUOTE] = ACTIONS(2605),
    [anon_sym_u8_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [sym_true] = ACTIONS(2603),
    [sym_false] = ACTIONS(2603),
    [anon_sym_NULL] = ACTIONS(2603),
    [anon_sym_nullptr] = ACTIONS(2603),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2603),
    [anon_sym_decltype] = ACTIONS(2603),
    [anon_sym_explicit] = ACTIONS(2603),
    [anon_sym_typename] = ACTIONS(2603),
    [anon_sym_template] = ACTIONS(2603),
    [anon_sym_operator] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2603),
    [anon_sym_delete] = ACTIONS(2603),
    [anon_sym_throw] = ACTIONS(2603),
    [anon_sym_namespace] = ACTIONS(2603),
    [anon_sym_using] = ACTIONS(2603),
    [anon_sym_static_assert] = ACTIONS(2603),
    [anon_sym_concept] = ACTIONS(2603),
    [anon_sym_co_return] = ACTIONS(2603),
    [anon_sym_co_yield] = ACTIONS(2603),
    [anon_sym_R_DQUOTE] = ACTIONS(2605),
    [anon_sym_LR_DQUOTE] = ACTIONS(2605),
    [anon_sym_uR_DQUOTE] = ACTIONS(2605),
    [anon_sym_UR_DQUOTE] = ACTIONS(2605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2605),
    [anon_sym_co_await] = ACTIONS(2603),
    [anon_sym_new] = ACTIONS(2603),
    [anon_sym_requires] = ACTIONS(2603),
    [sym_this] = ACTIONS(2603),
    [anon_sym_discard] = ACTIONS(2603),
    [anon_sym_precise] = ACTIONS(2603),
    [anon_sym_shared] = ACTIONS(2603),
    [anon_sym_groupshared] = ACTIONS(2603),
    [anon_sym_uniform] = ACTIONS(2603),
    [anon_sym_row_major] = ACTIONS(2603),
    [anon_sym_column_major] = ACTIONS(2603),
    [anon_sym_globallycoherent] = ACTIONS(2603),
    [anon_sym_centroid] = ACTIONS(2603),
    [anon_sym_noperspective] = ACTIONS(2603),
    [anon_sym_nointerpolation] = ACTIONS(2603),
    [anon_sym_sample] = ACTIONS(2603),
    [anon_sym_linear] = ACTIONS(2603),
    [anon_sym_snorm] = ACTIONS(2603),
    [anon_sym_unorm] = ACTIONS(2603),
    [anon_sym_point] = ACTIONS(2603),
    [anon_sym_line] = ACTIONS(2603),
    [anon_sym_triangleadj] = ACTIONS(2603),
    [anon_sym_lineadj] = ACTIONS(2603),
    [anon_sym_triangle] = ACTIONS(2603),
    [anon_sym_cbuffer] = ACTIONS(2603),
  },
  [339] = {
    [sym_identifier] = ACTIONS(2607),
    [aux_sym_preproc_include_token1] = ACTIONS(2607),
    [aux_sym_preproc_def_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token2] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2607),
    [aux_sym_preproc_else_token1] = ACTIONS(2607),
    [aux_sym_preproc_elif_token1] = ACTIONS(2607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2607),
    [sym_preproc_directive] = ACTIONS(2607),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_STAR] = ACTIONS(2609),
    [anon_sym_AMP_AMP] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym___extension__] = ACTIONS(2607),
    [anon_sym_typedef] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2607),
    [anon_sym_out] = ACTIONS(2607),
    [anon_sym_inout] = ACTIONS(2607),
    [anon_sym_virtual] = ACTIONS(2607),
    [anon_sym_extern] = ACTIONS(2607),
    [anon_sym___attribute__] = ACTIONS(2607),
    [anon_sym___attribute] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(2609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2609),
    [anon_sym___declspec] = ACTIONS(2607),
    [anon_sym___based] = ACTIONS(2607),
    [anon_sym___cdecl] = ACTIONS(2607),
    [anon_sym___clrcall] = ACTIONS(2607),
    [anon_sym___stdcall] = ACTIONS(2607),
    [anon_sym___fastcall] = ACTIONS(2607),
    [anon_sym___thiscall] = ACTIONS(2607),
    [anon_sym___vectorcall] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_signed] = ACTIONS(2607),
    [anon_sym_unsigned] = ACTIONS(2607),
    [anon_sym_long] = ACTIONS(2607),
    [anon_sym_short] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_register] = ACTIONS(2607),
    [anon_sym_inline] = ACTIONS(2607),
    [anon_sym___inline] = ACTIONS(2607),
    [anon_sym___inline__] = ACTIONS(2607),
    [anon_sym___forceinline] = ACTIONS(2607),
    [anon_sym_thread_local] = ACTIONS(2607),
    [anon_sym___thread] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2607),
    [anon_sym_constexpr] = ACTIONS(2607),
    [anon_sym_volatile] = ACTIONS(2607),
    [anon_sym_restrict] = ACTIONS(2607),
    [anon_sym___restrict__] = ACTIONS(2607),
    [anon_sym__Atomic] = ACTIONS(2607),
    [anon_sym__Noreturn] = ACTIONS(2607),
    [anon_sym_noreturn] = ACTIONS(2607),
    [anon_sym__Nonnull] = ACTIONS(2607),
    [anon_sym_mutable] = ACTIONS(2607),
    [anon_sym_constinit] = ACTIONS(2607),
    [anon_sym_consteval] = ACTIONS(2607),
    [anon_sym_alignas] = ACTIONS(2607),
    [anon_sym__Alignas] = ACTIONS(2607),
    [sym_primitive_type] = ACTIONS(2607),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2607),
    [anon_sym_struct] = ACTIONS(2607),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2607),
    [anon_sym_switch] = ACTIONS(2607),
    [anon_sym_case] = ACTIONS(2607),
    [anon_sym_default] = ACTIONS(2607),
    [anon_sym_while] = ACTIONS(2607),
    [anon_sym_do] = ACTIONS(2607),
    [anon_sym_for] = ACTIONS(2607),
    [anon_sym_return] = ACTIONS(2607),
    [anon_sym_break] = ACTIONS(2607),
    [anon_sym_continue] = ACTIONS(2607),
    [anon_sym_goto] = ACTIONS(2607),
    [anon_sym___try] = ACTIONS(2607),
    [anon_sym___leave] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2607),
    [anon_sym_compl] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2607),
    [anon_sym___alignof__] = ACTIONS(2607),
    [anon_sym___alignof] = ACTIONS(2607),
    [anon_sym__alignof] = ACTIONS(2607),
    [anon_sym_alignof] = ACTIONS(2607),
    [anon_sym__Alignof] = ACTIONS(2607),
    [anon_sym_offsetof] = ACTIONS(2607),
    [anon_sym__Generic] = ACTIONS(2607),
    [anon_sym_asm] = ACTIONS(2607),
    [anon_sym___asm__] = ACTIONS(2607),
    [anon_sym___asm] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2609),
    [anon_sym_L_SQUOTE] = ACTIONS(2609),
    [anon_sym_u_SQUOTE] = ACTIONS(2609),
    [anon_sym_U_SQUOTE] = ACTIONS(2609),
    [anon_sym_u8_SQUOTE] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_L_DQUOTE] = ACTIONS(2609),
    [anon_sym_u_DQUOTE] = ACTIONS(2609),
    [anon_sym_U_DQUOTE] = ACTIONS(2609),
    [anon_sym_u8_DQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2609),
    [sym_true] = ACTIONS(2607),
    [sym_false] = ACTIONS(2607),
    [anon_sym_NULL] = ACTIONS(2607),
    [anon_sym_nullptr] = ACTIONS(2607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2607),
    [anon_sym_decltype] = ACTIONS(2607),
    [anon_sym_explicit] = ACTIONS(2607),
    [anon_sym_typename] = ACTIONS(2607),
    [anon_sym_template] = ACTIONS(2607),
    [anon_sym_operator] = ACTIONS(2607),
    [anon_sym_try] = ACTIONS(2607),
    [anon_sym_delete] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2607),
    [anon_sym_using] = ACTIONS(2607),
    [anon_sym_static_assert] = ACTIONS(2607),
    [anon_sym_concept] = ACTIONS(2607),
    [anon_sym_co_return] = ACTIONS(2607),
    [anon_sym_co_yield] = ACTIONS(2607),
    [anon_sym_R_DQUOTE] = ACTIONS(2609),
    [anon_sym_LR_DQUOTE] = ACTIONS(2609),
    [anon_sym_uR_DQUOTE] = ACTIONS(2609),
    [anon_sym_UR_DQUOTE] = ACTIONS(2609),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2609),
    [anon_sym_co_await] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(2607),
    [anon_sym_requires] = ACTIONS(2607),
    [sym_this] = ACTIONS(2607),
    [anon_sym_discard] = ACTIONS(2607),
    [anon_sym_precise] = ACTIONS(2607),
    [anon_sym_shared] = ACTIONS(2607),
    [anon_sym_groupshared] = ACTIONS(2607),
    [anon_sym_uniform] = ACTIONS(2607),
    [anon_sym_row_major] = ACTIONS(2607),
    [anon_sym_column_major] = ACTIONS(2607),
    [anon_sym_globallycoherent] = ACTIONS(2607),
    [anon_sym_centroid] = ACTIONS(2607),
    [anon_sym_noperspective] = ACTIONS(2607),
    [anon_sym_nointerpolation] = ACTIONS(2607),
    [anon_sym_sample] = ACTIONS(2607),
    [anon_sym_linear] = ACTIONS(2607),
    [anon_sym_snorm] = ACTIONS(2607),
    [anon_sym_unorm] = ACTIONS(2607),
    [anon_sym_point] = ACTIONS(2607),
    [anon_sym_line] = ACTIONS(2607),
    [anon_sym_triangleadj] = ACTIONS(2607),
    [anon_sym_lineadj] = ACTIONS(2607),
    [anon_sym_triangle] = ACTIONS(2607),
    [anon_sym_cbuffer] = ACTIONS(2607),
  },
  [340] = {
    [sym_identifier] = ACTIONS(1991),
    [aux_sym_preproc_include_token1] = ACTIONS(1991),
    [aux_sym_preproc_def_token1] = ACTIONS(1991),
    [aux_sym_preproc_if_token1] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1991),
    [sym_preproc_directive] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_STAR] = ACTIONS(1993),
    [anon_sym_AMP_AMP] = ACTIONS(1993),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1991),
    [anon_sym_typedef] = ACTIONS(1991),
    [anon_sym_in] = ACTIONS(1991),
    [anon_sym_out] = ACTIONS(1991),
    [anon_sym_inout] = ACTIONS(1991),
    [anon_sym_virtual] = ACTIONS(1991),
    [anon_sym_extern] = ACTIONS(1991),
    [anon_sym___attribute__] = ACTIONS(1991),
    [anon_sym___attribute] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1993),
    [anon_sym___declspec] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(1991),
    [anon_sym___cdecl] = ACTIONS(1991),
    [anon_sym___clrcall] = ACTIONS(1991),
    [anon_sym___stdcall] = ACTIONS(1991),
    [anon_sym___fastcall] = ACTIONS(1991),
    [anon_sym___thiscall] = ACTIONS(1991),
    [anon_sym___vectorcall] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_RBRACE] = ACTIONS(1993),
    [anon_sym_signed] = ACTIONS(1991),
    [anon_sym_unsigned] = ACTIONS(1991),
    [anon_sym_long] = ACTIONS(1991),
    [anon_sym_short] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_static] = ACTIONS(1991),
    [anon_sym_register] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1991),
    [anon_sym___inline] = ACTIONS(1991),
    [anon_sym___inline__] = ACTIONS(1991),
    [anon_sym___forceinline] = ACTIONS(1991),
    [anon_sym_thread_local] = ACTIONS(1991),
    [anon_sym___thread] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_constexpr] = ACTIONS(1991),
    [anon_sym_volatile] = ACTIONS(1991),
    [anon_sym_restrict] = ACTIONS(1991),
    [anon_sym___restrict__] = ACTIONS(1991),
    [anon_sym__Atomic] = ACTIONS(1991),
    [anon_sym__Noreturn] = ACTIONS(1991),
    [anon_sym_noreturn] = ACTIONS(1991),
    [anon_sym__Nonnull] = ACTIONS(1991),
    [anon_sym_mutable] = ACTIONS(1991),
    [anon_sym_constinit] = ACTIONS(1991),
    [anon_sym_consteval] = ACTIONS(1991),
    [anon_sym_alignas] = ACTIONS(1991),
    [anon_sym__Alignas] = ACTIONS(1991),
    [sym_primitive_type] = ACTIONS(1991),
    [anon_sym_enum] = ACTIONS(1991),
    [anon_sym_class] = ACTIONS(1991),
    [anon_sym_struct] = ACTIONS(1991),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(1991),
    [anon_sym_switch] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1991),
    [anon_sym_default] = ACTIONS(1991),
    [anon_sym_while] = ACTIONS(1991),
    [anon_sym_do] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1991),
    [anon_sym_return] = ACTIONS(1991),
    [anon_sym_break] = ACTIONS(1991),
    [anon_sym_continue] = ACTIONS(1991),
    [anon_sym_goto] = ACTIONS(1991),
    [anon_sym___try] = ACTIONS(1991),
    [anon_sym___leave] = ACTIONS(1991),
    [anon_sym_not] = ACTIONS(1991),
    [anon_sym_compl] = ACTIONS(1991),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_sizeof] = ACTIONS(1991),
    [anon_sym___alignof__] = ACTIONS(1991),
    [anon_sym___alignof] = ACTIONS(1991),
    [anon_sym__alignof] = ACTIONS(1991),
    [anon_sym_alignof] = ACTIONS(1991),
    [anon_sym__Alignof] = ACTIONS(1991),
    [anon_sym_offsetof] = ACTIONS(1991),
    [anon_sym__Generic] = ACTIONS(1991),
    [anon_sym_asm] = ACTIONS(1991),
    [anon_sym___asm__] = ACTIONS(1991),
    [anon_sym___asm] = ACTIONS(1991),
    [sym_number_literal] = ACTIONS(1993),
    [anon_sym_L_SQUOTE] = ACTIONS(1993),
    [anon_sym_u_SQUOTE] = ACTIONS(1993),
    [anon_sym_U_SQUOTE] = ACTIONS(1993),
    [anon_sym_u8_SQUOTE] = ACTIONS(1993),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1991),
    [sym_false] = ACTIONS(1991),
    [anon_sym_NULL] = ACTIONS(1991),
    [anon_sym_nullptr] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1991),
    [anon_sym_decltype] = ACTIONS(1991),
    [anon_sym_final] = ACTIONS(1991),
    [anon_sym_override] = ACTIONS(1991),
    [anon_sym_explicit] = ACTIONS(1991),
    [anon_sym_typename] = ACTIONS(1991),
    [anon_sym_template] = ACTIONS(1991),
    [anon_sym_operator] = ACTIONS(1991),
    [anon_sym_try] = ACTIONS(1991),
    [anon_sym_delete] = ACTIONS(1991),
    [anon_sym_throw] = ACTIONS(1991),
    [anon_sym_namespace] = ACTIONS(1991),
    [anon_sym_using] = ACTIONS(1991),
    [anon_sym_static_assert] = ACTIONS(1991),
    [anon_sym_concept] = ACTIONS(1991),
    [anon_sym_co_return] = ACTIONS(1991),
    [anon_sym_co_yield] = ACTIONS(1991),
    [anon_sym_R_DQUOTE] = ACTIONS(1993),
    [anon_sym_LR_DQUOTE] = ACTIONS(1993),
    [anon_sym_uR_DQUOTE] = ACTIONS(1993),
    [anon_sym_UR_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1993),
    [anon_sym_co_await] = ACTIONS(1991),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_requires] = ACTIONS(1991),
    [sym_this] = ACTIONS(1991),
    [anon_sym_discard] = ACTIONS(1991),
    [anon_sym_precise] = ACTIONS(1991),
    [anon_sym_shared] = ACTIONS(1991),
    [anon_sym_groupshared] = ACTIONS(1991),
    [anon_sym_uniform] = ACTIONS(1991),
    [anon_sym_row_major] = ACTIONS(1991),
    [anon_sym_column_major] = ACTIONS(1991),
    [anon_sym_globallycoherent] = ACTIONS(1991),
    [anon_sym_centroid] = ACTIONS(1991),
    [anon_sym_noperspective] = ACTIONS(1991),
    [anon_sym_nointerpolation] = ACTIONS(1991),
    [anon_sym_sample] = ACTIONS(1991),
    [anon_sym_linear] = ACTIONS(1991),
    [anon_sym_snorm] = ACTIONS(1991),
    [anon_sym_unorm] = ACTIONS(1991),
    [anon_sym_point] = ACTIONS(1991),
    [anon_sym_line] = ACTIONS(1991),
    [anon_sym_triangleadj] = ACTIONS(1991),
    [anon_sym_lineadj] = ACTIONS(1991),
    [anon_sym_triangle] = ACTIONS(1991),
    [anon_sym_cbuffer] = ACTIONS(1991),
  },
  [341] = {
    [sym_identifier] = ACTIONS(2611),
    [aux_sym_preproc_include_token1] = ACTIONS(2611),
    [aux_sym_preproc_def_token1] = ACTIONS(2611),
    [aux_sym_preproc_if_token1] = ACTIONS(2611),
    [aux_sym_preproc_if_token2] = ACTIONS(2611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2611),
    [aux_sym_preproc_else_token1] = ACTIONS(2611),
    [aux_sym_preproc_elif_token1] = ACTIONS(2611),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2611),
    [sym_preproc_directive] = ACTIONS(2611),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2611),
    [anon_sym_PLUS] = ACTIONS(2611),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym___extension__] = ACTIONS(2611),
    [anon_sym_typedef] = ACTIONS(2611),
    [anon_sym_in] = ACTIONS(2611),
    [anon_sym_out] = ACTIONS(2611),
    [anon_sym_inout] = ACTIONS(2611),
    [anon_sym_virtual] = ACTIONS(2611),
    [anon_sym_extern] = ACTIONS(2611),
    [anon_sym___attribute__] = ACTIONS(2611),
    [anon_sym___attribute] = ACTIONS(2611),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2613),
    [anon_sym___declspec] = ACTIONS(2611),
    [anon_sym___based] = ACTIONS(2611),
    [anon_sym___cdecl] = ACTIONS(2611),
    [anon_sym___clrcall] = ACTIONS(2611),
    [anon_sym___stdcall] = ACTIONS(2611),
    [anon_sym___fastcall] = ACTIONS(2611),
    [anon_sym___thiscall] = ACTIONS(2611),
    [anon_sym___vectorcall] = ACTIONS(2611),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_signed] = ACTIONS(2611),
    [anon_sym_unsigned] = ACTIONS(2611),
    [anon_sym_long] = ACTIONS(2611),
    [anon_sym_short] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_static] = ACTIONS(2611),
    [anon_sym_register] = ACTIONS(2611),
    [anon_sym_inline] = ACTIONS(2611),
    [anon_sym___inline] = ACTIONS(2611),
    [anon_sym___inline__] = ACTIONS(2611),
    [anon_sym___forceinline] = ACTIONS(2611),
    [anon_sym_thread_local] = ACTIONS(2611),
    [anon_sym___thread] = ACTIONS(2611),
    [anon_sym_const] = ACTIONS(2611),
    [anon_sym_constexpr] = ACTIONS(2611),
    [anon_sym_volatile] = ACTIONS(2611),
    [anon_sym_restrict] = ACTIONS(2611),
    [anon_sym___restrict__] = ACTIONS(2611),
    [anon_sym__Atomic] = ACTIONS(2611),
    [anon_sym__Noreturn] = ACTIONS(2611),
    [anon_sym_noreturn] = ACTIONS(2611),
    [anon_sym__Nonnull] = ACTIONS(2611),
    [anon_sym_mutable] = ACTIONS(2611),
    [anon_sym_constinit] = ACTIONS(2611),
    [anon_sym_consteval] = ACTIONS(2611),
    [anon_sym_alignas] = ACTIONS(2611),
    [anon_sym__Alignas] = ACTIONS(2611),
    [sym_primitive_type] = ACTIONS(2611),
    [anon_sym_enum] = ACTIONS(2611),
    [anon_sym_class] = ACTIONS(2611),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2611),
    [anon_sym_if] = ACTIONS(2611),
    [anon_sym_switch] = ACTIONS(2611),
    [anon_sym_case] = ACTIONS(2611),
    [anon_sym_default] = ACTIONS(2611),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2611),
    [anon_sym_break] = ACTIONS(2611),
    [anon_sym_continue] = ACTIONS(2611),
    [anon_sym_goto] = ACTIONS(2611),
    [anon_sym___try] = ACTIONS(2611),
    [anon_sym___leave] = ACTIONS(2611),
    [anon_sym_not] = ACTIONS(2611),
    [anon_sym_compl] = ACTIONS(2611),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2611),
    [anon_sym___alignof] = ACTIONS(2611),
    [anon_sym__alignof] = ACTIONS(2611),
    [anon_sym_alignof] = ACTIONS(2611),
    [anon_sym__Alignof] = ACTIONS(2611),
    [anon_sym_offsetof] = ACTIONS(2611),
    [anon_sym__Generic] = ACTIONS(2611),
    [anon_sym_asm] = ACTIONS(2611),
    [anon_sym___asm__] = ACTIONS(2611),
    [anon_sym___asm] = ACTIONS(2611),
    [sym_number_literal] = ACTIONS(2613),
    [anon_sym_L_SQUOTE] = ACTIONS(2613),
    [anon_sym_u_SQUOTE] = ACTIONS(2613),
    [anon_sym_U_SQUOTE] = ACTIONS(2613),
    [anon_sym_u8_SQUOTE] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_L_DQUOTE] = ACTIONS(2613),
    [anon_sym_u_DQUOTE] = ACTIONS(2613),
    [anon_sym_U_DQUOTE] = ACTIONS(2613),
    [anon_sym_u8_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_true] = ACTIONS(2611),
    [sym_false] = ACTIONS(2611),
    [anon_sym_NULL] = ACTIONS(2611),
    [anon_sym_nullptr] = ACTIONS(2611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2611),
    [anon_sym_decltype] = ACTIONS(2611),
    [anon_sym_explicit] = ACTIONS(2611),
    [anon_sym_typename] = ACTIONS(2611),
    [anon_sym_template] = ACTIONS(2611),
    [anon_sym_operator] = ACTIONS(2611),
    [anon_sym_try] = ACTIONS(2611),
    [anon_sym_delete] = ACTIONS(2611),
    [anon_sym_throw] = ACTIONS(2611),
    [anon_sym_namespace] = ACTIONS(2611),
    [anon_sym_using] = ACTIONS(2611),
    [anon_sym_static_assert] = ACTIONS(2611),
    [anon_sym_concept] = ACTIONS(2611),
    [anon_sym_co_return] = ACTIONS(2611),
    [anon_sym_co_yield] = ACTIONS(2611),
    [anon_sym_R_DQUOTE] = ACTIONS(2613),
    [anon_sym_LR_DQUOTE] = ACTIONS(2613),
    [anon_sym_uR_DQUOTE] = ACTIONS(2613),
    [anon_sym_UR_DQUOTE] = ACTIONS(2613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2613),
    [anon_sym_co_await] = ACTIONS(2611),
    [anon_sym_new] = ACTIONS(2611),
    [anon_sym_requires] = ACTIONS(2611),
    [sym_this] = ACTIONS(2611),
    [anon_sym_discard] = ACTIONS(2611),
    [anon_sym_precise] = ACTIONS(2611),
    [anon_sym_shared] = ACTIONS(2611),
    [anon_sym_groupshared] = ACTIONS(2611),
    [anon_sym_uniform] = ACTIONS(2611),
    [anon_sym_row_major] = ACTIONS(2611),
    [anon_sym_column_major] = ACTIONS(2611),
    [anon_sym_globallycoherent] = ACTIONS(2611),
    [anon_sym_centroid] = ACTIONS(2611),
    [anon_sym_noperspective] = ACTIONS(2611),
    [anon_sym_nointerpolation] = ACTIONS(2611),
    [anon_sym_sample] = ACTIONS(2611),
    [anon_sym_linear] = ACTIONS(2611),
    [anon_sym_snorm] = ACTIONS(2611),
    [anon_sym_unorm] = ACTIONS(2611),
    [anon_sym_point] = ACTIONS(2611),
    [anon_sym_line] = ACTIONS(2611),
    [anon_sym_triangleadj] = ACTIONS(2611),
    [anon_sym_lineadj] = ACTIONS(2611),
    [anon_sym_triangle] = ACTIONS(2611),
    [anon_sym_cbuffer] = ACTIONS(2611),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2615),
    [aux_sym_preproc_include_token1] = ACTIONS(2615),
    [aux_sym_preproc_def_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token2] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2615),
    [aux_sym_preproc_else_token1] = ACTIONS(2615),
    [aux_sym_preproc_elif_token1] = ACTIONS(2615),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2615),
    [sym_preproc_directive] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2615),
    [anon_sym_typedef] = ACTIONS(2615),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_out] = ACTIONS(2615),
    [anon_sym_inout] = ACTIONS(2615),
    [anon_sym_virtual] = ACTIONS(2615),
    [anon_sym_extern] = ACTIONS(2615),
    [anon_sym___attribute__] = ACTIONS(2615),
    [anon_sym___attribute] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2617),
    [anon_sym___declspec] = ACTIONS(2615),
    [anon_sym___based] = ACTIONS(2615),
    [anon_sym___cdecl] = ACTIONS(2615),
    [anon_sym___clrcall] = ACTIONS(2615),
    [anon_sym___stdcall] = ACTIONS(2615),
    [anon_sym___fastcall] = ACTIONS(2615),
    [anon_sym___thiscall] = ACTIONS(2615),
    [anon_sym___vectorcall] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2615),
    [anon_sym_unsigned] = ACTIONS(2615),
    [anon_sym_long] = ACTIONS(2615),
    [anon_sym_short] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_register] = ACTIONS(2615),
    [anon_sym_inline] = ACTIONS(2615),
    [anon_sym___inline] = ACTIONS(2615),
    [anon_sym___inline__] = ACTIONS(2615),
    [anon_sym___forceinline] = ACTIONS(2615),
    [anon_sym_thread_local] = ACTIONS(2615),
    [anon_sym___thread] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_constexpr] = ACTIONS(2615),
    [anon_sym_volatile] = ACTIONS(2615),
    [anon_sym_restrict] = ACTIONS(2615),
    [anon_sym___restrict__] = ACTIONS(2615),
    [anon_sym__Atomic] = ACTIONS(2615),
    [anon_sym__Noreturn] = ACTIONS(2615),
    [anon_sym_noreturn] = ACTIONS(2615),
    [anon_sym__Nonnull] = ACTIONS(2615),
    [anon_sym_mutable] = ACTIONS(2615),
    [anon_sym_constinit] = ACTIONS(2615),
    [anon_sym_consteval] = ACTIONS(2615),
    [anon_sym_alignas] = ACTIONS(2615),
    [anon_sym__Alignas] = ACTIONS(2615),
    [sym_primitive_type] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_struct] = ACTIONS(2615),
    [anon_sym_union] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_default] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_goto] = ACTIONS(2615),
    [anon_sym___try] = ACTIONS(2615),
    [anon_sym___leave] = ACTIONS(2615),
    [anon_sym_not] = ACTIONS(2615),
    [anon_sym_compl] = ACTIONS(2615),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_sizeof] = ACTIONS(2615),
    [anon_sym___alignof__] = ACTIONS(2615),
    [anon_sym___alignof] = ACTIONS(2615),
    [anon_sym__alignof] = ACTIONS(2615),
    [anon_sym_alignof] = ACTIONS(2615),
    [anon_sym__Alignof] = ACTIONS(2615),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2615),
    [anon_sym_asm] = ACTIONS(2615),
    [anon_sym___asm__] = ACTIONS(2615),
    [anon_sym___asm] = ACTIONS(2615),
    [sym_number_literal] = ACTIONS(2617),
    [anon_sym_L_SQUOTE] = ACTIONS(2617),
    [anon_sym_u_SQUOTE] = ACTIONS(2617),
    [anon_sym_U_SQUOTE] = ACTIONS(2617),
    [anon_sym_u8_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_L_DQUOTE] = ACTIONS(2617),
    [anon_sym_u_DQUOTE] = ACTIONS(2617),
    [anon_sym_U_DQUOTE] = ACTIONS(2617),
    [anon_sym_u8_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [anon_sym_NULL] = ACTIONS(2615),
    [anon_sym_nullptr] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2615),
    [anon_sym_decltype] = ACTIONS(2615),
    [anon_sym_explicit] = ACTIONS(2615),
    [anon_sym_typename] = ACTIONS(2615),
    [anon_sym_template] = ACTIONS(2615),
    [anon_sym_operator] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_namespace] = ACTIONS(2615),
    [anon_sym_using] = ACTIONS(2615),
    [anon_sym_static_assert] = ACTIONS(2615),
    [anon_sym_concept] = ACTIONS(2615),
    [anon_sym_co_return] = ACTIONS(2615),
    [anon_sym_co_yield] = ACTIONS(2615),
    [anon_sym_R_DQUOTE] = ACTIONS(2617),
    [anon_sym_LR_DQUOTE] = ACTIONS(2617),
    [anon_sym_uR_DQUOTE] = ACTIONS(2617),
    [anon_sym_UR_DQUOTE] = ACTIONS(2617),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2617),
    [anon_sym_co_await] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_requires] = ACTIONS(2615),
    [sym_this] = ACTIONS(2615),
    [anon_sym_discard] = ACTIONS(2615),
    [anon_sym_precise] = ACTIONS(2615),
    [anon_sym_shared] = ACTIONS(2615),
    [anon_sym_groupshared] = ACTIONS(2615),
    [anon_sym_uniform] = ACTIONS(2615),
    [anon_sym_row_major] = ACTIONS(2615),
    [anon_sym_column_major] = ACTIONS(2615),
    [anon_sym_globallycoherent] = ACTIONS(2615),
    [anon_sym_centroid] = ACTIONS(2615),
    [anon_sym_noperspective] = ACTIONS(2615),
    [anon_sym_nointerpolation] = ACTIONS(2615),
    [anon_sym_sample] = ACTIONS(2615),
    [anon_sym_linear] = ACTIONS(2615),
    [anon_sym_snorm] = ACTIONS(2615),
    [anon_sym_unorm] = ACTIONS(2615),
    [anon_sym_point] = ACTIONS(2615),
    [anon_sym_line] = ACTIONS(2615),
    [anon_sym_triangleadj] = ACTIONS(2615),
    [anon_sym_lineadj] = ACTIONS(2615),
    [anon_sym_triangle] = ACTIONS(2615),
    [anon_sym_cbuffer] = ACTIONS(2615),
  },
  [343] = {
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [344] = {
    [sym_identifier] = ACTIONS(2619),
    [aux_sym_preproc_include_token1] = ACTIONS(2619),
    [aux_sym_preproc_def_token1] = ACTIONS(2619),
    [aux_sym_preproc_if_token1] = ACTIONS(2619),
    [aux_sym_preproc_if_token2] = ACTIONS(2619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2619),
    [aux_sym_preproc_else_token1] = ACTIONS(2619),
    [aux_sym_preproc_elif_token1] = ACTIONS(2619),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2619),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2619),
    [sym_preproc_directive] = ACTIONS(2619),
    [anon_sym_LPAREN2] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym___extension__] = ACTIONS(2619),
    [anon_sym_typedef] = ACTIONS(2619),
    [anon_sym_in] = ACTIONS(2619),
    [anon_sym_out] = ACTIONS(2619),
    [anon_sym_inout] = ACTIONS(2619),
    [anon_sym_virtual] = ACTIONS(2619),
    [anon_sym_extern] = ACTIONS(2619),
    [anon_sym___attribute__] = ACTIONS(2619),
    [anon_sym___attribute] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2621),
    [anon_sym___declspec] = ACTIONS(2619),
    [anon_sym___based] = ACTIONS(2619),
    [anon_sym___cdecl] = ACTIONS(2619),
    [anon_sym___clrcall] = ACTIONS(2619),
    [anon_sym___stdcall] = ACTIONS(2619),
    [anon_sym___fastcall] = ACTIONS(2619),
    [anon_sym___thiscall] = ACTIONS(2619),
    [anon_sym___vectorcall] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_signed] = ACTIONS(2619),
    [anon_sym_unsigned] = ACTIONS(2619),
    [anon_sym_long] = ACTIONS(2619),
    [anon_sym_short] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [anon_sym_static] = ACTIONS(2619),
    [anon_sym_register] = ACTIONS(2619),
    [anon_sym_inline] = ACTIONS(2619),
    [anon_sym___inline] = ACTIONS(2619),
    [anon_sym___inline__] = ACTIONS(2619),
    [anon_sym___forceinline] = ACTIONS(2619),
    [anon_sym_thread_local] = ACTIONS(2619),
    [anon_sym___thread] = ACTIONS(2619),
    [anon_sym_const] = ACTIONS(2619),
    [anon_sym_constexpr] = ACTIONS(2619),
    [anon_sym_volatile] = ACTIONS(2619),
    [anon_sym_restrict] = ACTIONS(2619),
    [anon_sym___restrict__] = ACTIONS(2619),
    [anon_sym__Atomic] = ACTIONS(2619),
    [anon_sym__Noreturn] = ACTIONS(2619),
    [anon_sym_noreturn] = ACTIONS(2619),
    [anon_sym__Nonnull] = ACTIONS(2619),
    [anon_sym_mutable] = ACTIONS(2619),
    [anon_sym_constinit] = ACTIONS(2619),
    [anon_sym_consteval] = ACTIONS(2619),
    [anon_sym_alignas] = ACTIONS(2619),
    [anon_sym__Alignas] = ACTIONS(2619),
    [sym_primitive_type] = ACTIONS(2619),
    [anon_sym_enum] = ACTIONS(2619),
    [anon_sym_class] = ACTIONS(2619),
    [anon_sym_struct] = ACTIONS(2619),
    [anon_sym_union] = ACTIONS(2619),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_switch] = ACTIONS(2619),
    [anon_sym_case] = ACTIONS(2619),
    [anon_sym_default] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(2619),
    [anon_sym_do] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2619),
    [anon_sym_return] = ACTIONS(2619),
    [anon_sym_break] = ACTIONS(2619),
    [anon_sym_continue] = ACTIONS(2619),
    [anon_sym_goto] = ACTIONS(2619),
    [anon_sym___try] = ACTIONS(2619),
    [anon_sym___leave] = ACTIONS(2619),
    [anon_sym_not] = ACTIONS(2619),
    [anon_sym_compl] = ACTIONS(2619),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_sizeof] = ACTIONS(2619),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2619),
    [anon_sym__Generic] = ACTIONS(2619),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [sym_number_literal] = ACTIONS(2621),
    [anon_sym_L_SQUOTE] = ACTIONS(2621),
    [anon_sym_u_SQUOTE] = ACTIONS(2621),
    [anon_sym_U_SQUOTE] = ACTIONS(2621),
    [anon_sym_u8_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_L_DQUOTE] = ACTIONS(2621),
    [anon_sym_u_DQUOTE] = ACTIONS(2621),
    [anon_sym_U_DQUOTE] = ACTIONS(2621),
    [anon_sym_u8_DQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [sym_true] = ACTIONS(2619),
    [sym_false] = ACTIONS(2619),
    [anon_sym_NULL] = ACTIONS(2619),
    [anon_sym_nullptr] = ACTIONS(2619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2619),
    [anon_sym_decltype] = ACTIONS(2619),
    [anon_sym_explicit] = ACTIONS(2619),
    [anon_sym_typename] = ACTIONS(2619),
    [anon_sym_template] = ACTIONS(2619),
    [anon_sym_operator] = ACTIONS(2619),
    [anon_sym_try] = ACTIONS(2619),
    [anon_sym_delete] = ACTIONS(2619),
    [anon_sym_throw] = ACTIONS(2619),
    [anon_sym_namespace] = ACTIONS(2619),
    [anon_sym_using] = ACTIONS(2619),
    [anon_sym_static_assert] = ACTIONS(2619),
    [anon_sym_concept] = ACTIONS(2619),
    [anon_sym_co_return] = ACTIONS(2619),
    [anon_sym_co_yield] = ACTIONS(2619),
    [anon_sym_R_DQUOTE] = ACTIONS(2621),
    [anon_sym_LR_DQUOTE] = ACTIONS(2621),
    [anon_sym_uR_DQUOTE] = ACTIONS(2621),
    [anon_sym_UR_DQUOTE] = ACTIONS(2621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2621),
    [anon_sym_co_await] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2619),
    [anon_sym_requires] = ACTIONS(2619),
    [sym_this] = ACTIONS(2619),
    [anon_sym_discard] = ACTIONS(2619),
    [anon_sym_precise] = ACTIONS(2619),
    [anon_sym_shared] = ACTIONS(2619),
    [anon_sym_groupshared] = ACTIONS(2619),
    [anon_sym_uniform] = ACTIONS(2619),
    [anon_sym_row_major] = ACTIONS(2619),
    [anon_sym_column_major] = ACTIONS(2619),
    [anon_sym_globallycoherent] = ACTIONS(2619),
    [anon_sym_centroid] = ACTIONS(2619),
    [anon_sym_noperspective] = ACTIONS(2619),
    [anon_sym_nointerpolation] = ACTIONS(2619),
    [anon_sym_sample] = ACTIONS(2619),
    [anon_sym_linear] = ACTIONS(2619),
    [anon_sym_snorm] = ACTIONS(2619),
    [anon_sym_unorm] = ACTIONS(2619),
    [anon_sym_point] = ACTIONS(2619),
    [anon_sym_line] = ACTIONS(2619),
    [anon_sym_triangleadj] = ACTIONS(2619),
    [anon_sym_lineadj] = ACTIONS(2619),
    [anon_sym_triangle] = ACTIONS(2619),
    [anon_sym_cbuffer] = ACTIONS(2619),
  },
  [345] = {
    [sym_identifier] = ACTIONS(2623),
    [aux_sym_preproc_include_token1] = ACTIONS(2623),
    [aux_sym_preproc_def_token1] = ACTIONS(2623),
    [aux_sym_preproc_if_token1] = ACTIONS(2623),
    [aux_sym_preproc_if_token2] = ACTIONS(2623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2623),
    [aux_sym_preproc_else_token1] = ACTIONS(2623),
    [aux_sym_preproc_elif_token1] = ACTIONS(2623),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2623),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2623),
    [sym_preproc_directive] = ACTIONS(2623),
    [anon_sym_LPAREN2] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym___extension__] = ACTIONS(2623),
    [anon_sym_typedef] = ACTIONS(2623),
    [anon_sym_in] = ACTIONS(2623),
    [anon_sym_out] = ACTIONS(2623),
    [anon_sym_inout] = ACTIONS(2623),
    [anon_sym_virtual] = ACTIONS(2623),
    [anon_sym_extern] = ACTIONS(2623),
    [anon_sym___attribute__] = ACTIONS(2623),
    [anon_sym___attribute] = ACTIONS(2623),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2625),
    [anon_sym___declspec] = ACTIONS(2623),
    [anon_sym___based] = ACTIONS(2623),
    [anon_sym___cdecl] = ACTIONS(2623),
    [anon_sym___clrcall] = ACTIONS(2623),
    [anon_sym___stdcall] = ACTIONS(2623),
    [anon_sym___fastcall] = ACTIONS(2623),
    [anon_sym___thiscall] = ACTIONS(2623),
    [anon_sym___vectorcall] = ACTIONS(2623),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_signed] = ACTIONS(2623),
    [anon_sym_unsigned] = ACTIONS(2623),
    [anon_sym_long] = ACTIONS(2623),
    [anon_sym_short] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [anon_sym_static] = ACTIONS(2623),
    [anon_sym_register] = ACTIONS(2623),
    [anon_sym_inline] = ACTIONS(2623),
    [anon_sym___inline] = ACTIONS(2623),
    [anon_sym___inline__] = ACTIONS(2623),
    [anon_sym___forceinline] = ACTIONS(2623),
    [anon_sym_thread_local] = ACTIONS(2623),
    [anon_sym___thread] = ACTIONS(2623),
    [anon_sym_const] = ACTIONS(2623),
    [anon_sym_constexpr] = ACTIONS(2623),
    [anon_sym_volatile] = ACTIONS(2623),
    [anon_sym_restrict] = ACTIONS(2623),
    [anon_sym___restrict__] = ACTIONS(2623),
    [anon_sym__Atomic] = ACTIONS(2623),
    [anon_sym__Noreturn] = ACTIONS(2623),
    [anon_sym_noreturn] = ACTIONS(2623),
    [anon_sym__Nonnull] = ACTIONS(2623),
    [anon_sym_mutable] = ACTIONS(2623),
    [anon_sym_constinit] = ACTIONS(2623),
    [anon_sym_consteval] = ACTIONS(2623),
    [anon_sym_alignas] = ACTIONS(2623),
    [anon_sym__Alignas] = ACTIONS(2623),
    [sym_primitive_type] = ACTIONS(2623),
    [anon_sym_enum] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(2623),
    [anon_sym_struct] = ACTIONS(2623),
    [anon_sym_union] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_switch] = ACTIONS(2623),
    [anon_sym_case] = ACTIONS(2623),
    [anon_sym_default] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2623),
    [anon_sym_for] = ACTIONS(2623),
    [anon_sym_return] = ACTIONS(2623),
    [anon_sym_break] = ACTIONS(2623),
    [anon_sym_continue] = ACTIONS(2623),
    [anon_sym_goto] = ACTIONS(2623),
    [anon_sym___try] = ACTIONS(2623),
    [anon_sym___leave] = ACTIONS(2623),
    [anon_sym_not] = ACTIONS(2623),
    [anon_sym_compl] = ACTIONS(2623),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_sizeof] = ACTIONS(2623),
    [anon_sym___alignof__] = ACTIONS(2623),
    [anon_sym___alignof] = ACTIONS(2623),
    [anon_sym__alignof] = ACTIONS(2623),
    [anon_sym_alignof] = ACTIONS(2623),
    [anon_sym__Alignof] = ACTIONS(2623),
    [anon_sym_offsetof] = ACTIONS(2623),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2623),
    [anon_sym___asm__] = ACTIONS(2623),
    [anon_sym___asm] = ACTIONS(2623),
    [sym_number_literal] = ACTIONS(2625),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2625),
    [anon_sym_u_DQUOTE] = ACTIONS(2625),
    [anon_sym_U_DQUOTE] = ACTIONS(2625),
    [anon_sym_u8_DQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [sym_true] = ACTIONS(2623),
    [sym_false] = ACTIONS(2623),
    [anon_sym_NULL] = ACTIONS(2623),
    [anon_sym_nullptr] = ACTIONS(2623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2623),
    [anon_sym_decltype] = ACTIONS(2623),
    [anon_sym_explicit] = ACTIONS(2623),
    [anon_sym_typename] = ACTIONS(2623),
    [anon_sym_template] = ACTIONS(2623),
    [anon_sym_operator] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_delete] = ACTIONS(2623),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_namespace] = ACTIONS(2623),
    [anon_sym_using] = ACTIONS(2623),
    [anon_sym_static_assert] = ACTIONS(2623),
    [anon_sym_concept] = ACTIONS(2623),
    [anon_sym_co_return] = ACTIONS(2623),
    [anon_sym_co_yield] = ACTIONS(2623),
    [anon_sym_R_DQUOTE] = ACTIONS(2625),
    [anon_sym_LR_DQUOTE] = ACTIONS(2625),
    [anon_sym_uR_DQUOTE] = ACTIONS(2625),
    [anon_sym_UR_DQUOTE] = ACTIONS(2625),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2625),
    [anon_sym_co_await] = ACTIONS(2623),
    [anon_sym_new] = ACTIONS(2623),
    [anon_sym_requires] = ACTIONS(2623),
    [sym_this] = ACTIONS(2623),
    [anon_sym_discard] = ACTIONS(2623),
    [anon_sym_precise] = ACTIONS(2623),
    [anon_sym_shared] = ACTIONS(2623),
    [anon_sym_groupshared] = ACTIONS(2623),
    [anon_sym_uniform] = ACTIONS(2623),
    [anon_sym_row_major] = ACTIONS(2623),
    [anon_sym_column_major] = ACTIONS(2623),
    [anon_sym_globallycoherent] = ACTIONS(2623),
    [anon_sym_centroid] = ACTIONS(2623),
    [anon_sym_noperspective] = ACTIONS(2623),
    [anon_sym_nointerpolation] = ACTIONS(2623),
    [anon_sym_sample] = ACTIONS(2623),
    [anon_sym_linear] = ACTIONS(2623),
    [anon_sym_snorm] = ACTIONS(2623),
    [anon_sym_unorm] = ACTIONS(2623),
    [anon_sym_point] = ACTIONS(2623),
    [anon_sym_line] = ACTIONS(2623),
    [anon_sym_triangleadj] = ACTIONS(2623),
    [anon_sym_lineadj] = ACTIONS(2623),
    [anon_sym_triangle] = ACTIONS(2623),
    [anon_sym_cbuffer] = ACTIONS(2623),
  },
  [346] = {
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [347] = {
    [sym_identifier] = ACTIONS(1987),
    [aux_sym_preproc_include_token1] = ACTIONS(1987),
    [aux_sym_preproc_def_token1] = ACTIONS(1987),
    [aux_sym_preproc_if_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1987),
    [sym_preproc_directive] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_namespace] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_static_assert] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [348] = {
    [sym_identifier] = ACTIONS(2003),
    [aux_sym_preproc_include_token1] = ACTIONS(2003),
    [aux_sym_preproc_def_token1] = ACTIONS(2003),
    [aux_sym_preproc_if_token1] = ACTIONS(2003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2003),
    [sym_preproc_directive] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_AMP_AMP] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_SEMI] = ACTIONS(2005),
    [anon_sym___extension__] = ACTIONS(2003),
    [anon_sym_typedef] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(2003),
    [anon_sym_out] = ACTIONS(2003),
    [anon_sym_inout] = ACTIONS(2003),
    [anon_sym_virtual] = ACTIONS(2003),
    [anon_sym_extern] = ACTIONS(2003),
    [anon_sym___attribute__] = ACTIONS(2003),
    [anon_sym___attribute] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2005),
    [anon_sym___declspec] = ACTIONS(2003),
    [anon_sym___based] = ACTIONS(2003),
    [anon_sym___cdecl] = ACTIONS(2003),
    [anon_sym___clrcall] = ACTIONS(2003),
    [anon_sym___stdcall] = ACTIONS(2003),
    [anon_sym___fastcall] = ACTIONS(2003),
    [anon_sym___thiscall] = ACTIONS(2003),
    [anon_sym___vectorcall] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_RBRACE] = ACTIONS(2005),
    [anon_sym_signed] = ACTIONS(2003),
    [anon_sym_unsigned] = ACTIONS(2003),
    [anon_sym_long] = ACTIONS(2003),
    [anon_sym_short] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_static] = ACTIONS(2003),
    [anon_sym_register] = ACTIONS(2003),
    [anon_sym_inline] = ACTIONS(2003),
    [anon_sym___inline] = ACTIONS(2003),
    [anon_sym___inline__] = ACTIONS(2003),
    [anon_sym___forceinline] = ACTIONS(2003),
    [anon_sym_thread_local] = ACTIONS(2003),
    [anon_sym___thread] = ACTIONS(2003),
    [anon_sym_const] = ACTIONS(2003),
    [anon_sym_constexpr] = ACTIONS(2003),
    [anon_sym_volatile] = ACTIONS(2003),
    [anon_sym_restrict] = ACTIONS(2003),
    [anon_sym___restrict__] = ACTIONS(2003),
    [anon_sym__Atomic] = ACTIONS(2003),
    [anon_sym__Noreturn] = ACTIONS(2003),
    [anon_sym_noreturn] = ACTIONS(2003),
    [anon_sym__Nonnull] = ACTIONS(2003),
    [anon_sym_mutable] = ACTIONS(2003),
    [anon_sym_constinit] = ACTIONS(2003),
    [anon_sym_consteval] = ACTIONS(2003),
    [anon_sym_alignas] = ACTIONS(2003),
    [anon_sym__Alignas] = ACTIONS(2003),
    [sym_primitive_type] = ACTIONS(2003),
    [anon_sym_enum] = ACTIONS(2003),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2003),
    [anon_sym_union] = ACTIONS(2003),
    [anon_sym_if] = ACTIONS(2003),
    [anon_sym_else] = ACTIONS(2003),
    [anon_sym_switch] = ACTIONS(2003),
    [anon_sym_case] = ACTIONS(2003),
    [anon_sym_default] = ACTIONS(2003),
    [anon_sym_while] = ACTIONS(2003),
    [anon_sym_do] = ACTIONS(2003),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_return] = ACTIONS(2003),
    [anon_sym_break] = ACTIONS(2003),
    [anon_sym_continue] = ACTIONS(2003),
    [anon_sym_goto] = ACTIONS(2003),
    [anon_sym___try] = ACTIONS(2003),
    [anon_sym___leave] = ACTIONS(2003),
    [anon_sym_not] = ACTIONS(2003),
    [anon_sym_compl] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_sizeof] = ACTIONS(2003),
    [anon_sym___alignof__] = ACTIONS(2003),
    [anon_sym___alignof] = ACTIONS(2003),
    [anon_sym__alignof] = ACTIONS(2003),
    [anon_sym_alignof] = ACTIONS(2003),
    [anon_sym__Alignof] = ACTIONS(2003),
    [anon_sym_offsetof] = ACTIONS(2003),
    [anon_sym__Generic] = ACTIONS(2003),
    [anon_sym_asm] = ACTIONS(2003),
    [anon_sym___asm__] = ACTIONS(2003),
    [anon_sym___asm] = ACTIONS(2003),
    [sym_number_literal] = ACTIONS(2005),
    [anon_sym_L_SQUOTE] = ACTIONS(2005),
    [anon_sym_u_SQUOTE] = ACTIONS(2005),
    [anon_sym_U_SQUOTE] = ACTIONS(2005),
    [anon_sym_u8_SQUOTE] = ACTIONS(2005),
    [anon_sym_SQUOTE] = ACTIONS(2005),
    [anon_sym_L_DQUOTE] = ACTIONS(2005),
    [anon_sym_u_DQUOTE] = ACTIONS(2005),
    [anon_sym_U_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8_DQUOTE] = ACTIONS(2005),
    [anon_sym_DQUOTE] = ACTIONS(2005),
    [sym_true] = ACTIONS(2003),
    [sym_false] = ACTIONS(2003),
    [anon_sym_NULL] = ACTIONS(2003),
    [anon_sym_nullptr] = ACTIONS(2003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2003),
    [anon_sym_decltype] = ACTIONS(2003),
    [anon_sym_final] = ACTIONS(2003),
    [anon_sym_override] = ACTIONS(2003),
    [anon_sym_explicit] = ACTIONS(2003),
    [anon_sym_typename] = ACTIONS(2003),
    [anon_sym_template] = ACTIONS(2003),
    [anon_sym_operator] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2003),
    [anon_sym_delete] = ACTIONS(2003),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_namespace] = ACTIONS(2003),
    [anon_sym_using] = ACTIONS(2003),
    [anon_sym_static_assert] = ACTIONS(2003),
    [anon_sym_concept] = ACTIONS(2003),
    [anon_sym_co_return] = ACTIONS(2003),
    [anon_sym_co_yield] = ACTIONS(2003),
    [anon_sym_R_DQUOTE] = ACTIONS(2005),
    [anon_sym_LR_DQUOTE] = ACTIONS(2005),
    [anon_sym_uR_DQUOTE] = ACTIONS(2005),
    [anon_sym_UR_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2005),
    [anon_sym_co_await] = ACTIONS(2003),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_requires] = ACTIONS(2003),
    [sym_this] = ACTIONS(2003),
    [anon_sym_discard] = ACTIONS(2003),
    [anon_sym_precise] = ACTIONS(2003),
    [anon_sym_shared] = ACTIONS(2003),
    [anon_sym_groupshared] = ACTIONS(2003),
    [anon_sym_uniform] = ACTIONS(2003),
    [anon_sym_row_major] = ACTIONS(2003),
    [anon_sym_column_major] = ACTIONS(2003),
    [anon_sym_globallycoherent] = ACTIONS(2003),
    [anon_sym_centroid] = ACTIONS(2003),
    [anon_sym_noperspective] = ACTIONS(2003),
    [anon_sym_nointerpolation] = ACTIONS(2003),
    [anon_sym_sample] = ACTIONS(2003),
    [anon_sym_linear] = ACTIONS(2003),
    [anon_sym_snorm] = ACTIONS(2003),
    [anon_sym_unorm] = ACTIONS(2003),
    [anon_sym_point] = ACTIONS(2003),
    [anon_sym_line] = ACTIONS(2003),
    [anon_sym_triangleadj] = ACTIONS(2003),
    [anon_sym_lineadj] = ACTIONS(2003),
    [anon_sym_triangle] = ACTIONS(2003),
    [anon_sym_cbuffer] = ACTIONS(2003),
  },
  [349] = {
    [sym_identifier] = ACTIONS(2007),
    [aux_sym_preproc_include_token1] = ACTIONS(2007),
    [aux_sym_preproc_def_token1] = ACTIONS(2007),
    [aux_sym_preproc_if_token1] = ACTIONS(2007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2007),
    [sym_preproc_directive] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2009),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2009),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_typedef] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym___cdecl] = ACTIONS(2007),
    [anon_sym___clrcall] = ACTIONS(2007),
    [anon_sym___stdcall] = ACTIONS(2007),
    [anon_sym___fastcall] = ACTIONS(2007),
    [anon_sym___thiscall] = ACTIONS(2007),
    [anon_sym___vectorcall] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(2009),
    [anon_sym_signed] = ACTIONS(2007),
    [anon_sym_unsigned] = ACTIONS(2007),
    [anon_sym_long] = ACTIONS(2007),
    [anon_sym_short] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [sym_primitive_type] = ACTIONS(2007),
    [anon_sym_enum] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_struct] = ACTIONS(2007),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_else] = ACTIONS(2007),
    [anon_sym_switch] = ACTIONS(2007),
    [anon_sym_case] = ACTIONS(2007),
    [anon_sym_default] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym___try] = ACTIONS(2007),
    [anon_sym___leave] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_compl] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2007),
    [anon_sym___alignof__] = ACTIONS(2007),
    [anon_sym___alignof] = ACTIONS(2007),
    [anon_sym__alignof] = ACTIONS(2007),
    [anon_sym_alignof] = ACTIONS(2007),
    [anon_sym__Alignof] = ACTIONS(2007),
    [anon_sym_offsetof] = ACTIONS(2007),
    [anon_sym__Generic] = ACTIONS(2007),
    [anon_sym_asm] = ACTIONS(2007),
    [anon_sym___asm__] = ACTIONS(2007),
    [anon_sym___asm] = ACTIONS(2007),
    [sym_number_literal] = ACTIONS(2009),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2009),
    [anon_sym_u_DQUOTE] = ACTIONS(2009),
    [anon_sym_U_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8_DQUOTE] = ACTIONS(2009),
    [anon_sym_DQUOTE] = ACTIONS(2009),
    [sym_true] = ACTIONS(2007),
    [sym_false] = ACTIONS(2007),
    [anon_sym_NULL] = ACTIONS(2007),
    [anon_sym_nullptr] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_final] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_explicit] = ACTIONS(2007),
    [anon_sym_typename] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_namespace] = ACTIONS(2007),
    [anon_sym_using] = ACTIONS(2007),
    [anon_sym_static_assert] = ACTIONS(2007),
    [anon_sym_concept] = ACTIONS(2007),
    [anon_sym_co_return] = ACTIONS(2007),
    [anon_sym_co_yield] = ACTIONS(2007),
    [anon_sym_R_DQUOTE] = ACTIONS(2009),
    [anon_sym_LR_DQUOTE] = ACTIONS(2009),
    [anon_sym_uR_DQUOTE] = ACTIONS(2009),
    [anon_sym_UR_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2009),
    [anon_sym_co_await] = ACTIONS(2007),
    [anon_sym_new] = ACTIONS(2007),
    [anon_sym_requires] = ACTIONS(2007),
    [sym_this] = ACTIONS(2007),
    [anon_sym_discard] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
    [anon_sym_cbuffer] = ACTIONS(2007),
  },
  [350] = {
    [sym_identifier] = ACTIONS(2627),
    [aux_sym_preproc_include_token1] = ACTIONS(2627),
    [aux_sym_preproc_def_token1] = ACTIONS(2627),
    [aux_sym_preproc_if_token1] = ACTIONS(2627),
    [aux_sym_preproc_if_token2] = ACTIONS(2627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2627),
    [aux_sym_preproc_else_token1] = ACTIONS(2627),
    [aux_sym_preproc_elif_token1] = ACTIONS(2627),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2627),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2627),
    [sym_preproc_directive] = ACTIONS(2627),
    [anon_sym_LPAREN2] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2627),
    [anon_sym_typedef] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2627),
    [anon_sym_out] = ACTIONS(2627),
    [anon_sym_inout] = ACTIONS(2627),
    [anon_sym_virtual] = ACTIONS(2627),
    [anon_sym_extern] = ACTIONS(2627),
    [anon_sym___attribute__] = ACTIONS(2627),
    [anon_sym___attribute] = ACTIONS(2627),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2629),
    [anon_sym___declspec] = ACTIONS(2627),
    [anon_sym___based] = ACTIONS(2627),
    [anon_sym___cdecl] = ACTIONS(2627),
    [anon_sym___clrcall] = ACTIONS(2627),
    [anon_sym___stdcall] = ACTIONS(2627),
    [anon_sym___fastcall] = ACTIONS(2627),
    [anon_sym___thiscall] = ACTIONS(2627),
    [anon_sym___vectorcall] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2627),
    [anon_sym_unsigned] = ACTIONS(2627),
    [anon_sym_long] = ACTIONS(2627),
    [anon_sym_short] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_static] = ACTIONS(2627),
    [anon_sym_register] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2627),
    [anon_sym___inline] = ACTIONS(2627),
    [anon_sym___inline__] = ACTIONS(2627),
    [anon_sym___forceinline] = ACTIONS(2627),
    [anon_sym_thread_local] = ACTIONS(2627),
    [anon_sym___thread] = ACTIONS(2627),
    [anon_sym_const] = ACTIONS(2627),
    [anon_sym_constexpr] = ACTIONS(2627),
    [anon_sym_volatile] = ACTIONS(2627),
    [anon_sym_restrict] = ACTIONS(2627),
    [anon_sym___restrict__] = ACTIONS(2627),
    [anon_sym__Atomic] = ACTIONS(2627),
    [anon_sym__Noreturn] = ACTIONS(2627),
    [anon_sym_noreturn] = ACTIONS(2627),
    [anon_sym__Nonnull] = ACTIONS(2627),
    [anon_sym_mutable] = ACTIONS(2627),
    [anon_sym_constinit] = ACTIONS(2627),
    [anon_sym_consteval] = ACTIONS(2627),
    [anon_sym_alignas] = ACTIONS(2627),
    [anon_sym__Alignas] = ACTIONS(2627),
    [sym_primitive_type] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2627),
    [anon_sym_class] = ACTIONS(2627),
    [anon_sym_struct] = ACTIONS(2627),
    [anon_sym_union] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_switch] = ACTIONS(2627),
    [anon_sym_case] = ACTIONS(2627),
    [anon_sym_default] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_do] = ACTIONS(2627),
    [anon_sym_for] = ACTIONS(2627),
    [anon_sym_return] = ACTIONS(2627),
    [anon_sym_break] = ACTIONS(2627),
    [anon_sym_continue] = ACTIONS(2627),
    [anon_sym_goto] = ACTIONS(2627),
    [anon_sym___try] = ACTIONS(2627),
    [anon_sym___leave] = ACTIONS(2627),
    [anon_sym_not] = ACTIONS(2627),
    [anon_sym_compl] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_sizeof] = ACTIONS(2627),
    [anon_sym___alignof__] = ACTIONS(2627),
    [anon_sym___alignof] = ACTIONS(2627),
    [anon_sym__alignof] = ACTIONS(2627),
    [anon_sym_alignof] = ACTIONS(2627),
    [anon_sym__Alignof] = ACTIONS(2627),
    [anon_sym_offsetof] = ACTIONS(2627),
    [anon_sym__Generic] = ACTIONS(2627),
    [anon_sym_asm] = ACTIONS(2627),
    [anon_sym___asm__] = ACTIONS(2627),
    [anon_sym___asm] = ACTIONS(2627),
    [sym_number_literal] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2629),
    [anon_sym_u_SQUOTE] = ACTIONS(2629),
    [anon_sym_U_SQUOTE] = ACTIONS(2629),
    [anon_sym_u8_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_L_DQUOTE] = ACTIONS(2629),
    [anon_sym_u_DQUOTE] = ACTIONS(2629),
    [anon_sym_U_DQUOTE] = ACTIONS(2629),
    [anon_sym_u8_DQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [sym_true] = ACTIONS(2627),
    [sym_false] = ACTIONS(2627),
    [anon_sym_NULL] = ACTIONS(2627),
    [anon_sym_nullptr] = ACTIONS(2627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2627),
    [anon_sym_decltype] = ACTIONS(2627),
    [anon_sym_explicit] = ACTIONS(2627),
    [anon_sym_typename] = ACTIONS(2627),
    [anon_sym_template] = ACTIONS(2627),
    [anon_sym_operator] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2627),
    [anon_sym_delete] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2627),
    [anon_sym_namespace] = ACTIONS(2627),
    [anon_sym_using] = ACTIONS(2627),
    [anon_sym_static_assert] = ACTIONS(2627),
    [anon_sym_concept] = ACTIONS(2627),
    [anon_sym_co_return] = ACTIONS(2627),
    [anon_sym_co_yield] = ACTIONS(2627),
    [anon_sym_R_DQUOTE] = ACTIONS(2629),
    [anon_sym_LR_DQUOTE] = ACTIONS(2629),
    [anon_sym_uR_DQUOTE] = ACTIONS(2629),
    [anon_sym_UR_DQUOTE] = ACTIONS(2629),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2629),
    [anon_sym_co_await] = ACTIONS(2627),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_requires] = ACTIONS(2627),
    [sym_this] = ACTIONS(2627),
    [anon_sym_discard] = ACTIONS(2627),
    [anon_sym_precise] = ACTIONS(2627),
    [anon_sym_shared] = ACTIONS(2627),
    [anon_sym_groupshared] = ACTIONS(2627),
    [anon_sym_uniform] = ACTIONS(2627),
    [anon_sym_row_major] = ACTIONS(2627),
    [anon_sym_column_major] = ACTIONS(2627),
    [anon_sym_globallycoherent] = ACTIONS(2627),
    [anon_sym_centroid] = ACTIONS(2627),
    [anon_sym_noperspective] = ACTIONS(2627),
    [anon_sym_nointerpolation] = ACTIONS(2627),
    [anon_sym_sample] = ACTIONS(2627),
    [anon_sym_linear] = ACTIONS(2627),
    [anon_sym_snorm] = ACTIONS(2627),
    [anon_sym_unorm] = ACTIONS(2627),
    [anon_sym_point] = ACTIONS(2627),
    [anon_sym_line] = ACTIONS(2627),
    [anon_sym_triangleadj] = ACTIONS(2627),
    [anon_sym_lineadj] = ACTIONS(2627),
    [anon_sym_triangle] = ACTIONS(2627),
    [anon_sym_cbuffer] = ACTIONS(2627),
  },
  [351] = {
    [sym_identifier] = ACTIONS(2631),
    [aux_sym_preproc_include_token1] = ACTIONS(2631),
    [aux_sym_preproc_def_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token2] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2631),
    [aux_sym_preproc_else_token1] = ACTIONS(2631),
    [aux_sym_preproc_elif_token1] = ACTIONS(2631),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2631),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2631),
    [sym_preproc_directive] = ACTIONS(2631),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2631),
    [anon_sym_typedef] = ACTIONS(2631),
    [anon_sym_in] = ACTIONS(2631),
    [anon_sym_out] = ACTIONS(2631),
    [anon_sym_inout] = ACTIONS(2631),
    [anon_sym_virtual] = ACTIONS(2631),
    [anon_sym_extern] = ACTIONS(2631),
    [anon_sym___attribute__] = ACTIONS(2631),
    [anon_sym___attribute] = ACTIONS(2631),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2633),
    [anon_sym___declspec] = ACTIONS(2631),
    [anon_sym___based] = ACTIONS(2631),
    [anon_sym___cdecl] = ACTIONS(2631),
    [anon_sym___clrcall] = ACTIONS(2631),
    [anon_sym___stdcall] = ACTIONS(2631),
    [anon_sym___fastcall] = ACTIONS(2631),
    [anon_sym___thiscall] = ACTIONS(2631),
    [anon_sym___vectorcall] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2631),
    [anon_sym_unsigned] = ACTIONS(2631),
    [anon_sym_long] = ACTIONS(2631),
    [anon_sym_short] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_register] = ACTIONS(2631),
    [anon_sym_inline] = ACTIONS(2631),
    [anon_sym___inline] = ACTIONS(2631),
    [anon_sym___inline__] = ACTIONS(2631),
    [anon_sym___forceinline] = ACTIONS(2631),
    [anon_sym_thread_local] = ACTIONS(2631),
    [anon_sym___thread] = ACTIONS(2631),
    [anon_sym_const] = ACTIONS(2631),
    [anon_sym_constexpr] = ACTIONS(2631),
    [anon_sym_volatile] = ACTIONS(2631),
    [anon_sym_restrict] = ACTIONS(2631),
    [anon_sym___restrict__] = ACTIONS(2631),
    [anon_sym__Atomic] = ACTIONS(2631),
    [anon_sym__Noreturn] = ACTIONS(2631),
    [anon_sym_noreturn] = ACTIONS(2631),
    [anon_sym__Nonnull] = ACTIONS(2631),
    [anon_sym_mutable] = ACTIONS(2631),
    [anon_sym_constinit] = ACTIONS(2631),
    [anon_sym_consteval] = ACTIONS(2631),
    [anon_sym_alignas] = ACTIONS(2631),
    [anon_sym__Alignas] = ACTIONS(2631),
    [sym_primitive_type] = ACTIONS(2631),
    [anon_sym_enum] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2631),
    [anon_sym_struct] = ACTIONS(2631),
    [anon_sym_union] = ACTIONS(2631),
    [anon_sym_if] = ACTIONS(2631),
    [anon_sym_switch] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2631),
    [anon_sym_default] = ACTIONS(2631),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_do] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_return] = ACTIONS(2631),
    [anon_sym_break] = ACTIONS(2631),
    [anon_sym_continue] = ACTIONS(2631),
    [anon_sym_goto] = ACTIONS(2631),
    [anon_sym___try] = ACTIONS(2631),
    [anon_sym___leave] = ACTIONS(2631),
    [anon_sym_not] = ACTIONS(2631),
    [anon_sym_compl] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_sizeof] = ACTIONS(2631),
    [anon_sym___alignof__] = ACTIONS(2631),
    [anon_sym___alignof] = ACTIONS(2631),
    [anon_sym__alignof] = ACTIONS(2631),
    [anon_sym_alignof] = ACTIONS(2631),
    [anon_sym__Alignof] = ACTIONS(2631),
    [anon_sym_offsetof] = ACTIONS(2631),
    [anon_sym__Generic] = ACTIONS(2631),
    [anon_sym_asm] = ACTIONS(2631),
    [anon_sym___asm__] = ACTIONS(2631),
    [anon_sym___asm] = ACTIONS(2631),
    [sym_number_literal] = ACTIONS(2633),
    [anon_sym_L_SQUOTE] = ACTIONS(2633),
    [anon_sym_u_SQUOTE] = ACTIONS(2633),
    [anon_sym_U_SQUOTE] = ACTIONS(2633),
    [anon_sym_u8_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2631),
    [anon_sym_decltype] = ACTIONS(2631),
    [anon_sym_explicit] = ACTIONS(2631),
    [anon_sym_typename] = ACTIONS(2631),
    [anon_sym_template] = ACTIONS(2631),
    [anon_sym_operator] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_delete] = ACTIONS(2631),
    [anon_sym_throw] = ACTIONS(2631),
    [anon_sym_namespace] = ACTIONS(2631),
    [anon_sym_using] = ACTIONS(2631),
    [anon_sym_static_assert] = ACTIONS(2631),
    [anon_sym_concept] = ACTIONS(2631),
    [anon_sym_co_return] = ACTIONS(2631),
    [anon_sym_co_yield] = ACTIONS(2631),
    [anon_sym_R_DQUOTE] = ACTIONS(2633),
    [anon_sym_LR_DQUOTE] = ACTIONS(2633),
    [anon_sym_uR_DQUOTE] = ACTIONS(2633),
    [anon_sym_UR_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2633),
    [anon_sym_co_await] = ACTIONS(2631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_requires] = ACTIONS(2631),
    [sym_this] = ACTIONS(2631),
    [anon_sym_discard] = ACTIONS(2631),
    [anon_sym_precise] = ACTIONS(2631),
    [anon_sym_shared] = ACTIONS(2631),
    [anon_sym_groupshared] = ACTIONS(2631),
    [anon_sym_uniform] = ACTIONS(2631),
    [anon_sym_row_major] = ACTIONS(2631),
    [anon_sym_column_major] = ACTIONS(2631),
    [anon_sym_globallycoherent] = ACTIONS(2631),
    [anon_sym_centroid] = ACTIONS(2631),
    [anon_sym_noperspective] = ACTIONS(2631),
    [anon_sym_nointerpolation] = ACTIONS(2631),
    [anon_sym_sample] = ACTIONS(2631),
    [anon_sym_linear] = ACTIONS(2631),
    [anon_sym_snorm] = ACTIONS(2631),
    [anon_sym_unorm] = ACTIONS(2631),
    [anon_sym_point] = ACTIONS(2631),
    [anon_sym_line] = ACTIONS(2631),
    [anon_sym_triangleadj] = ACTIONS(2631),
    [anon_sym_lineadj] = ACTIONS(2631),
    [anon_sym_triangle] = ACTIONS(2631),
    [anon_sym_cbuffer] = ACTIONS(2631),
  },
  [352] = {
    [sym_identifier] = ACTIONS(2635),
    [aux_sym_preproc_include_token1] = ACTIONS(2635),
    [aux_sym_preproc_def_token1] = ACTIONS(2635),
    [aux_sym_preproc_if_token1] = ACTIONS(2635),
    [aux_sym_preproc_if_token2] = ACTIONS(2635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2635),
    [aux_sym_preproc_else_token1] = ACTIONS(2635),
    [aux_sym_preproc_elif_token1] = ACTIONS(2635),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2635),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2635),
    [sym_preproc_directive] = ACTIONS(2635),
    [anon_sym_LPAREN2] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2635),
    [anon_sym_typedef] = ACTIONS(2635),
    [anon_sym_in] = ACTIONS(2635),
    [anon_sym_out] = ACTIONS(2635),
    [anon_sym_inout] = ACTIONS(2635),
    [anon_sym_virtual] = ACTIONS(2635),
    [anon_sym_extern] = ACTIONS(2635),
    [anon_sym___attribute__] = ACTIONS(2635),
    [anon_sym___attribute] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2637),
    [anon_sym___declspec] = ACTIONS(2635),
    [anon_sym___based] = ACTIONS(2635),
    [anon_sym___cdecl] = ACTIONS(2635),
    [anon_sym___clrcall] = ACTIONS(2635),
    [anon_sym___stdcall] = ACTIONS(2635),
    [anon_sym___fastcall] = ACTIONS(2635),
    [anon_sym___thiscall] = ACTIONS(2635),
    [anon_sym___vectorcall] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2635),
    [anon_sym_unsigned] = ACTIONS(2635),
    [anon_sym_long] = ACTIONS(2635),
    [anon_sym_short] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [anon_sym_static] = ACTIONS(2635),
    [anon_sym_register] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(2635),
    [anon_sym___inline] = ACTIONS(2635),
    [anon_sym___inline__] = ACTIONS(2635),
    [anon_sym___forceinline] = ACTIONS(2635),
    [anon_sym_thread_local] = ACTIONS(2635),
    [anon_sym___thread] = ACTIONS(2635),
    [anon_sym_const] = ACTIONS(2635),
    [anon_sym_constexpr] = ACTIONS(2635),
    [anon_sym_volatile] = ACTIONS(2635),
    [anon_sym_restrict] = ACTIONS(2635),
    [anon_sym___restrict__] = ACTIONS(2635),
    [anon_sym__Atomic] = ACTIONS(2635),
    [anon_sym__Noreturn] = ACTIONS(2635),
    [anon_sym_noreturn] = ACTIONS(2635),
    [anon_sym__Nonnull] = ACTIONS(2635),
    [anon_sym_mutable] = ACTIONS(2635),
    [anon_sym_constinit] = ACTIONS(2635),
    [anon_sym_consteval] = ACTIONS(2635),
    [anon_sym_alignas] = ACTIONS(2635),
    [anon_sym__Alignas] = ACTIONS(2635),
    [sym_primitive_type] = ACTIONS(2635),
    [anon_sym_enum] = ACTIONS(2635),
    [anon_sym_class] = ACTIONS(2635),
    [anon_sym_struct] = ACTIONS(2635),
    [anon_sym_union] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(2635),
    [anon_sym_switch] = ACTIONS(2635),
    [anon_sym_case] = ACTIONS(2635),
    [anon_sym_default] = ACTIONS(2635),
    [anon_sym_while] = ACTIONS(2635),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2635),
    [anon_sym_return] = ACTIONS(2635),
    [anon_sym_break] = ACTIONS(2635),
    [anon_sym_continue] = ACTIONS(2635),
    [anon_sym_goto] = ACTIONS(2635),
    [anon_sym___try] = ACTIONS(2635),
    [anon_sym___leave] = ACTIONS(2635),
    [anon_sym_not] = ACTIONS(2635),
    [anon_sym_compl] = ACTIONS(2635),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_sizeof] = ACTIONS(2635),
    [anon_sym___alignof__] = ACTIONS(2635),
    [anon_sym___alignof] = ACTIONS(2635),
    [anon_sym__alignof] = ACTIONS(2635),
    [anon_sym_alignof] = ACTIONS(2635),
    [anon_sym__Alignof] = ACTIONS(2635),
    [anon_sym_offsetof] = ACTIONS(2635),
    [anon_sym__Generic] = ACTIONS(2635),
    [anon_sym_asm] = ACTIONS(2635),
    [anon_sym___asm__] = ACTIONS(2635),
    [anon_sym___asm] = ACTIONS(2635),
    [sym_number_literal] = ACTIONS(2637),
    [anon_sym_L_SQUOTE] = ACTIONS(2637),
    [anon_sym_u_SQUOTE] = ACTIONS(2637),
    [anon_sym_U_SQUOTE] = ACTIONS(2637),
    [anon_sym_u8_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_L_DQUOTE] = ACTIONS(2637),
    [anon_sym_u_DQUOTE] = ACTIONS(2637),
    [anon_sym_U_DQUOTE] = ACTIONS(2637),
    [anon_sym_u8_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2635),
    [anon_sym_nullptr] = ACTIONS(2635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2635),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_explicit] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2635),
    [anon_sym_template] = ACTIONS(2635),
    [anon_sym_operator] = ACTIONS(2635),
    [anon_sym_try] = ACTIONS(2635),
    [anon_sym_delete] = ACTIONS(2635),
    [anon_sym_throw] = ACTIONS(2635),
    [anon_sym_namespace] = ACTIONS(2635),
    [anon_sym_using] = ACTIONS(2635),
    [anon_sym_static_assert] = ACTIONS(2635),
    [anon_sym_concept] = ACTIONS(2635),
    [anon_sym_co_return] = ACTIONS(2635),
    [anon_sym_co_yield] = ACTIONS(2635),
    [anon_sym_R_DQUOTE] = ACTIONS(2637),
    [anon_sym_LR_DQUOTE] = ACTIONS(2637),
    [anon_sym_uR_DQUOTE] = ACTIONS(2637),
    [anon_sym_UR_DQUOTE] = ACTIONS(2637),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2637),
    [anon_sym_co_await] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2635),
    [anon_sym_requires] = ACTIONS(2635),
    [sym_this] = ACTIONS(2635),
    [anon_sym_discard] = ACTIONS(2635),
    [anon_sym_precise] = ACTIONS(2635),
    [anon_sym_shared] = ACTIONS(2635),
    [anon_sym_groupshared] = ACTIONS(2635),
    [anon_sym_uniform] = ACTIONS(2635),
    [anon_sym_row_major] = ACTIONS(2635),
    [anon_sym_column_major] = ACTIONS(2635),
    [anon_sym_globallycoherent] = ACTIONS(2635),
    [anon_sym_centroid] = ACTIONS(2635),
    [anon_sym_noperspective] = ACTIONS(2635),
    [anon_sym_nointerpolation] = ACTIONS(2635),
    [anon_sym_sample] = ACTIONS(2635),
    [anon_sym_linear] = ACTIONS(2635),
    [anon_sym_snorm] = ACTIONS(2635),
    [anon_sym_unorm] = ACTIONS(2635),
    [anon_sym_point] = ACTIONS(2635),
    [anon_sym_line] = ACTIONS(2635),
    [anon_sym_triangleadj] = ACTIONS(2635),
    [anon_sym_lineadj] = ACTIONS(2635),
    [anon_sym_triangle] = ACTIONS(2635),
    [anon_sym_cbuffer] = ACTIONS(2635),
  },
  [353] = {
    [sym_identifier] = ACTIONS(2639),
    [aux_sym_preproc_include_token1] = ACTIONS(2639),
    [aux_sym_preproc_def_token1] = ACTIONS(2639),
    [aux_sym_preproc_if_token1] = ACTIONS(2639),
    [aux_sym_preproc_if_token2] = ACTIONS(2639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2639),
    [aux_sym_preproc_else_token1] = ACTIONS(2639),
    [aux_sym_preproc_elif_token1] = ACTIONS(2639),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2639),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2639),
    [sym_preproc_directive] = ACTIONS(2639),
    [anon_sym_LPAREN2] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2639),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2639),
    [anon_sym_typedef] = ACTIONS(2639),
    [anon_sym_in] = ACTIONS(2639),
    [anon_sym_out] = ACTIONS(2639),
    [anon_sym_inout] = ACTIONS(2639),
    [anon_sym_virtual] = ACTIONS(2639),
    [anon_sym_extern] = ACTIONS(2639),
    [anon_sym___attribute__] = ACTIONS(2639),
    [anon_sym___attribute] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2641),
    [anon_sym___declspec] = ACTIONS(2639),
    [anon_sym___based] = ACTIONS(2639),
    [anon_sym___cdecl] = ACTIONS(2639),
    [anon_sym___clrcall] = ACTIONS(2639),
    [anon_sym___stdcall] = ACTIONS(2639),
    [anon_sym___fastcall] = ACTIONS(2639),
    [anon_sym___thiscall] = ACTIONS(2639),
    [anon_sym___vectorcall] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_signed] = ACTIONS(2639),
    [anon_sym_unsigned] = ACTIONS(2639),
    [anon_sym_long] = ACTIONS(2639),
    [anon_sym_short] = ACTIONS(2639),
    [anon_sym_LBRACK] = ACTIONS(2639),
    [anon_sym_static] = ACTIONS(2639),
    [anon_sym_register] = ACTIONS(2639),
    [anon_sym_inline] = ACTIONS(2639),
    [anon_sym___inline] = ACTIONS(2639),
    [anon_sym___inline__] = ACTIONS(2639),
    [anon_sym___forceinline] = ACTIONS(2639),
    [anon_sym_thread_local] = ACTIONS(2639),
    [anon_sym___thread] = ACTIONS(2639),
    [anon_sym_const] = ACTIONS(2639),
    [anon_sym_constexpr] = ACTIONS(2639),
    [anon_sym_volatile] = ACTIONS(2639),
    [anon_sym_restrict] = ACTIONS(2639),
    [anon_sym___restrict__] = ACTIONS(2639),
    [anon_sym__Atomic] = ACTIONS(2639),
    [anon_sym__Noreturn] = ACTIONS(2639),
    [anon_sym_noreturn] = ACTIONS(2639),
    [anon_sym__Nonnull] = ACTIONS(2639),
    [anon_sym_mutable] = ACTIONS(2639),
    [anon_sym_constinit] = ACTIONS(2639),
    [anon_sym_consteval] = ACTIONS(2639),
    [anon_sym_alignas] = ACTIONS(2639),
    [anon_sym__Alignas] = ACTIONS(2639),
    [sym_primitive_type] = ACTIONS(2639),
    [anon_sym_enum] = ACTIONS(2639),
    [anon_sym_class] = ACTIONS(2639),
    [anon_sym_struct] = ACTIONS(2639),
    [anon_sym_union] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_switch] = ACTIONS(2639),
    [anon_sym_case] = ACTIONS(2639),
    [anon_sym_default] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(2639),
    [anon_sym_do] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_break] = ACTIONS(2639),
    [anon_sym_continue] = ACTIONS(2639),
    [anon_sym_goto] = ACTIONS(2639),
    [anon_sym___try] = ACTIONS(2639),
    [anon_sym___leave] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2639),
    [anon_sym_compl] = ACTIONS(2639),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_sizeof] = ACTIONS(2639),
    [anon_sym___alignof__] = ACTIONS(2639),
    [anon_sym___alignof] = ACTIONS(2639),
    [anon_sym__alignof] = ACTIONS(2639),
    [anon_sym_alignof] = ACTIONS(2639),
    [anon_sym__Alignof] = ACTIONS(2639),
    [anon_sym_offsetof] = ACTIONS(2639),
    [anon_sym__Generic] = ACTIONS(2639),
    [anon_sym_asm] = ACTIONS(2639),
    [anon_sym___asm__] = ACTIONS(2639),
    [anon_sym___asm] = ACTIONS(2639),
    [sym_number_literal] = ACTIONS(2641),
    [anon_sym_L_SQUOTE] = ACTIONS(2641),
    [anon_sym_u_SQUOTE] = ACTIONS(2641),
    [anon_sym_U_SQUOTE] = ACTIONS(2641),
    [anon_sym_u8_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_L_DQUOTE] = ACTIONS(2641),
    [anon_sym_u_DQUOTE] = ACTIONS(2641),
    [anon_sym_U_DQUOTE] = ACTIONS(2641),
    [anon_sym_u8_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_true] = ACTIONS(2639),
    [sym_false] = ACTIONS(2639),
    [anon_sym_NULL] = ACTIONS(2639),
    [anon_sym_nullptr] = ACTIONS(2639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2639),
    [anon_sym_explicit] = ACTIONS(2639),
    [anon_sym_typename] = ACTIONS(2639),
    [anon_sym_template] = ACTIONS(2639),
    [anon_sym_operator] = ACTIONS(2639),
    [anon_sym_try] = ACTIONS(2639),
    [anon_sym_delete] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2639),
    [anon_sym_namespace] = ACTIONS(2639),
    [anon_sym_using] = ACTIONS(2639),
    [anon_sym_static_assert] = ACTIONS(2639),
    [anon_sym_concept] = ACTIONS(2639),
    [anon_sym_co_return] = ACTIONS(2639),
    [anon_sym_co_yield] = ACTIONS(2639),
    [anon_sym_R_DQUOTE] = ACTIONS(2641),
    [anon_sym_LR_DQUOTE] = ACTIONS(2641),
    [anon_sym_uR_DQUOTE] = ACTIONS(2641),
    [anon_sym_UR_DQUOTE] = ACTIONS(2641),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2641),
    [anon_sym_co_await] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2639),
    [anon_sym_requires] = ACTIONS(2639),
    [sym_this] = ACTIONS(2639),
    [anon_sym_discard] = ACTIONS(2639),
    [anon_sym_precise] = ACTIONS(2639),
    [anon_sym_shared] = ACTIONS(2639),
    [anon_sym_groupshared] = ACTIONS(2639),
    [anon_sym_uniform] = ACTIONS(2639),
    [anon_sym_row_major] = ACTIONS(2639),
    [anon_sym_column_major] = ACTIONS(2639),
    [anon_sym_globallycoherent] = ACTIONS(2639),
    [anon_sym_centroid] = ACTIONS(2639),
    [anon_sym_noperspective] = ACTIONS(2639),
    [anon_sym_nointerpolation] = ACTIONS(2639),
    [anon_sym_sample] = ACTIONS(2639),
    [anon_sym_linear] = ACTIONS(2639),
    [anon_sym_snorm] = ACTIONS(2639),
    [anon_sym_unorm] = ACTIONS(2639),
    [anon_sym_point] = ACTIONS(2639),
    [anon_sym_line] = ACTIONS(2639),
    [anon_sym_triangleadj] = ACTIONS(2639),
    [anon_sym_lineadj] = ACTIONS(2639),
    [anon_sym_triangle] = ACTIONS(2639),
    [anon_sym_cbuffer] = ACTIONS(2639),
  },
  [354] = {
    [sym_identifier] = ACTIONS(2643),
    [aux_sym_preproc_include_token1] = ACTIONS(2643),
    [aux_sym_preproc_def_token1] = ACTIONS(2643),
    [aux_sym_preproc_if_token1] = ACTIONS(2643),
    [aux_sym_preproc_if_token2] = ACTIONS(2643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2643),
    [aux_sym_preproc_else_token1] = ACTIONS(2643),
    [aux_sym_preproc_elif_token1] = ACTIONS(2643),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2643),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2643),
    [sym_preproc_directive] = ACTIONS(2643),
    [anon_sym_LPAREN2] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym___extension__] = ACTIONS(2643),
    [anon_sym_typedef] = ACTIONS(2643),
    [anon_sym_in] = ACTIONS(2643),
    [anon_sym_out] = ACTIONS(2643),
    [anon_sym_inout] = ACTIONS(2643),
    [anon_sym_virtual] = ACTIONS(2643),
    [anon_sym_extern] = ACTIONS(2643),
    [anon_sym___attribute__] = ACTIONS(2643),
    [anon_sym___attribute] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2645),
    [anon_sym___declspec] = ACTIONS(2643),
    [anon_sym___based] = ACTIONS(2643),
    [anon_sym___cdecl] = ACTIONS(2643),
    [anon_sym___clrcall] = ACTIONS(2643),
    [anon_sym___stdcall] = ACTIONS(2643),
    [anon_sym___fastcall] = ACTIONS(2643),
    [anon_sym___thiscall] = ACTIONS(2643),
    [anon_sym___vectorcall] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_signed] = ACTIONS(2643),
    [anon_sym_unsigned] = ACTIONS(2643),
    [anon_sym_long] = ACTIONS(2643),
    [anon_sym_short] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_register] = ACTIONS(2643),
    [anon_sym_inline] = ACTIONS(2643),
    [anon_sym___inline] = ACTIONS(2643),
    [anon_sym___inline__] = ACTIONS(2643),
    [anon_sym___forceinline] = ACTIONS(2643),
    [anon_sym_thread_local] = ACTIONS(2643),
    [anon_sym___thread] = ACTIONS(2643),
    [anon_sym_const] = ACTIONS(2643),
    [anon_sym_constexpr] = ACTIONS(2643),
    [anon_sym_volatile] = ACTIONS(2643),
    [anon_sym_restrict] = ACTIONS(2643),
    [anon_sym___restrict__] = ACTIONS(2643),
    [anon_sym__Atomic] = ACTIONS(2643),
    [anon_sym__Noreturn] = ACTIONS(2643),
    [anon_sym_noreturn] = ACTIONS(2643),
    [anon_sym__Nonnull] = ACTIONS(2643),
    [anon_sym_mutable] = ACTIONS(2643),
    [anon_sym_constinit] = ACTIONS(2643),
    [anon_sym_consteval] = ACTIONS(2643),
    [anon_sym_alignas] = ACTIONS(2643),
    [anon_sym__Alignas] = ACTIONS(2643),
    [sym_primitive_type] = ACTIONS(2643),
    [anon_sym_enum] = ACTIONS(2643),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_struct] = ACTIONS(2643),
    [anon_sym_union] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_switch] = ACTIONS(2643),
    [anon_sym_case] = ACTIONS(2643),
    [anon_sym_default] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_do] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2643),
    [anon_sym_goto] = ACTIONS(2643),
    [anon_sym___try] = ACTIONS(2643),
    [anon_sym___leave] = ACTIONS(2643),
    [anon_sym_not] = ACTIONS(2643),
    [anon_sym_compl] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_sizeof] = ACTIONS(2643),
    [anon_sym___alignof__] = ACTIONS(2643),
    [anon_sym___alignof] = ACTIONS(2643),
    [anon_sym__alignof] = ACTIONS(2643),
    [anon_sym_alignof] = ACTIONS(2643),
    [anon_sym__Alignof] = ACTIONS(2643),
    [anon_sym_offsetof] = ACTIONS(2643),
    [anon_sym__Generic] = ACTIONS(2643),
    [anon_sym_asm] = ACTIONS(2643),
    [anon_sym___asm__] = ACTIONS(2643),
    [anon_sym___asm] = ACTIONS(2643),
    [sym_number_literal] = ACTIONS(2645),
    [anon_sym_L_SQUOTE] = ACTIONS(2645),
    [anon_sym_u_SQUOTE] = ACTIONS(2645),
    [anon_sym_U_SQUOTE] = ACTIONS(2645),
    [anon_sym_u8_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_L_DQUOTE] = ACTIONS(2645),
    [anon_sym_u_DQUOTE] = ACTIONS(2645),
    [anon_sym_U_DQUOTE] = ACTIONS(2645),
    [anon_sym_u8_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [anon_sym_NULL] = ACTIONS(2643),
    [anon_sym_nullptr] = ACTIONS(2643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2643),
    [anon_sym_decltype] = ACTIONS(2643),
    [anon_sym_explicit] = ACTIONS(2643),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(2643),
    [anon_sym_operator] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_delete] = ACTIONS(2643),
    [anon_sym_throw] = ACTIONS(2643),
    [anon_sym_namespace] = ACTIONS(2643),
    [anon_sym_using] = ACTIONS(2643),
    [anon_sym_static_assert] = ACTIONS(2643),
    [anon_sym_concept] = ACTIONS(2643),
    [anon_sym_co_return] = ACTIONS(2643),
    [anon_sym_co_yield] = ACTIONS(2643),
    [anon_sym_R_DQUOTE] = ACTIONS(2645),
    [anon_sym_LR_DQUOTE] = ACTIONS(2645),
    [anon_sym_uR_DQUOTE] = ACTIONS(2645),
    [anon_sym_UR_DQUOTE] = ACTIONS(2645),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2645),
    [anon_sym_co_await] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2643),
    [anon_sym_requires] = ACTIONS(2643),
    [sym_this] = ACTIONS(2643),
    [anon_sym_discard] = ACTIONS(2643),
    [anon_sym_precise] = ACTIONS(2643),
    [anon_sym_shared] = ACTIONS(2643),
    [anon_sym_groupshared] = ACTIONS(2643),
    [anon_sym_uniform] = ACTIONS(2643),
    [anon_sym_row_major] = ACTIONS(2643),
    [anon_sym_column_major] = ACTIONS(2643),
    [anon_sym_globallycoherent] = ACTIONS(2643),
    [anon_sym_centroid] = ACTIONS(2643),
    [anon_sym_noperspective] = ACTIONS(2643),
    [anon_sym_nointerpolation] = ACTIONS(2643),
    [anon_sym_sample] = ACTIONS(2643),
    [anon_sym_linear] = ACTIONS(2643),
    [anon_sym_snorm] = ACTIONS(2643),
    [anon_sym_unorm] = ACTIONS(2643),
    [anon_sym_point] = ACTIONS(2643),
    [anon_sym_line] = ACTIONS(2643),
    [anon_sym_triangleadj] = ACTIONS(2643),
    [anon_sym_lineadj] = ACTIONS(2643),
    [anon_sym_triangle] = ACTIONS(2643),
    [anon_sym_cbuffer] = ACTIONS(2643),
  },
  [355] = {
    [sym_identifier] = ACTIONS(2647),
    [aux_sym_preproc_include_token1] = ACTIONS(2647),
    [aux_sym_preproc_def_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token2] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2647),
    [aux_sym_preproc_else_token1] = ACTIONS(2647),
    [aux_sym_preproc_elif_token1] = ACTIONS(2647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2647),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2647),
    [sym_preproc_directive] = ACTIONS(2647),
    [anon_sym_LPAREN2] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2647),
    [anon_sym_typedef] = ACTIONS(2647),
    [anon_sym_in] = ACTIONS(2647),
    [anon_sym_out] = ACTIONS(2647),
    [anon_sym_inout] = ACTIONS(2647),
    [anon_sym_virtual] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym___attribute__] = ACTIONS(2647),
    [anon_sym___attribute] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2649),
    [anon_sym___declspec] = ACTIONS(2647),
    [anon_sym___based] = ACTIONS(2647),
    [anon_sym___cdecl] = ACTIONS(2647),
    [anon_sym___clrcall] = ACTIONS(2647),
    [anon_sym___stdcall] = ACTIONS(2647),
    [anon_sym___fastcall] = ACTIONS(2647),
    [anon_sym___thiscall] = ACTIONS(2647),
    [anon_sym___vectorcall] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_signed] = ACTIONS(2647),
    [anon_sym_unsigned] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_register] = ACTIONS(2647),
    [anon_sym_inline] = ACTIONS(2647),
    [anon_sym___inline] = ACTIONS(2647),
    [anon_sym___inline__] = ACTIONS(2647),
    [anon_sym___forceinline] = ACTIONS(2647),
    [anon_sym_thread_local] = ACTIONS(2647),
    [anon_sym___thread] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_constexpr] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_restrict] = ACTIONS(2647),
    [anon_sym___restrict__] = ACTIONS(2647),
    [anon_sym__Atomic] = ACTIONS(2647),
    [anon_sym__Noreturn] = ACTIONS(2647),
    [anon_sym_noreturn] = ACTIONS(2647),
    [anon_sym__Nonnull] = ACTIONS(2647),
    [anon_sym_mutable] = ACTIONS(2647),
    [anon_sym_constinit] = ACTIONS(2647),
    [anon_sym_consteval] = ACTIONS(2647),
    [anon_sym_alignas] = ACTIONS(2647),
    [anon_sym__Alignas] = ACTIONS(2647),
    [sym_primitive_type] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(2647),
    [anon_sym_switch] = ACTIONS(2647),
    [anon_sym_case] = ACTIONS(2647),
    [anon_sym_default] = ACTIONS(2647),
    [anon_sym_while] = ACTIONS(2647),
    [anon_sym_do] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2647),
    [anon_sym_return] = ACTIONS(2647),
    [anon_sym_break] = ACTIONS(2647),
    [anon_sym_continue] = ACTIONS(2647),
    [anon_sym_goto] = ACTIONS(2647),
    [anon_sym___try] = ACTIONS(2647),
    [anon_sym___leave] = ACTIONS(2647),
    [anon_sym_not] = ACTIONS(2647),
    [anon_sym_compl] = ACTIONS(2647),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_sizeof] = ACTIONS(2647),
    [anon_sym___alignof__] = ACTIONS(2647),
    [anon_sym___alignof] = ACTIONS(2647),
    [anon_sym__alignof] = ACTIONS(2647),
    [anon_sym_alignof] = ACTIONS(2647),
    [anon_sym__Alignof] = ACTIONS(2647),
    [anon_sym_offsetof] = ACTIONS(2647),
    [anon_sym__Generic] = ACTIONS(2647),
    [anon_sym_asm] = ACTIONS(2647),
    [anon_sym___asm__] = ACTIONS(2647),
    [anon_sym___asm] = ACTIONS(2647),
    [sym_number_literal] = ACTIONS(2649),
    [anon_sym_L_SQUOTE] = ACTIONS(2649),
    [anon_sym_u_SQUOTE] = ACTIONS(2649),
    [anon_sym_U_SQUOTE] = ACTIONS(2649),
    [anon_sym_u8_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_L_DQUOTE] = ACTIONS(2649),
    [anon_sym_u_DQUOTE] = ACTIONS(2649),
    [anon_sym_U_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_true] = ACTIONS(2647),
    [sym_false] = ACTIONS(2647),
    [anon_sym_NULL] = ACTIONS(2647),
    [anon_sym_nullptr] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2647),
    [anon_sym_decltype] = ACTIONS(2647),
    [anon_sym_explicit] = ACTIONS(2647),
    [anon_sym_typename] = ACTIONS(2647),
    [anon_sym_template] = ACTIONS(2647),
    [anon_sym_operator] = ACTIONS(2647),
    [anon_sym_try] = ACTIONS(2647),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_throw] = ACTIONS(2647),
    [anon_sym_namespace] = ACTIONS(2647),
    [anon_sym_using] = ACTIONS(2647),
    [anon_sym_static_assert] = ACTIONS(2647),
    [anon_sym_concept] = ACTIONS(2647),
    [anon_sym_co_return] = ACTIONS(2647),
    [anon_sym_co_yield] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2647),
    [sym_this] = ACTIONS(2647),
    [anon_sym_discard] = ACTIONS(2647),
    [anon_sym_precise] = ACTIONS(2647),
    [anon_sym_shared] = ACTIONS(2647),
    [anon_sym_groupshared] = ACTIONS(2647),
    [anon_sym_uniform] = ACTIONS(2647),
    [anon_sym_row_major] = ACTIONS(2647),
    [anon_sym_column_major] = ACTIONS(2647),
    [anon_sym_globallycoherent] = ACTIONS(2647),
    [anon_sym_centroid] = ACTIONS(2647),
    [anon_sym_noperspective] = ACTIONS(2647),
    [anon_sym_nointerpolation] = ACTIONS(2647),
    [anon_sym_sample] = ACTIONS(2647),
    [anon_sym_linear] = ACTIONS(2647),
    [anon_sym_snorm] = ACTIONS(2647),
    [anon_sym_unorm] = ACTIONS(2647),
    [anon_sym_point] = ACTIONS(2647),
    [anon_sym_line] = ACTIONS(2647),
    [anon_sym_triangleadj] = ACTIONS(2647),
    [anon_sym_lineadj] = ACTIONS(2647),
    [anon_sym_triangle] = ACTIONS(2647),
    [anon_sym_cbuffer] = ACTIONS(2647),
  },
  [356] = {
    [sym_identifier] = ACTIONS(2651),
    [aux_sym_preproc_include_token1] = ACTIONS(2651),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2651),
    [aux_sym_preproc_else_token1] = ACTIONS(2651),
    [aux_sym_preproc_elif_token1] = ACTIONS(2651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2651),
    [sym_preproc_directive] = ACTIONS(2651),
    [anon_sym_LPAREN2] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2651),
    [anon_sym_PLUS] = ACTIONS(2651),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym___extension__] = ACTIONS(2651),
    [anon_sym_typedef] = ACTIONS(2651),
    [anon_sym_in] = ACTIONS(2651),
    [anon_sym_out] = ACTIONS(2651),
    [anon_sym_inout] = ACTIONS(2651),
    [anon_sym_virtual] = ACTIONS(2651),
    [anon_sym_extern] = ACTIONS(2651),
    [anon_sym___attribute__] = ACTIONS(2651),
    [anon_sym___attribute] = ACTIONS(2651),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2653),
    [anon_sym___declspec] = ACTIONS(2651),
    [anon_sym___based] = ACTIONS(2651),
    [anon_sym___cdecl] = ACTIONS(2651),
    [anon_sym___clrcall] = ACTIONS(2651),
    [anon_sym___stdcall] = ACTIONS(2651),
    [anon_sym___fastcall] = ACTIONS(2651),
    [anon_sym___thiscall] = ACTIONS(2651),
    [anon_sym___vectorcall] = ACTIONS(2651),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_signed] = ACTIONS(2651),
    [anon_sym_unsigned] = ACTIONS(2651),
    [anon_sym_long] = ACTIONS(2651),
    [anon_sym_short] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_register] = ACTIONS(2651),
    [anon_sym_inline] = ACTIONS(2651),
    [anon_sym___inline] = ACTIONS(2651),
    [anon_sym___inline__] = ACTIONS(2651),
    [anon_sym___forceinline] = ACTIONS(2651),
    [anon_sym_thread_local] = ACTIONS(2651),
    [anon_sym___thread] = ACTIONS(2651),
    [anon_sym_const] = ACTIONS(2651),
    [anon_sym_constexpr] = ACTIONS(2651),
    [anon_sym_volatile] = ACTIONS(2651),
    [anon_sym_restrict] = ACTIONS(2651),
    [anon_sym___restrict__] = ACTIONS(2651),
    [anon_sym__Atomic] = ACTIONS(2651),
    [anon_sym__Noreturn] = ACTIONS(2651),
    [anon_sym_noreturn] = ACTIONS(2651),
    [anon_sym__Nonnull] = ACTIONS(2651),
    [anon_sym_mutable] = ACTIONS(2651),
    [anon_sym_constinit] = ACTIONS(2651),
    [anon_sym_consteval] = ACTIONS(2651),
    [anon_sym_alignas] = ACTIONS(2651),
    [anon_sym__Alignas] = ACTIONS(2651),
    [sym_primitive_type] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2651),
    [anon_sym_struct] = ACTIONS(2651),
    [anon_sym_union] = ACTIONS(2651),
    [anon_sym_if] = ACTIONS(2651),
    [anon_sym_switch] = ACTIONS(2651),
    [anon_sym_case] = ACTIONS(2651),
    [anon_sym_default] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2651),
    [anon_sym_do] = ACTIONS(2651),
    [anon_sym_for] = ACTIONS(2651),
    [anon_sym_return] = ACTIONS(2651),
    [anon_sym_break] = ACTIONS(2651),
    [anon_sym_continue] = ACTIONS(2651),
    [anon_sym_goto] = ACTIONS(2651),
    [anon_sym___try] = ACTIONS(2651),
    [anon_sym___leave] = ACTIONS(2651),
    [anon_sym_not] = ACTIONS(2651),
    [anon_sym_compl] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_sizeof] = ACTIONS(2651),
    [anon_sym___alignof__] = ACTIONS(2651),
    [anon_sym___alignof] = ACTIONS(2651),
    [anon_sym__alignof] = ACTIONS(2651),
    [anon_sym_alignof] = ACTIONS(2651),
    [anon_sym__Alignof] = ACTIONS(2651),
    [anon_sym_offsetof] = ACTIONS(2651),
    [anon_sym__Generic] = ACTIONS(2651),
    [anon_sym_asm] = ACTIONS(2651),
    [anon_sym___asm__] = ACTIONS(2651),
    [anon_sym___asm] = ACTIONS(2651),
    [sym_number_literal] = ACTIONS(2653),
    [anon_sym_L_SQUOTE] = ACTIONS(2653),
    [anon_sym_u_SQUOTE] = ACTIONS(2653),
    [anon_sym_U_SQUOTE] = ACTIONS(2653),
    [anon_sym_u8_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_L_DQUOTE] = ACTIONS(2653),
    [anon_sym_u_DQUOTE] = ACTIONS(2653),
    [anon_sym_U_DQUOTE] = ACTIONS(2653),
    [anon_sym_u8_DQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [sym_true] = ACTIONS(2651),
    [sym_false] = ACTIONS(2651),
    [anon_sym_NULL] = ACTIONS(2651),
    [anon_sym_nullptr] = ACTIONS(2651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2651),
    [anon_sym_decltype] = ACTIONS(2651),
    [anon_sym_explicit] = ACTIONS(2651),
    [anon_sym_typename] = ACTIONS(2651),
    [anon_sym_template] = ACTIONS(2651),
    [anon_sym_operator] = ACTIONS(2651),
    [anon_sym_try] = ACTIONS(2651),
    [anon_sym_delete] = ACTIONS(2651),
    [anon_sym_throw] = ACTIONS(2651),
    [anon_sym_namespace] = ACTIONS(2651),
    [anon_sym_using] = ACTIONS(2651),
    [anon_sym_static_assert] = ACTIONS(2651),
    [anon_sym_concept] = ACTIONS(2651),
    [anon_sym_co_return] = ACTIONS(2651),
    [anon_sym_co_yield] = ACTIONS(2651),
    [anon_sym_R_DQUOTE] = ACTIONS(2653),
    [anon_sym_LR_DQUOTE] = ACTIONS(2653),
    [anon_sym_uR_DQUOTE] = ACTIONS(2653),
    [anon_sym_UR_DQUOTE] = ACTIONS(2653),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2653),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2651),
    [anon_sym_requires] = ACTIONS(2651),
    [sym_this] = ACTIONS(2651),
    [anon_sym_discard] = ACTIONS(2651),
    [anon_sym_precise] = ACTIONS(2651),
    [anon_sym_shared] = ACTIONS(2651),
    [anon_sym_groupshared] = ACTIONS(2651),
    [anon_sym_uniform] = ACTIONS(2651),
    [anon_sym_row_major] = ACTIONS(2651),
    [anon_sym_column_major] = ACTIONS(2651),
    [anon_sym_globallycoherent] = ACTIONS(2651),
    [anon_sym_centroid] = ACTIONS(2651),
    [anon_sym_noperspective] = ACTIONS(2651),
    [anon_sym_nointerpolation] = ACTIONS(2651),
    [anon_sym_sample] = ACTIONS(2651),
    [anon_sym_linear] = ACTIONS(2651),
    [anon_sym_snorm] = ACTIONS(2651),
    [anon_sym_unorm] = ACTIONS(2651),
    [anon_sym_point] = ACTIONS(2651),
    [anon_sym_line] = ACTIONS(2651),
    [anon_sym_triangleadj] = ACTIONS(2651),
    [anon_sym_lineadj] = ACTIONS(2651),
    [anon_sym_triangle] = ACTIONS(2651),
    [anon_sym_cbuffer] = ACTIONS(2651),
  },
  [357] = {
    [sym_identifier] = ACTIONS(2655),
    [aux_sym_preproc_include_token1] = ACTIONS(2655),
    [aux_sym_preproc_def_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token2] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2655),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2655),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2655),
    [sym_preproc_directive] = ACTIONS(2655),
    [anon_sym_LPAREN2] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2655),
    [anon_sym_PLUS] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2655),
    [anon_sym_typedef] = ACTIONS(2655),
    [anon_sym_in] = ACTIONS(2655),
    [anon_sym_out] = ACTIONS(2655),
    [anon_sym_inout] = ACTIONS(2655),
    [anon_sym_virtual] = ACTIONS(2655),
    [anon_sym_extern] = ACTIONS(2655),
    [anon_sym___attribute__] = ACTIONS(2655),
    [anon_sym___attribute] = ACTIONS(2655),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2657),
    [anon_sym___declspec] = ACTIONS(2655),
    [anon_sym___based] = ACTIONS(2655),
    [anon_sym___cdecl] = ACTIONS(2655),
    [anon_sym___clrcall] = ACTIONS(2655),
    [anon_sym___stdcall] = ACTIONS(2655),
    [anon_sym___fastcall] = ACTIONS(2655),
    [anon_sym___thiscall] = ACTIONS(2655),
    [anon_sym___vectorcall] = ACTIONS(2655),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_signed] = ACTIONS(2655),
    [anon_sym_unsigned] = ACTIONS(2655),
    [anon_sym_long] = ACTIONS(2655),
    [anon_sym_short] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_register] = ACTIONS(2655),
    [anon_sym_inline] = ACTIONS(2655),
    [anon_sym___inline] = ACTIONS(2655),
    [anon_sym___inline__] = ACTIONS(2655),
    [anon_sym___forceinline] = ACTIONS(2655),
    [anon_sym_thread_local] = ACTIONS(2655),
    [anon_sym___thread] = ACTIONS(2655),
    [anon_sym_const] = ACTIONS(2655),
    [anon_sym_constexpr] = ACTIONS(2655),
    [anon_sym_volatile] = ACTIONS(2655),
    [anon_sym_restrict] = ACTIONS(2655),
    [anon_sym___restrict__] = ACTIONS(2655),
    [anon_sym__Atomic] = ACTIONS(2655),
    [anon_sym__Noreturn] = ACTIONS(2655),
    [anon_sym_noreturn] = ACTIONS(2655),
    [anon_sym__Nonnull] = ACTIONS(2655),
    [anon_sym_mutable] = ACTIONS(2655),
    [anon_sym_constinit] = ACTIONS(2655),
    [anon_sym_consteval] = ACTIONS(2655),
    [anon_sym_alignas] = ACTIONS(2655),
    [anon_sym__Alignas] = ACTIONS(2655),
    [sym_primitive_type] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2655),
    [anon_sym_struct] = ACTIONS(2655),
    [anon_sym_union] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_switch] = ACTIONS(2655),
    [anon_sym_case] = ACTIONS(2655),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(2655),
    [anon_sym_do] = ACTIONS(2655),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_return] = ACTIONS(2655),
    [anon_sym_break] = ACTIONS(2655),
    [anon_sym_continue] = ACTIONS(2655),
    [anon_sym_goto] = ACTIONS(2655),
    [anon_sym___try] = ACTIONS(2655),
    [anon_sym___leave] = ACTIONS(2655),
    [anon_sym_not] = ACTIONS(2655),
    [anon_sym_compl] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_sizeof] = ACTIONS(2655),
    [anon_sym___alignof__] = ACTIONS(2655),
    [anon_sym___alignof] = ACTIONS(2655),
    [anon_sym__alignof] = ACTIONS(2655),
    [anon_sym_alignof] = ACTIONS(2655),
    [anon_sym__Alignof] = ACTIONS(2655),
    [anon_sym_offsetof] = ACTIONS(2655),
    [anon_sym__Generic] = ACTIONS(2655),
    [anon_sym_asm] = ACTIONS(2655),
    [anon_sym___asm__] = ACTIONS(2655),
    [anon_sym___asm] = ACTIONS(2655),
    [sym_number_literal] = ACTIONS(2657),
    [anon_sym_L_SQUOTE] = ACTIONS(2657),
    [anon_sym_u_SQUOTE] = ACTIONS(2657),
    [anon_sym_U_SQUOTE] = ACTIONS(2657),
    [anon_sym_u8_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_L_DQUOTE] = ACTIONS(2657),
    [anon_sym_u_DQUOTE] = ACTIONS(2657),
    [anon_sym_U_DQUOTE] = ACTIONS(2657),
    [anon_sym_u8_DQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [sym_true] = ACTIONS(2655),
    [sym_false] = ACTIONS(2655),
    [anon_sym_NULL] = ACTIONS(2655),
    [anon_sym_nullptr] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2655),
    [anon_sym_decltype] = ACTIONS(2655),
    [anon_sym_explicit] = ACTIONS(2655),
    [anon_sym_typename] = ACTIONS(2655),
    [anon_sym_template] = ACTIONS(2655),
    [anon_sym_operator] = ACTIONS(2655),
    [anon_sym_try] = ACTIONS(2655),
    [anon_sym_delete] = ACTIONS(2655),
    [anon_sym_throw] = ACTIONS(2655),
    [anon_sym_namespace] = ACTIONS(2655),
    [anon_sym_using] = ACTIONS(2655),
    [anon_sym_static_assert] = ACTIONS(2655),
    [anon_sym_concept] = ACTIONS(2655),
    [anon_sym_co_return] = ACTIONS(2655),
    [anon_sym_co_yield] = ACTIONS(2655),
    [anon_sym_R_DQUOTE] = ACTIONS(2657),
    [anon_sym_LR_DQUOTE] = ACTIONS(2657),
    [anon_sym_uR_DQUOTE] = ACTIONS(2657),
    [anon_sym_UR_DQUOTE] = ACTIONS(2657),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2657),
    [anon_sym_co_await] = ACTIONS(2655),
    [anon_sym_new] = ACTIONS(2655),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2655),
    [anon_sym_discard] = ACTIONS(2655),
    [anon_sym_precise] = ACTIONS(2655),
    [anon_sym_shared] = ACTIONS(2655),
    [anon_sym_groupshared] = ACTIONS(2655),
    [anon_sym_uniform] = ACTIONS(2655),
    [anon_sym_row_major] = ACTIONS(2655),
    [anon_sym_column_major] = ACTIONS(2655),
    [anon_sym_globallycoherent] = ACTIONS(2655),
    [anon_sym_centroid] = ACTIONS(2655),
    [anon_sym_noperspective] = ACTIONS(2655),
    [anon_sym_nointerpolation] = ACTIONS(2655),
    [anon_sym_sample] = ACTIONS(2655),
    [anon_sym_linear] = ACTIONS(2655),
    [anon_sym_snorm] = ACTIONS(2655),
    [anon_sym_unorm] = ACTIONS(2655),
    [anon_sym_point] = ACTIONS(2655),
    [anon_sym_line] = ACTIONS(2655),
    [anon_sym_triangleadj] = ACTIONS(2655),
    [anon_sym_lineadj] = ACTIONS(2655),
    [anon_sym_triangle] = ACTIONS(2655),
    [anon_sym_cbuffer] = ACTIONS(2655),
  },
  [358] = {
    [sym_identifier] = ACTIONS(2659),
    [aux_sym_preproc_include_token1] = ACTIONS(2659),
    [aux_sym_preproc_def_token1] = ACTIONS(2659),
    [aux_sym_preproc_if_token1] = ACTIONS(2659),
    [aux_sym_preproc_if_token2] = ACTIONS(2659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2659),
    [aux_sym_preproc_else_token1] = ACTIONS(2659),
    [aux_sym_preproc_elif_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2659),
    [anon_sym_LPAREN2] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2659),
    [anon_sym_PLUS] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym___extension__] = ACTIONS(2659),
    [anon_sym_typedef] = ACTIONS(2659),
    [anon_sym_in] = ACTIONS(2659),
    [anon_sym_out] = ACTIONS(2659),
    [anon_sym_inout] = ACTIONS(2659),
    [anon_sym_virtual] = ACTIONS(2659),
    [anon_sym_extern] = ACTIONS(2659),
    [anon_sym___attribute__] = ACTIONS(2659),
    [anon_sym___attribute] = ACTIONS(2659),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2661),
    [anon_sym___declspec] = ACTIONS(2659),
    [anon_sym___based] = ACTIONS(2659),
    [anon_sym___cdecl] = ACTIONS(2659),
    [anon_sym___clrcall] = ACTIONS(2659),
    [anon_sym___stdcall] = ACTIONS(2659),
    [anon_sym___fastcall] = ACTIONS(2659),
    [anon_sym___thiscall] = ACTIONS(2659),
    [anon_sym___vectorcall] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_signed] = ACTIONS(2659),
    [anon_sym_unsigned] = ACTIONS(2659),
    [anon_sym_long] = ACTIONS(2659),
    [anon_sym_short] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_static] = ACTIONS(2659),
    [anon_sym_register] = ACTIONS(2659),
    [anon_sym_inline] = ACTIONS(2659),
    [anon_sym___inline] = ACTIONS(2659),
    [anon_sym___inline__] = ACTIONS(2659),
    [anon_sym___forceinline] = ACTIONS(2659),
    [anon_sym_thread_local] = ACTIONS(2659),
    [anon_sym___thread] = ACTIONS(2659),
    [anon_sym_const] = ACTIONS(2659),
    [anon_sym_constexpr] = ACTIONS(2659),
    [anon_sym_volatile] = ACTIONS(2659),
    [anon_sym_restrict] = ACTIONS(2659),
    [anon_sym___restrict__] = ACTIONS(2659),
    [anon_sym__Atomic] = ACTIONS(2659),
    [anon_sym__Noreturn] = ACTIONS(2659),
    [anon_sym_noreturn] = ACTIONS(2659),
    [anon_sym__Nonnull] = ACTIONS(2659),
    [anon_sym_mutable] = ACTIONS(2659),
    [anon_sym_constinit] = ACTIONS(2659),
    [anon_sym_consteval] = ACTIONS(2659),
    [anon_sym_alignas] = ACTIONS(2659),
    [anon_sym__Alignas] = ACTIONS(2659),
    [sym_primitive_type] = ACTIONS(2659),
    [anon_sym_enum] = ACTIONS(2659),
    [anon_sym_class] = ACTIONS(2659),
    [anon_sym_struct] = ACTIONS(2659),
    [anon_sym_union] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_switch] = ACTIONS(2659),
    [anon_sym_case] = ACTIONS(2659),
    [anon_sym_default] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_do] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_return] = ACTIONS(2659),
    [anon_sym_break] = ACTIONS(2659),
    [anon_sym_continue] = ACTIONS(2659),
    [anon_sym_goto] = ACTIONS(2659),
    [anon_sym___try] = ACTIONS(2659),
    [anon_sym___leave] = ACTIONS(2659),
    [anon_sym_not] = ACTIONS(2659),
    [anon_sym_compl] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_sizeof] = ACTIONS(2659),
    [anon_sym___alignof__] = ACTIONS(2659),
    [anon_sym___alignof] = ACTIONS(2659),
    [anon_sym__alignof] = ACTIONS(2659),
    [anon_sym_alignof] = ACTIONS(2659),
    [anon_sym__Alignof] = ACTIONS(2659),
    [anon_sym_offsetof] = ACTIONS(2659),
    [anon_sym__Generic] = ACTIONS(2659),
    [anon_sym_asm] = ACTIONS(2659),
    [anon_sym___asm__] = ACTIONS(2659),
    [anon_sym___asm] = ACTIONS(2659),
    [sym_number_literal] = ACTIONS(2661),
    [anon_sym_L_SQUOTE] = ACTIONS(2661),
    [anon_sym_u_SQUOTE] = ACTIONS(2661),
    [anon_sym_U_SQUOTE] = ACTIONS(2661),
    [anon_sym_u8_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_L_DQUOTE] = ACTIONS(2661),
    [anon_sym_u_DQUOTE] = ACTIONS(2661),
    [anon_sym_U_DQUOTE] = ACTIONS(2661),
    [anon_sym_u8_DQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [sym_true] = ACTIONS(2659),
    [sym_false] = ACTIONS(2659),
    [anon_sym_NULL] = ACTIONS(2659),
    [anon_sym_nullptr] = ACTIONS(2659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2659),
    [anon_sym_decltype] = ACTIONS(2659),
    [anon_sym_explicit] = ACTIONS(2659),
    [anon_sym_typename] = ACTIONS(2659),
    [anon_sym_template] = ACTIONS(2659),
    [anon_sym_operator] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2659),
    [anon_sym_delete] = ACTIONS(2659),
    [anon_sym_throw] = ACTIONS(2659),
    [anon_sym_namespace] = ACTIONS(2659),
    [anon_sym_using] = ACTIONS(2659),
    [anon_sym_static_assert] = ACTIONS(2659),
    [anon_sym_concept] = ACTIONS(2659),
    [anon_sym_co_return] = ACTIONS(2659),
    [anon_sym_co_yield] = ACTIONS(2659),
    [anon_sym_R_DQUOTE] = ACTIONS(2661),
    [anon_sym_LR_DQUOTE] = ACTIONS(2661),
    [anon_sym_uR_DQUOTE] = ACTIONS(2661),
    [anon_sym_UR_DQUOTE] = ACTIONS(2661),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2661),
    [anon_sym_co_await] = ACTIONS(2659),
    [anon_sym_new] = ACTIONS(2659),
    [anon_sym_requires] = ACTIONS(2659),
    [sym_this] = ACTIONS(2659),
    [anon_sym_discard] = ACTIONS(2659),
    [anon_sym_precise] = ACTIONS(2659),
    [anon_sym_shared] = ACTIONS(2659),
    [anon_sym_groupshared] = ACTIONS(2659),
    [anon_sym_uniform] = ACTIONS(2659),
    [anon_sym_row_major] = ACTIONS(2659),
    [anon_sym_column_major] = ACTIONS(2659),
    [anon_sym_globallycoherent] = ACTIONS(2659),
    [anon_sym_centroid] = ACTIONS(2659),
    [anon_sym_noperspective] = ACTIONS(2659),
    [anon_sym_nointerpolation] = ACTIONS(2659),
    [anon_sym_sample] = ACTIONS(2659),
    [anon_sym_linear] = ACTIONS(2659),
    [anon_sym_snorm] = ACTIONS(2659),
    [anon_sym_unorm] = ACTIONS(2659),
    [anon_sym_point] = ACTIONS(2659),
    [anon_sym_line] = ACTIONS(2659),
    [anon_sym_triangleadj] = ACTIONS(2659),
    [anon_sym_lineadj] = ACTIONS(2659),
    [anon_sym_triangle] = ACTIONS(2659),
    [anon_sym_cbuffer] = ACTIONS(2659),
  },
  [359] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [aux_sym_preproc_else_token1] = ACTIONS(2374),
    [aux_sym_preproc_elif_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [360] = {
    [sym_catch_clause] = STATE(332),
    [aux_sym_constructor_try_statement_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(2013),
    [aux_sym_preproc_include_token1] = ACTIONS(2013),
    [aux_sym_preproc_def_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token2] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2013),
    [sym_preproc_directive] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(2015),
    [anon_sym_BANG] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym___extension__] = ACTIONS(2013),
    [anon_sym_typedef] = ACTIONS(2013),
    [anon_sym_in] = ACTIONS(2013),
    [anon_sym_out] = ACTIONS(2013),
    [anon_sym_inout] = ACTIONS(2013),
    [anon_sym_virtual] = ACTIONS(2013),
    [anon_sym_extern] = ACTIONS(2013),
    [anon_sym___attribute__] = ACTIONS(2013),
    [anon_sym___attribute] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2015),
    [anon_sym___declspec] = ACTIONS(2013),
    [anon_sym___based] = ACTIONS(2013),
    [anon_sym___cdecl] = ACTIONS(2013),
    [anon_sym___clrcall] = ACTIONS(2013),
    [anon_sym___stdcall] = ACTIONS(2013),
    [anon_sym___fastcall] = ACTIONS(2013),
    [anon_sym___thiscall] = ACTIONS(2013),
    [anon_sym___vectorcall] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_signed] = ACTIONS(2013),
    [anon_sym_unsigned] = ACTIONS(2013),
    [anon_sym_long] = ACTIONS(2013),
    [anon_sym_short] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_register] = ACTIONS(2013),
    [anon_sym_inline] = ACTIONS(2013),
    [anon_sym___inline] = ACTIONS(2013),
    [anon_sym___inline__] = ACTIONS(2013),
    [anon_sym___forceinline] = ACTIONS(2013),
    [anon_sym_thread_local] = ACTIONS(2013),
    [anon_sym___thread] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2013),
    [anon_sym_constexpr] = ACTIONS(2013),
    [anon_sym_volatile] = ACTIONS(2013),
    [anon_sym_restrict] = ACTIONS(2013),
    [anon_sym___restrict__] = ACTIONS(2013),
    [anon_sym__Atomic] = ACTIONS(2013),
    [anon_sym__Noreturn] = ACTIONS(2013),
    [anon_sym_noreturn] = ACTIONS(2013),
    [anon_sym__Nonnull] = ACTIONS(2013),
    [anon_sym_mutable] = ACTIONS(2013),
    [anon_sym_constinit] = ACTIONS(2013),
    [anon_sym_consteval] = ACTIONS(2013),
    [anon_sym_alignas] = ACTIONS(2013),
    [anon_sym__Alignas] = ACTIONS(2013),
    [sym_primitive_type] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_struct] = ACTIONS(2013),
    [anon_sym_union] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_switch] = ACTIONS(2013),
    [anon_sym_case] = ACTIONS(2013),
    [anon_sym_default] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym___try] = ACTIONS(2013),
    [anon_sym___leave] = ACTIONS(2013),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_sizeof] = ACTIONS(2013),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2013),
    [anon_sym__Generic] = ACTIONS(2013),
    [anon_sym_asm] = ACTIONS(2013),
    [anon_sym___asm__] = ACTIONS(2013),
    [anon_sym___asm] = ACTIONS(2013),
    [sym_number_literal] = ACTIONS(2015),
    [anon_sym_L_SQUOTE] = ACTIONS(2015),
    [anon_sym_u_SQUOTE] = ACTIONS(2015),
    [anon_sym_U_SQUOTE] = ACTIONS(2015),
    [anon_sym_u8_SQUOTE] = ACTIONS(2015),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_L_DQUOTE] = ACTIONS(2015),
    [anon_sym_u_DQUOTE] = ACTIONS(2015),
    [anon_sym_U_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [sym_true] = ACTIONS(2013),
    [sym_false] = ACTIONS(2013),
    [anon_sym_NULL] = ACTIONS(2013),
    [anon_sym_nullptr] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2013),
    [anon_sym_decltype] = ACTIONS(2013),
    [anon_sym_explicit] = ACTIONS(2013),
    [anon_sym_typename] = ACTIONS(2013),
    [anon_sym_template] = ACTIONS(2013),
    [anon_sym_operator] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_namespace] = ACTIONS(2013),
    [anon_sym_using] = ACTIONS(2013),
    [anon_sym_static_assert] = ACTIONS(2013),
    [anon_sym_concept] = ACTIONS(2013),
    [anon_sym_co_return] = ACTIONS(2013),
    [anon_sym_co_yield] = ACTIONS(2013),
    [anon_sym_catch] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2013),
    [anon_sym_requires] = ACTIONS(2013),
    [sym_this] = ACTIONS(2013),
    [anon_sym_discard] = ACTIONS(2013),
    [anon_sym_precise] = ACTIONS(2013),
    [anon_sym_shared] = ACTIONS(2013),
    [anon_sym_groupshared] = ACTIONS(2013),
    [anon_sym_uniform] = ACTIONS(2013),
    [anon_sym_row_major] = ACTIONS(2013),
    [anon_sym_column_major] = ACTIONS(2013),
    [anon_sym_globallycoherent] = ACTIONS(2013),
    [anon_sym_centroid] = ACTIONS(2013),
    [anon_sym_noperspective] = ACTIONS(2013),
    [anon_sym_nointerpolation] = ACTIONS(2013),
    [anon_sym_sample] = ACTIONS(2013),
    [anon_sym_linear] = ACTIONS(2013),
    [anon_sym_snorm] = ACTIONS(2013),
    [anon_sym_unorm] = ACTIONS(2013),
    [anon_sym_point] = ACTIONS(2013),
    [anon_sym_line] = ACTIONS(2013),
    [anon_sym_triangleadj] = ACTIONS(2013),
    [anon_sym_lineadj] = ACTIONS(2013),
    [anon_sym_triangle] = ACTIONS(2013),
    [anon_sym_cbuffer] = ACTIONS(2013),
  },
  [361] = {
    [sym_catch_clause] = STATE(309),
    [aux_sym_constructor_try_statement_repeat1] = STATE(309),
    [sym_identifier] = ACTIONS(2017),
    [aux_sym_preproc_include_token1] = ACTIONS(2017),
    [aux_sym_preproc_def_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2017),
    [sym_preproc_directive] = ACTIONS(2017),
    [anon_sym_LPAREN2] = ACTIONS(2019),
    [anon_sym_BANG] = ACTIONS(2019),
    [anon_sym_TILDE] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2019),
    [anon_sym_AMP_AMP] = ACTIONS(2019),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym___extension__] = ACTIONS(2017),
    [anon_sym_typedef] = ACTIONS(2017),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_out] = ACTIONS(2017),
    [anon_sym_inout] = ACTIONS(2017),
    [anon_sym_virtual] = ACTIONS(2017),
    [anon_sym_extern] = ACTIONS(2017),
    [anon_sym___attribute__] = ACTIONS(2017),
    [anon_sym___attribute] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2019),
    [anon_sym___declspec] = ACTIONS(2017),
    [anon_sym___based] = ACTIONS(2017),
    [anon_sym___cdecl] = ACTIONS(2017),
    [anon_sym___clrcall] = ACTIONS(2017),
    [anon_sym___stdcall] = ACTIONS(2017),
    [anon_sym___fastcall] = ACTIONS(2017),
    [anon_sym___thiscall] = ACTIONS(2017),
    [anon_sym___vectorcall] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2019),
    [anon_sym_RBRACE] = ACTIONS(2019),
    [anon_sym_signed] = ACTIONS(2017),
    [anon_sym_unsigned] = ACTIONS(2017),
    [anon_sym_long] = ACTIONS(2017),
    [anon_sym_short] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_register] = ACTIONS(2017),
    [anon_sym_inline] = ACTIONS(2017),
    [anon_sym___inline] = ACTIONS(2017),
    [anon_sym___inline__] = ACTIONS(2017),
    [anon_sym___forceinline] = ACTIONS(2017),
    [anon_sym_thread_local] = ACTIONS(2017),
    [anon_sym___thread] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_constexpr] = ACTIONS(2017),
    [anon_sym_volatile] = ACTIONS(2017),
    [anon_sym_restrict] = ACTIONS(2017),
    [anon_sym___restrict__] = ACTIONS(2017),
    [anon_sym__Atomic] = ACTIONS(2017),
    [anon_sym__Noreturn] = ACTIONS(2017),
    [anon_sym_noreturn] = ACTIONS(2017),
    [anon_sym__Nonnull] = ACTIONS(2017),
    [anon_sym_mutable] = ACTIONS(2017),
    [anon_sym_constinit] = ACTIONS(2017),
    [anon_sym_consteval] = ACTIONS(2017),
    [anon_sym_alignas] = ACTIONS(2017),
    [anon_sym__Alignas] = ACTIONS(2017),
    [sym_primitive_type] = ACTIONS(2017),
    [anon_sym_enum] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_struct] = ACTIONS(2017),
    [anon_sym_union] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_switch] = ACTIONS(2017),
    [anon_sym_case] = ACTIONS(2017),
    [anon_sym_default] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym___try] = ACTIONS(2017),
    [anon_sym___leave] = ACTIONS(2017),
    [anon_sym_not] = ACTIONS(2017),
    [anon_sym_compl] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2019),
    [anon_sym_sizeof] = ACTIONS(2017),
    [anon_sym___alignof__] = ACTIONS(2017),
    [anon_sym___alignof] = ACTIONS(2017),
    [anon_sym__alignof] = ACTIONS(2017),
    [anon_sym_alignof] = ACTIONS(2017),
    [anon_sym__Alignof] = ACTIONS(2017),
    [anon_sym_offsetof] = ACTIONS(2017),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2017),
    [anon_sym___asm__] = ACTIONS(2017),
    [anon_sym___asm] = ACTIONS(2017),
    [sym_number_literal] = ACTIONS(2019),
    [anon_sym_L_SQUOTE] = ACTIONS(2019),
    [anon_sym_u_SQUOTE] = ACTIONS(2019),
    [anon_sym_U_SQUOTE] = ACTIONS(2019),
    [anon_sym_u8_SQUOTE] = ACTIONS(2019),
    [anon_sym_SQUOTE] = ACTIONS(2019),
    [anon_sym_L_DQUOTE] = ACTIONS(2019),
    [anon_sym_u_DQUOTE] = ACTIONS(2019),
    [anon_sym_U_DQUOTE] = ACTIONS(2019),
    [anon_sym_u8_DQUOTE] = ACTIONS(2019),
    [anon_sym_DQUOTE] = ACTIONS(2019),
    [sym_true] = ACTIONS(2017),
    [sym_false] = ACTIONS(2017),
    [anon_sym_NULL] = ACTIONS(2017),
    [anon_sym_nullptr] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2017),
    [anon_sym_decltype] = ACTIONS(2017),
    [anon_sym_explicit] = ACTIONS(2017),
    [anon_sym_typename] = ACTIONS(2017),
    [anon_sym_template] = ACTIONS(2017),
    [anon_sym_operator] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_throw] = ACTIONS(2017),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_using] = ACTIONS(2017),
    [anon_sym_static_assert] = ACTIONS(2017),
    [anon_sym_concept] = ACTIONS(2017),
    [anon_sym_co_return] = ACTIONS(2017),
    [anon_sym_co_yield] = ACTIONS(2017),
    [anon_sym_catch] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2019),
    [anon_sym_LR_DQUOTE] = ACTIONS(2019),
    [anon_sym_uR_DQUOTE] = ACTIONS(2019),
    [anon_sym_UR_DQUOTE] = ACTIONS(2019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2019),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(2017),
    [anon_sym_requires] = ACTIONS(2017),
    [sym_this] = ACTIONS(2017),
    [anon_sym_discard] = ACTIONS(2017),
    [anon_sym_precise] = ACTIONS(2017),
    [anon_sym_shared] = ACTIONS(2017),
    [anon_sym_groupshared] = ACTIONS(2017),
    [anon_sym_uniform] = ACTIONS(2017),
    [anon_sym_row_major] = ACTIONS(2017),
    [anon_sym_column_major] = ACTIONS(2017),
    [anon_sym_globallycoherent] = ACTIONS(2017),
    [anon_sym_centroid] = ACTIONS(2017),
    [anon_sym_noperspective] = ACTIONS(2017),
    [anon_sym_nointerpolation] = ACTIONS(2017),
    [anon_sym_sample] = ACTIONS(2017),
    [anon_sym_linear] = ACTIONS(2017),
    [anon_sym_snorm] = ACTIONS(2017),
    [anon_sym_unorm] = ACTIONS(2017),
    [anon_sym_point] = ACTIONS(2017),
    [anon_sym_line] = ACTIONS(2017),
    [anon_sym_triangleadj] = ACTIONS(2017),
    [anon_sym_lineadj] = ACTIONS(2017),
    [anon_sym_triangle] = ACTIONS(2017),
    [anon_sym_cbuffer] = ACTIONS(2017),
  },
  [362] = {
    [sym_catch_clause] = STATE(309),
    [aux_sym_constructor_try_statement_repeat1] = STATE(309),
    [sym_identifier] = ACTIONS(2013),
    [aux_sym_preproc_include_token1] = ACTIONS(2013),
    [aux_sym_preproc_def_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2013),
    [sym_preproc_directive] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(2015),
    [anon_sym_BANG] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym___extension__] = ACTIONS(2013),
    [anon_sym_typedef] = ACTIONS(2013),
    [anon_sym_in] = ACTIONS(2013),
    [anon_sym_out] = ACTIONS(2013),
    [anon_sym_inout] = ACTIONS(2013),
    [anon_sym_virtual] = ACTIONS(2013),
    [anon_sym_extern] = ACTIONS(2013),
    [anon_sym___attribute__] = ACTIONS(2013),
    [anon_sym___attribute] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2015),
    [anon_sym___declspec] = ACTIONS(2013),
    [anon_sym___based] = ACTIONS(2013),
    [anon_sym___cdecl] = ACTIONS(2013),
    [anon_sym___clrcall] = ACTIONS(2013),
    [anon_sym___stdcall] = ACTIONS(2013),
    [anon_sym___fastcall] = ACTIONS(2013),
    [anon_sym___thiscall] = ACTIONS(2013),
    [anon_sym___vectorcall] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_signed] = ACTIONS(2013),
    [anon_sym_unsigned] = ACTIONS(2013),
    [anon_sym_long] = ACTIONS(2013),
    [anon_sym_short] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_register] = ACTIONS(2013),
    [anon_sym_inline] = ACTIONS(2013),
    [anon_sym___inline] = ACTIONS(2013),
    [anon_sym___inline__] = ACTIONS(2013),
    [anon_sym___forceinline] = ACTIONS(2013),
    [anon_sym_thread_local] = ACTIONS(2013),
    [anon_sym___thread] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2013),
    [anon_sym_constexpr] = ACTIONS(2013),
    [anon_sym_volatile] = ACTIONS(2013),
    [anon_sym_restrict] = ACTIONS(2013),
    [anon_sym___restrict__] = ACTIONS(2013),
    [anon_sym__Atomic] = ACTIONS(2013),
    [anon_sym__Noreturn] = ACTIONS(2013),
    [anon_sym_noreturn] = ACTIONS(2013),
    [anon_sym__Nonnull] = ACTIONS(2013),
    [anon_sym_mutable] = ACTIONS(2013),
    [anon_sym_constinit] = ACTIONS(2013),
    [anon_sym_consteval] = ACTIONS(2013),
    [anon_sym_alignas] = ACTIONS(2013),
    [anon_sym__Alignas] = ACTIONS(2013),
    [sym_primitive_type] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_struct] = ACTIONS(2013),
    [anon_sym_union] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_switch] = ACTIONS(2013),
    [anon_sym_case] = ACTIONS(2013),
    [anon_sym_default] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym___try] = ACTIONS(2013),
    [anon_sym___leave] = ACTIONS(2013),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_sizeof] = ACTIONS(2013),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2013),
    [anon_sym__Generic] = ACTIONS(2013),
    [anon_sym_asm] = ACTIONS(2013),
    [anon_sym___asm__] = ACTIONS(2013),
    [anon_sym___asm] = ACTIONS(2013),
    [sym_number_literal] = ACTIONS(2015),
    [anon_sym_L_SQUOTE] = ACTIONS(2015),
    [anon_sym_u_SQUOTE] = ACTIONS(2015),
    [anon_sym_U_SQUOTE] = ACTIONS(2015),
    [anon_sym_u8_SQUOTE] = ACTIONS(2015),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_L_DQUOTE] = ACTIONS(2015),
    [anon_sym_u_DQUOTE] = ACTIONS(2015),
    [anon_sym_U_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [sym_true] = ACTIONS(2013),
    [sym_false] = ACTIONS(2013),
    [anon_sym_NULL] = ACTIONS(2013),
    [anon_sym_nullptr] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2013),
    [anon_sym_decltype] = ACTIONS(2013),
    [anon_sym_explicit] = ACTIONS(2013),
    [anon_sym_typename] = ACTIONS(2013),
    [anon_sym_template] = ACTIONS(2013),
    [anon_sym_operator] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_namespace] = ACTIONS(2013),
    [anon_sym_using] = ACTIONS(2013),
    [anon_sym_static_assert] = ACTIONS(2013),
    [anon_sym_concept] = ACTIONS(2013),
    [anon_sym_co_return] = ACTIONS(2013),
    [anon_sym_co_yield] = ACTIONS(2013),
    [anon_sym_catch] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2013),
    [anon_sym_requires] = ACTIONS(2013),
    [sym_this] = ACTIONS(2013),
    [anon_sym_discard] = ACTIONS(2013),
    [anon_sym_precise] = ACTIONS(2013),
    [anon_sym_shared] = ACTIONS(2013),
    [anon_sym_groupshared] = ACTIONS(2013),
    [anon_sym_uniform] = ACTIONS(2013),
    [anon_sym_row_major] = ACTIONS(2013),
    [anon_sym_column_major] = ACTIONS(2013),
    [anon_sym_globallycoherent] = ACTIONS(2013),
    [anon_sym_centroid] = ACTIONS(2013),
    [anon_sym_noperspective] = ACTIONS(2013),
    [anon_sym_nointerpolation] = ACTIONS(2013),
    [anon_sym_sample] = ACTIONS(2013),
    [anon_sym_linear] = ACTIONS(2013),
    [anon_sym_snorm] = ACTIONS(2013),
    [anon_sym_unorm] = ACTIONS(2013),
    [anon_sym_point] = ACTIONS(2013),
    [anon_sym_line] = ACTIONS(2013),
    [anon_sym_triangleadj] = ACTIONS(2013),
    [anon_sym_lineadj] = ACTIONS(2013),
    [anon_sym_triangle] = ACTIONS(2013),
    [anon_sym_cbuffer] = ACTIONS(2013),
  },
  [363] = {
    [sym_catch_clause] = STATE(332),
    [aux_sym_constructor_try_statement_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(2017),
    [aux_sym_preproc_include_token1] = ACTIONS(2017),
    [aux_sym_preproc_def_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token2] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2017),
    [sym_preproc_directive] = ACTIONS(2017),
    [anon_sym_LPAREN2] = ACTIONS(2019),
    [anon_sym_BANG] = ACTIONS(2019),
    [anon_sym_TILDE] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2019),
    [anon_sym_AMP_AMP] = ACTIONS(2019),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym___extension__] = ACTIONS(2017),
    [anon_sym_typedef] = ACTIONS(2017),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_out] = ACTIONS(2017),
    [anon_sym_inout] = ACTIONS(2017),
    [anon_sym_virtual] = ACTIONS(2017),
    [anon_sym_extern] = ACTIONS(2017),
    [anon_sym___attribute__] = ACTIONS(2017),
    [anon_sym___attribute] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2019),
    [anon_sym___declspec] = ACTIONS(2017),
    [anon_sym___based] = ACTIONS(2017),
    [anon_sym___cdecl] = ACTIONS(2017),
    [anon_sym___clrcall] = ACTIONS(2017),
    [anon_sym___stdcall] = ACTIONS(2017),
    [anon_sym___fastcall] = ACTIONS(2017),
    [anon_sym___thiscall] = ACTIONS(2017),
    [anon_sym___vectorcall] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2019),
    [anon_sym_signed] = ACTIONS(2017),
    [anon_sym_unsigned] = ACTIONS(2017),
    [anon_sym_long] = ACTIONS(2017),
    [anon_sym_short] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_register] = ACTIONS(2017),
    [anon_sym_inline] = ACTIONS(2017),
    [anon_sym___inline] = ACTIONS(2017),
    [anon_sym___inline__] = ACTIONS(2017),
    [anon_sym___forceinline] = ACTIONS(2017),
    [anon_sym_thread_local] = ACTIONS(2017),
    [anon_sym___thread] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_constexpr] = ACTIONS(2017),
    [anon_sym_volatile] = ACTIONS(2017),
    [anon_sym_restrict] = ACTIONS(2017),
    [anon_sym___restrict__] = ACTIONS(2017),
    [anon_sym__Atomic] = ACTIONS(2017),
    [anon_sym__Noreturn] = ACTIONS(2017),
    [anon_sym_noreturn] = ACTIONS(2017),
    [anon_sym__Nonnull] = ACTIONS(2017),
    [anon_sym_mutable] = ACTIONS(2017),
    [anon_sym_constinit] = ACTIONS(2017),
    [anon_sym_consteval] = ACTIONS(2017),
    [anon_sym_alignas] = ACTIONS(2017),
    [anon_sym__Alignas] = ACTIONS(2017),
    [sym_primitive_type] = ACTIONS(2017),
    [anon_sym_enum] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_struct] = ACTIONS(2017),
    [anon_sym_union] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_switch] = ACTIONS(2017),
    [anon_sym_case] = ACTIONS(2017),
    [anon_sym_default] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym___try] = ACTIONS(2017),
    [anon_sym___leave] = ACTIONS(2017),
    [anon_sym_not] = ACTIONS(2017),
    [anon_sym_compl] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2019),
    [anon_sym_sizeof] = ACTIONS(2017),
    [anon_sym___alignof__] = ACTIONS(2017),
    [anon_sym___alignof] = ACTIONS(2017),
    [anon_sym__alignof] = ACTIONS(2017),
    [anon_sym_alignof] = ACTIONS(2017),
    [anon_sym__Alignof] = ACTIONS(2017),
    [anon_sym_offsetof] = ACTIONS(2017),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2017),
    [anon_sym___asm__] = ACTIONS(2017),
    [anon_sym___asm] = ACTIONS(2017),
    [sym_number_literal] = ACTIONS(2019),
    [anon_sym_L_SQUOTE] = ACTIONS(2019),
    [anon_sym_u_SQUOTE] = ACTIONS(2019),
    [anon_sym_U_SQUOTE] = ACTIONS(2019),
    [anon_sym_u8_SQUOTE] = ACTIONS(2019),
    [anon_sym_SQUOTE] = ACTIONS(2019),
    [anon_sym_L_DQUOTE] = ACTIONS(2019),
    [anon_sym_u_DQUOTE] = ACTIONS(2019),
    [anon_sym_U_DQUOTE] = ACTIONS(2019),
    [anon_sym_u8_DQUOTE] = ACTIONS(2019),
    [anon_sym_DQUOTE] = ACTIONS(2019),
    [sym_true] = ACTIONS(2017),
    [sym_false] = ACTIONS(2017),
    [anon_sym_NULL] = ACTIONS(2017),
    [anon_sym_nullptr] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2017),
    [anon_sym_decltype] = ACTIONS(2017),
    [anon_sym_explicit] = ACTIONS(2017),
    [anon_sym_typename] = ACTIONS(2017),
    [anon_sym_template] = ACTIONS(2017),
    [anon_sym_operator] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_throw] = ACTIONS(2017),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_using] = ACTIONS(2017),
    [anon_sym_static_assert] = ACTIONS(2017),
    [anon_sym_concept] = ACTIONS(2017),
    [anon_sym_co_return] = ACTIONS(2017),
    [anon_sym_co_yield] = ACTIONS(2017),
    [anon_sym_catch] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2019),
    [anon_sym_LR_DQUOTE] = ACTIONS(2019),
    [anon_sym_uR_DQUOTE] = ACTIONS(2019),
    [anon_sym_UR_DQUOTE] = ACTIONS(2019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2019),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(2017),
    [anon_sym_requires] = ACTIONS(2017),
    [sym_this] = ACTIONS(2017),
    [anon_sym_discard] = ACTIONS(2017),
    [anon_sym_precise] = ACTIONS(2017),
    [anon_sym_shared] = ACTIONS(2017),
    [anon_sym_groupshared] = ACTIONS(2017),
    [anon_sym_uniform] = ACTIONS(2017),
    [anon_sym_row_major] = ACTIONS(2017),
    [anon_sym_column_major] = ACTIONS(2017),
    [anon_sym_globallycoherent] = ACTIONS(2017),
    [anon_sym_centroid] = ACTIONS(2017),
    [anon_sym_noperspective] = ACTIONS(2017),
    [anon_sym_nointerpolation] = ACTIONS(2017),
    [anon_sym_sample] = ACTIONS(2017),
    [anon_sym_linear] = ACTIONS(2017),
    [anon_sym_snorm] = ACTIONS(2017),
    [anon_sym_unorm] = ACTIONS(2017),
    [anon_sym_point] = ACTIONS(2017),
    [anon_sym_line] = ACTIONS(2017),
    [anon_sym_triangleadj] = ACTIONS(2017),
    [anon_sym_lineadj] = ACTIONS(2017),
    [anon_sym_triangle] = ACTIONS(2017),
    [anon_sym_cbuffer] = ACTIONS(2017),
  },
  [364] = {
    [sym_expression] = STATE(4658),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8306),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2663),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_out] = ACTIONS(2312),
    [anon_sym_inout] = ACTIONS(2312),
    [anon_sym_virtual] = ACTIONS(2312),
    [anon_sym_extern] = ACTIONS(2312),
    [anon_sym___attribute__] = ACTIONS(2312),
    [anon_sym___attribute] = ACTIONS(2312),
    [anon_sym_COLON_COLON] = ACTIONS(2671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2314),
    [anon_sym___declspec] = ACTIONS(2312),
    [anon_sym_signed] = ACTIONS(2312),
    [anon_sym_unsigned] = ACTIONS(2312),
    [anon_sym_long] = ACTIONS(2312),
    [anon_sym_short] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2312),
    [anon_sym_register] = ACTIONS(2312),
    [anon_sym_inline] = ACTIONS(2312),
    [anon_sym___inline] = ACTIONS(2312),
    [anon_sym___inline__] = ACTIONS(2312),
    [anon_sym___forceinline] = ACTIONS(2312),
    [anon_sym_thread_local] = ACTIONS(2312),
    [anon_sym___thread] = ACTIONS(2312),
    [anon_sym_const] = ACTIONS(2312),
    [anon_sym_constexpr] = ACTIONS(2312),
    [anon_sym_volatile] = ACTIONS(2312),
    [anon_sym_restrict] = ACTIONS(2312),
    [anon_sym___restrict__] = ACTIONS(2312),
    [anon_sym__Atomic] = ACTIONS(2312),
    [anon_sym__Noreturn] = ACTIONS(2312),
    [anon_sym_noreturn] = ACTIONS(2312),
    [anon_sym__Nonnull] = ACTIONS(2312),
    [anon_sym_mutable] = ACTIONS(2312),
    [anon_sym_constinit] = ACTIONS(2312),
    [anon_sym_consteval] = ACTIONS(2312),
    [anon_sym_alignas] = ACTIONS(2312),
    [anon_sym__Alignas] = ACTIONS(2312),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2312),
    [anon_sym_class] = ACTIONS(2312),
    [anon_sym_struct] = ACTIONS(2312),
    [anon_sym_union] = ACTIONS(2312),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2312),
    [anon_sym_decltype] = ACTIONS(2677),
    [anon_sym_typename] = ACTIONS(2312),
    [anon_sym_template] = ACTIONS(2680),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2312),
    [anon_sym_shared] = ACTIONS(2312),
    [anon_sym_groupshared] = ACTIONS(2312),
    [anon_sym_uniform] = ACTIONS(2312),
    [anon_sym_row_major] = ACTIONS(2312),
    [anon_sym_column_major] = ACTIONS(2312),
    [anon_sym_globallycoherent] = ACTIONS(2312),
    [anon_sym_centroid] = ACTIONS(2312),
    [anon_sym_noperspective] = ACTIONS(2312),
    [anon_sym_nointerpolation] = ACTIONS(2312),
    [anon_sym_sample] = ACTIONS(2312),
    [anon_sym_linear] = ACTIONS(2312),
    [anon_sym_snorm] = ACTIONS(2312),
    [anon_sym_unorm] = ACTIONS(2312),
    [anon_sym_point] = ACTIONS(2312),
    [anon_sym_line] = ACTIONS(2312),
    [anon_sym_triangleadj] = ACTIONS(2312),
    [anon_sym_lineadj] = ACTIONS(2312),
    [anon_sym_triangle] = ACTIONS(2312),
  },
  [365] = {
    [sym_preproc_def] = STATE(367),
    [sym_preproc_function_def] = STATE(367),
    [sym_preproc_call] = STATE(367),
    [sym_preproc_if_in_field_declaration_list] = STATE(367),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(367),
    [sym_preproc_else_in_field_declaration_list] = STATE(8896),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8896),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8896),
    [sym_type_definition] = STATE(367),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(367),
    [sym_field_declaration] = STATE(367),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(367),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(367),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(367),
    [sym_operator_cast_declaration] = STATE(367),
    [sym_constructor_or_destructor_definition] = STATE(367),
    [sym_constructor_or_destructor_declaration] = STATE(367),
    [sym_friend_declaration] = STATE(367),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(367),
    [sym_alias_declaration] = STATE(367),
    [sym_static_assert_declaration] = STATE(367),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(367),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2689),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [366] = {
    [sym_preproc_def] = STATE(368),
    [sym_preproc_function_def] = STATE(368),
    [sym_preproc_call] = STATE(368),
    [sym_preproc_if_in_field_declaration_list] = STATE(368),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(368),
    [sym_preproc_else_in_field_declaration_list] = STATE(8144),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8144),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8144),
    [sym_type_definition] = STATE(368),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(368),
    [sym_field_declaration] = STATE(368),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(368),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(368),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(368),
    [sym_operator_cast_declaration] = STATE(368),
    [sym_constructor_or_destructor_definition] = STATE(368),
    [sym_constructor_or_destructor_declaration] = STATE(368),
    [sym_friend_declaration] = STATE(368),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(368),
    [sym_alias_declaration] = STATE(368),
    [sym_static_assert_declaration] = STATE(368),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(368),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2743),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [367] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8151),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8151),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8151),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [368] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8205),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8205),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8205),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [369] = {
    [sym_else_clause] = STATE(551),
    [sym_identifier] = ACTIONS(2107),
    [aux_sym_preproc_include_token1] = ACTIONS(2107),
    [aux_sym_preproc_def_token1] = ACTIONS(2107),
    [aux_sym_preproc_if_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [sym_preproc_directive] = ACTIONS(2107),
    [anon_sym_LPAREN2] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(2107),
    [anon_sym_typedef] = ACTIONS(2107),
    [anon_sym_in] = ACTIONS(2107),
    [anon_sym_out] = ACTIONS(2107),
    [anon_sym_inout] = ACTIONS(2107),
    [anon_sym_virtual] = ACTIONS(2107),
    [anon_sym_extern] = ACTIONS(2107),
    [anon_sym___attribute__] = ACTIONS(2107),
    [anon_sym___attribute] = ACTIONS(2107),
    [anon_sym_COLON_COLON] = ACTIONS(2109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2109),
    [anon_sym___declspec] = ACTIONS(2107),
    [anon_sym___based] = ACTIONS(2107),
    [anon_sym___cdecl] = ACTIONS(2107),
    [anon_sym___clrcall] = ACTIONS(2107),
    [anon_sym___stdcall] = ACTIONS(2107),
    [anon_sym___fastcall] = ACTIONS(2107),
    [anon_sym___thiscall] = ACTIONS(2107),
    [anon_sym___vectorcall] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_signed] = ACTIONS(2107),
    [anon_sym_unsigned] = ACTIONS(2107),
    [anon_sym_long] = ACTIONS(2107),
    [anon_sym_short] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_register] = ACTIONS(2107),
    [anon_sym_inline] = ACTIONS(2107),
    [anon_sym___inline] = ACTIONS(2107),
    [anon_sym___inline__] = ACTIONS(2107),
    [anon_sym___forceinline] = ACTIONS(2107),
    [anon_sym_thread_local] = ACTIONS(2107),
    [anon_sym___thread] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_constexpr] = ACTIONS(2107),
    [anon_sym_volatile] = ACTIONS(2107),
    [anon_sym_restrict] = ACTIONS(2107),
    [anon_sym___restrict__] = ACTIONS(2107),
    [anon_sym__Atomic] = ACTIONS(2107),
    [anon_sym__Noreturn] = ACTIONS(2107),
    [anon_sym_noreturn] = ACTIONS(2107),
    [anon_sym__Nonnull] = ACTIONS(2107),
    [anon_sym_mutable] = ACTIONS(2107),
    [anon_sym_constinit] = ACTIONS(2107),
    [anon_sym_consteval] = ACTIONS(2107),
    [anon_sym_alignas] = ACTIONS(2107),
    [anon_sym__Alignas] = ACTIONS(2107),
    [sym_primitive_type] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_struct] = ACTIONS(2107),
    [anon_sym_union] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_goto] = ACTIONS(2107),
    [anon_sym___try] = ACTIONS(2107),
    [anon_sym___leave] = ACTIONS(2107),
    [anon_sym_not] = ACTIONS(2107),
    [anon_sym_compl] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2107),
    [anon_sym___alignof] = ACTIONS(2107),
    [anon_sym__alignof] = ACTIONS(2107),
    [anon_sym_alignof] = ACTIONS(2107),
    [anon_sym__Alignof] = ACTIONS(2107),
    [anon_sym_offsetof] = ACTIONS(2107),
    [anon_sym__Generic] = ACTIONS(2107),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [sym_number_literal] = ACTIONS(2109),
    [anon_sym_L_SQUOTE] = ACTIONS(2109),
    [anon_sym_u_SQUOTE] = ACTIONS(2109),
    [anon_sym_U_SQUOTE] = ACTIONS(2109),
    [anon_sym_u8_SQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_L_DQUOTE] = ACTIONS(2109),
    [anon_sym_u_DQUOTE] = ACTIONS(2109),
    [anon_sym_U_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8_DQUOTE] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2107),
    [anon_sym_decltype] = ACTIONS(2107),
    [anon_sym_explicit] = ACTIONS(2107),
    [anon_sym_typename] = ACTIONS(2107),
    [anon_sym_template] = ACTIONS(2107),
    [anon_sym_operator] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_static_assert] = ACTIONS(2107),
    [anon_sym_concept] = ACTIONS(2107),
    [anon_sym_co_return] = ACTIONS(2107),
    [anon_sym_co_yield] = ACTIONS(2107),
    [anon_sym_R_DQUOTE] = ACTIONS(2109),
    [anon_sym_LR_DQUOTE] = ACTIONS(2109),
    [anon_sym_uR_DQUOTE] = ACTIONS(2109),
    [anon_sym_UR_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2109),
    [anon_sym_co_await] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_requires] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [anon_sym_discard] = ACTIONS(2107),
    [anon_sym_precise] = ACTIONS(2107),
    [anon_sym_shared] = ACTIONS(2107),
    [anon_sym_groupshared] = ACTIONS(2107),
    [anon_sym_uniform] = ACTIONS(2107),
    [anon_sym_row_major] = ACTIONS(2107),
    [anon_sym_column_major] = ACTIONS(2107),
    [anon_sym_globallycoherent] = ACTIONS(2107),
    [anon_sym_centroid] = ACTIONS(2107),
    [anon_sym_noperspective] = ACTIONS(2107),
    [anon_sym_nointerpolation] = ACTIONS(2107),
    [anon_sym_sample] = ACTIONS(2107),
    [anon_sym_linear] = ACTIONS(2107),
    [anon_sym_snorm] = ACTIONS(2107),
    [anon_sym_unorm] = ACTIONS(2107),
    [anon_sym_point] = ACTIONS(2107),
    [anon_sym_line] = ACTIONS(2107),
    [anon_sym_triangleadj] = ACTIONS(2107),
    [anon_sym_lineadj] = ACTIONS(2107),
    [anon_sym_triangle] = ACTIONS(2107),
    [anon_sym_cbuffer] = ACTIONS(2107),
  },
  [370] = {
    [sym_identifier] = ACTIONS(2099),
    [aux_sym_preproc_include_token1] = ACTIONS(2099),
    [aux_sym_preproc_def_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token2] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2099),
    [sym_preproc_directive] = ACTIONS(2099),
    [anon_sym_LPAREN2] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2099),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym___extension__] = ACTIONS(2099),
    [anon_sym_typedef] = ACTIONS(2099),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_out] = ACTIONS(2099),
    [anon_sym_inout] = ACTIONS(2099),
    [anon_sym_virtual] = ACTIONS(2099),
    [anon_sym_extern] = ACTIONS(2099),
    [anon_sym___attribute__] = ACTIONS(2099),
    [anon_sym___attribute] = ACTIONS(2099),
    [anon_sym_COLON_COLON] = ACTIONS(2101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2101),
    [anon_sym___declspec] = ACTIONS(2099),
    [anon_sym___based] = ACTIONS(2099),
    [anon_sym___cdecl] = ACTIONS(2099),
    [anon_sym___clrcall] = ACTIONS(2099),
    [anon_sym___stdcall] = ACTIONS(2099),
    [anon_sym___fastcall] = ACTIONS(2099),
    [anon_sym___thiscall] = ACTIONS(2099),
    [anon_sym___vectorcall] = ACTIONS(2099),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2099),
    [anon_sym_register] = ACTIONS(2099),
    [anon_sym_inline] = ACTIONS(2099),
    [anon_sym___inline] = ACTIONS(2099),
    [anon_sym___inline__] = ACTIONS(2099),
    [anon_sym___forceinline] = ACTIONS(2099),
    [anon_sym_thread_local] = ACTIONS(2099),
    [anon_sym___thread] = ACTIONS(2099),
    [anon_sym_const] = ACTIONS(2099),
    [anon_sym_constexpr] = ACTIONS(2099),
    [anon_sym_volatile] = ACTIONS(2099),
    [anon_sym_restrict] = ACTIONS(2099),
    [anon_sym___restrict__] = ACTIONS(2099),
    [anon_sym__Atomic] = ACTIONS(2099),
    [anon_sym__Noreturn] = ACTIONS(2099),
    [anon_sym_noreturn] = ACTIONS(2099),
    [anon_sym__Nonnull] = ACTIONS(2099),
    [anon_sym_mutable] = ACTIONS(2099),
    [anon_sym_constinit] = ACTIONS(2099),
    [anon_sym_consteval] = ACTIONS(2099),
    [anon_sym_alignas] = ACTIONS(2099),
    [anon_sym__Alignas] = ACTIONS(2099),
    [sym_primitive_type] = ACTIONS(2099),
    [anon_sym_enum] = ACTIONS(2099),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2099),
    [anon_sym_union] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(2099),
    [anon_sym_switch] = ACTIONS(2099),
    [anon_sym_case] = ACTIONS(2099),
    [anon_sym_default] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2099),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_return] = ACTIONS(2099),
    [anon_sym_break] = ACTIONS(2099),
    [anon_sym_continue] = ACTIONS(2099),
    [anon_sym_goto] = ACTIONS(2099),
    [anon_sym___try] = ACTIONS(2099),
    [anon_sym___leave] = ACTIONS(2099),
    [anon_sym_not] = ACTIONS(2099),
    [anon_sym_compl] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_sizeof] = ACTIONS(2099),
    [anon_sym___alignof__] = ACTIONS(2099),
    [anon_sym___alignof] = ACTIONS(2099),
    [anon_sym__alignof] = ACTIONS(2099),
    [anon_sym_alignof] = ACTIONS(2099),
    [anon_sym__Alignof] = ACTIONS(2099),
    [anon_sym_offsetof] = ACTIONS(2099),
    [anon_sym__Generic] = ACTIONS(2099),
    [anon_sym_asm] = ACTIONS(2099),
    [anon_sym___asm__] = ACTIONS(2099),
    [anon_sym___asm] = ACTIONS(2099),
    [sym_number_literal] = ACTIONS(2101),
    [anon_sym_L_SQUOTE] = ACTIONS(2101),
    [anon_sym_u_SQUOTE] = ACTIONS(2101),
    [anon_sym_U_SQUOTE] = ACTIONS(2101),
    [anon_sym_u8_SQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2099),
    [sym_false] = ACTIONS(2099),
    [anon_sym_NULL] = ACTIONS(2099),
    [anon_sym_nullptr] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2099),
    [anon_sym_decltype] = ACTIONS(2099),
    [anon_sym_explicit] = ACTIONS(2099),
    [anon_sym_typename] = ACTIONS(2099),
    [anon_sym_template] = ACTIONS(2099),
    [anon_sym_operator] = ACTIONS(2099),
    [anon_sym_try] = ACTIONS(2099),
    [anon_sym_delete] = ACTIONS(2099),
    [anon_sym_throw] = ACTIONS(2099),
    [anon_sym_namespace] = ACTIONS(2099),
    [anon_sym_using] = ACTIONS(2099),
    [anon_sym_static_assert] = ACTIONS(2099),
    [anon_sym_concept] = ACTIONS(2099),
    [anon_sym_co_return] = ACTIONS(2099),
    [anon_sym_co_yield] = ACTIONS(2099),
    [anon_sym_catch] = ACTIONS(2099),
    [anon_sym_R_DQUOTE] = ACTIONS(2101),
    [anon_sym_LR_DQUOTE] = ACTIONS(2101),
    [anon_sym_uR_DQUOTE] = ACTIONS(2101),
    [anon_sym_UR_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2101),
    [anon_sym_co_await] = ACTIONS(2099),
    [anon_sym_new] = ACTIONS(2099),
    [anon_sym_requires] = ACTIONS(2099),
    [sym_this] = ACTIONS(2099),
    [anon_sym_discard] = ACTIONS(2099),
    [anon_sym_precise] = ACTIONS(2099),
    [anon_sym_shared] = ACTIONS(2099),
    [anon_sym_groupshared] = ACTIONS(2099),
    [anon_sym_uniform] = ACTIONS(2099),
    [anon_sym_row_major] = ACTIONS(2099),
    [anon_sym_column_major] = ACTIONS(2099),
    [anon_sym_globallycoherent] = ACTIONS(2099),
    [anon_sym_centroid] = ACTIONS(2099),
    [anon_sym_noperspective] = ACTIONS(2099),
    [anon_sym_nointerpolation] = ACTIONS(2099),
    [anon_sym_sample] = ACTIONS(2099),
    [anon_sym_linear] = ACTIONS(2099),
    [anon_sym_snorm] = ACTIONS(2099),
    [anon_sym_unorm] = ACTIONS(2099),
    [anon_sym_point] = ACTIONS(2099),
    [anon_sym_line] = ACTIONS(2099),
    [anon_sym_triangleadj] = ACTIONS(2099),
    [anon_sym_lineadj] = ACTIONS(2099),
    [anon_sym_triangle] = ACTIONS(2099),
    [anon_sym_cbuffer] = ACTIONS(2099),
  },
  [371] = {
    [sym_preproc_def] = STATE(395),
    [sym_preproc_function_def] = STATE(395),
    [sym_preproc_call] = STATE(395),
    [sym_preproc_if_in_field_declaration_list] = STATE(395),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(395),
    [sym_preproc_else_in_field_declaration_list] = STATE(8430),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8430),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8430),
    [sym_type_definition] = STATE(395),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(395),
    [sym_field_declaration] = STATE(395),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(395),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(395),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(395),
    [sym_operator_cast_declaration] = STATE(395),
    [sym_constructor_or_destructor_definition] = STATE(395),
    [sym_constructor_or_destructor_declaration] = STATE(395),
    [sym_friend_declaration] = STATE(395),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(395),
    [sym_alias_declaration] = STATE(395),
    [sym_static_assert_declaration] = STATE(395),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(395),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [372] = {
    [sym_else_clause] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(2121),
    [sym_identifier] = ACTIONS(2119),
    [aux_sym_preproc_include_token1] = ACTIONS(2119),
    [aux_sym_preproc_def_token1] = ACTIONS(2119),
    [aux_sym_preproc_if_token1] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2119),
    [sym_preproc_directive] = ACTIONS(2119),
    [anon_sym_LPAREN2] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2121),
    [anon_sym_AMP_AMP] = ACTIONS(2121),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym___extension__] = ACTIONS(2119),
    [anon_sym_typedef] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_out] = ACTIONS(2119),
    [anon_sym_inout] = ACTIONS(2119),
    [anon_sym_virtual] = ACTIONS(2119),
    [anon_sym_extern] = ACTIONS(2119),
    [anon_sym___attribute__] = ACTIONS(2119),
    [anon_sym___attribute] = ACTIONS(2119),
    [anon_sym_COLON_COLON] = ACTIONS(2121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2121),
    [anon_sym___declspec] = ACTIONS(2119),
    [anon_sym___based] = ACTIONS(2119),
    [anon_sym___cdecl] = ACTIONS(2119),
    [anon_sym___clrcall] = ACTIONS(2119),
    [anon_sym___stdcall] = ACTIONS(2119),
    [anon_sym___fastcall] = ACTIONS(2119),
    [anon_sym___thiscall] = ACTIONS(2119),
    [anon_sym___vectorcall] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_signed] = ACTIONS(2119),
    [anon_sym_unsigned] = ACTIONS(2119),
    [anon_sym_long] = ACTIONS(2119),
    [anon_sym_short] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_register] = ACTIONS(2119),
    [anon_sym_inline] = ACTIONS(2119),
    [anon_sym___inline] = ACTIONS(2119),
    [anon_sym___inline__] = ACTIONS(2119),
    [anon_sym___forceinline] = ACTIONS(2119),
    [anon_sym_thread_local] = ACTIONS(2119),
    [anon_sym___thread] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_constexpr] = ACTIONS(2119),
    [anon_sym_volatile] = ACTIONS(2119),
    [anon_sym_restrict] = ACTIONS(2119),
    [anon_sym___restrict__] = ACTIONS(2119),
    [anon_sym__Atomic] = ACTIONS(2119),
    [anon_sym__Noreturn] = ACTIONS(2119),
    [anon_sym_noreturn] = ACTIONS(2119),
    [anon_sym__Nonnull] = ACTIONS(2119),
    [anon_sym_mutable] = ACTIONS(2119),
    [anon_sym_constinit] = ACTIONS(2119),
    [anon_sym_consteval] = ACTIONS(2119),
    [anon_sym_alignas] = ACTIONS(2119),
    [anon_sym__Alignas] = ACTIONS(2119),
    [sym_primitive_type] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_struct] = ACTIONS(2119),
    [anon_sym_union] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_goto] = ACTIONS(2119),
    [anon_sym___try] = ACTIONS(2119),
    [anon_sym___leave] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2119),
    [anon_sym_compl] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2119),
    [anon_sym___alignof__] = ACTIONS(2119),
    [anon_sym___alignof] = ACTIONS(2119),
    [anon_sym__alignof] = ACTIONS(2119),
    [anon_sym_alignof] = ACTIONS(2119),
    [anon_sym__Alignof] = ACTIONS(2119),
    [anon_sym_offsetof] = ACTIONS(2119),
    [anon_sym__Generic] = ACTIONS(2119),
    [anon_sym_asm] = ACTIONS(2119),
    [anon_sym___asm__] = ACTIONS(2119),
    [anon_sym___asm] = ACTIONS(2119),
    [sym_number_literal] = ACTIONS(2121),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2121),
    [anon_sym_u_DQUOTE] = ACTIONS(2121),
    [anon_sym_U_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8_DQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2121),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [anon_sym_NULL] = ACTIONS(2119),
    [anon_sym_nullptr] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2119),
    [anon_sym_decltype] = ACTIONS(2119),
    [anon_sym_explicit] = ACTIONS(2119),
    [anon_sym_typename] = ACTIONS(2119),
    [anon_sym_template] = ACTIONS(2119),
    [anon_sym_operator] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_static_assert] = ACTIONS(2119),
    [anon_sym_concept] = ACTIONS(2119),
    [anon_sym_co_return] = ACTIONS(2119),
    [anon_sym_co_yield] = ACTIONS(2119),
    [anon_sym_R_DQUOTE] = ACTIONS(2121),
    [anon_sym_LR_DQUOTE] = ACTIONS(2121),
    [anon_sym_uR_DQUOTE] = ACTIONS(2121),
    [anon_sym_UR_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2121),
    [anon_sym_co_await] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_requires] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [anon_sym_discard] = ACTIONS(2119),
    [anon_sym_precise] = ACTIONS(2119),
    [anon_sym_shared] = ACTIONS(2119),
    [anon_sym_groupshared] = ACTIONS(2119),
    [anon_sym_uniform] = ACTIONS(2119),
    [anon_sym_row_major] = ACTIONS(2119),
    [anon_sym_column_major] = ACTIONS(2119),
    [anon_sym_globallycoherent] = ACTIONS(2119),
    [anon_sym_centroid] = ACTIONS(2119),
    [anon_sym_noperspective] = ACTIONS(2119),
    [anon_sym_nointerpolation] = ACTIONS(2119),
    [anon_sym_sample] = ACTIONS(2119),
    [anon_sym_linear] = ACTIONS(2119),
    [anon_sym_snorm] = ACTIONS(2119),
    [anon_sym_unorm] = ACTIONS(2119),
    [anon_sym_point] = ACTIONS(2119),
    [anon_sym_line] = ACTIONS(2119),
    [anon_sym_triangleadj] = ACTIONS(2119),
    [anon_sym_lineadj] = ACTIONS(2119),
    [anon_sym_triangle] = ACTIONS(2119),
    [anon_sym_cbuffer] = ACTIONS(2119),
  },
  [373] = {
    [sym_else_clause] = STATE(483),
    [sym_identifier] = ACTIONS(2107),
    [aux_sym_preproc_include_token1] = ACTIONS(2107),
    [aux_sym_preproc_def_token1] = ACTIONS(2107),
    [aux_sym_preproc_if_token1] = ACTIONS(2107),
    [aux_sym_preproc_if_token2] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [sym_preproc_directive] = ACTIONS(2107),
    [anon_sym_LPAREN2] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(2107),
    [anon_sym_typedef] = ACTIONS(2107),
    [anon_sym_in] = ACTIONS(2107),
    [anon_sym_out] = ACTIONS(2107),
    [anon_sym_inout] = ACTIONS(2107),
    [anon_sym_virtual] = ACTIONS(2107),
    [anon_sym_extern] = ACTIONS(2107),
    [anon_sym___attribute__] = ACTIONS(2107),
    [anon_sym___attribute] = ACTIONS(2107),
    [anon_sym_COLON_COLON] = ACTIONS(2109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2109),
    [anon_sym___declspec] = ACTIONS(2107),
    [anon_sym___based] = ACTIONS(2107),
    [anon_sym___cdecl] = ACTIONS(2107),
    [anon_sym___clrcall] = ACTIONS(2107),
    [anon_sym___stdcall] = ACTIONS(2107),
    [anon_sym___fastcall] = ACTIONS(2107),
    [anon_sym___thiscall] = ACTIONS(2107),
    [anon_sym___vectorcall] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_signed] = ACTIONS(2107),
    [anon_sym_unsigned] = ACTIONS(2107),
    [anon_sym_long] = ACTIONS(2107),
    [anon_sym_short] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_register] = ACTIONS(2107),
    [anon_sym_inline] = ACTIONS(2107),
    [anon_sym___inline] = ACTIONS(2107),
    [anon_sym___inline__] = ACTIONS(2107),
    [anon_sym___forceinline] = ACTIONS(2107),
    [anon_sym_thread_local] = ACTIONS(2107),
    [anon_sym___thread] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_constexpr] = ACTIONS(2107),
    [anon_sym_volatile] = ACTIONS(2107),
    [anon_sym_restrict] = ACTIONS(2107),
    [anon_sym___restrict__] = ACTIONS(2107),
    [anon_sym__Atomic] = ACTIONS(2107),
    [anon_sym__Noreturn] = ACTIONS(2107),
    [anon_sym_noreturn] = ACTIONS(2107),
    [anon_sym__Nonnull] = ACTIONS(2107),
    [anon_sym_mutable] = ACTIONS(2107),
    [anon_sym_constinit] = ACTIONS(2107),
    [anon_sym_consteval] = ACTIONS(2107),
    [anon_sym_alignas] = ACTIONS(2107),
    [anon_sym__Alignas] = ACTIONS(2107),
    [sym_primitive_type] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_struct] = ACTIONS(2107),
    [anon_sym_union] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2761),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_goto] = ACTIONS(2107),
    [anon_sym___try] = ACTIONS(2107),
    [anon_sym___leave] = ACTIONS(2107),
    [anon_sym_not] = ACTIONS(2107),
    [anon_sym_compl] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2107),
    [anon_sym___alignof] = ACTIONS(2107),
    [anon_sym__alignof] = ACTIONS(2107),
    [anon_sym_alignof] = ACTIONS(2107),
    [anon_sym__Alignof] = ACTIONS(2107),
    [anon_sym_offsetof] = ACTIONS(2107),
    [anon_sym__Generic] = ACTIONS(2107),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [sym_number_literal] = ACTIONS(2109),
    [anon_sym_L_SQUOTE] = ACTIONS(2109),
    [anon_sym_u_SQUOTE] = ACTIONS(2109),
    [anon_sym_U_SQUOTE] = ACTIONS(2109),
    [anon_sym_u8_SQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_L_DQUOTE] = ACTIONS(2109),
    [anon_sym_u_DQUOTE] = ACTIONS(2109),
    [anon_sym_U_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8_DQUOTE] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2107),
    [anon_sym_decltype] = ACTIONS(2107),
    [anon_sym_explicit] = ACTIONS(2107),
    [anon_sym_typename] = ACTIONS(2107),
    [anon_sym_template] = ACTIONS(2107),
    [anon_sym_operator] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_static_assert] = ACTIONS(2107),
    [anon_sym_concept] = ACTIONS(2107),
    [anon_sym_co_return] = ACTIONS(2107),
    [anon_sym_co_yield] = ACTIONS(2107),
    [anon_sym_R_DQUOTE] = ACTIONS(2109),
    [anon_sym_LR_DQUOTE] = ACTIONS(2109),
    [anon_sym_uR_DQUOTE] = ACTIONS(2109),
    [anon_sym_UR_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2109),
    [anon_sym_co_await] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_requires] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [anon_sym_discard] = ACTIONS(2107),
    [anon_sym_precise] = ACTIONS(2107),
    [anon_sym_shared] = ACTIONS(2107),
    [anon_sym_groupshared] = ACTIONS(2107),
    [anon_sym_uniform] = ACTIONS(2107),
    [anon_sym_row_major] = ACTIONS(2107),
    [anon_sym_column_major] = ACTIONS(2107),
    [anon_sym_globallycoherent] = ACTIONS(2107),
    [anon_sym_centroid] = ACTIONS(2107),
    [anon_sym_noperspective] = ACTIONS(2107),
    [anon_sym_nointerpolation] = ACTIONS(2107),
    [anon_sym_sample] = ACTIONS(2107),
    [anon_sym_linear] = ACTIONS(2107),
    [anon_sym_snorm] = ACTIONS(2107),
    [anon_sym_unorm] = ACTIONS(2107),
    [anon_sym_point] = ACTIONS(2107),
    [anon_sym_line] = ACTIONS(2107),
    [anon_sym_triangleadj] = ACTIONS(2107),
    [anon_sym_lineadj] = ACTIONS(2107),
    [anon_sym_triangle] = ACTIONS(2107),
    [anon_sym_cbuffer] = ACTIONS(2107),
  },
  [374] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_include_token1] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_RBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_else] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym___try] = ACTIONS(1978),
    [anon_sym___leave] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_namespace] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_catch] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_discard] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
    [anon_sym_cbuffer] = ACTIONS(1978),
  },
  [375] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8690),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8690),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8690),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [376] = {
    [sym_expression] = STATE(4671),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8187),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym___attribute] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2778),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym__Nonnull] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym__Alignas] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2783),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
  },
  [377] = {
    [sym_else_clause] = STATE(412),
    [ts_builtin_sym_end] = ACTIONS(2115),
    [sym_identifier] = ACTIONS(2113),
    [aux_sym_preproc_include_token1] = ACTIONS(2113),
    [aux_sym_preproc_def_token1] = ACTIONS(2113),
    [aux_sym_preproc_if_token1] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2113),
    [sym_preproc_directive] = ACTIONS(2113),
    [anon_sym_LPAREN2] = ACTIONS(2115),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_TILDE] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_AMP] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym___extension__] = ACTIONS(2113),
    [anon_sym_typedef] = ACTIONS(2113),
    [anon_sym_in] = ACTIONS(2113),
    [anon_sym_out] = ACTIONS(2113),
    [anon_sym_inout] = ACTIONS(2113),
    [anon_sym_virtual] = ACTIONS(2113),
    [anon_sym_extern] = ACTIONS(2113),
    [anon_sym___attribute__] = ACTIONS(2113),
    [anon_sym___attribute] = ACTIONS(2113),
    [anon_sym_COLON_COLON] = ACTIONS(2115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2115),
    [anon_sym___declspec] = ACTIONS(2113),
    [anon_sym___based] = ACTIONS(2113),
    [anon_sym___cdecl] = ACTIONS(2113),
    [anon_sym___clrcall] = ACTIONS(2113),
    [anon_sym___stdcall] = ACTIONS(2113),
    [anon_sym___fastcall] = ACTIONS(2113),
    [anon_sym___thiscall] = ACTIONS(2113),
    [anon_sym___vectorcall] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2115),
    [anon_sym_signed] = ACTIONS(2113),
    [anon_sym_unsigned] = ACTIONS(2113),
    [anon_sym_long] = ACTIONS(2113),
    [anon_sym_short] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_static] = ACTIONS(2113),
    [anon_sym_register] = ACTIONS(2113),
    [anon_sym_inline] = ACTIONS(2113),
    [anon_sym___inline] = ACTIONS(2113),
    [anon_sym___inline__] = ACTIONS(2113),
    [anon_sym___forceinline] = ACTIONS(2113),
    [anon_sym_thread_local] = ACTIONS(2113),
    [anon_sym___thread] = ACTIONS(2113),
    [anon_sym_const] = ACTIONS(2113),
    [anon_sym_constexpr] = ACTIONS(2113),
    [anon_sym_volatile] = ACTIONS(2113),
    [anon_sym_restrict] = ACTIONS(2113),
    [anon_sym___restrict__] = ACTIONS(2113),
    [anon_sym__Atomic] = ACTIONS(2113),
    [anon_sym__Noreturn] = ACTIONS(2113),
    [anon_sym_noreturn] = ACTIONS(2113),
    [anon_sym__Nonnull] = ACTIONS(2113),
    [anon_sym_mutable] = ACTIONS(2113),
    [anon_sym_constinit] = ACTIONS(2113),
    [anon_sym_consteval] = ACTIONS(2113),
    [anon_sym_alignas] = ACTIONS(2113),
    [anon_sym__Alignas] = ACTIONS(2113),
    [sym_primitive_type] = ACTIONS(2113),
    [anon_sym_enum] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_struct] = ACTIONS(2113),
    [anon_sym_union] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_else] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2113),
    [anon_sym_case] = ACTIONS(2113),
    [anon_sym_default] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym___try] = ACTIONS(2113),
    [anon_sym___leave] = ACTIONS(2113),
    [anon_sym_not] = ACTIONS(2113),
    [anon_sym_compl] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2115),
    [anon_sym_PLUS_PLUS] = ACTIONS(2115),
    [anon_sym_sizeof] = ACTIONS(2113),
    [anon_sym___alignof__] = ACTIONS(2113),
    [anon_sym___alignof] = ACTIONS(2113),
    [anon_sym__alignof] = ACTIONS(2113),
    [anon_sym_alignof] = ACTIONS(2113),
    [anon_sym__Alignof] = ACTIONS(2113),
    [anon_sym_offsetof] = ACTIONS(2113),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2113),
    [anon_sym___asm__] = ACTIONS(2113),
    [anon_sym___asm] = ACTIONS(2113),
    [sym_number_literal] = ACTIONS(2115),
    [anon_sym_L_SQUOTE] = ACTIONS(2115),
    [anon_sym_u_SQUOTE] = ACTIONS(2115),
    [anon_sym_U_SQUOTE] = ACTIONS(2115),
    [anon_sym_u8_SQUOTE] = ACTIONS(2115),
    [anon_sym_SQUOTE] = ACTIONS(2115),
    [anon_sym_L_DQUOTE] = ACTIONS(2115),
    [anon_sym_u_DQUOTE] = ACTIONS(2115),
    [anon_sym_U_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8_DQUOTE] = ACTIONS(2115),
    [anon_sym_DQUOTE] = ACTIONS(2115),
    [sym_true] = ACTIONS(2113),
    [sym_false] = ACTIONS(2113),
    [anon_sym_NULL] = ACTIONS(2113),
    [anon_sym_nullptr] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2113),
    [anon_sym_decltype] = ACTIONS(2113),
    [anon_sym_explicit] = ACTIONS(2113),
    [anon_sym_typename] = ACTIONS(2113),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_operator] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2113),
    [anon_sym_namespace] = ACTIONS(2113),
    [anon_sym_using] = ACTIONS(2113),
    [anon_sym_static_assert] = ACTIONS(2113),
    [anon_sym_concept] = ACTIONS(2113),
    [anon_sym_co_return] = ACTIONS(2113),
    [anon_sym_co_yield] = ACTIONS(2113),
    [anon_sym_R_DQUOTE] = ACTIONS(2115),
    [anon_sym_LR_DQUOTE] = ACTIONS(2115),
    [anon_sym_uR_DQUOTE] = ACTIONS(2115),
    [anon_sym_UR_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2115),
    [anon_sym_co_await] = ACTIONS(2113),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_requires] = ACTIONS(2113),
    [sym_this] = ACTIONS(2113),
    [anon_sym_discard] = ACTIONS(2113),
    [anon_sym_precise] = ACTIONS(2113),
    [anon_sym_shared] = ACTIONS(2113),
    [anon_sym_groupshared] = ACTIONS(2113),
    [anon_sym_uniform] = ACTIONS(2113),
    [anon_sym_row_major] = ACTIONS(2113),
    [anon_sym_column_major] = ACTIONS(2113),
    [anon_sym_globallycoherent] = ACTIONS(2113),
    [anon_sym_centroid] = ACTIONS(2113),
    [anon_sym_noperspective] = ACTIONS(2113),
    [anon_sym_nointerpolation] = ACTIONS(2113),
    [anon_sym_sample] = ACTIONS(2113),
    [anon_sym_linear] = ACTIONS(2113),
    [anon_sym_snorm] = ACTIONS(2113),
    [anon_sym_unorm] = ACTIONS(2113),
    [anon_sym_point] = ACTIONS(2113),
    [anon_sym_line] = ACTIONS(2113),
    [anon_sym_triangleadj] = ACTIONS(2113),
    [anon_sym_lineadj] = ACTIONS(2113),
    [anon_sym_triangle] = ACTIONS(2113),
    [anon_sym_cbuffer] = ACTIONS(2113),
  },
  [378] = {
    [sym_else_clause] = STATE(466),
    [sym_identifier] = ACTIONS(2113),
    [aux_sym_preproc_include_token1] = ACTIONS(2113),
    [aux_sym_preproc_def_token1] = ACTIONS(2113),
    [aux_sym_preproc_if_token1] = ACTIONS(2113),
    [aux_sym_preproc_if_token2] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2113),
    [sym_preproc_directive] = ACTIONS(2113),
    [anon_sym_LPAREN2] = ACTIONS(2115),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_TILDE] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_AMP] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym___extension__] = ACTIONS(2113),
    [anon_sym_typedef] = ACTIONS(2113),
    [anon_sym_in] = ACTIONS(2113),
    [anon_sym_out] = ACTIONS(2113),
    [anon_sym_inout] = ACTIONS(2113),
    [anon_sym_virtual] = ACTIONS(2113),
    [anon_sym_extern] = ACTIONS(2113),
    [anon_sym___attribute__] = ACTIONS(2113),
    [anon_sym___attribute] = ACTIONS(2113),
    [anon_sym_COLON_COLON] = ACTIONS(2115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2115),
    [anon_sym___declspec] = ACTIONS(2113),
    [anon_sym___based] = ACTIONS(2113),
    [anon_sym___cdecl] = ACTIONS(2113),
    [anon_sym___clrcall] = ACTIONS(2113),
    [anon_sym___stdcall] = ACTIONS(2113),
    [anon_sym___fastcall] = ACTIONS(2113),
    [anon_sym___thiscall] = ACTIONS(2113),
    [anon_sym___vectorcall] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2115),
    [anon_sym_signed] = ACTIONS(2113),
    [anon_sym_unsigned] = ACTIONS(2113),
    [anon_sym_long] = ACTIONS(2113),
    [anon_sym_short] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_static] = ACTIONS(2113),
    [anon_sym_register] = ACTIONS(2113),
    [anon_sym_inline] = ACTIONS(2113),
    [anon_sym___inline] = ACTIONS(2113),
    [anon_sym___inline__] = ACTIONS(2113),
    [anon_sym___forceinline] = ACTIONS(2113),
    [anon_sym_thread_local] = ACTIONS(2113),
    [anon_sym___thread] = ACTIONS(2113),
    [anon_sym_const] = ACTIONS(2113),
    [anon_sym_constexpr] = ACTIONS(2113),
    [anon_sym_volatile] = ACTIONS(2113),
    [anon_sym_restrict] = ACTIONS(2113),
    [anon_sym___restrict__] = ACTIONS(2113),
    [anon_sym__Atomic] = ACTIONS(2113),
    [anon_sym__Noreturn] = ACTIONS(2113),
    [anon_sym_noreturn] = ACTIONS(2113),
    [anon_sym__Nonnull] = ACTIONS(2113),
    [anon_sym_mutable] = ACTIONS(2113),
    [anon_sym_constinit] = ACTIONS(2113),
    [anon_sym_consteval] = ACTIONS(2113),
    [anon_sym_alignas] = ACTIONS(2113),
    [anon_sym__Alignas] = ACTIONS(2113),
    [sym_primitive_type] = ACTIONS(2113),
    [anon_sym_enum] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_struct] = ACTIONS(2113),
    [anon_sym_union] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_else] = ACTIONS(2761),
    [anon_sym_switch] = ACTIONS(2113),
    [anon_sym_case] = ACTIONS(2113),
    [anon_sym_default] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym___try] = ACTIONS(2113),
    [anon_sym___leave] = ACTIONS(2113),
    [anon_sym_not] = ACTIONS(2113),
    [anon_sym_compl] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2115),
    [anon_sym_PLUS_PLUS] = ACTIONS(2115),
    [anon_sym_sizeof] = ACTIONS(2113),
    [anon_sym___alignof__] = ACTIONS(2113),
    [anon_sym___alignof] = ACTIONS(2113),
    [anon_sym__alignof] = ACTIONS(2113),
    [anon_sym_alignof] = ACTIONS(2113),
    [anon_sym__Alignof] = ACTIONS(2113),
    [anon_sym_offsetof] = ACTIONS(2113),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2113),
    [anon_sym___asm__] = ACTIONS(2113),
    [anon_sym___asm] = ACTIONS(2113),
    [sym_number_literal] = ACTIONS(2115),
    [anon_sym_L_SQUOTE] = ACTIONS(2115),
    [anon_sym_u_SQUOTE] = ACTIONS(2115),
    [anon_sym_U_SQUOTE] = ACTIONS(2115),
    [anon_sym_u8_SQUOTE] = ACTIONS(2115),
    [anon_sym_SQUOTE] = ACTIONS(2115),
    [anon_sym_L_DQUOTE] = ACTIONS(2115),
    [anon_sym_u_DQUOTE] = ACTIONS(2115),
    [anon_sym_U_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8_DQUOTE] = ACTIONS(2115),
    [anon_sym_DQUOTE] = ACTIONS(2115),
    [sym_true] = ACTIONS(2113),
    [sym_false] = ACTIONS(2113),
    [anon_sym_NULL] = ACTIONS(2113),
    [anon_sym_nullptr] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2113),
    [anon_sym_decltype] = ACTIONS(2113),
    [anon_sym_explicit] = ACTIONS(2113),
    [anon_sym_typename] = ACTIONS(2113),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_operator] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2113),
    [anon_sym_namespace] = ACTIONS(2113),
    [anon_sym_using] = ACTIONS(2113),
    [anon_sym_static_assert] = ACTIONS(2113),
    [anon_sym_concept] = ACTIONS(2113),
    [anon_sym_co_return] = ACTIONS(2113),
    [anon_sym_co_yield] = ACTIONS(2113),
    [anon_sym_R_DQUOTE] = ACTIONS(2115),
    [anon_sym_LR_DQUOTE] = ACTIONS(2115),
    [anon_sym_uR_DQUOTE] = ACTIONS(2115),
    [anon_sym_UR_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2115),
    [anon_sym_co_await] = ACTIONS(2113),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_requires] = ACTIONS(2113),
    [sym_this] = ACTIONS(2113),
    [anon_sym_discard] = ACTIONS(2113),
    [anon_sym_precise] = ACTIONS(2113),
    [anon_sym_shared] = ACTIONS(2113),
    [anon_sym_groupshared] = ACTIONS(2113),
    [anon_sym_uniform] = ACTIONS(2113),
    [anon_sym_row_major] = ACTIONS(2113),
    [anon_sym_column_major] = ACTIONS(2113),
    [anon_sym_globallycoherent] = ACTIONS(2113),
    [anon_sym_centroid] = ACTIONS(2113),
    [anon_sym_noperspective] = ACTIONS(2113),
    [anon_sym_nointerpolation] = ACTIONS(2113),
    [anon_sym_sample] = ACTIONS(2113),
    [anon_sym_linear] = ACTIONS(2113),
    [anon_sym_snorm] = ACTIONS(2113),
    [anon_sym_unorm] = ACTIONS(2113),
    [anon_sym_point] = ACTIONS(2113),
    [anon_sym_line] = ACTIONS(2113),
    [anon_sym_triangleadj] = ACTIONS(2113),
    [anon_sym_lineadj] = ACTIONS(2113),
    [anon_sym_triangle] = ACTIONS(2113),
    [anon_sym_cbuffer] = ACTIONS(2113),
  },
  [379] = {
    [sym_preproc_def] = STATE(383),
    [sym_preproc_function_def] = STATE(383),
    [sym_preproc_call] = STATE(383),
    [sym_preproc_if_in_field_declaration_list] = STATE(383),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(383),
    [sym_preproc_else_in_field_declaration_list] = STATE(8201),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8201),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8201),
    [sym_type_definition] = STATE(383),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(383),
    [sym_field_declaration] = STATE(383),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(383),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(383),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(383),
    [sym_operator_cast_declaration] = STATE(383),
    [sym_constructor_or_destructor_definition] = STATE(383),
    [sym_constructor_or_destructor_declaration] = STATE(383),
    [sym_friend_declaration] = STATE(383),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(383),
    [sym_alias_declaration] = STATE(383),
    [sym_static_assert_declaration] = STATE(383),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(383),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [380] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8336),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8336),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8336),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [381] = {
    [sym_expression] = STATE(4665),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8345),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2795),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2800),
    [anon_sym_in] = ACTIONS(2213),
    [anon_sym_out] = ACTIONS(2213),
    [anon_sym_inout] = ACTIONS(2213),
    [anon_sym_virtual] = ACTIONS(2213),
    [anon_sym_extern] = ACTIONS(2213),
    [anon_sym___attribute__] = ACTIONS(2213),
    [anon_sym___attribute] = ACTIONS(2213),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2215),
    [anon_sym___declspec] = ACTIONS(2213),
    [anon_sym_signed] = ACTIONS(2213),
    [anon_sym_unsigned] = ACTIONS(2213),
    [anon_sym_long] = ACTIONS(2213),
    [anon_sym_short] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_register] = ACTIONS(2213),
    [anon_sym_inline] = ACTIONS(2213),
    [anon_sym___inline] = ACTIONS(2213),
    [anon_sym___inline__] = ACTIONS(2213),
    [anon_sym___forceinline] = ACTIONS(2213),
    [anon_sym_thread_local] = ACTIONS(2213),
    [anon_sym___thread] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_constexpr] = ACTIONS(2213),
    [anon_sym_volatile] = ACTIONS(2213),
    [anon_sym_restrict] = ACTIONS(2213),
    [anon_sym___restrict__] = ACTIONS(2213),
    [anon_sym__Atomic] = ACTIONS(2213),
    [anon_sym__Noreturn] = ACTIONS(2213),
    [anon_sym_noreturn] = ACTIONS(2213),
    [anon_sym__Nonnull] = ACTIONS(2213),
    [anon_sym_mutable] = ACTIONS(2213),
    [anon_sym_constinit] = ACTIONS(2213),
    [anon_sym_consteval] = ACTIONS(2213),
    [anon_sym_alignas] = ACTIONS(2213),
    [anon_sym__Alignas] = ACTIONS(2213),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_struct] = ACTIONS(2213),
    [anon_sym_union] = ACTIONS(2213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2213),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2213),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2213),
    [anon_sym_shared] = ACTIONS(2213),
    [anon_sym_groupshared] = ACTIONS(2213),
    [anon_sym_uniform] = ACTIONS(2213),
    [anon_sym_row_major] = ACTIONS(2213),
    [anon_sym_column_major] = ACTIONS(2213),
    [anon_sym_globallycoherent] = ACTIONS(2213),
    [anon_sym_centroid] = ACTIONS(2213),
    [anon_sym_noperspective] = ACTIONS(2213),
    [anon_sym_nointerpolation] = ACTIONS(2213),
    [anon_sym_sample] = ACTIONS(2213),
    [anon_sym_linear] = ACTIONS(2213),
    [anon_sym_snorm] = ACTIONS(2213),
    [anon_sym_unorm] = ACTIONS(2213),
    [anon_sym_point] = ACTIONS(2213),
    [anon_sym_line] = ACTIONS(2213),
    [anon_sym_triangleadj] = ACTIONS(2213),
    [anon_sym_lineadj] = ACTIONS(2213),
    [anon_sym_triangle] = ACTIONS(2213),
  },
  [382] = {
    [sym_identifier] = ACTIONS(1958),
    [aux_sym_preproc_include_token1] = ACTIONS(1958),
    [aux_sym_preproc_def_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [sym_preproc_directive] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1956),
    [anon_sym_BANG] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1958),
    [anon_sym_PLUS] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1958),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_typedef] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_out] = ACTIONS(1958),
    [anon_sym_inout] = ACTIONS(1958),
    [anon_sym_virtual] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym___attribute] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1956),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1956),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym___based] = ACTIONS(1958),
    [anon_sym___cdecl] = ACTIONS(1958),
    [anon_sym___clrcall] = ACTIONS(1958),
    [anon_sym___stdcall] = ACTIONS(1958),
    [anon_sym___fastcall] = ACTIONS(1958),
    [anon_sym___thiscall] = ACTIONS(1958),
    [anon_sym___vectorcall] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [anon_sym__Nonnull] = ACTIONS(1958),
    [anon_sym_mutable] = ACTIONS(1958),
    [anon_sym_constinit] = ACTIONS(1958),
    [anon_sym_consteval] = ACTIONS(1958),
    [anon_sym_alignas] = ACTIONS(1958),
    [anon_sym__Alignas] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_class] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [anon_sym_if] = ACTIONS(1958),
    [anon_sym_else] = ACTIONS(1958),
    [anon_sym_switch] = ACTIONS(1958),
    [anon_sym_case] = ACTIONS(1958),
    [anon_sym_default] = ACTIONS(1958),
    [anon_sym_while] = ACTIONS(1958),
    [anon_sym_do] = ACTIONS(1958),
    [anon_sym_for] = ACTIONS(1958),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_break] = ACTIONS(1958),
    [anon_sym_continue] = ACTIONS(1958),
    [anon_sym_goto] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1958),
    [anon_sym___leave] = ACTIONS(1958),
    [anon_sym_not] = ACTIONS(1958),
    [anon_sym_compl] = ACTIONS(1958),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_sizeof] = ACTIONS(1958),
    [anon_sym___alignof__] = ACTIONS(1958),
    [anon_sym___alignof] = ACTIONS(1958),
    [anon_sym__alignof] = ACTIONS(1958),
    [anon_sym_alignof] = ACTIONS(1958),
    [anon_sym__Alignof] = ACTIONS(1958),
    [anon_sym_offsetof] = ACTIONS(1958),
    [anon_sym__Generic] = ACTIONS(1958),
    [anon_sym_asm] = ACTIONS(1958),
    [anon_sym___asm__] = ACTIONS(1958),
    [anon_sym___asm] = ACTIONS(1958),
    [sym_number_literal] = ACTIONS(1956),
    [anon_sym_L_SQUOTE] = ACTIONS(1956),
    [anon_sym_u_SQUOTE] = ACTIONS(1956),
    [anon_sym_U_SQUOTE] = ACTIONS(1956),
    [anon_sym_u8_SQUOTE] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1956),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1958),
    [anon_sym_nullptr] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1958),
    [anon_sym_decltype] = ACTIONS(1958),
    [anon_sym_explicit] = ACTIONS(1958),
    [anon_sym_typename] = ACTIONS(1958),
    [anon_sym_template] = ACTIONS(1958),
    [anon_sym_operator] = ACTIONS(1958),
    [anon_sym_try] = ACTIONS(1958),
    [anon_sym_delete] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1958),
    [anon_sym_namespace] = ACTIONS(1958),
    [anon_sym_using] = ACTIONS(1958),
    [anon_sym_static_assert] = ACTIONS(1958),
    [anon_sym_concept] = ACTIONS(1958),
    [anon_sym_co_return] = ACTIONS(1958),
    [anon_sym_co_yield] = ACTIONS(1958),
    [anon_sym_catch] = ACTIONS(1958),
    [anon_sym_R_DQUOTE] = ACTIONS(1956),
    [anon_sym_LR_DQUOTE] = ACTIONS(1956),
    [anon_sym_uR_DQUOTE] = ACTIONS(1956),
    [anon_sym_UR_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1956),
    [anon_sym_co_await] = ACTIONS(1958),
    [anon_sym_new] = ACTIONS(1958),
    [anon_sym_requires] = ACTIONS(1958),
    [sym_this] = ACTIONS(1958),
    [anon_sym_discard] = ACTIONS(1958),
    [anon_sym_precise] = ACTIONS(1958),
    [anon_sym_shared] = ACTIONS(1958),
    [anon_sym_groupshared] = ACTIONS(1958),
    [anon_sym_uniform] = ACTIONS(1958),
    [anon_sym_row_major] = ACTIONS(1958),
    [anon_sym_column_major] = ACTIONS(1958),
    [anon_sym_globallycoherent] = ACTIONS(1958),
    [anon_sym_centroid] = ACTIONS(1958),
    [anon_sym_noperspective] = ACTIONS(1958),
    [anon_sym_nointerpolation] = ACTIONS(1958),
    [anon_sym_sample] = ACTIONS(1958),
    [anon_sym_linear] = ACTIONS(1958),
    [anon_sym_snorm] = ACTIONS(1958),
    [anon_sym_unorm] = ACTIONS(1958),
    [anon_sym_point] = ACTIONS(1958),
    [anon_sym_line] = ACTIONS(1958),
    [anon_sym_triangleadj] = ACTIONS(1958),
    [anon_sym_lineadj] = ACTIONS(1958),
    [anon_sym_triangle] = ACTIONS(1958),
    [anon_sym_cbuffer] = ACTIONS(1958),
  },
  [383] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8597),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8597),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8597),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [384] = {
    [sym_preproc_def] = STATE(386),
    [sym_preproc_function_def] = STATE(386),
    [sym_preproc_call] = STATE(386),
    [sym_preproc_if_in_field_declaration_list] = STATE(386),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(386),
    [sym_preproc_else_in_field_declaration_list] = STATE(8326),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8326),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8326),
    [sym_type_definition] = STATE(386),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(386),
    [sym_field_declaration] = STATE(386),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(386),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(386),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(386),
    [sym_operator_cast_declaration] = STATE(386),
    [sym_constructor_or_destructor_definition] = STATE(386),
    [sym_constructor_or_destructor_declaration] = STATE(386),
    [sym_friend_declaration] = STATE(386),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(386),
    [sym_alias_declaration] = STATE(386),
    [sym_static_assert_declaration] = STATE(386),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(386),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [385] = {
    [sym_preproc_def] = STATE(387),
    [sym_preproc_function_def] = STATE(387),
    [sym_preproc_call] = STATE(387),
    [sym_preproc_if_in_field_declaration_list] = STATE(387),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(387),
    [sym_preproc_else_in_field_declaration_list] = STATE(8631),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8631),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8631),
    [sym_type_definition] = STATE(387),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(387),
    [sym_field_declaration] = STATE(387),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(387),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(387),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(387),
    [sym_operator_cast_declaration] = STATE(387),
    [sym_constructor_or_destructor_definition] = STATE(387),
    [sym_constructor_or_destructor_declaration] = STATE(387),
    [sym_friend_declaration] = STATE(387),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(387),
    [sym_alias_declaration] = STATE(387),
    [sym_static_assert_declaration] = STATE(387),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(387),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [386] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8705),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8705),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8705),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [387] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8278),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8278),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8278),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2827),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [388] = {
    [sym_else_clause] = STATE(529),
    [sym_identifier] = ACTIONS(2113),
    [aux_sym_preproc_include_token1] = ACTIONS(2113),
    [aux_sym_preproc_def_token1] = ACTIONS(2113),
    [aux_sym_preproc_if_token1] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2113),
    [sym_preproc_directive] = ACTIONS(2113),
    [anon_sym_LPAREN2] = ACTIONS(2115),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_TILDE] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_AMP] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym___extension__] = ACTIONS(2113),
    [anon_sym_typedef] = ACTIONS(2113),
    [anon_sym_in] = ACTIONS(2113),
    [anon_sym_out] = ACTIONS(2113),
    [anon_sym_inout] = ACTIONS(2113),
    [anon_sym_virtual] = ACTIONS(2113),
    [anon_sym_extern] = ACTIONS(2113),
    [anon_sym___attribute__] = ACTIONS(2113),
    [anon_sym___attribute] = ACTIONS(2113),
    [anon_sym_COLON_COLON] = ACTIONS(2115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2115),
    [anon_sym___declspec] = ACTIONS(2113),
    [anon_sym___based] = ACTIONS(2113),
    [anon_sym___cdecl] = ACTIONS(2113),
    [anon_sym___clrcall] = ACTIONS(2113),
    [anon_sym___stdcall] = ACTIONS(2113),
    [anon_sym___fastcall] = ACTIONS(2113),
    [anon_sym___thiscall] = ACTIONS(2113),
    [anon_sym___vectorcall] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2115),
    [anon_sym_RBRACE] = ACTIONS(2115),
    [anon_sym_signed] = ACTIONS(2113),
    [anon_sym_unsigned] = ACTIONS(2113),
    [anon_sym_long] = ACTIONS(2113),
    [anon_sym_short] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_static] = ACTIONS(2113),
    [anon_sym_register] = ACTIONS(2113),
    [anon_sym_inline] = ACTIONS(2113),
    [anon_sym___inline] = ACTIONS(2113),
    [anon_sym___inline__] = ACTIONS(2113),
    [anon_sym___forceinline] = ACTIONS(2113),
    [anon_sym_thread_local] = ACTIONS(2113),
    [anon_sym___thread] = ACTIONS(2113),
    [anon_sym_const] = ACTIONS(2113),
    [anon_sym_constexpr] = ACTIONS(2113),
    [anon_sym_volatile] = ACTIONS(2113),
    [anon_sym_restrict] = ACTIONS(2113),
    [anon_sym___restrict__] = ACTIONS(2113),
    [anon_sym__Atomic] = ACTIONS(2113),
    [anon_sym__Noreturn] = ACTIONS(2113),
    [anon_sym_noreturn] = ACTIONS(2113),
    [anon_sym__Nonnull] = ACTIONS(2113),
    [anon_sym_mutable] = ACTIONS(2113),
    [anon_sym_constinit] = ACTIONS(2113),
    [anon_sym_consteval] = ACTIONS(2113),
    [anon_sym_alignas] = ACTIONS(2113),
    [anon_sym__Alignas] = ACTIONS(2113),
    [sym_primitive_type] = ACTIONS(2113),
    [anon_sym_enum] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_struct] = ACTIONS(2113),
    [anon_sym_union] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2113),
    [anon_sym_case] = ACTIONS(2113),
    [anon_sym_default] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym___try] = ACTIONS(2113),
    [anon_sym___leave] = ACTIONS(2113),
    [anon_sym_not] = ACTIONS(2113),
    [anon_sym_compl] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2115),
    [anon_sym_PLUS_PLUS] = ACTIONS(2115),
    [anon_sym_sizeof] = ACTIONS(2113),
    [anon_sym___alignof__] = ACTIONS(2113),
    [anon_sym___alignof] = ACTIONS(2113),
    [anon_sym__alignof] = ACTIONS(2113),
    [anon_sym_alignof] = ACTIONS(2113),
    [anon_sym__Alignof] = ACTIONS(2113),
    [anon_sym_offsetof] = ACTIONS(2113),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2113),
    [anon_sym___asm__] = ACTIONS(2113),
    [anon_sym___asm] = ACTIONS(2113),
    [sym_number_literal] = ACTIONS(2115),
    [anon_sym_L_SQUOTE] = ACTIONS(2115),
    [anon_sym_u_SQUOTE] = ACTIONS(2115),
    [anon_sym_U_SQUOTE] = ACTIONS(2115),
    [anon_sym_u8_SQUOTE] = ACTIONS(2115),
    [anon_sym_SQUOTE] = ACTIONS(2115),
    [anon_sym_L_DQUOTE] = ACTIONS(2115),
    [anon_sym_u_DQUOTE] = ACTIONS(2115),
    [anon_sym_U_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8_DQUOTE] = ACTIONS(2115),
    [anon_sym_DQUOTE] = ACTIONS(2115),
    [sym_true] = ACTIONS(2113),
    [sym_false] = ACTIONS(2113),
    [anon_sym_NULL] = ACTIONS(2113),
    [anon_sym_nullptr] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2113),
    [anon_sym_decltype] = ACTIONS(2113),
    [anon_sym_explicit] = ACTIONS(2113),
    [anon_sym_typename] = ACTIONS(2113),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_operator] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2113),
    [anon_sym_namespace] = ACTIONS(2113),
    [anon_sym_using] = ACTIONS(2113),
    [anon_sym_static_assert] = ACTIONS(2113),
    [anon_sym_concept] = ACTIONS(2113),
    [anon_sym_co_return] = ACTIONS(2113),
    [anon_sym_co_yield] = ACTIONS(2113),
    [anon_sym_R_DQUOTE] = ACTIONS(2115),
    [anon_sym_LR_DQUOTE] = ACTIONS(2115),
    [anon_sym_uR_DQUOTE] = ACTIONS(2115),
    [anon_sym_UR_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2115),
    [anon_sym_co_await] = ACTIONS(2113),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_requires] = ACTIONS(2113),
    [sym_this] = ACTIONS(2113),
    [anon_sym_discard] = ACTIONS(2113),
    [anon_sym_precise] = ACTIONS(2113),
    [anon_sym_shared] = ACTIONS(2113),
    [anon_sym_groupshared] = ACTIONS(2113),
    [anon_sym_uniform] = ACTIONS(2113),
    [anon_sym_row_major] = ACTIONS(2113),
    [anon_sym_column_major] = ACTIONS(2113),
    [anon_sym_globallycoherent] = ACTIONS(2113),
    [anon_sym_centroid] = ACTIONS(2113),
    [anon_sym_noperspective] = ACTIONS(2113),
    [anon_sym_nointerpolation] = ACTIONS(2113),
    [anon_sym_sample] = ACTIONS(2113),
    [anon_sym_linear] = ACTIONS(2113),
    [anon_sym_snorm] = ACTIONS(2113),
    [anon_sym_unorm] = ACTIONS(2113),
    [anon_sym_point] = ACTIONS(2113),
    [anon_sym_line] = ACTIONS(2113),
    [anon_sym_triangleadj] = ACTIONS(2113),
    [anon_sym_lineadj] = ACTIONS(2113),
    [anon_sym_triangle] = ACTIONS(2113),
    [anon_sym_cbuffer] = ACTIONS(2113),
  },
  [389] = {
    [sym_identifier] = ACTIONS(2099),
    [aux_sym_preproc_include_token1] = ACTIONS(2099),
    [aux_sym_preproc_def_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2099),
    [sym_preproc_directive] = ACTIONS(2099),
    [anon_sym_LPAREN2] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2099),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym___extension__] = ACTIONS(2099),
    [anon_sym_typedef] = ACTIONS(2099),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_out] = ACTIONS(2099),
    [anon_sym_inout] = ACTIONS(2099),
    [anon_sym_virtual] = ACTIONS(2099),
    [anon_sym_extern] = ACTIONS(2099),
    [anon_sym___attribute__] = ACTIONS(2099),
    [anon_sym___attribute] = ACTIONS(2099),
    [anon_sym_COLON_COLON] = ACTIONS(2101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2101),
    [anon_sym___declspec] = ACTIONS(2099),
    [anon_sym___based] = ACTIONS(2099),
    [anon_sym___cdecl] = ACTIONS(2099),
    [anon_sym___clrcall] = ACTIONS(2099),
    [anon_sym___stdcall] = ACTIONS(2099),
    [anon_sym___fastcall] = ACTIONS(2099),
    [anon_sym___thiscall] = ACTIONS(2099),
    [anon_sym___vectorcall] = ACTIONS(2099),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2099),
    [anon_sym_register] = ACTIONS(2099),
    [anon_sym_inline] = ACTIONS(2099),
    [anon_sym___inline] = ACTIONS(2099),
    [anon_sym___inline__] = ACTIONS(2099),
    [anon_sym___forceinline] = ACTIONS(2099),
    [anon_sym_thread_local] = ACTIONS(2099),
    [anon_sym___thread] = ACTIONS(2099),
    [anon_sym_const] = ACTIONS(2099),
    [anon_sym_constexpr] = ACTIONS(2099),
    [anon_sym_volatile] = ACTIONS(2099),
    [anon_sym_restrict] = ACTIONS(2099),
    [anon_sym___restrict__] = ACTIONS(2099),
    [anon_sym__Atomic] = ACTIONS(2099),
    [anon_sym__Noreturn] = ACTIONS(2099),
    [anon_sym_noreturn] = ACTIONS(2099),
    [anon_sym__Nonnull] = ACTIONS(2099),
    [anon_sym_mutable] = ACTIONS(2099),
    [anon_sym_constinit] = ACTIONS(2099),
    [anon_sym_consteval] = ACTIONS(2099),
    [anon_sym_alignas] = ACTIONS(2099),
    [anon_sym__Alignas] = ACTIONS(2099),
    [sym_primitive_type] = ACTIONS(2099),
    [anon_sym_enum] = ACTIONS(2099),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2099),
    [anon_sym_union] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(2099),
    [anon_sym_switch] = ACTIONS(2099),
    [anon_sym_case] = ACTIONS(2099),
    [anon_sym_default] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2099),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_return] = ACTIONS(2099),
    [anon_sym_break] = ACTIONS(2099),
    [anon_sym_continue] = ACTIONS(2099),
    [anon_sym_goto] = ACTIONS(2099),
    [anon_sym___try] = ACTIONS(2099),
    [anon_sym___leave] = ACTIONS(2099),
    [anon_sym_not] = ACTIONS(2099),
    [anon_sym_compl] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_sizeof] = ACTIONS(2099),
    [anon_sym___alignof__] = ACTIONS(2099),
    [anon_sym___alignof] = ACTIONS(2099),
    [anon_sym__alignof] = ACTIONS(2099),
    [anon_sym_alignof] = ACTIONS(2099),
    [anon_sym__Alignof] = ACTIONS(2099),
    [anon_sym_offsetof] = ACTIONS(2099),
    [anon_sym__Generic] = ACTIONS(2099),
    [anon_sym_asm] = ACTIONS(2099),
    [anon_sym___asm__] = ACTIONS(2099),
    [anon_sym___asm] = ACTIONS(2099),
    [sym_number_literal] = ACTIONS(2101),
    [anon_sym_L_SQUOTE] = ACTIONS(2101),
    [anon_sym_u_SQUOTE] = ACTIONS(2101),
    [anon_sym_U_SQUOTE] = ACTIONS(2101),
    [anon_sym_u8_SQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2099),
    [sym_false] = ACTIONS(2099),
    [anon_sym_NULL] = ACTIONS(2099),
    [anon_sym_nullptr] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2099),
    [anon_sym_decltype] = ACTIONS(2099),
    [anon_sym_explicit] = ACTIONS(2099),
    [anon_sym_typename] = ACTIONS(2099),
    [anon_sym_template] = ACTIONS(2099),
    [anon_sym_operator] = ACTIONS(2099),
    [anon_sym_try] = ACTIONS(2099),
    [anon_sym_delete] = ACTIONS(2099),
    [anon_sym_throw] = ACTIONS(2099),
    [anon_sym_namespace] = ACTIONS(2099),
    [anon_sym_using] = ACTIONS(2099),
    [anon_sym_static_assert] = ACTIONS(2099),
    [anon_sym_concept] = ACTIONS(2099),
    [anon_sym_co_return] = ACTIONS(2099),
    [anon_sym_co_yield] = ACTIONS(2099),
    [anon_sym_catch] = ACTIONS(2099),
    [anon_sym_R_DQUOTE] = ACTIONS(2101),
    [anon_sym_LR_DQUOTE] = ACTIONS(2101),
    [anon_sym_uR_DQUOTE] = ACTIONS(2101),
    [anon_sym_UR_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2101),
    [anon_sym_co_await] = ACTIONS(2099),
    [anon_sym_new] = ACTIONS(2099),
    [anon_sym_requires] = ACTIONS(2099),
    [sym_this] = ACTIONS(2099),
    [anon_sym_discard] = ACTIONS(2099),
    [anon_sym_precise] = ACTIONS(2099),
    [anon_sym_shared] = ACTIONS(2099),
    [anon_sym_groupshared] = ACTIONS(2099),
    [anon_sym_uniform] = ACTIONS(2099),
    [anon_sym_row_major] = ACTIONS(2099),
    [anon_sym_column_major] = ACTIONS(2099),
    [anon_sym_globallycoherent] = ACTIONS(2099),
    [anon_sym_centroid] = ACTIONS(2099),
    [anon_sym_noperspective] = ACTIONS(2099),
    [anon_sym_nointerpolation] = ACTIONS(2099),
    [anon_sym_sample] = ACTIONS(2099),
    [anon_sym_linear] = ACTIONS(2099),
    [anon_sym_snorm] = ACTIONS(2099),
    [anon_sym_unorm] = ACTIONS(2099),
    [anon_sym_point] = ACTIONS(2099),
    [anon_sym_line] = ACTIONS(2099),
    [anon_sym_triangleadj] = ACTIONS(2099),
    [anon_sym_lineadj] = ACTIONS(2099),
    [anon_sym_triangle] = ACTIONS(2099),
    [anon_sym_cbuffer] = ACTIONS(2099),
  },
  [390] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_include_token1] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_else] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym___try] = ACTIONS(1978),
    [anon_sym___leave] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_namespace] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_catch] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_discard] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
    [anon_sym_cbuffer] = ACTIONS(1978),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1958),
    [aux_sym_preproc_include_token1] = ACTIONS(1958),
    [aux_sym_preproc_def_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token2] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [sym_preproc_directive] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1956),
    [anon_sym_BANG] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1958),
    [anon_sym_PLUS] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1958),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_typedef] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_out] = ACTIONS(1958),
    [anon_sym_inout] = ACTIONS(1958),
    [anon_sym_virtual] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym___attribute] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1956),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1956),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym___based] = ACTIONS(1958),
    [anon_sym___cdecl] = ACTIONS(1958),
    [anon_sym___clrcall] = ACTIONS(1958),
    [anon_sym___stdcall] = ACTIONS(1958),
    [anon_sym___fastcall] = ACTIONS(1958),
    [anon_sym___thiscall] = ACTIONS(1958),
    [anon_sym___vectorcall] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [anon_sym__Nonnull] = ACTIONS(1958),
    [anon_sym_mutable] = ACTIONS(1958),
    [anon_sym_constinit] = ACTIONS(1958),
    [anon_sym_consteval] = ACTIONS(1958),
    [anon_sym_alignas] = ACTIONS(1958),
    [anon_sym__Alignas] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_class] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [anon_sym_if] = ACTIONS(1958),
    [anon_sym_else] = ACTIONS(1958),
    [anon_sym_switch] = ACTIONS(1958),
    [anon_sym_case] = ACTIONS(1958),
    [anon_sym_default] = ACTIONS(1958),
    [anon_sym_while] = ACTIONS(1958),
    [anon_sym_do] = ACTIONS(1958),
    [anon_sym_for] = ACTIONS(1958),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_break] = ACTIONS(1958),
    [anon_sym_continue] = ACTIONS(1958),
    [anon_sym_goto] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1958),
    [anon_sym___leave] = ACTIONS(1958),
    [anon_sym_not] = ACTIONS(1958),
    [anon_sym_compl] = ACTIONS(1958),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_sizeof] = ACTIONS(1958),
    [anon_sym___alignof__] = ACTIONS(1958),
    [anon_sym___alignof] = ACTIONS(1958),
    [anon_sym__alignof] = ACTIONS(1958),
    [anon_sym_alignof] = ACTIONS(1958),
    [anon_sym__Alignof] = ACTIONS(1958),
    [anon_sym_offsetof] = ACTIONS(1958),
    [anon_sym__Generic] = ACTIONS(1958),
    [anon_sym_asm] = ACTIONS(1958),
    [anon_sym___asm__] = ACTIONS(1958),
    [anon_sym___asm] = ACTIONS(1958),
    [sym_number_literal] = ACTIONS(1956),
    [anon_sym_L_SQUOTE] = ACTIONS(1956),
    [anon_sym_u_SQUOTE] = ACTIONS(1956),
    [anon_sym_U_SQUOTE] = ACTIONS(1956),
    [anon_sym_u8_SQUOTE] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1956),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1958),
    [anon_sym_nullptr] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1958),
    [anon_sym_decltype] = ACTIONS(1958),
    [anon_sym_explicit] = ACTIONS(1958),
    [anon_sym_typename] = ACTIONS(1958),
    [anon_sym_template] = ACTIONS(1958),
    [anon_sym_operator] = ACTIONS(1958),
    [anon_sym_try] = ACTIONS(1958),
    [anon_sym_delete] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1958),
    [anon_sym_namespace] = ACTIONS(1958),
    [anon_sym_using] = ACTIONS(1958),
    [anon_sym_static_assert] = ACTIONS(1958),
    [anon_sym_concept] = ACTIONS(1958),
    [anon_sym_co_return] = ACTIONS(1958),
    [anon_sym_co_yield] = ACTIONS(1958),
    [anon_sym_catch] = ACTIONS(1958),
    [anon_sym_R_DQUOTE] = ACTIONS(1956),
    [anon_sym_LR_DQUOTE] = ACTIONS(1956),
    [anon_sym_uR_DQUOTE] = ACTIONS(1956),
    [anon_sym_UR_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1956),
    [anon_sym_co_await] = ACTIONS(1958),
    [anon_sym_new] = ACTIONS(1958),
    [anon_sym_requires] = ACTIONS(1958),
    [sym_this] = ACTIONS(1958),
    [anon_sym_discard] = ACTIONS(1958),
    [anon_sym_precise] = ACTIONS(1958),
    [anon_sym_shared] = ACTIONS(1958),
    [anon_sym_groupshared] = ACTIONS(1958),
    [anon_sym_uniform] = ACTIONS(1958),
    [anon_sym_row_major] = ACTIONS(1958),
    [anon_sym_column_major] = ACTIONS(1958),
    [anon_sym_globallycoherent] = ACTIONS(1958),
    [anon_sym_centroid] = ACTIONS(1958),
    [anon_sym_noperspective] = ACTIONS(1958),
    [anon_sym_nointerpolation] = ACTIONS(1958),
    [anon_sym_sample] = ACTIONS(1958),
    [anon_sym_linear] = ACTIONS(1958),
    [anon_sym_snorm] = ACTIONS(1958),
    [anon_sym_unorm] = ACTIONS(1958),
    [anon_sym_point] = ACTIONS(1958),
    [anon_sym_line] = ACTIONS(1958),
    [anon_sym_triangleadj] = ACTIONS(1958),
    [anon_sym_lineadj] = ACTIONS(1958),
    [anon_sym_triangle] = ACTIONS(1958),
    [anon_sym_cbuffer] = ACTIONS(1958),
  },
  [392] = {
    [sym_else_clause] = STATE(538),
    [sym_identifier] = ACTIONS(2119),
    [aux_sym_preproc_include_token1] = ACTIONS(2119),
    [aux_sym_preproc_def_token1] = ACTIONS(2119),
    [aux_sym_preproc_if_token1] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2119),
    [sym_preproc_directive] = ACTIONS(2119),
    [anon_sym_LPAREN2] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2121),
    [anon_sym_AMP_AMP] = ACTIONS(2121),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym___extension__] = ACTIONS(2119),
    [anon_sym_typedef] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_out] = ACTIONS(2119),
    [anon_sym_inout] = ACTIONS(2119),
    [anon_sym_virtual] = ACTIONS(2119),
    [anon_sym_extern] = ACTIONS(2119),
    [anon_sym___attribute__] = ACTIONS(2119),
    [anon_sym___attribute] = ACTIONS(2119),
    [anon_sym_COLON_COLON] = ACTIONS(2121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2121),
    [anon_sym___declspec] = ACTIONS(2119),
    [anon_sym___based] = ACTIONS(2119),
    [anon_sym___cdecl] = ACTIONS(2119),
    [anon_sym___clrcall] = ACTIONS(2119),
    [anon_sym___stdcall] = ACTIONS(2119),
    [anon_sym___fastcall] = ACTIONS(2119),
    [anon_sym___thiscall] = ACTIONS(2119),
    [anon_sym___vectorcall] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_RBRACE] = ACTIONS(2121),
    [anon_sym_signed] = ACTIONS(2119),
    [anon_sym_unsigned] = ACTIONS(2119),
    [anon_sym_long] = ACTIONS(2119),
    [anon_sym_short] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_register] = ACTIONS(2119),
    [anon_sym_inline] = ACTIONS(2119),
    [anon_sym___inline] = ACTIONS(2119),
    [anon_sym___inline__] = ACTIONS(2119),
    [anon_sym___forceinline] = ACTIONS(2119),
    [anon_sym_thread_local] = ACTIONS(2119),
    [anon_sym___thread] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_constexpr] = ACTIONS(2119),
    [anon_sym_volatile] = ACTIONS(2119),
    [anon_sym_restrict] = ACTIONS(2119),
    [anon_sym___restrict__] = ACTIONS(2119),
    [anon_sym__Atomic] = ACTIONS(2119),
    [anon_sym__Noreturn] = ACTIONS(2119),
    [anon_sym_noreturn] = ACTIONS(2119),
    [anon_sym__Nonnull] = ACTIONS(2119),
    [anon_sym_mutable] = ACTIONS(2119),
    [anon_sym_constinit] = ACTIONS(2119),
    [anon_sym_consteval] = ACTIONS(2119),
    [anon_sym_alignas] = ACTIONS(2119),
    [anon_sym__Alignas] = ACTIONS(2119),
    [sym_primitive_type] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_struct] = ACTIONS(2119),
    [anon_sym_union] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_goto] = ACTIONS(2119),
    [anon_sym___try] = ACTIONS(2119),
    [anon_sym___leave] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2119),
    [anon_sym_compl] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2119),
    [anon_sym___alignof__] = ACTIONS(2119),
    [anon_sym___alignof] = ACTIONS(2119),
    [anon_sym__alignof] = ACTIONS(2119),
    [anon_sym_alignof] = ACTIONS(2119),
    [anon_sym__Alignof] = ACTIONS(2119),
    [anon_sym_offsetof] = ACTIONS(2119),
    [anon_sym__Generic] = ACTIONS(2119),
    [anon_sym_asm] = ACTIONS(2119),
    [anon_sym___asm__] = ACTIONS(2119),
    [anon_sym___asm] = ACTIONS(2119),
    [sym_number_literal] = ACTIONS(2121),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2121),
    [anon_sym_u_DQUOTE] = ACTIONS(2121),
    [anon_sym_U_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8_DQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2121),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [anon_sym_NULL] = ACTIONS(2119),
    [anon_sym_nullptr] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2119),
    [anon_sym_decltype] = ACTIONS(2119),
    [anon_sym_explicit] = ACTIONS(2119),
    [anon_sym_typename] = ACTIONS(2119),
    [anon_sym_template] = ACTIONS(2119),
    [anon_sym_operator] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_static_assert] = ACTIONS(2119),
    [anon_sym_concept] = ACTIONS(2119),
    [anon_sym_co_return] = ACTIONS(2119),
    [anon_sym_co_yield] = ACTIONS(2119),
    [anon_sym_R_DQUOTE] = ACTIONS(2121),
    [anon_sym_LR_DQUOTE] = ACTIONS(2121),
    [anon_sym_uR_DQUOTE] = ACTIONS(2121),
    [anon_sym_UR_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2121),
    [anon_sym_co_await] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_requires] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [anon_sym_discard] = ACTIONS(2119),
    [anon_sym_precise] = ACTIONS(2119),
    [anon_sym_shared] = ACTIONS(2119),
    [anon_sym_groupshared] = ACTIONS(2119),
    [anon_sym_uniform] = ACTIONS(2119),
    [anon_sym_row_major] = ACTIONS(2119),
    [anon_sym_column_major] = ACTIONS(2119),
    [anon_sym_globallycoherent] = ACTIONS(2119),
    [anon_sym_centroid] = ACTIONS(2119),
    [anon_sym_noperspective] = ACTIONS(2119),
    [anon_sym_nointerpolation] = ACTIONS(2119),
    [anon_sym_sample] = ACTIONS(2119),
    [anon_sym_linear] = ACTIONS(2119),
    [anon_sym_snorm] = ACTIONS(2119),
    [anon_sym_unorm] = ACTIONS(2119),
    [anon_sym_point] = ACTIONS(2119),
    [anon_sym_line] = ACTIONS(2119),
    [anon_sym_triangleadj] = ACTIONS(2119),
    [anon_sym_lineadj] = ACTIONS(2119),
    [anon_sym_triangle] = ACTIONS(2119),
    [anon_sym_cbuffer] = ACTIONS(2119),
  },
  [393] = {
    [sym_else_clause] = STATE(472),
    [sym_identifier] = ACTIONS(2119),
    [aux_sym_preproc_include_token1] = ACTIONS(2119),
    [aux_sym_preproc_def_token1] = ACTIONS(2119),
    [aux_sym_preproc_if_token1] = ACTIONS(2119),
    [aux_sym_preproc_if_token2] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2119),
    [sym_preproc_directive] = ACTIONS(2119),
    [anon_sym_LPAREN2] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2121),
    [anon_sym_AMP_AMP] = ACTIONS(2121),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym___extension__] = ACTIONS(2119),
    [anon_sym_typedef] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_out] = ACTIONS(2119),
    [anon_sym_inout] = ACTIONS(2119),
    [anon_sym_virtual] = ACTIONS(2119),
    [anon_sym_extern] = ACTIONS(2119),
    [anon_sym___attribute__] = ACTIONS(2119),
    [anon_sym___attribute] = ACTIONS(2119),
    [anon_sym_COLON_COLON] = ACTIONS(2121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2121),
    [anon_sym___declspec] = ACTIONS(2119),
    [anon_sym___based] = ACTIONS(2119),
    [anon_sym___cdecl] = ACTIONS(2119),
    [anon_sym___clrcall] = ACTIONS(2119),
    [anon_sym___stdcall] = ACTIONS(2119),
    [anon_sym___fastcall] = ACTIONS(2119),
    [anon_sym___thiscall] = ACTIONS(2119),
    [anon_sym___vectorcall] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_signed] = ACTIONS(2119),
    [anon_sym_unsigned] = ACTIONS(2119),
    [anon_sym_long] = ACTIONS(2119),
    [anon_sym_short] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_register] = ACTIONS(2119),
    [anon_sym_inline] = ACTIONS(2119),
    [anon_sym___inline] = ACTIONS(2119),
    [anon_sym___inline__] = ACTIONS(2119),
    [anon_sym___forceinline] = ACTIONS(2119),
    [anon_sym_thread_local] = ACTIONS(2119),
    [anon_sym___thread] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_constexpr] = ACTIONS(2119),
    [anon_sym_volatile] = ACTIONS(2119),
    [anon_sym_restrict] = ACTIONS(2119),
    [anon_sym___restrict__] = ACTIONS(2119),
    [anon_sym__Atomic] = ACTIONS(2119),
    [anon_sym__Noreturn] = ACTIONS(2119),
    [anon_sym_noreturn] = ACTIONS(2119),
    [anon_sym__Nonnull] = ACTIONS(2119),
    [anon_sym_mutable] = ACTIONS(2119),
    [anon_sym_constinit] = ACTIONS(2119),
    [anon_sym_consteval] = ACTIONS(2119),
    [anon_sym_alignas] = ACTIONS(2119),
    [anon_sym__Alignas] = ACTIONS(2119),
    [sym_primitive_type] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_struct] = ACTIONS(2119),
    [anon_sym_union] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2761),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_goto] = ACTIONS(2119),
    [anon_sym___try] = ACTIONS(2119),
    [anon_sym___leave] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2119),
    [anon_sym_compl] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2119),
    [anon_sym___alignof__] = ACTIONS(2119),
    [anon_sym___alignof] = ACTIONS(2119),
    [anon_sym__alignof] = ACTIONS(2119),
    [anon_sym_alignof] = ACTIONS(2119),
    [anon_sym__Alignof] = ACTIONS(2119),
    [anon_sym_offsetof] = ACTIONS(2119),
    [anon_sym__Generic] = ACTIONS(2119),
    [anon_sym_asm] = ACTIONS(2119),
    [anon_sym___asm__] = ACTIONS(2119),
    [anon_sym___asm] = ACTIONS(2119),
    [sym_number_literal] = ACTIONS(2121),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2121),
    [anon_sym_u_DQUOTE] = ACTIONS(2121),
    [anon_sym_U_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8_DQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2121),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [anon_sym_NULL] = ACTIONS(2119),
    [anon_sym_nullptr] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2119),
    [anon_sym_decltype] = ACTIONS(2119),
    [anon_sym_explicit] = ACTIONS(2119),
    [anon_sym_typename] = ACTIONS(2119),
    [anon_sym_template] = ACTIONS(2119),
    [anon_sym_operator] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_static_assert] = ACTIONS(2119),
    [anon_sym_concept] = ACTIONS(2119),
    [anon_sym_co_return] = ACTIONS(2119),
    [anon_sym_co_yield] = ACTIONS(2119),
    [anon_sym_R_DQUOTE] = ACTIONS(2121),
    [anon_sym_LR_DQUOTE] = ACTIONS(2121),
    [anon_sym_uR_DQUOTE] = ACTIONS(2121),
    [anon_sym_UR_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2121),
    [anon_sym_co_await] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_requires] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [anon_sym_discard] = ACTIONS(2119),
    [anon_sym_precise] = ACTIONS(2119),
    [anon_sym_shared] = ACTIONS(2119),
    [anon_sym_groupshared] = ACTIONS(2119),
    [anon_sym_uniform] = ACTIONS(2119),
    [anon_sym_row_major] = ACTIONS(2119),
    [anon_sym_column_major] = ACTIONS(2119),
    [anon_sym_globallycoherent] = ACTIONS(2119),
    [anon_sym_centroid] = ACTIONS(2119),
    [anon_sym_noperspective] = ACTIONS(2119),
    [anon_sym_nointerpolation] = ACTIONS(2119),
    [anon_sym_sample] = ACTIONS(2119),
    [anon_sym_linear] = ACTIONS(2119),
    [anon_sym_snorm] = ACTIONS(2119),
    [anon_sym_unorm] = ACTIONS(2119),
    [anon_sym_point] = ACTIONS(2119),
    [anon_sym_line] = ACTIONS(2119),
    [anon_sym_triangleadj] = ACTIONS(2119),
    [anon_sym_lineadj] = ACTIONS(2119),
    [anon_sym_triangle] = ACTIONS(2119),
    [anon_sym_cbuffer] = ACTIONS(2119),
  },
  [394] = {
    [sym_preproc_def] = STATE(375),
    [sym_preproc_function_def] = STATE(375),
    [sym_preproc_call] = STATE(375),
    [sym_preproc_if_in_field_declaration_list] = STATE(375),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(375),
    [sym_preproc_else_in_field_declaration_list] = STATE(8600),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8600),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8600),
    [sym_type_definition] = STATE(375),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(375),
    [sym_field_declaration] = STATE(375),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(375),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(375),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(375),
    [sym_operator_cast_declaration] = STATE(375),
    [sym_constructor_or_destructor_definition] = STATE(375),
    [sym_constructor_or_destructor_declaration] = STATE(375),
    [sym_friend_declaration] = STATE(375),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(375),
    [sym_alias_declaration] = STATE(375),
    [sym_static_assert_declaration] = STATE(375),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(375),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [395] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_preproc_else_in_field_declaration_list] = STATE(8236),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8236),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8236),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(2101),
    [sym_identifier] = ACTIONS(2099),
    [aux_sym_preproc_include_token1] = ACTIONS(2099),
    [aux_sym_preproc_def_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2099),
    [sym_preproc_directive] = ACTIONS(2099),
    [anon_sym_LPAREN2] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2099),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym___extension__] = ACTIONS(2099),
    [anon_sym_typedef] = ACTIONS(2099),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_out] = ACTIONS(2099),
    [anon_sym_inout] = ACTIONS(2099),
    [anon_sym_virtual] = ACTIONS(2099),
    [anon_sym_extern] = ACTIONS(2099),
    [anon_sym___attribute__] = ACTIONS(2099),
    [anon_sym___attribute] = ACTIONS(2099),
    [anon_sym_COLON_COLON] = ACTIONS(2101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2101),
    [anon_sym___declspec] = ACTIONS(2099),
    [anon_sym___based] = ACTIONS(2099),
    [anon_sym___cdecl] = ACTIONS(2099),
    [anon_sym___clrcall] = ACTIONS(2099),
    [anon_sym___stdcall] = ACTIONS(2099),
    [anon_sym___fastcall] = ACTIONS(2099),
    [anon_sym___thiscall] = ACTIONS(2099),
    [anon_sym___vectorcall] = ACTIONS(2099),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2099),
    [anon_sym_register] = ACTIONS(2099),
    [anon_sym_inline] = ACTIONS(2099),
    [anon_sym___inline] = ACTIONS(2099),
    [anon_sym___inline__] = ACTIONS(2099),
    [anon_sym___forceinline] = ACTIONS(2099),
    [anon_sym_thread_local] = ACTIONS(2099),
    [anon_sym___thread] = ACTIONS(2099),
    [anon_sym_const] = ACTIONS(2099),
    [anon_sym_constexpr] = ACTIONS(2099),
    [anon_sym_volatile] = ACTIONS(2099),
    [anon_sym_restrict] = ACTIONS(2099),
    [anon_sym___restrict__] = ACTIONS(2099),
    [anon_sym__Atomic] = ACTIONS(2099),
    [anon_sym__Noreturn] = ACTIONS(2099),
    [anon_sym_noreturn] = ACTIONS(2099),
    [anon_sym__Nonnull] = ACTIONS(2099),
    [anon_sym_mutable] = ACTIONS(2099),
    [anon_sym_constinit] = ACTIONS(2099),
    [anon_sym_consteval] = ACTIONS(2099),
    [anon_sym_alignas] = ACTIONS(2099),
    [anon_sym__Alignas] = ACTIONS(2099),
    [sym_primitive_type] = ACTIONS(2099),
    [anon_sym_enum] = ACTIONS(2099),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2099),
    [anon_sym_union] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(2099),
    [anon_sym_switch] = ACTIONS(2099),
    [anon_sym_case] = ACTIONS(2099),
    [anon_sym_default] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2099),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_return] = ACTIONS(2099),
    [anon_sym_break] = ACTIONS(2099),
    [anon_sym_continue] = ACTIONS(2099),
    [anon_sym_goto] = ACTIONS(2099),
    [anon_sym___try] = ACTIONS(2099),
    [anon_sym___leave] = ACTIONS(2099),
    [anon_sym_not] = ACTIONS(2099),
    [anon_sym_compl] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_sizeof] = ACTIONS(2099),
    [anon_sym___alignof__] = ACTIONS(2099),
    [anon_sym___alignof] = ACTIONS(2099),
    [anon_sym__alignof] = ACTIONS(2099),
    [anon_sym_alignof] = ACTIONS(2099),
    [anon_sym__Alignof] = ACTIONS(2099),
    [anon_sym_offsetof] = ACTIONS(2099),
    [anon_sym__Generic] = ACTIONS(2099),
    [anon_sym_asm] = ACTIONS(2099),
    [anon_sym___asm__] = ACTIONS(2099),
    [anon_sym___asm] = ACTIONS(2099),
    [sym_number_literal] = ACTIONS(2101),
    [anon_sym_L_SQUOTE] = ACTIONS(2101),
    [anon_sym_u_SQUOTE] = ACTIONS(2101),
    [anon_sym_U_SQUOTE] = ACTIONS(2101),
    [anon_sym_u8_SQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2099),
    [sym_false] = ACTIONS(2099),
    [anon_sym_NULL] = ACTIONS(2099),
    [anon_sym_nullptr] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2099),
    [anon_sym_decltype] = ACTIONS(2099),
    [anon_sym_explicit] = ACTIONS(2099),
    [anon_sym_typename] = ACTIONS(2099),
    [anon_sym_template] = ACTIONS(2099),
    [anon_sym_operator] = ACTIONS(2099),
    [anon_sym_try] = ACTIONS(2099),
    [anon_sym_delete] = ACTIONS(2099),
    [anon_sym_throw] = ACTIONS(2099),
    [anon_sym_namespace] = ACTIONS(2099),
    [anon_sym_using] = ACTIONS(2099),
    [anon_sym_static_assert] = ACTIONS(2099),
    [anon_sym_concept] = ACTIONS(2099),
    [anon_sym_co_return] = ACTIONS(2099),
    [anon_sym_co_yield] = ACTIONS(2099),
    [anon_sym_catch] = ACTIONS(2099),
    [anon_sym_R_DQUOTE] = ACTIONS(2101),
    [anon_sym_LR_DQUOTE] = ACTIONS(2101),
    [anon_sym_uR_DQUOTE] = ACTIONS(2101),
    [anon_sym_UR_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2101),
    [anon_sym_co_await] = ACTIONS(2099),
    [anon_sym_new] = ACTIONS(2099),
    [anon_sym_requires] = ACTIONS(2099),
    [sym_this] = ACTIONS(2099),
    [anon_sym_discard] = ACTIONS(2099),
    [anon_sym_precise] = ACTIONS(2099),
    [anon_sym_shared] = ACTIONS(2099),
    [anon_sym_groupshared] = ACTIONS(2099),
    [anon_sym_uniform] = ACTIONS(2099),
    [anon_sym_row_major] = ACTIONS(2099),
    [anon_sym_column_major] = ACTIONS(2099),
    [anon_sym_globallycoherent] = ACTIONS(2099),
    [anon_sym_centroid] = ACTIONS(2099),
    [anon_sym_noperspective] = ACTIONS(2099),
    [anon_sym_nointerpolation] = ACTIONS(2099),
    [anon_sym_sample] = ACTIONS(2099),
    [anon_sym_linear] = ACTIONS(2099),
    [anon_sym_snorm] = ACTIONS(2099),
    [anon_sym_unorm] = ACTIONS(2099),
    [anon_sym_point] = ACTIONS(2099),
    [anon_sym_line] = ACTIONS(2099),
    [anon_sym_triangleadj] = ACTIONS(2099),
    [anon_sym_lineadj] = ACTIONS(2099),
    [anon_sym_triangle] = ACTIONS(2099),
    [anon_sym_cbuffer] = ACTIONS(2099),
  },
  [397] = {
    [sym_preproc_def] = STATE(380),
    [sym_preproc_function_def] = STATE(380),
    [sym_preproc_call] = STATE(380),
    [sym_preproc_if_in_field_declaration_list] = STATE(380),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(380),
    [sym_preproc_else_in_field_declaration_list] = STATE(8264),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8264),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8264),
    [sym_type_definition] = STATE(380),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(380),
    [sym_field_declaration] = STATE(380),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(380),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(380),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(380),
    [sym_operator_cast_declaration] = STATE(380),
    [sym_constructor_or_destructor_definition] = STATE(380),
    [sym_constructor_or_destructor_declaration] = STATE(380),
    [sym_friend_declaration] = STATE(380),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(380),
    [sym_alias_declaration] = STATE(380),
    [sym_static_assert_declaration] = STATE(380),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(380),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2685),
    [aux_sym_preproc_if_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token2] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2693),
    [aux_sym_preproc_elif_token1] = ACTIONS(2695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2697),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2697),
    [sym_preproc_directive] = ACTIONS(2699),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2711),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2739),
    [anon_sym_static_assert] = ACTIONS(2741),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [398] = {
    [sym_else_clause] = STATE(437),
    [ts_builtin_sym_end] = ACTIONS(2109),
    [sym_identifier] = ACTIONS(2107),
    [aux_sym_preproc_include_token1] = ACTIONS(2107),
    [aux_sym_preproc_def_token1] = ACTIONS(2107),
    [aux_sym_preproc_if_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2107),
    [sym_preproc_directive] = ACTIONS(2107),
    [anon_sym_LPAREN2] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(2107),
    [anon_sym_typedef] = ACTIONS(2107),
    [anon_sym_in] = ACTIONS(2107),
    [anon_sym_out] = ACTIONS(2107),
    [anon_sym_inout] = ACTIONS(2107),
    [anon_sym_virtual] = ACTIONS(2107),
    [anon_sym_extern] = ACTIONS(2107),
    [anon_sym___attribute__] = ACTIONS(2107),
    [anon_sym___attribute] = ACTIONS(2107),
    [anon_sym_COLON_COLON] = ACTIONS(2109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2109),
    [anon_sym___declspec] = ACTIONS(2107),
    [anon_sym___based] = ACTIONS(2107),
    [anon_sym___cdecl] = ACTIONS(2107),
    [anon_sym___clrcall] = ACTIONS(2107),
    [anon_sym___stdcall] = ACTIONS(2107),
    [anon_sym___fastcall] = ACTIONS(2107),
    [anon_sym___thiscall] = ACTIONS(2107),
    [anon_sym___vectorcall] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_signed] = ACTIONS(2107),
    [anon_sym_unsigned] = ACTIONS(2107),
    [anon_sym_long] = ACTIONS(2107),
    [anon_sym_short] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_register] = ACTIONS(2107),
    [anon_sym_inline] = ACTIONS(2107),
    [anon_sym___inline] = ACTIONS(2107),
    [anon_sym___inline__] = ACTIONS(2107),
    [anon_sym___forceinline] = ACTIONS(2107),
    [anon_sym_thread_local] = ACTIONS(2107),
    [anon_sym___thread] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_constexpr] = ACTIONS(2107),
    [anon_sym_volatile] = ACTIONS(2107),
    [anon_sym_restrict] = ACTIONS(2107),
    [anon_sym___restrict__] = ACTIONS(2107),
    [anon_sym__Atomic] = ACTIONS(2107),
    [anon_sym__Noreturn] = ACTIONS(2107),
    [anon_sym_noreturn] = ACTIONS(2107),
    [anon_sym__Nonnull] = ACTIONS(2107),
    [anon_sym_mutable] = ACTIONS(2107),
    [anon_sym_constinit] = ACTIONS(2107),
    [anon_sym_consteval] = ACTIONS(2107),
    [anon_sym_alignas] = ACTIONS(2107),
    [anon_sym__Alignas] = ACTIONS(2107),
    [sym_primitive_type] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_struct] = ACTIONS(2107),
    [anon_sym_union] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_goto] = ACTIONS(2107),
    [anon_sym___try] = ACTIONS(2107),
    [anon_sym___leave] = ACTIONS(2107),
    [anon_sym_not] = ACTIONS(2107),
    [anon_sym_compl] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2107),
    [anon_sym___alignof] = ACTIONS(2107),
    [anon_sym__alignof] = ACTIONS(2107),
    [anon_sym_alignof] = ACTIONS(2107),
    [anon_sym__Alignof] = ACTIONS(2107),
    [anon_sym_offsetof] = ACTIONS(2107),
    [anon_sym__Generic] = ACTIONS(2107),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [sym_number_literal] = ACTIONS(2109),
    [anon_sym_L_SQUOTE] = ACTIONS(2109),
    [anon_sym_u_SQUOTE] = ACTIONS(2109),
    [anon_sym_U_SQUOTE] = ACTIONS(2109),
    [anon_sym_u8_SQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_L_DQUOTE] = ACTIONS(2109),
    [anon_sym_u_DQUOTE] = ACTIONS(2109),
    [anon_sym_U_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8_DQUOTE] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2107),
    [anon_sym_decltype] = ACTIONS(2107),
    [anon_sym_explicit] = ACTIONS(2107),
    [anon_sym_typename] = ACTIONS(2107),
    [anon_sym_template] = ACTIONS(2107),
    [anon_sym_operator] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_static_assert] = ACTIONS(2107),
    [anon_sym_concept] = ACTIONS(2107),
    [anon_sym_co_return] = ACTIONS(2107),
    [anon_sym_co_yield] = ACTIONS(2107),
    [anon_sym_R_DQUOTE] = ACTIONS(2109),
    [anon_sym_LR_DQUOTE] = ACTIONS(2109),
    [anon_sym_uR_DQUOTE] = ACTIONS(2109),
    [anon_sym_UR_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2109),
    [anon_sym_co_await] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_requires] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [anon_sym_discard] = ACTIONS(2107),
    [anon_sym_precise] = ACTIONS(2107),
    [anon_sym_shared] = ACTIONS(2107),
    [anon_sym_groupshared] = ACTIONS(2107),
    [anon_sym_uniform] = ACTIONS(2107),
    [anon_sym_row_major] = ACTIONS(2107),
    [anon_sym_column_major] = ACTIONS(2107),
    [anon_sym_globallycoherent] = ACTIONS(2107),
    [anon_sym_centroid] = ACTIONS(2107),
    [anon_sym_noperspective] = ACTIONS(2107),
    [anon_sym_nointerpolation] = ACTIONS(2107),
    [anon_sym_sample] = ACTIONS(2107),
    [anon_sym_linear] = ACTIONS(2107),
    [anon_sym_snorm] = ACTIONS(2107),
    [anon_sym_unorm] = ACTIONS(2107),
    [anon_sym_point] = ACTIONS(2107),
    [anon_sym_line] = ACTIONS(2107),
    [anon_sym_triangleadj] = ACTIONS(2107),
    [anon_sym_lineadj] = ACTIONS(2107),
    [anon_sym_triangle] = ACTIONS(2107),
    [anon_sym_cbuffer] = ACTIONS(2107),
  },
  [399] = {
    [sym_identifier] = ACTIONS(2300),
    [aux_sym_preproc_include_token1] = ACTIONS(2300),
    [aux_sym_preproc_def_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token2] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2300),
    [sym_preproc_directive] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym___attribute] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym___based] = ACTIONS(2300),
    [anon_sym___cdecl] = ACTIONS(2300),
    [anon_sym___clrcall] = ACTIONS(2300),
    [anon_sym___stdcall] = ACTIONS(2300),
    [anon_sym___fastcall] = ACTIONS(2300),
    [anon_sym___thiscall] = ACTIONS(2300),
    [anon_sym___vectorcall] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_case] = ACTIONS(2300),
    [anon_sym_default] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_explicit] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_operator] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_namespace] = ACTIONS(2300),
    [anon_sym_using] = ACTIONS(2300),
    [anon_sym_static_assert] = ACTIONS(2300),
    [anon_sym_concept] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [400] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2249),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [401] = {
    [ts_builtin_sym_end] = ACTIONS(2187),
    [sym_identifier] = ACTIONS(2185),
    [aux_sym_preproc_include_token1] = ACTIONS(2185),
    [aux_sym_preproc_def_token1] = ACTIONS(2185),
    [aux_sym_preproc_if_token1] = ACTIONS(2185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2185),
    [sym_preproc_directive] = ACTIONS(2185),
    [anon_sym_LPAREN2] = ACTIONS(2187),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_AMP_AMP] = ACTIONS(2187),
    [anon_sym_AMP] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym___extension__] = ACTIONS(2185),
    [anon_sym_typedef] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2185),
    [anon_sym_out] = ACTIONS(2185),
    [anon_sym_inout] = ACTIONS(2185),
    [anon_sym_virtual] = ACTIONS(2185),
    [anon_sym_extern] = ACTIONS(2185),
    [anon_sym___attribute__] = ACTIONS(2185),
    [anon_sym___attribute] = ACTIONS(2185),
    [anon_sym_COLON_COLON] = ACTIONS(2187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2187),
    [anon_sym___declspec] = ACTIONS(2185),
    [anon_sym___based] = ACTIONS(2185),
    [anon_sym___cdecl] = ACTIONS(2185),
    [anon_sym___clrcall] = ACTIONS(2185),
    [anon_sym___stdcall] = ACTIONS(2185),
    [anon_sym___fastcall] = ACTIONS(2185),
    [anon_sym___thiscall] = ACTIONS(2185),
    [anon_sym___vectorcall] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_signed] = ACTIONS(2185),
    [anon_sym_unsigned] = ACTIONS(2185),
    [anon_sym_long] = ACTIONS(2185),
    [anon_sym_short] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_register] = ACTIONS(2185),
    [anon_sym_inline] = ACTIONS(2185),
    [anon_sym___inline] = ACTIONS(2185),
    [anon_sym___inline__] = ACTIONS(2185),
    [anon_sym___forceinline] = ACTIONS(2185),
    [anon_sym_thread_local] = ACTIONS(2185),
    [anon_sym___thread] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_constexpr] = ACTIONS(2185),
    [anon_sym_volatile] = ACTIONS(2185),
    [anon_sym_restrict] = ACTIONS(2185),
    [anon_sym___restrict__] = ACTIONS(2185),
    [anon_sym__Atomic] = ACTIONS(2185),
    [anon_sym__Noreturn] = ACTIONS(2185),
    [anon_sym_noreturn] = ACTIONS(2185),
    [anon_sym__Nonnull] = ACTIONS(2185),
    [anon_sym_mutable] = ACTIONS(2185),
    [anon_sym_constinit] = ACTIONS(2185),
    [anon_sym_consteval] = ACTIONS(2185),
    [anon_sym_alignas] = ACTIONS(2185),
    [anon_sym__Alignas] = ACTIONS(2185),
    [sym_primitive_type] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_struct] = ACTIONS(2185),
    [anon_sym_union] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym___try] = ACTIONS(2185),
    [anon_sym___leave] = ACTIONS(2185),
    [anon_sym_not] = ACTIONS(2185),
    [anon_sym_compl] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2187),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_sizeof] = ACTIONS(2185),
    [anon_sym___alignof__] = ACTIONS(2185),
    [anon_sym___alignof] = ACTIONS(2185),
    [anon_sym__alignof] = ACTIONS(2185),
    [anon_sym_alignof] = ACTIONS(2185),
    [anon_sym__Alignof] = ACTIONS(2185),
    [anon_sym_offsetof] = ACTIONS(2185),
    [anon_sym__Generic] = ACTIONS(2185),
    [anon_sym_asm] = ACTIONS(2185),
    [anon_sym___asm__] = ACTIONS(2185),
    [anon_sym___asm] = ACTIONS(2185),
    [sym_number_literal] = ACTIONS(2187),
    [anon_sym_L_SQUOTE] = ACTIONS(2187),
    [anon_sym_u_SQUOTE] = ACTIONS(2187),
    [anon_sym_U_SQUOTE] = ACTIONS(2187),
    [anon_sym_u8_SQUOTE] = ACTIONS(2187),
    [anon_sym_SQUOTE] = ACTIONS(2187),
    [anon_sym_L_DQUOTE] = ACTIONS(2187),
    [anon_sym_u_DQUOTE] = ACTIONS(2187),
    [anon_sym_U_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8_DQUOTE] = ACTIONS(2187),
    [anon_sym_DQUOTE] = ACTIONS(2187),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [anon_sym_NULL] = ACTIONS(2185),
    [anon_sym_nullptr] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2185),
    [anon_sym_decltype] = ACTIONS(2185),
    [anon_sym_explicit] = ACTIONS(2185),
    [anon_sym_typename] = ACTIONS(2185),
    [anon_sym_template] = ACTIONS(2185),
    [anon_sym_operator] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_static_assert] = ACTIONS(2185),
    [anon_sym_concept] = ACTIONS(2185),
    [anon_sym_co_return] = ACTIONS(2185),
    [anon_sym_co_yield] = ACTIONS(2185),
    [anon_sym_R_DQUOTE] = ACTIONS(2187),
    [anon_sym_LR_DQUOTE] = ACTIONS(2187),
    [anon_sym_uR_DQUOTE] = ACTIONS(2187),
    [anon_sym_UR_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2187),
    [anon_sym_co_await] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_requires] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [anon_sym_discard] = ACTIONS(2185),
    [anon_sym_precise] = ACTIONS(2185),
    [anon_sym_shared] = ACTIONS(2185),
    [anon_sym_groupshared] = ACTIONS(2185),
    [anon_sym_uniform] = ACTIONS(2185),
    [anon_sym_row_major] = ACTIONS(2185),
    [anon_sym_column_major] = ACTIONS(2185),
    [anon_sym_globallycoherent] = ACTIONS(2185),
    [anon_sym_centroid] = ACTIONS(2185),
    [anon_sym_noperspective] = ACTIONS(2185),
    [anon_sym_nointerpolation] = ACTIONS(2185),
    [anon_sym_sample] = ACTIONS(2185),
    [anon_sym_linear] = ACTIONS(2185),
    [anon_sym_snorm] = ACTIONS(2185),
    [anon_sym_unorm] = ACTIONS(2185),
    [anon_sym_point] = ACTIONS(2185),
    [anon_sym_line] = ACTIONS(2185),
    [anon_sym_triangleadj] = ACTIONS(2185),
    [anon_sym_lineadj] = ACTIONS(2185),
    [anon_sym_triangle] = ACTIONS(2185),
    [anon_sym_cbuffer] = ACTIONS(2185),
  },
  [402] = {
    [ts_builtin_sym_end] = ACTIONS(2270),
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym___attribute] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(2203),
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_include_token1] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym___cdecl] = ACTIONS(2201),
    [anon_sym___clrcall] = ACTIONS(2201),
    [anon_sym___stdcall] = ACTIONS(2201),
    [anon_sym___fastcall] = ACTIONS(2201),
    [anon_sym___thiscall] = ACTIONS(2201),
    [anon_sym___vectorcall] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_concept] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [404] = {
    [ts_builtin_sym_end] = ACTIONS(2203),
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_include_token1] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym___cdecl] = ACTIONS(2201),
    [anon_sym___clrcall] = ACTIONS(2201),
    [anon_sym___stdcall] = ACTIONS(2201),
    [anon_sym___fastcall] = ACTIONS(2201),
    [anon_sym___thiscall] = ACTIONS(2201),
    [anon_sym___vectorcall] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_concept] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(2274),
    [sym_identifier] = ACTIONS(2272),
    [aux_sym_preproc_include_token1] = ACTIONS(2272),
    [aux_sym_preproc_def_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2272),
    [sym_preproc_directive] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym___attribute] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym___based] = ACTIONS(2272),
    [anon_sym___cdecl] = ACTIONS(2272),
    [anon_sym___clrcall] = ACTIONS(2272),
    [anon_sym___stdcall] = ACTIONS(2272),
    [anon_sym___fastcall] = ACTIONS(2272),
    [anon_sym___thiscall] = ACTIONS(2272),
    [anon_sym___vectorcall] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_explicit] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_operator] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_static_assert] = ACTIONS(2272),
    [anon_sym_concept] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [406] = {
    [sym_identifier] = ACTIONS(2165),
    [aux_sym_preproc_include_token1] = ACTIONS(2165),
    [aux_sym_preproc_def_token1] = ACTIONS(2165),
    [aux_sym_preproc_if_token1] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2165),
    [sym_preproc_directive] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2167),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym___extension__] = ACTIONS(2165),
    [anon_sym_typedef] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_out] = ACTIONS(2165),
    [anon_sym_inout] = ACTIONS(2165),
    [anon_sym_virtual] = ACTIONS(2165),
    [anon_sym_extern] = ACTIONS(2165),
    [anon_sym___attribute__] = ACTIONS(2165),
    [anon_sym___attribute] = ACTIONS(2165),
    [anon_sym_COLON_COLON] = ACTIONS(2167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2167),
    [anon_sym___declspec] = ACTIONS(2165),
    [anon_sym___based] = ACTIONS(2165),
    [anon_sym___cdecl] = ACTIONS(2165),
    [anon_sym___clrcall] = ACTIONS(2165),
    [anon_sym___stdcall] = ACTIONS(2165),
    [anon_sym___fastcall] = ACTIONS(2165),
    [anon_sym___thiscall] = ACTIONS(2165),
    [anon_sym___vectorcall] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_signed] = ACTIONS(2165),
    [anon_sym_unsigned] = ACTIONS(2165),
    [anon_sym_long] = ACTIONS(2165),
    [anon_sym_short] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_register] = ACTIONS(2165),
    [anon_sym_inline] = ACTIONS(2165),
    [anon_sym___inline] = ACTIONS(2165),
    [anon_sym___inline__] = ACTIONS(2165),
    [anon_sym___forceinline] = ACTIONS(2165),
    [anon_sym_thread_local] = ACTIONS(2165),
    [anon_sym___thread] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_constexpr] = ACTIONS(2165),
    [anon_sym_volatile] = ACTIONS(2165),
    [anon_sym_restrict] = ACTIONS(2165),
    [anon_sym___restrict__] = ACTIONS(2165),
    [anon_sym__Atomic] = ACTIONS(2165),
    [anon_sym__Noreturn] = ACTIONS(2165),
    [anon_sym_noreturn] = ACTIONS(2165),
    [anon_sym__Nonnull] = ACTIONS(2165),
    [anon_sym_mutable] = ACTIONS(2165),
    [anon_sym_constinit] = ACTIONS(2165),
    [anon_sym_consteval] = ACTIONS(2165),
    [anon_sym_alignas] = ACTIONS(2165),
    [anon_sym__Alignas] = ACTIONS(2165),
    [sym_primitive_type] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_struct] = ACTIONS(2165),
    [anon_sym_union] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym___try] = ACTIONS(2165),
    [anon_sym___leave] = ACTIONS(2165),
    [anon_sym_not] = ACTIONS(2165),
    [anon_sym_compl] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_sizeof] = ACTIONS(2165),
    [anon_sym___alignof__] = ACTIONS(2165),
    [anon_sym___alignof] = ACTIONS(2165),
    [anon_sym__alignof] = ACTIONS(2165),
    [anon_sym_alignof] = ACTIONS(2165),
    [anon_sym__Alignof] = ACTIONS(2165),
    [anon_sym_offsetof] = ACTIONS(2165),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2165),
    [anon_sym___asm__] = ACTIONS(2165),
    [anon_sym___asm] = ACTIONS(2165),
    [sym_number_literal] = ACTIONS(2167),
    [anon_sym_L_SQUOTE] = ACTIONS(2167),
    [anon_sym_u_SQUOTE] = ACTIONS(2167),
    [anon_sym_U_SQUOTE] = ACTIONS(2167),
    [anon_sym_u8_SQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_L_DQUOTE] = ACTIONS(2167),
    [anon_sym_u_DQUOTE] = ACTIONS(2167),
    [anon_sym_U_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8_DQUOTE] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [anon_sym_NULL] = ACTIONS(2165),
    [anon_sym_nullptr] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2165),
    [anon_sym_decltype] = ACTIONS(2165),
    [anon_sym_explicit] = ACTIONS(2165),
    [anon_sym_typename] = ACTIONS(2165),
    [anon_sym_template] = ACTIONS(2165),
    [anon_sym_operator] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_static_assert] = ACTIONS(2165),
    [anon_sym_concept] = ACTIONS(2165),
    [anon_sym_co_return] = ACTIONS(2165),
    [anon_sym_co_yield] = ACTIONS(2165),
    [anon_sym_R_DQUOTE] = ACTIONS(2167),
    [anon_sym_LR_DQUOTE] = ACTIONS(2167),
    [anon_sym_uR_DQUOTE] = ACTIONS(2167),
    [anon_sym_UR_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2167),
    [anon_sym_co_await] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_requires] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [anon_sym_discard] = ACTIONS(2165),
    [anon_sym_precise] = ACTIONS(2165),
    [anon_sym_shared] = ACTIONS(2165),
    [anon_sym_groupshared] = ACTIONS(2165),
    [anon_sym_uniform] = ACTIONS(2165),
    [anon_sym_row_major] = ACTIONS(2165),
    [anon_sym_column_major] = ACTIONS(2165),
    [anon_sym_globallycoherent] = ACTIONS(2165),
    [anon_sym_centroid] = ACTIONS(2165),
    [anon_sym_noperspective] = ACTIONS(2165),
    [anon_sym_nointerpolation] = ACTIONS(2165),
    [anon_sym_sample] = ACTIONS(2165),
    [anon_sym_linear] = ACTIONS(2165),
    [anon_sym_snorm] = ACTIONS(2165),
    [anon_sym_unorm] = ACTIONS(2165),
    [anon_sym_point] = ACTIONS(2165),
    [anon_sym_line] = ACTIONS(2165),
    [anon_sym_triangleadj] = ACTIONS(2165),
    [anon_sym_lineadj] = ACTIONS(2165),
    [anon_sym_triangle] = ACTIONS(2165),
    [anon_sym_cbuffer] = ACTIONS(2165),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(2171),
    [sym_identifier] = ACTIONS(2169),
    [aux_sym_preproc_include_token1] = ACTIONS(2169),
    [aux_sym_preproc_def_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2169),
    [sym_preproc_directive] = ACTIONS(2169),
    [anon_sym_LPAREN2] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym___extension__] = ACTIONS(2169),
    [anon_sym_typedef] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_out] = ACTIONS(2169),
    [anon_sym_inout] = ACTIONS(2169),
    [anon_sym_virtual] = ACTIONS(2169),
    [anon_sym_extern] = ACTIONS(2169),
    [anon_sym___attribute__] = ACTIONS(2169),
    [anon_sym___attribute] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2171),
    [anon_sym___declspec] = ACTIONS(2169),
    [anon_sym___based] = ACTIONS(2169),
    [anon_sym___cdecl] = ACTIONS(2169),
    [anon_sym___clrcall] = ACTIONS(2169),
    [anon_sym___stdcall] = ACTIONS(2169),
    [anon_sym___fastcall] = ACTIONS(2169),
    [anon_sym___thiscall] = ACTIONS(2169),
    [anon_sym___vectorcall] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_signed] = ACTIONS(2169),
    [anon_sym_unsigned] = ACTIONS(2169),
    [anon_sym_long] = ACTIONS(2169),
    [anon_sym_short] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_register] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(2169),
    [anon_sym___inline] = ACTIONS(2169),
    [anon_sym___inline__] = ACTIONS(2169),
    [anon_sym___forceinline] = ACTIONS(2169),
    [anon_sym_thread_local] = ACTIONS(2169),
    [anon_sym___thread] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_constexpr] = ACTIONS(2169),
    [anon_sym_volatile] = ACTIONS(2169),
    [anon_sym_restrict] = ACTIONS(2169),
    [anon_sym___restrict__] = ACTIONS(2169),
    [anon_sym__Atomic] = ACTIONS(2169),
    [anon_sym__Noreturn] = ACTIONS(2169),
    [anon_sym_noreturn] = ACTIONS(2169),
    [anon_sym__Nonnull] = ACTIONS(2169),
    [anon_sym_mutable] = ACTIONS(2169),
    [anon_sym_constinit] = ACTIONS(2169),
    [anon_sym_consteval] = ACTIONS(2169),
    [anon_sym_alignas] = ACTIONS(2169),
    [anon_sym__Alignas] = ACTIONS(2169),
    [sym_primitive_type] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_struct] = ACTIONS(2169),
    [anon_sym_union] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym___try] = ACTIONS(2169),
    [anon_sym___leave] = ACTIONS(2169),
    [anon_sym_not] = ACTIONS(2169),
    [anon_sym_compl] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_sizeof] = ACTIONS(2169),
    [anon_sym___alignof__] = ACTIONS(2169),
    [anon_sym___alignof] = ACTIONS(2169),
    [anon_sym__alignof] = ACTIONS(2169),
    [anon_sym_alignof] = ACTIONS(2169),
    [anon_sym__Alignof] = ACTIONS(2169),
    [anon_sym_offsetof] = ACTIONS(2169),
    [anon_sym__Generic] = ACTIONS(2169),
    [anon_sym_asm] = ACTIONS(2169),
    [anon_sym___asm__] = ACTIONS(2169),
    [anon_sym___asm] = ACTIONS(2169),
    [sym_number_literal] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2171),
    [anon_sym_u_SQUOTE] = ACTIONS(2171),
    [anon_sym_U_SQUOTE] = ACTIONS(2171),
    [anon_sym_u8_SQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_L_DQUOTE] = ACTIONS(2171),
    [anon_sym_u_DQUOTE] = ACTIONS(2171),
    [anon_sym_U_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8_DQUOTE] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [anon_sym_NULL] = ACTIONS(2169),
    [anon_sym_nullptr] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2169),
    [anon_sym_decltype] = ACTIONS(2169),
    [anon_sym_explicit] = ACTIONS(2169),
    [anon_sym_typename] = ACTIONS(2169),
    [anon_sym_template] = ACTIONS(2169),
    [anon_sym_operator] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_static_assert] = ACTIONS(2169),
    [anon_sym_concept] = ACTIONS(2169),
    [anon_sym_co_return] = ACTIONS(2169),
    [anon_sym_co_yield] = ACTIONS(2169),
    [anon_sym_R_DQUOTE] = ACTIONS(2171),
    [anon_sym_LR_DQUOTE] = ACTIONS(2171),
    [anon_sym_uR_DQUOTE] = ACTIONS(2171),
    [anon_sym_UR_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2171),
    [anon_sym_co_await] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_requires] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [anon_sym_discard] = ACTIONS(2169),
    [anon_sym_precise] = ACTIONS(2169),
    [anon_sym_shared] = ACTIONS(2169),
    [anon_sym_groupshared] = ACTIONS(2169),
    [anon_sym_uniform] = ACTIONS(2169),
    [anon_sym_row_major] = ACTIONS(2169),
    [anon_sym_column_major] = ACTIONS(2169),
    [anon_sym_globallycoherent] = ACTIONS(2169),
    [anon_sym_centroid] = ACTIONS(2169),
    [anon_sym_noperspective] = ACTIONS(2169),
    [anon_sym_nointerpolation] = ACTIONS(2169),
    [anon_sym_sample] = ACTIONS(2169),
    [anon_sym_linear] = ACTIONS(2169),
    [anon_sym_snorm] = ACTIONS(2169),
    [anon_sym_unorm] = ACTIONS(2169),
    [anon_sym_point] = ACTIONS(2169),
    [anon_sym_line] = ACTIONS(2169),
    [anon_sym_triangleadj] = ACTIONS(2169),
    [anon_sym_lineadj] = ACTIONS(2169),
    [anon_sym_triangle] = ACTIONS(2169),
    [anon_sym_cbuffer] = ACTIONS(2169),
  },
  [408] = {
    [sym_identifier] = ACTIONS(2177),
    [aux_sym_preproc_include_token1] = ACTIONS(2177),
    [aux_sym_preproc_def_token1] = ACTIONS(2177),
    [aux_sym_preproc_if_token1] = ACTIONS(2177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2177),
    [sym_preproc_directive] = ACTIONS(2177),
    [anon_sym_LPAREN2] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_AMP_AMP] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym___extension__] = ACTIONS(2177),
    [anon_sym_typedef] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2177),
    [anon_sym_out] = ACTIONS(2177),
    [anon_sym_inout] = ACTIONS(2177),
    [anon_sym_virtual] = ACTIONS(2177),
    [anon_sym_extern] = ACTIONS(2177),
    [anon_sym___attribute__] = ACTIONS(2177),
    [anon_sym___attribute] = ACTIONS(2177),
    [anon_sym_COLON_COLON] = ACTIONS(2179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2179),
    [anon_sym___declspec] = ACTIONS(2177),
    [anon_sym___based] = ACTIONS(2177),
    [anon_sym___cdecl] = ACTIONS(2177),
    [anon_sym___clrcall] = ACTIONS(2177),
    [anon_sym___stdcall] = ACTIONS(2177),
    [anon_sym___fastcall] = ACTIONS(2177),
    [anon_sym___thiscall] = ACTIONS(2177),
    [anon_sym___vectorcall] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_signed] = ACTIONS(2177),
    [anon_sym_unsigned] = ACTIONS(2177),
    [anon_sym_long] = ACTIONS(2177),
    [anon_sym_short] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_register] = ACTIONS(2177),
    [anon_sym_inline] = ACTIONS(2177),
    [anon_sym___inline] = ACTIONS(2177),
    [anon_sym___inline__] = ACTIONS(2177),
    [anon_sym___forceinline] = ACTIONS(2177),
    [anon_sym_thread_local] = ACTIONS(2177),
    [anon_sym___thread] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_constexpr] = ACTIONS(2177),
    [anon_sym_volatile] = ACTIONS(2177),
    [anon_sym_restrict] = ACTIONS(2177),
    [anon_sym___restrict__] = ACTIONS(2177),
    [anon_sym__Atomic] = ACTIONS(2177),
    [anon_sym__Noreturn] = ACTIONS(2177),
    [anon_sym_noreturn] = ACTIONS(2177),
    [anon_sym__Nonnull] = ACTIONS(2177),
    [anon_sym_mutable] = ACTIONS(2177),
    [anon_sym_constinit] = ACTIONS(2177),
    [anon_sym_consteval] = ACTIONS(2177),
    [anon_sym_alignas] = ACTIONS(2177),
    [anon_sym__Alignas] = ACTIONS(2177),
    [sym_primitive_type] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_struct] = ACTIONS(2177),
    [anon_sym_union] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym___try] = ACTIONS(2177),
    [anon_sym___leave] = ACTIONS(2177),
    [anon_sym_not] = ACTIONS(2177),
    [anon_sym_compl] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_sizeof] = ACTIONS(2177),
    [anon_sym___alignof__] = ACTIONS(2177),
    [anon_sym___alignof] = ACTIONS(2177),
    [anon_sym__alignof] = ACTIONS(2177),
    [anon_sym_alignof] = ACTIONS(2177),
    [anon_sym__Alignof] = ACTIONS(2177),
    [anon_sym_offsetof] = ACTIONS(2177),
    [anon_sym__Generic] = ACTIONS(2177),
    [anon_sym_asm] = ACTIONS(2177),
    [anon_sym___asm__] = ACTIONS(2177),
    [anon_sym___asm] = ACTIONS(2177),
    [sym_number_literal] = ACTIONS(2179),
    [anon_sym_L_SQUOTE] = ACTIONS(2179),
    [anon_sym_u_SQUOTE] = ACTIONS(2179),
    [anon_sym_U_SQUOTE] = ACTIONS(2179),
    [anon_sym_u8_SQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_L_DQUOTE] = ACTIONS(2179),
    [anon_sym_u_DQUOTE] = ACTIONS(2179),
    [anon_sym_U_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8_DQUOTE] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2177),
    [anon_sym_nullptr] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2177),
    [anon_sym_decltype] = ACTIONS(2177),
    [anon_sym_explicit] = ACTIONS(2177),
    [anon_sym_typename] = ACTIONS(2177),
    [anon_sym_template] = ACTIONS(2177),
    [anon_sym_operator] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_static_assert] = ACTIONS(2177),
    [anon_sym_concept] = ACTIONS(2177),
    [anon_sym_co_return] = ACTIONS(2177),
    [anon_sym_co_yield] = ACTIONS(2177),
    [anon_sym_R_DQUOTE] = ACTIONS(2179),
    [anon_sym_LR_DQUOTE] = ACTIONS(2179),
    [anon_sym_uR_DQUOTE] = ACTIONS(2179),
    [anon_sym_UR_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2179),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [anon_sym_discard] = ACTIONS(2177),
    [anon_sym_precise] = ACTIONS(2177),
    [anon_sym_shared] = ACTIONS(2177),
    [anon_sym_groupshared] = ACTIONS(2177),
    [anon_sym_uniform] = ACTIONS(2177),
    [anon_sym_row_major] = ACTIONS(2177),
    [anon_sym_column_major] = ACTIONS(2177),
    [anon_sym_globallycoherent] = ACTIONS(2177),
    [anon_sym_centroid] = ACTIONS(2177),
    [anon_sym_noperspective] = ACTIONS(2177),
    [anon_sym_nointerpolation] = ACTIONS(2177),
    [anon_sym_sample] = ACTIONS(2177),
    [anon_sym_linear] = ACTIONS(2177),
    [anon_sym_snorm] = ACTIONS(2177),
    [anon_sym_unorm] = ACTIONS(2177),
    [anon_sym_point] = ACTIONS(2177),
    [anon_sym_line] = ACTIONS(2177),
    [anon_sym_triangleadj] = ACTIONS(2177),
    [anon_sym_lineadj] = ACTIONS(2177),
    [anon_sym_triangle] = ACTIONS(2177),
    [anon_sym_cbuffer] = ACTIONS(2177),
  },
  [409] = {
    [sym_identifier] = ACTIONS(2181),
    [aux_sym_preproc_include_token1] = ACTIONS(2181),
    [aux_sym_preproc_def_token1] = ACTIONS(2181),
    [aux_sym_preproc_if_token1] = ACTIONS(2181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2181),
    [sym_preproc_directive] = ACTIONS(2181),
    [anon_sym_LPAREN2] = ACTIONS(2183),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym___extension__] = ACTIONS(2181),
    [anon_sym_typedef] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(2181),
    [anon_sym_out] = ACTIONS(2181),
    [anon_sym_inout] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(2181),
    [anon_sym_extern] = ACTIONS(2181),
    [anon_sym___attribute__] = ACTIONS(2181),
    [anon_sym___attribute] = ACTIONS(2181),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2183),
    [anon_sym___declspec] = ACTIONS(2181),
    [anon_sym___based] = ACTIONS(2181),
    [anon_sym___cdecl] = ACTIONS(2181),
    [anon_sym___clrcall] = ACTIONS(2181),
    [anon_sym___stdcall] = ACTIONS(2181),
    [anon_sym___fastcall] = ACTIONS(2181),
    [anon_sym___thiscall] = ACTIONS(2181),
    [anon_sym___vectorcall] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2183),
    [anon_sym_signed] = ACTIONS(2181),
    [anon_sym_unsigned] = ACTIONS(2181),
    [anon_sym_long] = ACTIONS(2181),
    [anon_sym_short] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_register] = ACTIONS(2181),
    [anon_sym_inline] = ACTIONS(2181),
    [anon_sym___inline] = ACTIONS(2181),
    [anon_sym___inline__] = ACTIONS(2181),
    [anon_sym___forceinline] = ACTIONS(2181),
    [anon_sym_thread_local] = ACTIONS(2181),
    [anon_sym___thread] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_constexpr] = ACTIONS(2181),
    [anon_sym_volatile] = ACTIONS(2181),
    [anon_sym_restrict] = ACTIONS(2181),
    [anon_sym___restrict__] = ACTIONS(2181),
    [anon_sym__Atomic] = ACTIONS(2181),
    [anon_sym__Noreturn] = ACTIONS(2181),
    [anon_sym_noreturn] = ACTIONS(2181),
    [anon_sym__Nonnull] = ACTIONS(2181),
    [anon_sym_mutable] = ACTIONS(2181),
    [anon_sym_constinit] = ACTIONS(2181),
    [anon_sym_consteval] = ACTIONS(2181),
    [anon_sym_alignas] = ACTIONS(2181),
    [anon_sym__Alignas] = ACTIONS(2181),
    [sym_primitive_type] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_struct] = ACTIONS(2181),
    [anon_sym_union] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym___try] = ACTIONS(2181),
    [anon_sym___leave] = ACTIONS(2181),
    [anon_sym_not] = ACTIONS(2181),
    [anon_sym_compl] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_sizeof] = ACTIONS(2181),
    [anon_sym___alignof__] = ACTIONS(2181),
    [anon_sym___alignof] = ACTIONS(2181),
    [anon_sym__alignof] = ACTIONS(2181),
    [anon_sym_alignof] = ACTIONS(2181),
    [anon_sym__Alignof] = ACTIONS(2181),
    [anon_sym_offsetof] = ACTIONS(2181),
    [anon_sym__Generic] = ACTIONS(2181),
    [anon_sym_asm] = ACTIONS(2181),
    [anon_sym___asm__] = ACTIONS(2181),
    [anon_sym___asm] = ACTIONS(2181),
    [sym_number_literal] = ACTIONS(2183),
    [anon_sym_L_SQUOTE] = ACTIONS(2183),
    [anon_sym_u_SQUOTE] = ACTIONS(2183),
    [anon_sym_U_SQUOTE] = ACTIONS(2183),
    [anon_sym_u8_SQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [anon_sym_L_DQUOTE] = ACTIONS(2183),
    [anon_sym_u_DQUOTE] = ACTIONS(2183),
    [anon_sym_U_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8_DQUOTE] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [anon_sym_NULL] = ACTIONS(2181),
    [anon_sym_nullptr] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2181),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_explicit] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(2181),
    [anon_sym_operator] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_static_assert] = ACTIONS(2181),
    [anon_sym_concept] = ACTIONS(2181),
    [anon_sym_co_return] = ACTIONS(2181),
    [anon_sym_co_yield] = ACTIONS(2181),
    [anon_sym_R_DQUOTE] = ACTIONS(2183),
    [anon_sym_LR_DQUOTE] = ACTIONS(2183),
    [anon_sym_uR_DQUOTE] = ACTIONS(2183),
    [anon_sym_UR_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2183),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_requires] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [anon_sym_discard] = ACTIONS(2181),
    [anon_sym_precise] = ACTIONS(2181),
    [anon_sym_shared] = ACTIONS(2181),
    [anon_sym_groupshared] = ACTIONS(2181),
    [anon_sym_uniform] = ACTIONS(2181),
    [anon_sym_row_major] = ACTIONS(2181),
    [anon_sym_column_major] = ACTIONS(2181),
    [anon_sym_globallycoherent] = ACTIONS(2181),
    [anon_sym_centroid] = ACTIONS(2181),
    [anon_sym_noperspective] = ACTIONS(2181),
    [anon_sym_nointerpolation] = ACTIONS(2181),
    [anon_sym_sample] = ACTIONS(2181),
    [anon_sym_linear] = ACTIONS(2181),
    [anon_sym_snorm] = ACTIONS(2181),
    [anon_sym_unorm] = ACTIONS(2181),
    [anon_sym_point] = ACTIONS(2181),
    [anon_sym_line] = ACTIONS(2181),
    [anon_sym_triangleadj] = ACTIONS(2181),
    [anon_sym_lineadj] = ACTIONS(2181),
    [anon_sym_triangle] = ACTIONS(2181),
    [anon_sym_cbuffer] = ACTIONS(2181),
  },
  [410] = {
    [sym_identifier] = ACTIONS(2189),
    [aux_sym_preproc_include_token1] = ACTIONS(2189),
    [aux_sym_preproc_def_token1] = ACTIONS(2189),
    [aux_sym_preproc_if_token1] = ACTIONS(2189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2189),
    [sym_preproc_directive] = ACTIONS(2189),
    [anon_sym_LPAREN2] = ACTIONS(2191),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_typedef] = ACTIONS(2189),
    [anon_sym_in] = ACTIONS(2189),
    [anon_sym_out] = ACTIONS(2189),
    [anon_sym_inout] = ACTIONS(2189),
    [anon_sym_virtual] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_COLON_COLON] = ACTIONS(2191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2191),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_RBRACE] = ACTIONS(2191),
    [anon_sym_signed] = ACTIONS(2189),
    [anon_sym_unsigned] = ACTIONS(2189),
    [anon_sym_long] = ACTIONS(2189),
    [anon_sym_short] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_mutable] = ACTIONS(2189),
    [anon_sym_constinit] = ACTIONS(2189),
    [anon_sym_consteval] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [sym_primitive_type] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_union] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym___try] = ACTIONS(2189),
    [anon_sym___leave] = ACTIONS(2189),
    [anon_sym_not] = ACTIONS(2189),
    [anon_sym_compl] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_sizeof] = ACTIONS(2189),
    [anon_sym___alignof__] = ACTIONS(2189),
    [anon_sym___alignof] = ACTIONS(2189),
    [anon_sym__alignof] = ACTIONS(2189),
    [anon_sym_alignof] = ACTIONS(2189),
    [anon_sym__Alignof] = ACTIONS(2189),
    [anon_sym_offsetof] = ACTIONS(2189),
    [anon_sym__Generic] = ACTIONS(2189),
    [anon_sym_asm] = ACTIONS(2189),
    [anon_sym___asm__] = ACTIONS(2189),
    [anon_sym___asm] = ACTIONS(2189),
    [sym_number_literal] = ACTIONS(2191),
    [anon_sym_L_SQUOTE] = ACTIONS(2191),
    [anon_sym_u_SQUOTE] = ACTIONS(2191),
    [anon_sym_U_SQUOTE] = ACTIONS(2191),
    [anon_sym_u8_SQUOTE] = ACTIONS(2191),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(2191),
    [anon_sym_u_DQUOTE] = ACTIONS(2191),
    [anon_sym_U_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8_DQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2191),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [anon_sym_NULL] = ACTIONS(2189),
    [anon_sym_nullptr] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2189),
    [anon_sym_decltype] = ACTIONS(2189),
    [anon_sym_explicit] = ACTIONS(2189),
    [anon_sym_typename] = ACTIONS(2189),
    [anon_sym_template] = ACTIONS(2189),
    [anon_sym_operator] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_static_assert] = ACTIONS(2189),
    [anon_sym_concept] = ACTIONS(2189),
    [anon_sym_co_return] = ACTIONS(2189),
    [anon_sym_co_yield] = ACTIONS(2189),
    [anon_sym_R_DQUOTE] = ACTIONS(2191),
    [anon_sym_LR_DQUOTE] = ACTIONS(2191),
    [anon_sym_uR_DQUOTE] = ACTIONS(2191),
    [anon_sym_UR_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2191),
    [anon_sym_co_await] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [anon_sym_discard] = ACTIONS(2189),
    [anon_sym_precise] = ACTIONS(2189),
    [anon_sym_shared] = ACTIONS(2189),
    [anon_sym_groupshared] = ACTIONS(2189),
    [anon_sym_uniform] = ACTIONS(2189),
    [anon_sym_row_major] = ACTIONS(2189),
    [anon_sym_column_major] = ACTIONS(2189),
    [anon_sym_globallycoherent] = ACTIONS(2189),
    [anon_sym_centroid] = ACTIONS(2189),
    [anon_sym_noperspective] = ACTIONS(2189),
    [anon_sym_nointerpolation] = ACTIONS(2189),
    [anon_sym_sample] = ACTIONS(2189),
    [anon_sym_linear] = ACTIONS(2189),
    [anon_sym_snorm] = ACTIONS(2189),
    [anon_sym_unorm] = ACTIONS(2189),
    [anon_sym_point] = ACTIONS(2189),
    [anon_sym_line] = ACTIONS(2189),
    [anon_sym_triangleadj] = ACTIONS(2189),
    [anon_sym_lineadj] = ACTIONS(2189),
    [anon_sym_triangle] = ACTIONS(2189),
    [anon_sym_cbuffer] = ACTIONS(2189),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(2278),
    [sym_identifier] = ACTIONS(2276),
    [aux_sym_preproc_include_token1] = ACTIONS(2276),
    [aux_sym_preproc_def_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2276),
    [sym_preproc_directive] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP_AMP] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym___attribute] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym___based] = ACTIONS(2276),
    [anon_sym___cdecl] = ACTIONS(2276),
    [anon_sym___clrcall] = ACTIONS(2276),
    [anon_sym___stdcall] = ACTIONS(2276),
    [anon_sym___fastcall] = ACTIONS(2276),
    [anon_sym___thiscall] = ACTIONS(2276),
    [anon_sym___vectorcall] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_explicit] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_operator] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_namespace] = ACTIONS(2276),
    [anon_sym_using] = ACTIONS(2276),
    [anon_sym_static_assert] = ACTIONS(2276),
    [anon_sym_concept] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(2199),
    [sym_identifier] = ACTIONS(2197),
    [aux_sym_preproc_include_token1] = ACTIONS(2197),
    [aux_sym_preproc_def_token1] = ACTIONS(2197),
    [aux_sym_preproc_if_token1] = ACTIONS(2197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2197),
    [sym_preproc_directive] = ACTIONS(2197),
    [anon_sym_LPAREN2] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym___extension__] = ACTIONS(2197),
    [anon_sym_typedef] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2197),
    [anon_sym_out] = ACTIONS(2197),
    [anon_sym_inout] = ACTIONS(2197),
    [anon_sym_virtual] = ACTIONS(2197),
    [anon_sym_extern] = ACTIONS(2197),
    [anon_sym___attribute__] = ACTIONS(2197),
    [anon_sym___attribute] = ACTIONS(2197),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym___declspec] = ACTIONS(2197),
    [anon_sym___based] = ACTIONS(2197),
    [anon_sym___cdecl] = ACTIONS(2197),
    [anon_sym___clrcall] = ACTIONS(2197),
    [anon_sym___stdcall] = ACTIONS(2197),
    [anon_sym___fastcall] = ACTIONS(2197),
    [anon_sym___thiscall] = ACTIONS(2197),
    [anon_sym___vectorcall] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_signed] = ACTIONS(2197),
    [anon_sym_unsigned] = ACTIONS(2197),
    [anon_sym_long] = ACTIONS(2197),
    [anon_sym_short] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_register] = ACTIONS(2197),
    [anon_sym_inline] = ACTIONS(2197),
    [anon_sym___inline] = ACTIONS(2197),
    [anon_sym___inline__] = ACTIONS(2197),
    [anon_sym___forceinline] = ACTIONS(2197),
    [anon_sym_thread_local] = ACTIONS(2197),
    [anon_sym___thread] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_constexpr] = ACTIONS(2197),
    [anon_sym_volatile] = ACTIONS(2197),
    [anon_sym_restrict] = ACTIONS(2197),
    [anon_sym___restrict__] = ACTIONS(2197),
    [anon_sym__Atomic] = ACTIONS(2197),
    [anon_sym__Noreturn] = ACTIONS(2197),
    [anon_sym_noreturn] = ACTIONS(2197),
    [anon_sym__Nonnull] = ACTIONS(2197),
    [anon_sym_mutable] = ACTIONS(2197),
    [anon_sym_constinit] = ACTIONS(2197),
    [anon_sym_consteval] = ACTIONS(2197),
    [anon_sym_alignas] = ACTIONS(2197),
    [anon_sym__Alignas] = ACTIONS(2197),
    [sym_primitive_type] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_struct] = ACTIONS(2197),
    [anon_sym_union] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym___try] = ACTIONS(2197),
    [anon_sym___leave] = ACTIONS(2197),
    [anon_sym_not] = ACTIONS(2197),
    [anon_sym_compl] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_sizeof] = ACTIONS(2197),
    [anon_sym___alignof__] = ACTIONS(2197),
    [anon_sym___alignof] = ACTIONS(2197),
    [anon_sym__alignof] = ACTIONS(2197),
    [anon_sym_alignof] = ACTIONS(2197),
    [anon_sym__Alignof] = ACTIONS(2197),
    [anon_sym_offsetof] = ACTIONS(2197),
    [anon_sym__Generic] = ACTIONS(2197),
    [anon_sym_asm] = ACTIONS(2197),
    [anon_sym___asm__] = ACTIONS(2197),
    [anon_sym___asm] = ACTIONS(2197),
    [sym_number_literal] = ACTIONS(2199),
    [anon_sym_L_SQUOTE] = ACTIONS(2199),
    [anon_sym_u_SQUOTE] = ACTIONS(2199),
    [anon_sym_U_SQUOTE] = ACTIONS(2199),
    [anon_sym_u8_SQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_L_DQUOTE] = ACTIONS(2199),
    [anon_sym_u_DQUOTE] = ACTIONS(2199),
    [anon_sym_U_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8_DQUOTE] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [anon_sym_NULL] = ACTIONS(2197),
    [anon_sym_nullptr] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2197),
    [anon_sym_decltype] = ACTIONS(2197),
    [anon_sym_explicit] = ACTIONS(2197),
    [anon_sym_typename] = ACTIONS(2197),
    [anon_sym_template] = ACTIONS(2197),
    [anon_sym_operator] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_static_assert] = ACTIONS(2197),
    [anon_sym_concept] = ACTIONS(2197),
    [anon_sym_co_return] = ACTIONS(2197),
    [anon_sym_co_yield] = ACTIONS(2197),
    [anon_sym_R_DQUOTE] = ACTIONS(2199),
    [anon_sym_LR_DQUOTE] = ACTIONS(2199),
    [anon_sym_uR_DQUOTE] = ACTIONS(2199),
    [anon_sym_UR_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2199),
    [anon_sym_co_await] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_requires] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [anon_sym_discard] = ACTIONS(2197),
    [anon_sym_precise] = ACTIONS(2197),
    [anon_sym_shared] = ACTIONS(2197),
    [anon_sym_groupshared] = ACTIONS(2197),
    [anon_sym_uniform] = ACTIONS(2197),
    [anon_sym_row_major] = ACTIONS(2197),
    [anon_sym_column_major] = ACTIONS(2197),
    [anon_sym_globallycoherent] = ACTIONS(2197),
    [anon_sym_centroid] = ACTIONS(2197),
    [anon_sym_noperspective] = ACTIONS(2197),
    [anon_sym_nointerpolation] = ACTIONS(2197),
    [anon_sym_sample] = ACTIONS(2197),
    [anon_sym_linear] = ACTIONS(2197),
    [anon_sym_snorm] = ACTIONS(2197),
    [anon_sym_unorm] = ACTIONS(2197),
    [anon_sym_point] = ACTIONS(2197),
    [anon_sym_line] = ACTIONS(2197),
    [anon_sym_triangleadj] = ACTIONS(2197),
    [anon_sym_lineadj] = ACTIONS(2197),
    [anon_sym_triangle] = ACTIONS(2197),
    [anon_sym_cbuffer] = ACTIONS(2197),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(2282),
    [sym_identifier] = ACTIONS(2280),
    [aux_sym_preproc_include_token1] = ACTIONS(2280),
    [aux_sym_preproc_def_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2280),
    [sym_preproc_directive] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym___attribute] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym___based] = ACTIONS(2280),
    [anon_sym___cdecl] = ACTIONS(2280),
    [anon_sym___clrcall] = ACTIONS(2280),
    [anon_sym___stdcall] = ACTIONS(2280),
    [anon_sym___fastcall] = ACTIONS(2280),
    [anon_sym___thiscall] = ACTIONS(2280),
    [anon_sym___vectorcall] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_explicit] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_operator] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_static_assert] = ACTIONS(2280),
    [anon_sym_concept] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [414] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_include_token1] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_RBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym___try] = ACTIONS(1978),
    [anon_sym___leave] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_namespace] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_discard] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
    [anon_sym_cbuffer] = ACTIONS(1978),
  },
  [415] = {
    [sym_identifier] = ACTIONS(2173),
    [aux_sym_preproc_include_token1] = ACTIONS(2173),
    [aux_sym_preproc_def_token1] = ACTIONS(2173),
    [aux_sym_preproc_if_token1] = ACTIONS(2173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2173),
    [sym_preproc_directive] = ACTIONS(2173),
    [anon_sym_LPAREN2] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym___extension__] = ACTIONS(2173),
    [anon_sym_typedef] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_out] = ACTIONS(2173),
    [anon_sym_inout] = ACTIONS(2173),
    [anon_sym_virtual] = ACTIONS(2173),
    [anon_sym_extern] = ACTIONS(2173),
    [anon_sym___attribute__] = ACTIONS(2173),
    [anon_sym___attribute] = ACTIONS(2173),
    [anon_sym_COLON_COLON] = ACTIONS(2175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2175),
    [anon_sym___declspec] = ACTIONS(2173),
    [anon_sym___based] = ACTIONS(2173),
    [anon_sym___cdecl] = ACTIONS(2173),
    [anon_sym___clrcall] = ACTIONS(2173),
    [anon_sym___stdcall] = ACTIONS(2173),
    [anon_sym___fastcall] = ACTIONS(2173),
    [anon_sym___thiscall] = ACTIONS(2173),
    [anon_sym___vectorcall] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2175),
    [anon_sym_signed] = ACTIONS(2173),
    [anon_sym_unsigned] = ACTIONS(2173),
    [anon_sym_long] = ACTIONS(2173),
    [anon_sym_short] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_register] = ACTIONS(2173),
    [anon_sym_inline] = ACTIONS(2173),
    [anon_sym___inline] = ACTIONS(2173),
    [anon_sym___inline__] = ACTIONS(2173),
    [anon_sym___forceinline] = ACTIONS(2173),
    [anon_sym_thread_local] = ACTIONS(2173),
    [anon_sym___thread] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_constexpr] = ACTIONS(2173),
    [anon_sym_volatile] = ACTIONS(2173),
    [anon_sym_restrict] = ACTIONS(2173),
    [anon_sym___restrict__] = ACTIONS(2173),
    [anon_sym__Atomic] = ACTIONS(2173),
    [anon_sym__Noreturn] = ACTIONS(2173),
    [anon_sym_noreturn] = ACTIONS(2173),
    [anon_sym__Nonnull] = ACTIONS(2173),
    [anon_sym_mutable] = ACTIONS(2173),
    [anon_sym_constinit] = ACTIONS(2173),
    [anon_sym_consteval] = ACTIONS(2173),
    [anon_sym_alignas] = ACTIONS(2173),
    [anon_sym__Alignas] = ACTIONS(2173),
    [sym_primitive_type] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_struct] = ACTIONS(2173),
    [anon_sym_union] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym___try] = ACTIONS(2173),
    [anon_sym___leave] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2173),
    [anon_sym_compl] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_sizeof] = ACTIONS(2173),
    [anon_sym___alignof__] = ACTIONS(2173),
    [anon_sym___alignof] = ACTIONS(2173),
    [anon_sym__alignof] = ACTIONS(2173),
    [anon_sym_alignof] = ACTIONS(2173),
    [anon_sym__Alignof] = ACTIONS(2173),
    [anon_sym_offsetof] = ACTIONS(2173),
    [anon_sym__Generic] = ACTIONS(2173),
    [anon_sym_asm] = ACTIONS(2173),
    [anon_sym___asm__] = ACTIONS(2173),
    [anon_sym___asm] = ACTIONS(2173),
    [sym_number_literal] = ACTIONS(2175),
    [anon_sym_L_SQUOTE] = ACTIONS(2175),
    [anon_sym_u_SQUOTE] = ACTIONS(2175),
    [anon_sym_U_SQUOTE] = ACTIONS(2175),
    [anon_sym_u8_SQUOTE] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2175),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [anon_sym_NULL] = ACTIONS(2173),
    [anon_sym_nullptr] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2173),
    [anon_sym_decltype] = ACTIONS(2173),
    [anon_sym_explicit] = ACTIONS(2173),
    [anon_sym_typename] = ACTIONS(2173),
    [anon_sym_template] = ACTIONS(2173),
    [anon_sym_operator] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_static_assert] = ACTIONS(2173),
    [anon_sym_concept] = ACTIONS(2173),
    [anon_sym_co_return] = ACTIONS(2173),
    [anon_sym_co_yield] = ACTIONS(2173),
    [anon_sym_R_DQUOTE] = ACTIONS(2175),
    [anon_sym_LR_DQUOTE] = ACTIONS(2175),
    [anon_sym_uR_DQUOTE] = ACTIONS(2175),
    [anon_sym_UR_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2175),
    [anon_sym_co_await] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_requires] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [anon_sym_discard] = ACTIONS(2173),
    [anon_sym_precise] = ACTIONS(2173),
    [anon_sym_shared] = ACTIONS(2173),
    [anon_sym_groupshared] = ACTIONS(2173),
    [anon_sym_uniform] = ACTIONS(2173),
    [anon_sym_row_major] = ACTIONS(2173),
    [anon_sym_column_major] = ACTIONS(2173),
    [anon_sym_globallycoherent] = ACTIONS(2173),
    [anon_sym_centroid] = ACTIONS(2173),
    [anon_sym_noperspective] = ACTIONS(2173),
    [anon_sym_nointerpolation] = ACTIONS(2173),
    [anon_sym_sample] = ACTIONS(2173),
    [anon_sym_linear] = ACTIONS(2173),
    [anon_sym_snorm] = ACTIONS(2173),
    [anon_sym_unorm] = ACTIONS(2173),
    [anon_sym_point] = ACTIONS(2173),
    [anon_sym_line] = ACTIONS(2173),
    [anon_sym_triangleadj] = ACTIONS(2173),
    [anon_sym_lineadj] = ACTIONS(2173),
    [anon_sym_triangle] = ACTIONS(2173),
    [anon_sym_cbuffer] = ACTIONS(2173),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_include_token1] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym___cdecl] = ACTIONS(2205),
    [anon_sym___clrcall] = ACTIONS(2205),
    [anon_sym___stdcall] = ACTIONS(2205),
    [anon_sym___fastcall] = ACTIONS(2205),
    [anon_sym___thiscall] = ACTIONS(2205),
    [anon_sym___vectorcall] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_concept] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_include_token1] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym___cdecl] = ACTIONS(2205),
    [anon_sym___clrcall] = ACTIONS(2205),
    [anon_sym___stdcall] = ACTIONS(2205),
    [anon_sym___fastcall] = ACTIONS(2205),
    [anon_sym___thiscall] = ACTIONS(2205),
    [anon_sym___vectorcall] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_concept] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym_identifier] = ACTIONS(2209),
    [aux_sym_preproc_include_token1] = ACTIONS(2209),
    [aux_sym_preproc_def_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2209),
    [sym_preproc_directive] = ACTIONS(2209),
    [anon_sym_LPAREN2] = ACTIONS(2211),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_AMP_AMP] = ACTIONS(2211),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym___extension__] = ACTIONS(2209),
    [anon_sym_typedef] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_out] = ACTIONS(2209),
    [anon_sym_inout] = ACTIONS(2209),
    [anon_sym_virtual] = ACTIONS(2209),
    [anon_sym_extern] = ACTIONS(2209),
    [anon_sym___attribute__] = ACTIONS(2209),
    [anon_sym___attribute] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2211),
    [anon_sym___declspec] = ACTIONS(2209),
    [anon_sym___based] = ACTIONS(2209),
    [anon_sym___cdecl] = ACTIONS(2209),
    [anon_sym___clrcall] = ACTIONS(2209),
    [anon_sym___stdcall] = ACTIONS(2209),
    [anon_sym___fastcall] = ACTIONS(2209),
    [anon_sym___thiscall] = ACTIONS(2209),
    [anon_sym___vectorcall] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_register] = ACTIONS(2209),
    [anon_sym_inline] = ACTIONS(2209),
    [anon_sym___inline] = ACTIONS(2209),
    [anon_sym___inline__] = ACTIONS(2209),
    [anon_sym___forceinline] = ACTIONS(2209),
    [anon_sym_thread_local] = ACTIONS(2209),
    [anon_sym___thread] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_constexpr] = ACTIONS(2209),
    [anon_sym_volatile] = ACTIONS(2209),
    [anon_sym_restrict] = ACTIONS(2209),
    [anon_sym___restrict__] = ACTIONS(2209),
    [anon_sym__Atomic] = ACTIONS(2209),
    [anon_sym__Noreturn] = ACTIONS(2209),
    [anon_sym_noreturn] = ACTIONS(2209),
    [anon_sym__Nonnull] = ACTIONS(2209),
    [anon_sym_mutable] = ACTIONS(2209),
    [anon_sym_constinit] = ACTIONS(2209),
    [anon_sym_consteval] = ACTIONS(2209),
    [anon_sym_alignas] = ACTIONS(2209),
    [anon_sym__Alignas] = ACTIONS(2209),
    [sym_primitive_type] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_struct] = ACTIONS(2209),
    [anon_sym_union] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym___try] = ACTIONS(2209),
    [anon_sym___leave] = ACTIONS(2209),
    [anon_sym_not] = ACTIONS(2209),
    [anon_sym_compl] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_sizeof] = ACTIONS(2209),
    [anon_sym___alignof__] = ACTIONS(2209),
    [anon_sym___alignof] = ACTIONS(2209),
    [anon_sym__alignof] = ACTIONS(2209),
    [anon_sym_alignof] = ACTIONS(2209),
    [anon_sym__Alignof] = ACTIONS(2209),
    [anon_sym_offsetof] = ACTIONS(2209),
    [anon_sym__Generic] = ACTIONS(2209),
    [anon_sym_asm] = ACTIONS(2209),
    [anon_sym___asm__] = ACTIONS(2209),
    [anon_sym___asm] = ACTIONS(2209),
    [sym_number_literal] = ACTIONS(2211),
    [anon_sym_L_SQUOTE] = ACTIONS(2211),
    [anon_sym_u_SQUOTE] = ACTIONS(2211),
    [anon_sym_U_SQUOTE] = ACTIONS(2211),
    [anon_sym_u8_SQUOTE] = ACTIONS(2211),
    [anon_sym_SQUOTE] = ACTIONS(2211),
    [anon_sym_L_DQUOTE] = ACTIONS(2211),
    [anon_sym_u_DQUOTE] = ACTIONS(2211),
    [anon_sym_U_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8_DQUOTE] = ACTIONS(2211),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [anon_sym_NULL] = ACTIONS(2209),
    [anon_sym_nullptr] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2209),
    [anon_sym_decltype] = ACTIONS(2209),
    [anon_sym_explicit] = ACTIONS(2209),
    [anon_sym_typename] = ACTIONS(2209),
    [anon_sym_template] = ACTIONS(2209),
    [anon_sym_operator] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_static_assert] = ACTIONS(2209),
    [anon_sym_concept] = ACTIONS(2209),
    [anon_sym_co_return] = ACTIONS(2209),
    [anon_sym_co_yield] = ACTIONS(2209),
    [anon_sym_R_DQUOTE] = ACTIONS(2211),
    [anon_sym_LR_DQUOTE] = ACTIONS(2211),
    [anon_sym_uR_DQUOTE] = ACTIONS(2211),
    [anon_sym_UR_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2211),
    [anon_sym_co_await] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_requires] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [anon_sym_discard] = ACTIONS(2209),
    [anon_sym_precise] = ACTIONS(2209),
    [anon_sym_shared] = ACTIONS(2209),
    [anon_sym_groupshared] = ACTIONS(2209),
    [anon_sym_uniform] = ACTIONS(2209),
    [anon_sym_row_major] = ACTIONS(2209),
    [anon_sym_column_major] = ACTIONS(2209),
    [anon_sym_globallycoherent] = ACTIONS(2209),
    [anon_sym_centroid] = ACTIONS(2209),
    [anon_sym_noperspective] = ACTIONS(2209),
    [anon_sym_nointerpolation] = ACTIONS(2209),
    [anon_sym_sample] = ACTIONS(2209),
    [anon_sym_linear] = ACTIONS(2209),
    [anon_sym_snorm] = ACTIONS(2209),
    [anon_sym_unorm] = ACTIONS(2209),
    [anon_sym_point] = ACTIONS(2209),
    [anon_sym_line] = ACTIONS(2209),
    [anon_sym_triangleadj] = ACTIONS(2209),
    [anon_sym_lineadj] = ACTIONS(2209),
    [anon_sym_triangle] = ACTIONS(2209),
    [anon_sym_cbuffer] = ACTIONS(2209),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(2223),
    [sym_identifier] = ACTIONS(2221),
    [aux_sym_preproc_include_token1] = ACTIONS(2221),
    [aux_sym_preproc_def_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2221),
    [sym_preproc_directive] = ACTIONS(2221),
    [anon_sym_LPAREN2] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2223),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym___extension__] = ACTIONS(2221),
    [anon_sym_typedef] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_out] = ACTIONS(2221),
    [anon_sym_inout] = ACTIONS(2221),
    [anon_sym_virtual] = ACTIONS(2221),
    [anon_sym_extern] = ACTIONS(2221),
    [anon_sym___attribute__] = ACTIONS(2221),
    [anon_sym___attribute] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2223),
    [anon_sym___declspec] = ACTIONS(2221),
    [anon_sym___based] = ACTIONS(2221),
    [anon_sym___cdecl] = ACTIONS(2221),
    [anon_sym___clrcall] = ACTIONS(2221),
    [anon_sym___stdcall] = ACTIONS(2221),
    [anon_sym___fastcall] = ACTIONS(2221),
    [anon_sym___thiscall] = ACTIONS(2221),
    [anon_sym___vectorcall] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_signed] = ACTIONS(2221),
    [anon_sym_unsigned] = ACTIONS(2221),
    [anon_sym_long] = ACTIONS(2221),
    [anon_sym_short] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_register] = ACTIONS(2221),
    [anon_sym_inline] = ACTIONS(2221),
    [anon_sym___inline] = ACTIONS(2221),
    [anon_sym___inline__] = ACTIONS(2221),
    [anon_sym___forceinline] = ACTIONS(2221),
    [anon_sym_thread_local] = ACTIONS(2221),
    [anon_sym___thread] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_constexpr] = ACTIONS(2221),
    [anon_sym_volatile] = ACTIONS(2221),
    [anon_sym_restrict] = ACTIONS(2221),
    [anon_sym___restrict__] = ACTIONS(2221),
    [anon_sym__Atomic] = ACTIONS(2221),
    [anon_sym__Noreturn] = ACTIONS(2221),
    [anon_sym_noreturn] = ACTIONS(2221),
    [anon_sym__Nonnull] = ACTIONS(2221),
    [anon_sym_mutable] = ACTIONS(2221),
    [anon_sym_constinit] = ACTIONS(2221),
    [anon_sym_consteval] = ACTIONS(2221),
    [anon_sym_alignas] = ACTIONS(2221),
    [anon_sym__Alignas] = ACTIONS(2221),
    [sym_primitive_type] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_union] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym___try] = ACTIONS(2221),
    [anon_sym___leave] = ACTIONS(2221),
    [anon_sym_not] = ACTIONS(2221),
    [anon_sym_compl] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_sizeof] = ACTIONS(2221),
    [anon_sym___alignof__] = ACTIONS(2221),
    [anon_sym___alignof] = ACTIONS(2221),
    [anon_sym__alignof] = ACTIONS(2221),
    [anon_sym_alignof] = ACTIONS(2221),
    [anon_sym__Alignof] = ACTIONS(2221),
    [anon_sym_offsetof] = ACTIONS(2221),
    [anon_sym__Generic] = ACTIONS(2221),
    [anon_sym_asm] = ACTIONS(2221),
    [anon_sym___asm__] = ACTIONS(2221),
    [anon_sym___asm] = ACTIONS(2221),
    [sym_number_literal] = ACTIONS(2223),
    [anon_sym_L_SQUOTE] = ACTIONS(2223),
    [anon_sym_u_SQUOTE] = ACTIONS(2223),
    [anon_sym_U_SQUOTE] = ACTIONS(2223),
    [anon_sym_u8_SQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [anon_sym_L_DQUOTE] = ACTIONS(2223),
    [anon_sym_u_DQUOTE] = ACTIONS(2223),
    [anon_sym_U_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8_DQUOTE] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [anon_sym_NULL] = ACTIONS(2221),
    [anon_sym_nullptr] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2221),
    [anon_sym_decltype] = ACTIONS(2221),
    [anon_sym_explicit] = ACTIONS(2221),
    [anon_sym_typename] = ACTIONS(2221),
    [anon_sym_template] = ACTIONS(2221),
    [anon_sym_operator] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_static_assert] = ACTIONS(2221),
    [anon_sym_concept] = ACTIONS(2221),
    [anon_sym_co_return] = ACTIONS(2221),
    [anon_sym_co_yield] = ACTIONS(2221),
    [anon_sym_R_DQUOTE] = ACTIONS(2223),
    [anon_sym_LR_DQUOTE] = ACTIONS(2223),
    [anon_sym_uR_DQUOTE] = ACTIONS(2223),
    [anon_sym_UR_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2223),
    [anon_sym_co_await] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_requires] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [anon_sym_discard] = ACTIONS(2221),
    [anon_sym_precise] = ACTIONS(2221),
    [anon_sym_shared] = ACTIONS(2221),
    [anon_sym_groupshared] = ACTIONS(2221),
    [anon_sym_uniform] = ACTIONS(2221),
    [anon_sym_row_major] = ACTIONS(2221),
    [anon_sym_column_major] = ACTIONS(2221),
    [anon_sym_globallycoherent] = ACTIONS(2221),
    [anon_sym_centroid] = ACTIONS(2221),
    [anon_sym_noperspective] = ACTIONS(2221),
    [anon_sym_nointerpolation] = ACTIONS(2221),
    [anon_sym_sample] = ACTIONS(2221),
    [anon_sym_linear] = ACTIONS(2221),
    [anon_sym_snorm] = ACTIONS(2221),
    [anon_sym_unorm] = ACTIONS(2221),
    [anon_sym_point] = ACTIONS(2221),
    [anon_sym_line] = ACTIONS(2221),
    [anon_sym_triangleadj] = ACTIONS(2221),
    [anon_sym_lineadj] = ACTIONS(2221),
    [anon_sym_triangle] = ACTIONS(2221),
    [anon_sym_cbuffer] = ACTIONS(2221),
  },
  [420] = {
    [sym_identifier] = ACTIONS(2225),
    [aux_sym_preproc_include_token1] = ACTIONS(2225),
    [aux_sym_preproc_def_token1] = ACTIONS(2225),
    [aux_sym_preproc_if_token1] = ACTIONS(2225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2225),
    [sym_preproc_directive] = ACTIONS(2225),
    [anon_sym_LPAREN2] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_AMP_AMP] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym___extension__] = ACTIONS(2225),
    [anon_sym_typedef] = ACTIONS(2225),
    [anon_sym_in] = ACTIONS(2225),
    [anon_sym_out] = ACTIONS(2225),
    [anon_sym_inout] = ACTIONS(2225),
    [anon_sym_virtual] = ACTIONS(2225),
    [anon_sym_extern] = ACTIONS(2225),
    [anon_sym___attribute__] = ACTIONS(2225),
    [anon_sym___attribute] = ACTIONS(2225),
    [anon_sym_COLON_COLON] = ACTIONS(2227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2227),
    [anon_sym___declspec] = ACTIONS(2225),
    [anon_sym___based] = ACTIONS(2225),
    [anon_sym___cdecl] = ACTIONS(2225),
    [anon_sym___clrcall] = ACTIONS(2225),
    [anon_sym___stdcall] = ACTIONS(2225),
    [anon_sym___fastcall] = ACTIONS(2225),
    [anon_sym___thiscall] = ACTIONS(2225),
    [anon_sym___vectorcall] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_signed] = ACTIONS(2225),
    [anon_sym_unsigned] = ACTIONS(2225),
    [anon_sym_long] = ACTIONS(2225),
    [anon_sym_short] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_register] = ACTIONS(2225),
    [anon_sym_inline] = ACTIONS(2225),
    [anon_sym___inline] = ACTIONS(2225),
    [anon_sym___inline__] = ACTIONS(2225),
    [anon_sym___forceinline] = ACTIONS(2225),
    [anon_sym_thread_local] = ACTIONS(2225),
    [anon_sym___thread] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_constexpr] = ACTIONS(2225),
    [anon_sym_volatile] = ACTIONS(2225),
    [anon_sym_restrict] = ACTIONS(2225),
    [anon_sym___restrict__] = ACTIONS(2225),
    [anon_sym__Atomic] = ACTIONS(2225),
    [anon_sym__Noreturn] = ACTIONS(2225),
    [anon_sym_noreturn] = ACTIONS(2225),
    [anon_sym__Nonnull] = ACTIONS(2225),
    [anon_sym_mutable] = ACTIONS(2225),
    [anon_sym_constinit] = ACTIONS(2225),
    [anon_sym_consteval] = ACTIONS(2225),
    [anon_sym_alignas] = ACTIONS(2225),
    [anon_sym__Alignas] = ACTIONS(2225),
    [sym_primitive_type] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_struct] = ACTIONS(2225),
    [anon_sym_union] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym___try] = ACTIONS(2225),
    [anon_sym___leave] = ACTIONS(2225),
    [anon_sym_not] = ACTIONS(2225),
    [anon_sym_compl] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_sizeof] = ACTIONS(2225),
    [anon_sym___alignof__] = ACTIONS(2225),
    [anon_sym___alignof] = ACTIONS(2225),
    [anon_sym__alignof] = ACTIONS(2225),
    [anon_sym_alignof] = ACTIONS(2225),
    [anon_sym__Alignof] = ACTIONS(2225),
    [anon_sym_offsetof] = ACTIONS(2225),
    [anon_sym__Generic] = ACTIONS(2225),
    [anon_sym_asm] = ACTIONS(2225),
    [anon_sym___asm__] = ACTIONS(2225),
    [anon_sym___asm] = ACTIONS(2225),
    [sym_number_literal] = ACTIONS(2227),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2227),
    [anon_sym_u_DQUOTE] = ACTIONS(2227),
    [anon_sym_U_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8_DQUOTE] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [anon_sym_NULL] = ACTIONS(2225),
    [anon_sym_nullptr] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2225),
    [anon_sym_decltype] = ACTIONS(2225),
    [anon_sym_explicit] = ACTIONS(2225),
    [anon_sym_typename] = ACTIONS(2225),
    [anon_sym_template] = ACTIONS(2225),
    [anon_sym_operator] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_static_assert] = ACTIONS(2225),
    [anon_sym_concept] = ACTIONS(2225),
    [anon_sym_co_return] = ACTIONS(2225),
    [anon_sym_co_yield] = ACTIONS(2225),
    [anon_sym_R_DQUOTE] = ACTIONS(2227),
    [anon_sym_LR_DQUOTE] = ACTIONS(2227),
    [anon_sym_uR_DQUOTE] = ACTIONS(2227),
    [anon_sym_UR_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2227),
    [anon_sym_co_await] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_requires] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [anon_sym_discard] = ACTIONS(2225),
    [anon_sym_precise] = ACTIONS(2225),
    [anon_sym_shared] = ACTIONS(2225),
    [anon_sym_groupshared] = ACTIONS(2225),
    [anon_sym_uniform] = ACTIONS(2225),
    [anon_sym_row_major] = ACTIONS(2225),
    [anon_sym_column_major] = ACTIONS(2225),
    [anon_sym_globallycoherent] = ACTIONS(2225),
    [anon_sym_centroid] = ACTIONS(2225),
    [anon_sym_noperspective] = ACTIONS(2225),
    [anon_sym_nointerpolation] = ACTIONS(2225),
    [anon_sym_sample] = ACTIONS(2225),
    [anon_sym_linear] = ACTIONS(2225),
    [anon_sym_snorm] = ACTIONS(2225),
    [anon_sym_unorm] = ACTIONS(2225),
    [anon_sym_point] = ACTIONS(2225),
    [anon_sym_line] = ACTIONS(2225),
    [anon_sym_triangleadj] = ACTIONS(2225),
    [anon_sym_lineadj] = ACTIONS(2225),
    [anon_sym_triangle] = ACTIONS(2225),
    [anon_sym_cbuffer] = ACTIONS(2225),
  },
  [421] = {
    [sym_identifier] = ACTIONS(2284),
    [aux_sym_preproc_include_token1] = ACTIONS(2284),
    [aux_sym_preproc_def_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2284),
    [sym_preproc_directive] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP_AMP] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym___attribute] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym___based] = ACTIONS(2284),
    [anon_sym___cdecl] = ACTIONS(2284),
    [anon_sym___clrcall] = ACTIONS(2284),
    [anon_sym___stdcall] = ACTIONS(2284),
    [anon_sym___fastcall] = ACTIONS(2284),
    [anon_sym___thiscall] = ACTIONS(2284),
    [anon_sym___vectorcall] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_explicit] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_operator] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_namespace] = ACTIONS(2284),
    [anon_sym_using] = ACTIONS(2284),
    [anon_sym_static_assert] = ACTIONS(2284),
    [anon_sym_concept] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [422] = {
    [sym_identifier] = ACTIONS(2288),
    [aux_sym_preproc_include_token1] = ACTIONS(2288),
    [aux_sym_preproc_def_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2288),
    [sym_preproc_directive] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym___attribute] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym___based] = ACTIONS(2288),
    [anon_sym___cdecl] = ACTIONS(2288),
    [anon_sym___clrcall] = ACTIONS(2288),
    [anon_sym___stdcall] = ACTIONS(2288),
    [anon_sym___fastcall] = ACTIONS(2288),
    [anon_sym___thiscall] = ACTIONS(2288),
    [anon_sym___vectorcall] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_explicit] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_operator] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_static_assert] = ACTIONS(2288),
    [anon_sym_concept] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [423] = {
    [sym_identifier] = ACTIONS(2308),
    [aux_sym_preproc_include_token1] = ACTIONS(2308),
    [aux_sym_preproc_def_token1] = ACTIONS(2308),
    [aux_sym_preproc_if_token1] = ACTIONS(2308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2308),
    [sym_preproc_directive] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym___extension__] = ACTIONS(2308),
    [anon_sym_typedef] = ACTIONS(2308),
    [anon_sym_in] = ACTIONS(2308),
    [anon_sym_out] = ACTIONS(2308),
    [anon_sym_inout] = ACTIONS(2308),
    [anon_sym_virtual] = ACTIONS(2308),
    [anon_sym_extern] = ACTIONS(2308),
    [anon_sym___attribute__] = ACTIONS(2308),
    [anon_sym___attribute] = ACTIONS(2308),
    [anon_sym_COLON_COLON] = ACTIONS(2310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2310),
    [anon_sym___declspec] = ACTIONS(2308),
    [anon_sym___based] = ACTIONS(2308),
    [anon_sym___cdecl] = ACTIONS(2308),
    [anon_sym___clrcall] = ACTIONS(2308),
    [anon_sym___stdcall] = ACTIONS(2308),
    [anon_sym___fastcall] = ACTIONS(2308),
    [anon_sym___thiscall] = ACTIONS(2308),
    [anon_sym___vectorcall] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_signed] = ACTIONS(2308),
    [anon_sym_unsigned] = ACTIONS(2308),
    [anon_sym_long] = ACTIONS(2308),
    [anon_sym_short] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_register] = ACTIONS(2308),
    [anon_sym_inline] = ACTIONS(2308),
    [anon_sym___inline] = ACTIONS(2308),
    [anon_sym___inline__] = ACTIONS(2308),
    [anon_sym___forceinline] = ACTIONS(2308),
    [anon_sym_thread_local] = ACTIONS(2308),
    [anon_sym___thread] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_constexpr] = ACTIONS(2308),
    [anon_sym_volatile] = ACTIONS(2308),
    [anon_sym_restrict] = ACTIONS(2308),
    [anon_sym___restrict__] = ACTIONS(2308),
    [anon_sym__Atomic] = ACTIONS(2308),
    [anon_sym__Noreturn] = ACTIONS(2308),
    [anon_sym_noreturn] = ACTIONS(2308),
    [anon_sym__Nonnull] = ACTIONS(2308),
    [anon_sym_mutable] = ACTIONS(2308),
    [anon_sym_constinit] = ACTIONS(2308),
    [anon_sym_consteval] = ACTIONS(2308),
    [anon_sym_alignas] = ACTIONS(2308),
    [anon_sym__Alignas] = ACTIONS(2308),
    [sym_primitive_type] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_struct] = ACTIONS(2308),
    [anon_sym_union] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_else] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_case] = ACTIONS(2308),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_goto] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2308),
    [anon_sym___leave] = ACTIONS(2308),
    [anon_sym_not] = ACTIONS(2308),
    [anon_sym_compl] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_sizeof] = ACTIONS(2308),
    [anon_sym___alignof__] = ACTIONS(2308),
    [anon_sym___alignof] = ACTIONS(2308),
    [anon_sym__alignof] = ACTIONS(2308),
    [anon_sym_alignof] = ACTIONS(2308),
    [anon_sym__Alignof] = ACTIONS(2308),
    [anon_sym_offsetof] = ACTIONS(2308),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2308),
    [anon_sym___asm__] = ACTIONS(2308),
    [anon_sym___asm] = ACTIONS(2308),
    [sym_number_literal] = ACTIONS(2310),
    [anon_sym_L_SQUOTE] = ACTIONS(2310),
    [anon_sym_u_SQUOTE] = ACTIONS(2310),
    [anon_sym_U_SQUOTE] = ACTIONS(2310),
    [anon_sym_u8_SQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_L_DQUOTE] = ACTIONS(2310),
    [anon_sym_u_DQUOTE] = ACTIONS(2310),
    [anon_sym_U_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8_DQUOTE] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [anon_sym_NULL] = ACTIONS(2308),
    [anon_sym_nullptr] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2308),
    [anon_sym_decltype] = ACTIONS(2308),
    [anon_sym_explicit] = ACTIONS(2308),
    [anon_sym_typename] = ACTIONS(2308),
    [anon_sym_template] = ACTIONS(2308),
    [anon_sym_operator] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_static_assert] = ACTIONS(2308),
    [anon_sym_concept] = ACTIONS(2308),
    [anon_sym_co_return] = ACTIONS(2308),
    [anon_sym_co_yield] = ACTIONS(2308),
    [anon_sym_R_DQUOTE] = ACTIONS(2310),
    [anon_sym_LR_DQUOTE] = ACTIONS(2310),
    [anon_sym_uR_DQUOTE] = ACTIONS(2310),
    [anon_sym_UR_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2310),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_requires] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [anon_sym_discard] = ACTIONS(2308),
    [anon_sym_precise] = ACTIONS(2308),
    [anon_sym_shared] = ACTIONS(2308),
    [anon_sym_groupshared] = ACTIONS(2308),
    [anon_sym_uniform] = ACTIONS(2308),
    [anon_sym_row_major] = ACTIONS(2308),
    [anon_sym_column_major] = ACTIONS(2308),
    [anon_sym_globallycoherent] = ACTIONS(2308),
    [anon_sym_centroid] = ACTIONS(2308),
    [anon_sym_noperspective] = ACTIONS(2308),
    [anon_sym_nointerpolation] = ACTIONS(2308),
    [anon_sym_sample] = ACTIONS(2308),
    [anon_sym_linear] = ACTIONS(2308),
    [anon_sym_snorm] = ACTIONS(2308),
    [anon_sym_unorm] = ACTIONS(2308),
    [anon_sym_point] = ACTIONS(2308),
    [anon_sym_line] = ACTIONS(2308),
    [anon_sym_triangleadj] = ACTIONS(2308),
    [anon_sym_lineadj] = ACTIONS(2308),
    [anon_sym_triangle] = ACTIONS(2308),
    [anon_sym_cbuffer] = ACTIONS(2308),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(2336),
    [sym_identifier] = ACTIONS(2334),
    [aux_sym_preproc_include_token1] = ACTIONS(2334),
    [aux_sym_preproc_def_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2334),
    [sym_preproc_directive] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym___attribute] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym___based] = ACTIONS(2334),
    [anon_sym___cdecl] = ACTIONS(2334),
    [anon_sym___clrcall] = ACTIONS(2334),
    [anon_sym___stdcall] = ACTIONS(2334),
    [anon_sym___fastcall] = ACTIONS(2334),
    [anon_sym___thiscall] = ACTIONS(2334),
    [anon_sym___vectorcall] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym__Alignas] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [anon_sym___asm] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_explicit] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_namespace] = ACTIONS(2334),
    [anon_sym_using] = ACTIONS(2334),
    [anon_sym_static_assert] = ACTIONS(2334),
    [anon_sym_concept] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(2344),
    [sym_identifier] = ACTIONS(2342),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2342),
    [sym_preproc_directive] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym___attribute] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym___based] = ACTIONS(2342),
    [anon_sym___cdecl] = ACTIONS(2342),
    [anon_sym___clrcall] = ACTIONS(2342),
    [anon_sym___stdcall] = ACTIONS(2342),
    [anon_sym___fastcall] = ACTIONS(2342),
    [anon_sym___thiscall] = ACTIONS(2342),
    [anon_sym___vectorcall] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym__Nonnull] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym__Alignas] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [anon_sym___asm] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_explicit] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_operator] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_static_assert] = ACTIONS(2342),
    [anon_sym_concept] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2348),
    [aux_sym_preproc_include_token1] = ACTIONS(2348),
    [aux_sym_preproc_def_token1] = ACTIONS(2348),
    [aux_sym_preproc_if_token1] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2348),
    [sym_preproc_directive] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym___extension__] = ACTIONS(2348),
    [anon_sym_typedef] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2348),
    [anon_sym_out] = ACTIONS(2348),
    [anon_sym_inout] = ACTIONS(2348),
    [anon_sym_virtual] = ACTIONS(2348),
    [anon_sym_extern] = ACTIONS(2348),
    [anon_sym___attribute__] = ACTIONS(2348),
    [anon_sym___attribute] = ACTIONS(2348),
    [anon_sym_COLON_COLON] = ACTIONS(2350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2350),
    [anon_sym___declspec] = ACTIONS(2348),
    [anon_sym___based] = ACTIONS(2348),
    [anon_sym___cdecl] = ACTIONS(2348),
    [anon_sym___clrcall] = ACTIONS(2348),
    [anon_sym___stdcall] = ACTIONS(2348),
    [anon_sym___fastcall] = ACTIONS(2348),
    [anon_sym___thiscall] = ACTIONS(2348),
    [anon_sym___vectorcall] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_signed] = ACTIONS(2348),
    [anon_sym_unsigned] = ACTIONS(2348),
    [anon_sym_long] = ACTIONS(2348),
    [anon_sym_short] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2348),
    [anon_sym_register] = ACTIONS(2348),
    [anon_sym_inline] = ACTIONS(2348),
    [anon_sym___inline] = ACTIONS(2348),
    [anon_sym___inline__] = ACTIONS(2348),
    [anon_sym___forceinline] = ACTIONS(2348),
    [anon_sym_thread_local] = ACTIONS(2348),
    [anon_sym___thread] = ACTIONS(2348),
    [anon_sym_const] = ACTIONS(2348),
    [anon_sym_constexpr] = ACTIONS(2348),
    [anon_sym_volatile] = ACTIONS(2348),
    [anon_sym_restrict] = ACTIONS(2348),
    [anon_sym___restrict__] = ACTIONS(2348),
    [anon_sym__Atomic] = ACTIONS(2348),
    [anon_sym__Noreturn] = ACTIONS(2348),
    [anon_sym_noreturn] = ACTIONS(2348),
    [anon_sym__Nonnull] = ACTIONS(2348),
    [anon_sym_mutable] = ACTIONS(2348),
    [anon_sym_constinit] = ACTIONS(2348),
    [anon_sym_consteval] = ACTIONS(2348),
    [anon_sym_alignas] = ACTIONS(2348),
    [anon_sym__Alignas] = ACTIONS(2348),
    [sym_primitive_type] = ACTIONS(2348),
    [anon_sym_enum] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2348),
    [anon_sym_struct] = ACTIONS(2348),
    [anon_sym_union] = ACTIONS(2348),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_else] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2348),
    [anon_sym_case] = ACTIONS(2348),
    [anon_sym_default] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2348),
    [anon_sym___leave] = ACTIONS(2348),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_compl] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_sizeof] = ACTIONS(2348),
    [anon_sym___alignof__] = ACTIONS(2348),
    [anon_sym___alignof] = ACTIONS(2348),
    [anon_sym__alignof] = ACTIONS(2348),
    [anon_sym_alignof] = ACTIONS(2348),
    [anon_sym__Alignof] = ACTIONS(2348),
    [anon_sym_offsetof] = ACTIONS(2348),
    [anon_sym__Generic] = ACTIONS(2348),
    [anon_sym_asm] = ACTIONS(2348),
    [anon_sym___asm__] = ACTIONS(2348),
    [anon_sym___asm] = ACTIONS(2348),
    [sym_number_literal] = ACTIONS(2350),
    [anon_sym_L_SQUOTE] = ACTIONS(2350),
    [anon_sym_u_SQUOTE] = ACTIONS(2350),
    [anon_sym_U_SQUOTE] = ACTIONS(2350),
    [anon_sym_u8_SQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_L_DQUOTE] = ACTIONS(2350),
    [anon_sym_u_DQUOTE] = ACTIONS(2350),
    [anon_sym_U_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8_DQUOTE] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [sym_true] = ACTIONS(2348),
    [sym_false] = ACTIONS(2348),
    [anon_sym_NULL] = ACTIONS(2348),
    [anon_sym_nullptr] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2348),
    [anon_sym_decltype] = ACTIONS(2348),
    [anon_sym_explicit] = ACTIONS(2348),
    [anon_sym_typename] = ACTIONS(2348),
    [anon_sym_template] = ACTIONS(2348),
    [anon_sym_operator] = ACTIONS(2348),
    [anon_sym_try] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_namespace] = ACTIONS(2348),
    [anon_sym_using] = ACTIONS(2348),
    [anon_sym_static_assert] = ACTIONS(2348),
    [anon_sym_concept] = ACTIONS(2348),
    [anon_sym_co_return] = ACTIONS(2348),
    [anon_sym_co_yield] = ACTIONS(2348),
    [anon_sym_R_DQUOTE] = ACTIONS(2350),
    [anon_sym_LR_DQUOTE] = ACTIONS(2350),
    [anon_sym_uR_DQUOTE] = ACTIONS(2350),
    [anon_sym_UR_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2350),
    [anon_sym_co_await] = ACTIONS(2348),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2348),
    [sym_this] = ACTIONS(2348),
    [anon_sym_discard] = ACTIONS(2348),
    [anon_sym_precise] = ACTIONS(2348),
    [anon_sym_shared] = ACTIONS(2348),
    [anon_sym_groupshared] = ACTIONS(2348),
    [anon_sym_uniform] = ACTIONS(2348),
    [anon_sym_row_major] = ACTIONS(2348),
    [anon_sym_column_major] = ACTIONS(2348),
    [anon_sym_globallycoherent] = ACTIONS(2348),
    [anon_sym_centroid] = ACTIONS(2348),
    [anon_sym_noperspective] = ACTIONS(2348),
    [anon_sym_nointerpolation] = ACTIONS(2348),
    [anon_sym_sample] = ACTIONS(2348),
    [anon_sym_linear] = ACTIONS(2348),
    [anon_sym_snorm] = ACTIONS(2348),
    [anon_sym_unorm] = ACTIONS(2348),
    [anon_sym_point] = ACTIONS(2348),
    [anon_sym_line] = ACTIONS(2348),
    [anon_sym_triangleadj] = ACTIONS(2348),
    [anon_sym_lineadj] = ACTIONS(2348),
    [anon_sym_triangle] = ACTIONS(2348),
    [anon_sym_cbuffer] = ACTIONS(2348),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2352),
    [aux_sym_preproc_include_token1] = ACTIONS(2352),
    [aux_sym_preproc_def_token1] = ACTIONS(2352),
    [aux_sym_preproc_if_token1] = ACTIONS(2352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2352),
    [sym_preproc_directive] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_AMP_AMP] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2352),
    [anon_sym_typedef] = ACTIONS(2352),
    [anon_sym_in] = ACTIONS(2352),
    [anon_sym_out] = ACTIONS(2352),
    [anon_sym_inout] = ACTIONS(2352),
    [anon_sym_virtual] = ACTIONS(2352),
    [anon_sym_extern] = ACTIONS(2352),
    [anon_sym___attribute__] = ACTIONS(2352),
    [anon_sym___attribute] = ACTIONS(2352),
    [anon_sym_COLON_COLON] = ACTIONS(2354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2354),
    [anon_sym___declspec] = ACTIONS(2352),
    [anon_sym___based] = ACTIONS(2352),
    [anon_sym___cdecl] = ACTIONS(2352),
    [anon_sym___clrcall] = ACTIONS(2352),
    [anon_sym___stdcall] = ACTIONS(2352),
    [anon_sym___fastcall] = ACTIONS(2352),
    [anon_sym___thiscall] = ACTIONS(2352),
    [anon_sym___vectorcall] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2352),
    [anon_sym_unsigned] = ACTIONS(2352),
    [anon_sym_long] = ACTIONS(2352),
    [anon_sym_short] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_register] = ACTIONS(2352),
    [anon_sym_inline] = ACTIONS(2352),
    [anon_sym___inline] = ACTIONS(2352),
    [anon_sym___inline__] = ACTIONS(2352),
    [anon_sym___forceinline] = ACTIONS(2352),
    [anon_sym_thread_local] = ACTIONS(2352),
    [anon_sym___thread] = ACTIONS(2352),
    [anon_sym_const] = ACTIONS(2352),
    [anon_sym_constexpr] = ACTIONS(2352),
    [anon_sym_volatile] = ACTIONS(2352),
    [anon_sym_restrict] = ACTIONS(2352),
    [anon_sym___restrict__] = ACTIONS(2352),
    [anon_sym__Atomic] = ACTIONS(2352),
    [anon_sym__Noreturn] = ACTIONS(2352),
    [anon_sym_noreturn] = ACTIONS(2352),
    [anon_sym__Nonnull] = ACTIONS(2352),
    [anon_sym_mutable] = ACTIONS(2352),
    [anon_sym_constinit] = ACTIONS(2352),
    [anon_sym_consteval] = ACTIONS(2352),
    [anon_sym_alignas] = ACTIONS(2352),
    [anon_sym__Alignas] = ACTIONS(2352),
    [sym_primitive_type] = ACTIONS(2352),
    [anon_sym_enum] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2352),
    [anon_sym_struct] = ACTIONS(2352),
    [anon_sym_union] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_else] = ACTIONS(2352),
    [anon_sym_switch] = ACTIONS(2352),
    [anon_sym_case] = ACTIONS(2352),
    [anon_sym_default] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym___try] = ACTIONS(2352),
    [anon_sym___leave] = ACTIONS(2352),
    [anon_sym_not] = ACTIONS(2352),
    [anon_sym_compl] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_sizeof] = ACTIONS(2352),
    [anon_sym___alignof__] = ACTIONS(2352),
    [anon_sym___alignof] = ACTIONS(2352),
    [anon_sym__alignof] = ACTIONS(2352),
    [anon_sym_alignof] = ACTIONS(2352),
    [anon_sym__Alignof] = ACTIONS(2352),
    [anon_sym_offsetof] = ACTIONS(2352),
    [anon_sym__Generic] = ACTIONS(2352),
    [anon_sym_asm] = ACTIONS(2352),
    [anon_sym___asm__] = ACTIONS(2352),
    [anon_sym___asm] = ACTIONS(2352),
    [sym_number_literal] = ACTIONS(2354),
    [anon_sym_L_SQUOTE] = ACTIONS(2354),
    [anon_sym_u_SQUOTE] = ACTIONS(2354),
    [anon_sym_U_SQUOTE] = ACTIONS(2354),
    [anon_sym_u8_SQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_L_DQUOTE] = ACTIONS(2354),
    [anon_sym_u_DQUOTE] = ACTIONS(2354),
    [anon_sym_U_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8_DQUOTE] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [sym_true] = ACTIONS(2352),
    [sym_false] = ACTIONS(2352),
    [anon_sym_NULL] = ACTIONS(2352),
    [anon_sym_nullptr] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2352),
    [anon_sym_decltype] = ACTIONS(2352),
    [anon_sym_explicit] = ACTIONS(2352),
    [anon_sym_typename] = ACTIONS(2352),
    [anon_sym_template] = ACTIONS(2352),
    [anon_sym_operator] = ACTIONS(2352),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_throw] = ACTIONS(2352),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_using] = ACTIONS(2352),
    [anon_sym_static_assert] = ACTIONS(2352),
    [anon_sym_concept] = ACTIONS(2352),
    [anon_sym_co_return] = ACTIONS(2352),
    [anon_sym_co_yield] = ACTIONS(2352),
    [anon_sym_R_DQUOTE] = ACTIONS(2354),
    [anon_sym_LR_DQUOTE] = ACTIONS(2354),
    [anon_sym_uR_DQUOTE] = ACTIONS(2354),
    [anon_sym_UR_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2354),
    [anon_sym_co_await] = ACTIONS(2352),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_requires] = ACTIONS(2352),
    [sym_this] = ACTIONS(2352),
    [anon_sym_discard] = ACTIONS(2352),
    [anon_sym_precise] = ACTIONS(2352),
    [anon_sym_shared] = ACTIONS(2352),
    [anon_sym_groupshared] = ACTIONS(2352),
    [anon_sym_uniform] = ACTIONS(2352),
    [anon_sym_row_major] = ACTIONS(2352),
    [anon_sym_column_major] = ACTIONS(2352),
    [anon_sym_globallycoherent] = ACTIONS(2352),
    [anon_sym_centroid] = ACTIONS(2352),
    [anon_sym_noperspective] = ACTIONS(2352),
    [anon_sym_nointerpolation] = ACTIONS(2352),
    [anon_sym_sample] = ACTIONS(2352),
    [anon_sym_linear] = ACTIONS(2352),
    [anon_sym_snorm] = ACTIONS(2352),
    [anon_sym_unorm] = ACTIONS(2352),
    [anon_sym_point] = ACTIONS(2352),
    [anon_sym_line] = ACTIONS(2352),
    [anon_sym_triangleadj] = ACTIONS(2352),
    [anon_sym_lineadj] = ACTIONS(2352),
    [anon_sym_triangle] = ACTIONS(2352),
    [anon_sym_cbuffer] = ACTIONS(2352),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_out] = ACTIONS(2356),
    [anon_sym_inout] = ACTIONS(2356),
    [anon_sym_virtual] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_COLON_COLON] = ACTIONS(2358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___based] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_mutable] = ACTIONS(2356),
    [anon_sym_constinit] = ACTIONS(2356),
    [anon_sym_consteval] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym___leave] = ACTIONS(2356),
    [anon_sym_not] = ACTIONS(2356),
    [anon_sym_compl] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2356),
    [anon_sym_decltype] = ACTIONS(2356),
    [anon_sym_explicit] = ACTIONS(2356),
    [anon_sym_typename] = ACTIONS(2356),
    [anon_sym_template] = ACTIONS(2356),
    [anon_sym_operator] = ACTIONS(2356),
    [anon_sym_try] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_throw] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2356),
    [anon_sym_using] = ACTIONS(2356),
    [anon_sym_static_assert] = ACTIONS(2356),
    [anon_sym_concept] = ACTIONS(2356),
    [anon_sym_co_return] = ACTIONS(2356),
    [anon_sym_co_yield] = ACTIONS(2356),
    [anon_sym_R_DQUOTE] = ACTIONS(2358),
    [anon_sym_LR_DQUOTE] = ACTIONS(2358),
    [anon_sym_uR_DQUOTE] = ACTIONS(2358),
    [anon_sym_UR_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2358),
    [anon_sym_co_await] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2356),
    [anon_sym_requires] = ACTIONS(2356),
    [sym_this] = ACTIONS(2356),
    [anon_sym_discard] = ACTIONS(2356),
    [anon_sym_precise] = ACTIONS(2356),
    [anon_sym_shared] = ACTIONS(2356),
    [anon_sym_groupshared] = ACTIONS(2356),
    [anon_sym_uniform] = ACTIONS(2356),
    [anon_sym_row_major] = ACTIONS(2356),
    [anon_sym_column_major] = ACTIONS(2356),
    [anon_sym_globallycoherent] = ACTIONS(2356),
    [anon_sym_centroid] = ACTIONS(2356),
    [anon_sym_noperspective] = ACTIONS(2356),
    [anon_sym_nointerpolation] = ACTIONS(2356),
    [anon_sym_sample] = ACTIONS(2356),
    [anon_sym_linear] = ACTIONS(2356),
    [anon_sym_snorm] = ACTIONS(2356),
    [anon_sym_unorm] = ACTIONS(2356),
    [anon_sym_point] = ACTIONS(2356),
    [anon_sym_line] = ACTIONS(2356),
    [anon_sym_triangleadj] = ACTIONS(2356),
    [anon_sym_lineadj] = ACTIONS(2356),
    [anon_sym_triangle] = ACTIONS(2356),
    [anon_sym_cbuffer] = ACTIONS(2356),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_namespace] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_concept] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(2294),
    [sym_identifier] = ACTIONS(2292),
    [aux_sym_preproc_include_token1] = ACTIONS(2292),
    [aux_sym_preproc_def_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2292),
    [sym_preproc_directive] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym___attribute] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym___cdecl] = ACTIONS(2292),
    [anon_sym___clrcall] = ACTIONS(2292),
    [anon_sym___stdcall] = ACTIONS(2292),
    [anon_sym___fastcall] = ACTIONS(2292),
    [anon_sym___thiscall] = ACTIONS(2292),
    [anon_sym___vectorcall] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_explicit] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_operator] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_namespace] = ACTIONS(2292),
    [anon_sym_using] = ACTIONS(2292),
    [anon_sym_static_assert] = ACTIONS(2292),
    [anon_sym_concept] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(2129),
    [sym_identifier] = ACTIONS(2127),
    [aux_sym_preproc_include_token1] = ACTIONS(2127),
    [aux_sym_preproc_def_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2127),
    [sym_preproc_directive] = ACTIONS(2127),
    [anon_sym_LPAREN2] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym___extension__] = ACTIONS(2127),
    [anon_sym_typedef] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_out] = ACTIONS(2127),
    [anon_sym_inout] = ACTIONS(2127),
    [anon_sym_virtual] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2127),
    [anon_sym___attribute__] = ACTIONS(2127),
    [anon_sym___attribute] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2129),
    [anon_sym___declspec] = ACTIONS(2127),
    [anon_sym___based] = ACTIONS(2127),
    [anon_sym___cdecl] = ACTIONS(2127),
    [anon_sym___clrcall] = ACTIONS(2127),
    [anon_sym___stdcall] = ACTIONS(2127),
    [anon_sym___fastcall] = ACTIONS(2127),
    [anon_sym___thiscall] = ACTIONS(2127),
    [anon_sym___vectorcall] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_signed] = ACTIONS(2127),
    [anon_sym_unsigned] = ACTIONS(2127),
    [anon_sym_long] = ACTIONS(2127),
    [anon_sym_short] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_register] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(2127),
    [anon_sym___inline] = ACTIONS(2127),
    [anon_sym___inline__] = ACTIONS(2127),
    [anon_sym___forceinline] = ACTIONS(2127),
    [anon_sym_thread_local] = ACTIONS(2127),
    [anon_sym___thread] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_constexpr] = ACTIONS(2127),
    [anon_sym_volatile] = ACTIONS(2127),
    [anon_sym_restrict] = ACTIONS(2127),
    [anon_sym___restrict__] = ACTIONS(2127),
    [anon_sym__Atomic] = ACTIONS(2127),
    [anon_sym__Noreturn] = ACTIONS(2127),
    [anon_sym_noreturn] = ACTIONS(2127),
    [anon_sym__Nonnull] = ACTIONS(2127),
    [anon_sym_mutable] = ACTIONS(2127),
    [anon_sym_constinit] = ACTIONS(2127),
    [anon_sym_consteval] = ACTIONS(2127),
    [anon_sym_alignas] = ACTIONS(2127),
    [anon_sym__Alignas] = ACTIONS(2127),
    [sym_primitive_type] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_struct] = ACTIONS(2127),
    [anon_sym_union] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_goto] = ACTIONS(2127),
    [anon_sym___try] = ACTIONS(2127),
    [anon_sym___leave] = ACTIONS(2127),
    [anon_sym_not] = ACTIONS(2127),
    [anon_sym_compl] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_sizeof] = ACTIONS(2127),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2127),
    [anon_sym__Generic] = ACTIONS(2127),
    [anon_sym_asm] = ACTIONS(2127),
    [anon_sym___asm__] = ACTIONS(2127),
    [anon_sym___asm] = ACTIONS(2127),
    [sym_number_literal] = ACTIONS(2129),
    [anon_sym_L_SQUOTE] = ACTIONS(2129),
    [anon_sym_u_SQUOTE] = ACTIONS(2129),
    [anon_sym_U_SQUOTE] = ACTIONS(2129),
    [anon_sym_u8_SQUOTE] = ACTIONS(2129),
    [anon_sym_SQUOTE] = ACTIONS(2129),
    [anon_sym_L_DQUOTE] = ACTIONS(2129),
    [anon_sym_u_DQUOTE] = ACTIONS(2129),
    [anon_sym_U_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8_DQUOTE] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2129),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2127),
    [anon_sym_decltype] = ACTIONS(2127),
    [anon_sym_explicit] = ACTIONS(2127),
    [anon_sym_typename] = ACTIONS(2127),
    [anon_sym_template] = ACTIONS(2127),
    [anon_sym_operator] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_static_assert] = ACTIONS(2127),
    [anon_sym_concept] = ACTIONS(2127),
    [anon_sym_co_return] = ACTIONS(2127),
    [anon_sym_co_yield] = ACTIONS(2127),
    [anon_sym_R_DQUOTE] = ACTIONS(2129),
    [anon_sym_LR_DQUOTE] = ACTIONS(2129),
    [anon_sym_uR_DQUOTE] = ACTIONS(2129),
    [anon_sym_UR_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2129),
    [anon_sym_co_await] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_requires] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [anon_sym_discard] = ACTIONS(2127),
    [anon_sym_precise] = ACTIONS(2127),
    [anon_sym_shared] = ACTIONS(2127),
    [anon_sym_groupshared] = ACTIONS(2127),
    [anon_sym_uniform] = ACTIONS(2127),
    [anon_sym_row_major] = ACTIONS(2127),
    [anon_sym_column_major] = ACTIONS(2127),
    [anon_sym_globallycoherent] = ACTIONS(2127),
    [anon_sym_centroid] = ACTIONS(2127),
    [anon_sym_noperspective] = ACTIONS(2127),
    [anon_sym_nointerpolation] = ACTIONS(2127),
    [anon_sym_sample] = ACTIONS(2127),
    [anon_sym_linear] = ACTIONS(2127),
    [anon_sym_snorm] = ACTIONS(2127),
    [anon_sym_unorm] = ACTIONS(2127),
    [anon_sym_point] = ACTIONS(2127),
    [anon_sym_line] = ACTIONS(2127),
    [anon_sym_triangleadj] = ACTIONS(2127),
    [anon_sym_lineadj] = ACTIONS(2127),
    [anon_sym_triangle] = ACTIONS(2127),
    [anon_sym_cbuffer] = ACTIONS(2127),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2131),
    [aux_sym_preproc_include_token1] = ACTIONS(2131),
    [aux_sym_preproc_def_token1] = ACTIONS(2131),
    [aux_sym_preproc_if_token1] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2131),
    [sym_preproc_directive] = ACTIONS(2131),
    [anon_sym_LPAREN2] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2133),
    [anon_sym_AMP_AMP] = ACTIONS(2133),
    [anon_sym_AMP] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym___extension__] = ACTIONS(2131),
    [anon_sym_typedef] = ACTIONS(2131),
    [anon_sym_in] = ACTIONS(2131),
    [anon_sym_out] = ACTIONS(2131),
    [anon_sym_inout] = ACTIONS(2131),
    [anon_sym_virtual] = ACTIONS(2131),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym___based] = ACTIONS(2131),
    [anon_sym___cdecl] = ACTIONS(2131),
    [anon_sym___clrcall] = ACTIONS(2131),
    [anon_sym___stdcall] = ACTIONS(2131),
    [anon_sym___fastcall] = ACTIONS(2131),
    [anon_sym___thiscall] = ACTIONS(2131),
    [anon_sym___vectorcall] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_RBRACE] = ACTIONS(2133),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_mutable] = ACTIONS(2131),
    [anon_sym_constinit] = ACTIONS(2131),
    [anon_sym_consteval] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2131),
    [anon_sym_default] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_goto] = ACTIONS(2131),
    [anon_sym___try] = ACTIONS(2131),
    [anon_sym___leave] = ACTIONS(2131),
    [anon_sym_not] = ACTIONS(2131),
    [anon_sym_compl] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_sizeof] = ACTIONS(2131),
    [anon_sym___alignof__] = ACTIONS(2131),
    [anon_sym___alignof] = ACTIONS(2131),
    [anon_sym__alignof] = ACTIONS(2131),
    [anon_sym_alignof] = ACTIONS(2131),
    [anon_sym__Alignof] = ACTIONS(2131),
    [anon_sym_offsetof] = ACTIONS(2131),
    [anon_sym__Generic] = ACTIONS(2131),
    [anon_sym_asm] = ACTIONS(2131),
    [anon_sym___asm__] = ACTIONS(2131),
    [anon_sym___asm] = ACTIONS(2131),
    [sym_number_literal] = ACTIONS(2133),
    [anon_sym_L_SQUOTE] = ACTIONS(2133),
    [anon_sym_u_SQUOTE] = ACTIONS(2133),
    [anon_sym_U_SQUOTE] = ACTIONS(2133),
    [anon_sym_u8_SQUOTE] = ACTIONS(2133),
    [anon_sym_SQUOTE] = ACTIONS(2133),
    [anon_sym_L_DQUOTE] = ACTIONS(2133),
    [anon_sym_u_DQUOTE] = ACTIONS(2133),
    [anon_sym_U_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8_DQUOTE] = ACTIONS(2133),
    [anon_sym_DQUOTE] = ACTIONS(2133),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [anon_sym_NULL] = ACTIONS(2131),
    [anon_sym_nullptr] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2131),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_explicit] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2131),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_operator] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_static_assert] = ACTIONS(2131),
    [anon_sym_concept] = ACTIONS(2131),
    [anon_sym_co_return] = ACTIONS(2131),
    [anon_sym_co_yield] = ACTIONS(2131),
    [anon_sym_R_DQUOTE] = ACTIONS(2133),
    [anon_sym_LR_DQUOTE] = ACTIONS(2133),
    [anon_sym_uR_DQUOTE] = ACTIONS(2133),
    [anon_sym_UR_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2133),
    [anon_sym_co_await] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_requires] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [anon_sym_discard] = ACTIONS(2131),
    [anon_sym_precise] = ACTIONS(2131),
    [anon_sym_shared] = ACTIONS(2131),
    [anon_sym_groupshared] = ACTIONS(2131),
    [anon_sym_uniform] = ACTIONS(2131),
    [anon_sym_row_major] = ACTIONS(2131),
    [anon_sym_column_major] = ACTIONS(2131),
    [anon_sym_globallycoherent] = ACTIONS(2131),
    [anon_sym_centroid] = ACTIONS(2131),
    [anon_sym_noperspective] = ACTIONS(2131),
    [anon_sym_nointerpolation] = ACTIONS(2131),
    [anon_sym_sample] = ACTIONS(2131),
    [anon_sym_linear] = ACTIONS(2131),
    [anon_sym_snorm] = ACTIONS(2131),
    [anon_sym_unorm] = ACTIONS(2131),
    [anon_sym_point] = ACTIONS(2131),
    [anon_sym_line] = ACTIONS(2131),
    [anon_sym_triangleadj] = ACTIONS(2131),
    [anon_sym_lineadj] = ACTIONS(2131),
    [anon_sym_triangle] = ACTIONS(2131),
    [anon_sym_cbuffer] = ACTIONS(2131),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2135),
    [aux_sym_preproc_include_token1] = ACTIONS(2135),
    [aux_sym_preproc_def_token1] = ACTIONS(2135),
    [aux_sym_preproc_if_token1] = ACTIONS(2135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2135),
    [sym_preproc_directive] = ACTIONS(2135),
    [anon_sym_LPAREN2] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym___extension__] = ACTIONS(2135),
    [anon_sym_typedef] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2135),
    [anon_sym_out] = ACTIONS(2135),
    [anon_sym_inout] = ACTIONS(2135),
    [anon_sym_virtual] = ACTIONS(2135),
    [anon_sym_extern] = ACTIONS(2135),
    [anon_sym___attribute__] = ACTIONS(2135),
    [anon_sym___attribute] = ACTIONS(2135),
    [anon_sym_COLON_COLON] = ACTIONS(2137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2137),
    [anon_sym___declspec] = ACTIONS(2135),
    [anon_sym___based] = ACTIONS(2135),
    [anon_sym___cdecl] = ACTIONS(2135),
    [anon_sym___clrcall] = ACTIONS(2135),
    [anon_sym___stdcall] = ACTIONS(2135),
    [anon_sym___fastcall] = ACTIONS(2135),
    [anon_sym___thiscall] = ACTIONS(2135),
    [anon_sym___vectorcall] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2137),
    [anon_sym_signed] = ACTIONS(2135),
    [anon_sym_unsigned] = ACTIONS(2135),
    [anon_sym_long] = ACTIONS(2135),
    [anon_sym_short] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_register] = ACTIONS(2135),
    [anon_sym_inline] = ACTIONS(2135),
    [anon_sym___inline] = ACTIONS(2135),
    [anon_sym___inline__] = ACTIONS(2135),
    [anon_sym___forceinline] = ACTIONS(2135),
    [anon_sym_thread_local] = ACTIONS(2135),
    [anon_sym___thread] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_constexpr] = ACTIONS(2135),
    [anon_sym_volatile] = ACTIONS(2135),
    [anon_sym_restrict] = ACTIONS(2135),
    [anon_sym___restrict__] = ACTIONS(2135),
    [anon_sym__Atomic] = ACTIONS(2135),
    [anon_sym__Noreturn] = ACTIONS(2135),
    [anon_sym_noreturn] = ACTIONS(2135),
    [anon_sym__Nonnull] = ACTIONS(2135),
    [anon_sym_mutable] = ACTIONS(2135),
    [anon_sym_constinit] = ACTIONS(2135),
    [anon_sym_consteval] = ACTIONS(2135),
    [anon_sym_alignas] = ACTIONS(2135),
    [anon_sym__Alignas] = ACTIONS(2135),
    [sym_primitive_type] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_struct] = ACTIONS(2135),
    [anon_sym_union] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_goto] = ACTIONS(2135),
    [anon_sym___try] = ACTIONS(2135),
    [anon_sym___leave] = ACTIONS(2135),
    [anon_sym_not] = ACTIONS(2135),
    [anon_sym_compl] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_sizeof] = ACTIONS(2135),
    [anon_sym___alignof__] = ACTIONS(2135),
    [anon_sym___alignof] = ACTIONS(2135),
    [anon_sym__alignof] = ACTIONS(2135),
    [anon_sym_alignof] = ACTIONS(2135),
    [anon_sym__Alignof] = ACTIONS(2135),
    [anon_sym_offsetof] = ACTIONS(2135),
    [anon_sym__Generic] = ACTIONS(2135),
    [anon_sym_asm] = ACTIONS(2135),
    [anon_sym___asm__] = ACTIONS(2135),
    [anon_sym___asm] = ACTIONS(2135),
    [sym_number_literal] = ACTIONS(2137),
    [anon_sym_L_SQUOTE] = ACTIONS(2137),
    [anon_sym_u_SQUOTE] = ACTIONS(2137),
    [anon_sym_U_SQUOTE] = ACTIONS(2137),
    [anon_sym_u8_SQUOTE] = ACTIONS(2137),
    [anon_sym_SQUOTE] = ACTIONS(2137),
    [anon_sym_L_DQUOTE] = ACTIONS(2137),
    [anon_sym_u_DQUOTE] = ACTIONS(2137),
    [anon_sym_U_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8_DQUOTE] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2137),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [anon_sym_NULL] = ACTIONS(2135),
    [anon_sym_nullptr] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2135),
    [anon_sym_decltype] = ACTIONS(2135),
    [anon_sym_explicit] = ACTIONS(2135),
    [anon_sym_typename] = ACTIONS(2135),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_static_assert] = ACTIONS(2135),
    [anon_sym_concept] = ACTIONS(2135),
    [anon_sym_co_return] = ACTIONS(2135),
    [anon_sym_co_yield] = ACTIONS(2135),
    [anon_sym_R_DQUOTE] = ACTIONS(2137),
    [anon_sym_LR_DQUOTE] = ACTIONS(2137),
    [anon_sym_uR_DQUOTE] = ACTIONS(2137),
    [anon_sym_UR_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2137),
    [anon_sym_co_await] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_requires] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [anon_sym_discard] = ACTIONS(2135),
    [anon_sym_precise] = ACTIONS(2135),
    [anon_sym_shared] = ACTIONS(2135),
    [anon_sym_groupshared] = ACTIONS(2135),
    [anon_sym_uniform] = ACTIONS(2135),
    [anon_sym_row_major] = ACTIONS(2135),
    [anon_sym_column_major] = ACTIONS(2135),
    [anon_sym_globallycoherent] = ACTIONS(2135),
    [anon_sym_centroid] = ACTIONS(2135),
    [anon_sym_noperspective] = ACTIONS(2135),
    [anon_sym_nointerpolation] = ACTIONS(2135),
    [anon_sym_sample] = ACTIONS(2135),
    [anon_sym_linear] = ACTIONS(2135),
    [anon_sym_snorm] = ACTIONS(2135),
    [anon_sym_unorm] = ACTIONS(2135),
    [anon_sym_point] = ACTIONS(2135),
    [anon_sym_line] = ACTIONS(2135),
    [anon_sym_triangleadj] = ACTIONS(2135),
    [anon_sym_lineadj] = ACTIONS(2135),
    [anon_sym_triangle] = ACTIONS(2135),
    [anon_sym_cbuffer] = ACTIONS(2135),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2139),
    [aux_sym_preproc_include_token1] = ACTIONS(2139),
    [aux_sym_preproc_def_token1] = ACTIONS(2139),
    [aux_sym_preproc_if_token1] = ACTIONS(2139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2139),
    [sym_preproc_directive] = ACTIONS(2139),
    [anon_sym_LPAREN2] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym___extension__] = ACTIONS(2139),
    [anon_sym_typedef] = ACTIONS(2139),
    [anon_sym_in] = ACTIONS(2139),
    [anon_sym_out] = ACTIONS(2139),
    [anon_sym_inout] = ACTIONS(2139),
    [anon_sym_virtual] = ACTIONS(2139),
    [anon_sym_extern] = ACTIONS(2139),
    [anon_sym___attribute__] = ACTIONS(2139),
    [anon_sym___attribute] = ACTIONS(2139),
    [anon_sym_COLON_COLON] = ACTIONS(2141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2141),
    [anon_sym___declspec] = ACTIONS(2139),
    [anon_sym___based] = ACTIONS(2139),
    [anon_sym___cdecl] = ACTIONS(2139),
    [anon_sym___clrcall] = ACTIONS(2139),
    [anon_sym___stdcall] = ACTIONS(2139),
    [anon_sym___fastcall] = ACTIONS(2139),
    [anon_sym___thiscall] = ACTIONS(2139),
    [anon_sym___vectorcall] = ACTIONS(2139),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_signed] = ACTIONS(2139),
    [anon_sym_unsigned] = ACTIONS(2139),
    [anon_sym_long] = ACTIONS(2139),
    [anon_sym_short] = ACTIONS(2139),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_register] = ACTIONS(2139),
    [anon_sym_inline] = ACTIONS(2139),
    [anon_sym___inline] = ACTIONS(2139),
    [anon_sym___inline__] = ACTIONS(2139),
    [anon_sym___forceinline] = ACTIONS(2139),
    [anon_sym_thread_local] = ACTIONS(2139),
    [anon_sym___thread] = ACTIONS(2139),
    [anon_sym_const] = ACTIONS(2139),
    [anon_sym_constexpr] = ACTIONS(2139),
    [anon_sym_volatile] = ACTIONS(2139),
    [anon_sym_restrict] = ACTIONS(2139),
    [anon_sym___restrict__] = ACTIONS(2139),
    [anon_sym__Atomic] = ACTIONS(2139),
    [anon_sym__Noreturn] = ACTIONS(2139),
    [anon_sym_noreturn] = ACTIONS(2139),
    [anon_sym__Nonnull] = ACTIONS(2139),
    [anon_sym_mutable] = ACTIONS(2139),
    [anon_sym_constinit] = ACTIONS(2139),
    [anon_sym_consteval] = ACTIONS(2139),
    [anon_sym_alignas] = ACTIONS(2139),
    [anon_sym__Alignas] = ACTIONS(2139),
    [sym_primitive_type] = ACTIONS(2139),
    [anon_sym_enum] = ACTIONS(2139),
    [anon_sym_class] = ACTIONS(2139),
    [anon_sym_struct] = ACTIONS(2139),
    [anon_sym_union] = ACTIONS(2139),
    [anon_sym_if] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2139),
    [anon_sym_switch] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2139),
    [anon_sym_default] = ACTIONS(2139),
    [anon_sym_while] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2139),
    [anon_sym_for] = ACTIONS(2139),
    [anon_sym_return] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2139),
    [anon_sym_continue] = ACTIONS(2139),
    [anon_sym_goto] = ACTIONS(2139),
    [anon_sym___try] = ACTIONS(2139),
    [anon_sym___leave] = ACTIONS(2139),
    [anon_sym_not] = ACTIONS(2139),
    [anon_sym_compl] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_sizeof] = ACTIONS(2139),
    [anon_sym___alignof__] = ACTIONS(2139),
    [anon_sym___alignof] = ACTIONS(2139),
    [anon_sym__alignof] = ACTIONS(2139),
    [anon_sym_alignof] = ACTIONS(2139),
    [anon_sym__Alignof] = ACTIONS(2139),
    [anon_sym_offsetof] = ACTIONS(2139),
    [anon_sym__Generic] = ACTIONS(2139),
    [anon_sym_asm] = ACTIONS(2139),
    [anon_sym___asm__] = ACTIONS(2139),
    [anon_sym___asm] = ACTIONS(2139),
    [sym_number_literal] = ACTIONS(2141),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2141),
    [anon_sym_u_DQUOTE] = ACTIONS(2141),
    [anon_sym_U_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8_DQUOTE] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [sym_true] = ACTIONS(2139),
    [sym_false] = ACTIONS(2139),
    [anon_sym_NULL] = ACTIONS(2139),
    [anon_sym_nullptr] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2139),
    [anon_sym_decltype] = ACTIONS(2139),
    [anon_sym_explicit] = ACTIONS(2139),
    [anon_sym_typename] = ACTIONS(2139),
    [anon_sym_template] = ACTIONS(2139),
    [anon_sym_operator] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_throw] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2139),
    [anon_sym_using] = ACTIONS(2139),
    [anon_sym_static_assert] = ACTIONS(2139),
    [anon_sym_concept] = ACTIONS(2139),
    [anon_sym_co_return] = ACTIONS(2139),
    [anon_sym_co_yield] = ACTIONS(2139),
    [anon_sym_R_DQUOTE] = ACTIONS(2141),
    [anon_sym_LR_DQUOTE] = ACTIONS(2141),
    [anon_sym_uR_DQUOTE] = ACTIONS(2141),
    [anon_sym_UR_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2141),
    [anon_sym_co_await] = ACTIONS(2139),
    [anon_sym_new] = ACTIONS(2139),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2139),
    [anon_sym_discard] = ACTIONS(2139),
    [anon_sym_precise] = ACTIONS(2139),
    [anon_sym_shared] = ACTIONS(2139),
    [anon_sym_groupshared] = ACTIONS(2139),
    [anon_sym_uniform] = ACTIONS(2139),
    [anon_sym_row_major] = ACTIONS(2139),
    [anon_sym_column_major] = ACTIONS(2139),
    [anon_sym_globallycoherent] = ACTIONS(2139),
    [anon_sym_centroid] = ACTIONS(2139),
    [anon_sym_noperspective] = ACTIONS(2139),
    [anon_sym_nointerpolation] = ACTIONS(2139),
    [anon_sym_sample] = ACTIONS(2139),
    [anon_sym_linear] = ACTIONS(2139),
    [anon_sym_snorm] = ACTIONS(2139),
    [anon_sym_unorm] = ACTIONS(2139),
    [anon_sym_point] = ACTIONS(2139),
    [anon_sym_line] = ACTIONS(2139),
    [anon_sym_triangleadj] = ACTIONS(2139),
    [anon_sym_lineadj] = ACTIONS(2139),
    [anon_sym_triangle] = ACTIONS(2139),
    [anon_sym_cbuffer] = ACTIONS(2139),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2143),
    [aux_sym_preproc_include_token1] = ACTIONS(2143),
    [aux_sym_preproc_def_token1] = ACTIONS(2143),
    [aux_sym_preproc_if_token1] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2143),
    [sym_preproc_directive] = ACTIONS(2143),
    [anon_sym_LPAREN2] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym___extension__] = ACTIONS(2143),
    [anon_sym_typedef] = ACTIONS(2143),
    [anon_sym_in] = ACTIONS(2143),
    [anon_sym_out] = ACTIONS(2143),
    [anon_sym_inout] = ACTIONS(2143),
    [anon_sym_virtual] = ACTIONS(2143),
    [anon_sym_extern] = ACTIONS(2143),
    [anon_sym___attribute__] = ACTIONS(2143),
    [anon_sym___attribute] = ACTIONS(2143),
    [anon_sym_COLON_COLON] = ACTIONS(2145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2145),
    [anon_sym___declspec] = ACTIONS(2143),
    [anon_sym___based] = ACTIONS(2143),
    [anon_sym___cdecl] = ACTIONS(2143),
    [anon_sym___clrcall] = ACTIONS(2143),
    [anon_sym___stdcall] = ACTIONS(2143),
    [anon_sym___fastcall] = ACTIONS(2143),
    [anon_sym___thiscall] = ACTIONS(2143),
    [anon_sym___vectorcall] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_register] = ACTIONS(2143),
    [anon_sym_inline] = ACTIONS(2143),
    [anon_sym___inline] = ACTIONS(2143),
    [anon_sym___inline__] = ACTIONS(2143),
    [anon_sym___forceinline] = ACTIONS(2143),
    [anon_sym_thread_local] = ACTIONS(2143),
    [anon_sym___thread] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_constexpr] = ACTIONS(2143),
    [anon_sym_volatile] = ACTIONS(2143),
    [anon_sym_restrict] = ACTIONS(2143),
    [anon_sym___restrict__] = ACTIONS(2143),
    [anon_sym__Atomic] = ACTIONS(2143),
    [anon_sym__Noreturn] = ACTIONS(2143),
    [anon_sym_noreturn] = ACTIONS(2143),
    [anon_sym__Nonnull] = ACTIONS(2143),
    [anon_sym_mutable] = ACTIONS(2143),
    [anon_sym_constinit] = ACTIONS(2143),
    [anon_sym_consteval] = ACTIONS(2143),
    [anon_sym_alignas] = ACTIONS(2143),
    [anon_sym__Alignas] = ACTIONS(2143),
    [sym_primitive_type] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_struct] = ACTIONS(2143),
    [anon_sym_union] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_goto] = ACTIONS(2143),
    [anon_sym___try] = ACTIONS(2143),
    [anon_sym___leave] = ACTIONS(2143),
    [anon_sym_not] = ACTIONS(2143),
    [anon_sym_compl] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_sizeof] = ACTIONS(2143),
    [anon_sym___alignof__] = ACTIONS(2143),
    [anon_sym___alignof] = ACTIONS(2143),
    [anon_sym__alignof] = ACTIONS(2143),
    [anon_sym_alignof] = ACTIONS(2143),
    [anon_sym__Alignof] = ACTIONS(2143),
    [anon_sym_offsetof] = ACTIONS(2143),
    [anon_sym__Generic] = ACTIONS(2143),
    [anon_sym_asm] = ACTIONS(2143),
    [anon_sym___asm__] = ACTIONS(2143),
    [anon_sym___asm] = ACTIONS(2143),
    [sym_number_literal] = ACTIONS(2145),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2145),
    [anon_sym_u_DQUOTE] = ACTIONS(2145),
    [anon_sym_U_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8_DQUOTE] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [anon_sym_NULL] = ACTIONS(2143),
    [anon_sym_nullptr] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2143),
    [anon_sym_decltype] = ACTIONS(2143),
    [anon_sym_explicit] = ACTIONS(2143),
    [anon_sym_typename] = ACTIONS(2143),
    [anon_sym_template] = ACTIONS(2143),
    [anon_sym_operator] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_static_assert] = ACTIONS(2143),
    [anon_sym_concept] = ACTIONS(2143),
    [anon_sym_co_return] = ACTIONS(2143),
    [anon_sym_co_yield] = ACTIONS(2143),
    [anon_sym_R_DQUOTE] = ACTIONS(2145),
    [anon_sym_LR_DQUOTE] = ACTIONS(2145),
    [anon_sym_uR_DQUOTE] = ACTIONS(2145),
    [anon_sym_UR_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2145),
    [anon_sym_co_await] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [anon_sym_discard] = ACTIONS(2143),
    [anon_sym_precise] = ACTIONS(2143),
    [anon_sym_shared] = ACTIONS(2143),
    [anon_sym_groupshared] = ACTIONS(2143),
    [anon_sym_uniform] = ACTIONS(2143),
    [anon_sym_row_major] = ACTIONS(2143),
    [anon_sym_column_major] = ACTIONS(2143),
    [anon_sym_globallycoherent] = ACTIONS(2143),
    [anon_sym_centroid] = ACTIONS(2143),
    [anon_sym_noperspective] = ACTIONS(2143),
    [anon_sym_nointerpolation] = ACTIONS(2143),
    [anon_sym_sample] = ACTIONS(2143),
    [anon_sym_linear] = ACTIONS(2143),
    [anon_sym_snorm] = ACTIONS(2143),
    [anon_sym_unorm] = ACTIONS(2143),
    [anon_sym_point] = ACTIONS(2143),
    [anon_sym_line] = ACTIONS(2143),
    [anon_sym_triangleadj] = ACTIONS(2143),
    [anon_sym_lineadj] = ACTIONS(2143),
    [anon_sym_triangle] = ACTIONS(2143),
    [anon_sym_cbuffer] = ACTIONS(2143),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(2149),
    [sym_identifier] = ACTIONS(2147),
    [aux_sym_preproc_include_token1] = ACTIONS(2147),
    [aux_sym_preproc_def_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2147),
    [sym_preproc_directive] = ACTIONS(2147),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___extension__] = ACTIONS(2147),
    [anon_sym_typedef] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2147),
    [anon_sym_out] = ACTIONS(2147),
    [anon_sym_inout] = ACTIONS(2147),
    [anon_sym_virtual] = ACTIONS(2147),
    [anon_sym_extern] = ACTIONS(2147),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym___attribute] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2149),
    [anon_sym___declspec] = ACTIONS(2147),
    [anon_sym___based] = ACTIONS(2147),
    [anon_sym___cdecl] = ACTIONS(2147),
    [anon_sym___clrcall] = ACTIONS(2147),
    [anon_sym___stdcall] = ACTIONS(2147),
    [anon_sym___fastcall] = ACTIONS(2147),
    [anon_sym___thiscall] = ACTIONS(2147),
    [anon_sym___vectorcall] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_signed] = ACTIONS(2147),
    [anon_sym_unsigned] = ACTIONS(2147),
    [anon_sym_long] = ACTIONS(2147),
    [anon_sym_short] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_register] = ACTIONS(2147),
    [anon_sym_inline] = ACTIONS(2147),
    [anon_sym___inline] = ACTIONS(2147),
    [anon_sym___inline__] = ACTIONS(2147),
    [anon_sym___forceinline] = ACTIONS(2147),
    [anon_sym_thread_local] = ACTIONS(2147),
    [anon_sym___thread] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_constexpr] = ACTIONS(2147),
    [anon_sym_volatile] = ACTIONS(2147),
    [anon_sym_restrict] = ACTIONS(2147),
    [anon_sym___restrict__] = ACTIONS(2147),
    [anon_sym__Atomic] = ACTIONS(2147),
    [anon_sym__Noreturn] = ACTIONS(2147),
    [anon_sym_noreturn] = ACTIONS(2147),
    [anon_sym__Nonnull] = ACTIONS(2147),
    [anon_sym_mutable] = ACTIONS(2147),
    [anon_sym_constinit] = ACTIONS(2147),
    [anon_sym_consteval] = ACTIONS(2147),
    [anon_sym_alignas] = ACTIONS(2147),
    [anon_sym__Alignas] = ACTIONS(2147),
    [sym_primitive_type] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_struct] = ACTIONS(2147),
    [anon_sym_union] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_goto] = ACTIONS(2147),
    [anon_sym___try] = ACTIONS(2147),
    [anon_sym___leave] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2147),
    [anon_sym_compl] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2147),
    [anon_sym___alignof__] = ACTIONS(2147),
    [anon_sym___alignof] = ACTIONS(2147),
    [anon_sym__alignof] = ACTIONS(2147),
    [anon_sym_alignof] = ACTIONS(2147),
    [anon_sym__Alignof] = ACTIONS(2147),
    [anon_sym_offsetof] = ACTIONS(2147),
    [anon_sym__Generic] = ACTIONS(2147),
    [anon_sym_asm] = ACTIONS(2147),
    [anon_sym___asm__] = ACTIONS(2147),
    [anon_sym___asm] = ACTIONS(2147),
    [sym_number_literal] = ACTIONS(2149),
    [anon_sym_L_SQUOTE] = ACTIONS(2149),
    [anon_sym_u_SQUOTE] = ACTIONS(2149),
    [anon_sym_U_SQUOTE] = ACTIONS(2149),
    [anon_sym_u8_SQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_L_DQUOTE] = ACTIONS(2149),
    [anon_sym_u_DQUOTE] = ACTIONS(2149),
    [anon_sym_U_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8_DQUOTE] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2147),
    [anon_sym_nullptr] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2147),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_explicit] = ACTIONS(2147),
    [anon_sym_typename] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2147),
    [anon_sym_operator] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_static_assert] = ACTIONS(2147),
    [anon_sym_concept] = ACTIONS(2147),
    [anon_sym_co_return] = ACTIONS(2147),
    [anon_sym_co_yield] = ACTIONS(2147),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_requires] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [anon_sym_discard] = ACTIONS(2147),
    [anon_sym_precise] = ACTIONS(2147),
    [anon_sym_shared] = ACTIONS(2147),
    [anon_sym_groupshared] = ACTIONS(2147),
    [anon_sym_uniform] = ACTIONS(2147),
    [anon_sym_row_major] = ACTIONS(2147),
    [anon_sym_column_major] = ACTIONS(2147),
    [anon_sym_globallycoherent] = ACTIONS(2147),
    [anon_sym_centroid] = ACTIONS(2147),
    [anon_sym_noperspective] = ACTIONS(2147),
    [anon_sym_nointerpolation] = ACTIONS(2147),
    [anon_sym_sample] = ACTIONS(2147),
    [anon_sym_linear] = ACTIONS(2147),
    [anon_sym_snorm] = ACTIONS(2147),
    [anon_sym_unorm] = ACTIONS(2147),
    [anon_sym_point] = ACTIONS(2147),
    [anon_sym_line] = ACTIONS(2147),
    [anon_sym_triangleadj] = ACTIONS(2147),
    [anon_sym_lineadj] = ACTIONS(2147),
    [anon_sym_triangle] = ACTIONS(2147),
    [anon_sym_cbuffer] = ACTIONS(2147),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(2153),
    [sym_identifier] = ACTIONS(2151),
    [aux_sym_preproc_include_token1] = ACTIONS(2151),
    [aux_sym_preproc_def_token1] = ACTIONS(2151),
    [aux_sym_preproc_if_token1] = ACTIONS(2151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2151),
    [sym_preproc_directive] = ACTIONS(2151),
    [anon_sym_LPAREN2] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(2153),
    [anon_sym_AMP_AMP] = ACTIONS(2153),
    [anon_sym_AMP] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym___extension__] = ACTIONS(2151),
    [anon_sym_typedef] = ACTIONS(2151),
    [anon_sym_in] = ACTIONS(2151),
    [anon_sym_out] = ACTIONS(2151),
    [anon_sym_inout] = ACTIONS(2151),
    [anon_sym_virtual] = ACTIONS(2151),
    [anon_sym_extern] = ACTIONS(2151),
    [anon_sym___attribute__] = ACTIONS(2151),
    [anon_sym___attribute] = ACTIONS(2151),
    [anon_sym_COLON_COLON] = ACTIONS(2153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2153),
    [anon_sym___declspec] = ACTIONS(2151),
    [anon_sym___based] = ACTIONS(2151),
    [anon_sym___cdecl] = ACTIONS(2151),
    [anon_sym___clrcall] = ACTIONS(2151),
    [anon_sym___stdcall] = ACTIONS(2151),
    [anon_sym___fastcall] = ACTIONS(2151),
    [anon_sym___thiscall] = ACTIONS(2151),
    [anon_sym___vectorcall] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_signed] = ACTIONS(2151),
    [anon_sym_unsigned] = ACTIONS(2151),
    [anon_sym_long] = ACTIONS(2151),
    [anon_sym_short] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [anon_sym_static] = ACTIONS(2151),
    [anon_sym_register] = ACTIONS(2151),
    [anon_sym_inline] = ACTIONS(2151),
    [anon_sym___inline] = ACTIONS(2151),
    [anon_sym___inline__] = ACTIONS(2151),
    [anon_sym___forceinline] = ACTIONS(2151),
    [anon_sym_thread_local] = ACTIONS(2151),
    [anon_sym___thread] = ACTIONS(2151),
    [anon_sym_const] = ACTIONS(2151),
    [anon_sym_constexpr] = ACTIONS(2151),
    [anon_sym_volatile] = ACTIONS(2151),
    [anon_sym_restrict] = ACTIONS(2151),
    [anon_sym___restrict__] = ACTIONS(2151),
    [anon_sym__Atomic] = ACTIONS(2151),
    [anon_sym__Noreturn] = ACTIONS(2151),
    [anon_sym_noreturn] = ACTIONS(2151),
    [anon_sym__Nonnull] = ACTIONS(2151),
    [anon_sym_mutable] = ACTIONS(2151),
    [anon_sym_constinit] = ACTIONS(2151),
    [anon_sym_consteval] = ACTIONS(2151),
    [anon_sym_alignas] = ACTIONS(2151),
    [anon_sym__Alignas] = ACTIONS(2151),
    [sym_primitive_type] = ACTIONS(2151),
    [anon_sym_enum] = ACTIONS(2151),
    [anon_sym_class] = ACTIONS(2151),
    [anon_sym_struct] = ACTIONS(2151),
    [anon_sym_union] = ACTIONS(2151),
    [anon_sym_if] = ACTIONS(2151),
    [anon_sym_else] = ACTIONS(2151),
    [anon_sym_switch] = ACTIONS(2151),
    [anon_sym_case] = ACTIONS(2151),
    [anon_sym_default] = ACTIONS(2151),
    [anon_sym_while] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2151),
    [anon_sym_for] = ACTIONS(2151),
    [anon_sym_return] = ACTIONS(2151),
    [anon_sym_break] = ACTIONS(2151),
    [anon_sym_continue] = ACTIONS(2151),
    [anon_sym_goto] = ACTIONS(2151),
    [anon_sym___try] = ACTIONS(2151),
    [anon_sym___leave] = ACTIONS(2151),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_sizeof] = ACTIONS(2151),
    [anon_sym___alignof__] = ACTIONS(2151),
    [anon_sym___alignof] = ACTIONS(2151),
    [anon_sym__alignof] = ACTIONS(2151),
    [anon_sym_alignof] = ACTIONS(2151),
    [anon_sym__Alignof] = ACTIONS(2151),
    [anon_sym_offsetof] = ACTIONS(2151),
    [anon_sym__Generic] = ACTIONS(2151),
    [anon_sym_asm] = ACTIONS(2151),
    [anon_sym___asm__] = ACTIONS(2151),
    [anon_sym___asm] = ACTIONS(2151),
    [sym_number_literal] = ACTIONS(2153),
    [anon_sym_L_SQUOTE] = ACTIONS(2153),
    [anon_sym_u_SQUOTE] = ACTIONS(2153),
    [anon_sym_U_SQUOTE] = ACTIONS(2153),
    [anon_sym_u8_SQUOTE] = ACTIONS(2153),
    [anon_sym_SQUOTE] = ACTIONS(2153),
    [anon_sym_L_DQUOTE] = ACTIONS(2153),
    [anon_sym_u_DQUOTE] = ACTIONS(2153),
    [anon_sym_U_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8_DQUOTE] = ACTIONS(2153),
    [anon_sym_DQUOTE] = ACTIONS(2153),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2151),
    [anon_sym_nullptr] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2151),
    [anon_sym_decltype] = ACTIONS(2151),
    [anon_sym_explicit] = ACTIONS(2151),
    [anon_sym_typename] = ACTIONS(2151),
    [anon_sym_template] = ACTIONS(2151),
    [anon_sym_operator] = ACTIONS(2151),
    [anon_sym_try] = ACTIONS(2151),
    [anon_sym_delete] = ACTIONS(2151),
    [anon_sym_throw] = ACTIONS(2151),
    [anon_sym_namespace] = ACTIONS(2151),
    [anon_sym_using] = ACTIONS(2151),
    [anon_sym_static_assert] = ACTIONS(2151),
    [anon_sym_concept] = ACTIONS(2151),
    [anon_sym_co_return] = ACTIONS(2151),
    [anon_sym_co_yield] = ACTIONS(2151),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2151),
    [anon_sym_new] = ACTIONS(2151),
    [anon_sym_requires] = ACTIONS(2151),
    [sym_this] = ACTIONS(2151),
    [anon_sym_discard] = ACTIONS(2151),
    [anon_sym_precise] = ACTIONS(2151),
    [anon_sym_shared] = ACTIONS(2151),
    [anon_sym_groupshared] = ACTIONS(2151),
    [anon_sym_uniform] = ACTIONS(2151),
    [anon_sym_row_major] = ACTIONS(2151),
    [anon_sym_column_major] = ACTIONS(2151),
    [anon_sym_globallycoherent] = ACTIONS(2151),
    [anon_sym_centroid] = ACTIONS(2151),
    [anon_sym_noperspective] = ACTIONS(2151),
    [anon_sym_nointerpolation] = ACTIONS(2151),
    [anon_sym_sample] = ACTIONS(2151),
    [anon_sym_linear] = ACTIONS(2151),
    [anon_sym_snorm] = ACTIONS(2151),
    [anon_sym_unorm] = ACTIONS(2151),
    [anon_sym_point] = ACTIONS(2151),
    [anon_sym_line] = ACTIONS(2151),
    [anon_sym_triangleadj] = ACTIONS(2151),
    [anon_sym_lineadj] = ACTIONS(2151),
    [anon_sym_triangle] = ACTIONS(2151),
    [anon_sym_cbuffer] = ACTIONS(2151),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2217),
    [aux_sym_preproc_include_token1] = ACTIONS(2217),
    [aux_sym_preproc_def_token1] = ACTIONS(2217),
    [aux_sym_preproc_if_token1] = ACTIONS(2217),
    [aux_sym_preproc_if_token2] = ACTIONS(2217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2217),
    [sym_preproc_directive] = ACTIONS(2217),
    [anon_sym_LPAREN2] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_typedef] = ACTIONS(2217),
    [anon_sym_in] = ACTIONS(2217),
    [anon_sym_out] = ACTIONS(2217),
    [anon_sym_inout] = ACTIONS(2217),
    [anon_sym_virtual] = ACTIONS(2217),
    [anon_sym_extern] = ACTIONS(2217),
    [anon_sym___attribute__] = ACTIONS(2217),
    [anon_sym___attribute] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2219),
    [anon_sym___declspec] = ACTIONS(2217),
    [anon_sym___based] = ACTIONS(2217),
    [anon_sym___cdecl] = ACTIONS(2217),
    [anon_sym___clrcall] = ACTIONS(2217),
    [anon_sym___stdcall] = ACTIONS(2217),
    [anon_sym___fastcall] = ACTIONS(2217),
    [anon_sym___thiscall] = ACTIONS(2217),
    [anon_sym___vectorcall] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_signed] = ACTIONS(2217),
    [anon_sym_unsigned] = ACTIONS(2217),
    [anon_sym_long] = ACTIONS(2217),
    [anon_sym_short] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_static] = ACTIONS(2217),
    [anon_sym_register] = ACTIONS(2217),
    [anon_sym_inline] = ACTIONS(2217),
    [anon_sym___inline] = ACTIONS(2217),
    [anon_sym___inline__] = ACTIONS(2217),
    [anon_sym___forceinline] = ACTIONS(2217),
    [anon_sym_thread_local] = ACTIONS(2217),
    [anon_sym___thread] = ACTIONS(2217),
    [anon_sym_const] = ACTIONS(2217),
    [anon_sym_constexpr] = ACTIONS(2217),
    [anon_sym_volatile] = ACTIONS(2217),
    [anon_sym_restrict] = ACTIONS(2217),
    [anon_sym___restrict__] = ACTIONS(2217),
    [anon_sym__Atomic] = ACTIONS(2217),
    [anon_sym__Noreturn] = ACTIONS(2217),
    [anon_sym_noreturn] = ACTIONS(2217),
    [anon_sym__Nonnull] = ACTIONS(2217),
    [anon_sym_mutable] = ACTIONS(2217),
    [anon_sym_constinit] = ACTIONS(2217),
    [anon_sym_consteval] = ACTIONS(2217),
    [anon_sym_alignas] = ACTIONS(2217),
    [anon_sym__Alignas] = ACTIONS(2217),
    [sym_primitive_type] = ACTIONS(2217),
    [anon_sym_enum] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_struct] = ACTIONS(2217),
    [anon_sym_union] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_else] = ACTIONS(2217),
    [anon_sym_switch] = ACTIONS(2217),
    [anon_sym_case] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym___try] = ACTIONS(2217),
    [anon_sym___leave] = ACTIONS(2217),
    [anon_sym_not] = ACTIONS(2217),
    [anon_sym_compl] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_sizeof] = ACTIONS(2217),
    [anon_sym___alignof__] = ACTIONS(2217),
    [anon_sym___alignof] = ACTIONS(2217),
    [anon_sym__alignof] = ACTIONS(2217),
    [anon_sym_alignof] = ACTIONS(2217),
    [anon_sym__Alignof] = ACTIONS(2217),
    [anon_sym_offsetof] = ACTIONS(2217),
    [anon_sym__Generic] = ACTIONS(2217),
    [anon_sym_asm] = ACTIONS(2217),
    [anon_sym___asm__] = ACTIONS(2217),
    [anon_sym___asm] = ACTIONS(2217),
    [sym_number_literal] = ACTIONS(2219),
    [anon_sym_L_SQUOTE] = ACTIONS(2219),
    [anon_sym_u_SQUOTE] = ACTIONS(2219),
    [anon_sym_U_SQUOTE] = ACTIONS(2219),
    [anon_sym_u8_SQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_L_DQUOTE] = ACTIONS(2219),
    [anon_sym_u_DQUOTE] = ACTIONS(2219),
    [anon_sym_U_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8_DQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_true] = ACTIONS(2217),
    [sym_false] = ACTIONS(2217),
    [anon_sym_NULL] = ACTIONS(2217),
    [anon_sym_nullptr] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2217),
    [anon_sym_decltype] = ACTIONS(2217),
    [anon_sym_explicit] = ACTIONS(2217),
    [anon_sym_typename] = ACTIONS(2217),
    [anon_sym_template] = ACTIONS(2217),
    [anon_sym_operator] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_throw] = ACTIONS(2217),
    [anon_sym_namespace] = ACTIONS(2217),
    [anon_sym_using] = ACTIONS(2217),
    [anon_sym_static_assert] = ACTIONS(2217),
    [anon_sym_concept] = ACTIONS(2217),
    [anon_sym_co_return] = ACTIONS(2217),
    [anon_sym_co_yield] = ACTIONS(2217),
    [anon_sym_R_DQUOTE] = ACTIONS(2219),
    [anon_sym_LR_DQUOTE] = ACTIONS(2219),
    [anon_sym_uR_DQUOTE] = ACTIONS(2219),
    [anon_sym_UR_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2219),
    [anon_sym_co_await] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2217),
    [sym_this] = ACTIONS(2217),
    [anon_sym_discard] = ACTIONS(2217),
    [anon_sym_precise] = ACTIONS(2217),
    [anon_sym_shared] = ACTIONS(2217),
    [anon_sym_groupshared] = ACTIONS(2217),
    [anon_sym_uniform] = ACTIONS(2217),
    [anon_sym_row_major] = ACTIONS(2217),
    [anon_sym_column_major] = ACTIONS(2217),
    [anon_sym_globallycoherent] = ACTIONS(2217),
    [anon_sym_centroid] = ACTIONS(2217),
    [anon_sym_noperspective] = ACTIONS(2217),
    [anon_sym_nointerpolation] = ACTIONS(2217),
    [anon_sym_sample] = ACTIONS(2217),
    [anon_sym_linear] = ACTIONS(2217),
    [anon_sym_snorm] = ACTIONS(2217),
    [anon_sym_unorm] = ACTIONS(2217),
    [anon_sym_point] = ACTIONS(2217),
    [anon_sym_line] = ACTIONS(2217),
    [anon_sym_triangleadj] = ACTIONS(2217),
    [anon_sym_lineadj] = ACTIONS(2217),
    [anon_sym_triangle] = ACTIONS(2217),
    [anon_sym_cbuffer] = ACTIONS(2217),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(2157),
    [sym_identifier] = ACTIONS(2155),
    [aux_sym_preproc_include_token1] = ACTIONS(2155),
    [aux_sym_preproc_def_token1] = ACTIONS(2155),
    [aux_sym_preproc_if_token1] = ACTIONS(2155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2155),
    [sym_preproc_directive] = ACTIONS(2155),
    [anon_sym_LPAREN2] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym___extension__] = ACTIONS(2155),
    [anon_sym_typedef] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2155),
    [anon_sym_out] = ACTIONS(2155),
    [anon_sym_inout] = ACTIONS(2155),
    [anon_sym_virtual] = ACTIONS(2155),
    [anon_sym_extern] = ACTIONS(2155),
    [anon_sym___attribute__] = ACTIONS(2155),
    [anon_sym___attribute] = ACTIONS(2155),
    [anon_sym_COLON_COLON] = ACTIONS(2157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2157),
    [anon_sym___declspec] = ACTIONS(2155),
    [anon_sym___based] = ACTIONS(2155),
    [anon_sym___cdecl] = ACTIONS(2155),
    [anon_sym___clrcall] = ACTIONS(2155),
    [anon_sym___stdcall] = ACTIONS(2155),
    [anon_sym___fastcall] = ACTIONS(2155),
    [anon_sym___thiscall] = ACTIONS(2155),
    [anon_sym___vectorcall] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_signed] = ACTIONS(2155),
    [anon_sym_unsigned] = ACTIONS(2155),
    [anon_sym_long] = ACTIONS(2155),
    [anon_sym_short] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_register] = ACTIONS(2155),
    [anon_sym_inline] = ACTIONS(2155),
    [anon_sym___inline] = ACTIONS(2155),
    [anon_sym___inline__] = ACTIONS(2155),
    [anon_sym___forceinline] = ACTIONS(2155),
    [anon_sym_thread_local] = ACTIONS(2155),
    [anon_sym___thread] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_constexpr] = ACTIONS(2155),
    [anon_sym_volatile] = ACTIONS(2155),
    [anon_sym_restrict] = ACTIONS(2155),
    [anon_sym___restrict__] = ACTIONS(2155),
    [anon_sym__Atomic] = ACTIONS(2155),
    [anon_sym__Noreturn] = ACTIONS(2155),
    [anon_sym_noreturn] = ACTIONS(2155),
    [anon_sym__Nonnull] = ACTIONS(2155),
    [anon_sym_mutable] = ACTIONS(2155),
    [anon_sym_constinit] = ACTIONS(2155),
    [anon_sym_consteval] = ACTIONS(2155),
    [anon_sym_alignas] = ACTIONS(2155),
    [anon_sym__Alignas] = ACTIONS(2155),
    [sym_primitive_type] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_struct] = ACTIONS(2155),
    [anon_sym_union] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_goto] = ACTIONS(2155),
    [anon_sym___try] = ACTIONS(2155),
    [anon_sym___leave] = ACTIONS(2155),
    [anon_sym_not] = ACTIONS(2155),
    [anon_sym_compl] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_sizeof] = ACTIONS(2155),
    [anon_sym___alignof__] = ACTIONS(2155),
    [anon_sym___alignof] = ACTIONS(2155),
    [anon_sym__alignof] = ACTIONS(2155),
    [anon_sym_alignof] = ACTIONS(2155),
    [anon_sym__Alignof] = ACTIONS(2155),
    [anon_sym_offsetof] = ACTIONS(2155),
    [anon_sym__Generic] = ACTIONS(2155),
    [anon_sym_asm] = ACTIONS(2155),
    [anon_sym___asm__] = ACTIONS(2155),
    [anon_sym___asm] = ACTIONS(2155),
    [sym_number_literal] = ACTIONS(2157),
    [anon_sym_L_SQUOTE] = ACTIONS(2157),
    [anon_sym_u_SQUOTE] = ACTIONS(2157),
    [anon_sym_U_SQUOTE] = ACTIONS(2157),
    [anon_sym_u8_SQUOTE] = ACTIONS(2157),
    [anon_sym_SQUOTE] = ACTIONS(2157),
    [anon_sym_L_DQUOTE] = ACTIONS(2157),
    [anon_sym_u_DQUOTE] = ACTIONS(2157),
    [anon_sym_U_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8_DQUOTE] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2157),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [anon_sym_NULL] = ACTIONS(2155),
    [anon_sym_nullptr] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2155),
    [anon_sym_decltype] = ACTIONS(2155),
    [anon_sym_explicit] = ACTIONS(2155),
    [anon_sym_typename] = ACTIONS(2155),
    [anon_sym_template] = ACTIONS(2155),
    [anon_sym_operator] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_static_assert] = ACTIONS(2155),
    [anon_sym_concept] = ACTIONS(2155),
    [anon_sym_co_return] = ACTIONS(2155),
    [anon_sym_co_yield] = ACTIONS(2155),
    [anon_sym_R_DQUOTE] = ACTIONS(2157),
    [anon_sym_LR_DQUOTE] = ACTIONS(2157),
    [anon_sym_uR_DQUOTE] = ACTIONS(2157),
    [anon_sym_UR_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2157),
    [anon_sym_co_await] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [anon_sym_discard] = ACTIONS(2155),
    [anon_sym_precise] = ACTIONS(2155),
    [anon_sym_shared] = ACTIONS(2155),
    [anon_sym_groupshared] = ACTIONS(2155),
    [anon_sym_uniform] = ACTIONS(2155),
    [anon_sym_row_major] = ACTIONS(2155),
    [anon_sym_column_major] = ACTIONS(2155),
    [anon_sym_globallycoherent] = ACTIONS(2155),
    [anon_sym_centroid] = ACTIONS(2155),
    [anon_sym_noperspective] = ACTIONS(2155),
    [anon_sym_nointerpolation] = ACTIONS(2155),
    [anon_sym_sample] = ACTIONS(2155),
    [anon_sym_linear] = ACTIONS(2155),
    [anon_sym_snorm] = ACTIONS(2155),
    [anon_sym_unorm] = ACTIONS(2155),
    [anon_sym_point] = ACTIONS(2155),
    [anon_sym_line] = ACTIONS(2155),
    [anon_sym_triangleadj] = ACTIONS(2155),
    [anon_sym_lineadj] = ACTIONS(2155),
    [anon_sym_triangle] = ACTIONS(2155),
    [anon_sym_cbuffer] = ACTIONS(2155),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2366),
    [aux_sym_preproc_include_token1] = ACTIONS(2366),
    [aux_sym_preproc_def_token1] = ACTIONS(2366),
    [aux_sym_preproc_if_token1] = ACTIONS(2366),
    [aux_sym_preproc_if_token2] = ACTIONS(2366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2366),
    [sym_preproc_directive] = ACTIONS(2366),
    [anon_sym_LPAREN2] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_AMP_AMP] = ACTIONS(2368),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym___extension__] = ACTIONS(2366),
    [anon_sym_typedef] = ACTIONS(2366),
    [anon_sym_in] = ACTIONS(2366),
    [anon_sym_out] = ACTIONS(2366),
    [anon_sym_inout] = ACTIONS(2366),
    [anon_sym_virtual] = ACTIONS(2366),
    [anon_sym_extern] = ACTIONS(2366),
    [anon_sym___attribute__] = ACTIONS(2366),
    [anon_sym___attribute] = ACTIONS(2366),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2368),
    [anon_sym___declspec] = ACTIONS(2366),
    [anon_sym___based] = ACTIONS(2366),
    [anon_sym___cdecl] = ACTIONS(2366),
    [anon_sym___clrcall] = ACTIONS(2366),
    [anon_sym___stdcall] = ACTIONS(2366),
    [anon_sym___fastcall] = ACTIONS(2366),
    [anon_sym___thiscall] = ACTIONS(2366),
    [anon_sym___vectorcall] = ACTIONS(2366),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_signed] = ACTIONS(2366),
    [anon_sym_unsigned] = ACTIONS(2366),
    [anon_sym_long] = ACTIONS(2366),
    [anon_sym_short] = ACTIONS(2366),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym_static] = ACTIONS(2366),
    [anon_sym_register] = ACTIONS(2366),
    [anon_sym_inline] = ACTIONS(2366),
    [anon_sym___inline] = ACTIONS(2366),
    [anon_sym___inline__] = ACTIONS(2366),
    [anon_sym___forceinline] = ACTIONS(2366),
    [anon_sym_thread_local] = ACTIONS(2366),
    [anon_sym___thread] = ACTIONS(2366),
    [anon_sym_const] = ACTIONS(2366),
    [anon_sym_constexpr] = ACTIONS(2366),
    [anon_sym_volatile] = ACTIONS(2366),
    [anon_sym_restrict] = ACTIONS(2366),
    [anon_sym___restrict__] = ACTIONS(2366),
    [anon_sym__Atomic] = ACTIONS(2366),
    [anon_sym__Noreturn] = ACTIONS(2366),
    [anon_sym_noreturn] = ACTIONS(2366),
    [anon_sym__Nonnull] = ACTIONS(2366),
    [anon_sym_mutable] = ACTIONS(2366),
    [anon_sym_constinit] = ACTIONS(2366),
    [anon_sym_consteval] = ACTIONS(2366),
    [anon_sym_alignas] = ACTIONS(2366),
    [anon_sym__Alignas] = ACTIONS(2366),
    [sym_primitive_type] = ACTIONS(2366),
    [anon_sym_enum] = ACTIONS(2366),
    [anon_sym_class] = ACTIONS(2366),
    [anon_sym_struct] = ACTIONS(2366),
    [anon_sym_union] = ACTIONS(2366),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_else] = ACTIONS(2366),
    [anon_sym_switch] = ACTIONS(2366),
    [anon_sym_case] = ACTIONS(2366),
    [anon_sym_default] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2366),
    [anon_sym_for] = ACTIONS(2366),
    [anon_sym_return] = ACTIONS(2366),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2366),
    [anon_sym_goto] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2366),
    [anon_sym___leave] = ACTIONS(2366),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_sizeof] = ACTIONS(2366),
    [anon_sym___alignof__] = ACTIONS(2366),
    [anon_sym___alignof] = ACTIONS(2366),
    [anon_sym__alignof] = ACTIONS(2366),
    [anon_sym_alignof] = ACTIONS(2366),
    [anon_sym__Alignof] = ACTIONS(2366),
    [anon_sym_offsetof] = ACTIONS(2366),
    [anon_sym__Generic] = ACTIONS(2366),
    [anon_sym_asm] = ACTIONS(2366),
    [anon_sym___asm__] = ACTIONS(2366),
    [anon_sym___asm] = ACTIONS(2366),
    [sym_number_literal] = ACTIONS(2368),
    [anon_sym_L_SQUOTE] = ACTIONS(2368),
    [anon_sym_u_SQUOTE] = ACTIONS(2368),
    [anon_sym_U_SQUOTE] = ACTIONS(2368),
    [anon_sym_u8_SQUOTE] = ACTIONS(2368),
    [anon_sym_SQUOTE] = ACTIONS(2368),
    [anon_sym_L_DQUOTE] = ACTIONS(2368),
    [anon_sym_u_DQUOTE] = ACTIONS(2368),
    [anon_sym_U_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8_DQUOTE] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2368),
    [sym_true] = ACTIONS(2366),
    [sym_false] = ACTIONS(2366),
    [anon_sym_NULL] = ACTIONS(2366),
    [anon_sym_nullptr] = ACTIONS(2366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2366),
    [anon_sym_decltype] = ACTIONS(2366),
    [anon_sym_explicit] = ACTIONS(2366),
    [anon_sym_typename] = ACTIONS(2366),
    [anon_sym_template] = ACTIONS(2366),
    [anon_sym_operator] = ACTIONS(2366),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_delete] = ACTIONS(2366),
    [anon_sym_throw] = ACTIONS(2366),
    [anon_sym_namespace] = ACTIONS(2366),
    [anon_sym_using] = ACTIONS(2366),
    [anon_sym_static_assert] = ACTIONS(2366),
    [anon_sym_concept] = ACTIONS(2366),
    [anon_sym_co_return] = ACTIONS(2366),
    [anon_sym_co_yield] = ACTIONS(2366),
    [anon_sym_R_DQUOTE] = ACTIONS(2368),
    [anon_sym_LR_DQUOTE] = ACTIONS(2368),
    [anon_sym_uR_DQUOTE] = ACTIONS(2368),
    [anon_sym_UR_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2368),
    [anon_sym_co_await] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_requires] = ACTIONS(2366),
    [sym_this] = ACTIONS(2366),
    [anon_sym_discard] = ACTIONS(2366),
    [anon_sym_precise] = ACTIONS(2366),
    [anon_sym_shared] = ACTIONS(2366),
    [anon_sym_groupshared] = ACTIONS(2366),
    [anon_sym_uniform] = ACTIONS(2366),
    [anon_sym_row_major] = ACTIONS(2366),
    [anon_sym_column_major] = ACTIONS(2366),
    [anon_sym_globallycoherent] = ACTIONS(2366),
    [anon_sym_centroid] = ACTIONS(2366),
    [anon_sym_noperspective] = ACTIONS(2366),
    [anon_sym_nointerpolation] = ACTIONS(2366),
    [anon_sym_sample] = ACTIONS(2366),
    [anon_sym_linear] = ACTIONS(2366),
    [anon_sym_snorm] = ACTIONS(2366),
    [anon_sym_unorm] = ACTIONS(2366),
    [anon_sym_point] = ACTIONS(2366),
    [anon_sym_line] = ACTIONS(2366),
    [anon_sym_triangleadj] = ACTIONS(2366),
    [anon_sym_lineadj] = ACTIONS(2366),
    [anon_sym_triangle] = ACTIONS(2366),
    [anon_sym_cbuffer] = ACTIONS(2366),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym___attribute] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2272),
    [aux_sym_preproc_include_token1] = ACTIONS(2272),
    [aux_sym_preproc_def_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token2] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2272),
    [sym_preproc_directive] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym___attribute] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym___based] = ACTIONS(2272),
    [anon_sym___cdecl] = ACTIONS(2272),
    [anon_sym___clrcall] = ACTIONS(2272),
    [anon_sym___stdcall] = ACTIONS(2272),
    [anon_sym___fastcall] = ACTIONS(2272),
    [anon_sym___thiscall] = ACTIONS(2272),
    [anon_sym___vectorcall] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_explicit] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_operator] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_static_assert] = ACTIONS(2272),
    [anon_sym_concept] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2276),
    [aux_sym_preproc_include_token1] = ACTIONS(2276),
    [aux_sym_preproc_def_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token2] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2276),
    [sym_preproc_directive] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP_AMP] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym___attribute] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym___based] = ACTIONS(2276),
    [anon_sym___cdecl] = ACTIONS(2276),
    [anon_sym___clrcall] = ACTIONS(2276),
    [anon_sym___stdcall] = ACTIONS(2276),
    [anon_sym___fastcall] = ACTIONS(2276),
    [anon_sym___thiscall] = ACTIONS(2276),
    [anon_sym___vectorcall] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_explicit] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_operator] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_namespace] = ACTIONS(2276),
    [anon_sym_using] = ACTIONS(2276),
    [anon_sym_static_assert] = ACTIONS(2276),
    [anon_sym_concept] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2280),
    [aux_sym_preproc_include_token1] = ACTIONS(2280),
    [aux_sym_preproc_def_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token2] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2280),
    [sym_preproc_directive] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym___attribute] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym___based] = ACTIONS(2280),
    [anon_sym___cdecl] = ACTIONS(2280),
    [anon_sym___clrcall] = ACTIONS(2280),
    [anon_sym___stdcall] = ACTIONS(2280),
    [anon_sym___fastcall] = ACTIONS(2280),
    [anon_sym___thiscall] = ACTIONS(2280),
    [anon_sym___vectorcall] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_explicit] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_operator] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_static_assert] = ACTIONS(2280),
    [anon_sym_concept] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2292),
    [aux_sym_preproc_include_token1] = ACTIONS(2292),
    [aux_sym_preproc_def_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token2] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2292),
    [sym_preproc_directive] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym___attribute] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym___cdecl] = ACTIONS(2292),
    [anon_sym___clrcall] = ACTIONS(2292),
    [anon_sym___stdcall] = ACTIONS(2292),
    [anon_sym___fastcall] = ACTIONS(2292),
    [anon_sym___thiscall] = ACTIONS(2292),
    [anon_sym___vectorcall] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_explicit] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_operator] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_namespace] = ACTIONS(2292),
    [anon_sym_using] = ACTIONS(2292),
    [anon_sym_static_assert] = ACTIONS(2292),
    [anon_sym_concept] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2296),
    [aux_sym_preproc_include_token1] = ACTIONS(2296),
    [aux_sym_preproc_def_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token2] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2296),
    [sym_preproc_directive] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP_AMP] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym___attribute] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym___based] = ACTIONS(2296),
    [anon_sym___cdecl] = ACTIONS(2296),
    [anon_sym___clrcall] = ACTIONS(2296),
    [anon_sym___stdcall] = ACTIONS(2296),
    [anon_sym___fastcall] = ACTIONS(2296),
    [anon_sym___thiscall] = ACTIONS(2296),
    [anon_sym___vectorcall] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_explicit] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_operator] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_static_assert] = ACTIONS(2296),
    [anon_sym_concept] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [447] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2304),
    [aux_sym_preproc_include_token1] = ACTIONS(2304),
    [aux_sym_preproc_def_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token2] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2304),
    [sym_preproc_directive] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym___attribute] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym___based] = ACTIONS(2304),
    [anon_sym___cdecl] = ACTIONS(2304),
    [anon_sym___clrcall] = ACTIONS(2304),
    [anon_sym___stdcall] = ACTIONS(2304),
    [anon_sym___fastcall] = ACTIONS(2304),
    [anon_sym___thiscall] = ACTIONS(2304),
    [anon_sym___vectorcall] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_explicit] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_operator] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2304),
    [anon_sym_using] = ACTIONS(2304),
    [anon_sym_static_assert] = ACTIONS(2304),
    [anon_sym_concept] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [aux_sym_preproc_include_token1] = ACTIONS(2165),
    [aux_sym_preproc_def_token1] = ACTIONS(2165),
    [aux_sym_preproc_if_token1] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2165),
    [sym_preproc_directive] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2167),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym___extension__] = ACTIONS(2165),
    [anon_sym_typedef] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_out] = ACTIONS(2165),
    [anon_sym_inout] = ACTIONS(2165),
    [anon_sym_virtual] = ACTIONS(2165),
    [anon_sym_extern] = ACTIONS(2165),
    [anon_sym___attribute__] = ACTIONS(2165),
    [anon_sym___attribute] = ACTIONS(2165),
    [anon_sym_COLON_COLON] = ACTIONS(2167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2167),
    [anon_sym___declspec] = ACTIONS(2165),
    [anon_sym___based] = ACTIONS(2165),
    [anon_sym___cdecl] = ACTIONS(2165),
    [anon_sym___clrcall] = ACTIONS(2165),
    [anon_sym___stdcall] = ACTIONS(2165),
    [anon_sym___fastcall] = ACTIONS(2165),
    [anon_sym___thiscall] = ACTIONS(2165),
    [anon_sym___vectorcall] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_signed] = ACTIONS(2165),
    [anon_sym_unsigned] = ACTIONS(2165),
    [anon_sym_long] = ACTIONS(2165),
    [anon_sym_short] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_register] = ACTIONS(2165),
    [anon_sym_inline] = ACTIONS(2165),
    [anon_sym___inline] = ACTIONS(2165),
    [anon_sym___inline__] = ACTIONS(2165),
    [anon_sym___forceinline] = ACTIONS(2165),
    [anon_sym_thread_local] = ACTIONS(2165),
    [anon_sym___thread] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_constexpr] = ACTIONS(2165),
    [anon_sym_volatile] = ACTIONS(2165),
    [anon_sym_restrict] = ACTIONS(2165),
    [anon_sym___restrict__] = ACTIONS(2165),
    [anon_sym__Atomic] = ACTIONS(2165),
    [anon_sym__Noreturn] = ACTIONS(2165),
    [anon_sym_noreturn] = ACTIONS(2165),
    [anon_sym__Nonnull] = ACTIONS(2165),
    [anon_sym_mutable] = ACTIONS(2165),
    [anon_sym_constinit] = ACTIONS(2165),
    [anon_sym_consteval] = ACTIONS(2165),
    [anon_sym_alignas] = ACTIONS(2165),
    [anon_sym__Alignas] = ACTIONS(2165),
    [sym_primitive_type] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_struct] = ACTIONS(2165),
    [anon_sym_union] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym___try] = ACTIONS(2165),
    [anon_sym___leave] = ACTIONS(2165),
    [anon_sym_not] = ACTIONS(2165),
    [anon_sym_compl] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_sizeof] = ACTIONS(2165),
    [anon_sym___alignof__] = ACTIONS(2165),
    [anon_sym___alignof] = ACTIONS(2165),
    [anon_sym__alignof] = ACTIONS(2165),
    [anon_sym_alignof] = ACTIONS(2165),
    [anon_sym__Alignof] = ACTIONS(2165),
    [anon_sym_offsetof] = ACTIONS(2165),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2165),
    [anon_sym___asm__] = ACTIONS(2165),
    [anon_sym___asm] = ACTIONS(2165),
    [sym_number_literal] = ACTIONS(2167),
    [anon_sym_L_SQUOTE] = ACTIONS(2167),
    [anon_sym_u_SQUOTE] = ACTIONS(2167),
    [anon_sym_U_SQUOTE] = ACTIONS(2167),
    [anon_sym_u8_SQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_L_DQUOTE] = ACTIONS(2167),
    [anon_sym_u_DQUOTE] = ACTIONS(2167),
    [anon_sym_U_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8_DQUOTE] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [anon_sym_NULL] = ACTIONS(2165),
    [anon_sym_nullptr] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2165),
    [anon_sym_decltype] = ACTIONS(2165),
    [anon_sym_explicit] = ACTIONS(2165),
    [anon_sym_typename] = ACTIONS(2165),
    [anon_sym_template] = ACTIONS(2165),
    [anon_sym_operator] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_static_assert] = ACTIONS(2165),
    [anon_sym_concept] = ACTIONS(2165),
    [anon_sym_co_return] = ACTIONS(2165),
    [anon_sym_co_yield] = ACTIONS(2165),
    [anon_sym_R_DQUOTE] = ACTIONS(2167),
    [anon_sym_LR_DQUOTE] = ACTIONS(2167),
    [anon_sym_uR_DQUOTE] = ACTIONS(2167),
    [anon_sym_UR_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2167),
    [anon_sym_co_await] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_requires] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [anon_sym_discard] = ACTIONS(2165),
    [anon_sym_precise] = ACTIONS(2165),
    [anon_sym_shared] = ACTIONS(2165),
    [anon_sym_groupshared] = ACTIONS(2165),
    [anon_sym_uniform] = ACTIONS(2165),
    [anon_sym_row_major] = ACTIONS(2165),
    [anon_sym_column_major] = ACTIONS(2165),
    [anon_sym_globallycoherent] = ACTIONS(2165),
    [anon_sym_centroid] = ACTIONS(2165),
    [anon_sym_noperspective] = ACTIONS(2165),
    [anon_sym_nointerpolation] = ACTIONS(2165),
    [anon_sym_sample] = ACTIONS(2165),
    [anon_sym_linear] = ACTIONS(2165),
    [anon_sym_snorm] = ACTIONS(2165),
    [anon_sym_unorm] = ACTIONS(2165),
    [anon_sym_point] = ACTIONS(2165),
    [anon_sym_line] = ACTIONS(2165),
    [anon_sym_triangleadj] = ACTIONS(2165),
    [anon_sym_lineadj] = ACTIONS(2165),
    [anon_sym_triangle] = ACTIONS(2165),
    [anon_sym_cbuffer] = ACTIONS(2165),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2159),
    [aux_sym_preproc_include_token1] = ACTIONS(2159),
    [aux_sym_preproc_def_token1] = ACTIONS(2159),
    [aux_sym_preproc_if_token1] = ACTIONS(2159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2159),
    [sym_preproc_directive] = ACTIONS(2159),
    [anon_sym_LPAREN2] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_STAR] = ACTIONS(2161),
    [anon_sym_AMP_AMP] = ACTIONS(2161),
    [anon_sym_AMP] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym___extension__] = ACTIONS(2159),
    [anon_sym_typedef] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_virtual] = ACTIONS(2159),
    [anon_sym_extern] = ACTIONS(2159),
    [anon_sym___attribute__] = ACTIONS(2159),
    [anon_sym___attribute] = ACTIONS(2159),
    [anon_sym_COLON_COLON] = ACTIONS(2161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2161),
    [anon_sym___declspec] = ACTIONS(2159),
    [anon_sym___based] = ACTIONS(2159),
    [anon_sym___cdecl] = ACTIONS(2159),
    [anon_sym___clrcall] = ACTIONS(2159),
    [anon_sym___stdcall] = ACTIONS(2159),
    [anon_sym___fastcall] = ACTIONS(2159),
    [anon_sym___thiscall] = ACTIONS(2159),
    [anon_sym___vectorcall] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_RBRACE] = ACTIONS(2161),
    [anon_sym_signed] = ACTIONS(2159),
    [anon_sym_unsigned] = ACTIONS(2159),
    [anon_sym_long] = ACTIONS(2159),
    [anon_sym_short] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_register] = ACTIONS(2159),
    [anon_sym_inline] = ACTIONS(2159),
    [anon_sym___inline] = ACTIONS(2159),
    [anon_sym___inline__] = ACTIONS(2159),
    [anon_sym___forceinline] = ACTIONS(2159),
    [anon_sym_thread_local] = ACTIONS(2159),
    [anon_sym___thread] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_constexpr] = ACTIONS(2159),
    [anon_sym_volatile] = ACTIONS(2159),
    [anon_sym_restrict] = ACTIONS(2159),
    [anon_sym___restrict__] = ACTIONS(2159),
    [anon_sym__Atomic] = ACTIONS(2159),
    [anon_sym__Noreturn] = ACTIONS(2159),
    [anon_sym_noreturn] = ACTIONS(2159),
    [anon_sym__Nonnull] = ACTIONS(2159),
    [anon_sym_mutable] = ACTIONS(2159),
    [anon_sym_constinit] = ACTIONS(2159),
    [anon_sym_consteval] = ACTIONS(2159),
    [anon_sym_alignas] = ACTIONS(2159),
    [anon_sym__Alignas] = ACTIONS(2159),
    [sym_primitive_type] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_struct] = ACTIONS(2159),
    [anon_sym_union] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym_default] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_goto] = ACTIONS(2159),
    [anon_sym___try] = ACTIONS(2159),
    [anon_sym___leave] = ACTIONS(2159),
    [anon_sym_not] = ACTIONS(2159),
    [anon_sym_compl] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2159),
    [anon_sym___alignof] = ACTIONS(2159),
    [anon_sym__alignof] = ACTIONS(2159),
    [anon_sym_alignof] = ACTIONS(2159),
    [anon_sym__Alignof] = ACTIONS(2159),
    [anon_sym_offsetof] = ACTIONS(2159),
    [anon_sym__Generic] = ACTIONS(2159),
    [anon_sym_asm] = ACTIONS(2159),
    [anon_sym___asm__] = ACTIONS(2159),
    [anon_sym___asm] = ACTIONS(2159),
    [sym_number_literal] = ACTIONS(2161),
    [anon_sym_L_SQUOTE] = ACTIONS(2161),
    [anon_sym_u_SQUOTE] = ACTIONS(2161),
    [anon_sym_U_SQUOTE] = ACTIONS(2161),
    [anon_sym_u8_SQUOTE] = ACTIONS(2161),
    [anon_sym_SQUOTE] = ACTIONS(2161),
    [anon_sym_L_DQUOTE] = ACTIONS(2161),
    [anon_sym_u_DQUOTE] = ACTIONS(2161),
    [anon_sym_U_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8_DQUOTE] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2161),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [anon_sym_NULL] = ACTIONS(2159),
    [anon_sym_nullptr] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2159),
    [anon_sym_decltype] = ACTIONS(2159),
    [anon_sym_explicit] = ACTIONS(2159),
    [anon_sym_typename] = ACTIONS(2159),
    [anon_sym_template] = ACTIONS(2159),
    [anon_sym_operator] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_static_assert] = ACTIONS(2159),
    [anon_sym_concept] = ACTIONS(2159),
    [anon_sym_co_return] = ACTIONS(2159),
    [anon_sym_co_yield] = ACTIONS(2159),
    [anon_sym_R_DQUOTE] = ACTIONS(2161),
    [anon_sym_LR_DQUOTE] = ACTIONS(2161),
    [anon_sym_uR_DQUOTE] = ACTIONS(2161),
    [anon_sym_UR_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2161),
    [anon_sym_co_await] = ACTIONS(2159),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [anon_sym_discard] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_groupshared] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_row_major] = ACTIONS(2159),
    [anon_sym_column_major] = ACTIONS(2159),
    [anon_sym_globallycoherent] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym_nointerpolation] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_linear] = ACTIONS(2159),
    [anon_sym_snorm] = ACTIONS(2159),
    [anon_sym_unorm] = ACTIONS(2159),
    [anon_sym_point] = ACTIONS(2159),
    [anon_sym_line] = ACTIONS(2159),
    [anon_sym_triangleadj] = ACTIONS(2159),
    [anon_sym_lineadj] = ACTIONS(2159),
    [anon_sym_triangle] = ACTIONS(2159),
    [anon_sym_cbuffer] = ACTIONS(2159),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2316),
    [aux_sym_preproc_include_token1] = ACTIONS(2316),
    [aux_sym_preproc_def_token1] = ACTIONS(2316),
    [aux_sym_preproc_if_token1] = ACTIONS(2316),
    [aux_sym_preproc_if_token2] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2316),
    [sym_preproc_directive] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_BANG] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2316),
    [anon_sym_typedef] = ACTIONS(2316),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_out] = ACTIONS(2316),
    [anon_sym_inout] = ACTIONS(2316),
    [anon_sym_virtual] = ACTIONS(2316),
    [anon_sym_extern] = ACTIONS(2316),
    [anon_sym___attribute__] = ACTIONS(2316),
    [anon_sym___attribute] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2318),
    [anon_sym___declspec] = ACTIONS(2316),
    [anon_sym___based] = ACTIONS(2316),
    [anon_sym___cdecl] = ACTIONS(2316),
    [anon_sym___clrcall] = ACTIONS(2316),
    [anon_sym___stdcall] = ACTIONS(2316),
    [anon_sym___fastcall] = ACTIONS(2316),
    [anon_sym___thiscall] = ACTIONS(2316),
    [anon_sym___vectorcall] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2316),
    [anon_sym_unsigned] = ACTIONS(2316),
    [anon_sym_long] = ACTIONS(2316),
    [anon_sym_short] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_register] = ACTIONS(2316),
    [anon_sym_inline] = ACTIONS(2316),
    [anon_sym___inline] = ACTIONS(2316),
    [anon_sym___inline__] = ACTIONS(2316),
    [anon_sym___forceinline] = ACTIONS(2316),
    [anon_sym_thread_local] = ACTIONS(2316),
    [anon_sym___thread] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_constexpr] = ACTIONS(2316),
    [anon_sym_volatile] = ACTIONS(2316),
    [anon_sym_restrict] = ACTIONS(2316),
    [anon_sym___restrict__] = ACTIONS(2316),
    [anon_sym__Atomic] = ACTIONS(2316),
    [anon_sym__Noreturn] = ACTIONS(2316),
    [anon_sym_noreturn] = ACTIONS(2316),
    [anon_sym__Nonnull] = ACTIONS(2316),
    [anon_sym_mutable] = ACTIONS(2316),
    [anon_sym_constinit] = ACTIONS(2316),
    [anon_sym_consteval] = ACTIONS(2316),
    [anon_sym_alignas] = ACTIONS(2316),
    [anon_sym__Alignas] = ACTIONS(2316),
    [sym_primitive_type] = ACTIONS(2316),
    [anon_sym_enum] = ACTIONS(2316),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_struct] = ACTIONS(2316),
    [anon_sym_union] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_else] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_case] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_goto] = ACTIONS(2316),
    [anon_sym___try] = ACTIONS(2316),
    [anon_sym___leave] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2316),
    [anon_sym_compl] = ACTIONS(2316),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_sizeof] = ACTIONS(2316),
    [anon_sym___alignof__] = ACTIONS(2316),
    [anon_sym___alignof] = ACTIONS(2316),
    [anon_sym__alignof] = ACTIONS(2316),
    [anon_sym_alignof] = ACTIONS(2316),
    [anon_sym__Alignof] = ACTIONS(2316),
    [anon_sym_offsetof] = ACTIONS(2316),
    [anon_sym__Generic] = ACTIONS(2316),
    [anon_sym_asm] = ACTIONS(2316),
    [anon_sym___asm__] = ACTIONS(2316),
    [anon_sym___asm] = ACTIONS(2316),
    [sym_number_literal] = ACTIONS(2318),
    [anon_sym_L_SQUOTE] = ACTIONS(2318),
    [anon_sym_u_SQUOTE] = ACTIONS(2318),
    [anon_sym_U_SQUOTE] = ACTIONS(2318),
    [anon_sym_u8_SQUOTE] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_L_DQUOTE] = ACTIONS(2318),
    [anon_sym_u_DQUOTE] = ACTIONS(2318),
    [anon_sym_U_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2318),
    [sym_true] = ACTIONS(2316),
    [sym_false] = ACTIONS(2316),
    [anon_sym_NULL] = ACTIONS(2316),
    [anon_sym_nullptr] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2316),
    [anon_sym_decltype] = ACTIONS(2316),
    [anon_sym_explicit] = ACTIONS(2316),
    [anon_sym_typename] = ACTIONS(2316),
    [anon_sym_template] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_throw] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_using] = ACTIONS(2316),
    [anon_sym_static_assert] = ACTIONS(2316),
    [anon_sym_concept] = ACTIONS(2316),
    [anon_sym_co_return] = ACTIONS(2316),
    [anon_sym_co_yield] = ACTIONS(2316),
    [anon_sym_R_DQUOTE] = ACTIONS(2318),
    [anon_sym_LR_DQUOTE] = ACTIONS(2318),
    [anon_sym_uR_DQUOTE] = ACTIONS(2318),
    [anon_sym_UR_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2318),
    [anon_sym_co_await] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_requires] = ACTIONS(2316),
    [sym_this] = ACTIONS(2316),
    [anon_sym_discard] = ACTIONS(2316),
    [anon_sym_precise] = ACTIONS(2316),
    [anon_sym_shared] = ACTIONS(2316),
    [anon_sym_groupshared] = ACTIONS(2316),
    [anon_sym_uniform] = ACTIONS(2316),
    [anon_sym_row_major] = ACTIONS(2316),
    [anon_sym_column_major] = ACTIONS(2316),
    [anon_sym_globallycoherent] = ACTIONS(2316),
    [anon_sym_centroid] = ACTIONS(2316),
    [anon_sym_noperspective] = ACTIONS(2316),
    [anon_sym_nointerpolation] = ACTIONS(2316),
    [anon_sym_sample] = ACTIONS(2316),
    [anon_sym_linear] = ACTIONS(2316),
    [anon_sym_snorm] = ACTIONS(2316),
    [anon_sym_unorm] = ACTIONS(2316),
    [anon_sym_point] = ACTIONS(2316),
    [anon_sym_line] = ACTIONS(2316),
    [anon_sym_triangleadj] = ACTIONS(2316),
    [anon_sym_lineadj] = ACTIONS(2316),
    [anon_sym_triangle] = ACTIONS(2316),
    [anon_sym_cbuffer] = ACTIONS(2316),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2320),
    [aux_sym_preproc_include_token1] = ACTIONS(2320),
    [aux_sym_preproc_def_token1] = ACTIONS(2320),
    [aux_sym_preproc_if_token1] = ACTIONS(2320),
    [aux_sym_preproc_if_token2] = ACTIONS(2320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2320),
    [sym_preproc_directive] = ACTIONS(2320),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2322),
    [anon_sym_TILDE] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2322),
    [anon_sym_AMP_AMP] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(2320),
    [anon_sym_typedef] = ACTIONS(2320),
    [anon_sym_in] = ACTIONS(2320),
    [anon_sym_out] = ACTIONS(2320),
    [anon_sym_inout] = ACTIONS(2320),
    [anon_sym_virtual] = ACTIONS(2320),
    [anon_sym_extern] = ACTIONS(2320),
    [anon_sym___attribute__] = ACTIONS(2320),
    [anon_sym___attribute] = ACTIONS(2320),
    [anon_sym_COLON_COLON] = ACTIONS(2322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2322),
    [anon_sym___declspec] = ACTIONS(2320),
    [anon_sym___based] = ACTIONS(2320),
    [anon_sym___cdecl] = ACTIONS(2320),
    [anon_sym___clrcall] = ACTIONS(2320),
    [anon_sym___stdcall] = ACTIONS(2320),
    [anon_sym___fastcall] = ACTIONS(2320),
    [anon_sym___thiscall] = ACTIONS(2320),
    [anon_sym___vectorcall] = ACTIONS(2320),
    [anon_sym_LBRACE] = ACTIONS(2322),
    [anon_sym_signed] = ACTIONS(2320),
    [anon_sym_unsigned] = ACTIONS(2320),
    [anon_sym_long] = ACTIONS(2320),
    [anon_sym_short] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_static] = ACTIONS(2320),
    [anon_sym_register] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(2320),
    [anon_sym___inline] = ACTIONS(2320),
    [anon_sym___inline__] = ACTIONS(2320),
    [anon_sym___forceinline] = ACTIONS(2320),
    [anon_sym_thread_local] = ACTIONS(2320),
    [anon_sym___thread] = ACTIONS(2320),
    [anon_sym_const] = ACTIONS(2320),
    [anon_sym_constexpr] = ACTIONS(2320),
    [anon_sym_volatile] = ACTIONS(2320),
    [anon_sym_restrict] = ACTIONS(2320),
    [anon_sym___restrict__] = ACTIONS(2320),
    [anon_sym__Atomic] = ACTIONS(2320),
    [anon_sym__Noreturn] = ACTIONS(2320),
    [anon_sym_noreturn] = ACTIONS(2320),
    [anon_sym__Nonnull] = ACTIONS(2320),
    [anon_sym_mutable] = ACTIONS(2320),
    [anon_sym_constinit] = ACTIONS(2320),
    [anon_sym_consteval] = ACTIONS(2320),
    [anon_sym_alignas] = ACTIONS(2320),
    [anon_sym__Alignas] = ACTIONS(2320),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2320),
    [anon_sym_class] = ACTIONS(2320),
    [anon_sym_struct] = ACTIONS(2320),
    [anon_sym_union] = ACTIONS(2320),
    [anon_sym_if] = ACTIONS(2320),
    [anon_sym_else] = ACTIONS(2320),
    [anon_sym_switch] = ACTIONS(2320),
    [anon_sym_case] = ACTIONS(2320),
    [anon_sym_default] = ACTIONS(2320),
    [anon_sym_while] = ACTIONS(2320),
    [anon_sym_do] = ACTIONS(2320),
    [anon_sym_for] = ACTIONS(2320),
    [anon_sym_return] = ACTIONS(2320),
    [anon_sym_break] = ACTIONS(2320),
    [anon_sym_continue] = ACTIONS(2320),
    [anon_sym_goto] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2320),
    [anon_sym___leave] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2320),
    [anon_sym_compl] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_sizeof] = ACTIONS(2320),
    [anon_sym___alignof__] = ACTIONS(2320),
    [anon_sym___alignof] = ACTIONS(2320),
    [anon_sym__alignof] = ACTIONS(2320),
    [anon_sym_alignof] = ACTIONS(2320),
    [anon_sym__Alignof] = ACTIONS(2320),
    [anon_sym_offsetof] = ACTIONS(2320),
    [anon_sym__Generic] = ACTIONS(2320),
    [anon_sym_asm] = ACTIONS(2320),
    [anon_sym___asm__] = ACTIONS(2320),
    [anon_sym___asm] = ACTIONS(2320),
    [sym_number_literal] = ACTIONS(2322),
    [anon_sym_L_SQUOTE] = ACTIONS(2322),
    [anon_sym_u_SQUOTE] = ACTIONS(2322),
    [anon_sym_U_SQUOTE] = ACTIONS(2322),
    [anon_sym_u8_SQUOTE] = ACTIONS(2322),
    [anon_sym_SQUOTE] = ACTIONS(2322),
    [anon_sym_L_DQUOTE] = ACTIONS(2322),
    [anon_sym_u_DQUOTE] = ACTIONS(2322),
    [anon_sym_U_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8_DQUOTE] = ACTIONS(2322),
    [anon_sym_DQUOTE] = ACTIONS(2322),
    [sym_true] = ACTIONS(2320),
    [sym_false] = ACTIONS(2320),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2320),
    [anon_sym_decltype] = ACTIONS(2320),
    [anon_sym_explicit] = ACTIONS(2320),
    [anon_sym_typename] = ACTIONS(2320),
    [anon_sym_template] = ACTIONS(2320),
    [anon_sym_operator] = ACTIONS(2320),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_delete] = ACTIONS(2320),
    [anon_sym_throw] = ACTIONS(2320),
    [anon_sym_namespace] = ACTIONS(2320),
    [anon_sym_using] = ACTIONS(2320),
    [anon_sym_static_assert] = ACTIONS(2320),
    [anon_sym_concept] = ACTIONS(2320),
    [anon_sym_co_return] = ACTIONS(2320),
    [anon_sym_co_yield] = ACTIONS(2320),
    [anon_sym_R_DQUOTE] = ACTIONS(2322),
    [anon_sym_LR_DQUOTE] = ACTIONS(2322),
    [anon_sym_uR_DQUOTE] = ACTIONS(2322),
    [anon_sym_UR_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2322),
    [anon_sym_co_await] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(2320),
    [anon_sym_requires] = ACTIONS(2320),
    [sym_this] = ACTIONS(2320),
    [anon_sym_discard] = ACTIONS(2320),
    [anon_sym_precise] = ACTIONS(2320),
    [anon_sym_shared] = ACTIONS(2320),
    [anon_sym_groupshared] = ACTIONS(2320),
    [anon_sym_uniform] = ACTIONS(2320),
    [anon_sym_row_major] = ACTIONS(2320),
    [anon_sym_column_major] = ACTIONS(2320),
    [anon_sym_globallycoherent] = ACTIONS(2320),
    [anon_sym_centroid] = ACTIONS(2320),
    [anon_sym_noperspective] = ACTIONS(2320),
    [anon_sym_nointerpolation] = ACTIONS(2320),
    [anon_sym_sample] = ACTIONS(2320),
    [anon_sym_linear] = ACTIONS(2320),
    [anon_sym_snorm] = ACTIONS(2320),
    [anon_sym_unorm] = ACTIONS(2320),
    [anon_sym_point] = ACTIONS(2320),
    [anon_sym_line] = ACTIONS(2320),
    [anon_sym_triangleadj] = ACTIONS(2320),
    [anon_sym_lineadj] = ACTIONS(2320),
    [anon_sym_triangle] = ACTIONS(2320),
    [anon_sym_cbuffer] = ACTIONS(2320),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2324),
    [aux_sym_preproc_include_token1] = ACTIONS(2324),
    [aux_sym_preproc_def_token1] = ACTIONS(2324),
    [aux_sym_preproc_if_token1] = ACTIONS(2324),
    [aux_sym_preproc_if_token2] = ACTIONS(2324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2324),
    [sym_preproc_directive] = ACTIONS(2324),
    [anon_sym_LPAREN2] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_TILDE] = ACTIONS(2326),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2326),
    [anon_sym_AMP_AMP] = ACTIONS(2326),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2324),
    [anon_sym_typedef] = ACTIONS(2324),
    [anon_sym_in] = ACTIONS(2324),
    [anon_sym_out] = ACTIONS(2324),
    [anon_sym_inout] = ACTIONS(2324),
    [anon_sym_virtual] = ACTIONS(2324),
    [anon_sym_extern] = ACTIONS(2324),
    [anon_sym___attribute__] = ACTIONS(2324),
    [anon_sym___attribute] = ACTIONS(2324),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2326),
    [anon_sym___declspec] = ACTIONS(2324),
    [anon_sym___based] = ACTIONS(2324),
    [anon_sym___cdecl] = ACTIONS(2324),
    [anon_sym___clrcall] = ACTIONS(2324),
    [anon_sym___stdcall] = ACTIONS(2324),
    [anon_sym___fastcall] = ACTIONS(2324),
    [anon_sym___thiscall] = ACTIONS(2324),
    [anon_sym___vectorcall] = ACTIONS(2324),
    [anon_sym_LBRACE] = ACTIONS(2326),
    [anon_sym_signed] = ACTIONS(2324),
    [anon_sym_unsigned] = ACTIONS(2324),
    [anon_sym_long] = ACTIONS(2324),
    [anon_sym_short] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_static] = ACTIONS(2324),
    [anon_sym_register] = ACTIONS(2324),
    [anon_sym_inline] = ACTIONS(2324),
    [anon_sym___inline] = ACTIONS(2324),
    [anon_sym___inline__] = ACTIONS(2324),
    [anon_sym___forceinline] = ACTIONS(2324),
    [anon_sym_thread_local] = ACTIONS(2324),
    [anon_sym___thread] = ACTIONS(2324),
    [anon_sym_const] = ACTIONS(2324),
    [anon_sym_constexpr] = ACTIONS(2324),
    [anon_sym_volatile] = ACTIONS(2324),
    [anon_sym_restrict] = ACTIONS(2324),
    [anon_sym___restrict__] = ACTIONS(2324),
    [anon_sym__Atomic] = ACTIONS(2324),
    [anon_sym__Noreturn] = ACTIONS(2324),
    [anon_sym_noreturn] = ACTIONS(2324),
    [anon_sym__Nonnull] = ACTIONS(2324),
    [anon_sym_mutable] = ACTIONS(2324),
    [anon_sym_constinit] = ACTIONS(2324),
    [anon_sym_consteval] = ACTIONS(2324),
    [anon_sym_alignas] = ACTIONS(2324),
    [anon_sym__Alignas] = ACTIONS(2324),
    [sym_primitive_type] = ACTIONS(2324),
    [anon_sym_enum] = ACTIONS(2324),
    [anon_sym_class] = ACTIONS(2324),
    [anon_sym_struct] = ACTIONS(2324),
    [anon_sym_union] = ACTIONS(2324),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_else] = ACTIONS(2324),
    [anon_sym_switch] = ACTIONS(2324),
    [anon_sym_case] = ACTIONS(2324),
    [anon_sym_default] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2324),
    [anon_sym_do] = ACTIONS(2324),
    [anon_sym_for] = ACTIONS(2324),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_break] = ACTIONS(2324),
    [anon_sym_continue] = ACTIONS(2324),
    [anon_sym_goto] = ACTIONS(2324),
    [anon_sym___try] = ACTIONS(2324),
    [anon_sym___leave] = ACTIONS(2324),
    [anon_sym_not] = ACTIONS(2324),
    [anon_sym_compl] = ACTIONS(2324),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_sizeof] = ACTIONS(2324),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2324),
    [anon_sym__Generic] = ACTIONS(2324),
    [anon_sym_asm] = ACTIONS(2324),
    [anon_sym___asm__] = ACTIONS(2324),
    [anon_sym___asm] = ACTIONS(2324),
    [sym_number_literal] = ACTIONS(2326),
    [anon_sym_L_SQUOTE] = ACTIONS(2326),
    [anon_sym_u_SQUOTE] = ACTIONS(2326),
    [anon_sym_U_SQUOTE] = ACTIONS(2326),
    [anon_sym_u8_SQUOTE] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym_L_DQUOTE] = ACTIONS(2326),
    [anon_sym_u_DQUOTE] = ACTIONS(2326),
    [anon_sym_U_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8_DQUOTE] = ACTIONS(2326),
    [anon_sym_DQUOTE] = ACTIONS(2326),
    [sym_true] = ACTIONS(2324),
    [sym_false] = ACTIONS(2324),
    [anon_sym_NULL] = ACTIONS(2324),
    [anon_sym_nullptr] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2324),
    [anon_sym_decltype] = ACTIONS(2324),
    [anon_sym_explicit] = ACTIONS(2324),
    [anon_sym_typename] = ACTIONS(2324),
    [anon_sym_template] = ACTIONS(2324),
    [anon_sym_operator] = ACTIONS(2324),
    [anon_sym_try] = ACTIONS(2324),
    [anon_sym_delete] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2324),
    [anon_sym_namespace] = ACTIONS(2324),
    [anon_sym_using] = ACTIONS(2324),
    [anon_sym_static_assert] = ACTIONS(2324),
    [anon_sym_concept] = ACTIONS(2324),
    [anon_sym_co_return] = ACTIONS(2324),
    [anon_sym_co_yield] = ACTIONS(2324),
    [anon_sym_R_DQUOTE] = ACTIONS(2326),
    [anon_sym_LR_DQUOTE] = ACTIONS(2326),
    [anon_sym_uR_DQUOTE] = ACTIONS(2326),
    [anon_sym_UR_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2326),
    [anon_sym_co_await] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2324),
    [anon_sym_requires] = ACTIONS(2324),
    [sym_this] = ACTIONS(2324),
    [anon_sym_discard] = ACTIONS(2324),
    [anon_sym_precise] = ACTIONS(2324),
    [anon_sym_shared] = ACTIONS(2324),
    [anon_sym_groupshared] = ACTIONS(2324),
    [anon_sym_uniform] = ACTIONS(2324),
    [anon_sym_row_major] = ACTIONS(2324),
    [anon_sym_column_major] = ACTIONS(2324),
    [anon_sym_globallycoherent] = ACTIONS(2324),
    [anon_sym_centroid] = ACTIONS(2324),
    [anon_sym_noperspective] = ACTIONS(2324),
    [anon_sym_nointerpolation] = ACTIONS(2324),
    [anon_sym_sample] = ACTIONS(2324),
    [anon_sym_linear] = ACTIONS(2324),
    [anon_sym_snorm] = ACTIONS(2324),
    [anon_sym_unorm] = ACTIONS(2324),
    [anon_sym_point] = ACTIONS(2324),
    [anon_sym_line] = ACTIONS(2324),
    [anon_sym_triangleadj] = ACTIONS(2324),
    [anon_sym_lineadj] = ACTIONS(2324),
    [anon_sym_triangle] = ACTIONS(2324),
    [anon_sym_cbuffer] = ACTIONS(2324),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2123),
    [aux_sym_preproc_include_token1] = ACTIONS(2123),
    [aux_sym_preproc_def_token1] = ACTIONS(2123),
    [aux_sym_preproc_if_token1] = ACTIONS(2123),
    [aux_sym_preproc_if_token2] = ACTIONS(2123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2123),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_AMP_AMP] = ACTIONS(2125),
    [anon_sym_AMP] = ACTIONS(2123),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym___extension__] = ACTIONS(2123),
    [anon_sym_typedef] = ACTIONS(2123),
    [anon_sym_in] = ACTIONS(2123),
    [anon_sym_out] = ACTIONS(2123),
    [anon_sym_inout] = ACTIONS(2123),
    [anon_sym_virtual] = ACTIONS(2123),
    [anon_sym_extern] = ACTIONS(2123),
    [anon_sym___attribute__] = ACTIONS(2123),
    [anon_sym___attribute] = ACTIONS(2123),
    [anon_sym_COLON_COLON] = ACTIONS(2125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2125),
    [anon_sym___declspec] = ACTIONS(2123),
    [anon_sym___based] = ACTIONS(2123),
    [anon_sym___cdecl] = ACTIONS(2123),
    [anon_sym___clrcall] = ACTIONS(2123),
    [anon_sym___stdcall] = ACTIONS(2123),
    [anon_sym___fastcall] = ACTIONS(2123),
    [anon_sym___thiscall] = ACTIONS(2123),
    [anon_sym___vectorcall] = ACTIONS(2123),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_signed] = ACTIONS(2123),
    [anon_sym_unsigned] = ACTIONS(2123),
    [anon_sym_long] = ACTIONS(2123),
    [anon_sym_short] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_static] = ACTIONS(2123),
    [anon_sym_register] = ACTIONS(2123),
    [anon_sym_inline] = ACTIONS(2123),
    [anon_sym___inline] = ACTIONS(2123),
    [anon_sym___inline__] = ACTIONS(2123),
    [anon_sym___forceinline] = ACTIONS(2123),
    [anon_sym_thread_local] = ACTIONS(2123),
    [anon_sym___thread] = ACTIONS(2123),
    [anon_sym_const] = ACTIONS(2123),
    [anon_sym_constexpr] = ACTIONS(2123),
    [anon_sym_volatile] = ACTIONS(2123),
    [anon_sym_restrict] = ACTIONS(2123),
    [anon_sym___restrict__] = ACTIONS(2123),
    [anon_sym__Atomic] = ACTIONS(2123),
    [anon_sym__Noreturn] = ACTIONS(2123),
    [anon_sym_noreturn] = ACTIONS(2123),
    [anon_sym__Nonnull] = ACTIONS(2123),
    [anon_sym_mutable] = ACTIONS(2123),
    [anon_sym_constinit] = ACTIONS(2123),
    [anon_sym_consteval] = ACTIONS(2123),
    [anon_sym_alignas] = ACTIONS(2123),
    [anon_sym__Alignas] = ACTIONS(2123),
    [sym_primitive_type] = ACTIONS(2123),
    [anon_sym_enum] = ACTIONS(2123),
    [anon_sym_class] = ACTIONS(2123),
    [anon_sym_struct] = ACTIONS(2123),
    [anon_sym_union] = ACTIONS(2123),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(2123),
    [anon_sym_switch] = ACTIONS(2123),
    [anon_sym_case] = ACTIONS(2123),
    [anon_sym_default] = ACTIONS(2123),
    [anon_sym_while] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2123),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_return] = ACTIONS(2123),
    [anon_sym_break] = ACTIONS(2123),
    [anon_sym_continue] = ACTIONS(2123),
    [anon_sym_goto] = ACTIONS(2123),
    [anon_sym___try] = ACTIONS(2123),
    [anon_sym___leave] = ACTIONS(2123),
    [anon_sym_not] = ACTIONS(2123),
    [anon_sym_compl] = ACTIONS(2123),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_sizeof] = ACTIONS(2123),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2123),
    [anon_sym_asm] = ACTIONS(2123),
    [anon_sym___asm__] = ACTIONS(2123),
    [anon_sym___asm] = ACTIONS(2123),
    [sym_number_literal] = ACTIONS(2125),
    [anon_sym_L_SQUOTE] = ACTIONS(2125),
    [anon_sym_u_SQUOTE] = ACTIONS(2125),
    [anon_sym_U_SQUOTE] = ACTIONS(2125),
    [anon_sym_u8_SQUOTE] = ACTIONS(2125),
    [anon_sym_SQUOTE] = ACTIONS(2125),
    [anon_sym_L_DQUOTE] = ACTIONS(2125),
    [anon_sym_u_DQUOTE] = ACTIONS(2125),
    [anon_sym_U_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8_DQUOTE] = ACTIONS(2125),
    [anon_sym_DQUOTE] = ACTIONS(2125),
    [sym_true] = ACTIONS(2123),
    [sym_false] = ACTIONS(2123),
    [anon_sym_NULL] = ACTIONS(2123),
    [anon_sym_nullptr] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2123),
    [anon_sym_decltype] = ACTIONS(2123),
    [anon_sym_explicit] = ACTIONS(2123),
    [anon_sym_typename] = ACTIONS(2123),
    [anon_sym_template] = ACTIONS(2123),
    [anon_sym_operator] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2123),
    [anon_sym_delete] = ACTIONS(2123),
    [anon_sym_throw] = ACTIONS(2123),
    [anon_sym_namespace] = ACTIONS(2123),
    [anon_sym_using] = ACTIONS(2123),
    [anon_sym_static_assert] = ACTIONS(2123),
    [anon_sym_concept] = ACTIONS(2123),
    [anon_sym_co_return] = ACTIONS(2123),
    [anon_sym_co_yield] = ACTIONS(2123),
    [anon_sym_R_DQUOTE] = ACTIONS(2125),
    [anon_sym_LR_DQUOTE] = ACTIONS(2125),
    [anon_sym_uR_DQUOTE] = ACTIONS(2125),
    [anon_sym_UR_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2125),
    [anon_sym_co_await] = ACTIONS(2123),
    [anon_sym_new] = ACTIONS(2123),
    [anon_sym_requires] = ACTIONS(2123),
    [sym_this] = ACTIONS(2123),
    [anon_sym_discard] = ACTIONS(2123),
    [anon_sym_precise] = ACTIONS(2123),
    [anon_sym_shared] = ACTIONS(2123),
    [anon_sym_groupshared] = ACTIONS(2123),
    [anon_sym_uniform] = ACTIONS(2123),
    [anon_sym_row_major] = ACTIONS(2123),
    [anon_sym_column_major] = ACTIONS(2123),
    [anon_sym_globallycoherent] = ACTIONS(2123),
    [anon_sym_centroid] = ACTIONS(2123),
    [anon_sym_noperspective] = ACTIONS(2123),
    [anon_sym_nointerpolation] = ACTIONS(2123),
    [anon_sym_sample] = ACTIONS(2123),
    [anon_sym_linear] = ACTIONS(2123),
    [anon_sym_snorm] = ACTIONS(2123),
    [anon_sym_unorm] = ACTIONS(2123),
    [anon_sym_point] = ACTIONS(2123),
    [anon_sym_line] = ACTIONS(2123),
    [anon_sym_triangleadj] = ACTIONS(2123),
    [anon_sym_lineadj] = ACTIONS(2123),
    [anon_sym_triangle] = ACTIONS(2123),
    [anon_sym_cbuffer] = ACTIONS(2123),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym___attribute] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [anon_sym___asm] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2338),
    [aux_sym_preproc_include_token1] = ACTIONS(2338),
    [aux_sym_preproc_def_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token2] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2338),
    [sym_preproc_directive] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym___attribute] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym___based] = ACTIONS(2338),
    [anon_sym___cdecl] = ACTIONS(2338),
    [anon_sym___clrcall] = ACTIONS(2338),
    [anon_sym___stdcall] = ACTIONS(2338),
    [anon_sym___fastcall] = ACTIONS(2338),
    [anon_sym___thiscall] = ACTIONS(2338),
    [anon_sym___vectorcall] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym__Nonnull] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym__Alignas] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [anon_sym___asm] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_explicit] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_operator] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_static_assert] = ACTIONS(2338),
    [anon_sym_concept] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2185),
    [aux_sym_preproc_include_token1] = ACTIONS(2185),
    [aux_sym_preproc_def_token1] = ACTIONS(2185),
    [aux_sym_preproc_if_token1] = ACTIONS(2185),
    [aux_sym_preproc_if_token2] = ACTIONS(2185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2185),
    [sym_preproc_directive] = ACTIONS(2185),
    [anon_sym_LPAREN2] = ACTIONS(2187),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_AMP_AMP] = ACTIONS(2187),
    [anon_sym_AMP] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym___extension__] = ACTIONS(2185),
    [anon_sym_typedef] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2185),
    [anon_sym_out] = ACTIONS(2185),
    [anon_sym_inout] = ACTIONS(2185),
    [anon_sym_virtual] = ACTIONS(2185),
    [anon_sym_extern] = ACTIONS(2185),
    [anon_sym___attribute__] = ACTIONS(2185),
    [anon_sym___attribute] = ACTIONS(2185),
    [anon_sym_COLON_COLON] = ACTIONS(2187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2187),
    [anon_sym___declspec] = ACTIONS(2185),
    [anon_sym___based] = ACTIONS(2185),
    [anon_sym___cdecl] = ACTIONS(2185),
    [anon_sym___clrcall] = ACTIONS(2185),
    [anon_sym___stdcall] = ACTIONS(2185),
    [anon_sym___fastcall] = ACTIONS(2185),
    [anon_sym___thiscall] = ACTIONS(2185),
    [anon_sym___vectorcall] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_signed] = ACTIONS(2185),
    [anon_sym_unsigned] = ACTIONS(2185),
    [anon_sym_long] = ACTIONS(2185),
    [anon_sym_short] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_register] = ACTIONS(2185),
    [anon_sym_inline] = ACTIONS(2185),
    [anon_sym___inline] = ACTIONS(2185),
    [anon_sym___inline__] = ACTIONS(2185),
    [anon_sym___forceinline] = ACTIONS(2185),
    [anon_sym_thread_local] = ACTIONS(2185),
    [anon_sym___thread] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_constexpr] = ACTIONS(2185),
    [anon_sym_volatile] = ACTIONS(2185),
    [anon_sym_restrict] = ACTIONS(2185),
    [anon_sym___restrict__] = ACTIONS(2185),
    [anon_sym__Atomic] = ACTIONS(2185),
    [anon_sym__Noreturn] = ACTIONS(2185),
    [anon_sym_noreturn] = ACTIONS(2185),
    [anon_sym__Nonnull] = ACTIONS(2185),
    [anon_sym_mutable] = ACTIONS(2185),
    [anon_sym_constinit] = ACTIONS(2185),
    [anon_sym_consteval] = ACTIONS(2185),
    [anon_sym_alignas] = ACTIONS(2185),
    [anon_sym__Alignas] = ACTIONS(2185),
    [sym_primitive_type] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_struct] = ACTIONS(2185),
    [anon_sym_union] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym___try] = ACTIONS(2185),
    [anon_sym___leave] = ACTIONS(2185),
    [anon_sym_not] = ACTIONS(2185),
    [anon_sym_compl] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2187),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_sizeof] = ACTIONS(2185),
    [anon_sym___alignof__] = ACTIONS(2185),
    [anon_sym___alignof] = ACTIONS(2185),
    [anon_sym__alignof] = ACTIONS(2185),
    [anon_sym_alignof] = ACTIONS(2185),
    [anon_sym__Alignof] = ACTIONS(2185),
    [anon_sym_offsetof] = ACTIONS(2185),
    [anon_sym__Generic] = ACTIONS(2185),
    [anon_sym_asm] = ACTIONS(2185),
    [anon_sym___asm__] = ACTIONS(2185),
    [anon_sym___asm] = ACTIONS(2185),
    [sym_number_literal] = ACTIONS(2187),
    [anon_sym_L_SQUOTE] = ACTIONS(2187),
    [anon_sym_u_SQUOTE] = ACTIONS(2187),
    [anon_sym_U_SQUOTE] = ACTIONS(2187),
    [anon_sym_u8_SQUOTE] = ACTIONS(2187),
    [anon_sym_SQUOTE] = ACTIONS(2187),
    [anon_sym_L_DQUOTE] = ACTIONS(2187),
    [anon_sym_u_DQUOTE] = ACTIONS(2187),
    [anon_sym_U_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8_DQUOTE] = ACTIONS(2187),
    [anon_sym_DQUOTE] = ACTIONS(2187),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [anon_sym_NULL] = ACTIONS(2185),
    [anon_sym_nullptr] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2185),
    [anon_sym_decltype] = ACTIONS(2185),
    [anon_sym_explicit] = ACTIONS(2185),
    [anon_sym_typename] = ACTIONS(2185),
    [anon_sym_template] = ACTIONS(2185),
    [anon_sym_operator] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_static_assert] = ACTIONS(2185),
    [anon_sym_concept] = ACTIONS(2185),
    [anon_sym_co_return] = ACTIONS(2185),
    [anon_sym_co_yield] = ACTIONS(2185),
    [anon_sym_R_DQUOTE] = ACTIONS(2187),
    [anon_sym_LR_DQUOTE] = ACTIONS(2187),
    [anon_sym_uR_DQUOTE] = ACTIONS(2187),
    [anon_sym_UR_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2187),
    [anon_sym_co_await] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_requires] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [anon_sym_discard] = ACTIONS(2185),
    [anon_sym_precise] = ACTIONS(2185),
    [anon_sym_shared] = ACTIONS(2185),
    [anon_sym_groupshared] = ACTIONS(2185),
    [anon_sym_uniform] = ACTIONS(2185),
    [anon_sym_row_major] = ACTIONS(2185),
    [anon_sym_column_major] = ACTIONS(2185),
    [anon_sym_globallycoherent] = ACTIONS(2185),
    [anon_sym_centroid] = ACTIONS(2185),
    [anon_sym_noperspective] = ACTIONS(2185),
    [anon_sym_nointerpolation] = ACTIONS(2185),
    [anon_sym_sample] = ACTIONS(2185),
    [anon_sym_linear] = ACTIONS(2185),
    [anon_sym_snorm] = ACTIONS(2185),
    [anon_sym_unorm] = ACTIONS(2185),
    [anon_sym_point] = ACTIONS(2185),
    [anon_sym_line] = ACTIONS(2185),
    [anon_sym_triangleadj] = ACTIONS(2185),
    [anon_sym_lineadj] = ACTIONS(2185),
    [anon_sym_triangle] = ACTIONS(2185),
    [anon_sym_cbuffer] = ACTIONS(2185),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2193),
    [aux_sym_preproc_include_token1] = ACTIONS(2193),
    [aux_sym_preproc_def_token1] = ACTIONS(2193),
    [aux_sym_preproc_if_token1] = ACTIONS(2193),
    [aux_sym_preproc_if_token2] = ACTIONS(2193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2193),
    [sym_preproc_directive] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym___extension__] = ACTIONS(2193),
    [anon_sym_typedef] = ACTIONS(2193),
    [anon_sym_in] = ACTIONS(2193),
    [anon_sym_out] = ACTIONS(2193),
    [anon_sym_inout] = ACTIONS(2193),
    [anon_sym_virtual] = ACTIONS(2193),
    [anon_sym_extern] = ACTIONS(2193),
    [anon_sym___attribute__] = ACTIONS(2193),
    [anon_sym___attribute] = ACTIONS(2193),
    [anon_sym_COLON_COLON] = ACTIONS(2195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2195),
    [anon_sym___declspec] = ACTIONS(2193),
    [anon_sym___based] = ACTIONS(2193),
    [anon_sym___cdecl] = ACTIONS(2193),
    [anon_sym___clrcall] = ACTIONS(2193),
    [anon_sym___stdcall] = ACTIONS(2193),
    [anon_sym___fastcall] = ACTIONS(2193),
    [anon_sym___thiscall] = ACTIONS(2193),
    [anon_sym___vectorcall] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_signed] = ACTIONS(2193),
    [anon_sym_unsigned] = ACTIONS(2193),
    [anon_sym_long] = ACTIONS(2193),
    [anon_sym_short] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_register] = ACTIONS(2193),
    [anon_sym_inline] = ACTIONS(2193),
    [anon_sym___inline] = ACTIONS(2193),
    [anon_sym___inline__] = ACTIONS(2193),
    [anon_sym___forceinline] = ACTIONS(2193),
    [anon_sym_thread_local] = ACTIONS(2193),
    [anon_sym___thread] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_constexpr] = ACTIONS(2193),
    [anon_sym_volatile] = ACTIONS(2193),
    [anon_sym_restrict] = ACTIONS(2193),
    [anon_sym___restrict__] = ACTIONS(2193),
    [anon_sym__Atomic] = ACTIONS(2193),
    [anon_sym__Noreturn] = ACTIONS(2193),
    [anon_sym_noreturn] = ACTIONS(2193),
    [anon_sym__Nonnull] = ACTIONS(2193),
    [anon_sym_mutable] = ACTIONS(2193),
    [anon_sym_constinit] = ACTIONS(2193),
    [anon_sym_consteval] = ACTIONS(2193),
    [anon_sym_alignas] = ACTIONS(2193),
    [anon_sym__Alignas] = ACTIONS(2193),
    [sym_primitive_type] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_struct] = ACTIONS(2193),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym___try] = ACTIONS(2193),
    [anon_sym___leave] = ACTIONS(2193),
    [anon_sym_not] = ACTIONS(2193),
    [anon_sym_compl] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_sizeof] = ACTIONS(2193),
    [anon_sym___alignof__] = ACTIONS(2193),
    [anon_sym___alignof] = ACTIONS(2193),
    [anon_sym__alignof] = ACTIONS(2193),
    [anon_sym_alignof] = ACTIONS(2193),
    [anon_sym__Alignof] = ACTIONS(2193),
    [anon_sym_offsetof] = ACTIONS(2193),
    [anon_sym__Generic] = ACTIONS(2193),
    [anon_sym_asm] = ACTIONS(2193),
    [anon_sym___asm__] = ACTIONS(2193),
    [anon_sym___asm] = ACTIONS(2193),
    [sym_number_literal] = ACTIONS(2195),
    [anon_sym_L_SQUOTE] = ACTIONS(2195),
    [anon_sym_u_SQUOTE] = ACTIONS(2195),
    [anon_sym_U_SQUOTE] = ACTIONS(2195),
    [anon_sym_u8_SQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_L_DQUOTE] = ACTIONS(2195),
    [anon_sym_u_DQUOTE] = ACTIONS(2195),
    [anon_sym_U_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8_DQUOTE] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [anon_sym_NULL] = ACTIONS(2193),
    [anon_sym_nullptr] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2193),
    [anon_sym_decltype] = ACTIONS(2193),
    [anon_sym_explicit] = ACTIONS(2193),
    [anon_sym_typename] = ACTIONS(2193),
    [anon_sym_template] = ACTIONS(2193),
    [anon_sym_operator] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_static_assert] = ACTIONS(2193),
    [anon_sym_concept] = ACTIONS(2193),
    [anon_sym_co_return] = ACTIONS(2193),
    [anon_sym_co_yield] = ACTIONS(2193),
    [anon_sym_R_DQUOTE] = ACTIONS(2195),
    [anon_sym_LR_DQUOTE] = ACTIONS(2195),
    [anon_sym_uR_DQUOTE] = ACTIONS(2195),
    [anon_sym_UR_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2195),
    [anon_sym_co_await] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_requires] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [anon_sym_discard] = ACTIONS(2193),
    [anon_sym_precise] = ACTIONS(2193),
    [anon_sym_shared] = ACTIONS(2193),
    [anon_sym_groupshared] = ACTIONS(2193),
    [anon_sym_uniform] = ACTIONS(2193),
    [anon_sym_row_major] = ACTIONS(2193),
    [anon_sym_column_major] = ACTIONS(2193),
    [anon_sym_globallycoherent] = ACTIONS(2193),
    [anon_sym_centroid] = ACTIONS(2193),
    [anon_sym_noperspective] = ACTIONS(2193),
    [anon_sym_nointerpolation] = ACTIONS(2193),
    [anon_sym_sample] = ACTIONS(2193),
    [anon_sym_linear] = ACTIONS(2193),
    [anon_sym_snorm] = ACTIONS(2193),
    [anon_sym_unorm] = ACTIONS(2193),
    [anon_sym_point] = ACTIONS(2193),
    [anon_sym_line] = ACTIONS(2193),
    [anon_sym_triangleadj] = ACTIONS(2193),
    [anon_sym_lineadj] = ACTIONS(2193),
    [anon_sym_triangle] = ACTIONS(2193),
    [anon_sym_cbuffer] = ACTIONS(2193),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2213),
    [aux_sym_preproc_include_token1] = ACTIONS(2213),
    [aux_sym_preproc_def_token1] = ACTIONS(2213),
    [aux_sym_preproc_if_token1] = ACTIONS(2213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2213),
    [sym_preproc_directive] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym___extension__] = ACTIONS(2213),
    [anon_sym_typedef] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2213),
    [anon_sym_out] = ACTIONS(2213),
    [anon_sym_inout] = ACTIONS(2213),
    [anon_sym_virtual] = ACTIONS(2213),
    [anon_sym_extern] = ACTIONS(2213),
    [anon_sym___attribute__] = ACTIONS(2213),
    [anon_sym___attribute] = ACTIONS(2213),
    [anon_sym_COLON_COLON] = ACTIONS(2215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2215),
    [anon_sym___declspec] = ACTIONS(2213),
    [anon_sym___based] = ACTIONS(2213),
    [anon_sym___cdecl] = ACTIONS(2213),
    [anon_sym___clrcall] = ACTIONS(2213),
    [anon_sym___stdcall] = ACTIONS(2213),
    [anon_sym___fastcall] = ACTIONS(2213),
    [anon_sym___thiscall] = ACTIONS(2213),
    [anon_sym___vectorcall] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_signed] = ACTIONS(2213),
    [anon_sym_unsigned] = ACTIONS(2213),
    [anon_sym_long] = ACTIONS(2213),
    [anon_sym_short] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_register] = ACTIONS(2213),
    [anon_sym_inline] = ACTIONS(2213),
    [anon_sym___inline] = ACTIONS(2213),
    [anon_sym___inline__] = ACTIONS(2213),
    [anon_sym___forceinline] = ACTIONS(2213),
    [anon_sym_thread_local] = ACTIONS(2213),
    [anon_sym___thread] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_constexpr] = ACTIONS(2213),
    [anon_sym_volatile] = ACTIONS(2213),
    [anon_sym_restrict] = ACTIONS(2213),
    [anon_sym___restrict__] = ACTIONS(2213),
    [anon_sym__Atomic] = ACTIONS(2213),
    [anon_sym__Noreturn] = ACTIONS(2213),
    [anon_sym_noreturn] = ACTIONS(2213),
    [anon_sym__Nonnull] = ACTIONS(2213),
    [anon_sym_mutable] = ACTIONS(2213),
    [anon_sym_constinit] = ACTIONS(2213),
    [anon_sym_consteval] = ACTIONS(2213),
    [anon_sym_alignas] = ACTIONS(2213),
    [anon_sym__Alignas] = ACTIONS(2213),
    [sym_primitive_type] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_struct] = ACTIONS(2213),
    [anon_sym_union] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym___try] = ACTIONS(2213),
    [anon_sym___leave] = ACTIONS(2213),
    [anon_sym_not] = ACTIONS(2213),
    [anon_sym_compl] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_sizeof] = ACTIONS(2213),
    [anon_sym___alignof__] = ACTIONS(2213),
    [anon_sym___alignof] = ACTIONS(2213),
    [anon_sym__alignof] = ACTIONS(2213),
    [anon_sym_alignof] = ACTIONS(2213),
    [anon_sym__Alignof] = ACTIONS(2213),
    [anon_sym_offsetof] = ACTIONS(2213),
    [anon_sym__Generic] = ACTIONS(2213),
    [anon_sym_asm] = ACTIONS(2213),
    [anon_sym___asm__] = ACTIONS(2213),
    [anon_sym___asm] = ACTIONS(2213),
    [sym_number_literal] = ACTIONS(2215),
    [anon_sym_L_SQUOTE] = ACTIONS(2215),
    [anon_sym_u_SQUOTE] = ACTIONS(2215),
    [anon_sym_U_SQUOTE] = ACTIONS(2215),
    [anon_sym_u8_SQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_L_DQUOTE] = ACTIONS(2215),
    [anon_sym_u_DQUOTE] = ACTIONS(2215),
    [anon_sym_U_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8_DQUOTE] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [anon_sym_NULL] = ACTIONS(2213),
    [anon_sym_nullptr] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2213),
    [anon_sym_decltype] = ACTIONS(2213),
    [anon_sym_explicit] = ACTIONS(2213),
    [anon_sym_typename] = ACTIONS(2213),
    [anon_sym_template] = ACTIONS(2213),
    [anon_sym_operator] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_static_assert] = ACTIONS(2213),
    [anon_sym_concept] = ACTIONS(2213),
    [anon_sym_co_return] = ACTIONS(2213),
    [anon_sym_co_yield] = ACTIONS(2213),
    [anon_sym_R_DQUOTE] = ACTIONS(2215),
    [anon_sym_LR_DQUOTE] = ACTIONS(2215),
    [anon_sym_uR_DQUOTE] = ACTIONS(2215),
    [anon_sym_UR_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2215),
    [anon_sym_co_await] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_requires] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [anon_sym_discard] = ACTIONS(2213),
    [anon_sym_precise] = ACTIONS(2213),
    [anon_sym_shared] = ACTIONS(2213),
    [anon_sym_groupshared] = ACTIONS(2213),
    [anon_sym_uniform] = ACTIONS(2213),
    [anon_sym_row_major] = ACTIONS(2213),
    [anon_sym_column_major] = ACTIONS(2213),
    [anon_sym_globallycoherent] = ACTIONS(2213),
    [anon_sym_centroid] = ACTIONS(2213),
    [anon_sym_noperspective] = ACTIONS(2213),
    [anon_sym_nointerpolation] = ACTIONS(2213),
    [anon_sym_sample] = ACTIONS(2213),
    [anon_sym_linear] = ACTIONS(2213),
    [anon_sym_snorm] = ACTIONS(2213),
    [anon_sym_unorm] = ACTIONS(2213),
    [anon_sym_point] = ACTIONS(2213),
    [anon_sym_line] = ACTIONS(2213),
    [anon_sym_triangleadj] = ACTIONS(2213),
    [anon_sym_lineadj] = ACTIONS(2213),
    [anon_sym_triangle] = ACTIONS(2213),
    [anon_sym_cbuffer] = ACTIONS(2213),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2177),
    [aux_sym_preproc_include_token1] = ACTIONS(2177),
    [aux_sym_preproc_def_token1] = ACTIONS(2177),
    [aux_sym_preproc_if_token1] = ACTIONS(2177),
    [aux_sym_preproc_if_token2] = ACTIONS(2177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2177),
    [sym_preproc_directive] = ACTIONS(2177),
    [anon_sym_LPAREN2] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_AMP_AMP] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym___extension__] = ACTIONS(2177),
    [anon_sym_typedef] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2177),
    [anon_sym_out] = ACTIONS(2177),
    [anon_sym_inout] = ACTIONS(2177),
    [anon_sym_virtual] = ACTIONS(2177),
    [anon_sym_extern] = ACTIONS(2177),
    [anon_sym___attribute__] = ACTIONS(2177),
    [anon_sym___attribute] = ACTIONS(2177),
    [anon_sym_COLON_COLON] = ACTIONS(2179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2179),
    [anon_sym___declspec] = ACTIONS(2177),
    [anon_sym___based] = ACTIONS(2177),
    [anon_sym___cdecl] = ACTIONS(2177),
    [anon_sym___clrcall] = ACTIONS(2177),
    [anon_sym___stdcall] = ACTIONS(2177),
    [anon_sym___fastcall] = ACTIONS(2177),
    [anon_sym___thiscall] = ACTIONS(2177),
    [anon_sym___vectorcall] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_signed] = ACTIONS(2177),
    [anon_sym_unsigned] = ACTIONS(2177),
    [anon_sym_long] = ACTIONS(2177),
    [anon_sym_short] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_register] = ACTIONS(2177),
    [anon_sym_inline] = ACTIONS(2177),
    [anon_sym___inline] = ACTIONS(2177),
    [anon_sym___inline__] = ACTIONS(2177),
    [anon_sym___forceinline] = ACTIONS(2177),
    [anon_sym_thread_local] = ACTIONS(2177),
    [anon_sym___thread] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_constexpr] = ACTIONS(2177),
    [anon_sym_volatile] = ACTIONS(2177),
    [anon_sym_restrict] = ACTIONS(2177),
    [anon_sym___restrict__] = ACTIONS(2177),
    [anon_sym__Atomic] = ACTIONS(2177),
    [anon_sym__Noreturn] = ACTIONS(2177),
    [anon_sym_noreturn] = ACTIONS(2177),
    [anon_sym__Nonnull] = ACTIONS(2177),
    [anon_sym_mutable] = ACTIONS(2177),
    [anon_sym_constinit] = ACTIONS(2177),
    [anon_sym_consteval] = ACTIONS(2177),
    [anon_sym_alignas] = ACTIONS(2177),
    [anon_sym__Alignas] = ACTIONS(2177),
    [sym_primitive_type] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_struct] = ACTIONS(2177),
    [anon_sym_union] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym___try] = ACTIONS(2177),
    [anon_sym___leave] = ACTIONS(2177),
    [anon_sym_not] = ACTIONS(2177),
    [anon_sym_compl] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_sizeof] = ACTIONS(2177),
    [anon_sym___alignof__] = ACTIONS(2177),
    [anon_sym___alignof] = ACTIONS(2177),
    [anon_sym__alignof] = ACTIONS(2177),
    [anon_sym_alignof] = ACTIONS(2177),
    [anon_sym__Alignof] = ACTIONS(2177),
    [anon_sym_offsetof] = ACTIONS(2177),
    [anon_sym__Generic] = ACTIONS(2177),
    [anon_sym_asm] = ACTIONS(2177),
    [anon_sym___asm__] = ACTIONS(2177),
    [anon_sym___asm] = ACTIONS(2177),
    [sym_number_literal] = ACTIONS(2179),
    [anon_sym_L_SQUOTE] = ACTIONS(2179),
    [anon_sym_u_SQUOTE] = ACTIONS(2179),
    [anon_sym_U_SQUOTE] = ACTIONS(2179),
    [anon_sym_u8_SQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_L_DQUOTE] = ACTIONS(2179),
    [anon_sym_u_DQUOTE] = ACTIONS(2179),
    [anon_sym_U_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8_DQUOTE] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2177),
    [anon_sym_nullptr] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2177),
    [anon_sym_decltype] = ACTIONS(2177),
    [anon_sym_explicit] = ACTIONS(2177),
    [anon_sym_typename] = ACTIONS(2177),
    [anon_sym_template] = ACTIONS(2177),
    [anon_sym_operator] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_static_assert] = ACTIONS(2177),
    [anon_sym_concept] = ACTIONS(2177),
    [anon_sym_co_return] = ACTIONS(2177),
    [anon_sym_co_yield] = ACTIONS(2177),
    [anon_sym_R_DQUOTE] = ACTIONS(2179),
    [anon_sym_LR_DQUOTE] = ACTIONS(2179),
    [anon_sym_uR_DQUOTE] = ACTIONS(2179),
    [anon_sym_UR_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2179),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [anon_sym_discard] = ACTIONS(2177),
    [anon_sym_precise] = ACTIONS(2177),
    [anon_sym_shared] = ACTIONS(2177),
    [anon_sym_groupshared] = ACTIONS(2177),
    [anon_sym_uniform] = ACTIONS(2177),
    [anon_sym_row_major] = ACTIONS(2177),
    [anon_sym_column_major] = ACTIONS(2177),
    [anon_sym_globallycoherent] = ACTIONS(2177),
    [anon_sym_centroid] = ACTIONS(2177),
    [anon_sym_noperspective] = ACTIONS(2177),
    [anon_sym_nointerpolation] = ACTIONS(2177),
    [anon_sym_sample] = ACTIONS(2177),
    [anon_sym_linear] = ACTIONS(2177),
    [anon_sym_snorm] = ACTIONS(2177),
    [anon_sym_unorm] = ACTIONS(2177),
    [anon_sym_point] = ACTIONS(2177),
    [anon_sym_line] = ACTIONS(2177),
    [anon_sym_triangleadj] = ACTIONS(2177),
    [anon_sym_lineadj] = ACTIONS(2177),
    [anon_sym_triangle] = ACTIONS(2177),
    [anon_sym_cbuffer] = ACTIONS(2177),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2181),
    [aux_sym_preproc_include_token1] = ACTIONS(2181),
    [aux_sym_preproc_def_token1] = ACTIONS(2181),
    [aux_sym_preproc_if_token1] = ACTIONS(2181),
    [aux_sym_preproc_if_token2] = ACTIONS(2181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2181),
    [sym_preproc_directive] = ACTIONS(2181),
    [anon_sym_LPAREN2] = ACTIONS(2183),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym___extension__] = ACTIONS(2181),
    [anon_sym_typedef] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(2181),
    [anon_sym_out] = ACTIONS(2181),
    [anon_sym_inout] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(2181),
    [anon_sym_extern] = ACTIONS(2181),
    [anon_sym___attribute__] = ACTIONS(2181),
    [anon_sym___attribute] = ACTIONS(2181),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2183),
    [anon_sym___declspec] = ACTIONS(2181),
    [anon_sym___based] = ACTIONS(2181),
    [anon_sym___cdecl] = ACTIONS(2181),
    [anon_sym___clrcall] = ACTIONS(2181),
    [anon_sym___stdcall] = ACTIONS(2181),
    [anon_sym___fastcall] = ACTIONS(2181),
    [anon_sym___thiscall] = ACTIONS(2181),
    [anon_sym___vectorcall] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_signed] = ACTIONS(2181),
    [anon_sym_unsigned] = ACTIONS(2181),
    [anon_sym_long] = ACTIONS(2181),
    [anon_sym_short] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_register] = ACTIONS(2181),
    [anon_sym_inline] = ACTIONS(2181),
    [anon_sym___inline] = ACTIONS(2181),
    [anon_sym___inline__] = ACTIONS(2181),
    [anon_sym___forceinline] = ACTIONS(2181),
    [anon_sym_thread_local] = ACTIONS(2181),
    [anon_sym___thread] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_constexpr] = ACTIONS(2181),
    [anon_sym_volatile] = ACTIONS(2181),
    [anon_sym_restrict] = ACTIONS(2181),
    [anon_sym___restrict__] = ACTIONS(2181),
    [anon_sym__Atomic] = ACTIONS(2181),
    [anon_sym__Noreturn] = ACTIONS(2181),
    [anon_sym_noreturn] = ACTIONS(2181),
    [anon_sym__Nonnull] = ACTIONS(2181),
    [anon_sym_mutable] = ACTIONS(2181),
    [anon_sym_constinit] = ACTIONS(2181),
    [anon_sym_consteval] = ACTIONS(2181),
    [anon_sym_alignas] = ACTIONS(2181),
    [anon_sym__Alignas] = ACTIONS(2181),
    [sym_primitive_type] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_struct] = ACTIONS(2181),
    [anon_sym_union] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym___try] = ACTIONS(2181),
    [anon_sym___leave] = ACTIONS(2181),
    [anon_sym_not] = ACTIONS(2181),
    [anon_sym_compl] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_sizeof] = ACTIONS(2181),
    [anon_sym___alignof__] = ACTIONS(2181),
    [anon_sym___alignof] = ACTIONS(2181),
    [anon_sym__alignof] = ACTIONS(2181),
    [anon_sym_alignof] = ACTIONS(2181),
    [anon_sym__Alignof] = ACTIONS(2181),
    [anon_sym_offsetof] = ACTIONS(2181),
    [anon_sym__Generic] = ACTIONS(2181),
    [anon_sym_asm] = ACTIONS(2181),
    [anon_sym___asm__] = ACTIONS(2181),
    [anon_sym___asm] = ACTIONS(2181),
    [sym_number_literal] = ACTIONS(2183),
    [anon_sym_L_SQUOTE] = ACTIONS(2183),
    [anon_sym_u_SQUOTE] = ACTIONS(2183),
    [anon_sym_U_SQUOTE] = ACTIONS(2183),
    [anon_sym_u8_SQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [anon_sym_L_DQUOTE] = ACTIONS(2183),
    [anon_sym_u_DQUOTE] = ACTIONS(2183),
    [anon_sym_U_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8_DQUOTE] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [anon_sym_NULL] = ACTIONS(2181),
    [anon_sym_nullptr] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2181),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_explicit] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(2181),
    [anon_sym_operator] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_static_assert] = ACTIONS(2181),
    [anon_sym_concept] = ACTIONS(2181),
    [anon_sym_co_return] = ACTIONS(2181),
    [anon_sym_co_yield] = ACTIONS(2181),
    [anon_sym_R_DQUOTE] = ACTIONS(2183),
    [anon_sym_LR_DQUOTE] = ACTIONS(2183),
    [anon_sym_uR_DQUOTE] = ACTIONS(2183),
    [anon_sym_UR_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2183),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_requires] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [anon_sym_discard] = ACTIONS(2181),
    [anon_sym_precise] = ACTIONS(2181),
    [anon_sym_shared] = ACTIONS(2181),
    [anon_sym_groupshared] = ACTIONS(2181),
    [anon_sym_uniform] = ACTIONS(2181),
    [anon_sym_row_major] = ACTIONS(2181),
    [anon_sym_column_major] = ACTIONS(2181),
    [anon_sym_globallycoherent] = ACTIONS(2181),
    [anon_sym_centroid] = ACTIONS(2181),
    [anon_sym_noperspective] = ACTIONS(2181),
    [anon_sym_nointerpolation] = ACTIONS(2181),
    [anon_sym_sample] = ACTIONS(2181),
    [anon_sym_linear] = ACTIONS(2181),
    [anon_sym_snorm] = ACTIONS(2181),
    [anon_sym_unorm] = ACTIONS(2181),
    [anon_sym_point] = ACTIONS(2181),
    [anon_sym_line] = ACTIONS(2181),
    [anon_sym_triangleadj] = ACTIONS(2181),
    [anon_sym_lineadj] = ACTIONS(2181),
    [anon_sym_triangle] = ACTIONS(2181),
    [anon_sym_cbuffer] = ACTIONS(2181),
  },
  [462] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2839),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2189),
    [aux_sym_preproc_include_token1] = ACTIONS(2189),
    [aux_sym_preproc_def_token1] = ACTIONS(2189),
    [aux_sym_preproc_if_token1] = ACTIONS(2189),
    [aux_sym_preproc_if_token2] = ACTIONS(2189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2189),
    [sym_preproc_directive] = ACTIONS(2189),
    [anon_sym_LPAREN2] = ACTIONS(2191),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_typedef] = ACTIONS(2189),
    [anon_sym_in] = ACTIONS(2189),
    [anon_sym_out] = ACTIONS(2189),
    [anon_sym_inout] = ACTIONS(2189),
    [anon_sym_virtual] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_COLON_COLON] = ACTIONS(2191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2191),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_signed] = ACTIONS(2189),
    [anon_sym_unsigned] = ACTIONS(2189),
    [anon_sym_long] = ACTIONS(2189),
    [anon_sym_short] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_mutable] = ACTIONS(2189),
    [anon_sym_constinit] = ACTIONS(2189),
    [anon_sym_consteval] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [sym_primitive_type] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_union] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym___try] = ACTIONS(2189),
    [anon_sym___leave] = ACTIONS(2189),
    [anon_sym_not] = ACTIONS(2189),
    [anon_sym_compl] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_sizeof] = ACTIONS(2189),
    [anon_sym___alignof__] = ACTIONS(2189),
    [anon_sym___alignof] = ACTIONS(2189),
    [anon_sym__alignof] = ACTIONS(2189),
    [anon_sym_alignof] = ACTIONS(2189),
    [anon_sym__Alignof] = ACTIONS(2189),
    [anon_sym_offsetof] = ACTIONS(2189),
    [anon_sym__Generic] = ACTIONS(2189),
    [anon_sym_asm] = ACTIONS(2189),
    [anon_sym___asm__] = ACTIONS(2189),
    [anon_sym___asm] = ACTIONS(2189),
    [sym_number_literal] = ACTIONS(2191),
    [anon_sym_L_SQUOTE] = ACTIONS(2191),
    [anon_sym_u_SQUOTE] = ACTIONS(2191),
    [anon_sym_U_SQUOTE] = ACTIONS(2191),
    [anon_sym_u8_SQUOTE] = ACTIONS(2191),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(2191),
    [anon_sym_u_DQUOTE] = ACTIONS(2191),
    [anon_sym_U_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8_DQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2191),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [anon_sym_NULL] = ACTIONS(2189),
    [anon_sym_nullptr] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2189),
    [anon_sym_decltype] = ACTIONS(2189),
    [anon_sym_explicit] = ACTIONS(2189),
    [anon_sym_typename] = ACTIONS(2189),
    [anon_sym_template] = ACTIONS(2189),
    [anon_sym_operator] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_static_assert] = ACTIONS(2189),
    [anon_sym_concept] = ACTIONS(2189),
    [anon_sym_co_return] = ACTIONS(2189),
    [anon_sym_co_yield] = ACTIONS(2189),
    [anon_sym_R_DQUOTE] = ACTIONS(2191),
    [anon_sym_LR_DQUOTE] = ACTIONS(2191),
    [anon_sym_uR_DQUOTE] = ACTIONS(2191),
    [anon_sym_UR_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2191),
    [anon_sym_co_await] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [anon_sym_discard] = ACTIONS(2189),
    [anon_sym_precise] = ACTIONS(2189),
    [anon_sym_shared] = ACTIONS(2189),
    [anon_sym_groupshared] = ACTIONS(2189),
    [anon_sym_uniform] = ACTIONS(2189),
    [anon_sym_row_major] = ACTIONS(2189),
    [anon_sym_column_major] = ACTIONS(2189),
    [anon_sym_globallycoherent] = ACTIONS(2189),
    [anon_sym_centroid] = ACTIONS(2189),
    [anon_sym_noperspective] = ACTIONS(2189),
    [anon_sym_nointerpolation] = ACTIONS(2189),
    [anon_sym_sample] = ACTIONS(2189),
    [anon_sym_linear] = ACTIONS(2189),
    [anon_sym_snorm] = ACTIONS(2189),
    [anon_sym_unorm] = ACTIONS(2189),
    [anon_sym_point] = ACTIONS(2189),
    [anon_sym_line] = ACTIONS(2189),
    [anon_sym_triangleadj] = ACTIONS(2189),
    [anon_sym_lineadj] = ACTIONS(2189),
    [anon_sym_triangle] = ACTIONS(2189),
    [anon_sym_cbuffer] = ACTIONS(2189),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(2175),
    [sym_identifier] = ACTIONS(2173),
    [aux_sym_preproc_include_token1] = ACTIONS(2173),
    [aux_sym_preproc_def_token1] = ACTIONS(2173),
    [aux_sym_preproc_if_token1] = ACTIONS(2173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2173),
    [sym_preproc_directive] = ACTIONS(2173),
    [anon_sym_LPAREN2] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym___extension__] = ACTIONS(2173),
    [anon_sym_typedef] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_out] = ACTIONS(2173),
    [anon_sym_inout] = ACTIONS(2173),
    [anon_sym_virtual] = ACTIONS(2173),
    [anon_sym_extern] = ACTIONS(2173),
    [anon_sym___attribute__] = ACTIONS(2173),
    [anon_sym___attribute] = ACTIONS(2173),
    [anon_sym_COLON_COLON] = ACTIONS(2175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2175),
    [anon_sym___declspec] = ACTIONS(2173),
    [anon_sym___based] = ACTIONS(2173),
    [anon_sym___cdecl] = ACTIONS(2173),
    [anon_sym___clrcall] = ACTIONS(2173),
    [anon_sym___stdcall] = ACTIONS(2173),
    [anon_sym___fastcall] = ACTIONS(2173),
    [anon_sym___thiscall] = ACTIONS(2173),
    [anon_sym___vectorcall] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_signed] = ACTIONS(2173),
    [anon_sym_unsigned] = ACTIONS(2173),
    [anon_sym_long] = ACTIONS(2173),
    [anon_sym_short] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_register] = ACTIONS(2173),
    [anon_sym_inline] = ACTIONS(2173),
    [anon_sym___inline] = ACTIONS(2173),
    [anon_sym___inline__] = ACTIONS(2173),
    [anon_sym___forceinline] = ACTIONS(2173),
    [anon_sym_thread_local] = ACTIONS(2173),
    [anon_sym___thread] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_constexpr] = ACTIONS(2173),
    [anon_sym_volatile] = ACTIONS(2173),
    [anon_sym_restrict] = ACTIONS(2173),
    [anon_sym___restrict__] = ACTIONS(2173),
    [anon_sym__Atomic] = ACTIONS(2173),
    [anon_sym__Noreturn] = ACTIONS(2173),
    [anon_sym_noreturn] = ACTIONS(2173),
    [anon_sym__Nonnull] = ACTIONS(2173),
    [anon_sym_mutable] = ACTIONS(2173),
    [anon_sym_constinit] = ACTIONS(2173),
    [anon_sym_consteval] = ACTIONS(2173),
    [anon_sym_alignas] = ACTIONS(2173),
    [anon_sym__Alignas] = ACTIONS(2173),
    [sym_primitive_type] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_struct] = ACTIONS(2173),
    [anon_sym_union] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym___try] = ACTIONS(2173),
    [anon_sym___leave] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2173),
    [anon_sym_compl] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_sizeof] = ACTIONS(2173),
    [anon_sym___alignof__] = ACTIONS(2173),
    [anon_sym___alignof] = ACTIONS(2173),
    [anon_sym__alignof] = ACTIONS(2173),
    [anon_sym_alignof] = ACTIONS(2173),
    [anon_sym__Alignof] = ACTIONS(2173),
    [anon_sym_offsetof] = ACTIONS(2173),
    [anon_sym__Generic] = ACTIONS(2173),
    [anon_sym_asm] = ACTIONS(2173),
    [anon_sym___asm__] = ACTIONS(2173),
    [anon_sym___asm] = ACTIONS(2173),
    [sym_number_literal] = ACTIONS(2175),
    [anon_sym_L_SQUOTE] = ACTIONS(2175),
    [anon_sym_u_SQUOTE] = ACTIONS(2175),
    [anon_sym_U_SQUOTE] = ACTIONS(2175),
    [anon_sym_u8_SQUOTE] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2175),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [anon_sym_NULL] = ACTIONS(2173),
    [anon_sym_nullptr] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2173),
    [anon_sym_decltype] = ACTIONS(2173),
    [anon_sym_explicit] = ACTIONS(2173),
    [anon_sym_typename] = ACTIONS(2173),
    [anon_sym_template] = ACTIONS(2173),
    [anon_sym_operator] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_static_assert] = ACTIONS(2173),
    [anon_sym_concept] = ACTIONS(2173),
    [anon_sym_co_return] = ACTIONS(2173),
    [anon_sym_co_yield] = ACTIONS(2173),
    [anon_sym_R_DQUOTE] = ACTIONS(2175),
    [anon_sym_LR_DQUOTE] = ACTIONS(2175),
    [anon_sym_uR_DQUOTE] = ACTIONS(2175),
    [anon_sym_UR_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2175),
    [anon_sym_co_await] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_requires] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [anon_sym_discard] = ACTIONS(2173),
    [anon_sym_precise] = ACTIONS(2173),
    [anon_sym_shared] = ACTIONS(2173),
    [anon_sym_groupshared] = ACTIONS(2173),
    [anon_sym_uniform] = ACTIONS(2173),
    [anon_sym_row_major] = ACTIONS(2173),
    [anon_sym_column_major] = ACTIONS(2173),
    [anon_sym_globallycoherent] = ACTIONS(2173),
    [anon_sym_centroid] = ACTIONS(2173),
    [anon_sym_noperspective] = ACTIONS(2173),
    [anon_sym_nointerpolation] = ACTIONS(2173),
    [anon_sym_sample] = ACTIONS(2173),
    [anon_sym_linear] = ACTIONS(2173),
    [anon_sym_snorm] = ACTIONS(2173),
    [anon_sym_unorm] = ACTIONS(2173),
    [anon_sym_point] = ACTIONS(2173),
    [anon_sym_line] = ACTIONS(2173),
    [anon_sym_triangleadj] = ACTIONS(2173),
    [anon_sym_lineadj] = ACTIONS(2173),
    [anon_sym_triangle] = ACTIONS(2173),
    [anon_sym_cbuffer] = ACTIONS(2173),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(2215),
    [sym_identifier] = ACTIONS(2213),
    [aux_sym_preproc_include_token1] = ACTIONS(2213),
    [aux_sym_preproc_def_token1] = ACTIONS(2213),
    [aux_sym_preproc_if_token1] = ACTIONS(2213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2213),
    [sym_preproc_directive] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym___extension__] = ACTIONS(2213),
    [anon_sym_typedef] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2213),
    [anon_sym_out] = ACTIONS(2213),
    [anon_sym_inout] = ACTIONS(2213),
    [anon_sym_virtual] = ACTIONS(2213),
    [anon_sym_extern] = ACTIONS(2213),
    [anon_sym___attribute__] = ACTIONS(2213),
    [anon_sym___attribute] = ACTIONS(2213),
    [anon_sym_COLON_COLON] = ACTIONS(2215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2215),
    [anon_sym___declspec] = ACTIONS(2213),
    [anon_sym___based] = ACTIONS(2213),
    [anon_sym___cdecl] = ACTIONS(2213),
    [anon_sym___clrcall] = ACTIONS(2213),
    [anon_sym___stdcall] = ACTIONS(2213),
    [anon_sym___fastcall] = ACTIONS(2213),
    [anon_sym___thiscall] = ACTIONS(2213),
    [anon_sym___vectorcall] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_signed] = ACTIONS(2213),
    [anon_sym_unsigned] = ACTIONS(2213),
    [anon_sym_long] = ACTIONS(2213),
    [anon_sym_short] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_register] = ACTIONS(2213),
    [anon_sym_inline] = ACTIONS(2213),
    [anon_sym___inline] = ACTIONS(2213),
    [anon_sym___inline__] = ACTIONS(2213),
    [anon_sym___forceinline] = ACTIONS(2213),
    [anon_sym_thread_local] = ACTIONS(2213),
    [anon_sym___thread] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_constexpr] = ACTIONS(2213),
    [anon_sym_volatile] = ACTIONS(2213),
    [anon_sym_restrict] = ACTIONS(2213),
    [anon_sym___restrict__] = ACTIONS(2213),
    [anon_sym__Atomic] = ACTIONS(2213),
    [anon_sym__Noreturn] = ACTIONS(2213),
    [anon_sym_noreturn] = ACTIONS(2213),
    [anon_sym__Nonnull] = ACTIONS(2213),
    [anon_sym_mutable] = ACTIONS(2213),
    [anon_sym_constinit] = ACTIONS(2213),
    [anon_sym_consteval] = ACTIONS(2213),
    [anon_sym_alignas] = ACTIONS(2213),
    [anon_sym__Alignas] = ACTIONS(2213),
    [sym_primitive_type] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_struct] = ACTIONS(2213),
    [anon_sym_union] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym___try] = ACTIONS(2213),
    [anon_sym___leave] = ACTIONS(2213),
    [anon_sym_not] = ACTIONS(2213),
    [anon_sym_compl] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_sizeof] = ACTIONS(2213),
    [anon_sym___alignof__] = ACTIONS(2213),
    [anon_sym___alignof] = ACTIONS(2213),
    [anon_sym__alignof] = ACTIONS(2213),
    [anon_sym_alignof] = ACTIONS(2213),
    [anon_sym__Alignof] = ACTIONS(2213),
    [anon_sym_offsetof] = ACTIONS(2213),
    [anon_sym__Generic] = ACTIONS(2213),
    [anon_sym_asm] = ACTIONS(2213),
    [anon_sym___asm__] = ACTIONS(2213),
    [anon_sym___asm] = ACTIONS(2213),
    [sym_number_literal] = ACTIONS(2215),
    [anon_sym_L_SQUOTE] = ACTIONS(2215),
    [anon_sym_u_SQUOTE] = ACTIONS(2215),
    [anon_sym_U_SQUOTE] = ACTIONS(2215),
    [anon_sym_u8_SQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_L_DQUOTE] = ACTIONS(2215),
    [anon_sym_u_DQUOTE] = ACTIONS(2215),
    [anon_sym_U_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8_DQUOTE] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [anon_sym_NULL] = ACTIONS(2213),
    [anon_sym_nullptr] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2213),
    [anon_sym_decltype] = ACTIONS(2213),
    [anon_sym_explicit] = ACTIONS(2213),
    [anon_sym_typename] = ACTIONS(2213),
    [anon_sym_template] = ACTIONS(2213),
    [anon_sym_operator] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_static_assert] = ACTIONS(2213),
    [anon_sym_concept] = ACTIONS(2213),
    [anon_sym_co_return] = ACTIONS(2213),
    [anon_sym_co_yield] = ACTIONS(2213),
    [anon_sym_R_DQUOTE] = ACTIONS(2215),
    [anon_sym_LR_DQUOTE] = ACTIONS(2215),
    [anon_sym_uR_DQUOTE] = ACTIONS(2215),
    [anon_sym_UR_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2215),
    [anon_sym_co_await] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_requires] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [anon_sym_discard] = ACTIONS(2213),
    [anon_sym_precise] = ACTIONS(2213),
    [anon_sym_shared] = ACTIONS(2213),
    [anon_sym_groupshared] = ACTIONS(2213),
    [anon_sym_uniform] = ACTIONS(2213),
    [anon_sym_row_major] = ACTIONS(2213),
    [anon_sym_column_major] = ACTIONS(2213),
    [anon_sym_globallycoherent] = ACTIONS(2213),
    [anon_sym_centroid] = ACTIONS(2213),
    [anon_sym_noperspective] = ACTIONS(2213),
    [anon_sym_nointerpolation] = ACTIONS(2213),
    [anon_sym_sample] = ACTIONS(2213),
    [anon_sym_linear] = ACTIONS(2213),
    [anon_sym_snorm] = ACTIONS(2213),
    [anon_sym_unorm] = ACTIONS(2213),
    [anon_sym_point] = ACTIONS(2213),
    [anon_sym_line] = ACTIONS(2213),
    [anon_sym_triangleadj] = ACTIONS(2213),
    [anon_sym_lineadj] = ACTIONS(2213),
    [anon_sym_triangle] = ACTIONS(2213),
    [anon_sym_cbuffer] = ACTIONS(2213),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2197),
    [aux_sym_preproc_include_token1] = ACTIONS(2197),
    [aux_sym_preproc_def_token1] = ACTIONS(2197),
    [aux_sym_preproc_if_token1] = ACTIONS(2197),
    [aux_sym_preproc_if_token2] = ACTIONS(2197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2197),
    [sym_preproc_directive] = ACTIONS(2197),
    [anon_sym_LPAREN2] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym___extension__] = ACTIONS(2197),
    [anon_sym_typedef] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2197),
    [anon_sym_out] = ACTIONS(2197),
    [anon_sym_inout] = ACTIONS(2197),
    [anon_sym_virtual] = ACTIONS(2197),
    [anon_sym_extern] = ACTIONS(2197),
    [anon_sym___attribute__] = ACTIONS(2197),
    [anon_sym___attribute] = ACTIONS(2197),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym___declspec] = ACTIONS(2197),
    [anon_sym___based] = ACTIONS(2197),
    [anon_sym___cdecl] = ACTIONS(2197),
    [anon_sym___clrcall] = ACTIONS(2197),
    [anon_sym___stdcall] = ACTIONS(2197),
    [anon_sym___fastcall] = ACTIONS(2197),
    [anon_sym___thiscall] = ACTIONS(2197),
    [anon_sym___vectorcall] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_signed] = ACTIONS(2197),
    [anon_sym_unsigned] = ACTIONS(2197),
    [anon_sym_long] = ACTIONS(2197),
    [anon_sym_short] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_register] = ACTIONS(2197),
    [anon_sym_inline] = ACTIONS(2197),
    [anon_sym___inline] = ACTIONS(2197),
    [anon_sym___inline__] = ACTIONS(2197),
    [anon_sym___forceinline] = ACTIONS(2197),
    [anon_sym_thread_local] = ACTIONS(2197),
    [anon_sym___thread] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_constexpr] = ACTIONS(2197),
    [anon_sym_volatile] = ACTIONS(2197),
    [anon_sym_restrict] = ACTIONS(2197),
    [anon_sym___restrict__] = ACTIONS(2197),
    [anon_sym__Atomic] = ACTIONS(2197),
    [anon_sym__Noreturn] = ACTIONS(2197),
    [anon_sym_noreturn] = ACTIONS(2197),
    [anon_sym__Nonnull] = ACTIONS(2197),
    [anon_sym_mutable] = ACTIONS(2197),
    [anon_sym_constinit] = ACTIONS(2197),
    [anon_sym_consteval] = ACTIONS(2197),
    [anon_sym_alignas] = ACTIONS(2197),
    [anon_sym__Alignas] = ACTIONS(2197),
    [sym_primitive_type] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_struct] = ACTIONS(2197),
    [anon_sym_union] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym___try] = ACTIONS(2197),
    [anon_sym___leave] = ACTIONS(2197),
    [anon_sym_not] = ACTIONS(2197),
    [anon_sym_compl] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_sizeof] = ACTIONS(2197),
    [anon_sym___alignof__] = ACTIONS(2197),
    [anon_sym___alignof] = ACTIONS(2197),
    [anon_sym__alignof] = ACTIONS(2197),
    [anon_sym_alignof] = ACTIONS(2197),
    [anon_sym__Alignof] = ACTIONS(2197),
    [anon_sym_offsetof] = ACTIONS(2197),
    [anon_sym__Generic] = ACTIONS(2197),
    [anon_sym_asm] = ACTIONS(2197),
    [anon_sym___asm__] = ACTIONS(2197),
    [anon_sym___asm] = ACTIONS(2197),
    [sym_number_literal] = ACTIONS(2199),
    [anon_sym_L_SQUOTE] = ACTIONS(2199),
    [anon_sym_u_SQUOTE] = ACTIONS(2199),
    [anon_sym_U_SQUOTE] = ACTIONS(2199),
    [anon_sym_u8_SQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_L_DQUOTE] = ACTIONS(2199),
    [anon_sym_u_DQUOTE] = ACTIONS(2199),
    [anon_sym_U_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8_DQUOTE] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [anon_sym_NULL] = ACTIONS(2197),
    [anon_sym_nullptr] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2197),
    [anon_sym_decltype] = ACTIONS(2197),
    [anon_sym_explicit] = ACTIONS(2197),
    [anon_sym_typename] = ACTIONS(2197),
    [anon_sym_template] = ACTIONS(2197),
    [anon_sym_operator] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_static_assert] = ACTIONS(2197),
    [anon_sym_concept] = ACTIONS(2197),
    [anon_sym_co_return] = ACTIONS(2197),
    [anon_sym_co_yield] = ACTIONS(2197),
    [anon_sym_R_DQUOTE] = ACTIONS(2199),
    [anon_sym_LR_DQUOTE] = ACTIONS(2199),
    [anon_sym_uR_DQUOTE] = ACTIONS(2199),
    [anon_sym_UR_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2199),
    [anon_sym_co_await] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_requires] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [anon_sym_discard] = ACTIONS(2197),
    [anon_sym_precise] = ACTIONS(2197),
    [anon_sym_shared] = ACTIONS(2197),
    [anon_sym_groupshared] = ACTIONS(2197),
    [anon_sym_uniform] = ACTIONS(2197),
    [anon_sym_row_major] = ACTIONS(2197),
    [anon_sym_column_major] = ACTIONS(2197),
    [anon_sym_globallycoherent] = ACTIONS(2197),
    [anon_sym_centroid] = ACTIONS(2197),
    [anon_sym_noperspective] = ACTIONS(2197),
    [anon_sym_nointerpolation] = ACTIONS(2197),
    [anon_sym_sample] = ACTIONS(2197),
    [anon_sym_linear] = ACTIONS(2197),
    [anon_sym_snorm] = ACTIONS(2197),
    [anon_sym_unorm] = ACTIONS(2197),
    [anon_sym_point] = ACTIONS(2197),
    [anon_sym_line] = ACTIONS(2197),
    [anon_sym_triangleadj] = ACTIONS(2197),
    [anon_sym_lineadj] = ACTIONS(2197),
    [anon_sym_triangle] = ACTIONS(2197),
    [anon_sym_cbuffer] = ACTIONS(2197),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(2217),
    [aux_sym_preproc_include_token1] = ACTIONS(2217),
    [aux_sym_preproc_def_token1] = ACTIONS(2217),
    [aux_sym_preproc_if_token1] = ACTIONS(2217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2217),
    [sym_preproc_directive] = ACTIONS(2217),
    [anon_sym_LPAREN2] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_typedef] = ACTIONS(2217),
    [anon_sym_in] = ACTIONS(2217),
    [anon_sym_out] = ACTIONS(2217),
    [anon_sym_inout] = ACTIONS(2217),
    [anon_sym_virtual] = ACTIONS(2217),
    [anon_sym_extern] = ACTIONS(2217),
    [anon_sym___attribute__] = ACTIONS(2217),
    [anon_sym___attribute] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2219),
    [anon_sym___declspec] = ACTIONS(2217),
    [anon_sym___based] = ACTIONS(2217),
    [anon_sym___cdecl] = ACTIONS(2217),
    [anon_sym___clrcall] = ACTIONS(2217),
    [anon_sym___stdcall] = ACTIONS(2217),
    [anon_sym___fastcall] = ACTIONS(2217),
    [anon_sym___thiscall] = ACTIONS(2217),
    [anon_sym___vectorcall] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_signed] = ACTIONS(2217),
    [anon_sym_unsigned] = ACTIONS(2217),
    [anon_sym_long] = ACTIONS(2217),
    [anon_sym_short] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_static] = ACTIONS(2217),
    [anon_sym_register] = ACTIONS(2217),
    [anon_sym_inline] = ACTIONS(2217),
    [anon_sym___inline] = ACTIONS(2217),
    [anon_sym___inline__] = ACTIONS(2217),
    [anon_sym___forceinline] = ACTIONS(2217),
    [anon_sym_thread_local] = ACTIONS(2217),
    [anon_sym___thread] = ACTIONS(2217),
    [anon_sym_const] = ACTIONS(2217),
    [anon_sym_constexpr] = ACTIONS(2217),
    [anon_sym_volatile] = ACTIONS(2217),
    [anon_sym_restrict] = ACTIONS(2217),
    [anon_sym___restrict__] = ACTIONS(2217),
    [anon_sym__Atomic] = ACTIONS(2217),
    [anon_sym__Noreturn] = ACTIONS(2217),
    [anon_sym_noreturn] = ACTIONS(2217),
    [anon_sym__Nonnull] = ACTIONS(2217),
    [anon_sym_mutable] = ACTIONS(2217),
    [anon_sym_constinit] = ACTIONS(2217),
    [anon_sym_consteval] = ACTIONS(2217),
    [anon_sym_alignas] = ACTIONS(2217),
    [anon_sym__Alignas] = ACTIONS(2217),
    [sym_primitive_type] = ACTIONS(2217),
    [anon_sym_enum] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_struct] = ACTIONS(2217),
    [anon_sym_union] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_else] = ACTIONS(2217),
    [anon_sym_switch] = ACTIONS(2217),
    [anon_sym_case] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym___try] = ACTIONS(2217),
    [anon_sym___leave] = ACTIONS(2217),
    [anon_sym_not] = ACTIONS(2217),
    [anon_sym_compl] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_sizeof] = ACTIONS(2217),
    [anon_sym___alignof__] = ACTIONS(2217),
    [anon_sym___alignof] = ACTIONS(2217),
    [anon_sym__alignof] = ACTIONS(2217),
    [anon_sym_alignof] = ACTIONS(2217),
    [anon_sym__Alignof] = ACTIONS(2217),
    [anon_sym_offsetof] = ACTIONS(2217),
    [anon_sym__Generic] = ACTIONS(2217),
    [anon_sym_asm] = ACTIONS(2217),
    [anon_sym___asm__] = ACTIONS(2217),
    [anon_sym___asm] = ACTIONS(2217),
    [sym_number_literal] = ACTIONS(2219),
    [anon_sym_L_SQUOTE] = ACTIONS(2219),
    [anon_sym_u_SQUOTE] = ACTIONS(2219),
    [anon_sym_U_SQUOTE] = ACTIONS(2219),
    [anon_sym_u8_SQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_L_DQUOTE] = ACTIONS(2219),
    [anon_sym_u_DQUOTE] = ACTIONS(2219),
    [anon_sym_U_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8_DQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_true] = ACTIONS(2217),
    [sym_false] = ACTIONS(2217),
    [anon_sym_NULL] = ACTIONS(2217),
    [anon_sym_nullptr] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2217),
    [anon_sym_decltype] = ACTIONS(2217),
    [anon_sym_explicit] = ACTIONS(2217),
    [anon_sym_typename] = ACTIONS(2217),
    [anon_sym_template] = ACTIONS(2217),
    [anon_sym_operator] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_throw] = ACTIONS(2217),
    [anon_sym_namespace] = ACTIONS(2217),
    [anon_sym_using] = ACTIONS(2217),
    [anon_sym_static_assert] = ACTIONS(2217),
    [anon_sym_concept] = ACTIONS(2217),
    [anon_sym_co_return] = ACTIONS(2217),
    [anon_sym_co_yield] = ACTIONS(2217),
    [anon_sym_R_DQUOTE] = ACTIONS(2219),
    [anon_sym_LR_DQUOTE] = ACTIONS(2219),
    [anon_sym_uR_DQUOTE] = ACTIONS(2219),
    [anon_sym_UR_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2219),
    [anon_sym_co_await] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2217),
    [sym_this] = ACTIONS(2217),
    [anon_sym_discard] = ACTIONS(2217),
    [anon_sym_precise] = ACTIONS(2217),
    [anon_sym_shared] = ACTIONS(2217),
    [anon_sym_groupshared] = ACTIONS(2217),
    [anon_sym_uniform] = ACTIONS(2217),
    [anon_sym_row_major] = ACTIONS(2217),
    [anon_sym_column_major] = ACTIONS(2217),
    [anon_sym_globallycoherent] = ACTIONS(2217),
    [anon_sym_centroid] = ACTIONS(2217),
    [anon_sym_noperspective] = ACTIONS(2217),
    [anon_sym_nointerpolation] = ACTIONS(2217),
    [anon_sym_sample] = ACTIONS(2217),
    [anon_sym_linear] = ACTIONS(2217),
    [anon_sym_snorm] = ACTIONS(2217),
    [anon_sym_unorm] = ACTIONS(2217),
    [anon_sym_point] = ACTIONS(2217),
    [anon_sym_line] = ACTIONS(2217),
    [anon_sym_triangleadj] = ACTIONS(2217),
    [anon_sym_lineadj] = ACTIONS(2217),
    [anon_sym_triangle] = ACTIONS(2217),
    [anon_sym_cbuffer] = ACTIONS(2217),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2225),
    [aux_sym_preproc_include_token1] = ACTIONS(2225),
    [aux_sym_preproc_def_token1] = ACTIONS(2225),
    [aux_sym_preproc_if_token1] = ACTIONS(2225),
    [aux_sym_preproc_if_token2] = ACTIONS(2225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2225),
    [sym_preproc_directive] = ACTIONS(2225),
    [anon_sym_LPAREN2] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_AMP_AMP] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym___extension__] = ACTIONS(2225),
    [anon_sym_typedef] = ACTIONS(2225),
    [anon_sym_in] = ACTIONS(2225),
    [anon_sym_out] = ACTIONS(2225),
    [anon_sym_inout] = ACTIONS(2225),
    [anon_sym_virtual] = ACTIONS(2225),
    [anon_sym_extern] = ACTIONS(2225),
    [anon_sym___attribute__] = ACTIONS(2225),
    [anon_sym___attribute] = ACTIONS(2225),
    [anon_sym_COLON_COLON] = ACTIONS(2227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2227),
    [anon_sym___declspec] = ACTIONS(2225),
    [anon_sym___based] = ACTIONS(2225),
    [anon_sym___cdecl] = ACTIONS(2225),
    [anon_sym___clrcall] = ACTIONS(2225),
    [anon_sym___stdcall] = ACTIONS(2225),
    [anon_sym___fastcall] = ACTIONS(2225),
    [anon_sym___thiscall] = ACTIONS(2225),
    [anon_sym___vectorcall] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_signed] = ACTIONS(2225),
    [anon_sym_unsigned] = ACTIONS(2225),
    [anon_sym_long] = ACTIONS(2225),
    [anon_sym_short] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_register] = ACTIONS(2225),
    [anon_sym_inline] = ACTIONS(2225),
    [anon_sym___inline] = ACTIONS(2225),
    [anon_sym___inline__] = ACTIONS(2225),
    [anon_sym___forceinline] = ACTIONS(2225),
    [anon_sym_thread_local] = ACTIONS(2225),
    [anon_sym___thread] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_constexpr] = ACTIONS(2225),
    [anon_sym_volatile] = ACTIONS(2225),
    [anon_sym_restrict] = ACTIONS(2225),
    [anon_sym___restrict__] = ACTIONS(2225),
    [anon_sym__Atomic] = ACTIONS(2225),
    [anon_sym__Noreturn] = ACTIONS(2225),
    [anon_sym_noreturn] = ACTIONS(2225),
    [anon_sym__Nonnull] = ACTIONS(2225),
    [anon_sym_mutable] = ACTIONS(2225),
    [anon_sym_constinit] = ACTIONS(2225),
    [anon_sym_consteval] = ACTIONS(2225),
    [anon_sym_alignas] = ACTIONS(2225),
    [anon_sym__Alignas] = ACTIONS(2225),
    [sym_primitive_type] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_struct] = ACTIONS(2225),
    [anon_sym_union] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym___try] = ACTIONS(2225),
    [anon_sym___leave] = ACTIONS(2225),
    [anon_sym_not] = ACTIONS(2225),
    [anon_sym_compl] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_sizeof] = ACTIONS(2225),
    [anon_sym___alignof__] = ACTIONS(2225),
    [anon_sym___alignof] = ACTIONS(2225),
    [anon_sym__alignof] = ACTIONS(2225),
    [anon_sym_alignof] = ACTIONS(2225),
    [anon_sym__Alignof] = ACTIONS(2225),
    [anon_sym_offsetof] = ACTIONS(2225),
    [anon_sym__Generic] = ACTIONS(2225),
    [anon_sym_asm] = ACTIONS(2225),
    [anon_sym___asm__] = ACTIONS(2225),
    [anon_sym___asm] = ACTIONS(2225),
    [sym_number_literal] = ACTIONS(2227),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2227),
    [anon_sym_u_DQUOTE] = ACTIONS(2227),
    [anon_sym_U_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8_DQUOTE] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [anon_sym_NULL] = ACTIONS(2225),
    [anon_sym_nullptr] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2225),
    [anon_sym_decltype] = ACTIONS(2225),
    [anon_sym_explicit] = ACTIONS(2225),
    [anon_sym_typename] = ACTIONS(2225),
    [anon_sym_template] = ACTIONS(2225),
    [anon_sym_operator] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_static_assert] = ACTIONS(2225),
    [anon_sym_concept] = ACTIONS(2225),
    [anon_sym_co_return] = ACTIONS(2225),
    [anon_sym_co_yield] = ACTIONS(2225),
    [anon_sym_R_DQUOTE] = ACTIONS(2227),
    [anon_sym_LR_DQUOTE] = ACTIONS(2227),
    [anon_sym_uR_DQUOTE] = ACTIONS(2227),
    [anon_sym_UR_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2227),
    [anon_sym_co_await] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_requires] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [anon_sym_discard] = ACTIONS(2225),
    [anon_sym_precise] = ACTIONS(2225),
    [anon_sym_shared] = ACTIONS(2225),
    [anon_sym_groupshared] = ACTIONS(2225),
    [anon_sym_uniform] = ACTIONS(2225),
    [anon_sym_row_major] = ACTIONS(2225),
    [anon_sym_column_major] = ACTIONS(2225),
    [anon_sym_globallycoherent] = ACTIONS(2225),
    [anon_sym_centroid] = ACTIONS(2225),
    [anon_sym_noperspective] = ACTIONS(2225),
    [anon_sym_nointerpolation] = ACTIONS(2225),
    [anon_sym_sample] = ACTIONS(2225),
    [anon_sym_linear] = ACTIONS(2225),
    [anon_sym_snorm] = ACTIONS(2225),
    [anon_sym_unorm] = ACTIONS(2225),
    [anon_sym_point] = ACTIONS(2225),
    [anon_sym_line] = ACTIONS(2225),
    [anon_sym_triangleadj] = ACTIONS(2225),
    [anon_sym_lineadj] = ACTIONS(2225),
    [anon_sym_triangle] = ACTIONS(2225),
    [anon_sym_cbuffer] = ACTIONS(2225),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2284),
    [aux_sym_preproc_include_token1] = ACTIONS(2284),
    [aux_sym_preproc_def_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token2] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2284),
    [sym_preproc_directive] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP_AMP] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym___attribute] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym___based] = ACTIONS(2284),
    [anon_sym___cdecl] = ACTIONS(2284),
    [anon_sym___clrcall] = ACTIONS(2284),
    [anon_sym___stdcall] = ACTIONS(2284),
    [anon_sym___fastcall] = ACTIONS(2284),
    [anon_sym___thiscall] = ACTIONS(2284),
    [anon_sym___vectorcall] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_explicit] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_operator] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_namespace] = ACTIONS(2284),
    [anon_sym_using] = ACTIONS(2284),
    [anon_sym_static_assert] = ACTIONS(2284),
    [anon_sym_concept] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2288),
    [aux_sym_preproc_include_token1] = ACTIONS(2288),
    [aux_sym_preproc_def_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token2] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2288),
    [sym_preproc_directive] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym___attribute] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym___based] = ACTIONS(2288),
    [anon_sym___cdecl] = ACTIONS(2288),
    [anon_sym___clrcall] = ACTIONS(2288),
    [anon_sym___stdcall] = ACTIONS(2288),
    [anon_sym___fastcall] = ACTIONS(2288),
    [anon_sym___thiscall] = ACTIONS(2288),
    [anon_sym___vectorcall] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_explicit] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_operator] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_static_assert] = ACTIONS(2288),
    [anon_sym_concept] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [471] = {
    [sym_identifier] = ACTIONS(2308),
    [aux_sym_preproc_include_token1] = ACTIONS(2308),
    [aux_sym_preproc_def_token1] = ACTIONS(2308),
    [aux_sym_preproc_if_token1] = ACTIONS(2308),
    [aux_sym_preproc_if_token2] = ACTIONS(2308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2308),
    [sym_preproc_directive] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym___extension__] = ACTIONS(2308),
    [anon_sym_typedef] = ACTIONS(2308),
    [anon_sym_in] = ACTIONS(2308),
    [anon_sym_out] = ACTIONS(2308),
    [anon_sym_inout] = ACTIONS(2308),
    [anon_sym_virtual] = ACTIONS(2308),
    [anon_sym_extern] = ACTIONS(2308),
    [anon_sym___attribute__] = ACTIONS(2308),
    [anon_sym___attribute] = ACTIONS(2308),
    [anon_sym_COLON_COLON] = ACTIONS(2310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2310),
    [anon_sym___declspec] = ACTIONS(2308),
    [anon_sym___based] = ACTIONS(2308),
    [anon_sym___cdecl] = ACTIONS(2308),
    [anon_sym___clrcall] = ACTIONS(2308),
    [anon_sym___stdcall] = ACTIONS(2308),
    [anon_sym___fastcall] = ACTIONS(2308),
    [anon_sym___thiscall] = ACTIONS(2308),
    [anon_sym___vectorcall] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_signed] = ACTIONS(2308),
    [anon_sym_unsigned] = ACTIONS(2308),
    [anon_sym_long] = ACTIONS(2308),
    [anon_sym_short] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_register] = ACTIONS(2308),
    [anon_sym_inline] = ACTIONS(2308),
    [anon_sym___inline] = ACTIONS(2308),
    [anon_sym___inline__] = ACTIONS(2308),
    [anon_sym___forceinline] = ACTIONS(2308),
    [anon_sym_thread_local] = ACTIONS(2308),
    [anon_sym___thread] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_constexpr] = ACTIONS(2308),
    [anon_sym_volatile] = ACTIONS(2308),
    [anon_sym_restrict] = ACTIONS(2308),
    [anon_sym___restrict__] = ACTIONS(2308),
    [anon_sym__Atomic] = ACTIONS(2308),
    [anon_sym__Noreturn] = ACTIONS(2308),
    [anon_sym_noreturn] = ACTIONS(2308),
    [anon_sym__Nonnull] = ACTIONS(2308),
    [anon_sym_mutable] = ACTIONS(2308),
    [anon_sym_constinit] = ACTIONS(2308),
    [anon_sym_consteval] = ACTIONS(2308),
    [anon_sym_alignas] = ACTIONS(2308),
    [anon_sym__Alignas] = ACTIONS(2308),
    [sym_primitive_type] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_struct] = ACTIONS(2308),
    [anon_sym_union] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_else] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_case] = ACTIONS(2308),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_goto] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2308),
    [anon_sym___leave] = ACTIONS(2308),
    [anon_sym_not] = ACTIONS(2308),
    [anon_sym_compl] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_sizeof] = ACTIONS(2308),
    [anon_sym___alignof__] = ACTIONS(2308),
    [anon_sym___alignof] = ACTIONS(2308),
    [anon_sym__alignof] = ACTIONS(2308),
    [anon_sym_alignof] = ACTIONS(2308),
    [anon_sym__Alignof] = ACTIONS(2308),
    [anon_sym_offsetof] = ACTIONS(2308),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2308),
    [anon_sym___asm__] = ACTIONS(2308),
    [anon_sym___asm] = ACTIONS(2308),
    [sym_number_literal] = ACTIONS(2310),
    [anon_sym_L_SQUOTE] = ACTIONS(2310),
    [anon_sym_u_SQUOTE] = ACTIONS(2310),
    [anon_sym_U_SQUOTE] = ACTIONS(2310),
    [anon_sym_u8_SQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_L_DQUOTE] = ACTIONS(2310),
    [anon_sym_u_DQUOTE] = ACTIONS(2310),
    [anon_sym_U_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8_DQUOTE] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [anon_sym_NULL] = ACTIONS(2308),
    [anon_sym_nullptr] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2308),
    [anon_sym_decltype] = ACTIONS(2308),
    [anon_sym_explicit] = ACTIONS(2308),
    [anon_sym_typename] = ACTIONS(2308),
    [anon_sym_template] = ACTIONS(2308),
    [anon_sym_operator] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_static_assert] = ACTIONS(2308),
    [anon_sym_concept] = ACTIONS(2308),
    [anon_sym_co_return] = ACTIONS(2308),
    [anon_sym_co_yield] = ACTIONS(2308),
    [anon_sym_R_DQUOTE] = ACTIONS(2310),
    [anon_sym_LR_DQUOTE] = ACTIONS(2310),
    [anon_sym_uR_DQUOTE] = ACTIONS(2310),
    [anon_sym_UR_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2310),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_requires] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [anon_sym_discard] = ACTIONS(2308),
    [anon_sym_precise] = ACTIONS(2308),
    [anon_sym_shared] = ACTIONS(2308),
    [anon_sym_groupshared] = ACTIONS(2308),
    [anon_sym_uniform] = ACTIONS(2308),
    [anon_sym_row_major] = ACTIONS(2308),
    [anon_sym_column_major] = ACTIONS(2308),
    [anon_sym_globallycoherent] = ACTIONS(2308),
    [anon_sym_centroid] = ACTIONS(2308),
    [anon_sym_noperspective] = ACTIONS(2308),
    [anon_sym_nointerpolation] = ACTIONS(2308),
    [anon_sym_sample] = ACTIONS(2308),
    [anon_sym_linear] = ACTIONS(2308),
    [anon_sym_snorm] = ACTIONS(2308),
    [anon_sym_unorm] = ACTIONS(2308),
    [anon_sym_point] = ACTIONS(2308),
    [anon_sym_line] = ACTIONS(2308),
    [anon_sym_triangleadj] = ACTIONS(2308),
    [anon_sym_lineadj] = ACTIONS(2308),
    [anon_sym_triangle] = ACTIONS(2308),
    [anon_sym_cbuffer] = ACTIONS(2308),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2334),
    [aux_sym_preproc_include_token1] = ACTIONS(2334),
    [aux_sym_preproc_def_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token2] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2334),
    [sym_preproc_directive] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym___attribute] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym___based] = ACTIONS(2334),
    [anon_sym___cdecl] = ACTIONS(2334),
    [anon_sym___clrcall] = ACTIONS(2334),
    [anon_sym___stdcall] = ACTIONS(2334),
    [anon_sym___fastcall] = ACTIONS(2334),
    [anon_sym___thiscall] = ACTIONS(2334),
    [anon_sym___vectorcall] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym__Alignas] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [anon_sym___asm] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_explicit] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_namespace] = ACTIONS(2334),
    [anon_sym_using] = ACTIONS(2334),
    [anon_sym_static_assert] = ACTIONS(2334),
    [anon_sym_concept] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2342),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token2] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2342),
    [sym_preproc_directive] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym___attribute] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym___based] = ACTIONS(2342),
    [anon_sym___cdecl] = ACTIONS(2342),
    [anon_sym___clrcall] = ACTIONS(2342),
    [anon_sym___stdcall] = ACTIONS(2342),
    [anon_sym___fastcall] = ACTIONS(2342),
    [anon_sym___thiscall] = ACTIONS(2342),
    [anon_sym___vectorcall] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym__Nonnull] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym__Alignas] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [anon_sym___asm] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_explicit] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_operator] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_static_assert] = ACTIONS(2342),
    [anon_sym_concept] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2348),
    [aux_sym_preproc_include_token1] = ACTIONS(2348),
    [aux_sym_preproc_def_token1] = ACTIONS(2348),
    [aux_sym_preproc_if_token1] = ACTIONS(2348),
    [aux_sym_preproc_if_token2] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2348),
    [sym_preproc_directive] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym___extension__] = ACTIONS(2348),
    [anon_sym_typedef] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2348),
    [anon_sym_out] = ACTIONS(2348),
    [anon_sym_inout] = ACTIONS(2348),
    [anon_sym_virtual] = ACTIONS(2348),
    [anon_sym_extern] = ACTIONS(2348),
    [anon_sym___attribute__] = ACTIONS(2348),
    [anon_sym___attribute] = ACTIONS(2348),
    [anon_sym_COLON_COLON] = ACTIONS(2350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2350),
    [anon_sym___declspec] = ACTIONS(2348),
    [anon_sym___based] = ACTIONS(2348),
    [anon_sym___cdecl] = ACTIONS(2348),
    [anon_sym___clrcall] = ACTIONS(2348),
    [anon_sym___stdcall] = ACTIONS(2348),
    [anon_sym___fastcall] = ACTIONS(2348),
    [anon_sym___thiscall] = ACTIONS(2348),
    [anon_sym___vectorcall] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_signed] = ACTIONS(2348),
    [anon_sym_unsigned] = ACTIONS(2348),
    [anon_sym_long] = ACTIONS(2348),
    [anon_sym_short] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2348),
    [anon_sym_register] = ACTIONS(2348),
    [anon_sym_inline] = ACTIONS(2348),
    [anon_sym___inline] = ACTIONS(2348),
    [anon_sym___inline__] = ACTIONS(2348),
    [anon_sym___forceinline] = ACTIONS(2348),
    [anon_sym_thread_local] = ACTIONS(2348),
    [anon_sym___thread] = ACTIONS(2348),
    [anon_sym_const] = ACTIONS(2348),
    [anon_sym_constexpr] = ACTIONS(2348),
    [anon_sym_volatile] = ACTIONS(2348),
    [anon_sym_restrict] = ACTIONS(2348),
    [anon_sym___restrict__] = ACTIONS(2348),
    [anon_sym__Atomic] = ACTIONS(2348),
    [anon_sym__Noreturn] = ACTIONS(2348),
    [anon_sym_noreturn] = ACTIONS(2348),
    [anon_sym__Nonnull] = ACTIONS(2348),
    [anon_sym_mutable] = ACTIONS(2348),
    [anon_sym_constinit] = ACTIONS(2348),
    [anon_sym_consteval] = ACTIONS(2348),
    [anon_sym_alignas] = ACTIONS(2348),
    [anon_sym__Alignas] = ACTIONS(2348),
    [sym_primitive_type] = ACTIONS(2348),
    [anon_sym_enum] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2348),
    [anon_sym_struct] = ACTIONS(2348),
    [anon_sym_union] = ACTIONS(2348),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_else] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2348),
    [anon_sym_case] = ACTIONS(2348),
    [anon_sym_default] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2348),
    [anon_sym___leave] = ACTIONS(2348),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_compl] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_sizeof] = ACTIONS(2348),
    [anon_sym___alignof__] = ACTIONS(2348),
    [anon_sym___alignof] = ACTIONS(2348),
    [anon_sym__alignof] = ACTIONS(2348),
    [anon_sym_alignof] = ACTIONS(2348),
    [anon_sym__Alignof] = ACTIONS(2348),
    [anon_sym_offsetof] = ACTIONS(2348),
    [anon_sym__Generic] = ACTIONS(2348),
    [anon_sym_asm] = ACTIONS(2348),
    [anon_sym___asm__] = ACTIONS(2348),
    [anon_sym___asm] = ACTIONS(2348),
    [sym_number_literal] = ACTIONS(2350),
    [anon_sym_L_SQUOTE] = ACTIONS(2350),
    [anon_sym_u_SQUOTE] = ACTIONS(2350),
    [anon_sym_U_SQUOTE] = ACTIONS(2350),
    [anon_sym_u8_SQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_L_DQUOTE] = ACTIONS(2350),
    [anon_sym_u_DQUOTE] = ACTIONS(2350),
    [anon_sym_U_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8_DQUOTE] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [sym_true] = ACTIONS(2348),
    [sym_false] = ACTIONS(2348),
    [anon_sym_NULL] = ACTIONS(2348),
    [anon_sym_nullptr] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2348),
    [anon_sym_decltype] = ACTIONS(2348),
    [anon_sym_explicit] = ACTIONS(2348),
    [anon_sym_typename] = ACTIONS(2348),
    [anon_sym_template] = ACTIONS(2348),
    [anon_sym_operator] = ACTIONS(2348),
    [anon_sym_try] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_namespace] = ACTIONS(2348),
    [anon_sym_using] = ACTIONS(2348),
    [anon_sym_static_assert] = ACTIONS(2348),
    [anon_sym_concept] = ACTIONS(2348),
    [anon_sym_co_return] = ACTIONS(2348),
    [anon_sym_co_yield] = ACTIONS(2348),
    [anon_sym_R_DQUOTE] = ACTIONS(2350),
    [anon_sym_LR_DQUOTE] = ACTIONS(2350),
    [anon_sym_uR_DQUOTE] = ACTIONS(2350),
    [anon_sym_UR_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2350),
    [anon_sym_co_await] = ACTIONS(2348),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2348),
    [sym_this] = ACTIONS(2348),
    [anon_sym_discard] = ACTIONS(2348),
    [anon_sym_precise] = ACTIONS(2348),
    [anon_sym_shared] = ACTIONS(2348),
    [anon_sym_groupshared] = ACTIONS(2348),
    [anon_sym_uniform] = ACTIONS(2348),
    [anon_sym_row_major] = ACTIONS(2348),
    [anon_sym_column_major] = ACTIONS(2348),
    [anon_sym_globallycoherent] = ACTIONS(2348),
    [anon_sym_centroid] = ACTIONS(2348),
    [anon_sym_noperspective] = ACTIONS(2348),
    [anon_sym_nointerpolation] = ACTIONS(2348),
    [anon_sym_sample] = ACTIONS(2348),
    [anon_sym_linear] = ACTIONS(2348),
    [anon_sym_snorm] = ACTIONS(2348),
    [anon_sym_unorm] = ACTIONS(2348),
    [anon_sym_point] = ACTIONS(2348),
    [anon_sym_line] = ACTIONS(2348),
    [anon_sym_triangleadj] = ACTIONS(2348),
    [anon_sym_lineadj] = ACTIONS(2348),
    [anon_sym_triangle] = ACTIONS(2348),
    [anon_sym_cbuffer] = ACTIONS(2348),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2352),
    [aux_sym_preproc_include_token1] = ACTIONS(2352),
    [aux_sym_preproc_def_token1] = ACTIONS(2352),
    [aux_sym_preproc_if_token1] = ACTIONS(2352),
    [aux_sym_preproc_if_token2] = ACTIONS(2352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2352),
    [sym_preproc_directive] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_AMP_AMP] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2352),
    [anon_sym_typedef] = ACTIONS(2352),
    [anon_sym_in] = ACTIONS(2352),
    [anon_sym_out] = ACTIONS(2352),
    [anon_sym_inout] = ACTIONS(2352),
    [anon_sym_virtual] = ACTIONS(2352),
    [anon_sym_extern] = ACTIONS(2352),
    [anon_sym___attribute__] = ACTIONS(2352),
    [anon_sym___attribute] = ACTIONS(2352),
    [anon_sym_COLON_COLON] = ACTIONS(2354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2354),
    [anon_sym___declspec] = ACTIONS(2352),
    [anon_sym___based] = ACTIONS(2352),
    [anon_sym___cdecl] = ACTIONS(2352),
    [anon_sym___clrcall] = ACTIONS(2352),
    [anon_sym___stdcall] = ACTIONS(2352),
    [anon_sym___fastcall] = ACTIONS(2352),
    [anon_sym___thiscall] = ACTIONS(2352),
    [anon_sym___vectorcall] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2352),
    [anon_sym_unsigned] = ACTIONS(2352),
    [anon_sym_long] = ACTIONS(2352),
    [anon_sym_short] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_register] = ACTIONS(2352),
    [anon_sym_inline] = ACTIONS(2352),
    [anon_sym___inline] = ACTIONS(2352),
    [anon_sym___inline__] = ACTIONS(2352),
    [anon_sym___forceinline] = ACTIONS(2352),
    [anon_sym_thread_local] = ACTIONS(2352),
    [anon_sym___thread] = ACTIONS(2352),
    [anon_sym_const] = ACTIONS(2352),
    [anon_sym_constexpr] = ACTIONS(2352),
    [anon_sym_volatile] = ACTIONS(2352),
    [anon_sym_restrict] = ACTIONS(2352),
    [anon_sym___restrict__] = ACTIONS(2352),
    [anon_sym__Atomic] = ACTIONS(2352),
    [anon_sym__Noreturn] = ACTIONS(2352),
    [anon_sym_noreturn] = ACTIONS(2352),
    [anon_sym__Nonnull] = ACTIONS(2352),
    [anon_sym_mutable] = ACTIONS(2352),
    [anon_sym_constinit] = ACTIONS(2352),
    [anon_sym_consteval] = ACTIONS(2352),
    [anon_sym_alignas] = ACTIONS(2352),
    [anon_sym__Alignas] = ACTIONS(2352),
    [sym_primitive_type] = ACTIONS(2352),
    [anon_sym_enum] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2352),
    [anon_sym_struct] = ACTIONS(2352),
    [anon_sym_union] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_else] = ACTIONS(2352),
    [anon_sym_switch] = ACTIONS(2352),
    [anon_sym_case] = ACTIONS(2352),
    [anon_sym_default] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym___try] = ACTIONS(2352),
    [anon_sym___leave] = ACTIONS(2352),
    [anon_sym_not] = ACTIONS(2352),
    [anon_sym_compl] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_sizeof] = ACTIONS(2352),
    [anon_sym___alignof__] = ACTIONS(2352),
    [anon_sym___alignof] = ACTIONS(2352),
    [anon_sym__alignof] = ACTIONS(2352),
    [anon_sym_alignof] = ACTIONS(2352),
    [anon_sym__Alignof] = ACTIONS(2352),
    [anon_sym_offsetof] = ACTIONS(2352),
    [anon_sym__Generic] = ACTIONS(2352),
    [anon_sym_asm] = ACTIONS(2352),
    [anon_sym___asm__] = ACTIONS(2352),
    [anon_sym___asm] = ACTIONS(2352),
    [sym_number_literal] = ACTIONS(2354),
    [anon_sym_L_SQUOTE] = ACTIONS(2354),
    [anon_sym_u_SQUOTE] = ACTIONS(2354),
    [anon_sym_U_SQUOTE] = ACTIONS(2354),
    [anon_sym_u8_SQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_L_DQUOTE] = ACTIONS(2354),
    [anon_sym_u_DQUOTE] = ACTIONS(2354),
    [anon_sym_U_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8_DQUOTE] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [sym_true] = ACTIONS(2352),
    [sym_false] = ACTIONS(2352),
    [anon_sym_NULL] = ACTIONS(2352),
    [anon_sym_nullptr] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2352),
    [anon_sym_decltype] = ACTIONS(2352),
    [anon_sym_explicit] = ACTIONS(2352),
    [anon_sym_typename] = ACTIONS(2352),
    [anon_sym_template] = ACTIONS(2352),
    [anon_sym_operator] = ACTIONS(2352),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_throw] = ACTIONS(2352),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_using] = ACTIONS(2352),
    [anon_sym_static_assert] = ACTIONS(2352),
    [anon_sym_concept] = ACTIONS(2352),
    [anon_sym_co_return] = ACTIONS(2352),
    [anon_sym_co_yield] = ACTIONS(2352),
    [anon_sym_R_DQUOTE] = ACTIONS(2354),
    [anon_sym_LR_DQUOTE] = ACTIONS(2354),
    [anon_sym_uR_DQUOTE] = ACTIONS(2354),
    [anon_sym_UR_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2354),
    [anon_sym_co_await] = ACTIONS(2352),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_requires] = ACTIONS(2352),
    [sym_this] = ACTIONS(2352),
    [anon_sym_discard] = ACTIONS(2352),
    [anon_sym_precise] = ACTIONS(2352),
    [anon_sym_shared] = ACTIONS(2352),
    [anon_sym_groupshared] = ACTIONS(2352),
    [anon_sym_uniform] = ACTIONS(2352),
    [anon_sym_row_major] = ACTIONS(2352),
    [anon_sym_column_major] = ACTIONS(2352),
    [anon_sym_globallycoherent] = ACTIONS(2352),
    [anon_sym_centroid] = ACTIONS(2352),
    [anon_sym_noperspective] = ACTIONS(2352),
    [anon_sym_nointerpolation] = ACTIONS(2352),
    [anon_sym_sample] = ACTIONS(2352),
    [anon_sym_linear] = ACTIONS(2352),
    [anon_sym_snorm] = ACTIONS(2352),
    [anon_sym_unorm] = ACTIONS(2352),
    [anon_sym_point] = ACTIONS(2352),
    [anon_sym_line] = ACTIONS(2352),
    [anon_sym_triangleadj] = ACTIONS(2352),
    [anon_sym_lineadj] = ACTIONS(2352),
    [anon_sym_triangle] = ACTIONS(2352),
    [anon_sym_cbuffer] = ACTIONS(2352),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_out] = ACTIONS(2356),
    [anon_sym_inout] = ACTIONS(2356),
    [anon_sym_virtual] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_COLON_COLON] = ACTIONS(2358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___based] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_mutable] = ACTIONS(2356),
    [anon_sym_constinit] = ACTIONS(2356),
    [anon_sym_consteval] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym___leave] = ACTIONS(2356),
    [anon_sym_not] = ACTIONS(2356),
    [anon_sym_compl] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2356),
    [anon_sym_decltype] = ACTIONS(2356),
    [anon_sym_explicit] = ACTIONS(2356),
    [anon_sym_typename] = ACTIONS(2356),
    [anon_sym_template] = ACTIONS(2356),
    [anon_sym_operator] = ACTIONS(2356),
    [anon_sym_try] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_throw] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2356),
    [anon_sym_using] = ACTIONS(2356),
    [anon_sym_static_assert] = ACTIONS(2356),
    [anon_sym_concept] = ACTIONS(2356),
    [anon_sym_co_return] = ACTIONS(2356),
    [anon_sym_co_yield] = ACTIONS(2356),
    [anon_sym_R_DQUOTE] = ACTIONS(2358),
    [anon_sym_LR_DQUOTE] = ACTIONS(2358),
    [anon_sym_uR_DQUOTE] = ACTIONS(2358),
    [anon_sym_UR_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2358),
    [anon_sym_co_await] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2356),
    [anon_sym_requires] = ACTIONS(2356),
    [sym_this] = ACTIONS(2356),
    [anon_sym_discard] = ACTIONS(2356),
    [anon_sym_precise] = ACTIONS(2356),
    [anon_sym_shared] = ACTIONS(2356),
    [anon_sym_groupshared] = ACTIONS(2356),
    [anon_sym_uniform] = ACTIONS(2356),
    [anon_sym_row_major] = ACTIONS(2356),
    [anon_sym_column_major] = ACTIONS(2356),
    [anon_sym_globallycoherent] = ACTIONS(2356),
    [anon_sym_centroid] = ACTIONS(2356),
    [anon_sym_noperspective] = ACTIONS(2356),
    [anon_sym_nointerpolation] = ACTIONS(2356),
    [anon_sym_sample] = ACTIONS(2356),
    [anon_sym_linear] = ACTIONS(2356),
    [anon_sym_snorm] = ACTIONS(2356),
    [anon_sym_unorm] = ACTIONS(2356),
    [anon_sym_point] = ACTIONS(2356),
    [anon_sym_line] = ACTIONS(2356),
    [anon_sym_triangleadj] = ACTIONS(2356),
    [anon_sym_lineadj] = ACTIONS(2356),
    [anon_sym_triangle] = ACTIONS(2356),
    [anon_sym_cbuffer] = ACTIONS(2356),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2366),
    [aux_sym_preproc_include_token1] = ACTIONS(2366),
    [aux_sym_preproc_def_token1] = ACTIONS(2366),
    [aux_sym_preproc_if_token1] = ACTIONS(2366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2366),
    [sym_preproc_directive] = ACTIONS(2366),
    [anon_sym_LPAREN2] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_AMP_AMP] = ACTIONS(2368),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym___extension__] = ACTIONS(2366),
    [anon_sym_typedef] = ACTIONS(2366),
    [anon_sym_in] = ACTIONS(2366),
    [anon_sym_out] = ACTIONS(2366),
    [anon_sym_inout] = ACTIONS(2366),
    [anon_sym_virtual] = ACTIONS(2366),
    [anon_sym_extern] = ACTIONS(2366),
    [anon_sym___attribute__] = ACTIONS(2366),
    [anon_sym___attribute] = ACTIONS(2366),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2368),
    [anon_sym___declspec] = ACTIONS(2366),
    [anon_sym___based] = ACTIONS(2366),
    [anon_sym___cdecl] = ACTIONS(2366),
    [anon_sym___clrcall] = ACTIONS(2366),
    [anon_sym___stdcall] = ACTIONS(2366),
    [anon_sym___fastcall] = ACTIONS(2366),
    [anon_sym___thiscall] = ACTIONS(2366),
    [anon_sym___vectorcall] = ACTIONS(2366),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_RBRACE] = ACTIONS(2368),
    [anon_sym_signed] = ACTIONS(2366),
    [anon_sym_unsigned] = ACTIONS(2366),
    [anon_sym_long] = ACTIONS(2366),
    [anon_sym_short] = ACTIONS(2366),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym_static] = ACTIONS(2366),
    [anon_sym_register] = ACTIONS(2366),
    [anon_sym_inline] = ACTIONS(2366),
    [anon_sym___inline] = ACTIONS(2366),
    [anon_sym___inline__] = ACTIONS(2366),
    [anon_sym___forceinline] = ACTIONS(2366),
    [anon_sym_thread_local] = ACTIONS(2366),
    [anon_sym___thread] = ACTIONS(2366),
    [anon_sym_const] = ACTIONS(2366),
    [anon_sym_constexpr] = ACTIONS(2366),
    [anon_sym_volatile] = ACTIONS(2366),
    [anon_sym_restrict] = ACTIONS(2366),
    [anon_sym___restrict__] = ACTIONS(2366),
    [anon_sym__Atomic] = ACTIONS(2366),
    [anon_sym__Noreturn] = ACTIONS(2366),
    [anon_sym_noreturn] = ACTIONS(2366),
    [anon_sym__Nonnull] = ACTIONS(2366),
    [anon_sym_mutable] = ACTIONS(2366),
    [anon_sym_constinit] = ACTIONS(2366),
    [anon_sym_consteval] = ACTIONS(2366),
    [anon_sym_alignas] = ACTIONS(2366),
    [anon_sym__Alignas] = ACTIONS(2366),
    [sym_primitive_type] = ACTIONS(2366),
    [anon_sym_enum] = ACTIONS(2366),
    [anon_sym_class] = ACTIONS(2366),
    [anon_sym_struct] = ACTIONS(2366),
    [anon_sym_union] = ACTIONS(2366),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_else] = ACTIONS(2366),
    [anon_sym_switch] = ACTIONS(2366),
    [anon_sym_case] = ACTIONS(2366),
    [anon_sym_default] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2366),
    [anon_sym_for] = ACTIONS(2366),
    [anon_sym_return] = ACTIONS(2366),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2366),
    [anon_sym_goto] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2366),
    [anon_sym___leave] = ACTIONS(2366),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_sizeof] = ACTIONS(2366),
    [anon_sym___alignof__] = ACTIONS(2366),
    [anon_sym___alignof] = ACTIONS(2366),
    [anon_sym__alignof] = ACTIONS(2366),
    [anon_sym_alignof] = ACTIONS(2366),
    [anon_sym__Alignof] = ACTIONS(2366),
    [anon_sym_offsetof] = ACTIONS(2366),
    [anon_sym__Generic] = ACTIONS(2366),
    [anon_sym_asm] = ACTIONS(2366),
    [anon_sym___asm__] = ACTIONS(2366),
    [anon_sym___asm] = ACTIONS(2366),
    [sym_number_literal] = ACTIONS(2368),
    [anon_sym_L_SQUOTE] = ACTIONS(2368),
    [anon_sym_u_SQUOTE] = ACTIONS(2368),
    [anon_sym_U_SQUOTE] = ACTIONS(2368),
    [anon_sym_u8_SQUOTE] = ACTIONS(2368),
    [anon_sym_SQUOTE] = ACTIONS(2368),
    [anon_sym_L_DQUOTE] = ACTIONS(2368),
    [anon_sym_u_DQUOTE] = ACTIONS(2368),
    [anon_sym_U_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8_DQUOTE] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2368),
    [sym_true] = ACTIONS(2366),
    [sym_false] = ACTIONS(2366),
    [anon_sym_NULL] = ACTIONS(2366),
    [anon_sym_nullptr] = ACTIONS(2366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2366),
    [anon_sym_decltype] = ACTIONS(2366),
    [anon_sym_explicit] = ACTIONS(2366),
    [anon_sym_typename] = ACTIONS(2366),
    [anon_sym_template] = ACTIONS(2366),
    [anon_sym_operator] = ACTIONS(2366),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_delete] = ACTIONS(2366),
    [anon_sym_throw] = ACTIONS(2366),
    [anon_sym_namespace] = ACTIONS(2366),
    [anon_sym_using] = ACTIONS(2366),
    [anon_sym_static_assert] = ACTIONS(2366),
    [anon_sym_concept] = ACTIONS(2366),
    [anon_sym_co_return] = ACTIONS(2366),
    [anon_sym_co_yield] = ACTIONS(2366),
    [anon_sym_R_DQUOTE] = ACTIONS(2368),
    [anon_sym_LR_DQUOTE] = ACTIONS(2368),
    [anon_sym_uR_DQUOTE] = ACTIONS(2368),
    [anon_sym_UR_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2368),
    [anon_sym_co_await] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_requires] = ACTIONS(2366),
    [sym_this] = ACTIONS(2366),
    [anon_sym_discard] = ACTIONS(2366),
    [anon_sym_precise] = ACTIONS(2366),
    [anon_sym_shared] = ACTIONS(2366),
    [anon_sym_groupshared] = ACTIONS(2366),
    [anon_sym_uniform] = ACTIONS(2366),
    [anon_sym_row_major] = ACTIONS(2366),
    [anon_sym_column_major] = ACTIONS(2366),
    [anon_sym_globallycoherent] = ACTIONS(2366),
    [anon_sym_centroid] = ACTIONS(2366),
    [anon_sym_noperspective] = ACTIONS(2366),
    [anon_sym_nointerpolation] = ACTIONS(2366),
    [anon_sym_sample] = ACTIONS(2366),
    [anon_sym_linear] = ACTIONS(2366),
    [anon_sym_snorm] = ACTIONS(2366),
    [anon_sym_unorm] = ACTIONS(2366),
    [anon_sym_point] = ACTIONS(2366),
    [anon_sym_line] = ACTIONS(2366),
    [anon_sym_triangleadj] = ACTIONS(2366),
    [anon_sym_lineadj] = ACTIONS(2366),
    [anon_sym_triangle] = ACTIONS(2366),
    [anon_sym_cbuffer] = ACTIONS(2366),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2131),
    [aux_sym_preproc_include_token1] = ACTIONS(2131),
    [aux_sym_preproc_def_token1] = ACTIONS(2131),
    [aux_sym_preproc_if_token1] = ACTIONS(2131),
    [aux_sym_preproc_if_token2] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2131),
    [sym_preproc_directive] = ACTIONS(2131),
    [anon_sym_LPAREN2] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2133),
    [anon_sym_AMP_AMP] = ACTIONS(2133),
    [anon_sym_AMP] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym___extension__] = ACTIONS(2131),
    [anon_sym_typedef] = ACTIONS(2131),
    [anon_sym_in] = ACTIONS(2131),
    [anon_sym_out] = ACTIONS(2131),
    [anon_sym_inout] = ACTIONS(2131),
    [anon_sym_virtual] = ACTIONS(2131),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym___based] = ACTIONS(2131),
    [anon_sym___cdecl] = ACTIONS(2131),
    [anon_sym___clrcall] = ACTIONS(2131),
    [anon_sym___stdcall] = ACTIONS(2131),
    [anon_sym___fastcall] = ACTIONS(2131),
    [anon_sym___thiscall] = ACTIONS(2131),
    [anon_sym___vectorcall] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_mutable] = ACTIONS(2131),
    [anon_sym_constinit] = ACTIONS(2131),
    [anon_sym_consteval] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2131),
    [anon_sym_default] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_goto] = ACTIONS(2131),
    [anon_sym___try] = ACTIONS(2131),
    [anon_sym___leave] = ACTIONS(2131),
    [anon_sym_not] = ACTIONS(2131),
    [anon_sym_compl] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_sizeof] = ACTIONS(2131),
    [anon_sym___alignof__] = ACTIONS(2131),
    [anon_sym___alignof] = ACTIONS(2131),
    [anon_sym__alignof] = ACTIONS(2131),
    [anon_sym_alignof] = ACTIONS(2131),
    [anon_sym__Alignof] = ACTIONS(2131),
    [anon_sym_offsetof] = ACTIONS(2131),
    [anon_sym__Generic] = ACTIONS(2131),
    [anon_sym_asm] = ACTIONS(2131),
    [anon_sym___asm__] = ACTIONS(2131),
    [anon_sym___asm] = ACTIONS(2131),
    [sym_number_literal] = ACTIONS(2133),
    [anon_sym_L_SQUOTE] = ACTIONS(2133),
    [anon_sym_u_SQUOTE] = ACTIONS(2133),
    [anon_sym_U_SQUOTE] = ACTIONS(2133),
    [anon_sym_u8_SQUOTE] = ACTIONS(2133),
    [anon_sym_SQUOTE] = ACTIONS(2133),
    [anon_sym_L_DQUOTE] = ACTIONS(2133),
    [anon_sym_u_DQUOTE] = ACTIONS(2133),
    [anon_sym_U_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8_DQUOTE] = ACTIONS(2133),
    [anon_sym_DQUOTE] = ACTIONS(2133),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [anon_sym_NULL] = ACTIONS(2131),
    [anon_sym_nullptr] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2131),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_explicit] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2131),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_operator] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_static_assert] = ACTIONS(2131),
    [anon_sym_concept] = ACTIONS(2131),
    [anon_sym_co_return] = ACTIONS(2131),
    [anon_sym_co_yield] = ACTIONS(2131),
    [anon_sym_R_DQUOTE] = ACTIONS(2133),
    [anon_sym_LR_DQUOTE] = ACTIONS(2133),
    [anon_sym_uR_DQUOTE] = ACTIONS(2133),
    [anon_sym_UR_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2133),
    [anon_sym_co_await] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_requires] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [anon_sym_discard] = ACTIONS(2131),
    [anon_sym_precise] = ACTIONS(2131),
    [anon_sym_shared] = ACTIONS(2131),
    [anon_sym_groupshared] = ACTIONS(2131),
    [anon_sym_uniform] = ACTIONS(2131),
    [anon_sym_row_major] = ACTIONS(2131),
    [anon_sym_column_major] = ACTIONS(2131),
    [anon_sym_globallycoherent] = ACTIONS(2131),
    [anon_sym_centroid] = ACTIONS(2131),
    [anon_sym_noperspective] = ACTIONS(2131),
    [anon_sym_nointerpolation] = ACTIONS(2131),
    [anon_sym_sample] = ACTIONS(2131),
    [anon_sym_linear] = ACTIONS(2131),
    [anon_sym_snorm] = ACTIONS(2131),
    [anon_sym_unorm] = ACTIONS(2131),
    [anon_sym_point] = ACTIONS(2131),
    [anon_sym_line] = ACTIONS(2131),
    [anon_sym_triangleadj] = ACTIONS(2131),
    [anon_sym_lineadj] = ACTIONS(2131),
    [anon_sym_triangle] = ACTIONS(2131),
    [anon_sym_cbuffer] = ACTIONS(2131),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2135),
    [aux_sym_preproc_include_token1] = ACTIONS(2135),
    [aux_sym_preproc_def_token1] = ACTIONS(2135),
    [aux_sym_preproc_if_token1] = ACTIONS(2135),
    [aux_sym_preproc_if_token2] = ACTIONS(2135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2135),
    [sym_preproc_directive] = ACTIONS(2135),
    [anon_sym_LPAREN2] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym___extension__] = ACTIONS(2135),
    [anon_sym_typedef] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2135),
    [anon_sym_out] = ACTIONS(2135),
    [anon_sym_inout] = ACTIONS(2135),
    [anon_sym_virtual] = ACTIONS(2135),
    [anon_sym_extern] = ACTIONS(2135),
    [anon_sym___attribute__] = ACTIONS(2135),
    [anon_sym___attribute] = ACTIONS(2135),
    [anon_sym_COLON_COLON] = ACTIONS(2137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2137),
    [anon_sym___declspec] = ACTIONS(2135),
    [anon_sym___based] = ACTIONS(2135),
    [anon_sym___cdecl] = ACTIONS(2135),
    [anon_sym___clrcall] = ACTIONS(2135),
    [anon_sym___stdcall] = ACTIONS(2135),
    [anon_sym___fastcall] = ACTIONS(2135),
    [anon_sym___thiscall] = ACTIONS(2135),
    [anon_sym___vectorcall] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_signed] = ACTIONS(2135),
    [anon_sym_unsigned] = ACTIONS(2135),
    [anon_sym_long] = ACTIONS(2135),
    [anon_sym_short] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_register] = ACTIONS(2135),
    [anon_sym_inline] = ACTIONS(2135),
    [anon_sym___inline] = ACTIONS(2135),
    [anon_sym___inline__] = ACTIONS(2135),
    [anon_sym___forceinline] = ACTIONS(2135),
    [anon_sym_thread_local] = ACTIONS(2135),
    [anon_sym___thread] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_constexpr] = ACTIONS(2135),
    [anon_sym_volatile] = ACTIONS(2135),
    [anon_sym_restrict] = ACTIONS(2135),
    [anon_sym___restrict__] = ACTIONS(2135),
    [anon_sym__Atomic] = ACTIONS(2135),
    [anon_sym__Noreturn] = ACTIONS(2135),
    [anon_sym_noreturn] = ACTIONS(2135),
    [anon_sym__Nonnull] = ACTIONS(2135),
    [anon_sym_mutable] = ACTIONS(2135),
    [anon_sym_constinit] = ACTIONS(2135),
    [anon_sym_consteval] = ACTIONS(2135),
    [anon_sym_alignas] = ACTIONS(2135),
    [anon_sym__Alignas] = ACTIONS(2135),
    [sym_primitive_type] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_struct] = ACTIONS(2135),
    [anon_sym_union] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_goto] = ACTIONS(2135),
    [anon_sym___try] = ACTIONS(2135),
    [anon_sym___leave] = ACTIONS(2135),
    [anon_sym_not] = ACTIONS(2135),
    [anon_sym_compl] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_sizeof] = ACTIONS(2135),
    [anon_sym___alignof__] = ACTIONS(2135),
    [anon_sym___alignof] = ACTIONS(2135),
    [anon_sym__alignof] = ACTIONS(2135),
    [anon_sym_alignof] = ACTIONS(2135),
    [anon_sym__Alignof] = ACTIONS(2135),
    [anon_sym_offsetof] = ACTIONS(2135),
    [anon_sym__Generic] = ACTIONS(2135),
    [anon_sym_asm] = ACTIONS(2135),
    [anon_sym___asm__] = ACTIONS(2135),
    [anon_sym___asm] = ACTIONS(2135),
    [sym_number_literal] = ACTIONS(2137),
    [anon_sym_L_SQUOTE] = ACTIONS(2137),
    [anon_sym_u_SQUOTE] = ACTIONS(2137),
    [anon_sym_U_SQUOTE] = ACTIONS(2137),
    [anon_sym_u8_SQUOTE] = ACTIONS(2137),
    [anon_sym_SQUOTE] = ACTIONS(2137),
    [anon_sym_L_DQUOTE] = ACTIONS(2137),
    [anon_sym_u_DQUOTE] = ACTIONS(2137),
    [anon_sym_U_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8_DQUOTE] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2137),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [anon_sym_NULL] = ACTIONS(2135),
    [anon_sym_nullptr] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2135),
    [anon_sym_decltype] = ACTIONS(2135),
    [anon_sym_explicit] = ACTIONS(2135),
    [anon_sym_typename] = ACTIONS(2135),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_static_assert] = ACTIONS(2135),
    [anon_sym_concept] = ACTIONS(2135),
    [anon_sym_co_return] = ACTIONS(2135),
    [anon_sym_co_yield] = ACTIONS(2135),
    [anon_sym_R_DQUOTE] = ACTIONS(2137),
    [anon_sym_LR_DQUOTE] = ACTIONS(2137),
    [anon_sym_uR_DQUOTE] = ACTIONS(2137),
    [anon_sym_UR_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2137),
    [anon_sym_co_await] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_requires] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [anon_sym_discard] = ACTIONS(2135),
    [anon_sym_precise] = ACTIONS(2135),
    [anon_sym_shared] = ACTIONS(2135),
    [anon_sym_groupshared] = ACTIONS(2135),
    [anon_sym_uniform] = ACTIONS(2135),
    [anon_sym_row_major] = ACTIONS(2135),
    [anon_sym_column_major] = ACTIONS(2135),
    [anon_sym_globallycoherent] = ACTIONS(2135),
    [anon_sym_centroid] = ACTIONS(2135),
    [anon_sym_noperspective] = ACTIONS(2135),
    [anon_sym_nointerpolation] = ACTIONS(2135),
    [anon_sym_sample] = ACTIONS(2135),
    [anon_sym_linear] = ACTIONS(2135),
    [anon_sym_snorm] = ACTIONS(2135),
    [anon_sym_unorm] = ACTIONS(2135),
    [anon_sym_point] = ACTIONS(2135),
    [anon_sym_line] = ACTIONS(2135),
    [anon_sym_triangleadj] = ACTIONS(2135),
    [anon_sym_lineadj] = ACTIONS(2135),
    [anon_sym_triangle] = ACTIONS(2135),
    [anon_sym_cbuffer] = ACTIONS(2135),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2139),
    [aux_sym_preproc_include_token1] = ACTIONS(2139),
    [aux_sym_preproc_def_token1] = ACTIONS(2139),
    [aux_sym_preproc_if_token1] = ACTIONS(2139),
    [aux_sym_preproc_if_token2] = ACTIONS(2139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2139),
    [sym_preproc_directive] = ACTIONS(2139),
    [anon_sym_LPAREN2] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym___extension__] = ACTIONS(2139),
    [anon_sym_typedef] = ACTIONS(2139),
    [anon_sym_in] = ACTIONS(2139),
    [anon_sym_out] = ACTIONS(2139),
    [anon_sym_inout] = ACTIONS(2139),
    [anon_sym_virtual] = ACTIONS(2139),
    [anon_sym_extern] = ACTIONS(2139),
    [anon_sym___attribute__] = ACTIONS(2139),
    [anon_sym___attribute] = ACTIONS(2139),
    [anon_sym_COLON_COLON] = ACTIONS(2141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2141),
    [anon_sym___declspec] = ACTIONS(2139),
    [anon_sym___based] = ACTIONS(2139),
    [anon_sym___cdecl] = ACTIONS(2139),
    [anon_sym___clrcall] = ACTIONS(2139),
    [anon_sym___stdcall] = ACTIONS(2139),
    [anon_sym___fastcall] = ACTIONS(2139),
    [anon_sym___thiscall] = ACTIONS(2139),
    [anon_sym___vectorcall] = ACTIONS(2139),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_signed] = ACTIONS(2139),
    [anon_sym_unsigned] = ACTIONS(2139),
    [anon_sym_long] = ACTIONS(2139),
    [anon_sym_short] = ACTIONS(2139),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_register] = ACTIONS(2139),
    [anon_sym_inline] = ACTIONS(2139),
    [anon_sym___inline] = ACTIONS(2139),
    [anon_sym___inline__] = ACTIONS(2139),
    [anon_sym___forceinline] = ACTIONS(2139),
    [anon_sym_thread_local] = ACTIONS(2139),
    [anon_sym___thread] = ACTIONS(2139),
    [anon_sym_const] = ACTIONS(2139),
    [anon_sym_constexpr] = ACTIONS(2139),
    [anon_sym_volatile] = ACTIONS(2139),
    [anon_sym_restrict] = ACTIONS(2139),
    [anon_sym___restrict__] = ACTIONS(2139),
    [anon_sym__Atomic] = ACTIONS(2139),
    [anon_sym__Noreturn] = ACTIONS(2139),
    [anon_sym_noreturn] = ACTIONS(2139),
    [anon_sym__Nonnull] = ACTIONS(2139),
    [anon_sym_mutable] = ACTIONS(2139),
    [anon_sym_constinit] = ACTIONS(2139),
    [anon_sym_consteval] = ACTIONS(2139),
    [anon_sym_alignas] = ACTIONS(2139),
    [anon_sym__Alignas] = ACTIONS(2139),
    [sym_primitive_type] = ACTIONS(2139),
    [anon_sym_enum] = ACTIONS(2139),
    [anon_sym_class] = ACTIONS(2139),
    [anon_sym_struct] = ACTIONS(2139),
    [anon_sym_union] = ACTIONS(2139),
    [anon_sym_if] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2139),
    [anon_sym_switch] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2139),
    [anon_sym_default] = ACTIONS(2139),
    [anon_sym_while] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2139),
    [anon_sym_for] = ACTIONS(2139),
    [anon_sym_return] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2139),
    [anon_sym_continue] = ACTIONS(2139),
    [anon_sym_goto] = ACTIONS(2139),
    [anon_sym___try] = ACTIONS(2139),
    [anon_sym___leave] = ACTIONS(2139),
    [anon_sym_not] = ACTIONS(2139),
    [anon_sym_compl] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_sizeof] = ACTIONS(2139),
    [anon_sym___alignof__] = ACTIONS(2139),
    [anon_sym___alignof] = ACTIONS(2139),
    [anon_sym__alignof] = ACTIONS(2139),
    [anon_sym_alignof] = ACTIONS(2139),
    [anon_sym__Alignof] = ACTIONS(2139),
    [anon_sym_offsetof] = ACTIONS(2139),
    [anon_sym__Generic] = ACTIONS(2139),
    [anon_sym_asm] = ACTIONS(2139),
    [anon_sym___asm__] = ACTIONS(2139),
    [anon_sym___asm] = ACTIONS(2139),
    [sym_number_literal] = ACTIONS(2141),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2141),
    [anon_sym_u_DQUOTE] = ACTIONS(2141),
    [anon_sym_U_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8_DQUOTE] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [sym_true] = ACTIONS(2139),
    [sym_false] = ACTIONS(2139),
    [anon_sym_NULL] = ACTIONS(2139),
    [anon_sym_nullptr] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2139),
    [anon_sym_decltype] = ACTIONS(2139),
    [anon_sym_explicit] = ACTIONS(2139),
    [anon_sym_typename] = ACTIONS(2139),
    [anon_sym_template] = ACTIONS(2139),
    [anon_sym_operator] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_throw] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2139),
    [anon_sym_using] = ACTIONS(2139),
    [anon_sym_static_assert] = ACTIONS(2139),
    [anon_sym_concept] = ACTIONS(2139),
    [anon_sym_co_return] = ACTIONS(2139),
    [anon_sym_co_yield] = ACTIONS(2139),
    [anon_sym_R_DQUOTE] = ACTIONS(2141),
    [anon_sym_LR_DQUOTE] = ACTIONS(2141),
    [anon_sym_uR_DQUOTE] = ACTIONS(2141),
    [anon_sym_UR_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2141),
    [anon_sym_co_await] = ACTIONS(2139),
    [anon_sym_new] = ACTIONS(2139),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2139),
    [anon_sym_discard] = ACTIONS(2139),
    [anon_sym_precise] = ACTIONS(2139),
    [anon_sym_shared] = ACTIONS(2139),
    [anon_sym_groupshared] = ACTIONS(2139),
    [anon_sym_uniform] = ACTIONS(2139),
    [anon_sym_row_major] = ACTIONS(2139),
    [anon_sym_column_major] = ACTIONS(2139),
    [anon_sym_globallycoherent] = ACTIONS(2139),
    [anon_sym_centroid] = ACTIONS(2139),
    [anon_sym_noperspective] = ACTIONS(2139),
    [anon_sym_nointerpolation] = ACTIONS(2139),
    [anon_sym_sample] = ACTIONS(2139),
    [anon_sym_linear] = ACTIONS(2139),
    [anon_sym_snorm] = ACTIONS(2139),
    [anon_sym_unorm] = ACTIONS(2139),
    [anon_sym_point] = ACTIONS(2139),
    [anon_sym_line] = ACTIONS(2139),
    [anon_sym_triangleadj] = ACTIONS(2139),
    [anon_sym_lineadj] = ACTIONS(2139),
    [anon_sym_triangle] = ACTIONS(2139),
    [anon_sym_cbuffer] = ACTIONS(2139),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2143),
    [aux_sym_preproc_include_token1] = ACTIONS(2143),
    [aux_sym_preproc_def_token1] = ACTIONS(2143),
    [aux_sym_preproc_if_token1] = ACTIONS(2143),
    [aux_sym_preproc_if_token2] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2143),
    [sym_preproc_directive] = ACTIONS(2143),
    [anon_sym_LPAREN2] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym___extension__] = ACTIONS(2143),
    [anon_sym_typedef] = ACTIONS(2143),
    [anon_sym_in] = ACTIONS(2143),
    [anon_sym_out] = ACTIONS(2143),
    [anon_sym_inout] = ACTIONS(2143),
    [anon_sym_virtual] = ACTIONS(2143),
    [anon_sym_extern] = ACTIONS(2143),
    [anon_sym___attribute__] = ACTIONS(2143),
    [anon_sym___attribute] = ACTIONS(2143),
    [anon_sym_COLON_COLON] = ACTIONS(2145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2145),
    [anon_sym___declspec] = ACTIONS(2143),
    [anon_sym___based] = ACTIONS(2143),
    [anon_sym___cdecl] = ACTIONS(2143),
    [anon_sym___clrcall] = ACTIONS(2143),
    [anon_sym___stdcall] = ACTIONS(2143),
    [anon_sym___fastcall] = ACTIONS(2143),
    [anon_sym___thiscall] = ACTIONS(2143),
    [anon_sym___vectorcall] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_register] = ACTIONS(2143),
    [anon_sym_inline] = ACTIONS(2143),
    [anon_sym___inline] = ACTIONS(2143),
    [anon_sym___inline__] = ACTIONS(2143),
    [anon_sym___forceinline] = ACTIONS(2143),
    [anon_sym_thread_local] = ACTIONS(2143),
    [anon_sym___thread] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_constexpr] = ACTIONS(2143),
    [anon_sym_volatile] = ACTIONS(2143),
    [anon_sym_restrict] = ACTIONS(2143),
    [anon_sym___restrict__] = ACTIONS(2143),
    [anon_sym__Atomic] = ACTIONS(2143),
    [anon_sym__Noreturn] = ACTIONS(2143),
    [anon_sym_noreturn] = ACTIONS(2143),
    [anon_sym__Nonnull] = ACTIONS(2143),
    [anon_sym_mutable] = ACTIONS(2143),
    [anon_sym_constinit] = ACTIONS(2143),
    [anon_sym_consteval] = ACTIONS(2143),
    [anon_sym_alignas] = ACTIONS(2143),
    [anon_sym__Alignas] = ACTIONS(2143),
    [sym_primitive_type] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_struct] = ACTIONS(2143),
    [anon_sym_union] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_goto] = ACTIONS(2143),
    [anon_sym___try] = ACTIONS(2143),
    [anon_sym___leave] = ACTIONS(2143),
    [anon_sym_not] = ACTIONS(2143),
    [anon_sym_compl] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_sizeof] = ACTIONS(2143),
    [anon_sym___alignof__] = ACTIONS(2143),
    [anon_sym___alignof] = ACTIONS(2143),
    [anon_sym__alignof] = ACTIONS(2143),
    [anon_sym_alignof] = ACTIONS(2143),
    [anon_sym__Alignof] = ACTIONS(2143),
    [anon_sym_offsetof] = ACTIONS(2143),
    [anon_sym__Generic] = ACTIONS(2143),
    [anon_sym_asm] = ACTIONS(2143),
    [anon_sym___asm__] = ACTIONS(2143),
    [anon_sym___asm] = ACTIONS(2143),
    [sym_number_literal] = ACTIONS(2145),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2145),
    [anon_sym_u_DQUOTE] = ACTIONS(2145),
    [anon_sym_U_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8_DQUOTE] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [anon_sym_NULL] = ACTIONS(2143),
    [anon_sym_nullptr] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2143),
    [anon_sym_decltype] = ACTIONS(2143),
    [anon_sym_explicit] = ACTIONS(2143),
    [anon_sym_typename] = ACTIONS(2143),
    [anon_sym_template] = ACTIONS(2143),
    [anon_sym_operator] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_static_assert] = ACTIONS(2143),
    [anon_sym_concept] = ACTIONS(2143),
    [anon_sym_co_return] = ACTIONS(2143),
    [anon_sym_co_yield] = ACTIONS(2143),
    [anon_sym_R_DQUOTE] = ACTIONS(2145),
    [anon_sym_LR_DQUOTE] = ACTIONS(2145),
    [anon_sym_uR_DQUOTE] = ACTIONS(2145),
    [anon_sym_UR_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2145),
    [anon_sym_co_await] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [anon_sym_discard] = ACTIONS(2143),
    [anon_sym_precise] = ACTIONS(2143),
    [anon_sym_shared] = ACTIONS(2143),
    [anon_sym_groupshared] = ACTIONS(2143),
    [anon_sym_uniform] = ACTIONS(2143),
    [anon_sym_row_major] = ACTIONS(2143),
    [anon_sym_column_major] = ACTIONS(2143),
    [anon_sym_globallycoherent] = ACTIONS(2143),
    [anon_sym_centroid] = ACTIONS(2143),
    [anon_sym_noperspective] = ACTIONS(2143),
    [anon_sym_nointerpolation] = ACTIONS(2143),
    [anon_sym_sample] = ACTIONS(2143),
    [anon_sym_linear] = ACTIONS(2143),
    [anon_sym_snorm] = ACTIONS(2143),
    [anon_sym_unorm] = ACTIONS(2143),
    [anon_sym_point] = ACTIONS(2143),
    [anon_sym_line] = ACTIONS(2143),
    [anon_sym_triangleadj] = ACTIONS(2143),
    [anon_sym_lineadj] = ACTIONS(2143),
    [anon_sym_triangle] = ACTIONS(2143),
    [anon_sym_cbuffer] = ACTIONS(2143),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2268),
    [aux_sym_preproc_include_token1] = ACTIONS(2268),
    [aux_sym_preproc_def_token1] = ACTIONS(2268),
    [aux_sym_preproc_if_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2268),
    [sym_preproc_directive] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym___attribute] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym___based] = ACTIONS(2268),
    [anon_sym___cdecl] = ACTIONS(2268),
    [anon_sym___clrcall] = ACTIONS(2268),
    [anon_sym___stdcall] = ACTIONS(2268),
    [anon_sym___fastcall] = ACTIONS(2268),
    [anon_sym___thiscall] = ACTIONS(2268),
    [anon_sym___vectorcall] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_RBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_case] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_explicit] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_operator] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_namespace] = ACTIONS(2268),
    [anon_sym_using] = ACTIONS(2268),
    [anon_sym_static_assert] = ACTIONS(2268),
    [anon_sym_concept] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2151),
    [aux_sym_preproc_include_token1] = ACTIONS(2151),
    [aux_sym_preproc_def_token1] = ACTIONS(2151),
    [aux_sym_preproc_if_token1] = ACTIONS(2151),
    [aux_sym_preproc_if_token2] = ACTIONS(2151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2151),
    [sym_preproc_directive] = ACTIONS(2151),
    [anon_sym_LPAREN2] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(2153),
    [anon_sym_AMP_AMP] = ACTIONS(2153),
    [anon_sym_AMP] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym___extension__] = ACTIONS(2151),
    [anon_sym_typedef] = ACTIONS(2151),
    [anon_sym_in] = ACTIONS(2151),
    [anon_sym_out] = ACTIONS(2151),
    [anon_sym_inout] = ACTIONS(2151),
    [anon_sym_virtual] = ACTIONS(2151),
    [anon_sym_extern] = ACTIONS(2151),
    [anon_sym___attribute__] = ACTIONS(2151),
    [anon_sym___attribute] = ACTIONS(2151),
    [anon_sym_COLON_COLON] = ACTIONS(2153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2153),
    [anon_sym___declspec] = ACTIONS(2151),
    [anon_sym___based] = ACTIONS(2151),
    [anon_sym___cdecl] = ACTIONS(2151),
    [anon_sym___clrcall] = ACTIONS(2151),
    [anon_sym___stdcall] = ACTIONS(2151),
    [anon_sym___fastcall] = ACTIONS(2151),
    [anon_sym___thiscall] = ACTIONS(2151),
    [anon_sym___vectorcall] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_signed] = ACTIONS(2151),
    [anon_sym_unsigned] = ACTIONS(2151),
    [anon_sym_long] = ACTIONS(2151),
    [anon_sym_short] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [anon_sym_static] = ACTIONS(2151),
    [anon_sym_register] = ACTIONS(2151),
    [anon_sym_inline] = ACTIONS(2151),
    [anon_sym___inline] = ACTIONS(2151),
    [anon_sym___inline__] = ACTIONS(2151),
    [anon_sym___forceinline] = ACTIONS(2151),
    [anon_sym_thread_local] = ACTIONS(2151),
    [anon_sym___thread] = ACTIONS(2151),
    [anon_sym_const] = ACTIONS(2151),
    [anon_sym_constexpr] = ACTIONS(2151),
    [anon_sym_volatile] = ACTIONS(2151),
    [anon_sym_restrict] = ACTIONS(2151),
    [anon_sym___restrict__] = ACTIONS(2151),
    [anon_sym__Atomic] = ACTIONS(2151),
    [anon_sym__Noreturn] = ACTIONS(2151),
    [anon_sym_noreturn] = ACTIONS(2151),
    [anon_sym__Nonnull] = ACTIONS(2151),
    [anon_sym_mutable] = ACTIONS(2151),
    [anon_sym_constinit] = ACTIONS(2151),
    [anon_sym_consteval] = ACTIONS(2151),
    [anon_sym_alignas] = ACTIONS(2151),
    [anon_sym__Alignas] = ACTIONS(2151),
    [sym_primitive_type] = ACTIONS(2151),
    [anon_sym_enum] = ACTIONS(2151),
    [anon_sym_class] = ACTIONS(2151),
    [anon_sym_struct] = ACTIONS(2151),
    [anon_sym_union] = ACTIONS(2151),
    [anon_sym_if] = ACTIONS(2151),
    [anon_sym_else] = ACTIONS(2151),
    [anon_sym_switch] = ACTIONS(2151),
    [anon_sym_case] = ACTIONS(2151),
    [anon_sym_default] = ACTIONS(2151),
    [anon_sym_while] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2151),
    [anon_sym_for] = ACTIONS(2151),
    [anon_sym_return] = ACTIONS(2151),
    [anon_sym_break] = ACTIONS(2151),
    [anon_sym_continue] = ACTIONS(2151),
    [anon_sym_goto] = ACTIONS(2151),
    [anon_sym___try] = ACTIONS(2151),
    [anon_sym___leave] = ACTIONS(2151),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_sizeof] = ACTIONS(2151),
    [anon_sym___alignof__] = ACTIONS(2151),
    [anon_sym___alignof] = ACTIONS(2151),
    [anon_sym__alignof] = ACTIONS(2151),
    [anon_sym_alignof] = ACTIONS(2151),
    [anon_sym__Alignof] = ACTIONS(2151),
    [anon_sym_offsetof] = ACTIONS(2151),
    [anon_sym__Generic] = ACTIONS(2151),
    [anon_sym_asm] = ACTIONS(2151),
    [anon_sym___asm__] = ACTIONS(2151),
    [anon_sym___asm] = ACTIONS(2151),
    [sym_number_literal] = ACTIONS(2153),
    [anon_sym_L_SQUOTE] = ACTIONS(2153),
    [anon_sym_u_SQUOTE] = ACTIONS(2153),
    [anon_sym_U_SQUOTE] = ACTIONS(2153),
    [anon_sym_u8_SQUOTE] = ACTIONS(2153),
    [anon_sym_SQUOTE] = ACTIONS(2153),
    [anon_sym_L_DQUOTE] = ACTIONS(2153),
    [anon_sym_u_DQUOTE] = ACTIONS(2153),
    [anon_sym_U_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8_DQUOTE] = ACTIONS(2153),
    [anon_sym_DQUOTE] = ACTIONS(2153),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2151),
    [anon_sym_nullptr] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2151),
    [anon_sym_decltype] = ACTIONS(2151),
    [anon_sym_explicit] = ACTIONS(2151),
    [anon_sym_typename] = ACTIONS(2151),
    [anon_sym_template] = ACTIONS(2151),
    [anon_sym_operator] = ACTIONS(2151),
    [anon_sym_try] = ACTIONS(2151),
    [anon_sym_delete] = ACTIONS(2151),
    [anon_sym_throw] = ACTIONS(2151),
    [anon_sym_namespace] = ACTIONS(2151),
    [anon_sym_using] = ACTIONS(2151),
    [anon_sym_static_assert] = ACTIONS(2151),
    [anon_sym_concept] = ACTIONS(2151),
    [anon_sym_co_return] = ACTIONS(2151),
    [anon_sym_co_yield] = ACTIONS(2151),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2151),
    [anon_sym_new] = ACTIONS(2151),
    [anon_sym_requires] = ACTIONS(2151),
    [sym_this] = ACTIONS(2151),
    [anon_sym_discard] = ACTIONS(2151),
    [anon_sym_precise] = ACTIONS(2151),
    [anon_sym_shared] = ACTIONS(2151),
    [anon_sym_groupshared] = ACTIONS(2151),
    [anon_sym_uniform] = ACTIONS(2151),
    [anon_sym_row_major] = ACTIONS(2151),
    [anon_sym_column_major] = ACTIONS(2151),
    [anon_sym_globallycoherent] = ACTIONS(2151),
    [anon_sym_centroid] = ACTIONS(2151),
    [anon_sym_noperspective] = ACTIONS(2151),
    [anon_sym_nointerpolation] = ACTIONS(2151),
    [anon_sym_sample] = ACTIONS(2151),
    [anon_sym_linear] = ACTIONS(2151),
    [anon_sym_snorm] = ACTIONS(2151),
    [anon_sym_unorm] = ACTIONS(2151),
    [anon_sym_point] = ACTIONS(2151),
    [anon_sym_line] = ACTIONS(2151),
    [anon_sym_triangleadj] = ACTIONS(2151),
    [anon_sym_lineadj] = ACTIONS(2151),
    [anon_sym_triangle] = ACTIONS(2151),
    [anon_sym_cbuffer] = ACTIONS(2151),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2155),
    [aux_sym_preproc_include_token1] = ACTIONS(2155),
    [aux_sym_preproc_def_token1] = ACTIONS(2155),
    [aux_sym_preproc_if_token1] = ACTIONS(2155),
    [aux_sym_preproc_if_token2] = ACTIONS(2155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2155),
    [sym_preproc_directive] = ACTIONS(2155),
    [anon_sym_LPAREN2] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym___extension__] = ACTIONS(2155),
    [anon_sym_typedef] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2155),
    [anon_sym_out] = ACTIONS(2155),
    [anon_sym_inout] = ACTIONS(2155),
    [anon_sym_virtual] = ACTIONS(2155),
    [anon_sym_extern] = ACTIONS(2155),
    [anon_sym___attribute__] = ACTIONS(2155),
    [anon_sym___attribute] = ACTIONS(2155),
    [anon_sym_COLON_COLON] = ACTIONS(2157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2157),
    [anon_sym___declspec] = ACTIONS(2155),
    [anon_sym___based] = ACTIONS(2155),
    [anon_sym___cdecl] = ACTIONS(2155),
    [anon_sym___clrcall] = ACTIONS(2155),
    [anon_sym___stdcall] = ACTIONS(2155),
    [anon_sym___fastcall] = ACTIONS(2155),
    [anon_sym___thiscall] = ACTIONS(2155),
    [anon_sym___vectorcall] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_signed] = ACTIONS(2155),
    [anon_sym_unsigned] = ACTIONS(2155),
    [anon_sym_long] = ACTIONS(2155),
    [anon_sym_short] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_register] = ACTIONS(2155),
    [anon_sym_inline] = ACTIONS(2155),
    [anon_sym___inline] = ACTIONS(2155),
    [anon_sym___inline__] = ACTIONS(2155),
    [anon_sym___forceinline] = ACTIONS(2155),
    [anon_sym_thread_local] = ACTIONS(2155),
    [anon_sym___thread] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_constexpr] = ACTIONS(2155),
    [anon_sym_volatile] = ACTIONS(2155),
    [anon_sym_restrict] = ACTIONS(2155),
    [anon_sym___restrict__] = ACTIONS(2155),
    [anon_sym__Atomic] = ACTIONS(2155),
    [anon_sym__Noreturn] = ACTIONS(2155),
    [anon_sym_noreturn] = ACTIONS(2155),
    [anon_sym__Nonnull] = ACTIONS(2155),
    [anon_sym_mutable] = ACTIONS(2155),
    [anon_sym_constinit] = ACTIONS(2155),
    [anon_sym_consteval] = ACTIONS(2155),
    [anon_sym_alignas] = ACTIONS(2155),
    [anon_sym__Alignas] = ACTIONS(2155),
    [sym_primitive_type] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_struct] = ACTIONS(2155),
    [anon_sym_union] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_goto] = ACTIONS(2155),
    [anon_sym___try] = ACTIONS(2155),
    [anon_sym___leave] = ACTIONS(2155),
    [anon_sym_not] = ACTIONS(2155),
    [anon_sym_compl] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_sizeof] = ACTIONS(2155),
    [anon_sym___alignof__] = ACTIONS(2155),
    [anon_sym___alignof] = ACTIONS(2155),
    [anon_sym__alignof] = ACTIONS(2155),
    [anon_sym_alignof] = ACTIONS(2155),
    [anon_sym__Alignof] = ACTIONS(2155),
    [anon_sym_offsetof] = ACTIONS(2155),
    [anon_sym__Generic] = ACTIONS(2155),
    [anon_sym_asm] = ACTIONS(2155),
    [anon_sym___asm__] = ACTIONS(2155),
    [anon_sym___asm] = ACTIONS(2155),
    [sym_number_literal] = ACTIONS(2157),
    [anon_sym_L_SQUOTE] = ACTIONS(2157),
    [anon_sym_u_SQUOTE] = ACTIONS(2157),
    [anon_sym_U_SQUOTE] = ACTIONS(2157),
    [anon_sym_u8_SQUOTE] = ACTIONS(2157),
    [anon_sym_SQUOTE] = ACTIONS(2157),
    [anon_sym_L_DQUOTE] = ACTIONS(2157),
    [anon_sym_u_DQUOTE] = ACTIONS(2157),
    [anon_sym_U_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8_DQUOTE] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2157),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [anon_sym_NULL] = ACTIONS(2155),
    [anon_sym_nullptr] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2155),
    [anon_sym_decltype] = ACTIONS(2155),
    [anon_sym_explicit] = ACTIONS(2155),
    [anon_sym_typename] = ACTIONS(2155),
    [anon_sym_template] = ACTIONS(2155),
    [anon_sym_operator] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_static_assert] = ACTIONS(2155),
    [anon_sym_concept] = ACTIONS(2155),
    [anon_sym_co_return] = ACTIONS(2155),
    [anon_sym_co_yield] = ACTIONS(2155),
    [anon_sym_R_DQUOTE] = ACTIONS(2157),
    [anon_sym_LR_DQUOTE] = ACTIONS(2157),
    [anon_sym_uR_DQUOTE] = ACTIONS(2157),
    [anon_sym_UR_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2157),
    [anon_sym_co_await] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [anon_sym_discard] = ACTIONS(2155),
    [anon_sym_precise] = ACTIONS(2155),
    [anon_sym_shared] = ACTIONS(2155),
    [anon_sym_groupshared] = ACTIONS(2155),
    [anon_sym_uniform] = ACTIONS(2155),
    [anon_sym_row_major] = ACTIONS(2155),
    [anon_sym_column_major] = ACTIONS(2155),
    [anon_sym_globallycoherent] = ACTIONS(2155),
    [anon_sym_centroid] = ACTIONS(2155),
    [anon_sym_noperspective] = ACTIONS(2155),
    [anon_sym_nointerpolation] = ACTIONS(2155),
    [anon_sym_sample] = ACTIONS(2155),
    [anon_sym_linear] = ACTIONS(2155),
    [anon_sym_snorm] = ACTIONS(2155),
    [anon_sym_unorm] = ACTIONS(2155),
    [anon_sym_point] = ACTIONS(2155),
    [anon_sym_line] = ACTIONS(2155),
    [anon_sym_triangleadj] = ACTIONS(2155),
    [anon_sym_lineadj] = ACTIONS(2155),
    [anon_sym_triangle] = ACTIONS(2155),
    [anon_sym_cbuffer] = ACTIONS(2155),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2159),
    [aux_sym_preproc_include_token1] = ACTIONS(2159),
    [aux_sym_preproc_def_token1] = ACTIONS(2159),
    [aux_sym_preproc_if_token1] = ACTIONS(2159),
    [aux_sym_preproc_if_token2] = ACTIONS(2159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2159),
    [sym_preproc_directive] = ACTIONS(2159),
    [anon_sym_LPAREN2] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_STAR] = ACTIONS(2161),
    [anon_sym_AMP_AMP] = ACTIONS(2161),
    [anon_sym_AMP] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym___extension__] = ACTIONS(2159),
    [anon_sym_typedef] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_virtual] = ACTIONS(2159),
    [anon_sym_extern] = ACTIONS(2159),
    [anon_sym___attribute__] = ACTIONS(2159),
    [anon_sym___attribute] = ACTIONS(2159),
    [anon_sym_COLON_COLON] = ACTIONS(2161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2161),
    [anon_sym___declspec] = ACTIONS(2159),
    [anon_sym___based] = ACTIONS(2159),
    [anon_sym___cdecl] = ACTIONS(2159),
    [anon_sym___clrcall] = ACTIONS(2159),
    [anon_sym___stdcall] = ACTIONS(2159),
    [anon_sym___fastcall] = ACTIONS(2159),
    [anon_sym___thiscall] = ACTIONS(2159),
    [anon_sym___vectorcall] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_signed] = ACTIONS(2159),
    [anon_sym_unsigned] = ACTIONS(2159),
    [anon_sym_long] = ACTIONS(2159),
    [anon_sym_short] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_register] = ACTIONS(2159),
    [anon_sym_inline] = ACTIONS(2159),
    [anon_sym___inline] = ACTIONS(2159),
    [anon_sym___inline__] = ACTIONS(2159),
    [anon_sym___forceinline] = ACTIONS(2159),
    [anon_sym_thread_local] = ACTIONS(2159),
    [anon_sym___thread] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_constexpr] = ACTIONS(2159),
    [anon_sym_volatile] = ACTIONS(2159),
    [anon_sym_restrict] = ACTIONS(2159),
    [anon_sym___restrict__] = ACTIONS(2159),
    [anon_sym__Atomic] = ACTIONS(2159),
    [anon_sym__Noreturn] = ACTIONS(2159),
    [anon_sym_noreturn] = ACTIONS(2159),
    [anon_sym__Nonnull] = ACTIONS(2159),
    [anon_sym_mutable] = ACTIONS(2159),
    [anon_sym_constinit] = ACTIONS(2159),
    [anon_sym_consteval] = ACTIONS(2159),
    [anon_sym_alignas] = ACTIONS(2159),
    [anon_sym__Alignas] = ACTIONS(2159),
    [sym_primitive_type] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_struct] = ACTIONS(2159),
    [anon_sym_union] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym_default] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_goto] = ACTIONS(2159),
    [anon_sym___try] = ACTIONS(2159),
    [anon_sym___leave] = ACTIONS(2159),
    [anon_sym_not] = ACTIONS(2159),
    [anon_sym_compl] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2159),
    [anon_sym___alignof] = ACTIONS(2159),
    [anon_sym__alignof] = ACTIONS(2159),
    [anon_sym_alignof] = ACTIONS(2159),
    [anon_sym__Alignof] = ACTIONS(2159),
    [anon_sym_offsetof] = ACTIONS(2159),
    [anon_sym__Generic] = ACTIONS(2159),
    [anon_sym_asm] = ACTIONS(2159),
    [anon_sym___asm__] = ACTIONS(2159),
    [anon_sym___asm] = ACTIONS(2159),
    [sym_number_literal] = ACTIONS(2161),
    [anon_sym_L_SQUOTE] = ACTIONS(2161),
    [anon_sym_u_SQUOTE] = ACTIONS(2161),
    [anon_sym_U_SQUOTE] = ACTIONS(2161),
    [anon_sym_u8_SQUOTE] = ACTIONS(2161),
    [anon_sym_SQUOTE] = ACTIONS(2161),
    [anon_sym_L_DQUOTE] = ACTIONS(2161),
    [anon_sym_u_DQUOTE] = ACTIONS(2161),
    [anon_sym_U_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8_DQUOTE] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2161),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [anon_sym_NULL] = ACTIONS(2159),
    [anon_sym_nullptr] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2159),
    [anon_sym_decltype] = ACTIONS(2159),
    [anon_sym_explicit] = ACTIONS(2159),
    [anon_sym_typename] = ACTIONS(2159),
    [anon_sym_template] = ACTIONS(2159),
    [anon_sym_operator] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_static_assert] = ACTIONS(2159),
    [anon_sym_concept] = ACTIONS(2159),
    [anon_sym_co_return] = ACTIONS(2159),
    [anon_sym_co_yield] = ACTIONS(2159),
    [anon_sym_R_DQUOTE] = ACTIONS(2161),
    [anon_sym_LR_DQUOTE] = ACTIONS(2161),
    [anon_sym_uR_DQUOTE] = ACTIONS(2161),
    [anon_sym_UR_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2161),
    [anon_sym_co_await] = ACTIONS(2159),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [anon_sym_discard] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_groupshared] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_row_major] = ACTIONS(2159),
    [anon_sym_column_major] = ACTIONS(2159),
    [anon_sym_globallycoherent] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym_nointerpolation] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_linear] = ACTIONS(2159),
    [anon_sym_snorm] = ACTIONS(2159),
    [anon_sym_unorm] = ACTIONS(2159),
    [anon_sym_point] = ACTIONS(2159),
    [anon_sym_line] = ACTIONS(2159),
    [anon_sym_triangleadj] = ACTIONS(2159),
    [anon_sym_lineadj] = ACTIONS(2159),
    [anon_sym_triangle] = ACTIONS(2159),
    [anon_sym_cbuffer] = ACTIONS(2159),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2272),
    [aux_sym_preproc_include_token1] = ACTIONS(2272),
    [aux_sym_preproc_def_token1] = ACTIONS(2272),
    [aux_sym_preproc_if_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2272),
    [sym_preproc_directive] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym___attribute] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym___based] = ACTIONS(2272),
    [anon_sym___cdecl] = ACTIONS(2272),
    [anon_sym___clrcall] = ACTIONS(2272),
    [anon_sym___stdcall] = ACTIONS(2272),
    [anon_sym___fastcall] = ACTIONS(2272),
    [anon_sym___thiscall] = ACTIONS(2272),
    [anon_sym___vectorcall] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_explicit] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_operator] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_static_assert] = ACTIONS(2272),
    [anon_sym_concept] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2276),
    [aux_sym_preproc_include_token1] = ACTIONS(2276),
    [aux_sym_preproc_def_token1] = ACTIONS(2276),
    [aux_sym_preproc_if_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2276),
    [sym_preproc_directive] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP_AMP] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym___attribute] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym___based] = ACTIONS(2276),
    [anon_sym___cdecl] = ACTIONS(2276),
    [anon_sym___clrcall] = ACTIONS(2276),
    [anon_sym___stdcall] = ACTIONS(2276),
    [anon_sym___fastcall] = ACTIONS(2276),
    [anon_sym___thiscall] = ACTIONS(2276),
    [anon_sym___vectorcall] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_RBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_explicit] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_operator] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_namespace] = ACTIONS(2276),
    [anon_sym_using] = ACTIONS(2276),
    [anon_sym_static_assert] = ACTIONS(2276),
    [anon_sym_concept] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2280),
    [aux_sym_preproc_include_token1] = ACTIONS(2280),
    [aux_sym_preproc_def_token1] = ACTIONS(2280),
    [aux_sym_preproc_if_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2280),
    [sym_preproc_directive] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym___attribute] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym___based] = ACTIONS(2280),
    [anon_sym___cdecl] = ACTIONS(2280),
    [anon_sym___clrcall] = ACTIONS(2280),
    [anon_sym___stdcall] = ACTIONS(2280),
    [anon_sym___fastcall] = ACTIONS(2280),
    [anon_sym___thiscall] = ACTIONS(2280),
    [anon_sym___vectorcall] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_explicit] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_operator] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_static_assert] = ACTIONS(2280),
    [anon_sym_concept] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2292),
    [aux_sym_preproc_include_token1] = ACTIONS(2292),
    [aux_sym_preproc_def_token1] = ACTIONS(2292),
    [aux_sym_preproc_if_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2292),
    [sym_preproc_directive] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym___attribute] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym___based] = ACTIONS(2292),
    [anon_sym___cdecl] = ACTIONS(2292),
    [anon_sym___clrcall] = ACTIONS(2292),
    [anon_sym___stdcall] = ACTIONS(2292),
    [anon_sym___fastcall] = ACTIONS(2292),
    [anon_sym___thiscall] = ACTIONS(2292),
    [anon_sym___vectorcall] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_RBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_explicit] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_operator] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_namespace] = ACTIONS(2292),
    [anon_sym_using] = ACTIONS(2292),
    [anon_sym_static_assert] = ACTIONS(2292),
    [anon_sym_concept] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_include_token1] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token2] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym___cdecl] = ACTIONS(2201),
    [anon_sym___clrcall] = ACTIONS(2201),
    [anon_sym___stdcall] = ACTIONS(2201),
    [anon_sym___fastcall] = ACTIONS(2201),
    [anon_sym___thiscall] = ACTIONS(2201),
    [anon_sym___vectorcall] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_concept] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_include_token1] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token2] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym___cdecl] = ACTIONS(2201),
    [anon_sym___clrcall] = ACTIONS(2201),
    [anon_sym___stdcall] = ACTIONS(2201),
    [anon_sym___fastcall] = ACTIONS(2201),
    [anon_sym___thiscall] = ACTIONS(2201),
    [anon_sym___vectorcall] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_concept] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [aux_sym_preproc_include_token1] = ACTIONS(2296),
    [aux_sym_preproc_def_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2296),
    [sym_preproc_directive] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP_AMP] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym___attribute] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym___based] = ACTIONS(2296),
    [anon_sym___cdecl] = ACTIONS(2296),
    [anon_sym___clrcall] = ACTIONS(2296),
    [anon_sym___stdcall] = ACTIONS(2296),
    [anon_sym___fastcall] = ACTIONS(2296),
    [anon_sym___thiscall] = ACTIONS(2296),
    [anon_sym___vectorcall] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_explicit] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_operator] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_static_assert] = ACTIONS(2296),
    [anon_sym_concept] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(2302),
    [sym_identifier] = ACTIONS(2300),
    [aux_sym_preproc_include_token1] = ACTIONS(2300),
    [aux_sym_preproc_def_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2300),
    [sym_preproc_directive] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym___attribute] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym___based] = ACTIONS(2300),
    [anon_sym___cdecl] = ACTIONS(2300),
    [anon_sym___clrcall] = ACTIONS(2300),
    [anon_sym___stdcall] = ACTIONS(2300),
    [anon_sym___fastcall] = ACTIONS(2300),
    [anon_sym___thiscall] = ACTIONS(2300),
    [anon_sym___vectorcall] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_case] = ACTIONS(2300),
    [anon_sym_default] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_explicit] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_operator] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_namespace] = ACTIONS(2300),
    [anon_sym_using] = ACTIONS(2300),
    [anon_sym_static_assert] = ACTIONS(2300),
    [anon_sym_concept] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(2306),
    [sym_identifier] = ACTIONS(2304),
    [aux_sym_preproc_include_token1] = ACTIONS(2304),
    [aux_sym_preproc_def_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2304),
    [sym_preproc_directive] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym___attribute] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym___based] = ACTIONS(2304),
    [anon_sym___cdecl] = ACTIONS(2304),
    [anon_sym___clrcall] = ACTIONS(2304),
    [anon_sym___stdcall] = ACTIONS(2304),
    [anon_sym___fastcall] = ACTIONS(2304),
    [anon_sym___thiscall] = ACTIONS(2304),
    [anon_sym___vectorcall] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_explicit] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_operator] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2304),
    [anon_sym_using] = ACTIONS(2304),
    [anon_sym_static_assert] = ACTIONS(2304),
    [anon_sym_concept] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_include_token1] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token2] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym___cdecl] = ACTIONS(2205),
    [anon_sym___clrcall] = ACTIONS(2205),
    [anon_sym___stdcall] = ACTIONS(2205),
    [anon_sym___fastcall] = ACTIONS(2205),
    [anon_sym___thiscall] = ACTIONS(2205),
    [anon_sym___vectorcall] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_concept] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_include_token1] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token2] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym___cdecl] = ACTIONS(2205),
    [anon_sym___clrcall] = ACTIONS(2205),
    [anon_sym___stdcall] = ACTIONS(2205),
    [anon_sym___fastcall] = ACTIONS(2205),
    [anon_sym___thiscall] = ACTIONS(2205),
    [anon_sym___vectorcall] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_concept] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(2314),
    [sym_identifier] = ACTIONS(2312),
    [aux_sym_preproc_include_token1] = ACTIONS(2312),
    [aux_sym_preproc_def_token1] = ACTIONS(2312),
    [aux_sym_preproc_if_token1] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2312),
    [sym_preproc_directive] = ACTIONS(2312),
    [anon_sym_LPAREN2] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2312),
    [anon_sym_typedef] = ACTIONS(2312),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_out] = ACTIONS(2312),
    [anon_sym_inout] = ACTIONS(2312),
    [anon_sym_virtual] = ACTIONS(2312),
    [anon_sym_extern] = ACTIONS(2312),
    [anon_sym___attribute__] = ACTIONS(2312),
    [anon_sym___attribute] = ACTIONS(2312),
    [anon_sym_COLON_COLON] = ACTIONS(2314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2314),
    [anon_sym___declspec] = ACTIONS(2312),
    [anon_sym___based] = ACTIONS(2312),
    [anon_sym___cdecl] = ACTIONS(2312),
    [anon_sym___clrcall] = ACTIONS(2312),
    [anon_sym___stdcall] = ACTIONS(2312),
    [anon_sym___fastcall] = ACTIONS(2312),
    [anon_sym___thiscall] = ACTIONS(2312),
    [anon_sym___vectorcall] = ACTIONS(2312),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_signed] = ACTIONS(2312),
    [anon_sym_unsigned] = ACTIONS(2312),
    [anon_sym_long] = ACTIONS(2312),
    [anon_sym_short] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_static] = ACTIONS(2312),
    [anon_sym_register] = ACTIONS(2312),
    [anon_sym_inline] = ACTIONS(2312),
    [anon_sym___inline] = ACTIONS(2312),
    [anon_sym___inline__] = ACTIONS(2312),
    [anon_sym___forceinline] = ACTIONS(2312),
    [anon_sym_thread_local] = ACTIONS(2312),
    [anon_sym___thread] = ACTIONS(2312),
    [anon_sym_const] = ACTIONS(2312),
    [anon_sym_constexpr] = ACTIONS(2312),
    [anon_sym_volatile] = ACTIONS(2312),
    [anon_sym_restrict] = ACTIONS(2312),
    [anon_sym___restrict__] = ACTIONS(2312),
    [anon_sym__Atomic] = ACTIONS(2312),
    [anon_sym__Noreturn] = ACTIONS(2312),
    [anon_sym_noreturn] = ACTIONS(2312),
    [anon_sym__Nonnull] = ACTIONS(2312),
    [anon_sym_mutable] = ACTIONS(2312),
    [anon_sym_constinit] = ACTIONS(2312),
    [anon_sym_consteval] = ACTIONS(2312),
    [anon_sym_alignas] = ACTIONS(2312),
    [anon_sym__Alignas] = ACTIONS(2312),
    [sym_primitive_type] = ACTIONS(2312),
    [anon_sym_enum] = ACTIONS(2312),
    [anon_sym_class] = ACTIONS(2312),
    [anon_sym_struct] = ACTIONS(2312),
    [anon_sym_union] = ACTIONS(2312),
    [anon_sym_if] = ACTIONS(2312),
    [anon_sym_else] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2312),
    [anon_sym_case] = ACTIONS(2312),
    [anon_sym_default] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(2312),
    [anon_sym_for] = ACTIONS(2312),
    [anon_sym_return] = ACTIONS(2312),
    [anon_sym_break] = ACTIONS(2312),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2312),
    [anon_sym___try] = ACTIONS(2312),
    [anon_sym___leave] = ACTIONS(2312),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_sizeof] = ACTIONS(2312),
    [anon_sym___alignof__] = ACTIONS(2312),
    [anon_sym___alignof] = ACTIONS(2312),
    [anon_sym__alignof] = ACTIONS(2312),
    [anon_sym_alignof] = ACTIONS(2312),
    [anon_sym__Alignof] = ACTIONS(2312),
    [anon_sym_offsetof] = ACTIONS(2312),
    [anon_sym__Generic] = ACTIONS(2312),
    [anon_sym_asm] = ACTIONS(2312),
    [anon_sym___asm__] = ACTIONS(2312),
    [anon_sym___asm] = ACTIONS(2312),
    [sym_number_literal] = ACTIONS(2314),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2314),
    [anon_sym_u_DQUOTE] = ACTIONS(2314),
    [anon_sym_U_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8_DQUOTE] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [sym_true] = ACTIONS(2312),
    [sym_false] = ACTIONS(2312),
    [anon_sym_NULL] = ACTIONS(2312),
    [anon_sym_nullptr] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2312),
    [anon_sym_decltype] = ACTIONS(2312),
    [anon_sym_explicit] = ACTIONS(2312),
    [anon_sym_typename] = ACTIONS(2312),
    [anon_sym_template] = ACTIONS(2312),
    [anon_sym_operator] = ACTIONS(2312),
    [anon_sym_try] = ACTIONS(2312),
    [anon_sym_delete] = ACTIONS(2312),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_namespace] = ACTIONS(2312),
    [anon_sym_using] = ACTIONS(2312),
    [anon_sym_static_assert] = ACTIONS(2312),
    [anon_sym_concept] = ACTIONS(2312),
    [anon_sym_co_return] = ACTIONS(2312),
    [anon_sym_co_yield] = ACTIONS(2312),
    [anon_sym_R_DQUOTE] = ACTIONS(2314),
    [anon_sym_LR_DQUOTE] = ACTIONS(2314),
    [anon_sym_uR_DQUOTE] = ACTIONS(2314),
    [anon_sym_UR_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2314),
    [anon_sym_co_await] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2312),
    [anon_sym_requires] = ACTIONS(2312),
    [sym_this] = ACTIONS(2312),
    [anon_sym_discard] = ACTIONS(2312),
    [anon_sym_precise] = ACTIONS(2312),
    [anon_sym_shared] = ACTIONS(2312),
    [anon_sym_groupshared] = ACTIONS(2312),
    [anon_sym_uniform] = ACTIONS(2312),
    [anon_sym_row_major] = ACTIONS(2312),
    [anon_sym_column_major] = ACTIONS(2312),
    [anon_sym_globallycoherent] = ACTIONS(2312),
    [anon_sym_centroid] = ACTIONS(2312),
    [anon_sym_noperspective] = ACTIONS(2312),
    [anon_sym_nointerpolation] = ACTIONS(2312),
    [anon_sym_sample] = ACTIONS(2312),
    [anon_sym_linear] = ACTIONS(2312),
    [anon_sym_snorm] = ACTIONS(2312),
    [anon_sym_unorm] = ACTIONS(2312),
    [anon_sym_point] = ACTIONS(2312),
    [anon_sym_line] = ACTIONS(2312),
    [anon_sym_triangleadj] = ACTIONS(2312),
    [anon_sym_lineadj] = ACTIONS(2312),
    [anon_sym_triangle] = ACTIONS(2312),
    [anon_sym_cbuffer] = ACTIONS(2312),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2296),
    [aux_sym_preproc_include_token1] = ACTIONS(2296),
    [aux_sym_preproc_def_token1] = ACTIONS(2296),
    [aux_sym_preproc_if_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2296),
    [sym_preproc_directive] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP_AMP] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym___attribute] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym___based] = ACTIONS(2296),
    [anon_sym___cdecl] = ACTIONS(2296),
    [anon_sym___clrcall] = ACTIONS(2296),
    [anon_sym___stdcall] = ACTIONS(2296),
    [anon_sym___fastcall] = ACTIONS(2296),
    [anon_sym___thiscall] = ACTIONS(2296),
    [anon_sym___vectorcall] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_explicit] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_operator] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_static_assert] = ACTIONS(2296),
    [anon_sym_concept] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_namespace] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_concept] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2147),
    [aux_sym_preproc_include_token1] = ACTIONS(2147),
    [aux_sym_preproc_def_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token2] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2147),
    [sym_preproc_directive] = ACTIONS(2147),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___extension__] = ACTIONS(2147),
    [anon_sym_typedef] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2147),
    [anon_sym_out] = ACTIONS(2147),
    [anon_sym_inout] = ACTIONS(2147),
    [anon_sym_virtual] = ACTIONS(2147),
    [anon_sym_extern] = ACTIONS(2147),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym___attribute] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2149),
    [anon_sym___declspec] = ACTIONS(2147),
    [anon_sym___based] = ACTIONS(2147),
    [anon_sym___cdecl] = ACTIONS(2147),
    [anon_sym___clrcall] = ACTIONS(2147),
    [anon_sym___stdcall] = ACTIONS(2147),
    [anon_sym___fastcall] = ACTIONS(2147),
    [anon_sym___thiscall] = ACTIONS(2147),
    [anon_sym___vectorcall] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_signed] = ACTIONS(2147),
    [anon_sym_unsigned] = ACTIONS(2147),
    [anon_sym_long] = ACTIONS(2147),
    [anon_sym_short] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_register] = ACTIONS(2147),
    [anon_sym_inline] = ACTIONS(2147),
    [anon_sym___inline] = ACTIONS(2147),
    [anon_sym___inline__] = ACTIONS(2147),
    [anon_sym___forceinline] = ACTIONS(2147),
    [anon_sym_thread_local] = ACTIONS(2147),
    [anon_sym___thread] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_constexpr] = ACTIONS(2147),
    [anon_sym_volatile] = ACTIONS(2147),
    [anon_sym_restrict] = ACTIONS(2147),
    [anon_sym___restrict__] = ACTIONS(2147),
    [anon_sym__Atomic] = ACTIONS(2147),
    [anon_sym__Noreturn] = ACTIONS(2147),
    [anon_sym_noreturn] = ACTIONS(2147),
    [anon_sym__Nonnull] = ACTIONS(2147),
    [anon_sym_mutable] = ACTIONS(2147),
    [anon_sym_constinit] = ACTIONS(2147),
    [anon_sym_consteval] = ACTIONS(2147),
    [anon_sym_alignas] = ACTIONS(2147),
    [anon_sym__Alignas] = ACTIONS(2147),
    [sym_primitive_type] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_struct] = ACTIONS(2147),
    [anon_sym_union] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_goto] = ACTIONS(2147),
    [anon_sym___try] = ACTIONS(2147),
    [anon_sym___leave] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2147),
    [anon_sym_compl] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2147),
    [anon_sym___alignof__] = ACTIONS(2147),
    [anon_sym___alignof] = ACTIONS(2147),
    [anon_sym__alignof] = ACTIONS(2147),
    [anon_sym_alignof] = ACTIONS(2147),
    [anon_sym__Alignof] = ACTIONS(2147),
    [anon_sym_offsetof] = ACTIONS(2147),
    [anon_sym__Generic] = ACTIONS(2147),
    [anon_sym_asm] = ACTIONS(2147),
    [anon_sym___asm__] = ACTIONS(2147),
    [anon_sym___asm] = ACTIONS(2147),
    [sym_number_literal] = ACTIONS(2149),
    [anon_sym_L_SQUOTE] = ACTIONS(2149),
    [anon_sym_u_SQUOTE] = ACTIONS(2149),
    [anon_sym_U_SQUOTE] = ACTIONS(2149),
    [anon_sym_u8_SQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_L_DQUOTE] = ACTIONS(2149),
    [anon_sym_u_DQUOTE] = ACTIONS(2149),
    [anon_sym_U_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8_DQUOTE] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2147),
    [anon_sym_nullptr] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2147),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_explicit] = ACTIONS(2147),
    [anon_sym_typename] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2147),
    [anon_sym_operator] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_static_assert] = ACTIONS(2147),
    [anon_sym_concept] = ACTIONS(2147),
    [anon_sym_co_return] = ACTIONS(2147),
    [anon_sym_co_yield] = ACTIONS(2147),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_requires] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [anon_sym_discard] = ACTIONS(2147),
    [anon_sym_precise] = ACTIONS(2147),
    [anon_sym_shared] = ACTIONS(2147),
    [anon_sym_groupshared] = ACTIONS(2147),
    [anon_sym_uniform] = ACTIONS(2147),
    [anon_sym_row_major] = ACTIONS(2147),
    [anon_sym_column_major] = ACTIONS(2147),
    [anon_sym_globallycoherent] = ACTIONS(2147),
    [anon_sym_centroid] = ACTIONS(2147),
    [anon_sym_noperspective] = ACTIONS(2147),
    [anon_sym_nointerpolation] = ACTIONS(2147),
    [anon_sym_sample] = ACTIONS(2147),
    [anon_sym_linear] = ACTIONS(2147),
    [anon_sym_snorm] = ACTIONS(2147),
    [anon_sym_unorm] = ACTIONS(2147),
    [anon_sym_point] = ACTIONS(2147),
    [anon_sym_line] = ACTIONS(2147),
    [anon_sym_triangleadj] = ACTIONS(2147),
    [anon_sym_lineadj] = ACTIONS(2147),
    [anon_sym_triangle] = ACTIONS(2147),
    [anon_sym_cbuffer] = ACTIONS(2147),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2300),
    [aux_sym_preproc_include_token1] = ACTIONS(2300),
    [aux_sym_preproc_def_token1] = ACTIONS(2300),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2300),
    [sym_preproc_directive] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym___attribute] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym___based] = ACTIONS(2300),
    [anon_sym___cdecl] = ACTIONS(2300),
    [anon_sym___clrcall] = ACTIONS(2300),
    [anon_sym___stdcall] = ACTIONS(2300),
    [anon_sym___fastcall] = ACTIONS(2300),
    [anon_sym___thiscall] = ACTIONS(2300),
    [anon_sym___vectorcall] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_case] = ACTIONS(2300),
    [anon_sym_default] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_explicit] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_operator] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_namespace] = ACTIONS(2300),
    [anon_sym_using] = ACTIONS(2300),
    [anon_sym_static_assert] = ACTIONS(2300),
    [anon_sym_concept] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2213),
    [aux_sym_preproc_include_token1] = ACTIONS(2213),
    [aux_sym_preproc_def_token1] = ACTIONS(2213),
    [aux_sym_preproc_if_token1] = ACTIONS(2213),
    [aux_sym_preproc_if_token2] = ACTIONS(2213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2213),
    [sym_preproc_directive] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym___extension__] = ACTIONS(2213),
    [anon_sym_typedef] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2213),
    [anon_sym_out] = ACTIONS(2213),
    [anon_sym_inout] = ACTIONS(2213),
    [anon_sym_virtual] = ACTIONS(2213),
    [anon_sym_extern] = ACTIONS(2213),
    [anon_sym___attribute__] = ACTIONS(2213),
    [anon_sym___attribute] = ACTIONS(2213),
    [anon_sym_COLON_COLON] = ACTIONS(2215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2215),
    [anon_sym___declspec] = ACTIONS(2213),
    [anon_sym___based] = ACTIONS(2213),
    [anon_sym___cdecl] = ACTIONS(2213),
    [anon_sym___clrcall] = ACTIONS(2213),
    [anon_sym___stdcall] = ACTIONS(2213),
    [anon_sym___fastcall] = ACTIONS(2213),
    [anon_sym___thiscall] = ACTIONS(2213),
    [anon_sym___vectorcall] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_signed] = ACTIONS(2213),
    [anon_sym_unsigned] = ACTIONS(2213),
    [anon_sym_long] = ACTIONS(2213),
    [anon_sym_short] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_register] = ACTIONS(2213),
    [anon_sym_inline] = ACTIONS(2213),
    [anon_sym___inline] = ACTIONS(2213),
    [anon_sym___inline__] = ACTIONS(2213),
    [anon_sym___forceinline] = ACTIONS(2213),
    [anon_sym_thread_local] = ACTIONS(2213),
    [anon_sym___thread] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_constexpr] = ACTIONS(2213),
    [anon_sym_volatile] = ACTIONS(2213),
    [anon_sym_restrict] = ACTIONS(2213),
    [anon_sym___restrict__] = ACTIONS(2213),
    [anon_sym__Atomic] = ACTIONS(2213),
    [anon_sym__Noreturn] = ACTIONS(2213),
    [anon_sym_noreturn] = ACTIONS(2213),
    [anon_sym__Nonnull] = ACTIONS(2213),
    [anon_sym_mutable] = ACTIONS(2213),
    [anon_sym_constinit] = ACTIONS(2213),
    [anon_sym_consteval] = ACTIONS(2213),
    [anon_sym_alignas] = ACTIONS(2213),
    [anon_sym__Alignas] = ACTIONS(2213),
    [sym_primitive_type] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_struct] = ACTIONS(2213),
    [anon_sym_union] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym___try] = ACTIONS(2213),
    [anon_sym___leave] = ACTIONS(2213),
    [anon_sym_not] = ACTIONS(2213),
    [anon_sym_compl] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_sizeof] = ACTIONS(2213),
    [anon_sym___alignof__] = ACTIONS(2213),
    [anon_sym___alignof] = ACTIONS(2213),
    [anon_sym__alignof] = ACTIONS(2213),
    [anon_sym_alignof] = ACTIONS(2213),
    [anon_sym__Alignof] = ACTIONS(2213),
    [anon_sym_offsetof] = ACTIONS(2213),
    [anon_sym__Generic] = ACTIONS(2213),
    [anon_sym_asm] = ACTIONS(2213),
    [anon_sym___asm__] = ACTIONS(2213),
    [anon_sym___asm] = ACTIONS(2213),
    [sym_number_literal] = ACTIONS(2215),
    [anon_sym_L_SQUOTE] = ACTIONS(2215),
    [anon_sym_u_SQUOTE] = ACTIONS(2215),
    [anon_sym_U_SQUOTE] = ACTIONS(2215),
    [anon_sym_u8_SQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_L_DQUOTE] = ACTIONS(2215),
    [anon_sym_u_DQUOTE] = ACTIONS(2215),
    [anon_sym_U_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8_DQUOTE] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [anon_sym_NULL] = ACTIONS(2213),
    [anon_sym_nullptr] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2213),
    [anon_sym_decltype] = ACTIONS(2213),
    [anon_sym_explicit] = ACTIONS(2213),
    [anon_sym_typename] = ACTIONS(2213),
    [anon_sym_template] = ACTIONS(2213),
    [anon_sym_operator] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_static_assert] = ACTIONS(2213),
    [anon_sym_concept] = ACTIONS(2213),
    [anon_sym_co_return] = ACTIONS(2213),
    [anon_sym_co_yield] = ACTIONS(2213),
    [anon_sym_R_DQUOTE] = ACTIONS(2215),
    [anon_sym_LR_DQUOTE] = ACTIONS(2215),
    [anon_sym_uR_DQUOTE] = ACTIONS(2215),
    [anon_sym_UR_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2215),
    [anon_sym_co_await] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_requires] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [anon_sym_discard] = ACTIONS(2213),
    [anon_sym_precise] = ACTIONS(2213),
    [anon_sym_shared] = ACTIONS(2213),
    [anon_sym_groupshared] = ACTIONS(2213),
    [anon_sym_uniform] = ACTIONS(2213),
    [anon_sym_row_major] = ACTIONS(2213),
    [anon_sym_column_major] = ACTIONS(2213),
    [anon_sym_globallycoherent] = ACTIONS(2213),
    [anon_sym_centroid] = ACTIONS(2213),
    [anon_sym_noperspective] = ACTIONS(2213),
    [anon_sym_nointerpolation] = ACTIONS(2213),
    [anon_sym_sample] = ACTIONS(2213),
    [anon_sym_linear] = ACTIONS(2213),
    [anon_sym_snorm] = ACTIONS(2213),
    [anon_sym_unorm] = ACTIONS(2213),
    [anon_sym_point] = ACTIONS(2213),
    [anon_sym_line] = ACTIONS(2213),
    [anon_sym_triangleadj] = ACTIONS(2213),
    [anon_sym_lineadj] = ACTIONS(2213),
    [anon_sym_triangle] = ACTIONS(2213),
    [anon_sym_cbuffer] = ACTIONS(2213),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2316),
    [aux_sym_preproc_include_token1] = ACTIONS(2316),
    [aux_sym_preproc_def_token1] = ACTIONS(2316),
    [aux_sym_preproc_if_token1] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2316),
    [sym_preproc_directive] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_BANG] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2316),
    [anon_sym_typedef] = ACTIONS(2316),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_out] = ACTIONS(2316),
    [anon_sym_inout] = ACTIONS(2316),
    [anon_sym_virtual] = ACTIONS(2316),
    [anon_sym_extern] = ACTIONS(2316),
    [anon_sym___attribute__] = ACTIONS(2316),
    [anon_sym___attribute] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2318),
    [anon_sym___declspec] = ACTIONS(2316),
    [anon_sym___based] = ACTIONS(2316),
    [anon_sym___cdecl] = ACTIONS(2316),
    [anon_sym___clrcall] = ACTIONS(2316),
    [anon_sym___stdcall] = ACTIONS(2316),
    [anon_sym___fastcall] = ACTIONS(2316),
    [anon_sym___thiscall] = ACTIONS(2316),
    [anon_sym___vectorcall] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2316),
    [anon_sym_unsigned] = ACTIONS(2316),
    [anon_sym_long] = ACTIONS(2316),
    [anon_sym_short] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_register] = ACTIONS(2316),
    [anon_sym_inline] = ACTIONS(2316),
    [anon_sym___inline] = ACTIONS(2316),
    [anon_sym___inline__] = ACTIONS(2316),
    [anon_sym___forceinline] = ACTIONS(2316),
    [anon_sym_thread_local] = ACTIONS(2316),
    [anon_sym___thread] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_constexpr] = ACTIONS(2316),
    [anon_sym_volatile] = ACTIONS(2316),
    [anon_sym_restrict] = ACTIONS(2316),
    [anon_sym___restrict__] = ACTIONS(2316),
    [anon_sym__Atomic] = ACTIONS(2316),
    [anon_sym__Noreturn] = ACTIONS(2316),
    [anon_sym_noreturn] = ACTIONS(2316),
    [anon_sym__Nonnull] = ACTIONS(2316),
    [anon_sym_mutable] = ACTIONS(2316),
    [anon_sym_constinit] = ACTIONS(2316),
    [anon_sym_consteval] = ACTIONS(2316),
    [anon_sym_alignas] = ACTIONS(2316),
    [anon_sym__Alignas] = ACTIONS(2316),
    [sym_primitive_type] = ACTIONS(2316),
    [anon_sym_enum] = ACTIONS(2316),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_struct] = ACTIONS(2316),
    [anon_sym_union] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_else] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_case] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_goto] = ACTIONS(2316),
    [anon_sym___try] = ACTIONS(2316),
    [anon_sym___leave] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2316),
    [anon_sym_compl] = ACTIONS(2316),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_sizeof] = ACTIONS(2316),
    [anon_sym___alignof__] = ACTIONS(2316),
    [anon_sym___alignof] = ACTIONS(2316),
    [anon_sym__alignof] = ACTIONS(2316),
    [anon_sym_alignof] = ACTIONS(2316),
    [anon_sym__Alignof] = ACTIONS(2316),
    [anon_sym_offsetof] = ACTIONS(2316),
    [anon_sym__Generic] = ACTIONS(2316),
    [anon_sym_asm] = ACTIONS(2316),
    [anon_sym___asm__] = ACTIONS(2316),
    [anon_sym___asm] = ACTIONS(2316),
    [sym_number_literal] = ACTIONS(2318),
    [anon_sym_L_SQUOTE] = ACTIONS(2318),
    [anon_sym_u_SQUOTE] = ACTIONS(2318),
    [anon_sym_U_SQUOTE] = ACTIONS(2318),
    [anon_sym_u8_SQUOTE] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_L_DQUOTE] = ACTIONS(2318),
    [anon_sym_u_DQUOTE] = ACTIONS(2318),
    [anon_sym_U_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2318),
    [sym_true] = ACTIONS(2316),
    [sym_false] = ACTIONS(2316),
    [anon_sym_NULL] = ACTIONS(2316),
    [anon_sym_nullptr] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2316),
    [anon_sym_decltype] = ACTIONS(2316),
    [anon_sym_explicit] = ACTIONS(2316),
    [anon_sym_typename] = ACTIONS(2316),
    [anon_sym_template] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_throw] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_using] = ACTIONS(2316),
    [anon_sym_static_assert] = ACTIONS(2316),
    [anon_sym_concept] = ACTIONS(2316),
    [anon_sym_co_return] = ACTIONS(2316),
    [anon_sym_co_yield] = ACTIONS(2316),
    [anon_sym_R_DQUOTE] = ACTIONS(2318),
    [anon_sym_LR_DQUOTE] = ACTIONS(2318),
    [anon_sym_uR_DQUOTE] = ACTIONS(2318),
    [anon_sym_UR_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2318),
    [anon_sym_co_await] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_requires] = ACTIONS(2316),
    [sym_this] = ACTIONS(2316),
    [anon_sym_discard] = ACTIONS(2316),
    [anon_sym_precise] = ACTIONS(2316),
    [anon_sym_shared] = ACTIONS(2316),
    [anon_sym_groupshared] = ACTIONS(2316),
    [anon_sym_uniform] = ACTIONS(2316),
    [anon_sym_row_major] = ACTIONS(2316),
    [anon_sym_column_major] = ACTIONS(2316),
    [anon_sym_globallycoherent] = ACTIONS(2316),
    [anon_sym_centroid] = ACTIONS(2316),
    [anon_sym_noperspective] = ACTIONS(2316),
    [anon_sym_nointerpolation] = ACTIONS(2316),
    [anon_sym_sample] = ACTIONS(2316),
    [anon_sym_linear] = ACTIONS(2316),
    [anon_sym_snorm] = ACTIONS(2316),
    [anon_sym_unorm] = ACTIONS(2316),
    [anon_sym_point] = ACTIONS(2316),
    [anon_sym_line] = ACTIONS(2316),
    [anon_sym_triangleadj] = ACTIONS(2316),
    [anon_sym_lineadj] = ACTIONS(2316),
    [anon_sym_triangle] = ACTIONS(2316),
    [anon_sym_cbuffer] = ACTIONS(2316),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2304),
    [aux_sym_preproc_include_token1] = ACTIONS(2304),
    [aux_sym_preproc_def_token1] = ACTIONS(2304),
    [aux_sym_preproc_if_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2304),
    [sym_preproc_directive] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym___attribute] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym___based] = ACTIONS(2304),
    [anon_sym___cdecl] = ACTIONS(2304),
    [anon_sym___clrcall] = ACTIONS(2304),
    [anon_sym___stdcall] = ACTIONS(2304),
    [anon_sym___fastcall] = ACTIONS(2304),
    [anon_sym___thiscall] = ACTIONS(2304),
    [anon_sym___vectorcall] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_explicit] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_operator] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_namespace] = ACTIONS(2304),
    [anon_sym_using] = ACTIONS(2304),
    [anon_sym_static_assert] = ACTIONS(2304),
    [anon_sym_concept] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2217),
    [aux_sym_preproc_include_token1] = ACTIONS(2217),
    [aux_sym_preproc_def_token1] = ACTIONS(2217),
    [aux_sym_preproc_if_token1] = ACTIONS(2217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2217),
    [sym_preproc_directive] = ACTIONS(2217),
    [anon_sym_LPAREN2] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_AMP_AMP] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_typedef] = ACTIONS(2217),
    [anon_sym_in] = ACTIONS(2217),
    [anon_sym_out] = ACTIONS(2217),
    [anon_sym_inout] = ACTIONS(2217),
    [anon_sym_virtual] = ACTIONS(2217),
    [anon_sym_extern] = ACTIONS(2217),
    [anon_sym___attribute__] = ACTIONS(2217),
    [anon_sym___attribute] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2219),
    [anon_sym___declspec] = ACTIONS(2217),
    [anon_sym___based] = ACTIONS(2217),
    [anon_sym___cdecl] = ACTIONS(2217),
    [anon_sym___clrcall] = ACTIONS(2217),
    [anon_sym___stdcall] = ACTIONS(2217),
    [anon_sym___fastcall] = ACTIONS(2217),
    [anon_sym___thiscall] = ACTIONS(2217),
    [anon_sym___vectorcall] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_signed] = ACTIONS(2217),
    [anon_sym_unsigned] = ACTIONS(2217),
    [anon_sym_long] = ACTIONS(2217),
    [anon_sym_short] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_static] = ACTIONS(2217),
    [anon_sym_register] = ACTIONS(2217),
    [anon_sym_inline] = ACTIONS(2217),
    [anon_sym___inline] = ACTIONS(2217),
    [anon_sym___inline__] = ACTIONS(2217),
    [anon_sym___forceinline] = ACTIONS(2217),
    [anon_sym_thread_local] = ACTIONS(2217),
    [anon_sym___thread] = ACTIONS(2217),
    [anon_sym_const] = ACTIONS(2217),
    [anon_sym_constexpr] = ACTIONS(2217),
    [anon_sym_volatile] = ACTIONS(2217),
    [anon_sym_restrict] = ACTIONS(2217),
    [anon_sym___restrict__] = ACTIONS(2217),
    [anon_sym__Atomic] = ACTIONS(2217),
    [anon_sym__Noreturn] = ACTIONS(2217),
    [anon_sym_noreturn] = ACTIONS(2217),
    [anon_sym__Nonnull] = ACTIONS(2217),
    [anon_sym_mutable] = ACTIONS(2217),
    [anon_sym_constinit] = ACTIONS(2217),
    [anon_sym_consteval] = ACTIONS(2217),
    [anon_sym_alignas] = ACTIONS(2217),
    [anon_sym__Alignas] = ACTIONS(2217),
    [sym_primitive_type] = ACTIONS(2217),
    [anon_sym_enum] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_struct] = ACTIONS(2217),
    [anon_sym_union] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_else] = ACTIONS(2217),
    [anon_sym_switch] = ACTIONS(2217),
    [anon_sym_case] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym___try] = ACTIONS(2217),
    [anon_sym___leave] = ACTIONS(2217),
    [anon_sym_not] = ACTIONS(2217),
    [anon_sym_compl] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_sizeof] = ACTIONS(2217),
    [anon_sym___alignof__] = ACTIONS(2217),
    [anon_sym___alignof] = ACTIONS(2217),
    [anon_sym__alignof] = ACTIONS(2217),
    [anon_sym_alignof] = ACTIONS(2217),
    [anon_sym__Alignof] = ACTIONS(2217),
    [anon_sym_offsetof] = ACTIONS(2217),
    [anon_sym__Generic] = ACTIONS(2217),
    [anon_sym_asm] = ACTIONS(2217),
    [anon_sym___asm__] = ACTIONS(2217),
    [anon_sym___asm] = ACTIONS(2217),
    [sym_number_literal] = ACTIONS(2219),
    [anon_sym_L_SQUOTE] = ACTIONS(2219),
    [anon_sym_u_SQUOTE] = ACTIONS(2219),
    [anon_sym_U_SQUOTE] = ACTIONS(2219),
    [anon_sym_u8_SQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_L_DQUOTE] = ACTIONS(2219),
    [anon_sym_u_DQUOTE] = ACTIONS(2219),
    [anon_sym_U_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8_DQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_true] = ACTIONS(2217),
    [sym_false] = ACTIONS(2217),
    [anon_sym_NULL] = ACTIONS(2217),
    [anon_sym_nullptr] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2217),
    [anon_sym_decltype] = ACTIONS(2217),
    [anon_sym_explicit] = ACTIONS(2217),
    [anon_sym_typename] = ACTIONS(2217),
    [anon_sym_template] = ACTIONS(2217),
    [anon_sym_operator] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_throw] = ACTIONS(2217),
    [anon_sym_namespace] = ACTIONS(2217),
    [anon_sym_using] = ACTIONS(2217),
    [anon_sym_static_assert] = ACTIONS(2217),
    [anon_sym_concept] = ACTIONS(2217),
    [anon_sym_co_return] = ACTIONS(2217),
    [anon_sym_co_yield] = ACTIONS(2217),
    [anon_sym_R_DQUOTE] = ACTIONS(2219),
    [anon_sym_LR_DQUOTE] = ACTIONS(2219),
    [anon_sym_uR_DQUOTE] = ACTIONS(2219),
    [anon_sym_UR_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2219),
    [anon_sym_co_await] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2217),
    [sym_this] = ACTIONS(2217),
    [anon_sym_discard] = ACTIONS(2217),
    [anon_sym_precise] = ACTIONS(2217),
    [anon_sym_shared] = ACTIONS(2217),
    [anon_sym_groupshared] = ACTIONS(2217),
    [anon_sym_uniform] = ACTIONS(2217),
    [anon_sym_row_major] = ACTIONS(2217),
    [anon_sym_column_major] = ACTIONS(2217),
    [anon_sym_globallycoherent] = ACTIONS(2217),
    [anon_sym_centroid] = ACTIONS(2217),
    [anon_sym_noperspective] = ACTIONS(2217),
    [anon_sym_nointerpolation] = ACTIONS(2217),
    [anon_sym_sample] = ACTIONS(2217),
    [anon_sym_linear] = ACTIONS(2217),
    [anon_sym_snorm] = ACTIONS(2217),
    [anon_sym_unorm] = ACTIONS(2217),
    [anon_sym_point] = ACTIONS(2217),
    [anon_sym_line] = ACTIONS(2217),
    [anon_sym_triangleadj] = ACTIONS(2217),
    [anon_sym_lineadj] = ACTIONS(2217),
    [anon_sym_triangle] = ACTIONS(2217),
    [anon_sym_cbuffer] = ACTIONS(2217),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2320),
    [aux_sym_preproc_include_token1] = ACTIONS(2320),
    [aux_sym_preproc_def_token1] = ACTIONS(2320),
    [aux_sym_preproc_if_token1] = ACTIONS(2320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2320),
    [sym_preproc_directive] = ACTIONS(2320),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2322),
    [anon_sym_TILDE] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2322),
    [anon_sym_AMP_AMP] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(2320),
    [anon_sym_typedef] = ACTIONS(2320),
    [anon_sym_in] = ACTIONS(2320),
    [anon_sym_out] = ACTIONS(2320),
    [anon_sym_inout] = ACTIONS(2320),
    [anon_sym_virtual] = ACTIONS(2320),
    [anon_sym_extern] = ACTIONS(2320),
    [anon_sym___attribute__] = ACTIONS(2320),
    [anon_sym___attribute] = ACTIONS(2320),
    [anon_sym_COLON_COLON] = ACTIONS(2322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2322),
    [anon_sym___declspec] = ACTIONS(2320),
    [anon_sym___based] = ACTIONS(2320),
    [anon_sym___cdecl] = ACTIONS(2320),
    [anon_sym___clrcall] = ACTIONS(2320),
    [anon_sym___stdcall] = ACTIONS(2320),
    [anon_sym___fastcall] = ACTIONS(2320),
    [anon_sym___thiscall] = ACTIONS(2320),
    [anon_sym___vectorcall] = ACTIONS(2320),
    [anon_sym_LBRACE] = ACTIONS(2322),
    [anon_sym_RBRACE] = ACTIONS(2322),
    [anon_sym_signed] = ACTIONS(2320),
    [anon_sym_unsigned] = ACTIONS(2320),
    [anon_sym_long] = ACTIONS(2320),
    [anon_sym_short] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_static] = ACTIONS(2320),
    [anon_sym_register] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(2320),
    [anon_sym___inline] = ACTIONS(2320),
    [anon_sym___inline__] = ACTIONS(2320),
    [anon_sym___forceinline] = ACTIONS(2320),
    [anon_sym_thread_local] = ACTIONS(2320),
    [anon_sym___thread] = ACTIONS(2320),
    [anon_sym_const] = ACTIONS(2320),
    [anon_sym_constexpr] = ACTIONS(2320),
    [anon_sym_volatile] = ACTIONS(2320),
    [anon_sym_restrict] = ACTIONS(2320),
    [anon_sym___restrict__] = ACTIONS(2320),
    [anon_sym__Atomic] = ACTIONS(2320),
    [anon_sym__Noreturn] = ACTIONS(2320),
    [anon_sym_noreturn] = ACTIONS(2320),
    [anon_sym__Nonnull] = ACTIONS(2320),
    [anon_sym_mutable] = ACTIONS(2320),
    [anon_sym_constinit] = ACTIONS(2320),
    [anon_sym_consteval] = ACTIONS(2320),
    [anon_sym_alignas] = ACTIONS(2320),
    [anon_sym__Alignas] = ACTIONS(2320),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2320),
    [anon_sym_class] = ACTIONS(2320),
    [anon_sym_struct] = ACTIONS(2320),
    [anon_sym_union] = ACTIONS(2320),
    [anon_sym_if] = ACTIONS(2320),
    [anon_sym_else] = ACTIONS(2320),
    [anon_sym_switch] = ACTIONS(2320),
    [anon_sym_case] = ACTIONS(2320),
    [anon_sym_default] = ACTIONS(2320),
    [anon_sym_while] = ACTIONS(2320),
    [anon_sym_do] = ACTIONS(2320),
    [anon_sym_for] = ACTIONS(2320),
    [anon_sym_return] = ACTIONS(2320),
    [anon_sym_break] = ACTIONS(2320),
    [anon_sym_continue] = ACTIONS(2320),
    [anon_sym_goto] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2320),
    [anon_sym___leave] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2320),
    [anon_sym_compl] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_sizeof] = ACTIONS(2320),
    [anon_sym___alignof__] = ACTIONS(2320),
    [anon_sym___alignof] = ACTIONS(2320),
    [anon_sym__alignof] = ACTIONS(2320),
    [anon_sym_alignof] = ACTIONS(2320),
    [anon_sym__Alignof] = ACTIONS(2320),
    [anon_sym_offsetof] = ACTIONS(2320),
    [anon_sym__Generic] = ACTIONS(2320),
    [anon_sym_asm] = ACTIONS(2320),
    [anon_sym___asm__] = ACTIONS(2320),
    [anon_sym___asm] = ACTIONS(2320),
    [sym_number_literal] = ACTIONS(2322),
    [anon_sym_L_SQUOTE] = ACTIONS(2322),
    [anon_sym_u_SQUOTE] = ACTIONS(2322),
    [anon_sym_U_SQUOTE] = ACTIONS(2322),
    [anon_sym_u8_SQUOTE] = ACTIONS(2322),
    [anon_sym_SQUOTE] = ACTIONS(2322),
    [anon_sym_L_DQUOTE] = ACTIONS(2322),
    [anon_sym_u_DQUOTE] = ACTIONS(2322),
    [anon_sym_U_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8_DQUOTE] = ACTIONS(2322),
    [anon_sym_DQUOTE] = ACTIONS(2322),
    [sym_true] = ACTIONS(2320),
    [sym_false] = ACTIONS(2320),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2320),
    [anon_sym_decltype] = ACTIONS(2320),
    [anon_sym_explicit] = ACTIONS(2320),
    [anon_sym_typename] = ACTIONS(2320),
    [anon_sym_template] = ACTIONS(2320),
    [anon_sym_operator] = ACTIONS(2320),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_delete] = ACTIONS(2320),
    [anon_sym_throw] = ACTIONS(2320),
    [anon_sym_namespace] = ACTIONS(2320),
    [anon_sym_using] = ACTIONS(2320),
    [anon_sym_static_assert] = ACTIONS(2320),
    [anon_sym_concept] = ACTIONS(2320),
    [anon_sym_co_return] = ACTIONS(2320),
    [anon_sym_co_yield] = ACTIONS(2320),
    [anon_sym_R_DQUOTE] = ACTIONS(2322),
    [anon_sym_LR_DQUOTE] = ACTIONS(2322),
    [anon_sym_uR_DQUOTE] = ACTIONS(2322),
    [anon_sym_UR_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2322),
    [anon_sym_co_await] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(2320),
    [anon_sym_requires] = ACTIONS(2320),
    [sym_this] = ACTIONS(2320),
    [anon_sym_discard] = ACTIONS(2320),
    [anon_sym_precise] = ACTIONS(2320),
    [anon_sym_shared] = ACTIONS(2320),
    [anon_sym_groupshared] = ACTIONS(2320),
    [anon_sym_uniform] = ACTIONS(2320),
    [anon_sym_row_major] = ACTIONS(2320),
    [anon_sym_column_major] = ACTIONS(2320),
    [anon_sym_globallycoherent] = ACTIONS(2320),
    [anon_sym_centroid] = ACTIONS(2320),
    [anon_sym_noperspective] = ACTIONS(2320),
    [anon_sym_nointerpolation] = ACTIONS(2320),
    [anon_sym_sample] = ACTIONS(2320),
    [anon_sym_linear] = ACTIONS(2320),
    [anon_sym_snorm] = ACTIONS(2320),
    [anon_sym_unorm] = ACTIONS(2320),
    [anon_sym_point] = ACTIONS(2320),
    [anon_sym_line] = ACTIONS(2320),
    [anon_sym_triangleadj] = ACTIONS(2320),
    [anon_sym_lineadj] = ACTIONS(2320),
    [anon_sym_triangle] = ACTIONS(2320),
    [anon_sym_cbuffer] = ACTIONS(2320),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2324),
    [aux_sym_preproc_include_token1] = ACTIONS(2324),
    [aux_sym_preproc_def_token1] = ACTIONS(2324),
    [aux_sym_preproc_if_token1] = ACTIONS(2324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2324),
    [sym_preproc_directive] = ACTIONS(2324),
    [anon_sym_LPAREN2] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_TILDE] = ACTIONS(2326),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2326),
    [anon_sym_AMP_AMP] = ACTIONS(2326),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2324),
    [anon_sym_typedef] = ACTIONS(2324),
    [anon_sym_in] = ACTIONS(2324),
    [anon_sym_out] = ACTIONS(2324),
    [anon_sym_inout] = ACTIONS(2324),
    [anon_sym_virtual] = ACTIONS(2324),
    [anon_sym_extern] = ACTIONS(2324),
    [anon_sym___attribute__] = ACTIONS(2324),
    [anon_sym___attribute] = ACTIONS(2324),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2326),
    [anon_sym___declspec] = ACTIONS(2324),
    [anon_sym___based] = ACTIONS(2324),
    [anon_sym___cdecl] = ACTIONS(2324),
    [anon_sym___clrcall] = ACTIONS(2324),
    [anon_sym___stdcall] = ACTIONS(2324),
    [anon_sym___fastcall] = ACTIONS(2324),
    [anon_sym___thiscall] = ACTIONS(2324),
    [anon_sym___vectorcall] = ACTIONS(2324),
    [anon_sym_LBRACE] = ACTIONS(2326),
    [anon_sym_RBRACE] = ACTIONS(2326),
    [anon_sym_signed] = ACTIONS(2324),
    [anon_sym_unsigned] = ACTIONS(2324),
    [anon_sym_long] = ACTIONS(2324),
    [anon_sym_short] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_static] = ACTIONS(2324),
    [anon_sym_register] = ACTIONS(2324),
    [anon_sym_inline] = ACTIONS(2324),
    [anon_sym___inline] = ACTIONS(2324),
    [anon_sym___inline__] = ACTIONS(2324),
    [anon_sym___forceinline] = ACTIONS(2324),
    [anon_sym_thread_local] = ACTIONS(2324),
    [anon_sym___thread] = ACTIONS(2324),
    [anon_sym_const] = ACTIONS(2324),
    [anon_sym_constexpr] = ACTIONS(2324),
    [anon_sym_volatile] = ACTIONS(2324),
    [anon_sym_restrict] = ACTIONS(2324),
    [anon_sym___restrict__] = ACTIONS(2324),
    [anon_sym__Atomic] = ACTIONS(2324),
    [anon_sym__Noreturn] = ACTIONS(2324),
    [anon_sym_noreturn] = ACTIONS(2324),
    [anon_sym__Nonnull] = ACTIONS(2324),
    [anon_sym_mutable] = ACTIONS(2324),
    [anon_sym_constinit] = ACTIONS(2324),
    [anon_sym_consteval] = ACTIONS(2324),
    [anon_sym_alignas] = ACTIONS(2324),
    [anon_sym__Alignas] = ACTIONS(2324),
    [sym_primitive_type] = ACTIONS(2324),
    [anon_sym_enum] = ACTIONS(2324),
    [anon_sym_class] = ACTIONS(2324),
    [anon_sym_struct] = ACTIONS(2324),
    [anon_sym_union] = ACTIONS(2324),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_else] = ACTIONS(2324),
    [anon_sym_switch] = ACTIONS(2324),
    [anon_sym_case] = ACTIONS(2324),
    [anon_sym_default] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2324),
    [anon_sym_do] = ACTIONS(2324),
    [anon_sym_for] = ACTIONS(2324),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_break] = ACTIONS(2324),
    [anon_sym_continue] = ACTIONS(2324),
    [anon_sym_goto] = ACTIONS(2324),
    [anon_sym___try] = ACTIONS(2324),
    [anon_sym___leave] = ACTIONS(2324),
    [anon_sym_not] = ACTIONS(2324),
    [anon_sym_compl] = ACTIONS(2324),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_sizeof] = ACTIONS(2324),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2324),
    [anon_sym__Generic] = ACTIONS(2324),
    [anon_sym_asm] = ACTIONS(2324),
    [anon_sym___asm__] = ACTIONS(2324),
    [anon_sym___asm] = ACTIONS(2324),
    [sym_number_literal] = ACTIONS(2326),
    [anon_sym_L_SQUOTE] = ACTIONS(2326),
    [anon_sym_u_SQUOTE] = ACTIONS(2326),
    [anon_sym_U_SQUOTE] = ACTIONS(2326),
    [anon_sym_u8_SQUOTE] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym_L_DQUOTE] = ACTIONS(2326),
    [anon_sym_u_DQUOTE] = ACTIONS(2326),
    [anon_sym_U_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8_DQUOTE] = ACTIONS(2326),
    [anon_sym_DQUOTE] = ACTIONS(2326),
    [sym_true] = ACTIONS(2324),
    [sym_false] = ACTIONS(2324),
    [anon_sym_NULL] = ACTIONS(2324),
    [anon_sym_nullptr] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2324),
    [anon_sym_decltype] = ACTIONS(2324),
    [anon_sym_explicit] = ACTIONS(2324),
    [anon_sym_typename] = ACTIONS(2324),
    [anon_sym_template] = ACTIONS(2324),
    [anon_sym_operator] = ACTIONS(2324),
    [anon_sym_try] = ACTIONS(2324),
    [anon_sym_delete] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2324),
    [anon_sym_namespace] = ACTIONS(2324),
    [anon_sym_using] = ACTIONS(2324),
    [anon_sym_static_assert] = ACTIONS(2324),
    [anon_sym_concept] = ACTIONS(2324),
    [anon_sym_co_return] = ACTIONS(2324),
    [anon_sym_co_yield] = ACTIONS(2324),
    [anon_sym_R_DQUOTE] = ACTIONS(2326),
    [anon_sym_LR_DQUOTE] = ACTIONS(2326),
    [anon_sym_uR_DQUOTE] = ACTIONS(2326),
    [anon_sym_UR_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2326),
    [anon_sym_co_await] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2324),
    [anon_sym_requires] = ACTIONS(2324),
    [sym_this] = ACTIONS(2324),
    [anon_sym_discard] = ACTIONS(2324),
    [anon_sym_precise] = ACTIONS(2324),
    [anon_sym_shared] = ACTIONS(2324),
    [anon_sym_groupshared] = ACTIONS(2324),
    [anon_sym_uniform] = ACTIONS(2324),
    [anon_sym_row_major] = ACTIONS(2324),
    [anon_sym_column_major] = ACTIONS(2324),
    [anon_sym_globallycoherent] = ACTIONS(2324),
    [anon_sym_centroid] = ACTIONS(2324),
    [anon_sym_noperspective] = ACTIONS(2324),
    [anon_sym_nointerpolation] = ACTIONS(2324),
    [anon_sym_sample] = ACTIONS(2324),
    [anon_sym_linear] = ACTIONS(2324),
    [anon_sym_snorm] = ACTIONS(2324),
    [anon_sym_unorm] = ACTIONS(2324),
    [anon_sym_point] = ACTIONS(2324),
    [anon_sym_line] = ACTIONS(2324),
    [anon_sym_triangleadj] = ACTIONS(2324),
    [anon_sym_lineadj] = ACTIONS(2324),
    [anon_sym_triangle] = ACTIONS(2324),
    [anon_sym_cbuffer] = ACTIONS(2324),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2312),
    [aux_sym_preproc_include_token1] = ACTIONS(2312),
    [aux_sym_preproc_def_token1] = ACTIONS(2312),
    [aux_sym_preproc_if_token1] = ACTIONS(2312),
    [aux_sym_preproc_if_token2] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2312),
    [sym_preproc_directive] = ACTIONS(2312),
    [anon_sym_LPAREN2] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2312),
    [anon_sym_typedef] = ACTIONS(2312),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_out] = ACTIONS(2312),
    [anon_sym_inout] = ACTIONS(2312),
    [anon_sym_virtual] = ACTIONS(2312),
    [anon_sym_extern] = ACTIONS(2312),
    [anon_sym___attribute__] = ACTIONS(2312),
    [anon_sym___attribute] = ACTIONS(2312),
    [anon_sym_COLON_COLON] = ACTIONS(2314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2314),
    [anon_sym___declspec] = ACTIONS(2312),
    [anon_sym___based] = ACTIONS(2312),
    [anon_sym___cdecl] = ACTIONS(2312),
    [anon_sym___clrcall] = ACTIONS(2312),
    [anon_sym___stdcall] = ACTIONS(2312),
    [anon_sym___fastcall] = ACTIONS(2312),
    [anon_sym___thiscall] = ACTIONS(2312),
    [anon_sym___vectorcall] = ACTIONS(2312),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_signed] = ACTIONS(2312),
    [anon_sym_unsigned] = ACTIONS(2312),
    [anon_sym_long] = ACTIONS(2312),
    [anon_sym_short] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_static] = ACTIONS(2312),
    [anon_sym_register] = ACTIONS(2312),
    [anon_sym_inline] = ACTIONS(2312),
    [anon_sym___inline] = ACTIONS(2312),
    [anon_sym___inline__] = ACTIONS(2312),
    [anon_sym___forceinline] = ACTIONS(2312),
    [anon_sym_thread_local] = ACTIONS(2312),
    [anon_sym___thread] = ACTIONS(2312),
    [anon_sym_const] = ACTIONS(2312),
    [anon_sym_constexpr] = ACTIONS(2312),
    [anon_sym_volatile] = ACTIONS(2312),
    [anon_sym_restrict] = ACTIONS(2312),
    [anon_sym___restrict__] = ACTIONS(2312),
    [anon_sym__Atomic] = ACTIONS(2312),
    [anon_sym__Noreturn] = ACTIONS(2312),
    [anon_sym_noreturn] = ACTIONS(2312),
    [anon_sym__Nonnull] = ACTIONS(2312),
    [anon_sym_mutable] = ACTIONS(2312),
    [anon_sym_constinit] = ACTIONS(2312),
    [anon_sym_consteval] = ACTIONS(2312),
    [anon_sym_alignas] = ACTIONS(2312),
    [anon_sym__Alignas] = ACTIONS(2312),
    [sym_primitive_type] = ACTIONS(2312),
    [anon_sym_enum] = ACTIONS(2312),
    [anon_sym_class] = ACTIONS(2312),
    [anon_sym_struct] = ACTIONS(2312),
    [anon_sym_union] = ACTIONS(2312),
    [anon_sym_if] = ACTIONS(2312),
    [anon_sym_else] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2312),
    [anon_sym_case] = ACTIONS(2312),
    [anon_sym_default] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(2312),
    [anon_sym_for] = ACTIONS(2312),
    [anon_sym_return] = ACTIONS(2312),
    [anon_sym_break] = ACTIONS(2312),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2312),
    [anon_sym___try] = ACTIONS(2312),
    [anon_sym___leave] = ACTIONS(2312),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_sizeof] = ACTIONS(2312),
    [anon_sym___alignof__] = ACTIONS(2312),
    [anon_sym___alignof] = ACTIONS(2312),
    [anon_sym__alignof] = ACTIONS(2312),
    [anon_sym_alignof] = ACTIONS(2312),
    [anon_sym__Alignof] = ACTIONS(2312),
    [anon_sym_offsetof] = ACTIONS(2312),
    [anon_sym__Generic] = ACTIONS(2312),
    [anon_sym_asm] = ACTIONS(2312),
    [anon_sym___asm__] = ACTIONS(2312),
    [anon_sym___asm] = ACTIONS(2312),
    [sym_number_literal] = ACTIONS(2314),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2314),
    [anon_sym_u_DQUOTE] = ACTIONS(2314),
    [anon_sym_U_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8_DQUOTE] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [sym_true] = ACTIONS(2312),
    [sym_false] = ACTIONS(2312),
    [anon_sym_NULL] = ACTIONS(2312),
    [anon_sym_nullptr] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2312),
    [anon_sym_decltype] = ACTIONS(2312),
    [anon_sym_explicit] = ACTIONS(2312),
    [anon_sym_typename] = ACTIONS(2312),
    [anon_sym_template] = ACTIONS(2312),
    [anon_sym_operator] = ACTIONS(2312),
    [anon_sym_try] = ACTIONS(2312),
    [anon_sym_delete] = ACTIONS(2312),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_namespace] = ACTIONS(2312),
    [anon_sym_using] = ACTIONS(2312),
    [anon_sym_static_assert] = ACTIONS(2312),
    [anon_sym_concept] = ACTIONS(2312),
    [anon_sym_co_return] = ACTIONS(2312),
    [anon_sym_co_yield] = ACTIONS(2312),
    [anon_sym_R_DQUOTE] = ACTIONS(2314),
    [anon_sym_LR_DQUOTE] = ACTIONS(2314),
    [anon_sym_uR_DQUOTE] = ACTIONS(2314),
    [anon_sym_UR_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2314),
    [anon_sym_co_await] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2312),
    [anon_sym_requires] = ACTIONS(2312),
    [sym_this] = ACTIONS(2312),
    [anon_sym_discard] = ACTIONS(2312),
    [anon_sym_precise] = ACTIONS(2312),
    [anon_sym_shared] = ACTIONS(2312),
    [anon_sym_groupshared] = ACTIONS(2312),
    [anon_sym_uniform] = ACTIONS(2312),
    [anon_sym_row_major] = ACTIONS(2312),
    [anon_sym_column_major] = ACTIONS(2312),
    [anon_sym_globallycoherent] = ACTIONS(2312),
    [anon_sym_centroid] = ACTIONS(2312),
    [anon_sym_noperspective] = ACTIONS(2312),
    [anon_sym_nointerpolation] = ACTIONS(2312),
    [anon_sym_sample] = ACTIONS(2312),
    [anon_sym_linear] = ACTIONS(2312),
    [anon_sym_snorm] = ACTIONS(2312),
    [anon_sym_unorm] = ACTIONS(2312),
    [anon_sym_point] = ACTIONS(2312),
    [anon_sym_line] = ACTIONS(2312),
    [anon_sym_triangleadj] = ACTIONS(2312),
    [anon_sym_lineadj] = ACTIONS(2312),
    [anon_sym_triangle] = ACTIONS(2312),
    [anon_sym_cbuffer] = ACTIONS(2312),
  },
  [509] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_include_token1] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym___try] = ACTIONS(1978),
    [anon_sym___leave] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_namespace] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_discard] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
    [anon_sym_cbuffer] = ACTIONS(1978),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2123),
    [aux_sym_preproc_include_token1] = ACTIONS(2123),
    [aux_sym_preproc_def_token1] = ACTIONS(2123),
    [aux_sym_preproc_if_token1] = ACTIONS(2123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2123),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_AMP_AMP] = ACTIONS(2125),
    [anon_sym_AMP] = ACTIONS(2123),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym___extension__] = ACTIONS(2123),
    [anon_sym_typedef] = ACTIONS(2123),
    [anon_sym_in] = ACTIONS(2123),
    [anon_sym_out] = ACTIONS(2123),
    [anon_sym_inout] = ACTIONS(2123),
    [anon_sym_virtual] = ACTIONS(2123),
    [anon_sym_extern] = ACTIONS(2123),
    [anon_sym___attribute__] = ACTIONS(2123),
    [anon_sym___attribute] = ACTIONS(2123),
    [anon_sym_COLON_COLON] = ACTIONS(2125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2125),
    [anon_sym___declspec] = ACTIONS(2123),
    [anon_sym___based] = ACTIONS(2123),
    [anon_sym___cdecl] = ACTIONS(2123),
    [anon_sym___clrcall] = ACTIONS(2123),
    [anon_sym___stdcall] = ACTIONS(2123),
    [anon_sym___fastcall] = ACTIONS(2123),
    [anon_sym___thiscall] = ACTIONS(2123),
    [anon_sym___vectorcall] = ACTIONS(2123),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_RBRACE] = ACTIONS(2125),
    [anon_sym_signed] = ACTIONS(2123),
    [anon_sym_unsigned] = ACTIONS(2123),
    [anon_sym_long] = ACTIONS(2123),
    [anon_sym_short] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_static] = ACTIONS(2123),
    [anon_sym_register] = ACTIONS(2123),
    [anon_sym_inline] = ACTIONS(2123),
    [anon_sym___inline] = ACTIONS(2123),
    [anon_sym___inline__] = ACTIONS(2123),
    [anon_sym___forceinline] = ACTIONS(2123),
    [anon_sym_thread_local] = ACTIONS(2123),
    [anon_sym___thread] = ACTIONS(2123),
    [anon_sym_const] = ACTIONS(2123),
    [anon_sym_constexpr] = ACTIONS(2123),
    [anon_sym_volatile] = ACTIONS(2123),
    [anon_sym_restrict] = ACTIONS(2123),
    [anon_sym___restrict__] = ACTIONS(2123),
    [anon_sym__Atomic] = ACTIONS(2123),
    [anon_sym__Noreturn] = ACTIONS(2123),
    [anon_sym_noreturn] = ACTIONS(2123),
    [anon_sym__Nonnull] = ACTIONS(2123),
    [anon_sym_mutable] = ACTIONS(2123),
    [anon_sym_constinit] = ACTIONS(2123),
    [anon_sym_consteval] = ACTIONS(2123),
    [anon_sym_alignas] = ACTIONS(2123),
    [anon_sym__Alignas] = ACTIONS(2123),
    [sym_primitive_type] = ACTIONS(2123),
    [anon_sym_enum] = ACTIONS(2123),
    [anon_sym_class] = ACTIONS(2123),
    [anon_sym_struct] = ACTIONS(2123),
    [anon_sym_union] = ACTIONS(2123),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(2123),
    [anon_sym_switch] = ACTIONS(2123),
    [anon_sym_case] = ACTIONS(2123),
    [anon_sym_default] = ACTIONS(2123),
    [anon_sym_while] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2123),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_return] = ACTIONS(2123),
    [anon_sym_break] = ACTIONS(2123),
    [anon_sym_continue] = ACTIONS(2123),
    [anon_sym_goto] = ACTIONS(2123),
    [anon_sym___try] = ACTIONS(2123),
    [anon_sym___leave] = ACTIONS(2123),
    [anon_sym_not] = ACTIONS(2123),
    [anon_sym_compl] = ACTIONS(2123),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_sizeof] = ACTIONS(2123),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2123),
    [anon_sym_asm] = ACTIONS(2123),
    [anon_sym___asm__] = ACTIONS(2123),
    [anon_sym___asm] = ACTIONS(2123),
    [sym_number_literal] = ACTIONS(2125),
    [anon_sym_L_SQUOTE] = ACTIONS(2125),
    [anon_sym_u_SQUOTE] = ACTIONS(2125),
    [anon_sym_U_SQUOTE] = ACTIONS(2125),
    [anon_sym_u8_SQUOTE] = ACTIONS(2125),
    [anon_sym_SQUOTE] = ACTIONS(2125),
    [anon_sym_L_DQUOTE] = ACTIONS(2125),
    [anon_sym_u_DQUOTE] = ACTIONS(2125),
    [anon_sym_U_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8_DQUOTE] = ACTIONS(2125),
    [anon_sym_DQUOTE] = ACTIONS(2125),
    [sym_true] = ACTIONS(2123),
    [sym_false] = ACTIONS(2123),
    [anon_sym_NULL] = ACTIONS(2123),
    [anon_sym_nullptr] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2123),
    [anon_sym_decltype] = ACTIONS(2123),
    [anon_sym_explicit] = ACTIONS(2123),
    [anon_sym_typename] = ACTIONS(2123),
    [anon_sym_template] = ACTIONS(2123),
    [anon_sym_operator] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2123),
    [anon_sym_delete] = ACTIONS(2123),
    [anon_sym_throw] = ACTIONS(2123),
    [anon_sym_namespace] = ACTIONS(2123),
    [anon_sym_using] = ACTIONS(2123),
    [anon_sym_static_assert] = ACTIONS(2123),
    [anon_sym_concept] = ACTIONS(2123),
    [anon_sym_co_return] = ACTIONS(2123),
    [anon_sym_co_yield] = ACTIONS(2123),
    [anon_sym_R_DQUOTE] = ACTIONS(2125),
    [anon_sym_LR_DQUOTE] = ACTIONS(2125),
    [anon_sym_uR_DQUOTE] = ACTIONS(2125),
    [anon_sym_UR_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2125),
    [anon_sym_co_await] = ACTIONS(2123),
    [anon_sym_new] = ACTIONS(2123),
    [anon_sym_requires] = ACTIONS(2123),
    [sym_this] = ACTIONS(2123),
    [anon_sym_discard] = ACTIONS(2123),
    [anon_sym_precise] = ACTIONS(2123),
    [anon_sym_shared] = ACTIONS(2123),
    [anon_sym_groupshared] = ACTIONS(2123),
    [anon_sym_uniform] = ACTIONS(2123),
    [anon_sym_row_major] = ACTIONS(2123),
    [anon_sym_column_major] = ACTIONS(2123),
    [anon_sym_globallycoherent] = ACTIONS(2123),
    [anon_sym_centroid] = ACTIONS(2123),
    [anon_sym_noperspective] = ACTIONS(2123),
    [anon_sym_nointerpolation] = ACTIONS(2123),
    [anon_sym_sample] = ACTIONS(2123),
    [anon_sym_linear] = ACTIONS(2123),
    [anon_sym_snorm] = ACTIONS(2123),
    [anon_sym_unorm] = ACTIONS(2123),
    [anon_sym_point] = ACTIONS(2123),
    [anon_sym_line] = ACTIONS(2123),
    [anon_sym_triangleadj] = ACTIONS(2123),
    [anon_sym_lineadj] = ACTIONS(2123),
    [anon_sym_triangle] = ACTIONS(2123),
    [anon_sym_cbuffer] = ACTIONS(2123),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym___attribute] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [anon_sym___asm] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2312),
    [aux_sym_preproc_include_token1] = ACTIONS(2312),
    [aux_sym_preproc_def_token1] = ACTIONS(2312),
    [aux_sym_preproc_if_token1] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2312),
    [sym_preproc_directive] = ACTIONS(2312),
    [anon_sym_LPAREN2] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2312),
    [anon_sym_typedef] = ACTIONS(2312),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_out] = ACTIONS(2312),
    [anon_sym_inout] = ACTIONS(2312),
    [anon_sym_virtual] = ACTIONS(2312),
    [anon_sym_extern] = ACTIONS(2312),
    [anon_sym___attribute__] = ACTIONS(2312),
    [anon_sym___attribute] = ACTIONS(2312),
    [anon_sym_COLON_COLON] = ACTIONS(2314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2314),
    [anon_sym___declspec] = ACTIONS(2312),
    [anon_sym___based] = ACTIONS(2312),
    [anon_sym___cdecl] = ACTIONS(2312),
    [anon_sym___clrcall] = ACTIONS(2312),
    [anon_sym___stdcall] = ACTIONS(2312),
    [anon_sym___fastcall] = ACTIONS(2312),
    [anon_sym___thiscall] = ACTIONS(2312),
    [anon_sym___vectorcall] = ACTIONS(2312),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_signed] = ACTIONS(2312),
    [anon_sym_unsigned] = ACTIONS(2312),
    [anon_sym_long] = ACTIONS(2312),
    [anon_sym_short] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_static] = ACTIONS(2312),
    [anon_sym_register] = ACTIONS(2312),
    [anon_sym_inline] = ACTIONS(2312),
    [anon_sym___inline] = ACTIONS(2312),
    [anon_sym___inline__] = ACTIONS(2312),
    [anon_sym___forceinline] = ACTIONS(2312),
    [anon_sym_thread_local] = ACTIONS(2312),
    [anon_sym___thread] = ACTIONS(2312),
    [anon_sym_const] = ACTIONS(2312),
    [anon_sym_constexpr] = ACTIONS(2312),
    [anon_sym_volatile] = ACTIONS(2312),
    [anon_sym_restrict] = ACTIONS(2312),
    [anon_sym___restrict__] = ACTIONS(2312),
    [anon_sym__Atomic] = ACTIONS(2312),
    [anon_sym__Noreturn] = ACTIONS(2312),
    [anon_sym_noreturn] = ACTIONS(2312),
    [anon_sym__Nonnull] = ACTIONS(2312),
    [anon_sym_mutable] = ACTIONS(2312),
    [anon_sym_constinit] = ACTIONS(2312),
    [anon_sym_consteval] = ACTIONS(2312),
    [anon_sym_alignas] = ACTIONS(2312),
    [anon_sym__Alignas] = ACTIONS(2312),
    [sym_primitive_type] = ACTIONS(2312),
    [anon_sym_enum] = ACTIONS(2312),
    [anon_sym_class] = ACTIONS(2312),
    [anon_sym_struct] = ACTIONS(2312),
    [anon_sym_union] = ACTIONS(2312),
    [anon_sym_if] = ACTIONS(2312),
    [anon_sym_else] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2312),
    [anon_sym_case] = ACTIONS(2312),
    [anon_sym_default] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(2312),
    [anon_sym_for] = ACTIONS(2312),
    [anon_sym_return] = ACTIONS(2312),
    [anon_sym_break] = ACTIONS(2312),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2312),
    [anon_sym___try] = ACTIONS(2312),
    [anon_sym___leave] = ACTIONS(2312),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_sizeof] = ACTIONS(2312),
    [anon_sym___alignof__] = ACTIONS(2312),
    [anon_sym___alignof] = ACTIONS(2312),
    [anon_sym__alignof] = ACTIONS(2312),
    [anon_sym_alignof] = ACTIONS(2312),
    [anon_sym__Alignof] = ACTIONS(2312),
    [anon_sym_offsetof] = ACTIONS(2312),
    [anon_sym__Generic] = ACTIONS(2312),
    [anon_sym_asm] = ACTIONS(2312),
    [anon_sym___asm__] = ACTIONS(2312),
    [anon_sym___asm] = ACTIONS(2312),
    [sym_number_literal] = ACTIONS(2314),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2314),
    [anon_sym_u_DQUOTE] = ACTIONS(2314),
    [anon_sym_U_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8_DQUOTE] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [sym_true] = ACTIONS(2312),
    [sym_false] = ACTIONS(2312),
    [anon_sym_NULL] = ACTIONS(2312),
    [anon_sym_nullptr] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2312),
    [anon_sym_decltype] = ACTIONS(2312),
    [anon_sym_explicit] = ACTIONS(2312),
    [anon_sym_typename] = ACTIONS(2312),
    [anon_sym_template] = ACTIONS(2312),
    [anon_sym_operator] = ACTIONS(2312),
    [anon_sym_try] = ACTIONS(2312),
    [anon_sym_delete] = ACTIONS(2312),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_namespace] = ACTIONS(2312),
    [anon_sym_using] = ACTIONS(2312),
    [anon_sym_static_assert] = ACTIONS(2312),
    [anon_sym_concept] = ACTIONS(2312),
    [anon_sym_co_return] = ACTIONS(2312),
    [anon_sym_co_yield] = ACTIONS(2312),
    [anon_sym_R_DQUOTE] = ACTIONS(2314),
    [anon_sym_LR_DQUOTE] = ACTIONS(2314),
    [anon_sym_uR_DQUOTE] = ACTIONS(2314),
    [anon_sym_UR_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2314),
    [anon_sym_co_await] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2312),
    [anon_sym_requires] = ACTIONS(2312),
    [sym_this] = ACTIONS(2312),
    [anon_sym_discard] = ACTIONS(2312),
    [anon_sym_precise] = ACTIONS(2312),
    [anon_sym_shared] = ACTIONS(2312),
    [anon_sym_groupshared] = ACTIONS(2312),
    [anon_sym_uniform] = ACTIONS(2312),
    [anon_sym_row_major] = ACTIONS(2312),
    [anon_sym_column_major] = ACTIONS(2312),
    [anon_sym_globallycoherent] = ACTIONS(2312),
    [anon_sym_centroid] = ACTIONS(2312),
    [anon_sym_noperspective] = ACTIONS(2312),
    [anon_sym_nointerpolation] = ACTIONS(2312),
    [anon_sym_sample] = ACTIONS(2312),
    [anon_sym_linear] = ACTIONS(2312),
    [anon_sym_snorm] = ACTIONS(2312),
    [anon_sym_unorm] = ACTIONS(2312),
    [anon_sym_point] = ACTIONS(2312),
    [anon_sym_line] = ACTIONS(2312),
    [anon_sym_triangleadj] = ACTIONS(2312),
    [anon_sym_lineadj] = ACTIONS(2312),
    [anon_sym_triangle] = ACTIONS(2312),
    [anon_sym_cbuffer] = ACTIONS(2312),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2338),
    [aux_sym_preproc_include_token1] = ACTIONS(2338),
    [aux_sym_preproc_def_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2338),
    [sym_preproc_directive] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym___attribute] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym___based] = ACTIONS(2338),
    [anon_sym___cdecl] = ACTIONS(2338),
    [anon_sym___clrcall] = ACTIONS(2338),
    [anon_sym___stdcall] = ACTIONS(2338),
    [anon_sym___fastcall] = ACTIONS(2338),
    [anon_sym___thiscall] = ACTIONS(2338),
    [anon_sym___vectorcall] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym__Nonnull] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym__Alignas] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [anon_sym___asm] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_explicit] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_operator] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_static_assert] = ACTIONS(2338),
    [anon_sym_concept] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [514] = {
    [sym_identifier] = ACTIONS(2185),
    [aux_sym_preproc_include_token1] = ACTIONS(2185),
    [aux_sym_preproc_def_token1] = ACTIONS(2185),
    [aux_sym_preproc_if_token1] = ACTIONS(2185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2185),
    [sym_preproc_directive] = ACTIONS(2185),
    [anon_sym_LPAREN2] = ACTIONS(2187),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_AMP_AMP] = ACTIONS(2187),
    [anon_sym_AMP] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym___extension__] = ACTIONS(2185),
    [anon_sym_typedef] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2185),
    [anon_sym_out] = ACTIONS(2185),
    [anon_sym_inout] = ACTIONS(2185),
    [anon_sym_virtual] = ACTIONS(2185),
    [anon_sym_extern] = ACTIONS(2185),
    [anon_sym___attribute__] = ACTIONS(2185),
    [anon_sym___attribute] = ACTIONS(2185),
    [anon_sym_COLON_COLON] = ACTIONS(2187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2187),
    [anon_sym___declspec] = ACTIONS(2185),
    [anon_sym___based] = ACTIONS(2185),
    [anon_sym___cdecl] = ACTIONS(2185),
    [anon_sym___clrcall] = ACTIONS(2185),
    [anon_sym___stdcall] = ACTIONS(2185),
    [anon_sym___fastcall] = ACTIONS(2185),
    [anon_sym___thiscall] = ACTIONS(2185),
    [anon_sym___vectorcall] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2187),
    [anon_sym_signed] = ACTIONS(2185),
    [anon_sym_unsigned] = ACTIONS(2185),
    [anon_sym_long] = ACTIONS(2185),
    [anon_sym_short] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_register] = ACTIONS(2185),
    [anon_sym_inline] = ACTIONS(2185),
    [anon_sym___inline] = ACTIONS(2185),
    [anon_sym___inline__] = ACTIONS(2185),
    [anon_sym___forceinline] = ACTIONS(2185),
    [anon_sym_thread_local] = ACTIONS(2185),
    [anon_sym___thread] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_constexpr] = ACTIONS(2185),
    [anon_sym_volatile] = ACTIONS(2185),
    [anon_sym_restrict] = ACTIONS(2185),
    [anon_sym___restrict__] = ACTIONS(2185),
    [anon_sym__Atomic] = ACTIONS(2185),
    [anon_sym__Noreturn] = ACTIONS(2185),
    [anon_sym_noreturn] = ACTIONS(2185),
    [anon_sym__Nonnull] = ACTIONS(2185),
    [anon_sym_mutable] = ACTIONS(2185),
    [anon_sym_constinit] = ACTIONS(2185),
    [anon_sym_consteval] = ACTIONS(2185),
    [anon_sym_alignas] = ACTIONS(2185),
    [anon_sym__Alignas] = ACTIONS(2185),
    [sym_primitive_type] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_struct] = ACTIONS(2185),
    [anon_sym_union] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym___try] = ACTIONS(2185),
    [anon_sym___leave] = ACTIONS(2185),
    [anon_sym_not] = ACTIONS(2185),
    [anon_sym_compl] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2187),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_sizeof] = ACTIONS(2185),
    [anon_sym___alignof__] = ACTIONS(2185),
    [anon_sym___alignof] = ACTIONS(2185),
    [anon_sym__alignof] = ACTIONS(2185),
    [anon_sym_alignof] = ACTIONS(2185),
    [anon_sym__Alignof] = ACTIONS(2185),
    [anon_sym_offsetof] = ACTIONS(2185),
    [anon_sym__Generic] = ACTIONS(2185),
    [anon_sym_asm] = ACTIONS(2185),
    [anon_sym___asm__] = ACTIONS(2185),
    [anon_sym___asm] = ACTIONS(2185),
    [sym_number_literal] = ACTIONS(2187),
    [anon_sym_L_SQUOTE] = ACTIONS(2187),
    [anon_sym_u_SQUOTE] = ACTIONS(2187),
    [anon_sym_U_SQUOTE] = ACTIONS(2187),
    [anon_sym_u8_SQUOTE] = ACTIONS(2187),
    [anon_sym_SQUOTE] = ACTIONS(2187),
    [anon_sym_L_DQUOTE] = ACTIONS(2187),
    [anon_sym_u_DQUOTE] = ACTIONS(2187),
    [anon_sym_U_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8_DQUOTE] = ACTIONS(2187),
    [anon_sym_DQUOTE] = ACTIONS(2187),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [anon_sym_NULL] = ACTIONS(2185),
    [anon_sym_nullptr] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2185),
    [anon_sym_decltype] = ACTIONS(2185),
    [anon_sym_explicit] = ACTIONS(2185),
    [anon_sym_typename] = ACTIONS(2185),
    [anon_sym_template] = ACTIONS(2185),
    [anon_sym_operator] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_static_assert] = ACTIONS(2185),
    [anon_sym_concept] = ACTIONS(2185),
    [anon_sym_co_return] = ACTIONS(2185),
    [anon_sym_co_yield] = ACTIONS(2185),
    [anon_sym_R_DQUOTE] = ACTIONS(2187),
    [anon_sym_LR_DQUOTE] = ACTIONS(2187),
    [anon_sym_uR_DQUOTE] = ACTIONS(2187),
    [anon_sym_UR_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2187),
    [anon_sym_co_await] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_requires] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [anon_sym_discard] = ACTIONS(2185),
    [anon_sym_precise] = ACTIONS(2185),
    [anon_sym_shared] = ACTIONS(2185),
    [anon_sym_groupshared] = ACTIONS(2185),
    [anon_sym_uniform] = ACTIONS(2185),
    [anon_sym_row_major] = ACTIONS(2185),
    [anon_sym_column_major] = ACTIONS(2185),
    [anon_sym_globallycoherent] = ACTIONS(2185),
    [anon_sym_centroid] = ACTIONS(2185),
    [anon_sym_noperspective] = ACTIONS(2185),
    [anon_sym_nointerpolation] = ACTIONS(2185),
    [anon_sym_sample] = ACTIONS(2185),
    [anon_sym_linear] = ACTIONS(2185),
    [anon_sym_snorm] = ACTIONS(2185),
    [anon_sym_unorm] = ACTIONS(2185),
    [anon_sym_point] = ACTIONS(2185),
    [anon_sym_line] = ACTIONS(2185),
    [anon_sym_triangleadj] = ACTIONS(2185),
    [anon_sym_lineadj] = ACTIONS(2185),
    [anon_sym_triangle] = ACTIONS(2185),
    [anon_sym_cbuffer] = ACTIONS(2185),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2169),
    [aux_sym_preproc_include_token1] = ACTIONS(2169),
    [aux_sym_preproc_def_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token2] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2169),
    [sym_preproc_directive] = ACTIONS(2169),
    [anon_sym_LPAREN2] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym___extension__] = ACTIONS(2169),
    [anon_sym_typedef] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_out] = ACTIONS(2169),
    [anon_sym_inout] = ACTIONS(2169),
    [anon_sym_virtual] = ACTIONS(2169),
    [anon_sym_extern] = ACTIONS(2169),
    [anon_sym___attribute__] = ACTIONS(2169),
    [anon_sym___attribute] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2171),
    [anon_sym___declspec] = ACTIONS(2169),
    [anon_sym___based] = ACTIONS(2169),
    [anon_sym___cdecl] = ACTIONS(2169),
    [anon_sym___clrcall] = ACTIONS(2169),
    [anon_sym___stdcall] = ACTIONS(2169),
    [anon_sym___fastcall] = ACTIONS(2169),
    [anon_sym___thiscall] = ACTIONS(2169),
    [anon_sym___vectorcall] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_signed] = ACTIONS(2169),
    [anon_sym_unsigned] = ACTIONS(2169),
    [anon_sym_long] = ACTIONS(2169),
    [anon_sym_short] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_register] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(2169),
    [anon_sym___inline] = ACTIONS(2169),
    [anon_sym___inline__] = ACTIONS(2169),
    [anon_sym___forceinline] = ACTIONS(2169),
    [anon_sym_thread_local] = ACTIONS(2169),
    [anon_sym___thread] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_constexpr] = ACTIONS(2169),
    [anon_sym_volatile] = ACTIONS(2169),
    [anon_sym_restrict] = ACTIONS(2169),
    [anon_sym___restrict__] = ACTIONS(2169),
    [anon_sym__Atomic] = ACTIONS(2169),
    [anon_sym__Noreturn] = ACTIONS(2169),
    [anon_sym_noreturn] = ACTIONS(2169),
    [anon_sym__Nonnull] = ACTIONS(2169),
    [anon_sym_mutable] = ACTIONS(2169),
    [anon_sym_constinit] = ACTIONS(2169),
    [anon_sym_consteval] = ACTIONS(2169),
    [anon_sym_alignas] = ACTIONS(2169),
    [anon_sym__Alignas] = ACTIONS(2169),
    [sym_primitive_type] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_struct] = ACTIONS(2169),
    [anon_sym_union] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym___try] = ACTIONS(2169),
    [anon_sym___leave] = ACTIONS(2169),
    [anon_sym_not] = ACTIONS(2169),
    [anon_sym_compl] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_sizeof] = ACTIONS(2169),
    [anon_sym___alignof__] = ACTIONS(2169),
    [anon_sym___alignof] = ACTIONS(2169),
    [anon_sym__alignof] = ACTIONS(2169),
    [anon_sym_alignof] = ACTIONS(2169),
    [anon_sym__Alignof] = ACTIONS(2169),
    [anon_sym_offsetof] = ACTIONS(2169),
    [anon_sym__Generic] = ACTIONS(2169),
    [anon_sym_asm] = ACTIONS(2169),
    [anon_sym___asm__] = ACTIONS(2169),
    [anon_sym___asm] = ACTIONS(2169),
    [sym_number_literal] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2171),
    [anon_sym_u_SQUOTE] = ACTIONS(2171),
    [anon_sym_U_SQUOTE] = ACTIONS(2171),
    [anon_sym_u8_SQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_L_DQUOTE] = ACTIONS(2171),
    [anon_sym_u_DQUOTE] = ACTIONS(2171),
    [anon_sym_U_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8_DQUOTE] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [anon_sym_NULL] = ACTIONS(2169),
    [anon_sym_nullptr] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2169),
    [anon_sym_decltype] = ACTIONS(2169),
    [anon_sym_explicit] = ACTIONS(2169),
    [anon_sym_typename] = ACTIONS(2169),
    [anon_sym_template] = ACTIONS(2169),
    [anon_sym_operator] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_static_assert] = ACTIONS(2169),
    [anon_sym_concept] = ACTIONS(2169),
    [anon_sym_co_return] = ACTIONS(2169),
    [anon_sym_co_yield] = ACTIONS(2169),
    [anon_sym_R_DQUOTE] = ACTIONS(2171),
    [anon_sym_LR_DQUOTE] = ACTIONS(2171),
    [anon_sym_uR_DQUOTE] = ACTIONS(2171),
    [anon_sym_UR_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2171),
    [anon_sym_co_await] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_requires] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [anon_sym_discard] = ACTIONS(2169),
    [anon_sym_precise] = ACTIONS(2169),
    [anon_sym_shared] = ACTIONS(2169),
    [anon_sym_groupshared] = ACTIONS(2169),
    [anon_sym_uniform] = ACTIONS(2169),
    [anon_sym_row_major] = ACTIONS(2169),
    [anon_sym_column_major] = ACTIONS(2169),
    [anon_sym_globallycoherent] = ACTIONS(2169),
    [anon_sym_centroid] = ACTIONS(2169),
    [anon_sym_noperspective] = ACTIONS(2169),
    [anon_sym_nointerpolation] = ACTIONS(2169),
    [anon_sym_sample] = ACTIONS(2169),
    [anon_sym_linear] = ACTIONS(2169),
    [anon_sym_snorm] = ACTIONS(2169),
    [anon_sym_unorm] = ACTIONS(2169),
    [anon_sym_point] = ACTIONS(2169),
    [anon_sym_line] = ACTIONS(2169),
    [anon_sym_triangleadj] = ACTIONS(2169),
    [anon_sym_lineadj] = ACTIONS(2169),
    [anon_sym_triangle] = ACTIONS(2169),
    [anon_sym_cbuffer] = ACTIONS(2169),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2209),
    [aux_sym_preproc_include_token1] = ACTIONS(2209),
    [aux_sym_preproc_def_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token2] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2209),
    [sym_preproc_directive] = ACTIONS(2209),
    [anon_sym_LPAREN2] = ACTIONS(2211),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_AMP_AMP] = ACTIONS(2211),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym___extension__] = ACTIONS(2209),
    [anon_sym_typedef] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_out] = ACTIONS(2209),
    [anon_sym_inout] = ACTIONS(2209),
    [anon_sym_virtual] = ACTIONS(2209),
    [anon_sym_extern] = ACTIONS(2209),
    [anon_sym___attribute__] = ACTIONS(2209),
    [anon_sym___attribute] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2211),
    [anon_sym___declspec] = ACTIONS(2209),
    [anon_sym___based] = ACTIONS(2209),
    [anon_sym___cdecl] = ACTIONS(2209),
    [anon_sym___clrcall] = ACTIONS(2209),
    [anon_sym___stdcall] = ACTIONS(2209),
    [anon_sym___fastcall] = ACTIONS(2209),
    [anon_sym___thiscall] = ACTIONS(2209),
    [anon_sym___vectorcall] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_register] = ACTIONS(2209),
    [anon_sym_inline] = ACTIONS(2209),
    [anon_sym___inline] = ACTIONS(2209),
    [anon_sym___inline__] = ACTIONS(2209),
    [anon_sym___forceinline] = ACTIONS(2209),
    [anon_sym_thread_local] = ACTIONS(2209),
    [anon_sym___thread] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_constexpr] = ACTIONS(2209),
    [anon_sym_volatile] = ACTIONS(2209),
    [anon_sym_restrict] = ACTIONS(2209),
    [anon_sym___restrict__] = ACTIONS(2209),
    [anon_sym__Atomic] = ACTIONS(2209),
    [anon_sym__Noreturn] = ACTIONS(2209),
    [anon_sym_noreturn] = ACTIONS(2209),
    [anon_sym__Nonnull] = ACTIONS(2209),
    [anon_sym_mutable] = ACTIONS(2209),
    [anon_sym_constinit] = ACTIONS(2209),
    [anon_sym_consteval] = ACTIONS(2209),
    [anon_sym_alignas] = ACTIONS(2209),
    [anon_sym__Alignas] = ACTIONS(2209),
    [sym_primitive_type] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_struct] = ACTIONS(2209),
    [anon_sym_union] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym___try] = ACTIONS(2209),
    [anon_sym___leave] = ACTIONS(2209),
    [anon_sym_not] = ACTIONS(2209),
    [anon_sym_compl] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_sizeof] = ACTIONS(2209),
    [anon_sym___alignof__] = ACTIONS(2209),
    [anon_sym___alignof] = ACTIONS(2209),
    [anon_sym__alignof] = ACTIONS(2209),
    [anon_sym_alignof] = ACTIONS(2209),
    [anon_sym__Alignof] = ACTIONS(2209),
    [anon_sym_offsetof] = ACTIONS(2209),
    [anon_sym__Generic] = ACTIONS(2209),
    [anon_sym_asm] = ACTIONS(2209),
    [anon_sym___asm__] = ACTIONS(2209),
    [anon_sym___asm] = ACTIONS(2209),
    [sym_number_literal] = ACTIONS(2211),
    [anon_sym_L_SQUOTE] = ACTIONS(2211),
    [anon_sym_u_SQUOTE] = ACTIONS(2211),
    [anon_sym_U_SQUOTE] = ACTIONS(2211),
    [anon_sym_u8_SQUOTE] = ACTIONS(2211),
    [anon_sym_SQUOTE] = ACTIONS(2211),
    [anon_sym_L_DQUOTE] = ACTIONS(2211),
    [anon_sym_u_DQUOTE] = ACTIONS(2211),
    [anon_sym_U_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8_DQUOTE] = ACTIONS(2211),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [anon_sym_NULL] = ACTIONS(2209),
    [anon_sym_nullptr] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2209),
    [anon_sym_decltype] = ACTIONS(2209),
    [anon_sym_explicit] = ACTIONS(2209),
    [anon_sym_typename] = ACTIONS(2209),
    [anon_sym_template] = ACTIONS(2209),
    [anon_sym_operator] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_static_assert] = ACTIONS(2209),
    [anon_sym_concept] = ACTIONS(2209),
    [anon_sym_co_return] = ACTIONS(2209),
    [anon_sym_co_yield] = ACTIONS(2209),
    [anon_sym_R_DQUOTE] = ACTIONS(2211),
    [anon_sym_LR_DQUOTE] = ACTIONS(2211),
    [anon_sym_uR_DQUOTE] = ACTIONS(2211),
    [anon_sym_UR_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2211),
    [anon_sym_co_await] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_requires] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [anon_sym_discard] = ACTIONS(2209),
    [anon_sym_precise] = ACTIONS(2209),
    [anon_sym_shared] = ACTIONS(2209),
    [anon_sym_groupshared] = ACTIONS(2209),
    [anon_sym_uniform] = ACTIONS(2209),
    [anon_sym_row_major] = ACTIONS(2209),
    [anon_sym_column_major] = ACTIONS(2209),
    [anon_sym_globallycoherent] = ACTIONS(2209),
    [anon_sym_centroid] = ACTIONS(2209),
    [anon_sym_noperspective] = ACTIONS(2209),
    [anon_sym_nointerpolation] = ACTIONS(2209),
    [anon_sym_sample] = ACTIONS(2209),
    [anon_sym_linear] = ACTIONS(2209),
    [anon_sym_snorm] = ACTIONS(2209),
    [anon_sym_unorm] = ACTIONS(2209),
    [anon_sym_point] = ACTIONS(2209),
    [anon_sym_line] = ACTIONS(2209),
    [anon_sym_triangleadj] = ACTIONS(2209),
    [anon_sym_lineadj] = ACTIONS(2209),
    [anon_sym_triangle] = ACTIONS(2209),
    [anon_sym_cbuffer] = ACTIONS(2209),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2221),
    [aux_sym_preproc_include_token1] = ACTIONS(2221),
    [aux_sym_preproc_def_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token2] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2221),
    [sym_preproc_directive] = ACTIONS(2221),
    [anon_sym_LPAREN2] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2223),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym___extension__] = ACTIONS(2221),
    [anon_sym_typedef] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_out] = ACTIONS(2221),
    [anon_sym_inout] = ACTIONS(2221),
    [anon_sym_virtual] = ACTIONS(2221),
    [anon_sym_extern] = ACTIONS(2221),
    [anon_sym___attribute__] = ACTIONS(2221),
    [anon_sym___attribute] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2223),
    [anon_sym___declspec] = ACTIONS(2221),
    [anon_sym___based] = ACTIONS(2221),
    [anon_sym___cdecl] = ACTIONS(2221),
    [anon_sym___clrcall] = ACTIONS(2221),
    [anon_sym___stdcall] = ACTIONS(2221),
    [anon_sym___fastcall] = ACTIONS(2221),
    [anon_sym___thiscall] = ACTIONS(2221),
    [anon_sym___vectorcall] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_signed] = ACTIONS(2221),
    [anon_sym_unsigned] = ACTIONS(2221),
    [anon_sym_long] = ACTIONS(2221),
    [anon_sym_short] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_register] = ACTIONS(2221),
    [anon_sym_inline] = ACTIONS(2221),
    [anon_sym___inline] = ACTIONS(2221),
    [anon_sym___inline__] = ACTIONS(2221),
    [anon_sym___forceinline] = ACTIONS(2221),
    [anon_sym_thread_local] = ACTIONS(2221),
    [anon_sym___thread] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_constexpr] = ACTIONS(2221),
    [anon_sym_volatile] = ACTIONS(2221),
    [anon_sym_restrict] = ACTIONS(2221),
    [anon_sym___restrict__] = ACTIONS(2221),
    [anon_sym__Atomic] = ACTIONS(2221),
    [anon_sym__Noreturn] = ACTIONS(2221),
    [anon_sym_noreturn] = ACTIONS(2221),
    [anon_sym__Nonnull] = ACTIONS(2221),
    [anon_sym_mutable] = ACTIONS(2221),
    [anon_sym_constinit] = ACTIONS(2221),
    [anon_sym_consteval] = ACTIONS(2221),
    [anon_sym_alignas] = ACTIONS(2221),
    [anon_sym__Alignas] = ACTIONS(2221),
    [sym_primitive_type] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_union] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym___try] = ACTIONS(2221),
    [anon_sym___leave] = ACTIONS(2221),
    [anon_sym_not] = ACTIONS(2221),
    [anon_sym_compl] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_sizeof] = ACTIONS(2221),
    [anon_sym___alignof__] = ACTIONS(2221),
    [anon_sym___alignof] = ACTIONS(2221),
    [anon_sym__alignof] = ACTIONS(2221),
    [anon_sym_alignof] = ACTIONS(2221),
    [anon_sym__Alignof] = ACTIONS(2221),
    [anon_sym_offsetof] = ACTIONS(2221),
    [anon_sym__Generic] = ACTIONS(2221),
    [anon_sym_asm] = ACTIONS(2221),
    [anon_sym___asm__] = ACTIONS(2221),
    [anon_sym___asm] = ACTIONS(2221),
    [sym_number_literal] = ACTIONS(2223),
    [anon_sym_L_SQUOTE] = ACTIONS(2223),
    [anon_sym_u_SQUOTE] = ACTIONS(2223),
    [anon_sym_U_SQUOTE] = ACTIONS(2223),
    [anon_sym_u8_SQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [anon_sym_L_DQUOTE] = ACTIONS(2223),
    [anon_sym_u_DQUOTE] = ACTIONS(2223),
    [anon_sym_U_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8_DQUOTE] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [anon_sym_NULL] = ACTIONS(2221),
    [anon_sym_nullptr] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2221),
    [anon_sym_decltype] = ACTIONS(2221),
    [anon_sym_explicit] = ACTIONS(2221),
    [anon_sym_typename] = ACTIONS(2221),
    [anon_sym_template] = ACTIONS(2221),
    [anon_sym_operator] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_static_assert] = ACTIONS(2221),
    [anon_sym_concept] = ACTIONS(2221),
    [anon_sym_co_return] = ACTIONS(2221),
    [anon_sym_co_yield] = ACTIONS(2221),
    [anon_sym_R_DQUOTE] = ACTIONS(2223),
    [anon_sym_LR_DQUOTE] = ACTIONS(2223),
    [anon_sym_uR_DQUOTE] = ACTIONS(2223),
    [anon_sym_UR_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2223),
    [anon_sym_co_await] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_requires] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [anon_sym_discard] = ACTIONS(2221),
    [anon_sym_precise] = ACTIONS(2221),
    [anon_sym_shared] = ACTIONS(2221),
    [anon_sym_groupshared] = ACTIONS(2221),
    [anon_sym_uniform] = ACTIONS(2221),
    [anon_sym_row_major] = ACTIONS(2221),
    [anon_sym_column_major] = ACTIONS(2221),
    [anon_sym_globallycoherent] = ACTIONS(2221),
    [anon_sym_centroid] = ACTIONS(2221),
    [anon_sym_noperspective] = ACTIONS(2221),
    [anon_sym_nointerpolation] = ACTIONS(2221),
    [anon_sym_sample] = ACTIONS(2221),
    [anon_sym_linear] = ACTIONS(2221),
    [anon_sym_snorm] = ACTIONS(2221),
    [anon_sym_unorm] = ACTIONS(2221),
    [anon_sym_point] = ACTIONS(2221),
    [anon_sym_line] = ACTIONS(2221),
    [anon_sym_triangleadj] = ACTIONS(2221),
    [anon_sym_lineadj] = ACTIONS(2221),
    [anon_sym_triangle] = ACTIONS(2221),
    [anon_sym_cbuffer] = ACTIONS(2221),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2127),
    [aux_sym_preproc_include_token1] = ACTIONS(2127),
    [aux_sym_preproc_def_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token2] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2127),
    [sym_preproc_directive] = ACTIONS(2127),
    [anon_sym_LPAREN2] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym___extension__] = ACTIONS(2127),
    [anon_sym_typedef] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_out] = ACTIONS(2127),
    [anon_sym_inout] = ACTIONS(2127),
    [anon_sym_virtual] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2127),
    [anon_sym___attribute__] = ACTIONS(2127),
    [anon_sym___attribute] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2129),
    [anon_sym___declspec] = ACTIONS(2127),
    [anon_sym___based] = ACTIONS(2127),
    [anon_sym___cdecl] = ACTIONS(2127),
    [anon_sym___clrcall] = ACTIONS(2127),
    [anon_sym___stdcall] = ACTIONS(2127),
    [anon_sym___fastcall] = ACTIONS(2127),
    [anon_sym___thiscall] = ACTIONS(2127),
    [anon_sym___vectorcall] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_signed] = ACTIONS(2127),
    [anon_sym_unsigned] = ACTIONS(2127),
    [anon_sym_long] = ACTIONS(2127),
    [anon_sym_short] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_register] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(2127),
    [anon_sym___inline] = ACTIONS(2127),
    [anon_sym___inline__] = ACTIONS(2127),
    [anon_sym___forceinline] = ACTIONS(2127),
    [anon_sym_thread_local] = ACTIONS(2127),
    [anon_sym___thread] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_constexpr] = ACTIONS(2127),
    [anon_sym_volatile] = ACTIONS(2127),
    [anon_sym_restrict] = ACTIONS(2127),
    [anon_sym___restrict__] = ACTIONS(2127),
    [anon_sym__Atomic] = ACTIONS(2127),
    [anon_sym__Noreturn] = ACTIONS(2127),
    [anon_sym_noreturn] = ACTIONS(2127),
    [anon_sym__Nonnull] = ACTIONS(2127),
    [anon_sym_mutable] = ACTIONS(2127),
    [anon_sym_constinit] = ACTIONS(2127),
    [anon_sym_consteval] = ACTIONS(2127),
    [anon_sym_alignas] = ACTIONS(2127),
    [anon_sym__Alignas] = ACTIONS(2127),
    [sym_primitive_type] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_struct] = ACTIONS(2127),
    [anon_sym_union] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_goto] = ACTIONS(2127),
    [anon_sym___try] = ACTIONS(2127),
    [anon_sym___leave] = ACTIONS(2127),
    [anon_sym_not] = ACTIONS(2127),
    [anon_sym_compl] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_sizeof] = ACTIONS(2127),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2127),
    [anon_sym__Generic] = ACTIONS(2127),
    [anon_sym_asm] = ACTIONS(2127),
    [anon_sym___asm__] = ACTIONS(2127),
    [anon_sym___asm] = ACTIONS(2127),
    [sym_number_literal] = ACTIONS(2129),
    [anon_sym_L_SQUOTE] = ACTIONS(2129),
    [anon_sym_u_SQUOTE] = ACTIONS(2129),
    [anon_sym_U_SQUOTE] = ACTIONS(2129),
    [anon_sym_u8_SQUOTE] = ACTIONS(2129),
    [anon_sym_SQUOTE] = ACTIONS(2129),
    [anon_sym_L_DQUOTE] = ACTIONS(2129),
    [anon_sym_u_DQUOTE] = ACTIONS(2129),
    [anon_sym_U_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8_DQUOTE] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2129),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2127),
    [anon_sym_decltype] = ACTIONS(2127),
    [anon_sym_explicit] = ACTIONS(2127),
    [anon_sym_typename] = ACTIONS(2127),
    [anon_sym_template] = ACTIONS(2127),
    [anon_sym_operator] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_static_assert] = ACTIONS(2127),
    [anon_sym_concept] = ACTIONS(2127),
    [anon_sym_co_return] = ACTIONS(2127),
    [anon_sym_co_yield] = ACTIONS(2127),
    [anon_sym_R_DQUOTE] = ACTIONS(2129),
    [anon_sym_LR_DQUOTE] = ACTIONS(2129),
    [anon_sym_uR_DQUOTE] = ACTIONS(2129),
    [anon_sym_UR_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2129),
    [anon_sym_co_await] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_requires] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [anon_sym_discard] = ACTIONS(2127),
    [anon_sym_precise] = ACTIONS(2127),
    [anon_sym_shared] = ACTIONS(2127),
    [anon_sym_groupshared] = ACTIONS(2127),
    [anon_sym_uniform] = ACTIONS(2127),
    [anon_sym_row_major] = ACTIONS(2127),
    [anon_sym_column_major] = ACTIONS(2127),
    [anon_sym_globallycoherent] = ACTIONS(2127),
    [anon_sym_centroid] = ACTIONS(2127),
    [anon_sym_noperspective] = ACTIONS(2127),
    [anon_sym_nointerpolation] = ACTIONS(2127),
    [anon_sym_sample] = ACTIONS(2127),
    [anon_sym_linear] = ACTIONS(2127),
    [anon_sym_snorm] = ACTIONS(2127),
    [anon_sym_unorm] = ACTIONS(2127),
    [anon_sym_point] = ACTIONS(2127),
    [anon_sym_line] = ACTIONS(2127),
    [anon_sym_triangleadj] = ACTIONS(2127),
    [anon_sym_lineadj] = ACTIONS(2127),
    [anon_sym_triangle] = ACTIONS(2127),
    [anon_sym_cbuffer] = ACTIONS(2127),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2193),
    [aux_sym_preproc_include_token1] = ACTIONS(2193),
    [aux_sym_preproc_def_token1] = ACTIONS(2193),
    [aux_sym_preproc_if_token1] = ACTIONS(2193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2193),
    [sym_preproc_directive] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym___extension__] = ACTIONS(2193),
    [anon_sym_typedef] = ACTIONS(2193),
    [anon_sym_in] = ACTIONS(2193),
    [anon_sym_out] = ACTIONS(2193),
    [anon_sym_inout] = ACTIONS(2193),
    [anon_sym_virtual] = ACTIONS(2193),
    [anon_sym_extern] = ACTIONS(2193),
    [anon_sym___attribute__] = ACTIONS(2193),
    [anon_sym___attribute] = ACTIONS(2193),
    [anon_sym_COLON_COLON] = ACTIONS(2195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2195),
    [anon_sym___declspec] = ACTIONS(2193),
    [anon_sym___based] = ACTIONS(2193),
    [anon_sym___cdecl] = ACTIONS(2193),
    [anon_sym___clrcall] = ACTIONS(2193),
    [anon_sym___stdcall] = ACTIONS(2193),
    [anon_sym___fastcall] = ACTIONS(2193),
    [anon_sym___thiscall] = ACTIONS(2193),
    [anon_sym___vectorcall] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_signed] = ACTIONS(2193),
    [anon_sym_unsigned] = ACTIONS(2193),
    [anon_sym_long] = ACTIONS(2193),
    [anon_sym_short] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_register] = ACTIONS(2193),
    [anon_sym_inline] = ACTIONS(2193),
    [anon_sym___inline] = ACTIONS(2193),
    [anon_sym___inline__] = ACTIONS(2193),
    [anon_sym___forceinline] = ACTIONS(2193),
    [anon_sym_thread_local] = ACTIONS(2193),
    [anon_sym___thread] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_constexpr] = ACTIONS(2193),
    [anon_sym_volatile] = ACTIONS(2193),
    [anon_sym_restrict] = ACTIONS(2193),
    [anon_sym___restrict__] = ACTIONS(2193),
    [anon_sym__Atomic] = ACTIONS(2193),
    [anon_sym__Noreturn] = ACTIONS(2193),
    [anon_sym_noreturn] = ACTIONS(2193),
    [anon_sym__Nonnull] = ACTIONS(2193),
    [anon_sym_mutable] = ACTIONS(2193),
    [anon_sym_constinit] = ACTIONS(2193),
    [anon_sym_consteval] = ACTIONS(2193),
    [anon_sym_alignas] = ACTIONS(2193),
    [anon_sym__Alignas] = ACTIONS(2193),
    [sym_primitive_type] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_struct] = ACTIONS(2193),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym___try] = ACTIONS(2193),
    [anon_sym___leave] = ACTIONS(2193),
    [anon_sym_not] = ACTIONS(2193),
    [anon_sym_compl] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_sizeof] = ACTIONS(2193),
    [anon_sym___alignof__] = ACTIONS(2193),
    [anon_sym___alignof] = ACTIONS(2193),
    [anon_sym__alignof] = ACTIONS(2193),
    [anon_sym_alignof] = ACTIONS(2193),
    [anon_sym__Alignof] = ACTIONS(2193),
    [anon_sym_offsetof] = ACTIONS(2193),
    [anon_sym__Generic] = ACTIONS(2193),
    [anon_sym_asm] = ACTIONS(2193),
    [anon_sym___asm__] = ACTIONS(2193),
    [anon_sym___asm] = ACTIONS(2193),
    [sym_number_literal] = ACTIONS(2195),
    [anon_sym_L_SQUOTE] = ACTIONS(2195),
    [anon_sym_u_SQUOTE] = ACTIONS(2195),
    [anon_sym_U_SQUOTE] = ACTIONS(2195),
    [anon_sym_u8_SQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_L_DQUOTE] = ACTIONS(2195),
    [anon_sym_u_DQUOTE] = ACTIONS(2195),
    [anon_sym_U_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8_DQUOTE] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [anon_sym_NULL] = ACTIONS(2193),
    [anon_sym_nullptr] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2193),
    [anon_sym_decltype] = ACTIONS(2193),
    [anon_sym_explicit] = ACTIONS(2193),
    [anon_sym_typename] = ACTIONS(2193),
    [anon_sym_template] = ACTIONS(2193),
    [anon_sym_operator] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_static_assert] = ACTIONS(2193),
    [anon_sym_concept] = ACTIONS(2193),
    [anon_sym_co_return] = ACTIONS(2193),
    [anon_sym_co_yield] = ACTIONS(2193),
    [anon_sym_R_DQUOTE] = ACTIONS(2195),
    [anon_sym_LR_DQUOTE] = ACTIONS(2195),
    [anon_sym_uR_DQUOTE] = ACTIONS(2195),
    [anon_sym_UR_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2195),
    [anon_sym_co_await] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_requires] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [anon_sym_discard] = ACTIONS(2193),
    [anon_sym_precise] = ACTIONS(2193),
    [anon_sym_shared] = ACTIONS(2193),
    [anon_sym_groupshared] = ACTIONS(2193),
    [anon_sym_uniform] = ACTIONS(2193),
    [anon_sym_row_major] = ACTIONS(2193),
    [anon_sym_column_major] = ACTIONS(2193),
    [anon_sym_globallycoherent] = ACTIONS(2193),
    [anon_sym_centroid] = ACTIONS(2193),
    [anon_sym_noperspective] = ACTIONS(2193),
    [anon_sym_nointerpolation] = ACTIONS(2193),
    [anon_sym_sample] = ACTIONS(2193),
    [anon_sym_linear] = ACTIONS(2193),
    [anon_sym_snorm] = ACTIONS(2193),
    [anon_sym_unorm] = ACTIONS(2193),
    [anon_sym_point] = ACTIONS(2193),
    [anon_sym_line] = ACTIONS(2193),
    [anon_sym_triangleadj] = ACTIONS(2193),
    [anon_sym_lineadj] = ACTIONS(2193),
    [anon_sym_triangle] = ACTIONS(2193),
    [anon_sym_cbuffer] = ACTIONS(2193),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_include_token1] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym___cdecl] = ACTIONS(2201),
    [anon_sym___clrcall] = ACTIONS(2201),
    [anon_sym___stdcall] = ACTIONS(2201),
    [anon_sym___fastcall] = ACTIONS(2201),
    [anon_sym___thiscall] = ACTIONS(2201),
    [anon_sym___vectorcall] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_concept] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2165),
    [aux_sym_preproc_include_token1] = ACTIONS(2165),
    [aux_sym_preproc_def_token1] = ACTIONS(2165),
    [aux_sym_preproc_if_token1] = ACTIONS(2165),
    [aux_sym_preproc_if_token2] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2165),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2165),
    [sym_preproc_directive] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2167),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym___extension__] = ACTIONS(2165),
    [anon_sym_typedef] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_out] = ACTIONS(2165),
    [anon_sym_inout] = ACTIONS(2165),
    [anon_sym_virtual] = ACTIONS(2165),
    [anon_sym_extern] = ACTIONS(2165),
    [anon_sym___attribute__] = ACTIONS(2165),
    [anon_sym___attribute] = ACTIONS(2165),
    [anon_sym_COLON_COLON] = ACTIONS(2167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2167),
    [anon_sym___declspec] = ACTIONS(2165),
    [anon_sym___based] = ACTIONS(2165),
    [anon_sym___cdecl] = ACTIONS(2165),
    [anon_sym___clrcall] = ACTIONS(2165),
    [anon_sym___stdcall] = ACTIONS(2165),
    [anon_sym___fastcall] = ACTIONS(2165),
    [anon_sym___thiscall] = ACTIONS(2165),
    [anon_sym___vectorcall] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_signed] = ACTIONS(2165),
    [anon_sym_unsigned] = ACTIONS(2165),
    [anon_sym_long] = ACTIONS(2165),
    [anon_sym_short] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_register] = ACTIONS(2165),
    [anon_sym_inline] = ACTIONS(2165),
    [anon_sym___inline] = ACTIONS(2165),
    [anon_sym___inline__] = ACTIONS(2165),
    [anon_sym___forceinline] = ACTIONS(2165),
    [anon_sym_thread_local] = ACTIONS(2165),
    [anon_sym___thread] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_constexpr] = ACTIONS(2165),
    [anon_sym_volatile] = ACTIONS(2165),
    [anon_sym_restrict] = ACTIONS(2165),
    [anon_sym___restrict__] = ACTIONS(2165),
    [anon_sym__Atomic] = ACTIONS(2165),
    [anon_sym__Noreturn] = ACTIONS(2165),
    [anon_sym_noreturn] = ACTIONS(2165),
    [anon_sym__Nonnull] = ACTIONS(2165),
    [anon_sym_mutable] = ACTIONS(2165),
    [anon_sym_constinit] = ACTIONS(2165),
    [anon_sym_consteval] = ACTIONS(2165),
    [anon_sym_alignas] = ACTIONS(2165),
    [anon_sym__Alignas] = ACTIONS(2165),
    [sym_primitive_type] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_struct] = ACTIONS(2165),
    [anon_sym_union] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym___try] = ACTIONS(2165),
    [anon_sym___leave] = ACTIONS(2165),
    [anon_sym_not] = ACTIONS(2165),
    [anon_sym_compl] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_sizeof] = ACTIONS(2165),
    [anon_sym___alignof__] = ACTIONS(2165),
    [anon_sym___alignof] = ACTIONS(2165),
    [anon_sym__alignof] = ACTIONS(2165),
    [anon_sym_alignof] = ACTIONS(2165),
    [anon_sym__Alignof] = ACTIONS(2165),
    [anon_sym_offsetof] = ACTIONS(2165),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2165),
    [anon_sym___asm__] = ACTIONS(2165),
    [anon_sym___asm] = ACTIONS(2165),
    [sym_number_literal] = ACTIONS(2167),
    [anon_sym_L_SQUOTE] = ACTIONS(2167),
    [anon_sym_u_SQUOTE] = ACTIONS(2167),
    [anon_sym_U_SQUOTE] = ACTIONS(2167),
    [anon_sym_u8_SQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_L_DQUOTE] = ACTIONS(2167),
    [anon_sym_u_DQUOTE] = ACTIONS(2167),
    [anon_sym_U_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8_DQUOTE] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [anon_sym_NULL] = ACTIONS(2165),
    [anon_sym_nullptr] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2165),
    [anon_sym_decltype] = ACTIONS(2165),
    [anon_sym_explicit] = ACTIONS(2165),
    [anon_sym_typename] = ACTIONS(2165),
    [anon_sym_template] = ACTIONS(2165),
    [anon_sym_operator] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_static_assert] = ACTIONS(2165),
    [anon_sym_concept] = ACTIONS(2165),
    [anon_sym_co_return] = ACTIONS(2165),
    [anon_sym_co_yield] = ACTIONS(2165),
    [anon_sym_R_DQUOTE] = ACTIONS(2167),
    [anon_sym_LR_DQUOTE] = ACTIONS(2167),
    [anon_sym_uR_DQUOTE] = ACTIONS(2167),
    [anon_sym_UR_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2167),
    [anon_sym_co_await] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_requires] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [anon_sym_discard] = ACTIONS(2165),
    [anon_sym_precise] = ACTIONS(2165),
    [anon_sym_shared] = ACTIONS(2165),
    [anon_sym_groupshared] = ACTIONS(2165),
    [anon_sym_uniform] = ACTIONS(2165),
    [anon_sym_row_major] = ACTIONS(2165),
    [anon_sym_column_major] = ACTIONS(2165),
    [anon_sym_globallycoherent] = ACTIONS(2165),
    [anon_sym_centroid] = ACTIONS(2165),
    [anon_sym_noperspective] = ACTIONS(2165),
    [anon_sym_nointerpolation] = ACTIONS(2165),
    [anon_sym_sample] = ACTIONS(2165),
    [anon_sym_linear] = ACTIONS(2165),
    [anon_sym_snorm] = ACTIONS(2165),
    [anon_sym_unorm] = ACTIONS(2165),
    [anon_sym_point] = ACTIONS(2165),
    [anon_sym_line] = ACTIONS(2165),
    [anon_sym_triangleadj] = ACTIONS(2165),
    [anon_sym_lineadj] = ACTIONS(2165),
    [anon_sym_triangle] = ACTIONS(2165),
    [anon_sym_cbuffer] = ACTIONS(2165),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2173),
    [aux_sym_preproc_include_token1] = ACTIONS(2173),
    [aux_sym_preproc_def_token1] = ACTIONS(2173),
    [aux_sym_preproc_if_token1] = ACTIONS(2173),
    [aux_sym_preproc_if_token2] = ACTIONS(2173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2173),
    [sym_preproc_directive] = ACTIONS(2173),
    [anon_sym_LPAREN2] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym___extension__] = ACTIONS(2173),
    [anon_sym_typedef] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_out] = ACTIONS(2173),
    [anon_sym_inout] = ACTIONS(2173),
    [anon_sym_virtual] = ACTIONS(2173),
    [anon_sym_extern] = ACTIONS(2173),
    [anon_sym___attribute__] = ACTIONS(2173),
    [anon_sym___attribute] = ACTIONS(2173),
    [anon_sym_COLON_COLON] = ACTIONS(2175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2175),
    [anon_sym___declspec] = ACTIONS(2173),
    [anon_sym___based] = ACTIONS(2173),
    [anon_sym___cdecl] = ACTIONS(2173),
    [anon_sym___clrcall] = ACTIONS(2173),
    [anon_sym___stdcall] = ACTIONS(2173),
    [anon_sym___fastcall] = ACTIONS(2173),
    [anon_sym___thiscall] = ACTIONS(2173),
    [anon_sym___vectorcall] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_signed] = ACTIONS(2173),
    [anon_sym_unsigned] = ACTIONS(2173),
    [anon_sym_long] = ACTIONS(2173),
    [anon_sym_short] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_register] = ACTIONS(2173),
    [anon_sym_inline] = ACTIONS(2173),
    [anon_sym___inline] = ACTIONS(2173),
    [anon_sym___inline__] = ACTIONS(2173),
    [anon_sym___forceinline] = ACTIONS(2173),
    [anon_sym_thread_local] = ACTIONS(2173),
    [anon_sym___thread] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_constexpr] = ACTIONS(2173),
    [anon_sym_volatile] = ACTIONS(2173),
    [anon_sym_restrict] = ACTIONS(2173),
    [anon_sym___restrict__] = ACTIONS(2173),
    [anon_sym__Atomic] = ACTIONS(2173),
    [anon_sym__Noreturn] = ACTIONS(2173),
    [anon_sym_noreturn] = ACTIONS(2173),
    [anon_sym__Nonnull] = ACTIONS(2173),
    [anon_sym_mutable] = ACTIONS(2173),
    [anon_sym_constinit] = ACTIONS(2173),
    [anon_sym_consteval] = ACTIONS(2173),
    [anon_sym_alignas] = ACTIONS(2173),
    [anon_sym__Alignas] = ACTIONS(2173),
    [sym_primitive_type] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_struct] = ACTIONS(2173),
    [anon_sym_union] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym___try] = ACTIONS(2173),
    [anon_sym___leave] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2173),
    [anon_sym_compl] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_sizeof] = ACTIONS(2173),
    [anon_sym___alignof__] = ACTIONS(2173),
    [anon_sym___alignof] = ACTIONS(2173),
    [anon_sym__alignof] = ACTIONS(2173),
    [anon_sym_alignof] = ACTIONS(2173),
    [anon_sym__Alignof] = ACTIONS(2173),
    [anon_sym_offsetof] = ACTIONS(2173),
    [anon_sym__Generic] = ACTIONS(2173),
    [anon_sym_asm] = ACTIONS(2173),
    [anon_sym___asm__] = ACTIONS(2173),
    [anon_sym___asm] = ACTIONS(2173),
    [sym_number_literal] = ACTIONS(2175),
    [anon_sym_L_SQUOTE] = ACTIONS(2175),
    [anon_sym_u_SQUOTE] = ACTIONS(2175),
    [anon_sym_U_SQUOTE] = ACTIONS(2175),
    [anon_sym_u8_SQUOTE] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2175),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [anon_sym_NULL] = ACTIONS(2173),
    [anon_sym_nullptr] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2173),
    [anon_sym_decltype] = ACTIONS(2173),
    [anon_sym_explicit] = ACTIONS(2173),
    [anon_sym_typename] = ACTIONS(2173),
    [anon_sym_template] = ACTIONS(2173),
    [anon_sym_operator] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_using] = ACTIONS(2173),
    [anon_sym_static_assert] = ACTIONS(2173),
    [anon_sym_concept] = ACTIONS(2173),
    [anon_sym_co_return] = ACTIONS(2173),
    [anon_sym_co_yield] = ACTIONS(2173),
    [anon_sym_R_DQUOTE] = ACTIONS(2175),
    [anon_sym_LR_DQUOTE] = ACTIONS(2175),
    [anon_sym_uR_DQUOTE] = ACTIONS(2175),
    [anon_sym_UR_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2175),
    [anon_sym_co_await] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_requires] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [anon_sym_discard] = ACTIONS(2173),
    [anon_sym_precise] = ACTIONS(2173),
    [anon_sym_shared] = ACTIONS(2173),
    [anon_sym_groupshared] = ACTIONS(2173),
    [anon_sym_uniform] = ACTIONS(2173),
    [anon_sym_row_major] = ACTIONS(2173),
    [anon_sym_column_major] = ACTIONS(2173),
    [anon_sym_globallycoherent] = ACTIONS(2173),
    [anon_sym_centroid] = ACTIONS(2173),
    [anon_sym_noperspective] = ACTIONS(2173),
    [anon_sym_nointerpolation] = ACTIONS(2173),
    [anon_sym_sample] = ACTIONS(2173),
    [anon_sym_linear] = ACTIONS(2173),
    [anon_sym_snorm] = ACTIONS(2173),
    [anon_sym_unorm] = ACTIONS(2173),
    [anon_sym_point] = ACTIONS(2173),
    [anon_sym_line] = ACTIONS(2173),
    [anon_sym_triangleadj] = ACTIONS(2173),
    [anon_sym_lineadj] = ACTIONS(2173),
    [anon_sym_triangle] = ACTIONS(2173),
    [anon_sym_cbuffer] = ACTIONS(2173),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_include_token1] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym___cdecl] = ACTIONS(2201),
    [anon_sym___clrcall] = ACTIONS(2201),
    [anon_sym___stdcall] = ACTIONS(2201),
    [anon_sym___fastcall] = ACTIONS(2201),
    [anon_sym___thiscall] = ACTIONS(2201),
    [anon_sym___vectorcall] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_concept] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2169),
    [aux_sym_preproc_include_token1] = ACTIONS(2169),
    [aux_sym_preproc_def_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2169),
    [sym_preproc_directive] = ACTIONS(2169),
    [anon_sym_LPAREN2] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym___extension__] = ACTIONS(2169),
    [anon_sym_typedef] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_out] = ACTIONS(2169),
    [anon_sym_inout] = ACTIONS(2169),
    [anon_sym_virtual] = ACTIONS(2169),
    [anon_sym_extern] = ACTIONS(2169),
    [anon_sym___attribute__] = ACTIONS(2169),
    [anon_sym___attribute] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2171),
    [anon_sym___declspec] = ACTIONS(2169),
    [anon_sym___based] = ACTIONS(2169),
    [anon_sym___cdecl] = ACTIONS(2169),
    [anon_sym___clrcall] = ACTIONS(2169),
    [anon_sym___stdcall] = ACTIONS(2169),
    [anon_sym___fastcall] = ACTIONS(2169),
    [anon_sym___thiscall] = ACTIONS(2169),
    [anon_sym___vectorcall] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_signed] = ACTIONS(2169),
    [anon_sym_unsigned] = ACTIONS(2169),
    [anon_sym_long] = ACTIONS(2169),
    [anon_sym_short] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_register] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(2169),
    [anon_sym___inline] = ACTIONS(2169),
    [anon_sym___inline__] = ACTIONS(2169),
    [anon_sym___forceinline] = ACTIONS(2169),
    [anon_sym_thread_local] = ACTIONS(2169),
    [anon_sym___thread] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_constexpr] = ACTIONS(2169),
    [anon_sym_volatile] = ACTIONS(2169),
    [anon_sym_restrict] = ACTIONS(2169),
    [anon_sym___restrict__] = ACTIONS(2169),
    [anon_sym__Atomic] = ACTIONS(2169),
    [anon_sym__Noreturn] = ACTIONS(2169),
    [anon_sym_noreturn] = ACTIONS(2169),
    [anon_sym__Nonnull] = ACTIONS(2169),
    [anon_sym_mutable] = ACTIONS(2169),
    [anon_sym_constinit] = ACTIONS(2169),
    [anon_sym_consteval] = ACTIONS(2169),
    [anon_sym_alignas] = ACTIONS(2169),
    [anon_sym__Alignas] = ACTIONS(2169),
    [sym_primitive_type] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_struct] = ACTIONS(2169),
    [anon_sym_union] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym___try] = ACTIONS(2169),
    [anon_sym___leave] = ACTIONS(2169),
    [anon_sym_not] = ACTIONS(2169),
    [anon_sym_compl] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_sizeof] = ACTIONS(2169),
    [anon_sym___alignof__] = ACTIONS(2169),
    [anon_sym___alignof] = ACTIONS(2169),
    [anon_sym__alignof] = ACTIONS(2169),
    [anon_sym_alignof] = ACTIONS(2169),
    [anon_sym__Alignof] = ACTIONS(2169),
    [anon_sym_offsetof] = ACTIONS(2169),
    [anon_sym__Generic] = ACTIONS(2169),
    [anon_sym_asm] = ACTIONS(2169),
    [anon_sym___asm__] = ACTIONS(2169),
    [anon_sym___asm] = ACTIONS(2169),
    [sym_number_literal] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2171),
    [anon_sym_u_SQUOTE] = ACTIONS(2171),
    [anon_sym_U_SQUOTE] = ACTIONS(2171),
    [anon_sym_u8_SQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_L_DQUOTE] = ACTIONS(2171),
    [anon_sym_u_DQUOTE] = ACTIONS(2171),
    [anon_sym_U_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8_DQUOTE] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [anon_sym_NULL] = ACTIONS(2169),
    [anon_sym_nullptr] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2169),
    [anon_sym_decltype] = ACTIONS(2169),
    [anon_sym_explicit] = ACTIONS(2169),
    [anon_sym_typename] = ACTIONS(2169),
    [anon_sym_template] = ACTIONS(2169),
    [anon_sym_operator] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_static_assert] = ACTIONS(2169),
    [anon_sym_concept] = ACTIONS(2169),
    [anon_sym_co_return] = ACTIONS(2169),
    [anon_sym_co_yield] = ACTIONS(2169),
    [anon_sym_R_DQUOTE] = ACTIONS(2171),
    [anon_sym_LR_DQUOTE] = ACTIONS(2171),
    [anon_sym_uR_DQUOTE] = ACTIONS(2171),
    [anon_sym_UR_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2171),
    [anon_sym_co_await] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_requires] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [anon_sym_discard] = ACTIONS(2169),
    [anon_sym_precise] = ACTIONS(2169),
    [anon_sym_shared] = ACTIONS(2169),
    [anon_sym_groupshared] = ACTIONS(2169),
    [anon_sym_uniform] = ACTIONS(2169),
    [anon_sym_row_major] = ACTIONS(2169),
    [anon_sym_column_major] = ACTIONS(2169),
    [anon_sym_globallycoherent] = ACTIONS(2169),
    [anon_sym_centroid] = ACTIONS(2169),
    [anon_sym_noperspective] = ACTIONS(2169),
    [anon_sym_nointerpolation] = ACTIONS(2169),
    [anon_sym_sample] = ACTIONS(2169),
    [anon_sym_linear] = ACTIONS(2169),
    [anon_sym_snorm] = ACTIONS(2169),
    [anon_sym_unorm] = ACTIONS(2169),
    [anon_sym_point] = ACTIONS(2169),
    [anon_sym_line] = ACTIONS(2169),
    [anon_sym_triangleadj] = ACTIONS(2169),
    [anon_sym_lineadj] = ACTIONS(2169),
    [anon_sym_triangle] = ACTIONS(2169),
    [anon_sym_cbuffer] = ACTIONS(2169),
  },
  [525] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_include_token1] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym___try] = ACTIONS(1978),
    [anon_sym___leave] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_namespace] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_discard] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
    [anon_sym_cbuffer] = ACTIONS(1978),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2177),
    [aux_sym_preproc_include_token1] = ACTIONS(2177),
    [aux_sym_preproc_def_token1] = ACTIONS(2177),
    [aux_sym_preproc_if_token1] = ACTIONS(2177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2177),
    [sym_preproc_directive] = ACTIONS(2177),
    [anon_sym_LPAREN2] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_AMP_AMP] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym___extension__] = ACTIONS(2177),
    [anon_sym_typedef] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2177),
    [anon_sym_out] = ACTIONS(2177),
    [anon_sym_inout] = ACTIONS(2177),
    [anon_sym_virtual] = ACTIONS(2177),
    [anon_sym_extern] = ACTIONS(2177),
    [anon_sym___attribute__] = ACTIONS(2177),
    [anon_sym___attribute] = ACTIONS(2177),
    [anon_sym_COLON_COLON] = ACTIONS(2179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2179),
    [anon_sym___declspec] = ACTIONS(2177),
    [anon_sym___based] = ACTIONS(2177),
    [anon_sym___cdecl] = ACTIONS(2177),
    [anon_sym___clrcall] = ACTIONS(2177),
    [anon_sym___stdcall] = ACTIONS(2177),
    [anon_sym___fastcall] = ACTIONS(2177),
    [anon_sym___thiscall] = ACTIONS(2177),
    [anon_sym___vectorcall] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_signed] = ACTIONS(2177),
    [anon_sym_unsigned] = ACTIONS(2177),
    [anon_sym_long] = ACTIONS(2177),
    [anon_sym_short] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_register] = ACTIONS(2177),
    [anon_sym_inline] = ACTIONS(2177),
    [anon_sym___inline] = ACTIONS(2177),
    [anon_sym___inline__] = ACTIONS(2177),
    [anon_sym___forceinline] = ACTIONS(2177),
    [anon_sym_thread_local] = ACTIONS(2177),
    [anon_sym___thread] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_constexpr] = ACTIONS(2177),
    [anon_sym_volatile] = ACTIONS(2177),
    [anon_sym_restrict] = ACTIONS(2177),
    [anon_sym___restrict__] = ACTIONS(2177),
    [anon_sym__Atomic] = ACTIONS(2177),
    [anon_sym__Noreturn] = ACTIONS(2177),
    [anon_sym_noreturn] = ACTIONS(2177),
    [anon_sym__Nonnull] = ACTIONS(2177),
    [anon_sym_mutable] = ACTIONS(2177),
    [anon_sym_constinit] = ACTIONS(2177),
    [anon_sym_consteval] = ACTIONS(2177),
    [anon_sym_alignas] = ACTIONS(2177),
    [anon_sym__Alignas] = ACTIONS(2177),
    [sym_primitive_type] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_struct] = ACTIONS(2177),
    [anon_sym_union] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym___try] = ACTIONS(2177),
    [anon_sym___leave] = ACTIONS(2177),
    [anon_sym_not] = ACTIONS(2177),
    [anon_sym_compl] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_sizeof] = ACTIONS(2177),
    [anon_sym___alignof__] = ACTIONS(2177),
    [anon_sym___alignof] = ACTIONS(2177),
    [anon_sym__alignof] = ACTIONS(2177),
    [anon_sym_alignof] = ACTIONS(2177),
    [anon_sym__Alignof] = ACTIONS(2177),
    [anon_sym_offsetof] = ACTIONS(2177),
    [anon_sym__Generic] = ACTIONS(2177),
    [anon_sym_asm] = ACTIONS(2177),
    [anon_sym___asm__] = ACTIONS(2177),
    [anon_sym___asm] = ACTIONS(2177),
    [sym_number_literal] = ACTIONS(2179),
    [anon_sym_L_SQUOTE] = ACTIONS(2179),
    [anon_sym_u_SQUOTE] = ACTIONS(2179),
    [anon_sym_U_SQUOTE] = ACTIONS(2179),
    [anon_sym_u8_SQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_L_DQUOTE] = ACTIONS(2179),
    [anon_sym_u_DQUOTE] = ACTIONS(2179),
    [anon_sym_U_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8_DQUOTE] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2177),
    [anon_sym_nullptr] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2177),
    [anon_sym_decltype] = ACTIONS(2177),
    [anon_sym_explicit] = ACTIONS(2177),
    [anon_sym_typename] = ACTIONS(2177),
    [anon_sym_template] = ACTIONS(2177),
    [anon_sym_operator] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_static_assert] = ACTIONS(2177),
    [anon_sym_concept] = ACTIONS(2177),
    [anon_sym_co_return] = ACTIONS(2177),
    [anon_sym_co_yield] = ACTIONS(2177),
    [anon_sym_R_DQUOTE] = ACTIONS(2179),
    [anon_sym_LR_DQUOTE] = ACTIONS(2179),
    [anon_sym_uR_DQUOTE] = ACTIONS(2179),
    [anon_sym_UR_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2179),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [anon_sym_discard] = ACTIONS(2177),
    [anon_sym_precise] = ACTIONS(2177),
    [anon_sym_shared] = ACTIONS(2177),
    [anon_sym_groupshared] = ACTIONS(2177),
    [anon_sym_uniform] = ACTIONS(2177),
    [anon_sym_row_major] = ACTIONS(2177),
    [anon_sym_column_major] = ACTIONS(2177),
    [anon_sym_globallycoherent] = ACTIONS(2177),
    [anon_sym_centroid] = ACTIONS(2177),
    [anon_sym_noperspective] = ACTIONS(2177),
    [anon_sym_nointerpolation] = ACTIONS(2177),
    [anon_sym_sample] = ACTIONS(2177),
    [anon_sym_linear] = ACTIONS(2177),
    [anon_sym_snorm] = ACTIONS(2177),
    [anon_sym_unorm] = ACTIONS(2177),
    [anon_sym_point] = ACTIONS(2177),
    [anon_sym_line] = ACTIONS(2177),
    [anon_sym_triangleadj] = ACTIONS(2177),
    [anon_sym_lineadj] = ACTIONS(2177),
    [anon_sym_triangle] = ACTIONS(2177),
    [anon_sym_cbuffer] = ACTIONS(2177),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(2183),
    [sym_identifier] = ACTIONS(2181),
    [aux_sym_preproc_include_token1] = ACTIONS(2181),
    [aux_sym_preproc_def_token1] = ACTIONS(2181),
    [aux_sym_preproc_if_token1] = ACTIONS(2181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2181),
    [sym_preproc_directive] = ACTIONS(2181),
    [anon_sym_LPAREN2] = ACTIONS(2183),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym___extension__] = ACTIONS(2181),
    [anon_sym_typedef] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(2181),
    [anon_sym_out] = ACTIONS(2181),
    [anon_sym_inout] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(2181),
    [anon_sym_extern] = ACTIONS(2181),
    [anon_sym___attribute__] = ACTIONS(2181),
    [anon_sym___attribute] = ACTIONS(2181),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2183),
    [anon_sym___declspec] = ACTIONS(2181),
    [anon_sym___based] = ACTIONS(2181),
    [anon_sym___cdecl] = ACTIONS(2181),
    [anon_sym___clrcall] = ACTIONS(2181),
    [anon_sym___stdcall] = ACTIONS(2181),
    [anon_sym___fastcall] = ACTIONS(2181),
    [anon_sym___thiscall] = ACTIONS(2181),
    [anon_sym___vectorcall] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_signed] = ACTIONS(2181),
    [anon_sym_unsigned] = ACTIONS(2181),
    [anon_sym_long] = ACTIONS(2181),
    [anon_sym_short] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_register] = ACTIONS(2181),
    [anon_sym_inline] = ACTIONS(2181),
    [anon_sym___inline] = ACTIONS(2181),
    [anon_sym___inline__] = ACTIONS(2181),
    [anon_sym___forceinline] = ACTIONS(2181),
    [anon_sym_thread_local] = ACTIONS(2181),
    [anon_sym___thread] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_constexpr] = ACTIONS(2181),
    [anon_sym_volatile] = ACTIONS(2181),
    [anon_sym_restrict] = ACTIONS(2181),
    [anon_sym___restrict__] = ACTIONS(2181),
    [anon_sym__Atomic] = ACTIONS(2181),
    [anon_sym__Noreturn] = ACTIONS(2181),
    [anon_sym_noreturn] = ACTIONS(2181),
    [anon_sym__Nonnull] = ACTIONS(2181),
    [anon_sym_mutable] = ACTIONS(2181),
    [anon_sym_constinit] = ACTIONS(2181),
    [anon_sym_consteval] = ACTIONS(2181),
    [anon_sym_alignas] = ACTIONS(2181),
    [anon_sym__Alignas] = ACTIONS(2181),
    [sym_primitive_type] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_struct] = ACTIONS(2181),
    [anon_sym_union] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym___try] = ACTIONS(2181),
    [anon_sym___leave] = ACTIONS(2181),
    [anon_sym_not] = ACTIONS(2181),
    [anon_sym_compl] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_sizeof] = ACTIONS(2181),
    [anon_sym___alignof__] = ACTIONS(2181),
    [anon_sym___alignof] = ACTIONS(2181),
    [anon_sym__alignof] = ACTIONS(2181),
    [anon_sym_alignof] = ACTIONS(2181),
    [anon_sym__Alignof] = ACTIONS(2181),
    [anon_sym_offsetof] = ACTIONS(2181),
    [anon_sym__Generic] = ACTIONS(2181),
    [anon_sym_asm] = ACTIONS(2181),
    [anon_sym___asm__] = ACTIONS(2181),
    [anon_sym___asm] = ACTIONS(2181),
    [sym_number_literal] = ACTIONS(2183),
    [anon_sym_L_SQUOTE] = ACTIONS(2183),
    [anon_sym_u_SQUOTE] = ACTIONS(2183),
    [anon_sym_U_SQUOTE] = ACTIONS(2183),
    [anon_sym_u8_SQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [anon_sym_L_DQUOTE] = ACTIONS(2183),
    [anon_sym_u_DQUOTE] = ACTIONS(2183),
    [anon_sym_U_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8_DQUOTE] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [anon_sym_NULL] = ACTIONS(2181),
    [anon_sym_nullptr] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2181),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_explicit] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(2181),
    [anon_sym_operator] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(2181),
    [anon_sym_static_assert] = ACTIONS(2181),
    [anon_sym_concept] = ACTIONS(2181),
    [anon_sym_co_return] = ACTIONS(2181),
    [anon_sym_co_yield] = ACTIONS(2181),
    [anon_sym_R_DQUOTE] = ACTIONS(2183),
    [anon_sym_LR_DQUOTE] = ACTIONS(2183),
    [anon_sym_uR_DQUOTE] = ACTIONS(2183),
    [anon_sym_UR_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2183),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_requires] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [anon_sym_discard] = ACTIONS(2181),
    [anon_sym_precise] = ACTIONS(2181),
    [anon_sym_shared] = ACTIONS(2181),
    [anon_sym_groupshared] = ACTIONS(2181),
    [anon_sym_uniform] = ACTIONS(2181),
    [anon_sym_row_major] = ACTIONS(2181),
    [anon_sym_column_major] = ACTIONS(2181),
    [anon_sym_globallycoherent] = ACTIONS(2181),
    [anon_sym_centroid] = ACTIONS(2181),
    [anon_sym_noperspective] = ACTIONS(2181),
    [anon_sym_nointerpolation] = ACTIONS(2181),
    [anon_sym_sample] = ACTIONS(2181),
    [anon_sym_linear] = ACTIONS(2181),
    [anon_sym_snorm] = ACTIONS(2181),
    [anon_sym_unorm] = ACTIONS(2181),
    [anon_sym_point] = ACTIONS(2181),
    [anon_sym_line] = ACTIONS(2181),
    [anon_sym_triangleadj] = ACTIONS(2181),
    [anon_sym_lineadj] = ACTIONS(2181),
    [anon_sym_triangle] = ACTIONS(2181),
    [anon_sym_cbuffer] = ACTIONS(2181),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(2191),
    [sym_identifier] = ACTIONS(2189),
    [aux_sym_preproc_include_token1] = ACTIONS(2189),
    [aux_sym_preproc_def_token1] = ACTIONS(2189),
    [aux_sym_preproc_if_token1] = ACTIONS(2189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2189),
    [sym_preproc_directive] = ACTIONS(2189),
    [anon_sym_LPAREN2] = ACTIONS(2191),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_typedef] = ACTIONS(2189),
    [anon_sym_in] = ACTIONS(2189),
    [anon_sym_out] = ACTIONS(2189),
    [anon_sym_inout] = ACTIONS(2189),
    [anon_sym_virtual] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_COLON_COLON] = ACTIONS(2191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2191),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_signed] = ACTIONS(2189),
    [anon_sym_unsigned] = ACTIONS(2189),
    [anon_sym_long] = ACTIONS(2189),
    [anon_sym_short] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_mutable] = ACTIONS(2189),
    [anon_sym_constinit] = ACTIONS(2189),
    [anon_sym_consteval] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [sym_primitive_type] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_union] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym___try] = ACTIONS(2189),
    [anon_sym___leave] = ACTIONS(2189),
    [anon_sym_not] = ACTIONS(2189),
    [anon_sym_compl] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_sizeof] = ACTIONS(2189),
    [anon_sym___alignof__] = ACTIONS(2189),
    [anon_sym___alignof] = ACTIONS(2189),
    [anon_sym__alignof] = ACTIONS(2189),
    [anon_sym_alignof] = ACTIONS(2189),
    [anon_sym__Alignof] = ACTIONS(2189),
    [anon_sym_offsetof] = ACTIONS(2189),
    [anon_sym__Generic] = ACTIONS(2189),
    [anon_sym_asm] = ACTIONS(2189),
    [anon_sym___asm__] = ACTIONS(2189),
    [anon_sym___asm] = ACTIONS(2189),
    [sym_number_literal] = ACTIONS(2191),
    [anon_sym_L_SQUOTE] = ACTIONS(2191),
    [anon_sym_u_SQUOTE] = ACTIONS(2191),
    [anon_sym_U_SQUOTE] = ACTIONS(2191),
    [anon_sym_u8_SQUOTE] = ACTIONS(2191),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(2191),
    [anon_sym_u_DQUOTE] = ACTIONS(2191),
    [anon_sym_U_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8_DQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2191),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [anon_sym_NULL] = ACTIONS(2189),
    [anon_sym_nullptr] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2189),
    [anon_sym_decltype] = ACTIONS(2189),
    [anon_sym_explicit] = ACTIONS(2189),
    [anon_sym_typename] = ACTIONS(2189),
    [anon_sym_template] = ACTIONS(2189),
    [anon_sym_operator] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(2189),
    [anon_sym_static_assert] = ACTIONS(2189),
    [anon_sym_concept] = ACTIONS(2189),
    [anon_sym_co_return] = ACTIONS(2189),
    [anon_sym_co_yield] = ACTIONS(2189),
    [anon_sym_R_DQUOTE] = ACTIONS(2191),
    [anon_sym_LR_DQUOTE] = ACTIONS(2191),
    [anon_sym_uR_DQUOTE] = ACTIONS(2191),
    [anon_sym_UR_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2191),
    [anon_sym_co_await] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [anon_sym_discard] = ACTIONS(2189),
    [anon_sym_precise] = ACTIONS(2189),
    [anon_sym_shared] = ACTIONS(2189),
    [anon_sym_groupshared] = ACTIONS(2189),
    [anon_sym_uniform] = ACTIONS(2189),
    [anon_sym_row_major] = ACTIONS(2189),
    [anon_sym_column_major] = ACTIONS(2189),
    [anon_sym_globallycoherent] = ACTIONS(2189),
    [anon_sym_centroid] = ACTIONS(2189),
    [anon_sym_noperspective] = ACTIONS(2189),
    [anon_sym_nointerpolation] = ACTIONS(2189),
    [anon_sym_sample] = ACTIONS(2189),
    [anon_sym_linear] = ACTIONS(2189),
    [anon_sym_snorm] = ACTIONS(2189),
    [anon_sym_unorm] = ACTIONS(2189),
    [anon_sym_point] = ACTIONS(2189),
    [anon_sym_line] = ACTIONS(2189),
    [anon_sym_triangleadj] = ACTIONS(2189),
    [anon_sym_lineadj] = ACTIONS(2189),
    [anon_sym_triangle] = ACTIONS(2189),
    [anon_sym_cbuffer] = ACTIONS(2189),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2197),
    [aux_sym_preproc_include_token1] = ACTIONS(2197),
    [aux_sym_preproc_def_token1] = ACTIONS(2197),
    [aux_sym_preproc_if_token1] = ACTIONS(2197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2197),
    [sym_preproc_directive] = ACTIONS(2197),
    [anon_sym_LPAREN2] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym___extension__] = ACTIONS(2197),
    [anon_sym_typedef] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2197),
    [anon_sym_out] = ACTIONS(2197),
    [anon_sym_inout] = ACTIONS(2197),
    [anon_sym_virtual] = ACTIONS(2197),
    [anon_sym_extern] = ACTIONS(2197),
    [anon_sym___attribute__] = ACTIONS(2197),
    [anon_sym___attribute] = ACTIONS(2197),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym___declspec] = ACTIONS(2197),
    [anon_sym___based] = ACTIONS(2197),
    [anon_sym___cdecl] = ACTIONS(2197),
    [anon_sym___clrcall] = ACTIONS(2197),
    [anon_sym___stdcall] = ACTIONS(2197),
    [anon_sym___fastcall] = ACTIONS(2197),
    [anon_sym___thiscall] = ACTIONS(2197),
    [anon_sym___vectorcall] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_signed] = ACTIONS(2197),
    [anon_sym_unsigned] = ACTIONS(2197),
    [anon_sym_long] = ACTIONS(2197),
    [anon_sym_short] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_register] = ACTIONS(2197),
    [anon_sym_inline] = ACTIONS(2197),
    [anon_sym___inline] = ACTIONS(2197),
    [anon_sym___inline__] = ACTIONS(2197),
    [anon_sym___forceinline] = ACTIONS(2197),
    [anon_sym_thread_local] = ACTIONS(2197),
    [anon_sym___thread] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_constexpr] = ACTIONS(2197),
    [anon_sym_volatile] = ACTIONS(2197),
    [anon_sym_restrict] = ACTIONS(2197),
    [anon_sym___restrict__] = ACTIONS(2197),
    [anon_sym__Atomic] = ACTIONS(2197),
    [anon_sym__Noreturn] = ACTIONS(2197),
    [anon_sym_noreturn] = ACTIONS(2197),
    [anon_sym__Nonnull] = ACTIONS(2197),
    [anon_sym_mutable] = ACTIONS(2197),
    [anon_sym_constinit] = ACTIONS(2197),
    [anon_sym_consteval] = ACTIONS(2197),
    [anon_sym_alignas] = ACTIONS(2197),
    [anon_sym__Alignas] = ACTIONS(2197),
    [sym_primitive_type] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_struct] = ACTIONS(2197),
    [anon_sym_union] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym___try] = ACTIONS(2197),
    [anon_sym___leave] = ACTIONS(2197),
    [anon_sym_not] = ACTIONS(2197),
    [anon_sym_compl] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_sizeof] = ACTIONS(2197),
    [anon_sym___alignof__] = ACTIONS(2197),
    [anon_sym___alignof] = ACTIONS(2197),
    [anon_sym__alignof] = ACTIONS(2197),
    [anon_sym_alignof] = ACTIONS(2197),
    [anon_sym__Alignof] = ACTIONS(2197),
    [anon_sym_offsetof] = ACTIONS(2197),
    [anon_sym__Generic] = ACTIONS(2197),
    [anon_sym_asm] = ACTIONS(2197),
    [anon_sym___asm__] = ACTIONS(2197),
    [anon_sym___asm] = ACTIONS(2197),
    [sym_number_literal] = ACTIONS(2199),
    [anon_sym_L_SQUOTE] = ACTIONS(2199),
    [anon_sym_u_SQUOTE] = ACTIONS(2199),
    [anon_sym_U_SQUOTE] = ACTIONS(2199),
    [anon_sym_u8_SQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_L_DQUOTE] = ACTIONS(2199),
    [anon_sym_u_DQUOTE] = ACTIONS(2199),
    [anon_sym_U_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8_DQUOTE] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [anon_sym_NULL] = ACTIONS(2197),
    [anon_sym_nullptr] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2197),
    [anon_sym_decltype] = ACTIONS(2197),
    [anon_sym_explicit] = ACTIONS(2197),
    [anon_sym_typename] = ACTIONS(2197),
    [anon_sym_template] = ACTIONS(2197),
    [anon_sym_operator] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_using] = ACTIONS(2197),
    [anon_sym_static_assert] = ACTIONS(2197),
    [anon_sym_concept] = ACTIONS(2197),
    [anon_sym_co_return] = ACTIONS(2197),
    [anon_sym_co_yield] = ACTIONS(2197),
    [anon_sym_R_DQUOTE] = ACTIONS(2199),
    [anon_sym_LR_DQUOTE] = ACTIONS(2199),
    [anon_sym_uR_DQUOTE] = ACTIONS(2199),
    [anon_sym_UR_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2199),
    [anon_sym_co_await] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_requires] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [anon_sym_discard] = ACTIONS(2197),
    [anon_sym_precise] = ACTIONS(2197),
    [anon_sym_shared] = ACTIONS(2197),
    [anon_sym_groupshared] = ACTIONS(2197),
    [anon_sym_uniform] = ACTIONS(2197),
    [anon_sym_row_major] = ACTIONS(2197),
    [anon_sym_column_major] = ACTIONS(2197),
    [anon_sym_globallycoherent] = ACTIONS(2197),
    [anon_sym_centroid] = ACTIONS(2197),
    [anon_sym_noperspective] = ACTIONS(2197),
    [anon_sym_nointerpolation] = ACTIONS(2197),
    [anon_sym_sample] = ACTIONS(2197),
    [anon_sym_linear] = ACTIONS(2197),
    [anon_sym_snorm] = ACTIONS(2197),
    [anon_sym_unorm] = ACTIONS(2197),
    [anon_sym_point] = ACTIONS(2197),
    [anon_sym_line] = ACTIONS(2197),
    [anon_sym_triangleadj] = ACTIONS(2197),
    [anon_sym_lineadj] = ACTIONS(2197),
    [anon_sym_triangle] = ACTIONS(2197),
    [anon_sym_cbuffer] = ACTIONS(2197),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_include_token1] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym___cdecl] = ACTIONS(2205),
    [anon_sym___clrcall] = ACTIONS(2205),
    [anon_sym___stdcall] = ACTIONS(2205),
    [anon_sym___fastcall] = ACTIONS(2205),
    [anon_sym___thiscall] = ACTIONS(2205),
    [anon_sym___vectorcall] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_concept] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_include_token1] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym___cdecl] = ACTIONS(2205),
    [anon_sym___clrcall] = ACTIONS(2205),
    [anon_sym___stdcall] = ACTIONS(2205),
    [anon_sym___fastcall] = ACTIONS(2205),
    [anon_sym___thiscall] = ACTIONS(2205),
    [anon_sym___vectorcall] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_concept] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2209),
    [aux_sym_preproc_include_token1] = ACTIONS(2209),
    [aux_sym_preproc_def_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2209),
    [sym_preproc_directive] = ACTIONS(2209),
    [anon_sym_LPAREN2] = ACTIONS(2211),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_AMP_AMP] = ACTIONS(2211),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym___extension__] = ACTIONS(2209),
    [anon_sym_typedef] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_out] = ACTIONS(2209),
    [anon_sym_inout] = ACTIONS(2209),
    [anon_sym_virtual] = ACTIONS(2209),
    [anon_sym_extern] = ACTIONS(2209),
    [anon_sym___attribute__] = ACTIONS(2209),
    [anon_sym___attribute] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2211),
    [anon_sym___declspec] = ACTIONS(2209),
    [anon_sym___based] = ACTIONS(2209),
    [anon_sym___cdecl] = ACTIONS(2209),
    [anon_sym___clrcall] = ACTIONS(2209),
    [anon_sym___stdcall] = ACTIONS(2209),
    [anon_sym___fastcall] = ACTIONS(2209),
    [anon_sym___thiscall] = ACTIONS(2209),
    [anon_sym___vectorcall] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_register] = ACTIONS(2209),
    [anon_sym_inline] = ACTIONS(2209),
    [anon_sym___inline] = ACTIONS(2209),
    [anon_sym___inline__] = ACTIONS(2209),
    [anon_sym___forceinline] = ACTIONS(2209),
    [anon_sym_thread_local] = ACTIONS(2209),
    [anon_sym___thread] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_constexpr] = ACTIONS(2209),
    [anon_sym_volatile] = ACTIONS(2209),
    [anon_sym_restrict] = ACTIONS(2209),
    [anon_sym___restrict__] = ACTIONS(2209),
    [anon_sym__Atomic] = ACTIONS(2209),
    [anon_sym__Noreturn] = ACTIONS(2209),
    [anon_sym_noreturn] = ACTIONS(2209),
    [anon_sym__Nonnull] = ACTIONS(2209),
    [anon_sym_mutable] = ACTIONS(2209),
    [anon_sym_constinit] = ACTIONS(2209),
    [anon_sym_consteval] = ACTIONS(2209),
    [anon_sym_alignas] = ACTIONS(2209),
    [anon_sym__Alignas] = ACTIONS(2209),
    [sym_primitive_type] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_struct] = ACTIONS(2209),
    [anon_sym_union] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym___try] = ACTIONS(2209),
    [anon_sym___leave] = ACTIONS(2209),
    [anon_sym_not] = ACTIONS(2209),
    [anon_sym_compl] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_sizeof] = ACTIONS(2209),
    [anon_sym___alignof__] = ACTIONS(2209),
    [anon_sym___alignof] = ACTIONS(2209),
    [anon_sym__alignof] = ACTIONS(2209),
    [anon_sym_alignof] = ACTIONS(2209),
    [anon_sym__Alignof] = ACTIONS(2209),
    [anon_sym_offsetof] = ACTIONS(2209),
    [anon_sym__Generic] = ACTIONS(2209),
    [anon_sym_asm] = ACTIONS(2209),
    [anon_sym___asm__] = ACTIONS(2209),
    [anon_sym___asm] = ACTIONS(2209),
    [sym_number_literal] = ACTIONS(2211),
    [anon_sym_L_SQUOTE] = ACTIONS(2211),
    [anon_sym_u_SQUOTE] = ACTIONS(2211),
    [anon_sym_U_SQUOTE] = ACTIONS(2211),
    [anon_sym_u8_SQUOTE] = ACTIONS(2211),
    [anon_sym_SQUOTE] = ACTIONS(2211),
    [anon_sym_L_DQUOTE] = ACTIONS(2211),
    [anon_sym_u_DQUOTE] = ACTIONS(2211),
    [anon_sym_U_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8_DQUOTE] = ACTIONS(2211),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [anon_sym_NULL] = ACTIONS(2209),
    [anon_sym_nullptr] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2209),
    [anon_sym_decltype] = ACTIONS(2209),
    [anon_sym_explicit] = ACTIONS(2209),
    [anon_sym_typename] = ACTIONS(2209),
    [anon_sym_template] = ACTIONS(2209),
    [anon_sym_operator] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_static_assert] = ACTIONS(2209),
    [anon_sym_concept] = ACTIONS(2209),
    [anon_sym_co_return] = ACTIONS(2209),
    [anon_sym_co_yield] = ACTIONS(2209),
    [anon_sym_R_DQUOTE] = ACTIONS(2211),
    [anon_sym_LR_DQUOTE] = ACTIONS(2211),
    [anon_sym_uR_DQUOTE] = ACTIONS(2211),
    [anon_sym_UR_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2211),
    [anon_sym_co_await] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_requires] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [anon_sym_discard] = ACTIONS(2209),
    [anon_sym_precise] = ACTIONS(2209),
    [anon_sym_shared] = ACTIONS(2209),
    [anon_sym_groupshared] = ACTIONS(2209),
    [anon_sym_uniform] = ACTIONS(2209),
    [anon_sym_row_major] = ACTIONS(2209),
    [anon_sym_column_major] = ACTIONS(2209),
    [anon_sym_globallycoherent] = ACTIONS(2209),
    [anon_sym_centroid] = ACTIONS(2209),
    [anon_sym_noperspective] = ACTIONS(2209),
    [anon_sym_nointerpolation] = ACTIONS(2209),
    [anon_sym_sample] = ACTIONS(2209),
    [anon_sym_linear] = ACTIONS(2209),
    [anon_sym_snorm] = ACTIONS(2209),
    [anon_sym_unorm] = ACTIONS(2209),
    [anon_sym_point] = ACTIONS(2209),
    [anon_sym_line] = ACTIONS(2209),
    [anon_sym_triangleadj] = ACTIONS(2209),
    [anon_sym_lineadj] = ACTIONS(2209),
    [anon_sym_triangle] = ACTIONS(2209),
    [anon_sym_cbuffer] = ACTIONS(2209),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2221),
    [aux_sym_preproc_include_token1] = ACTIONS(2221),
    [aux_sym_preproc_def_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2221),
    [sym_preproc_directive] = ACTIONS(2221),
    [anon_sym_LPAREN2] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2223),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym___extension__] = ACTIONS(2221),
    [anon_sym_typedef] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_out] = ACTIONS(2221),
    [anon_sym_inout] = ACTIONS(2221),
    [anon_sym_virtual] = ACTIONS(2221),
    [anon_sym_extern] = ACTIONS(2221),
    [anon_sym___attribute__] = ACTIONS(2221),
    [anon_sym___attribute] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2223),
    [anon_sym___declspec] = ACTIONS(2221),
    [anon_sym___based] = ACTIONS(2221),
    [anon_sym___cdecl] = ACTIONS(2221),
    [anon_sym___clrcall] = ACTIONS(2221),
    [anon_sym___stdcall] = ACTIONS(2221),
    [anon_sym___fastcall] = ACTIONS(2221),
    [anon_sym___thiscall] = ACTIONS(2221),
    [anon_sym___vectorcall] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_signed] = ACTIONS(2221),
    [anon_sym_unsigned] = ACTIONS(2221),
    [anon_sym_long] = ACTIONS(2221),
    [anon_sym_short] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_register] = ACTIONS(2221),
    [anon_sym_inline] = ACTIONS(2221),
    [anon_sym___inline] = ACTIONS(2221),
    [anon_sym___inline__] = ACTIONS(2221),
    [anon_sym___forceinline] = ACTIONS(2221),
    [anon_sym_thread_local] = ACTIONS(2221),
    [anon_sym___thread] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_constexpr] = ACTIONS(2221),
    [anon_sym_volatile] = ACTIONS(2221),
    [anon_sym_restrict] = ACTIONS(2221),
    [anon_sym___restrict__] = ACTIONS(2221),
    [anon_sym__Atomic] = ACTIONS(2221),
    [anon_sym__Noreturn] = ACTIONS(2221),
    [anon_sym_noreturn] = ACTIONS(2221),
    [anon_sym__Nonnull] = ACTIONS(2221),
    [anon_sym_mutable] = ACTIONS(2221),
    [anon_sym_constinit] = ACTIONS(2221),
    [anon_sym_consteval] = ACTIONS(2221),
    [anon_sym_alignas] = ACTIONS(2221),
    [anon_sym__Alignas] = ACTIONS(2221),
    [sym_primitive_type] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_union] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym___try] = ACTIONS(2221),
    [anon_sym___leave] = ACTIONS(2221),
    [anon_sym_not] = ACTIONS(2221),
    [anon_sym_compl] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_sizeof] = ACTIONS(2221),
    [anon_sym___alignof__] = ACTIONS(2221),
    [anon_sym___alignof] = ACTIONS(2221),
    [anon_sym__alignof] = ACTIONS(2221),
    [anon_sym_alignof] = ACTIONS(2221),
    [anon_sym__Alignof] = ACTIONS(2221),
    [anon_sym_offsetof] = ACTIONS(2221),
    [anon_sym__Generic] = ACTIONS(2221),
    [anon_sym_asm] = ACTIONS(2221),
    [anon_sym___asm__] = ACTIONS(2221),
    [anon_sym___asm] = ACTIONS(2221),
    [sym_number_literal] = ACTIONS(2223),
    [anon_sym_L_SQUOTE] = ACTIONS(2223),
    [anon_sym_u_SQUOTE] = ACTIONS(2223),
    [anon_sym_U_SQUOTE] = ACTIONS(2223),
    [anon_sym_u8_SQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [anon_sym_L_DQUOTE] = ACTIONS(2223),
    [anon_sym_u_DQUOTE] = ACTIONS(2223),
    [anon_sym_U_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8_DQUOTE] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [anon_sym_NULL] = ACTIONS(2221),
    [anon_sym_nullptr] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2221),
    [anon_sym_decltype] = ACTIONS(2221),
    [anon_sym_explicit] = ACTIONS(2221),
    [anon_sym_typename] = ACTIONS(2221),
    [anon_sym_template] = ACTIONS(2221),
    [anon_sym_operator] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_static_assert] = ACTIONS(2221),
    [anon_sym_concept] = ACTIONS(2221),
    [anon_sym_co_return] = ACTIONS(2221),
    [anon_sym_co_yield] = ACTIONS(2221),
    [anon_sym_R_DQUOTE] = ACTIONS(2223),
    [anon_sym_LR_DQUOTE] = ACTIONS(2223),
    [anon_sym_uR_DQUOTE] = ACTIONS(2223),
    [anon_sym_UR_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2223),
    [anon_sym_co_await] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_requires] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [anon_sym_discard] = ACTIONS(2221),
    [anon_sym_precise] = ACTIONS(2221),
    [anon_sym_shared] = ACTIONS(2221),
    [anon_sym_groupshared] = ACTIONS(2221),
    [anon_sym_uniform] = ACTIONS(2221),
    [anon_sym_row_major] = ACTIONS(2221),
    [anon_sym_column_major] = ACTIONS(2221),
    [anon_sym_globallycoherent] = ACTIONS(2221),
    [anon_sym_centroid] = ACTIONS(2221),
    [anon_sym_noperspective] = ACTIONS(2221),
    [anon_sym_nointerpolation] = ACTIONS(2221),
    [anon_sym_sample] = ACTIONS(2221),
    [anon_sym_linear] = ACTIONS(2221),
    [anon_sym_snorm] = ACTIONS(2221),
    [anon_sym_unorm] = ACTIONS(2221),
    [anon_sym_point] = ACTIONS(2221),
    [anon_sym_line] = ACTIONS(2221),
    [anon_sym_triangleadj] = ACTIONS(2221),
    [anon_sym_lineadj] = ACTIONS(2221),
    [anon_sym_triangle] = ACTIONS(2221),
    [anon_sym_cbuffer] = ACTIONS(2221),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2225),
    [aux_sym_preproc_include_token1] = ACTIONS(2225),
    [aux_sym_preproc_def_token1] = ACTIONS(2225),
    [aux_sym_preproc_if_token1] = ACTIONS(2225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2225),
    [sym_preproc_directive] = ACTIONS(2225),
    [anon_sym_LPAREN2] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_AMP_AMP] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym___extension__] = ACTIONS(2225),
    [anon_sym_typedef] = ACTIONS(2225),
    [anon_sym_in] = ACTIONS(2225),
    [anon_sym_out] = ACTIONS(2225),
    [anon_sym_inout] = ACTIONS(2225),
    [anon_sym_virtual] = ACTIONS(2225),
    [anon_sym_extern] = ACTIONS(2225),
    [anon_sym___attribute__] = ACTIONS(2225),
    [anon_sym___attribute] = ACTIONS(2225),
    [anon_sym_COLON_COLON] = ACTIONS(2227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2227),
    [anon_sym___declspec] = ACTIONS(2225),
    [anon_sym___based] = ACTIONS(2225),
    [anon_sym___cdecl] = ACTIONS(2225),
    [anon_sym___clrcall] = ACTIONS(2225),
    [anon_sym___stdcall] = ACTIONS(2225),
    [anon_sym___fastcall] = ACTIONS(2225),
    [anon_sym___thiscall] = ACTIONS(2225),
    [anon_sym___vectorcall] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_signed] = ACTIONS(2225),
    [anon_sym_unsigned] = ACTIONS(2225),
    [anon_sym_long] = ACTIONS(2225),
    [anon_sym_short] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_register] = ACTIONS(2225),
    [anon_sym_inline] = ACTIONS(2225),
    [anon_sym___inline] = ACTIONS(2225),
    [anon_sym___inline__] = ACTIONS(2225),
    [anon_sym___forceinline] = ACTIONS(2225),
    [anon_sym_thread_local] = ACTIONS(2225),
    [anon_sym___thread] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_constexpr] = ACTIONS(2225),
    [anon_sym_volatile] = ACTIONS(2225),
    [anon_sym_restrict] = ACTIONS(2225),
    [anon_sym___restrict__] = ACTIONS(2225),
    [anon_sym__Atomic] = ACTIONS(2225),
    [anon_sym__Noreturn] = ACTIONS(2225),
    [anon_sym_noreturn] = ACTIONS(2225),
    [anon_sym__Nonnull] = ACTIONS(2225),
    [anon_sym_mutable] = ACTIONS(2225),
    [anon_sym_constinit] = ACTIONS(2225),
    [anon_sym_consteval] = ACTIONS(2225),
    [anon_sym_alignas] = ACTIONS(2225),
    [anon_sym__Alignas] = ACTIONS(2225),
    [sym_primitive_type] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_struct] = ACTIONS(2225),
    [anon_sym_union] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym___try] = ACTIONS(2225),
    [anon_sym___leave] = ACTIONS(2225),
    [anon_sym_not] = ACTIONS(2225),
    [anon_sym_compl] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_sizeof] = ACTIONS(2225),
    [anon_sym___alignof__] = ACTIONS(2225),
    [anon_sym___alignof] = ACTIONS(2225),
    [anon_sym__alignof] = ACTIONS(2225),
    [anon_sym_alignof] = ACTIONS(2225),
    [anon_sym__Alignof] = ACTIONS(2225),
    [anon_sym_offsetof] = ACTIONS(2225),
    [anon_sym__Generic] = ACTIONS(2225),
    [anon_sym_asm] = ACTIONS(2225),
    [anon_sym___asm__] = ACTIONS(2225),
    [anon_sym___asm] = ACTIONS(2225),
    [sym_number_literal] = ACTIONS(2227),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2227),
    [anon_sym_u_DQUOTE] = ACTIONS(2227),
    [anon_sym_U_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8_DQUOTE] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [anon_sym_NULL] = ACTIONS(2225),
    [anon_sym_nullptr] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2225),
    [anon_sym_decltype] = ACTIONS(2225),
    [anon_sym_explicit] = ACTIONS(2225),
    [anon_sym_typename] = ACTIONS(2225),
    [anon_sym_template] = ACTIONS(2225),
    [anon_sym_operator] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_using] = ACTIONS(2225),
    [anon_sym_static_assert] = ACTIONS(2225),
    [anon_sym_concept] = ACTIONS(2225),
    [anon_sym_co_return] = ACTIONS(2225),
    [anon_sym_co_yield] = ACTIONS(2225),
    [anon_sym_R_DQUOTE] = ACTIONS(2227),
    [anon_sym_LR_DQUOTE] = ACTIONS(2227),
    [anon_sym_uR_DQUOTE] = ACTIONS(2227),
    [anon_sym_UR_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2227),
    [anon_sym_co_await] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_requires] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [anon_sym_discard] = ACTIONS(2225),
    [anon_sym_precise] = ACTIONS(2225),
    [anon_sym_shared] = ACTIONS(2225),
    [anon_sym_groupshared] = ACTIONS(2225),
    [anon_sym_uniform] = ACTIONS(2225),
    [anon_sym_row_major] = ACTIONS(2225),
    [anon_sym_column_major] = ACTIONS(2225),
    [anon_sym_globallycoherent] = ACTIONS(2225),
    [anon_sym_centroid] = ACTIONS(2225),
    [anon_sym_noperspective] = ACTIONS(2225),
    [anon_sym_nointerpolation] = ACTIONS(2225),
    [anon_sym_sample] = ACTIONS(2225),
    [anon_sym_linear] = ACTIONS(2225),
    [anon_sym_snorm] = ACTIONS(2225),
    [anon_sym_unorm] = ACTIONS(2225),
    [anon_sym_point] = ACTIONS(2225),
    [anon_sym_line] = ACTIONS(2225),
    [anon_sym_triangleadj] = ACTIONS(2225),
    [anon_sym_lineadj] = ACTIONS(2225),
    [anon_sym_triangle] = ACTIONS(2225),
    [anon_sym_cbuffer] = ACTIONS(2225),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(2286),
    [sym_identifier] = ACTIONS(2284),
    [aux_sym_preproc_include_token1] = ACTIONS(2284),
    [aux_sym_preproc_def_token1] = ACTIONS(2284),
    [aux_sym_preproc_if_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2284),
    [sym_preproc_directive] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP_AMP] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym___attribute] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym___based] = ACTIONS(2284),
    [anon_sym___cdecl] = ACTIONS(2284),
    [anon_sym___clrcall] = ACTIONS(2284),
    [anon_sym___stdcall] = ACTIONS(2284),
    [anon_sym___fastcall] = ACTIONS(2284),
    [anon_sym___thiscall] = ACTIONS(2284),
    [anon_sym___vectorcall] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_explicit] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_operator] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_namespace] = ACTIONS(2284),
    [anon_sym_using] = ACTIONS(2284),
    [anon_sym_static_assert] = ACTIONS(2284),
    [anon_sym_concept] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(2290),
    [sym_identifier] = ACTIONS(2288),
    [aux_sym_preproc_include_token1] = ACTIONS(2288),
    [aux_sym_preproc_def_token1] = ACTIONS(2288),
    [aux_sym_preproc_if_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2288),
    [sym_preproc_directive] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym___attribute] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym___based] = ACTIONS(2288),
    [anon_sym___cdecl] = ACTIONS(2288),
    [anon_sym___clrcall] = ACTIONS(2288),
    [anon_sym___stdcall] = ACTIONS(2288),
    [anon_sym___fastcall] = ACTIONS(2288),
    [anon_sym___thiscall] = ACTIONS(2288),
    [anon_sym___vectorcall] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_explicit] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_operator] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_static_assert] = ACTIONS(2288),
    [anon_sym_concept] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(2310),
    [sym_identifier] = ACTIONS(2308),
    [aux_sym_preproc_include_token1] = ACTIONS(2308),
    [aux_sym_preproc_def_token1] = ACTIONS(2308),
    [aux_sym_preproc_if_token1] = ACTIONS(2308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2308),
    [sym_preproc_directive] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym___extension__] = ACTIONS(2308),
    [anon_sym_typedef] = ACTIONS(2308),
    [anon_sym_in] = ACTIONS(2308),
    [anon_sym_out] = ACTIONS(2308),
    [anon_sym_inout] = ACTIONS(2308),
    [anon_sym_virtual] = ACTIONS(2308),
    [anon_sym_extern] = ACTIONS(2308),
    [anon_sym___attribute__] = ACTIONS(2308),
    [anon_sym___attribute] = ACTIONS(2308),
    [anon_sym_COLON_COLON] = ACTIONS(2310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2310),
    [anon_sym___declspec] = ACTIONS(2308),
    [anon_sym___based] = ACTIONS(2308),
    [anon_sym___cdecl] = ACTIONS(2308),
    [anon_sym___clrcall] = ACTIONS(2308),
    [anon_sym___stdcall] = ACTIONS(2308),
    [anon_sym___fastcall] = ACTIONS(2308),
    [anon_sym___thiscall] = ACTIONS(2308),
    [anon_sym___vectorcall] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_signed] = ACTIONS(2308),
    [anon_sym_unsigned] = ACTIONS(2308),
    [anon_sym_long] = ACTIONS(2308),
    [anon_sym_short] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_register] = ACTIONS(2308),
    [anon_sym_inline] = ACTIONS(2308),
    [anon_sym___inline] = ACTIONS(2308),
    [anon_sym___inline__] = ACTIONS(2308),
    [anon_sym___forceinline] = ACTIONS(2308),
    [anon_sym_thread_local] = ACTIONS(2308),
    [anon_sym___thread] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_constexpr] = ACTIONS(2308),
    [anon_sym_volatile] = ACTIONS(2308),
    [anon_sym_restrict] = ACTIONS(2308),
    [anon_sym___restrict__] = ACTIONS(2308),
    [anon_sym__Atomic] = ACTIONS(2308),
    [anon_sym__Noreturn] = ACTIONS(2308),
    [anon_sym_noreturn] = ACTIONS(2308),
    [anon_sym__Nonnull] = ACTIONS(2308),
    [anon_sym_mutable] = ACTIONS(2308),
    [anon_sym_constinit] = ACTIONS(2308),
    [anon_sym_consteval] = ACTIONS(2308),
    [anon_sym_alignas] = ACTIONS(2308),
    [anon_sym__Alignas] = ACTIONS(2308),
    [sym_primitive_type] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_struct] = ACTIONS(2308),
    [anon_sym_union] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_else] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_case] = ACTIONS(2308),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_goto] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2308),
    [anon_sym___leave] = ACTIONS(2308),
    [anon_sym_not] = ACTIONS(2308),
    [anon_sym_compl] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_sizeof] = ACTIONS(2308),
    [anon_sym___alignof__] = ACTIONS(2308),
    [anon_sym___alignof] = ACTIONS(2308),
    [anon_sym__alignof] = ACTIONS(2308),
    [anon_sym_alignof] = ACTIONS(2308),
    [anon_sym__Alignof] = ACTIONS(2308),
    [anon_sym_offsetof] = ACTIONS(2308),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2308),
    [anon_sym___asm__] = ACTIONS(2308),
    [anon_sym___asm] = ACTIONS(2308),
    [sym_number_literal] = ACTIONS(2310),
    [anon_sym_L_SQUOTE] = ACTIONS(2310),
    [anon_sym_u_SQUOTE] = ACTIONS(2310),
    [anon_sym_U_SQUOTE] = ACTIONS(2310),
    [anon_sym_u8_SQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_L_DQUOTE] = ACTIONS(2310),
    [anon_sym_u_DQUOTE] = ACTIONS(2310),
    [anon_sym_U_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8_DQUOTE] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [anon_sym_NULL] = ACTIONS(2308),
    [anon_sym_nullptr] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2308),
    [anon_sym_decltype] = ACTIONS(2308),
    [anon_sym_explicit] = ACTIONS(2308),
    [anon_sym_typename] = ACTIONS(2308),
    [anon_sym_template] = ACTIONS(2308),
    [anon_sym_operator] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_static_assert] = ACTIONS(2308),
    [anon_sym_concept] = ACTIONS(2308),
    [anon_sym_co_return] = ACTIONS(2308),
    [anon_sym_co_yield] = ACTIONS(2308),
    [anon_sym_R_DQUOTE] = ACTIONS(2310),
    [anon_sym_LR_DQUOTE] = ACTIONS(2310),
    [anon_sym_uR_DQUOTE] = ACTIONS(2310),
    [anon_sym_UR_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2310),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_requires] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [anon_sym_discard] = ACTIONS(2308),
    [anon_sym_precise] = ACTIONS(2308),
    [anon_sym_shared] = ACTIONS(2308),
    [anon_sym_groupshared] = ACTIONS(2308),
    [anon_sym_uniform] = ACTIONS(2308),
    [anon_sym_row_major] = ACTIONS(2308),
    [anon_sym_column_major] = ACTIONS(2308),
    [anon_sym_globallycoherent] = ACTIONS(2308),
    [anon_sym_centroid] = ACTIONS(2308),
    [anon_sym_noperspective] = ACTIONS(2308),
    [anon_sym_nointerpolation] = ACTIONS(2308),
    [anon_sym_sample] = ACTIONS(2308),
    [anon_sym_linear] = ACTIONS(2308),
    [anon_sym_snorm] = ACTIONS(2308),
    [anon_sym_unorm] = ACTIONS(2308),
    [anon_sym_point] = ACTIONS(2308),
    [anon_sym_line] = ACTIONS(2308),
    [anon_sym_triangleadj] = ACTIONS(2308),
    [anon_sym_lineadj] = ACTIONS(2308),
    [anon_sym_triangle] = ACTIONS(2308),
    [anon_sym_cbuffer] = ACTIONS(2308),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2334),
    [aux_sym_preproc_include_token1] = ACTIONS(2334),
    [aux_sym_preproc_def_token1] = ACTIONS(2334),
    [aux_sym_preproc_if_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2334),
    [sym_preproc_directive] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym___attribute] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym___based] = ACTIONS(2334),
    [anon_sym___cdecl] = ACTIONS(2334),
    [anon_sym___clrcall] = ACTIONS(2334),
    [anon_sym___stdcall] = ACTIONS(2334),
    [anon_sym___fastcall] = ACTIONS(2334),
    [anon_sym___thiscall] = ACTIONS(2334),
    [anon_sym___vectorcall] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym__Alignas] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [anon_sym___asm] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_explicit] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_operator] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_namespace] = ACTIONS(2334),
    [anon_sym_using] = ACTIONS(2334),
    [anon_sym_static_assert] = ACTIONS(2334),
    [anon_sym_concept] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [539] = {
    [sym_identifier] = ACTIONS(2342),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2342),
    [aux_sym_preproc_if_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2342),
    [sym_preproc_directive] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym___attribute] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym___based] = ACTIONS(2342),
    [anon_sym___cdecl] = ACTIONS(2342),
    [anon_sym___clrcall] = ACTIONS(2342),
    [anon_sym___stdcall] = ACTIONS(2342),
    [anon_sym___fastcall] = ACTIONS(2342),
    [anon_sym___thiscall] = ACTIONS(2342),
    [anon_sym___vectorcall] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym__Nonnull] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym__Alignas] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [anon_sym___asm] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_explicit] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_operator] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_static_assert] = ACTIONS(2342),
    [anon_sym_concept] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2348),
    [aux_sym_preproc_include_token1] = ACTIONS(2348),
    [aux_sym_preproc_def_token1] = ACTIONS(2348),
    [aux_sym_preproc_if_token1] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2348),
    [sym_preproc_directive] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym___extension__] = ACTIONS(2348),
    [anon_sym_typedef] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2348),
    [anon_sym_out] = ACTIONS(2348),
    [anon_sym_inout] = ACTIONS(2348),
    [anon_sym_virtual] = ACTIONS(2348),
    [anon_sym_extern] = ACTIONS(2348),
    [anon_sym___attribute__] = ACTIONS(2348),
    [anon_sym___attribute] = ACTIONS(2348),
    [anon_sym_COLON_COLON] = ACTIONS(2350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2350),
    [anon_sym___declspec] = ACTIONS(2348),
    [anon_sym___based] = ACTIONS(2348),
    [anon_sym___cdecl] = ACTIONS(2348),
    [anon_sym___clrcall] = ACTIONS(2348),
    [anon_sym___stdcall] = ACTIONS(2348),
    [anon_sym___fastcall] = ACTIONS(2348),
    [anon_sym___thiscall] = ACTIONS(2348),
    [anon_sym___vectorcall] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_signed] = ACTIONS(2348),
    [anon_sym_unsigned] = ACTIONS(2348),
    [anon_sym_long] = ACTIONS(2348),
    [anon_sym_short] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2348),
    [anon_sym_register] = ACTIONS(2348),
    [anon_sym_inline] = ACTIONS(2348),
    [anon_sym___inline] = ACTIONS(2348),
    [anon_sym___inline__] = ACTIONS(2348),
    [anon_sym___forceinline] = ACTIONS(2348),
    [anon_sym_thread_local] = ACTIONS(2348),
    [anon_sym___thread] = ACTIONS(2348),
    [anon_sym_const] = ACTIONS(2348),
    [anon_sym_constexpr] = ACTIONS(2348),
    [anon_sym_volatile] = ACTIONS(2348),
    [anon_sym_restrict] = ACTIONS(2348),
    [anon_sym___restrict__] = ACTIONS(2348),
    [anon_sym__Atomic] = ACTIONS(2348),
    [anon_sym__Noreturn] = ACTIONS(2348),
    [anon_sym_noreturn] = ACTIONS(2348),
    [anon_sym__Nonnull] = ACTIONS(2348),
    [anon_sym_mutable] = ACTIONS(2348),
    [anon_sym_constinit] = ACTIONS(2348),
    [anon_sym_consteval] = ACTIONS(2348),
    [anon_sym_alignas] = ACTIONS(2348),
    [anon_sym__Alignas] = ACTIONS(2348),
    [sym_primitive_type] = ACTIONS(2348),
    [anon_sym_enum] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2348),
    [anon_sym_struct] = ACTIONS(2348),
    [anon_sym_union] = ACTIONS(2348),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_else] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2348),
    [anon_sym_case] = ACTIONS(2348),
    [anon_sym_default] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2348),
    [anon_sym___leave] = ACTIONS(2348),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_compl] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_sizeof] = ACTIONS(2348),
    [anon_sym___alignof__] = ACTIONS(2348),
    [anon_sym___alignof] = ACTIONS(2348),
    [anon_sym__alignof] = ACTIONS(2348),
    [anon_sym_alignof] = ACTIONS(2348),
    [anon_sym__Alignof] = ACTIONS(2348),
    [anon_sym_offsetof] = ACTIONS(2348),
    [anon_sym__Generic] = ACTIONS(2348),
    [anon_sym_asm] = ACTIONS(2348),
    [anon_sym___asm__] = ACTIONS(2348),
    [anon_sym___asm] = ACTIONS(2348),
    [sym_number_literal] = ACTIONS(2350),
    [anon_sym_L_SQUOTE] = ACTIONS(2350),
    [anon_sym_u_SQUOTE] = ACTIONS(2350),
    [anon_sym_U_SQUOTE] = ACTIONS(2350),
    [anon_sym_u8_SQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_L_DQUOTE] = ACTIONS(2350),
    [anon_sym_u_DQUOTE] = ACTIONS(2350),
    [anon_sym_U_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8_DQUOTE] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [sym_true] = ACTIONS(2348),
    [sym_false] = ACTIONS(2348),
    [anon_sym_NULL] = ACTIONS(2348),
    [anon_sym_nullptr] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2348),
    [anon_sym_decltype] = ACTIONS(2348),
    [anon_sym_explicit] = ACTIONS(2348),
    [anon_sym_typename] = ACTIONS(2348),
    [anon_sym_template] = ACTIONS(2348),
    [anon_sym_operator] = ACTIONS(2348),
    [anon_sym_try] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_namespace] = ACTIONS(2348),
    [anon_sym_using] = ACTIONS(2348),
    [anon_sym_static_assert] = ACTIONS(2348),
    [anon_sym_concept] = ACTIONS(2348),
    [anon_sym_co_return] = ACTIONS(2348),
    [anon_sym_co_yield] = ACTIONS(2348),
    [anon_sym_R_DQUOTE] = ACTIONS(2350),
    [anon_sym_LR_DQUOTE] = ACTIONS(2350),
    [anon_sym_uR_DQUOTE] = ACTIONS(2350),
    [anon_sym_UR_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2350),
    [anon_sym_co_await] = ACTIONS(2348),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2348),
    [sym_this] = ACTIONS(2348),
    [anon_sym_discard] = ACTIONS(2348),
    [anon_sym_precise] = ACTIONS(2348),
    [anon_sym_shared] = ACTIONS(2348),
    [anon_sym_groupshared] = ACTIONS(2348),
    [anon_sym_uniform] = ACTIONS(2348),
    [anon_sym_row_major] = ACTIONS(2348),
    [anon_sym_column_major] = ACTIONS(2348),
    [anon_sym_globallycoherent] = ACTIONS(2348),
    [anon_sym_centroid] = ACTIONS(2348),
    [anon_sym_noperspective] = ACTIONS(2348),
    [anon_sym_nointerpolation] = ACTIONS(2348),
    [anon_sym_sample] = ACTIONS(2348),
    [anon_sym_linear] = ACTIONS(2348),
    [anon_sym_snorm] = ACTIONS(2348),
    [anon_sym_unorm] = ACTIONS(2348),
    [anon_sym_point] = ACTIONS(2348),
    [anon_sym_line] = ACTIONS(2348),
    [anon_sym_triangleadj] = ACTIONS(2348),
    [anon_sym_lineadj] = ACTIONS(2348),
    [anon_sym_triangle] = ACTIONS(2348),
    [anon_sym_cbuffer] = ACTIONS(2348),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2352),
    [aux_sym_preproc_include_token1] = ACTIONS(2352),
    [aux_sym_preproc_def_token1] = ACTIONS(2352),
    [aux_sym_preproc_if_token1] = ACTIONS(2352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2352),
    [sym_preproc_directive] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_AMP_AMP] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2352),
    [anon_sym_typedef] = ACTIONS(2352),
    [anon_sym_in] = ACTIONS(2352),
    [anon_sym_out] = ACTIONS(2352),
    [anon_sym_inout] = ACTIONS(2352),
    [anon_sym_virtual] = ACTIONS(2352),
    [anon_sym_extern] = ACTIONS(2352),
    [anon_sym___attribute__] = ACTIONS(2352),
    [anon_sym___attribute] = ACTIONS(2352),
    [anon_sym_COLON_COLON] = ACTIONS(2354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2354),
    [anon_sym___declspec] = ACTIONS(2352),
    [anon_sym___based] = ACTIONS(2352),
    [anon_sym___cdecl] = ACTIONS(2352),
    [anon_sym___clrcall] = ACTIONS(2352),
    [anon_sym___stdcall] = ACTIONS(2352),
    [anon_sym___fastcall] = ACTIONS(2352),
    [anon_sym___thiscall] = ACTIONS(2352),
    [anon_sym___vectorcall] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2352),
    [anon_sym_unsigned] = ACTIONS(2352),
    [anon_sym_long] = ACTIONS(2352),
    [anon_sym_short] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_register] = ACTIONS(2352),
    [anon_sym_inline] = ACTIONS(2352),
    [anon_sym___inline] = ACTIONS(2352),
    [anon_sym___inline__] = ACTIONS(2352),
    [anon_sym___forceinline] = ACTIONS(2352),
    [anon_sym_thread_local] = ACTIONS(2352),
    [anon_sym___thread] = ACTIONS(2352),
    [anon_sym_const] = ACTIONS(2352),
    [anon_sym_constexpr] = ACTIONS(2352),
    [anon_sym_volatile] = ACTIONS(2352),
    [anon_sym_restrict] = ACTIONS(2352),
    [anon_sym___restrict__] = ACTIONS(2352),
    [anon_sym__Atomic] = ACTIONS(2352),
    [anon_sym__Noreturn] = ACTIONS(2352),
    [anon_sym_noreturn] = ACTIONS(2352),
    [anon_sym__Nonnull] = ACTIONS(2352),
    [anon_sym_mutable] = ACTIONS(2352),
    [anon_sym_constinit] = ACTIONS(2352),
    [anon_sym_consteval] = ACTIONS(2352),
    [anon_sym_alignas] = ACTIONS(2352),
    [anon_sym__Alignas] = ACTIONS(2352),
    [sym_primitive_type] = ACTIONS(2352),
    [anon_sym_enum] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2352),
    [anon_sym_struct] = ACTIONS(2352),
    [anon_sym_union] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_else] = ACTIONS(2352),
    [anon_sym_switch] = ACTIONS(2352),
    [anon_sym_case] = ACTIONS(2352),
    [anon_sym_default] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym___try] = ACTIONS(2352),
    [anon_sym___leave] = ACTIONS(2352),
    [anon_sym_not] = ACTIONS(2352),
    [anon_sym_compl] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_sizeof] = ACTIONS(2352),
    [anon_sym___alignof__] = ACTIONS(2352),
    [anon_sym___alignof] = ACTIONS(2352),
    [anon_sym__alignof] = ACTIONS(2352),
    [anon_sym_alignof] = ACTIONS(2352),
    [anon_sym__Alignof] = ACTIONS(2352),
    [anon_sym_offsetof] = ACTIONS(2352),
    [anon_sym__Generic] = ACTIONS(2352),
    [anon_sym_asm] = ACTIONS(2352),
    [anon_sym___asm__] = ACTIONS(2352),
    [anon_sym___asm] = ACTIONS(2352),
    [sym_number_literal] = ACTIONS(2354),
    [anon_sym_L_SQUOTE] = ACTIONS(2354),
    [anon_sym_u_SQUOTE] = ACTIONS(2354),
    [anon_sym_U_SQUOTE] = ACTIONS(2354),
    [anon_sym_u8_SQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_L_DQUOTE] = ACTIONS(2354),
    [anon_sym_u_DQUOTE] = ACTIONS(2354),
    [anon_sym_U_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8_DQUOTE] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [sym_true] = ACTIONS(2352),
    [sym_false] = ACTIONS(2352),
    [anon_sym_NULL] = ACTIONS(2352),
    [anon_sym_nullptr] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2352),
    [anon_sym_decltype] = ACTIONS(2352),
    [anon_sym_explicit] = ACTIONS(2352),
    [anon_sym_typename] = ACTIONS(2352),
    [anon_sym_template] = ACTIONS(2352),
    [anon_sym_operator] = ACTIONS(2352),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_throw] = ACTIONS(2352),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_using] = ACTIONS(2352),
    [anon_sym_static_assert] = ACTIONS(2352),
    [anon_sym_concept] = ACTIONS(2352),
    [anon_sym_co_return] = ACTIONS(2352),
    [anon_sym_co_yield] = ACTIONS(2352),
    [anon_sym_R_DQUOTE] = ACTIONS(2354),
    [anon_sym_LR_DQUOTE] = ACTIONS(2354),
    [anon_sym_uR_DQUOTE] = ACTIONS(2354),
    [anon_sym_UR_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2354),
    [anon_sym_co_await] = ACTIONS(2352),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_requires] = ACTIONS(2352),
    [sym_this] = ACTIONS(2352),
    [anon_sym_discard] = ACTIONS(2352),
    [anon_sym_precise] = ACTIONS(2352),
    [anon_sym_shared] = ACTIONS(2352),
    [anon_sym_groupshared] = ACTIONS(2352),
    [anon_sym_uniform] = ACTIONS(2352),
    [anon_sym_row_major] = ACTIONS(2352),
    [anon_sym_column_major] = ACTIONS(2352),
    [anon_sym_globallycoherent] = ACTIONS(2352),
    [anon_sym_centroid] = ACTIONS(2352),
    [anon_sym_noperspective] = ACTIONS(2352),
    [anon_sym_nointerpolation] = ACTIONS(2352),
    [anon_sym_sample] = ACTIONS(2352),
    [anon_sym_linear] = ACTIONS(2352),
    [anon_sym_snorm] = ACTIONS(2352),
    [anon_sym_unorm] = ACTIONS(2352),
    [anon_sym_point] = ACTIONS(2352),
    [anon_sym_line] = ACTIONS(2352),
    [anon_sym_triangleadj] = ACTIONS(2352),
    [anon_sym_lineadj] = ACTIONS(2352),
    [anon_sym_triangle] = ACTIONS(2352),
    [anon_sym_cbuffer] = ACTIONS(2352),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_out] = ACTIONS(2356),
    [anon_sym_inout] = ACTIONS(2356),
    [anon_sym_virtual] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_COLON_COLON] = ACTIONS(2358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___based] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_RBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_mutable] = ACTIONS(2356),
    [anon_sym_constinit] = ACTIONS(2356),
    [anon_sym_consteval] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym___leave] = ACTIONS(2356),
    [anon_sym_not] = ACTIONS(2356),
    [anon_sym_compl] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2356),
    [anon_sym_decltype] = ACTIONS(2356),
    [anon_sym_explicit] = ACTIONS(2356),
    [anon_sym_typename] = ACTIONS(2356),
    [anon_sym_template] = ACTIONS(2356),
    [anon_sym_operator] = ACTIONS(2356),
    [anon_sym_try] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_throw] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2356),
    [anon_sym_using] = ACTIONS(2356),
    [anon_sym_static_assert] = ACTIONS(2356),
    [anon_sym_concept] = ACTIONS(2356),
    [anon_sym_co_return] = ACTIONS(2356),
    [anon_sym_co_yield] = ACTIONS(2356),
    [anon_sym_R_DQUOTE] = ACTIONS(2358),
    [anon_sym_LR_DQUOTE] = ACTIONS(2358),
    [anon_sym_uR_DQUOTE] = ACTIONS(2358),
    [anon_sym_UR_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2358),
    [anon_sym_co_await] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2356),
    [anon_sym_requires] = ACTIONS(2356),
    [sym_this] = ACTIONS(2356),
    [anon_sym_discard] = ACTIONS(2356),
    [anon_sym_precise] = ACTIONS(2356),
    [anon_sym_shared] = ACTIONS(2356),
    [anon_sym_groupshared] = ACTIONS(2356),
    [anon_sym_uniform] = ACTIONS(2356),
    [anon_sym_row_major] = ACTIONS(2356),
    [anon_sym_column_major] = ACTIONS(2356),
    [anon_sym_globallycoherent] = ACTIONS(2356),
    [anon_sym_centroid] = ACTIONS(2356),
    [anon_sym_noperspective] = ACTIONS(2356),
    [anon_sym_nointerpolation] = ACTIONS(2356),
    [anon_sym_sample] = ACTIONS(2356),
    [anon_sym_linear] = ACTIONS(2356),
    [anon_sym_snorm] = ACTIONS(2356),
    [anon_sym_unorm] = ACTIONS(2356),
    [anon_sym_point] = ACTIONS(2356),
    [anon_sym_line] = ACTIONS(2356),
    [anon_sym_triangleadj] = ACTIONS(2356),
    [anon_sym_lineadj] = ACTIONS(2356),
    [anon_sym_triangle] = ACTIONS(2356),
    [anon_sym_cbuffer] = ACTIONS(2356),
  },
  [543] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_namespace] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_concept] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2316),
    [aux_sym_preproc_include_token1] = ACTIONS(2316),
    [aux_sym_preproc_def_token1] = ACTIONS(2316),
    [aux_sym_preproc_if_token1] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2316),
    [sym_preproc_directive] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_BANG] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2316),
    [anon_sym_typedef] = ACTIONS(2316),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_out] = ACTIONS(2316),
    [anon_sym_inout] = ACTIONS(2316),
    [anon_sym_virtual] = ACTIONS(2316),
    [anon_sym_extern] = ACTIONS(2316),
    [anon_sym___attribute__] = ACTIONS(2316),
    [anon_sym___attribute] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2318),
    [anon_sym___declspec] = ACTIONS(2316),
    [anon_sym___based] = ACTIONS(2316),
    [anon_sym___cdecl] = ACTIONS(2316),
    [anon_sym___clrcall] = ACTIONS(2316),
    [anon_sym___stdcall] = ACTIONS(2316),
    [anon_sym___fastcall] = ACTIONS(2316),
    [anon_sym___thiscall] = ACTIONS(2316),
    [anon_sym___vectorcall] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2316),
    [anon_sym_unsigned] = ACTIONS(2316),
    [anon_sym_long] = ACTIONS(2316),
    [anon_sym_short] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_register] = ACTIONS(2316),
    [anon_sym_inline] = ACTIONS(2316),
    [anon_sym___inline] = ACTIONS(2316),
    [anon_sym___inline__] = ACTIONS(2316),
    [anon_sym___forceinline] = ACTIONS(2316),
    [anon_sym_thread_local] = ACTIONS(2316),
    [anon_sym___thread] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_constexpr] = ACTIONS(2316),
    [anon_sym_volatile] = ACTIONS(2316),
    [anon_sym_restrict] = ACTIONS(2316),
    [anon_sym___restrict__] = ACTIONS(2316),
    [anon_sym__Atomic] = ACTIONS(2316),
    [anon_sym__Noreturn] = ACTIONS(2316),
    [anon_sym_noreturn] = ACTIONS(2316),
    [anon_sym__Nonnull] = ACTIONS(2316),
    [anon_sym_mutable] = ACTIONS(2316),
    [anon_sym_constinit] = ACTIONS(2316),
    [anon_sym_consteval] = ACTIONS(2316),
    [anon_sym_alignas] = ACTIONS(2316),
    [anon_sym__Alignas] = ACTIONS(2316),
    [sym_primitive_type] = ACTIONS(2316),
    [anon_sym_enum] = ACTIONS(2316),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_struct] = ACTIONS(2316),
    [anon_sym_union] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_else] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_case] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_goto] = ACTIONS(2316),
    [anon_sym___try] = ACTIONS(2316),
    [anon_sym___leave] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2316),
    [anon_sym_compl] = ACTIONS(2316),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_sizeof] = ACTIONS(2316),
    [anon_sym___alignof__] = ACTIONS(2316),
    [anon_sym___alignof] = ACTIONS(2316),
    [anon_sym__alignof] = ACTIONS(2316),
    [anon_sym_alignof] = ACTIONS(2316),
    [anon_sym__Alignof] = ACTIONS(2316),
    [anon_sym_offsetof] = ACTIONS(2316),
    [anon_sym__Generic] = ACTIONS(2316),
    [anon_sym_asm] = ACTIONS(2316),
    [anon_sym___asm__] = ACTIONS(2316),
    [anon_sym___asm] = ACTIONS(2316),
    [sym_number_literal] = ACTIONS(2318),
    [anon_sym_L_SQUOTE] = ACTIONS(2318),
    [anon_sym_u_SQUOTE] = ACTIONS(2318),
    [anon_sym_U_SQUOTE] = ACTIONS(2318),
    [anon_sym_u8_SQUOTE] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_L_DQUOTE] = ACTIONS(2318),
    [anon_sym_u_DQUOTE] = ACTIONS(2318),
    [anon_sym_U_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2318),
    [sym_true] = ACTIONS(2316),
    [sym_false] = ACTIONS(2316),
    [anon_sym_NULL] = ACTIONS(2316),
    [anon_sym_nullptr] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2316),
    [anon_sym_decltype] = ACTIONS(2316),
    [anon_sym_explicit] = ACTIONS(2316),
    [anon_sym_typename] = ACTIONS(2316),
    [anon_sym_template] = ACTIONS(2316),
    [anon_sym_operator] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_throw] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_using] = ACTIONS(2316),
    [anon_sym_static_assert] = ACTIONS(2316),
    [anon_sym_concept] = ACTIONS(2316),
    [anon_sym_co_return] = ACTIONS(2316),
    [anon_sym_co_yield] = ACTIONS(2316),
    [anon_sym_R_DQUOTE] = ACTIONS(2318),
    [anon_sym_LR_DQUOTE] = ACTIONS(2318),
    [anon_sym_uR_DQUOTE] = ACTIONS(2318),
    [anon_sym_UR_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2318),
    [anon_sym_co_await] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_requires] = ACTIONS(2316),
    [sym_this] = ACTIONS(2316),
    [anon_sym_discard] = ACTIONS(2316),
    [anon_sym_precise] = ACTIONS(2316),
    [anon_sym_shared] = ACTIONS(2316),
    [anon_sym_groupshared] = ACTIONS(2316),
    [anon_sym_uniform] = ACTIONS(2316),
    [anon_sym_row_major] = ACTIONS(2316),
    [anon_sym_column_major] = ACTIONS(2316),
    [anon_sym_globallycoherent] = ACTIONS(2316),
    [anon_sym_centroid] = ACTIONS(2316),
    [anon_sym_noperspective] = ACTIONS(2316),
    [anon_sym_nointerpolation] = ACTIONS(2316),
    [anon_sym_sample] = ACTIONS(2316),
    [anon_sym_linear] = ACTIONS(2316),
    [anon_sym_snorm] = ACTIONS(2316),
    [anon_sym_unorm] = ACTIONS(2316),
    [anon_sym_point] = ACTIONS(2316),
    [anon_sym_line] = ACTIONS(2316),
    [anon_sym_triangleadj] = ACTIONS(2316),
    [anon_sym_lineadj] = ACTIONS(2316),
    [anon_sym_triangle] = ACTIONS(2316),
    [anon_sym_cbuffer] = ACTIONS(2316),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2127),
    [aux_sym_preproc_include_token1] = ACTIONS(2127),
    [aux_sym_preproc_def_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2127),
    [sym_preproc_directive] = ACTIONS(2127),
    [anon_sym_LPAREN2] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym___extension__] = ACTIONS(2127),
    [anon_sym_typedef] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_out] = ACTIONS(2127),
    [anon_sym_inout] = ACTIONS(2127),
    [anon_sym_virtual] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2127),
    [anon_sym___attribute__] = ACTIONS(2127),
    [anon_sym___attribute] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2129),
    [anon_sym___declspec] = ACTIONS(2127),
    [anon_sym___based] = ACTIONS(2127),
    [anon_sym___cdecl] = ACTIONS(2127),
    [anon_sym___clrcall] = ACTIONS(2127),
    [anon_sym___stdcall] = ACTIONS(2127),
    [anon_sym___fastcall] = ACTIONS(2127),
    [anon_sym___thiscall] = ACTIONS(2127),
    [anon_sym___vectorcall] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2129),
    [anon_sym_signed] = ACTIONS(2127),
    [anon_sym_unsigned] = ACTIONS(2127),
    [anon_sym_long] = ACTIONS(2127),
    [anon_sym_short] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_register] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(2127),
    [anon_sym___inline] = ACTIONS(2127),
    [anon_sym___inline__] = ACTIONS(2127),
    [anon_sym___forceinline] = ACTIONS(2127),
    [anon_sym_thread_local] = ACTIONS(2127),
    [anon_sym___thread] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_constexpr] = ACTIONS(2127),
    [anon_sym_volatile] = ACTIONS(2127),
    [anon_sym_restrict] = ACTIONS(2127),
    [anon_sym___restrict__] = ACTIONS(2127),
    [anon_sym__Atomic] = ACTIONS(2127),
    [anon_sym__Noreturn] = ACTIONS(2127),
    [anon_sym_noreturn] = ACTIONS(2127),
    [anon_sym__Nonnull] = ACTIONS(2127),
    [anon_sym_mutable] = ACTIONS(2127),
    [anon_sym_constinit] = ACTIONS(2127),
    [anon_sym_consteval] = ACTIONS(2127),
    [anon_sym_alignas] = ACTIONS(2127),
    [anon_sym__Alignas] = ACTIONS(2127),
    [sym_primitive_type] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_struct] = ACTIONS(2127),
    [anon_sym_union] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_goto] = ACTIONS(2127),
    [anon_sym___try] = ACTIONS(2127),
    [anon_sym___leave] = ACTIONS(2127),
    [anon_sym_not] = ACTIONS(2127),
    [anon_sym_compl] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_sizeof] = ACTIONS(2127),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2127),
    [anon_sym__Generic] = ACTIONS(2127),
    [anon_sym_asm] = ACTIONS(2127),
    [anon_sym___asm__] = ACTIONS(2127),
    [anon_sym___asm] = ACTIONS(2127),
    [sym_number_literal] = ACTIONS(2129),
    [anon_sym_L_SQUOTE] = ACTIONS(2129),
    [anon_sym_u_SQUOTE] = ACTIONS(2129),
    [anon_sym_U_SQUOTE] = ACTIONS(2129),
    [anon_sym_u8_SQUOTE] = ACTIONS(2129),
    [anon_sym_SQUOTE] = ACTIONS(2129),
    [anon_sym_L_DQUOTE] = ACTIONS(2129),
    [anon_sym_u_DQUOTE] = ACTIONS(2129),
    [anon_sym_U_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8_DQUOTE] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2129),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2127),
    [anon_sym_decltype] = ACTIONS(2127),
    [anon_sym_explicit] = ACTIONS(2127),
    [anon_sym_typename] = ACTIONS(2127),
    [anon_sym_template] = ACTIONS(2127),
    [anon_sym_operator] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_static_assert] = ACTIONS(2127),
    [anon_sym_concept] = ACTIONS(2127),
    [anon_sym_co_return] = ACTIONS(2127),
    [anon_sym_co_yield] = ACTIONS(2127),
    [anon_sym_R_DQUOTE] = ACTIONS(2129),
    [anon_sym_LR_DQUOTE] = ACTIONS(2129),
    [anon_sym_uR_DQUOTE] = ACTIONS(2129),
    [anon_sym_UR_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2129),
    [anon_sym_co_await] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_requires] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [anon_sym_discard] = ACTIONS(2127),
    [anon_sym_precise] = ACTIONS(2127),
    [anon_sym_shared] = ACTIONS(2127),
    [anon_sym_groupshared] = ACTIONS(2127),
    [anon_sym_uniform] = ACTIONS(2127),
    [anon_sym_row_major] = ACTIONS(2127),
    [anon_sym_column_major] = ACTIONS(2127),
    [anon_sym_globallycoherent] = ACTIONS(2127),
    [anon_sym_centroid] = ACTIONS(2127),
    [anon_sym_noperspective] = ACTIONS(2127),
    [anon_sym_nointerpolation] = ACTIONS(2127),
    [anon_sym_sample] = ACTIONS(2127),
    [anon_sym_linear] = ACTIONS(2127),
    [anon_sym_snorm] = ACTIONS(2127),
    [anon_sym_unorm] = ACTIONS(2127),
    [anon_sym_point] = ACTIONS(2127),
    [anon_sym_line] = ACTIONS(2127),
    [anon_sym_triangleadj] = ACTIONS(2127),
    [anon_sym_lineadj] = ACTIONS(2127),
    [anon_sym_triangle] = ACTIONS(2127),
    [anon_sym_cbuffer] = ACTIONS(2127),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(2133),
    [sym_identifier] = ACTIONS(2131),
    [aux_sym_preproc_include_token1] = ACTIONS(2131),
    [aux_sym_preproc_def_token1] = ACTIONS(2131),
    [aux_sym_preproc_if_token1] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2131),
    [sym_preproc_directive] = ACTIONS(2131),
    [anon_sym_LPAREN2] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2133),
    [anon_sym_AMP_AMP] = ACTIONS(2133),
    [anon_sym_AMP] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym___extension__] = ACTIONS(2131),
    [anon_sym_typedef] = ACTIONS(2131),
    [anon_sym_in] = ACTIONS(2131),
    [anon_sym_out] = ACTIONS(2131),
    [anon_sym_inout] = ACTIONS(2131),
    [anon_sym_virtual] = ACTIONS(2131),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym___based] = ACTIONS(2131),
    [anon_sym___cdecl] = ACTIONS(2131),
    [anon_sym___clrcall] = ACTIONS(2131),
    [anon_sym___stdcall] = ACTIONS(2131),
    [anon_sym___fastcall] = ACTIONS(2131),
    [anon_sym___thiscall] = ACTIONS(2131),
    [anon_sym___vectorcall] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_mutable] = ACTIONS(2131),
    [anon_sym_constinit] = ACTIONS(2131),
    [anon_sym_consteval] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2131),
    [anon_sym_default] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_goto] = ACTIONS(2131),
    [anon_sym___try] = ACTIONS(2131),
    [anon_sym___leave] = ACTIONS(2131),
    [anon_sym_not] = ACTIONS(2131),
    [anon_sym_compl] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_sizeof] = ACTIONS(2131),
    [anon_sym___alignof__] = ACTIONS(2131),
    [anon_sym___alignof] = ACTIONS(2131),
    [anon_sym__alignof] = ACTIONS(2131),
    [anon_sym_alignof] = ACTIONS(2131),
    [anon_sym__Alignof] = ACTIONS(2131),
    [anon_sym_offsetof] = ACTIONS(2131),
    [anon_sym__Generic] = ACTIONS(2131),
    [anon_sym_asm] = ACTIONS(2131),
    [anon_sym___asm__] = ACTIONS(2131),
    [anon_sym___asm] = ACTIONS(2131),
    [sym_number_literal] = ACTIONS(2133),
    [anon_sym_L_SQUOTE] = ACTIONS(2133),
    [anon_sym_u_SQUOTE] = ACTIONS(2133),
    [anon_sym_U_SQUOTE] = ACTIONS(2133),
    [anon_sym_u8_SQUOTE] = ACTIONS(2133),
    [anon_sym_SQUOTE] = ACTIONS(2133),
    [anon_sym_L_DQUOTE] = ACTIONS(2133),
    [anon_sym_u_DQUOTE] = ACTIONS(2133),
    [anon_sym_U_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8_DQUOTE] = ACTIONS(2133),
    [anon_sym_DQUOTE] = ACTIONS(2133),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [anon_sym_NULL] = ACTIONS(2131),
    [anon_sym_nullptr] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2131),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_explicit] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2131),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_operator] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_static_assert] = ACTIONS(2131),
    [anon_sym_concept] = ACTIONS(2131),
    [anon_sym_co_return] = ACTIONS(2131),
    [anon_sym_co_yield] = ACTIONS(2131),
    [anon_sym_R_DQUOTE] = ACTIONS(2133),
    [anon_sym_LR_DQUOTE] = ACTIONS(2133),
    [anon_sym_uR_DQUOTE] = ACTIONS(2133),
    [anon_sym_UR_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2133),
    [anon_sym_co_await] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_requires] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [anon_sym_discard] = ACTIONS(2131),
    [anon_sym_precise] = ACTIONS(2131),
    [anon_sym_shared] = ACTIONS(2131),
    [anon_sym_groupshared] = ACTIONS(2131),
    [anon_sym_uniform] = ACTIONS(2131),
    [anon_sym_row_major] = ACTIONS(2131),
    [anon_sym_column_major] = ACTIONS(2131),
    [anon_sym_globallycoherent] = ACTIONS(2131),
    [anon_sym_centroid] = ACTIONS(2131),
    [anon_sym_noperspective] = ACTIONS(2131),
    [anon_sym_nointerpolation] = ACTIONS(2131),
    [anon_sym_sample] = ACTIONS(2131),
    [anon_sym_linear] = ACTIONS(2131),
    [anon_sym_snorm] = ACTIONS(2131),
    [anon_sym_unorm] = ACTIONS(2131),
    [anon_sym_point] = ACTIONS(2131),
    [anon_sym_line] = ACTIONS(2131),
    [anon_sym_triangleadj] = ACTIONS(2131),
    [anon_sym_lineadj] = ACTIONS(2131),
    [anon_sym_triangle] = ACTIONS(2131),
    [anon_sym_cbuffer] = ACTIONS(2131),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(2137),
    [sym_identifier] = ACTIONS(2135),
    [aux_sym_preproc_include_token1] = ACTIONS(2135),
    [aux_sym_preproc_def_token1] = ACTIONS(2135),
    [aux_sym_preproc_if_token1] = ACTIONS(2135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2135),
    [sym_preproc_directive] = ACTIONS(2135),
    [anon_sym_LPAREN2] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_AMP_AMP] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym___extension__] = ACTIONS(2135),
    [anon_sym_typedef] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2135),
    [anon_sym_out] = ACTIONS(2135),
    [anon_sym_inout] = ACTIONS(2135),
    [anon_sym_virtual] = ACTIONS(2135),
    [anon_sym_extern] = ACTIONS(2135),
    [anon_sym___attribute__] = ACTIONS(2135),
    [anon_sym___attribute] = ACTIONS(2135),
    [anon_sym_COLON_COLON] = ACTIONS(2137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2137),
    [anon_sym___declspec] = ACTIONS(2135),
    [anon_sym___based] = ACTIONS(2135),
    [anon_sym___cdecl] = ACTIONS(2135),
    [anon_sym___clrcall] = ACTIONS(2135),
    [anon_sym___stdcall] = ACTIONS(2135),
    [anon_sym___fastcall] = ACTIONS(2135),
    [anon_sym___thiscall] = ACTIONS(2135),
    [anon_sym___vectorcall] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_signed] = ACTIONS(2135),
    [anon_sym_unsigned] = ACTIONS(2135),
    [anon_sym_long] = ACTIONS(2135),
    [anon_sym_short] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_register] = ACTIONS(2135),
    [anon_sym_inline] = ACTIONS(2135),
    [anon_sym___inline] = ACTIONS(2135),
    [anon_sym___inline__] = ACTIONS(2135),
    [anon_sym___forceinline] = ACTIONS(2135),
    [anon_sym_thread_local] = ACTIONS(2135),
    [anon_sym___thread] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_constexpr] = ACTIONS(2135),
    [anon_sym_volatile] = ACTIONS(2135),
    [anon_sym_restrict] = ACTIONS(2135),
    [anon_sym___restrict__] = ACTIONS(2135),
    [anon_sym__Atomic] = ACTIONS(2135),
    [anon_sym__Noreturn] = ACTIONS(2135),
    [anon_sym_noreturn] = ACTIONS(2135),
    [anon_sym__Nonnull] = ACTIONS(2135),
    [anon_sym_mutable] = ACTIONS(2135),
    [anon_sym_constinit] = ACTIONS(2135),
    [anon_sym_consteval] = ACTIONS(2135),
    [anon_sym_alignas] = ACTIONS(2135),
    [anon_sym__Alignas] = ACTIONS(2135),
    [sym_primitive_type] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_struct] = ACTIONS(2135),
    [anon_sym_union] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_goto] = ACTIONS(2135),
    [anon_sym___try] = ACTIONS(2135),
    [anon_sym___leave] = ACTIONS(2135),
    [anon_sym_not] = ACTIONS(2135),
    [anon_sym_compl] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_sizeof] = ACTIONS(2135),
    [anon_sym___alignof__] = ACTIONS(2135),
    [anon_sym___alignof] = ACTIONS(2135),
    [anon_sym__alignof] = ACTIONS(2135),
    [anon_sym_alignof] = ACTIONS(2135),
    [anon_sym__Alignof] = ACTIONS(2135),
    [anon_sym_offsetof] = ACTIONS(2135),
    [anon_sym__Generic] = ACTIONS(2135),
    [anon_sym_asm] = ACTIONS(2135),
    [anon_sym___asm__] = ACTIONS(2135),
    [anon_sym___asm] = ACTIONS(2135),
    [sym_number_literal] = ACTIONS(2137),
    [anon_sym_L_SQUOTE] = ACTIONS(2137),
    [anon_sym_u_SQUOTE] = ACTIONS(2137),
    [anon_sym_U_SQUOTE] = ACTIONS(2137),
    [anon_sym_u8_SQUOTE] = ACTIONS(2137),
    [anon_sym_SQUOTE] = ACTIONS(2137),
    [anon_sym_L_DQUOTE] = ACTIONS(2137),
    [anon_sym_u_DQUOTE] = ACTIONS(2137),
    [anon_sym_U_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8_DQUOTE] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2137),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [anon_sym_NULL] = ACTIONS(2135),
    [anon_sym_nullptr] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2135),
    [anon_sym_decltype] = ACTIONS(2135),
    [anon_sym_explicit] = ACTIONS(2135),
    [anon_sym_typename] = ACTIONS(2135),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_static_assert] = ACTIONS(2135),
    [anon_sym_concept] = ACTIONS(2135),
    [anon_sym_co_return] = ACTIONS(2135),
    [anon_sym_co_yield] = ACTIONS(2135),
    [anon_sym_R_DQUOTE] = ACTIONS(2137),
    [anon_sym_LR_DQUOTE] = ACTIONS(2137),
    [anon_sym_uR_DQUOTE] = ACTIONS(2137),
    [anon_sym_UR_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2137),
    [anon_sym_co_await] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_requires] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [anon_sym_discard] = ACTIONS(2135),
    [anon_sym_precise] = ACTIONS(2135),
    [anon_sym_shared] = ACTIONS(2135),
    [anon_sym_groupshared] = ACTIONS(2135),
    [anon_sym_uniform] = ACTIONS(2135),
    [anon_sym_row_major] = ACTIONS(2135),
    [anon_sym_column_major] = ACTIONS(2135),
    [anon_sym_globallycoherent] = ACTIONS(2135),
    [anon_sym_centroid] = ACTIONS(2135),
    [anon_sym_noperspective] = ACTIONS(2135),
    [anon_sym_nointerpolation] = ACTIONS(2135),
    [anon_sym_sample] = ACTIONS(2135),
    [anon_sym_linear] = ACTIONS(2135),
    [anon_sym_snorm] = ACTIONS(2135),
    [anon_sym_unorm] = ACTIONS(2135),
    [anon_sym_point] = ACTIONS(2135),
    [anon_sym_line] = ACTIONS(2135),
    [anon_sym_triangleadj] = ACTIONS(2135),
    [anon_sym_lineadj] = ACTIONS(2135),
    [anon_sym_triangle] = ACTIONS(2135),
    [anon_sym_cbuffer] = ACTIONS(2135),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(2141),
    [sym_identifier] = ACTIONS(2139),
    [aux_sym_preproc_include_token1] = ACTIONS(2139),
    [aux_sym_preproc_def_token1] = ACTIONS(2139),
    [aux_sym_preproc_if_token1] = ACTIONS(2139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2139),
    [sym_preproc_directive] = ACTIONS(2139),
    [anon_sym_LPAREN2] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym___extension__] = ACTIONS(2139),
    [anon_sym_typedef] = ACTIONS(2139),
    [anon_sym_in] = ACTIONS(2139),
    [anon_sym_out] = ACTIONS(2139),
    [anon_sym_inout] = ACTIONS(2139),
    [anon_sym_virtual] = ACTIONS(2139),
    [anon_sym_extern] = ACTIONS(2139),
    [anon_sym___attribute__] = ACTIONS(2139),
    [anon_sym___attribute] = ACTIONS(2139),
    [anon_sym_COLON_COLON] = ACTIONS(2141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2141),
    [anon_sym___declspec] = ACTIONS(2139),
    [anon_sym___based] = ACTIONS(2139),
    [anon_sym___cdecl] = ACTIONS(2139),
    [anon_sym___clrcall] = ACTIONS(2139),
    [anon_sym___stdcall] = ACTIONS(2139),
    [anon_sym___fastcall] = ACTIONS(2139),
    [anon_sym___thiscall] = ACTIONS(2139),
    [anon_sym___vectorcall] = ACTIONS(2139),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_signed] = ACTIONS(2139),
    [anon_sym_unsigned] = ACTIONS(2139),
    [anon_sym_long] = ACTIONS(2139),
    [anon_sym_short] = ACTIONS(2139),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_register] = ACTIONS(2139),
    [anon_sym_inline] = ACTIONS(2139),
    [anon_sym___inline] = ACTIONS(2139),
    [anon_sym___inline__] = ACTIONS(2139),
    [anon_sym___forceinline] = ACTIONS(2139),
    [anon_sym_thread_local] = ACTIONS(2139),
    [anon_sym___thread] = ACTIONS(2139),
    [anon_sym_const] = ACTIONS(2139),
    [anon_sym_constexpr] = ACTIONS(2139),
    [anon_sym_volatile] = ACTIONS(2139),
    [anon_sym_restrict] = ACTIONS(2139),
    [anon_sym___restrict__] = ACTIONS(2139),
    [anon_sym__Atomic] = ACTIONS(2139),
    [anon_sym__Noreturn] = ACTIONS(2139),
    [anon_sym_noreturn] = ACTIONS(2139),
    [anon_sym__Nonnull] = ACTIONS(2139),
    [anon_sym_mutable] = ACTIONS(2139),
    [anon_sym_constinit] = ACTIONS(2139),
    [anon_sym_consteval] = ACTIONS(2139),
    [anon_sym_alignas] = ACTIONS(2139),
    [anon_sym__Alignas] = ACTIONS(2139),
    [sym_primitive_type] = ACTIONS(2139),
    [anon_sym_enum] = ACTIONS(2139),
    [anon_sym_class] = ACTIONS(2139),
    [anon_sym_struct] = ACTIONS(2139),
    [anon_sym_union] = ACTIONS(2139),
    [anon_sym_if] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2139),
    [anon_sym_switch] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2139),
    [anon_sym_default] = ACTIONS(2139),
    [anon_sym_while] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2139),
    [anon_sym_for] = ACTIONS(2139),
    [anon_sym_return] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2139),
    [anon_sym_continue] = ACTIONS(2139),
    [anon_sym_goto] = ACTIONS(2139),
    [anon_sym___try] = ACTIONS(2139),
    [anon_sym___leave] = ACTIONS(2139),
    [anon_sym_not] = ACTIONS(2139),
    [anon_sym_compl] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_sizeof] = ACTIONS(2139),
    [anon_sym___alignof__] = ACTIONS(2139),
    [anon_sym___alignof] = ACTIONS(2139),
    [anon_sym__alignof] = ACTIONS(2139),
    [anon_sym_alignof] = ACTIONS(2139),
    [anon_sym__Alignof] = ACTIONS(2139),
    [anon_sym_offsetof] = ACTIONS(2139),
    [anon_sym__Generic] = ACTIONS(2139),
    [anon_sym_asm] = ACTIONS(2139),
    [anon_sym___asm__] = ACTIONS(2139),
    [anon_sym___asm] = ACTIONS(2139),
    [sym_number_literal] = ACTIONS(2141),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2141),
    [anon_sym_u_DQUOTE] = ACTIONS(2141),
    [anon_sym_U_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8_DQUOTE] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [sym_true] = ACTIONS(2139),
    [sym_false] = ACTIONS(2139),
    [anon_sym_NULL] = ACTIONS(2139),
    [anon_sym_nullptr] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2139),
    [anon_sym_decltype] = ACTIONS(2139),
    [anon_sym_explicit] = ACTIONS(2139),
    [anon_sym_typename] = ACTIONS(2139),
    [anon_sym_template] = ACTIONS(2139),
    [anon_sym_operator] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_throw] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2139),
    [anon_sym_using] = ACTIONS(2139),
    [anon_sym_static_assert] = ACTIONS(2139),
    [anon_sym_concept] = ACTIONS(2139),
    [anon_sym_co_return] = ACTIONS(2139),
    [anon_sym_co_yield] = ACTIONS(2139),
    [anon_sym_R_DQUOTE] = ACTIONS(2141),
    [anon_sym_LR_DQUOTE] = ACTIONS(2141),
    [anon_sym_uR_DQUOTE] = ACTIONS(2141),
    [anon_sym_UR_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2141),
    [anon_sym_co_await] = ACTIONS(2139),
    [anon_sym_new] = ACTIONS(2139),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2139),
    [anon_sym_discard] = ACTIONS(2139),
    [anon_sym_precise] = ACTIONS(2139),
    [anon_sym_shared] = ACTIONS(2139),
    [anon_sym_groupshared] = ACTIONS(2139),
    [anon_sym_uniform] = ACTIONS(2139),
    [anon_sym_row_major] = ACTIONS(2139),
    [anon_sym_column_major] = ACTIONS(2139),
    [anon_sym_globallycoherent] = ACTIONS(2139),
    [anon_sym_centroid] = ACTIONS(2139),
    [anon_sym_noperspective] = ACTIONS(2139),
    [anon_sym_nointerpolation] = ACTIONS(2139),
    [anon_sym_sample] = ACTIONS(2139),
    [anon_sym_linear] = ACTIONS(2139),
    [anon_sym_snorm] = ACTIONS(2139),
    [anon_sym_unorm] = ACTIONS(2139),
    [anon_sym_point] = ACTIONS(2139),
    [anon_sym_line] = ACTIONS(2139),
    [anon_sym_triangleadj] = ACTIONS(2139),
    [anon_sym_lineadj] = ACTIONS(2139),
    [anon_sym_triangle] = ACTIONS(2139),
    [anon_sym_cbuffer] = ACTIONS(2139),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(2145),
    [sym_identifier] = ACTIONS(2143),
    [aux_sym_preproc_include_token1] = ACTIONS(2143),
    [aux_sym_preproc_def_token1] = ACTIONS(2143),
    [aux_sym_preproc_if_token1] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2143),
    [sym_preproc_directive] = ACTIONS(2143),
    [anon_sym_LPAREN2] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym___extension__] = ACTIONS(2143),
    [anon_sym_typedef] = ACTIONS(2143),
    [anon_sym_in] = ACTIONS(2143),
    [anon_sym_out] = ACTIONS(2143),
    [anon_sym_inout] = ACTIONS(2143),
    [anon_sym_virtual] = ACTIONS(2143),
    [anon_sym_extern] = ACTIONS(2143),
    [anon_sym___attribute__] = ACTIONS(2143),
    [anon_sym___attribute] = ACTIONS(2143),
    [anon_sym_COLON_COLON] = ACTIONS(2145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2145),
    [anon_sym___declspec] = ACTIONS(2143),
    [anon_sym___based] = ACTIONS(2143),
    [anon_sym___cdecl] = ACTIONS(2143),
    [anon_sym___clrcall] = ACTIONS(2143),
    [anon_sym___stdcall] = ACTIONS(2143),
    [anon_sym___fastcall] = ACTIONS(2143),
    [anon_sym___thiscall] = ACTIONS(2143),
    [anon_sym___vectorcall] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_register] = ACTIONS(2143),
    [anon_sym_inline] = ACTIONS(2143),
    [anon_sym___inline] = ACTIONS(2143),
    [anon_sym___inline__] = ACTIONS(2143),
    [anon_sym___forceinline] = ACTIONS(2143),
    [anon_sym_thread_local] = ACTIONS(2143),
    [anon_sym___thread] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_constexpr] = ACTIONS(2143),
    [anon_sym_volatile] = ACTIONS(2143),
    [anon_sym_restrict] = ACTIONS(2143),
    [anon_sym___restrict__] = ACTIONS(2143),
    [anon_sym__Atomic] = ACTIONS(2143),
    [anon_sym__Noreturn] = ACTIONS(2143),
    [anon_sym_noreturn] = ACTIONS(2143),
    [anon_sym__Nonnull] = ACTIONS(2143),
    [anon_sym_mutable] = ACTIONS(2143),
    [anon_sym_constinit] = ACTIONS(2143),
    [anon_sym_consteval] = ACTIONS(2143),
    [anon_sym_alignas] = ACTIONS(2143),
    [anon_sym__Alignas] = ACTIONS(2143),
    [sym_primitive_type] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_struct] = ACTIONS(2143),
    [anon_sym_union] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_goto] = ACTIONS(2143),
    [anon_sym___try] = ACTIONS(2143),
    [anon_sym___leave] = ACTIONS(2143),
    [anon_sym_not] = ACTIONS(2143),
    [anon_sym_compl] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_sizeof] = ACTIONS(2143),
    [anon_sym___alignof__] = ACTIONS(2143),
    [anon_sym___alignof] = ACTIONS(2143),
    [anon_sym__alignof] = ACTIONS(2143),
    [anon_sym_alignof] = ACTIONS(2143),
    [anon_sym__Alignof] = ACTIONS(2143),
    [anon_sym_offsetof] = ACTIONS(2143),
    [anon_sym__Generic] = ACTIONS(2143),
    [anon_sym_asm] = ACTIONS(2143),
    [anon_sym___asm__] = ACTIONS(2143),
    [anon_sym___asm] = ACTIONS(2143),
    [sym_number_literal] = ACTIONS(2145),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2145),
    [anon_sym_u_DQUOTE] = ACTIONS(2145),
    [anon_sym_U_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8_DQUOTE] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [anon_sym_NULL] = ACTIONS(2143),
    [anon_sym_nullptr] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2143),
    [anon_sym_decltype] = ACTIONS(2143),
    [anon_sym_explicit] = ACTIONS(2143),
    [anon_sym_typename] = ACTIONS(2143),
    [anon_sym_template] = ACTIONS(2143),
    [anon_sym_operator] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2143),
    [anon_sym_static_assert] = ACTIONS(2143),
    [anon_sym_concept] = ACTIONS(2143),
    [anon_sym_co_return] = ACTIONS(2143),
    [anon_sym_co_yield] = ACTIONS(2143),
    [anon_sym_R_DQUOTE] = ACTIONS(2145),
    [anon_sym_LR_DQUOTE] = ACTIONS(2145),
    [anon_sym_uR_DQUOTE] = ACTIONS(2145),
    [anon_sym_UR_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2145),
    [anon_sym_co_await] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [anon_sym_discard] = ACTIONS(2143),
    [anon_sym_precise] = ACTIONS(2143),
    [anon_sym_shared] = ACTIONS(2143),
    [anon_sym_groupshared] = ACTIONS(2143),
    [anon_sym_uniform] = ACTIONS(2143),
    [anon_sym_row_major] = ACTIONS(2143),
    [anon_sym_column_major] = ACTIONS(2143),
    [anon_sym_globallycoherent] = ACTIONS(2143),
    [anon_sym_centroid] = ACTIONS(2143),
    [anon_sym_noperspective] = ACTIONS(2143),
    [anon_sym_nointerpolation] = ACTIONS(2143),
    [anon_sym_sample] = ACTIONS(2143),
    [anon_sym_linear] = ACTIONS(2143),
    [anon_sym_snorm] = ACTIONS(2143),
    [anon_sym_unorm] = ACTIONS(2143),
    [anon_sym_point] = ACTIONS(2143),
    [anon_sym_line] = ACTIONS(2143),
    [anon_sym_triangleadj] = ACTIONS(2143),
    [anon_sym_lineadj] = ACTIONS(2143),
    [anon_sym_triangle] = ACTIONS(2143),
    [anon_sym_cbuffer] = ACTIONS(2143),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2147),
    [aux_sym_preproc_include_token1] = ACTIONS(2147),
    [aux_sym_preproc_def_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2147),
    [sym_preproc_directive] = ACTIONS(2147),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___extension__] = ACTIONS(2147),
    [anon_sym_typedef] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2147),
    [anon_sym_out] = ACTIONS(2147),
    [anon_sym_inout] = ACTIONS(2147),
    [anon_sym_virtual] = ACTIONS(2147),
    [anon_sym_extern] = ACTIONS(2147),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym___attribute] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2149),
    [anon_sym___declspec] = ACTIONS(2147),
    [anon_sym___based] = ACTIONS(2147),
    [anon_sym___cdecl] = ACTIONS(2147),
    [anon_sym___clrcall] = ACTIONS(2147),
    [anon_sym___stdcall] = ACTIONS(2147),
    [anon_sym___fastcall] = ACTIONS(2147),
    [anon_sym___thiscall] = ACTIONS(2147),
    [anon_sym___vectorcall] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_signed] = ACTIONS(2147),
    [anon_sym_unsigned] = ACTIONS(2147),
    [anon_sym_long] = ACTIONS(2147),
    [anon_sym_short] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_register] = ACTIONS(2147),
    [anon_sym_inline] = ACTIONS(2147),
    [anon_sym___inline] = ACTIONS(2147),
    [anon_sym___inline__] = ACTIONS(2147),
    [anon_sym___forceinline] = ACTIONS(2147),
    [anon_sym_thread_local] = ACTIONS(2147),
    [anon_sym___thread] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_constexpr] = ACTIONS(2147),
    [anon_sym_volatile] = ACTIONS(2147),
    [anon_sym_restrict] = ACTIONS(2147),
    [anon_sym___restrict__] = ACTIONS(2147),
    [anon_sym__Atomic] = ACTIONS(2147),
    [anon_sym__Noreturn] = ACTIONS(2147),
    [anon_sym_noreturn] = ACTIONS(2147),
    [anon_sym__Nonnull] = ACTIONS(2147),
    [anon_sym_mutable] = ACTIONS(2147),
    [anon_sym_constinit] = ACTIONS(2147),
    [anon_sym_consteval] = ACTIONS(2147),
    [anon_sym_alignas] = ACTIONS(2147),
    [anon_sym__Alignas] = ACTIONS(2147),
    [sym_primitive_type] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_struct] = ACTIONS(2147),
    [anon_sym_union] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_goto] = ACTIONS(2147),
    [anon_sym___try] = ACTIONS(2147),
    [anon_sym___leave] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2147),
    [anon_sym_compl] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2147),
    [anon_sym___alignof__] = ACTIONS(2147),
    [anon_sym___alignof] = ACTIONS(2147),
    [anon_sym__alignof] = ACTIONS(2147),
    [anon_sym_alignof] = ACTIONS(2147),
    [anon_sym__Alignof] = ACTIONS(2147),
    [anon_sym_offsetof] = ACTIONS(2147),
    [anon_sym__Generic] = ACTIONS(2147),
    [anon_sym_asm] = ACTIONS(2147),
    [anon_sym___asm__] = ACTIONS(2147),
    [anon_sym___asm] = ACTIONS(2147),
    [sym_number_literal] = ACTIONS(2149),
    [anon_sym_L_SQUOTE] = ACTIONS(2149),
    [anon_sym_u_SQUOTE] = ACTIONS(2149),
    [anon_sym_U_SQUOTE] = ACTIONS(2149),
    [anon_sym_u8_SQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_L_DQUOTE] = ACTIONS(2149),
    [anon_sym_u_DQUOTE] = ACTIONS(2149),
    [anon_sym_U_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8_DQUOTE] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2147),
    [anon_sym_nullptr] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2147),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_explicit] = ACTIONS(2147),
    [anon_sym_typename] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2147),
    [anon_sym_operator] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_static_assert] = ACTIONS(2147),
    [anon_sym_concept] = ACTIONS(2147),
    [anon_sym_co_return] = ACTIONS(2147),
    [anon_sym_co_yield] = ACTIONS(2147),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_requires] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [anon_sym_discard] = ACTIONS(2147),
    [anon_sym_precise] = ACTIONS(2147),
    [anon_sym_shared] = ACTIONS(2147),
    [anon_sym_groupshared] = ACTIONS(2147),
    [anon_sym_uniform] = ACTIONS(2147),
    [anon_sym_row_major] = ACTIONS(2147),
    [anon_sym_column_major] = ACTIONS(2147),
    [anon_sym_globallycoherent] = ACTIONS(2147),
    [anon_sym_centroid] = ACTIONS(2147),
    [anon_sym_noperspective] = ACTIONS(2147),
    [anon_sym_nointerpolation] = ACTIONS(2147),
    [anon_sym_sample] = ACTIONS(2147),
    [anon_sym_linear] = ACTIONS(2147),
    [anon_sym_snorm] = ACTIONS(2147),
    [anon_sym_unorm] = ACTIONS(2147),
    [anon_sym_point] = ACTIONS(2147),
    [anon_sym_line] = ACTIONS(2147),
    [anon_sym_triangleadj] = ACTIONS(2147),
    [anon_sym_lineadj] = ACTIONS(2147),
    [anon_sym_triangle] = ACTIONS(2147),
    [anon_sym_cbuffer] = ACTIONS(2147),
  },
  [551] = {
    [sym_identifier] = ACTIONS(2151),
    [aux_sym_preproc_include_token1] = ACTIONS(2151),
    [aux_sym_preproc_def_token1] = ACTIONS(2151),
    [aux_sym_preproc_if_token1] = ACTIONS(2151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2151),
    [sym_preproc_directive] = ACTIONS(2151),
    [anon_sym_LPAREN2] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(2153),
    [anon_sym_AMP_AMP] = ACTIONS(2153),
    [anon_sym_AMP] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym___extension__] = ACTIONS(2151),
    [anon_sym_typedef] = ACTIONS(2151),
    [anon_sym_in] = ACTIONS(2151),
    [anon_sym_out] = ACTIONS(2151),
    [anon_sym_inout] = ACTIONS(2151),
    [anon_sym_virtual] = ACTIONS(2151),
    [anon_sym_extern] = ACTIONS(2151),
    [anon_sym___attribute__] = ACTIONS(2151),
    [anon_sym___attribute] = ACTIONS(2151),
    [anon_sym_COLON_COLON] = ACTIONS(2153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2153),
    [anon_sym___declspec] = ACTIONS(2151),
    [anon_sym___based] = ACTIONS(2151),
    [anon_sym___cdecl] = ACTIONS(2151),
    [anon_sym___clrcall] = ACTIONS(2151),
    [anon_sym___stdcall] = ACTIONS(2151),
    [anon_sym___fastcall] = ACTIONS(2151),
    [anon_sym___thiscall] = ACTIONS(2151),
    [anon_sym___vectorcall] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_RBRACE] = ACTIONS(2153),
    [anon_sym_signed] = ACTIONS(2151),
    [anon_sym_unsigned] = ACTIONS(2151),
    [anon_sym_long] = ACTIONS(2151),
    [anon_sym_short] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [anon_sym_static] = ACTIONS(2151),
    [anon_sym_register] = ACTIONS(2151),
    [anon_sym_inline] = ACTIONS(2151),
    [anon_sym___inline] = ACTIONS(2151),
    [anon_sym___inline__] = ACTIONS(2151),
    [anon_sym___forceinline] = ACTIONS(2151),
    [anon_sym_thread_local] = ACTIONS(2151),
    [anon_sym___thread] = ACTIONS(2151),
    [anon_sym_const] = ACTIONS(2151),
    [anon_sym_constexpr] = ACTIONS(2151),
    [anon_sym_volatile] = ACTIONS(2151),
    [anon_sym_restrict] = ACTIONS(2151),
    [anon_sym___restrict__] = ACTIONS(2151),
    [anon_sym__Atomic] = ACTIONS(2151),
    [anon_sym__Noreturn] = ACTIONS(2151),
    [anon_sym_noreturn] = ACTIONS(2151),
    [anon_sym__Nonnull] = ACTIONS(2151),
    [anon_sym_mutable] = ACTIONS(2151),
    [anon_sym_constinit] = ACTIONS(2151),
    [anon_sym_consteval] = ACTIONS(2151),
    [anon_sym_alignas] = ACTIONS(2151),
    [anon_sym__Alignas] = ACTIONS(2151),
    [sym_primitive_type] = ACTIONS(2151),
    [anon_sym_enum] = ACTIONS(2151),
    [anon_sym_class] = ACTIONS(2151),
    [anon_sym_struct] = ACTIONS(2151),
    [anon_sym_union] = ACTIONS(2151),
    [anon_sym_if] = ACTIONS(2151),
    [anon_sym_else] = ACTIONS(2151),
    [anon_sym_switch] = ACTIONS(2151),
    [anon_sym_case] = ACTIONS(2151),
    [anon_sym_default] = ACTIONS(2151),
    [anon_sym_while] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2151),
    [anon_sym_for] = ACTIONS(2151),
    [anon_sym_return] = ACTIONS(2151),
    [anon_sym_break] = ACTIONS(2151),
    [anon_sym_continue] = ACTIONS(2151),
    [anon_sym_goto] = ACTIONS(2151),
    [anon_sym___try] = ACTIONS(2151),
    [anon_sym___leave] = ACTIONS(2151),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_sizeof] = ACTIONS(2151),
    [anon_sym___alignof__] = ACTIONS(2151),
    [anon_sym___alignof] = ACTIONS(2151),
    [anon_sym__alignof] = ACTIONS(2151),
    [anon_sym_alignof] = ACTIONS(2151),
    [anon_sym__Alignof] = ACTIONS(2151),
    [anon_sym_offsetof] = ACTIONS(2151),
    [anon_sym__Generic] = ACTIONS(2151),
    [anon_sym_asm] = ACTIONS(2151),
    [anon_sym___asm__] = ACTIONS(2151),
    [anon_sym___asm] = ACTIONS(2151),
    [sym_number_literal] = ACTIONS(2153),
    [anon_sym_L_SQUOTE] = ACTIONS(2153),
    [anon_sym_u_SQUOTE] = ACTIONS(2153),
    [anon_sym_U_SQUOTE] = ACTIONS(2153),
    [anon_sym_u8_SQUOTE] = ACTIONS(2153),
    [anon_sym_SQUOTE] = ACTIONS(2153),
    [anon_sym_L_DQUOTE] = ACTIONS(2153),
    [anon_sym_u_DQUOTE] = ACTIONS(2153),
    [anon_sym_U_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8_DQUOTE] = ACTIONS(2153),
    [anon_sym_DQUOTE] = ACTIONS(2153),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2151),
    [anon_sym_nullptr] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2151),
    [anon_sym_decltype] = ACTIONS(2151),
    [anon_sym_explicit] = ACTIONS(2151),
    [anon_sym_typename] = ACTIONS(2151),
    [anon_sym_template] = ACTIONS(2151),
    [anon_sym_operator] = ACTIONS(2151),
    [anon_sym_try] = ACTIONS(2151),
    [anon_sym_delete] = ACTIONS(2151),
    [anon_sym_throw] = ACTIONS(2151),
    [anon_sym_namespace] = ACTIONS(2151),
    [anon_sym_using] = ACTIONS(2151),
    [anon_sym_static_assert] = ACTIONS(2151),
    [anon_sym_concept] = ACTIONS(2151),
    [anon_sym_co_return] = ACTIONS(2151),
    [anon_sym_co_yield] = ACTIONS(2151),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2151),
    [anon_sym_new] = ACTIONS(2151),
    [anon_sym_requires] = ACTIONS(2151),
    [sym_this] = ACTIONS(2151),
    [anon_sym_discard] = ACTIONS(2151),
    [anon_sym_precise] = ACTIONS(2151),
    [anon_sym_shared] = ACTIONS(2151),
    [anon_sym_groupshared] = ACTIONS(2151),
    [anon_sym_uniform] = ACTIONS(2151),
    [anon_sym_row_major] = ACTIONS(2151),
    [anon_sym_column_major] = ACTIONS(2151),
    [anon_sym_globallycoherent] = ACTIONS(2151),
    [anon_sym_centroid] = ACTIONS(2151),
    [anon_sym_noperspective] = ACTIONS(2151),
    [anon_sym_nointerpolation] = ACTIONS(2151),
    [anon_sym_sample] = ACTIONS(2151),
    [anon_sym_linear] = ACTIONS(2151),
    [anon_sym_snorm] = ACTIONS(2151),
    [anon_sym_unorm] = ACTIONS(2151),
    [anon_sym_point] = ACTIONS(2151),
    [anon_sym_line] = ACTIONS(2151),
    [anon_sym_triangleadj] = ACTIONS(2151),
    [anon_sym_lineadj] = ACTIONS(2151),
    [anon_sym_triangle] = ACTIONS(2151),
    [anon_sym_cbuffer] = ACTIONS(2151),
  },
  [552] = {
    [sym_identifier] = ACTIONS(2155),
    [aux_sym_preproc_include_token1] = ACTIONS(2155),
    [aux_sym_preproc_def_token1] = ACTIONS(2155),
    [aux_sym_preproc_if_token1] = ACTIONS(2155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2155),
    [sym_preproc_directive] = ACTIONS(2155),
    [anon_sym_LPAREN2] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym___extension__] = ACTIONS(2155),
    [anon_sym_typedef] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2155),
    [anon_sym_out] = ACTIONS(2155),
    [anon_sym_inout] = ACTIONS(2155),
    [anon_sym_virtual] = ACTIONS(2155),
    [anon_sym_extern] = ACTIONS(2155),
    [anon_sym___attribute__] = ACTIONS(2155),
    [anon_sym___attribute] = ACTIONS(2155),
    [anon_sym_COLON_COLON] = ACTIONS(2157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2157),
    [anon_sym___declspec] = ACTIONS(2155),
    [anon_sym___based] = ACTIONS(2155),
    [anon_sym___cdecl] = ACTIONS(2155),
    [anon_sym___clrcall] = ACTIONS(2155),
    [anon_sym___stdcall] = ACTIONS(2155),
    [anon_sym___fastcall] = ACTIONS(2155),
    [anon_sym___thiscall] = ACTIONS(2155),
    [anon_sym___vectorcall] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2157),
    [anon_sym_signed] = ACTIONS(2155),
    [anon_sym_unsigned] = ACTIONS(2155),
    [anon_sym_long] = ACTIONS(2155),
    [anon_sym_short] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_register] = ACTIONS(2155),
    [anon_sym_inline] = ACTIONS(2155),
    [anon_sym___inline] = ACTIONS(2155),
    [anon_sym___inline__] = ACTIONS(2155),
    [anon_sym___forceinline] = ACTIONS(2155),
    [anon_sym_thread_local] = ACTIONS(2155),
    [anon_sym___thread] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_constexpr] = ACTIONS(2155),
    [anon_sym_volatile] = ACTIONS(2155),
    [anon_sym_restrict] = ACTIONS(2155),
    [anon_sym___restrict__] = ACTIONS(2155),
    [anon_sym__Atomic] = ACTIONS(2155),
    [anon_sym__Noreturn] = ACTIONS(2155),
    [anon_sym_noreturn] = ACTIONS(2155),
    [anon_sym__Nonnull] = ACTIONS(2155),
    [anon_sym_mutable] = ACTIONS(2155),
    [anon_sym_constinit] = ACTIONS(2155),
    [anon_sym_consteval] = ACTIONS(2155),
    [anon_sym_alignas] = ACTIONS(2155),
    [anon_sym__Alignas] = ACTIONS(2155),
    [sym_primitive_type] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_struct] = ACTIONS(2155),
    [anon_sym_union] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_goto] = ACTIONS(2155),
    [anon_sym___try] = ACTIONS(2155),
    [anon_sym___leave] = ACTIONS(2155),
    [anon_sym_not] = ACTIONS(2155),
    [anon_sym_compl] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_sizeof] = ACTIONS(2155),
    [anon_sym___alignof__] = ACTIONS(2155),
    [anon_sym___alignof] = ACTIONS(2155),
    [anon_sym__alignof] = ACTIONS(2155),
    [anon_sym_alignof] = ACTIONS(2155),
    [anon_sym__Alignof] = ACTIONS(2155),
    [anon_sym_offsetof] = ACTIONS(2155),
    [anon_sym__Generic] = ACTIONS(2155),
    [anon_sym_asm] = ACTIONS(2155),
    [anon_sym___asm__] = ACTIONS(2155),
    [anon_sym___asm] = ACTIONS(2155),
    [sym_number_literal] = ACTIONS(2157),
    [anon_sym_L_SQUOTE] = ACTIONS(2157),
    [anon_sym_u_SQUOTE] = ACTIONS(2157),
    [anon_sym_U_SQUOTE] = ACTIONS(2157),
    [anon_sym_u8_SQUOTE] = ACTIONS(2157),
    [anon_sym_SQUOTE] = ACTIONS(2157),
    [anon_sym_L_DQUOTE] = ACTIONS(2157),
    [anon_sym_u_DQUOTE] = ACTIONS(2157),
    [anon_sym_U_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8_DQUOTE] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2157),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [anon_sym_NULL] = ACTIONS(2155),
    [anon_sym_nullptr] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2155),
    [anon_sym_decltype] = ACTIONS(2155),
    [anon_sym_explicit] = ACTIONS(2155),
    [anon_sym_typename] = ACTIONS(2155),
    [anon_sym_template] = ACTIONS(2155),
    [anon_sym_operator] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_static_assert] = ACTIONS(2155),
    [anon_sym_concept] = ACTIONS(2155),
    [anon_sym_co_return] = ACTIONS(2155),
    [anon_sym_co_yield] = ACTIONS(2155),
    [anon_sym_R_DQUOTE] = ACTIONS(2157),
    [anon_sym_LR_DQUOTE] = ACTIONS(2157),
    [anon_sym_uR_DQUOTE] = ACTIONS(2157),
    [anon_sym_UR_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2157),
    [anon_sym_co_await] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [anon_sym_discard] = ACTIONS(2155),
    [anon_sym_precise] = ACTIONS(2155),
    [anon_sym_shared] = ACTIONS(2155),
    [anon_sym_groupshared] = ACTIONS(2155),
    [anon_sym_uniform] = ACTIONS(2155),
    [anon_sym_row_major] = ACTIONS(2155),
    [anon_sym_column_major] = ACTIONS(2155),
    [anon_sym_globallycoherent] = ACTIONS(2155),
    [anon_sym_centroid] = ACTIONS(2155),
    [anon_sym_noperspective] = ACTIONS(2155),
    [anon_sym_nointerpolation] = ACTIONS(2155),
    [anon_sym_sample] = ACTIONS(2155),
    [anon_sym_linear] = ACTIONS(2155),
    [anon_sym_snorm] = ACTIONS(2155),
    [anon_sym_unorm] = ACTIONS(2155),
    [anon_sym_point] = ACTIONS(2155),
    [anon_sym_line] = ACTIONS(2155),
    [anon_sym_triangleadj] = ACTIONS(2155),
    [anon_sym_lineadj] = ACTIONS(2155),
    [anon_sym_triangle] = ACTIONS(2155),
    [anon_sym_cbuffer] = ACTIONS(2155),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(2161),
    [sym_identifier] = ACTIONS(2159),
    [aux_sym_preproc_include_token1] = ACTIONS(2159),
    [aux_sym_preproc_def_token1] = ACTIONS(2159),
    [aux_sym_preproc_if_token1] = ACTIONS(2159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2159),
    [sym_preproc_directive] = ACTIONS(2159),
    [anon_sym_LPAREN2] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_STAR] = ACTIONS(2161),
    [anon_sym_AMP_AMP] = ACTIONS(2161),
    [anon_sym_AMP] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym___extension__] = ACTIONS(2159),
    [anon_sym_typedef] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_virtual] = ACTIONS(2159),
    [anon_sym_extern] = ACTIONS(2159),
    [anon_sym___attribute__] = ACTIONS(2159),
    [anon_sym___attribute] = ACTIONS(2159),
    [anon_sym_COLON_COLON] = ACTIONS(2161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2161),
    [anon_sym___declspec] = ACTIONS(2159),
    [anon_sym___based] = ACTIONS(2159),
    [anon_sym___cdecl] = ACTIONS(2159),
    [anon_sym___clrcall] = ACTIONS(2159),
    [anon_sym___stdcall] = ACTIONS(2159),
    [anon_sym___fastcall] = ACTIONS(2159),
    [anon_sym___thiscall] = ACTIONS(2159),
    [anon_sym___vectorcall] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_signed] = ACTIONS(2159),
    [anon_sym_unsigned] = ACTIONS(2159),
    [anon_sym_long] = ACTIONS(2159),
    [anon_sym_short] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_register] = ACTIONS(2159),
    [anon_sym_inline] = ACTIONS(2159),
    [anon_sym___inline] = ACTIONS(2159),
    [anon_sym___inline__] = ACTIONS(2159),
    [anon_sym___forceinline] = ACTIONS(2159),
    [anon_sym_thread_local] = ACTIONS(2159),
    [anon_sym___thread] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_constexpr] = ACTIONS(2159),
    [anon_sym_volatile] = ACTIONS(2159),
    [anon_sym_restrict] = ACTIONS(2159),
    [anon_sym___restrict__] = ACTIONS(2159),
    [anon_sym__Atomic] = ACTIONS(2159),
    [anon_sym__Noreturn] = ACTIONS(2159),
    [anon_sym_noreturn] = ACTIONS(2159),
    [anon_sym__Nonnull] = ACTIONS(2159),
    [anon_sym_mutable] = ACTIONS(2159),
    [anon_sym_constinit] = ACTIONS(2159),
    [anon_sym_consteval] = ACTIONS(2159),
    [anon_sym_alignas] = ACTIONS(2159),
    [anon_sym__Alignas] = ACTIONS(2159),
    [sym_primitive_type] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_struct] = ACTIONS(2159),
    [anon_sym_union] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym_default] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_goto] = ACTIONS(2159),
    [anon_sym___try] = ACTIONS(2159),
    [anon_sym___leave] = ACTIONS(2159),
    [anon_sym_not] = ACTIONS(2159),
    [anon_sym_compl] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2159),
    [anon_sym___alignof] = ACTIONS(2159),
    [anon_sym__alignof] = ACTIONS(2159),
    [anon_sym_alignof] = ACTIONS(2159),
    [anon_sym__Alignof] = ACTIONS(2159),
    [anon_sym_offsetof] = ACTIONS(2159),
    [anon_sym__Generic] = ACTIONS(2159),
    [anon_sym_asm] = ACTIONS(2159),
    [anon_sym___asm__] = ACTIONS(2159),
    [anon_sym___asm] = ACTIONS(2159),
    [sym_number_literal] = ACTIONS(2161),
    [anon_sym_L_SQUOTE] = ACTIONS(2161),
    [anon_sym_u_SQUOTE] = ACTIONS(2161),
    [anon_sym_U_SQUOTE] = ACTIONS(2161),
    [anon_sym_u8_SQUOTE] = ACTIONS(2161),
    [anon_sym_SQUOTE] = ACTIONS(2161),
    [anon_sym_L_DQUOTE] = ACTIONS(2161),
    [anon_sym_u_DQUOTE] = ACTIONS(2161),
    [anon_sym_U_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8_DQUOTE] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2161),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [anon_sym_NULL] = ACTIONS(2159),
    [anon_sym_nullptr] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2159),
    [anon_sym_decltype] = ACTIONS(2159),
    [anon_sym_explicit] = ACTIONS(2159),
    [anon_sym_typename] = ACTIONS(2159),
    [anon_sym_template] = ACTIONS(2159),
    [anon_sym_operator] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_namespace] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(2159),
    [anon_sym_static_assert] = ACTIONS(2159),
    [anon_sym_concept] = ACTIONS(2159),
    [anon_sym_co_return] = ACTIONS(2159),
    [anon_sym_co_yield] = ACTIONS(2159),
    [anon_sym_R_DQUOTE] = ACTIONS(2161),
    [anon_sym_LR_DQUOTE] = ACTIONS(2161),
    [anon_sym_uR_DQUOTE] = ACTIONS(2161),
    [anon_sym_UR_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2161),
    [anon_sym_co_await] = ACTIONS(2159),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [anon_sym_discard] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_groupshared] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_row_major] = ACTIONS(2159),
    [anon_sym_column_major] = ACTIONS(2159),
    [anon_sym_globallycoherent] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym_nointerpolation] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_linear] = ACTIONS(2159),
    [anon_sym_snorm] = ACTIONS(2159),
    [anon_sym_unorm] = ACTIONS(2159),
    [anon_sym_point] = ACTIONS(2159),
    [anon_sym_line] = ACTIONS(2159),
    [anon_sym_triangleadj] = ACTIONS(2159),
    [anon_sym_lineadj] = ACTIONS(2159),
    [anon_sym_triangle] = ACTIONS(2159),
    [anon_sym_cbuffer] = ACTIONS(2159),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2320),
    [aux_sym_preproc_include_token1] = ACTIONS(2320),
    [aux_sym_preproc_def_token1] = ACTIONS(2320),
    [aux_sym_preproc_if_token1] = ACTIONS(2320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2320),
    [sym_preproc_directive] = ACTIONS(2320),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2322),
    [anon_sym_TILDE] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2322),
    [anon_sym_AMP_AMP] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(2320),
    [anon_sym_typedef] = ACTIONS(2320),
    [anon_sym_in] = ACTIONS(2320),
    [anon_sym_out] = ACTIONS(2320),
    [anon_sym_inout] = ACTIONS(2320),
    [anon_sym_virtual] = ACTIONS(2320),
    [anon_sym_extern] = ACTIONS(2320),
    [anon_sym___attribute__] = ACTIONS(2320),
    [anon_sym___attribute] = ACTIONS(2320),
    [anon_sym_COLON_COLON] = ACTIONS(2322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2322),
    [anon_sym___declspec] = ACTIONS(2320),
    [anon_sym___based] = ACTIONS(2320),
    [anon_sym___cdecl] = ACTIONS(2320),
    [anon_sym___clrcall] = ACTIONS(2320),
    [anon_sym___stdcall] = ACTIONS(2320),
    [anon_sym___fastcall] = ACTIONS(2320),
    [anon_sym___thiscall] = ACTIONS(2320),
    [anon_sym___vectorcall] = ACTIONS(2320),
    [anon_sym_LBRACE] = ACTIONS(2322),
    [anon_sym_signed] = ACTIONS(2320),
    [anon_sym_unsigned] = ACTIONS(2320),
    [anon_sym_long] = ACTIONS(2320),
    [anon_sym_short] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_static] = ACTIONS(2320),
    [anon_sym_register] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(2320),
    [anon_sym___inline] = ACTIONS(2320),
    [anon_sym___inline__] = ACTIONS(2320),
    [anon_sym___forceinline] = ACTIONS(2320),
    [anon_sym_thread_local] = ACTIONS(2320),
    [anon_sym___thread] = ACTIONS(2320),
    [anon_sym_const] = ACTIONS(2320),
    [anon_sym_constexpr] = ACTIONS(2320),
    [anon_sym_volatile] = ACTIONS(2320),
    [anon_sym_restrict] = ACTIONS(2320),
    [anon_sym___restrict__] = ACTIONS(2320),
    [anon_sym__Atomic] = ACTIONS(2320),
    [anon_sym__Noreturn] = ACTIONS(2320),
    [anon_sym_noreturn] = ACTIONS(2320),
    [anon_sym__Nonnull] = ACTIONS(2320),
    [anon_sym_mutable] = ACTIONS(2320),
    [anon_sym_constinit] = ACTIONS(2320),
    [anon_sym_consteval] = ACTIONS(2320),
    [anon_sym_alignas] = ACTIONS(2320),
    [anon_sym__Alignas] = ACTIONS(2320),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2320),
    [anon_sym_class] = ACTIONS(2320),
    [anon_sym_struct] = ACTIONS(2320),
    [anon_sym_union] = ACTIONS(2320),
    [anon_sym_if] = ACTIONS(2320),
    [anon_sym_else] = ACTIONS(2320),
    [anon_sym_switch] = ACTIONS(2320),
    [anon_sym_case] = ACTIONS(2320),
    [anon_sym_default] = ACTIONS(2320),
    [anon_sym_while] = ACTIONS(2320),
    [anon_sym_do] = ACTIONS(2320),
    [anon_sym_for] = ACTIONS(2320),
    [anon_sym_return] = ACTIONS(2320),
    [anon_sym_break] = ACTIONS(2320),
    [anon_sym_continue] = ACTIONS(2320),
    [anon_sym_goto] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2320),
    [anon_sym___leave] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2320),
    [anon_sym_compl] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_sizeof] = ACTIONS(2320),
    [anon_sym___alignof__] = ACTIONS(2320),
    [anon_sym___alignof] = ACTIONS(2320),
    [anon_sym__alignof] = ACTIONS(2320),
    [anon_sym_alignof] = ACTIONS(2320),
    [anon_sym__Alignof] = ACTIONS(2320),
    [anon_sym_offsetof] = ACTIONS(2320),
    [anon_sym__Generic] = ACTIONS(2320),
    [anon_sym_asm] = ACTIONS(2320),
    [anon_sym___asm__] = ACTIONS(2320),
    [anon_sym___asm] = ACTIONS(2320),
    [sym_number_literal] = ACTIONS(2322),
    [anon_sym_L_SQUOTE] = ACTIONS(2322),
    [anon_sym_u_SQUOTE] = ACTIONS(2322),
    [anon_sym_U_SQUOTE] = ACTIONS(2322),
    [anon_sym_u8_SQUOTE] = ACTIONS(2322),
    [anon_sym_SQUOTE] = ACTIONS(2322),
    [anon_sym_L_DQUOTE] = ACTIONS(2322),
    [anon_sym_u_DQUOTE] = ACTIONS(2322),
    [anon_sym_U_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8_DQUOTE] = ACTIONS(2322),
    [anon_sym_DQUOTE] = ACTIONS(2322),
    [sym_true] = ACTIONS(2320),
    [sym_false] = ACTIONS(2320),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2320),
    [anon_sym_decltype] = ACTIONS(2320),
    [anon_sym_explicit] = ACTIONS(2320),
    [anon_sym_typename] = ACTIONS(2320),
    [anon_sym_template] = ACTIONS(2320),
    [anon_sym_operator] = ACTIONS(2320),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_delete] = ACTIONS(2320),
    [anon_sym_throw] = ACTIONS(2320),
    [anon_sym_namespace] = ACTIONS(2320),
    [anon_sym_using] = ACTIONS(2320),
    [anon_sym_static_assert] = ACTIONS(2320),
    [anon_sym_concept] = ACTIONS(2320),
    [anon_sym_co_return] = ACTIONS(2320),
    [anon_sym_co_yield] = ACTIONS(2320),
    [anon_sym_R_DQUOTE] = ACTIONS(2322),
    [anon_sym_LR_DQUOTE] = ACTIONS(2322),
    [anon_sym_uR_DQUOTE] = ACTIONS(2322),
    [anon_sym_UR_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2322),
    [anon_sym_co_await] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(2320),
    [anon_sym_requires] = ACTIONS(2320),
    [sym_this] = ACTIONS(2320),
    [anon_sym_discard] = ACTIONS(2320),
    [anon_sym_precise] = ACTIONS(2320),
    [anon_sym_shared] = ACTIONS(2320),
    [anon_sym_groupshared] = ACTIONS(2320),
    [anon_sym_uniform] = ACTIONS(2320),
    [anon_sym_row_major] = ACTIONS(2320),
    [anon_sym_column_major] = ACTIONS(2320),
    [anon_sym_globallycoherent] = ACTIONS(2320),
    [anon_sym_centroid] = ACTIONS(2320),
    [anon_sym_noperspective] = ACTIONS(2320),
    [anon_sym_nointerpolation] = ACTIONS(2320),
    [anon_sym_sample] = ACTIONS(2320),
    [anon_sym_linear] = ACTIONS(2320),
    [anon_sym_snorm] = ACTIONS(2320),
    [anon_sym_unorm] = ACTIONS(2320),
    [anon_sym_point] = ACTIONS(2320),
    [anon_sym_line] = ACTIONS(2320),
    [anon_sym_triangleadj] = ACTIONS(2320),
    [anon_sym_lineadj] = ACTIONS(2320),
    [anon_sym_triangle] = ACTIONS(2320),
    [anon_sym_cbuffer] = ACTIONS(2320),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2324),
    [aux_sym_preproc_include_token1] = ACTIONS(2324),
    [aux_sym_preproc_def_token1] = ACTIONS(2324),
    [aux_sym_preproc_if_token1] = ACTIONS(2324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2324),
    [sym_preproc_directive] = ACTIONS(2324),
    [anon_sym_LPAREN2] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_TILDE] = ACTIONS(2326),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2326),
    [anon_sym_AMP_AMP] = ACTIONS(2326),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2324),
    [anon_sym_typedef] = ACTIONS(2324),
    [anon_sym_in] = ACTIONS(2324),
    [anon_sym_out] = ACTIONS(2324),
    [anon_sym_inout] = ACTIONS(2324),
    [anon_sym_virtual] = ACTIONS(2324),
    [anon_sym_extern] = ACTIONS(2324),
    [anon_sym___attribute__] = ACTIONS(2324),
    [anon_sym___attribute] = ACTIONS(2324),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2326),
    [anon_sym___declspec] = ACTIONS(2324),
    [anon_sym___based] = ACTIONS(2324),
    [anon_sym___cdecl] = ACTIONS(2324),
    [anon_sym___clrcall] = ACTIONS(2324),
    [anon_sym___stdcall] = ACTIONS(2324),
    [anon_sym___fastcall] = ACTIONS(2324),
    [anon_sym___thiscall] = ACTIONS(2324),
    [anon_sym___vectorcall] = ACTIONS(2324),
    [anon_sym_LBRACE] = ACTIONS(2326),
    [anon_sym_signed] = ACTIONS(2324),
    [anon_sym_unsigned] = ACTIONS(2324),
    [anon_sym_long] = ACTIONS(2324),
    [anon_sym_short] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_static] = ACTIONS(2324),
    [anon_sym_register] = ACTIONS(2324),
    [anon_sym_inline] = ACTIONS(2324),
    [anon_sym___inline] = ACTIONS(2324),
    [anon_sym___inline__] = ACTIONS(2324),
    [anon_sym___forceinline] = ACTIONS(2324),
    [anon_sym_thread_local] = ACTIONS(2324),
    [anon_sym___thread] = ACTIONS(2324),
    [anon_sym_const] = ACTIONS(2324),
    [anon_sym_constexpr] = ACTIONS(2324),
    [anon_sym_volatile] = ACTIONS(2324),
    [anon_sym_restrict] = ACTIONS(2324),
    [anon_sym___restrict__] = ACTIONS(2324),
    [anon_sym__Atomic] = ACTIONS(2324),
    [anon_sym__Noreturn] = ACTIONS(2324),
    [anon_sym_noreturn] = ACTIONS(2324),
    [anon_sym__Nonnull] = ACTIONS(2324),
    [anon_sym_mutable] = ACTIONS(2324),
    [anon_sym_constinit] = ACTIONS(2324),
    [anon_sym_consteval] = ACTIONS(2324),
    [anon_sym_alignas] = ACTIONS(2324),
    [anon_sym__Alignas] = ACTIONS(2324),
    [sym_primitive_type] = ACTIONS(2324),
    [anon_sym_enum] = ACTIONS(2324),
    [anon_sym_class] = ACTIONS(2324),
    [anon_sym_struct] = ACTIONS(2324),
    [anon_sym_union] = ACTIONS(2324),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_else] = ACTIONS(2324),
    [anon_sym_switch] = ACTIONS(2324),
    [anon_sym_case] = ACTIONS(2324),
    [anon_sym_default] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2324),
    [anon_sym_do] = ACTIONS(2324),
    [anon_sym_for] = ACTIONS(2324),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_break] = ACTIONS(2324),
    [anon_sym_continue] = ACTIONS(2324),
    [anon_sym_goto] = ACTIONS(2324),
    [anon_sym___try] = ACTIONS(2324),
    [anon_sym___leave] = ACTIONS(2324),
    [anon_sym_not] = ACTIONS(2324),
    [anon_sym_compl] = ACTIONS(2324),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_sizeof] = ACTIONS(2324),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2324),
    [anon_sym__Generic] = ACTIONS(2324),
    [anon_sym_asm] = ACTIONS(2324),
    [anon_sym___asm__] = ACTIONS(2324),
    [anon_sym___asm] = ACTIONS(2324),
    [sym_number_literal] = ACTIONS(2326),
    [anon_sym_L_SQUOTE] = ACTIONS(2326),
    [anon_sym_u_SQUOTE] = ACTIONS(2326),
    [anon_sym_U_SQUOTE] = ACTIONS(2326),
    [anon_sym_u8_SQUOTE] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym_L_DQUOTE] = ACTIONS(2326),
    [anon_sym_u_DQUOTE] = ACTIONS(2326),
    [anon_sym_U_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8_DQUOTE] = ACTIONS(2326),
    [anon_sym_DQUOTE] = ACTIONS(2326),
    [sym_true] = ACTIONS(2324),
    [sym_false] = ACTIONS(2324),
    [anon_sym_NULL] = ACTIONS(2324),
    [anon_sym_nullptr] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2324),
    [anon_sym_decltype] = ACTIONS(2324),
    [anon_sym_explicit] = ACTIONS(2324),
    [anon_sym_typename] = ACTIONS(2324),
    [anon_sym_template] = ACTIONS(2324),
    [anon_sym_operator] = ACTIONS(2324),
    [anon_sym_try] = ACTIONS(2324),
    [anon_sym_delete] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2324),
    [anon_sym_namespace] = ACTIONS(2324),
    [anon_sym_using] = ACTIONS(2324),
    [anon_sym_static_assert] = ACTIONS(2324),
    [anon_sym_concept] = ACTIONS(2324),
    [anon_sym_co_return] = ACTIONS(2324),
    [anon_sym_co_yield] = ACTIONS(2324),
    [anon_sym_R_DQUOTE] = ACTIONS(2326),
    [anon_sym_LR_DQUOTE] = ACTIONS(2326),
    [anon_sym_uR_DQUOTE] = ACTIONS(2326),
    [anon_sym_UR_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2326),
    [anon_sym_co_await] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2324),
    [anon_sym_requires] = ACTIONS(2324),
    [sym_this] = ACTIONS(2324),
    [anon_sym_discard] = ACTIONS(2324),
    [anon_sym_precise] = ACTIONS(2324),
    [anon_sym_shared] = ACTIONS(2324),
    [anon_sym_groupshared] = ACTIONS(2324),
    [anon_sym_uniform] = ACTIONS(2324),
    [anon_sym_row_major] = ACTIONS(2324),
    [anon_sym_column_major] = ACTIONS(2324),
    [anon_sym_globallycoherent] = ACTIONS(2324),
    [anon_sym_centroid] = ACTIONS(2324),
    [anon_sym_noperspective] = ACTIONS(2324),
    [anon_sym_nointerpolation] = ACTIONS(2324),
    [anon_sym_sample] = ACTIONS(2324),
    [anon_sym_linear] = ACTIONS(2324),
    [anon_sym_snorm] = ACTIONS(2324),
    [anon_sym_unorm] = ACTIONS(2324),
    [anon_sym_point] = ACTIONS(2324),
    [anon_sym_line] = ACTIONS(2324),
    [anon_sym_triangleadj] = ACTIONS(2324),
    [anon_sym_lineadj] = ACTIONS(2324),
    [anon_sym_triangle] = ACTIONS(2324),
    [anon_sym_cbuffer] = ACTIONS(2324),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2123),
    [aux_sym_preproc_include_token1] = ACTIONS(2123),
    [aux_sym_preproc_def_token1] = ACTIONS(2123),
    [aux_sym_preproc_if_token1] = ACTIONS(2123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2123),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_AMP_AMP] = ACTIONS(2125),
    [anon_sym_AMP] = ACTIONS(2123),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym___extension__] = ACTIONS(2123),
    [anon_sym_typedef] = ACTIONS(2123),
    [anon_sym_in] = ACTIONS(2123),
    [anon_sym_out] = ACTIONS(2123),
    [anon_sym_inout] = ACTIONS(2123),
    [anon_sym_virtual] = ACTIONS(2123),
    [anon_sym_extern] = ACTIONS(2123),
    [anon_sym___attribute__] = ACTIONS(2123),
    [anon_sym___attribute] = ACTIONS(2123),
    [anon_sym_COLON_COLON] = ACTIONS(2125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2125),
    [anon_sym___declspec] = ACTIONS(2123),
    [anon_sym___based] = ACTIONS(2123),
    [anon_sym___cdecl] = ACTIONS(2123),
    [anon_sym___clrcall] = ACTIONS(2123),
    [anon_sym___stdcall] = ACTIONS(2123),
    [anon_sym___fastcall] = ACTIONS(2123),
    [anon_sym___thiscall] = ACTIONS(2123),
    [anon_sym___vectorcall] = ACTIONS(2123),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_signed] = ACTIONS(2123),
    [anon_sym_unsigned] = ACTIONS(2123),
    [anon_sym_long] = ACTIONS(2123),
    [anon_sym_short] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_static] = ACTIONS(2123),
    [anon_sym_register] = ACTIONS(2123),
    [anon_sym_inline] = ACTIONS(2123),
    [anon_sym___inline] = ACTIONS(2123),
    [anon_sym___inline__] = ACTIONS(2123),
    [anon_sym___forceinline] = ACTIONS(2123),
    [anon_sym_thread_local] = ACTIONS(2123),
    [anon_sym___thread] = ACTIONS(2123),
    [anon_sym_const] = ACTIONS(2123),
    [anon_sym_constexpr] = ACTIONS(2123),
    [anon_sym_volatile] = ACTIONS(2123),
    [anon_sym_restrict] = ACTIONS(2123),
    [anon_sym___restrict__] = ACTIONS(2123),
    [anon_sym__Atomic] = ACTIONS(2123),
    [anon_sym__Noreturn] = ACTIONS(2123),
    [anon_sym_noreturn] = ACTIONS(2123),
    [anon_sym__Nonnull] = ACTIONS(2123),
    [anon_sym_mutable] = ACTIONS(2123),
    [anon_sym_constinit] = ACTIONS(2123),
    [anon_sym_consteval] = ACTIONS(2123),
    [anon_sym_alignas] = ACTIONS(2123),
    [anon_sym__Alignas] = ACTIONS(2123),
    [sym_primitive_type] = ACTIONS(2123),
    [anon_sym_enum] = ACTIONS(2123),
    [anon_sym_class] = ACTIONS(2123),
    [anon_sym_struct] = ACTIONS(2123),
    [anon_sym_union] = ACTIONS(2123),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(2123),
    [anon_sym_switch] = ACTIONS(2123),
    [anon_sym_case] = ACTIONS(2123),
    [anon_sym_default] = ACTIONS(2123),
    [anon_sym_while] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2123),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_return] = ACTIONS(2123),
    [anon_sym_break] = ACTIONS(2123),
    [anon_sym_continue] = ACTIONS(2123),
    [anon_sym_goto] = ACTIONS(2123),
    [anon_sym___try] = ACTIONS(2123),
    [anon_sym___leave] = ACTIONS(2123),
    [anon_sym_not] = ACTIONS(2123),
    [anon_sym_compl] = ACTIONS(2123),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_sizeof] = ACTIONS(2123),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2123),
    [anon_sym_asm] = ACTIONS(2123),
    [anon_sym___asm__] = ACTIONS(2123),
    [anon_sym___asm] = ACTIONS(2123),
    [sym_number_literal] = ACTIONS(2125),
    [anon_sym_L_SQUOTE] = ACTIONS(2125),
    [anon_sym_u_SQUOTE] = ACTIONS(2125),
    [anon_sym_U_SQUOTE] = ACTIONS(2125),
    [anon_sym_u8_SQUOTE] = ACTIONS(2125),
    [anon_sym_SQUOTE] = ACTIONS(2125),
    [anon_sym_L_DQUOTE] = ACTIONS(2125),
    [anon_sym_u_DQUOTE] = ACTIONS(2125),
    [anon_sym_U_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8_DQUOTE] = ACTIONS(2125),
    [anon_sym_DQUOTE] = ACTIONS(2125),
    [sym_true] = ACTIONS(2123),
    [sym_false] = ACTIONS(2123),
    [anon_sym_NULL] = ACTIONS(2123),
    [anon_sym_nullptr] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2123),
    [anon_sym_decltype] = ACTIONS(2123),
    [anon_sym_explicit] = ACTIONS(2123),
    [anon_sym_typename] = ACTIONS(2123),
    [anon_sym_template] = ACTIONS(2123),
    [anon_sym_operator] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2123),
    [anon_sym_delete] = ACTIONS(2123),
    [anon_sym_throw] = ACTIONS(2123),
    [anon_sym_namespace] = ACTIONS(2123),
    [anon_sym_using] = ACTIONS(2123),
    [anon_sym_static_assert] = ACTIONS(2123),
    [anon_sym_concept] = ACTIONS(2123),
    [anon_sym_co_return] = ACTIONS(2123),
    [anon_sym_co_yield] = ACTIONS(2123),
    [anon_sym_R_DQUOTE] = ACTIONS(2125),
    [anon_sym_LR_DQUOTE] = ACTIONS(2125),
    [anon_sym_uR_DQUOTE] = ACTIONS(2125),
    [anon_sym_UR_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2125),
    [anon_sym_co_await] = ACTIONS(2123),
    [anon_sym_new] = ACTIONS(2123),
    [anon_sym_requires] = ACTIONS(2123),
    [sym_this] = ACTIONS(2123),
    [anon_sym_discard] = ACTIONS(2123),
    [anon_sym_precise] = ACTIONS(2123),
    [anon_sym_shared] = ACTIONS(2123),
    [anon_sym_groupshared] = ACTIONS(2123),
    [anon_sym_uniform] = ACTIONS(2123),
    [anon_sym_row_major] = ACTIONS(2123),
    [anon_sym_column_major] = ACTIONS(2123),
    [anon_sym_globallycoherent] = ACTIONS(2123),
    [anon_sym_centroid] = ACTIONS(2123),
    [anon_sym_noperspective] = ACTIONS(2123),
    [anon_sym_nointerpolation] = ACTIONS(2123),
    [anon_sym_sample] = ACTIONS(2123),
    [anon_sym_linear] = ACTIONS(2123),
    [anon_sym_snorm] = ACTIONS(2123),
    [anon_sym_unorm] = ACTIONS(2123),
    [anon_sym_point] = ACTIONS(2123),
    [anon_sym_line] = ACTIONS(2123),
    [anon_sym_triangleadj] = ACTIONS(2123),
    [anon_sym_lineadj] = ACTIONS(2123),
    [anon_sym_triangle] = ACTIONS(2123),
    [anon_sym_cbuffer] = ACTIONS(2123),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2330),
    [aux_sym_preproc_include_token1] = ACTIONS(2330),
    [aux_sym_preproc_def_token1] = ACTIONS(2330),
    [aux_sym_preproc_if_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2330),
    [sym_preproc_directive] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym___attribute] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym___based] = ACTIONS(2330),
    [anon_sym___cdecl] = ACTIONS(2330),
    [anon_sym___clrcall] = ACTIONS(2330),
    [anon_sym___stdcall] = ACTIONS(2330),
    [anon_sym___fastcall] = ACTIONS(2330),
    [anon_sym___thiscall] = ACTIONS(2330),
    [anon_sym___vectorcall] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [anon_sym___asm] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_explicit] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_operator] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_namespace] = ACTIONS(2330),
    [anon_sym_using] = ACTIONS(2330),
    [anon_sym_static_assert] = ACTIONS(2330),
    [anon_sym_concept] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [558] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(2340),
    [sym_identifier] = ACTIONS(2338),
    [aux_sym_preproc_include_token1] = ACTIONS(2338),
    [aux_sym_preproc_def_token1] = ACTIONS(2338),
    [aux_sym_preproc_if_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2338),
    [sym_preproc_directive] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym___attribute] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym___based] = ACTIONS(2338),
    [anon_sym___cdecl] = ACTIONS(2338),
    [anon_sym___clrcall] = ACTIONS(2338),
    [anon_sym___stdcall] = ACTIONS(2338),
    [anon_sym___fastcall] = ACTIONS(2338),
    [anon_sym___thiscall] = ACTIONS(2338),
    [anon_sym___vectorcall] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym__Nonnull] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym__Alignas] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [anon_sym___asm] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_explicit] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_operator] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_static_assert] = ACTIONS(2338),
    [anon_sym_concept] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(2368),
    [sym_identifier] = ACTIONS(2366),
    [aux_sym_preproc_include_token1] = ACTIONS(2366),
    [aux_sym_preproc_def_token1] = ACTIONS(2366),
    [aux_sym_preproc_if_token1] = ACTIONS(2366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2366),
    [sym_preproc_directive] = ACTIONS(2366),
    [anon_sym_LPAREN2] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_AMP_AMP] = ACTIONS(2368),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym___extension__] = ACTIONS(2366),
    [anon_sym_typedef] = ACTIONS(2366),
    [anon_sym_in] = ACTIONS(2366),
    [anon_sym_out] = ACTIONS(2366),
    [anon_sym_inout] = ACTIONS(2366),
    [anon_sym_virtual] = ACTIONS(2366),
    [anon_sym_extern] = ACTIONS(2366),
    [anon_sym___attribute__] = ACTIONS(2366),
    [anon_sym___attribute] = ACTIONS(2366),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2368),
    [anon_sym___declspec] = ACTIONS(2366),
    [anon_sym___based] = ACTIONS(2366),
    [anon_sym___cdecl] = ACTIONS(2366),
    [anon_sym___clrcall] = ACTIONS(2366),
    [anon_sym___stdcall] = ACTIONS(2366),
    [anon_sym___fastcall] = ACTIONS(2366),
    [anon_sym___thiscall] = ACTIONS(2366),
    [anon_sym___vectorcall] = ACTIONS(2366),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_signed] = ACTIONS(2366),
    [anon_sym_unsigned] = ACTIONS(2366),
    [anon_sym_long] = ACTIONS(2366),
    [anon_sym_short] = ACTIONS(2366),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym_static] = ACTIONS(2366),
    [anon_sym_register] = ACTIONS(2366),
    [anon_sym_inline] = ACTIONS(2366),
    [anon_sym___inline] = ACTIONS(2366),
    [anon_sym___inline__] = ACTIONS(2366),
    [anon_sym___forceinline] = ACTIONS(2366),
    [anon_sym_thread_local] = ACTIONS(2366),
    [anon_sym___thread] = ACTIONS(2366),
    [anon_sym_const] = ACTIONS(2366),
    [anon_sym_constexpr] = ACTIONS(2366),
    [anon_sym_volatile] = ACTIONS(2366),
    [anon_sym_restrict] = ACTIONS(2366),
    [anon_sym___restrict__] = ACTIONS(2366),
    [anon_sym__Atomic] = ACTIONS(2366),
    [anon_sym__Noreturn] = ACTIONS(2366),
    [anon_sym_noreturn] = ACTIONS(2366),
    [anon_sym__Nonnull] = ACTIONS(2366),
    [anon_sym_mutable] = ACTIONS(2366),
    [anon_sym_constinit] = ACTIONS(2366),
    [anon_sym_consteval] = ACTIONS(2366),
    [anon_sym_alignas] = ACTIONS(2366),
    [anon_sym__Alignas] = ACTIONS(2366),
    [sym_primitive_type] = ACTIONS(2366),
    [anon_sym_enum] = ACTIONS(2366),
    [anon_sym_class] = ACTIONS(2366),
    [anon_sym_struct] = ACTIONS(2366),
    [anon_sym_union] = ACTIONS(2366),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_else] = ACTIONS(2366),
    [anon_sym_switch] = ACTIONS(2366),
    [anon_sym_case] = ACTIONS(2366),
    [anon_sym_default] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2366),
    [anon_sym_for] = ACTIONS(2366),
    [anon_sym_return] = ACTIONS(2366),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2366),
    [anon_sym_goto] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2366),
    [anon_sym___leave] = ACTIONS(2366),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_sizeof] = ACTIONS(2366),
    [anon_sym___alignof__] = ACTIONS(2366),
    [anon_sym___alignof] = ACTIONS(2366),
    [anon_sym__alignof] = ACTIONS(2366),
    [anon_sym_alignof] = ACTIONS(2366),
    [anon_sym__Alignof] = ACTIONS(2366),
    [anon_sym_offsetof] = ACTIONS(2366),
    [anon_sym__Generic] = ACTIONS(2366),
    [anon_sym_asm] = ACTIONS(2366),
    [anon_sym___asm__] = ACTIONS(2366),
    [anon_sym___asm] = ACTIONS(2366),
    [sym_number_literal] = ACTIONS(2368),
    [anon_sym_L_SQUOTE] = ACTIONS(2368),
    [anon_sym_u_SQUOTE] = ACTIONS(2368),
    [anon_sym_U_SQUOTE] = ACTIONS(2368),
    [anon_sym_u8_SQUOTE] = ACTIONS(2368),
    [anon_sym_SQUOTE] = ACTIONS(2368),
    [anon_sym_L_DQUOTE] = ACTIONS(2368),
    [anon_sym_u_DQUOTE] = ACTIONS(2368),
    [anon_sym_U_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8_DQUOTE] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2368),
    [sym_true] = ACTIONS(2366),
    [sym_false] = ACTIONS(2366),
    [anon_sym_NULL] = ACTIONS(2366),
    [anon_sym_nullptr] = ACTIONS(2366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2366),
    [anon_sym_decltype] = ACTIONS(2366),
    [anon_sym_explicit] = ACTIONS(2366),
    [anon_sym_typename] = ACTIONS(2366),
    [anon_sym_template] = ACTIONS(2366),
    [anon_sym_operator] = ACTIONS(2366),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_delete] = ACTIONS(2366),
    [anon_sym_throw] = ACTIONS(2366),
    [anon_sym_namespace] = ACTIONS(2366),
    [anon_sym_using] = ACTIONS(2366),
    [anon_sym_static_assert] = ACTIONS(2366),
    [anon_sym_concept] = ACTIONS(2366),
    [anon_sym_co_return] = ACTIONS(2366),
    [anon_sym_co_yield] = ACTIONS(2366),
    [anon_sym_R_DQUOTE] = ACTIONS(2368),
    [anon_sym_LR_DQUOTE] = ACTIONS(2368),
    [anon_sym_uR_DQUOTE] = ACTIONS(2368),
    [anon_sym_UR_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2368),
    [anon_sym_co_await] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_requires] = ACTIONS(2366),
    [sym_this] = ACTIONS(2366),
    [anon_sym_discard] = ACTIONS(2366),
    [anon_sym_precise] = ACTIONS(2366),
    [anon_sym_shared] = ACTIONS(2366),
    [anon_sym_groupshared] = ACTIONS(2366),
    [anon_sym_uniform] = ACTIONS(2366),
    [anon_sym_row_major] = ACTIONS(2366),
    [anon_sym_column_major] = ACTIONS(2366),
    [anon_sym_globallycoherent] = ACTIONS(2366),
    [anon_sym_centroid] = ACTIONS(2366),
    [anon_sym_noperspective] = ACTIONS(2366),
    [anon_sym_nointerpolation] = ACTIONS(2366),
    [anon_sym_sample] = ACTIONS(2366),
    [anon_sym_linear] = ACTIONS(2366),
    [anon_sym_snorm] = ACTIONS(2366),
    [anon_sym_unorm] = ACTIONS(2366),
    [anon_sym_point] = ACTIONS(2366),
    [anon_sym_line] = ACTIONS(2366),
    [anon_sym_triangleadj] = ACTIONS(2366),
    [anon_sym_lineadj] = ACTIONS(2366),
    [anon_sym_triangle] = ACTIONS(2366),
    [anon_sym_cbuffer] = ACTIONS(2366),
  },
  [561] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [562] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(2195),
    [sym_identifier] = ACTIONS(2193),
    [aux_sym_preproc_include_token1] = ACTIONS(2193),
    [aux_sym_preproc_def_token1] = ACTIONS(2193),
    [aux_sym_preproc_if_token1] = ACTIONS(2193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2193),
    [sym_preproc_directive] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym___extension__] = ACTIONS(2193),
    [anon_sym_typedef] = ACTIONS(2193),
    [anon_sym_in] = ACTIONS(2193),
    [anon_sym_out] = ACTIONS(2193),
    [anon_sym_inout] = ACTIONS(2193),
    [anon_sym_virtual] = ACTIONS(2193),
    [anon_sym_extern] = ACTIONS(2193),
    [anon_sym___attribute__] = ACTIONS(2193),
    [anon_sym___attribute] = ACTIONS(2193),
    [anon_sym_COLON_COLON] = ACTIONS(2195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2195),
    [anon_sym___declspec] = ACTIONS(2193),
    [anon_sym___based] = ACTIONS(2193),
    [anon_sym___cdecl] = ACTIONS(2193),
    [anon_sym___clrcall] = ACTIONS(2193),
    [anon_sym___stdcall] = ACTIONS(2193),
    [anon_sym___fastcall] = ACTIONS(2193),
    [anon_sym___thiscall] = ACTIONS(2193),
    [anon_sym___vectorcall] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_signed] = ACTIONS(2193),
    [anon_sym_unsigned] = ACTIONS(2193),
    [anon_sym_long] = ACTIONS(2193),
    [anon_sym_short] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_register] = ACTIONS(2193),
    [anon_sym_inline] = ACTIONS(2193),
    [anon_sym___inline] = ACTIONS(2193),
    [anon_sym___inline__] = ACTIONS(2193),
    [anon_sym___forceinline] = ACTIONS(2193),
    [anon_sym_thread_local] = ACTIONS(2193),
    [anon_sym___thread] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_constexpr] = ACTIONS(2193),
    [anon_sym_volatile] = ACTIONS(2193),
    [anon_sym_restrict] = ACTIONS(2193),
    [anon_sym___restrict__] = ACTIONS(2193),
    [anon_sym__Atomic] = ACTIONS(2193),
    [anon_sym__Noreturn] = ACTIONS(2193),
    [anon_sym_noreturn] = ACTIONS(2193),
    [anon_sym__Nonnull] = ACTIONS(2193),
    [anon_sym_mutable] = ACTIONS(2193),
    [anon_sym_constinit] = ACTIONS(2193),
    [anon_sym_consteval] = ACTIONS(2193),
    [anon_sym_alignas] = ACTIONS(2193),
    [anon_sym__Alignas] = ACTIONS(2193),
    [sym_primitive_type] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_struct] = ACTIONS(2193),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym___try] = ACTIONS(2193),
    [anon_sym___leave] = ACTIONS(2193),
    [anon_sym_not] = ACTIONS(2193),
    [anon_sym_compl] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_sizeof] = ACTIONS(2193),
    [anon_sym___alignof__] = ACTIONS(2193),
    [anon_sym___alignof] = ACTIONS(2193),
    [anon_sym__alignof] = ACTIONS(2193),
    [anon_sym_alignof] = ACTIONS(2193),
    [anon_sym__Alignof] = ACTIONS(2193),
    [anon_sym_offsetof] = ACTIONS(2193),
    [anon_sym__Generic] = ACTIONS(2193),
    [anon_sym_asm] = ACTIONS(2193),
    [anon_sym___asm__] = ACTIONS(2193),
    [anon_sym___asm] = ACTIONS(2193),
    [sym_number_literal] = ACTIONS(2195),
    [anon_sym_L_SQUOTE] = ACTIONS(2195),
    [anon_sym_u_SQUOTE] = ACTIONS(2195),
    [anon_sym_U_SQUOTE] = ACTIONS(2195),
    [anon_sym_u8_SQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_L_DQUOTE] = ACTIONS(2195),
    [anon_sym_u_DQUOTE] = ACTIONS(2195),
    [anon_sym_U_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8_DQUOTE] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [anon_sym_NULL] = ACTIONS(2193),
    [anon_sym_nullptr] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2193),
    [anon_sym_decltype] = ACTIONS(2193),
    [anon_sym_explicit] = ACTIONS(2193),
    [anon_sym_typename] = ACTIONS(2193),
    [anon_sym_template] = ACTIONS(2193),
    [anon_sym_operator] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_static_assert] = ACTIONS(2193),
    [anon_sym_concept] = ACTIONS(2193),
    [anon_sym_co_return] = ACTIONS(2193),
    [anon_sym_co_yield] = ACTIONS(2193),
    [anon_sym_R_DQUOTE] = ACTIONS(2195),
    [anon_sym_LR_DQUOTE] = ACTIONS(2195),
    [anon_sym_uR_DQUOTE] = ACTIONS(2195),
    [anon_sym_UR_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2195),
    [anon_sym_co_await] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_requires] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [anon_sym_discard] = ACTIONS(2193),
    [anon_sym_precise] = ACTIONS(2193),
    [anon_sym_shared] = ACTIONS(2193),
    [anon_sym_groupshared] = ACTIONS(2193),
    [anon_sym_uniform] = ACTIONS(2193),
    [anon_sym_row_major] = ACTIONS(2193),
    [anon_sym_column_major] = ACTIONS(2193),
    [anon_sym_globallycoherent] = ACTIONS(2193),
    [anon_sym_centroid] = ACTIONS(2193),
    [anon_sym_noperspective] = ACTIONS(2193),
    [anon_sym_nointerpolation] = ACTIONS(2193),
    [anon_sym_sample] = ACTIONS(2193),
    [anon_sym_linear] = ACTIONS(2193),
    [anon_sym_snorm] = ACTIONS(2193),
    [anon_sym_unorm] = ACTIONS(2193),
    [anon_sym_point] = ACTIONS(2193),
    [anon_sym_line] = ACTIONS(2193),
    [anon_sym_triangleadj] = ACTIONS(2193),
    [anon_sym_lineadj] = ACTIONS(2193),
    [anon_sym_triangle] = ACTIONS(2193),
    [anon_sym_cbuffer] = ACTIONS(2193),
  },
  [564] = {
    [sym_identifier] = ACTIONS(2607),
    [aux_sym_preproc_include_token1] = ACTIONS(2607),
    [aux_sym_preproc_def_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token2] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2607),
    [sym_preproc_directive] = ACTIONS(2607),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_STAR] = ACTIONS(2609),
    [anon_sym_AMP_AMP] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym___extension__] = ACTIONS(2607),
    [anon_sym_typedef] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2607),
    [anon_sym_out] = ACTIONS(2607),
    [anon_sym_inout] = ACTIONS(2607),
    [anon_sym_virtual] = ACTIONS(2607),
    [anon_sym_extern] = ACTIONS(2607),
    [anon_sym___attribute__] = ACTIONS(2607),
    [anon_sym___attribute] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(2609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2609),
    [anon_sym___declspec] = ACTIONS(2607),
    [anon_sym___based] = ACTIONS(2607),
    [anon_sym___cdecl] = ACTIONS(2607),
    [anon_sym___clrcall] = ACTIONS(2607),
    [anon_sym___stdcall] = ACTIONS(2607),
    [anon_sym___fastcall] = ACTIONS(2607),
    [anon_sym___thiscall] = ACTIONS(2607),
    [anon_sym___vectorcall] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_signed] = ACTIONS(2607),
    [anon_sym_unsigned] = ACTIONS(2607),
    [anon_sym_long] = ACTIONS(2607),
    [anon_sym_short] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_register] = ACTIONS(2607),
    [anon_sym_inline] = ACTIONS(2607),
    [anon_sym___inline] = ACTIONS(2607),
    [anon_sym___inline__] = ACTIONS(2607),
    [anon_sym___forceinline] = ACTIONS(2607),
    [anon_sym_thread_local] = ACTIONS(2607),
    [anon_sym___thread] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2607),
    [anon_sym_constexpr] = ACTIONS(2607),
    [anon_sym_volatile] = ACTIONS(2607),
    [anon_sym_restrict] = ACTIONS(2607),
    [anon_sym___restrict__] = ACTIONS(2607),
    [anon_sym__Atomic] = ACTIONS(2607),
    [anon_sym__Noreturn] = ACTIONS(2607),
    [anon_sym_noreturn] = ACTIONS(2607),
    [anon_sym__Nonnull] = ACTIONS(2607),
    [anon_sym_mutable] = ACTIONS(2607),
    [anon_sym_constinit] = ACTIONS(2607),
    [anon_sym_consteval] = ACTIONS(2607),
    [anon_sym_alignas] = ACTIONS(2607),
    [anon_sym__Alignas] = ACTIONS(2607),
    [sym_primitive_type] = ACTIONS(2607),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2607),
    [anon_sym_struct] = ACTIONS(2607),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2607),
    [anon_sym_switch] = ACTIONS(2607),
    [anon_sym_case] = ACTIONS(2607),
    [anon_sym_default] = ACTIONS(2607),
    [anon_sym_while] = ACTIONS(2607),
    [anon_sym_do] = ACTIONS(2607),
    [anon_sym_for] = ACTIONS(2607),
    [anon_sym_return] = ACTIONS(2607),
    [anon_sym_break] = ACTIONS(2607),
    [anon_sym_continue] = ACTIONS(2607),
    [anon_sym_goto] = ACTIONS(2607),
    [anon_sym___try] = ACTIONS(2607),
    [anon_sym___leave] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2607),
    [anon_sym_compl] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2607),
    [anon_sym___alignof__] = ACTIONS(2607),
    [anon_sym___alignof] = ACTIONS(2607),
    [anon_sym__alignof] = ACTIONS(2607),
    [anon_sym_alignof] = ACTIONS(2607),
    [anon_sym__Alignof] = ACTIONS(2607),
    [anon_sym_offsetof] = ACTIONS(2607),
    [anon_sym__Generic] = ACTIONS(2607),
    [anon_sym_asm] = ACTIONS(2607),
    [anon_sym___asm__] = ACTIONS(2607),
    [anon_sym___asm] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2609),
    [anon_sym_L_SQUOTE] = ACTIONS(2609),
    [anon_sym_u_SQUOTE] = ACTIONS(2609),
    [anon_sym_U_SQUOTE] = ACTIONS(2609),
    [anon_sym_u8_SQUOTE] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_L_DQUOTE] = ACTIONS(2609),
    [anon_sym_u_DQUOTE] = ACTIONS(2609),
    [anon_sym_U_DQUOTE] = ACTIONS(2609),
    [anon_sym_u8_DQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2609),
    [sym_true] = ACTIONS(2607),
    [sym_false] = ACTIONS(2607),
    [anon_sym_NULL] = ACTIONS(2607),
    [anon_sym_nullptr] = ACTIONS(2607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2607),
    [anon_sym_decltype] = ACTIONS(2607),
    [anon_sym_explicit] = ACTIONS(2607),
    [anon_sym_typename] = ACTIONS(2607),
    [anon_sym_template] = ACTIONS(2607),
    [anon_sym_operator] = ACTIONS(2607),
    [anon_sym_try] = ACTIONS(2607),
    [anon_sym_delete] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2607),
    [anon_sym_using] = ACTIONS(2607),
    [anon_sym_static_assert] = ACTIONS(2607),
    [anon_sym_concept] = ACTIONS(2607),
    [anon_sym_co_return] = ACTIONS(2607),
    [anon_sym_co_yield] = ACTIONS(2607),
    [anon_sym_R_DQUOTE] = ACTIONS(2609),
    [anon_sym_LR_DQUOTE] = ACTIONS(2609),
    [anon_sym_uR_DQUOTE] = ACTIONS(2609),
    [anon_sym_UR_DQUOTE] = ACTIONS(2609),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2609),
    [anon_sym_co_await] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(2607),
    [anon_sym_requires] = ACTIONS(2607),
    [sym_this] = ACTIONS(2607),
    [anon_sym_discard] = ACTIONS(2607),
    [anon_sym_precise] = ACTIONS(2607),
    [anon_sym_shared] = ACTIONS(2607),
    [anon_sym_groupshared] = ACTIONS(2607),
    [anon_sym_uniform] = ACTIONS(2607),
    [anon_sym_row_major] = ACTIONS(2607),
    [anon_sym_column_major] = ACTIONS(2607),
    [anon_sym_globallycoherent] = ACTIONS(2607),
    [anon_sym_centroid] = ACTIONS(2607),
    [anon_sym_noperspective] = ACTIONS(2607),
    [anon_sym_nointerpolation] = ACTIONS(2607),
    [anon_sym_sample] = ACTIONS(2607),
    [anon_sym_linear] = ACTIONS(2607),
    [anon_sym_snorm] = ACTIONS(2607),
    [anon_sym_unorm] = ACTIONS(2607),
    [anon_sym_point] = ACTIONS(2607),
    [anon_sym_line] = ACTIONS(2607),
    [anon_sym_triangleadj] = ACTIONS(2607),
    [anon_sym_lineadj] = ACTIONS(2607),
    [anon_sym_triangle] = ACTIONS(2607),
    [anon_sym_cbuffer] = ACTIONS(2607),
  },
  [565] = {
    [sym_identifier] = ACTIONS(2611),
    [aux_sym_preproc_include_token1] = ACTIONS(2611),
    [aux_sym_preproc_def_token1] = ACTIONS(2611),
    [aux_sym_preproc_if_token1] = ACTIONS(2611),
    [aux_sym_preproc_if_token2] = ACTIONS(2611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2611),
    [sym_preproc_directive] = ACTIONS(2611),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2611),
    [anon_sym_PLUS] = ACTIONS(2611),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym___extension__] = ACTIONS(2611),
    [anon_sym_typedef] = ACTIONS(2611),
    [anon_sym_in] = ACTIONS(2611),
    [anon_sym_out] = ACTIONS(2611),
    [anon_sym_inout] = ACTIONS(2611),
    [anon_sym_virtual] = ACTIONS(2611),
    [anon_sym_extern] = ACTIONS(2611),
    [anon_sym___attribute__] = ACTIONS(2611),
    [anon_sym___attribute] = ACTIONS(2611),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2613),
    [anon_sym___declspec] = ACTIONS(2611),
    [anon_sym___based] = ACTIONS(2611),
    [anon_sym___cdecl] = ACTIONS(2611),
    [anon_sym___clrcall] = ACTIONS(2611),
    [anon_sym___stdcall] = ACTIONS(2611),
    [anon_sym___fastcall] = ACTIONS(2611),
    [anon_sym___thiscall] = ACTIONS(2611),
    [anon_sym___vectorcall] = ACTIONS(2611),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_signed] = ACTIONS(2611),
    [anon_sym_unsigned] = ACTIONS(2611),
    [anon_sym_long] = ACTIONS(2611),
    [anon_sym_short] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_static] = ACTIONS(2611),
    [anon_sym_register] = ACTIONS(2611),
    [anon_sym_inline] = ACTIONS(2611),
    [anon_sym___inline] = ACTIONS(2611),
    [anon_sym___inline__] = ACTIONS(2611),
    [anon_sym___forceinline] = ACTIONS(2611),
    [anon_sym_thread_local] = ACTIONS(2611),
    [anon_sym___thread] = ACTIONS(2611),
    [anon_sym_const] = ACTIONS(2611),
    [anon_sym_constexpr] = ACTIONS(2611),
    [anon_sym_volatile] = ACTIONS(2611),
    [anon_sym_restrict] = ACTIONS(2611),
    [anon_sym___restrict__] = ACTIONS(2611),
    [anon_sym__Atomic] = ACTIONS(2611),
    [anon_sym__Noreturn] = ACTIONS(2611),
    [anon_sym_noreturn] = ACTIONS(2611),
    [anon_sym__Nonnull] = ACTIONS(2611),
    [anon_sym_mutable] = ACTIONS(2611),
    [anon_sym_constinit] = ACTIONS(2611),
    [anon_sym_consteval] = ACTIONS(2611),
    [anon_sym_alignas] = ACTIONS(2611),
    [anon_sym__Alignas] = ACTIONS(2611),
    [sym_primitive_type] = ACTIONS(2611),
    [anon_sym_enum] = ACTIONS(2611),
    [anon_sym_class] = ACTIONS(2611),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2611),
    [anon_sym_if] = ACTIONS(2611),
    [anon_sym_switch] = ACTIONS(2611),
    [anon_sym_case] = ACTIONS(2611),
    [anon_sym_default] = ACTIONS(2611),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2611),
    [anon_sym_break] = ACTIONS(2611),
    [anon_sym_continue] = ACTIONS(2611),
    [anon_sym_goto] = ACTIONS(2611),
    [anon_sym___try] = ACTIONS(2611),
    [anon_sym___leave] = ACTIONS(2611),
    [anon_sym_not] = ACTIONS(2611),
    [anon_sym_compl] = ACTIONS(2611),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2611),
    [anon_sym___alignof] = ACTIONS(2611),
    [anon_sym__alignof] = ACTIONS(2611),
    [anon_sym_alignof] = ACTIONS(2611),
    [anon_sym__Alignof] = ACTIONS(2611),
    [anon_sym_offsetof] = ACTIONS(2611),
    [anon_sym__Generic] = ACTIONS(2611),
    [anon_sym_asm] = ACTIONS(2611),
    [anon_sym___asm__] = ACTIONS(2611),
    [anon_sym___asm] = ACTIONS(2611),
    [sym_number_literal] = ACTIONS(2613),
    [anon_sym_L_SQUOTE] = ACTIONS(2613),
    [anon_sym_u_SQUOTE] = ACTIONS(2613),
    [anon_sym_U_SQUOTE] = ACTIONS(2613),
    [anon_sym_u8_SQUOTE] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_L_DQUOTE] = ACTIONS(2613),
    [anon_sym_u_DQUOTE] = ACTIONS(2613),
    [anon_sym_U_DQUOTE] = ACTIONS(2613),
    [anon_sym_u8_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_true] = ACTIONS(2611),
    [sym_false] = ACTIONS(2611),
    [anon_sym_NULL] = ACTIONS(2611),
    [anon_sym_nullptr] = ACTIONS(2611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2611),
    [anon_sym_decltype] = ACTIONS(2611),
    [anon_sym_explicit] = ACTIONS(2611),
    [anon_sym_typename] = ACTIONS(2611),
    [anon_sym_template] = ACTIONS(2611),
    [anon_sym_operator] = ACTIONS(2611),
    [anon_sym_try] = ACTIONS(2611),
    [anon_sym_delete] = ACTIONS(2611),
    [anon_sym_throw] = ACTIONS(2611),
    [anon_sym_namespace] = ACTIONS(2611),
    [anon_sym_using] = ACTIONS(2611),
    [anon_sym_static_assert] = ACTIONS(2611),
    [anon_sym_concept] = ACTIONS(2611),
    [anon_sym_co_return] = ACTIONS(2611),
    [anon_sym_co_yield] = ACTIONS(2611),
    [anon_sym_R_DQUOTE] = ACTIONS(2613),
    [anon_sym_LR_DQUOTE] = ACTIONS(2613),
    [anon_sym_uR_DQUOTE] = ACTIONS(2613),
    [anon_sym_UR_DQUOTE] = ACTIONS(2613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2613),
    [anon_sym_co_await] = ACTIONS(2611),
    [anon_sym_new] = ACTIONS(2611),
    [anon_sym_requires] = ACTIONS(2611),
    [sym_this] = ACTIONS(2611),
    [anon_sym_discard] = ACTIONS(2611),
    [anon_sym_precise] = ACTIONS(2611),
    [anon_sym_shared] = ACTIONS(2611),
    [anon_sym_groupshared] = ACTIONS(2611),
    [anon_sym_uniform] = ACTIONS(2611),
    [anon_sym_row_major] = ACTIONS(2611),
    [anon_sym_column_major] = ACTIONS(2611),
    [anon_sym_globallycoherent] = ACTIONS(2611),
    [anon_sym_centroid] = ACTIONS(2611),
    [anon_sym_noperspective] = ACTIONS(2611),
    [anon_sym_nointerpolation] = ACTIONS(2611),
    [anon_sym_sample] = ACTIONS(2611),
    [anon_sym_linear] = ACTIONS(2611),
    [anon_sym_snorm] = ACTIONS(2611),
    [anon_sym_unorm] = ACTIONS(2611),
    [anon_sym_point] = ACTIONS(2611),
    [anon_sym_line] = ACTIONS(2611),
    [anon_sym_triangleadj] = ACTIONS(2611),
    [anon_sym_lineadj] = ACTIONS(2611),
    [anon_sym_triangle] = ACTIONS(2611),
    [anon_sym_cbuffer] = ACTIONS(2611),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
    [anon_sym_discard] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_groupshared] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_row_major] = ACTIONS(2548),
    [anon_sym_column_major] = ACTIONS(2548),
    [anon_sym_globallycoherent] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym_nointerpolation] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_linear] = ACTIONS(2548),
    [anon_sym_snorm] = ACTIONS(2548),
    [anon_sym_unorm] = ACTIONS(2548),
    [anon_sym_point] = ACTIONS(2548),
    [anon_sym_line] = ACTIONS(2548),
    [anon_sym_triangleadj] = ACTIONS(2548),
    [anon_sym_lineadj] = ACTIONS(2548),
    [anon_sym_triangle] = ACTIONS(2548),
    [anon_sym_cbuffer] = ACTIONS(2548),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2619),
    [aux_sym_preproc_include_token1] = ACTIONS(2619),
    [aux_sym_preproc_def_token1] = ACTIONS(2619),
    [aux_sym_preproc_if_token1] = ACTIONS(2619),
    [aux_sym_preproc_if_token2] = ACTIONS(2619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2619),
    [sym_preproc_directive] = ACTIONS(2619),
    [anon_sym_LPAREN2] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym___extension__] = ACTIONS(2619),
    [anon_sym_typedef] = ACTIONS(2619),
    [anon_sym_in] = ACTIONS(2619),
    [anon_sym_out] = ACTIONS(2619),
    [anon_sym_inout] = ACTIONS(2619),
    [anon_sym_virtual] = ACTIONS(2619),
    [anon_sym_extern] = ACTIONS(2619),
    [anon_sym___attribute__] = ACTIONS(2619),
    [anon_sym___attribute] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2621),
    [anon_sym___declspec] = ACTIONS(2619),
    [anon_sym___based] = ACTIONS(2619),
    [anon_sym___cdecl] = ACTIONS(2619),
    [anon_sym___clrcall] = ACTIONS(2619),
    [anon_sym___stdcall] = ACTIONS(2619),
    [anon_sym___fastcall] = ACTIONS(2619),
    [anon_sym___thiscall] = ACTIONS(2619),
    [anon_sym___vectorcall] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_signed] = ACTIONS(2619),
    [anon_sym_unsigned] = ACTIONS(2619),
    [anon_sym_long] = ACTIONS(2619),
    [anon_sym_short] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [anon_sym_static] = ACTIONS(2619),
    [anon_sym_register] = ACTIONS(2619),
    [anon_sym_inline] = ACTIONS(2619),
    [anon_sym___inline] = ACTIONS(2619),
    [anon_sym___inline__] = ACTIONS(2619),
    [anon_sym___forceinline] = ACTIONS(2619),
    [anon_sym_thread_local] = ACTIONS(2619),
    [anon_sym___thread] = ACTIONS(2619),
    [anon_sym_const] = ACTIONS(2619),
    [anon_sym_constexpr] = ACTIONS(2619),
    [anon_sym_volatile] = ACTIONS(2619),
    [anon_sym_restrict] = ACTIONS(2619),
    [anon_sym___restrict__] = ACTIONS(2619),
    [anon_sym__Atomic] = ACTIONS(2619),
    [anon_sym__Noreturn] = ACTIONS(2619),
    [anon_sym_noreturn] = ACTIONS(2619),
    [anon_sym__Nonnull] = ACTIONS(2619),
    [anon_sym_mutable] = ACTIONS(2619),
    [anon_sym_constinit] = ACTIONS(2619),
    [anon_sym_consteval] = ACTIONS(2619),
    [anon_sym_alignas] = ACTIONS(2619),
    [anon_sym__Alignas] = ACTIONS(2619),
    [sym_primitive_type] = ACTIONS(2619),
    [anon_sym_enum] = ACTIONS(2619),
    [anon_sym_class] = ACTIONS(2619),
    [anon_sym_struct] = ACTIONS(2619),
    [anon_sym_union] = ACTIONS(2619),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_switch] = ACTIONS(2619),
    [anon_sym_case] = ACTIONS(2619),
    [anon_sym_default] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(2619),
    [anon_sym_do] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2619),
    [anon_sym_return] = ACTIONS(2619),
    [anon_sym_break] = ACTIONS(2619),
    [anon_sym_continue] = ACTIONS(2619),
    [anon_sym_goto] = ACTIONS(2619),
    [anon_sym___try] = ACTIONS(2619),
    [anon_sym___leave] = ACTIONS(2619),
    [anon_sym_not] = ACTIONS(2619),
    [anon_sym_compl] = ACTIONS(2619),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_sizeof] = ACTIONS(2619),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2619),
    [anon_sym__Generic] = ACTIONS(2619),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [sym_number_literal] = ACTIONS(2621),
    [anon_sym_L_SQUOTE] = ACTIONS(2621),
    [anon_sym_u_SQUOTE] = ACTIONS(2621),
    [anon_sym_U_SQUOTE] = ACTIONS(2621),
    [anon_sym_u8_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_L_DQUOTE] = ACTIONS(2621),
    [anon_sym_u_DQUOTE] = ACTIONS(2621),
    [anon_sym_U_DQUOTE] = ACTIONS(2621),
    [anon_sym_u8_DQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [sym_true] = ACTIONS(2619),
    [sym_false] = ACTIONS(2619),
    [anon_sym_NULL] = ACTIONS(2619),
    [anon_sym_nullptr] = ACTIONS(2619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2619),
    [anon_sym_decltype] = ACTIONS(2619),
    [anon_sym_explicit] = ACTIONS(2619),
    [anon_sym_typename] = ACTIONS(2619),
    [anon_sym_template] = ACTIONS(2619),
    [anon_sym_operator] = ACTIONS(2619),
    [anon_sym_try] = ACTIONS(2619),
    [anon_sym_delete] = ACTIONS(2619),
    [anon_sym_throw] = ACTIONS(2619),
    [anon_sym_namespace] = ACTIONS(2619),
    [anon_sym_using] = ACTIONS(2619),
    [anon_sym_static_assert] = ACTIONS(2619),
    [anon_sym_concept] = ACTIONS(2619),
    [anon_sym_co_return] = ACTIONS(2619),
    [anon_sym_co_yield] = ACTIONS(2619),
    [anon_sym_R_DQUOTE] = ACTIONS(2621),
    [anon_sym_LR_DQUOTE] = ACTIONS(2621),
    [anon_sym_uR_DQUOTE] = ACTIONS(2621),
    [anon_sym_UR_DQUOTE] = ACTIONS(2621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2621),
    [anon_sym_co_await] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2619),
    [anon_sym_requires] = ACTIONS(2619),
    [sym_this] = ACTIONS(2619),
    [anon_sym_discard] = ACTIONS(2619),
    [anon_sym_precise] = ACTIONS(2619),
    [anon_sym_shared] = ACTIONS(2619),
    [anon_sym_groupshared] = ACTIONS(2619),
    [anon_sym_uniform] = ACTIONS(2619),
    [anon_sym_row_major] = ACTIONS(2619),
    [anon_sym_column_major] = ACTIONS(2619),
    [anon_sym_globallycoherent] = ACTIONS(2619),
    [anon_sym_centroid] = ACTIONS(2619),
    [anon_sym_noperspective] = ACTIONS(2619),
    [anon_sym_nointerpolation] = ACTIONS(2619),
    [anon_sym_sample] = ACTIONS(2619),
    [anon_sym_linear] = ACTIONS(2619),
    [anon_sym_snorm] = ACTIONS(2619),
    [anon_sym_unorm] = ACTIONS(2619),
    [anon_sym_point] = ACTIONS(2619),
    [anon_sym_line] = ACTIONS(2619),
    [anon_sym_triangleadj] = ACTIONS(2619),
    [anon_sym_lineadj] = ACTIONS(2619),
    [anon_sym_triangle] = ACTIONS(2619),
    [anon_sym_cbuffer] = ACTIONS(2619),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2623),
    [aux_sym_preproc_include_token1] = ACTIONS(2623),
    [aux_sym_preproc_def_token1] = ACTIONS(2623),
    [aux_sym_preproc_if_token1] = ACTIONS(2623),
    [aux_sym_preproc_if_token2] = ACTIONS(2623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2623),
    [sym_preproc_directive] = ACTIONS(2623),
    [anon_sym_LPAREN2] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym___extension__] = ACTIONS(2623),
    [anon_sym_typedef] = ACTIONS(2623),
    [anon_sym_in] = ACTIONS(2623),
    [anon_sym_out] = ACTIONS(2623),
    [anon_sym_inout] = ACTIONS(2623),
    [anon_sym_virtual] = ACTIONS(2623),
    [anon_sym_extern] = ACTIONS(2623),
    [anon_sym___attribute__] = ACTIONS(2623),
    [anon_sym___attribute] = ACTIONS(2623),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2625),
    [anon_sym___declspec] = ACTIONS(2623),
    [anon_sym___based] = ACTIONS(2623),
    [anon_sym___cdecl] = ACTIONS(2623),
    [anon_sym___clrcall] = ACTIONS(2623),
    [anon_sym___stdcall] = ACTIONS(2623),
    [anon_sym___fastcall] = ACTIONS(2623),
    [anon_sym___thiscall] = ACTIONS(2623),
    [anon_sym___vectorcall] = ACTIONS(2623),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_signed] = ACTIONS(2623),
    [anon_sym_unsigned] = ACTIONS(2623),
    [anon_sym_long] = ACTIONS(2623),
    [anon_sym_short] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [anon_sym_static] = ACTIONS(2623),
    [anon_sym_register] = ACTIONS(2623),
    [anon_sym_inline] = ACTIONS(2623),
    [anon_sym___inline] = ACTIONS(2623),
    [anon_sym___inline__] = ACTIONS(2623),
    [anon_sym___forceinline] = ACTIONS(2623),
    [anon_sym_thread_local] = ACTIONS(2623),
    [anon_sym___thread] = ACTIONS(2623),
    [anon_sym_const] = ACTIONS(2623),
    [anon_sym_constexpr] = ACTIONS(2623),
    [anon_sym_volatile] = ACTIONS(2623),
    [anon_sym_restrict] = ACTIONS(2623),
    [anon_sym___restrict__] = ACTIONS(2623),
    [anon_sym__Atomic] = ACTIONS(2623),
    [anon_sym__Noreturn] = ACTIONS(2623),
    [anon_sym_noreturn] = ACTIONS(2623),
    [anon_sym__Nonnull] = ACTIONS(2623),
    [anon_sym_mutable] = ACTIONS(2623),
    [anon_sym_constinit] = ACTIONS(2623),
    [anon_sym_consteval] = ACTIONS(2623),
    [anon_sym_alignas] = ACTIONS(2623),
    [anon_sym__Alignas] = ACTIONS(2623),
    [sym_primitive_type] = ACTIONS(2623),
    [anon_sym_enum] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(2623),
    [anon_sym_struct] = ACTIONS(2623),
    [anon_sym_union] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_switch] = ACTIONS(2623),
    [anon_sym_case] = ACTIONS(2623),
    [anon_sym_default] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2623),
    [anon_sym_for] = ACTIONS(2623),
    [anon_sym_return] = ACTIONS(2623),
    [anon_sym_break] = ACTIONS(2623),
    [anon_sym_continue] = ACTIONS(2623),
    [anon_sym_goto] = ACTIONS(2623),
    [anon_sym___try] = ACTIONS(2623),
    [anon_sym___leave] = ACTIONS(2623),
    [anon_sym_not] = ACTIONS(2623),
    [anon_sym_compl] = ACTIONS(2623),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_sizeof] = ACTIONS(2623),
    [anon_sym___alignof__] = ACTIONS(2623),
    [anon_sym___alignof] = ACTIONS(2623),
    [anon_sym__alignof] = ACTIONS(2623),
    [anon_sym_alignof] = ACTIONS(2623),
    [anon_sym__Alignof] = ACTIONS(2623),
    [anon_sym_offsetof] = ACTIONS(2623),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2623),
    [anon_sym___asm__] = ACTIONS(2623),
    [anon_sym___asm] = ACTIONS(2623),
    [sym_number_literal] = ACTIONS(2625),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2625),
    [anon_sym_u_DQUOTE] = ACTIONS(2625),
    [anon_sym_U_DQUOTE] = ACTIONS(2625),
    [anon_sym_u8_DQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [sym_true] = ACTIONS(2623),
    [sym_false] = ACTIONS(2623),
    [anon_sym_NULL] = ACTIONS(2623),
    [anon_sym_nullptr] = ACTIONS(2623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2623),
    [anon_sym_decltype] = ACTIONS(2623),
    [anon_sym_explicit] = ACTIONS(2623),
    [anon_sym_typename] = ACTIONS(2623),
    [anon_sym_template] = ACTIONS(2623),
    [anon_sym_operator] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_delete] = ACTIONS(2623),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_namespace] = ACTIONS(2623),
    [anon_sym_using] = ACTIONS(2623),
    [anon_sym_static_assert] = ACTIONS(2623),
    [anon_sym_concept] = ACTIONS(2623),
    [anon_sym_co_return] = ACTIONS(2623),
    [anon_sym_co_yield] = ACTIONS(2623),
    [anon_sym_R_DQUOTE] = ACTIONS(2625),
    [anon_sym_LR_DQUOTE] = ACTIONS(2625),
    [anon_sym_uR_DQUOTE] = ACTIONS(2625),
    [anon_sym_UR_DQUOTE] = ACTIONS(2625),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2625),
    [anon_sym_co_await] = ACTIONS(2623),
    [anon_sym_new] = ACTIONS(2623),
    [anon_sym_requires] = ACTIONS(2623),
    [sym_this] = ACTIONS(2623),
    [anon_sym_discard] = ACTIONS(2623),
    [anon_sym_precise] = ACTIONS(2623),
    [anon_sym_shared] = ACTIONS(2623),
    [anon_sym_groupshared] = ACTIONS(2623),
    [anon_sym_uniform] = ACTIONS(2623),
    [anon_sym_row_major] = ACTIONS(2623),
    [anon_sym_column_major] = ACTIONS(2623),
    [anon_sym_globallycoherent] = ACTIONS(2623),
    [anon_sym_centroid] = ACTIONS(2623),
    [anon_sym_noperspective] = ACTIONS(2623),
    [anon_sym_nointerpolation] = ACTIONS(2623),
    [anon_sym_sample] = ACTIONS(2623),
    [anon_sym_linear] = ACTIONS(2623),
    [anon_sym_snorm] = ACTIONS(2623),
    [anon_sym_unorm] = ACTIONS(2623),
    [anon_sym_point] = ACTIONS(2623),
    [anon_sym_line] = ACTIONS(2623),
    [anon_sym_triangleadj] = ACTIONS(2623),
    [anon_sym_lineadj] = ACTIONS(2623),
    [anon_sym_triangle] = ACTIONS(2623),
    [anon_sym_cbuffer] = ACTIONS(2623),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2643),
    [aux_sym_preproc_include_token1] = ACTIONS(2643),
    [aux_sym_preproc_def_token1] = ACTIONS(2643),
    [aux_sym_preproc_if_token1] = ACTIONS(2643),
    [aux_sym_preproc_if_token2] = ACTIONS(2643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2643),
    [sym_preproc_directive] = ACTIONS(2643),
    [anon_sym_LPAREN2] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym___extension__] = ACTIONS(2643),
    [anon_sym_typedef] = ACTIONS(2643),
    [anon_sym_in] = ACTIONS(2643),
    [anon_sym_out] = ACTIONS(2643),
    [anon_sym_inout] = ACTIONS(2643),
    [anon_sym_virtual] = ACTIONS(2643),
    [anon_sym_extern] = ACTIONS(2643),
    [anon_sym___attribute__] = ACTIONS(2643),
    [anon_sym___attribute] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2645),
    [anon_sym___declspec] = ACTIONS(2643),
    [anon_sym___based] = ACTIONS(2643),
    [anon_sym___cdecl] = ACTIONS(2643),
    [anon_sym___clrcall] = ACTIONS(2643),
    [anon_sym___stdcall] = ACTIONS(2643),
    [anon_sym___fastcall] = ACTIONS(2643),
    [anon_sym___thiscall] = ACTIONS(2643),
    [anon_sym___vectorcall] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_signed] = ACTIONS(2643),
    [anon_sym_unsigned] = ACTIONS(2643),
    [anon_sym_long] = ACTIONS(2643),
    [anon_sym_short] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_register] = ACTIONS(2643),
    [anon_sym_inline] = ACTIONS(2643),
    [anon_sym___inline] = ACTIONS(2643),
    [anon_sym___inline__] = ACTIONS(2643),
    [anon_sym___forceinline] = ACTIONS(2643),
    [anon_sym_thread_local] = ACTIONS(2643),
    [anon_sym___thread] = ACTIONS(2643),
    [anon_sym_const] = ACTIONS(2643),
    [anon_sym_constexpr] = ACTIONS(2643),
    [anon_sym_volatile] = ACTIONS(2643),
    [anon_sym_restrict] = ACTIONS(2643),
    [anon_sym___restrict__] = ACTIONS(2643),
    [anon_sym__Atomic] = ACTIONS(2643),
    [anon_sym__Noreturn] = ACTIONS(2643),
    [anon_sym_noreturn] = ACTIONS(2643),
    [anon_sym__Nonnull] = ACTIONS(2643),
    [anon_sym_mutable] = ACTIONS(2643),
    [anon_sym_constinit] = ACTIONS(2643),
    [anon_sym_consteval] = ACTIONS(2643),
    [anon_sym_alignas] = ACTIONS(2643),
    [anon_sym__Alignas] = ACTIONS(2643),
    [sym_primitive_type] = ACTIONS(2643),
    [anon_sym_enum] = ACTIONS(2643),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_struct] = ACTIONS(2643),
    [anon_sym_union] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_switch] = ACTIONS(2643),
    [anon_sym_case] = ACTIONS(2643),
    [anon_sym_default] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_do] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2643),
    [anon_sym_goto] = ACTIONS(2643),
    [anon_sym___try] = ACTIONS(2643),
    [anon_sym___leave] = ACTIONS(2643),
    [anon_sym_not] = ACTIONS(2643),
    [anon_sym_compl] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_sizeof] = ACTIONS(2643),
    [anon_sym___alignof__] = ACTIONS(2643),
    [anon_sym___alignof] = ACTIONS(2643),
    [anon_sym__alignof] = ACTIONS(2643),
    [anon_sym_alignof] = ACTIONS(2643),
    [anon_sym__Alignof] = ACTIONS(2643),
    [anon_sym_offsetof] = ACTIONS(2643),
    [anon_sym__Generic] = ACTIONS(2643),
    [anon_sym_asm] = ACTIONS(2643),
    [anon_sym___asm__] = ACTIONS(2643),
    [anon_sym___asm] = ACTIONS(2643),
    [sym_number_literal] = ACTIONS(2645),
    [anon_sym_L_SQUOTE] = ACTIONS(2645),
    [anon_sym_u_SQUOTE] = ACTIONS(2645),
    [anon_sym_U_SQUOTE] = ACTIONS(2645),
    [anon_sym_u8_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_L_DQUOTE] = ACTIONS(2645),
    [anon_sym_u_DQUOTE] = ACTIONS(2645),
    [anon_sym_U_DQUOTE] = ACTIONS(2645),
    [anon_sym_u8_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [anon_sym_NULL] = ACTIONS(2643),
    [anon_sym_nullptr] = ACTIONS(2643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2643),
    [anon_sym_decltype] = ACTIONS(2643),
    [anon_sym_explicit] = ACTIONS(2643),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(2643),
    [anon_sym_operator] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_delete] = ACTIONS(2643),
    [anon_sym_throw] = ACTIONS(2643),
    [anon_sym_namespace] = ACTIONS(2643),
    [anon_sym_using] = ACTIONS(2643),
    [anon_sym_static_assert] = ACTIONS(2643),
    [anon_sym_concept] = ACTIONS(2643),
    [anon_sym_co_return] = ACTIONS(2643),
    [anon_sym_co_yield] = ACTIONS(2643),
    [anon_sym_R_DQUOTE] = ACTIONS(2645),
    [anon_sym_LR_DQUOTE] = ACTIONS(2645),
    [anon_sym_uR_DQUOTE] = ACTIONS(2645),
    [anon_sym_UR_DQUOTE] = ACTIONS(2645),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2645),
    [anon_sym_co_await] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2643),
    [anon_sym_requires] = ACTIONS(2643),
    [sym_this] = ACTIONS(2643),
    [anon_sym_discard] = ACTIONS(2643),
    [anon_sym_precise] = ACTIONS(2643),
    [anon_sym_shared] = ACTIONS(2643),
    [anon_sym_groupshared] = ACTIONS(2643),
    [anon_sym_uniform] = ACTIONS(2643),
    [anon_sym_row_major] = ACTIONS(2643),
    [anon_sym_column_major] = ACTIONS(2643),
    [anon_sym_globallycoherent] = ACTIONS(2643),
    [anon_sym_centroid] = ACTIONS(2643),
    [anon_sym_noperspective] = ACTIONS(2643),
    [anon_sym_nointerpolation] = ACTIONS(2643),
    [anon_sym_sample] = ACTIONS(2643),
    [anon_sym_linear] = ACTIONS(2643),
    [anon_sym_snorm] = ACTIONS(2643),
    [anon_sym_unorm] = ACTIONS(2643),
    [anon_sym_point] = ACTIONS(2643),
    [anon_sym_line] = ACTIONS(2643),
    [anon_sym_triangleadj] = ACTIONS(2643),
    [anon_sym_lineadj] = ACTIONS(2643),
    [anon_sym_triangle] = ACTIONS(2643),
    [anon_sym_cbuffer] = ACTIONS(2643),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_include_token1] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token2] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym___cdecl] = ACTIONS(2414),
    [anon_sym___clrcall] = ACTIONS(2414),
    [anon_sym___stdcall] = ACTIONS(2414),
    [anon_sym___fastcall] = ACTIONS(2414),
    [anon_sym___thiscall] = ACTIONS(2414),
    [anon_sym___vectorcall] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_switch] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(2414),
    [anon_sym_default] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_break] = ACTIONS(2414),
    [anon_sym_continue] = ACTIONS(2414),
    [anon_sym_goto] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2414),
    [anon_sym___leave] = ACTIONS(2414),
    [anon_sym_not] = ACTIONS(2414),
    [anon_sym_compl] = ACTIONS(2414),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_sizeof] = ACTIONS(2414),
    [anon_sym___alignof__] = ACTIONS(2414),
    [anon_sym___alignof] = ACTIONS(2414),
    [anon_sym__alignof] = ACTIONS(2414),
    [anon_sym_alignof] = ACTIONS(2414),
    [anon_sym__Alignof] = ACTIONS(2414),
    [anon_sym_offsetof] = ACTIONS(2414),
    [anon_sym__Generic] = ACTIONS(2414),
    [anon_sym_asm] = ACTIONS(2414),
    [anon_sym___asm__] = ACTIONS(2414),
    [anon_sym___asm] = ACTIONS(2414),
    [sym_number_literal] = ACTIONS(2416),
    [anon_sym_L_SQUOTE] = ACTIONS(2416),
    [anon_sym_u_SQUOTE] = ACTIONS(2416),
    [anon_sym_U_SQUOTE] = ACTIONS(2416),
    [anon_sym_u8_SQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_L_DQUOTE] = ACTIONS(2416),
    [anon_sym_u_DQUOTE] = ACTIONS(2416),
    [anon_sym_U_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8_DQUOTE] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [sym_true] = ACTIONS(2414),
    [sym_false] = ACTIONS(2414),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2414),
    [anon_sym_delete] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2414),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_concept] = ACTIONS(2414),
    [anon_sym_co_return] = ACTIONS(2414),
    [anon_sym_co_yield] = ACTIONS(2414),
    [anon_sym_R_DQUOTE] = ACTIONS(2416),
    [anon_sym_LR_DQUOTE] = ACTIONS(2416),
    [anon_sym_uR_DQUOTE] = ACTIONS(2416),
    [anon_sym_UR_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2416),
    [anon_sym_co_await] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_requires] = ACTIONS(2414),
    [sym_this] = ACTIONS(2414),
    [anon_sym_discard] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
    [anon_sym_cbuffer] = ACTIONS(2414),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_include_token1] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token2] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym___cdecl] = ACTIONS(2414),
    [anon_sym___clrcall] = ACTIONS(2414),
    [anon_sym___stdcall] = ACTIONS(2414),
    [anon_sym___fastcall] = ACTIONS(2414),
    [anon_sym___thiscall] = ACTIONS(2414),
    [anon_sym___vectorcall] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_switch] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(2414),
    [anon_sym_default] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_break] = ACTIONS(2414),
    [anon_sym_continue] = ACTIONS(2414),
    [anon_sym_goto] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2414),
    [anon_sym___leave] = ACTIONS(2414),
    [anon_sym_not] = ACTIONS(2414),
    [anon_sym_compl] = ACTIONS(2414),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_sizeof] = ACTIONS(2414),
    [anon_sym___alignof__] = ACTIONS(2414),
    [anon_sym___alignof] = ACTIONS(2414),
    [anon_sym__alignof] = ACTIONS(2414),
    [anon_sym_alignof] = ACTIONS(2414),
    [anon_sym__Alignof] = ACTIONS(2414),
    [anon_sym_offsetof] = ACTIONS(2414),
    [anon_sym__Generic] = ACTIONS(2414),
    [anon_sym_asm] = ACTIONS(2414),
    [anon_sym___asm__] = ACTIONS(2414),
    [anon_sym___asm] = ACTIONS(2414),
    [sym_number_literal] = ACTIONS(2416),
    [anon_sym_L_SQUOTE] = ACTIONS(2416),
    [anon_sym_u_SQUOTE] = ACTIONS(2416),
    [anon_sym_U_SQUOTE] = ACTIONS(2416),
    [anon_sym_u8_SQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_L_DQUOTE] = ACTIONS(2416),
    [anon_sym_u_DQUOTE] = ACTIONS(2416),
    [anon_sym_U_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8_DQUOTE] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [sym_true] = ACTIONS(2414),
    [sym_false] = ACTIONS(2414),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2414),
    [anon_sym_delete] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2414),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_concept] = ACTIONS(2414),
    [anon_sym_co_return] = ACTIONS(2414),
    [anon_sym_co_yield] = ACTIONS(2414),
    [anon_sym_R_DQUOTE] = ACTIONS(2416),
    [anon_sym_LR_DQUOTE] = ACTIONS(2416),
    [anon_sym_uR_DQUOTE] = ACTIONS(2416),
    [anon_sym_UR_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2416),
    [anon_sym_co_await] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_requires] = ACTIONS(2414),
    [sym_this] = ACTIONS(2414),
    [anon_sym_discard] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
    [anon_sym_cbuffer] = ACTIONS(2414),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_out] = ACTIONS(2576),
    [anon_sym_inout] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
    [anon_sym_discard] = ACTIONS(2576),
    [anon_sym_precise] = ACTIONS(2576),
    [anon_sym_shared] = ACTIONS(2576),
    [anon_sym_groupshared] = ACTIONS(2576),
    [anon_sym_uniform] = ACTIONS(2576),
    [anon_sym_row_major] = ACTIONS(2576),
    [anon_sym_column_major] = ACTIONS(2576),
    [anon_sym_globallycoherent] = ACTIONS(2576),
    [anon_sym_centroid] = ACTIONS(2576),
    [anon_sym_noperspective] = ACTIONS(2576),
    [anon_sym_nointerpolation] = ACTIONS(2576),
    [anon_sym_sample] = ACTIONS(2576),
    [anon_sym_linear] = ACTIONS(2576),
    [anon_sym_snorm] = ACTIONS(2576),
    [anon_sym_unorm] = ACTIONS(2576),
    [anon_sym_point] = ACTIONS(2576),
    [anon_sym_line] = ACTIONS(2576),
    [anon_sym_triangleadj] = ACTIONS(2576),
    [anon_sym_lineadj] = ACTIONS(2576),
    [anon_sym_triangle] = ACTIONS(2576),
    [anon_sym_cbuffer] = ACTIONS(2576),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2627),
    [aux_sym_preproc_include_token1] = ACTIONS(2627),
    [aux_sym_preproc_def_token1] = ACTIONS(2627),
    [aux_sym_preproc_if_token1] = ACTIONS(2627),
    [aux_sym_preproc_if_token2] = ACTIONS(2627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2627),
    [sym_preproc_directive] = ACTIONS(2627),
    [anon_sym_LPAREN2] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2627),
    [anon_sym_typedef] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2627),
    [anon_sym_out] = ACTIONS(2627),
    [anon_sym_inout] = ACTIONS(2627),
    [anon_sym_virtual] = ACTIONS(2627),
    [anon_sym_extern] = ACTIONS(2627),
    [anon_sym___attribute__] = ACTIONS(2627),
    [anon_sym___attribute] = ACTIONS(2627),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2629),
    [anon_sym___declspec] = ACTIONS(2627),
    [anon_sym___based] = ACTIONS(2627),
    [anon_sym___cdecl] = ACTIONS(2627),
    [anon_sym___clrcall] = ACTIONS(2627),
    [anon_sym___stdcall] = ACTIONS(2627),
    [anon_sym___fastcall] = ACTIONS(2627),
    [anon_sym___thiscall] = ACTIONS(2627),
    [anon_sym___vectorcall] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2627),
    [anon_sym_unsigned] = ACTIONS(2627),
    [anon_sym_long] = ACTIONS(2627),
    [anon_sym_short] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_static] = ACTIONS(2627),
    [anon_sym_register] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2627),
    [anon_sym___inline] = ACTIONS(2627),
    [anon_sym___inline__] = ACTIONS(2627),
    [anon_sym___forceinline] = ACTIONS(2627),
    [anon_sym_thread_local] = ACTIONS(2627),
    [anon_sym___thread] = ACTIONS(2627),
    [anon_sym_const] = ACTIONS(2627),
    [anon_sym_constexpr] = ACTIONS(2627),
    [anon_sym_volatile] = ACTIONS(2627),
    [anon_sym_restrict] = ACTIONS(2627),
    [anon_sym___restrict__] = ACTIONS(2627),
    [anon_sym__Atomic] = ACTIONS(2627),
    [anon_sym__Noreturn] = ACTIONS(2627),
    [anon_sym_noreturn] = ACTIONS(2627),
    [anon_sym__Nonnull] = ACTIONS(2627),
    [anon_sym_mutable] = ACTIONS(2627),
    [anon_sym_constinit] = ACTIONS(2627),
    [anon_sym_consteval] = ACTIONS(2627),
    [anon_sym_alignas] = ACTIONS(2627),
    [anon_sym__Alignas] = ACTIONS(2627),
    [sym_primitive_type] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2627),
    [anon_sym_class] = ACTIONS(2627),
    [anon_sym_struct] = ACTIONS(2627),
    [anon_sym_union] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_switch] = ACTIONS(2627),
    [anon_sym_case] = ACTIONS(2627),
    [anon_sym_default] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_do] = ACTIONS(2627),
    [anon_sym_for] = ACTIONS(2627),
    [anon_sym_return] = ACTIONS(2627),
    [anon_sym_break] = ACTIONS(2627),
    [anon_sym_continue] = ACTIONS(2627),
    [anon_sym_goto] = ACTIONS(2627),
    [anon_sym___try] = ACTIONS(2627),
    [anon_sym___leave] = ACTIONS(2627),
    [anon_sym_not] = ACTIONS(2627),
    [anon_sym_compl] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_sizeof] = ACTIONS(2627),
    [anon_sym___alignof__] = ACTIONS(2627),
    [anon_sym___alignof] = ACTIONS(2627),
    [anon_sym__alignof] = ACTIONS(2627),
    [anon_sym_alignof] = ACTIONS(2627),
    [anon_sym__Alignof] = ACTIONS(2627),
    [anon_sym_offsetof] = ACTIONS(2627),
    [anon_sym__Generic] = ACTIONS(2627),
    [anon_sym_asm] = ACTIONS(2627),
    [anon_sym___asm__] = ACTIONS(2627),
    [anon_sym___asm] = ACTIONS(2627),
    [sym_number_literal] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2629),
    [anon_sym_u_SQUOTE] = ACTIONS(2629),
    [anon_sym_U_SQUOTE] = ACTIONS(2629),
    [anon_sym_u8_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_L_DQUOTE] = ACTIONS(2629),
    [anon_sym_u_DQUOTE] = ACTIONS(2629),
    [anon_sym_U_DQUOTE] = ACTIONS(2629),
    [anon_sym_u8_DQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [sym_true] = ACTIONS(2627),
    [sym_false] = ACTIONS(2627),
    [anon_sym_NULL] = ACTIONS(2627),
    [anon_sym_nullptr] = ACTIONS(2627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2627),
    [anon_sym_decltype] = ACTIONS(2627),
    [anon_sym_explicit] = ACTIONS(2627),
    [anon_sym_typename] = ACTIONS(2627),
    [anon_sym_template] = ACTIONS(2627),
    [anon_sym_operator] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2627),
    [anon_sym_delete] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2627),
    [anon_sym_namespace] = ACTIONS(2627),
    [anon_sym_using] = ACTIONS(2627),
    [anon_sym_static_assert] = ACTIONS(2627),
    [anon_sym_concept] = ACTIONS(2627),
    [anon_sym_co_return] = ACTIONS(2627),
    [anon_sym_co_yield] = ACTIONS(2627),
    [anon_sym_R_DQUOTE] = ACTIONS(2629),
    [anon_sym_LR_DQUOTE] = ACTIONS(2629),
    [anon_sym_uR_DQUOTE] = ACTIONS(2629),
    [anon_sym_UR_DQUOTE] = ACTIONS(2629),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2629),
    [anon_sym_co_await] = ACTIONS(2627),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_requires] = ACTIONS(2627),
    [sym_this] = ACTIONS(2627),
    [anon_sym_discard] = ACTIONS(2627),
    [anon_sym_precise] = ACTIONS(2627),
    [anon_sym_shared] = ACTIONS(2627),
    [anon_sym_groupshared] = ACTIONS(2627),
    [anon_sym_uniform] = ACTIONS(2627),
    [anon_sym_row_major] = ACTIONS(2627),
    [anon_sym_column_major] = ACTIONS(2627),
    [anon_sym_globallycoherent] = ACTIONS(2627),
    [anon_sym_centroid] = ACTIONS(2627),
    [anon_sym_noperspective] = ACTIONS(2627),
    [anon_sym_nointerpolation] = ACTIONS(2627),
    [anon_sym_sample] = ACTIONS(2627),
    [anon_sym_linear] = ACTIONS(2627),
    [anon_sym_snorm] = ACTIONS(2627),
    [anon_sym_unorm] = ACTIONS(2627),
    [anon_sym_point] = ACTIONS(2627),
    [anon_sym_line] = ACTIONS(2627),
    [anon_sym_triangleadj] = ACTIONS(2627),
    [anon_sym_lineadj] = ACTIONS(2627),
    [anon_sym_triangle] = ACTIONS(2627),
    [anon_sym_cbuffer] = ACTIONS(2627),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2659),
    [aux_sym_preproc_include_token1] = ACTIONS(2659),
    [aux_sym_preproc_def_token1] = ACTIONS(2659),
    [aux_sym_preproc_if_token1] = ACTIONS(2659),
    [aux_sym_preproc_if_token2] = ACTIONS(2659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2659),
    [anon_sym_LPAREN2] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2659),
    [anon_sym_PLUS] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym___extension__] = ACTIONS(2659),
    [anon_sym_typedef] = ACTIONS(2659),
    [anon_sym_in] = ACTIONS(2659),
    [anon_sym_out] = ACTIONS(2659),
    [anon_sym_inout] = ACTIONS(2659),
    [anon_sym_virtual] = ACTIONS(2659),
    [anon_sym_extern] = ACTIONS(2659),
    [anon_sym___attribute__] = ACTIONS(2659),
    [anon_sym___attribute] = ACTIONS(2659),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2661),
    [anon_sym___declspec] = ACTIONS(2659),
    [anon_sym___based] = ACTIONS(2659),
    [anon_sym___cdecl] = ACTIONS(2659),
    [anon_sym___clrcall] = ACTIONS(2659),
    [anon_sym___stdcall] = ACTIONS(2659),
    [anon_sym___fastcall] = ACTIONS(2659),
    [anon_sym___thiscall] = ACTIONS(2659),
    [anon_sym___vectorcall] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_signed] = ACTIONS(2659),
    [anon_sym_unsigned] = ACTIONS(2659),
    [anon_sym_long] = ACTIONS(2659),
    [anon_sym_short] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_static] = ACTIONS(2659),
    [anon_sym_register] = ACTIONS(2659),
    [anon_sym_inline] = ACTIONS(2659),
    [anon_sym___inline] = ACTIONS(2659),
    [anon_sym___inline__] = ACTIONS(2659),
    [anon_sym___forceinline] = ACTIONS(2659),
    [anon_sym_thread_local] = ACTIONS(2659),
    [anon_sym___thread] = ACTIONS(2659),
    [anon_sym_const] = ACTIONS(2659),
    [anon_sym_constexpr] = ACTIONS(2659),
    [anon_sym_volatile] = ACTIONS(2659),
    [anon_sym_restrict] = ACTIONS(2659),
    [anon_sym___restrict__] = ACTIONS(2659),
    [anon_sym__Atomic] = ACTIONS(2659),
    [anon_sym__Noreturn] = ACTIONS(2659),
    [anon_sym_noreturn] = ACTIONS(2659),
    [anon_sym__Nonnull] = ACTIONS(2659),
    [anon_sym_mutable] = ACTIONS(2659),
    [anon_sym_constinit] = ACTIONS(2659),
    [anon_sym_consteval] = ACTIONS(2659),
    [anon_sym_alignas] = ACTIONS(2659),
    [anon_sym__Alignas] = ACTIONS(2659),
    [sym_primitive_type] = ACTIONS(2659),
    [anon_sym_enum] = ACTIONS(2659),
    [anon_sym_class] = ACTIONS(2659),
    [anon_sym_struct] = ACTIONS(2659),
    [anon_sym_union] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_switch] = ACTIONS(2659),
    [anon_sym_case] = ACTIONS(2659),
    [anon_sym_default] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_do] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_return] = ACTIONS(2659),
    [anon_sym_break] = ACTIONS(2659),
    [anon_sym_continue] = ACTIONS(2659),
    [anon_sym_goto] = ACTIONS(2659),
    [anon_sym___try] = ACTIONS(2659),
    [anon_sym___leave] = ACTIONS(2659),
    [anon_sym_not] = ACTIONS(2659),
    [anon_sym_compl] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_sizeof] = ACTIONS(2659),
    [anon_sym___alignof__] = ACTIONS(2659),
    [anon_sym___alignof] = ACTIONS(2659),
    [anon_sym__alignof] = ACTIONS(2659),
    [anon_sym_alignof] = ACTIONS(2659),
    [anon_sym__Alignof] = ACTIONS(2659),
    [anon_sym_offsetof] = ACTIONS(2659),
    [anon_sym__Generic] = ACTIONS(2659),
    [anon_sym_asm] = ACTIONS(2659),
    [anon_sym___asm__] = ACTIONS(2659),
    [anon_sym___asm] = ACTIONS(2659),
    [sym_number_literal] = ACTIONS(2661),
    [anon_sym_L_SQUOTE] = ACTIONS(2661),
    [anon_sym_u_SQUOTE] = ACTIONS(2661),
    [anon_sym_U_SQUOTE] = ACTIONS(2661),
    [anon_sym_u8_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_L_DQUOTE] = ACTIONS(2661),
    [anon_sym_u_DQUOTE] = ACTIONS(2661),
    [anon_sym_U_DQUOTE] = ACTIONS(2661),
    [anon_sym_u8_DQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [sym_true] = ACTIONS(2659),
    [sym_false] = ACTIONS(2659),
    [anon_sym_NULL] = ACTIONS(2659),
    [anon_sym_nullptr] = ACTIONS(2659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2659),
    [anon_sym_decltype] = ACTIONS(2659),
    [anon_sym_explicit] = ACTIONS(2659),
    [anon_sym_typename] = ACTIONS(2659),
    [anon_sym_template] = ACTIONS(2659),
    [anon_sym_operator] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2659),
    [anon_sym_delete] = ACTIONS(2659),
    [anon_sym_throw] = ACTIONS(2659),
    [anon_sym_namespace] = ACTIONS(2659),
    [anon_sym_using] = ACTIONS(2659),
    [anon_sym_static_assert] = ACTIONS(2659),
    [anon_sym_concept] = ACTIONS(2659),
    [anon_sym_co_return] = ACTIONS(2659),
    [anon_sym_co_yield] = ACTIONS(2659),
    [anon_sym_R_DQUOTE] = ACTIONS(2661),
    [anon_sym_LR_DQUOTE] = ACTIONS(2661),
    [anon_sym_uR_DQUOTE] = ACTIONS(2661),
    [anon_sym_UR_DQUOTE] = ACTIONS(2661),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2661),
    [anon_sym_co_await] = ACTIONS(2659),
    [anon_sym_new] = ACTIONS(2659),
    [anon_sym_requires] = ACTIONS(2659),
    [sym_this] = ACTIONS(2659),
    [anon_sym_discard] = ACTIONS(2659),
    [anon_sym_precise] = ACTIONS(2659),
    [anon_sym_shared] = ACTIONS(2659),
    [anon_sym_groupshared] = ACTIONS(2659),
    [anon_sym_uniform] = ACTIONS(2659),
    [anon_sym_row_major] = ACTIONS(2659),
    [anon_sym_column_major] = ACTIONS(2659),
    [anon_sym_globallycoherent] = ACTIONS(2659),
    [anon_sym_centroid] = ACTIONS(2659),
    [anon_sym_noperspective] = ACTIONS(2659),
    [anon_sym_nointerpolation] = ACTIONS(2659),
    [anon_sym_sample] = ACTIONS(2659),
    [anon_sym_linear] = ACTIONS(2659),
    [anon_sym_snorm] = ACTIONS(2659),
    [anon_sym_unorm] = ACTIONS(2659),
    [anon_sym_point] = ACTIONS(2659),
    [anon_sym_line] = ACTIONS(2659),
    [anon_sym_triangleadj] = ACTIONS(2659),
    [anon_sym_lineadj] = ACTIONS(2659),
    [anon_sym_triangle] = ACTIONS(2659),
    [anon_sym_cbuffer] = ACTIONS(2659),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2386),
    [aux_sym_preproc_include_token1] = ACTIONS(2386),
    [aux_sym_preproc_def_token1] = ACTIONS(2386),
    [aux_sym_preproc_if_token1] = ACTIONS(2386),
    [aux_sym_preproc_if_token2] = ACTIONS(2386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2386),
    [sym_preproc_directive] = ACTIONS(2386),
    [anon_sym_LPAREN2] = ACTIONS(2388),
    [anon_sym_BANG] = ACTIONS(2388),
    [anon_sym_TILDE] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2386),
    [anon_sym_PLUS] = ACTIONS(2386),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_AMP_AMP] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2386),
    [anon_sym_SEMI] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2386),
    [anon_sym_typedef] = ACTIONS(2386),
    [anon_sym_in] = ACTIONS(2386),
    [anon_sym_out] = ACTIONS(2386),
    [anon_sym_inout] = ACTIONS(2386),
    [anon_sym_virtual] = ACTIONS(2386),
    [anon_sym_extern] = ACTIONS(2386),
    [anon_sym___attribute__] = ACTIONS(2386),
    [anon_sym___attribute] = ACTIONS(2386),
    [anon_sym_COLON_COLON] = ACTIONS(2388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2388),
    [anon_sym___declspec] = ACTIONS(2386),
    [anon_sym___based] = ACTIONS(2386),
    [anon_sym___cdecl] = ACTIONS(2386),
    [anon_sym___clrcall] = ACTIONS(2386),
    [anon_sym___stdcall] = ACTIONS(2386),
    [anon_sym___fastcall] = ACTIONS(2386),
    [anon_sym___thiscall] = ACTIONS(2386),
    [anon_sym___vectorcall] = ACTIONS(2386),
    [anon_sym_LBRACE] = ACTIONS(2388),
    [anon_sym_signed] = ACTIONS(2386),
    [anon_sym_unsigned] = ACTIONS(2386),
    [anon_sym_long] = ACTIONS(2386),
    [anon_sym_short] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_static] = ACTIONS(2386),
    [anon_sym_register] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym___inline] = ACTIONS(2386),
    [anon_sym___inline__] = ACTIONS(2386),
    [anon_sym___forceinline] = ACTIONS(2386),
    [anon_sym_thread_local] = ACTIONS(2386),
    [anon_sym___thread] = ACTIONS(2386),
    [anon_sym_const] = ACTIONS(2386),
    [anon_sym_constexpr] = ACTIONS(2386),
    [anon_sym_volatile] = ACTIONS(2386),
    [anon_sym_restrict] = ACTIONS(2386),
    [anon_sym___restrict__] = ACTIONS(2386),
    [anon_sym__Atomic] = ACTIONS(2386),
    [anon_sym__Noreturn] = ACTIONS(2386),
    [anon_sym_noreturn] = ACTIONS(2386),
    [anon_sym__Nonnull] = ACTIONS(2386),
    [anon_sym_mutable] = ACTIONS(2386),
    [anon_sym_constinit] = ACTIONS(2386),
    [anon_sym_consteval] = ACTIONS(2386),
    [anon_sym_alignas] = ACTIONS(2386),
    [anon_sym__Alignas] = ACTIONS(2386),
    [sym_primitive_type] = ACTIONS(2386),
    [anon_sym_enum] = ACTIONS(2386),
    [anon_sym_class] = ACTIONS(2386),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2386),
    [anon_sym_if] = ACTIONS(2386),
    [anon_sym_switch] = ACTIONS(2386),
    [anon_sym_case] = ACTIONS(2386),
    [anon_sym_default] = ACTIONS(2386),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_do] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2386),
    [anon_sym_return] = ACTIONS(2386),
    [anon_sym_break] = ACTIONS(2386),
    [anon_sym_continue] = ACTIONS(2386),
    [anon_sym_goto] = ACTIONS(2386),
    [anon_sym___try] = ACTIONS(2386),
    [anon_sym___leave] = ACTIONS(2386),
    [anon_sym_not] = ACTIONS(2386),
    [anon_sym_compl] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2388),
    [anon_sym_PLUS_PLUS] = ACTIONS(2388),
    [anon_sym_sizeof] = ACTIONS(2386),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2386),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2386),
    [anon_sym___asm__] = ACTIONS(2386),
    [anon_sym___asm] = ACTIONS(2386),
    [sym_number_literal] = ACTIONS(2388),
    [anon_sym_L_SQUOTE] = ACTIONS(2388),
    [anon_sym_u_SQUOTE] = ACTIONS(2388),
    [anon_sym_U_SQUOTE] = ACTIONS(2388),
    [anon_sym_u8_SQUOTE] = ACTIONS(2388),
    [anon_sym_SQUOTE] = ACTIONS(2388),
    [anon_sym_L_DQUOTE] = ACTIONS(2388),
    [anon_sym_u_DQUOTE] = ACTIONS(2388),
    [anon_sym_U_DQUOTE] = ACTIONS(2388),
    [anon_sym_u8_DQUOTE] = ACTIONS(2388),
    [anon_sym_DQUOTE] = ACTIONS(2388),
    [sym_true] = ACTIONS(2386),
    [sym_false] = ACTIONS(2386),
    [anon_sym_NULL] = ACTIONS(2386),
    [anon_sym_nullptr] = ACTIONS(2386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2386),
    [anon_sym_decltype] = ACTIONS(2386),
    [anon_sym_explicit] = ACTIONS(2386),
    [anon_sym_typename] = ACTIONS(2386),
    [anon_sym_template] = ACTIONS(2386),
    [anon_sym_operator] = ACTIONS(2386),
    [anon_sym_try] = ACTIONS(2386),
    [anon_sym_delete] = ACTIONS(2386),
    [anon_sym_throw] = ACTIONS(2386),
    [anon_sym_namespace] = ACTIONS(2386),
    [anon_sym_using] = ACTIONS(2386),
    [anon_sym_static_assert] = ACTIONS(2386),
    [anon_sym_concept] = ACTIONS(2386),
    [anon_sym_co_return] = ACTIONS(2386),
    [anon_sym_co_yield] = ACTIONS(2386),
    [anon_sym_R_DQUOTE] = ACTIONS(2388),
    [anon_sym_LR_DQUOTE] = ACTIONS(2388),
    [anon_sym_uR_DQUOTE] = ACTIONS(2388),
    [anon_sym_UR_DQUOTE] = ACTIONS(2388),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2388),
    [anon_sym_co_await] = ACTIONS(2386),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_requires] = ACTIONS(2386),
    [sym_this] = ACTIONS(2386),
    [anon_sym_discard] = ACTIONS(2386),
    [anon_sym_precise] = ACTIONS(2386),
    [anon_sym_shared] = ACTIONS(2386),
    [anon_sym_groupshared] = ACTIONS(2386),
    [anon_sym_uniform] = ACTIONS(2386),
    [anon_sym_row_major] = ACTIONS(2386),
    [anon_sym_column_major] = ACTIONS(2386),
    [anon_sym_globallycoherent] = ACTIONS(2386),
    [anon_sym_centroid] = ACTIONS(2386),
    [anon_sym_noperspective] = ACTIONS(2386),
    [anon_sym_nointerpolation] = ACTIONS(2386),
    [anon_sym_sample] = ACTIONS(2386),
    [anon_sym_linear] = ACTIONS(2386),
    [anon_sym_snorm] = ACTIONS(2386),
    [anon_sym_unorm] = ACTIONS(2386),
    [anon_sym_point] = ACTIONS(2386),
    [anon_sym_line] = ACTIONS(2386),
    [anon_sym_triangleadj] = ACTIONS(2386),
    [anon_sym_lineadj] = ACTIONS(2386),
    [anon_sym_triangle] = ACTIONS(2386),
    [anon_sym_cbuffer] = ACTIONS(2386),
  },
  [576] = {
    [sym_identifier] = ACTIONS(2390),
    [aux_sym_preproc_include_token1] = ACTIONS(2390),
    [aux_sym_preproc_def_token1] = ACTIONS(2390),
    [aux_sym_preproc_if_token1] = ACTIONS(2390),
    [aux_sym_preproc_if_token2] = ACTIONS(2390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2390),
    [sym_preproc_directive] = ACTIONS(2390),
    [anon_sym_LPAREN2] = ACTIONS(2392),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_AMP_AMP] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2390),
    [anon_sym_SEMI] = ACTIONS(2392),
    [anon_sym___extension__] = ACTIONS(2390),
    [anon_sym_typedef] = ACTIONS(2390),
    [anon_sym_in] = ACTIONS(2390),
    [anon_sym_out] = ACTIONS(2390),
    [anon_sym_inout] = ACTIONS(2390),
    [anon_sym_virtual] = ACTIONS(2390),
    [anon_sym_extern] = ACTIONS(2390),
    [anon_sym___attribute__] = ACTIONS(2390),
    [anon_sym___attribute] = ACTIONS(2390),
    [anon_sym_COLON_COLON] = ACTIONS(2392),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2392),
    [anon_sym___declspec] = ACTIONS(2390),
    [anon_sym___based] = ACTIONS(2390),
    [anon_sym___cdecl] = ACTIONS(2390),
    [anon_sym___clrcall] = ACTIONS(2390),
    [anon_sym___stdcall] = ACTIONS(2390),
    [anon_sym___fastcall] = ACTIONS(2390),
    [anon_sym___thiscall] = ACTIONS(2390),
    [anon_sym___vectorcall] = ACTIONS(2390),
    [anon_sym_LBRACE] = ACTIONS(2392),
    [anon_sym_signed] = ACTIONS(2390),
    [anon_sym_unsigned] = ACTIONS(2390),
    [anon_sym_long] = ACTIONS(2390),
    [anon_sym_short] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_static] = ACTIONS(2390),
    [anon_sym_register] = ACTIONS(2390),
    [anon_sym_inline] = ACTIONS(2390),
    [anon_sym___inline] = ACTIONS(2390),
    [anon_sym___inline__] = ACTIONS(2390),
    [anon_sym___forceinline] = ACTIONS(2390),
    [anon_sym_thread_local] = ACTIONS(2390),
    [anon_sym___thread] = ACTIONS(2390),
    [anon_sym_const] = ACTIONS(2390),
    [anon_sym_constexpr] = ACTIONS(2390),
    [anon_sym_volatile] = ACTIONS(2390),
    [anon_sym_restrict] = ACTIONS(2390),
    [anon_sym___restrict__] = ACTIONS(2390),
    [anon_sym__Atomic] = ACTIONS(2390),
    [anon_sym__Noreturn] = ACTIONS(2390),
    [anon_sym_noreturn] = ACTIONS(2390),
    [anon_sym__Nonnull] = ACTIONS(2390),
    [anon_sym_mutable] = ACTIONS(2390),
    [anon_sym_constinit] = ACTIONS(2390),
    [anon_sym_consteval] = ACTIONS(2390),
    [anon_sym_alignas] = ACTIONS(2390),
    [anon_sym__Alignas] = ACTIONS(2390),
    [sym_primitive_type] = ACTIONS(2390),
    [anon_sym_enum] = ACTIONS(2390),
    [anon_sym_class] = ACTIONS(2390),
    [anon_sym_struct] = ACTIONS(2390),
    [anon_sym_union] = ACTIONS(2390),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_switch] = ACTIONS(2390),
    [anon_sym_case] = ACTIONS(2390),
    [anon_sym_default] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2390),
    [anon_sym_do] = ACTIONS(2390),
    [anon_sym_for] = ACTIONS(2390),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_break] = ACTIONS(2390),
    [anon_sym_continue] = ACTIONS(2390),
    [anon_sym_goto] = ACTIONS(2390),
    [anon_sym___try] = ACTIONS(2390),
    [anon_sym___leave] = ACTIONS(2390),
    [anon_sym_not] = ACTIONS(2390),
    [anon_sym_compl] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2392),
    [anon_sym_PLUS_PLUS] = ACTIONS(2392),
    [anon_sym_sizeof] = ACTIONS(2390),
    [anon_sym___alignof__] = ACTIONS(2390),
    [anon_sym___alignof] = ACTIONS(2390),
    [anon_sym__alignof] = ACTIONS(2390),
    [anon_sym_alignof] = ACTIONS(2390),
    [anon_sym__Alignof] = ACTIONS(2390),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2390),
    [anon_sym_asm] = ACTIONS(2390),
    [anon_sym___asm__] = ACTIONS(2390),
    [anon_sym___asm] = ACTIONS(2390),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2392),
    [anon_sym_u_SQUOTE] = ACTIONS(2392),
    [anon_sym_U_SQUOTE] = ACTIONS(2392),
    [anon_sym_u8_SQUOTE] = ACTIONS(2392),
    [anon_sym_SQUOTE] = ACTIONS(2392),
    [anon_sym_L_DQUOTE] = ACTIONS(2392),
    [anon_sym_u_DQUOTE] = ACTIONS(2392),
    [anon_sym_U_DQUOTE] = ACTIONS(2392),
    [anon_sym_u8_DQUOTE] = ACTIONS(2392),
    [anon_sym_DQUOTE] = ACTIONS(2392),
    [sym_true] = ACTIONS(2390),
    [sym_false] = ACTIONS(2390),
    [anon_sym_NULL] = ACTIONS(2390),
    [anon_sym_nullptr] = ACTIONS(2390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2390),
    [anon_sym_decltype] = ACTIONS(2390),
    [anon_sym_explicit] = ACTIONS(2390),
    [anon_sym_typename] = ACTIONS(2390),
    [anon_sym_template] = ACTIONS(2390),
    [anon_sym_operator] = ACTIONS(2390),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2390),
    [anon_sym_namespace] = ACTIONS(2390),
    [anon_sym_using] = ACTIONS(2390),
    [anon_sym_static_assert] = ACTIONS(2390),
    [anon_sym_concept] = ACTIONS(2390),
    [anon_sym_co_return] = ACTIONS(2390),
    [anon_sym_co_yield] = ACTIONS(2390),
    [anon_sym_R_DQUOTE] = ACTIONS(2392),
    [anon_sym_LR_DQUOTE] = ACTIONS(2392),
    [anon_sym_uR_DQUOTE] = ACTIONS(2392),
    [anon_sym_UR_DQUOTE] = ACTIONS(2392),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2392),
    [anon_sym_co_await] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(2390),
    [anon_sym_requires] = ACTIONS(2390),
    [sym_this] = ACTIONS(2390),
    [anon_sym_discard] = ACTIONS(2390),
    [anon_sym_precise] = ACTIONS(2390),
    [anon_sym_shared] = ACTIONS(2390),
    [anon_sym_groupshared] = ACTIONS(2390),
    [anon_sym_uniform] = ACTIONS(2390),
    [anon_sym_row_major] = ACTIONS(2390),
    [anon_sym_column_major] = ACTIONS(2390),
    [anon_sym_globallycoherent] = ACTIONS(2390),
    [anon_sym_centroid] = ACTIONS(2390),
    [anon_sym_noperspective] = ACTIONS(2390),
    [anon_sym_nointerpolation] = ACTIONS(2390),
    [anon_sym_sample] = ACTIONS(2390),
    [anon_sym_linear] = ACTIONS(2390),
    [anon_sym_snorm] = ACTIONS(2390),
    [anon_sym_unorm] = ACTIONS(2390),
    [anon_sym_point] = ACTIONS(2390),
    [anon_sym_line] = ACTIONS(2390),
    [anon_sym_triangleadj] = ACTIONS(2390),
    [anon_sym_lineadj] = ACTIONS(2390),
    [anon_sym_triangle] = ACTIONS(2390),
    [anon_sym_cbuffer] = ACTIONS(2390),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2394),
    [aux_sym_preproc_include_token1] = ACTIONS(2394),
    [aux_sym_preproc_def_token1] = ACTIONS(2394),
    [aux_sym_preproc_if_token1] = ACTIONS(2394),
    [aux_sym_preproc_if_token2] = ACTIONS(2394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2394),
    [sym_preproc_directive] = ACTIONS(2394),
    [anon_sym_LPAREN2] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2396),
    [anon_sym_TILDE] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym___extension__] = ACTIONS(2394),
    [anon_sym_typedef] = ACTIONS(2394),
    [anon_sym_in] = ACTIONS(2394),
    [anon_sym_out] = ACTIONS(2394),
    [anon_sym_inout] = ACTIONS(2394),
    [anon_sym_virtual] = ACTIONS(2394),
    [anon_sym_extern] = ACTIONS(2394),
    [anon_sym___attribute__] = ACTIONS(2394),
    [anon_sym___attribute] = ACTIONS(2394),
    [anon_sym_COLON_COLON] = ACTIONS(2396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2396),
    [anon_sym___declspec] = ACTIONS(2394),
    [anon_sym___based] = ACTIONS(2394),
    [anon_sym___cdecl] = ACTIONS(2394),
    [anon_sym___clrcall] = ACTIONS(2394),
    [anon_sym___stdcall] = ACTIONS(2394),
    [anon_sym___fastcall] = ACTIONS(2394),
    [anon_sym___thiscall] = ACTIONS(2394),
    [anon_sym___vectorcall] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2396),
    [anon_sym_signed] = ACTIONS(2394),
    [anon_sym_unsigned] = ACTIONS(2394),
    [anon_sym_long] = ACTIONS(2394),
    [anon_sym_short] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_register] = ACTIONS(2394),
    [anon_sym_inline] = ACTIONS(2394),
    [anon_sym___inline] = ACTIONS(2394),
    [anon_sym___inline__] = ACTIONS(2394),
    [anon_sym___forceinline] = ACTIONS(2394),
    [anon_sym_thread_local] = ACTIONS(2394),
    [anon_sym___thread] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_constexpr] = ACTIONS(2394),
    [anon_sym_volatile] = ACTIONS(2394),
    [anon_sym_restrict] = ACTIONS(2394),
    [anon_sym___restrict__] = ACTIONS(2394),
    [anon_sym__Atomic] = ACTIONS(2394),
    [anon_sym__Noreturn] = ACTIONS(2394),
    [anon_sym_noreturn] = ACTIONS(2394),
    [anon_sym__Nonnull] = ACTIONS(2394),
    [anon_sym_mutable] = ACTIONS(2394),
    [anon_sym_constinit] = ACTIONS(2394),
    [anon_sym_consteval] = ACTIONS(2394),
    [anon_sym_alignas] = ACTIONS(2394),
    [anon_sym__Alignas] = ACTIONS(2394),
    [sym_primitive_type] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_struct] = ACTIONS(2394),
    [anon_sym_union] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_case] = ACTIONS(2394),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_goto] = ACTIONS(2394),
    [anon_sym___try] = ACTIONS(2394),
    [anon_sym___leave] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2394),
    [anon_sym_compl] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2396),
    [anon_sym_PLUS_PLUS] = ACTIONS(2396),
    [anon_sym_sizeof] = ACTIONS(2394),
    [anon_sym___alignof__] = ACTIONS(2394),
    [anon_sym___alignof] = ACTIONS(2394),
    [anon_sym__alignof] = ACTIONS(2394),
    [anon_sym_alignof] = ACTIONS(2394),
    [anon_sym__Alignof] = ACTIONS(2394),
    [anon_sym_offsetof] = ACTIONS(2394),
    [anon_sym__Generic] = ACTIONS(2394),
    [anon_sym_asm] = ACTIONS(2394),
    [anon_sym___asm__] = ACTIONS(2394),
    [anon_sym___asm] = ACTIONS(2394),
    [sym_number_literal] = ACTIONS(2396),
    [anon_sym_L_SQUOTE] = ACTIONS(2396),
    [anon_sym_u_SQUOTE] = ACTIONS(2396),
    [anon_sym_U_SQUOTE] = ACTIONS(2396),
    [anon_sym_u8_SQUOTE] = ACTIONS(2396),
    [anon_sym_SQUOTE] = ACTIONS(2396),
    [anon_sym_L_DQUOTE] = ACTIONS(2396),
    [anon_sym_u_DQUOTE] = ACTIONS(2396),
    [anon_sym_U_DQUOTE] = ACTIONS(2396),
    [anon_sym_u8_DQUOTE] = ACTIONS(2396),
    [anon_sym_DQUOTE] = ACTIONS(2396),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [anon_sym_NULL] = ACTIONS(2394),
    [anon_sym_nullptr] = ACTIONS(2394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2394),
    [anon_sym_decltype] = ACTIONS(2394),
    [anon_sym_explicit] = ACTIONS(2394),
    [anon_sym_typename] = ACTIONS(2394),
    [anon_sym_template] = ACTIONS(2394),
    [anon_sym_operator] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_static_assert] = ACTIONS(2394),
    [anon_sym_concept] = ACTIONS(2394),
    [anon_sym_co_return] = ACTIONS(2394),
    [anon_sym_co_yield] = ACTIONS(2394),
    [anon_sym_R_DQUOTE] = ACTIONS(2396),
    [anon_sym_LR_DQUOTE] = ACTIONS(2396),
    [anon_sym_uR_DQUOTE] = ACTIONS(2396),
    [anon_sym_UR_DQUOTE] = ACTIONS(2396),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2396),
    [anon_sym_co_await] = ACTIONS(2394),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_requires] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [anon_sym_discard] = ACTIONS(2394),
    [anon_sym_precise] = ACTIONS(2394),
    [anon_sym_shared] = ACTIONS(2394),
    [anon_sym_groupshared] = ACTIONS(2394),
    [anon_sym_uniform] = ACTIONS(2394),
    [anon_sym_row_major] = ACTIONS(2394),
    [anon_sym_column_major] = ACTIONS(2394),
    [anon_sym_globallycoherent] = ACTIONS(2394),
    [anon_sym_centroid] = ACTIONS(2394),
    [anon_sym_noperspective] = ACTIONS(2394),
    [anon_sym_nointerpolation] = ACTIONS(2394),
    [anon_sym_sample] = ACTIONS(2394),
    [anon_sym_linear] = ACTIONS(2394),
    [anon_sym_snorm] = ACTIONS(2394),
    [anon_sym_unorm] = ACTIONS(2394),
    [anon_sym_point] = ACTIONS(2394),
    [anon_sym_line] = ACTIONS(2394),
    [anon_sym_triangleadj] = ACTIONS(2394),
    [anon_sym_lineadj] = ACTIONS(2394),
    [anon_sym_triangle] = ACTIONS(2394),
    [anon_sym_cbuffer] = ACTIONS(2394),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_in] = ACTIONS(2499),
    [anon_sym_out] = ACTIONS(2499),
    [anon_sym_inout] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym___attribute] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_RBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
    [anon_sym_discard] = ACTIONS(2499),
    [anon_sym_precise] = ACTIONS(2499),
    [anon_sym_shared] = ACTIONS(2499),
    [anon_sym_groupshared] = ACTIONS(2499),
    [anon_sym_uniform] = ACTIONS(2499),
    [anon_sym_row_major] = ACTIONS(2499),
    [anon_sym_column_major] = ACTIONS(2499),
    [anon_sym_globallycoherent] = ACTIONS(2499),
    [anon_sym_centroid] = ACTIONS(2499),
    [anon_sym_noperspective] = ACTIONS(2499),
    [anon_sym_nointerpolation] = ACTIONS(2499),
    [anon_sym_sample] = ACTIONS(2499),
    [anon_sym_linear] = ACTIONS(2499),
    [anon_sym_snorm] = ACTIONS(2499),
    [anon_sym_unorm] = ACTIONS(2499),
    [anon_sym_point] = ACTIONS(2499),
    [anon_sym_line] = ACTIONS(2499),
    [anon_sym_triangleadj] = ACTIONS(2499),
    [anon_sym_lineadj] = ACTIONS(2499),
    [anon_sym_triangle] = ACTIONS(2499),
    [anon_sym_cbuffer] = ACTIONS(2499),
  },
  [579] = {
    [sym_identifier] = ACTIONS(2406),
    [aux_sym_preproc_include_token1] = ACTIONS(2406),
    [aux_sym_preproc_def_token1] = ACTIONS(2406),
    [aux_sym_preproc_if_token1] = ACTIONS(2406),
    [aux_sym_preproc_if_token2] = ACTIONS(2406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2406),
    [sym_preproc_directive] = ACTIONS(2406),
    [anon_sym_LPAREN2] = ACTIONS(2408),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2406),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym___extension__] = ACTIONS(2406),
    [anon_sym_typedef] = ACTIONS(2406),
    [anon_sym_in] = ACTIONS(2406),
    [anon_sym_out] = ACTIONS(2406),
    [anon_sym_inout] = ACTIONS(2406),
    [anon_sym_virtual] = ACTIONS(2406),
    [anon_sym_extern] = ACTIONS(2406),
    [anon_sym___attribute__] = ACTIONS(2406),
    [anon_sym___attribute] = ACTIONS(2406),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2408),
    [anon_sym___declspec] = ACTIONS(2406),
    [anon_sym___based] = ACTIONS(2406),
    [anon_sym___cdecl] = ACTIONS(2406),
    [anon_sym___clrcall] = ACTIONS(2406),
    [anon_sym___stdcall] = ACTIONS(2406),
    [anon_sym___fastcall] = ACTIONS(2406),
    [anon_sym___thiscall] = ACTIONS(2406),
    [anon_sym___vectorcall] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_signed] = ACTIONS(2406),
    [anon_sym_unsigned] = ACTIONS(2406),
    [anon_sym_long] = ACTIONS(2406),
    [anon_sym_short] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_static] = ACTIONS(2406),
    [anon_sym_register] = ACTIONS(2406),
    [anon_sym_inline] = ACTIONS(2406),
    [anon_sym___inline] = ACTIONS(2406),
    [anon_sym___inline__] = ACTIONS(2406),
    [anon_sym___forceinline] = ACTIONS(2406),
    [anon_sym_thread_local] = ACTIONS(2406),
    [anon_sym___thread] = ACTIONS(2406),
    [anon_sym_const] = ACTIONS(2406),
    [anon_sym_constexpr] = ACTIONS(2406),
    [anon_sym_volatile] = ACTIONS(2406),
    [anon_sym_restrict] = ACTIONS(2406),
    [anon_sym___restrict__] = ACTIONS(2406),
    [anon_sym__Atomic] = ACTIONS(2406),
    [anon_sym__Noreturn] = ACTIONS(2406),
    [anon_sym_noreturn] = ACTIONS(2406),
    [anon_sym__Nonnull] = ACTIONS(2406),
    [anon_sym_mutable] = ACTIONS(2406),
    [anon_sym_constinit] = ACTIONS(2406),
    [anon_sym_consteval] = ACTIONS(2406),
    [anon_sym_alignas] = ACTIONS(2406),
    [anon_sym__Alignas] = ACTIONS(2406),
    [sym_primitive_type] = ACTIONS(2406),
    [anon_sym_enum] = ACTIONS(2406),
    [anon_sym_class] = ACTIONS(2406),
    [anon_sym_struct] = ACTIONS(2406),
    [anon_sym_union] = ACTIONS(2406),
    [anon_sym_if] = ACTIONS(2406),
    [anon_sym_switch] = ACTIONS(2406),
    [anon_sym_case] = ACTIONS(2406),
    [anon_sym_default] = ACTIONS(2406),
    [anon_sym_while] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(2406),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_return] = ACTIONS(2406),
    [anon_sym_break] = ACTIONS(2406),
    [anon_sym_continue] = ACTIONS(2406),
    [anon_sym_goto] = ACTIONS(2406),
    [anon_sym___try] = ACTIONS(2406),
    [anon_sym___leave] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_compl] = ACTIONS(2406),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_sizeof] = ACTIONS(2406),
    [anon_sym___alignof__] = ACTIONS(2406),
    [anon_sym___alignof] = ACTIONS(2406),
    [anon_sym__alignof] = ACTIONS(2406),
    [anon_sym_alignof] = ACTIONS(2406),
    [anon_sym__Alignof] = ACTIONS(2406),
    [anon_sym_offsetof] = ACTIONS(2406),
    [anon_sym__Generic] = ACTIONS(2406),
    [anon_sym_asm] = ACTIONS(2406),
    [anon_sym___asm__] = ACTIONS(2406),
    [anon_sym___asm] = ACTIONS(2406),
    [sym_number_literal] = ACTIONS(2408),
    [anon_sym_L_SQUOTE] = ACTIONS(2408),
    [anon_sym_u_SQUOTE] = ACTIONS(2408),
    [anon_sym_U_SQUOTE] = ACTIONS(2408),
    [anon_sym_u8_SQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2406),
    [sym_false] = ACTIONS(2406),
    [anon_sym_NULL] = ACTIONS(2406),
    [anon_sym_nullptr] = ACTIONS(2406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2406),
    [anon_sym_decltype] = ACTIONS(2406),
    [anon_sym_explicit] = ACTIONS(2406),
    [anon_sym_typename] = ACTIONS(2406),
    [anon_sym_template] = ACTIONS(2406),
    [anon_sym_operator] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2406),
    [anon_sym_delete] = ACTIONS(2406),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_namespace] = ACTIONS(2406),
    [anon_sym_using] = ACTIONS(2406),
    [anon_sym_static_assert] = ACTIONS(2406),
    [anon_sym_concept] = ACTIONS(2406),
    [anon_sym_co_return] = ACTIONS(2406),
    [anon_sym_co_yield] = ACTIONS(2406),
    [anon_sym_R_DQUOTE] = ACTIONS(2408),
    [anon_sym_LR_DQUOTE] = ACTIONS(2408),
    [anon_sym_uR_DQUOTE] = ACTIONS(2408),
    [anon_sym_UR_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2408),
    [anon_sym_co_await] = ACTIONS(2406),
    [anon_sym_new] = ACTIONS(2406),
    [anon_sym_requires] = ACTIONS(2406),
    [sym_this] = ACTIONS(2406),
    [anon_sym_discard] = ACTIONS(2406),
    [anon_sym_precise] = ACTIONS(2406),
    [anon_sym_shared] = ACTIONS(2406),
    [anon_sym_groupshared] = ACTIONS(2406),
    [anon_sym_uniform] = ACTIONS(2406),
    [anon_sym_row_major] = ACTIONS(2406),
    [anon_sym_column_major] = ACTIONS(2406),
    [anon_sym_globallycoherent] = ACTIONS(2406),
    [anon_sym_centroid] = ACTIONS(2406),
    [anon_sym_noperspective] = ACTIONS(2406),
    [anon_sym_nointerpolation] = ACTIONS(2406),
    [anon_sym_sample] = ACTIONS(2406),
    [anon_sym_linear] = ACTIONS(2406),
    [anon_sym_snorm] = ACTIONS(2406),
    [anon_sym_unorm] = ACTIONS(2406),
    [anon_sym_point] = ACTIONS(2406),
    [anon_sym_line] = ACTIONS(2406),
    [anon_sym_triangleadj] = ACTIONS(2406),
    [anon_sym_lineadj] = ACTIONS(2406),
    [anon_sym_triangle] = ACTIONS(2406),
    [anon_sym_cbuffer] = ACTIONS(2406),
  },
  [580] = {
    [sym_identifier] = ACTIONS(2418),
    [aux_sym_preproc_include_token1] = ACTIONS(2418),
    [aux_sym_preproc_def_token1] = ACTIONS(2418),
    [aux_sym_preproc_if_token1] = ACTIONS(2418),
    [aux_sym_preproc_if_token2] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2418),
    [sym_preproc_directive] = ACTIONS(2418),
    [anon_sym_LPAREN2] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(2420),
    [anon_sym_TILDE] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_AMP_AMP] = ACTIONS(2420),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2420),
    [anon_sym___extension__] = ACTIONS(2418),
    [anon_sym_typedef] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_out] = ACTIONS(2418),
    [anon_sym_inout] = ACTIONS(2418),
    [anon_sym_virtual] = ACTIONS(2418),
    [anon_sym_extern] = ACTIONS(2418),
    [anon_sym___attribute__] = ACTIONS(2418),
    [anon_sym___attribute] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2420),
    [anon_sym___declspec] = ACTIONS(2418),
    [anon_sym___based] = ACTIONS(2418),
    [anon_sym___cdecl] = ACTIONS(2418),
    [anon_sym___clrcall] = ACTIONS(2418),
    [anon_sym___stdcall] = ACTIONS(2418),
    [anon_sym___fastcall] = ACTIONS(2418),
    [anon_sym___thiscall] = ACTIONS(2418),
    [anon_sym___vectorcall] = ACTIONS(2418),
    [anon_sym_LBRACE] = ACTIONS(2420),
    [anon_sym_signed] = ACTIONS(2418),
    [anon_sym_unsigned] = ACTIONS(2418),
    [anon_sym_long] = ACTIONS(2418),
    [anon_sym_short] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_static] = ACTIONS(2418),
    [anon_sym_register] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(2418),
    [anon_sym___inline] = ACTIONS(2418),
    [anon_sym___inline__] = ACTIONS(2418),
    [anon_sym___forceinline] = ACTIONS(2418),
    [anon_sym_thread_local] = ACTIONS(2418),
    [anon_sym___thread] = ACTIONS(2418),
    [anon_sym_const] = ACTIONS(2418),
    [anon_sym_constexpr] = ACTIONS(2418),
    [anon_sym_volatile] = ACTIONS(2418),
    [anon_sym_restrict] = ACTIONS(2418),
    [anon_sym___restrict__] = ACTIONS(2418),
    [anon_sym__Atomic] = ACTIONS(2418),
    [anon_sym__Noreturn] = ACTIONS(2418),
    [anon_sym_noreturn] = ACTIONS(2418),
    [anon_sym__Nonnull] = ACTIONS(2418),
    [anon_sym_mutable] = ACTIONS(2418),
    [anon_sym_constinit] = ACTIONS(2418),
    [anon_sym_consteval] = ACTIONS(2418),
    [anon_sym_alignas] = ACTIONS(2418),
    [anon_sym__Alignas] = ACTIONS(2418),
    [sym_primitive_type] = ACTIONS(2418),
    [anon_sym_enum] = ACTIONS(2418),
    [anon_sym_class] = ACTIONS(2418),
    [anon_sym_struct] = ACTIONS(2418),
    [anon_sym_union] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2418),
    [anon_sym_switch] = ACTIONS(2418),
    [anon_sym_case] = ACTIONS(2418),
    [anon_sym_default] = ACTIONS(2418),
    [anon_sym_while] = ACTIONS(2418),
    [anon_sym_do] = ACTIONS(2418),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_return] = ACTIONS(2418),
    [anon_sym_break] = ACTIONS(2418),
    [anon_sym_continue] = ACTIONS(2418),
    [anon_sym_goto] = ACTIONS(2418),
    [anon_sym___try] = ACTIONS(2418),
    [anon_sym___leave] = ACTIONS(2418),
    [anon_sym_not] = ACTIONS(2418),
    [anon_sym_compl] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2420),
    [anon_sym_PLUS_PLUS] = ACTIONS(2420),
    [anon_sym_sizeof] = ACTIONS(2418),
    [anon_sym___alignof__] = ACTIONS(2418),
    [anon_sym___alignof] = ACTIONS(2418),
    [anon_sym__alignof] = ACTIONS(2418),
    [anon_sym_alignof] = ACTIONS(2418),
    [anon_sym__Alignof] = ACTIONS(2418),
    [anon_sym_offsetof] = ACTIONS(2418),
    [anon_sym__Generic] = ACTIONS(2418),
    [anon_sym_asm] = ACTIONS(2418),
    [anon_sym___asm__] = ACTIONS(2418),
    [anon_sym___asm] = ACTIONS(2418),
    [sym_number_literal] = ACTIONS(2420),
    [anon_sym_L_SQUOTE] = ACTIONS(2420),
    [anon_sym_u_SQUOTE] = ACTIONS(2420),
    [anon_sym_U_SQUOTE] = ACTIONS(2420),
    [anon_sym_u8_SQUOTE] = ACTIONS(2420),
    [anon_sym_SQUOTE] = ACTIONS(2420),
    [anon_sym_L_DQUOTE] = ACTIONS(2420),
    [anon_sym_u_DQUOTE] = ACTIONS(2420),
    [anon_sym_U_DQUOTE] = ACTIONS(2420),
    [anon_sym_u8_DQUOTE] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2420),
    [sym_true] = ACTIONS(2418),
    [sym_false] = ACTIONS(2418),
    [anon_sym_NULL] = ACTIONS(2418),
    [anon_sym_nullptr] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2418),
    [anon_sym_decltype] = ACTIONS(2418),
    [anon_sym_explicit] = ACTIONS(2418),
    [anon_sym_typename] = ACTIONS(2418),
    [anon_sym_template] = ACTIONS(2418),
    [anon_sym_operator] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2418),
    [anon_sym_delete] = ACTIONS(2418),
    [anon_sym_throw] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2418),
    [anon_sym_using] = ACTIONS(2418),
    [anon_sym_static_assert] = ACTIONS(2418),
    [anon_sym_concept] = ACTIONS(2418),
    [anon_sym_co_return] = ACTIONS(2418),
    [anon_sym_co_yield] = ACTIONS(2418),
    [anon_sym_R_DQUOTE] = ACTIONS(2420),
    [anon_sym_LR_DQUOTE] = ACTIONS(2420),
    [anon_sym_uR_DQUOTE] = ACTIONS(2420),
    [anon_sym_UR_DQUOTE] = ACTIONS(2420),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2420),
    [anon_sym_co_await] = ACTIONS(2418),
    [anon_sym_new] = ACTIONS(2418),
    [anon_sym_requires] = ACTIONS(2418),
    [sym_this] = ACTIONS(2418),
    [anon_sym_discard] = ACTIONS(2418),
    [anon_sym_precise] = ACTIONS(2418),
    [anon_sym_shared] = ACTIONS(2418),
    [anon_sym_groupshared] = ACTIONS(2418),
    [anon_sym_uniform] = ACTIONS(2418),
    [anon_sym_row_major] = ACTIONS(2418),
    [anon_sym_column_major] = ACTIONS(2418),
    [anon_sym_globallycoherent] = ACTIONS(2418),
    [anon_sym_centroid] = ACTIONS(2418),
    [anon_sym_noperspective] = ACTIONS(2418),
    [anon_sym_nointerpolation] = ACTIONS(2418),
    [anon_sym_sample] = ACTIONS(2418),
    [anon_sym_linear] = ACTIONS(2418),
    [anon_sym_snorm] = ACTIONS(2418),
    [anon_sym_unorm] = ACTIONS(2418),
    [anon_sym_point] = ACTIONS(2418),
    [anon_sym_line] = ACTIONS(2418),
    [anon_sym_triangleadj] = ACTIONS(2418),
    [anon_sym_lineadj] = ACTIONS(2418),
    [anon_sym_triangle] = ACTIONS(2418),
    [anon_sym_cbuffer] = ACTIONS(2418),
  },
  [581] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_include_token1] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token2] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym___cdecl] = ACTIONS(2426),
    [anon_sym___clrcall] = ACTIONS(2426),
    [anon_sym___stdcall] = ACTIONS(2426),
    [anon_sym___fastcall] = ACTIONS(2426),
    [anon_sym___thiscall] = ACTIONS(2426),
    [anon_sym___vectorcall] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_goto] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2426),
    [anon_sym___leave] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2426),
    [anon_sym_compl] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2426),
    [anon_sym___alignof] = ACTIONS(2426),
    [anon_sym__alignof] = ACTIONS(2426),
    [anon_sym_alignof] = ACTIONS(2426),
    [anon_sym__Alignof] = ACTIONS(2426),
    [anon_sym_offsetof] = ACTIONS(2426),
    [anon_sym__Generic] = ACTIONS(2426),
    [anon_sym_asm] = ACTIONS(2426),
    [anon_sym___asm__] = ACTIONS(2426),
    [anon_sym___asm] = ACTIONS(2426),
    [sym_number_literal] = ACTIONS(2428),
    [anon_sym_L_SQUOTE] = ACTIONS(2428),
    [anon_sym_u_SQUOTE] = ACTIONS(2428),
    [anon_sym_U_SQUOTE] = ACTIONS(2428),
    [anon_sym_u8_SQUOTE] = ACTIONS(2428),
    [anon_sym_SQUOTE] = ACTIONS(2428),
    [anon_sym_L_DQUOTE] = ACTIONS(2428),
    [anon_sym_u_DQUOTE] = ACTIONS(2428),
    [anon_sym_U_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [anon_sym_NULL] = ACTIONS(2426),
    [anon_sym_nullptr] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_concept] = ACTIONS(2426),
    [anon_sym_co_return] = ACTIONS(2426),
    [anon_sym_co_yield] = ACTIONS(2426),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_requires] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [anon_sym_discard] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
    [anon_sym_cbuffer] = ACTIONS(2426),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_include_token1] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token2] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym___cdecl] = ACTIONS(2426),
    [anon_sym___clrcall] = ACTIONS(2426),
    [anon_sym___stdcall] = ACTIONS(2426),
    [anon_sym___fastcall] = ACTIONS(2426),
    [anon_sym___thiscall] = ACTIONS(2426),
    [anon_sym___vectorcall] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_goto] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2426),
    [anon_sym___leave] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2426),
    [anon_sym_compl] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2426),
    [anon_sym___alignof] = ACTIONS(2426),
    [anon_sym__alignof] = ACTIONS(2426),
    [anon_sym_alignof] = ACTIONS(2426),
    [anon_sym__Alignof] = ACTIONS(2426),
    [anon_sym_offsetof] = ACTIONS(2426),
    [anon_sym__Generic] = ACTIONS(2426),
    [anon_sym_asm] = ACTIONS(2426),
    [anon_sym___asm__] = ACTIONS(2426),
    [anon_sym___asm] = ACTIONS(2426),
    [sym_number_literal] = ACTIONS(2428),
    [anon_sym_L_SQUOTE] = ACTIONS(2428),
    [anon_sym_u_SQUOTE] = ACTIONS(2428),
    [anon_sym_U_SQUOTE] = ACTIONS(2428),
    [anon_sym_u8_SQUOTE] = ACTIONS(2428),
    [anon_sym_SQUOTE] = ACTIONS(2428),
    [anon_sym_L_DQUOTE] = ACTIONS(2428),
    [anon_sym_u_DQUOTE] = ACTIONS(2428),
    [anon_sym_U_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [anon_sym_NULL] = ACTIONS(2426),
    [anon_sym_nullptr] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_concept] = ACTIONS(2426),
    [anon_sym_co_return] = ACTIONS(2426),
    [anon_sym_co_yield] = ACTIONS(2426),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_requires] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [anon_sym_discard] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
    [anon_sym_cbuffer] = ACTIONS(2426),
  },
  [583] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [586] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [587] = {
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_out] = ACTIONS(2478),
    [anon_sym_inout] = ACTIONS(2478),
    [anon_sym_virtual] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [anon_sym_discard] = ACTIONS(2478),
    [anon_sym_precise] = ACTIONS(2478),
    [anon_sym_shared] = ACTIONS(2478),
    [anon_sym_groupshared] = ACTIONS(2478),
    [anon_sym_uniform] = ACTIONS(2478),
    [anon_sym_row_major] = ACTIONS(2478),
    [anon_sym_column_major] = ACTIONS(2478),
    [anon_sym_globallycoherent] = ACTIONS(2478),
    [anon_sym_centroid] = ACTIONS(2478),
    [anon_sym_noperspective] = ACTIONS(2478),
    [anon_sym_nointerpolation] = ACTIONS(2478),
    [anon_sym_sample] = ACTIONS(2478),
    [anon_sym_linear] = ACTIONS(2478),
    [anon_sym_snorm] = ACTIONS(2478),
    [anon_sym_unorm] = ACTIONS(2478),
    [anon_sym_point] = ACTIONS(2478),
    [anon_sym_line] = ACTIONS(2478),
    [anon_sym_triangleadj] = ACTIONS(2478),
    [anon_sym_lineadj] = ACTIONS(2478),
    [anon_sym_triangle] = ACTIONS(2478),
    [anon_sym_cbuffer] = ACTIONS(2478),
  },
  [588] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token2] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym___attribute] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym__Nonnull] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym__Alignas] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [anon_sym___asm] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [589] = {
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token2] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym___attribute] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym__Nonnull] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym__Alignas] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [anon_sym___asm] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_discard] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
    [anon_sym_cbuffer] = ACTIONS(2488),
  },
  [590] = {
    [sym_identifier] = ACTIONS(2591),
    [aux_sym_preproc_include_token1] = ACTIONS(2591),
    [aux_sym_preproc_def_token1] = ACTIONS(2591),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_if_token2] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2591),
    [sym_preproc_directive] = ACTIONS(2591),
    [anon_sym_LPAREN2] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_AMP_AMP] = ACTIONS(2593),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym_SEMI] = ACTIONS(2593),
    [anon_sym___extension__] = ACTIONS(2591),
    [anon_sym_typedef] = ACTIONS(2591),
    [anon_sym_in] = ACTIONS(2591),
    [anon_sym_out] = ACTIONS(2591),
    [anon_sym_inout] = ACTIONS(2591),
    [anon_sym_virtual] = ACTIONS(2591),
    [anon_sym_extern] = ACTIONS(2591),
    [anon_sym___attribute__] = ACTIONS(2591),
    [anon_sym___attribute] = ACTIONS(2591),
    [anon_sym_COLON_COLON] = ACTIONS(2593),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2593),
    [anon_sym___declspec] = ACTIONS(2591),
    [anon_sym___based] = ACTIONS(2591),
    [anon_sym___cdecl] = ACTIONS(2591),
    [anon_sym___clrcall] = ACTIONS(2591),
    [anon_sym___stdcall] = ACTIONS(2591),
    [anon_sym___fastcall] = ACTIONS(2591),
    [anon_sym___thiscall] = ACTIONS(2591),
    [anon_sym___vectorcall] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(2593),
    [anon_sym_signed] = ACTIONS(2591),
    [anon_sym_unsigned] = ACTIONS(2591),
    [anon_sym_long] = ACTIONS(2591),
    [anon_sym_short] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [anon_sym_static] = ACTIONS(2591),
    [anon_sym_register] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2591),
    [anon_sym___inline] = ACTIONS(2591),
    [anon_sym___inline__] = ACTIONS(2591),
    [anon_sym___forceinline] = ACTIONS(2591),
    [anon_sym_thread_local] = ACTIONS(2591),
    [anon_sym___thread] = ACTIONS(2591),
    [anon_sym_const] = ACTIONS(2591),
    [anon_sym_constexpr] = ACTIONS(2591),
    [anon_sym_volatile] = ACTIONS(2591),
    [anon_sym_restrict] = ACTIONS(2591),
    [anon_sym___restrict__] = ACTIONS(2591),
    [anon_sym__Atomic] = ACTIONS(2591),
    [anon_sym__Noreturn] = ACTIONS(2591),
    [anon_sym_noreturn] = ACTIONS(2591),
    [anon_sym__Nonnull] = ACTIONS(2591),
    [anon_sym_mutable] = ACTIONS(2591),
    [anon_sym_constinit] = ACTIONS(2591),
    [anon_sym_consteval] = ACTIONS(2591),
    [anon_sym_alignas] = ACTIONS(2591),
    [anon_sym__Alignas] = ACTIONS(2591),
    [sym_primitive_type] = ACTIONS(2591),
    [anon_sym_enum] = ACTIONS(2591),
    [anon_sym_class] = ACTIONS(2591),
    [anon_sym_struct] = ACTIONS(2591),
    [anon_sym_union] = ACTIONS(2591),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_switch] = ACTIONS(2591),
    [anon_sym_case] = ACTIONS(2591),
    [anon_sym_default] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(2591),
    [anon_sym_do] = ACTIONS(2591),
    [anon_sym_for] = ACTIONS(2591),
    [anon_sym_return] = ACTIONS(2591),
    [anon_sym_break] = ACTIONS(2591),
    [anon_sym_continue] = ACTIONS(2591),
    [anon_sym_goto] = ACTIONS(2591),
    [anon_sym___try] = ACTIONS(2591),
    [anon_sym___leave] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2591),
    [anon_sym_compl] = ACTIONS(2591),
    [anon_sym_DASH_DASH] = ACTIONS(2593),
    [anon_sym_PLUS_PLUS] = ACTIONS(2593),
    [anon_sym_sizeof] = ACTIONS(2591),
    [anon_sym___alignof__] = ACTIONS(2591),
    [anon_sym___alignof] = ACTIONS(2591),
    [anon_sym__alignof] = ACTIONS(2591),
    [anon_sym_alignof] = ACTIONS(2591),
    [anon_sym__Alignof] = ACTIONS(2591),
    [anon_sym_offsetof] = ACTIONS(2591),
    [anon_sym__Generic] = ACTIONS(2591),
    [anon_sym_asm] = ACTIONS(2591),
    [anon_sym___asm__] = ACTIONS(2591),
    [anon_sym___asm] = ACTIONS(2591),
    [sym_number_literal] = ACTIONS(2593),
    [anon_sym_L_SQUOTE] = ACTIONS(2593),
    [anon_sym_u_SQUOTE] = ACTIONS(2593),
    [anon_sym_U_SQUOTE] = ACTIONS(2593),
    [anon_sym_u8_SQUOTE] = ACTIONS(2593),
    [anon_sym_SQUOTE] = ACTIONS(2593),
    [anon_sym_L_DQUOTE] = ACTIONS(2593),
    [anon_sym_u_DQUOTE] = ACTIONS(2593),
    [anon_sym_U_DQUOTE] = ACTIONS(2593),
    [anon_sym_u8_DQUOTE] = ACTIONS(2593),
    [anon_sym_DQUOTE] = ACTIONS(2593),
    [sym_true] = ACTIONS(2591),
    [sym_false] = ACTIONS(2591),
    [anon_sym_NULL] = ACTIONS(2591),
    [anon_sym_nullptr] = ACTIONS(2591),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2591),
    [anon_sym_decltype] = ACTIONS(2591),
    [anon_sym_explicit] = ACTIONS(2591),
    [anon_sym_typename] = ACTIONS(2591),
    [anon_sym_template] = ACTIONS(2591),
    [anon_sym_operator] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2591),
    [anon_sym_delete] = ACTIONS(2591),
    [anon_sym_throw] = ACTIONS(2591),
    [anon_sym_namespace] = ACTIONS(2591),
    [anon_sym_using] = ACTIONS(2591),
    [anon_sym_static_assert] = ACTIONS(2591),
    [anon_sym_concept] = ACTIONS(2591),
    [anon_sym_co_return] = ACTIONS(2591),
    [anon_sym_co_yield] = ACTIONS(2591),
    [anon_sym_R_DQUOTE] = ACTIONS(2593),
    [anon_sym_LR_DQUOTE] = ACTIONS(2593),
    [anon_sym_uR_DQUOTE] = ACTIONS(2593),
    [anon_sym_UR_DQUOTE] = ACTIONS(2593),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2593),
    [anon_sym_co_await] = ACTIONS(2591),
    [anon_sym_new] = ACTIONS(2591),
    [anon_sym_requires] = ACTIONS(2591),
    [sym_this] = ACTIONS(2591),
    [anon_sym_discard] = ACTIONS(2591),
    [anon_sym_precise] = ACTIONS(2591),
    [anon_sym_shared] = ACTIONS(2591),
    [anon_sym_groupshared] = ACTIONS(2591),
    [anon_sym_uniform] = ACTIONS(2591),
    [anon_sym_row_major] = ACTIONS(2591),
    [anon_sym_column_major] = ACTIONS(2591),
    [anon_sym_globallycoherent] = ACTIONS(2591),
    [anon_sym_centroid] = ACTIONS(2591),
    [anon_sym_noperspective] = ACTIONS(2591),
    [anon_sym_nointerpolation] = ACTIONS(2591),
    [anon_sym_sample] = ACTIONS(2591),
    [anon_sym_linear] = ACTIONS(2591),
    [anon_sym_snorm] = ACTIONS(2591),
    [anon_sym_unorm] = ACTIONS(2591),
    [anon_sym_point] = ACTIONS(2591),
    [anon_sym_line] = ACTIONS(2591),
    [anon_sym_triangleadj] = ACTIONS(2591),
    [anon_sym_lineadj] = ACTIONS(2591),
    [anon_sym_triangle] = ACTIONS(2591),
    [anon_sym_cbuffer] = ACTIONS(2591),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2599),
    [aux_sym_preproc_include_token1] = ACTIONS(2599),
    [aux_sym_preproc_def_token1] = ACTIONS(2599),
    [aux_sym_preproc_if_token1] = ACTIONS(2599),
    [aux_sym_preproc_if_token2] = ACTIONS(2599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2599),
    [sym_preproc_directive] = ACTIONS(2599),
    [anon_sym_LPAREN2] = ACTIONS(2601),
    [anon_sym_BANG] = ACTIONS(2601),
    [anon_sym_TILDE] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2599),
    [anon_sym_PLUS] = ACTIONS(2599),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_AMP_AMP] = ACTIONS(2601),
    [anon_sym_AMP] = ACTIONS(2599),
    [anon_sym_SEMI] = ACTIONS(2601),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_typedef] = ACTIONS(2599),
    [anon_sym_in] = ACTIONS(2599),
    [anon_sym_out] = ACTIONS(2599),
    [anon_sym_inout] = ACTIONS(2599),
    [anon_sym_virtual] = ACTIONS(2599),
    [anon_sym_extern] = ACTIONS(2599),
    [anon_sym___attribute__] = ACTIONS(2599),
    [anon_sym___attribute] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2601),
    [anon_sym___declspec] = ACTIONS(2599),
    [anon_sym___based] = ACTIONS(2599),
    [anon_sym___cdecl] = ACTIONS(2599),
    [anon_sym___clrcall] = ACTIONS(2599),
    [anon_sym___stdcall] = ACTIONS(2599),
    [anon_sym___fastcall] = ACTIONS(2599),
    [anon_sym___thiscall] = ACTIONS(2599),
    [anon_sym___vectorcall] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2599),
    [anon_sym_unsigned] = ACTIONS(2599),
    [anon_sym_long] = ACTIONS(2599),
    [anon_sym_short] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [anon_sym_static] = ACTIONS(2599),
    [anon_sym_register] = ACTIONS(2599),
    [anon_sym_inline] = ACTIONS(2599),
    [anon_sym___inline] = ACTIONS(2599),
    [anon_sym___inline__] = ACTIONS(2599),
    [anon_sym___forceinline] = ACTIONS(2599),
    [anon_sym_thread_local] = ACTIONS(2599),
    [anon_sym___thread] = ACTIONS(2599),
    [anon_sym_const] = ACTIONS(2599),
    [anon_sym_constexpr] = ACTIONS(2599),
    [anon_sym_volatile] = ACTIONS(2599),
    [anon_sym_restrict] = ACTIONS(2599),
    [anon_sym___restrict__] = ACTIONS(2599),
    [anon_sym__Atomic] = ACTIONS(2599),
    [anon_sym__Noreturn] = ACTIONS(2599),
    [anon_sym_noreturn] = ACTIONS(2599),
    [anon_sym__Nonnull] = ACTIONS(2599),
    [anon_sym_mutable] = ACTIONS(2599),
    [anon_sym_constinit] = ACTIONS(2599),
    [anon_sym_consteval] = ACTIONS(2599),
    [anon_sym_alignas] = ACTIONS(2599),
    [anon_sym__Alignas] = ACTIONS(2599),
    [sym_primitive_type] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2599),
    [anon_sym_struct] = ACTIONS(2599),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_if] = ACTIONS(2599),
    [anon_sym_switch] = ACTIONS(2599),
    [anon_sym_case] = ACTIONS(2599),
    [anon_sym_default] = ACTIONS(2599),
    [anon_sym_while] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2599),
    [anon_sym_return] = ACTIONS(2599),
    [anon_sym_break] = ACTIONS(2599),
    [anon_sym_continue] = ACTIONS(2599),
    [anon_sym_goto] = ACTIONS(2599),
    [anon_sym___try] = ACTIONS(2599),
    [anon_sym___leave] = ACTIONS(2599),
    [anon_sym_not] = ACTIONS(2599),
    [anon_sym_compl] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(2601),
    [anon_sym_PLUS_PLUS] = ACTIONS(2601),
    [anon_sym_sizeof] = ACTIONS(2599),
    [anon_sym___alignof__] = ACTIONS(2599),
    [anon_sym___alignof] = ACTIONS(2599),
    [anon_sym__alignof] = ACTIONS(2599),
    [anon_sym_alignof] = ACTIONS(2599),
    [anon_sym__Alignof] = ACTIONS(2599),
    [anon_sym_offsetof] = ACTIONS(2599),
    [anon_sym__Generic] = ACTIONS(2599),
    [anon_sym_asm] = ACTIONS(2599),
    [anon_sym___asm__] = ACTIONS(2599),
    [anon_sym___asm] = ACTIONS(2599),
    [sym_number_literal] = ACTIONS(2601),
    [anon_sym_L_SQUOTE] = ACTIONS(2601),
    [anon_sym_u_SQUOTE] = ACTIONS(2601),
    [anon_sym_U_SQUOTE] = ACTIONS(2601),
    [anon_sym_u8_SQUOTE] = ACTIONS(2601),
    [anon_sym_SQUOTE] = ACTIONS(2601),
    [anon_sym_L_DQUOTE] = ACTIONS(2601),
    [anon_sym_u_DQUOTE] = ACTIONS(2601),
    [anon_sym_U_DQUOTE] = ACTIONS(2601),
    [anon_sym_u8_DQUOTE] = ACTIONS(2601),
    [anon_sym_DQUOTE] = ACTIONS(2601),
    [sym_true] = ACTIONS(2599),
    [sym_false] = ACTIONS(2599),
    [anon_sym_NULL] = ACTIONS(2599),
    [anon_sym_nullptr] = ACTIONS(2599),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2599),
    [anon_sym_decltype] = ACTIONS(2599),
    [anon_sym_explicit] = ACTIONS(2599),
    [anon_sym_typename] = ACTIONS(2599),
    [anon_sym_template] = ACTIONS(2599),
    [anon_sym_operator] = ACTIONS(2599),
    [anon_sym_try] = ACTIONS(2599),
    [anon_sym_delete] = ACTIONS(2599),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_namespace] = ACTIONS(2599),
    [anon_sym_using] = ACTIONS(2599),
    [anon_sym_static_assert] = ACTIONS(2599),
    [anon_sym_concept] = ACTIONS(2599),
    [anon_sym_co_return] = ACTIONS(2599),
    [anon_sym_co_yield] = ACTIONS(2599),
    [anon_sym_R_DQUOTE] = ACTIONS(2601),
    [anon_sym_LR_DQUOTE] = ACTIONS(2601),
    [anon_sym_uR_DQUOTE] = ACTIONS(2601),
    [anon_sym_UR_DQUOTE] = ACTIONS(2601),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2601),
    [anon_sym_co_await] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2599),
    [anon_sym_requires] = ACTIONS(2599),
    [sym_this] = ACTIONS(2599),
    [anon_sym_discard] = ACTIONS(2599),
    [anon_sym_precise] = ACTIONS(2599),
    [anon_sym_shared] = ACTIONS(2599),
    [anon_sym_groupshared] = ACTIONS(2599),
    [anon_sym_uniform] = ACTIONS(2599),
    [anon_sym_row_major] = ACTIONS(2599),
    [anon_sym_column_major] = ACTIONS(2599),
    [anon_sym_globallycoherent] = ACTIONS(2599),
    [anon_sym_centroid] = ACTIONS(2599),
    [anon_sym_noperspective] = ACTIONS(2599),
    [anon_sym_nointerpolation] = ACTIONS(2599),
    [anon_sym_sample] = ACTIONS(2599),
    [anon_sym_linear] = ACTIONS(2599),
    [anon_sym_snorm] = ACTIONS(2599),
    [anon_sym_unorm] = ACTIONS(2599),
    [anon_sym_point] = ACTIONS(2599),
    [anon_sym_line] = ACTIONS(2599),
    [anon_sym_triangleadj] = ACTIONS(2599),
    [anon_sym_lineadj] = ACTIONS(2599),
    [anon_sym_triangle] = ACTIONS(2599),
    [anon_sym_cbuffer] = ACTIONS(2599),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2635),
    [aux_sym_preproc_include_token1] = ACTIONS(2635),
    [aux_sym_preproc_def_token1] = ACTIONS(2635),
    [aux_sym_preproc_if_token1] = ACTIONS(2635),
    [aux_sym_preproc_if_token2] = ACTIONS(2635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2635),
    [sym_preproc_directive] = ACTIONS(2635),
    [anon_sym_LPAREN2] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2635),
    [anon_sym_typedef] = ACTIONS(2635),
    [anon_sym_in] = ACTIONS(2635),
    [anon_sym_out] = ACTIONS(2635),
    [anon_sym_inout] = ACTIONS(2635),
    [anon_sym_virtual] = ACTIONS(2635),
    [anon_sym_extern] = ACTIONS(2635),
    [anon_sym___attribute__] = ACTIONS(2635),
    [anon_sym___attribute] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2637),
    [anon_sym___declspec] = ACTIONS(2635),
    [anon_sym___based] = ACTIONS(2635),
    [anon_sym___cdecl] = ACTIONS(2635),
    [anon_sym___clrcall] = ACTIONS(2635),
    [anon_sym___stdcall] = ACTIONS(2635),
    [anon_sym___fastcall] = ACTIONS(2635),
    [anon_sym___thiscall] = ACTIONS(2635),
    [anon_sym___vectorcall] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2635),
    [anon_sym_unsigned] = ACTIONS(2635),
    [anon_sym_long] = ACTIONS(2635),
    [anon_sym_short] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [anon_sym_static] = ACTIONS(2635),
    [anon_sym_register] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(2635),
    [anon_sym___inline] = ACTIONS(2635),
    [anon_sym___inline__] = ACTIONS(2635),
    [anon_sym___forceinline] = ACTIONS(2635),
    [anon_sym_thread_local] = ACTIONS(2635),
    [anon_sym___thread] = ACTIONS(2635),
    [anon_sym_const] = ACTIONS(2635),
    [anon_sym_constexpr] = ACTIONS(2635),
    [anon_sym_volatile] = ACTIONS(2635),
    [anon_sym_restrict] = ACTIONS(2635),
    [anon_sym___restrict__] = ACTIONS(2635),
    [anon_sym__Atomic] = ACTIONS(2635),
    [anon_sym__Noreturn] = ACTIONS(2635),
    [anon_sym_noreturn] = ACTIONS(2635),
    [anon_sym__Nonnull] = ACTIONS(2635),
    [anon_sym_mutable] = ACTIONS(2635),
    [anon_sym_constinit] = ACTIONS(2635),
    [anon_sym_consteval] = ACTIONS(2635),
    [anon_sym_alignas] = ACTIONS(2635),
    [anon_sym__Alignas] = ACTIONS(2635),
    [sym_primitive_type] = ACTIONS(2635),
    [anon_sym_enum] = ACTIONS(2635),
    [anon_sym_class] = ACTIONS(2635),
    [anon_sym_struct] = ACTIONS(2635),
    [anon_sym_union] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(2635),
    [anon_sym_switch] = ACTIONS(2635),
    [anon_sym_case] = ACTIONS(2635),
    [anon_sym_default] = ACTIONS(2635),
    [anon_sym_while] = ACTIONS(2635),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2635),
    [anon_sym_return] = ACTIONS(2635),
    [anon_sym_break] = ACTIONS(2635),
    [anon_sym_continue] = ACTIONS(2635),
    [anon_sym_goto] = ACTIONS(2635),
    [anon_sym___try] = ACTIONS(2635),
    [anon_sym___leave] = ACTIONS(2635),
    [anon_sym_not] = ACTIONS(2635),
    [anon_sym_compl] = ACTIONS(2635),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_sizeof] = ACTIONS(2635),
    [anon_sym___alignof__] = ACTIONS(2635),
    [anon_sym___alignof] = ACTIONS(2635),
    [anon_sym__alignof] = ACTIONS(2635),
    [anon_sym_alignof] = ACTIONS(2635),
    [anon_sym__Alignof] = ACTIONS(2635),
    [anon_sym_offsetof] = ACTIONS(2635),
    [anon_sym__Generic] = ACTIONS(2635),
    [anon_sym_asm] = ACTIONS(2635),
    [anon_sym___asm__] = ACTIONS(2635),
    [anon_sym___asm] = ACTIONS(2635),
    [sym_number_literal] = ACTIONS(2637),
    [anon_sym_L_SQUOTE] = ACTIONS(2637),
    [anon_sym_u_SQUOTE] = ACTIONS(2637),
    [anon_sym_U_SQUOTE] = ACTIONS(2637),
    [anon_sym_u8_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_L_DQUOTE] = ACTIONS(2637),
    [anon_sym_u_DQUOTE] = ACTIONS(2637),
    [anon_sym_U_DQUOTE] = ACTIONS(2637),
    [anon_sym_u8_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2635),
    [anon_sym_nullptr] = ACTIONS(2635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2635),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_explicit] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2635),
    [anon_sym_template] = ACTIONS(2635),
    [anon_sym_operator] = ACTIONS(2635),
    [anon_sym_try] = ACTIONS(2635),
    [anon_sym_delete] = ACTIONS(2635),
    [anon_sym_throw] = ACTIONS(2635),
    [anon_sym_namespace] = ACTIONS(2635),
    [anon_sym_using] = ACTIONS(2635),
    [anon_sym_static_assert] = ACTIONS(2635),
    [anon_sym_concept] = ACTIONS(2635),
    [anon_sym_co_return] = ACTIONS(2635),
    [anon_sym_co_yield] = ACTIONS(2635),
    [anon_sym_R_DQUOTE] = ACTIONS(2637),
    [anon_sym_LR_DQUOTE] = ACTIONS(2637),
    [anon_sym_uR_DQUOTE] = ACTIONS(2637),
    [anon_sym_UR_DQUOTE] = ACTIONS(2637),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2637),
    [anon_sym_co_await] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2635),
    [anon_sym_requires] = ACTIONS(2635),
    [sym_this] = ACTIONS(2635),
    [anon_sym_discard] = ACTIONS(2635),
    [anon_sym_precise] = ACTIONS(2635),
    [anon_sym_shared] = ACTIONS(2635),
    [anon_sym_groupshared] = ACTIONS(2635),
    [anon_sym_uniform] = ACTIONS(2635),
    [anon_sym_row_major] = ACTIONS(2635),
    [anon_sym_column_major] = ACTIONS(2635),
    [anon_sym_globallycoherent] = ACTIONS(2635),
    [anon_sym_centroid] = ACTIONS(2635),
    [anon_sym_noperspective] = ACTIONS(2635),
    [anon_sym_nointerpolation] = ACTIONS(2635),
    [anon_sym_sample] = ACTIONS(2635),
    [anon_sym_linear] = ACTIONS(2635),
    [anon_sym_snorm] = ACTIONS(2635),
    [anon_sym_unorm] = ACTIONS(2635),
    [anon_sym_point] = ACTIONS(2635),
    [anon_sym_line] = ACTIONS(2635),
    [anon_sym_triangleadj] = ACTIONS(2635),
    [anon_sym_lineadj] = ACTIONS(2635),
    [anon_sym_triangle] = ACTIONS(2635),
    [anon_sym_cbuffer] = ACTIONS(2635),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2639),
    [aux_sym_preproc_include_token1] = ACTIONS(2639),
    [aux_sym_preproc_def_token1] = ACTIONS(2639),
    [aux_sym_preproc_if_token1] = ACTIONS(2639),
    [aux_sym_preproc_if_token2] = ACTIONS(2639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2639),
    [sym_preproc_directive] = ACTIONS(2639),
    [anon_sym_LPAREN2] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2639),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2639),
    [anon_sym_typedef] = ACTIONS(2639),
    [anon_sym_in] = ACTIONS(2639),
    [anon_sym_out] = ACTIONS(2639),
    [anon_sym_inout] = ACTIONS(2639),
    [anon_sym_virtual] = ACTIONS(2639),
    [anon_sym_extern] = ACTIONS(2639),
    [anon_sym___attribute__] = ACTIONS(2639),
    [anon_sym___attribute] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2641),
    [anon_sym___declspec] = ACTIONS(2639),
    [anon_sym___based] = ACTIONS(2639),
    [anon_sym___cdecl] = ACTIONS(2639),
    [anon_sym___clrcall] = ACTIONS(2639),
    [anon_sym___stdcall] = ACTIONS(2639),
    [anon_sym___fastcall] = ACTIONS(2639),
    [anon_sym___thiscall] = ACTIONS(2639),
    [anon_sym___vectorcall] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_signed] = ACTIONS(2639),
    [anon_sym_unsigned] = ACTIONS(2639),
    [anon_sym_long] = ACTIONS(2639),
    [anon_sym_short] = ACTIONS(2639),
    [anon_sym_LBRACK] = ACTIONS(2639),
    [anon_sym_static] = ACTIONS(2639),
    [anon_sym_register] = ACTIONS(2639),
    [anon_sym_inline] = ACTIONS(2639),
    [anon_sym___inline] = ACTIONS(2639),
    [anon_sym___inline__] = ACTIONS(2639),
    [anon_sym___forceinline] = ACTIONS(2639),
    [anon_sym_thread_local] = ACTIONS(2639),
    [anon_sym___thread] = ACTIONS(2639),
    [anon_sym_const] = ACTIONS(2639),
    [anon_sym_constexpr] = ACTIONS(2639),
    [anon_sym_volatile] = ACTIONS(2639),
    [anon_sym_restrict] = ACTIONS(2639),
    [anon_sym___restrict__] = ACTIONS(2639),
    [anon_sym__Atomic] = ACTIONS(2639),
    [anon_sym__Noreturn] = ACTIONS(2639),
    [anon_sym_noreturn] = ACTIONS(2639),
    [anon_sym__Nonnull] = ACTIONS(2639),
    [anon_sym_mutable] = ACTIONS(2639),
    [anon_sym_constinit] = ACTIONS(2639),
    [anon_sym_consteval] = ACTIONS(2639),
    [anon_sym_alignas] = ACTIONS(2639),
    [anon_sym__Alignas] = ACTIONS(2639),
    [sym_primitive_type] = ACTIONS(2639),
    [anon_sym_enum] = ACTIONS(2639),
    [anon_sym_class] = ACTIONS(2639),
    [anon_sym_struct] = ACTIONS(2639),
    [anon_sym_union] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_switch] = ACTIONS(2639),
    [anon_sym_case] = ACTIONS(2639),
    [anon_sym_default] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(2639),
    [anon_sym_do] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_break] = ACTIONS(2639),
    [anon_sym_continue] = ACTIONS(2639),
    [anon_sym_goto] = ACTIONS(2639),
    [anon_sym___try] = ACTIONS(2639),
    [anon_sym___leave] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2639),
    [anon_sym_compl] = ACTIONS(2639),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_sizeof] = ACTIONS(2639),
    [anon_sym___alignof__] = ACTIONS(2639),
    [anon_sym___alignof] = ACTIONS(2639),
    [anon_sym__alignof] = ACTIONS(2639),
    [anon_sym_alignof] = ACTIONS(2639),
    [anon_sym__Alignof] = ACTIONS(2639),
    [anon_sym_offsetof] = ACTIONS(2639),
    [anon_sym__Generic] = ACTIONS(2639),
    [anon_sym_asm] = ACTIONS(2639),
    [anon_sym___asm__] = ACTIONS(2639),
    [anon_sym___asm] = ACTIONS(2639),
    [sym_number_literal] = ACTIONS(2641),
    [anon_sym_L_SQUOTE] = ACTIONS(2641),
    [anon_sym_u_SQUOTE] = ACTIONS(2641),
    [anon_sym_U_SQUOTE] = ACTIONS(2641),
    [anon_sym_u8_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_L_DQUOTE] = ACTIONS(2641),
    [anon_sym_u_DQUOTE] = ACTIONS(2641),
    [anon_sym_U_DQUOTE] = ACTIONS(2641),
    [anon_sym_u8_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_true] = ACTIONS(2639),
    [sym_false] = ACTIONS(2639),
    [anon_sym_NULL] = ACTIONS(2639),
    [anon_sym_nullptr] = ACTIONS(2639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2639),
    [anon_sym_explicit] = ACTIONS(2639),
    [anon_sym_typename] = ACTIONS(2639),
    [anon_sym_template] = ACTIONS(2639),
    [anon_sym_operator] = ACTIONS(2639),
    [anon_sym_try] = ACTIONS(2639),
    [anon_sym_delete] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2639),
    [anon_sym_namespace] = ACTIONS(2639),
    [anon_sym_using] = ACTIONS(2639),
    [anon_sym_static_assert] = ACTIONS(2639),
    [anon_sym_concept] = ACTIONS(2639),
    [anon_sym_co_return] = ACTIONS(2639),
    [anon_sym_co_yield] = ACTIONS(2639),
    [anon_sym_R_DQUOTE] = ACTIONS(2641),
    [anon_sym_LR_DQUOTE] = ACTIONS(2641),
    [anon_sym_uR_DQUOTE] = ACTIONS(2641),
    [anon_sym_UR_DQUOTE] = ACTIONS(2641),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2641),
    [anon_sym_co_await] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2639),
    [anon_sym_requires] = ACTIONS(2639),
    [sym_this] = ACTIONS(2639),
    [anon_sym_discard] = ACTIONS(2639),
    [anon_sym_precise] = ACTIONS(2639),
    [anon_sym_shared] = ACTIONS(2639),
    [anon_sym_groupshared] = ACTIONS(2639),
    [anon_sym_uniform] = ACTIONS(2639),
    [anon_sym_row_major] = ACTIONS(2639),
    [anon_sym_column_major] = ACTIONS(2639),
    [anon_sym_globallycoherent] = ACTIONS(2639),
    [anon_sym_centroid] = ACTIONS(2639),
    [anon_sym_noperspective] = ACTIONS(2639),
    [anon_sym_nointerpolation] = ACTIONS(2639),
    [anon_sym_sample] = ACTIONS(2639),
    [anon_sym_linear] = ACTIONS(2639),
    [anon_sym_snorm] = ACTIONS(2639),
    [anon_sym_unorm] = ACTIONS(2639),
    [anon_sym_point] = ACTIONS(2639),
    [anon_sym_line] = ACTIONS(2639),
    [anon_sym_triangleadj] = ACTIONS(2639),
    [anon_sym_lineadj] = ACTIONS(2639),
    [anon_sym_triangle] = ACTIONS(2639),
    [anon_sym_cbuffer] = ACTIONS(2639),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2655),
    [aux_sym_preproc_include_token1] = ACTIONS(2655),
    [aux_sym_preproc_def_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token2] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2655),
    [sym_preproc_directive] = ACTIONS(2655),
    [anon_sym_LPAREN2] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2655),
    [anon_sym_PLUS] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2655),
    [anon_sym_typedef] = ACTIONS(2655),
    [anon_sym_in] = ACTIONS(2655),
    [anon_sym_out] = ACTIONS(2655),
    [anon_sym_inout] = ACTIONS(2655),
    [anon_sym_virtual] = ACTIONS(2655),
    [anon_sym_extern] = ACTIONS(2655),
    [anon_sym___attribute__] = ACTIONS(2655),
    [anon_sym___attribute] = ACTIONS(2655),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2657),
    [anon_sym___declspec] = ACTIONS(2655),
    [anon_sym___based] = ACTIONS(2655),
    [anon_sym___cdecl] = ACTIONS(2655),
    [anon_sym___clrcall] = ACTIONS(2655),
    [anon_sym___stdcall] = ACTIONS(2655),
    [anon_sym___fastcall] = ACTIONS(2655),
    [anon_sym___thiscall] = ACTIONS(2655),
    [anon_sym___vectorcall] = ACTIONS(2655),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_signed] = ACTIONS(2655),
    [anon_sym_unsigned] = ACTIONS(2655),
    [anon_sym_long] = ACTIONS(2655),
    [anon_sym_short] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_register] = ACTIONS(2655),
    [anon_sym_inline] = ACTIONS(2655),
    [anon_sym___inline] = ACTIONS(2655),
    [anon_sym___inline__] = ACTIONS(2655),
    [anon_sym___forceinline] = ACTIONS(2655),
    [anon_sym_thread_local] = ACTIONS(2655),
    [anon_sym___thread] = ACTIONS(2655),
    [anon_sym_const] = ACTIONS(2655),
    [anon_sym_constexpr] = ACTIONS(2655),
    [anon_sym_volatile] = ACTIONS(2655),
    [anon_sym_restrict] = ACTIONS(2655),
    [anon_sym___restrict__] = ACTIONS(2655),
    [anon_sym__Atomic] = ACTIONS(2655),
    [anon_sym__Noreturn] = ACTIONS(2655),
    [anon_sym_noreturn] = ACTIONS(2655),
    [anon_sym__Nonnull] = ACTIONS(2655),
    [anon_sym_mutable] = ACTIONS(2655),
    [anon_sym_constinit] = ACTIONS(2655),
    [anon_sym_consteval] = ACTIONS(2655),
    [anon_sym_alignas] = ACTIONS(2655),
    [anon_sym__Alignas] = ACTIONS(2655),
    [sym_primitive_type] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2655),
    [anon_sym_struct] = ACTIONS(2655),
    [anon_sym_union] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_switch] = ACTIONS(2655),
    [anon_sym_case] = ACTIONS(2655),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(2655),
    [anon_sym_do] = ACTIONS(2655),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_return] = ACTIONS(2655),
    [anon_sym_break] = ACTIONS(2655),
    [anon_sym_continue] = ACTIONS(2655),
    [anon_sym_goto] = ACTIONS(2655),
    [anon_sym___try] = ACTIONS(2655),
    [anon_sym___leave] = ACTIONS(2655),
    [anon_sym_not] = ACTIONS(2655),
    [anon_sym_compl] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_sizeof] = ACTIONS(2655),
    [anon_sym___alignof__] = ACTIONS(2655),
    [anon_sym___alignof] = ACTIONS(2655),
    [anon_sym__alignof] = ACTIONS(2655),
    [anon_sym_alignof] = ACTIONS(2655),
    [anon_sym__Alignof] = ACTIONS(2655),
    [anon_sym_offsetof] = ACTIONS(2655),
    [anon_sym__Generic] = ACTIONS(2655),
    [anon_sym_asm] = ACTIONS(2655),
    [anon_sym___asm__] = ACTIONS(2655),
    [anon_sym___asm] = ACTIONS(2655),
    [sym_number_literal] = ACTIONS(2657),
    [anon_sym_L_SQUOTE] = ACTIONS(2657),
    [anon_sym_u_SQUOTE] = ACTIONS(2657),
    [anon_sym_U_SQUOTE] = ACTIONS(2657),
    [anon_sym_u8_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_L_DQUOTE] = ACTIONS(2657),
    [anon_sym_u_DQUOTE] = ACTIONS(2657),
    [anon_sym_U_DQUOTE] = ACTIONS(2657),
    [anon_sym_u8_DQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [sym_true] = ACTIONS(2655),
    [sym_false] = ACTIONS(2655),
    [anon_sym_NULL] = ACTIONS(2655),
    [anon_sym_nullptr] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2655),
    [anon_sym_decltype] = ACTIONS(2655),
    [anon_sym_explicit] = ACTIONS(2655),
    [anon_sym_typename] = ACTIONS(2655),
    [anon_sym_template] = ACTIONS(2655),
    [anon_sym_operator] = ACTIONS(2655),
    [anon_sym_try] = ACTIONS(2655),
    [anon_sym_delete] = ACTIONS(2655),
    [anon_sym_throw] = ACTIONS(2655),
    [anon_sym_namespace] = ACTIONS(2655),
    [anon_sym_using] = ACTIONS(2655),
    [anon_sym_static_assert] = ACTIONS(2655),
    [anon_sym_concept] = ACTIONS(2655),
    [anon_sym_co_return] = ACTIONS(2655),
    [anon_sym_co_yield] = ACTIONS(2655),
    [anon_sym_R_DQUOTE] = ACTIONS(2657),
    [anon_sym_LR_DQUOTE] = ACTIONS(2657),
    [anon_sym_uR_DQUOTE] = ACTIONS(2657),
    [anon_sym_UR_DQUOTE] = ACTIONS(2657),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2657),
    [anon_sym_co_await] = ACTIONS(2655),
    [anon_sym_new] = ACTIONS(2655),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2655),
    [anon_sym_discard] = ACTIONS(2655),
    [anon_sym_precise] = ACTIONS(2655),
    [anon_sym_shared] = ACTIONS(2655),
    [anon_sym_groupshared] = ACTIONS(2655),
    [anon_sym_uniform] = ACTIONS(2655),
    [anon_sym_row_major] = ACTIONS(2655),
    [anon_sym_column_major] = ACTIONS(2655),
    [anon_sym_globallycoherent] = ACTIONS(2655),
    [anon_sym_centroid] = ACTIONS(2655),
    [anon_sym_noperspective] = ACTIONS(2655),
    [anon_sym_nointerpolation] = ACTIONS(2655),
    [anon_sym_sample] = ACTIONS(2655),
    [anon_sym_linear] = ACTIONS(2655),
    [anon_sym_snorm] = ACTIONS(2655),
    [anon_sym_unorm] = ACTIONS(2655),
    [anon_sym_point] = ACTIONS(2655),
    [anon_sym_line] = ACTIONS(2655),
    [anon_sym_triangleadj] = ACTIONS(2655),
    [anon_sym_lineadj] = ACTIONS(2655),
    [anon_sym_triangle] = ACTIONS(2655),
    [anon_sym_cbuffer] = ACTIONS(2655),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [598] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_include_token1] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token2] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym___cdecl] = ACTIONS(2382),
    [anon_sym___clrcall] = ACTIONS(2382),
    [anon_sym___stdcall] = ACTIONS(2382),
    [anon_sym___fastcall] = ACTIONS(2382),
    [anon_sym___thiscall] = ACTIONS(2382),
    [anon_sym___vectorcall] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_goto] = ACTIONS(2382),
    [anon_sym___try] = ACTIONS(2382),
    [anon_sym___leave] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_compl] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_sizeof] = ACTIONS(2382),
    [anon_sym___alignof__] = ACTIONS(2382),
    [anon_sym___alignof] = ACTIONS(2382),
    [anon_sym__alignof] = ACTIONS(2382),
    [anon_sym_alignof] = ACTIONS(2382),
    [anon_sym__Alignof] = ACTIONS(2382),
    [anon_sym_offsetof] = ACTIONS(2382),
    [anon_sym__Generic] = ACTIONS(2382),
    [anon_sym_asm] = ACTIONS(2382),
    [anon_sym___asm__] = ACTIONS(2382),
    [anon_sym___asm] = ACTIONS(2382),
    [sym_number_literal] = ACTIONS(2384),
    [anon_sym_L_SQUOTE] = ACTIONS(2384),
    [anon_sym_u_SQUOTE] = ACTIONS(2384),
    [anon_sym_U_SQUOTE] = ACTIONS(2384),
    [anon_sym_u8_SQUOTE] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2384),
    [anon_sym_L_DQUOTE] = ACTIONS(2384),
    [anon_sym_u_DQUOTE] = ACTIONS(2384),
    [anon_sym_U_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8_DQUOTE] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2384),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [anon_sym_NULL] = ACTIONS(2382),
    [anon_sym_nullptr] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_concept] = ACTIONS(2382),
    [anon_sym_co_return] = ACTIONS(2382),
    [anon_sym_co_yield] = ACTIONS(2382),
    [anon_sym_R_DQUOTE] = ACTIONS(2384),
    [anon_sym_LR_DQUOTE] = ACTIONS(2384),
    [anon_sym_uR_DQUOTE] = ACTIONS(2384),
    [anon_sym_UR_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2384),
    [anon_sym_co_await] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_requires] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [anon_sym_discard] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
    [anon_sym_cbuffer] = ACTIONS(2382),
  },
  [600] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_include_token1] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token2] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym___cdecl] = ACTIONS(2382),
    [anon_sym___clrcall] = ACTIONS(2382),
    [anon_sym___stdcall] = ACTIONS(2382),
    [anon_sym___fastcall] = ACTIONS(2382),
    [anon_sym___thiscall] = ACTIONS(2382),
    [anon_sym___vectorcall] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_goto] = ACTIONS(2382),
    [anon_sym___try] = ACTIONS(2382),
    [anon_sym___leave] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_compl] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_sizeof] = ACTIONS(2382),
    [anon_sym___alignof__] = ACTIONS(2382),
    [anon_sym___alignof] = ACTIONS(2382),
    [anon_sym__alignof] = ACTIONS(2382),
    [anon_sym_alignof] = ACTIONS(2382),
    [anon_sym__Alignof] = ACTIONS(2382),
    [anon_sym_offsetof] = ACTIONS(2382),
    [anon_sym__Generic] = ACTIONS(2382),
    [anon_sym_asm] = ACTIONS(2382),
    [anon_sym___asm__] = ACTIONS(2382),
    [anon_sym___asm] = ACTIONS(2382),
    [sym_number_literal] = ACTIONS(2384),
    [anon_sym_L_SQUOTE] = ACTIONS(2384),
    [anon_sym_u_SQUOTE] = ACTIONS(2384),
    [anon_sym_U_SQUOTE] = ACTIONS(2384),
    [anon_sym_u8_SQUOTE] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2384),
    [anon_sym_L_DQUOTE] = ACTIONS(2384),
    [anon_sym_u_DQUOTE] = ACTIONS(2384),
    [anon_sym_U_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8_DQUOTE] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2384),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [anon_sym_NULL] = ACTIONS(2382),
    [anon_sym_nullptr] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_concept] = ACTIONS(2382),
    [anon_sym_co_return] = ACTIONS(2382),
    [anon_sym_co_yield] = ACTIONS(2382),
    [anon_sym_R_DQUOTE] = ACTIONS(2384),
    [anon_sym_LR_DQUOTE] = ACTIONS(2384),
    [anon_sym_uR_DQUOTE] = ACTIONS(2384),
    [anon_sym_UR_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2384),
    [anon_sym_co_await] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_requires] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [anon_sym_discard] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
    [anon_sym_cbuffer] = ACTIONS(2382),
  },
  [601] = {
    [sym_identifier] = ACTIONS(2430),
    [aux_sym_preproc_include_token1] = ACTIONS(2430),
    [aux_sym_preproc_def_token1] = ACTIONS(2430),
    [aux_sym_preproc_if_token1] = ACTIONS(2430),
    [aux_sym_preproc_if_token2] = ACTIONS(2430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2430),
    [sym_preproc_directive] = ACTIONS(2430),
    [anon_sym_LPAREN2] = ACTIONS(2432),
    [anon_sym_BANG] = ACTIONS(2432),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2432),
    [anon_sym___extension__] = ACTIONS(2430),
    [anon_sym_typedef] = ACTIONS(2430),
    [anon_sym_in] = ACTIONS(2430),
    [anon_sym_out] = ACTIONS(2430),
    [anon_sym_inout] = ACTIONS(2430),
    [anon_sym_virtual] = ACTIONS(2430),
    [anon_sym_extern] = ACTIONS(2430),
    [anon_sym___attribute__] = ACTIONS(2430),
    [anon_sym___attribute] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2432),
    [anon_sym___declspec] = ACTIONS(2430),
    [anon_sym___based] = ACTIONS(2430),
    [anon_sym___cdecl] = ACTIONS(2430),
    [anon_sym___clrcall] = ACTIONS(2430),
    [anon_sym___stdcall] = ACTIONS(2430),
    [anon_sym___fastcall] = ACTIONS(2430),
    [anon_sym___thiscall] = ACTIONS(2430),
    [anon_sym___vectorcall] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2432),
    [anon_sym_signed] = ACTIONS(2430),
    [anon_sym_unsigned] = ACTIONS(2430),
    [anon_sym_long] = ACTIONS(2430),
    [anon_sym_short] = ACTIONS(2430),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym_static] = ACTIONS(2430),
    [anon_sym_register] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(2430),
    [anon_sym___inline] = ACTIONS(2430),
    [anon_sym___inline__] = ACTIONS(2430),
    [anon_sym___forceinline] = ACTIONS(2430),
    [anon_sym_thread_local] = ACTIONS(2430),
    [anon_sym___thread] = ACTIONS(2430),
    [anon_sym_const] = ACTIONS(2430),
    [anon_sym_constexpr] = ACTIONS(2430),
    [anon_sym_volatile] = ACTIONS(2430),
    [anon_sym_restrict] = ACTIONS(2430),
    [anon_sym___restrict__] = ACTIONS(2430),
    [anon_sym__Atomic] = ACTIONS(2430),
    [anon_sym__Noreturn] = ACTIONS(2430),
    [anon_sym_noreturn] = ACTIONS(2430),
    [anon_sym__Nonnull] = ACTIONS(2430),
    [anon_sym_mutable] = ACTIONS(2430),
    [anon_sym_constinit] = ACTIONS(2430),
    [anon_sym_consteval] = ACTIONS(2430),
    [anon_sym_alignas] = ACTIONS(2430),
    [anon_sym__Alignas] = ACTIONS(2430),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_enum] = ACTIONS(2430),
    [anon_sym_class] = ACTIONS(2430),
    [anon_sym_struct] = ACTIONS(2430),
    [anon_sym_union] = ACTIONS(2430),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_switch] = ACTIONS(2430),
    [anon_sym_case] = ACTIONS(2430),
    [anon_sym_default] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2430),
    [anon_sym_do] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2430),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_break] = ACTIONS(2430),
    [anon_sym_continue] = ACTIONS(2430),
    [anon_sym_goto] = ACTIONS(2430),
    [anon_sym___try] = ACTIONS(2430),
    [anon_sym___leave] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2430),
    [anon_sym_compl] = ACTIONS(2430),
    [anon_sym_DASH_DASH] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2432),
    [anon_sym_sizeof] = ACTIONS(2430),
    [anon_sym___alignof__] = ACTIONS(2430),
    [anon_sym___alignof] = ACTIONS(2430),
    [anon_sym__alignof] = ACTIONS(2430),
    [anon_sym_alignof] = ACTIONS(2430),
    [anon_sym__Alignof] = ACTIONS(2430),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2430),
    [anon_sym_asm] = ACTIONS(2430),
    [anon_sym___asm__] = ACTIONS(2430),
    [anon_sym___asm] = ACTIONS(2430),
    [sym_number_literal] = ACTIONS(2432),
    [anon_sym_L_SQUOTE] = ACTIONS(2432),
    [anon_sym_u_SQUOTE] = ACTIONS(2432),
    [anon_sym_U_SQUOTE] = ACTIONS(2432),
    [anon_sym_u8_SQUOTE] = ACTIONS(2432),
    [anon_sym_SQUOTE] = ACTIONS(2432),
    [anon_sym_L_DQUOTE] = ACTIONS(2432),
    [anon_sym_u_DQUOTE] = ACTIONS(2432),
    [anon_sym_U_DQUOTE] = ACTIONS(2432),
    [anon_sym_u8_DQUOTE] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2432),
    [sym_true] = ACTIONS(2430),
    [sym_false] = ACTIONS(2430),
    [anon_sym_NULL] = ACTIONS(2430),
    [anon_sym_nullptr] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2430),
    [anon_sym_decltype] = ACTIONS(2430),
    [anon_sym_explicit] = ACTIONS(2430),
    [anon_sym_typename] = ACTIONS(2430),
    [anon_sym_template] = ACTIONS(2430),
    [anon_sym_operator] = ACTIONS(2430),
    [anon_sym_try] = ACTIONS(2430),
    [anon_sym_delete] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2430),
    [anon_sym_namespace] = ACTIONS(2430),
    [anon_sym_using] = ACTIONS(2430),
    [anon_sym_static_assert] = ACTIONS(2430),
    [anon_sym_concept] = ACTIONS(2430),
    [anon_sym_co_return] = ACTIONS(2430),
    [anon_sym_co_yield] = ACTIONS(2430),
    [anon_sym_R_DQUOTE] = ACTIONS(2432),
    [anon_sym_LR_DQUOTE] = ACTIONS(2432),
    [anon_sym_uR_DQUOTE] = ACTIONS(2432),
    [anon_sym_UR_DQUOTE] = ACTIONS(2432),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2432),
    [anon_sym_co_await] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2430),
    [anon_sym_requires] = ACTIONS(2430),
    [sym_this] = ACTIONS(2430),
    [anon_sym_discard] = ACTIONS(2430),
    [anon_sym_precise] = ACTIONS(2430),
    [anon_sym_shared] = ACTIONS(2430),
    [anon_sym_groupshared] = ACTIONS(2430),
    [anon_sym_uniform] = ACTIONS(2430),
    [anon_sym_row_major] = ACTIONS(2430),
    [anon_sym_column_major] = ACTIONS(2430),
    [anon_sym_globallycoherent] = ACTIONS(2430),
    [anon_sym_centroid] = ACTIONS(2430),
    [anon_sym_noperspective] = ACTIONS(2430),
    [anon_sym_nointerpolation] = ACTIONS(2430),
    [anon_sym_sample] = ACTIONS(2430),
    [anon_sym_linear] = ACTIONS(2430),
    [anon_sym_snorm] = ACTIONS(2430),
    [anon_sym_unorm] = ACTIONS(2430),
    [anon_sym_point] = ACTIONS(2430),
    [anon_sym_line] = ACTIONS(2430),
    [anon_sym_triangleadj] = ACTIONS(2430),
    [anon_sym_lineadj] = ACTIONS(2430),
    [anon_sym_triangle] = ACTIONS(2430),
    [anon_sym_cbuffer] = ACTIONS(2430),
  },
  [602] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym___leave] = ACTIONS(2402),
    [anon_sym_not] = ACTIONS(2402),
    [anon_sym_compl] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_concept] = ACTIONS(2402),
    [anon_sym_co_return] = ACTIONS(2402),
    [anon_sym_co_yield] = ACTIONS(2402),
    [anon_sym_R_DQUOTE] = ACTIONS(2404),
    [anon_sym_LR_DQUOTE] = ACTIONS(2404),
    [anon_sym_uR_DQUOTE] = ACTIONS(2404),
    [anon_sym_UR_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2404),
    [anon_sym_co_await] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_requires] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [anon_sym_discard] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
    [anon_sym_cbuffer] = ACTIONS(2402),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym___leave] = ACTIONS(2402),
    [anon_sym_not] = ACTIONS(2402),
    [anon_sym_compl] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_concept] = ACTIONS(2402),
    [anon_sym_co_return] = ACTIONS(2402),
    [anon_sym_co_yield] = ACTIONS(2402),
    [anon_sym_R_DQUOTE] = ACTIONS(2404),
    [anon_sym_LR_DQUOTE] = ACTIONS(2404),
    [anon_sym_uR_DQUOTE] = ACTIONS(2404),
    [anon_sym_UR_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2404),
    [anon_sym_co_await] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_requires] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [anon_sym_discard] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
    [anon_sym_cbuffer] = ACTIONS(2402),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_in] = ACTIONS(2499),
    [anon_sym_out] = ACTIONS(2499),
    [anon_sym_inout] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym___attribute] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
    [anon_sym_discard] = ACTIONS(2499),
    [anon_sym_precise] = ACTIONS(2499),
    [anon_sym_shared] = ACTIONS(2499),
    [anon_sym_groupshared] = ACTIONS(2499),
    [anon_sym_uniform] = ACTIONS(2499),
    [anon_sym_row_major] = ACTIONS(2499),
    [anon_sym_column_major] = ACTIONS(2499),
    [anon_sym_globallycoherent] = ACTIONS(2499),
    [anon_sym_centroid] = ACTIONS(2499),
    [anon_sym_noperspective] = ACTIONS(2499),
    [anon_sym_nointerpolation] = ACTIONS(2499),
    [anon_sym_sample] = ACTIONS(2499),
    [anon_sym_linear] = ACTIONS(2499),
    [anon_sym_snorm] = ACTIONS(2499),
    [anon_sym_unorm] = ACTIONS(2499),
    [anon_sym_point] = ACTIONS(2499),
    [anon_sym_line] = ACTIONS(2499),
    [anon_sym_triangleadj] = ACTIONS(2499),
    [anon_sym_lineadj] = ACTIONS(2499),
    [anon_sym_triangle] = ACTIONS(2499),
    [anon_sym_cbuffer] = ACTIONS(2499),
  },
  [605] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
    [anon_sym_discard] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_groupshared] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_row_major] = ACTIONS(2528),
    [anon_sym_column_major] = ACTIONS(2528),
    [anon_sym_globallycoherent] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym_nointerpolation] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_linear] = ACTIONS(2528),
    [anon_sym_snorm] = ACTIONS(2528),
    [anon_sym_unorm] = ACTIONS(2528),
    [anon_sym_point] = ACTIONS(2528),
    [anon_sym_line] = ACTIONS(2528),
    [anon_sym_triangleadj] = ACTIONS(2528),
    [anon_sym_lineadj] = ACTIONS(2528),
    [anon_sym_triangle] = ACTIONS(2528),
    [anon_sym_cbuffer] = ACTIONS(2528),
  },
  [607] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_virtual] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
    [anon_sym_discard] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_groupshared] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_row_major] = ACTIONS(2536),
    [anon_sym_column_major] = ACTIONS(2536),
    [anon_sym_globallycoherent] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym_nointerpolation] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_linear] = ACTIONS(2536),
    [anon_sym_snorm] = ACTIONS(2536),
    [anon_sym_unorm] = ACTIONS(2536),
    [anon_sym_point] = ACTIONS(2536),
    [anon_sym_line] = ACTIONS(2536),
    [anon_sym_triangleadj] = ACTIONS(2536),
    [anon_sym_lineadj] = ACTIONS(2536),
    [anon_sym_triangle] = ACTIONS(2536),
    [anon_sym_cbuffer] = ACTIONS(2536),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_virtual] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
    [anon_sym_discard] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_groupshared] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_row_major] = ACTIONS(2544),
    [anon_sym_column_major] = ACTIONS(2544),
    [anon_sym_globallycoherent] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym_nointerpolation] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_linear] = ACTIONS(2544),
    [anon_sym_snorm] = ACTIONS(2544),
    [anon_sym_unorm] = ACTIONS(2544),
    [anon_sym_point] = ACTIONS(2544),
    [anon_sym_line] = ACTIONS(2544),
    [anon_sym_triangleadj] = ACTIONS(2544),
    [anon_sym_lineadj] = ACTIONS(2544),
    [anon_sym_triangle] = ACTIONS(2544),
    [anon_sym_cbuffer] = ACTIONS(2544),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
    [anon_sym_discard] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_groupshared] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_row_major] = ACTIONS(2552),
    [anon_sym_column_major] = ACTIONS(2552),
    [anon_sym_globallycoherent] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym_nointerpolation] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_linear] = ACTIONS(2552),
    [anon_sym_snorm] = ACTIONS(2552),
    [anon_sym_unorm] = ACTIONS(2552),
    [anon_sym_point] = ACTIONS(2552),
    [anon_sym_line] = ACTIONS(2552),
    [anon_sym_triangleadj] = ACTIONS(2552),
    [anon_sym_lineadj] = ACTIONS(2552),
    [anon_sym_triangle] = ACTIONS(2552),
    [anon_sym_cbuffer] = ACTIONS(2552),
  },
  [610] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
    [anon_sym_discard] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_groupshared] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_row_major] = ACTIONS(2528),
    [anon_sym_column_major] = ACTIONS(2528),
    [anon_sym_globallycoherent] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym_nointerpolation] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_linear] = ACTIONS(2528),
    [anon_sym_snorm] = ACTIONS(2528),
    [anon_sym_unorm] = ACTIONS(2528),
    [anon_sym_point] = ACTIONS(2528),
    [anon_sym_line] = ACTIONS(2528),
    [anon_sym_triangleadj] = ACTIONS(2528),
    [anon_sym_lineadj] = ACTIONS(2528),
    [anon_sym_triangle] = ACTIONS(2528),
    [anon_sym_cbuffer] = ACTIONS(2528),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_virtual] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
    [anon_sym_discard] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_groupshared] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_row_major] = ACTIONS(2560),
    [anon_sym_column_major] = ACTIONS(2560),
    [anon_sym_globallycoherent] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym_nointerpolation] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_linear] = ACTIONS(2560),
    [anon_sym_snorm] = ACTIONS(2560),
    [anon_sym_unorm] = ACTIONS(2560),
    [anon_sym_point] = ACTIONS(2560),
    [anon_sym_line] = ACTIONS(2560),
    [anon_sym_triangleadj] = ACTIONS(2560),
    [anon_sym_lineadj] = ACTIONS(2560),
    [anon_sym_triangle] = ACTIONS(2560),
    [anon_sym_cbuffer] = ACTIONS(2560),
  },
  [613] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_out] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_virtual] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
    [anon_sym_discard] = ACTIONS(2568),
    [anon_sym_precise] = ACTIONS(2568),
    [anon_sym_shared] = ACTIONS(2568),
    [anon_sym_groupshared] = ACTIONS(2568),
    [anon_sym_uniform] = ACTIONS(2568),
    [anon_sym_row_major] = ACTIONS(2568),
    [anon_sym_column_major] = ACTIONS(2568),
    [anon_sym_globallycoherent] = ACTIONS(2568),
    [anon_sym_centroid] = ACTIONS(2568),
    [anon_sym_noperspective] = ACTIONS(2568),
    [anon_sym_nointerpolation] = ACTIONS(2568),
    [anon_sym_sample] = ACTIONS(2568),
    [anon_sym_linear] = ACTIONS(2568),
    [anon_sym_snorm] = ACTIONS(2568),
    [anon_sym_unorm] = ACTIONS(2568),
    [anon_sym_point] = ACTIONS(2568),
    [anon_sym_line] = ACTIONS(2568),
    [anon_sym_triangleadj] = ACTIONS(2568),
    [anon_sym_lineadj] = ACTIONS(2568),
    [anon_sym_triangle] = ACTIONS(2568),
    [anon_sym_cbuffer] = ACTIONS(2568),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_virtual] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
    [anon_sym_discard] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_groupshared] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_row_major] = ACTIONS(2536),
    [anon_sym_column_major] = ACTIONS(2536),
    [anon_sym_globallycoherent] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym_nointerpolation] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_linear] = ACTIONS(2536),
    [anon_sym_snorm] = ACTIONS(2536),
    [anon_sym_unorm] = ACTIONS(2536),
    [anon_sym_point] = ACTIONS(2536),
    [anon_sym_line] = ACTIONS(2536),
    [anon_sym_triangleadj] = ACTIONS(2536),
    [anon_sym_lineadj] = ACTIONS(2536),
    [anon_sym_triangle] = ACTIONS(2536),
    [anon_sym_cbuffer] = ACTIONS(2536),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_virtual] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
    [anon_sym_discard] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_groupshared] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_row_major] = ACTIONS(2540),
    [anon_sym_column_major] = ACTIONS(2540),
    [anon_sym_globallycoherent] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym_nointerpolation] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_linear] = ACTIONS(2540),
    [anon_sym_snorm] = ACTIONS(2540),
    [anon_sym_unorm] = ACTIONS(2540),
    [anon_sym_point] = ACTIONS(2540),
    [anon_sym_line] = ACTIONS(2540),
    [anon_sym_triangleadj] = ACTIONS(2540),
    [anon_sym_lineadj] = ACTIONS(2540),
    [anon_sym_triangle] = ACTIONS(2540),
    [anon_sym_cbuffer] = ACTIONS(2540),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_virtual] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
    [anon_sym_discard] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_groupshared] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_row_major] = ACTIONS(2544),
    [anon_sym_column_major] = ACTIONS(2544),
    [anon_sym_globallycoherent] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym_nointerpolation] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_linear] = ACTIONS(2544),
    [anon_sym_snorm] = ACTIONS(2544),
    [anon_sym_unorm] = ACTIONS(2544),
    [anon_sym_point] = ACTIONS(2544),
    [anon_sym_line] = ACTIONS(2544),
    [anon_sym_triangleadj] = ACTIONS(2544),
    [anon_sym_lineadj] = ACTIONS(2544),
    [anon_sym_triangle] = ACTIONS(2544),
    [anon_sym_cbuffer] = ACTIONS(2544),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
    [anon_sym_discard] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_groupshared] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_row_major] = ACTIONS(2552),
    [anon_sym_column_major] = ACTIONS(2552),
    [anon_sym_globallycoherent] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym_nointerpolation] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_linear] = ACTIONS(2552),
    [anon_sym_snorm] = ACTIONS(2552),
    [anon_sym_unorm] = ACTIONS(2552),
    [anon_sym_point] = ACTIONS(2552),
    [anon_sym_line] = ACTIONS(2552),
    [anon_sym_triangleadj] = ACTIONS(2552),
    [anon_sym_lineadj] = ACTIONS(2552),
    [anon_sym_triangle] = ACTIONS(2552),
    [anon_sym_cbuffer] = ACTIONS(2552),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_out] = ACTIONS(2556),
    [anon_sym_inout] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
    [anon_sym_discard] = ACTIONS(2556),
    [anon_sym_precise] = ACTIONS(2556),
    [anon_sym_shared] = ACTIONS(2556),
    [anon_sym_groupshared] = ACTIONS(2556),
    [anon_sym_uniform] = ACTIONS(2556),
    [anon_sym_row_major] = ACTIONS(2556),
    [anon_sym_column_major] = ACTIONS(2556),
    [anon_sym_globallycoherent] = ACTIONS(2556),
    [anon_sym_centroid] = ACTIONS(2556),
    [anon_sym_noperspective] = ACTIONS(2556),
    [anon_sym_nointerpolation] = ACTIONS(2556),
    [anon_sym_sample] = ACTIONS(2556),
    [anon_sym_linear] = ACTIONS(2556),
    [anon_sym_snorm] = ACTIONS(2556),
    [anon_sym_unorm] = ACTIONS(2556),
    [anon_sym_point] = ACTIONS(2556),
    [anon_sym_line] = ACTIONS(2556),
    [anon_sym_triangleadj] = ACTIONS(2556),
    [anon_sym_lineadj] = ACTIONS(2556),
    [anon_sym_triangle] = ACTIONS(2556),
    [anon_sym_cbuffer] = ACTIONS(2556),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2615),
    [aux_sym_preproc_include_token1] = ACTIONS(2615),
    [aux_sym_preproc_def_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token2] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2615),
    [sym_preproc_directive] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2615),
    [anon_sym_typedef] = ACTIONS(2615),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_out] = ACTIONS(2615),
    [anon_sym_inout] = ACTIONS(2615),
    [anon_sym_virtual] = ACTIONS(2615),
    [anon_sym_extern] = ACTIONS(2615),
    [anon_sym___attribute__] = ACTIONS(2615),
    [anon_sym___attribute] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2617),
    [anon_sym___declspec] = ACTIONS(2615),
    [anon_sym___based] = ACTIONS(2615),
    [anon_sym___cdecl] = ACTIONS(2615),
    [anon_sym___clrcall] = ACTIONS(2615),
    [anon_sym___stdcall] = ACTIONS(2615),
    [anon_sym___fastcall] = ACTIONS(2615),
    [anon_sym___thiscall] = ACTIONS(2615),
    [anon_sym___vectorcall] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2615),
    [anon_sym_unsigned] = ACTIONS(2615),
    [anon_sym_long] = ACTIONS(2615),
    [anon_sym_short] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_register] = ACTIONS(2615),
    [anon_sym_inline] = ACTIONS(2615),
    [anon_sym___inline] = ACTIONS(2615),
    [anon_sym___inline__] = ACTIONS(2615),
    [anon_sym___forceinline] = ACTIONS(2615),
    [anon_sym_thread_local] = ACTIONS(2615),
    [anon_sym___thread] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_constexpr] = ACTIONS(2615),
    [anon_sym_volatile] = ACTIONS(2615),
    [anon_sym_restrict] = ACTIONS(2615),
    [anon_sym___restrict__] = ACTIONS(2615),
    [anon_sym__Atomic] = ACTIONS(2615),
    [anon_sym__Noreturn] = ACTIONS(2615),
    [anon_sym_noreturn] = ACTIONS(2615),
    [anon_sym__Nonnull] = ACTIONS(2615),
    [anon_sym_mutable] = ACTIONS(2615),
    [anon_sym_constinit] = ACTIONS(2615),
    [anon_sym_consteval] = ACTIONS(2615),
    [anon_sym_alignas] = ACTIONS(2615),
    [anon_sym__Alignas] = ACTIONS(2615),
    [sym_primitive_type] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_struct] = ACTIONS(2615),
    [anon_sym_union] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_default] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_goto] = ACTIONS(2615),
    [anon_sym___try] = ACTIONS(2615),
    [anon_sym___leave] = ACTIONS(2615),
    [anon_sym_not] = ACTIONS(2615),
    [anon_sym_compl] = ACTIONS(2615),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_sizeof] = ACTIONS(2615),
    [anon_sym___alignof__] = ACTIONS(2615),
    [anon_sym___alignof] = ACTIONS(2615),
    [anon_sym__alignof] = ACTIONS(2615),
    [anon_sym_alignof] = ACTIONS(2615),
    [anon_sym__Alignof] = ACTIONS(2615),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2615),
    [anon_sym_asm] = ACTIONS(2615),
    [anon_sym___asm__] = ACTIONS(2615),
    [anon_sym___asm] = ACTIONS(2615),
    [sym_number_literal] = ACTIONS(2617),
    [anon_sym_L_SQUOTE] = ACTIONS(2617),
    [anon_sym_u_SQUOTE] = ACTIONS(2617),
    [anon_sym_U_SQUOTE] = ACTIONS(2617),
    [anon_sym_u8_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_L_DQUOTE] = ACTIONS(2617),
    [anon_sym_u_DQUOTE] = ACTIONS(2617),
    [anon_sym_U_DQUOTE] = ACTIONS(2617),
    [anon_sym_u8_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [anon_sym_NULL] = ACTIONS(2615),
    [anon_sym_nullptr] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2615),
    [anon_sym_decltype] = ACTIONS(2615),
    [anon_sym_explicit] = ACTIONS(2615),
    [anon_sym_typename] = ACTIONS(2615),
    [anon_sym_template] = ACTIONS(2615),
    [anon_sym_operator] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_namespace] = ACTIONS(2615),
    [anon_sym_using] = ACTIONS(2615),
    [anon_sym_static_assert] = ACTIONS(2615),
    [anon_sym_concept] = ACTIONS(2615),
    [anon_sym_co_return] = ACTIONS(2615),
    [anon_sym_co_yield] = ACTIONS(2615),
    [anon_sym_R_DQUOTE] = ACTIONS(2617),
    [anon_sym_LR_DQUOTE] = ACTIONS(2617),
    [anon_sym_uR_DQUOTE] = ACTIONS(2617),
    [anon_sym_UR_DQUOTE] = ACTIONS(2617),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2617),
    [anon_sym_co_await] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_requires] = ACTIONS(2615),
    [sym_this] = ACTIONS(2615),
    [anon_sym_discard] = ACTIONS(2615),
    [anon_sym_precise] = ACTIONS(2615),
    [anon_sym_shared] = ACTIONS(2615),
    [anon_sym_groupshared] = ACTIONS(2615),
    [anon_sym_uniform] = ACTIONS(2615),
    [anon_sym_row_major] = ACTIONS(2615),
    [anon_sym_column_major] = ACTIONS(2615),
    [anon_sym_globallycoherent] = ACTIONS(2615),
    [anon_sym_centroid] = ACTIONS(2615),
    [anon_sym_noperspective] = ACTIONS(2615),
    [anon_sym_nointerpolation] = ACTIONS(2615),
    [anon_sym_sample] = ACTIONS(2615),
    [anon_sym_linear] = ACTIONS(2615),
    [anon_sym_snorm] = ACTIONS(2615),
    [anon_sym_unorm] = ACTIONS(2615),
    [anon_sym_point] = ACTIONS(2615),
    [anon_sym_line] = ACTIONS(2615),
    [anon_sym_triangleadj] = ACTIONS(2615),
    [anon_sym_lineadj] = ACTIONS(2615),
    [anon_sym_triangle] = ACTIONS(2615),
    [anon_sym_cbuffer] = ACTIONS(2615),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2458),
    [aux_sym_preproc_include_token1] = ACTIONS(2458),
    [aux_sym_preproc_def_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token2] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2458),
    [sym_preproc_directive] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym___extension__] = ACTIONS(2458),
    [anon_sym_typedef] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2458),
    [anon_sym_out] = ACTIONS(2458),
    [anon_sym_inout] = ACTIONS(2458),
    [anon_sym_virtual] = ACTIONS(2458),
    [anon_sym_extern] = ACTIONS(2458),
    [anon_sym___attribute__] = ACTIONS(2458),
    [anon_sym___attribute] = ACTIONS(2458),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2460),
    [anon_sym___declspec] = ACTIONS(2458),
    [anon_sym___based] = ACTIONS(2458),
    [anon_sym___cdecl] = ACTIONS(2458),
    [anon_sym___clrcall] = ACTIONS(2458),
    [anon_sym___stdcall] = ACTIONS(2458),
    [anon_sym___fastcall] = ACTIONS(2458),
    [anon_sym___thiscall] = ACTIONS(2458),
    [anon_sym___vectorcall] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2458),
    [anon_sym_unsigned] = ACTIONS(2458),
    [anon_sym_long] = ACTIONS(2458),
    [anon_sym_short] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_register] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(2458),
    [anon_sym___inline] = ACTIONS(2458),
    [anon_sym___inline__] = ACTIONS(2458),
    [anon_sym___forceinline] = ACTIONS(2458),
    [anon_sym_thread_local] = ACTIONS(2458),
    [anon_sym___thread] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_constexpr] = ACTIONS(2458),
    [anon_sym_volatile] = ACTIONS(2458),
    [anon_sym_restrict] = ACTIONS(2458),
    [anon_sym___restrict__] = ACTIONS(2458),
    [anon_sym__Atomic] = ACTIONS(2458),
    [anon_sym__Noreturn] = ACTIONS(2458),
    [anon_sym_noreturn] = ACTIONS(2458),
    [anon_sym__Nonnull] = ACTIONS(2458),
    [anon_sym_mutable] = ACTIONS(2458),
    [anon_sym_constinit] = ACTIONS(2458),
    [anon_sym_consteval] = ACTIONS(2458),
    [anon_sym_alignas] = ACTIONS(2458),
    [anon_sym__Alignas] = ACTIONS(2458),
    [sym_primitive_type] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_struct] = ACTIONS(2458),
    [anon_sym_union] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_case] = ACTIONS(2458),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_goto] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2458),
    [anon_sym_compl] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2458),
    [anon_sym___alignof] = ACTIONS(2458),
    [anon_sym__alignof] = ACTIONS(2458),
    [anon_sym_alignof] = ACTIONS(2458),
    [anon_sym__Alignof] = ACTIONS(2458),
    [anon_sym_offsetof] = ACTIONS(2458),
    [anon_sym__Generic] = ACTIONS(2458),
    [anon_sym_asm] = ACTIONS(2458),
    [anon_sym___asm__] = ACTIONS(2458),
    [anon_sym___asm] = ACTIONS(2458),
    [sym_number_literal] = ACTIONS(2460),
    [anon_sym_L_SQUOTE] = ACTIONS(2460),
    [anon_sym_u_SQUOTE] = ACTIONS(2460),
    [anon_sym_U_SQUOTE] = ACTIONS(2460),
    [anon_sym_u8_SQUOTE] = ACTIONS(2460),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [anon_sym_L_DQUOTE] = ACTIONS(2460),
    [anon_sym_u_DQUOTE] = ACTIONS(2460),
    [anon_sym_U_DQUOTE] = ACTIONS(2460),
    [anon_sym_u8_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [anon_sym_NULL] = ACTIONS(2458),
    [anon_sym_nullptr] = ACTIONS(2458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2458),
    [anon_sym_decltype] = ACTIONS(2458),
    [anon_sym_explicit] = ACTIONS(2458),
    [anon_sym_typename] = ACTIONS(2458),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_operator] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_static_assert] = ACTIONS(2458),
    [anon_sym_concept] = ACTIONS(2458),
    [anon_sym_co_return] = ACTIONS(2458),
    [anon_sym_co_yield] = ACTIONS(2458),
    [anon_sym_R_DQUOTE] = ACTIONS(2460),
    [anon_sym_LR_DQUOTE] = ACTIONS(2460),
    [anon_sym_uR_DQUOTE] = ACTIONS(2460),
    [anon_sym_UR_DQUOTE] = ACTIONS(2460),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2460),
    [anon_sym_co_await] = ACTIONS(2458),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [anon_sym_discard] = ACTIONS(2458),
    [anon_sym_precise] = ACTIONS(2458),
    [anon_sym_shared] = ACTIONS(2458),
    [anon_sym_groupshared] = ACTIONS(2458),
    [anon_sym_uniform] = ACTIONS(2458),
    [anon_sym_row_major] = ACTIONS(2458),
    [anon_sym_column_major] = ACTIONS(2458),
    [anon_sym_globallycoherent] = ACTIONS(2458),
    [anon_sym_centroid] = ACTIONS(2458),
    [anon_sym_noperspective] = ACTIONS(2458),
    [anon_sym_nointerpolation] = ACTIONS(2458),
    [anon_sym_sample] = ACTIONS(2458),
    [anon_sym_linear] = ACTIONS(2458),
    [anon_sym_snorm] = ACTIONS(2458),
    [anon_sym_unorm] = ACTIONS(2458),
    [anon_sym_point] = ACTIONS(2458),
    [anon_sym_line] = ACTIONS(2458),
    [anon_sym_triangleadj] = ACTIONS(2458),
    [anon_sym_lineadj] = ACTIONS(2458),
    [anon_sym_triangle] = ACTIONS(2458),
    [anon_sym_cbuffer] = ACTIONS(2458),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2631),
    [aux_sym_preproc_include_token1] = ACTIONS(2631),
    [aux_sym_preproc_def_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token2] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2631),
    [sym_preproc_directive] = ACTIONS(2631),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2631),
    [anon_sym_typedef] = ACTIONS(2631),
    [anon_sym_in] = ACTIONS(2631),
    [anon_sym_out] = ACTIONS(2631),
    [anon_sym_inout] = ACTIONS(2631),
    [anon_sym_virtual] = ACTIONS(2631),
    [anon_sym_extern] = ACTIONS(2631),
    [anon_sym___attribute__] = ACTIONS(2631),
    [anon_sym___attribute] = ACTIONS(2631),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2633),
    [anon_sym___declspec] = ACTIONS(2631),
    [anon_sym___based] = ACTIONS(2631),
    [anon_sym___cdecl] = ACTIONS(2631),
    [anon_sym___clrcall] = ACTIONS(2631),
    [anon_sym___stdcall] = ACTIONS(2631),
    [anon_sym___fastcall] = ACTIONS(2631),
    [anon_sym___thiscall] = ACTIONS(2631),
    [anon_sym___vectorcall] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2631),
    [anon_sym_unsigned] = ACTIONS(2631),
    [anon_sym_long] = ACTIONS(2631),
    [anon_sym_short] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_register] = ACTIONS(2631),
    [anon_sym_inline] = ACTIONS(2631),
    [anon_sym___inline] = ACTIONS(2631),
    [anon_sym___inline__] = ACTIONS(2631),
    [anon_sym___forceinline] = ACTIONS(2631),
    [anon_sym_thread_local] = ACTIONS(2631),
    [anon_sym___thread] = ACTIONS(2631),
    [anon_sym_const] = ACTIONS(2631),
    [anon_sym_constexpr] = ACTIONS(2631),
    [anon_sym_volatile] = ACTIONS(2631),
    [anon_sym_restrict] = ACTIONS(2631),
    [anon_sym___restrict__] = ACTIONS(2631),
    [anon_sym__Atomic] = ACTIONS(2631),
    [anon_sym__Noreturn] = ACTIONS(2631),
    [anon_sym_noreturn] = ACTIONS(2631),
    [anon_sym__Nonnull] = ACTIONS(2631),
    [anon_sym_mutable] = ACTIONS(2631),
    [anon_sym_constinit] = ACTIONS(2631),
    [anon_sym_consteval] = ACTIONS(2631),
    [anon_sym_alignas] = ACTIONS(2631),
    [anon_sym__Alignas] = ACTIONS(2631),
    [sym_primitive_type] = ACTIONS(2631),
    [anon_sym_enum] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2631),
    [anon_sym_struct] = ACTIONS(2631),
    [anon_sym_union] = ACTIONS(2631),
    [anon_sym_if] = ACTIONS(2631),
    [anon_sym_switch] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2631),
    [anon_sym_default] = ACTIONS(2631),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_do] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_return] = ACTIONS(2631),
    [anon_sym_break] = ACTIONS(2631),
    [anon_sym_continue] = ACTIONS(2631),
    [anon_sym_goto] = ACTIONS(2631),
    [anon_sym___try] = ACTIONS(2631),
    [anon_sym___leave] = ACTIONS(2631),
    [anon_sym_not] = ACTIONS(2631),
    [anon_sym_compl] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_sizeof] = ACTIONS(2631),
    [anon_sym___alignof__] = ACTIONS(2631),
    [anon_sym___alignof] = ACTIONS(2631),
    [anon_sym__alignof] = ACTIONS(2631),
    [anon_sym_alignof] = ACTIONS(2631),
    [anon_sym__Alignof] = ACTIONS(2631),
    [anon_sym_offsetof] = ACTIONS(2631),
    [anon_sym__Generic] = ACTIONS(2631),
    [anon_sym_asm] = ACTIONS(2631),
    [anon_sym___asm__] = ACTIONS(2631),
    [anon_sym___asm] = ACTIONS(2631),
    [sym_number_literal] = ACTIONS(2633),
    [anon_sym_L_SQUOTE] = ACTIONS(2633),
    [anon_sym_u_SQUOTE] = ACTIONS(2633),
    [anon_sym_U_SQUOTE] = ACTIONS(2633),
    [anon_sym_u8_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2631),
    [anon_sym_decltype] = ACTIONS(2631),
    [anon_sym_explicit] = ACTIONS(2631),
    [anon_sym_typename] = ACTIONS(2631),
    [anon_sym_template] = ACTIONS(2631),
    [anon_sym_operator] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_delete] = ACTIONS(2631),
    [anon_sym_throw] = ACTIONS(2631),
    [anon_sym_namespace] = ACTIONS(2631),
    [anon_sym_using] = ACTIONS(2631),
    [anon_sym_static_assert] = ACTIONS(2631),
    [anon_sym_concept] = ACTIONS(2631),
    [anon_sym_co_return] = ACTIONS(2631),
    [anon_sym_co_yield] = ACTIONS(2631),
    [anon_sym_R_DQUOTE] = ACTIONS(2633),
    [anon_sym_LR_DQUOTE] = ACTIONS(2633),
    [anon_sym_uR_DQUOTE] = ACTIONS(2633),
    [anon_sym_UR_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2633),
    [anon_sym_co_await] = ACTIONS(2631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_requires] = ACTIONS(2631),
    [sym_this] = ACTIONS(2631),
    [anon_sym_discard] = ACTIONS(2631),
    [anon_sym_precise] = ACTIONS(2631),
    [anon_sym_shared] = ACTIONS(2631),
    [anon_sym_groupshared] = ACTIONS(2631),
    [anon_sym_uniform] = ACTIONS(2631),
    [anon_sym_row_major] = ACTIONS(2631),
    [anon_sym_column_major] = ACTIONS(2631),
    [anon_sym_globallycoherent] = ACTIONS(2631),
    [anon_sym_centroid] = ACTIONS(2631),
    [anon_sym_noperspective] = ACTIONS(2631),
    [anon_sym_nointerpolation] = ACTIONS(2631),
    [anon_sym_sample] = ACTIONS(2631),
    [anon_sym_linear] = ACTIONS(2631),
    [anon_sym_snorm] = ACTIONS(2631),
    [anon_sym_unorm] = ACTIONS(2631),
    [anon_sym_point] = ACTIONS(2631),
    [anon_sym_line] = ACTIONS(2631),
    [anon_sym_triangleadj] = ACTIONS(2631),
    [anon_sym_lineadj] = ACTIONS(2631),
    [anon_sym_triangle] = ACTIONS(2631),
    [anon_sym_cbuffer] = ACTIONS(2631),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2370),
    [aux_sym_preproc_include_token1] = ACTIONS(2370),
    [aux_sym_preproc_def_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token2] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2370),
    [sym_preproc_directive] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2372),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym___extension__] = ACTIONS(2370),
    [anon_sym_typedef] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_out] = ACTIONS(2370),
    [anon_sym_inout] = ACTIONS(2370),
    [anon_sym_virtual] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2370),
    [anon_sym___attribute__] = ACTIONS(2370),
    [anon_sym___attribute] = ACTIONS(2370),
    [anon_sym_COLON_COLON] = ACTIONS(2372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2372),
    [anon_sym___declspec] = ACTIONS(2370),
    [anon_sym___based] = ACTIONS(2370),
    [anon_sym___cdecl] = ACTIONS(2370),
    [anon_sym___clrcall] = ACTIONS(2370),
    [anon_sym___stdcall] = ACTIONS(2370),
    [anon_sym___fastcall] = ACTIONS(2370),
    [anon_sym___thiscall] = ACTIONS(2370),
    [anon_sym___vectorcall] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2372),
    [anon_sym_signed] = ACTIONS(2370),
    [anon_sym_unsigned] = ACTIONS(2370),
    [anon_sym_long] = ACTIONS(2370),
    [anon_sym_short] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_register] = ACTIONS(2370),
    [anon_sym_inline] = ACTIONS(2370),
    [anon_sym___inline] = ACTIONS(2370),
    [anon_sym___inline__] = ACTIONS(2370),
    [anon_sym___forceinline] = ACTIONS(2370),
    [anon_sym_thread_local] = ACTIONS(2370),
    [anon_sym___thread] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_constexpr] = ACTIONS(2370),
    [anon_sym_volatile] = ACTIONS(2370),
    [anon_sym_restrict] = ACTIONS(2370),
    [anon_sym___restrict__] = ACTIONS(2370),
    [anon_sym__Atomic] = ACTIONS(2370),
    [anon_sym__Noreturn] = ACTIONS(2370),
    [anon_sym_noreturn] = ACTIONS(2370),
    [anon_sym__Nonnull] = ACTIONS(2370),
    [anon_sym_mutable] = ACTIONS(2370),
    [anon_sym_constinit] = ACTIONS(2370),
    [anon_sym_consteval] = ACTIONS(2370),
    [anon_sym_alignas] = ACTIONS(2370),
    [anon_sym__Alignas] = ACTIONS(2370),
    [sym_primitive_type] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_struct] = ACTIONS(2370),
    [anon_sym_union] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_case] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2370),
    [anon_sym___leave] = ACTIONS(2370),
    [anon_sym_not] = ACTIONS(2370),
    [anon_sym_compl] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2372),
    [anon_sym_PLUS_PLUS] = ACTIONS(2372),
    [anon_sym_sizeof] = ACTIONS(2370),
    [anon_sym___alignof__] = ACTIONS(2370),
    [anon_sym___alignof] = ACTIONS(2370),
    [anon_sym__alignof] = ACTIONS(2370),
    [anon_sym_alignof] = ACTIONS(2370),
    [anon_sym__Alignof] = ACTIONS(2370),
    [anon_sym_offsetof] = ACTIONS(2370),
    [anon_sym__Generic] = ACTIONS(2370),
    [anon_sym_asm] = ACTIONS(2370),
    [anon_sym___asm__] = ACTIONS(2370),
    [anon_sym___asm] = ACTIONS(2370),
    [sym_number_literal] = ACTIONS(2372),
    [anon_sym_L_SQUOTE] = ACTIONS(2372),
    [anon_sym_u_SQUOTE] = ACTIONS(2372),
    [anon_sym_U_SQUOTE] = ACTIONS(2372),
    [anon_sym_u8_SQUOTE] = ACTIONS(2372),
    [anon_sym_SQUOTE] = ACTIONS(2372),
    [anon_sym_L_DQUOTE] = ACTIONS(2372),
    [anon_sym_u_DQUOTE] = ACTIONS(2372),
    [anon_sym_U_DQUOTE] = ACTIONS(2372),
    [anon_sym_u8_DQUOTE] = ACTIONS(2372),
    [anon_sym_DQUOTE] = ACTIONS(2372),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [anon_sym_NULL] = ACTIONS(2370),
    [anon_sym_nullptr] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2370),
    [anon_sym_decltype] = ACTIONS(2370),
    [anon_sym_explicit] = ACTIONS(2370),
    [anon_sym_typename] = ACTIONS(2370),
    [anon_sym_template] = ACTIONS(2370),
    [anon_sym_operator] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_static_assert] = ACTIONS(2370),
    [anon_sym_concept] = ACTIONS(2370),
    [anon_sym_co_return] = ACTIONS(2370),
    [anon_sym_co_yield] = ACTIONS(2370),
    [anon_sym_R_DQUOTE] = ACTIONS(2372),
    [anon_sym_LR_DQUOTE] = ACTIONS(2372),
    [anon_sym_uR_DQUOTE] = ACTIONS(2372),
    [anon_sym_UR_DQUOTE] = ACTIONS(2372),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2372),
    [anon_sym_co_await] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_requires] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [anon_sym_discard] = ACTIONS(2370),
    [anon_sym_precise] = ACTIONS(2370),
    [anon_sym_shared] = ACTIONS(2370),
    [anon_sym_groupshared] = ACTIONS(2370),
    [anon_sym_uniform] = ACTIONS(2370),
    [anon_sym_row_major] = ACTIONS(2370),
    [anon_sym_column_major] = ACTIONS(2370),
    [anon_sym_globallycoherent] = ACTIONS(2370),
    [anon_sym_centroid] = ACTIONS(2370),
    [anon_sym_noperspective] = ACTIONS(2370),
    [anon_sym_nointerpolation] = ACTIONS(2370),
    [anon_sym_sample] = ACTIONS(2370),
    [anon_sym_linear] = ACTIONS(2370),
    [anon_sym_snorm] = ACTIONS(2370),
    [anon_sym_unorm] = ACTIONS(2370),
    [anon_sym_point] = ACTIONS(2370),
    [anon_sym_line] = ACTIONS(2370),
    [anon_sym_triangleadj] = ACTIONS(2370),
    [anon_sym_lineadj] = ACTIONS(2370),
    [anon_sym_triangle] = ACTIONS(2370),
    [anon_sym_cbuffer] = ACTIONS(2370),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym___attribute] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_discard] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
    [anon_sym_cbuffer] = ACTIONS(2492),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2503),
    [aux_sym_preproc_include_token1] = ACTIONS(2503),
    [aux_sym_preproc_def_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token2] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2503),
    [sym_preproc_directive] = ACTIONS(2503),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_BANG] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_STAR] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_SEMI] = ACTIONS(2505),
    [anon_sym___extension__] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2503),
    [anon_sym_in] = ACTIONS(2503),
    [anon_sym_out] = ACTIONS(2503),
    [anon_sym_inout] = ACTIONS(2503),
    [anon_sym_virtual] = ACTIONS(2503),
    [anon_sym_extern] = ACTIONS(2503),
    [anon_sym___attribute__] = ACTIONS(2503),
    [anon_sym___attribute] = ACTIONS(2503),
    [anon_sym_COLON_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2505),
    [anon_sym___declspec] = ACTIONS(2503),
    [anon_sym___based] = ACTIONS(2503),
    [anon_sym___cdecl] = ACTIONS(2503),
    [anon_sym___clrcall] = ACTIONS(2503),
    [anon_sym___stdcall] = ACTIONS(2503),
    [anon_sym___fastcall] = ACTIONS(2503),
    [anon_sym___thiscall] = ACTIONS(2503),
    [anon_sym___vectorcall] = ACTIONS(2503),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_signed] = ACTIONS(2503),
    [anon_sym_unsigned] = ACTIONS(2503),
    [anon_sym_long] = ACTIONS(2503),
    [anon_sym_short] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2503),
    [anon_sym_register] = ACTIONS(2503),
    [anon_sym_inline] = ACTIONS(2503),
    [anon_sym___inline] = ACTIONS(2503),
    [anon_sym___inline__] = ACTIONS(2503),
    [anon_sym___forceinline] = ACTIONS(2503),
    [anon_sym_thread_local] = ACTIONS(2503),
    [anon_sym___thread] = ACTIONS(2503),
    [anon_sym_const] = ACTIONS(2503),
    [anon_sym_constexpr] = ACTIONS(2503),
    [anon_sym_volatile] = ACTIONS(2503),
    [anon_sym_restrict] = ACTIONS(2503),
    [anon_sym___restrict__] = ACTIONS(2503),
    [anon_sym__Atomic] = ACTIONS(2503),
    [anon_sym__Noreturn] = ACTIONS(2503),
    [anon_sym_noreturn] = ACTIONS(2503),
    [anon_sym__Nonnull] = ACTIONS(2503),
    [anon_sym_mutable] = ACTIONS(2503),
    [anon_sym_constinit] = ACTIONS(2503),
    [anon_sym_consteval] = ACTIONS(2503),
    [anon_sym_alignas] = ACTIONS(2503),
    [anon_sym__Alignas] = ACTIONS(2503),
    [sym_primitive_type] = ACTIONS(2503),
    [anon_sym_enum] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2503),
    [anon_sym_struct] = ACTIONS(2503),
    [anon_sym_union] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2503),
    [anon_sym_switch] = ACTIONS(2503),
    [anon_sym_case] = ACTIONS(2503),
    [anon_sym_default] = ACTIONS(2503),
    [anon_sym_while] = ACTIONS(2503),
    [anon_sym_do] = ACTIONS(2503),
    [anon_sym_for] = ACTIONS(2503),
    [anon_sym_return] = ACTIONS(2503),
    [anon_sym_break] = ACTIONS(2503),
    [anon_sym_continue] = ACTIONS(2503),
    [anon_sym_goto] = ACTIONS(2503),
    [anon_sym___try] = ACTIONS(2503),
    [anon_sym___leave] = ACTIONS(2503),
    [anon_sym_not] = ACTIONS(2503),
    [anon_sym_compl] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_PLUS] = ACTIONS(2505),
    [anon_sym_sizeof] = ACTIONS(2503),
    [anon_sym___alignof__] = ACTIONS(2503),
    [anon_sym___alignof] = ACTIONS(2503),
    [anon_sym__alignof] = ACTIONS(2503),
    [anon_sym_alignof] = ACTIONS(2503),
    [anon_sym__Alignof] = ACTIONS(2503),
    [anon_sym_offsetof] = ACTIONS(2503),
    [anon_sym__Generic] = ACTIONS(2503),
    [anon_sym_asm] = ACTIONS(2503),
    [anon_sym___asm__] = ACTIONS(2503),
    [anon_sym___asm] = ACTIONS(2503),
    [sym_number_literal] = ACTIONS(2505),
    [anon_sym_L_SQUOTE] = ACTIONS(2505),
    [anon_sym_u_SQUOTE] = ACTIONS(2505),
    [anon_sym_U_SQUOTE] = ACTIONS(2505),
    [anon_sym_u8_SQUOTE] = ACTIONS(2505),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [anon_sym_L_DQUOTE] = ACTIONS(2505),
    [anon_sym_u_DQUOTE] = ACTIONS(2505),
    [anon_sym_U_DQUOTE] = ACTIONS(2505),
    [anon_sym_u8_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [sym_true] = ACTIONS(2503),
    [sym_false] = ACTIONS(2503),
    [anon_sym_NULL] = ACTIONS(2503),
    [anon_sym_nullptr] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2503),
    [anon_sym_decltype] = ACTIONS(2503),
    [anon_sym_explicit] = ACTIONS(2503),
    [anon_sym_typename] = ACTIONS(2503),
    [anon_sym_template] = ACTIONS(2503),
    [anon_sym_operator] = ACTIONS(2503),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_delete] = ACTIONS(2503),
    [anon_sym_throw] = ACTIONS(2503),
    [anon_sym_namespace] = ACTIONS(2503),
    [anon_sym_using] = ACTIONS(2503),
    [anon_sym_static_assert] = ACTIONS(2503),
    [anon_sym_concept] = ACTIONS(2503),
    [anon_sym_co_return] = ACTIONS(2503),
    [anon_sym_co_yield] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2505),
    [anon_sym_LR_DQUOTE] = ACTIONS(2505),
    [anon_sym_uR_DQUOTE] = ACTIONS(2505),
    [anon_sym_UR_DQUOTE] = ACTIONS(2505),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2505),
    [anon_sym_co_await] = ACTIONS(2503),
    [anon_sym_new] = ACTIONS(2503),
    [anon_sym_requires] = ACTIONS(2503),
    [sym_this] = ACTIONS(2503),
    [anon_sym_discard] = ACTIONS(2503),
    [anon_sym_precise] = ACTIONS(2503),
    [anon_sym_shared] = ACTIONS(2503),
    [anon_sym_groupshared] = ACTIONS(2503),
    [anon_sym_uniform] = ACTIONS(2503),
    [anon_sym_row_major] = ACTIONS(2503),
    [anon_sym_column_major] = ACTIONS(2503),
    [anon_sym_globallycoherent] = ACTIONS(2503),
    [anon_sym_centroid] = ACTIONS(2503),
    [anon_sym_noperspective] = ACTIONS(2503),
    [anon_sym_nointerpolation] = ACTIONS(2503),
    [anon_sym_sample] = ACTIONS(2503),
    [anon_sym_linear] = ACTIONS(2503),
    [anon_sym_snorm] = ACTIONS(2503),
    [anon_sym_unorm] = ACTIONS(2503),
    [anon_sym_point] = ACTIONS(2503),
    [anon_sym_line] = ACTIONS(2503),
    [anon_sym_triangleadj] = ACTIONS(2503),
    [anon_sym_lineadj] = ACTIONS(2503),
    [anon_sym_triangle] = ACTIONS(2503),
    [anon_sym_cbuffer] = ACTIONS(2503),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2507),
    [aux_sym_preproc_include_token1] = ACTIONS(2507),
    [aux_sym_preproc_def_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token2] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2507),
    [sym_preproc_directive] = ACTIONS(2507),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2507),
    [anon_sym_PLUS] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_AMP_AMP] = ACTIONS(2509),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_SEMI] = ACTIONS(2509),
    [anon_sym___extension__] = ACTIONS(2507),
    [anon_sym_typedef] = ACTIONS(2507),
    [anon_sym_in] = ACTIONS(2507),
    [anon_sym_out] = ACTIONS(2507),
    [anon_sym_inout] = ACTIONS(2507),
    [anon_sym_virtual] = ACTIONS(2507),
    [anon_sym_extern] = ACTIONS(2507),
    [anon_sym___attribute__] = ACTIONS(2507),
    [anon_sym___attribute] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2509),
    [anon_sym___declspec] = ACTIONS(2507),
    [anon_sym___based] = ACTIONS(2507),
    [anon_sym___cdecl] = ACTIONS(2507),
    [anon_sym___clrcall] = ACTIONS(2507),
    [anon_sym___stdcall] = ACTIONS(2507),
    [anon_sym___fastcall] = ACTIONS(2507),
    [anon_sym___thiscall] = ACTIONS(2507),
    [anon_sym___vectorcall] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_signed] = ACTIONS(2507),
    [anon_sym_unsigned] = ACTIONS(2507),
    [anon_sym_long] = ACTIONS(2507),
    [anon_sym_short] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2507),
    [anon_sym_register] = ACTIONS(2507),
    [anon_sym_inline] = ACTIONS(2507),
    [anon_sym___inline] = ACTIONS(2507),
    [anon_sym___inline__] = ACTIONS(2507),
    [anon_sym___forceinline] = ACTIONS(2507),
    [anon_sym_thread_local] = ACTIONS(2507),
    [anon_sym___thread] = ACTIONS(2507),
    [anon_sym_const] = ACTIONS(2507),
    [anon_sym_constexpr] = ACTIONS(2507),
    [anon_sym_volatile] = ACTIONS(2507),
    [anon_sym_restrict] = ACTIONS(2507),
    [anon_sym___restrict__] = ACTIONS(2507),
    [anon_sym__Atomic] = ACTIONS(2507),
    [anon_sym__Noreturn] = ACTIONS(2507),
    [anon_sym_noreturn] = ACTIONS(2507),
    [anon_sym__Nonnull] = ACTIONS(2507),
    [anon_sym_mutable] = ACTIONS(2507),
    [anon_sym_constinit] = ACTIONS(2507),
    [anon_sym_consteval] = ACTIONS(2507),
    [anon_sym_alignas] = ACTIONS(2507),
    [anon_sym__Alignas] = ACTIONS(2507),
    [sym_primitive_type] = ACTIONS(2507),
    [anon_sym_enum] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2507),
    [anon_sym_struct] = ACTIONS(2507),
    [anon_sym_union] = ACTIONS(2507),
    [anon_sym_if] = ACTIONS(2507),
    [anon_sym_switch] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2507),
    [anon_sym_default] = ACTIONS(2507),
    [anon_sym_while] = ACTIONS(2507),
    [anon_sym_do] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2507),
    [anon_sym_return] = ACTIONS(2507),
    [anon_sym_break] = ACTIONS(2507),
    [anon_sym_continue] = ACTIONS(2507),
    [anon_sym_goto] = ACTIONS(2507),
    [anon_sym___try] = ACTIONS(2507),
    [anon_sym___leave] = ACTIONS(2507),
    [anon_sym_not] = ACTIONS(2507),
    [anon_sym_compl] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2509),
    [anon_sym_sizeof] = ACTIONS(2507),
    [anon_sym___alignof__] = ACTIONS(2507),
    [anon_sym___alignof] = ACTIONS(2507),
    [anon_sym__alignof] = ACTIONS(2507),
    [anon_sym_alignof] = ACTIONS(2507),
    [anon_sym__Alignof] = ACTIONS(2507),
    [anon_sym_offsetof] = ACTIONS(2507),
    [anon_sym__Generic] = ACTIONS(2507),
    [anon_sym_asm] = ACTIONS(2507),
    [anon_sym___asm__] = ACTIONS(2507),
    [anon_sym___asm] = ACTIONS(2507),
    [sym_number_literal] = ACTIONS(2509),
    [anon_sym_L_SQUOTE] = ACTIONS(2509),
    [anon_sym_u_SQUOTE] = ACTIONS(2509),
    [anon_sym_U_SQUOTE] = ACTIONS(2509),
    [anon_sym_u8_SQUOTE] = ACTIONS(2509),
    [anon_sym_SQUOTE] = ACTIONS(2509),
    [anon_sym_L_DQUOTE] = ACTIONS(2509),
    [anon_sym_u_DQUOTE] = ACTIONS(2509),
    [anon_sym_U_DQUOTE] = ACTIONS(2509),
    [anon_sym_u8_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_true] = ACTIONS(2507),
    [sym_false] = ACTIONS(2507),
    [anon_sym_NULL] = ACTIONS(2507),
    [anon_sym_nullptr] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2507),
    [anon_sym_decltype] = ACTIONS(2507),
    [anon_sym_explicit] = ACTIONS(2507),
    [anon_sym_typename] = ACTIONS(2507),
    [anon_sym_template] = ACTIONS(2507),
    [anon_sym_operator] = ACTIONS(2507),
    [anon_sym_try] = ACTIONS(2507),
    [anon_sym_delete] = ACTIONS(2507),
    [anon_sym_throw] = ACTIONS(2507),
    [anon_sym_namespace] = ACTIONS(2507),
    [anon_sym_using] = ACTIONS(2507),
    [anon_sym_static_assert] = ACTIONS(2507),
    [anon_sym_concept] = ACTIONS(2507),
    [anon_sym_co_return] = ACTIONS(2507),
    [anon_sym_co_yield] = ACTIONS(2507),
    [anon_sym_R_DQUOTE] = ACTIONS(2509),
    [anon_sym_LR_DQUOTE] = ACTIONS(2509),
    [anon_sym_uR_DQUOTE] = ACTIONS(2509),
    [anon_sym_UR_DQUOTE] = ACTIONS(2509),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2509),
    [anon_sym_co_await] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2507),
    [anon_sym_requires] = ACTIONS(2507),
    [sym_this] = ACTIONS(2507),
    [anon_sym_discard] = ACTIONS(2507),
    [anon_sym_precise] = ACTIONS(2507),
    [anon_sym_shared] = ACTIONS(2507),
    [anon_sym_groupshared] = ACTIONS(2507),
    [anon_sym_uniform] = ACTIONS(2507),
    [anon_sym_row_major] = ACTIONS(2507),
    [anon_sym_column_major] = ACTIONS(2507),
    [anon_sym_globallycoherent] = ACTIONS(2507),
    [anon_sym_centroid] = ACTIONS(2507),
    [anon_sym_noperspective] = ACTIONS(2507),
    [anon_sym_nointerpolation] = ACTIONS(2507),
    [anon_sym_sample] = ACTIONS(2507),
    [anon_sym_linear] = ACTIONS(2507),
    [anon_sym_snorm] = ACTIONS(2507),
    [anon_sym_unorm] = ACTIONS(2507),
    [anon_sym_point] = ACTIONS(2507),
    [anon_sym_line] = ACTIONS(2507),
    [anon_sym_triangleadj] = ACTIONS(2507),
    [anon_sym_lineadj] = ACTIONS(2507),
    [anon_sym_triangle] = ACTIONS(2507),
    [anon_sym_cbuffer] = ACTIONS(2507),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym___attribute] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [anon_sym___asm] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
    [anon_sym_discard] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
    [anon_sym_cbuffer] = ACTIONS(2514),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
    [anon_sym_discard] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
    [anon_sym_cbuffer] = ACTIONS(2524),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_virtual] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
    [anon_sym_discard] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_groupshared] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_row_major] = ACTIONS(2560),
    [anon_sym_column_major] = ACTIONS(2560),
    [anon_sym_globallycoherent] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym_nointerpolation] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_linear] = ACTIONS(2560),
    [anon_sym_snorm] = ACTIONS(2560),
    [anon_sym_unorm] = ACTIONS(2560),
    [anon_sym_point] = ACTIONS(2560),
    [anon_sym_line] = ACTIONS(2560),
    [anon_sym_triangleadj] = ACTIONS(2560),
    [anon_sym_lineadj] = ACTIONS(2560),
    [anon_sym_triangle] = ACTIONS(2560),
    [anon_sym_cbuffer] = ACTIONS(2560),
  },
  [629] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_out] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
    [anon_sym_discard] = ACTIONS(2564),
    [anon_sym_precise] = ACTIONS(2564),
    [anon_sym_shared] = ACTIONS(2564),
    [anon_sym_groupshared] = ACTIONS(2564),
    [anon_sym_uniform] = ACTIONS(2564),
    [anon_sym_row_major] = ACTIONS(2564),
    [anon_sym_column_major] = ACTIONS(2564),
    [anon_sym_globallycoherent] = ACTIONS(2564),
    [anon_sym_centroid] = ACTIONS(2564),
    [anon_sym_noperspective] = ACTIONS(2564),
    [anon_sym_nointerpolation] = ACTIONS(2564),
    [anon_sym_sample] = ACTIONS(2564),
    [anon_sym_linear] = ACTIONS(2564),
    [anon_sym_snorm] = ACTIONS(2564),
    [anon_sym_unorm] = ACTIONS(2564),
    [anon_sym_point] = ACTIONS(2564),
    [anon_sym_line] = ACTIONS(2564),
    [anon_sym_triangleadj] = ACTIONS(2564),
    [anon_sym_lineadj] = ACTIONS(2564),
    [anon_sym_triangle] = ACTIONS(2564),
    [anon_sym_cbuffer] = ACTIONS(2564),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_out] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_virtual] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
    [anon_sym_discard] = ACTIONS(2568),
    [anon_sym_precise] = ACTIONS(2568),
    [anon_sym_shared] = ACTIONS(2568),
    [anon_sym_groupshared] = ACTIONS(2568),
    [anon_sym_uniform] = ACTIONS(2568),
    [anon_sym_row_major] = ACTIONS(2568),
    [anon_sym_column_major] = ACTIONS(2568),
    [anon_sym_globallycoherent] = ACTIONS(2568),
    [anon_sym_centroid] = ACTIONS(2568),
    [anon_sym_noperspective] = ACTIONS(2568),
    [anon_sym_nointerpolation] = ACTIONS(2568),
    [anon_sym_sample] = ACTIONS(2568),
    [anon_sym_linear] = ACTIONS(2568),
    [anon_sym_snorm] = ACTIONS(2568),
    [anon_sym_unorm] = ACTIONS(2568),
    [anon_sym_point] = ACTIONS(2568),
    [anon_sym_line] = ACTIONS(2568),
    [anon_sym_triangleadj] = ACTIONS(2568),
    [anon_sym_lineadj] = ACTIONS(2568),
    [anon_sym_triangle] = ACTIONS(2568),
    [anon_sym_cbuffer] = ACTIONS(2568),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_out] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_virtual] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym___attribute] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
    [anon_sym_discard] = ACTIONS(2572),
    [anon_sym_precise] = ACTIONS(2572),
    [anon_sym_shared] = ACTIONS(2572),
    [anon_sym_groupshared] = ACTIONS(2572),
    [anon_sym_uniform] = ACTIONS(2572),
    [anon_sym_row_major] = ACTIONS(2572),
    [anon_sym_column_major] = ACTIONS(2572),
    [anon_sym_globallycoherent] = ACTIONS(2572),
    [anon_sym_centroid] = ACTIONS(2572),
    [anon_sym_noperspective] = ACTIONS(2572),
    [anon_sym_nointerpolation] = ACTIONS(2572),
    [anon_sym_sample] = ACTIONS(2572),
    [anon_sym_linear] = ACTIONS(2572),
    [anon_sym_snorm] = ACTIONS(2572),
    [anon_sym_unorm] = ACTIONS(2572),
    [anon_sym_point] = ACTIONS(2572),
    [anon_sym_line] = ACTIONS(2572),
    [anon_sym_triangleadj] = ACTIONS(2572),
    [anon_sym_lineadj] = ACTIONS(2572),
    [anon_sym_triangle] = ACTIONS(2572),
    [anon_sym_cbuffer] = ACTIONS(2572),
  },
  [632] = {
    [sym_identifier] = ACTIONS(2410),
    [aux_sym_preproc_include_token1] = ACTIONS(2410),
    [aux_sym_preproc_def_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token2] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2410),
    [sym_preproc_directive] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_BANG] = ACTIONS(2412),
    [anon_sym_TILDE] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(2410),
    [anon_sym_typedef] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_out] = ACTIONS(2410),
    [anon_sym_inout] = ACTIONS(2410),
    [anon_sym_virtual] = ACTIONS(2410),
    [anon_sym_extern] = ACTIONS(2410),
    [anon_sym___attribute__] = ACTIONS(2410),
    [anon_sym___attribute] = ACTIONS(2410),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2412),
    [anon_sym___declspec] = ACTIONS(2410),
    [anon_sym___based] = ACTIONS(2410),
    [anon_sym___cdecl] = ACTIONS(2410),
    [anon_sym___clrcall] = ACTIONS(2410),
    [anon_sym___stdcall] = ACTIONS(2410),
    [anon_sym___fastcall] = ACTIONS(2410),
    [anon_sym___thiscall] = ACTIONS(2410),
    [anon_sym___vectorcall] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2412),
    [anon_sym_signed] = ACTIONS(2410),
    [anon_sym_unsigned] = ACTIONS(2410),
    [anon_sym_long] = ACTIONS(2410),
    [anon_sym_short] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_register] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym___inline] = ACTIONS(2410),
    [anon_sym___inline__] = ACTIONS(2410),
    [anon_sym___forceinline] = ACTIONS(2410),
    [anon_sym_thread_local] = ACTIONS(2410),
    [anon_sym___thread] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_constexpr] = ACTIONS(2410),
    [anon_sym_volatile] = ACTIONS(2410),
    [anon_sym_restrict] = ACTIONS(2410),
    [anon_sym___restrict__] = ACTIONS(2410),
    [anon_sym__Atomic] = ACTIONS(2410),
    [anon_sym__Noreturn] = ACTIONS(2410),
    [anon_sym_noreturn] = ACTIONS(2410),
    [anon_sym__Nonnull] = ACTIONS(2410),
    [anon_sym_mutable] = ACTIONS(2410),
    [anon_sym_constinit] = ACTIONS(2410),
    [anon_sym_consteval] = ACTIONS(2410),
    [anon_sym_alignas] = ACTIONS(2410),
    [anon_sym__Alignas] = ACTIONS(2410),
    [sym_primitive_type] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_struct] = ACTIONS(2410),
    [anon_sym_union] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_case] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_goto] = ACTIONS(2410),
    [anon_sym___try] = ACTIONS(2410),
    [anon_sym___leave] = ACTIONS(2410),
    [anon_sym_not] = ACTIONS(2410),
    [anon_sym_compl] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_sizeof] = ACTIONS(2410),
    [anon_sym___alignof__] = ACTIONS(2410),
    [anon_sym___alignof] = ACTIONS(2410),
    [anon_sym__alignof] = ACTIONS(2410),
    [anon_sym_alignof] = ACTIONS(2410),
    [anon_sym__Alignof] = ACTIONS(2410),
    [anon_sym_offsetof] = ACTIONS(2410),
    [anon_sym__Generic] = ACTIONS(2410),
    [anon_sym_asm] = ACTIONS(2410),
    [anon_sym___asm__] = ACTIONS(2410),
    [anon_sym___asm] = ACTIONS(2410),
    [sym_number_literal] = ACTIONS(2412),
    [anon_sym_L_SQUOTE] = ACTIONS(2412),
    [anon_sym_u_SQUOTE] = ACTIONS(2412),
    [anon_sym_U_SQUOTE] = ACTIONS(2412),
    [anon_sym_u8_SQUOTE] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_L_DQUOTE] = ACTIONS(2412),
    [anon_sym_u_DQUOTE] = ACTIONS(2412),
    [anon_sym_U_DQUOTE] = ACTIONS(2412),
    [anon_sym_u8_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2412),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2410),
    [anon_sym_decltype] = ACTIONS(2410),
    [anon_sym_explicit] = ACTIONS(2410),
    [anon_sym_typename] = ACTIONS(2410),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_static_assert] = ACTIONS(2410),
    [anon_sym_concept] = ACTIONS(2410),
    [anon_sym_co_return] = ACTIONS(2410),
    [anon_sym_co_yield] = ACTIONS(2410),
    [anon_sym_R_DQUOTE] = ACTIONS(2412),
    [anon_sym_LR_DQUOTE] = ACTIONS(2412),
    [anon_sym_uR_DQUOTE] = ACTIONS(2412),
    [anon_sym_UR_DQUOTE] = ACTIONS(2412),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2412),
    [anon_sym_co_await] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_requires] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [anon_sym_discard] = ACTIONS(2410),
    [anon_sym_precise] = ACTIONS(2410),
    [anon_sym_shared] = ACTIONS(2410),
    [anon_sym_groupshared] = ACTIONS(2410),
    [anon_sym_uniform] = ACTIONS(2410),
    [anon_sym_row_major] = ACTIONS(2410),
    [anon_sym_column_major] = ACTIONS(2410),
    [anon_sym_globallycoherent] = ACTIONS(2410),
    [anon_sym_centroid] = ACTIONS(2410),
    [anon_sym_noperspective] = ACTIONS(2410),
    [anon_sym_nointerpolation] = ACTIONS(2410),
    [anon_sym_sample] = ACTIONS(2410),
    [anon_sym_linear] = ACTIONS(2410),
    [anon_sym_snorm] = ACTIONS(2410),
    [anon_sym_unorm] = ACTIONS(2410),
    [anon_sym_point] = ACTIONS(2410),
    [anon_sym_line] = ACTIONS(2410),
    [anon_sym_triangleadj] = ACTIONS(2410),
    [anon_sym_lineadj] = ACTIONS(2410),
    [anon_sym_triangle] = ACTIONS(2410),
    [anon_sym_cbuffer] = ACTIONS(2410),
  },
  [633] = {
    [sym_identifier] = ACTIONS(2422),
    [aux_sym_preproc_include_token1] = ACTIONS(2422),
    [aux_sym_preproc_def_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token2] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2422),
    [sym_preproc_directive] = ACTIONS(2422),
    [anon_sym_LPAREN2] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym___extension__] = ACTIONS(2422),
    [anon_sym_typedef] = ACTIONS(2422),
    [anon_sym_in] = ACTIONS(2422),
    [anon_sym_out] = ACTIONS(2422),
    [anon_sym_inout] = ACTIONS(2422),
    [anon_sym_virtual] = ACTIONS(2422),
    [anon_sym_extern] = ACTIONS(2422),
    [anon_sym___attribute__] = ACTIONS(2422),
    [anon_sym___attribute] = ACTIONS(2422),
    [anon_sym_COLON_COLON] = ACTIONS(2424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2424),
    [anon_sym___declspec] = ACTIONS(2422),
    [anon_sym___based] = ACTIONS(2422),
    [anon_sym___cdecl] = ACTIONS(2422),
    [anon_sym___clrcall] = ACTIONS(2422),
    [anon_sym___stdcall] = ACTIONS(2422),
    [anon_sym___fastcall] = ACTIONS(2422),
    [anon_sym___thiscall] = ACTIONS(2422),
    [anon_sym___vectorcall] = ACTIONS(2422),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_signed] = ACTIONS(2422),
    [anon_sym_unsigned] = ACTIONS(2422),
    [anon_sym_long] = ACTIONS(2422),
    [anon_sym_short] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_static] = ACTIONS(2422),
    [anon_sym_register] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(2422),
    [anon_sym___inline] = ACTIONS(2422),
    [anon_sym___inline__] = ACTIONS(2422),
    [anon_sym___forceinline] = ACTIONS(2422),
    [anon_sym_thread_local] = ACTIONS(2422),
    [anon_sym___thread] = ACTIONS(2422),
    [anon_sym_const] = ACTIONS(2422),
    [anon_sym_constexpr] = ACTIONS(2422),
    [anon_sym_volatile] = ACTIONS(2422),
    [anon_sym_restrict] = ACTIONS(2422),
    [anon_sym___restrict__] = ACTIONS(2422),
    [anon_sym__Atomic] = ACTIONS(2422),
    [anon_sym__Noreturn] = ACTIONS(2422),
    [anon_sym_noreturn] = ACTIONS(2422),
    [anon_sym__Nonnull] = ACTIONS(2422),
    [anon_sym_mutable] = ACTIONS(2422),
    [anon_sym_constinit] = ACTIONS(2422),
    [anon_sym_consteval] = ACTIONS(2422),
    [anon_sym_alignas] = ACTIONS(2422),
    [anon_sym__Alignas] = ACTIONS(2422),
    [sym_primitive_type] = ACTIONS(2422),
    [anon_sym_enum] = ACTIONS(2422),
    [anon_sym_class] = ACTIONS(2422),
    [anon_sym_struct] = ACTIONS(2422),
    [anon_sym_union] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(2422),
    [anon_sym_switch] = ACTIONS(2422),
    [anon_sym_case] = ACTIONS(2422),
    [anon_sym_default] = ACTIONS(2422),
    [anon_sym_while] = ACTIONS(2422),
    [anon_sym_do] = ACTIONS(2422),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_return] = ACTIONS(2422),
    [anon_sym_break] = ACTIONS(2422),
    [anon_sym_continue] = ACTIONS(2422),
    [anon_sym_goto] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2422),
    [anon_sym___leave] = ACTIONS(2422),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_sizeof] = ACTIONS(2422),
    [anon_sym___alignof__] = ACTIONS(2422),
    [anon_sym___alignof] = ACTIONS(2422),
    [anon_sym__alignof] = ACTIONS(2422),
    [anon_sym_alignof] = ACTIONS(2422),
    [anon_sym__Alignof] = ACTIONS(2422),
    [anon_sym_offsetof] = ACTIONS(2422),
    [anon_sym__Generic] = ACTIONS(2422),
    [anon_sym_asm] = ACTIONS(2422),
    [anon_sym___asm__] = ACTIONS(2422),
    [anon_sym___asm] = ACTIONS(2422),
    [sym_number_literal] = ACTIONS(2424),
    [anon_sym_L_SQUOTE] = ACTIONS(2424),
    [anon_sym_u_SQUOTE] = ACTIONS(2424),
    [anon_sym_U_SQUOTE] = ACTIONS(2424),
    [anon_sym_u8_SQUOTE] = ACTIONS(2424),
    [anon_sym_SQUOTE] = ACTIONS(2424),
    [anon_sym_L_DQUOTE] = ACTIONS(2424),
    [anon_sym_u_DQUOTE] = ACTIONS(2424),
    [anon_sym_U_DQUOTE] = ACTIONS(2424),
    [anon_sym_u8_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [sym_true] = ACTIONS(2422),
    [sym_false] = ACTIONS(2422),
    [anon_sym_NULL] = ACTIONS(2422),
    [anon_sym_nullptr] = ACTIONS(2422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2422),
    [anon_sym_decltype] = ACTIONS(2422),
    [anon_sym_explicit] = ACTIONS(2422),
    [anon_sym_typename] = ACTIONS(2422),
    [anon_sym_template] = ACTIONS(2422),
    [anon_sym_operator] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2422),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2422),
    [anon_sym_namespace] = ACTIONS(2422),
    [anon_sym_using] = ACTIONS(2422),
    [anon_sym_static_assert] = ACTIONS(2422),
    [anon_sym_concept] = ACTIONS(2422),
    [anon_sym_co_return] = ACTIONS(2422),
    [anon_sym_co_yield] = ACTIONS(2422),
    [anon_sym_R_DQUOTE] = ACTIONS(2424),
    [anon_sym_LR_DQUOTE] = ACTIONS(2424),
    [anon_sym_uR_DQUOTE] = ACTIONS(2424),
    [anon_sym_UR_DQUOTE] = ACTIONS(2424),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2424),
    [anon_sym_co_await] = ACTIONS(2422),
    [anon_sym_new] = ACTIONS(2422),
    [anon_sym_requires] = ACTIONS(2422),
    [sym_this] = ACTIONS(2422),
    [anon_sym_discard] = ACTIONS(2422),
    [anon_sym_precise] = ACTIONS(2422),
    [anon_sym_shared] = ACTIONS(2422),
    [anon_sym_groupshared] = ACTIONS(2422),
    [anon_sym_uniform] = ACTIONS(2422),
    [anon_sym_row_major] = ACTIONS(2422),
    [anon_sym_column_major] = ACTIONS(2422),
    [anon_sym_globallycoherent] = ACTIONS(2422),
    [anon_sym_centroid] = ACTIONS(2422),
    [anon_sym_noperspective] = ACTIONS(2422),
    [anon_sym_nointerpolation] = ACTIONS(2422),
    [anon_sym_sample] = ACTIONS(2422),
    [anon_sym_linear] = ACTIONS(2422),
    [anon_sym_snorm] = ACTIONS(2422),
    [anon_sym_unorm] = ACTIONS(2422),
    [anon_sym_point] = ACTIONS(2422),
    [anon_sym_line] = ACTIONS(2422),
    [anon_sym_triangleadj] = ACTIONS(2422),
    [anon_sym_lineadj] = ACTIONS(2422),
    [anon_sym_triangle] = ACTIONS(2422),
    [anon_sym_cbuffer] = ACTIONS(2422),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_include_token1] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_in] = ACTIONS(2583),
    [anon_sym_out] = ACTIONS(2583),
    [anon_sym_inout] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym___cdecl] = ACTIONS(2583),
    [anon_sym___clrcall] = ACTIONS(2583),
    [anon_sym___stdcall] = ACTIONS(2583),
    [anon_sym___fastcall] = ACTIONS(2583),
    [anon_sym___thiscall] = ACTIONS(2583),
    [anon_sym___vectorcall] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_RBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2583),
    [anon_sym_default] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_goto] = ACTIONS(2583),
    [anon_sym___try] = ACTIONS(2583),
    [anon_sym___leave] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_compl] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_sizeof] = ACTIONS(2583),
    [anon_sym___alignof__] = ACTIONS(2583),
    [anon_sym___alignof] = ACTIONS(2583),
    [anon_sym__alignof] = ACTIONS(2583),
    [anon_sym_alignof] = ACTIONS(2583),
    [anon_sym__Alignof] = ACTIONS(2583),
    [anon_sym_offsetof] = ACTIONS(2583),
    [anon_sym__Generic] = ACTIONS(2583),
    [anon_sym_asm] = ACTIONS(2583),
    [anon_sym___asm__] = ACTIONS(2583),
    [anon_sym___asm] = ACTIONS(2583),
    [sym_number_literal] = ACTIONS(2585),
    [anon_sym_L_SQUOTE] = ACTIONS(2585),
    [anon_sym_u_SQUOTE] = ACTIONS(2585),
    [anon_sym_U_SQUOTE] = ACTIONS(2585),
    [anon_sym_u8_SQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [anon_sym_L_DQUOTE] = ACTIONS(2585),
    [anon_sym_u_DQUOTE] = ACTIONS(2585),
    [anon_sym_U_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8_DQUOTE] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [anon_sym_NULL] = ACTIONS(2583),
    [anon_sym_nullptr] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_concept] = ACTIONS(2583),
    [anon_sym_co_return] = ACTIONS(2583),
    [anon_sym_co_yield] = ACTIONS(2583),
    [anon_sym_R_DQUOTE] = ACTIONS(2585),
    [anon_sym_LR_DQUOTE] = ACTIONS(2585),
    [anon_sym_uR_DQUOTE] = ACTIONS(2585),
    [anon_sym_UR_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2585),
    [anon_sym_co_await] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_requires] = ACTIONS(2583),
    [sym_this] = ACTIONS(2583),
    [anon_sym_discard] = ACTIONS(2583),
    [anon_sym_precise] = ACTIONS(2583),
    [anon_sym_shared] = ACTIONS(2583),
    [anon_sym_groupshared] = ACTIONS(2583),
    [anon_sym_uniform] = ACTIONS(2583),
    [anon_sym_row_major] = ACTIONS(2583),
    [anon_sym_column_major] = ACTIONS(2583),
    [anon_sym_globallycoherent] = ACTIONS(2583),
    [anon_sym_centroid] = ACTIONS(2583),
    [anon_sym_noperspective] = ACTIONS(2583),
    [anon_sym_nointerpolation] = ACTIONS(2583),
    [anon_sym_sample] = ACTIONS(2583),
    [anon_sym_linear] = ACTIONS(2583),
    [anon_sym_snorm] = ACTIONS(2583),
    [anon_sym_unorm] = ACTIONS(2583),
    [anon_sym_point] = ACTIONS(2583),
    [anon_sym_line] = ACTIONS(2583),
    [anon_sym_triangleadj] = ACTIONS(2583),
    [anon_sym_lineadj] = ACTIONS(2583),
    [anon_sym_triangle] = ACTIONS(2583),
    [anon_sym_cbuffer] = ACTIONS(2583),
  },
  [635] = {
    [sym_identifier] = ACTIONS(2587),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2587),
    [sym_preproc_directive] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_STAR] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym___extension__] = ACTIONS(2587),
    [anon_sym_typedef] = ACTIONS(2587),
    [anon_sym_in] = ACTIONS(2587),
    [anon_sym_out] = ACTIONS(2587),
    [anon_sym_inout] = ACTIONS(2587),
    [anon_sym_virtual] = ACTIONS(2587),
    [anon_sym_extern] = ACTIONS(2587),
    [anon_sym___attribute__] = ACTIONS(2587),
    [anon_sym___attribute] = ACTIONS(2587),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2589),
    [anon_sym___declspec] = ACTIONS(2587),
    [anon_sym___based] = ACTIONS(2587),
    [anon_sym___cdecl] = ACTIONS(2587),
    [anon_sym___clrcall] = ACTIONS(2587),
    [anon_sym___stdcall] = ACTIONS(2587),
    [anon_sym___fastcall] = ACTIONS(2587),
    [anon_sym___thiscall] = ACTIONS(2587),
    [anon_sym___vectorcall] = ACTIONS(2587),
    [anon_sym_LBRACE] = ACTIONS(2589),
    [anon_sym_RBRACE] = ACTIONS(2589),
    [anon_sym_signed] = ACTIONS(2587),
    [anon_sym_unsigned] = ACTIONS(2587),
    [anon_sym_long] = ACTIONS(2587),
    [anon_sym_short] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_register] = ACTIONS(2587),
    [anon_sym_inline] = ACTIONS(2587),
    [anon_sym___inline] = ACTIONS(2587),
    [anon_sym___inline__] = ACTIONS(2587),
    [anon_sym___forceinline] = ACTIONS(2587),
    [anon_sym_thread_local] = ACTIONS(2587),
    [anon_sym___thread] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_constexpr] = ACTIONS(2587),
    [anon_sym_volatile] = ACTIONS(2587),
    [anon_sym_restrict] = ACTIONS(2587),
    [anon_sym___restrict__] = ACTIONS(2587),
    [anon_sym__Atomic] = ACTIONS(2587),
    [anon_sym__Noreturn] = ACTIONS(2587),
    [anon_sym_noreturn] = ACTIONS(2587),
    [anon_sym__Nonnull] = ACTIONS(2587),
    [anon_sym_mutable] = ACTIONS(2587),
    [anon_sym_constinit] = ACTIONS(2587),
    [anon_sym_consteval] = ACTIONS(2587),
    [anon_sym_alignas] = ACTIONS(2587),
    [anon_sym__Alignas] = ACTIONS(2587),
    [sym_primitive_type] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_struct] = ACTIONS(2587),
    [anon_sym_union] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_switch] = ACTIONS(2587),
    [anon_sym_case] = ACTIONS(2587),
    [anon_sym_default] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_break] = ACTIONS(2587),
    [anon_sym_continue] = ACTIONS(2587),
    [anon_sym_goto] = ACTIONS(2587),
    [anon_sym___try] = ACTIONS(2587),
    [anon_sym___leave] = ACTIONS(2587),
    [anon_sym_not] = ACTIONS(2587),
    [anon_sym_compl] = ACTIONS(2587),
    [anon_sym_DASH_DASH] = ACTIONS(2589),
    [anon_sym_PLUS_PLUS] = ACTIONS(2589),
    [anon_sym_sizeof] = ACTIONS(2587),
    [anon_sym___alignof__] = ACTIONS(2587),
    [anon_sym___alignof] = ACTIONS(2587),
    [anon_sym__alignof] = ACTIONS(2587),
    [anon_sym_alignof] = ACTIONS(2587),
    [anon_sym__Alignof] = ACTIONS(2587),
    [anon_sym_offsetof] = ACTIONS(2587),
    [anon_sym__Generic] = ACTIONS(2587),
    [anon_sym_asm] = ACTIONS(2587),
    [anon_sym___asm__] = ACTIONS(2587),
    [anon_sym___asm] = ACTIONS(2587),
    [sym_number_literal] = ACTIONS(2589),
    [anon_sym_L_SQUOTE] = ACTIONS(2589),
    [anon_sym_u_SQUOTE] = ACTIONS(2589),
    [anon_sym_U_SQUOTE] = ACTIONS(2589),
    [anon_sym_u8_SQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_L_DQUOTE] = ACTIONS(2589),
    [anon_sym_u_DQUOTE] = ACTIONS(2589),
    [anon_sym_U_DQUOTE] = ACTIONS(2589),
    [anon_sym_u8_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [sym_true] = ACTIONS(2587),
    [sym_false] = ACTIONS(2587),
    [anon_sym_NULL] = ACTIONS(2587),
    [anon_sym_nullptr] = ACTIONS(2587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2587),
    [anon_sym_decltype] = ACTIONS(2587),
    [anon_sym_explicit] = ACTIONS(2587),
    [anon_sym_typename] = ACTIONS(2587),
    [anon_sym_template] = ACTIONS(2587),
    [anon_sym_operator] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_delete] = ACTIONS(2587),
    [anon_sym_throw] = ACTIONS(2587),
    [anon_sym_namespace] = ACTIONS(2587),
    [anon_sym_using] = ACTIONS(2587),
    [anon_sym_static_assert] = ACTIONS(2587),
    [anon_sym_concept] = ACTIONS(2587),
    [anon_sym_co_return] = ACTIONS(2587),
    [anon_sym_co_yield] = ACTIONS(2587),
    [anon_sym_R_DQUOTE] = ACTIONS(2589),
    [anon_sym_LR_DQUOTE] = ACTIONS(2589),
    [anon_sym_uR_DQUOTE] = ACTIONS(2589),
    [anon_sym_UR_DQUOTE] = ACTIONS(2589),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2589),
    [anon_sym_co_await] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_requires] = ACTIONS(2587),
    [sym_this] = ACTIONS(2587),
    [anon_sym_discard] = ACTIONS(2587),
    [anon_sym_precise] = ACTIONS(2587),
    [anon_sym_shared] = ACTIONS(2587),
    [anon_sym_groupshared] = ACTIONS(2587),
    [anon_sym_uniform] = ACTIONS(2587),
    [anon_sym_row_major] = ACTIONS(2587),
    [anon_sym_column_major] = ACTIONS(2587),
    [anon_sym_globallycoherent] = ACTIONS(2587),
    [anon_sym_centroid] = ACTIONS(2587),
    [anon_sym_noperspective] = ACTIONS(2587),
    [anon_sym_nointerpolation] = ACTIONS(2587),
    [anon_sym_sample] = ACTIONS(2587),
    [anon_sym_linear] = ACTIONS(2587),
    [anon_sym_snorm] = ACTIONS(2587),
    [anon_sym_unorm] = ACTIONS(2587),
    [anon_sym_point] = ACTIONS(2587),
    [anon_sym_line] = ACTIONS(2587),
    [anon_sym_triangleadj] = ACTIONS(2587),
    [anon_sym_lineadj] = ACTIONS(2587),
    [anon_sym_triangle] = ACTIONS(2587),
    [anon_sym_cbuffer] = ACTIONS(2587),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2442),
    [aux_sym_preproc_include_token1] = ACTIONS(2442),
    [aux_sym_preproc_def_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token2] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2442),
    [sym_preproc_directive] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_BANG] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2444),
    [anon_sym___extension__] = ACTIONS(2442),
    [anon_sym_typedef] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_out] = ACTIONS(2442),
    [anon_sym_inout] = ACTIONS(2442),
    [anon_sym_virtual] = ACTIONS(2442),
    [anon_sym_extern] = ACTIONS(2442),
    [anon_sym___attribute__] = ACTIONS(2442),
    [anon_sym___attribute] = ACTIONS(2442),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2444),
    [anon_sym___declspec] = ACTIONS(2442),
    [anon_sym___based] = ACTIONS(2442),
    [anon_sym___cdecl] = ACTIONS(2442),
    [anon_sym___clrcall] = ACTIONS(2442),
    [anon_sym___stdcall] = ACTIONS(2442),
    [anon_sym___fastcall] = ACTIONS(2442),
    [anon_sym___thiscall] = ACTIONS(2442),
    [anon_sym___vectorcall] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2444),
    [anon_sym_signed] = ACTIONS(2442),
    [anon_sym_unsigned] = ACTIONS(2442),
    [anon_sym_long] = ACTIONS(2442),
    [anon_sym_short] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_register] = ACTIONS(2442),
    [anon_sym_inline] = ACTIONS(2442),
    [anon_sym___inline] = ACTIONS(2442),
    [anon_sym___inline__] = ACTIONS(2442),
    [anon_sym___forceinline] = ACTIONS(2442),
    [anon_sym_thread_local] = ACTIONS(2442),
    [anon_sym___thread] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_constexpr] = ACTIONS(2442),
    [anon_sym_volatile] = ACTIONS(2442),
    [anon_sym_restrict] = ACTIONS(2442),
    [anon_sym___restrict__] = ACTIONS(2442),
    [anon_sym__Atomic] = ACTIONS(2442),
    [anon_sym__Noreturn] = ACTIONS(2442),
    [anon_sym_noreturn] = ACTIONS(2442),
    [anon_sym__Nonnull] = ACTIONS(2442),
    [anon_sym_mutable] = ACTIONS(2442),
    [anon_sym_constinit] = ACTIONS(2442),
    [anon_sym_consteval] = ACTIONS(2442),
    [anon_sym_alignas] = ACTIONS(2442),
    [anon_sym__Alignas] = ACTIONS(2442),
    [sym_primitive_type] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_struct] = ACTIONS(2442),
    [anon_sym_union] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_goto] = ACTIONS(2442),
    [anon_sym___try] = ACTIONS(2442),
    [anon_sym___leave] = ACTIONS(2442),
    [anon_sym_not] = ACTIONS(2442),
    [anon_sym_compl] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2444),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(2442),
    [anon_sym___alignof] = ACTIONS(2442),
    [anon_sym__alignof] = ACTIONS(2442),
    [anon_sym_alignof] = ACTIONS(2442),
    [anon_sym__Alignof] = ACTIONS(2442),
    [anon_sym_offsetof] = ACTIONS(2442),
    [anon_sym__Generic] = ACTIONS(2442),
    [anon_sym_asm] = ACTIONS(2442),
    [anon_sym___asm__] = ACTIONS(2442),
    [anon_sym___asm] = ACTIONS(2442),
    [sym_number_literal] = ACTIONS(2444),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2444),
    [anon_sym_u_DQUOTE] = ACTIONS(2444),
    [anon_sym_U_DQUOTE] = ACTIONS(2444),
    [anon_sym_u8_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2444),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2442),
    [anon_sym_nullptr] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2442),
    [anon_sym_decltype] = ACTIONS(2442),
    [anon_sym_explicit] = ACTIONS(2442),
    [anon_sym_typename] = ACTIONS(2442),
    [anon_sym_template] = ACTIONS(2442),
    [anon_sym_operator] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_static_assert] = ACTIONS(2442),
    [anon_sym_concept] = ACTIONS(2442),
    [anon_sym_co_return] = ACTIONS(2442),
    [anon_sym_co_yield] = ACTIONS(2442),
    [anon_sym_R_DQUOTE] = ACTIONS(2444),
    [anon_sym_LR_DQUOTE] = ACTIONS(2444),
    [anon_sym_uR_DQUOTE] = ACTIONS(2444),
    [anon_sym_UR_DQUOTE] = ACTIONS(2444),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2444),
    [anon_sym_co_await] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_requires] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [anon_sym_discard] = ACTIONS(2442),
    [anon_sym_precise] = ACTIONS(2442),
    [anon_sym_shared] = ACTIONS(2442),
    [anon_sym_groupshared] = ACTIONS(2442),
    [anon_sym_uniform] = ACTIONS(2442),
    [anon_sym_row_major] = ACTIONS(2442),
    [anon_sym_column_major] = ACTIONS(2442),
    [anon_sym_globallycoherent] = ACTIONS(2442),
    [anon_sym_centroid] = ACTIONS(2442),
    [anon_sym_noperspective] = ACTIONS(2442),
    [anon_sym_nointerpolation] = ACTIONS(2442),
    [anon_sym_sample] = ACTIONS(2442),
    [anon_sym_linear] = ACTIONS(2442),
    [anon_sym_snorm] = ACTIONS(2442),
    [anon_sym_unorm] = ACTIONS(2442),
    [anon_sym_point] = ACTIONS(2442),
    [anon_sym_line] = ACTIONS(2442),
    [anon_sym_triangleadj] = ACTIONS(2442),
    [anon_sym_lineadj] = ACTIONS(2442),
    [anon_sym_triangle] = ACTIONS(2442),
    [anon_sym_cbuffer] = ACTIONS(2442),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2446),
    [aux_sym_preproc_include_token1] = ACTIONS(2446),
    [aux_sym_preproc_def_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token2] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2446),
    [sym_preproc_directive] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(2448),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_typedef] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(2446),
    [anon_sym_out] = ACTIONS(2446),
    [anon_sym_inout] = ACTIONS(2446),
    [anon_sym_virtual] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym___attribute] = ACTIONS(2446),
    [anon_sym_COLON_COLON] = ACTIONS(2448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2448),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2446),
    [anon_sym_unsigned] = ACTIONS(2446),
    [anon_sym_long] = ACTIONS(2446),
    [anon_sym_short] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym__Nonnull] = ACTIONS(2446),
    [anon_sym_mutable] = ACTIONS(2446),
    [anon_sym_constinit] = ACTIONS(2446),
    [anon_sym_consteval] = ACTIONS(2446),
    [anon_sym_alignas] = ACTIONS(2446),
    [anon_sym__Alignas] = ACTIONS(2446),
    [sym_primitive_type] = ACTIONS(2446),
    [anon_sym_enum] = ACTIONS(2446),
    [anon_sym_class] = ACTIONS(2446),
    [anon_sym_struct] = ACTIONS(2446),
    [anon_sym_union] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_switch] = ACTIONS(2446),
    [anon_sym_case] = ACTIONS(2446),
    [anon_sym_default] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(2446),
    [anon_sym_for] = ACTIONS(2446),
    [anon_sym_return] = ACTIONS(2446),
    [anon_sym_break] = ACTIONS(2446),
    [anon_sym_continue] = ACTIONS(2446),
    [anon_sym_goto] = ACTIONS(2446),
    [anon_sym___try] = ACTIONS(2446),
    [anon_sym___leave] = ACTIONS(2446),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_compl] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_sizeof] = ACTIONS(2446),
    [anon_sym___alignof__] = ACTIONS(2446),
    [anon_sym___alignof] = ACTIONS(2446),
    [anon_sym__alignof] = ACTIONS(2446),
    [anon_sym_alignof] = ACTIONS(2446),
    [anon_sym__Alignof] = ACTIONS(2446),
    [anon_sym_offsetof] = ACTIONS(2446),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2446),
    [anon_sym___asm__] = ACTIONS(2446),
    [anon_sym___asm] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [anon_sym_L_SQUOTE] = ACTIONS(2448),
    [anon_sym_u_SQUOTE] = ACTIONS(2448),
    [anon_sym_U_SQUOTE] = ACTIONS(2448),
    [anon_sym_u8_SQUOTE] = ACTIONS(2448),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(2448),
    [anon_sym_u_DQUOTE] = ACTIONS(2448),
    [anon_sym_U_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [sym_true] = ACTIONS(2446),
    [sym_false] = ACTIONS(2446),
    [anon_sym_NULL] = ACTIONS(2446),
    [anon_sym_nullptr] = ACTIONS(2446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2446),
    [anon_sym_decltype] = ACTIONS(2446),
    [anon_sym_explicit] = ACTIONS(2446),
    [anon_sym_typename] = ACTIONS(2446),
    [anon_sym_template] = ACTIONS(2446),
    [anon_sym_operator] = ACTIONS(2446),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_using] = ACTIONS(2446),
    [anon_sym_static_assert] = ACTIONS(2446),
    [anon_sym_concept] = ACTIONS(2446),
    [anon_sym_co_return] = ACTIONS(2446),
    [anon_sym_co_yield] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_requires] = ACTIONS(2446),
    [sym_this] = ACTIONS(2446),
    [anon_sym_discard] = ACTIONS(2446),
    [anon_sym_precise] = ACTIONS(2446),
    [anon_sym_shared] = ACTIONS(2446),
    [anon_sym_groupshared] = ACTIONS(2446),
    [anon_sym_uniform] = ACTIONS(2446),
    [anon_sym_row_major] = ACTIONS(2446),
    [anon_sym_column_major] = ACTIONS(2446),
    [anon_sym_globallycoherent] = ACTIONS(2446),
    [anon_sym_centroid] = ACTIONS(2446),
    [anon_sym_noperspective] = ACTIONS(2446),
    [anon_sym_nointerpolation] = ACTIONS(2446),
    [anon_sym_sample] = ACTIONS(2446),
    [anon_sym_linear] = ACTIONS(2446),
    [anon_sym_snorm] = ACTIONS(2446),
    [anon_sym_unorm] = ACTIONS(2446),
    [anon_sym_point] = ACTIONS(2446),
    [anon_sym_line] = ACTIONS(2446),
    [anon_sym_triangleadj] = ACTIONS(2446),
    [anon_sym_lineadj] = ACTIONS(2446),
    [anon_sym_triangle] = ACTIONS(2446),
    [anon_sym_cbuffer] = ACTIONS(2446),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2450),
    [aux_sym_preproc_include_token1] = ACTIONS(2450),
    [aux_sym_preproc_def_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token2] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2450),
    [sym_preproc_directive] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym___extension__] = ACTIONS(2450),
    [anon_sym_typedef] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2450),
    [anon_sym_out] = ACTIONS(2450),
    [anon_sym_inout] = ACTIONS(2450),
    [anon_sym_virtual] = ACTIONS(2450),
    [anon_sym_extern] = ACTIONS(2450),
    [anon_sym___attribute__] = ACTIONS(2450),
    [anon_sym___attribute] = ACTIONS(2450),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2452),
    [anon_sym___declspec] = ACTIONS(2450),
    [anon_sym___based] = ACTIONS(2450),
    [anon_sym___cdecl] = ACTIONS(2450),
    [anon_sym___clrcall] = ACTIONS(2450),
    [anon_sym___stdcall] = ACTIONS(2450),
    [anon_sym___fastcall] = ACTIONS(2450),
    [anon_sym___thiscall] = ACTIONS(2450),
    [anon_sym___vectorcall] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2450),
    [anon_sym_unsigned] = ACTIONS(2450),
    [anon_sym_long] = ACTIONS(2450),
    [anon_sym_short] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_register] = ACTIONS(2450),
    [anon_sym_inline] = ACTIONS(2450),
    [anon_sym___inline] = ACTIONS(2450),
    [anon_sym___inline__] = ACTIONS(2450),
    [anon_sym___forceinline] = ACTIONS(2450),
    [anon_sym_thread_local] = ACTIONS(2450),
    [anon_sym___thread] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_constexpr] = ACTIONS(2450),
    [anon_sym_volatile] = ACTIONS(2450),
    [anon_sym_restrict] = ACTIONS(2450),
    [anon_sym___restrict__] = ACTIONS(2450),
    [anon_sym__Atomic] = ACTIONS(2450),
    [anon_sym__Noreturn] = ACTIONS(2450),
    [anon_sym_noreturn] = ACTIONS(2450),
    [anon_sym__Nonnull] = ACTIONS(2450),
    [anon_sym_mutable] = ACTIONS(2450),
    [anon_sym_constinit] = ACTIONS(2450),
    [anon_sym_consteval] = ACTIONS(2450),
    [anon_sym_alignas] = ACTIONS(2450),
    [anon_sym__Alignas] = ACTIONS(2450),
    [sym_primitive_type] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_struct] = ACTIONS(2450),
    [anon_sym_union] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_case] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_goto] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2450),
    [anon_sym___leave] = ACTIONS(2450),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_sizeof] = ACTIONS(2450),
    [anon_sym___alignof__] = ACTIONS(2450),
    [anon_sym___alignof] = ACTIONS(2450),
    [anon_sym__alignof] = ACTIONS(2450),
    [anon_sym_alignof] = ACTIONS(2450),
    [anon_sym__Alignof] = ACTIONS(2450),
    [anon_sym_offsetof] = ACTIONS(2450),
    [anon_sym__Generic] = ACTIONS(2450),
    [anon_sym_asm] = ACTIONS(2450),
    [anon_sym___asm__] = ACTIONS(2450),
    [anon_sym___asm] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2452),
    [anon_sym_u_SQUOTE] = ACTIONS(2452),
    [anon_sym_U_SQUOTE] = ACTIONS(2452),
    [anon_sym_u8_SQUOTE] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_L_DQUOTE] = ACTIONS(2452),
    [anon_sym_u_DQUOTE] = ACTIONS(2452),
    [anon_sym_U_DQUOTE] = ACTIONS(2452),
    [anon_sym_u8_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2450),
    [anon_sym_decltype] = ACTIONS(2450),
    [anon_sym_explicit] = ACTIONS(2450),
    [anon_sym_typename] = ACTIONS(2450),
    [anon_sym_template] = ACTIONS(2450),
    [anon_sym_operator] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_static_assert] = ACTIONS(2450),
    [anon_sym_concept] = ACTIONS(2450),
    [anon_sym_co_return] = ACTIONS(2450),
    [anon_sym_co_yield] = ACTIONS(2450),
    [anon_sym_R_DQUOTE] = ACTIONS(2452),
    [anon_sym_LR_DQUOTE] = ACTIONS(2452),
    [anon_sym_uR_DQUOTE] = ACTIONS(2452),
    [anon_sym_UR_DQUOTE] = ACTIONS(2452),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2452),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_requires] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [anon_sym_discard] = ACTIONS(2450),
    [anon_sym_precise] = ACTIONS(2450),
    [anon_sym_shared] = ACTIONS(2450),
    [anon_sym_groupshared] = ACTIONS(2450),
    [anon_sym_uniform] = ACTIONS(2450),
    [anon_sym_row_major] = ACTIONS(2450),
    [anon_sym_column_major] = ACTIONS(2450),
    [anon_sym_globallycoherent] = ACTIONS(2450),
    [anon_sym_centroid] = ACTIONS(2450),
    [anon_sym_noperspective] = ACTIONS(2450),
    [anon_sym_nointerpolation] = ACTIONS(2450),
    [anon_sym_sample] = ACTIONS(2450),
    [anon_sym_linear] = ACTIONS(2450),
    [anon_sym_snorm] = ACTIONS(2450),
    [anon_sym_unorm] = ACTIONS(2450),
    [anon_sym_point] = ACTIONS(2450),
    [anon_sym_line] = ACTIONS(2450),
    [anon_sym_triangleadj] = ACTIONS(2450),
    [anon_sym_lineadj] = ACTIONS(2450),
    [anon_sym_triangle] = ACTIONS(2450),
    [anon_sym_cbuffer] = ACTIONS(2450),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2454),
    [aux_sym_preproc_include_token1] = ACTIONS(2454),
    [aux_sym_preproc_def_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token2] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2454),
    [sym_preproc_directive] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_typedef] = ACTIONS(2454),
    [anon_sym_in] = ACTIONS(2454),
    [anon_sym_out] = ACTIONS(2454),
    [anon_sym_inout] = ACTIONS(2454),
    [anon_sym_virtual] = ACTIONS(2454),
    [anon_sym_extern] = ACTIONS(2454),
    [anon_sym___attribute__] = ACTIONS(2454),
    [anon_sym___attribute] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2456),
    [anon_sym___declspec] = ACTIONS(2454),
    [anon_sym___based] = ACTIONS(2454),
    [anon_sym___cdecl] = ACTIONS(2454),
    [anon_sym___clrcall] = ACTIONS(2454),
    [anon_sym___stdcall] = ACTIONS(2454),
    [anon_sym___fastcall] = ACTIONS(2454),
    [anon_sym___thiscall] = ACTIONS(2454),
    [anon_sym___vectorcall] = ACTIONS(2454),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_signed] = ACTIONS(2454),
    [anon_sym_unsigned] = ACTIONS(2454),
    [anon_sym_long] = ACTIONS(2454),
    [anon_sym_short] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_register] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(2454),
    [anon_sym___inline] = ACTIONS(2454),
    [anon_sym___inline__] = ACTIONS(2454),
    [anon_sym___forceinline] = ACTIONS(2454),
    [anon_sym_thread_local] = ACTIONS(2454),
    [anon_sym___thread] = ACTIONS(2454),
    [anon_sym_const] = ACTIONS(2454),
    [anon_sym_constexpr] = ACTIONS(2454),
    [anon_sym_volatile] = ACTIONS(2454),
    [anon_sym_restrict] = ACTIONS(2454),
    [anon_sym___restrict__] = ACTIONS(2454),
    [anon_sym__Atomic] = ACTIONS(2454),
    [anon_sym__Noreturn] = ACTIONS(2454),
    [anon_sym_noreturn] = ACTIONS(2454),
    [anon_sym__Nonnull] = ACTIONS(2454),
    [anon_sym_mutable] = ACTIONS(2454),
    [anon_sym_constinit] = ACTIONS(2454),
    [anon_sym_consteval] = ACTIONS(2454),
    [anon_sym_alignas] = ACTIONS(2454),
    [anon_sym__Alignas] = ACTIONS(2454),
    [sym_primitive_type] = ACTIONS(2454),
    [anon_sym_enum] = ACTIONS(2454),
    [anon_sym_class] = ACTIONS(2454),
    [anon_sym_struct] = ACTIONS(2454),
    [anon_sym_union] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_switch] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(2454),
    [anon_sym_default] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_break] = ACTIONS(2454),
    [anon_sym_continue] = ACTIONS(2454),
    [anon_sym_goto] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2454),
    [anon_sym___leave] = ACTIONS(2454),
    [anon_sym_not] = ACTIONS(2454),
    [anon_sym_compl] = ACTIONS(2454),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_sizeof] = ACTIONS(2454),
    [anon_sym___alignof__] = ACTIONS(2454),
    [anon_sym___alignof] = ACTIONS(2454),
    [anon_sym__alignof] = ACTIONS(2454),
    [anon_sym_alignof] = ACTIONS(2454),
    [anon_sym__Alignof] = ACTIONS(2454),
    [anon_sym_offsetof] = ACTIONS(2454),
    [anon_sym__Generic] = ACTIONS(2454),
    [anon_sym_asm] = ACTIONS(2454),
    [anon_sym___asm__] = ACTIONS(2454),
    [anon_sym___asm] = ACTIONS(2454),
    [sym_number_literal] = ACTIONS(2456),
    [anon_sym_L_SQUOTE] = ACTIONS(2456),
    [anon_sym_u_SQUOTE] = ACTIONS(2456),
    [anon_sym_U_SQUOTE] = ACTIONS(2456),
    [anon_sym_u8_SQUOTE] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_L_DQUOTE] = ACTIONS(2456),
    [anon_sym_u_DQUOTE] = ACTIONS(2456),
    [anon_sym_U_DQUOTE] = ACTIONS(2456),
    [anon_sym_u8_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2456),
    [sym_true] = ACTIONS(2454),
    [sym_false] = ACTIONS(2454),
    [anon_sym_NULL] = ACTIONS(2454),
    [anon_sym_nullptr] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2454),
    [anon_sym_decltype] = ACTIONS(2454),
    [anon_sym_explicit] = ACTIONS(2454),
    [anon_sym_typename] = ACTIONS(2454),
    [anon_sym_template] = ACTIONS(2454),
    [anon_sym_operator] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_delete] = ACTIONS(2454),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_namespace] = ACTIONS(2454),
    [anon_sym_using] = ACTIONS(2454),
    [anon_sym_static_assert] = ACTIONS(2454),
    [anon_sym_concept] = ACTIONS(2454),
    [anon_sym_co_return] = ACTIONS(2454),
    [anon_sym_co_yield] = ACTIONS(2454),
    [anon_sym_R_DQUOTE] = ACTIONS(2456),
    [anon_sym_LR_DQUOTE] = ACTIONS(2456),
    [anon_sym_uR_DQUOTE] = ACTIONS(2456),
    [anon_sym_UR_DQUOTE] = ACTIONS(2456),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2456),
    [anon_sym_co_await] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2454),
    [anon_sym_discard] = ACTIONS(2454),
    [anon_sym_precise] = ACTIONS(2454),
    [anon_sym_shared] = ACTIONS(2454),
    [anon_sym_groupshared] = ACTIONS(2454),
    [anon_sym_uniform] = ACTIONS(2454),
    [anon_sym_row_major] = ACTIONS(2454),
    [anon_sym_column_major] = ACTIONS(2454),
    [anon_sym_globallycoherent] = ACTIONS(2454),
    [anon_sym_centroid] = ACTIONS(2454),
    [anon_sym_noperspective] = ACTIONS(2454),
    [anon_sym_nointerpolation] = ACTIONS(2454),
    [anon_sym_sample] = ACTIONS(2454),
    [anon_sym_linear] = ACTIONS(2454),
    [anon_sym_snorm] = ACTIONS(2454),
    [anon_sym_unorm] = ACTIONS(2454),
    [anon_sym_point] = ACTIONS(2454),
    [anon_sym_line] = ACTIONS(2454),
    [anon_sym_triangleadj] = ACTIONS(2454),
    [anon_sym_lineadj] = ACTIONS(2454),
    [anon_sym_triangle] = ACTIONS(2454),
    [anon_sym_cbuffer] = ACTIONS(2454),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_out] = ACTIONS(2470),
    [anon_sym_inout] = ACTIONS(2470),
    [anon_sym_virtual] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___based] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_mutable] = ACTIONS(2470),
    [anon_sym_constinit] = ACTIONS(2470),
    [anon_sym_consteval] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_class] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym___leave] = ACTIONS(2470),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_compl] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2470),
    [anon_sym_decltype] = ACTIONS(2470),
    [anon_sym_explicit] = ACTIONS(2470),
    [anon_sym_typename] = ACTIONS(2470),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_operator] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_namespace] = ACTIONS(2470),
    [anon_sym_using] = ACTIONS(2470),
    [anon_sym_static_assert] = ACTIONS(2470),
    [anon_sym_concept] = ACTIONS(2470),
    [anon_sym_co_return] = ACTIONS(2470),
    [anon_sym_co_yield] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(2472),
    [anon_sym_LR_DQUOTE] = ACTIONS(2472),
    [anon_sym_uR_DQUOTE] = ACTIONS(2472),
    [anon_sym_UR_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2472),
    [anon_sym_co_await] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2470),
    [anon_sym_requires] = ACTIONS(2470),
    [sym_this] = ACTIONS(2470),
    [anon_sym_discard] = ACTIONS(2470),
    [anon_sym_precise] = ACTIONS(2470),
    [anon_sym_shared] = ACTIONS(2470),
    [anon_sym_groupshared] = ACTIONS(2470),
    [anon_sym_uniform] = ACTIONS(2470),
    [anon_sym_row_major] = ACTIONS(2470),
    [anon_sym_column_major] = ACTIONS(2470),
    [anon_sym_globallycoherent] = ACTIONS(2470),
    [anon_sym_centroid] = ACTIONS(2470),
    [anon_sym_noperspective] = ACTIONS(2470),
    [anon_sym_nointerpolation] = ACTIONS(2470),
    [anon_sym_sample] = ACTIONS(2470),
    [anon_sym_linear] = ACTIONS(2470),
    [anon_sym_snorm] = ACTIONS(2470),
    [anon_sym_unorm] = ACTIONS(2470),
    [anon_sym_point] = ACTIONS(2470),
    [anon_sym_line] = ACTIONS(2470),
    [anon_sym_triangleadj] = ACTIONS(2470),
    [anon_sym_lineadj] = ACTIONS(2470),
    [anon_sym_triangle] = ACTIONS(2470),
    [anon_sym_cbuffer] = ACTIONS(2470),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_out] = ACTIONS(2474),
    [anon_sym_inout] = ACTIONS(2474),
    [anon_sym_virtual] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym___leave] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [anon_sym_discard] = ACTIONS(2474),
    [anon_sym_precise] = ACTIONS(2474),
    [anon_sym_shared] = ACTIONS(2474),
    [anon_sym_groupshared] = ACTIONS(2474),
    [anon_sym_uniform] = ACTIONS(2474),
    [anon_sym_row_major] = ACTIONS(2474),
    [anon_sym_column_major] = ACTIONS(2474),
    [anon_sym_globallycoherent] = ACTIONS(2474),
    [anon_sym_centroid] = ACTIONS(2474),
    [anon_sym_noperspective] = ACTIONS(2474),
    [anon_sym_nointerpolation] = ACTIONS(2474),
    [anon_sym_sample] = ACTIONS(2474),
    [anon_sym_linear] = ACTIONS(2474),
    [anon_sym_snorm] = ACTIONS(2474),
    [anon_sym_unorm] = ACTIONS(2474),
    [anon_sym_point] = ACTIONS(2474),
    [anon_sym_line] = ACTIONS(2474),
    [anon_sym_triangleadj] = ACTIONS(2474),
    [anon_sym_lineadj] = ACTIONS(2474),
    [anon_sym_triangle] = ACTIONS(2474),
    [anon_sym_cbuffer] = ACTIONS(2474),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2595),
    [aux_sym_preproc_include_token1] = ACTIONS(2595),
    [aux_sym_preproc_def_token1] = ACTIONS(2595),
    [aux_sym_preproc_if_token1] = ACTIONS(2595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2595),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(2597),
    [anon_sym_BANG] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2595),
    [anon_sym_SEMI] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2595),
    [anon_sym_typedef] = ACTIONS(2595),
    [anon_sym_in] = ACTIONS(2595),
    [anon_sym_out] = ACTIONS(2595),
    [anon_sym_inout] = ACTIONS(2595),
    [anon_sym_virtual] = ACTIONS(2595),
    [anon_sym_extern] = ACTIONS(2595),
    [anon_sym___attribute__] = ACTIONS(2595),
    [anon_sym___attribute] = ACTIONS(2595),
    [anon_sym_COLON_COLON] = ACTIONS(2597),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym___declspec] = ACTIONS(2595),
    [anon_sym___based] = ACTIONS(2595),
    [anon_sym___cdecl] = ACTIONS(2595),
    [anon_sym___clrcall] = ACTIONS(2595),
    [anon_sym___stdcall] = ACTIONS(2595),
    [anon_sym___fastcall] = ACTIONS(2595),
    [anon_sym___thiscall] = ACTIONS(2595),
    [anon_sym___vectorcall] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_RBRACE] = ACTIONS(2597),
    [anon_sym_signed] = ACTIONS(2595),
    [anon_sym_unsigned] = ACTIONS(2595),
    [anon_sym_long] = ACTIONS(2595),
    [anon_sym_short] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_static] = ACTIONS(2595),
    [anon_sym_register] = ACTIONS(2595),
    [anon_sym_inline] = ACTIONS(2595),
    [anon_sym___inline] = ACTIONS(2595),
    [anon_sym___inline__] = ACTIONS(2595),
    [anon_sym___forceinline] = ACTIONS(2595),
    [anon_sym_thread_local] = ACTIONS(2595),
    [anon_sym___thread] = ACTIONS(2595),
    [anon_sym_const] = ACTIONS(2595),
    [anon_sym_constexpr] = ACTIONS(2595),
    [anon_sym_volatile] = ACTIONS(2595),
    [anon_sym_restrict] = ACTIONS(2595),
    [anon_sym___restrict__] = ACTIONS(2595),
    [anon_sym__Atomic] = ACTIONS(2595),
    [anon_sym__Noreturn] = ACTIONS(2595),
    [anon_sym_noreturn] = ACTIONS(2595),
    [anon_sym__Nonnull] = ACTIONS(2595),
    [anon_sym_mutable] = ACTIONS(2595),
    [anon_sym_constinit] = ACTIONS(2595),
    [anon_sym_consteval] = ACTIONS(2595),
    [anon_sym_alignas] = ACTIONS(2595),
    [anon_sym__Alignas] = ACTIONS(2595),
    [sym_primitive_type] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2595),
    [anon_sym_class] = ACTIONS(2595),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_union] = ACTIONS(2595),
    [anon_sym_if] = ACTIONS(2595),
    [anon_sym_switch] = ACTIONS(2595),
    [anon_sym_case] = ACTIONS(2595),
    [anon_sym_default] = ACTIONS(2595),
    [anon_sym_while] = ACTIONS(2595),
    [anon_sym_do] = ACTIONS(2595),
    [anon_sym_for] = ACTIONS(2595),
    [anon_sym_return] = ACTIONS(2595),
    [anon_sym_break] = ACTIONS(2595),
    [anon_sym_continue] = ACTIONS(2595),
    [anon_sym_goto] = ACTIONS(2595),
    [anon_sym___try] = ACTIONS(2595),
    [anon_sym___leave] = ACTIONS(2595),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_PLUS] = ACTIONS(2597),
    [anon_sym_sizeof] = ACTIONS(2595),
    [anon_sym___alignof__] = ACTIONS(2595),
    [anon_sym___alignof] = ACTIONS(2595),
    [anon_sym__alignof] = ACTIONS(2595),
    [anon_sym_alignof] = ACTIONS(2595),
    [anon_sym__Alignof] = ACTIONS(2595),
    [anon_sym_offsetof] = ACTIONS(2595),
    [anon_sym__Generic] = ACTIONS(2595),
    [anon_sym_asm] = ACTIONS(2595),
    [anon_sym___asm__] = ACTIONS(2595),
    [anon_sym___asm] = ACTIONS(2595),
    [sym_number_literal] = ACTIONS(2597),
    [anon_sym_L_SQUOTE] = ACTIONS(2597),
    [anon_sym_u_SQUOTE] = ACTIONS(2597),
    [anon_sym_U_SQUOTE] = ACTIONS(2597),
    [anon_sym_u8_SQUOTE] = ACTIONS(2597),
    [anon_sym_SQUOTE] = ACTIONS(2597),
    [anon_sym_L_DQUOTE] = ACTIONS(2597),
    [anon_sym_u_DQUOTE] = ACTIONS(2597),
    [anon_sym_U_DQUOTE] = ACTIONS(2597),
    [anon_sym_u8_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_true] = ACTIONS(2595),
    [sym_false] = ACTIONS(2595),
    [anon_sym_NULL] = ACTIONS(2595),
    [anon_sym_nullptr] = ACTIONS(2595),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2595),
    [anon_sym_decltype] = ACTIONS(2595),
    [anon_sym_explicit] = ACTIONS(2595),
    [anon_sym_typename] = ACTIONS(2595),
    [anon_sym_template] = ACTIONS(2595),
    [anon_sym_operator] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_delete] = ACTIONS(2595),
    [anon_sym_throw] = ACTIONS(2595),
    [anon_sym_namespace] = ACTIONS(2595),
    [anon_sym_using] = ACTIONS(2595),
    [anon_sym_static_assert] = ACTIONS(2595),
    [anon_sym_concept] = ACTIONS(2595),
    [anon_sym_co_return] = ACTIONS(2595),
    [anon_sym_co_yield] = ACTIONS(2595),
    [anon_sym_R_DQUOTE] = ACTIONS(2597),
    [anon_sym_LR_DQUOTE] = ACTIONS(2597),
    [anon_sym_uR_DQUOTE] = ACTIONS(2597),
    [anon_sym_UR_DQUOTE] = ACTIONS(2597),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2597),
    [anon_sym_co_await] = ACTIONS(2595),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_requires] = ACTIONS(2595),
    [sym_this] = ACTIONS(2595),
    [anon_sym_discard] = ACTIONS(2595),
    [anon_sym_precise] = ACTIONS(2595),
    [anon_sym_shared] = ACTIONS(2595),
    [anon_sym_groupshared] = ACTIONS(2595),
    [anon_sym_uniform] = ACTIONS(2595),
    [anon_sym_row_major] = ACTIONS(2595),
    [anon_sym_column_major] = ACTIONS(2595),
    [anon_sym_globallycoherent] = ACTIONS(2595),
    [anon_sym_centroid] = ACTIONS(2595),
    [anon_sym_noperspective] = ACTIONS(2595),
    [anon_sym_nointerpolation] = ACTIONS(2595),
    [anon_sym_sample] = ACTIONS(2595),
    [anon_sym_linear] = ACTIONS(2595),
    [anon_sym_snorm] = ACTIONS(2595),
    [anon_sym_unorm] = ACTIONS(2595),
    [anon_sym_point] = ACTIONS(2595),
    [anon_sym_line] = ACTIONS(2595),
    [anon_sym_triangleadj] = ACTIONS(2595),
    [anon_sym_lineadj] = ACTIONS(2595),
    [anon_sym_triangle] = ACTIONS(2595),
    [anon_sym_cbuffer] = ACTIONS(2595),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2651),
    [aux_sym_preproc_include_token1] = ACTIONS(2651),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2651),
    [sym_preproc_directive] = ACTIONS(2651),
    [anon_sym_LPAREN2] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2651),
    [anon_sym_PLUS] = ACTIONS(2651),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym___extension__] = ACTIONS(2651),
    [anon_sym_typedef] = ACTIONS(2651),
    [anon_sym_in] = ACTIONS(2651),
    [anon_sym_out] = ACTIONS(2651),
    [anon_sym_inout] = ACTIONS(2651),
    [anon_sym_virtual] = ACTIONS(2651),
    [anon_sym_extern] = ACTIONS(2651),
    [anon_sym___attribute__] = ACTIONS(2651),
    [anon_sym___attribute] = ACTIONS(2651),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2653),
    [anon_sym___declspec] = ACTIONS(2651),
    [anon_sym___based] = ACTIONS(2651),
    [anon_sym___cdecl] = ACTIONS(2651),
    [anon_sym___clrcall] = ACTIONS(2651),
    [anon_sym___stdcall] = ACTIONS(2651),
    [anon_sym___fastcall] = ACTIONS(2651),
    [anon_sym___thiscall] = ACTIONS(2651),
    [anon_sym___vectorcall] = ACTIONS(2651),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_signed] = ACTIONS(2651),
    [anon_sym_unsigned] = ACTIONS(2651),
    [anon_sym_long] = ACTIONS(2651),
    [anon_sym_short] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_register] = ACTIONS(2651),
    [anon_sym_inline] = ACTIONS(2651),
    [anon_sym___inline] = ACTIONS(2651),
    [anon_sym___inline__] = ACTIONS(2651),
    [anon_sym___forceinline] = ACTIONS(2651),
    [anon_sym_thread_local] = ACTIONS(2651),
    [anon_sym___thread] = ACTIONS(2651),
    [anon_sym_const] = ACTIONS(2651),
    [anon_sym_constexpr] = ACTIONS(2651),
    [anon_sym_volatile] = ACTIONS(2651),
    [anon_sym_restrict] = ACTIONS(2651),
    [anon_sym___restrict__] = ACTIONS(2651),
    [anon_sym__Atomic] = ACTIONS(2651),
    [anon_sym__Noreturn] = ACTIONS(2651),
    [anon_sym_noreturn] = ACTIONS(2651),
    [anon_sym__Nonnull] = ACTIONS(2651),
    [anon_sym_mutable] = ACTIONS(2651),
    [anon_sym_constinit] = ACTIONS(2651),
    [anon_sym_consteval] = ACTIONS(2651),
    [anon_sym_alignas] = ACTIONS(2651),
    [anon_sym__Alignas] = ACTIONS(2651),
    [sym_primitive_type] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2651),
    [anon_sym_struct] = ACTIONS(2651),
    [anon_sym_union] = ACTIONS(2651),
    [anon_sym_if] = ACTIONS(2651),
    [anon_sym_switch] = ACTIONS(2651),
    [anon_sym_case] = ACTIONS(2651),
    [anon_sym_default] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2651),
    [anon_sym_do] = ACTIONS(2651),
    [anon_sym_for] = ACTIONS(2651),
    [anon_sym_return] = ACTIONS(2651),
    [anon_sym_break] = ACTIONS(2651),
    [anon_sym_continue] = ACTIONS(2651),
    [anon_sym_goto] = ACTIONS(2651),
    [anon_sym___try] = ACTIONS(2651),
    [anon_sym___leave] = ACTIONS(2651),
    [anon_sym_not] = ACTIONS(2651),
    [anon_sym_compl] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_sizeof] = ACTIONS(2651),
    [anon_sym___alignof__] = ACTIONS(2651),
    [anon_sym___alignof] = ACTIONS(2651),
    [anon_sym__alignof] = ACTIONS(2651),
    [anon_sym_alignof] = ACTIONS(2651),
    [anon_sym__Alignof] = ACTIONS(2651),
    [anon_sym_offsetof] = ACTIONS(2651),
    [anon_sym__Generic] = ACTIONS(2651),
    [anon_sym_asm] = ACTIONS(2651),
    [anon_sym___asm__] = ACTIONS(2651),
    [anon_sym___asm] = ACTIONS(2651),
    [sym_number_literal] = ACTIONS(2653),
    [anon_sym_L_SQUOTE] = ACTIONS(2653),
    [anon_sym_u_SQUOTE] = ACTIONS(2653),
    [anon_sym_U_SQUOTE] = ACTIONS(2653),
    [anon_sym_u8_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_L_DQUOTE] = ACTIONS(2653),
    [anon_sym_u_DQUOTE] = ACTIONS(2653),
    [anon_sym_U_DQUOTE] = ACTIONS(2653),
    [anon_sym_u8_DQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [sym_true] = ACTIONS(2651),
    [sym_false] = ACTIONS(2651),
    [anon_sym_NULL] = ACTIONS(2651),
    [anon_sym_nullptr] = ACTIONS(2651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2651),
    [anon_sym_decltype] = ACTIONS(2651),
    [anon_sym_explicit] = ACTIONS(2651),
    [anon_sym_typename] = ACTIONS(2651),
    [anon_sym_template] = ACTIONS(2651),
    [anon_sym_operator] = ACTIONS(2651),
    [anon_sym_try] = ACTIONS(2651),
    [anon_sym_delete] = ACTIONS(2651),
    [anon_sym_throw] = ACTIONS(2651),
    [anon_sym_namespace] = ACTIONS(2651),
    [anon_sym_using] = ACTIONS(2651),
    [anon_sym_static_assert] = ACTIONS(2651),
    [anon_sym_concept] = ACTIONS(2651),
    [anon_sym_co_return] = ACTIONS(2651),
    [anon_sym_co_yield] = ACTIONS(2651),
    [anon_sym_R_DQUOTE] = ACTIONS(2653),
    [anon_sym_LR_DQUOTE] = ACTIONS(2653),
    [anon_sym_uR_DQUOTE] = ACTIONS(2653),
    [anon_sym_UR_DQUOTE] = ACTIONS(2653),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2653),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2651),
    [anon_sym_requires] = ACTIONS(2651),
    [sym_this] = ACTIONS(2651),
    [anon_sym_discard] = ACTIONS(2651),
    [anon_sym_precise] = ACTIONS(2651),
    [anon_sym_shared] = ACTIONS(2651),
    [anon_sym_groupshared] = ACTIONS(2651),
    [anon_sym_uniform] = ACTIONS(2651),
    [anon_sym_row_major] = ACTIONS(2651),
    [anon_sym_column_major] = ACTIONS(2651),
    [anon_sym_globallycoherent] = ACTIONS(2651),
    [anon_sym_centroid] = ACTIONS(2651),
    [anon_sym_noperspective] = ACTIONS(2651),
    [anon_sym_nointerpolation] = ACTIONS(2651),
    [anon_sym_sample] = ACTIONS(2651),
    [anon_sym_linear] = ACTIONS(2651),
    [anon_sym_snorm] = ACTIONS(2651),
    [anon_sym_unorm] = ACTIONS(2651),
    [anon_sym_point] = ACTIONS(2651),
    [anon_sym_line] = ACTIONS(2651),
    [anon_sym_triangleadj] = ACTIONS(2651),
    [anon_sym_lineadj] = ACTIONS(2651),
    [anon_sym_triangle] = ACTIONS(2651),
    [anon_sym_cbuffer] = ACTIONS(2651),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2398),
    [aux_sym_preproc_include_token1] = ACTIONS(2398),
    [aux_sym_preproc_def_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token2] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2398),
    [sym_preproc_directive] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2400),
    [anon_sym_BANG] = ACTIONS(2400),
    [anon_sym_TILDE] = ACTIONS(2400),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2400),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2398),
    [anon_sym_typedef] = ACTIONS(2398),
    [anon_sym_in] = ACTIONS(2398),
    [anon_sym_out] = ACTIONS(2398),
    [anon_sym_inout] = ACTIONS(2398),
    [anon_sym_virtual] = ACTIONS(2398),
    [anon_sym_extern] = ACTIONS(2398),
    [anon_sym___attribute__] = ACTIONS(2398),
    [anon_sym___attribute] = ACTIONS(2398),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2400),
    [anon_sym___declspec] = ACTIONS(2398),
    [anon_sym___based] = ACTIONS(2398),
    [anon_sym___cdecl] = ACTIONS(2398),
    [anon_sym___clrcall] = ACTIONS(2398),
    [anon_sym___stdcall] = ACTIONS(2398),
    [anon_sym___fastcall] = ACTIONS(2398),
    [anon_sym___thiscall] = ACTIONS(2398),
    [anon_sym___vectorcall] = ACTIONS(2398),
    [anon_sym_LBRACE] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2398),
    [anon_sym_unsigned] = ACTIONS(2398),
    [anon_sym_long] = ACTIONS(2398),
    [anon_sym_short] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2398),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_register] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(2398),
    [anon_sym___inline] = ACTIONS(2398),
    [anon_sym___inline__] = ACTIONS(2398),
    [anon_sym___forceinline] = ACTIONS(2398),
    [anon_sym_thread_local] = ACTIONS(2398),
    [anon_sym___thread] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_constexpr] = ACTIONS(2398),
    [anon_sym_volatile] = ACTIONS(2398),
    [anon_sym_restrict] = ACTIONS(2398),
    [anon_sym___restrict__] = ACTIONS(2398),
    [anon_sym__Atomic] = ACTIONS(2398),
    [anon_sym__Noreturn] = ACTIONS(2398),
    [anon_sym_noreturn] = ACTIONS(2398),
    [anon_sym__Nonnull] = ACTIONS(2398),
    [anon_sym_mutable] = ACTIONS(2398),
    [anon_sym_constinit] = ACTIONS(2398),
    [anon_sym_consteval] = ACTIONS(2398),
    [anon_sym_alignas] = ACTIONS(2398),
    [anon_sym__Alignas] = ACTIONS(2398),
    [sym_primitive_type] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_class] = ACTIONS(2398),
    [anon_sym_struct] = ACTIONS(2398),
    [anon_sym_union] = ACTIONS(2398),
    [anon_sym_if] = ACTIONS(2398),
    [anon_sym_switch] = ACTIONS(2398),
    [anon_sym_case] = ACTIONS(2398),
    [anon_sym_default] = ACTIONS(2398),
    [anon_sym_while] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(2398),
    [anon_sym_for] = ACTIONS(2398),
    [anon_sym_return] = ACTIONS(2398),
    [anon_sym_break] = ACTIONS(2398),
    [anon_sym_continue] = ACTIONS(2398),
    [anon_sym_goto] = ACTIONS(2398),
    [anon_sym___try] = ACTIONS(2398),
    [anon_sym___leave] = ACTIONS(2398),
    [anon_sym_not] = ACTIONS(2398),
    [anon_sym_compl] = ACTIONS(2398),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_sizeof] = ACTIONS(2398),
    [anon_sym___alignof__] = ACTIONS(2398),
    [anon_sym___alignof] = ACTIONS(2398),
    [anon_sym__alignof] = ACTIONS(2398),
    [anon_sym_alignof] = ACTIONS(2398),
    [anon_sym__Alignof] = ACTIONS(2398),
    [anon_sym_offsetof] = ACTIONS(2398),
    [anon_sym__Generic] = ACTIONS(2398),
    [anon_sym_asm] = ACTIONS(2398),
    [anon_sym___asm__] = ACTIONS(2398),
    [anon_sym___asm] = ACTIONS(2398),
    [sym_number_literal] = ACTIONS(2400),
    [anon_sym_L_SQUOTE] = ACTIONS(2400),
    [anon_sym_u_SQUOTE] = ACTIONS(2400),
    [anon_sym_U_SQUOTE] = ACTIONS(2400),
    [anon_sym_u8_SQUOTE] = ACTIONS(2400),
    [anon_sym_SQUOTE] = ACTIONS(2400),
    [anon_sym_L_DQUOTE] = ACTIONS(2400),
    [anon_sym_u_DQUOTE] = ACTIONS(2400),
    [anon_sym_U_DQUOTE] = ACTIONS(2400),
    [anon_sym_u8_DQUOTE] = ACTIONS(2400),
    [anon_sym_DQUOTE] = ACTIONS(2400),
    [sym_true] = ACTIONS(2398),
    [sym_false] = ACTIONS(2398),
    [anon_sym_NULL] = ACTIONS(2398),
    [anon_sym_nullptr] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2398),
    [anon_sym_decltype] = ACTIONS(2398),
    [anon_sym_explicit] = ACTIONS(2398),
    [anon_sym_typename] = ACTIONS(2398),
    [anon_sym_template] = ACTIONS(2398),
    [anon_sym_operator] = ACTIONS(2398),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_delete] = ACTIONS(2398),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_namespace] = ACTIONS(2398),
    [anon_sym_using] = ACTIONS(2398),
    [anon_sym_static_assert] = ACTIONS(2398),
    [anon_sym_concept] = ACTIONS(2398),
    [anon_sym_co_return] = ACTIONS(2398),
    [anon_sym_co_yield] = ACTIONS(2398),
    [anon_sym_R_DQUOTE] = ACTIONS(2400),
    [anon_sym_LR_DQUOTE] = ACTIONS(2400),
    [anon_sym_uR_DQUOTE] = ACTIONS(2400),
    [anon_sym_UR_DQUOTE] = ACTIONS(2400),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2400),
    [anon_sym_co_await] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(2398),
    [anon_sym_requires] = ACTIONS(2398),
    [sym_this] = ACTIONS(2398),
    [anon_sym_discard] = ACTIONS(2398),
    [anon_sym_precise] = ACTIONS(2398),
    [anon_sym_shared] = ACTIONS(2398),
    [anon_sym_groupshared] = ACTIONS(2398),
    [anon_sym_uniform] = ACTIONS(2398),
    [anon_sym_row_major] = ACTIONS(2398),
    [anon_sym_column_major] = ACTIONS(2398),
    [anon_sym_globallycoherent] = ACTIONS(2398),
    [anon_sym_centroid] = ACTIONS(2398),
    [anon_sym_noperspective] = ACTIONS(2398),
    [anon_sym_nointerpolation] = ACTIONS(2398),
    [anon_sym_sample] = ACTIONS(2398),
    [anon_sym_linear] = ACTIONS(2398),
    [anon_sym_snorm] = ACTIONS(2398),
    [anon_sym_unorm] = ACTIONS(2398),
    [anon_sym_point] = ACTIONS(2398),
    [anon_sym_line] = ACTIONS(2398),
    [anon_sym_triangleadj] = ACTIONS(2398),
    [anon_sym_lineadj] = ACTIONS(2398),
    [anon_sym_triangle] = ACTIONS(2398),
    [anon_sym_cbuffer] = ACTIONS(2398),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2434),
    [aux_sym_preproc_include_token1] = ACTIONS(2434),
    [aux_sym_preproc_def_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token2] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2434),
    [sym_preproc_directive] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2436),
    [anon_sym___extension__] = ACTIONS(2434),
    [anon_sym_typedef] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_out] = ACTIONS(2434),
    [anon_sym_inout] = ACTIONS(2434),
    [anon_sym_virtual] = ACTIONS(2434),
    [anon_sym_extern] = ACTIONS(2434),
    [anon_sym___attribute__] = ACTIONS(2434),
    [anon_sym___attribute] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2436),
    [anon_sym___declspec] = ACTIONS(2434),
    [anon_sym___based] = ACTIONS(2434),
    [anon_sym___cdecl] = ACTIONS(2434),
    [anon_sym___clrcall] = ACTIONS(2434),
    [anon_sym___stdcall] = ACTIONS(2434),
    [anon_sym___fastcall] = ACTIONS(2434),
    [anon_sym___thiscall] = ACTIONS(2434),
    [anon_sym___vectorcall] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2434),
    [anon_sym_unsigned] = ACTIONS(2434),
    [anon_sym_long] = ACTIONS(2434),
    [anon_sym_short] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_register] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym___inline] = ACTIONS(2434),
    [anon_sym___inline__] = ACTIONS(2434),
    [anon_sym___forceinline] = ACTIONS(2434),
    [anon_sym_thread_local] = ACTIONS(2434),
    [anon_sym___thread] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_constexpr] = ACTIONS(2434),
    [anon_sym_volatile] = ACTIONS(2434),
    [anon_sym_restrict] = ACTIONS(2434),
    [anon_sym___restrict__] = ACTIONS(2434),
    [anon_sym__Atomic] = ACTIONS(2434),
    [anon_sym__Noreturn] = ACTIONS(2434),
    [anon_sym_noreturn] = ACTIONS(2434),
    [anon_sym__Nonnull] = ACTIONS(2434),
    [anon_sym_mutable] = ACTIONS(2434),
    [anon_sym_constinit] = ACTIONS(2434),
    [anon_sym_consteval] = ACTIONS(2434),
    [anon_sym_alignas] = ACTIONS(2434),
    [anon_sym__Alignas] = ACTIONS(2434),
    [sym_primitive_type] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_struct] = ACTIONS(2434),
    [anon_sym_union] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_goto] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2434),
    [anon_sym___leave] = ACTIONS(2434),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2436),
    [anon_sym_sizeof] = ACTIONS(2434),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2434),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [anon_sym___asm] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2436),
    [anon_sym_u_SQUOTE] = ACTIONS(2436),
    [anon_sym_U_SQUOTE] = ACTIONS(2436),
    [anon_sym_u8_SQUOTE] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_L_DQUOTE] = ACTIONS(2436),
    [anon_sym_u_DQUOTE] = ACTIONS(2436),
    [anon_sym_U_DQUOTE] = ACTIONS(2436),
    [anon_sym_u8_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2436),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [anon_sym_NULL] = ACTIONS(2434),
    [anon_sym_nullptr] = ACTIONS(2434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2434),
    [anon_sym_decltype] = ACTIONS(2434),
    [anon_sym_explicit] = ACTIONS(2434),
    [anon_sym_typename] = ACTIONS(2434),
    [anon_sym_template] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_static_assert] = ACTIONS(2434),
    [anon_sym_concept] = ACTIONS(2434),
    [anon_sym_co_return] = ACTIONS(2434),
    [anon_sym_co_yield] = ACTIONS(2434),
    [anon_sym_R_DQUOTE] = ACTIONS(2436),
    [anon_sym_LR_DQUOTE] = ACTIONS(2436),
    [anon_sym_uR_DQUOTE] = ACTIONS(2436),
    [anon_sym_UR_DQUOTE] = ACTIONS(2436),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2436),
    [anon_sym_co_await] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [anon_sym_discard] = ACTIONS(2434),
    [anon_sym_precise] = ACTIONS(2434),
    [anon_sym_shared] = ACTIONS(2434),
    [anon_sym_groupshared] = ACTIONS(2434),
    [anon_sym_uniform] = ACTIONS(2434),
    [anon_sym_row_major] = ACTIONS(2434),
    [anon_sym_column_major] = ACTIONS(2434),
    [anon_sym_globallycoherent] = ACTIONS(2434),
    [anon_sym_centroid] = ACTIONS(2434),
    [anon_sym_noperspective] = ACTIONS(2434),
    [anon_sym_nointerpolation] = ACTIONS(2434),
    [anon_sym_sample] = ACTIONS(2434),
    [anon_sym_linear] = ACTIONS(2434),
    [anon_sym_snorm] = ACTIONS(2434),
    [anon_sym_unorm] = ACTIONS(2434),
    [anon_sym_point] = ACTIONS(2434),
    [anon_sym_line] = ACTIONS(2434),
    [anon_sym_triangleadj] = ACTIONS(2434),
    [anon_sym_lineadj] = ACTIONS(2434),
    [anon_sym_triangle] = ACTIONS(2434),
    [anon_sym_cbuffer] = ACTIONS(2434),
  },
  [646] = {
    [sym_expression] = STATE(3867),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(2843),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
    [anon_sym_discard] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_groupshared] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_row_major] = ACTIONS(2532),
    [anon_sym_column_major] = ACTIONS(2532),
    [anon_sym_globallycoherent] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym_nointerpolation] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_linear] = ACTIONS(2532),
    [anon_sym_snorm] = ACTIONS(2532),
    [anon_sym_unorm] = ACTIONS(2532),
    [anon_sym_point] = ACTIONS(2532),
    [anon_sym_line] = ACTIONS(2532),
    [anon_sym_triangleadj] = ACTIONS(2532),
    [anon_sym_lineadj] = ACTIONS(2532),
    [anon_sym_triangle] = ACTIONS(2532),
    [anon_sym_cbuffer] = ACTIONS(2532),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
    [anon_sym_discard] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_groupshared] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_row_major] = ACTIONS(2548),
    [anon_sym_column_major] = ACTIONS(2548),
    [anon_sym_globallycoherent] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym_nointerpolation] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_linear] = ACTIONS(2548),
    [anon_sym_snorm] = ACTIONS(2548),
    [anon_sym_unorm] = ACTIONS(2548),
    [anon_sym_point] = ACTIONS(2548),
    [anon_sym_line] = ACTIONS(2548),
    [anon_sym_triangleadj] = ACTIONS(2548),
    [anon_sym_lineadj] = ACTIONS(2548),
    [anon_sym_triangle] = ACTIONS(2548),
    [anon_sym_cbuffer] = ACTIONS(2548),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_include_token1] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token2] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_in] = ACTIONS(2583),
    [anon_sym_out] = ACTIONS(2583),
    [anon_sym_inout] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym___cdecl] = ACTIONS(2583),
    [anon_sym___clrcall] = ACTIONS(2583),
    [anon_sym___stdcall] = ACTIONS(2583),
    [anon_sym___fastcall] = ACTIONS(2583),
    [anon_sym___thiscall] = ACTIONS(2583),
    [anon_sym___vectorcall] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2583),
    [anon_sym_default] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_goto] = ACTIONS(2583),
    [anon_sym___try] = ACTIONS(2583),
    [anon_sym___leave] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_compl] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_sizeof] = ACTIONS(2583),
    [anon_sym___alignof__] = ACTIONS(2583),
    [anon_sym___alignof] = ACTIONS(2583),
    [anon_sym__alignof] = ACTIONS(2583),
    [anon_sym_alignof] = ACTIONS(2583),
    [anon_sym__Alignof] = ACTIONS(2583),
    [anon_sym_offsetof] = ACTIONS(2583),
    [anon_sym__Generic] = ACTIONS(2583),
    [anon_sym_asm] = ACTIONS(2583),
    [anon_sym___asm__] = ACTIONS(2583),
    [anon_sym___asm] = ACTIONS(2583),
    [sym_number_literal] = ACTIONS(2585),
    [anon_sym_L_SQUOTE] = ACTIONS(2585),
    [anon_sym_u_SQUOTE] = ACTIONS(2585),
    [anon_sym_U_SQUOTE] = ACTIONS(2585),
    [anon_sym_u8_SQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [anon_sym_L_DQUOTE] = ACTIONS(2585),
    [anon_sym_u_DQUOTE] = ACTIONS(2585),
    [anon_sym_U_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8_DQUOTE] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [anon_sym_NULL] = ACTIONS(2583),
    [anon_sym_nullptr] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_concept] = ACTIONS(2583),
    [anon_sym_co_return] = ACTIONS(2583),
    [anon_sym_co_yield] = ACTIONS(2583),
    [anon_sym_R_DQUOTE] = ACTIONS(2585),
    [anon_sym_LR_DQUOTE] = ACTIONS(2585),
    [anon_sym_uR_DQUOTE] = ACTIONS(2585),
    [anon_sym_UR_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2585),
    [anon_sym_co_await] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_requires] = ACTIONS(2583),
    [sym_this] = ACTIONS(2583),
    [anon_sym_discard] = ACTIONS(2583),
    [anon_sym_precise] = ACTIONS(2583),
    [anon_sym_shared] = ACTIONS(2583),
    [anon_sym_groupshared] = ACTIONS(2583),
    [anon_sym_uniform] = ACTIONS(2583),
    [anon_sym_row_major] = ACTIONS(2583),
    [anon_sym_column_major] = ACTIONS(2583),
    [anon_sym_globallycoherent] = ACTIONS(2583),
    [anon_sym_centroid] = ACTIONS(2583),
    [anon_sym_noperspective] = ACTIONS(2583),
    [anon_sym_nointerpolation] = ACTIONS(2583),
    [anon_sym_sample] = ACTIONS(2583),
    [anon_sym_linear] = ACTIONS(2583),
    [anon_sym_snorm] = ACTIONS(2583),
    [anon_sym_unorm] = ACTIONS(2583),
    [anon_sym_point] = ACTIONS(2583),
    [anon_sym_line] = ACTIONS(2583),
    [anon_sym_triangleadj] = ACTIONS(2583),
    [anon_sym_lineadj] = ACTIONS(2583),
    [anon_sym_triangle] = ACTIONS(2583),
    [anon_sym_cbuffer] = ACTIONS(2583),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2587),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token2] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2587),
    [sym_preproc_directive] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_STAR] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym___extension__] = ACTIONS(2587),
    [anon_sym_typedef] = ACTIONS(2587),
    [anon_sym_in] = ACTIONS(2587),
    [anon_sym_out] = ACTIONS(2587),
    [anon_sym_inout] = ACTIONS(2587),
    [anon_sym_virtual] = ACTIONS(2587),
    [anon_sym_extern] = ACTIONS(2587),
    [anon_sym___attribute__] = ACTIONS(2587),
    [anon_sym___attribute] = ACTIONS(2587),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2589),
    [anon_sym___declspec] = ACTIONS(2587),
    [anon_sym___based] = ACTIONS(2587),
    [anon_sym___cdecl] = ACTIONS(2587),
    [anon_sym___clrcall] = ACTIONS(2587),
    [anon_sym___stdcall] = ACTIONS(2587),
    [anon_sym___fastcall] = ACTIONS(2587),
    [anon_sym___thiscall] = ACTIONS(2587),
    [anon_sym___vectorcall] = ACTIONS(2587),
    [anon_sym_LBRACE] = ACTIONS(2589),
    [anon_sym_signed] = ACTIONS(2587),
    [anon_sym_unsigned] = ACTIONS(2587),
    [anon_sym_long] = ACTIONS(2587),
    [anon_sym_short] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_register] = ACTIONS(2587),
    [anon_sym_inline] = ACTIONS(2587),
    [anon_sym___inline] = ACTIONS(2587),
    [anon_sym___inline__] = ACTIONS(2587),
    [anon_sym___forceinline] = ACTIONS(2587),
    [anon_sym_thread_local] = ACTIONS(2587),
    [anon_sym___thread] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_constexpr] = ACTIONS(2587),
    [anon_sym_volatile] = ACTIONS(2587),
    [anon_sym_restrict] = ACTIONS(2587),
    [anon_sym___restrict__] = ACTIONS(2587),
    [anon_sym__Atomic] = ACTIONS(2587),
    [anon_sym__Noreturn] = ACTIONS(2587),
    [anon_sym_noreturn] = ACTIONS(2587),
    [anon_sym__Nonnull] = ACTIONS(2587),
    [anon_sym_mutable] = ACTIONS(2587),
    [anon_sym_constinit] = ACTIONS(2587),
    [anon_sym_consteval] = ACTIONS(2587),
    [anon_sym_alignas] = ACTIONS(2587),
    [anon_sym__Alignas] = ACTIONS(2587),
    [sym_primitive_type] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_struct] = ACTIONS(2587),
    [anon_sym_union] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_switch] = ACTIONS(2587),
    [anon_sym_case] = ACTIONS(2587),
    [anon_sym_default] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_break] = ACTIONS(2587),
    [anon_sym_continue] = ACTIONS(2587),
    [anon_sym_goto] = ACTIONS(2587),
    [anon_sym___try] = ACTIONS(2587),
    [anon_sym___leave] = ACTIONS(2587),
    [anon_sym_not] = ACTIONS(2587),
    [anon_sym_compl] = ACTIONS(2587),
    [anon_sym_DASH_DASH] = ACTIONS(2589),
    [anon_sym_PLUS_PLUS] = ACTIONS(2589),
    [anon_sym_sizeof] = ACTIONS(2587),
    [anon_sym___alignof__] = ACTIONS(2587),
    [anon_sym___alignof] = ACTIONS(2587),
    [anon_sym__alignof] = ACTIONS(2587),
    [anon_sym_alignof] = ACTIONS(2587),
    [anon_sym__Alignof] = ACTIONS(2587),
    [anon_sym_offsetof] = ACTIONS(2587),
    [anon_sym__Generic] = ACTIONS(2587),
    [anon_sym_asm] = ACTIONS(2587),
    [anon_sym___asm__] = ACTIONS(2587),
    [anon_sym___asm] = ACTIONS(2587),
    [sym_number_literal] = ACTIONS(2589),
    [anon_sym_L_SQUOTE] = ACTIONS(2589),
    [anon_sym_u_SQUOTE] = ACTIONS(2589),
    [anon_sym_U_SQUOTE] = ACTIONS(2589),
    [anon_sym_u8_SQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_L_DQUOTE] = ACTIONS(2589),
    [anon_sym_u_DQUOTE] = ACTIONS(2589),
    [anon_sym_U_DQUOTE] = ACTIONS(2589),
    [anon_sym_u8_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [sym_true] = ACTIONS(2587),
    [sym_false] = ACTIONS(2587),
    [anon_sym_NULL] = ACTIONS(2587),
    [anon_sym_nullptr] = ACTIONS(2587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2587),
    [anon_sym_decltype] = ACTIONS(2587),
    [anon_sym_explicit] = ACTIONS(2587),
    [anon_sym_typename] = ACTIONS(2587),
    [anon_sym_template] = ACTIONS(2587),
    [anon_sym_operator] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_delete] = ACTIONS(2587),
    [anon_sym_throw] = ACTIONS(2587),
    [anon_sym_namespace] = ACTIONS(2587),
    [anon_sym_using] = ACTIONS(2587),
    [anon_sym_static_assert] = ACTIONS(2587),
    [anon_sym_concept] = ACTIONS(2587),
    [anon_sym_co_return] = ACTIONS(2587),
    [anon_sym_co_yield] = ACTIONS(2587),
    [anon_sym_R_DQUOTE] = ACTIONS(2589),
    [anon_sym_LR_DQUOTE] = ACTIONS(2589),
    [anon_sym_uR_DQUOTE] = ACTIONS(2589),
    [anon_sym_UR_DQUOTE] = ACTIONS(2589),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2589),
    [anon_sym_co_await] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_requires] = ACTIONS(2587),
    [sym_this] = ACTIONS(2587),
    [anon_sym_discard] = ACTIONS(2587),
    [anon_sym_precise] = ACTIONS(2587),
    [anon_sym_shared] = ACTIONS(2587),
    [anon_sym_groupshared] = ACTIONS(2587),
    [anon_sym_uniform] = ACTIONS(2587),
    [anon_sym_row_major] = ACTIONS(2587),
    [anon_sym_column_major] = ACTIONS(2587),
    [anon_sym_globallycoherent] = ACTIONS(2587),
    [anon_sym_centroid] = ACTIONS(2587),
    [anon_sym_noperspective] = ACTIONS(2587),
    [anon_sym_nointerpolation] = ACTIONS(2587),
    [anon_sym_sample] = ACTIONS(2587),
    [anon_sym_linear] = ACTIONS(2587),
    [anon_sym_snorm] = ACTIONS(2587),
    [anon_sym_unorm] = ACTIONS(2587),
    [anon_sym_point] = ACTIONS(2587),
    [anon_sym_line] = ACTIONS(2587),
    [anon_sym_triangleadj] = ACTIONS(2587),
    [anon_sym_lineadj] = ACTIONS(2587),
    [anon_sym_triangle] = ACTIONS(2587),
    [anon_sym_cbuffer] = ACTIONS(2587),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2603),
    [aux_sym_preproc_include_token1] = ACTIONS(2603),
    [aux_sym_preproc_def_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token2] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2603),
    [sym_preproc_directive] = ACTIONS(2603),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym___extension__] = ACTIONS(2603),
    [anon_sym_typedef] = ACTIONS(2603),
    [anon_sym_in] = ACTIONS(2603),
    [anon_sym_out] = ACTIONS(2603),
    [anon_sym_inout] = ACTIONS(2603),
    [anon_sym_virtual] = ACTIONS(2603),
    [anon_sym_extern] = ACTIONS(2603),
    [anon_sym___attribute__] = ACTIONS(2603),
    [anon_sym___attribute] = ACTIONS(2603),
    [anon_sym_COLON_COLON] = ACTIONS(2605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2605),
    [anon_sym___declspec] = ACTIONS(2603),
    [anon_sym___based] = ACTIONS(2603),
    [anon_sym___cdecl] = ACTIONS(2603),
    [anon_sym___clrcall] = ACTIONS(2603),
    [anon_sym___stdcall] = ACTIONS(2603),
    [anon_sym___fastcall] = ACTIONS(2603),
    [anon_sym___thiscall] = ACTIONS(2603),
    [anon_sym___vectorcall] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(2605),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [anon_sym_static] = ACTIONS(2603),
    [anon_sym_register] = ACTIONS(2603),
    [anon_sym_inline] = ACTIONS(2603),
    [anon_sym___inline] = ACTIONS(2603),
    [anon_sym___inline__] = ACTIONS(2603),
    [anon_sym___forceinline] = ACTIONS(2603),
    [anon_sym_thread_local] = ACTIONS(2603),
    [anon_sym___thread] = ACTIONS(2603),
    [anon_sym_const] = ACTIONS(2603),
    [anon_sym_constexpr] = ACTIONS(2603),
    [anon_sym_volatile] = ACTIONS(2603),
    [anon_sym_restrict] = ACTIONS(2603),
    [anon_sym___restrict__] = ACTIONS(2603),
    [anon_sym__Atomic] = ACTIONS(2603),
    [anon_sym__Noreturn] = ACTIONS(2603),
    [anon_sym_noreturn] = ACTIONS(2603),
    [anon_sym__Nonnull] = ACTIONS(2603),
    [anon_sym_mutable] = ACTIONS(2603),
    [anon_sym_constinit] = ACTIONS(2603),
    [anon_sym_consteval] = ACTIONS(2603),
    [anon_sym_alignas] = ACTIONS(2603),
    [anon_sym__Alignas] = ACTIONS(2603),
    [sym_primitive_type] = ACTIONS(2603),
    [anon_sym_enum] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2603),
    [anon_sym_union] = ACTIONS(2603),
    [anon_sym_if] = ACTIONS(2603),
    [anon_sym_switch] = ACTIONS(2603),
    [anon_sym_case] = ACTIONS(2603),
    [anon_sym_default] = ACTIONS(2603),
    [anon_sym_while] = ACTIONS(2603),
    [anon_sym_do] = ACTIONS(2603),
    [anon_sym_for] = ACTIONS(2603),
    [anon_sym_return] = ACTIONS(2603),
    [anon_sym_break] = ACTIONS(2603),
    [anon_sym_continue] = ACTIONS(2603),
    [anon_sym_goto] = ACTIONS(2603),
    [anon_sym___try] = ACTIONS(2603),
    [anon_sym___leave] = ACTIONS(2603),
    [anon_sym_not] = ACTIONS(2603),
    [anon_sym_compl] = ACTIONS(2603),
    [anon_sym_DASH_DASH] = ACTIONS(2605),
    [anon_sym_PLUS_PLUS] = ACTIONS(2605),
    [anon_sym_sizeof] = ACTIONS(2603),
    [anon_sym___alignof__] = ACTIONS(2603),
    [anon_sym___alignof] = ACTIONS(2603),
    [anon_sym__alignof] = ACTIONS(2603),
    [anon_sym_alignof] = ACTIONS(2603),
    [anon_sym__Alignof] = ACTIONS(2603),
    [anon_sym_offsetof] = ACTIONS(2603),
    [anon_sym__Generic] = ACTIONS(2603),
    [anon_sym_asm] = ACTIONS(2603),
    [anon_sym___asm__] = ACTIONS(2603),
    [anon_sym___asm] = ACTIONS(2603),
    [sym_number_literal] = ACTIONS(2605),
    [anon_sym_L_SQUOTE] = ACTIONS(2605),
    [anon_sym_u_SQUOTE] = ACTIONS(2605),
    [anon_sym_U_SQUOTE] = ACTIONS(2605),
    [anon_sym_u8_SQUOTE] = ACTIONS(2605),
    [anon_sym_SQUOTE] = ACTIONS(2605),
    [anon_sym_L_DQUOTE] = ACTIONS(2605),
    [anon_sym_u_DQUOTE] = ACTIONS(2605),
    [anon_sym_U_DQUOTE] = ACTIONS(2605),
    [anon_sym_u8_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [sym_true] = ACTIONS(2603),
    [sym_false] = ACTIONS(2603),
    [anon_sym_NULL] = ACTIONS(2603),
    [anon_sym_nullptr] = ACTIONS(2603),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2603),
    [anon_sym_decltype] = ACTIONS(2603),
    [anon_sym_explicit] = ACTIONS(2603),
    [anon_sym_typename] = ACTIONS(2603),
    [anon_sym_template] = ACTIONS(2603),
    [anon_sym_operator] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2603),
    [anon_sym_delete] = ACTIONS(2603),
    [anon_sym_throw] = ACTIONS(2603),
    [anon_sym_namespace] = ACTIONS(2603),
    [anon_sym_using] = ACTIONS(2603),
    [anon_sym_static_assert] = ACTIONS(2603),
    [anon_sym_concept] = ACTIONS(2603),
    [anon_sym_co_return] = ACTIONS(2603),
    [anon_sym_co_yield] = ACTIONS(2603),
    [anon_sym_R_DQUOTE] = ACTIONS(2605),
    [anon_sym_LR_DQUOTE] = ACTIONS(2605),
    [anon_sym_uR_DQUOTE] = ACTIONS(2605),
    [anon_sym_UR_DQUOTE] = ACTIONS(2605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2605),
    [anon_sym_co_await] = ACTIONS(2603),
    [anon_sym_new] = ACTIONS(2603),
    [anon_sym_requires] = ACTIONS(2603),
    [sym_this] = ACTIONS(2603),
    [anon_sym_discard] = ACTIONS(2603),
    [anon_sym_precise] = ACTIONS(2603),
    [anon_sym_shared] = ACTIONS(2603),
    [anon_sym_groupshared] = ACTIONS(2603),
    [anon_sym_uniform] = ACTIONS(2603),
    [anon_sym_row_major] = ACTIONS(2603),
    [anon_sym_column_major] = ACTIONS(2603),
    [anon_sym_globallycoherent] = ACTIONS(2603),
    [anon_sym_centroid] = ACTIONS(2603),
    [anon_sym_noperspective] = ACTIONS(2603),
    [anon_sym_nointerpolation] = ACTIONS(2603),
    [anon_sym_sample] = ACTIONS(2603),
    [anon_sym_linear] = ACTIONS(2603),
    [anon_sym_snorm] = ACTIONS(2603),
    [anon_sym_unorm] = ACTIONS(2603),
    [anon_sym_point] = ACTIONS(2603),
    [anon_sym_line] = ACTIONS(2603),
    [anon_sym_triangleadj] = ACTIONS(2603),
    [anon_sym_lineadj] = ACTIONS(2603),
    [anon_sym_triangle] = ACTIONS(2603),
    [anon_sym_cbuffer] = ACTIONS(2603),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2611),
    [aux_sym_preproc_include_token1] = ACTIONS(2611),
    [aux_sym_preproc_def_token1] = ACTIONS(2611),
    [aux_sym_preproc_if_token1] = ACTIONS(2611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2611),
    [sym_preproc_directive] = ACTIONS(2611),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2611),
    [anon_sym_PLUS] = ACTIONS(2611),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym___extension__] = ACTIONS(2611),
    [anon_sym_typedef] = ACTIONS(2611),
    [anon_sym_in] = ACTIONS(2611),
    [anon_sym_out] = ACTIONS(2611),
    [anon_sym_inout] = ACTIONS(2611),
    [anon_sym_virtual] = ACTIONS(2611),
    [anon_sym_extern] = ACTIONS(2611),
    [anon_sym___attribute__] = ACTIONS(2611),
    [anon_sym___attribute] = ACTIONS(2611),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2613),
    [anon_sym___declspec] = ACTIONS(2611),
    [anon_sym___based] = ACTIONS(2611),
    [anon_sym___cdecl] = ACTIONS(2611),
    [anon_sym___clrcall] = ACTIONS(2611),
    [anon_sym___stdcall] = ACTIONS(2611),
    [anon_sym___fastcall] = ACTIONS(2611),
    [anon_sym___thiscall] = ACTIONS(2611),
    [anon_sym___vectorcall] = ACTIONS(2611),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_signed] = ACTIONS(2611),
    [anon_sym_unsigned] = ACTIONS(2611),
    [anon_sym_long] = ACTIONS(2611),
    [anon_sym_short] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_static] = ACTIONS(2611),
    [anon_sym_register] = ACTIONS(2611),
    [anon_sym_inline] = ACTIONS(2611),
    [anon_sym___inline] = ACTIONS(2611),
    [anon_sym___inline__] = ACTIONS(2611),
    [anon_sym___forceinline] = ACTIONS(2611),
    [anon_sym_thread_local] = ACTIONS(2611),
    [anon_sym___thread] = ACTIONS(2611),
    [anon_sym_const] = ACTIONS(2611),
    [anon_sym_constexpr] = ACTIONS(2611),
    [anon_sym_volatile] = ACTIONS(2611),
    [anon_sym_restrict] = ACTIONS(2611),
    [anon_sym___restrict__] = ACTIONS(2611),
    [anon_sym__Atomic] = ACTIONS(2611),
    [anon_sym__Noreturn] = ACTIONS(2611),
    [anon_sym_noreturn] = ACTIONS(2611),
    [anon_sym__Nonnull] = ACTIONS(2611),
    [anon_sym_mutable] = ACTIONS(2611),
    [anon_sym_constinit] = ACTIONS(2611),
    [anon_sym_consteval] = ACTIONS(2611),
    [anon_sym_alignas] = ACTIONS(2611),
    [anon_sym__Alignas] = ACTIONS(2611),
    [sym_primitive_type] = ACTIONS(2611),
    [anon_sym_enum] = ACTIONS(2611),
    [anon_sym_class] = ACTIONS(2611),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2611),
    [anon_sym_if] = ACTIONS(2611),
    [anon_sym_switch] = ACTIONS(2611),
    [anon_sym_case] = ACTIONS(2611),
    [anon_sym_default] = ACTIONS(2611),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2611),
    [anon_sym_break] = ACTIONS(2611),
    [anon_sym_continue] = ACTIONS(2611),
    [anon_sym_goto] = ACTIONS(2611),
    [anon_sym___try] = ACTIONS(2611),
    [anon_sym___leave] = ACTIONS(2611),
    [anon_sym_not] = ACTIONS(2611),
    [anon_sym_compl] = ACTIONS(2611),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2611),
    [anon_sym___alignof] = ACTIONS(2611),
    [anon_sym__alignof] = ACTIONS(2611),
    [anon_sym_alignof] = ACTIONS(2611),
    [anon_sym__Alignof] = ACTIONS(2611),
    [anon_sym_offsetof] = ACTIONS(2611),
    [anon_sym__Generic] = ACTIONS(2611),
    [anon_sym_asm] = ACTIONS(2611),
    [anon_sym___asm__] = ACTIONS(2611),
    [anon_sym___asm] = ACTIONS(2611),
    [sym_number_literal] = ACTIONS(2613),
    [anon_sym_L_SQUOTE] = ACTIONS(2613),
    [anon_sym_u_SQUOTE] = ACTIONS(2613),
    [anon_sym_U_SQUOTE] = ACTIONS(2613),
    [anon_sym_u8_SQUOTE] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_L_DQUOTE] = ACTIONS(2613),
    [anon_sym_u_DQUOTE] = ACTIONS(2613),
    [anon_sym_U_DQUOTE] = ACTIONS(2613),
    [anon_sym_u8_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_true] = ACTIONS(2611),
    [sym_false] = ACTIONS(2611),
    [anon_sym_NULL] = ACTIONS(2611),
    [anon_sym_nullptr] = ACTIONS(2611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2611),
    [anon_sym_decltype] = ACTIONS(2611),
    [anon_sym_explicit] = ACTIONS(2611),
    [anon_sym_typename] = ACTIONS(2611),
    [anon_sym_template] = ACTIONS(2611),
    [anon_sym_operator] = ACTIONS(2611),
    [anon_sym_try] = ACTIONS(2611),
    [anon_sym_delete] = ACTIONS(2611),
    [anon_sym_throw] = ACTIONS(2611),
    [anon_sym_namespace] = ACTIONS(2611),
    [anon_sym_using] = ACTIONS(2611),
    [anon_sym_static_assert] = ACTIONS(2611),
    [anon_sym_concept] = ACTIONS(2611),
    [anon_sym_co_return] = ACTIONS(2611),
    [anon_sym_co_yield] = ACTIONS(2611),
    [anon_sym_R_DQUOTE] = ACTIONS(2613),
    [anon_sym_LR_DQUOTE] = ACTIONS(2613),
    [anon_sym_uR_DQUOTE] = ACTIONS(2613),
    [anon_sym_UR_DQUOTE] = ACTIONS(2613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2613),
    [anon_sym_co_await] = ACTIONS(2611),
    [anon_sym_new] = ACTIONS(2611),
    [anon_sym_requires] = ACTIONS(2611),
    [sym_this] = ACTIONS(2611),
    [anon_sym_discard] = ACTIONS(2611),
    [anon_sym_precise] = ACTIONS(2611),
    [anon_sym_shared] = ACTIONS(2611),
    [anon_sym_groupshared] = ACTIONS(2611),
    [anon_sym_uniform] = ACTIONS(2611),
    [anon_sym_row_major] = ACTIONS(2611),
    [anon_sym_column_major] = ACTIONS(2611),
    [anon_sym_globallycoherent] = ACTIONS(2611),
    [anon_sym_centroid] = ACTIONS(2611),
    [anon_sym_noperspective] = ACTIONS(2611),
    [anon_sym_nointerpolation] = ACTIONS(2611),
    [anon_sym_sample] = ACTIONS(2611),
    [anon_sym_linear] = ACTIONS(2611),
    [anon_sym_snorm] = ACTIONS(2611),
    [anon_sym_unorm] = ACTIONS(2611),
    [anon_sym_point] = ACTIONS(2611),
    [anon_sym_line] = ACTIONS(2611),
    [anon_sym_triangleadj] = ACTIONS(2611),
    [anon_sym_lineadj] = ACTIONS(2611),
    [anon_sym_triangle] = ACTIONS(2611),
    [anon_sym_cbuffer] = ACTIONS(2611),
  },
  [653] = {
    [sym_identifier] = ACTIONS(2615),
    [aux_sym_preproc_include_token1] = ACTIONS(2615),
    [aux_sym_preproc_def_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2615),
    [sym_preproc_directive] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2615),
    [anon_sym_typedef] = ACTIONS(2615),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_out] = ACTIONS(2615),
    [anon_sym_inout] = ACTIONS(2615),
    [anon_sym_virtual] = ACTIONS(2615),
    [anon_sym_extern] = ACTIONS(2615),
    [anon_sym___attribute__] = ACTIONS(2615),
    [anon_sym___attribute] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2617),
    [anon_sym___declspec] = ACTIONS(2615),
    [anon_sym___based] = ACTIONS(2615),
    [anon_sym___cdecl] = ACTIONS(2615),
    [anon_sym___clrcall] = ACTIONS(2615),
    [anon_sym___stdcall] = ACTIONS(2615),
    [anon_sym___fastcall] = ACTIONS(2615),
    [anon_sym___thiscall] = ACTIONS(2615),
    [anon_sym___vectorcall] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2615),
    [anon_sym_unsigned] = ACTIONS(2615),
    [anon_sym_long] = ACTIONS(2615),
    [anon_sym_short] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_register] = ACTIONS(2615),
    [anon_sym_inline] = ACTIONS(2615),
    [anon_sym___inline] = ACTIONS(2615),
    [anon_sym___inline__] = ACTIONS(2615),
    [anon_sym___forceinline] = ACTIONS(2615),
    [anon_sym_thread_local] = ACTIONS(2615),
    [anon_sym___thread] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_constexpr] = ACTIONS(2615),
    [anon_sym_volatile] = ACTIONS(2615),
    [anon_sym_restrict] = ACTIONS(2615),
    [anon_sym___restrict__] = ACTIONS(2615),
    [anon_sym__Atomic] = ACTIONS(2615),
    [anon_sym__Noreturn] = ACTIONS(2615),
    [anon_sym_noreturn] = ACTIONS(2615),
    [anon_sym__Nonnull] = ACTIONS(2615),
    [anon_sym_mutable] = ACTIONS(2615),
    [anon_sym_constinit] = ACTIONS(2615),
    [anon_sym_consteval] = ACTIONS(2615),
    [anon_sym_alignas] = ACTIONS(2615),
    [anon_sym__Alignas] = ACTIONS(2615),
    [sym_primitive_type] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_struct] = ACTIONS(2615),
    [anon_sym_union] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_default] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_goto] = ACTIONS(2615),
    [anon_sym___try] = ACTIONS(2615),
    [anon_sym___leave] = ACTIONS(2615),
    [anon_sym_not] = ACTIONS(2615),
    [anon_sym_compl] = ACTIONS(2615),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_sizeof] = ACTIONS(2615),
    [anon_sym___alignof__] = ACTIONS(2615),
    [anon_sym___alignof] = ACTIONS(2615),
    [anon_sym__alignof] = ACTIONS(2615),
    [anon_sym_alignof] = ACTIONS(2615),
    [anon_sym__Alignof] = ACTIONS(2615),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2615),
    [anon_sym_asm] = ACTIONS(2615),
    [anon_sym___asm__] = ACTIONS(2615),
    [anon_sym___asm] = ACTIONS(2615),
    [sym_number_literal] = ACTIONS(2617),
    [anon_sym_L_SQUOTE] = ACTIONS(2617),
    [anon_sym_u_SQUOTE] = ACTIONS(2617),
    [anon_sym_U_SQUOTE] = ACTIONS(2617),
    [anon_sym_u8_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_L_DQUOTE] = ACTIONS(2617),
    [anon_sym_u_DQUOTE] = ACTIONS(2617),
    [anon_sym_U_DQUOTE] = ACTIONS(2617),
    [anon_sym_u8_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [anon_sym_NULL] = ACTIONS(2615),
    [anon_sym_nullptr] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2615),
    [anon_sym_decltype] = ACTIONS(2615),
    [anon_sym_explicit] = ACTIONS(2615),
    [anon_sym_typename] = ACTIONS(2615),
    [anon_sym_template] = ACTIONS(2615),
    [anon_sym_operator] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_namespace] = ACTIONS(2615),
    [anon_sym_using] = ACTIONS(2615),
    [anon_sym_static_assert] = ACTIONS(2615),
    [anon_sym_concept] = ACTIONS(2615),
    [anon_sym_co_return] = ACTIONS(2615),
    [anon_sym_co_yield] = ACTIONS(2615),
    [anon_sym_R_DQUOTE] = ACTIONS(2617),
    [anon_sym_LR_DQUOTE] = ACTIONS(2617),
    [anon_sym_uR_DQUOTE] = ACTIONS(2617),
    [anon_sym_UR_DQUOTE] = ACTIONS(2617),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2617),
    [anon_sym_co_await] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_requires] = ACTIONS(2615),
    [sym_this] = ACTIONS(2615),
    [anon_sym_discard] = ACTIONS(2615),
    [anon_sym_precise] = ACTIONS(2615),
    [anon_sym_shared] = ACTIONS(2615),
    [anon_sym_groupshared] = ACTIONS(2615),
    [anon_sym_uniform] = ACTIONS(2615),
    [anon_sym_row_major] = ACTIONS(2615),
    [anon_sym_column_major] = ACTIONS(2615),
    [anon_sym_globallycoherent] = ACTIONS(2615),
    [anon_sym_centroid] = ACTIONS(2615),
    [anon_sym_noperspective] = ACTIONS(2615),
    [anon_sym_nointerpolation] = ACTIONS(2615),
    [anon_sym_sample] = ACTIONS(2615),
    [anon_sym_linear] = ACTIONS(2615),
    [anon_sym_snorm] = ACTIONS(2615),
    [anon_sym_unorm] = ACTIONS(2615),
    [anon_sym_point] = ACTIONS(2615),
    [anon_sym_line] = ACTIONS(2615),
    [anon_sym_triangleadj] = ACTIONS(2615),
    [anon_sym_lineadj] = ACTIONS(2615),
    [anon_sym_triangle] = ACTIONS(2615),
    [anon_sym_cbuffer] = ACTIONS(2615),
  },
  [654] = {
    [sym_identifier] = ACTIONS(2619),
    [aux_sym_preproc_include_token1] = ACTIONS(2619),
    [aux_sym_preproc_def_token1] = ACTIONS(2619),
    [aux_sym_preproc_if_token1] = ACTIONS(2619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2619),
    [sym_preproc_directive] = ACTIONS(2619),
    [anon_sym_LPAREN2] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym___extension__] = ACTIONS(2619),
    [anon_sym_typedef] = ACTIONS(2619),
    [anon_sym_in] = ACTIONS(2619),
    [anon_sym_out] = ACTIONS(2619),
    [anon_sym_inout] = ACTIONS(2619),
    [anon_sym_virtual] = ACTIONS(2619),
    [anon_sym_extern] = ACTIONS(2619),
    [anon_sym___attribute__] = ACTIONS(2619),
    [anon_sym___attribute] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2621),
    [anon_sym___declspec] = ACTIONS(2619),
    [anon_sym___based] = ACTIONS(2619),
    [anon_sym___cdecl] = ACTIONS(2619),
    [anon_sym___clrcall] = ACTIONS(2619),
    [anon_sym___stdcall] = ACTIONS(2619),
    [anon_sym___fastcall] = ACTIONS(2619),
    [anon_sym___thiscall] = ACTIONS(2619),
    [anon_sym___vectorcall] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_signed] = ACTIONS(2619),
    [anon_sym_unsigned] = ACTIONS(2619),
    [anon_sym_long] = ACTIONS(2619),
    [anon_sym_short] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [anon_sym_static] = ACTIONS(2619),
    [anon_sym_register] = ACTIONS(2619),
    [anon_sym_inline] = ACTIONS(2619),
    [anon_sym___inline] = ACTIONS(2619),
    [anon_sym___inline__] = ACTIONS(2619),
    [anon_sym___forceinline] = ACTIONS(2619),
    [anon_sym_thread_local] = ACTIONS(2619),
    [anon_sym___thread] = ACTIONS(2619),
    [anon_sym_const] = ACTIONS(2619),
    [anon_sym_constexpr] = ACTIONS(2619),
    [anon_sym_volatile] = ACTIONS(2619),
    [anon_sym_restrict] = ACTIONS(2619),
    [anon_sym___restrict__] = ACTIONS(2619),
    [anon_sym__Atomic] = ACTIONS(2619),
    [anon_sym__Noreturn] = ACTIONS(2619),
    [anon_sym_noreturn] = ACTIONS(2619),
    [anon_sym__Nonnull] = ACTIONS(2619),
    [anon_sym_mutable] = ACTIONS(2619),
    [anon_sym_constinit] = ACTIONS(2619),
    [anon_sym_consteval] = ACTIONS(2619),
    [anon_sym_alignas] = ACTIONS(2619),
    [anon_sym__Alignas] = ACTIONS(2619),
    [sym_primitive_type] = ACTIONS(2619),
    [anon_sym_enum] = ACTIONS(2619),
    [anon_sym_class] = ACTIONS(2619),
    [anon_sym_struct] = ACTIONS(2619),
    [anon_sym_union] = ACTIONS(2619),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_switch] = ACTIONS(2619),
    [anon_sym_case] = ACTIONS(2619),
    [anon_sym_default] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(2619),
    [anon_sym_do] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2619),
    [anon_sym_return] = ACTIONS(2619),
    [anon_sym_break] = ACTIONS(2619),
    [anon_sym_continue] = ACTIONS(2619),
    [anon_sym_goto] = ACTIONS(2619),
    [anon_sym___try] = ACTIONS(2619),
    [anon_sym___leave] = ACTIONS(2619),
    [anon_sym_not] = ACTIONS(2619),
    [anon_sym_compl] = ACTIONS(2619),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_sizeof] = ACTIONS(2619),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2619),
    [anon_sym__Generic] = ACTIONS(2619),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [sym_number_literal] = ACTIONS(2621),
    [anon_sym_L_SQUOTE] = ACTIONS(2621),
    [anon_sym_u_SQUOTE] = ACTIONS(2621),
    [anon_sym_U_SQUOTE] = ACTIONS(2621),
    [anon_sym_u8_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_L_DQUOTE] = ACTIONS(2621),
    [anon_sym_u_DQUOTE] = ACTIONS(2621),
    [anon_sym_U_DQUOTE] = ACTIONS(2621),
    [anon_sym_u8_DQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [sym_true] = ACTIONS(2619),
    [sym_false] = ACTIONS(2619),
    [anon_sym_NULL] = ACTIONS(2619),
    [anon_sym_nullptr] = ACTIONS(2619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2619),
    [anon_sym_decltype] = ACTIONS(2619),
    [anon_sym_explicit] = ACTIONS(2619),
    [anon_sym_typename] = ACTIONS(2619),
    [anon_sym_template] = ACTIONS(2619),
    [anon_sym_operator] = ACTIONS(2619),
    [anon_sym_try] = ACTIONS(2619),
    [anon_sym_delete] = ACTIONS(2619),
    [anon_sym_throw] = ACTIONS(2619),
    [anon_sym_namespace] = ACTIONS(2619),
    [anon_sym_using] = ACTIONS(2619),
    [anon_sym_static_assert] = ACTIONS(2619),
    [anon_sym_concept] = ACTIONS(2619),
    [anon_sym_co_return] = ACTIONS(2619),
    [anon_sym_co_yield] = ACTIONS(2619),
    [anon_sym_R_DQUOTE] = ACTIONS(2621),
    [anon_sym_LR_DQUOTE] = ACTIONS(2621),
    [anon_sym_uR_DQUOTE] = ACTIONS(2621),
    [anon_sym_UR_DQUOTE] = ACTIONS(2621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2621),
    [anon_sym_co_await] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2619),
    [anon_sym_requires] = ACTIONS(2619),
    [sym_this] = ACTIONS(2619),
    [anon_sym_discard] = ACTIONS(2619),
    [anon_sym_precise] = ACTIONS(2619),
    [anon_sym_shared] = ACTIONS(2619),
    [anon_sym_groupshared] = ACTIONS(2619),
    [anon_sym_uniform] = ACTIONS(2619),
    [anon_sym_row_major] = ACTIONS(2619),
    [anon_sym_column_major] = ACTIONS(2619),
    [anon_sym_globallycoherent] = ACTIONS(2619),
    [anon_sym_centroid] = ACTIONS(2619),
    [anon_sym_noperspective] = ACTIONS(2619),
    [anon_sym_nointerpolation] = ACTIONS(2619),
    [anon_sym_sample] = ACTIONS(2619),
    [anon_sym_linear] = ACTIONS(2619),
    [anon_sym_snorm] = ACTIONS(2619),
    [anon_sym_unorm] = ACTIONS(2619),
    [anon_sym_point] = ACTIONS(2619),
    [anon_sym_line] = ACTIONS(2619),
    [anon_sym_triangleadj] = ACTIONS(2619),
    [anon_sym_lineadj] = ACTIONS(2619),
    [anon_sym_triangle] = ACTIONS(2619),
    [anon_sym_cbuffer] = ACTIONS(2619),
  },
  [655] = {
    [sym_identifier] = ACTIONS(2623),
    [aux_sym_preproc_include_token1] = ACTIONS(2623),
    [aux_sym_preproc_def_token1] = ACTIONS(2623),
    [aux_sym_preproc_if_token1] = ACTIONS(2623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2623),
    [sym_preproc_directive] = ACTIONS(2623),
    [anon_sym_LPAREN2] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym___extension__] = ACTIONS(2623),
    [anon_sym_typedef] = ACTIONS(2623),
    [anon_sym_in] = ACTIONS(2623),
    [anon_sym_out] = ACTIONS(2623),
    [anon_sym_inout] = ACTIONS(2623),
    [anon_sym_virtual] = ACTIONS(2623),
    [anon_sym_extern] = ACTIONS(2623),
    [anon_sym___attribute__] = ACTIONS(2623),
    [anon_sym___attribute] = ACTIONS(2623),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2625),
    [anon_sym___declspec] = ACTIONS(2623),
    [anon_sym___based] = ACTIONS(2623),
    [anon_sym___cdecl] = ACTIONS(2623),
    [anon_sym___clrcall] = ACTIONS(2623),
    [anon_sym___stdcall] = ACTIONS(2623),
    [anon_sym___fastcall] = ACTIONS(2623),
    [anon_sym___thiscall] = ACTIONS(2623),
    [anon_sym___vectorcall] = ACTIONS(2623),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2625),
    [anon_sym_signed] = ACTIONS(2623),
    [anon_sym_unsigned] = ACTIONS(2623),
    [anon_sym_long] = ACTIONS(2623),
    [anon_sym_short] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [anon_sym_static] = ACTIONS(2623),
    [anon_sym_register] = ACTIONS(2623),
    [anon_sym_inline] = ACTIONS(2623),
    [anon_sym___inline] = ACTIONS(2623),
    [anon_sym___inline__] = ACTIONS(2623),
    [anon_sym___forceinline] = ACTIONS(2623),
    [anon_sym_thread_local] = ACTIONS(2623),
    [anon_sym___thread] = ACTIONS(2623),
    [anon_sym_const] = ACTIONS(2623),
    [anon_sym_constexpr] = ACTIONS(2623),
    [anon_sym_volatile] = ACTIONS(2623),
    [anon_sym_restrict] = ACTIONS(2623),
    [anon_sym___restrict__] = ACTIONS(2623),
    [anon_sym__Atomic] = ACTIONS(2623),
    [anon_sym__Noreturn] = ACTIONS(2623),
    [anon_sym_noreturn] = ACTIONS(2623),
    [anon_sym__Nonnull] = ACTIONS(2623),
    [anon_sym_mutable] = ACTIONS(2623),
    [anon_sym_constinit] = ACTIONS(2623),
    [anon_sym_consteval] = ACTIONS(2623),
    [anon_sym_alignas] = ACTIONS(2623),
    [anon_sym__Alignas] = ACTIONS(2623),
    [sym_primitive_type] = ACTIONS(2623),
    [anon_sym_enum] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(2623),
    [anon_sym_struct] = ACTIONS(2623),
    [anon_sym_union] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_switch] = ACTIONS(2623),
    [anon_sym_case] = ACTIONS(2623),
    [anon_sym_default] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2623),
    [anon_sym_for] = ACTIONS(2623),
    [anon_sym_return] = ACTIONS(2623),
    [anon_sym_break] = ACTIONS(2623),
    [anon_sym_continue] = ACTIONS(2623),
    [anon_sym_goto] = ACTIONS(2623),
    [anon_sym___try] = ACTIONS(2623),
    [anon_sym___leave] = ACTIONS(2623),
    [anon_sym_not] = ACTIONS(2623),
    [anon_sym_compl] = ACTIONS(2623),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_sizeof] = ACTIONS(2623),
    [anon_sym___alignof__] = ACTIONS(2623),
    [anon_sym___alignof] = ACTIONS(2623),
    [anon_sym__alignof] = ACTIONS(2623),
    [anon_sym_alignof] = ACTIONS(2623),
    [anon_sym__Alignof] = ACTIONS(2623),
    [anon_sym_offsetof] = ACTIONS(2623),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2623),
    [anon_sym___asm__] = ACTIONS(2623),
    [anon_sym___asm] = ACTIONS(2623),
    [sym_number_literal] = ACTIONS(2625),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2625),
    [anon_sym_u_DQUOTE] = ACTIONS(2625),
    [anon_sym_U_DQUOTE] = ACTIONS(2625),
    [anon_sym_u8_DQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [sym_true] = ACTIONS(2623),
    [sym_false] = ACTIONS(2623),
    [anon_sym_NULL] = ACTIONS(2623),
    [anon_sym_nullptr] = ACTIONS(2623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2623),
    [anon_sym_decltype] = ACTIONS(2623),
    [anon_sym_explicit] = ACTIONS(2623),
    [anon_sym_typename] = ACTIONS(2623),
    [anon_sym_template] = ACTIONS(2623),
    [anon_sym_operator] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_delete] = ACTIONS(2623),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_namespace] = ACTIONS(2623),
    [anon_sym_using] = ACTIONS(2623),
    [anon_sym_static_assert] = ACTIONS(2623),
    [anon_sym_concept] = ACTIONS(2623),
    [anon_sym_co_return] = ACTIONS(2623),
    [anon_sym_co_yield] = ACTIONS(2623),
    [anon_sym_R_DQUOTE] = ACTIONS(2625),
    [anon_sym_LR_DQUOTE] = ACTIONS(2625),
    [anon_sym_uR_DQUOTE] = ACTIONS(2625),
    [anon_sym_UR_DQUOTE] = ACTIONS(2625),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2625),
    [anon_sym_co_await] = ACTIONS(2623),
    [anon_sym_new] = ACTIONS(2623),
    [anon_sym_requires] = ACTIONS(2623),
    [sym_this] = ACTIONS(2623),
    [anon_sym_discard] = ACTIONS(2623),
    [anon_sym_precise] = ACTIONS(2623),
    [anon_sym_shared] = ACTIONS(2623),
    [anon_sym_groupshared] = ACTIONS(2623),
    [anon_sym_uniform] = ACTIONS(2623),
    [anon_sym_row_major] = ACTIONS(2623),
    [anon_sym_column_major] = ACTIONS(2623),
    [anon_sym_globallycoherent] = ACTIONS(2623),
    [anon_sym_centroid] = ACTIONS(2623),
    [anon_sym_noperspective] = ACTIONS(2623),
    [anon_sym_nointerpolation] = ACTIONS(2623),
    [anon_sym_sample] = ACTIONS(2623),
    [anon_sym_linear] = ACTIONS(2623),
    [anon_sym_snorm] = ACTIONS(2623),
    [anon_sym_unorm] = ACTIONS(2623),
    [anon_sym_point] = ACTIONS(2623),
    [anon_sym_line] = ACTIONS(2623),
    [anon_sym_triangleadj] = ACTIONS(2623),
    [anon_sym_lineadj] = ACTIONS(2623),
    [anon_sym_triangle] = ACTIONS(2623),
    [anon_sym_cbuffer] = ACTIONS(2623),
  },
  [656] = {
    [sym_identifier] = ACTIONS(2643),
    [aux_sym_preproc_include_token1] = ACTIONS(2643),
    [aux_sym_preproc_def_token1] = ACTIONS(2643),
    [aux_sym_preproc_if_token1] = ACTIONS(2643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2643),
    [sym_preproc_directive] = ACTIONS(2643),
    [anon_sym_LPAREN2] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym___extension__] = ACTIONS(2643),
    [anon_sym_typedef] = ACTIONS(2643),
    [anon_sym_in] = ACTIONS(2643),
    [anon_sym_out] = ACTIONS(2643),
    [anon_sym_inout] = ACTIONS(2643),
    [anon_sym_virtual] = ACTIONS(2643),
    [anon_sym_extern] = ACTIONS(2643),
    [anon_sym___attribute__] = ACTIONS(2643),
    [anon_sym___attribute] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2645),
    [anon_sym___declspec] = ACTIONS(2643),
    [anon_sym___based] = ACTIONS(2643),
    [anon_sym___cdecl] = ACTIONS(2643),
    [anon_sym___clrcall] = ACTIONS(2643),
    [anon_sym___stdcall] = ACTIONS(2643),
    [anon_sym___fastcall] = ACTIONS(2643),
    [anon_sym___thiscall] = ACTIONS(2643),
    [anon_sym___vectorcall] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_RBRACE] = ACTIONS(2645),
    [anon_sym_signed] = ACTIONS(2643),
    [anon_sym_unsigned] = ACTIONS(2643),
    [anon_sym_long] = ACTIONS(2643),
    [anon_sym_short] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_register] = ACTIONS(2643),
    [anon_sym_inline] = ACTIONS(2643),
    [anon_sym___inline] = ACTIONS(2643),
    [anon_sym___inline__] = ACTIONS(2643),
    [anon_sym___forceinline] = ACTIONS(2643),
    [anon_sym_thread_local] = ACTIONS(2643),
    [anon_sym___thread] = ACTIONS(2643),
    [anon_sym_const] = ACTIONS(2643),
    [anon_sym_constexpr] = ACTIONS(2643),
    [anon_sym_volatile] = ACTIONS(2643),
    [anon_sym_restrict] = ACTIONS(2643),
    [anon_sym___restrict__] = ACTIONS(2643),
    [anon_sym__Atomic] = ACTIONS(2643),
    [anon_sym__Noreturn] = ACTIONS(2643),
    [anon_sym_noreturn] = ACTIONS(2643),
    [anon_sym__Nonnull] = ACTIONS(2643),
    [anon_sym_mutable] = ACTIONS(2643),
    [anon_sym_constinit] = ACTIONS(2643),
    [anon_sym_consteval] = ACTIONS(2643),
    [anon_sym_alignas] = ACTIONS(2643),
    [anon_sym__Alignas] = ACTIONS(2643),
    [sym_primitive_type] = ACTIONS(2643),
    [anon_sym_enum] = ACTIONS(2643),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_struct] = ACTIONS(2643),
    [anon_sym_union] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_switch] = ACTIONS(2643),
    [anon_sym_case] = ACTIONS(2643),
    [anon_sym_default] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_do] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2643),
    [anon_sym_goto] = ACTIONS(2643),
    [anon_sym___try] = ACTIONS(2643),
    [anon_sym___leave] = ACTIONS(2643),
    [anon_sym_not] = ACTIONS(2643),
    [anon_sym_compl] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_sizeof] = ACTIONS(2643),
    [anon_sym___alignof__] = ACTIONS(2643),
    [anon_sym___alignof] = ACTIONS(2643),
    [anon_sym__alignof] = ACTIONS(2643),
    [anon_sym_alignof] = ACTIONS(2643),
    [anon_sym__Alignof] = ACTIONS(2643),
    [anon_sym_offsetof] = ACTIONS(2643),
    [anon_sym__Generic] = ACTIONS(2643),
    [anon_sym_asm] = ACTIONS(2643),
    [anon_sym___asm__] = ACTIONS(2643),
    [anon_sym___asm] = ACTIONS(2643),
    [sym_number_literal] = ACTIONS(2645),
    [anon_sym_L_SQUOTE] = ACTIONS(2645),
    [anon_sym_u_SQUOTE] = ACTIONS(2645),
    [anon_sym_U_SQUOTE] = ACTIONS(2645),
    [anon_sym_u8_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_L_DQUOTE] = ACTIONS(2645),
    [anon_sym_u_DQUOTE] = ACTIONS(2645),
    [anon_sym_U_DQUOTE] = ACTIONS(2645),
    [anon_sym_u8_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [anon_sym_NULL] = ACTIONS(2643),
    [anon_sym_nullptr] = ACTIONS(2643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2643),
    [anon_sym_decltype] = ACTIONS(2643),
    [anon_sym_explicit] = ACTIONS(2643),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(2643),
    [anon_sym_operator] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_delete] = ACTIONS(2643),
    [anon_sym_throw] = ACTIONS(2643),
    [anon_sym_namespace] = ACTIONS(2643),
    [anon_sym_using] = ACTIONS(2643),
    [anon_sym_static_assert] = ACTIONS(2643),
    [anon_sym_concept] = ACTIONS(2643),
    [anon_sym_co_return] = ACTIONS(2643),
    [anon_sym_co_yield] = ACTIONS(2643),
    [anon_sym_R_DQUOTE] = ACTIONS(2645),
    [anon_sym_LR_DQUOTE] = ACTIONS(2645),
    [anon_sym_uR_DQUOTE] = ACTIONS(2645),
    [anon_sym_UR_DQUOTE] = ACTIONS(2645),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2645),
    [anon_sym_co_await] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2643),
    [anon_sym_requires] = ACTIONS(2643),
    [sym_this] = ACTIONS(2643),
    [anon_sym_discard] = ACTIONS(2643),
    [anon_sym_precise] = ACTIONS(2643),
    [anon_sym_shared] = ACTIONS(2643),
    [anon_sym_groupshared] = ACTIONS(2643),
    [anon_sym_uniform] = ACTIONS(2643),
    [anon_sym_row_major] = ACTIONS(2643),
    [anon_sym_column_major] = ACTIONS(2643),
    [anon_sym_globallycoherent] = ACTIONS(2643),
    [anon_sym_centroid] = ACTIONS(2643),
    [anon_sym_noperspective] = ACTIONS(2643),
    [anon_sym_nointerpolation] = ACTIONS(2643),
    [anon_sym_sample] = ACTIONS(2643),
    [anon_sym_linear] = ACTIONS(2643),
    [anon_sym_snorm] = ACTIONS(2643),
    [anon_sym_unorm] = ACTIONS(2643),
    [anon_sym_point] = ACTIONS(2643),
    [anon_sym_line] = ACTIONS(2643),
    [anon_sym_triangleadj] = ACTIONS(2643),
    [anon_sym_lineadj] = ACTIONS(2643),
    [anon_sym_triangle] = ACTIONS(2643),
    [anon_sym_cbuffer] = ACTIONS(2643),
  },
  [657] = {
    [sym_identifier] = ACTIONS(2458),
    [aux_sym_preproc_include_token1] = ACTIONS(2458),
    [aux_sym_preproc_def_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2458),
    [sym_preproc_directive] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym___extension__] = ACTIONS(2458),
    [anon_sym_typedef] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2458),
    [anon_sym_out] = ACTIONS(2458),
    [anon_sym_inout] = ACTIONS(2458),
    [anon_sym_virtual] = ACTIONS(2458),
    [anon_sym_extern] = ACTIONS(2458),
    [anon_sym___attribute__] = ACTIONS(2458),
    [anon_sym___attribute] = ACTIONS(2458),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2460),
    [anon_sym___declspec] = ACTIONS(2458),
    [anon_sym___based] = ACTIONS(2458),
    [anon_sym___cdecl] = ACTIONS(2458),
    [anon_sym___clrcall] = ACTIONS(2458),
    [anon_sym___stdcall] = ACTIONS(2458),
    [anon_sym___fastcall] = ACTIONS(2458),
    [anon_sym___thiscall] = ACTIONS(2458),
    [anon_sym___vectorcall] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2458),
    [anon_sym_unsigned] = ACTIONS(2458),
    [anon_sym_long] = ACTIONS(2458),
    [anon_sym_short] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_register] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(2458),
    [anon_sym___inline] = ACTIONS(2458),
    [anon_sym___inline__] = ACTIONS(2458),
    [anon_sym___forceinline] = ACTIONS(2458),
    [anon_sym_thread_local] = ACTIONS(2458),
    [anon_sym___thread] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_constexpr] = ACTIONS(2458),
    [anon_sym_volatile] = ACTIONS(2458),
    [anon_sym_restrict] = ACTIONS(2458),
    [anon_sym___restrict__] = ACTIONS(2458),
    [anon_sym__Atomic] = ACTIONS(2458),
    [anon_sym__Noreturn] = ACTIONS(2458),
    [anon_sym_noreturn] = ACTIONS(2458),
    [anon_sym__Nonnull] = ACTIONS(2458),
    [anon_sym_mutable] = ACTIONS(2458),
    [anon_sym_constinit] = ACTIONS(2458),
    [anon_sym_consteval] = ACTIONS(2458),
    [anon_sym_alignas] = ACTIONS(2458),
    [anon_sym__Alignas] = ACTIONS(2458),
    [sym_primitive_type] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_struct] = ACTIONS(2458),
    [anon_sym_union] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_case] = ACTIONS(2458),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_goto] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2458),
    [anon_sym_compl] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2458),
    [anon_sym___alignof] = ACTIONS(2458),
    [anon_sym__alignof] = ACTIONS(2458),
    [anon_sym_alignof] = ACTIONS(2458),
    [anon_sym__Alignof] = ACTIONS(2458),
    [anon_sym_offsetof] = ACTIONS(2458),
    [anon_sym__Generic] = ACTIONS(2458),
    [anon_sym_asm] = ACTIONS(2458),
    [anon_sym___asm__] = ACTIONS(2458),
    [anon_sym___asm] = ACTIONS(2458),
    [sym_number_literal] = ACTIONS(2460),
    [anon_sym_L_SQUOTE] = ACTIONS(2460),
    [anon_sym_u_SQUOTE] = ACTIONS(2460),
    [anon_sym_U_SQUOTE] = ACTIONS(2460),
    [anon_sym_u8_SQUOTE] = ACTIONS(2460),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [anon_sym_L_DQUOTE] = ACTIONS(2460),
    [anon_sym_u_DQUOTE] = ACTIONS(2460),
    [anon_sym_U_DQUOTE] = ACTIONS(2460),
    [anon_sym_u8_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [anon_sym_NULL] = ACTIONS(2458),
    [anon_sym_nullptr] = ACTIONS(2458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2458),
    [anon_sym_decltype] = ACTIONS(2458),
    [anon_sym_explicit] = ACTIONS(2458),
    [anon_sym_typename] = ACTIONS(2458),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_operator] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_static_assert] = ACTIONS(2458),
    [anon_sym_concept] = ACTIONS(2458),
    [anon_sym_co_return] = ACTIONS(2458),
    [anon_sym_co_yield] = ACTIONS(2458),
    [anon_sym_R_DQUOTE] = ACTIONS(2460),
    [anon_sym_LR_DQUOTE] = ACTIONS(2460),
    [anon_sym_uR_DQUOTE] = ACTIONS(2460),
    [anon_sym_UR_DQUOTE] = ACTIONS(2460),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2460),
    [anon_sym_co_await] = ACTIONS(2458),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [anon_sym_discard] = ACTIONS(2458),
    [anon_sym_precise] = ACTIONS(2458),
    [anon_sym_shared] = ACTIONS(2458),
    [anon_sym_groupshared] = ACTIONS(2458),
    [anon_sym_uniform] = ACTIONS(2458),
    [anon_sym_row_major] = ACTIONS(2458),
    [anon_sym_column_major] = ACTIONS(2458),
    [anon_sym_globallycoherent] = ACTIONS(2458),
    [anon_sym_centroid] = ACTIONS(2458),
    [anon_sym_noperspective] = ACTIONS(2458),
    [anon_sym_nointerpolation] = ACTIONS(2458),
    [anon_sym_sample] = ACTIONS(2458),
    [anon_sym_linear] = ACTIONS(2458),
    [anon_sym_snorm] = ACTIONS(2458),
    [anon_sym_unorm] = ACTIONS(2458),
    [anon_sym_point] = ACTIONS(2458),
    [anon_sym_line] = ACTIONS(2458),
    [anon_sym_triangleadj] = ACTIONS(2458),
    [anon_sym_lineadj] = ACTIONS(2458),
    [anon_sym_triangle] = ACTIONS(2458),
    [anon_sym_cbuffer] = ACTIONS(2458),
  },
  [658] = {
    [sym_identifier] = ACTIONS(2647),
    [aux_sym_preproc_include_token1] = ACTIONS(2647),
    [aux_sym_preproc_def_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token2] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2647),
    [sym_preproc_directive] = ACTIONS(2647),
    [anon_sym_LPAREN2] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2647),
    [anon_sym_typedef] = ACTIONS(2647),
    [anon_sym_in] = ACTIONS(2647),
    [anon_sym_out] = ACTIONS(2647),
    [anon_sym_inout] = ACTIONS(2647),
    [anon_sym_virtual] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym___attribute__] = ACTIONS(2647),
    [anon_sym___attribute] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2649),
    [anon_sym___declspec] = ACTIONS(2647),
    [anon_sym___based] = ACTIONS(2647),
    [anon_sym___cdecl] = ACTIONS(2647),
    [anon_sym___clrcall] = ACTIONS(2647),
    [anon_sym___stdcall] = ACTIONS(2647),
    [anon_sym___fastcall] = ACTIONS(2647),
    [anon_sym___thiscall] = ACTIONS(2647),
    [anon_sym___vectorcall] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_signed] = ACTIONS(2647),
    [anon_sym_unsigned] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_register] = ACTIONS(2647),
    [anon_sym_inline] = ACTIONS(2647),
    [anon_sym___inline] = ACTIONS(2647),
    [anon_sym___inline__] = ACTIONS(2647),
    [anon_sym___forceinline] = ACTIONS(2647),
    [anon_sym_thread_local] = ACTIONS(2647),
    [anon_sym___thread] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_constexpr] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_restrict] = ACTIONS(2647),
    [anon_sym___restrict__] = ACTIONS(2647),
    [anon_sym__Atomic] = ACTIONS(2647),
    [anon_sym__Noreturn] = ACTIONS(2647),
    [anon_sym_noreturn] = ACTIONS(2647),
    [anon_sym__Nonnull] = ACTIONS(2647),
    [anon_sym_mutable] = ACTIONS(2647),
    [anon_sym_constinit] = ACTIONS(2647),
    [anon_sym_consteval] = ACTIONS(2647),
    [anon_sym_alignas] = ACTIONS(2647),
    [anon_sym__Alignas] = ACTIONS(2647),
    [sym_primitive_type] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(2647),
    [anon_sym_switch] = ACTIONS(2647),
    [anon_sym_case] = ACTIONS(2647),
    [anon_sym_default] = ACTIONS(2647),
    [anon_sym_while] = ACTIONS(2647),
    [anon_sym_do] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2647),
    [anon_sym_return] = ACTIONS(2647),
    [anon_sym_break] = ACTIONS(2647),
    [anon_sym_continue] = ACTIONS(2647),
    [anon_sym_goto] = ACTIONS(2647),
    [anon_sym___try] = ACTIONS(2647),
    [anon_sym___leave] = ACTIONS(2647),
    [anon_sym_not] = ACTIONS(2647),
    [anon_sym_compl] = ACTIONS(2647),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_sizeof] = ACTIONS(2647),
    [anon_sym___alignof__] = ACTIONS(2647),
    [anon_sym___alignof] = ACTIONS(2647),
    [anon_sym__alignof] = ACTIONS(2647),
    [anon_sym_alignof] = ACTIONS(2647),
    [anon_sym__Alignof] = ACTIONS(2647),
    [anon_sym_offsetof] = ACTIONS(2647),
    [anon_sym__Generic] = ACTIONS(2647),
    [anon_sym_asm] = ACTIONS(2647),
    [anon_sym___asm__] = ACTIONS(2647),
    [anon_sym___asm] = ACTIONS(2647),
    [sym_number_literal] = ACTIONS(2649),
    [anon_sym_L_SQUOTE] = ACTIONS(2649),
    [anon_sym_u_SQUOTE] = ACTIONS(2649),
    [anon_sym_U_SQUOTE] = ACTIONS(2649),
    [anon_sym_u8_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_L_DQUOTE] = ACTIONS(2649),
    [anon_sym_u_DQUOTE] = ACTIONS(2649),
    [anon_sym_U_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_true] = ACTIONS(2647),
    [sym_false] = ACTIONS(2647),
    [anon_sym_NULL] = ACTIONS(2647),
    [anon_sym_nullptr] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2647),
    [anon_sym_decltype] = ACTIONS(2647),
    [anon_sym_explicit] = ACTIONS(2647),
    [anon_sym_typename] = ACTIONS(2647),
    [anon_sym_template] = ACTIONS(2647),
    [anon_sym_operator] = ACTIONS(2647),
    [anon_sym_try] = ACTIONS(2647),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_throw] = ACTIONS(2647),
    [anon_sym_namespace] = ACTIONS(2647),
    [anon_sym_using] = ACTIONS(2647),
    [anon_sym_static_assert] = ACTIONS(2647),
    [anon_sym_concept] = ACTIONS(2647),
    [anon_sym_co_return] = ACTIONS(2647),
    [anon_sym_co_yield] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2647),
    [sym_this] = ACTIONS(2647),
    [anon_sym_discard] = ACTIONS(2647),
    [anon_sym_precise] = ACTIONS(2647),
    [anon_sym_shared] = ACTIONS(2647),
    [anon_sym_groupshared] = ACTIONS(2647),
    [anon_sym_uniform] = ACTIONS(2647),
    [anon_sym_row_major] = ACTIONS(2647),
    [anon_sym_column_major] = ACTIONS(2647),
    [anon_sym_globallycoherent] = ACTIONS(2647),
    [anon_sym_centroid] = ACTIONS(2647),
    [anon_sym_noperspective] = ACTIONS(2647),
    [anon_sym_nointerpolation] = ACTIONS(2647),
    [anon_sym_sample] = ACTIONS(2647),
    [anon_sym_linear] = ACTIONS(2647),
    [anon_sym_snorm] = ACTIONS(2647),
    [anon_sym_unorm] = ACTIONS(2647),
    [anon_sym_point] = ACTIONS(2647),
    [anon_sym_line] = ACTIONS(2647),
    [anon_sym_triangleadj] = ACTIONS(2647),
    [anon_sym_lineadj] = ACTIONS(2647),
    [anon_sym_triangle] = ACTIONS(2647),
    [anon_sym_cbuffer] = ACTIONS(2647),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2378),
    [aux_sym_preproc_include_token1] = ACTIONS(2378),
    [aux_sym_preproc_def_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token2] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2378),
    [sym_preproc_directive] = ACTIONS(2378),
    [anon_sym_LPAREN2] = ACTIONS(2380),
    [anon_sym_BANG] = ACTIONS(2380),
    [anon_sym_TILDE] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2380),
    [anon_sym___extension__] = ACTIONS(2378),
    [anon_sym_typedef] = ACTIONS(2378),
    [anon_sym_in] = ACTIONS(2378),
    [anon_sym_out] = ACTIONS(2378),
    [anon_sym_inout] = ACTIONS(2378),
    [anon_sym_virtual] = ACTIONS(2378),
    [anon_sym_extern] = ACTIONS(2378),
    [anon_sym___attribute__] = ACTIONS(2378),
    [anon_sym___attribute] = ACTIONS(2378),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2380),
    [anon_sym___declspec] = ACTIONS(2378),
    [anon_sym___based] = ACTIONS(2378),
    [anon_sym___cdecl] = ACTIONS(2378),
    [anon_sym___clrcall] = ACTIONS(2378),
    [anon_sym___stdcall] = ACTIONS(2378),
    [anon_sym___fastcall] = ACTIONS(2378),
    [anon_sym___thiscall] = ACTIONS(2378),
    [anon_sym___vectorcall] = ACTIONS(2378),
    [anon_sym_LBRACE] = ACTIONS(2380),
    [anon_sym_signed] = ACTIONS(2378),
    [anon_sym_unsigned] = ACTIONS(2378),
    [anon_sym_long] = ACTIONS(2378),
    [anon_sym_short] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_register] = ACTIONS(2378),
    [anon_sym_inline] = ACTIONS(2378),
    [anon_sym___inline] = ACTIONS(2378),
    [anon_sym___inline__] = ACTIONS(2378),
    [anon_sym___forceinline] = ACTIONS(2378),
    [anon_sym_thread_local] = ACTIONS(2378),
    [anon_sym___thread] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_constexpr] = ACTIONS(2378),
    [anon_sym_volatile] = ACTIONS(2378),
    [anon_sym_restrict] = ACTIONS(2378),
    [anon_sym___restrict__] = ACTIONS(2378),
    [anon_sym__Atomic] = ACTIONS(2378),
    [anon_sym__Noreturn] = ACTIONS(2378),
    [anon_sym_noreturn] = ACTIONS(2378),
    [anon_sym__Nonnull] = ACTIONS(2378),
    [anon_sym_mutable] = ACTIONS(2378),
    [anon_sym_constinit] = ACTIONS(2378),
    [anon_sym_consteval] = ACTIONS(2378),
    [anon_sym_alignas] = ACTIONS(2378),
    [anon_sym__Alignas] = ACTIONS(2378),
    [sym_primitive_type] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_struct] = ACTIONS(2378),
    [anon_sym_union] = ACTIONS(2378),
    [anon_sym_if] = ACTIONS(2378),
    [anon_sym_switch] = ACTIONS(2378),
    [anon_sym_case] = ACTIONS(2378),
    [anon_sym_default] = ACTIONS(2378),
    [anon_sym_while] = ACTIONS(2378),
    [anon_sym_do] = ACTIONS(2378),
    [anon_sym_for] = ACTIONS(2378),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_break] = ACTIONS(2378),
    [anon_sym_continue] = ACTIONS(2378),
    [anon_sym_goto] = ACTIONS(2378),
    [anon_sym___try] = ACTIONS(2378),
    [anon_sym___leave] = ACTIONS(2378),
    [anon_sym_not] = ACTIONS(2378),
    [anon_sym_compl] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2378),
    [anon_sym___alignof__] = ACTIONS(2378),
    [anon_sym___alignof] = ACTIONS(2378),
    [anon_sym__alignof] = ACTIONS(2378),
    [anon_sym_alignof] = ACTIONS(2378),
    [anon_sym__Alignof] = ACTIONS(2378),
    [anon_sym_offsetof] = ACTIONS(2378),
    [anon_sym__Generic] = ACTIONS(2378),
    [anon_sym_asm] = ACTIONS(2378),
    [anon_sym___asm__] = ACTIONS(2378),
    [anon_sym___asm] = ACTIONS(2378),
    [sym_number_literal] = ACTIONS(2380),
    [anon_sym_L_SQUOTE] = ACTIONS(2380),
    [anon_sym_u_SQUOTE] = ACTIONS(2380),
    [anon_sym_U_SQUOTE] = ACTIONS(2380),
    [anon_sym_u8_SQUOTE] = ACTIONS(2380),
    [anon_sym_SQUOTE] = ACTIONS(2380),
    [anon_sym_L_DQUOTE] = ACTIONS(2380),
    [anon_sym_u_DQUOTE] = ACTIONS(2380),
    [anon_sym_U_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8_DQUOTE] = ACTIONS(2380),
    [anon_sym_DQUOTE] = ACTIONS(2380),
    [sym_true] = ACTIONS(2378),
    [sym_false] = ACTIONS(2378),
    [anon_sym_NULL] = ACTIONS(2378),
    [anon_sym_nullptr] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2378),
    [anon_sym_decltype] = ACTIONS(2378),
    [anon_sym_explicit] = ACTIONS(2378),
    [anon_sym_typename] = ACTIONS(2378),
    [anon_sym_template] = ACTIONS(2378),
    [anon_sym_operator] = ACTIONS(2378),
    [anon_sym_try] = ACTIONS(2378),
    [anon_sym_delete] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2378),
    [anon_sym_namespace] = ACTIONS(2378),
    [anon_sym_using] = ACTIONS(2378),
    [anon_sym_static_assert] = ACTIONS(2378),
    [anon_sym_concept] = ACTIONS(2378),
    [anon_sym_co_return] = ACTIONS(2378),
    [anon_sym_co_yield] = ACTIONS(2378),
    [anon_sym_R_DQUOTE] = ACTIONS(2380),
    [anon_sym_LR_DQUOTE] = ACTIONS(2380),
    [anon_sym_uR_DQUOTE] = ACTIONS(2380),
    [anon_sym_UR_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2380),
    [anon_sym_co_await] = ACTIONS(2378),
    [anon_sym_new] = ACTIONS(2378),
    [anon_sym_requires] = ACTIONS(2378),
    [sym_this] = ACTIONS(2378),
    [anon_sym_discard] = ACTIONS(2378),
    [anon_sym_precise] = ACTIONS(2378),
    [anon_sym_shared] = ACTIONS(2378),
    [anon_sym_groupshared] = ACTIONS(2378),
    [anon_sym_uniform] = ACTIONS(2378),
    [anon_sym_row_major] = ACTIONS(2378),
    [anon_sym_column_major] = ACTIONS(2378),
    [anon_sym_globallycoherent] = ACTIONS(2378),
    [anon_sym_centroid] = ACTIONS(2378),
    [anon_sym_noperspective] = ACTIONS(2378),
    [anon_sym_nointerpolation] = ACTIONS(2378),
    [anon_sym_sample] = ACTIONS(2378),
    [anon_sym_linear] = ACTIONS(2378),
    [anon_sym_snorm] = ACTIONS(2378),
    [anon_sym_unorm] = ACTIONS(2378),
    [anon_sym_point] = ACTIONS(2378),
    [anon_sym_line] = ACTIONS(2378),
    [anon_sym_triangleadj] = ACTIONS(2378),
    [anon_sym_lineadj] = ACTIONS(2378),
    [anon_sym_triangle] = ACTIONS(2378),
    [anon_sym_cbuffer] = ACTIONS(2378),
  },
  [660] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_include_token1] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym___cdecl] = ACTIONS(2414),
    [anon_sym___clrcall] = ACTIONS(2414),
    [anon_sym___stdcall] = ACTIONS(2414),
    [anon_sym___fastcall] = ACTIONS(2414),
    [anon_sym___thiscall] = ACTIONS(2414),
    [anon_sym___vectorcall] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_switch] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(2414),
    [anon_sym_default] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_break] = ACTIONS(2414),
    [anon_sym_continue] = ACTIONS(2414),
    [anon_sym_goto] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2414),
    [anon_sym___leave] = ACTIONS(2414),
    [anon_sym_not] = ACTIONS(2414),
    [anon_sym_compl] = ACTIONS(2414),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_sizeof] = ACTIONS(2414),
    [anon_sym___alignof__] = ACTIONS(2414),
    [anon_sym___alignof] = ACTIONS(2414),
    [anon_sym__alignof] = ACTIONS(2414),
    [anon_sym_alignof] = ACTIONS(2414),
    [anon_sym__Alignof] = ACTIONS(2414),
    [anon_sym_offsetof] = ACTIONS(2414),
    [anon_sym__Generic] = ACTIONS(2414),
    [anon_sym_asm] = ACTIONS(2414),
    [anon_sym___asm__] = ACTIONS(2414),
    [anon_sym___asm] = ACTIONS(2414),
    [sym_number_literal] = ACTIONS(2416),
    [anon_sym_L_SQUOTE] = ACTIONS(2416),
    [anon_sym_u_SQUOTE] = ACTIONS(2416),
    [anon_sym_U_SQUOTE] = ACTIONS(2416),
    [anon_sym_u8_SQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_L_DQUOTE] = ACTIONS(2416),
    [anon_sym_u_DQUOTE] = ACTIONS(2416),
    [anon_sym_U_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8_DQUOTE] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [sym_true] = ACTIONS(2414),
    [sym_false] = ACTIONS(2414),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2414),
    [anon_sym_delete] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2414),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_concept] = ACTIONS(2414),
    [anon_sym_co_return] = ACTIONS(2414),
    [anon_sym_co_yield] = ACTIONS(2414),
    [anon_sym_R_DQUOTE] = ACTIONS(2416),
    [anon_sym_LR_DQUOTE] = ACTIONS(2416),
    [anon_sym_uR_DQUOTE] = ACTIONS(2416),
    [anon_sym_UR_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2416),
    [anon_sym_co_await] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_requires] = ACTIONS(2414),
    [sym_this] = ACTIONS(2414),
    [anon_sym_discard] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
    [anon_sym_cbuffer] = ACTIONS(2414),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_include_token1] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym___cdecl] = ACTIONS(2414),
    [anon_sym___clrcall] = ACTIONS(2414),
    [anon_sym___stdcall] = ACTIONS(2414),
    [anon_sym___fastcall] = ACTIONS(2414),
    [anon_sym___thiscall] = ACTIONS(2414),
    [anon_sym___vectorcall] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_switch] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(2414),
    [anon_sym_default] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_break] = ACTIONS(2414),
    [anon_sym_continue] = ACTIONS(2414),
    [anon_sym_goto] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2414),
    [anon_sym___leave] = ACTIONS(2414),
    [anon_sym_not] = ACTIONS(2414),
    [anon_sym_compl] = ACTIONS(2414),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_sizeof] = ACTIONS(2414),
    [anon_sym___alignof__] = ACTIONS(2414),
    [anon_sym___alignof] = ACTIONS(2414),
    [anon_sym__alignof] = ACTIONS(2414),
    [anon_sym_alignof] = ACTIONS(2414),
    [anon_sym__Alignof] = ACTIONS(2414),
    [anon_sym_offsetof] = ACTIONS(2414),
    [anon_sym__Generic] = ACTIONS(2414),
    [anon_sym_asm] = ACTIONS(2414),
    [anon_sym___asm__] = ACTIONS(2414),
    [anon_sym___asm] = ACTIONS(2414),
    [sym_number_literal] = ACTIONS(2416),
    [anon_sym_L_SQUOTE] = ACTIONS(2416),
    [anon_sym_u_SQUOTE] = ACTIONS(2416),
    [anon_sym_U_SQUOTE] = ACTIONS(2416),
    [anon_sym_u8_SQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_L_DQUOTE] = ACTIONS(2416),
    [anon_sym_u_DQUOTE] = ACTIONS(2416),
    [anon_sym_U_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8_DQUOTE] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [sym_true] = ACTIONS(2414),
    [sym_false] = ACTIONS(2414),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2414),
    [anon_sym_delete] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2414),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_concept] = ACTIONS(2414),
    [anon_sym_co_return] = ACTIONS(2414),
    [anon_sym_co_yield] = ACTIONS(2414),
    [anon_sym_R_DQUOTE] = ACTIONS(2416),
    [anon_sym_LR_DQUOTE] = ACTIONS(2416),
    [anon_sym_uR_DQUOTE] = ACTIONS(2416),
    [anon_sym_UR_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2416),
    [anon_sym_co_await] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_requires] = ACTIONS(2414),
    [sym_this] = ACTIONS(2414),
    [anon_sym_discard] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
    [anon_sym_cbuffer] = ACTIONS(2414),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2631),
    [aux_sym_preproc_include_token1] = ACTIONS(2631),
    [aux_sym_preproc_def_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2631),
    [sym_preproc_directive] = ACTIONS(2631),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2631),
    [anon_sym_typedef] = ACTIONS(2631),
    [anon_sym_in] = ACTIONS(2631),
    [anon_sym_out] = ACTIONS(2631),
    [anon_sym_inout] = ACTIONS(2631),
    [anon_sym_virtual] = ACTIONS(2631),
    [anon_sym_extern] = ACTIONS(2631),
    [anon_sym___attribute__] = ACTIONS(2631),
    [anon_sym___attribute] = ACTIONS(2631),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2633),
    [anon_sym___declspec] = ACTIONS(2631),
    [anon_sym___based] = ACTIONS(2631),
    [anon_sym___cdecl] = ACTIONS(2631),
    [anon_sym___clrcall] = ACTIONS(2631),
    [anon_sym___stdcall] = ACTIONS(2631),
    [anon_sym___fastcall] = ACTIONS(2631),
    [anon_sym___thiscall] = ACTIONS(2631),
    [anon_sym___vectorcall] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2631),
    [anon_sym_unsigned] = ACTIONS(2631),
    [anon_sym_long] = ACTIONS(2631),
    [anon_sym_short] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_register] = ACTIONS(2631),
    [anon_sym_inline] = ACTIONS(2631),
    [anon_sym___inline] = ACTIONS(2631),
    [anon_sym___inline__] = ACTIONS(2631),
    [anon_sym___forceinline] = ACTIONS(2631),
    [anon_sym_thread_local] = ACTIONS(2631),
    [anon_sym___thread] = ACTIONS(2631),
    [anon_sym_const] = ACTIONS(2631),
    [anon_sym_constexpr] = ACTIONS(2631),
    [anon_sym_volatile] = ACTIONS(2631),
    [anon_sym_restrict] = ACTIONS(2631),
    [anon_sym___restrict__] = ACTIONS(2631),
    [anon_sym__Atomic] = ACTIONS(2631),
    [anon_sym__Noreturn] = ACTIONS(2631),
    [anon_sym_noreturn] = ACTIONS(2631),
    [anon_sym__Nonnull] = ACTIONS(2631),
    [anon_sym_mutable] = ACTIONS(2631),
    [anon_sym_constinit] = ACTIONS(2631),
    [anon_sym_consteval] = ACTIONS(2631),
    [anon_sym_alignas] = ACTIONS(2631),
    [anon_sym__Alignas] = ACTIONS(2631),
    [sym_primitive_type] = ACTIONS(2631),
    [anon_sym_enum] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2631),
    [anon_sym_struct] = ACTIONS(2631),
    [anon_sym_union] = ACTIONS(2631),
    [anon_sym_if] = ACTIONS(2631),
    [anon_sym_switch] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2631),
    [anon_sym_default] = ACTIONS(2631),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_do] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_return] = ACTIONS(2631),
    [anon_sym_break] = ACTIONS(2631),
    [anon_sym_continue] = ACTIONS(2631),
    [anon_sym_goto] = ACTIONS(2631),
    [anon_sym___try] = ACTIONS(2631),
    [anon_sym___leave] = ACTIONS(2631),
    [anon_sym_not] = ACTIONS(2631),
    [anon_sym_compl] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_sizeof] = ACTIONS(2631),
    [anon_sym___alignof__] = ACTIONS(2631),
    [anon_sym___alignof] = ACTIONS(2631),
    [anon_sym__alignof] = ACTIONS(2631),
    [anon_sym_alignof] = ACTIONS(2631),
    [anon_sym__Alignof] = ACTIONS(2631),
    [anon_sym_offsetof] = ACTIONS(2631),
    [anon_sym__Generic] = ACTIONS(2631),
    [anon_sym_asm] = ACTIONS(2631),
    [anon_sym___asm__] = ACTIONS(2631),
    [anon_sym___asm] = ACTIONS(2631),
    [sym_number_literal] = ACTIONS(2633),
    [anon_sym_L_SQUOTE] = ACTIONS(2633),
    [anon_sym_u_SQUOTE] = ACTIONS(2633),
    [anon_sym_U_SQUOTE] = ACTIONS(2633),
    [anon_sym_u8_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2631),
    [anon_sym_decltype] = ACTIONS(2631),
    [anon_sym_explicit] = ACTIONS(2631),
    [anon_sym_typename] = ACTIONS(2631),
    [anon_sym_template] = ACTIONS(2631),
    [anon_sym_operator] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_delete] = ACTIONS(2631),
    [anon_sym_throw] = ACTIONS(2631),
    [anon_sym_namespace] = ACTIONS(2631),
    [anon_sym_using] = ACTIONS(2631),
    [anon_sym_static_assert] = ACTIONS(2631),
    [anon_sym_concept] = ACTIONS(2631),
    [anon_sym_co_return] = ACTIONS(2631),
    [anon_sym_co_yield] = ACTIONS(2631),
    [anon_sym_R_DQUOTE] = ACTIONS(2633),
    [anon_sym_LR_DQUOTE] = ACTIONS(2633),
    [anon_sym_uR_DQUOTE] = ACTIONS(2633),
    [anon_sym_UR_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2633),
    [anon_sym_co_await] = ACTIONS(2631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_requires] = ACTIONS(2631),
    [sym_this] = ACTIONS(2631),
    [anon_sym_discard] = ACTIONS(2631),
    [anon_sym_precise] = ACTIONS(2631),
    [anon_sym_shared] = ACTIONS(2631),
    [anon_sym_groupshared] = ACTIONS(2631),
    [anon_sym_uniform] = ACTIONS(2631),
    [anon_sym_row_major] = ACTIONS(2631),
    [anon_sym_column_major] = ACTIONS(2631),
    [anon_sym_globallycoherent] = ACTIONS(2631),
    [anon_sym_centroid] = ACTIONS(2631),
    [anon_sym_noperspective] = ACTIONS(2631),
    [anon_sym_nointerpolation] = ACTIONS(2631),
    [anon_sym_sample] = ACTIONS(2631),
    [anon_sym_linear] = ACTIONS(2631),
    [anon_sym_snorm] = ACTIONS(2631),
    [anon_sym_unorm] = ACTIONS(2631),
    [anon_sym_point] = ACTIONS(2631),
    [anon_sym_line] = ACTIONS(2631),
    [anon_sym_triangleadj] = ACTIONS(2631),
    [anon_sym_lineadj] = ACTIONS(2631),
    [anon_sym_triangle] = ACTIONS(2631),
    [anon_sym_cbuffer] = ACTIONS(2631),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2370),
    [aux_sym_preproc_include_token1] = ACTIONS(2370),
    [aux_sym_preproc_def_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2370),
    [sym_preproc_directive] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2372),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym___extension__] = ACTIONS(2370),
    [anon_sym_typedef] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_out] = ACTIONS(2370),
    [anon_sym_inout] = ACTIONS(2370),
    [anon_sym_virtual] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2370),
    [anon_sym___attribute__] = ACTIONS(2370),
    [anon_sym___attribute] = ACTIONS(2370),
    [anon_sym_COLON_COLON] = ACTIONS(2372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2372),
    [anon_sym___declspec] = ACTIONS(2370),
    [anon_sym___based] = ACTIONS(2370),
    [anon_sym___cdecl] = ACTIONS(2370),
    [anon_sym___clrcall] = ACTIONS(2370),
    [anon_sym___stdcall] = ACTIONS(2370),
    [anon_sym___fastcall] = ACTIONS(2370),
    [anon_sym___thiscall] = ACTIONS(2370),
    [anon_sym___vectorcall] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2372),
    [anon_sym_RBRACE] = ACTIONS(2372),
    [anon_sym_signed] = ACTIONS(2370),
    [anon_sym_unsigned] = ACTIONS(2370),
    [anon_sym_long] = ACTIONS(2370),
    [anon_sym_short] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_register] = ACTIONS(2370),
    [anon_sym_inline] = ACTIONS(2370),
    [anon_sym___inline] = ACTIONS(2370),
    [anon_sym___inline__] = ACTIONS(2370),
    [anon_sym___forceinline] = ACTIONS(2370),
    [anon_sym_thread_local] = ACTIONS(2370),
    [anon_sym___thread] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_constexpr] = ACTIONS(2370),
    [anon_sym_volatile] = ACTIONS(2370),
    [anon_sym_restrict] = ACTIONS(2370),
    [anon_sym___restrict__] = ACTIONS(2370),
    [anon_sym__Atomic] = ACTIONS(2370),
    [anon_sym__Noreturn] = ACTIONS(2370),
    [anon_sym_noreturn] = ACTIONS(2370),
    [anon_sym__Nonnull] = ACTIONS(2370),
    [anon_sym_mutable] = ACTIONS(2370),
    [anon_sym_constinit] = ACTIONS(2370),
    [anon_sym_consteval] = ACTIONS(2370),
    [anon_sym_alignas] = ACTIONS(2370),
    [anon_sym__Alignas] = ACTIONS(2370),
    [sym_primitive_type] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_struct] = ACTIONS(2370),
    [anon_sym_union] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_case] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2370),
    [anon_sym___leave] = ACTIONS(2370),
    [anon_sym_not] = ACTIONS(2370),
    [anon_sym_compl] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2372),
    [anon_sym_PLUS_PLUS] = ACTIONS(2372),
    [anon_sym_sizeof] = ACTIONS(2370),
    [anon_sym___alignof__] = ACTIONS(2370),
    [anon_sym___alignof] = ACTIONS(2370),
    [anon_sym__alignof] = ACTIONS(2370),
    [anon_sym_alignof] = ACTIONS(2370),
    [anon_sym__Alignof] = ACTIONS(2370),
    [anon_sym_offsetof] = ACTIONS(2370),
    [anon_sym__Generic] = ACTIONS(2370),
    [anon_sym_asm] = ACTIONS(2370),
    [anon_sym___asm__] = ACTIONS(2370),
    [anon_sym___asm] = ACTIONS(2370),
    [sym_number_literal] = ACTIONS(2372),
    [anon_sym_L_SQUOTE] = ACTIONS(2372),
    [anon_sym_u_SQUOTE] = ACTIONS(2372),
    [anon_sym_U_SQUOTE] = ACTIONS(2372),
    [anon_sym_u8_SQUOTE] = ACTIONS(2372),
    [anon_sym_SQUOTE] = ACTIONS(2372),
    [anon_sym_L_DQUOTE] = ACTIONS(2372),
    [anon_sym_u_DQUOTE] = ACTIONS(2372),
    [anon_sym_U_DQUOTE] = ACTIONS(2372),
    [anon_sym_u8_DQUOTE] = ACTIONS(2372),
    [anon_sym_DQUOTE] = ACTIONS(2372),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [anon_sym_NULL] = ACTIONS(2370),
    [anon_sym_nullptr] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2370),
    [anon_sym_decltype] = ACTIONS(2370),
    [anon_sym_explicit] = ACTIONS(2370),
    [anon_sym_typename] = ACTIONS(2370),
    [anon_sym_template] = ACTIONS(2370),
    [anon_sym_operator] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_static_assert] = ACTIONS(2370),
    [anon_sym_concept] = ACTIONS(2370),
    [anon_sym_co_return] = ACTIONS(2370),
    [anon_sym_co_yield] = ACTIONS(2370),
    [anon_sym_R_DQUOTE] = ACTIONS(2372),
    [anon_sym_LR_DQUOTE] = ACTIONS(2372),
    [anon_sym_uR_DQUOTE] = ACTIONS(2372),
    [anon_sym_UR_DQUOTE] = ACTIONS(2372),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2372),
    [anon_sym_co_await] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_requires] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [anon_sym_discard] = ACTIONS(2370),
    [anon_sym_precise] = ACTIONS(2370),
    [anon_sym_shared] = ACTIONS(2370),
    [anon_sym_groupshared] = ACTIONS(2370),
    [anon_sym_uniform] = ACTIONS(2370),
    [anon_sym_row_major] = ACTIONS(2370),
    [anon_sym_column_major] = ACTIONS(2370),
    [anon_sym_globallycoherent] = ACTIONS(2370),
    [anon_sym_centroid] = ACTIONS(2370),
    [anon_sym_noperspective] = ACTIONS(2370),
    [anon_sym_nointerpolation] = ACTIONS(2370),
    [anon_sym_sample] = ACTIONS(2370),
    [anon_sym_linear] = ACTIONS(2370),
    [anon_sym_snorm] = ACTIONS(2370),
    [anon_sym_unorm] = ACTIONS(2370),
    [anon_sym_point] = ACTIONS(2370),
    [anon_sym_line] = ACTIONS(2370),
    [anon_sym_triangleadj] = ACTIONS(2370),
    [anon_sym_lineadj] = ACTIONS(2370),
    [anon_sym_triangle] = ACTIONS(2370),
    [anon_sym_cbuffer] = ACTIONS(2370),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym___attribute] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_discard] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
    [anon_sym_cbuffer] = ACTIONS(2492),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2503),
    [aux_sym_preproc_include_token1] = ACTIONS(2503),
    [aux_sym_preproc_def_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2503),
    [sym_preproc_directive] = ACTIONS(2503),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_BANG] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_STAR] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_SEMI] = ACTIONS(2505),
    [anon_sym___extension__] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2503),
    [anon_sym_in] = ACTIONS(2503),
    [anon_sym_out] = ACTIONS(2503),
    [anon_sym_inout] = ACTIONS(2503),
    [anon_sym_virtual] = ACTIONS(2503),
    [anon_sym_extern] = ACTIONS(2503),
    [anon_sym___attribute__] = ACTIONS(2503),
    [anon_sym___attribute] = ACTIONS(2503),
    [anon_sym_COLON_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2505),
    [anon_sym___declspec] = ACTIONS(2503),
    [anon_sym___based] = ACTIONS(2503),
    [anon_sym___cdecl] = ACTIONS(2503),
    [anon_sym___clrcall] = ACTIONS(2503),
    [anon_sym___stdcall] = ACTIONS(2503),
    [anon_sym___fastcall] = ACTIONS(2503),
    [anon_sym___thiscall] = ACTIONS(2503),
    [anon_sym___vectorcall] = ACTIONS(2503),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_RBRACE] = ACTIONS(2505),
    [anon_sym_signed] = ACTIONS(2503),
    [anon_sym_unsigned] = ACTIONS(2503),
    [anon_sym_long] = ACTIONS(2503),
    [anon_sym_short] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2503),
    [anon_sym_register] = ACTIONS(2503),
    [anon_sym_inline] = ACTIONS(2503),
    [anon_sym___inline] = ACTIONS(2503),
    [anon_sym___inline__] = ACTIONS(2503),
    [anon_sym___forceinline] = ACTIONS(2503),
    [anon_sym_thread_local] = ACTIONS(2503),
    [anon_sym___thread] = ACTIONS(2503),
    [anon_sym_const] = ACTIONS(2503),
    [anon_sym_constexpr] = ACTIONS(2503),
    [anon_sym_volatile] = ACTIONS(2503),
    [anon_sym_restrict] = ACTIONS(2503),
    [anon_sym___restrict__] = ACTIONS(2503),
    [anon_sym__Atomic] = ACTIONS(2503),
    [anon_sym__Noreturn] = ACTIONS(2503),
    [anon_sym_noreturn] = ACTIONS(2503),
    [anon_sym__Nonnull] = ACTIONS(2503),
    [anon_sym_mutable] = ACTIONS(2503),
    [anon_sym_constinit] = ACTIONS(2503),
    [anon_sym_consteval] = ACTIONS(2503),
    [anon_sym_alignas] = ACTIONS(2503),
    [anon_sym__Alignas] = ACTIONS(2503),
    [sym_primitive_type] = ACTIONS(2503),
    [anon_sym_enum] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2503),
    [anon_sym_struct] = ACTIONS(2503),
    [anon_sym_union] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2503),
    [anon_sym_switch] = ACTIONS(2503),
    [anon_sym_case] = ACTIONS(2503),
    [anon_sym_default] = ACTIONS(2503),
    [anon_sym_while] = ACTIONS(2503),
    [anon_sym_do] = ACTIONS(2503),
    [anon_sym_for] = ACTIONS(2503),
    [anon_sym_return] = ACTIONS(2503),
    [anon_sym_break] = ACTIONS(2503),
    [anon_sym_continue] = ACTIONS(2503),
    [anon_sym_goto] = ACTIONS(2503),
    [anon_sym___try] = ACTIONS(2503),
    [anon_sym___leave] = ACTIONS(2503),
    [anon_sym_not] = ACTIONS(2503),
    [anon_sym_compl] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_PLUS] = ACTIONS(2505),
    [anon_sym_sizeof] = ACTIONS(2503),
    [anon_sym___alignof__] = ACTIONS(2503),
    [anon_sym___alignof] = ACTIONS(2503),
    [anon_sym__alignof] = ACTIONS(2503),
    [anon_sym_alignof] = ACTIONS(2503),
    [anon_sym__Alignof] = ACTIONS(2503),
    [anon_sym_offsetof] = ACTIONS(2503),
    [anon_sym__Generic] = ACTIONS(2503),
    [anon_sym_asm] = ACTIONS(2503),
    [anon_sym___asm__] = ACTIONS(2503),
    [anon_sym___asm] = ACTIONS(2503),
    [sym_number_literal] = ACTIONS(2505),
    [anon_sym_L_SQUOTE] = ACTIONS(2505),
    [anon_sym_u_SQUOTE] = ACTIONS(2505),
    [anon_sym_U_SQUOTE] = ACTIONS(2505),
    [anon_sym_u8_SQUOTE] = ACTIONS(2505),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [anon_sym_L_DQUOTE] = ACTIONS(2505),
    [anon_sym_u_DQUOTE] = ACTIONS(2505),
    [anon_sym_U_DQUOTE] = ACTIONS(2505),
    [anon_sym_u8_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [sym_true] = ACTIONS(2503),
    [sym_false] = ACTIONS(2503),
    [anon_sym_NULL] = ACTIONS(2503),
    [anon_sym_nullptr] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2503),
    [anon_sym_decltype] = ACTIONS(2503),
    [anon_sym_explicit] = ACTIONS(2503),
    [anon_sym_typename] = ACTIONS(2503),
    [anon_sym_template] = ACTIONS(2503),
    [anon_sym_operator] = ACTIONS(2503),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_delete] = ACTIONS(2503),
    [anon_sym_throw] = ACTIONS(2503),
    [anon_sym_namespace] = ACTIONS(2503),
    [anon_sym_using] = ACTIONS(2503),
    [anon_sym_static_assert] = ACTIONS(2503),
    [anon_sym_concept] = ACTIONS(2503),
    [anon_sym_co_return] = ACTIONS(2503),
    [anon_sym_co_yield] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2505),
    [anon_sym_LR_DQUOTE] = ACTIONS(2505),
    [anon_sym_uR_DQUOTE] = ACTIONS(2505),
    [anon_sym_UR_DQUOTE] = ACTIONS(2505),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2505),
    [anon_sym_co_await] = ACTIONS(2503),
    [anon_sym_new] = ACTIONS(2503),
    [anon_sym_requires] = ACTIONS(2503),
    [sym_this] = ACTIONS(2503),
    [anon_sym_discard] = ACTIONS(2503),
    [anon_sym_precise] = ACTIONS(2503),
    [anon_sym_shared] = ACTIONS(2503),
    [anon_sym_groupshared] = ACTIONS(2503),
    [anon_sym_uniform] = ACTIONS(2503),
    [anon_sym_row_major] = ACTIONS(2503),
    [anon_sym_column_major] = ACTIONS(2503),
    [anon_sym_globallycoherent] = ACTIONS(2503),
    [anon_sym_centroid] = ACTIONS(2503),
    [anon_sym_noperspective] = ACTIONS(2503),
    [anon_sym_nointerpolation] = ACTIONS(2503),
    [anon_sym_sample] = ACTIONS(2503),
    [anon_sym_linear] = ACTIONS(2503),
    [anon_sym_snorm] = ACTIONS(2503),
    [anon_sym_unorm] = ACTIONS(2503),
    [anon_sym_point] = ACTIONS(2503),
    [anon_sym_line] = ACTIONS(2503),
    [anon_sym_triangleadj] = ACTIONS(2503),
    [anon_sym_lineadj] = ACTIONS(2503),
    [anon_sym_triangle] = ACTIONS(2503),
    [anon_sym_cbuffer] = ACTIONS(2503),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2507),
    [aux_sym_preproc_include_token1] = ACTIONS(2507),
    [aux_sym_preproc_def_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2507),
    [sym_preproc_directive] = ACTIONS(2507),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2507),
    [anon_sym_PLUS] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_AMP_AMP] = ACTIONS(2509),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_SEMI] = ACTIONS(2509),
    [anon_sym___extension__] = ACTIONS(2507),
    [anon_sym_typedef] = ACTIONS(2507),
    [anon_sym_in] = ACTIONS(2507),
    [anon_sym_out] = ACTIONS(2507),
    [anon_sym_inout] = ACTIONS(2507),
    [anon_sym_virtual] = ACTIONS(2507),
    [anon_sym_extern] = ACTIONS(2507),
    [anon_sym___attribute__] = ACTIONS(2507),
    [anon_sym___attribute] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2509),
    [anon_sym___declspec] = ACTIONS(2507),
    [anon_sym___based] = ACTIONS(2507),
    [anon_sym___cdecl] = ACTIONS(2507),
    [anon_sym___clrcall] = ACTIONS(2507),
    [anon_sym___stdcall] = ACTIONS(2507),
    [anon_sym___fastcall] = ACTIONS(2507),
    [anon_sym___thiscall] = ACTIONS(2507),
    [anon_sym___vectorcall] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_RBRACE] = ACTIONS(2509),
    [anon_sym_signed] = ACTIONS(2507),
    [anon_sym_unsigned] = ACTIONS(2507),
    [anon_sym_long] = ACTIONS(2507),
    [anon_sym_short] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2507),
    [anon_sym_register] = ACTIONS(2507),
    [anon_sym_inline] = ACTIONS(2507),
    [anon_sym___inline] = ACTIONS(2507),
    [anon_sym___inline__] = ACTIONS(2507),
    [anon_sym___forceinline] = ACTIONS(2507),
    [anon_sym_thread_local] = ACTIONS(2507),
    [anon_sym___thread] = ACTIONS(2507),
    [anon_sym_const] = ACTIONS(2507),
    [anon_sym_constexpr] = ACTIONS(2507),
    [anon_sym_volatile] = ACTIONS(2507),
    [anon_sym_restrict] = ACTIONS(2507),
    [anon_sym___restrict__] = ACTIONS(2507),
    [anon_sym__Atomic] = ACTIONS(2507),
    [anon_sym__Noreturn] = ACTIONS(2507),
    [anon_sym_noreturn] = ACTIONS(2507),
    [anon_sym__Nonnull] = ACTIONS(2507),
    [anon_sym_mutable] = ACTIONS(2507),
    [anon_sym_constinit] = ACTIONS(2507),
    [anon_sym_consteval] = ACTIONS(2507),
    [anon_sym_alignas] = ACTIONS(2507),
    [anon_sym__Alignas] = ACTIONS(2507),
    [sym_primitive_type] = ACTIONS(2507),
    [anon_sym_enum] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2507),
    [anon_sym_struct] = ACTIONS(2507),
    [anon_sym_union] = ACTIONS(2507),
    [anon_sym_if] = ACTIONS(2507),
    [anon_sym_switch] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2507),
    [anon_sym_default] = ACTIONS(2507),
    [anon_sym_while] = ACTIONS(2507),
    [anon_sym_do] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2507),
    [anon_sym_return] = ACTIONS(2507),
    [anon_sym_break] = ACTIONS(2507),
    [anon_sym_continue] = ACTIONS(2507),
    [anon_sym_goto] = ACTIONS(2507),
    [anon_sym___try] = ACTIONS(2507),
    [anon_sym___leave] = ACTIONS(2507),
    [anon_sym_not] = ACTIONS(2507),
    [anon_sym_compl] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2509),
    [anon_sym_sizeof] = ACTIONS(2507),
    [anon_sym___alignof__] = ACTIONS(2507),
    [anon_sym___alignof] = ACTIONS(2507),
    [anon_sym__alignof] = ACTIONS(2507),
    [anon_sym_alignof] = ACTIONS(2507),
    [anon_sym__Alignof] = ACTIONS(2507),
    [anon_sym_offsetof] = ACTIONS(2507),
    [anon_sym__Generic] = ACTIONS(2507),
    [anon_sym_asm] = ACTIONS(2507),
    [anon_sym___asm__] = ACTIONS(2507),
    [anon_sym___asm] = ACTIONS(2507),
    [sym_number_literal] = ACTIONS(2509),
    [anon_sym_L_SQUOTE] = ACTIONS(2509),
    [anon_sym_u_SQUOTE] = ACTIONS(2509),
    [anon_sym_U_SQUOTE] = ACTIONS(2509),
    [anon_sym_u8_SQUOTE] = ACTIONS(2509),
    [anon_sym_SQUOTE] = ACTIONS(2509),
    [anon_sym_L_DQUOTE] = ACTIONS(2509),
    [anon_sym_u_DQUOTE] = ACTIONS(2509),
    [anon_sym_U_DQUOTE] = ACTIONS(2509),
    [anon_sym_u8_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_true] = ACTIONS(2507),
    [sym_false] = ACTIONS(2507),
    [anon_sym_NULL] = ACTIONS(2507),
    [anon_sym_nullptr] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2507),
    [anon_sym_decltype] = ACTIONS(2507),
    [anon_sym_explicit] = ACTIONS(2507),
    [anon_sym_typename] = ACTIONS(2507),
    [anon_sym_template] = ACTIONS(2507),
    [anon_sym_operator] = ACTIONS(2507),
    [anon_sym_try] = ACTIONS(2507),
    [anon_sym_delete] = ACTIONS(2507),
    [anon_sym_throw] = ACTIONS(2507),
    [anon_sym_namespace] = ACTIONS(2507),
    [anon_sym_using] = ACTIONS(2507),
    [anon_sym_static_assert] = ACTIONS(2507),
    [anon_sym_concept] = ACTIONS(2507),
    [anon_sym_co_return] = ACTIONS(2507),
    [anon_sym_co_yield] = ACTIONS(2507),
    [anon_sym_R_DQUOTE] = ACTIONS(2509),
    [anon_sym_LR_DQUOTE] = ACTIONS(2509),
    [anon_sym_uR_DQUOTE] = ACTIONS(2509),
    [anon_sym_UR_DQUOTE] = ACTIONS(2509),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2509),
    [anon_sym_co_await] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2507),
    [anon_sym_requires] = ACTIONS(2507),
    [sym_this] = ACTIONS(2507),
    [anon_sym_discard] = ACTIONS(2507),
    [anon_sym_precise] = ACTIONS(2507),
    [anon_sym_shared] = ACTIONS(2507),
    [anon_sym_groupshared] = ACTIONS(2507),
    [anon_sym_uniform] = ACTIONS(2507),
    [anon_sym_row_major] = ACTIONS(2507),
    [anon_sym_column_major] = ACTIONS(2507),
    [anon_sym_globallycoherent] = ACTIONS(2507),
    [anon_sym_centroid] = ACTIONS(2507),
    [anon_sym_noperspective] = ACTIONS(2507),
    [anon_sym_nointerpolation] = ACTIONS(2507),
    [anon_sym_sample] = ACTIONS(2507),
    [anon_sym_linear] = ACTIONS(2507),
    [anon_sym_snorm] = ACTIONS(2507),
    [anon_sym_unorm] = ACTIONS(2507),
    [anon_sym_point] = ACTIONS(2507),
    [anon_sym_line] = ACTIONS(2507),
    [anon_sym_triangleadj] = ACTIONS(2507),
    [anon_sym_lineadj] = ACTIONS(2507),
    [anon_sym_triangle] = ACTIONS(2507),
    [anon_sym_cbuffer] = ACTIONS(2507),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym___attribute] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_RBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [anon_sym___asm] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
    [anon_sym_discard] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
    [anon_sym_cbuffer] = ACTIONS(2514),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
    [anon_sym_discard] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
    [anon_sym_cbuffer] = ACTIONS(2524),
  },
  [669] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_out] = ACTIONS(2576),
    [anon_sym_inout] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
    [anon_sym_discard] = ACTIONS(2576),
    [anon_sym_precise] = ACTIONS(2576),
    [anon_sym_shared] = ACTIONS(2576),
    [anon_sym_groupshared] = ACTIONS(2576),
    [anon_sym_uniform] = ACTIONS(2576),
    [anon_sym_row_major] = ACTIONS(2576),
    [anon_sym_column_major] = ACTIONS(2576),
    [anon_sym_globallycoherent] = ACTIONS(2576),
    [anon_sym_centroid] = ACTIONS(2576),
    [anon_sym_noperspective] = ACTIONS(2576),
    [anon_sym_nointerpolation] = ACTIONS(2576),
    [anon_sym_sample] = ACTIONS(2576),
    [anon_sym_linear] = ACTIONS(2576),
    [anon_sym_snorm] = ACTIONS(2576),
    [anon_sym_unorm] = ACTIONS(2576),
    [anon_sym_point] = ACTIONS(2576),
    [anon_sym_line] = ACTIONS(2576),
    [anon_sym_triangleadj] = ACTIONS(2576),
    [anon_sym_lineadj] = ACTIONS(2576),
    [anon_sym_triangle] = ACTIONS(2576),
    [anon_sym_cbuffer] = ACTIONS(2576),
  },
  [670] = {
    [sym_identifier] = ACTIONS(2627),
    [aux_sym_preproc_include_token1] = ACTIONS(2627),
    [aux_sym_preproc_def_token1] = ACTIONS(2627),
    [aux_sym_preproc_if_token1] = ACTIONS(2627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2627),
    [sym_preproc_directive] = ACTIONS(2627),
    [anon_sym_LPAREN2] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2627),
    [anon_sym_typedef] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2627),
    [anon_sym_out] = ACTIONS(2627),
    [anon_sym_inout] = ACTIONS(2627),
    [anon_sym_virtual] = ACTIONS(2627),
    [anon_sym_extern] = ACTIONS(2627),
    [anon_sym___attribute__] = ACTIONS(2627),
    [anon_sym___attribute] = ACTIONS(2627),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2629),
    [anon_sym___declspec] = ACTIONS(2627),
    [anon_sym___based] = ACTIONS(2627),
    [anon_sym___cdecl] = ACTIONS(2627),
    [anon_sym___clrcall] = ACTIONS(2627),
    [anon_sym___stdcall] = ACTIONS(2627),
    [anon_sym___fastcall] = ACTIONS(2627),
    [anon_sym___thiscall] = ACTIONS(2627),
    [anon_sym___vectorcall] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_RBRACE] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2627),
    [anon_sym_unsigned] = ACTIONS(2627),
    [anon_sym_long] = ACTIONS(2627),
    [anon_sym_short] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_static] = ACTIONS(2627),
    [anon_sym_register] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2627),
    [anon_sym___inline] = ACTIONS(2627),
    [anon_sym___inline__] = ACTIONS(2627),
    [anon_sym___forceinline] = ACTIONS(2627),
    [anon_sym_thread_local] = ACTIONS(2627),
    [anon_sym___thread] = ACTIONS(2627),
    [anon_sym_const] = ACTIONS(2627),
    [anon_sym_constexpr] = ACTIONS(2627),
    [anon_sym_volatile] = ACTIONS(2627),
    [anon_sym_restrict] = ACTIONS(2627),
    [anon_sym___restrict__] = ACTIONS(2627),
    [anon_sym__Atomic] = ACTIONS(2627),
    [anon_sym__Noreturn] = ACTIONS(2627),
    [anon_sym_noreturn] = ACTIONS(2627),
    [anon_sym__Nonnull] = ACTIONS(2627),
    [anon_sym_mutable] = ACTIONS(2627),
    [anon_sym_constinit] = ACTIONS(2627),
    [anon_sym_consteval] = ACTIONS(2627),
    [anon_sym_alignas] = ACTIONS(2627),
    [anon_sym__Alignas] = ACTIONS(2627),
    [sym_primitive_type] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2627),
    [anon_sym_class] = ACTIONS(2627),
    [anon_sym_struct] = ACTIONS(2627),
    [anon_sym_union] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_switch] = ACTIONS(2627),
    [anon_sym_case] = ACTIONS(2627),
    [anon_sym_default] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_do] = ACTIONS(2627),
    [anon_sym_for] = ACTIONS(2627),
    [anon_sym_return] = ACTIONS(2627),
    [anon_sym_break] = ACTIONS(2627),
    [anon_sym_continue] = ACTIONS(2627),
    [anon_sym_goto] = ACTIONS(2627),
    [anon_sym___try] = ACTIONS(2627),
    [anon_sym___leave] = ACTIONS(2627),
    [anon_sym_not] = ACTIONS(2627),
    [anon_sym_compl] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_sizeof] = ACTIONS(2627),
    [anon_sym___alignof__] = ACTIONS(2627),
    [anon_sym___alignof] = ACTIONS(2627),
    [anon_sym__alignof] = ACTIONS(2627),
    [anon_sym_alignof] = ACTIONS(2627),
    [anon_sym__Alignof] = ACTIONS(2627),
    [anon_sym_offsetof] = ACTIONS(2627),
    [anon_sym__Generic] = ACTIONS(2627),
    [anon_sym_asm] = ACTIONS(2627),
    [anon_sym___asm__] = ACTIONS(2627),
    [anon_sym___asm] = ACTIONS(2627),
    [sym_number_literal] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2629),
    [anon_sym_u_SQUOTE] = ACTIONS(2629),
    [anon_sym_U_SQUOTE] = ACTIONS(2629),
    [anon_sym_u8_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_L_DQUOTE] = ACTIONS(2629),
    [anon_sym_u_DQUOTE] = ACTIONS(2629),
    [anon_sym_U_DQUOTE] = ACTIONS(2629),
    [anon_sym_u8_DQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [sym_true] = ACTIONS(2627),
    [sym_false] = ACTIONS(2627),
    [anon_sym_NULL] = ACTIONS(2627),
    [anon_sym_nullptr] = ACTIONS(2627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2627),
    [anon_sym_decltype] = ACTIONS(2627),
    [anon_sym_explicit] = ACTIONS(2627),
    [anon_sym_typename] = ACTIONS(2627),
    [anon_sym_template] = ACTIONS(2627),
    [anon_sym_operator] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2627),
    [anon_sym_delete] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2627),
    [anon_sym_namespace] = ACTIONS(2627),
    [anon_sym_using] = ACTIONS(2627),
    [anon_sym_static_assert] = ACTIONS(2627),
    [anon_sym_concept] = ACTIONS(2627),
    [anon_sym_co_return] = ACTIONS(2627),
    [anon_sym_co_yield] = ACTIONS(2627),
    [anon_sym_R_DQUOTE] = ACTIONS(2629),
    [anon_sym_LR_DQUOTE] = ACTIONS(2629),
    [anon_sym_uR_DQUOTE] = ACTIONS(2629),
    [anon_sym_UR_DQUOTE] = ACTIONS(2629),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2629),
    [anon_sym_co_await] = ACTIONS(2627),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_requires] = ACTIONS(2627),
    [sym_this] = ACTIONS(2627),
    [anon_sym_discard] = ACTIONS(2627),
    [anon_sym_precise] = ACTIONS(2627),
    [anon_sym_shared] = ACTIONS(2627),
    [anon_sym_groupshared] = ACTIONS(2627),
    [anon_sym_uniform] = ACTIONS(2627),
    [anon_sym_row_major] = ACTIONS(2627),
    [anon_sym_column_major] = ACTIONS(2627),
    [anon_sym_globallycoherent] = ACTIONS(2627),
    [anon_sym_centroid] = ACTIONS(2627),
    [anon_sym_noperspective] = ACTIONS(2627),
    [anon_sym_nointerpolation] = ACTIONS(2627),
    [anon_sym_sample] = ACTIONS(2627),
    [anon_sym_linear] = ACTIONS(2627),
    [anon_sym_snorm] = ACTIONS(2627),
    [anon_sym_unorm] = ACTIONS(2627),
    [anon_sym_point] = ACTIONS(2627),
    [anon_sym_line] = ACTIONS(2627),
    [anon_sym_triangleadj] = ACTIONS(2627),
    [anon_sym_lineadj] = ACTIONS(2627),
    [anon_sym_triangle] = ACTIONS(2627),
    [anon_sym_cbuffer] = ACTIONS(2627),
  },
  [671] = {
    [sym_identifier] = ACTIONS(2659),
    [aux_sym_preproc_include_token1] = ACTIONS(2659),
    [aux_sym_preproc_def_token1] = ACTIONS(2659),
    [aux_sym_preproc_if_token1] = ACTIONS(2659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2659),
    [anon_sym_LPAREN2] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2659),
    [anon_sym_PLUS] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym___extension__] = ACTIONS(2659),
    [anon_sym_typedef] = ACTIONS(2659),
    [anon_sym_in] = ACTIONS(2659),
    [anon_sym_out] = ACTIONS(2659),
    [anon_sym_inout] = ACTIONS(2659),
    [anon_sym_virtual] = ACTIONS(2659),
    [anon_sym_extern] = ACTIONS(2659),
    [anon_sym___attribute__] = ACTIONS(2659),
    [anon_sym___attribute] = ACTIONS(2659),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2661),
    [anon_sym___declspec] = ACTIONS(2659),
    [anon_sym___based] = ACTIONS(2659),
    [anon_sym___cdecl] = ACTIONS(2659),
    [anon_sym___clrcall] = ACTIONS(2659),
    [anon_sym___stdcall] = ACTIONS(2659),
    [anon_sym___fastcall] = ACTIONS(2659),
    [anon_sym___thiscall] = ACTIONS(2659),
    [anon_sym___vectorcall] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_RBRACE] = ACTIONS(2661),
    [anon_sym_signed] = ACTIONS(2659),
    [anon_sym_unsigned] = ACTIONS(2659),
    [anon_sym_long] = ACTIONS(2659),
    [anon_sym_short] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_static] = ACTIONS(2659),
    [anon_sym_register] = ACTIONS(2659),
    [anon_sym_inline] = ACTIONS(2659),
    [anon_sym___inline] = ACTIONS(2659),
    [anon_sym___inline__] = ACTIONS(2659),
    [anon_sym___forceinline] = ACTIONS(2659),
    [anon_sym_thread_local] = ACTIONS(2659),
    [anon_sym___thread] = ACTIONS(2659),
    [anon_sym_const] = ACTIONS(2659),
    [anon_sym_constexpr] = ACTIONS(2659),
    [anon_sym_volatile] = ACTIONS(2659),
    [anon_sym_restrict] = ACTIONS(2659),
    [anon_sym___restrict__] = ACTIONS(2659),
    [anon_sym__Atomic] = ACTIONS(2659),
    [anon_sym__Noreturn] = ACTIONS(2659),
    [anon_sym_noreturn] = ACTIONS(2659),
    [anon_sym__Nonnull] = ACTIONS(2659),
    [anon_sym_mutable] = ACTIONS(2659),
    [anon_sym_constinit] = ACTIONS(2659),
    [anon_sym_consteval] = ACTIONS(2659),
    [anon_sym_alignas] = ACTIONS(2659),
    [anon_sym__Alignas] = ACTIONS(2659),
    [sym_primitive_type] = ACTIONS(2659),
    [anon_sym_enum] = ACTIONS(2659),
    [anon_sym_class] = ACTIONS(2659),
    [anon_sym_struct] = ACTIONS(2659),
    [anon_sym_union] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_switch] = ACTIONS(2659),
    [anon_sym_case] = ACTIONS(2659),
    [anon_sym_default] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_do] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_return] = ACTIONS(2659),
    [anon_sym_break] = ACTIONS(2659),
    [anon_sym_continue] = ACTIONS(2659),
    [anon_sym_goto] = ACTIONS(2659),
    [anon_sym___try] = ACTIONS(2659),
    [anon_sym___leave] = ACTIONS(2659),
    [anon_sym_not] = ACTIONS(2659),
    [anon_sym_compl] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_sizeof] = ACTIONS(2659),
    [anon_sym___alignof__] = ACTIONS(2659),
    [anon_sym___alignof] = ACTIONS(2659),
    [anon_sym__alignof] = ACTIONS(2659),
    [anon_sym_alignof] = ACTIONS(2659),
    [anon_sym__Alignof] = ACTIONS(2659),
    [anon_sym_offsetof] = ACTIONS(2659),
    [anon_sym__Generic] = ACTIONS(2659),
    [anon_sym_asm] = ACTIONS(2659),
    [anon_sym___asm__] = ACTIONS(2659),
    [anon_sym___asm] = ACTIONS(2659),
    [sym_number_literal] = ACTIONS(2661),
    [anon_sym_L_SQUOTE] = ACTIONS(2661),
    [anon_sym_u_SQUOTE] = ACTIONS(2661),
    [anon_sym_U_SQUOTE] = ACTIONS(2661),
    [anon_sym_u8_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_L_DQUOTE] = ACTIONS(2661),
    [anon_sym_u_DQUOTE] = ACTIONS(2661),
    [anon_sym_U_DQUOTE] = ACTIONS(2661),
    [anon_sym_u8_DQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [sym_true] = ACTIONS(2659),
    [sym_false] = ACTIONS(2659),
    [anon_sym_NULL] = ACTIONS(2659),
    [anon_sym_nullptr] = ACTIONS(2659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2659),
    [anon_sym_decltype] = ACTIONS(2659),
    [anon_sym_explicit] = ACTIONS(2659),
    [anon_sym_typename] = ACTIONS(2659),
    [anon_sym_template] = ACTIONS(2659),
    [anon_sym_operator] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2659),
    [anon_sym_delete] = ACTIONS(2659),
    [anon_sym_throw] = ACTIONS(2659),
    [anon_sym_namespace] = ACTIONS(2659),
    [anon_sym_using] = ACTIONS(2659),
    [anon_sym_static_assert] = ACTIONS(2659),
    [anon_sym_concept] = ACTIONS(2659),
    [anon_sym_co_return] = ACTIONS(2659),
    [anon_sym_co_yield] = ACTIONS(2659),
    [anon_sym_R_DQUOTE] = ACTIONS(2661),
    [anon_sym_LR_DQUOTE] = ACTIONS(2661),
    [anon_sym_uR_DQUOTE] = ACTIONS(2661),
    [anon_sym_UR_DQUOTE] = ACTIONS(2661),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2661),
    [anon_sym_co_await] = ACTIONS(2659),
    [anon_sym_new] = ACTIONS(2659),
    [anon_sym_requires] = ACTIONS(2659),
    [sym_this] = ACTIONS(2659),
    [anon_sym_discard] = ACTIONS(2659),
    [anon_sym_precise] = ACTIONS(2659),
    [anon_sym_shared] = ACTIONS(2659),
    [anon_sym_groupshared] = ACTIONS(2659),
    [anon_sym_uniform] = ACTIONS(2659),
    [anon_sym_row_major] = ACTIONS(2659),
    [anon_sym_column_major] = ACTIONS(2659),
    [anon_sym_globallycoherent] = ACTIONS(2659),
    [anon_sym_centroid] = ACTIONS(2659),
    [anon_sym_noperspective] = ACTIONS(2659),
    [anon_sym_nointerpolation] = ACTIONS(2659),
    [anon_sym_sample] = ACTIONS(2659),
    [anon_sym_linear] = ACTIONS(2659),
    [anon_sym_snorm] = ACTIONS(2659),
    [anon_sym_unorm] = ACTIONS(2659),
    [anon_sym_point] = ACTIONS(2659),
    [anon_sym_line] = ACTIONS(2659),
    [anon_sym_triangleadj] = ACTIONS(2659),
    [anon_sym_lineadj] = ACTIONS(2659),
    [anon_sym_triangle] = ACTIONS(2659),
    [anon_sym_cbuffer] = ACTIONS(2659),
  },
  [672] = {
    [sym_identifier] = ACTIONS(2603),
    [aux_sym_preproc_include_token1] = ACTIONS(2603),
    [aux_sym_preproc_def_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2603),
    [sym_preproc_directive] = ACTIONS(2603),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym___extension__] = ACTIONS(2603),
    [anon_sym_typedef] = ACTIONS(2603),
    [anon_sym_in] = ACTIONS(2603),
    [anon_sym_out] = ACTIONS(2603),
    [anon_sym_inout] = ACTIONS(2603),
    [anon_sym_virtual] = ACTIONS(2603),
    [anon_sym_extern] = ACTIONS(2603),
    [anon_sym___attribute__] = ACTIONS(2603),
    [anon_sym___attribute] = ACTIONS(2603),
    [anon_sym_COLON_COLON] = ACTIONS(2605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2605),
    [anon_sym___declspec] = ACTIONS(2603),
    [anon_sym___based] = ACTIONS(2603),
    [anon_sym___cdecl] = ACTIONS(2603),
    [anon_sym___clrcall] = ACTIONS(2603),
    [anon_sym___stdcall] = ACTIONS(2603),
    [anon_sym___fastcall] = ACTIONS(2603),
    [anon_sym___thiscall] = ACTIONS(2603),
    [anon_sym___vectorcall] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(2605),
    [anon_sym_RBRACE] = ACTIONS(2605),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [anon_sym_static] = ACTIONS(2603),
    [anon_sym_register] = ACTIONS(2603),
    [anon_sym_inline] = ACTIONS(2603),
    [anon_sym___inline] = ACTIONS(2603),
    [anon_sym___inline__] = ACTIONS(2603),
    [anon_sym___forceinline] = ACTIONS(2603),
    [anon_sym_thread_local] = ACTIONS(2603),
    [anon_sym___thread] = ACTIONS(2603),
    [anon_sym_const] = ACTIONS(2603),
    [anon_sym_constexpr] = ACTIONS(2603),
    [anon_sym_volatile] = ACTIONS(2603),
    [anon_sym_restrict] = ACTIONS(2603),
    [anon_sym___restrict__] = ACTIONS(2603),
    [anon_sym__Atomic] = ACTIONS(2603),
    [anon_sym__Noreturn] = ACTIONS(2603),
    [anon_sym_noreturn] = ACTIONS(2603),
    [anon_sym__Nonnull] = ACTIONS(2603),
    [anon_sym_mutable] = ACTIONS(2603),
    [anon_sym_constinit] = ACTIONS(2603),
    [anon_sym_consteval] = ACTIONS(2603),
    [anon_sym_alignas] = ACTIONS(2603),
    [anon_sym__Alignas] = ACTIONS(2603),
    [sym_primitive_type] = ACTIONS(2603),
    [anon_sym_enum] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2603),
    [anon_sym_union] = ACTIONS(2603),
    [anon_sym_if] = ACTIONS(2603),
    [anon_sym_switch] = ACTIONS(2603),
    [anon_sym_case] = ACTIONS(2603),
    [anon_sym_default] = ACTIONS(2603),
    [anon_sym_while] = ACTIONS(2603),
    [anon_sym_do] = ACTIONS(2603),
    [anon_sym_for] = ACTIONS(2603),
    [anon_sym_return] = ACTIONS(2603),
    [anon_sym_break] = ACTIONS(2603),
    [anon_sym_continue] = ACTIONS(2603),
    [anon_sym_goto] = ACTIONS(2603),
    [anon_sym___try] = ACTIONS(2603),
    [anon_sym___leave] = ACTIONS(2603),
    [anon_sym_not] = ACTIONS(2603),
    [anon_sym_compl] = ACTIONS(2603),
    [anon_sym_DASH_DASH] = ACTIONS(2605),
    [anon_sym_PLUS_PLUS] = ACTIONS(2605),
    [anon_sym_sizeof] = ACTIONS(2603),
    [anon_sym___alignof__] = ACTIONS(2603),
    [anon_sym___alignof] = ACTIONS(2603),
    [anon_sym__alignof] = ACTIONS(2603),
    [anon_sym_alignof] = ACTIONS(2603),
    [anon_sym__Alignof] = ACTIONS(2603),
    [anon_sym_offsetof] = ACTIONS(2603),
    [anon_sym__Generic] = ACTIONS(2603),
    [anon_sym_asm] = ACTIONS(2603),
    [anon_sym___asm__] = ACTIONS(2603),
    [anon_sym___asm] = ACTIONS(2603),
    [sym_number_literal] = ACTIONS(2605),
    [anon_sym_L_SQUOTE] = ACTIONS(2605),
    [anon_sym_u_SQUOTE] = ACTIONS(2605),
    [anon_sym_U_SQUOTE] = ACTIONS(2605),
    [anon_sym_u8_SQUOTE] = ACTIONS(2605),
    [anon_sym_SQUOTE] = ACTIONS(2605),
    [anon_sym_L_DQUOTE] = ACTIONS(2605),
    [anon_sym_u_DQUOTE] = ACTIONS(2605),
    [anon_sym_U_DQUOTE] = ACTIONS(2605),
    [anon_sym_u8_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [sym_true] = ACTIONS(2603),
    [sym_false] = ACTIONS(2603),
    [anon_sym_NULL] = ACTIONS(2603),
    [anon_sym_nullptr] = ACTIONS(2603),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2603),
    [anon_sym_decltype] = ACTIONS(2603),
    [anon_sym_explicit] = ACTIONS(2603),
    [anon_sym_typename] = ACTIONS(2603),
    [anon_sym_template] = ACTIONS(2603),
    [anon_sym_operator] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2603),
    [anon_sym_delete] = ACTIONS(2603),
    [anon_sym_throw] = ACTIONS(2603),
    [anon_sym_namespace] = ACTIONS(2603),
    [anon_sym_using] = ACTIONS(2603),
    [anon_sym_static_assert] = ACTIONS(2603),
    [anon_sym_concept] = ACTIONS(2603),
    [anon_sym_co_return] = ACTIONS(2603),
    [anon_sym_co_yield] = ACTIONS(2603),
    [anon_sym_R_DQUOTE] = ACTIONS(2605),
    [anon_sym_LR_DQUOTE] = ACTIONS(2605),
    [anon_sym_uR_DQUOTE] = ACTIONS(2605),
    [anon_sym_UR_DQUOTE] = ACTIONS(2605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2605),
    [anon_sym_co_await] = ACTIONS(2603),
    [anon_sym_new] = ACTIONS(2603),
    [anon_sym_requires] = ACTIONS(2603),
    [sym_this] = ACTIONS(2603),
    [anon_sym_discard] = ACTIONS(2603),
    [anon_sym_precise] = ACTIONS(2603),
    [anon_sym_shared] = ACTIONS(2603),
    [anon_sym_groupshared] = ACTIONS(2603),
    [anon_sym_uniform] = ACTIONS(2603),
    [anon_sym_row_major] = ACTIONS(2603),
    [anon_sym_column_major] = ACTIONS(2603),
    [anon_sym_globallycoherent] = ACTIONS(2603),
    [anon_sym_centroid] = ACTIONS(2603),
    [anon_sym_noperspective] = ACTIONS(2603),
    [anon_sym_nointerpolation] = ACTIONS(2603),
    [anon_sym_sample] = ACTIONS(2603),
    [anon_sym_linear] = ACTIONS(2603),
    [anon_sym_snorm] = ACTIONS(2603),
    [anon_sym_unorm] = ACTIONS(2603),
    [anon_sym_point] = ACTIONS(2603),
    [anon_sym_line] = ACTIONS(2603),
    [anon_sym_triangleadj] = ACTIONS(2603),
    [anon_sym_lineadj] = ACTIONS(2603),
    [anon_sym_triangle] = ACTIONS(2603),
    [anon_sym_cbuffer] = ACTIONS(2603),
  },
  [673] = {
    [sym_identifier] = ACTIONS(2386),
    [aux_sym_preproc_include_token1] = ACTIONS(2386),
    [aux_sym_preproc_def_token1] = ACTIONS(2386),
    [aux_sym_preproc_if_token1] = ACTIONS(2386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2386),
    [sym_preproc_directive] = ACTIONS(2386),
    [anon_sym_LPAREN2] = ACTIONS(2388),
    [anon_sym_BANG] = ACTIONS(2388),
    [anon_sym_TILDE] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2386),
    [anon_sym_PLUS] = ACTIONS(2386),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_AMP_AMP] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2386),
    [anon_sym_SEMI] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2386),
    [anon_sym_typedef] = ACTIONS(2386),
    [anon_sym_in] = ACTIONS(2386),
    [anon_sym_out] = ACTIONS(2386),
    [anon_sym_inout] = ACTIONS(2386),
    [anon_sym_virtual] = ACTIONS(2386),
    [anon_sym_extern] = ACTIONS(2386),
    [anon_sym___attribute__] = ACTIONS(2386),
    [anon_sym___attribute] = ACTIONS(2386),
    [anon_sym_COLON_COLON] = ACTIONS(2388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2388),
    [anon_sym___declspec] = ACTIONS(2386),
    [anon_sym___based] = ACTIONS(2386),
    [anon_sym___cdecl] = ACTIONS(2386),
    [anon_sym___clrcall] = ACTIONS(2386),
    [anon_sym___stdcall] = ACTIONS(2386),
    [anon_sym___fastcall] = ACTIONS(2386),
    [anon_sym___thiscall] = ACTIONS(2386),
    [anon_sym___vectorcall] = ACTIONS(2386),
    [anon_sym_LBRACE] = ACTIONS(2388),
    [anon_sym_RBRACE] = ACTIONS(2388),
    [anon_sym_signed] = ACTIONS(2386),
    [anon_sym_unsigned] = ACTIONS(2386),
    [anon_sym_long] = ACTIONS(2386),
    [anon_sym_short] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_static] = ACTIONS(2386),
    [anon_sym_register] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym___inline] = ACTIONS(2386),
    [anon_sym___inline__] = ACTIONS(2386),
    [anon_sym___forceinline] = ACTIONS(2386),
    [anon_sym_thread_local] = ACTIONS(2386),
    [anon_sym___thread] = ACTIONS(2386),
    [anon_sym_const] = ACTIONS(2386),
    [anon_sym_constexpr] = ACTIONS(2386),
    [anon_sym_volatile] = ACTIONS(2386),
    [anon_sym_restrict] = ACTIONS(2386),
    [anon_sym___restrict__] = ACTIONS(2386),
    [anon_sym__Atomic] = ACTIONS(2386),
    [anon_sym__Noreturn] = ACTIONS(2386),
    [anon_sym_noreturn] = ACTIONS(2386),
    [anon_sym__Nonnull] = ACTIONS(2386),
    [anon_sym_mutable] = ACTIONS(2386),
    [anon_sym_constinit] = ACTIONS(2386),
    [anon_sym_consteval] = ACTIONS(2386),
    [anon_sym_alignas] = ACTIONS(2386),
    [anon_sym__Alignas] = ACTIONS(2386),
    [sym_primitive_type] = ACTIONS(2386),
    [anon_sym_enum] = ACTIONS(2386),
    [anon_sym_class] = ACTIONS(2386),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2386),
    [anon_sym_if] = ACTIONS(2386),
    [anon_sym_switch] = ACTIONS(2386),
    [anon_sym_case] = ACTIONS(2386),
    [anon_sym_default] = ACTIONS(2386),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_do] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2386),
    [anon_sym_return] = ACTIONS(2386),
    [anon_sym_break] = ACTIONS(2386),
    [anon_sym_continue] = ACTIONS(2386),
    [anon_sym_goto] = ACTIONS(2386),
    [anon_sym___try] = ACTIONS(2386),
    [anon_sym___leave] = ACTIONS(2386),
    [anon_sym_not] = ACTIONS(2386),
    [anon_sym_compl] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2388),
    [anon_sym_PLUS_PLUS] = ACTIONS(2388),
    [anon_sym_sizeof] = ACTIONS(2386),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2386),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2386),
    [anon_sym___asm__] = ACTIONS(2386),
    [anon_sym___asm] = ACTIONS(2386),
    [sym_number_literal] = ACTIONS(2388),
    [anon_sym_L_SQUOTE] = ACTIONS(2388),
    [anon_sym_u_SQUOTE] = ACTIONS(2388),
    [anon_sym_U_SQUOTE] = ACTIONS(2388),
    [anon_sym_u8_SQUOTE] = ACTIONS(2388),
    [anon_sym_SQUOTE] = ACTIONS(2388),
    [anon_sym_L_DQUOTE] = ACTIONS(2388),
    [anon_sym_u_DQUOTE] = ACTIONS(2388),
    [anon_sym_U_DQUOTE] = ACTIONS(2388),
    [anon_sym_u8_DQUOTE] = ACTIONS(2388),
    [anon_sym_DQUOTE] = ACTIONS(2388),
    [sym_true] = ACTIONS(2386),
    [sym_false] = ACTIONS(2386),
    [anon_sym_NULL] = ACTIONS(2386),
    [anon_sym_nullptr] = ACTIONS(2386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2386),
    [anon_sym_decltype] = ACTIONS(2386),
    [anon_sym_explicit] = ACTIONS(2386),
    [anon_sym_typename] = ACTIONS(2386),
    [anon_sym_template] = ACTIONS(2386),
    [anon_sym_operator] = ACTIONS(2386),
    [anon_sym_try] = ACTIONS(2386),
    [anon_sym_delete] = ACTIONS(2386),
    [anon_sym_throw] = ACTIONS(2386),
    [anon_sym_namespace] = ACTIONS(2386),
    [anon_sym_using] = ACTIONS(2386),
    [anon_sym_static_assert] = ACTIONS(2386),
    [anon_sym_concept] = ACTIONS(2386),
    [anon_sym_co_return] = ACTIONS(2386),
    [anon_sym_co_yield] = ACTIONS(2386),
    [anon_sym_R_DQUOTE] = ACTIONS(2388),
    [anon_sym_LR_DQUOTE] = ACTIONS(2388),
    [anon_sym_uR_DQUOTE] = ACTIONS(2388),
    [anon_sym_UR_DQUOTE] = ACTIONS(2388),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2388),
    [anon_sym_co_await] = ACTIONS(2386),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_requires] = ACTIONS(2386),
    [sym_this] = ACTIONS(2386),
    [anon_sym_discard] = ACTIONS(2386),
    [anon_sym_precise] = ACTIONS(2386),
    [anon_sym_shared] = ACTIONS(2386),
    [anon_sym_groupshared] = ACTIONS(2386),
    [anon_sym_uniform] = ACTIONS(2386),
    [anon_sym_row_major] = ACTIONS(2386),
    [anon_sym_column_major] = ACTIONS(2386),
    [anon_sym_globallycoherent] = ACTIONS(2386),
    [anon_sym_centroid] = ACTIONS(2386),
    [anon_sym_noperspective] = ACTIONS(2386),
    [anon_sym_nointerpolation] = ACTIONS(2386),
    [anon_sym_sample] = ACTIONS(2386),
    [anon_sym_linear] = ACTIONS(2386),
    [anon_sym_snorm] = ACTIONS(2386),
    [anon_sym_unorm] = ACTIONS(2386),
    [anon_sym_point] = ACTIONS(2386),
    [anon_sym_line] = ACTIONS(2386),
    [anon_sym_triangleadj] = ACTIONS(2386),
    [anon_sym_lineadj] = ACTIONS(2386),
    [anon_sym_triangle] = ACTIONS(2386),
    [anon_sym_cbuffer] = ACTIONS(2386),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2390),
    [aux_sym_preproc_include_token1] = ACTIONS(2390),
    [aux_sym_preproc_def_token1] = ACTIONS(2390),
    [aux_sym_preproc_if_token1] = ACTIONS(2390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2390),
    [sym_preproc_directive] = ACTIONS(2390),
    [anon_sym_LPAREN2] = ACTIONS(2392),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_AMP_AMP] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2390),
    [anon_sym_SEMI] = ACTIONS(2392),
    [anon_sym___extension__] = ACTIONS(2390),
    [anon_sym_typedef] = ACTIONS(2390),
    [anon_sym_in] = ACTIONS(2390),
    [anon_sym_out] = ACTIONS(2390),
    [anon_sym_inout] = ACTIONS(2390),
    [anon_sym_virtual] = ACTIONS(2390),
    [anon_sym_extern] = ACTIONS(2390),
    [anon_sym___attribute__] = ACTIONS(2390),
    [anon_sym___attribute] = ACTIONS(2390),
    [anon_sym_COLON_COLON] = ACTIONS(2392),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2392),
    [anon_sym___declspec] = ACTIONS(2390),
    [anon_sym___based] = ACTIONS(2390),
    [anon_sym___cdecl] = ACTIONS(2390),
    [anon_sym___clrcall] = ACTIONS(2390),
    [anon_sym___stdcall] = ACTIONS(2390),
    [anon_sym___fastcall] = ACTIONS(2390),
    [anon_sym___thiscall] = ACTIONS(2390),
    [anon_sym___vectorcall] = ACTIONS(2390),
    [anon_sym_LBRACE] = ACTIONS(2392),
    [anon_sym_RBRACE] = ACTIONS(2392),
    [anon_sym_signed] = ACTIONS(2390),
    [anon_sym_unsigned] = ACTIONS(2390),
    [anon_sym_long] = ACTIONS(2390),
    [anon_sym_short] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_static] = ACTIONS(2390),
    [anon_sym_register] = ACTIONS(2390),
    [anon_sym_inline] = ACTIONS(2390),
    [anon_sym___inline] = ACTIONS(2390),
    [anon_sym___inline__] = ACTIONS(2390),
    [anon_sym___forceinline] = ACTIONS(2390),
    [anon_sym_thread_local] = ACTIONS(2390),
    [anon_sym___thread] = ACTIONS(2390),
    [anon_sym_const] = ACTIONS(2390),
    [anon_sym_constexpr] = ACTIONS(2390),
    [anon_sym_volatile] = ACTIONS(2390),
    [anon_sym_restrict] = ACTIONS(2390),
    [anon_sym___restrict__] = ACTIONS(2390),
    [anon_sym__Atomic] = ACTIONS(2390),
    [anon_sym__Noreturn] = ACTIONS(2390),
    [anon_sym_noreturn] = ACTIONS(2390),
    [anon_sym__Nonnull] = ACTIONS(2390),
    [anon_sym_mutable] = ACTIONS(2390),
    [anon_sym_constinit] = ACTIONS(2390),
    [anon_sym_consteval] = ACTIONS(2390),
    [anon_sym_alignas] = ACTIONS(2390),
    [anon_sym__Alignas] = ACTIONS(2390),
    [sym_primitive_type] = ACTIONS(2390),
    [anon_sym_enum] = ACTIONS(2390),
    [anon_sym_class] = ACTIONS(2390),
    [anon_sym_struct] = ACTIONS(2390),
    [anon_sym_union] = ACTIONS(2390),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_switch] = ACTIONS(2390),
    [anon_sym_case] = ACTIONS(2390),
    [anon_sym_default] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2390),
    [anon_sym_do] = ACTIONS(2390),
    [anon_sym_for] = ACTIONS(2390),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_break] = ACTIONS(2390),
    [anon_sym_continue] = ACTIONS(2390),
    [anon_sym_goto] = ACTIONS(2390),
    [anon_sym___try] = ACTIONS(2390),
    [anon_sym___leave] = ACTIONS(2390),
    [anon_sym_not] = ACTIONS(2390),
    [anon_sym_compl] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2392),
    [anon_sym_PLUS_PLUS] = ACTIONS(2392),
    [anon_sym_sizeof] = ACTIONS(2390),
    [anon_sym___alignof__] = ACTIONS(2390),
    [anon_sym___alignof] = ACTIONS(2390),
    [anon_sym__alignof] = ACTIONS(2390),
    [anon_sym_alignof] = ACTIONS(2390),
    [anon_sym__Alignof] = ACTIONS(2390),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2390),
    [anon_sym_asm] = ACTIONS(2390),
    [anon_sym___asm__] = ACTIONS(2390),
    [anon_sym___asm] = ACTIONS(2390),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2392),
    [anon_sym_u_SQUOTE] = ACTIONS(2392),
    [anon_sym_U_SQUOTE] = ACTIONS(2392),
    [anon_sym_u8_SQUOTE] = ACTIONS(2392),
    [anon_sym_SQUOTE] = ACTIONS(2392),
    [anon_sym_L_DQUOTE] = ACTIONS(2392),
    [anon_sym_u_DQUOTE] = ACTIONS(2392),
    [anon_sym_U_DQUOTE] = ACTIONS(2392),
    [anon_sym_u8_DQUOTE] = ACTIONS(2392),
    [anon_sym_DQUOTE] = ACTIONS(2392),
    [sym_true] = ACTIONS(2390),
    [sym_false] = ACTIONS(2390),
    [anon_sym_NULL] = ACTIONS(2390),
    [anon_sym_nullptr] = ACTIONS(2390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2390),
    [anon_sym_decltype] = ACTIONS(2390),
    [anon_sym_explicit] = ACTIONS(2390),
    [anon_sym_typename] = ACTIONS(2390),
    [anon_sym_template] = ACTIONS(2390),
    [anon_sym_operator] = ACTIONS(2390),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2390),
    [anon_sym_namespace] = ACTIONS(2390),
    [anon_sym_using] = ACTIONS(2390),
    [anon_sym_static_assert] = ACTIONS(2390),
    [anon_sym_concept] = ACTIONS(2390),
    [anon_sym_co_return] = ACTIONS(2390),
    [anon_sym_co_yield] = ACTIONS(2390),
    [anon_sym_R_DQUOTE] = ACTIONS(2392),
    [anon_sym_LR_DQUOTE] = ACTIONS(2392),
    [anon_sym_uR_DQUOTE] = ACTIONS(2392),
    [anon_sym_UR_DQUOTE] = ACTIONS(2392),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2392),
    [anon_sym_co_await] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(2390),
    [anon_sym_requires] = ACTIONS(2390),
    [sym_this] = ACTIONS(2390),
    [anon_sym_discard] = ACTIONS(2390),
    [anon_sym_precise] = ACTIONS(2390),
    [anon_sym_shared] = ACTIONS(2390),
    [anon_sym_groupshared] = ACTIONS(2390),
    [anon_sym_uniform] = ACTIONS(2390),
    [anon_sym_row_major] = ACTIONS(2390),
    [anon_sym_column_major] = ACTIONS(2390),
    [anon_sym_globallycoherent] = ACTIONS(2390),
    [anon_sym_centroid] = ACTIONS(2390),
    [anon_sym_noperspective] = ACTIONS(2390),
    [anon_sym_nointerpolation] = ACTIONS(2390),
    [anon_sym_sample] = ACTIONS(2390),
    [anon_sym_linear] = ACTIONS(2390),
    [anon_sym_snorm] = ACTIONS(2390),
    [anon_sym_unorm] = ACTIONS(2390),
    [anon_sym_point] = ACTIONS(2390),
    [anon_sym_line] = ACTIONS(2390),
    [anon_sym_triangleadj] = ACTIONS(2390),
    [anon_sym_lineadj] = ACTIONS(2390),
    [anon_sym_triangle] = ACTIONS(2390),
    [anon_sym_cbuffer] = ACTIONS(2390),
  },
  [675] = {
    [sym_identifier] = ACTIONS(2394),
    [aux_sym_preproc_include_token1] = ACTIONS(2394),
    [aux_sym_preproc_def_token1] = ACTIONS(2394),
    [aux_sym_preproc_if_token1] = ACTIONS(2394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2394),
    [sym_preproc_directive] = ACTIONS(2394),
    [anon_sym_LPAREN2] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2396),
    [anon_sym_TILDE] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym___extension__] = ACTIONS(2394),
    [anon_sym_typedef] = ACTIONS(2394),
    [anon_sym_in] = ACTIONS(2394),
    [anon_sym_out] = ACTIONS(2394),
    [anon_sym_inout] = ACTIONS(2394),
    [anon_sym_virtual] = ACTIONS(2394),
    [anon_sym_extern] = ACTIONS(2394),
    [anon_sym___attribute__] = ACTIONS(2394),
    [anon_sym___attribute] = ACTIONS(2394),
    [anon_sym_COLON_COLON] = ACTIONS(2396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2396),
    [anon_sym___declspec] = ACTIONS(2394),
    [anon_sym___based] = ACTIONS(2394),
    [anon_sym___cdecl] = ACTIONS(2394),
    [anon_sym___clrcall] = ACTIONS(2394),
    [anon_sym___stdcall] = ACTIONS(2394),
    [anon_sym___fastcall] = ACTIONS(2394),
    [anon_sym___thiscall] = ACTIONS(2394),
    [anon_sym___vectorcall] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2396),
    [anon_sym_RBRACE] = ACTIONS(2396),
    [anon_sym_signed] = ACTIONS(2394),
    [anon_sym_unsigned] = ACTIONS(2394),
    [anon_sym_long] = ACTIONS(2394),
    [anon_sym_short] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_register] = ACTIONS(2394),
    [anon_sym_inline] = ACTIONS(2394),
    [anon_sym___inline] = ACTIONS(2394),
    [anon_sym___inline__] = ACTIONS(2394),
    [anon_sym___forceinline] = ACTIONS(2394),
    [anon_sym_thread_local] = ACTIONS(2394),
    [anon_sym___thread] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_constexpr] = ACTIONS(2394),
    [anon_sym_volatile] = ACTIONS(2394),
    [anon_sym_restrict] = ACTIONS(2394),
    [anon_sym___restrict__] = ACTIONS(2394),
    [anon_sym__Atomic] = ACTIONS(2394),
    [anon_sym__Noreturn] = ACTIONS(2394),
    [anon_sym_noreturn] = ACTIONS(2394),
    [anon_sym__Nonnull] = ACTIONS(2394),
    [anon_sym_mutable] = ACTIONS(2394),
    [anon_sym_constinit] = ACTIONS(2394),
    [anon_sym_consteval] = ACTIONS(2394),
    [anon_sym_alignas] = ACTIONS(2394),
    [anon_sym__Alignas] = ACTIONS(2394),
    [sym_primitive_type] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_struct] = ACTIONS(2394),
    [anon_sym_union] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_case] = ACTIONS(2394),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_goto] = ACTIONS(2394),
    [anon_sym___try] = ACTIONS(2394),
    [anon_sym___leave] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2394),
    [anon_sym_compl] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2396),
    [anon_sym_PLUS_PLUS] = ACTIONS(2396),
    [anon_sym_sizeof] = ACTIONS(2394),
    [anon_sym___alignof__] = ACTIONS(2394),
    [anon_sym___alignof] = ACTIONS(2394),
    [anon_sym__alignof] = ACTIONS(2394),
    [anon_sym_alignof] = ACTIONS(2394),
    [anon_sym__Alignof] = ACTIONS(2394),
    [anon_sym_offsetof] = ACTIONS(2394),
    [anon_sym__Generic] = ACTIONS(2394),
    [anon_sym_asm] = ACTIONS(2394),
    [anon_sym___asm__] = ACTIONS(2394),
    [anon_sym___asm] = ACTIONS(2394),
    [sym_number_literal] = ACTIONS(2396),
    [anon_sym_L_SQUOTE] = ACTIONS(2396),
    [anon_sym_u_SQUOTE] = ACTIONS(2396),
    [anon_sym_U_SQUOTE] = ACTIONS(2396),
    [anon_sym_u8_SQUOTE] = ACTIONS(2396),
    [anon_sym_SQUOTE] = ACTIONS(2396),
    [anon_sym_L_DQUOTE] = ACTIONS(2396),
    [anon_sym_u_DQUOTE] = ACTIONS(2396),
    [anon_sym_U_DQUOTE] = ACTIONS(2396),
    [anon_sym_u8_DQUOTE] = ACTIONS(2396),
    [anon_sym_DQUOTE] = ACTIONS(2396),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [anon_sym_NULL] = ACTIONS(2394),
    [anon_sym_nullptr] = ACTIONS(2394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2394),
    [anon_sym_decltype] = ACTIONS(2394),
    [anon_sym_explicit] = ACTIONS(2394),
    [anon_sym_typename] = ACTIONS(2394),
    [anon_sym_template] = ACTIONS(2394),
    [anon_sym_operator] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_static_assert] = ACTIONS(2394),
    [anon_sym_concept] = ACTIONS(2394),
    [anon_sym_co_return] = ACTIONS(2394),
    [anon_sym_co_yield] = ACTIONS(2394),
    [anon_sym_R_DQUOTE] = ACTIONS(2396),
    [anon_sym_LR_DQUOTE] = ACTIONS(2396),
    [anon_sym_uR_DQUOTE] = ACTIONS(2396),
    [anon_sym_UR_DQUOTE] = ACTIONS(2396),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2396),
    [anon_sym_co_await] = ACTIONS(2394),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_requires] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [anon_sym_discard] = ACTIONS(2394),
    [anon_sym_precise] = ACTIONS(2394),
    [anon_sym_shared] = ACTIONS(2394),
    [anon_sym_groupshared] = ACTIONS(2394),
    [anon_sym_uniform] = ACTIONS(2394),
    [anon_sym_row_major] = ACTIONS(2394),
    [anon_sym_column_major] = ACTIONS(2394),
    [anon_sym_globallycoherent] = ACTIONS(2394),
    [anon_sym_centroid] = ACTIONS(2394),
    [anon_sym_noperspective] = ACTIONS(2394),
    [anon_sym_nointerpolation] = ACTIONS(2394),
    [anon_sym_sample] = ACTIONS(2394),
    [anon_sym_linear] = ACTIONS(2394),
    [anon_sym_snorm] = ACTIONS(2394),
    [anon_sym_unorm] = ACTIONS(2394),
    [anon_sym_point] = ACTIONS(2394),
    [anon_sym_line] = ACTIONS(2394),
    [anon_sym_triangleadj] = ACTIONS(2394),
    [anon_sym_lineadj] = ACTIONS(2394),
    [anon_sym_triangle] = ACTIONS(2394),
    [anon_sym_cbuffer] = ACTIONS(2394),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2462),
    [aux_sym_preproc_include_token1] = ACTIONS(2462),
    [aux_sym_preproc_def_token1] = ACTIONS(2462),
    [aux_sym_preproc_if_token1] = ACTIONS(2462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2462),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2462),
    [sym_preproc_directive] = ACTIONS(2462),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2462),
    [anon_sym_typedef] = ACTIONS(2462),
    [anon_sym_in] = ACTIONS(2462),
    [anon_sym_out] = ACTIONS(2462),
    [anon_sym_inout] = ACTIONS(2462),
    [anon_sym_virtual] = ACTIONS(2462),
    [anon_sym_extern] = ACTIONS(2462),
    [anon_sym___attribute__] = ACTIONS(2462),
    [anon_sym___attribute] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2462),
    [anon_sym___based] = ACTIONS(2462),
    [anon_sym___cdecl] = ACTIONS(2462),
    [anon_sym___clrcall] = ACTIONS(2462),
    [anon_sym___stdcall] = ACTIONS(2462),
    [anon_sym___fastcall] = ACTIONS(2462),
    [anon_sym___thiscall] = ACTIONS(2462),
    [anon_sym___vectorcall] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2462),
    [anon_sym_unsigned] = ACTIONS(2462),
    [anon_sym_long] = ACTIONS(2462),
    [anon_sym_short] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym_static] = ACTIONS(2462),
    [anon_sym_register] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2462),
    [anon_sym___inline] = ACTIONS(2462),
    [anon_sym___inline__] = ACTIONS(2462),
    [anon_sym___forceinline] = ACTIONS(2462),
    [anon_sym_thread_local] = ACTIONS(2462),
    [anon_sym___thread] = ACTIONS(2462),
    [anon_sym_const] = ACTIONS(2462),
    [anon_sym_constexpr] = ACTIONS(2462),
    [anon_sym_volatile] = ACTIONS(2462),
    [anon_sym_restrict] = ACTIONS(2462),
    [anon_sym___restrict__] = ACTIONS(2462),
    [anon_sym__Atomic] = ACTIONS(2462),
    [anon_sym__Noreturn] = ACTIONS(2462),
    [anon_sym_noreturn] = ACTIONS(2462),
    [anon_sym__Nonnull] = ACTIONS(2462),
    [anon_sym_mutable] = ACTIONS(2462),
    [anon_sym_constinit] = ACTIONS(2462),
    [anon_sym_consteval] = ACTIONS(2462),
    [anon_sym_alignas] = ACTIONS(2462),
    [anon_sym__Alignas] = ACTIONS(2462),
    [sym_primitive_type] = ACTIONS(2462),
    [anon_sym_enum] = ACTIONS(2462),
    [anon_sym_class] = ACTIONS(2462),
    [anon_sym_struct] = ACTIONS(2462),
    [anon_sym_union] = ACTIONS(2462),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_switch] = ACTIONS(2462),
    [anon_sym_case] = ACTIONS(2462),
    [anon_sym_default] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_do] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2462),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_break] = ACTIONS(2462),
    [anon_sym_continue] = ACTIONS(2462),
    [anon_sym_goto] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2462),
    [anon_sym___leave] = ACTIONS(2462),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2462),
    [anon_sym_asm] = ACTIONS(2462),
    [anon_sym___asm__] = ACTIONS(2462),
    [anon_sym___asm] = ACTIONS(2462),
    [sym_number_literal] = ACTIONS(2465),
    [anon_sym_L_SQUOTE] = ACTIONS(2465),
    [anon_sym_u_SQUOTE] = ACTIONS(2465),
    [anon_sym_U_SQUOTE] = ACTIONS(2465),
    [anon_sym_u8_SQUOTE] = ACTIONS(2465),
    [anon_sym_SQUOTE] = ACTIONS(2465),
    [anon_sym_L_DQUOTE] = ACTIONS(2465),
    [anon_sym_u_DQUOTE] = ACTIONS(2465),
    [anon_sym_U_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8_DQUOTE] = ACTIONS(2465),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [sym_true] = ACTIONS(2462),
    [sym_false] = ACTIONS(2462),
    [anon_sym_NULL] = ACTIONS(2462),
    [anon_sym_nullptr] = ACTIONS(2462),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2462),
    [anon_sym_decltype] = ACTIONS(2462),
    [anon_sym_explicit] = ACTIONS(2462),
    [anon_sym_typename] = ACTIONS(2462),
    [anon_sym_template] = ACTIONS(2462),
    [anon_sym_operator] = ACTIONS(2462),
    [anon_sym_try] = ACTIONS(2462),
    [anon_sym_delete] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2462),
    [anon_sym_namespace] = ACTIONS(2462),
    [anon_sym_using] = ACTIONS(2462),
    [anon_sym_static_assert] = ACTIONS(2462),
    [anon_sym_concept] = ACTIONS(2462),
    [anon_sym_co_return] = ACTIONS(2462),
    [anon_sym_co_yield] = ACTIONS(2462),
    [anon_sym_R_DQUOTE] = ACTIONS(2465),
    [anon_sym_LR_DQUOTE] = ACTIONS(2465),
    [anon_sym_uR_DQUOTE] = ACTIONS(2465),
    [anon_sym_UR_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2465),
    [anon_sym_co_await] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2462),
    [anon_sym_requires] = ACTIONS(2462),
    [sym_this] = ACTIONS(2462),
    [anon_sym_discard] = ACTIONS(2462),
    [anon_sym_precise] = ACTIONS(2462),
    [anon_sym_shared] = ACTIONS(2462),
    [anon_sym_groupshared] = ACTIONS(2462),
    [anon_sym_uniform] = ACTIONS(2462),
    [anon_sym_row_major] = ACTIONS(2462),
    [anon_sym_column_major] = ACTIONS(2462),
    [anon_sym_globallycoherent] = ACTIONS(2462),
    [anon_sym_centroid] = ACTIONS(2462),
    [anon_sym_noperspective] = ACTIONS(2462),
    [anon_sym_nointerpolation] = ACTIONS(2462),
    [anon_sym_sample] = ACTIONS(2462),
    [anon_sym_linear] = ACTIONS(2462),
    [anon_sym_snorm] = ACTIONS(2462),
    [anon_sym_unorm] = ACTIONS(2462),
    [anon_sym_point] = ACTIONS(2462),
    [anon_sym_line] = ACTIONS(2462),
    [anon_sym_triangleadj] = ACTIONS(2462),
    [anon_sym_lineadj] = ACTIONS(2462),
    [anon_sym_triangle] = ACTIONS(2462),
    [anon_sym_cbuffer] = ACTIONS(2462),
  },
  [677] = {
    [sym_identifier] = ACTIONS(2406),
    [aux_sym_preproc_include_token1] = ACTIONS(2406),
    [aux_sym_preproc_def_token1] = ACTIONS(2406),
    [aux_sym_preproc_if_token1] = ACTIONS(2406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2406),
    [sym_preproc_directive] = ACTIONS(2406),
    [anon_sym_LPAREN2] = ACTIONS(2408),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2406),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym___extension__] = ACTIONS(2406),
    [anon_sym_typedef] = ACTIONS(2406),
    [anon_sym_in] = ACTIONS(2406),
    [anon_sym_out] = ACTIONS(2406),
    [anon_sym_inout] = ACTIONS(2406),
    [anon_sym_virtual] = ACTIONS(2406),
    [anon_sym_extern] = ACTIONS(2406),
    [anon_sym___attribute__] = ACTIONS(2406),
    [anon_sym___attribute] = ACTIONS(2406),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2408),
    [anon_sym___declspec] = ACTIONS(2406),
    [anon_sym___based] = ACTIONS(2406),
    [anon_sym___cdecl] = ACTIONS(2406),
    [anon_sym___clrcall] = ACTIONS(2406),
    [anon_sym___stdcall] = ACTIONS(2406),
    [anon_sym___fastcall] = ACTIONS(2406),
    [anon_sym___thiscall] = ACTIONS(2406),
    [anon_sym___vectorcall] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_signed] = ACTIONS(2406),
    [anon_sym_unsigned] = ACTIONS(2406),
    [anon_sym_long] = ACTIONS(2406),
    [anon_sym_short] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_static] = ACTIONS(2406),
    [anon_sym_register] = ACTIONS(2406),
    [anon_sym_inline] = ACTIONS(2406),
    [anon_sym___inline] = ACTIONS(2406),
    [anon_sym___inline__] = ACTIONS(2406),
    [anon_sym___forceinline] = ACTIONS(2406),
    [anon_sym_thread_local] = ACTIONS(2406),
    [anon_sym___thread] = ACTIONS(2406),
    [anon_sym_const] = ACTIONS(2406),
    [anon_sym_constexpr] = ACTIONS(2406),
    [anon_sym_volatile] = ACTIONS(2406),
    [anon_sym_restrict] = ACTIONS(2406),
    [anon_sym___restrict__] = ACTIONS(2406),
    [anon_sym__Atomic] = ACTIONS(2406),
    [anon_sym__Noreturn] = ACTIONS(2406),
    [anon_sym_noreturn] = ACTIONS(2406),
    [anon_sym__Nonnull] = ACTIONS(2406),
    [anon_sym_mutable] = ACTIONS(2406),
    [anon_sym_constinit] = ACTIONS(2406),
    [anon_sym_consteval] = ACTIONS(2406),
    [anon_sym_alignas] = ACTIONS(2406),
    [anon_sym__Alignas] = ACTIONS(2406),
    [sym_primitive_type] = ACTIONS(2406),
    [anon_sym_enum] = ACTIONS(2406),
    [anon_sym_class] = ACTIONS(2406),
    [anon_sym_struct] = ACTIONS(2406),
    [anon_sym_union] = ACTIONS(2406),
    [anon_sym_if] = ACTIONS(2406),
    [anon_sym_switch] = ACTIONS(2406),
    [anon_sym_case] = ACTIONS(2406),
    [anon_sym_default] = ACTIONS(2406),
    [anon_sym_while] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(2406),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_return] = ACTIONS(2406),
    [anon_sym_break] = ACTIONS(2406),
    [anon_sym_continue] = ACTIONS(2406),
    [anon_sym_goto] = ACTIONS(2406),
    [anon_sym___try] = ACTIONS(2406),
    [anon_sym___leave] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_compl] = ACTIONS(2406),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_sizeof] = ACTIONS(2406),
    [anon_sym___alignof__] = ACTIONS(2406),
    [anon_sym___alignof] = ACTIONS(2406),
    [anon_sym__alignof] = ACTIONS(2406),
    [anon_sym_alignof] = ACTIONS(2406),
    [anon_sym__Alignof] = ACTIONS(2406),
    [anon_sym_offsetof] = ACTIONS(2406),
    [anon_sym__Generic] = ACTIONS(2406),
    [anon_sym_asm] = ACTIONS(2406),
    [anon_sym___asm__] = ACTIONS(2406),
    [anon_sym___asm] = ACTIONS(2406),
    [sym_number_literal] = ACTIONS(2408),
    [anon_sym_L_SQUOTE] = ACTIONS(2408),
    [anon_sym_u_SQUOTE] = ACTIONS(2408),
    [anon_sym_U_SQUOTE] = ACTIONS(2408),
    [anon_sym_u8_SQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2406),
    [sym_false] = ACTIONS(2406),
    [anon_sym_NULL] = ACTIONS(2406),
    [anon_sym_nullptr] = ACTIONS(2406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2406),
    [anon_sym_decltype] = ACTIONS(2406),
    [anon_sym_explicit] = ACTIONS(2406),
    [anon_sym_typename] = ACTIONS(2406),
    [anon_sym_template] = ACTIONS(2406),
    [anon_sym_operator] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2406),
    [anon_sym_delete] = ACTIONS(2406),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_namespace] = ACTIONS(2406),
    [anon_sym_using] = ACTIONS(2406),
    [anon_sym_static_assert] = ACTIONS(2406),
    [anon_sym_concept] = ACTIONS(2406),
    [anon_sym_co_return] = ACTIONS(2406),
    [anon_sym_co_yield] = ACTIONS(2406),
    [anon_sym_R_DQUOTE] = ACTIONS(2408),
    [anon_sym_LR_DQUOTE] = ACTIONS(2408),
    [anon_sym_uR_DQUOTE] = ACTIONS(2408),
    [anon_sym_UR_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2408),
    [anon_sym_co_await] = ACTIONS(2406),
    [anon_sym_new] = ACTIONS(2406),
    [anon_sym_requires] = ACTIONS(2406),
    [sym_this] = ACTIONS(2406),
    [anon_sym_discard] = ACTIONS(2406),
    [anon_sym_precise] = ACTIONS(2406),
    [anon_sym_shared] = ACTIONS(2406),
    [anon_sym_groupshared] = ACTIONS(2406),
    [anon_sym_uniform] = ACTIONS(2406),
    [anon_sym_row_major] = ACTIONS(2406),
    [anon_sym_column_major] = ACTIONS(2406),
    [anon_sym_globallycoherent] = ACTIONS(2406),
    [anon_sym_centroid] = ACTIONS(2406),
    [anon_sym_noperspective] = ACTIONS(2406),
    [anon_sym_nointerpolation] = ACTIONS(2406),
    [anon_sym_sample] = ACTIONS(2406),
    [anon_sym_linear] = ACTIONS(2406),
    [anon_sym_snorm] = ACTIONS(2406),
    [anon_sym_unorm] = ACTIONS(2406),
    [anon_sym_point] = ACTIONS(2406),
    [anon_sym_line] = ACTIONS(2406),
    [anon_sym_triangleadj] = ACTIONS(2406),
    [anon_sym_lineadj] = ACTIONS(2406),
    [anon_sym_triangle] = ACTIONS(2406),
    [anon_sym_cbuffer] = ACTIONS(2406),
  },
  [678] = {
    [sym_identifier] = ACTIONS(2410),
    [aux_sym_preproc_include_token1] = ACTIONS(2410),
    [aux_sym_preproc_def_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2410),
    [sym_preproc_directive] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_BANG] = ACTIONS(2412),
    [anon_sym_TILDE] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(2410),
    [anon_sym_typedef] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_out] = ACTIONS(2410),
    [anon_sym_inout] = ACTIONS(2410),
    [anon_sym_virtual] = ACTIONS(2410),
    [anon_sym_extern] = ACTIONS(2410),
    [anon_sym___attribute__] = ACTIONS(2410),
    [anon_sym___attribute] = ACTIONS(2410),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2412),
    [anon_sym___declspec] = ACTIONS(2410),
    [anon_sym___based] = ACTIONS(2410),
    [anon_sym___cdecl] = ACTIONS(2410),
    [anon_sym___clrcall] = ACTIONS(2410),
    [anon_sym___stdcall] = ACTIONS(2410),
    [anon_sym___fastcall] = ACTIONS(2410),
    [anon_sym___thiscall] = ACTIONS(2410),
    [anon_sym___vectorcall] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2412),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_signed] = ACTIONS(2410),
    [anon_sym_unsigned] = ACTIONS(2410),
    [anon_sym_long] = ACTIONS(2410),
    [anon_sym_short] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_register] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym___inline] = ACTIONS(2410),
    [anon_sym___inline__] = ACTIONS(2410),
    [anon_sym___forceinline] = ACTIONS(2410),
    [anon_sym_thread_local] = ACTIONS(2410),
    [anon_sym___thread] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_constexpr] = ACTIONS(2410),
    [anon_sym_volatile] = ACTIONS(2410),
    [anon_sym_restrict] = ACTIONS(2410),
    [anon_sym___restrict__] = ACTIONS(2410),
    [anon_sym__Atomic] = ACTIONS(2410),
    [anon_sym__Noreturn] = ACTIONS(2410),
    [anon_sym_noreturn] = ACTIONS(2410),
    [anon_sym__Nonnull] = ACTIONS(2410),
    [anon_sym_mutable] = ACTIONS(2410),
    [anon_sym_constinit] = ACTIONS(2410),
    [anon_sym_consteval] = ACTIONS(2410),
    [anon_sym_alignas] = ACTIONS(2410),
    [anon_sym__Alignas] = ACTIONS(2410),
    [sym_primitive_type] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_struct] = ACTIONS(2410),
    [anon_sym_union] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_case] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_goto] = ACTIONS(2410),
    [anon_sym___try] = ACTIONS(2410),
    [anon_sym___leave] = ACTIONS(2410),
    [anon_sym_not] = ACTIONS(2410),
    [anon_sym_compl] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_sizeof] = ACTIONS(2410),
    [anon_sym___alignof__] = ACTIONS(2410),
    [anon_sym___alignof] = ACTIONS(2410),
    [anon_sym__alignof] = ACTIONS(2410),
    [anon_sym_alignof] = ACTIONS(2410),
    [anon_sym__Alignof] = ACTIONS(2410),
    [anon_sym_offsetof] = ACTIONS(2410),
    [anon_sym__Generic] = ACTIONS(2410),
    [anon_sym_asm] = ACTIONS(2410),
    [anon_sym___asm__] = ACTIONS(2410),
    [anon_sym___asm] = ACTIONS(2410),
    [sym_number_literal] = ACTIONS(2412),
    [anon_sym_L_SQUOTE] = ACTIONS(2412),
    [anon_sym_u_SQUOTE] = ACTIONS(2412),
    [anon_sym_U_SQUOTE] = ACTIONS(2412),
    [anon_sym_u8_SQUOTE] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_L_DQUOTE] = ACTIONS(2412),
    [anon_sym_u_DQUOTE] = ACTIONS(2412),
    [anon_sym_U_DQUOTE] = ACTIONS(2412),
    [anon_sym_u8_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2412),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2410),
    [anon_sym_decltype] = ACTIONS(2410),
    [anon_sym_explicit] = ACTIONS(2410),
    [anon_sym_typename] = ACTIONS(2410),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_static_assert] = ACTIONS(2410),
    [anon_sym_concept] = ACTIONS(2410),
    [anon_sym_co_return] = ACTIONS(2410),
    [anon_sym_co_yield] = ACTIONS(2410),
    [anon_sym_R_DQUOTE] = ACTIONS(2412),
    [anon_sym_LR_DQUOTE] = ACTIONS(2412),
    [anon_sym_uR_DQUOTE] = ACTIONS(2412),
    [anon_sym_UR_DQUOTE] = ACTIONS(2412),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2412),
    [anon_sym_co_await] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_requires] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [anon_sym_discard] = ACTIONS(2410),
    [anon_sym_precise] = ACTIONS(2410),
    [anon_sym_shared] = ACTIONS(2410),
    [anon_sym_groupshared] = ACTIONS(2410),
    [anon_sym_uniform] = ACTIONS(2410),
    [anon_sym_row_major] = ACTIONS(2410),
    [anon_sym_column_major] = ACTIONS(2410),
    [anon_sym_globallycoherent] = ACTIONS(2410),
    [anon_sym_centroid] = ACTIONS(2410),
    [anon_sym_noperspective] = ACTIONS(2410),
    [anon_sym_nointerpolation] = ACTIONS(2410),
    [anon_sym_sample] = ACTIONS(2410),
    [anon_sym_linear] = ACTIONS(2410),
    [anon_sym_snorm] = ACTIONS(2410),
    [anon_sym_unorm] = ACTIONS(2410),
    [anon_sym_point] = ACTIONS(2410),
    [anon_sym_line] = ACTIONS(2410),
    [anon_sym_triangleadj] = ACTIONS(2410),
    [anon_sym_lineadj] = ACTIONS(2410),
    [anon_sym_triangle] = ACTIONS(2410),
    [anon_sym_cbuffer] = ACTIONS(2410),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2418),
    [aux_sym_preproc_include_token1] = ACTIONS(2418),
    [aux_sym_preproc_def_token1] = ACTIONS(2418),
    [aux_sym_preproc_if_token1] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2418),
    [sym_preproc_directive] = ACTIONS(2418),
    [anon_sym_LPAREN2] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(2420),
    [anon_sym_TILDE] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_AMP_AMP] = ACTIONS(2420),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2420),
    [anon_sym___extension__] = ACTIONS(2418),
    [anon_sym_typedef] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_out] = ACTIONS(2418),
    [anon_sym_inout] = ACTIONS(2418),
    [anon_sym_virtual] = ACTIONS(2418),
    [anon_sym_extern] = ACTIONS(2418),
    [anon_sym___attribute__] = ACTIONS(2418),
    [anon_sym___attribute] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2420),
    [anon_sym___declspec] = ACTIONS(2418),
    [anon_sym___based] = ACTIONS(2418),
    [anon_sym___cdecl] = ACTIONS(2418),
    [anon_sym___clrcall] = ACTIONS(2418),
    [anon_sym___stdcall] = ACTIONS(2418),
    [anon_sym___fastcall] = ACTIONS(2418),
    [anon_sym___thiscall] = ACTIONS(2418),
    [anon_sym___vectorcall] = ACTIONS(2418),
    [anon_sym_LBRACE] = ACTIONS(2420),
    [anon_sym_RBRACE] = ACTIONS(2420),
    [anon_sym_signed] = ACTIONS(2418),
    [anon_sym_unsigned] = ACTIONS(2418),
    [anon_sym_long] = ACTIONS(2418),
    [anon_sym_short] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_static] = ACTIONS(2418),
    [anon_sym_register] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(2418),
    [anon_sym___inline] = ACTIONS(2418),
    [anon_sym___inline__] = ACTIONS(2418),
    [anon_sym___forceinline] = ACTIONS(2418),
    [anon_sym_thread_local] = ACTIONS(2418),
    [anon_sym___thread] = ACTIONS(2418),
    [anon_sym_const] = ACTIONS(2418),
    [anon_sym_constexpr] = ACTIONS(2418),
    [anon_sym_volatile] = ACTIONS(2418),
    [anon_sym_restrict] = ACTIONS(2418),
    [anon_sym___restrict__] = ACTIONS(2418),
    [anon_sym__Atomic] = ACTIONS(2418),
    [anon_sym__Noreturn] = ACTIONS(2418),
    [anon_sym_noreturn] = ACTIONS(2418),
    [anon_sym__Nonnull] = ACTIONS(2418),
    [anon_sym_mutable] = ACTIONS(2418),
    [anon_sym_constinit] = ACTIONS(2418),
    [anon_sym_consteval] = ACTIONS(2418),
    [anon_sym_alignas] = ACTIONS(2418),
    [anon_sym__Alignas] = ACTIONS(2418),
    [sym_primitive_type] = ACTIONS(2418),
    [anon_sym_enum] = ACTIONS(2418),
    [anon_sym_class] = ACTIONS(2418),
    [anon_sym_struct] = ACTIONS(2418),
    [anon_sym_union] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2418),
    [anon_sym_switch] = ACTIONS(2418),
    [anon_sym_case] = ACTIONS(2418),
    [anon_sym_default] = ACTIONS(2418),
    [anon_sym_while] = ACTIONS(2418),
    [anon_sym_do] = ACTIONS(2418),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_return] = ACTIONS(2418),
    [anon_sym_break] = ACTIONS(2418),
    [anon_sym_continue] = ACTIONS(2418),
    [anon_sym_goto] = ACTIONS(2418),
    [anon_sym___try] = ACTIONS(2418),
    [anon_sym___leave] = ACTIONS(2418),
    [anon_sym_not] = ACTIONS(2418),
    [anon_sym_compl] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2420),
    [anon_sym_PLUS_PLUS] = ACTIONS(2420),
    [anon_sym_sizeof] = ACTIONS(2418),
    [anon_sym___alignof__] = ACTIONS(2418),
    [anon_sym___alignof] = ACTIONS(2418),
    [anon_sym__alignof] = ACTIONS(2418),
    [anon_sym_alignof] = ACTIONS(2418),
    [anon_sym__Alignof] = ACTIONS(2418),
    [anon_sym_offsetof] = ACTIONS(2418),
    [anon_sym__Generic] = ACTIONS(2418),
    [anon_sym_asm] = ACTIONS(2418),
    [anon_sym___asm__] = ACTIONS(2418),
    [anon_sym___asm] = ACTIONS(2418),
    [sym_number_literal] = ACTIONS(2420),
    [anon_sym_L_SQUOTE] = ACTIONS(2420),
    [anon_sym_u_SQUOTE] = ACTIONS(2420),
    [anon_sym_U_SQUOTE] = ACTIONS(2420),
    [anon_sym_u8_SQUOTE] = ACTIONS(2420),
    [anon_sym_SQUOTE] = ACTIONS(2420),
    [anon_sym_L_DQUOTE] = ACTIONS(2420),
    [anon_sym_u_DQUOTE] = ACTIONS(2420),
    [anon_sym_U_DQUOTE] = ACTIONS(2420),
    [anon_sym_u8_DQUOTE] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2420),
    [sym_true] = ACTIONS(2418),
    [sym_false] = ACTIONS(2418),
    [anon_sym_NULL] = ACTIONS(2418),
    [anon_sym_nullptr] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2418),
    [anon_sym_decltype] = ACTIONS(2418),
    [anon_sym_explicit] = ACTIONS(2418),
    [anon_sym_typename] = ACTIONS(2418),
    [anon_sym_template] = ACTIONS(2418),
    [anon_sym_operator] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2418),
    [anon_sym_delete] = ACTIONS(2418),
    [anon_sym_throw] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2418),
    [anon_sym_using] = ACTIONS(2418),
    [anon_sym_static_assert] = ACTIONS(2418),
    [anon_sym_concept] = ACTIONS(2418),
    [anon_sym_co_return] = ACTIONS(2418),
    [anon_sym_co_yield] = ACTIONS(2418),
    [anon_sym_R_DQUOTE] = ACTIONS(2420),
    [anon_sym_LR_DQUOTE] = ACTIONS(2420),
    [anon_sym_uR_DQUOTE] = ACTIONS(2420),
    [anon_sym_UR_DQUOTE] = ACTIONS(2420),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2420),
    [anon_sym_co_await] = ACTIONS(2418),
    [anon_sym_new] = ACTIONS(2418),
    [anon_sym_requires] = ACTIONS(2418),
    [sym_this] = ACTIONS(2418),
    [anon_sym_discard] = ACTIONS(2418),
    [anon_sym_precise] = ACTIONS(2418),
    [anon_sym_shared] = ACTIONS(2418),
    [anon_sym_groupshared] = ACTIONS(2418),
    [anon_sym_uniform] = ACTIONS(2418),
    [anon_sym_row_major] = ACTIONS(2418),
    [anon_sym_column_major] = ACTIONS(2418),
    [anon_sym_globallycoherent] = ACTIONS(2418),
    [anon_sym_centroid] = ACTIONS(2418),
    [anon_sym_noperspective] = ACTIONS(2418),
    [anon_sym_nointerpolation] = ACTIONS(2418),
    [anon_sym_sample] = ACTIONS(2418),
    [anon_sym_linear] = ACTIONS(2418),
    [anon_sym_snorm] = ACTIONS(2418),
    [anon_sym_unorm] = ACTIONS(2418),
    [anon_sym_point] = ACTIONS(2418),
    [anon_sym_line] = ACTIONS(2418),
    [anon_sym_triangleadj] = ACTIONS(2418),
    [anon_sym_lineadj] = ACTIONS(2418),
    [anon_sym_triangle] = ACTIONS(2418),
    [anon_sym_cbuffer] = ACTIONS(2418),
  },
  [680] = {
    [sym_identifier] = ACTIONS(2422),
    [aux_sym_preproc_include_token1] = ACTIONS(2422),
    [aux_sym_preproc_def_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2422),
    [sym_preproc_directive] = ACTIONS(2422),
    [anon_sym_LPAREN2] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym___extension__] = ACTIONS(2422),
    [anon_sym_typedef] = ACTIONS(2422),
    [anon_sym_in] = ACTIONS(2422),
    [anon_sym_out] = ACTIONS(2422),
    [anon_sym_inout] = ACTIONS(2422),
    [anon_sym_virtual] = ACTIONS(2422),
    [anon_sym_extern] = ACTIONS(2422),
    [anon_sym___attribute__] = ACTIONS(2422),
    [anon_sym___attribute] = ACTIONS(2422),
    [anon_sym_COLON_COLON] = ACTIONS(2424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2424),
    [anon_sym___declspec] = ACTIONS(2422),
    [anon_sym___based] = ACTIONS(2422),
    [anon_sym___cdecl] = ACTIONS(2422),
    [anon_sym___clrcall] = ACTIONS(2422),
    [anon_sym___stdcall] = ACTIONS(2422),
    [anon_sym___fastcall] = ACTIONS(2422),
    [anon_sym___thiscall] = ACTIONS(2422),
    [anon_sym___vectorcall] = ACTIONS(2422),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_signed] = ACTIONS(2422),
    [anon_sym_unsigned] = ACTIONS(2422),
    [anon_sym_long] = ACTIONS(2422),
    [anon_sym_short] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_static] = ACTIONS(2422),
    [anon_sym_register] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(2422),
    [anon_sym___inline] = ACTIONS(2422),
    [anon_sym___inline__] = ACTIONS(2422),
    [anon_sym___forceinline] = ACTIONS(2422),
    [anon_sym_thread_local] = ACTIONS(2422),
    [anon_sym___thread] = ACTIONS(2422),
    [anon_sym_const] = ACTIONS(2422),
    [anon_sym_constexpr] = ACTIONS(2422),
    [anon_sym_volatile] = ACTIONS(2422),
    [anon_sym_restrict] = ACTIONS(2422),
    [anon_sym___restrict__] = ACTIONS(2422),
    [anon_sym__Atomic] = ACTIONS(2422),
    [anon_sym__Noreturn] = ACTIONS(2422),
    [anon_sym_noreturn] = ACTIONS(2422),
    [anon_sym__Nonnull] = ACTIONS(2422),
    [anon_sym_mutable] = ACTIONS(2422),
    [anon_sym_constinit] = ACTIONS(2422),
    [anon_sym_consteval] = ACTIONS(2422),
    [anon_sym_alignas] = ACTIONS(2422),
    [anon_sym__Alignas] = ACTIONS(2422),
    [sym_primitive_type] = ACTIONS(2422),
    [anon_sym_enum] = ACTIONS(2422),
    [anon_sym_class] = ACTIONS(2422),
    [anon_sym_struct] = ACTIONS(2422),
    [anon_sym_union] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(2422),
    [anon_sym_switch] = ACTIONS(2422),
    [anon_sym_case] = ACTIONS(2422),
    [anon_sym_default] = ACTIONS(2422),
    [anon_sym_while] = ACTIONS(2422),
    [anon_sym_do] = ACTIONS(2422),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_return] = ACTIONS(2422),
    [anon_sym_break] = ACTIONS(2422),
    [anon_sym_continue] = ACTIONS(2422),
    [anon_sym_goto] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2422),
    [anon_sym___leave] = ACTIONS(2422),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_sizeof] = ACTIONS(2422),
    [anon_sym___alignof__] = ACTIONS(2422),
    [anon_sym___alignof] = ACTIONS(2422),
    [anon_sym__alignof] = ACTIONS(2422),
    [anon_sym_alignof] = ACTIONS(2422),
    [anon_sym__Alignof] = ACTIONS(2422),
    [anon_sym_offsetof] = ACTIONS(2422),
    [anon_sym__Generic] = ACTIONS(2422),
    [anon_sym_asm] = ACTIONS(2422),
    [anon_sym___asm__] = ACTIONS(2422),
    [anon_sym___asm] = ACTIONS(2422),
    [sym_number_literal] = ACTIONS(2424),
    [anon_sym_L_SQUOTE] = ACTIONS(2424),
    [anon_sym_u_SQUOTE] = ACTIONS(2424),
    [anon_sym_U_SQUOTE] = ACTIONS(2424),
    [anon_sym_u8_SQUOTE] = ACTIONS(2424),
    [anon_sym_SQUOTE] = ACTIONS(2424),
    [anon_sym_L_DQUOTE] = ACTIONS(2424),
    [anon_sym_u_DQUOTE] = ACTIONS(2424),
    [anon_sym_U_DQUOTE] = ACTIONS(2424),
    [anon_sym_u8_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [sym_true] = ACTIONS(2422),
    [sym_false] = ACTIONS(2422),
    [anon_sym_NULL] = ACTIONS(2422),
    [anon_sym_nullptr] = ACTIONS(2422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2422),
    [anon_sym_decltype] = ACTIONS(2422),
    [anon_sym_explicit] = ACTIONS(2422),
    [anon_sym_typename] = ACTIONS(2422),
    [anon_sym_template] = ACTIONS(2422),
    [anon_sym_operator] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2422),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2422),
    [anon_sym_namespace] = ACTIONS(2422),
    [anon_sym_using] = ACTIONS(2422),
    [anon_sym_static_assert] = ACTIONS(2422),
    [anon_sym_concept] = ACTIONS(2422),
    [anon_sym_co_return] = ACTIONS(2422),
    [anon_sym_co_yield] = ACTIONS(2422),
    [anon_sym_R_DQUOTE] = ACTIONS(2424),
    [anon_sym_LR_DQUOTE] = ACTIONS(2424),
    [anon_sym_uR_DQUOTE] = ACTIONS(2424),
    [anon_sym_UR_DQUOTE] = ACTIONS(2424),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2424),
    [anon_sym_co_await] = ACTIONS(2422),
    [anon_sym_new] = ACTIONS(2422),
    [anon_sym_requires] = ACTIONS(2422),
    [sym_this] = ACTIONS(2422),
    [anon_sym_discard] = ACTIONS(2422),
    [anon_sym_precise] = ACTIONS(2422),
    [anon_sym_shared] = ACTIONS(2422),
    [anon_sym_groupshared] = ACTIONS(2422),
    [anon_sym_uniform] = ACTIONS(2422),
    [anon_sym_row_major] = ACTIONS(2422),
    [anon_sym_column_major] = ACTIONS(2422),
    [anon_sym_globallycoherent] = ACTIONS(2422),
    [anon_sym_centroid] = ACTIONS(2422),
    [anon_sym_noperspective] = ACTIONS(2422),
    [anon_sym_nointerpolation] = ACTIONS(2422),
    [anon_sym_sample] = ACTIONS(2422),
    [anon_sym_linear] = ACTIONS(2422),
    [anon_sym_snorm] = ACTIONS(2422),
    [anon_sym_unorm] = ACTIONS(2422),
    [anon_sym_point] = ACTIONS(2422),
    [anon_sym_line] = ACTIONS(2422),
    [anon_sym_triangleadj] = ACTIONS(2422),
    [anon_sym_lineadj] = ACTIONS(2422),
    [anon_sym_triangle] = ACTIONS(2422),
    [anon_sym_cbuffer] = ACTIONS(2422),
  },
  [681] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_include_token1] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym___cdecl] = ACTIONS(2426),
    [anon_sym___clrcall] = ACTIONS(2426),
    [anon_sym___stdcall] = ACTIONS(2426),
    [anon_sym___fastcall] = ACTIONS(2426),
    [anon_sym___thiscall] = ACTIONS(2426),
    [anon_sym___vectorcall] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_goto] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2426),
    [anon_sym___leave] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2426),
    [anon_sym_compl] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2426),
    [anon_sym___alignof] = ACTIONS(2426),
    [anon_sym__alignof] = ACTIONS(2426),
    [anon_sym_alignof] = ACTIONS(2426),
    [anon_sym__Alignof] = ACTIONS(2426),
    [anon_sym_offsetof] = ACTIONS(2426),
    [anon_sym__Generic] = ACTIONS(2426),
    [anon_sym_asm] = ACTIONS(2426),
    [anon_sym___asm__] = ACTIONS(2426),
    [anon_sym___asm] = ACTIONS(2426),
    [sym_number_literal] = ACTIONS(2428),
    [anon_sym_L_SQUOTE] = ACTIONS(2428),
    [anon_sym_u_SQUOTE] = ACTIONS(2428),
    [anon_sym_U_SQUOTE] = ACTIONS(2428),
    [anon_sym_u8_SQUOTE] = ACTIONS(2428),
    [anon_sym_SQUOTE] = ACTIONS(2428),
    [anon_sym_L_DQUOTE] = ACTIONS(2428),
    [anon_sym_u_DQUOTE] = ACTIONS(2428),
    [anon_sym_U_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [anon_sym_NULL] = ACTIONS(2426),
    [anon_sym_nullptr] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_concept] = ACTIONS(2426),
    [anon_sym_co_return] = ACTIONS(2426),
    [anon_sym_co_yield] = ACTIONS(2426),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_requires] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [anon_sym_discard] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
    [anon_sym_cbuffer] = ACTIONS(2426),
  },
  [682] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_include_token1] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym___cdecl] = ACTIONS(2426),
    [anon_sym___clrcall] = ACTIONS(2426),
    [anon_sym___stdcall] = ACTIONS(2426),
    [anon_sym___fastcall] = ACTIONS(2426),
    [anon_sym___thiscall] = ACTIONS(2426),
    [anon_sym___vectorcall] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_goto] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2426),
    [anon_sym___leave] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2426),
    [anon_sym_compl] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2426),
    [anon_sym___alignof] = ACTIONS(2426),
    [anon_sym__alignof] = ACTIONS(2426),
    [anon_sym_alignof] = ACTIONS(2426),
    [anon_sym__Alignof] = ACTIONS(2426),
    [anon_sym_offsetof] = ACTIONS(2426),
    [anon_sym__Generic] = ACTIONS(2426),
    [anon_sym_asm] = ACTIONS(2426),
    [anon_sym___asm__] = ACTIONS(2426),
    [anon_sym___asm] = ACTIONS(2426),
    [sym_number_literal] = ACTIONS(2428),
    [anon_sym_L_SQUOTE] = ACTIONS(2428),
    [anon_sym_u_SQUOTE] = ACTIONS(2428),
    [anon_sym_U_SQUOTE] = ACTIONS(2428),
    [anon_sym_u8_SQUOTE] = ACTIONS(2428),
    [anon_sym_SQUOTE] = ACTIONS(2428),
    [anon_sym_L_DQUOTE] = ACTIONS(2428),
    [anon_sym_u_DQUOTE] = ACTIONS(2428),
    [anon_sym_U_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [anon_sym_NULL] = ACTIONS(2426),
    [anon_sym_nullptr] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_concept] = ACTIONS(2426),
    [anon_sym_co_return] = ACTIONS(2426),
    [anon_sym_co_yield] = ACTIONS(2426),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_requires] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [anon_sym_discard] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
    [anon_sym_cbuffer] = ACTIONS(2426),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [685] = {
    [sym_identifier] = ACTIONS(2442),
    [aux_sym_preproc_include_token1] = ACTIONS(2442),
    [aux_sym_preproc_def_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2442),
    [sym_preproc_directive] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_BANG] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2444),
    [anon_sym___extension__] = ACTIONS(2442),
    [anon_sym_typedef] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_out] = ACTIONS(2442),
    [anon_sym_inout] = ACTIONS(2442),
    [anon_sym_virtual] = ACTIONS(2442),
    [anon_sym_extern] = ACTIONS(2442),
    [anon_sym___attribute__] = ACTIONS(2442),
    [anon_sym___attribute] = ACTIONS(2442),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2444),
    [anon_sym___declspec] = ACTIONS(2442),
    [anon_sym___based] = ACTIONS(2442),
    [anon_sym___cdecl] = ACTIONS(2442),
    [anon_sym___clrcall] = ACTIONS(2442),
    [anon_sym___stdcall] = ACTIONS(2442),
    [anon_sym___fastcall] = ACTIONS(2442),
    [anon_sym___thiscall] = ACTIONS(2442),
    [anon_sym___vectorcall] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2444),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_signed] = ACTIONS(2442),
    [anon_sym_unsigned] = ACTIONS(2442),
    [anon_sym_long] = ACTIONS(2442),
    [anon_sym_short] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_register] = ACTIONS(2442),
    [anon_sym_inline] = ACTIONS(2442),
    [anon_sym___inline] = ACTIONS(2442),
    [anon_sym___inline__] = ACTIONS(2442),
    [anon_sym___forceinline] = ACTIONS(2442),
    [anon_sym_thread_local] = ACTIONS(2442),
    [anon_sym___thread] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_constexpr] = ACTIONS(2442),
    [anon_sym_volatile] = ACTIONS(2442),
    [anon_sym_restrict] = ACTIONS(2442),
    [anon_sym___restrict__] = ACTIONS(2442),
    [anon_sym__Atomic] = ACTIONS(2442),
    [anon_sym__Noreturn] = ACTIONS(2442),
    [anon_sym_noreturn] = ACTIONS(2442),
    [anon_sym__Nonnull] = ACTIONS(2442),
    [anon_sym_mutable] = ACTIONS(2442),
    [anon_sym_constinit] = ACTIONS(2442),
    [anon_sym_consteval] = ACTIONS(2442),
    [anon_sym_alignas] = ACTIONS(2442),
    [anon_sym__Alignas] = ACTIONS(2442),
    [sym_primitive_type] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_struct] = ACTIONS(2442),
    [anon_sym_union] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_goto] = ACTIONS(2442),
    [anon_sym___try] = ACTIONS(2442),
    [anon_sym___leave] = ACTIONS(2442),
    [anon_sym_not] = ACTIONS(2442),
    [anon_sym_compl] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2444),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(2442),
    [anon_sym___alignof] = ACTIONS(2442),
    [anon_sym__alignof] = ACTIONS(2442),
    [anon_sym_alignof] = ACTIONS(2442),
    [anon_sym__Alignof] = ACTIONS(2442),
    [anon_sym_offsetof] = ACTIONS(2442),
    [anon_sym__Generic] = ACTIONS(2442),
    [anon_sym_asm] = ACTIONS(2442),
    [anon_sym___asm__] = ACTIONS(2442),
    [anon_sym___asm] = ACTIONS(2442),
    [sym_number_literal] = ACTIONS(2444),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2444),
    [anon_sym_u_DQUOTE] = ACTIONS(2444),
    [anon_sym_U_DQUOTE] = ACTIONS(2444),
    [anon_sym_u8_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2444),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2442),
    [anon_sym_nullptr] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2442),
    [anon_sym_decltype] = ACTIONS(2442),
    [anon_sym_explicit] = ACTIONS(2442),
    [anon_sym_typename] = ACTIONS(2442),
    [anon_sym_template] = ACTIONS(2442),
    [anon_sym_operator] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_static_assert] = ACTIONS(2442),
    [anon_sym_concept] = ACTIONS(2442),
    [anon_sym_co_return] = ACTIONS(2442),
    [anon_sym_co_yield] = ACTIONS(2442),
    [anon_sym_R_DQUOTE] = ACTIONS(2444),
    [anon_sym_LR_DQUOTE] = ACTIONS(2444),
    [anon_sym_uR_DQUOTE] = ACTIONS(2444),
    [anon_sym_UR_DQUOTE] = ACTIONS(2444),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2444),
    [anon_sym_co_await] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_requires] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [anon_sym_discard] = ACTIONS(2442),
    [anon_sym_precise] = ACTIONS(2442),
    [anon_sym_shared] = ACTIONS(2442),
    [anon_sym_groupshared] = ACTIONS(2442),
    [anon_sym_uniform] = ACTIONS(2442),
    [anon_sym_row_major] = ACTIONS(2442),
    [anon_sym_column_major] = ACTIONS(2442),
    [anon_sym_globallycoherent] = ACTIONS(2442),
    [anon_sym_centroid] = ACTIONS(2442),
    [anon_sym_noperspective] = ACTIONS(2442),
    [anon_sym_nointerpolation] = ACTIONS(2442),
    [anon_sym_sample] = ACTIONS(2442),
    [anon_sym_linear] = ACTIONS(2442),
    [anon_sym_snorm] = ACTIONS(2442),
    [anon_sym_unorm] = ACTIONS(2442),
    [anon_sym_point] = ACTIONS(2442),
    [anon_sym_line] = ACTIONS(2442),
    [anon_sym_triangleadj] = ACTIONS(2442),
    [anon_sym_lineadj] = ACTIONS(2442),
    [anon_sym_triangle] = ACTIONS(2442),
    [anon_sym_cbuffer] = ACTIONS(2442),
  },
  [686] = {
    [sym_identifier] = ACTIONS(2446),
    [aux_sym_preproc_include_token1] = ACTIONS(2446),
    [aux_sym_preproc_def_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2446),
    [sym_preproc_directive] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(2448),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_typedef] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(2446),
    [anon_sym_out] = ACTIONS(2446),
    [anon_sym_inout] = ACTIONS(2446),
    [anon_sym_virtual] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym___attribute] = ACTIONS(2446),
    [anon_sym_COLON_COLON] = ACTIONS(2448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2448),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2448),
    [anon_sym_RBRACE] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2446),
    [anon_sym_unsigned] = ACTIONS(2446),
    [anon_sym_long] = ACTIONS(2446),
    [anon_sym_short] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym__Nonnull] = ACTIONS(2446),
    [anon_sym_mutable] = ACTIONS(2446),
    [anon_sym_constinit] = ACTIONS(2446),
    [anon_sym_consteval] = ACTIONS(2446),
    [anon_sym_alignas] = ACTIONS(2446),
    [anon_sym__Alignas] = ACTIONS(2446),
    [sym_primitive_type] = ACTIONS(2446),
    [anon_sym_enum] = ACTIONS(2446),
    [anon_sym_class] = ACTIONS(2446),
    [anon_sym_struct] = ACTIONS(2446),
    [anon_sym_union] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_switch] = ACTIONS(2446),
    [anon_sym_case] = ACTIONS(2446),
    [anon_sym_default] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(2446),
    [anon_sym_for] = ACTIONS(2446),
    [anon_sym_return] = ACTIONS(2446),
    [anon_sym_break] = ACTIONS(2446),
    [anon_sym_continue] = ACTIONS(2446),
    [anon_sym_goto] = ACTIONS(2446),
    [anon_sym___try] = ACTIONS(2446),
    [anon_sym___leave] = ACTIONS(2446),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_compl] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_sizeof] = ACTIONS(2446),
    [anon_sym___alignof__] = ACTIONS(2446),
    [anon_sym___alignof] = ACTIONS(2446),
    [anon_sym__alignof] = ACTIONS(2446),
    [anon_sym_alignof] = ACTIONS(2446),
    [anon_sym__Alignof] = ACTIONS(2446),
    [anon_sym_offsetof] = ACTIONS(2446),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2446),
    [anon_sym___asm__] = ACTIONS(2446),
    [anon_sym___asm] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [anon_sym_L_SQUOTE] = ACTIONS(2448),
    [anon_sym_u_SQUOTE] = ACTIONS(2448),
    [anon_sym_U_SQUOTE] = ACTIONS(2448),
    [anon_sym_u8_SQUOTE] = ACTIONS(2448),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(2448),
    [anon_sym_u_DQUOTE] = ACTIONS(2448),
    [anon_sym_U_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [sym_true] = ACTIONS(2446),
    [sym_false] = ACTIONS(2446),
    [anon_sym_NULL] = ACTIONS(2446),
    [anon_sym_nullptr] = ACTIONS(2446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2446),
    [anon_sym_decltype] = ACTIONS(2446),
    [anon_sym_explicit] = ACTIONS(2446),
    [anon_sym_typename] = ACTIONS(2446),
    [anon_sym_template] = ACTIONS(2446),
    [anon_sym_operator] = ACTIONS(2446),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_using] = ACTIONS(2446),
    [anon_sym_static_assert] = ACTIONS(2446),
    [anon_sym_concept] = ACTIONS(2446),
    [anon_sym_co_return] = ACTIONS(2446),
    [anon_sym_co_yield] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_requires] = ACTIONS(2446),
    [sym_this] = ACTIONS(2446),
    [anon_sym_discard] = ACTIONS(2446),
    [anon_sym_precise] = ACTIONS(2446),
    [anon_sym_shared] = ACTIONS(2446),
    [anon_sym_groupshared] = ACTIONS(2446),
    [anon_sym_uniform] = ACTIONS(2446),
    [anon_sym_row_major] = ACTIONS(2446),
    [anon_sym_column_major] = ACTIONS(2446),
    [anon_sym_globallycoherent] = ACTIONS(2446),
    [anon_sym_centroid] = ACTIONS(2446),
    [anon_sym_noperspective] = ACTIONS(2446),
    [anon_sym_nointerpolation] = ACTIONS(2446),
    [anon_sym_sample] = ACTIONS(2446),
    [anon_sym_linear] = ACTIONS(2446),
    [anon_sym_snorm] = ACTIONS(2446),
    [anon_sym_unorm] = ACTIONS(2446),
    [anon_sym_point] = ACTIONS(2446),
    [anon_sym_line] = ACTIONS(2446),
    [anon_sym_triangleadj] = ACTIONS(2446),
    [anon_sym_lineadj] = ACTIONS(2446),
    [anon_sym_triangle] = ACTIONS(2446),
    [anon_sym_cbuffer] = ACTIONS(2446),
  },
  [687] = {
    [sym_identifier] = ACTIONS(2450),
    [aux_sym_preproc_include_token1] = ACTIONS(2450),
    [aux_sym_preproc_def_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2450),
    [sym_preproc_directive] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym___extension__] = ACTIONS(2450),
    [anon_sym_typedef] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2450),
    [anon_sym_out] = ACTIONS(2450),
    [anon_sym_inout] = ACTIONS(2450),
    [anon_sym_virtual] = ACTIONS(2450),
    [anon_sym_extern] = ACTIONS(2450),
    [anon_sym___attribute__] = ACTIONS(2450),
    [anon_sym___attribute] = ACTIONS(2450),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2452),
    [anon_sym___declspec] = ACTIONS(2450),
    [anon_sym___based] = ACTIONS(2450),
    [anon_sym___cdecl] = ACTIONS(2450),
    [anon_sym___clrcall] = ACTIONS(2450),
    [anon_sym___stdcall] = ACTIONS(2450),
    [anon_sym___fastcall] = ACTIONS(2450),
    [anon_sym___thiscall] = ACTIONS(2450),
    [anon_sym___vectorcall] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2452),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2450),
    [anon_sym_unsigned] = ACTIONS(2450),
    [anon_sym_long] = ACTIONS(2450),
    [anon_sym_short] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_register] = ACTIONS(2450),
    [anon_sym_inline] = ACTIONS(2450),
    [anon_sym___inline] = ACTIONS(2450),
    [anon_sym___inline__] = ACTIONS(2450),
    [anon_sym___forceinline] = ACTIONS(2450),
    [anon_sym_thread_local] = ACTIONS(2450),
    [anon_sym___thread] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_constexpr] = ACTIONS(2450),
    [anon_sym_volatile] = ACTIONS(2450),
    [anon_sym_restrict] = ACTIONS(2450),
    [anon_sym___restrict__] = ACTIONS(2450),
    [anon_sym__Atomic] = ACTIONS(2450),
    [anon_sym__Noreturn] = ACTIONS(2450),
    [anon_sym_noreturn] = ACTIONS(2450),
    [anon_sym__Nonnull] = ACTIONS(2450),
    [anon_sym_mutable] = ACTIONS(2450),
    [anon_sym_constinit] = ACTIONS(2450),
    [anon_sym_consteval] = ACTIONS(2450),
    [anon_sym_alignas] = ACTIONS(2450),
    [anon_sym__Alignas] = ACTIONS(2450),
    [sym_primitive_type] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_struct] = ACTIONS(2450),
    [anon_sym_union] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_case] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_goto] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2450),
    [anon_sym___leave] = ACTIONS(2450),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_sizeof] = ACTIONS(2450),
    [anon_sym___alignof__] = ACTIONS(2450),
    [anon_sym___alignof] = ACTIONS(2450),
    [anon_sym__alignof] = ACTIONS(2450),
    [anon_sym_alignof] = ACTIONS(2450),
    [anon_sym__Alignof] = ACTIONS(2450),
    [anon_sym_offsetof] = ACTIONS(2450),
    [anon_sym__Generic] = ACTIONS(2450),
    [anon_sym_asm] = ACTIONS(2450),
    [anon_sym___asm__] = ACTIONS(2450),
    [anon_sym___asm] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2452),
    [anon_sym_u_SQUOTE] = ACTIONS(2452),
    [anon_sym_U_SQUOTE] = ACTIONS(2452),
    [anon_sym_u8_SQUOTE] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_L_DQUOTE] = ACTIONS(2452),
    [anon_sym_u_DQUOTE] = ACTIONS(2452),
    [anon_sym_U_DQUOTE] = ACTIONS(2452),
    [anon_sym_u8_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2450),
    [anon_sym_decltype] = ACTIONS(2450),
    [anon_sym_explicit] = ACTIONS(2450),
    [anon_sym_typename] = ACTIONS(2450),
    [anon_sym_template] = ACTIONS(2450),
    [anon_sym_operator] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_static_assert] = ACTIONS(2450),
    [anon_sym_concept] = ACTIONS(2450),
    [anon_sym_co_return] = ACTIONS(2450),
    [anon_sym_co_yield] = ACTIONS(2450),
    [anon_sym_R_DQUOTE] = ACTIONS(2452),
    [anon_sym_LR_DQUOTE] = ACTIONS(2452),
    [anon_sym_uR_DQUOTE] = ACTIONS(2452),
    [anon_sym_UR_DQUOTE] = ACTIONS(2452),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2452),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_requires] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [anon_sym_discard] = ACTIONS(2450),
    [anon_sym_precise] = ACTIONS(2450),
    [anon_sym_shared] = ACTIONS(2450),
    [anon_sym_groupshared] = ACTIONS(2450),
    [anon_sym_uniform] = ACTIONS(2450),
    [anon_sym_row_major] = ACTIONS(2450),
    [anon_sym_column_major] = ACTIONS(2450),
    [anon_sym_globallycoherent] = ACTIONS(2450),
    [anon_sym_centroid] = ACTIONS(2450),
    [anon_sym_noperspective] = ACTIONS(2450),
    [anon_sym_nointerpolation] = ACTIONS(2450),
    [anon_sym_sample] = ACTIONS(2450),
    [anon_sym_linear] = ACTIONS(2450),
    [anon_sym_snorm] = ACTIONS(2450),
    [anon_sym_unorm] = ACTIONS(2450),
    [anon_sym_point] = ACTIONS(2450),
    [anon_sym_line] = ACTIONS(2450),
    [anon_sym_triangleadj] = ACTIONS(2450),
    [anon_sym_lineadj] = ACTIONS(2450),
    [anon_sym_triangle] = ACTIONS(2450),
    [anon_sym_cbuffer] = ACTIONS(2450),
  },
  [688] = {
    [sym_identifier] = ACTIONS(2454),
    [aux_sym_preproc_include_token1] = ACTIONS(2454),
    [aux_sym_preproc_def_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2454),
    [sym_preproc_directive] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_typedef] = ACTIONS(2454),
    [anon_sym_in] = ACTIONS(2454),
    [anon_sym_out] = ACTIONS(2454),
    [anon_sym_inout] = ACTIONS(2454),
    [anon_sym_virtual] = ACTIONS(2454),
    [anon_sym_extern] = ACTIONS(2454),
    [anon_sym___attribute__] = ACTIONS(2454),
    [anon_sym___attribute] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2456),
    [anon_sym___declspec] = ACTIONS(2454),
    [anon_sym___based] = ACTIONS(2454),
    [anon_sym___cdecl] = ACTIONS(2454),
    [anon_sym___clrcall] = ACTIONS(2454),
    [anon_sym___stdcall] = ACTIONS(2454),
    [anon_sym___fastcall] = ACTIONS(2454),
    [anon_sym___thiscall] = ACTIONS(2454),
    [anon_sym___vectorcall] = ACTIONS(2454),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(2456),
    [anon_sym_signed] = ACTIONS(2454),
    [anon_sym_unsigned] = ACTIONS(2454),
    [anon_sym_long] = ACTIONS(2454),
    [anon_sym_short] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_register] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(2454),
    [anon_sym___inline] = ACTIONS(2454),
    [anon_sym___inline__] = ACTIONS(2454),
    [anon_sym___forceinline] = ACTIONS(2454),
    [anon_sym_thread_local] = ACTIONS(2454),
    [anon_sym___thread] = ACTIONS(2454),
    [anon_sym_const] = ACTIONS(2454),
    [anon_sym_constexpr] = ACTIONS(2454),
    [anon_sym_volatile] = ACTIONS(2454),
    [anon_sym_restrict] = ACTIONS(2454),
    [anon_sym___restrict__] = ACTIONS(2454),
    [anon_sym__Atomic] = ACTIONS(2454),
    [anon_sym__Noreturn] = ACTIONS(2454),
    [anon_sym_noreturn] = ACTIONS(2454),
    [anon_sym__Nonnull] = ACTIONS(2454),
    [anon_sym_mutable] = ACTIONS(2454),
    [anon_sym_constinit] = ACTIONS(2454),
    [anon_sym_consteval] = ACTIONS(2454),
    [anon_sym_alignas] = ACTIONS(2454),
    [anon_sym__Alignas] = ACTIONS(2454),
    [sym_primitive_type] = ACTIONS(2454),
    [anon_sym_enum] = ACTIONS(2454),
    [anon_sym_class] = ACTIONS(2454),
    [anon_sym_struct] = ACTIONS(2454),
    [anon_sym_union] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_switch] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(2454),
    [anon_sym_default] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_break] = ACTIONS(2454),
    [anon_sym_continue] = ACTIONS(2454),
    [anon_sym_goto] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2454),
    [anon_sym___leave] = ACTIONS(2454),
    [anon_sym_not] = ACTIONS(2454),
    [anon_sym_compl] = ACTIONS(2454),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_sizeof] = ACTIONS(2454),
    [anon_sym___alignof__] = ACTIONS(2454),
    [anon_sym___alignof] = ACTIONS(2454),
    [anon_sym__alignof] = ACTIONS(2454),
    [anon_sym_alignof] = ACTIONS(2454),
    [anon_sym__Alignof] = ACTIONS(2454),
    [anon_sym_offsetof] = ACTIONS(2454),
    [anon_sym__Generic] = ACTIONS(2454),
    [anon_sym_asm] = ACTIONS(2454),
    [anon_sym___asm__] = ACTIONS(2454),
    [anon_sym___asm] = ACTIONS(2454),
    [sym_number_literal] = ACTIONS(2456),
    [anon_sym_L_SQUOTE] = ACTIONS(2456),
    [anon_sym_u_SQUOTE] = ACTIONS(2456),
    [anon_sym_U_SQUOTE] = ACTIONS(2456),
    [anon_sym_u8_SQUOTE] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_L_DQUOTE] = ACTIONS(2456),
    [anon_sym_u_DQUOTE] = ACTIONS(2456),
    [anon_sym_U_DQUOTE] = ACTIONS(2456),
    [anon_sym_u8_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2456),
    [sym_true] = ACTIONS(2454),
    [sym_false] = ACTIONS(2454),
    [anon_sym_NULL] = ACTIONS(2454),
    [anon_sym_nullptr] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2454),
    [anon_sym_decltype] = ACTIONS(2454),
    [anon_sym_explicit] = ACTIONS(2454),
    [anon_sym_typename] = ACTIONS(2454),
    [anon_sym_template] = ACTIONS(2454),
    [anon_sym_operator] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_delete] = ACTIONS(2454),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_namespace] = ACTIONS(2454),
    [anon_sym_using] = ACTIONS(2454),
    [anon_sym_static_assert] = ACTIONS(2454),
    [anon_sym_concept] = ACTIONS(2454),
    [anon_sym_co_return] = ACTIONS(2454),
    [anon_sym_co_yield] = ACTIONS(2454),
    [anon_sym_R_DQUOTE] = ACTIONS(2456),
    [anon_sym_LR_DQUOTE] = ACTIONS(2456),
    [anon_sym_uR_DQUOTE] = ACTIONS(2456),
    [anon_sym_UR_DQUOTE] = ACTIONS(2456),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2456),
    [anon_sym_co_await] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2454),
    [anon_sym_discard] = ACTIONS(2454),
    [anon_sym_precise] = ACTIONS(2454),
    [anon_sym_shared] = ACTIONS(2454),
    [anon_sym_groupshared] = ACTIONS(2454),
    [anon_sym_uniform] = ACTIONS(2454),
    [anon_sym_row_major] = ACTIONS(2454),
    [anon_sym_column_major] = ACTIONS(2454),
    [anon_sym_globallycoherent] = ACTIONS(2454),
    [anon_sym_centroid] = ACTIONS(2454),
    [anon_sym_noperspective] = ACTIONS(2454),
    [anon_sym_nointerpolation] = ACTIONS(2454),
    [anon_sym_sample] = ACTIONS(2454),
    [anon_sym_linear] = ACTIONS(2454),
    [anon_sym_snorm] = ACTIONS(2454),
    [anon_sym_unorm] = ACTIONS(2454),
    [anon_sym_point] = ACTIONS(2454),
    [anon_sym_line] = ACTIONS(2454),
    [anon_sym_triangleadj] = ACTIONS(2454),
    [anon_sym_lineadj] = ACTIONS(2454),
    [anon_sym_triangle] = ACTIONS(2454),
    [anon_sym_cbuffer] = ACTIONS(2454),
  },
  [689] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [690] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2438),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_discard] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
    [anon_sym_cbuffer] = ACTIONS(2438),
  },
  [691] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_out] = ACTIONS(2470),
    [anon_sym_inout] = ACTIONS(2470),
    [anon_sym_virtual] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___based] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_RBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_mutable] = ACTIONS(2470),
    [anon_sym_constinit] = ACTIONS(2470),
    [anon_sym_consteval] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_class] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym___leave] = ACTIONS(2470),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_compl] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2470),
    [anon_sym_decltype] = ACTIONS(2470),
    [anon_sym_explicit] = ACTIONS(2470),
    [anon_sym_typename] = ACTIONS(2470),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_operator] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_namespace] = ACTIONS(2470),
    [anon_sym_using] = ACTIONS(2470),
    [anon_sym_static_assert] = ACTIONS(2470),
    [anon_sym_concept] = ACTIONS(2470),
    [anon_sym_co_return] = ACTIONS(2470),
    [anon_sym_co_yield] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(2472),
    [anon_sym_LR_DQUOTE] = ACTIONS(2472),
    [anon_sym_uR_DQUOTE] = ACTIONS(2472),
    [anon_sym_UR_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2472),
    [anon_sym_co_await] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2470),
    [anon_sym_requires] = ACTIONS(2470),
    [sym_this] = ACTIONS(2470),
    [anon_sym_discard] = ACTIONS(2470),
    [anon_sym_precise] = ACTIONS(2470),
    [anon_sym_shared] = ACTIONS(2470),
    [anon_sym_groupshared] = ACTIONS(2470),
    [anon_sym_uniform] = ACTIONS(2470),
    [anon_sym_row_major] = ACTIONS(2470),
    [anon_sym_column_major] = ACTIONS(2470),
    [anon_sym_globallycoherent] = ACTIONS(2470),
    [anon_sym_centroid] = ACTIONS(2470),
    [anon_sym_noperspective] = ACTIONS(2470),
    [anon_sym_nointerpolation] = ACTIONS(2470),
    [anon_sym_sample] = ACTIONS(2470),
    [anon_sym_linear] = ACTIONS(2470),
    [anon_sym_snorm] = ACTIONS(2470),
    [anon_sym_unorm] = ACTIONS(2470),
    [anon_sym_point] = ACTIONS(2470),
    [anon_sym_line] = ACTIONS(2470),
    [anon_sym_triangleadj] = ACTIONS(2470),
    [anon_sym_lineadj] = ACTIONS(2470),
    [anon_sym_triangle] = ACTIONS(2470),
    [anon_sym_cbuffer] = ACTIONS(2470),
  },
  [692] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_out] = ACTIONS(2474),
    [anon_sym_inout] = ACTIONS(2474),
    [anon_sym_virtual] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym___leave] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [anon_sym_discard] = ACTIONS(2474),
    [anon_sym_precise] = ACTIONS(2474),
    [anon_sym_shared] = ACTIONS(2474),
    [anon_sym_groupshared] = ACTIONS(2474),
    [anon_sym_uniform] = ACTIONS(2474),
    [anon_sym_row_major] = ACTIONS(2474),
    [anon_sym_column_major] = ACTIONS(2474),
    [anon_sym_globallycoherent] = ACTIONS(2474),
    [anon_sym_centroid] = ACTIONS(2474),
    [anon_sym_noperspective] = ACTIONS(2474),
    [anon_sym_nointerpolation] = ACTIONS(2474),
    [anon_sym_sample] = ACTIONS(2474),
    [anon_sym_linear] = ACTIONS(2474),
    [anon_sym_snorm] = ACTIONS(2474),
    [anon_sym_unorm] = ACTIONS(2474),
    [anon_sym_point] = ACTIONS(2474),
    [anon_sym_line] = ACTIONS(2474),
    [anon_sym_triangleadj] = ACTIONS(2474),
    [anon_sym_lineadj] = ACTIONS(2474),
    [anon_sym_triangle] = ACTIONS(2474),
    [anon_sym_cbuffer] = ACTIONS(2474),
  },
  [693] = {
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_out] = ACTIONS(2478),
    [anon_sym_inout] = ACTIONS(2478),
    [anon_sym_virtual] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [anon_sym_discard] = ACTIONS(2478),
    [anon_sym_precise] = ACTIONS(2478),
    [anon_sym_shared] = ACTIONS(2478),
    [anon_sym_groupshared] = ACTIONS(2478),
    [anon_sym_uniform] = ACTIONS(2478),
    [anon_sym_row_major] = ACTIONS(2478),
    [anon_sym_column_major] = ACTIONS(2478),
    [anon_sym_globallycoherent] = ACTIONS(2478),
    [anon_sym_centroid] = ACTIONS(2478),
    [anon_sym_noperspective] = ACTIONS(2478),
    [anon_sym_nointerpolation] = ACTIONS(2478),
    [anon_sym_sample] = ACTIONS(2478),
    [anon_sym_linear] = ACTIONS(2478),
    [anon_sym_snorm] = ACTIONS(2478),
    [anon_sym_unorm] = ACTIONS(2478),
    [anon_sym_point] = ACTIONS(2478),
    [anon_sym_line] = ACTIONS(2478),
    [anon_sym_triangleadj] = ACTIONS(2478),
    [anon_sym_lineadj] = ACTIONS(2478),
    [anon_sym_triangle] = ACTIONS(2478),
    [anon_sym_cbuffer] = ACTIONS(2478),
  },
  [694] = {
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym___attribute] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym__Nonnull] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym__Alignas] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2484),
    [anon_sym___leave] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [anon_sym___asm] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_discard] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
    [anon_sym_cbuffer] = ACTIONS(2484),
  },
  [695] = {
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym___attribute] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym__Nonnull] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym__Alignas] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [anon_sym___asm] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_discard] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
    [anon_sym_cbuffer] = ACTIONS(2488),
  },
  [696] = {
    [sym_identifier] = ACTIONS(2607),
    [aux_sym_preproc_include_token1] = ACTIONS(2607),
    [aux_sym_preproc_def_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2607),
    [sym_preproc_directive] = ACTIONS(2607),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_STAR] = ACTIONS(2609),
    [anon_sym_AMP_AMP] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym___extension__] = ACTIONS(2607),
    [anon_sym_typedef] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2607),
    [anon_sym_out] = ACTIONS(2607),
    [anon_sym_inout] = ACTIONS(2607),
    [anon_sym_virtual] = ACTIONS(2607),
    [anon_sym_extern] = ACTIONS(2607),
    [anon_sym___attribute__] = ACTIONS(2607),
    [anon_sym___attribute] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(2609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2609),
    [anon_sym___declspec] = ACTIONS(2607),
    [anon_sym___based] = ACTIONS(2607),
    [anon_sym___cdecl] = ACTIONS(2607),
    [anon_sym___clrcall] = ACTIONS(2607),
    [anon_sym___stdcall] = ACTIONS(2607),
    [anon_sym___fastcall] = ACTIONS(2607),
    [anon_sym___thiscall] = ACTIONS(2607),
    [anon_sym___vectorcall] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_RBRACE] = ACTIONS(2609),
    [anon_sym_signed] = ACTIONS(2607),
    [anon_sym_unsigned] = ACTIONS(2607),
    [anon_sym_long] = ACTIONS(2607),
    [anon_sym_short] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_register] = ACTIONS(2607),
    [anon_sym_inline] = ACTIONS(2607),
    [anon_sym___inline] = ACTIONS(2607),
    [anon_sym___inline__] = ACTIONS(2607),
    [anon_sym___forceinline] = ACTIONS(2607),
    [anon_sym_thread_local] = ACTIONS(2607),
    [anon_sym___thread] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2607),
    [anon_sym_constexpr] = ACTIONS(2607),
    [anon_sym_volatile] = ACTIONS(2607),
    [anon_sym_restrict] = ACTIONS(2607),
    [anon_sym___restrict__] = ACTIONS(2607),
    [anon_sym__Atomic] = ACTIONS(2607),
    [anon_sym__Noreturn] = ACTIONS(2607),
    [anon_sym_noreturn] = ACTIONS(2607),
    [anon_sym__Nonnull] = ACTIONS(2607),
    [anon_sym_mutable] = ACTIONS(2607),
    [anon_sym_constinit] = ACTIONS(2607),
    [anon_sym_consteval] = ACTIONS(2607),
    [anon_sym_alignas] = ACTIONS(2607),
    [anon_sym__Alignas] = ACTIONS(2607),
    [sym_primitive_type] = ACTIONS(2607),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2607),
    [anon_sym_struct] = ACTIONS(2607),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2607),
    [anon_sym_switch] = ACTIONS(2607),
    [anon_sym_case] = ACTIONS(2607),
    [anon_sym_default] = ACTIONS(2607),
    [anon_sym_while] = ACTIONS(2607),
    [anon_sym_do] = ACTIONS(2607),
    [anon_sym_for] = ACTIONS(2607),
    [anon_sym_return] = ACTIONS(2607),
    [anon_sym_break] = ACTIONS(2607),
    [anon_sym_continue] = ACTIONS(2607),
    [anon_sym_goto] = ACTIONS(2607),
    [anon_sym___try] = ACTIONS(2607),
    [anon_sym___leave] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2607),
    [anon_sym_compl] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2607),
    [anon_sym___alignof__] = ACTIONS(2607),
    [anon_sym___alignof] = ACTIONS(2607),
    [anon_sym__alignof] = ACTIONS(2607),
    [anon_sym_alignof] = ACTIONS(2607),
    [anon_sym__Alignof] = ACTIONS(2607),
    [anon_sym_offsetof] = ACTIONS(2607),
    [anon_sym__Generic] = ACTIONS(2607),
    [anon_sym_asm] = ACTIONS(2607),
    [anon_sym___asm__] = ACTIONS(2607),
    [anon_sym___asm] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2609),
    [anon_sym_L_SQUOTE] = ACTIONS(2609),
    [anon_sym_u_SQUOTE] = ACTIONS(2609),
    [anon_sym_U_SQUOTE] = ACTIONS(2609),
    [anon_sym_u8_SQUOTE] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_L_DQUOTE] = ACTIONS(2609),
    [anon_sym_u_DQUOTE] = ACTIONS(2609),
    [anon_sym_U_DQUOTE] = ACTIONS(2609),
    [anon_sym_u8_DQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2609),
    [sym_true] = ACTIONS(2607),
    [sym_false] = ACTIONS(2607),
    [anon_sym_NULL] = ACTIONS(2607),
    [anon_sym_nullptr] = ACTIONS(2607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2607),
    [anon_sym_decltype] = ACTIONS(2607),
    [anon_sym_explicit] = ACTIONS(2607),
    [anon_sym_typename] = ACTIONS(2607),
    [anon_sym_template] = ACTIONS(2607),
    [anon_sym_operator] = ACTIONS(2607),
    [anon_sym_try] = ACTIONS(2607),
    [anon_sym_delete] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2607),
    [anon_sym_using] = ACTIONS(2607),
    [anon_sym_static_assert] = ACTIONS(2607),
    [anon_sym_concept] = ACTIONS(2607),
    [anon_sym_co_return] = ACTIONS(2607),
    [anon_sym_co_yield] = ACTIONS(2607),
    [anon_sym_R_DQUOTE] = ACTIONS(2609),
    [anon_sym_LR_DQUOTE] = ACTIONS(2609),
    [anon_sym_uR_DQUOTE] = ACTIONS(2609),
    [anon_sym_UR_DQUOTE] = ACTIONS(2609),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2609),
    [anon_sym_co_await] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(2607),
    [anon_sym_requires] = ACTIONS(2607),
    [sym_this] = ACTIONS(2607),
    [anon_sym_discard] = ACTIONS(2607),
    [anon_sym_precise] = ACTIONS(2607),
    [anon_sym_shared] = ACTIONS(2607),
    [anon_sym_groupshared] = ACTIONS(2607),
    [anon_sym_uniform] = ACTIONS(2607),
    [anon_sym_row_major] = ACTIONS(2607),
    [anon_sym_column_major] = ACTIONS(2607),
    [anon_sym_globallycoherent] = ACTIONS(2607),
    [anon_sym_centroid] = ACTIONS(2607),
    [anon_sym_noperspective] = ACTIONS(2607),
    [anon_sym_nointerpolation] = ACTIONS(2607),
    [anon_sym_sample] = ACTIONS(2607),
    [anon_sym_linear] = ACTIONS(2607),
    [anon_sym_snorm] = ACTIONS(2607),
    [anon_sym_unorm] = ACTIONS(2607),
    [anon_sym_point] = ACTIONS(2607),
    [anon_sym_line] = ACTIONS(2607),
    [anon_sym_triangleadj] = ACTIONS(2607),
    [anon_sym_lineadj] = ACTIONS(2607),
    [anon_sym_triangle] = ACTIONS(2607),
    [anon_sym_cbuffer] = ACTIONS(2607),
  },
  [697] = {
    [sym_identifier] = ACTIONS(2591),
    [aux_sym_preproc_include_token1] = ACTIONS(2591),
    [aux_sym_preproc_def_token1] = ACTIONS(2591),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2591),
    [sym_preproc_directive] = ACTIONS(2591),
    [anon_sym_LPAREN2] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_AMP_AMP] = ACTIONS(2593),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym_SEMI] = ACTIONS(2593),
    [anon_sym___extension__] = ACTIONS(2591),
    [anon_sym_typedef] = ACTIONS(2591),
    [anon_sym_in] = ACTIONS(2591),
    [anon_sym_out] = ACTIONS(2591),
    [anon_sym_inout] = ACTIONS(2591),
    [anon_sym_virtual] = ACTIONS(2591),
    [anon_sym_extern] = ACTIONS(2591),
    [anon_sym___attribute__] = ACTIONS(2591),
    [anon_sym___attribute] = ACTIONS(2591),
    [anon_sym_COLON_COLON] = ACTIONS(2593),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2593),
    [anon_sym___declspec] = ACTIONS(2591),
    [anon_sym___based] = ACTIONS(2591),
    [anon_sym___cdecl] = ACTIONS(2591),
    [anon_sym___clrcall] = ACTIONS(2591),
    [anon_sym___stdcall] = ACTIONS(2591),
    [anon_sym___fastcall] = ACTIONS(2591),
    [anon_sym___thiscall] = ACTIONS(2591),
    [anon_sym___vectorcall] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(2593),
    [anon_sym_RBRACE] = ACTIONS(2593),
    [anon_sym_signed] = ACTIONS(2591),
    [anon_sym_unsigned] = ACTIONS(2591),
    [anon_sym_long] = ACTIONS(2591),
    [anon_sym_short] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [anon_sym_static] = ACTIONS(2591),
    [anon_sym_register] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2591),
    [anon_sym___inline] = ACTIONS(2591),
    [anon_sym___inline__] = ACTIONS(2591),
    [anon_sym___forceinline] = ACTIONS(2591),
    [anon_sym_thread_local] = ACTIONS(2591),
    [anon_sym___thread] = ACTIONS(2591),
    [anon_sym_const] = ACTIONS(2591),
    [anon_sym_constexpr] = ACTIONS(2591),
    [anon_sym_volatile] = ACTIONS(2591),
    [anon_sym_restrict] = ACTIONS(2591),
    [anon_sym___restrict__] = ACTIONS(2591),
    [anon_sym__Atomic] = ACTIONS(2591),
    [anon_sym__Noreturn] = ACTIONS(2591),
    [anon_sym_noreturn] = ACTIONS(2591),
    [anon_sym__Nonnull] = ACTIONS(2591),
    [anon_sym_mutable] = ACTIONS(2591),
    [anon_sym_constinit] = ACTIONS(2591),
    [anon_sym_consteval] = ACTIONS(2591),
    [anon_sym_alignas] = ACTIONS(2591),
    [anon_sym__Alignas] = ACTIONS(2591),
    [sym_primitive_type] = ACTIONS(2591),
    [anon_sym_enum] = ACTIONS(2591),
    [anon_sym_class] = ACTIONS(2591),
    [anon_sym_struct] = ACTIONS(2591),
    [anon_sym_union] = ACTIONS(2591),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_switch] = ACTIONS(2591),
    [anon_sym_case] = ACTIONS(2591),
    [anon_sym_default] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(2591),
    [anon_sym_do] = ACTIONS(2591),
    [anon_sym_for] = ACTIONS(2591),
    [anon_sym_return] = ACTIONS(2591),
    [anon_sym_break] = ACTIONS(2591),
    [anon_sym_continue] = ACTIONS(2591),
    [anon_sym_goto] = ACTIONS(2591),
    [anon_sym___try] = ACTIONS(2591),
    [anon_sym___leave] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2591),
    [anon_sym_compl] = ACTIONS(2591),
    [anon_sym_DASH_DASH] = ACTIONS(2593),
    [anon_sym_PLUS_PLUS] = ACTIONS(2593),
    [anon_sym_sizeof] = ACTIONS(2591),
    [anon_sym___alignof__] = ACTIONS(2591),
    [anon_sym___alignof] = ACTIONS(2591),
    [anon_sym__alignof] = ACTIONS(2591),
    [anon_sym_alignof] = ACTIONS(2591),
    [anon_sym__Alignof] = ACTIONS(2591),
    [anon_sym_offsetof] = ACTIONS(2591),
    [anon_sym__Generic] = ACTIONS(2591),
    [anon_sym_asm] = ACTIONS(2591),
    [anon_sym___asm__] = ACTIONS(2591),
    [anon_sym___asm] = ACTIONS(2591),
    [sym_number_literal] = ACTIONS(2593),
    [anon_sym_L_SQUOTE] = ACTIONS(2593),
    [anon_sym_u_SQUOTE] = ACTIONS(2593),
    [anon_sym_U_SQUOTE] = ACTIONS(2593),
    [anon_sym_u8_SQUOTE] = ACTIONS(2593),
    [anon_sym_SQUOTE] = ACTIONS(2593),
    [anon_sym_L_DQUOTE] = ACTIONS(2593),
    [anon_sym_u_DQUOTE] = ACTIONS(2593),
    [anon_sym_U_DQUOTE] = ACTIONS(2593),
    [anon_sym_u8_DQUOTE] = ACTIONS(2593),
    [anon_sym_DQUOTE] = ACTIONS(2593),
    [sym_true] = ACTIONS(2591),
    [sym_false] = ACTIONS(2591),
    [anon_sym_NULL] = ACTIONS(2591),
    [anon_sym_nullptr] = ACTIONS(2591),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2591),
    [anon_sym_decltype] = ACTIONS(2591),
    [anon_sym_explicit] = ACTIONS(2591),
    [anon_sym_typename] = ACTIONS(2591),
    [anon_sym_template] = ACTIONS(2591),
    [anon_sym_operator] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2591),
    [anon_sym_delete] = ACTIONS(2591),
    [anon_sym_throw] = ACTIONS(2591),
    [anon_sym_namespace] = ACTIONS(2591),
    [anon_sym_using] = ACTIONS(2591),
    [anon_sym_static_assert] = ACTIONS(2591),
    [anon_sym_concept] = ACTIONS(2591),
    [anon_sym_co_return] = ACTIONS(2591),
    [anon_sym_co_yield] = ACTIONS(2591),
    [anon_sym_R_DQUOTE] = ACTIONS(2593),
    [anon_sym_LR_DQUOTE] = ACTIONS(2593),
    [anon_sym_uR_DQUOTE] = ACTIONS(2593),
    [anon_sym_UR_DQUOTE] = ACTIONS(2593),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2593),
    [anon_sym_co_await] = ACTIONS(2591),
    [anon_sym_new] = ACTIONS(2591),
    [anon_sym_requires] = ACTIONS(2591),
    [sym_this] = ACTIONS(2591),
    [anon_sym_discard] = ACTIONS(2591),
    [anon_sym_precise] = ACTIONS(2591),
    [anon_sym_shared] = ACTIONS(2591),
    [anon_sym_groupshared] = ACTIONS(2591),
    [anon_sym_uniform] = ACTIONS(2591),
    [anon_sym_row_major] = ACTIONS(2591),
    [anon_sym_column_major] = ACTIONS(2591),
    [anon_sym_globallycoherent] = ACTIONS(2591),
    [anon_sym_centroid] = ACTIONS(2591),
    [anon_sym_noperspective] = ACTIONS(2591),
    [anon_sym_nointerpolation] = ACTIONS(2591),
    [anon_sym_sample] = ACTIONS(2591),
    [anon_sym_linear] = ACTIONS(2591),
    [anon_sym_snorm] = ACTIONS(2591),
    [anon_sym_unorm] = ACTIONS(2591),
    [anon_sym_point] = ACTIONS(2591),
    [anon_sym_line] = ACTIONS(2591),
    [anon_sym_triangleadj] = ACTIONS(2591),
    [anon_sym_lineadj] = ACTIONS(2591),
    [anon_sym_triangle] = ACTIONS(2591),
    [anon_sym_cbuffer] = ACTIONS(2591),
  },
  [698] = {
    [sym_identifier] = ACTIONS(2599),
    [aux_sym_preproc_include_token1] = ACTIONS(2599),
    [aux_sym_preproc_def_token1] = ACTIONS(2599),
    [aux_sym_preproc_if_token1] = ACTIONS(2599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2599),
    [sym_preproc_directive] = ACTIONS(2599),
    [anon_sym_LPAREN2] = ACTIONS(2601),
    [anon_sym_BANG] = ACTIONS(2601),
    [anon_sym_TILDE] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2599),
    [anon_sym_PLUS] = ACTIONS(2599),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_AMP_AMP] = ACTIONS(2601),
    [anon_sym_AMP] = ACTIONS(2599),
    [anon_sym_SEMI] = ACTIONS(2601),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_typedef] = ACTIONS(2599),
    [anon_sym_in] = ACTIONS(2599),
    [anon_sym_out] = ACTIONS(2599),
    [anon_sym_inout] = ACTIONS(2599),
    [anon_sym_virtual] = ACTIONS(2599),
    [anon_sym_extern] = ACTIONS(2599),
    [anon_sym___attribute__] = ACTIONS(2599),
    [anon_sym___attribute] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2601),
    [anon_sym___declspec] = ACTIONS(2599),
    [anon_sym___based] = ACTIONS(2599),
    [anon_sym___cdecl] = ACTIONS(2599),
    [anon_sym___clrcall] = ACTIONS(2599),
    [anon_sym___stdcall] = ACTIONS(2599),
    [anon_sym___fastcall] = ACTIONS(2599),
    [anon_sym___thiscall] = ACTIONS(2599),
    [anon_sym___vectorcall] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2601),
    [anon_sym_RBRACE] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2599),
    [anon_sym_unsigned] = ACTIONS(2599),
    [anon_sym_long] = ACTIONS(2599),
    [anon_sym_short] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [anon_sym_static] = ACTIONS(2599),
    [anon_sym_register] = ACTIONS(2599),
    [anon_sym_inline] = ACTIONS(2599),
    [anon_sym___inline] = ACTIONS(2599),
    [anon_sym___inline__] = ACTIONS(2599),
    [anon_sym___forceinline] = ACTIONS(2599),
    [anon_sym_thread_local] = ACTIONS(2599),
    [anon_sym___thread] = ACTIONS(2599),
    [anon_sym_const] = ACTIONS(2599),
    [anon_sym_constexpr] = ACTIONS(2599),
    [anon_sym_volatile] = ACTIONS(2599),
    [anon_sym_restrict] = ACTIONS(2599),
    [anon_sym___restrict__] = ACTIONS(2599),
    [anon_sym__Atomic] = ACTIONS(2599),
    [anon_sym__Noreturn] = ACTIONS(2599),
    [anon_sym_noreturn] = ACTIONS(2599),
    [anon_sym__Nonnull] = ACTIONS(2599),
    [anon_sym_mutable] = ACTIONS(2599),
    [anon_sym_constinit] = ACTIONS(2599),
    [anon_sym_consteval] = ACTIONS(2599),
    [anon_sym_alignas] = ACTIONS(2599),
    [anon_sym__Alignas] = ACTIONS(2599),
    [sym_primitive_type] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2599),
    [anon_sym_struct] = ACTIONS(2599),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_if] = ACTIONS(2599),
    [anon_sym_switch] = ACTIONS(2599),
    [anon_sym_case] = ACTIONS(2599),
    [anon_sym_default] = ACTIONS(2599),
    [anon_sym_while] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2599),
    [anon_sym_return] = ACTIONS(2599),
    [anon_sym_break] = ACTIONS(2599),
    [anon_sym_continue] = ACTIONS(2599),
    [anon_sym_goto] = ACTIONS(2599),
    [anon_sym___try] = ACTIONS(2599),
    [anon_sym___leave] = ACTIONS(2599),
    [anon_sym_not] = ACTIONS(2599),
    [anon_sym_compl] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(2601),
    [anon_sym_PLUS_PLUS] = ACTIONS(2601),
    [anon_sym_sizeof] = ACTIONS(2599),
    [anon_sym___alignof__] = ACTIONS(2599),
    [anon_sym___alignof] = ACTIONS(2599),
    [anon_sym__alignof] = ACTIONS(2599),
    [anon_sym_alignof] = ACTIONS(2599),
    [anon_sym__Alignof] = ACTIONS(2599),
    [anon_sym_offsetof] = ACTIONS(2599),
    [anon_sym__Generic] = ACTIONS(2599),
    [anon_sym_asm] = ACTIONS(2599),
    [anon_sym___asm__] = ACTIONS(2599),
    [anon_sym___asm] = ACTIONS(2599),
    [sym_number_literal] = ACTIONS(2601),
    [anon_sym_L_SQUOTE] = ACTIONS(2601),
    [anon_sym_u_SQUOTE] = ACTIONS(2601),
    [anon_sym_U_SQUOTE] = ACTIONS(2601),
    [anon_sym_u8_SQUOTE] = ACTIONS(2601),
    [anon_sym_SQUOTE] = ACTIONS(2601),
    [anon_sym_L_DQUOTE] = ACTIONS(2601),
    [anon_sym_u_DQUOTE] = ACTIONS(2601),
    [anon_sym_U_DQUOTE] = ACTIONS(2601),
    [anon_sym_u8_DQUOTE] = ACTIONS(2601),
    [anon_sym_DQUOTE] = ACTIONS(2601),
    [sym_true] = ACTIONS(2599),
    [sym_false] = ACTIONS(2599),
    [anon_sym_NULL] = ACTIONS(2599),
    [anon_sym_nullptr] = ACTIONS(2599),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2599),
    [anon_sym_decltype] = ACTIONS(2599),
    [anon_sym_explicit] = ACTIONS(2599),
    [anon_sym_typename] = ACTIONS(2599),
    [anon_sym_template] = ACTIONS(2599),
    [anon_sym_operator] = ACTIONS(2599),
    [anon_sym_try] = ACTIONS(2599),
    [anon_sym_delete] = ACTIONS(2599),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_namespace] = ACTIONS(2599),
    [anon_sym_using] = ACTIONS(2599),
    [anon_sym_static_assert] = ACTIONS(2599),
    [anon_sym_concept] = ACTIONS(2599),
    [anon_sym_co_return] = ACTIONS(2599),
    [anon_sym_co_yield] = ACTIONS(2599),
    [anon_sym_R_DQUOTE] = ACTIONS(2601),
    [anon_sym_LR_DQUOTE] = ACTIONS(2601),
    [anon_sym_uR_DQUOTE] = ACTIONS(2601),
    [anon_sym_UR_DQUOTE] = ACTIONS(2601),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2601),
    [anon_sym_co_await] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2599),
    [anon_sym_requires] = ACTIONS(2599),
    [sym_this] = ACTIONS(2599),
    [anon_sym_discard] = ACTIONS(2599),
    [anon_sym_precise] = ACTIONS(2599),
    [anon_sym_shared] = ACTIONS(2599),
    [anon_sym_groupshared] = ACTIONS(2599),
    [anon_sym_uniform] = ACTIONS(2599),
    [anon_sym_row_major] = ACTIONS(2599),
    [anon_sym_column_major] = ACTIONS(2599),
    [anon_sym_globallycoherent] = ACTIONS(2599),
    [anon_sym_centroid] = ACTIONS(2599),
    [anon_sym_noperspective] = ACTIONS(2599),
    [anon_sym_nointerpolation] = ACTIONS(2599),
    [anon_sym_sample] = ACTIONS(2599),
    [anon_sym_linear] = ACTIONS(2599),
    [anon_sym_snorm] = ACTIONS(2599),
    [anon_sym_unorm] = ACTIONS(2599),
    [anon_sym_point] = ACTIONS(2599),
    [anon_sym_line] = ACTIONS(2599),
    [anon_sym_triangleadj] = ACTIONS(2599),
    [anon_sym_lineadj] = ACTIONS(2599),
    [anon_sym_triangle] = ACTIONS(2599),
    [anon_sym_cbuffer] = ACTIONS(2599),
  },
  [699] = {
    [sym_identifier] = ACTIONS(2635),
    [aux_sym_preproc_include_token1] = ACTIONS(2635),
    [aux_sym_preproc_def_token1] = ACTIONS(2635),
    [aux_sym_preproc_if_token1] = ACTIONS(2635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2635),
    [sym_preproc_directive] = ACTIONS(2635),
    [anon_sym_LPAREN2] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2635),
    [anon_sym_typedef] = ACTIONS(2635),
    [anon_sym_in] = ACTIONS(2635),
    [anon_sym_out] = ACTIONS(2635),
    [anon_sym_inout] = ACTIONS(2635),
    [anon_sym_virtual] = ACTIONS(2635),
    [anon_sym_extern] = ACTIONS(2635),
    [anon_sym___attribute__] = ACTIONS(2635),
    [anon_sym___attribute] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2637),
    [anon_sym___declspec] = ACTIONS(2635),
    [anon_sym___based] = ACTIONS(2635),
    [anon_sym___cdecl] = ACTIONS(2635),
    [anon_sym___clrcall] = ACTIONS(2635),
    [anon_sym___stdcall] = ACTIONS(2635),
    [anon_sym___fastcall] = ACTIONS(2635),
    [anon_sym___thiscall] = ACTIONS(2635),
    [anon_sym___vectorcall] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2635),
    [anon_sym_unsigned] = ACTIONS(2635),
    [anon_sym_long] = ACTIONS(2635),
    [anon_sym_short] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [anon_sym_static] = ACTIONS(2635),
    [anon_sym_register] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(2635),
    [anon_sym___inline] = ACTIONS(2635),
    [anon_sym___inline__] = ACTIONS(2635),
    [anon_sym___forceinline] = ACTIONS(2635),
    [anon_sym_thread_local] = ACTIONS(2635),
    [anon_sym___thread] = ACTIONS(2635),
    [anon_sym_const] = ACTIONS(2635),
    [anon_sym_constexpr] = ACTIONS(2635),
    [anon_sym_volatile] = ACTIONS(2635),
    [anon_sym_restrict] = ACTIONS(2635),
    [anon_sym___restrict__] = ACTIONS(2635),
    [anon_sym__Atomic] = ACTIONS(2635),
    [anon_sym__Noreturn] = ACTIONS(2635),
    [anon_sym_noreturn] = ACTIONS(2635),
    [anon_sym__Nonnull] = ACTIONS(2635),
    [anon_sym_mutable] = ACTIONS(2635),
    [anon_sym_constinit] = ACTIONS(2635),
    [anon_sym_consteval] = ACTIONS(2635),
    [anon_sym_alignas] = ACTIONS(2635),
    [anon_sym__Alignas] = ACTIONS(2635),
    [sym_primitive_type] = ACTIONS(2635),
    [anon_sym_enum] = ACTIONS(2635),
    [anon_sym_class] = ACTIONS(2635),
    [anon_sym_struct] = ACTIONS(2635),
    [anon_sym_union] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(2635),
    [anon_sym_switch] = ACTIONS(2635),
    [anon_sym_case] = ACTIONS(2635),
    [anon_sym_default] = ACTIONS(2635),
    [anon_sym_while] = ACTIONS(2635),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2635),
    [anon_sym_return] = ACTIONS(2635),
    [anon_sym_break] = ACTIONS(2635),
    [anon_sym_continue] = ACTIONS(2635),
    [anon_sym_goto] = ACTIONS(2635),
    [anon_sym___try] = ACTIONS(2635),
    [anon_sym___leave] = ACTIONS(2635),
    [anon_sym_not] = ACTIONS(2635),
    [anon_sym_compl] = ACTIONS(2635),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_sizeof] = ACTIONS(2635),
    [anon_sym___alignof__] = ACTIONS(2635),
    [anon_sym___alignof] = ACTIONS(2635),
    [anon_sym__alignof] = ACTIONS(2635),
    [anon_sym_alignof] = ACTIONS(2635),
    [anon_sym__Alignof] = ACTIONS(2635),
    [anon_sym_offsetof] = ACTIONS(2635),
    [anon_sym__Generic] = ACTIONS(2635),
    [anon_sym_asm] = ACTIONS(2635),
    [anon_sym___asm__] = ACTIONS(2635),
    [anon_sym___asm] = ACTIONS(2635),
    [sym_number_literal] = ACTIONS(2637),
    [anon_sym_L_SQUOTE] = ACTIONS(2637),
    [anon_sym_u_SQUOTE] = ACTIONS(2637),
    [anon_sym_U_SQUOTE] = ACTIONS(2637),
    [anon_sym_u8_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_L_DQUOTE] = ACTIONS(2637),
    [anon_sym_u_DQUOTE] = ACTIONS(2637),
    [anon_sym_U_DQUOTE] = ACTIONS(2637),
    [anon_sym_u8_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2635),
    [anon_sym_nullptr] = ACTIONS(2635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2635),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_explicit] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2635),
    [anon_sym_template] = ACTIONS(2635),
    [anon_sym_operator] = ACTIONS(2635),
    [anon_sym_try] = ACTIONS(2635),
    [anon_sym_delete] = ACTIONS(2635),
    [anon_sym_throw] = ACTIONS(2635),
    [anon_sym_namespace] = ACTIONS(2635),
    [anon_sym_using] = ACTIONS(2635),
    [anon_sym_static_assert] = ACTIONS(2635),
    [anon_sym_concept] = ACTIONS(2635),
    [anon_sym_co_return] = ACTIONS(2635),
    [anon_sym_co_yield] = ACTIONS(2635),
    [anon_sym_R_DQUOTE] = ACTIONS(2637),
    [anon_sym_LR_DQUOTE] = ACTIONS(2637),
    [anon_sym_uR_DQUOTE] = ACTIONS(2637),
    [anon_sym_UR_DQUOTE] = ACTIONS(2637),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2637),
    [anon_sym_co_await] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2635),
    [anon_sym_requires] = ACTIONS(2635),
    [sym_this] = ACTIONS(2635),
    [anon_sym_discard] = ACTIONS(2635),
    [anon_sym_precise] = ACTIONS(2635),
    [anon_sym_shared] = ACTIONS(2635),
    [anon_sym_groupshared] = ACTIONS(2635),
    [anon_sym_uniform] = ACTIONS(2635),
    [anon_sym_row_major] = ACTIONS(2635),
    [anon_sym_column_major] = ACTIONS(2635),
    [anon_sym_globallycoherent] = ACTIONS(2635),
    [anon_sym_centroid] = ACTIONS(2635),
    [anon_sym_noperspective] = ACTIONS(2635),
    [anon_sym_nointerpolation] = ACTIONS(2635),
    [anon_sym_sample] = ACTIONS(2635),
    [anon_sym_linear] = ACTIONS(2635),
    [anon_sym_snorm] = ACTIONS(2635),
    [anon_sym_unorm] = ACTIONS(2635),
    [anon_sym_point] = ACTIONS(2635),
    [anon_sym_line] = ACTIONS(2635),
    [anon_sym_triangleadj] = ACTIONS(2635),
    [anon_sym_lineadj] = ACTIONS(2635),
    [anon_sym_triangle] = ACTIONS(2635),
    [anon_sym_cbuffer] = ACTIONS(2635),
  },
  [700] = {
    [sym_identifier] = ACTIONS(2639),
    [aux_sym_preproc_include_token1] = ACTIONS(2639),
    [aux_sym_preproc_def_token1] = ACTIONS(2639),
    [aux_sym_preproc_if_token1] = ACTIONS(2639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2639),
    [sym_preproc_directive] = ACTIONS(2639),
    [anon_sym_LPAREN2] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2639),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2639),
    [anon_sym_typedef] = ACTIONS(2639),
    [anon_sym_in] = ACTIONS(2639),
    [anon_sym_out] = ACTIONS(2639),
    [anon_sym_inout] = ACTIONS(2639),
    [anon_sym_virtual] = ACTIONS(2639),
    [anon_sym_extern] = ACTIONS(2639),
    [anon_sym___attribute__] = ACTIONS(2639),
    [anon_sym___attribute] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2641),
    [anon_sym___declspec] = ACTIONS(2639),
    [anon_sym___based] = ACTIONS(2639),
    [anon_sym___cdecl] = ACTIONS(2639),
    [anon_sym___clrcall] = ACTIONS(2639),
    [anon_sym___stdcall] = ACTIONS(2639),
    [anon_sym___fastcall] = ACTIONS(2639),
    [anon_sym___thiscall] = ACTIONS(2639),
    [anon_sym___vectorcall] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [anon_sym_signed] = ACTIONS(2639),
    [anon_sym_unsigned] = ACTIONS(2639),
    [anon_sym_long] = ACTIONS(2639),
    [anon_sym_short] = ACTIONS(2639),
    [anon_sym_LBRACK] = ACTIONS(2639),
    [anon_sym_static] = ACTIONS(2639),
    [anon_sym_register] = ACTIONS(2639),
    [anon_sym_inline] = ACTIONS(2639),
    [anon_sym___inline] = ACTIONS(2639),
    [anon_sym___inline__] = ACTIONS(2639),
    [anon_sym___forceinline] = ACTIONS(2639),
    [anon_sym_thread_local] = ACTIONS(2639),
    [anon_sym___thread] = ACTIONS(2639),
    [anon_sym_const] = ACTIONS(2639),
    [anon_sym_constexpr] = ACTIONS(2639),
    [anon_sym_volatile] = ACTIONS(2639),
    [anon_sym_restrict] = ACTIONS(2639),
    [anon_sym___restrict__] = ACTIONS(2639),
    [anon_sym__Atomic] = ACTIONS(2639),
    [anon_sym__Noreturn] = ACTIONS(2639),
    [anon_sym_noreturn] = ACTIONS(2639),
    [anon_sym__Nonnull] = ACTIONS(2639),
    [anon_sym_mutable] = ACTIONS(2639),
    [anon_sym_constinit] = ACTIONS(2639),
    [anon_sym_consteval] = ACTIONS(2639),
    [anon_sym_alignas] = ACTIONS(2639),
    [anon_sym__Alignas] = ACTIONS(2639),
    [sym_primitive_type] = ACTIONS(2639),
    [anon_sym_enum] = ACTIONS(2639),
    [anon_sym_class] = ACTIONS(2639),
    [anon_sym_struct] = ACTIONS(2639),
    [anon_sym_union] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_switch] = ACTIONS(2639),
    [anon_sym_case] = ACTIONS(2639),
    [anon_sym_default] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(2639),
    [anon_sym_do] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_break] = ACTIONS(2639),
    [anon_sym_continue] = ACTIONS(2639),
    [anon_sym_goto] = ACTIONS(2639),
    [anon_sym___try] = ACTIONS(2639),
    [anon_sym___leave] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2639),
    [anon_sym_compl] = ACTIONS(2639),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_sizeof] = ACTIONS(2639),
    [anon_sym___alignof__] = ACTIONS(2639),
    [anon_sym___alignof] = ACTIONS(2639),
    [anon_sym__alignof] = ACTIONS(2639),
    [anon_sym_alignof] = ACTIONS(2639),
    [anon_sym__Alignof] = ACTIONS(2639),
    [anon_sym_offsetof] = ACTIONS(2639),
    [anon_sym__Generic] = ACTIONS(2639),
    [anon_sym_asm] = ACTIONS(2639),
    [anon_sym___asm__] = ACTIONS(2639),
    [anon_sym___asm] = ACTIONS(2639),
    [sym_number_literal] = ACTIONS(2641),
    [anon_sym_L_SQUOTE] = ACTIONS(2641),
    [anon_sym_u_SQUOTE] = ACTIONS(2641),
    [anon_sym_U_SQUOTE] = ACTIONS(2641),
    [anon_sym_u8_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_L_DQUOTE] = ACTIONS(2641),
    [anon_sym_u_DQUOTE] = ACTIONS(2641),
    [anon_sym_U_DQUOTE] = ACTIONS(2641),
    [anon_sym_u8_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_true] = ACTIONS(2639),
    [sym_false] = ACTIONS(2639),
    [anon_sym_NULL] = ACTIONS(2639),
    [anon_sym_nullptr] = ACTIONS(2639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2639),
    [anon_sym_explicit] = ACTIONS(2639),
    [anon_sym_typename] = ACTIONS(2639),
    [anon_sym_template] = ACTIONS(2639),
    [anon_sym_operator] = ACTIONS(2639),
    [anon_sym_try] = ACTIONS(2639),
    [anon_sym_delete] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2639),
    [anon_sym_namespace] = ACTIONS(2639),
    [anon_sym_using] = ACTIONS(2639),
    [anon_sym_static_assert] = ACTIONS(2639),
    [anon_sym_concept] = ACTIONS(2639),
    [anon_sym_co_return] = ACTIONS(2639),
    [anon_sym_co_yield] = ACTIONS(2639),
    [anon_sym_R_DQUOTE] = ACTIONS(2641),
    [anon_sym_LR_DQUOTE] = ACTIONS(2641),
    [anon_sym_uR_DQUOTE] = ACTIONS(2641),
    [anon_sym_UR_DQUOTE] = ACTIONS(2641),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2641),
    [anon_sym_co_await] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2639),
    [anon_sym_requires] = ACTIONS(2639),
    [sym_this] = ACTIONS(2639),
    [anon_sym_discard] = ACTIONS(2639),
    [anon_sym_precise] = ACTIONS(2639),
    [anon_sym_shared] = ACTIONS(2639),
    [anon_sym_groupshared] = ACTIONS(2639),
    [anon_sym_uniform] = ACTIONS(2639),
    [anon_sym_row_major] = ACTIONS(2639),
    [anon_sym_column_major] = ACTIONS(2639),
    [anon_sym_globallycoherent] = ACTIONS(2639),
    [anon_sym_centroid] = ACTIONS(2639),
    [anon_sym_noperspective] = ACTIONS(2639),
    [anon_sym_nointerpolation] = ACTIONS(2639),
    [anon_sym_sample] = ACTIONS(2639),
    [anon_sym_linear] = ACTIONS(2639),
    [anon_sym_snorm] = ACTIONS(2639),
    [anon_sym_unorm] = ACTIONS(2639),
    [anon_sym_point] = ACTIONS(2639),
    [anon_sym_line] = ACTIONS(2639),
    [anon_sym_triangleadj] = ACTIONS(2639),
    [anon_sym_lineadj] = ACTIONS(2639),
    [anon_sym_triangle] = ACTIONS(2639),
    [anon_sym_cbuffer] = ACTIONS(2639),
  },
  [701] = {
    [sym_identifier] = ACTIONS(2647),
    [aux_sym_preproc_include_token1] = ACTIONS(2647),
    [aux_sym_preproc_def_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2647),
    [sym_preproc_directive] = ACTIONS(2647),
    [anon_sym_LPAREN2] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2647),
    [anon_sym_typedef] = ACTIONS(2647),
    [anon_sym_in] = ACTIONS(2647),
    [anon_sym_out] = ACTIONS(2647),
    [anon_sym_inout] = ACTIONS(2647),
    [anon_sym_virtual] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym___attribute__] = ACTIONS(2647),
    [anon_sym___attribute] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2649),
    [anon_sym___declspec] = ACTIONS(2647),
    [anon_sym___based] = ACTIONS(2647),
    [anon_sym___cdecl] = ACTIONS(2647),
    [anon_sym___clrcall] = ACTIONS(2647),
    [anon_sym___stdcall] = ACTIONS(2647),
    [anon_sym___fastcall] = ACTIONS(2647),
    [anon_sym___thiscall] = ACTIONS(2647),
    [anon_sym___vectorcall] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_RBRACE] = ACTIONS(2649),
    [anon_sym_signed] = ACTIONS(2647),
    [anon_sym_unsigned] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_register] = ACTIONS(2647),
    [anon_sym_inline] = ACTIONS(2647),
    [anon_sym___inline] = ACTIONS(2647),
    [anon_sym___inline__] = ACTIONS(2647),
    [anon_sym___forceinline] = ACTIONS(2647),
    [anon_sym_thread_local] = ACTIONS(2647),
    [anon_sym___thread] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_constexpr] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_restrict] = ACTIONS(2647),
    [anon_sym___restrict__] = ACTIONS(2647),
    [anon_sym__Atomic] = ACTIONS(2647),
    [anon_sym__Noreturn] = ACTIONS(2647),
    [anon_sym_noreturn] = ACTIONS(2647),
    [anon_sym__Nonnull] = ACTIONS(2647),
    [anon_sym_mutable] = ACTIONS(2647),
    [anon_sym_constinit] = ACTIONS(2647),
    [anon_sym_consteval] = ACTIONS(2647),
    [anon_sym_alignas] = ACTIONS(2647),
    [anon_sym__Alignas] = ACTIONS(2647),
    [sym_primitive_type] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(2647),
    [anon_sym_switch] = ACTIONS(2647),
    [anon_sym_case] = ACTIONS(2647),
    [anon_sym_default] = ACTIONS(2647),
    [anon_sym_while] = ACTIONS(2647),
    [anon_sym_do] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2647),
    [anon_sym_return] = ACTIONS(2647),
    [anon_sym_break] = ACTIONS(2647),
    [anon_sym_continue] = ACTIONS(2647),
    [anon_sym_goto] = ACTIONS(2647),
    [anon_sym___try] = ACTIONS(2647),
    [anon_sym___leave] = ACTIONS(2647),
    [anon_sym_not] = ACTIONS(2647),
    [anon_sym_compl] = ACTIONS(2647),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_sizeof] = ACTIONS(2647),
    [anon_sym___alignof__] = ACTIONS(2647),
    [anon_sym___alignof] = ACTIONS(2647),
    [anon_sym__alignof] = ACTIONS(2647),
    [anon_sym_alignof] = ACTIONS(2647),
    [anon_sym__Alignof] = ACTIONS(2647),
    [anon_sym_offsetof] = ACTIONS(2647),
    [anon_sym__Generic] = ACTIONS(2647),
    [anon_sym_asm] = ACTIONS(2647),
    [anon_sym___asm__] = ACTIONS(2647),
    [anon_sym___asm] = ACTIONS(2647),
    [sym_number_literal] = ACTIONS(2649),
    [anon_sym_L_SQUOTE] = ACTIONS(2649),
    [anon_sym_u_SQUOTE] = ACTIONS(2649),
    [anon_sym_U_SQUOTE] = ACTIONS(2649),
    [anon_sym_u8_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_L_DQUOTE] = ACTIONS(2649),
    [anon_sym_u_DQUOTE] = ACTIONS(2649),
    [anon_sym_U_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_true] = ACTIONS(2647),
    [sym_false] = ACTIONS(2647),
    [anon_sym_NULL] = ACTIONS(2647),
    [anon_sym_nullptr] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2647),
    [anon_sym_decltype] = ACTIONS(2647),
    [anon_sym_explicit] = ACTIONS(2647),
    [anon_sym_typename] = ACTIONS(2647),
    [anon_sym_template] = ACTIONS(2647),
    [anon_sym_operator] = ACTIONS(2647),
    [anon_sym_try] = ACTIONS(2647),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_throw] = ACTIONS(2647),
    [anon_sym_namespace] = ACTIONS(2647),
    [anon_sym_using] = ACTIONS(2647),
    [anon_sym_static_assert] = ACTIONS(2647),
    [anon_sym_concept] = ACTIONS(2647),
    [anon_sym_co_return] = ACTIONS(2647),
    [anon_sym_co_yield] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2647),
    [sym_this] = ACTIONS(2647),
    [anon_sym_discard] = ACTIONS(2647),
    [anon_sym_precise] = ACTIONS(2647),
    [anon_sym_shared] = ACTIONS(2647),
    [anon_sym_groupshared] = ACTIONS(2647),
    [anon_sym_uniform] = ACTIONS(2647),
    [anon_sym_row_major] = ACTIONS(2647),
    [anon_sym_column_major] = ACTIONS(2647),
    [anon_sym_globallycoherent] = ACTIONS(2647),
    [anon_sym_centroid] = ACTIONS(2647),
    [anon_sym_noperspective] = ACTIONS(2647),
    [anon_sym_nointerpolation] = ACTIONS(2647),
    [anon_sym_sample] = ACTIONS(2647),
    [anon_sym_linear] = ACTIONS(2647),
    [anon_sym_snorm] = ACTIONS(2647),
    [anon_sym_unorm] = ACTIONS(2647),
    [anon_sym_point] = ACTIONS(2647),
    [anon_sym_line] = ACTIONS(2647),
    [anon_sym_triangleadj] = ACTIONS(2647),
    [anon_sym_lineadj] = ACTIONS(2647),
    [anon_sym_triangle] = ACTIONS(2647),
    [anon_sym_cbuffer] = ACTIONS(2647),
  },
  [702] = {
    [sym_identifier] = ACTIONS(2651),
    [aux_sym_preproc_include_token1] = ACTIONS(2651),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2651),
    [sym_preproc_directive] = ACTIONS(2651),
    [anon_sym_LPAREN2] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2651),
    [anon_sym_PLUS] = ACTIONS(2651),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym___extension__] = ACTIONS(2651),
    [anon_sym_typedef] = ACTIONS(2651),
    [anon_sym_in] = ACTIONS(2651),
    [anon_sym_out] = ACTIONS(2651),
    [anon_sym_inout] = ACTIONS(2651),
    [anon_sym_virtual] = ACTIONS(2651),
    [anon_sym_extern] = ACTIONS(2651),
    [anon_sym___attribute__] = ACTIONS(2651),
    [anon_sym___attribute] = ACTIONS(2651),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2653),
    [anon_sym___declspec] = ACTIONS(2651),
    [anon_sym___based] = ACTIONS(2651),
    [anon_sym___cdecl] = ACTIONS(2651),
    [anon_sym___clrcall] = ACTIONS(2651),
    [anon_sym___stdcall] = ACTIONS(2651),
    [anon_sym___fastcall] = ACTIONS(2651),
    [anon_sym___thiscall] = ACTIONS(2651),
    [anon_sym___vectorcall] = ACTIONS(2651),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [anon_sym_signed] = ACTIONS(2651),
    [anon_sym_unsigned] = ACTIONS(2651),
    [anon_sym_long] = ACTIONS(2651),
    [anon_sym_short] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_register] = ACTIONS(2651),
    [anon_sym_inline] = ACTIONS(2651),
    [anon_sym___inline] = ACTIONS(2651),
    [anon_sym___inline__] = ACTIONS(2651),
    [anon_sym___forceinline] = ACTIONS(2651),
    [anon_sym_thread_local] = ACTIONS(2651),
    [anon_sym___thread] = ACTIONS(2651),
    [anon_sym_const] = ACTIONS(2651),
    [anon_sym_constexpr] = ACTIONS(2651),
    [anon_sym_volatile] = ACTIONS(2651),
    [anon_sym_restrict] = ACTIONS(2651),
    [anon_sym___restrict__] = ACTIONS(2651),
    [anon_sym__Atomic] = ACTIONS(2651),
    [anon_sym__Noreturn] = ACTIONS(2651),
    [anon_sym_noreturn] = ACTIONS(2651),
    [anon_sym__Nonnull] = ACTIONS(2651),
    [anon_sym_mutable] = ACTIONS(2651),
    [anon_sym_constinit] = ACTIONS(2651),
    [anon_sym_consteval] = ACTIONS(2651),
    [anon_sym_alignas] = ACTIONS(2651),
    [anon_sym__Alignas] = ACTIONS(2651),
    [sym_primitive_type] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2651),
    [anon_sym_struct] = ACTIONS(2651),
    [anon_sym_union] = ACTIONS(2651),
    [anon_sym_if] = ACTIONS(2651),
    [anon_sym_switch] = ACTIONS(2651),
    [anon_sym_case] = ACTIONS(2651),
    [anon_sym_default] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2651),
    [anon_sym_do] = ACTIONS(2651),
    [anon_sym_for] = ACTIONS(2651),
    [anon_sym_return] = ACTIONS(2651),
    [anon_sym_break] = ACTIONS(2651),
    [anon_sym_continue] = ACTIONS(2651),
    [anon_sym_goto] = ACTIONS(2651),
    [anon_sym___try] = ACTIONS(2651),
    [anon_sym___leave] = ACTIONS(2651),
    [anon_sym_not] = ACTIONS(2651),
    [anon_sym_compl] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_sizeof] = ACTIONS(2651),
    [anon_sym___alignof__] = ACTIONS(2651),
    [anon_sym___alignof] = ACTIONS(2651),
    [anon_sym__alignof] = ACTIONS(2651),
    [anon_sym_alignof] = ACTIONS(2651),
    [anon_sym__Alignof] = ACTIONS(2651),
    [anon_sym_offsetof] = ACTIONS(2651),
    [anon_sym__Generic] = ACTIONS(2651),
    [anon_sym_asm] = ACTIONS(2651),
    [anon_sym___asm__] = ACTIONS(2651),
    [anon_sym___asm] = ACTIONS(2651),
    [sym_number_literal] = ACTIONS(2653),
    [anon_sym_L_SQUOTE] = ACTIONS(2653),
    [anon_sym_u_SQUOTE] = ACTIONS(2653),
    [anon_sym_U_SQUOTE] = ACTIONS(2653),
    [anon_sym_u8_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_L_DQUOTE] = ACTIONS(2653),
    [anon_sym_u_DQUOTE] = ACTIONS(2653),
    [anon_sym_U_DQUOTE] = ACTIONS(2653),
    [anon_sym_u8_DQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [sym_true] = ACTIONS(2651),
    [sym_false] = ACTIONS(2651),
    [anon_sym_NULL] = ACTIONS(2651),
    [anon_sym_nullptr] = ACTIONS(2651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2651),
    [anon_sym_decltype] = ACTIONS(2651),
    [anon_sym_explicit] = ACTIONS(2651),
    [anon_sym_typename] = ACTIONS(2651),
    [anon_sym_template] = ACTIONS(2651),
    [anon_sym_operator] = ACTIONS(2651),
    [anon_sym_try] = ACTIONS(2651),
    [anon_sym_delete] = ACTIONS(2651),
    [anon_sym_throw] = ACTIONS(2651),
    [anon_sym_namespace] = ACTIONS(2651),
    [anon_sym_using] = ACTIONS(2651),
    [anon_sym_static_assert] = ACTIONS(2651),
    [anon_sym_concept] = ACTIONS(2651),
    [anon_sym_co_return] = ACTIONS(2651),
    [anon_sym_co_yield] = ACTIONS(2651),
    [anon_sym_R_DQUOTE] = ACTIONS(2653),
    [anon_sym_LR_DQUOTE] = ACTIONS(2653),
    [anon_sym_uR_DQUOTE] = ACTIONS(2653),
    [anon_sym_UR_DQUOTE] = ACTIONS(2653),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2653),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2651),
    [anon_sym_requires] = ACTIONS(2651),
    [sym_this] = ACTIONS(2651),
    [anon_sym_discard] = ACTIONS(2651),
    [anon_sym_precise] = ACTIONS(2651),
    [anon_sym_shared] = ACTIONS(2651),
    [anon_sym_groupshared] = ACTIONS(2651),
    [anon_sym_uniform] = ACTIONS(2651),
    [anon_sym_row_major] = ACTIONS(2651),
    [anon_sym_column_major] = ACTIONS(2651),
    [anon_sym_globallycoherent] = ACTIONS(2651),
    [anon_sym_centroid] = ACTIONS(2651),
    [anon_sym_noperspective] = ACTIONS(2651),
    [anon_sym_nointerpolation] = ACTIONS(2651),
    [anon_sym_sample] = ACTIONS(2651),
    [anon_sym_linear] = ACTIONS(2651),
    [anon_sym_snorm] = ACTIONS(2651),
    [anon_sym_unorm] = ACTIONS(2651),
    [anon_sym_point] = ACTIONS(2651),
    [anon_sym_line] = ACTIONS(2651),
    [anon_sym_triangleadj] = ACTIONS(2651),
    [anon_sym_lineadj] = ACTIONS(2651),
    [anon_sym_triangle] = ACTIONS(2651),
    [anon_sym_cbuffer] = ACTIONS(2651),
  },
  [703] = {
    [sym_identifier] = ACTIONS(2655),
    [aux_sym_preproc_include_token1] = ACTIONS(2655),
    [aux_sym_preproc_def_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2655),
    [sym_preproc_directive] = ACTIONS(2655),
    [anon_sym_LPAREN2] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2655),
    [anon_sym_PLUS] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2655),
    [anon_sym_typedef] = ACTIONS(2655),
    [anon_sym_in] = ACTIONS(2655),
    [anon_sym_out] = ACTIONS(2655),
    [anon_sym_inout] = ACTIONS(2655),
    [anon_sym_virtual] = ACTIONS(2655),
    [anon_sym_extern] = ACTIONS(2655),
    [anon_sym___attribute__] = ACTIONS(2655),
    [anon_sym___attribute] = ACTIONS(2655),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2657),
    [anon_sym___declspec] = ACTIONS(2655),
    [anon_sym___based] = ACTIONS(2655),
    [anon_sym___cdecl] = ACTIONS(2655),
    [anon_sym___clrcall] = ACTIONS(2655),
    [anon_sym___stdcall] = ACTIONS(2655),
    [anon_sym___fastcall] = ACTIONS(2655),
    [anon_sym___thiscall] = ACTIONS(2655),
    [anon_sym___vectorcall] = ACTIONS(2655),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_RBRACE] = ACTIONS(2657),
    [anon_sym_signed] = ACTIONS(2655),
    [anon_sym_unsigned] = ACTIONS(2655),
    [anon_sym_long] = ACTIONS(2655),
    [anon_sym_short] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_register] = ACTIONS(2655),
    [anon_sym_inline] = ACTIONS(2655),
    [anon_sym___inline] = ACTIONS(2655),
    [anon_sym___inline__] = ACTIONS(2655),
    [anon_sym___forceinline] = ACTIONS(2655),
    [anon_sym_thread_local] = ACTIONS(2655),
    [anon_sym___thread] = ACTIONS(2655),
    [anon_sym_const] = ACTIONS(2655),
    [anon_sym_constexpr] = ACTIONS(2655),
    [anon_sym_volatile] = ACTIONS(2655),
    [anon_sym_restrict] = ACTIONS(2655),
    [anon_sym___restrict__] = ACTIONS(2655),
    [anon_sym__Atomic] = ACTIONS(2655),
    [anon_sym__Noreturn] = ACTIONS(2655),
    [anon_sym_noreturn] = ACTIONS(2655),
    [anon_sym__Nonnull] = ACTIONS(2655),
    [anon_sym_mutable] = ACTIONS(2655),
    [anon_sym_constinit] = ACTIONS(2655),
    [anon_sym_consteval] = ACTIONS(2655),
    [anon_sym_alignas] = ACTIONS(2655),
    [anon_sym__Alignas] = ACTIONS(2655),
    [sym_primitive_type] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2655),
    [anon_sym_struct] = ACTIONS(2655),
    [anon_sym_union] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_switch] = ACTIONS(2655),
    [anon_sym_case] = ACTIONS(2655),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(2655),
    [anon_sym_do] = ACTIONS(2655),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_return] = ACTIONS(2655),
    [anon_sym_break] = ACTIONS(2655),
    [anon_sym_continue] = ACTIONS(2655),
    [anon_sym_goto] = ACTIONS(2655),
    [anon_sym___try] = ACTIONS(2655),
    [anon_sym___leave] = ACTIONS(2655),
    [anon_sym_not] = ACTIONS(2655),
    [anon_sym_compl] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_sizeof] = ACTIONS(2655),
    [anon_sym___alignof__] = ACTIONS(2655),
    [anon_sym___alignof] = ACTIONS(2655),
    [anon_sym__alignof] = ACTIONS(2655),
    [anon_sym_alignof] = ACTIONS(2655),
    [anon_sym__Alignof] = ACTIONS(2655),
    [anon_sym_offsetof] = ACTIONS(2655),
    [anon_sym__Generic] = ACTIONS(2655),
    [anon_sym_asm] = ACTIONS(2655),
    [anon_sym___asm__] = ACTIONS(2655),
    [anon_sym___asm] = ACTIONS(2655),
    [sym_number_literal] = ACTIONS(2657),
    [anon_sym_L_SQUOTE] = ACTIONS(2657),
    [anon_sym_u_SQUOTE] = ACTIONS(2657),
    [anon_sym_U_SQUOTE] = ACTIONS(2657),
    [anon_sym_u8_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_L_DQUOTE] = ACTIONS(2657),
    [anon_sym_u_DQUOTE] = ACTIONS(2657),
    [anon_sym_U_DQUOTE] = ACTIONS(2657),
    [anon_sym_u8_DQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [sym_true] = ACTIONS(2655),
    [sym_false] = ACTIONS(2655),
    [anon_sym_NULL] = ACTIONS(2655),
    [anon_sym_nullptr] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2655),
    [anon_sym_decltype] = ACTIONS(2655),
    [anon_sym_explicit] = ACTIONS(2655),
    [anon_sym_typename] = ACTIONS(2655),
    [anon_sym_template] = ACTIONS(2655),
    [anon_sym_operator] = ACTIONS(2655),
    [anon_sym_try] = ACTIONS(2655),
    [anon_sym_delete] = ACTIONS(2655),
    [anon_sym_throw] = ACTIONS(2655),
    [anon_sym_namespace] = ACTIONS(2655),
    [anon_sym_using] = ACTIONS(2655),
    [anon_sym_static_assert] = ACTIONS(2655),
    [anon_sym_concept] = ACTIONS(2655),
    [anon_sym_co_return] = ACTIONS(2655),
    [anon_sym_co_yield] = ACTIONS(2655),
    [anon_sym_R_DQUOTE] = ACTIONS(2657),
    [anon_sym_LR_DQUOTE] = ACTIONS(2657),
    [anon_sym_uR_DQUOTE] = ACTIONS(2657),
    [anon_sym_UR_DQUOTE] = ACTIONS(2657),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2657),
    [anon_sym_co_await] = ACTIONS(2655),
    [anon_sym_new] = ACTIONS(2655),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2655),
    [anon_sym_discard] = ACTIONS(2655),
    [anon_sym_precise] = ACTIONS(2655),
    [anon_sym_shared] = ACTIONS(2655),
    [anon_sym_groupshared] = ACTIONS(2655),
    [anon_sym_uniform] = ACTIONS(2655),
    [anon_sym_row_major] = ACTIONS(2655),
    [anon_sym_column_major] = ACTIONS(2655),
    [anon_sym_globallycoherent] = ACTIONS(2655),
    [anon_sym_centroid] = ACTIONS(2655),
    [anon_sym_noperspective] = ACTIONS(2655),
    [anon_sym_nointerpolation] = ACTIONS(2655),
    [anon_sym_sample] = ACTIONS(2655),
    [anon_sym_linear] = ACTIONS(2655),
    [anon_sym_snorm] = ACTIONS(2655),
    [anon_sym_unorm] = ACTIONS(2655),
    [anon_sym_point] = ACTIONS(2655),
    [anon_sym_line] = ACTIONS(2655),
    [anon_sym_triangleadj] = ACTIONS(2655),
    [anon_sym_lineadj] = ACTIONS(2655),
    [anon_sym_triangle] = ACTIONS(2655),
    [anon_sym_cbuffer] = ACTIONS(2655),
  },
  [704] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_discard] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
    [anon_sym_cbuffer] = ACTIONS(2520),
  },
  [705] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [706] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [707] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [708] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_discard] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
    [anon_sym_cbuffer] = ACTIONS(2374),
  },
  [709] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_include_token1] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym___cdecl] = ACTIONS(2382),
    [anon_sym___clrcall] = ACTIONS(2382),
    [anon_sym___stdcall] = ACTIONS(2382),
    [anon_sym___fastcall] = ACTIONS(2382),
    [anon_sym___thiscall] = ACTIONS(2382),
    [anon_sym___vectorcall] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_goto] = ACTIONS(2382),
    [anon_sym___try] = ACTIONS(2382),
    [anon_sym___leave] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_compl] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_sizeof] = ACTIONS(2382),
    [anon_sym___alignof__] = ACTIONS(2382),
    [anon_sym___alignof] = ACTIONS(2382),
    [anon_sym__alignof] = ACTIONS(2382),
    [anon_sym_alignof] = ACTIONS(2382),
    [anon_sym__Alignof] = ACTIONS(2382),
    [anon_sym_offsetof] = ACTIONS(2382),
    [anon_sym__Generic] = ACTIONS(2382),
    [anon_sym_asm] = ACTIONS(2382),
    [anon_sym___asm__] = ACTIONS(2382),
    [anon_sym___asm] = ACTIONS(2382),
    [sym_number_literal] = ACTIONS(2384),
    [anon_sym_L_SQUOTE] = ACTIONS(2384),
    [anon_sym_u_SQUOTE] = ACTIONS(2384),
    [anon_sym_U_SQUOTE] = ACTIONS(2384),
    [anon_sym_u8_SQUOTE] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2384),
    [anon_sym_L_DQUOTE] = ACTIONS(2384),
    [anon_sym_u_DQUOTE] = ACTIONS(2384),
    [anon_sym_U_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8_DQUOTE] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2384),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [anon_sym_NULL] = ACTIONS(2382),
    [anon_sym_nullptr] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_concept] = ACTIONS(2382),
    [anon_sym_co_return] = ACTIONS(2382),
    [anon_sym_co_yield] = ACTIONS(2382),
    [anon_sym_R_DQUOTE] = ACTIONS(2384),
    [anon_sym_LR_DQUOTE] = ACTIONS(2384),
    [anon_sym_uR_DQUOTE] = ACTIONS(2384),
    [anon_sym_UR_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2384),
    [anon_sym_co_await] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_requires] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [anon_sym_discard] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
    [anon_sym_cbuffer] = ACTIONS(2382),
  },
  [710] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_include_token1] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym___cdecl] = ACTIONS(2382),
    [anon_sym___clrcall] = ACTIONS(2382),
    [anon_sym___stdcall] = ACTIONS(2382),
    [anon_sym___fastcall] = ACTIONS(2382),
    [anon_sym___thiscall] = ACTIONS(2382),
    [anon_sym___vectorcall] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_goto] = ACTIONS(2382),
    [anon_sym___try] = ACTIONS(2382),
    [anon_sym___leave] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_compl] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_sizeof] = ACTIONS(2382),
    [anon_sym___alignof__] = ACTIONS(2382),
    [anon_sym___alignof] = ACTIONS(2382),
    [anon_sym__alignof] = ACTIONS(2382),
    [anon_sym_alignof] = ACTIONS(2382),
    [anon_sym__Alignof] = ACTIONS(2382),
    [anon_sym_offsetof] = ACTIONS(2382),
    [anon_sym__Generic] = ACTIONS(2382),
    [anon_sym_asm] = ACTIONS(2382),
    [anon_sym___asm__] = ACTIONS(2382),
    [anon_sym___asm] = ACTIONS(2382),
    [sym_number_literal] = ACTIONS(2384),
    [anon_sym_L_SQUOTE] = ACTIONS(2384),
    [anon_sym_u_SQUOTE] = ACTIONS(2384),
    [anon_sym_U_SQUOTE] = ACTIONS(2384),
    [anon_sym_u8_SQUOTE] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2384),
    [anon_sym_L_DQUOTE] = ACTIONS(2384),
    [anon_sym_u_DQUOTE] = ACTIONS(2384),
    [anon_sym_U_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8_DQUOTE] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2384),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [anon_sym_NULL] = ACTIONS(2382),
    [anon_sym_nullptr] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_concept] = ACTIONS(2382),
    [anon_sym_co_return] = ACTIONS(2382),
    [anon_sym_co_yield] = ACTIONS(2382),
    [anon_sym_R_DQUOTE] = ACTIONS(2384),
    [anon_sym_LR_DQUOTE] = ACTIONS(2384),
    [anon_sym_uR_DQUOTE] = ACTIONS(2384),
    [anon_sym_UR_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2384),
    [anon_sym_co_await] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_requires] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [anon_sym_discard] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
    [anon_sym_cbuffer] = ACTIONS(2382),
  },
  [711] = {
    [sym_identifier] = ACTIONS(2398),
    [aux_sym_preproc_include_token1] = ACTIONS(2398),
    [aux_sym_preproc_def_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2398),
    [sym_preproc_directive] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2400),
    [anon_sym_BANG] = ACTIONS(2400),
    [anon_sym_TILDE] = ACTIONS(2400),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2400),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2398),
    [anon_sym_typedef] = ACTIONS(2398),
    [anon_sym_in] = ACTIONS(2398),
    [anon_sym_out] = ACTIONS(2398),
    [anon_sym_inout] = ACTIONS(2398),
    [anon_sym_virtual] = ACTIONS(2398),
    [anon_sym_extern] = ACTIONS(2398),
    [anon_sym___attribute__] = ACTIONS(2398),
    [anon_sym___attribute] = ACTIONS(2398),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2400),
    [anon_sym___declspec] = ACTIONS(2398),
    [anon_sym___based] = ACTIONS(2398),
    [anon_sym___cdecl] = ACTIONS(2398),
    [anon_sym___clrcall] = ACTIONS(2398),
    [anon_sym___stdcall] = ACTIONS(2398),
    [anon_sym___fastcall] = ACTIONS(2398),
    [anon_sym___thiscall] = ACTIONS(2398),
    [anon_sym___vectorcall] = ACTIONS(2398),
    [anon_sym_LBRACE] = ACTIONS(2400),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2398),
    [anon_sym_unsigned] = ACTIONS(2398),
    [anon_sym_long] = ACTIONS(2398),
    [anon_sym_short] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2398),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_register] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(2398),
    [anon_sym___inline] = ACTIONS(2398),
    [anon_sym___inline__] = ACTIONS(2398),
    [anon_sym___forceinline] = ACTIONS(2398),
    [anon_sym_thread_local] = ACTIONS(2398),
    [anon_sym___thread] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_constexpr] = ACTIONS(2398),
    [anon_sym_volatile] = ACTIONS(2398),
    [anon_sym_restrict] = ACTIONS(2398),
    [anon_sym___restrict__] = ACTIONS(2398),
    [anon_sym__Atomic] = ACTIONS(2398),
    [anon_sym__Noreturn] = ACTIONS(2398),
    [anon_sym_noreturn] = ACTIONS(2398),
    [anon_sym__Nonnull] = ACTIONS(2398),
    [anon_sym_mutable] = ACTIONS(2398),
    [anon_sym_constinit] = ACTIONS(2398),
    [anon_sym_consteval] = ACTIONS(2398),
    [anon_sym_alignas] = ACTIONS(2398),
    [anon_sym__Alignas] = ACTIONS(2398),
    [sym_primitive_type] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_class] = ACTIONS(2398),
    [anon_sym_struct] = ACTIONS(2398),
    [anon_sym_union] = ACTIONS(2398),
    [anon_sym_if] = ACTIONS(2398),
    [anon_sym_switch] = ACTIONS(2398),
    [anon_sym_case] = ACTIONS(2398),
    [anon_sym_default] = ACTIONS(2398),
    [anon_sym_while] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(2398),
    [anon_sym_for] = ACTIONS(2398),
    [anon_sym_return] = ACTIONS(2398),
    [anon_sym_break] = ACTIONS(2398),
    [anon_sym_continue] = ACTIONS(2398),
    [anon_sym_goto] = ACTIONS(2398),
    [anon_sym___try] = ACTIONS(2398),
    [anon_sym___leave] = ACTIONS(2398),
    [anon_sym_not] = ACTIONS(2398),
    [anon_sym_compl] = ACTIONS(2398),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_sizeof] = ACTIONS(2398),
    [anon_sym___alignof__] = ACTIONS(2398),
    [anon_sym___alignof] = ACTIONS(2398),
    [anon_sym__alignof] = ACTIONS(2398),
    [anon_sym_alignof] = ACTIONS(2398),
    [anon_sym__Alignof] = ACTIONS(2398),
    [anon_sym_offsetof] = ACTIONS(2398),
    [anon_sym__Generic] = ACTIONS(2398),
    [anon_sym_asm] = ACTIONS(2398),
    [anon_sym___asm__] = ACTIONS(2398),
    [anon_sym___asm] = ACTIONS(2398),
    [sym_number_literal] = ACTIONS(2400),
    [anon_sym_L_SQUOTE] = ACTIONS(2400),
    [anon_sym_u_SQUOTE] = ACTIONS(2400),
    [anon_sym_U_SQUOTE] = ACTIONS(2400),
    [anon_sym_u8_SQUOTE] = ACTIONS(2400),
    [anon_sym_SQUOTE] = ACTIONS(2400),
    [anon_sym_L_DQUOTE] = ACTIONS(2400),
    [anon_sym_u_DQUOTE] = ACTIONS(2400),
    [anon_sym_U_DQUOTE] = ACTIONS(2400),
    [anon_sym_u8_DQUOTE] = ACTIONS(2400),
    [anon_sym_DQUOTE] = ACTIONS(2400),
    [sym_true] = ACTIONS(2398),
    [sym_false] = ACTIONS(2398),
    [anon_sym_NULL] = ACTIONS(2398),
    [anon_sym_nullptr] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2398),
    [anon_sym_decltype] = ACTIONS(2398),
    [anon_sym_explicit] = ACTIONS(2398),
    [anon_sym_typename] = ACTIONS(2398),
    [anon_sym_template] = ACTIONS(2398),
    [anon_sym_operator] = ACTIONS(2398),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_delete] = ACTIONS(2398),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_namespace] = ACTIONS(2398),
    [anon_sym_using] = ACTIONS(2398),
    [anon_sym_static_assert] = ACTIONS(2398),
    [anon_sym_concept] = ACTIONS(2398),
    [anon_sym_co_return] = ACTIONS(2398),
    [anon_sym_co_yield] = ACTIONS(2398),
    [anon_sym_R_DQUOTE] = ACTIONS(2400),
    [anon_sym_LR_DQUOTE] = ACTIONS(2400),
    [anon_sym_uR_DQUOTE] = ACTIONS(2400),
    [anon_sym_UR_DQUOTE] = ACTIONS(2400),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2400),
    [anon_sym_co_await] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(2398),
    [anon_sym_requires] = ACTIONS(2398),
    [sym_this] = ACTIONS(2398),
    [anon_sym_discard] = ACTIONS(2398),
    [anon_sym_precise] = ACTIONS(2398),
    [anon_sym_shared] = ACTIONS(2398),
    [anon_sym_groupshared] = ACTIONS(2398),
    [anon_sym_uniform] = ACTIONS(2398),
    [anon_sym_row_major] = ACTIONS(2398),
    [anon_sym_column_major] = ACTIONS(2398),
    [anon_sym_globallycoherent] = ACTIONS(2398),
    [anon_sym_centroid] = ACTIONS(2398),
    [anon_sym_noperspective] = ACTIONS(2398),
    [anon_sym_nointerpolation] = ACTIONS(2398),
    [anon_sym_sample] = ACTIONS(2398),
    [anon_sym_linear] = ACTIONS(2398),
    [anon_sym_snorm] = ACTIONS(2398),
    [anon_sym_unorm] = ACTIONS(2398),
    [anon_sym_point] = ACTIONS(2398),
    [anon_sym_line] = ACTIONS(2398),
    [anon_sym_triangleadj] = ACTIONS(2398),
    [anon_sym_lineadj] = ACTIONS(2398),
    [anon_sym_triangle] = ACTIONS(2398),
    [anon_sym_cbuffer] = ACTIONS(2398),
  },
  [712] = {
    [sym_identifier] = ACTIONS(2430),
    [aux_sym_preproc_include_token1] = ACTIONS(2430),
    [aux_sym_preproc_def_token1] = ACTIONS(2430),
    [aux_sym_preproc_if_token1] = ACTIONS(2430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2430),
    [sym_preproc_directive] = ACTIONS(2430),
    [anon_sym_LPAREN2] = ACTIONS(2432),
    [anon_sym_BANG] = ACTIONS(2432),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2432),
    [anon_sym___extension__] = ACTIONS(2430),
    [anon_sym_typedef] = ACTIONS(2430),
    [anon_sym_in] = ACTIONS(2430),
    [anon_sym_out] = ACTIONS(2430),
    [anon_sym_inout] = ACTIONS(2430),
    [anon_sym_virtual] = ACTIONS(2430),
    [anon_sym_extern] = ACTIONS(2430),
    [anon_sym___attribute__] = ACTIONS(2430),
    [anon_sym___attribute] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2432),
    [anon_sym___declspec] = ACTIONS(2430),
    [anon_sym___based] = ACTIONS(2430),
    [anon_sym___cdecl] = ACTIONS(2430),
    [anon_sym___clrcall] = ACTIONS(2430),
    [anon_sym___stdcall] = ACTIONS(2430),
    [anon_sym___fastcall] = ACTIONS(2430),
    [anon_sym___thiscall] = ACTIONS(2430),
    [anon_sym___vectorcall] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2432),
    [anon_sym_RBRACE] = ACTIONS(2432),
    [anon_sym_signed] = ACTIONS(2430),
    [anon_sym_unsigned] = ACTIONS(2430),
    [anon_sym_long] = ACTIONS(2430),
    [anon_sym_short] = ACTIONS(2430),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym_static] = ACTIONS(2430),
    [anon_sym_register] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(2430),
    [anon_sym___inline] = ACTIONS(2430),
    [anon_sym___inline__] = ACTIONS(2430),
    [anon_sym___forceinline] = ACTIONS(2430),
    [anon_sym_thread_local] = ACTIONS(2430),
    [anon_sym___thread] = ACTIONS(2430),
    [anon_sym_const] = ACTIONS(2430),
    [anon_sym_constexpr] = ACTIONS(2430),
    [anon_sym_volatile] = ACTIONS(2430),
    [anon_sym_restrict] = ACTIONS(2430),
    [anon_sym___restrict__] = ACTIONS(2430),
    [anon_sym__Atomic] = ACTIONS(2430),
    [anon_sym__Noreturn] = ACTIONS(2430),
    [anon_sym_noreturn] = ACTIONS(2430),
    [anon_sym__Nonnull] = ACTIONS(2430),
    [anon_sym_mutable] = ACTIONS(2430),
    [anon_sym_constinit] = ACTIONS(2430),
    [anon_sym_consteval] = ACTIONS(2430),
    [anon_sym_alignas] = ACTIONS(2430),
    [anon_sym__Alignas] = ACTIONS(2430),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_enum] = ACTIONS(2430),
    [anon_sym_class] = ACTIONS(2430),
    [anon_sym_struct] = ACTIONS(2430),
    [anon_sym_union] = ACTIONS(2430),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_switch] = ACTIONS(2430),
    [anon_sym_case] = ACTIONS(2430),
    [anon_sym_default] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2430),
    [anon_sym_do] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2430),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_break] = ACTIONS(2430),
    [anon_sym_continue] = ACTIONS(2430),
    [anon_sym_goto] = ACTIONS(2430),
    [anon_sym___try] = ACTIONS(2430),
    [anon_sym___leave] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2430),
    [anon_sym_compl] = ACTIONS(2430),
    [anon_sym_DASH_DASH] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2432),
    [anon_sym_sizeof] = ACTIONS(2430),
    [anon_sym___alignof__] = ACTIONS(2430),
    [anon_sym___alignof] = ACTIONS(2430),
    [anon_sym__alignof] = ACTIONS(2430),
    [anon_sym_alignof] = ACTIONS(2430),
    [anon_sym__Alignof] = ACTIONS(2430),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2430),
    [anon_sym_asm] = ACTIONS(2430),
    [anon_sym___asm__] = ACTIONS(2430),
    [anon_sym___asm] = ACTIONS(2430),
    [sym_number_literal] = ACTIONS(2432),
    [anon_sym_L_SQUOTE] = ACTIONS(2432),
    [anon_sym_u_SQUOTE] = ACTIONS(2432),
    [anon_sym_U_SQUOTE] = ACTIONS(2432),
    [anon_sym_u8_SQUOTE] = ACTIONS(2432),
    [anon_sym_SQUOTE] = ACTIONS(2432),
    [anon_sym_L_DQUOTE] = ACTIONS(2432),
    [anon_sym_u_DQUOTE] = ACTIONS(2432),
    [anon_sym_U_DQUOTE] = ACTIONS(2432),
    [anon_sym_u8_DQUOTE] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2432),
    [sym_true] = ACTIONS(2430),
    [sym_false] = ACTIONS(2430),
    [anon_sym_NULL] = ACTIONS(2430),
    [anon_sym_nullptr] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2430),
    [anon_sym_decltype] = ACTIONS(2430),
    [anon_sym_explicit] = ACTIONS(2430),
    [anon_sym_typename] = ACTIONS(2430),
    [anon_sym_template] = ACTIONS(2430),
    [anon_sym_operator] = ACTIONS(2430),
    [anon_sym_try] = ACTIONS(2430),
    [anon_sym_delete] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2430),
    [anon_sym_namespace] = ACTIONS(2430),
    [anon_sym_using] = ACTIONS(2430),
    [anon_sym_static_assert] = ACTIONS(2430),
    [anon_sym_concept] = ACTIONS(2430),
    [anon_sym_co_return] = ACTIONS(2430),
    [anon_sym_co_yield] = ACTIONS(2430),
    [anon_sym_R_DQUOTE] = ACTIONS(2432),
    [anon_sym_LR_DQUOTE] = ACTIONS(2432),
    [anon_sym_uR_DQUOTE] = ACTIONS(2432),
    [anon_sym_UR_DQUOTE] = ACTIONS(2432),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2432),
    [anon_sym_co_await] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2430),
    [anon_sym_requires] = ACTIONS(2430),
    [sym_this] = ACTIONS(2430),
    [anon_sym_discard] = ACTIONS(2430),
    [anon_sym_precise] = ACTIONS(2430),
    [anon_sym_shared] = ACTIONS(2430),
    [anon_sym_groupshared] = ACTIONS(2430),
    [anon_sym_uniform] = ACTIONS(2430),
    [anon_sym_row_major] = ACTIONS(2430),
    [anon_sym_column_major] = ACTIONS(2430),
    [anon_sym_globallycoherent] = ACTIONS(2430),
    [anon_sym_centroid] = ACTIONS(2430),
    [anon_sym_noperspective] = ACTIONS(2430),
    [anon_sym_nointerpolation] = ACTIONS(2430),
    [anon_sym_sample] = ACTIONS(2430),
    [anon_sym_linear] = ACTIONS(2430),
    [anon_sym_snorm] = ACTIONS(2430),
    [anon_sym_unorm] = ACTIONS(2430),
    [anon_sym_point] = ACTIONS(2430),
    [anon_sym_line] = ACTIONS(2430),
    [anon_sym_triangleadj] = ACTIONS(2430),
    [anon_sym_lineadj] = ACTIONS(2430),
    [anon_sym_triangle] = ACTIONS(2430),
    [anon_sym_cbuffer] = ACTIONS(2430),
  },
  [713] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_virtual] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
    [anon_sym_discard] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_groupshared] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_row_major] = ACTIONS(2540),
    [anon_sym_column_major] = ACTIONS(2540),
    [anon_sym_globallycoherent] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym_nointerpolation] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_linear] = ACTIONS(2540),
    [anon_sym_snorm] = ACTIONS(2540),
    [anon_sym_unorm] = ACTIONS(2540),
    [anon_sym_point] = ACTIONS(2540),
    [anon_sym_line] = ACTIONS(2540),
    [anon_sym_triangleadj] = ACTIONS(2540),
    [anon_sym_lineadj] = ACTIONS(2540),
    [anon_sym_triangle] = ACTIONS(2540),
    [anon_sym_cbuffer] = ACTIONS(2540),
  },
  [714] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_out] = ACTIONS(2556),
    [anon_sym_inout] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
    [anon_sym_discard] = ACTIONS(2556),
    [anon_sym_precise] = ACTIONS(2556),
    [anon_sym_shared] = ACTIONS(2556),
    [anon_sym_groupshared] = ACTIONS(2556),
    [anon_sym_uniform] = ACTIONS(2556),
    [anon_sym_row_major] = ACTIONS(2556),
    [anon_sym_column_major] = ACTIONS(2556),
    [anon_sym_globallycoherent] = ACTIONS(2556),
    [anon_sym_centroid] = ACTIONS(2556),
    [anon_sym_noperspective] = ACTIONS(2556),
    [anon_sym_nointerpolation] = ACTIONS(2556),
    [anon_sym_sample] = ACTIONS(2556),
    [anon_sym_linear] = ACTIONS(2556),
    [anon_sym_snorm] = ACTIONS(2556),
    [anon_sym_unorm] = ACTIONS(2556),
    [anon_sym_point] = ACTIONS(2556),
    [anon_sym_line] = ACTIONS(2556),
    [anon_sym_triangleadj] = ACTIONS(2556),
    [anon_sym_lineadj] = ACTIONS(2556),
    [anon_sym_triangle] = ACTIONS(2556),
    [anon_sym_cbuffer] = ACTIONS(2556),
  },
  [715] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_out] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
    [anon_sym_discard] = ACTIONS(2564),
    [anon_sym_precise] = ACTIONS(2564),
    [anon_sym_shared] = ACTIONS(2564),
    [anon_sym_groupshared] = ACTIONS(2564),
    [anon_sym_uniform] = ACTIONS(2564),
    [anon_sym_row_major] = ACTIONS(2564),
    [anon_sym_column_major] = ACTIONS(2564),
    [anon_sym_globallycoherent] = ACTIONS(2564),
    [anon_sym_centroid] = ACTIONS(2564),
    [anon_sym_noperspective] = ACTIONS(2564),
    [anon_sym_nointerpolation] = ACTIONS(2564),
    [anon_sym_sample] = ACTIONS(2564),
    [anon_sym_linear] = ACTIONS(2564),
    [anon_sym_snorm] = ACTIONS(2564),
    [anon_sym_unorm] = ACTIONS(2564),
    [anon_sym_point] = ACTIONS(2564),
    [anon_sym_line] = ACTIONS(2564),
    [anon_sym_triangleadj] = ACTIONS(2564),
    [anon_sym_lineadj] = ACTIONS(2564),
    [anon_sym_triangle] = ACTIONS(2564),
    [anon_sym_cbuffer] = ACTIONS(2564),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_out] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_virtual] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym___attribute] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
    [anon_sym_discard] = ACTIONS(2572),
    [anon_sym_precise] = ACTIONS(2572),
    [anon_sym_shared] = ACTIONS(2572),
    [anon_sym_groupshared] = ACTIONS(2572),
    [anon_sym_uniform] = ACTIONS(2572),
    [anon_sym_row_major] = ACTIONS(2572),
    [anon_sym_column_major] = ACTIONS(2572),
    [anon_sym_globallycoherent] = ACTIONS(2572),
    [anon_sym_centroid] = ACTIONS(2572),
    [anon_sym_noperspective] = ACTIONS(2572),
    [anon_sym_nointerpolation] = ACTIONS(2572),
    [anon_sym_sample] = ACTIONS(2572),
    [anon_sym_linear] = ACTIONS(2572),
    [anon_sym_snorm] = ACTIONS(2572),
    [anon_sym_unorm] = ACTIONS(2572),
    [anon_sym_point] = ACTIONS(2572),
    [anon_sym_line] = ACTIONS(2572),
    [anon_sym_triangleadj] = ACTIONS(2572),
    [anon_sym_lineadj] = ACTIONS(2572),
    [anon_sym_triangle] = ACTIONS(2572),
    [anon_sym_cbuffer] = ACTIONS(2572),
  },
  [717] = {
    [sym_identifier] = ACTIONS(2378),
    [aux_sym_preproc_include_token1] = ACTIONS(2378),
    [aux_sym_preproc_def_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2378),
    [sym_preproc_directive] = ACTIONS(2378),
    [anon_sym_LPAREN2] = ACTIONS(2380),
    [anon_sym_BANG] = ACTIONS(2380),
    [anon_sym_TILDE] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2380),
    [anon_sym___extension__] = ACTIONS(2378),
    [anon_sym_typedef] = ACTIONS(2378),
    [anon_sym_in] = ACTIONS(2378),
    [anon_sym_out] = ACTIONS(2378),
    [anon_sym_inout] = ACTIONS(2378),
    [anon_sym_virtual] = ACTIONS(2378),
    [anon_sym_extern] = ACTIONS(2378),
    [anon_sym___attribute__] = ACTIONS(2378),
    [anon_sym___attribute] = ACTIONS(2378),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2380),
    [anon_sym___declspec] = ACTIONS(2378),
    [anon_sym___based] = ACTIONS(2378),
    [anon_sym___cdecl] = ACTIONS(2378),
    [anon_sym___clrcall] = ACTIONS(2378),
    [anon_sym___stdcall] = ACTIONS(2378),
    [anon_sym___fastcall] = ACTIONS(2378),
    [anon_sym___thiscall] = ACTIONS(2378),
    [anon_sym___vectorcall] = ACTIONS(2378),
    [anon_sym_LBRACE] = ACTIONS(2380),
    [anon_sym_RBRACE] = ACTIONS(2380),
    [anon_sym_signed] = ACTIONS(2378),
    [anon_sym_unsigned] = ACTIONS(2378),
    [anon_sym_long] = ACTIONS(2378),
    [anon_sym_short] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_register] = ACTIONS(2378),
    [anon_sym_inline] = ACTIONS(2378),
    [anon_sym___inline] = ACTIONS(2378),
    [anon_sym___inline__] = ACTIONS(2378),
    [anon_sym___forceinline] = ACTIONS(2378),
    [anon_sym_thread_local] = ACTIONS(2378),
    [anon_sym___thread] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_constexpr] = ACTIONS(2378),
    [anon_sym_volatile] = ACTIONS(2378),
    [anon_sym_restrict] = ACTIONS(2378),
    [anon_sym___restrict__] = ACTIONS(2378),
    [anon_sym__Atomic] = ACTIONS(2378),
    [anon_sym__Noreturn] = ACTIONS(2378),
    [anon_sym_noreturn] = ACTIONS(2378),
    [anon_sym__Nonnull] = ACTIONS(2378),
    [anon_sym_mutable] = ACTIONS(2378),
    [anon_sym_constinit] = ACTIONS(2378),
    [anon_sym_consteval] = ACTIONS(2378),
    [anon_sym_alignas] = ACTIONS(2378),
    [anon_sym__Alignas] = ACTIONS(2378),
    [sym_primitive_type] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_struct] = ACTIONS(2378),
    [anon_sym_union] = ACTIONS(2378),
    [anon_sym_if] = ACTIONS(2378),
    [anon_sym_switch] = ACTIONS(2378),
    [anon_sym_case] = ACTIONS(2378),
    [anon_sym_default] = ACTIONS(2378),
    [anon_sym_while] = ACTIONS(2378),
    [anon_sym_do] = ACTIONS(2378),
    [anon_sym_for] = ACTIONS(2378),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_break] = ACTIONS(2378),
    [anon_sym_continue] = ACTIONS(2378),
    [anon_sym_goto] = ACTIONS(2378),
    [anon_sym___try] = ACTIONS(2378),
    [anon_sym___leave] = ACTIONS(2378),
    [anon_sym_not] = ACTIONS(2378),
    [anon_sym_compl] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2378),
    [anon_sym___alignof__] = ACTIONS(2378),
    [anon_sym___alignof] = ACTIONS(2378),
    [anon_sym__alignof] = ACTIONS(2378),
    [anon_sym_alignof] = ACTIONS(2378),
    [anon_sym__Alignof] = ACTIONS(2378),
    [anon_sym_offsetof] = ACTIONS(2378),
    [anon_sym__Generic] = ACTIONS(2378),
    [anon_sym_asm] = ACTIONS(2378),
    [anon_sym___asm__] = ACTIONS(2378),
    [anon_sym___asm] = ACTIONS(2378),
    [sym_number_literal] = ACTIONS(2380),
    [anon_sym_L_SQUOTE] = ACTIONS(2380),
    [anon_sym_u_SQUOTE] = ACTIONS(2380),
    [anon_sym_U_SQUOTE] = ACTIONS(2380),
    [anon_sym_u8_SQUOTE] = ACTIONS(2380),
    [anon_sym_SQUOTE] = ACTIONS(2380),
    [anon_sym_L_DQUOTE] = ACTIONS(2380),
    [anon_sym_u_DQUOTE] = ACTIONS(2380),
    [anon_sym_U_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8_DQUOTE] = ACTIONS(2380),
    [anon_sym_DQUOTE] = ACTIONS(2380),
    [sym_true] = ACTIONS(2378),
    [sym_false] = ACTIONS(2378),
    [anon_sym_NULL] = ACTIONS(2378),
    [anon_sym_nullptr] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2378),
    [anon_sym_decltype] = ACTIONS(2378),
    [anon_sym_explicit] = ACTIONS(2378),
    [anon_sym_typename] = ACTIONS(2378),
    [anon_sym_template] = ACTIONS(2378),
    [anon_sym_operator] = ACTIONS(2378),
    [anon_sym_try] = ACTIONS(2378),
    [anon_sym_delete] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2378),
    [anon_sym_namespace] = ACTIONS(2378),
    [anon_sym_using] = ACTIONS(2378),
    [anon_sym_static_assert] = ACTIONS(2378),
    [anon_sym_concept] = ACTIONS(2378),
    [anon_sym_co_return] = ACTIONS(2378),
    [anon_sym_co_yield] = ACTIONS(2378),
    [anon_sym_R_DQUOTE] = ACTIONS(2380),
    [anon_sym_LR_DQUOTE] = ACTIONS(2380),
    [anon_sym_uR_DQUOTE] = ACTIONS(2380),
    [anon_sym_UR_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2380),
    [anon_sym_co_await] = ACTIONS(2378),
    [anon_sym_new] = ACTIONS(2378),
    [anon_sym_requires] = ACTIONS(2378),
    [sym_this] = ACTIONS(2378),
    [anon_sym_discard] = ACTIONS(2378),
    [anon_sym_precise] = ACTIONS(2378),
    [anon_sym_shared] = ACTIONS(2378),
    [anon_sym_groupshared] = ACTIONS(2378),
    [anon_sym_uniform] = ACTIONS(2378),
    [anon_sym_row_major] = ACTIONS(2378),
    [anon_sym_column_major] = ACTIONS(2378),
    [anon_sym_globallycoherent] = ACTIONS(2378),
    [anon_sym_centroid] = ACTIONS(2378),
    [anon_sym_noperspective] = ACTIONS(2378),
    [anon_sym_nointerpolation] = ACTIONS(2378),
    [anon_sym_sample] = ACTIONS(2378),
    [anon_sym_linear] = ACTIONS(2378),
    [anon_sym_snorm] = ACTIONS(2378),
    [anon_sym_unorm] = ACTIONS(2378),
    [anon_sym_point] = ACTIONS(2378),
    [anon_sym_line] = ACTIONS(2378),
    [anon_sym_triangleadj] = ACTIONS(2378),
    [anon_sym_lineadj] = ACTIONS(2378),
    [anon_sym_triangle] = ACTIONS(2378),
    [anon_sym_cbuffer] = ACTIONS(2378),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_RBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym___leave] = ACTIONS(2402),
    [anon_sym_not] = ACTIONS(2402),
    [anon_sym_compl] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_concept] = ACTIONS(2402),
    [anon_sym_co_return] = ACTIONS(2402),
    [anon_sym_co_yield] = ACTIONS(2402),
    [anon_sym_R_DQUOTE] = ACTIONS(2404),
    [anon_sym_LR_DQUOTE] = ACTIONS(2404),
    [anon_sym_uR_DQUOTE] = ACTIONS(2404),
    [anon_sym_UR_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2404),
    [anon_sym_co_await] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_requires] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [anon_sym_discard] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
    [anon_sym_cbuffer] = ACTIONS(2402),
  },
  [719] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_RBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym___leave] = ACTIONS(2402),
    [anon_sym_not] = ACTIONS(2402),
    [anon_sym_compl] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_concept] = ACTIONS(2402),
    [anon_sym_co_return] = ACTIONS(2402),
    [anon_sym_co_yield] = ACTIONS(2402),
    [anon_sym_R_DQUOTE] = ACTIONS(2404),
    [anon_sym_LR_DQUOTE] = ACTIONS(2404),
    [anon_sym_uR_DQUOTE] = ACTIONS(2404),
    [anon_sym_UR_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2404),
    [anon_sym_co_await] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_requires] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [anon_sym_discard] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
    [anon_sym_cbuffer] = ACTIONS(2402),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2434),
    [aux_sym_preproc_include_token1] = ACTIONS(2434),
    [aux_sym_preproc_def_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2434),
    [sym_preproc_directive] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2436),
    [anon_sym___extension__] = ACTIONS(2434),
    [anon_sym_typedef] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_out] = ACTIONS(2434),
    [anon_sym_inout] = ACTIONS(2434),
    [anon_sym_virtual] = ACTIONS(2434),
    [anon_sym_extern] = ACTIONS(2434),
    [anon_sym___attribute__] = ACTIONS(2434),
    [anon_sym___attribute] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2436),
    [anon_sym___declspec] = ACTIONS(2434),
    [anon_sym___based] = ACTIONS(2434),
    [anon_sym___cdecl] = ACTIONS(2434),
    [anon_sym___clrcall] = ACTIONS(2434),
    [anon_sym___stdcall] = ACTIONS(2434),
    [anon_sym___fastcall] = ACTIONS(2434),
    [anon_sym___thiscall] = ACTIONS(2434),
    [anon_sym___vectorcall] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2436),
    [anon_sym_RBRACE] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2434),
    [anon_sym_unsigned] = ACTIONS(2434),
    [anon_sym_long] = ACTIONS(2434),
    [anon_sym_short] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_register] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym___inline] = ACTIONS(2434),
    [anon_sym___inline__] = ACTIONS(2434),
    [anon_sym___forceinline] = ACTIONS(2434),
    [anon_sym_thread_local] = ACTIONS(2434),
    [anon_sym___thread] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_constexpr] = ACTIONS(2434),
    [anon_sym_volatile] = ACTIONS(2434),
    [anon_sym_restrict] = ACTIONS(2434),
    [anon_sym___restrict__] = ACTIONS(2434),
    [anon_sym__Atomic] = ACTIONS(2434),
    [anon_sym__Noreturn] = ACTIONS(2434),
    [anon_sym_noreturn] = ACTIONS(2434),
    [anon_sym__Nonnull] = ACTIONS(2434),
    [anon_sym_mutable] = ACTIONS(2434),
    [anon_sym_constinit] = ACTIONS(2434),
    [anon_sym_consteval] = ACTIONS(2434),
    [anon_sym_alignas] = ACTIONS(2434),
    [anon_sym__Alignas] = ACTIONS(2434),
    [sym_primitive_type] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_struct] = ACTIONS(2434),
    [anon_sym_union] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_goto] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2434),
    [anon_sym___leave] = ACTIONS(2434),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2436),
    [anon_sym_sizeof] = ACTIONS(2434),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2434),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [anon_sym___asm] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2436),
    [anon_sym_u_SQUOTE] = ACTIONS(2436),
    [anon_sym_U_SQUOTE] = ACTIONS(2436),
    [anon_sym_u8_SQUOTE] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_L_DQUOTE] = ACTIONS(2436),
    [anon_sym_u_DQUOTE] = ACTIONS(2436),
    [anon_sym_U_DQUOTE] = ACTIONS(2436),
    [anon_sym_u8_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2436),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [anon_sym_NULL] = ACTIONS(2434),
    [anon_sym_nullptr] = ACTIONS(2434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2434),
    [anon_sym_decltype] = ACTIONS(2434),
    [anon_sym_explicit] = ACTIONS(2434),
    [anon_sym_typename] = ACTIONS(2434),
    [anon_sym_template] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_static_assert] = ACTIONS(2434),
    [anon_sym_concept] = ACTIONS(2434),
    [anon_sym_co_return] = ACTIONS(2434),
    [anon_sym_co_yield] = ACTIONS(2434),
    [anon_sym_R_DQUOTE] = ACTIONS(2436),
    [anon_sym_LR_DQUOTE] = ACTIONS(2436),
    [anon_sym_uR_DQUOTE] = ACTIONS(2436),
    [anon_sym_UR_DQUOTE] = ACTIONS(2436),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2436),
    [anon_sym_co_await] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [anon_sym_discard] = ACTIONS(2434),
    [anon_sym_precise] = ACTIONS(2434),
    [anon_sym_shared] = ACTIONS(2434),
    [anon_sym_groupshared] = ACTIONS(2434),
    [anon_sym_uniform] = ACTIONS(2434),
    [anon_sym_row_major] = ACTIONS(2434),
    [anon_sym_column_major] = ACTIONS(2434),
    [anon_sym_globallycoherent] = ACTIONS(2434),
    [anon_sym_centroid] = ACTIONS(2434),
    [anon_sym_noperspective] = ACTIONS(2434),
    [anon_sym_nointerpolation] = ACTIONS(2434),
    [anon_sym_sample] = ACTIONS(2434),
    [anon_sym_linear] = ACTIONS(2434),
    [anon_sym_snorm] = ACTIONS(2434),
    [anon_sym_unorm] = ACTIONS(2434),
    [anon_sym_point] = ACTIONS(2434),
    [anon_sym_line] = ACTIONS(2434),
    [anon_sym_triangleadj] = ACTIONS(2434),
    [anon_sym_lineadj] = ACTIONS(2434),
    [anon_sym_triangle] = ACTIONS(2434),
    [anon_sym_cbuffer] = ACTIONS(2434),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2462),
    [aux_sym_preproc_include_token1] = ACTIONS(2462),
    [aux_sym_preproc_def_token1] = ACTIONS(2462),
    [aux_sym_preproc_if_token1] = ACTIONS(2462),
    [aux_sym_preproc_if_token2] = ACTIONS(2462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2462),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2462),
    [sym_preproc_directive] = ACTIONS(2462),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2462),
    [anon_sym_typedef] = ACTIONS(2462),
    [anon_sym_in] = ACTIONS(2462),
    [anon_sym_out] = ACTIONS(2462),
    [anon_sym_inout] = ACTIONS(2462),
    [anon_sym_virtual] = ACTIONS(2462),
    [anon_sym_extern] = ACTIONS(2462),
    [anon_sym___attribute__] = ACTIONS(2462),
    [anon_sym___attribute] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2462),
    [anon_sym___based] = ACTIONS(2462),
    [anon_sym___cdecl] = ACTIONS(2462),
    [anon_sym___clrcall] = ACTIONS(2462),
    [anon_sym___stdcall] = ACTIONS(2462),
    [anon_sym___fastcall] = ACTIONS(2462),
    [anon_sym___thiscall] = ACTIONS(2462),
    [anon_sym___vectorcall] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2462),
    [anon_sym_unsigned] = ACTIONS(2462),
    [anon_sym_long] = ACTIONS(2462),
    [anon_sym_short] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym_static] = ACTIONS(2462),
    [anon_sym_register] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2462),
    [anon_sym___inline] = ACTIONS(2462),
    [anon_sym___inline__] = ACTIONS(2462),
    [anon_sym___forceinline] = ACTIONS(2462),
    [anon_sym_thread_local] = ACTIONS(2462),
    [anon_sym___thread] = ACTIONS(2462),
    [anon_sym_const] = ACTIONS(2462),
    [anon_sym_constexpr] = ACTIONS(2462),
    [anon_sym_volatile] = ACTIONS(2462),
    [anon_sym_restrict] = ACTIONS(2462),
    [anon_sym___restrict__] = ACTIONS(2462),
    [anon_sym__Atomic] = ACTIONS(2462),
    [anon_sym__Noreturn] = ACTIONS(2462),
    [anon_sym_noreturn] = ACTIONS(2462),
    [anon_sym__Nonnull] = ACTIONS(2462),
    [anon_sym_mutable] = ACTIONS(2462),
    [anon_sym_constinit] = ACTIONS(2462),
    [anon_sym_consteval] = ACTIONS(2462),
    [anon_sym_alignas] = ACTIONS(2462),
    [anon_sym__Alignas] = ACTIONS(2462),
    [sym_primitive_type] = ACTIONS(2462),
    [anon_sym_enum] = ACTIONS(2462),
    [anon_sym_class] = ACTIONS(2462),
    [anon_sym_struct] = ACTIONS(2462),
    [anon_sym_union] = ACTIONS(2462),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_switch] = ACTIONS(2462),
    [anon_sym_case] = ACTIONS(2462),
    [anon_sym_default] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(2462),
    [anon_sym_do] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2462),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_break] = ACTIONS(2462),
    [anon_sym_continue] = ACTIONS(2462),
    [anon_sym_goto] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2462),
    [anon_sym___leave] = ACTIONS(2462),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2462),
    [anon_sym_asm] = ACTIONS(2462),
    [anon_sym___asm__] = ACTIONS(2462),
    [anon_sym___asm] = ACTIONS(2462),
    [sym_number_literal] = ACTIONS(2465),
    [anon_sym_L_SQUOTE] = ACTIONS(2465),
    [anon_sym_u_SQUOTE] = ACTIONS(2465),
    [anon_sym_U_SQUOTE] = ACTIONS(2465),
    [anon_sym_u8_SQUOTE] = ACTIONS(2465),
    [anon_sym_SQUOTE] = ACTIONS(2465),
    [anon_sym_L_DQUOTE] = ACTIONS(2465),
    [anon_sym_u_DQUOTE] = ACTIONS(2465),
    [anon_sym_U_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8_DQUOTE] = ACTIONS(2465),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [sym_true] = ACTIONS(2462),
    [sym_false] = ACTIONS(2462),
    [anon_sym_NULL] = ACTIONS(2462),
    [anon_sym_nullptr] = ACTIONS(2462),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2462),
    [anon_sym_decltype] = ACTIONS(2462),
    [anon_sym_explicit] = ACTIONS(2462),
    [anon_sym_typename] = ACTIONS(2462),
    [anon_sym_template] = ACTIONS(2462),
    [anon_sym_operator] = ACTIONS(2462),
    [anon_sym_try] = ACTIONS(2462),
    [anon_sym_delete] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2462),
    [anon_sym_namespace] = ACTIONS(2462),
    [anon_sym_using] = ACTIONS(2462),
    [anon_sym_static_assert] = ACTIONS(2462),
    [anon_sym_concept] = ACTIONS(2462),
    [anon_sym_co_return] = ACTIONS(2462),
    [anon_sym_co_yield] = ACTIONS(2462),
    [anon_sym_R_DQUOTE] = ACTIONS(2465),
    [anon_sym_LR_DQUOTE] = ACTIONS(2465),
    [anon_sym_uR_DQUOTE] = ACTIONS(2465),
    [anon_sym_UR_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2465),
    [anon_sym_co_await] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2462),
    [anon_sym_requires] = ACTIONS(2462),
    [sym_this] = ACTIONS(2462),
    [anon_sym_discard] = ACTIONS(2462),
    [anon_sym_precise] = ACTIONS(2462),
    [anon_sym_shared] = ACTIONS(2462),
    [anon_sym_groupshared] = ACTIONS(2462),
    [anon_sym_uniform] = ACTIONS(2462),
    [anon_sym_row_major] = ACTIONS(2462),
    [anon_sym_column_major] = ACTIONS(2462),
    [anon_sym_globallycoherent] = ACTIONS(2462),
    [anon_sym_centroid] = ACTIONS(2462),
    [anon_sym_noperspective] = ACTIONS(2462),
    [anon_sym_nointerpolation] = ACTIONS(2462),
    [anon_sym_sample] = ACTIONS(2462),
    [anon_sym_linear] = ACTIONS(2462),
    [anon_sym_snorm] = ACTIONS(2462),
    [anon_sym_unorm] = ACTIONS(2462),
    [anon_sym_point] = ACTIONS(2462),
    [anon_sym_line] = ACTIONS(2462),
    [anon_sym_triangleadj] = ACTIONS(2462),
    [anon_sym_lineadj] = ACTIONS(2462),
    [anon_sym_triangle] = ACTIONS(2462),
    [anon_sym_cbuffer] = ACTIONS(2462),
  },
  [722] = {
    [sym_identifier] = ACTIONS(2595),
    [aux_sym_preproc_include_token1] = ACTIONS(2595),
    [aux_sym_preproc_def_token1] = ACTIONS(2595),
    [aux_sym_preproc_if_token1] = ACTIONS(2595),
    [aux_sym_preproc_if_token2] = ACTIONS(2595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2595),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(2597),
    [anon_sym_BANG] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2595),
    [anon_sym_SEMI] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2595),
    [anon_sym_typedef] = ACTIONS(2595),
    [anon_sym_in] = ACTIONS(2595),
    [anon_sym_out] = ACTIONS(2595),
    [anon_sym_inout] = ACTIONS(2595),
    [anon_sym_virtual] = ACTIONS(2595),
    [anon_sym_extern] = ACTIONS(2595),
    [anon_sym___attribute__] = ACTIONS(2595),
    [anon_sym___attribute] = ACTIONS(2595),
    [anon_sym_COLON_COLON] = ACTIONS(2597),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym___declspec] = ACTIONS(2595),
    [anon_sym___based] = ACTIONS(2595),
    [anon_sym___cdecl] = ACTIONS(2595),
    [anon_sym___clrcall] = ACTIONS(2595),
    [anon_sym___stdcall] = ACTIONS(2595),
    [anon_sym___fastcall] = ACTIONS(2595),
    [anon_sym___thiscall] = ACTIONS(2595),
    [anon_sym___vectorcall] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_signed] = ACTIONS(2595),
    [anon_sym_unsigned] = ACTIONS(2595),
    [anon_sym_long] = ACTIONS(2595),
    [anon_sym_short] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_static] = ACTIONS(2595),
    [anon_sym_register] = ACTIONS(2595),
    [anon_sym_inline] = ACTIONS(2595),
    [anon_sym___inline] = ACTIONS(2595),
    [anon_sym___inline__] = ACTIONS(2595),
    [anon_sym___forceinline] = ACTIONS(2595),
    [anon_sym_thread_local] = ACTIONS(2595),
    [anon_sym___thread] = ACTIONS(2595),
    [anon_sym_const] = ACTIONS(2595),
    [anon_sym_constexpr] = ACTIONS(2595),
    [anon_sym_volatile] = ACTIONS(2595),
    [anon_sym_restrict] = ACTIONS(2595),
    [anon_sym___restrict__] = ACTIONS(2595),
    [anon_sym__Atomic] = ACTIONS(2595),
    [anon_sym__Noreturn] = ACTIONS(2595),
    [anon_sym_noreturn] = ACTIONS(2595),
    [anon_sym__Nonnull] = ACTIONS(2595),
    [anon_sym_mutable] = ACTIONS(2595),
    [anon_sym_constinit] = ACTIONS(2595),
    [anon_sym_consteval] = ACTIONS(2595),
    [anon_sym_alignas] = ACTIONS(2595),
    [anon_sym__Alignas] = ACTIONS(2595),
    [sym_primitive_type] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2595),
    [anon_sym_class] = ACTIONS(2595),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_union] = ACTIONS(2595),
    [anon_sym_if] = ACTIONS(2595),
    [anon_sym_switch] = ACTIONS(2595),
    [anon_sym_case] = ACTIONS(2595),
    [anon_sym_default] = ACTIONS(2595),
    [anon_sym_while] = ACTIONS(2595),
    [anon_sym_do] = ACTIONS(2595),
    [anon_sym_for] = ACTIONS(2595),
    [anon_sym_return] = ACTIONS(2595),
    [anon_sym_break] = ACTIONS(2595),
    [anon_sym_continue] = ACTIONS(2595),
    [anon_sym_goto] = ACTIONS(2595),
    [anon_sym___try] = ACTIONS(2595),
    [anon_sym___leave] = ACTIONS(2595),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_PLUS] = ACTIONS(2597),
    [anon_sym_sizeof] = ACTIONS(2595),
    [anon_sym___alignof__] = ACTIONS(2595),
    [anon_sym___alignof] = ACTIONS(2595),
    [anon_sym__alignof] = ACTIONS(2595),
    [anon_sym_alignof] = ACTIONS(2595),
    [anon_sym__Alignof] = ACTIONS(2595),
    [anon_sym_offsetof] = ACTIONS(2595),
    [anon_sym__Generic] = ACTIONS(2595),
    [anon_sym_asm] = ACTIONS(2595),
    [anon_sym___asm__] = ACTIONS(2595),
    [anon_sym___asm] = ACTIONS(2595),
    [sym_number_literal] = ACTIONS(2597),
    [anon_sym_L_SQUOTE] = ACTIONS(2597),
    [anon_sym_u_SQUOTE] = ACTIONS(2597),
    [anon_sym_U_SQUOTE] = ACTIONS(2597),
    [anon_sym_u8_SQUOTE] = ACTIONS(2597),
    [anon_sym_SQUOTE] = ACTIONS(2597),
    [anon_sym_L_DQUOTE] = ACTIONS(2597),
    [anon_sym_u_DQUOTE] = ACTIONS(2597),
    [anon_sym_U_DQUOTE] = ACTIONS(2597),
    [anon_sym_u8_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_true] = ACTIONS(2595),
    [sym_false] = ACTIONS(2595),
    [anon_sym_NULL] = ACTIONS(2595),
    [anon_sym_nullptr] = ACTIONS(2595),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2595),
    [anon_sym_decltype] = ACTIONS(2595),
    [anon_sym_explicit] = ACTIONS(2595),
    [anon_sym_typename] = ACTIONS(2595),
    [anon_sym_template] = ACTIONS(2595),
    [anon_sym_operator] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_delete] = ACTIONS(2595),
    [anon_sym_throw] = ACTIONS(2595),
    [anon_sym_namespace] = ACTIONS(2595),
    [anon_sym_using] = ACTIONS(2595),
    [anon_sym_static_assert] = ACTIONS(2595),
    [anon_sym_concept] = ACTIONS(2595),
    [anon_sym_co_return] = ACTIONS(2595),
    [anon_sym_co_yield] = ACTIONS(2595),
    [anon_sym_R_DQUOTE] = ACTIONS(2597),
    [anon_sym_LR_DQUOTE] = ACTIONS(2597),
    [anon_sym_uR_DQUOTE] = ACTIONS(2597),
    [anon_sym_UR_DQUOTE] = ACTIONS(2597),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2597),
    [anon_sym_co_await] = ACTIONS(2595),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_requires] = ACTIONS(2595),
    [sym_this] = ACTIONS(2595),
    [anon_sym_discard] = ACTIONS(2595),
    [anon_sym_precise] = ACTIONS(2595),
    [anon_sym_shared] = ACTIONS(2595),
    [anon_sym_groupshared] = ACTIONS(2595),
    [anon_sym_uniform] = ACTIONS(2595),
    [anon_sym_row_major] = ACTIONS(2595),
    [anon_sym_column_major] = ACTIONS(2595),
    [anon_sym_globallycoherent] = ACTIONS(2595),
    [anon_sym_centroid] = ACTIONS(2595),
    [anon_sym_noperspective] = ACTIONS(2595),
    [anon_sym_nointerpolation] = ACTIONS(2595),
    [anon_sym_sample] = ACTIONS(2595),
    [anon_sym_linear] = ACTIONS(2595),
    [anon_sym_snorm] = ACTIONS(2595),
    [anon_sym_unorm] = ACTIONS(2595),
    [anon_sym_point] = ACTIONS(2595),
    [anon_sym_line] = ACTIONS(2595),
    [anon_sym_triangleadj] = ACTIONS(2595),
    [anon_sym_lineadj] = ACTIONS(2595),
    [anon_sym_triangle] = ACTIONS(2595),
    [anon_sym_cbuffer] = ACTIONS(2595),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
    [anon_sym_discard] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_groupshared] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_row_major] = ACTIONS(2532),
    [anon_sym_column_major] = ACTIONS(2532),
    [anon_sym_globallycoherent] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym_nointerpolation] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_linear] = ACTIONS(2532),
    [anon_sym_snorm] = ACTIONS(2532),
    [anon_sym_unorm] = ACTIONS(2532),
    [anon_sym_point] = ACTIONS(2532),
    [anon_sym_line] = ACTIONS(2532),
    [anon_sym_triangleadj] = ACTIONS(2532),
    [anon_sym_lineadj] = ACTIONS(2532),
    [anon_sym_triangle] = ACTIONS(2532),
    [anon_sym_cbuffer] = ACTIONS(2532),
  },
  [724] = {
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_field_declaration_list] = STATE(724),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(724),
    [sym_type_definition] = STATE(724),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5621),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(724),
    [sym_field_declaration] = STATE(724),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(724),
    [sym_operator_cast] = STATE(6883),
    [sym_inline_method_definition] = STATE(724),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(724),
    [sym_operator_cast_declaration] = STATE(724),
    [sym_constructor_or_destructor_definition] = STATE(724),
    [sym_constructor_or_destructor_declaration] = STATE(724),
    [sym_friend_declaration] = STATE(724),
    [sym_access_specifier] = STATE(8743),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(724),
    [sym_alias_declaration] = STATE(724),
    [sym_static_assert_declaration] = STATE(724),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(2855),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [aux_sym_preproc_else_token1] = ACTIONS(2864),
    [aux_sym_preproc_elif_token1] = ACTIONS(2864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2890),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_in] = ACTIONS(2896),
    [anon_sym_out] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_virtual] = ACTIONS(2896),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2902),
    [anon_sym___attribute] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2908),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_constexpr] = ACTIONS(2926),
    [anon_sym_volatile] = ACTIONS(2923),
    [anon_sym_restrict] = ACTIONS(2923),
    [anon_sym___restrict__] = ACTIONS(2923),
    [anon_sym__Atomic] = ACTIONS(2923),
    [anon_sym__Noreturn] = ACTIONS(2923),
    [anon_sym_noreturn] = ACTIONS(2923),
    [anon_sym__Nonnull] = ACTIONS(2923),
    [anon_sym_mutable] = ACTIONS(2923),
    [anon_sym_constinit] = ACTIONS(2923),
    [anon_sym_consteval] = ACTIONS(2923),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2938),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2950),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2962),
    [anon_sym_friend] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2971),
    [anon_sym_static_assert] = ACTIONS(2974),
    [anon_sym_precise] = ACTIONS(2977),
    [anon_sym_shared] = ACTIONS(2977),
    [anon_sym_groupshared] = ACTIONS(2977),
    [anon_sym_uniform] = ACTIONS(2977),
    [anon_sym_row_major] = ACTIONS(2977),
    [anon_sym_column_major] = ACTIONS(2977),
    [anon_sym_globallycoherent] = ACTIONS(2977),
    [anon_sym_centroid] = ACTIONS(2977),
    [anon_sym_noperspective] = ACTIONS(2977),
    [anon_sym_nointerpolation] = ACTIONS(2977),
    [anon_sym_sample] = ACTIONS(2977),
    [anon_sym_linear] = ACTIONS(2977),
    [anon_sym_snorm] = ACTIONS(2977),
    [anon_sym_unorm] = ACTIONS(2977),
    [anon_sym_point] = ACTIONS(2977),
    [anon_sym_line] = ACTIONS(2977),
    [anon_sym_triangleadj] = ACTIONS(2977),
    [anon_sym_lineadj] = ACTIONS(2977),
    [anon_sym_triangle] = ACTIONS(2977),
  },
  [725] = {
    [sym_catch_clause] = STATE(313),
    [aux_sym_constructor_try_statement_repeat1] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2015),
    [sym_identifier] = ACTIONS(2013),
    [aux_sym_preproc_include_token1] = ACTIONS(2013),
    [aux_sym_preproc_def_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2013),
    [sym_preproc_directive] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(2015),
    [anon_sym_BANG] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym___extension__] = ACTIONS(2013),
    [anon_sym_typedef] = ACTIONS(2013),
    [anon_sym_in] = ACTIONS(2013),
    [anon_sym_out] = ACTIONS(2013),
    [anon_sym_inout] = ACTIONS(2013),
    [anon_sym_virtual] = ACTIONS(2013),
    [anon_sym_extern] = ACTIONS(2013),
    [anon_sym___attribute__] = ACTIONS(2013),
    [anon_sym___attribute] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2015),
    [anon_sym___declspec] = ACTIONS(2013),
    [anon_sym___based] = ACTIONS(2013),
    [anon_sym___cdecl] = ACTIONS(2013),
    [anon_sym___clrcall] = ACTIONS(2013),
    [anon_sym___stdcall] = ACTIONS(2013),
    [anon_sym___fastcall] = ACTIONS(2013),
    [anon_sym___thiscall] = ACTIONS(2013),
    [anon_sym___vectorcall] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_signed] = ACTIONS(2013),
    [anon_sym_unsigned] = ACTIONS(2013),
    [anon_sym_long] = ACTIONS(2013),
    [anon_sym_short] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_register] = ACTIONS(2013),
    [anon_sym_inline] = ACTIONS(2013),
    [anon_sym___inline] = ACTIONS(2013),
    [anon_sym___inline__] = ACTIONS(2013),
    [anon_sym___forceinline] = ACTIONS(2013),
    [anon_sym_thread_local] = ACTIONS(2013),
    [anon_sym___thread] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2013),
    [anon_sym_constexpr] = ACTIONS(2013),
    [anon_sym_volatile] = ACTIONS(2013),
    [anon_sym_restrict] = ACTIONS(2013),
    [anon_sym___restrict__] = ACTIONS(2013),
    [anon_sym__Atomic] = ACTIONS(2013),
    [anon_sym__Noreturn] = ACTIONS(2013),
    [anon_sym_noreturn] = ACTIONS(2013),
    [anon_sym__Nonnull] = ACTIONS(2013),
    [anon_sym_mutable] = ACTIONS(2013),
    [anon_sym_constinit] = ACTIONS(2013),
    [anon_sym_consteval] = ACTIONS(2013),
    [anon_sym_alignas] = ACTIONS(2013),
    [anon_sym__Alignas] = ACTIONS(2013),
    [sym_primitive_type] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_struct] = ACTIONS(2013),
    [anon_sym_union] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_switch] = ACTIONS(2013),
    [anon_sym_case] = ACTIONS(2013),
    [anon_sym_default] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_sizeof] = ACTIONS(2013),
    [anon_sym___alignof__] = ACTIONS(2013),
    [anon_sym___alignof] = ACTIONS(2013),
    [anon_sym__alignof] = ACTIONS(2013),
    [anon_sym_alignof] = ACTIONS(2013),
    [anon_sym__Alignof] = ACTIONS(2013),
    [anon_sym_offsetof] = ACTIONS(2013),
    [anon_sym__Generic] = ACTIONS(2013),
    [anon_sym_asm] = ACTIONS(2013),
    [anon_sym___asm__] = ACTIONS(2013),
    [anon_sym___asm] = ACTIONS(2013),
    [sym_number_literal] = ACTIONS(2015),
    [anon_sym_L_SQUOTE] = ACTIONS(2015),
    [anon_sym_u_SQUOTE] = ACTIONS(2015),
    [anon_sym_U_SQUOTE] = ACTIONS(2015),
    [anon_sym_u8_SQUOTE] = ACTIONS(2015),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_L_DQUOTE] = ACTIONS(2015),
    [anon_sym_u_DQUOTE] = ACTIONS(2015),
    [anon_sym_U_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [sym_true] = ACTIONS(2013),
    [sym_false] = ACTIONS(2013),
    [anon_sym_NULL] = ACTIONS(2013),
    [anon_sym_nullptr] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2013),
    [anon_sym_decltype] = ACTIONS(2013),
    [anon_sym_explicit] = ACTIONS(2013),
    [anon_sym_typename] = ACTIONS(2013),
    [anon_sym_template] = ACTIONS(2013),
    [anon_sym_operator] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_namespace] = ACTIONS(2013),
    [anon_sym_using] = ACTIONS(2013),
    [anon_sym_static_assert] = ACTIONS(2013),
    [anon_sym_concept] = ACTIONS(2013),
    [anon_sym_co_return] = ACTIONS(2013),
    [anon_sym_co_yield] = ACTIONS(2013),
    [anon_sym_catch] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2015),
    [anon_sym_LR_DQUOTE] = ACTIONS(2015),
    [anon_sym_uR_DQUOTE] = ACTIONS(2015),
    [anon_sym_UR_DQUOTE] = ACTIONS(2015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2015),
    [anon_sym_co_await] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2013),
    [anon_sym_requires] = ACTIONS(2013),
    [sym_this] = ACTIONS(2013),
    [anon_sym_precise] = ACTIONS(2013),
    [anon_sym_shared] = ACTIONS(2013),
    [anon_sym_groupshared] = ACTIONS(2013),
    [anon_sym_uniform] = ACTIONS(2013),
    [anon_sym_row_major] = ACTIONS(2013),
    [anon_sym_column_major] = ACTIONS(2013),
    [anon_sym_globallycoherent] = ACTIONS(2013),
    [anon_sym_centroid] = ACTIONS(2013),
    [anon_sym_noperspective] = ACTIONS(2013),
    [anon_sym_nointerpolation] = ACTIONS(2013),
    [anon_sym_sample] = ACTIONS(2013),
    [anon_sym_linear] = ACTIONS(2013),
    [anon_sym_snorm] = ACTIONS(2013),
    [anon_sym_unorm] = ACTIONS(2013),
    [anon_sym_point] = ACTIONS(2013),
    [anon_sym_line] = ACTIONS(2013),
    [anon_sym_triangleadj] = ACTIONS(2013),
    [anon_sym_lineadj] = ACTIONS(2013),
    [anon_sym_triangle] = ACTIONS(2013),
  },
  [726] = {
    [sym_catch_clause] = STATE(313),
    [aux_sym_constructor_try_statement_repeat1] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(2019),
    [sym_identifier] = ACTIONS(2017),
    [aux_sym_preproc_include_token1] = ACTIONS(2017),
    [aux_sym_preproc_def_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2017),
    [sym_preproc_directive] = ACTIONS(2017),
    [anon_sym_LPAREN2] = ACTIONS(2019),
    [anon_sym_BANG] = ACTIONS(2019),
    [anon_sym_TILDE] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2019),
    [anon_sym_AMP_AMP] = ACTIONS(2019),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym___extension__] = ACTIONS(2017),
    [anon_sym_typedef] = ACTIONS(2017),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_out] = ACTIONS(2017),
    [anon_sym_inout] = ACTIONS(2017),
    [anon_sym_virtual] = ACTIONS(2017),
    [anon_sym_extern] = ACTIONS(2017),
    [anon_sym___attribute__] = ACTIONS(2017),
    [anon_sym___attribute] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2019),
    [anon_sym___declspec] = ACTIONS(2017),
    [anon_sym___based] = ACTIONS(2017),
    [anon_sym___cdecl] = ACTIONS(2017),
    [anon_sym___clrcall] = ACTIONS(2017),
    [anon_sym___stdcall] = ACTIONS(2017),
    [anon_sym___fastcall] = ACTIONS(2017),
    [anon_sym___thiscall] = ACTIONS(2017),
    [anon_sym___vectorcall] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2019),
    [anon_sym_signed] = ACTIONS(2017),
    [anon_sym_unsigned] = ACTIONS(2017),
    [anon_sym_long] = ACTIONS(2017),
    [anon_sym_short] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_register] = ACTIONS(2017),
    [anon_sym_inline] = ACTIONS(2017),
    [anon_sym___inline] = ACTIONS(2017),
    [anon_sym___inline__] = ACTIONS(2017),
    [anon_sym___forceinline] = ACTIONS(2017),
    [anon_sym_thread_local] = ACTIONS(2017),
    [anon_sym___thread] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_constexpr] = ACTIONS(2017),
    [anon_sym_volatile] = ACTIONS(2017),
    [anon_sym_restrict] = ACTIONS(2017),
    [anon_sym___restrict__] = ACTIONS(2017),
    [anon_sym__Atomic] = ACTIONS(2017),
    [anon_sym__Noreturn] = ACTIONS(2017),
    [anon_sym_noreturn] = ACTIONS(2017),
    [anon_sym__Nonnull] = ACTIONS(2017),
    [anon_sym_mutable] = ACTIONS(2017),
    [anon_sym_constinit] = ACTIONS(2017),
    [anon_sym_consteval] = ACTIONS(2017),
    [anon_sym_alignas] = ACTIONS(2017),
    [anon_sym__Alignas] = ACTIONS(2017),
    [sym_primitive_type] = ACTIONS(2017),
    [anon_sym_enum] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_struct] = ACTIONS(2017),
    [anon_sym_union] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_switch] = ACTIONS(2017),
    [anon_sym_case] = ACTIONS(2017),
    [anon_sym_default] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym_not] = ACTIONS(2017),
    [anon_sym_compl] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2019),
    [anon_sym_PLUS_PLUS] = ACTIONS(2019),
    [anon_sym_sizeof] = ACTIONS(2017),
    [anon_sym___alignof__] = ACTIONS(2017),
    [anon_sym___alignof] = ACTIONS(2017),
    [anon_sym__alignof] = ACTIONS(2017),
    [anon_sym_alignof] = ACTIONS(2017),
    [anon_sym__Alignof] = ACTIONS(2017),
    [anon_sym_offsetof] = ACTIONS(2017),
    [anon_sym__Generic] = ACTIONS(2017),
    [anon_sym_asm] = ACTIONS(2017),
    [anon_sym___asm__] = ACTIONS(2017),
    [anon_sym___asm] = ACTIONS(2017),
    [sym_number_literal] = ACTIONS(2019),
    [anon_sym_L_SQUOTE] = ACTIONS(2019),
    [anon_sym_u_SQUOTE] = ACTIONS(2019),
    [anon_sym_U_SQUOTE] = ACTIONS(2019),
    [anon_sym_u8_SQUOTE] = ACTIONS(2019),
    [anon_sym_SQUOTE] = ACTIONS(2019),
    [anon_sym_L_DQUOTE] = ACTIONS(2019),
    [anon_sym_u_DQUOTE] = ACTIONS(2019),
    [anon_sym_U_DQUOTE] = ACTIONS(2019),
    [anon_sym_u8_DQUOTE] = ACTIONS(2019),
    [anon_sym_DQUOTE] = ACTIONS(2019),
    [sym_true] = ACTIONS(2017),
    [sym_false] = ACTIONS(2017),
    [anon_sym_NULL] = ACTIONS(2017),
    [anon_sym_nullptr] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2017),
    [anon_sym_decltype] = ACTIONS(2017),
    [anon_sym_explicit] = ACTIONS(2017),
    [anon_sym_typename] = ACTIONS(2017),
    [anon_sym_template] = ACTIONS(2017),
    [anon_sym_operator] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_throw] = ACTIONS(2017),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_using] = ACTIONS(2017),
    [anon_sym_static_assert] = ACTIONS(2017),
    [anon_sym_concept] = ACTIONS(2017),
    [anon_sym_co_return] = ACTIONS(2017),
    [anon_sym_co_yield] = ACTIONS(2017),
    [anon_sym_catch] = ACTIONS(2468),
    [anon_sym_R_DQUOTE] = ACTIONS(2019),
    [anon_sym_LR_DQUOTE] = ACTIONS(2019),
    [anon_sym_uR_DQUOTE] = ACTIONS(2019),
    [anon_sym_UR_DQUOTE] = ACTIONS(2019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2019),
    [anon_sym_co_await] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(2017),
    [anon_sym_requires] = ACTIONS(2017),
    [sym_this] = ACTIONS(2017),
    [anon_sym_precise] = ACTIONS(2017),
    [anon_sym_shared] = ACTIONS(2017),
    [anon_sym_groupshared] = ACTIONS(2017),
    [anon_sym_uniform] = ACTIONS(2017),
    [anon_sym_row_major] = ACTIONS(2017),
    [anon_sym_column_major] = ACTIONS(2017),
    [anon_sym_globallycoherent] = ACTIONS(2017),
    [anon_sym_centroid] = ACTIONS(2017),
    [anon_sym_noperspective] = ACTIONS(2017),
    [anon_sym_nointerpolation] = ACTIONS(2017),
    [anon_sym_sample] = ACTIONS(2017),
    [anon_sym_linear] = ACTIONS(2017),
    [anon_sym_snorm] = ACTIONS(2017),
    [anon_sym_unorm] = ACTIONS(2017),
    [anon_sym_point] = ACTIONS(2017),
    [anon_sym_line] = ACTIONS(2017),
    [anon_sym_triangleadj] = ACTIONS(2017),
    [anon_sym_lineadj] = ACTIONS(2017),
    [anon_sym_triangle] = ACTIONS(2017),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(2570),
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_out] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_virtual] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
    [anon_sym_precise] = ACTIONS(2568),
    [anon_sym_shared] = ACTIONS(2568),
    [anon_sym_groupshared] = ACTIONS(2568),
    [anon_sym_uniform] = ACTIONS(2568),
    [anon_sym_row_major] = ACTIONS(2568),
    [anon_sym_column_major] = ACTIONS(2568),
    [anon_sym_globallycoherent] = ACTIONS(2568),
    [anon_sym_centroid] = ACTIONS(2568),
    [anon_sym_noperspective] = ACTIONS(2568),
    [anon_sym_nointerpolation] = ACTIONS(2568),
    [anon_sym_sample] = ACTIONS(2568),
    [anon_sym_linear] = ACTIONS(2568),
    [anon_sym_snorm] = ACTIONS(2568),
    [anon_sym_unorm] = ACTIONS(2568),
    [anon_sym_point] = ACTIONS(2568),
    [anon_sym_line] = ACTIONS(2568),
    [anon_sym_triangleadj] = ACTIONS(2568),
    [anon_sym_lineadj] = ACTIONS(2568),
    [anon_sym_triangle] = ACTIONS(2568),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(1976),
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_include_token1] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [anon_sym_RPAREN] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_case] = ACTIONS(1978),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_namespace] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [anon_sym_COMMA] = ACTIONS(2501),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_in] = ACTIONS(2499),
    [anon_sym_out] = ACTIONS(2499),
    [anon_sym_inout] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym___attribute] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_RBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
    [anon_sym_precise] = ACTIONS(2499),
    [anon_sym_shared] = ACTIONS(2499),
    [anon_sym_groupshared] = ACTIONS(2499),
    [anon_sym_uniform] = ACTIONS(2499),
    [anon_sym_row_major] = ACTIONS(2499),
    [anon_sym_column_major] = ACTIONS(2499),
    [anon_sym_globallycoherent] = ACTIONS(2499),
    [anon_sym_centroid] = ACTIONS(2499),
    [anon_sym_noperspective] = ACTIONS(2499),
    [anon_sym_nointerpolation] = ACTIONS(2499),
    [anon_sym_sample] = ACTIONS(2499),
    [anon_sym_linear] = ACTIONS(2499),
    [anon_sym_snorm] = ACTIONS(2499),
    [anon_sym_unorm] = ACTIONS(2499),
    [anon_sym_point] = ACTIONS(2499),
    [anon_sym_line] = ACTIONS(2499),
    [anon_sym_triangleadj] = ACTIONS(2499),
    [anon_sym_lineadj] = ACTIONS(2499),
    [anon_sym_triangle] = ACTIONS(2499),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(2444),
    [sym_identifier] = ACTIONS(2442),
    [aux_sym_preproc_include_token1] = ACTIONS(2442),
    [aux_sym_preproc_def_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2442),
    [sym_preproc_directive] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_BANG] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2444),
    [anon_sym___extension__] = ACTIONS(2442),
    [anon_sym_typedef] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_out] = ACTIONS(2442),
    [anon_sym_inout] = ACTIONS(2442),
    [anon_sym_virtual] = ACTIONS(2442),
    [anon_sym_extern] = ACTIONS(2442),
    [anon_sym___attribute__] = ACTIONS(2442),
    [anon_sym___attribute] = ACTIONS(2442),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2444),
    [anon_sym___declspec] = ACTIONS(2442),
    [anon_sym___based] = ACTIONS(2442),
    [anon_sym___cdecl] = ACTIONS(2442),
    [anon_sym___clrcall] = ACTIONS(2442),
    [anon_sym___stdcall] = ACTIONS(2442),
    [anon_sym___fastcall] = ACTIONS(2442),
    [anon_sym___thiscall] = ACTIONS(2442),
    [anon_sym___vectorcall] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2444),
    [anon_sym_signed] = ACTIONS(2442),
    [anon_sym_unsigned] = ACTIONS(2442),
    [anon_sym_long] = ACTIONS(2442),
    [anon_sym_short] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_register] = ACTIONS(2442),
    [anon_sym_inline] = ACTIONS(2442),
    [anon_sym___inline] = ACTIONS(2442),
    [anon_sym___inline__] = ACTIONS(2442),
    [anon_sym___forceinline] = ACTIONS(2442),
    [anon_sym_thread_local] = ACTIONS(2442),
    [anon_sym___thread] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_constexpr] = ACTIONS(2442),
    [anon_sym_volatile] = ACTIONS(2442),
    [anon_sym_restrict] = ACTIONS(2442),
    [anon_sym___restrict__] = ACTIONS(2442),
    [anon_sym__Atomic] = ACTIONS(2442),
    [anon_sym__Noreturn] = ACTIONS(2442),
    [anon_sym_noreturn] = ACTIONS(2442),
    [anon_sym__Nonnull] = ACTIONS(2442),
    [anon_sym_mutable] = ACTIONS(2442),
    [anon_sym_constinit] = ACTIONS(2442),
    [anon_sym_consteval] = ACTIONS(2442),
    [anon_sym_alignas] = ACTIONS(2442),
    [anon_sym__Alignas] = ACTIONS(2442),
    [sym_primitive_type] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_struct] = ACTIONS(2442),
    [anon_sym_union] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_goto] = ACTIONS(2442),
    [anon_sym_not] = ACTIONS(2442),
    [anon_sym_compl] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2444),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(2442),
    [anon_sym___alignof] = ACTIONS(2442),
    [anon_sym__alignof] = ACTIONS(2442),
    [anon_sym_alignof] = ACTIONS(2442),
    [anon_sym__Alignof] = ACTIONS(2442),
    [anon_sym_offsetof] = ACTIONS(2442),
    [anon_sym__Generic] = ACTIONS(2442),
    [anon_sym_asm] = ACTIONS(2442),
    [anon_sym___asm__] = ACTIONS(2442),
    [anon_sym___asm] = ACTIONS(2442),
    [sym_number_literal] = ACTIONS(2444),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2444),
    [anon_sym_u_DQUOTE] = ACTIONS(2444),
    [anon_sym_U_DQUOTE] = ACTIONS(2444),
    [anon_sym_u8_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2444),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2442),
    [anon_sym_nullptr] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2442),
    [anon_sym_decltype] = ACTIONS(2442),
    [anon_sym_explicit] = ACTIONS(2442),
    [anon_sym_typename] = ACTIONS(2442),
    [anon_sym_template] = ACTIONS(2442),
    [anon_sym_operator] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_static_assert] = ACTIONS(2442),
    [anon_sym_concept] = ACTIONS(2442),
    [anon_sym_co_return] = ACTIONS(2442),
    [anon_sym_co_yield] = ACTIONS(2442),
    [anon_sym_R_DQUOTE] = ACTIONS(2444),
    [anon_sym_LR_DQUOTE] = ACTIONS(2444),
    [anon_sym_uR_DQUOTE] = ACTIONS(2444),
    [anon_sym_UR_DQUOTE] = ACTIONS(2444),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2444),
    [anon_sym_co_await] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_requires] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [anon_sym_precise] = ACTIONS(2442),
    [anon_sym_shared] = ACTIONS(2442),
    [anon_sym_groupshared] = ACTIONS(2442),
    [anon_sym_uniform] = ACTIONS(2442),
    [anon_sym_row_major] = ACTIONS(2442),
    [anon_sym_column_major] = ACTIONS(2442),
    [anon_sym_globallycoherent] = ACTIONS(2442),
    [anon_sym_centroid] = ACTIONS(2442),
    [anon_sym_noperspective] = ACTIONS(2442),
    [anon_sym_nointerpolation] = ACTIONS(2442),
    [anon_sym_sample] = ACTIONS(2442),
    [anon_sym_linear] = ACTIONS(2442),
    [anon_sym_snorm] = ACTIONS(2442),
    [anon_sym_unorm] = ACTIONS(2442),
    [anon_sym_point] = ACTIONS(2442),
    [anon_sym_line] = ACTIONS(2442),
    [anon_sym_triangleadj] = ACTIONS(2442),
    [anon_sym_lineadj] = ACTIONS(2442),
    [anon_sym_triangle] = ACTIONS(2442),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2440),
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(2472),
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_out] = ACTIONS(2470),
    [anon_sym_inout] = ACTIONS(2470),
    [anon_sym_virtual] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___based] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_mutable] = ACTIONS(2470),
    [anon_sym_constinit] = ACTIONS(2470),
    [anon_sym_consteval] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_class] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_compl] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2470),
    [anon_sym_decltype] = ACTIONS(2470),
    [anon_sym_explicit] = ACTIONS(2470),
    [anon_sym_typename] = ACTIONS(2470),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_operator] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_namespace] = ACTIONS(2470),
    [anon_sym_using] = ACTIONS(2470),
    [anon_sym_static_assert] = ACTIONS(2470),
    [anon_sym_concept] = ACTIONS(2470),
    [anon_sym_co_return] = ACTIONS(2470),
    [anon_sym_co_yield] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(2472),
    [anon_sym_LR_DQUOTE] = ACTIONS(2472),
    [anon_sym_uR_DQUOTE] = ACTIONS(2472),
    [anon_sym_UR_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2472),
    [anon_sym_co_await] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2470),
    [anon_sym_requires] = ACTIONS(2470),
    [sym_this] = ACTIONS(2470),
    [anon_sym_precise] = ACTIONS(2470),
    [anon_sym_shared] = ACTIONS(2470),
    [anon_sym_groupshared] = ACTIONS(2470),
    [anon_sym_uniform] = ACTIONS(2470),
    [anon_sym_row_major] = ACTIONS(2470),
    [anon_sym_column_major] = ACTIONS(2470),
    [anon_sym_globallycoherent] = ACTIONS(2470),
    [anon_sym_centroid] = ACTIONS(2470),
    [anon_sym_noperspective] = ACTIONS(2470),
    [anon_sym_nointerpolation] = ACTIONS(2470),
    [anon_sym_sample] = ACTIONS(2470),
    [anon_sym_linear] = ACTIONS(2470),
    [anon_sym_snorm] = ACTIONS(2470),
    [anon_sym_unorm] = ACTIONS(2470),
    [anon_sym_point] = ACTIONS(2470),
    [anon_sym_line] = ACTIONS(2470),
    [anon_sym_triangleadj] = ACTIONS(2470),
    [anon_sym_lineadj] = ACTIONS(2470),
    [anon_sym_triangle] = ACTIONS(2470),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(2534),
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_groupshared] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_row_major] = ACTIONS(2532),
    [anon_sym_column_major] = ACTIONS(2532),
    [anon_sym_globallycoherent] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym_nointerpolation] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_linear] = ACTIONS(2532),
    [anon_sym_snorm] = ACTIONS(2532),
    [anon_sym_unorm] = ACTIONS(2532),
    [anon_sym_point] = ACTIONS(2532),
    [anon_sym_line] = ACTIONS(2532),
    [anon_sym_triangleadj] = ACTIONS(2532),
    [anon_sym_lineadj] = ACTIONS(2532),
    [anon_sym_triangle] = ACTIONS(2532),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_groupshared] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_row_major] = ACTIONS(2548),
    [anon_sym_column_major] = ACTIONS(2548),
    [anon_sym_globallycoherent] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym_nointerpolation] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_linear] = ACTIONS(2548),
    [anon_sym_snorm] = ACTIONS(2548),
    [anon_sym_unorm] = ACTIONS(2548),
    [anon_sym_point] = ACTIONS(2548),
    [anon_sym_line] = ACTIONS(2548),
    [anon_sym_triangleadj] = ACTIONS(2548),
    [anon_sym_lineadj] = ACTIONS(2548),
    [anon_sym_triangle] = ACTIONS(2548),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(2456),
    [sym_identifier] = ACTIONS(2454),
    [aux_sym_preproc_include_token1] = ACTIONS(2454),
    [aux_sym_preproc_def_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2454),
    [sym_preproc_directive] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_typedef] = ACTIONS(2454),
    [anon_sym_in] = ACTIONS(2454),
    [anon_sym_out] = ACTIONS(2454),
    [anon_sym_inout] = ACTIONS(2454),
    [anon_sym_virtual] = ACTIONS(2454),
    [anon_sym_extern] = ACTIONS(2454),
    [anon_sym___attribute__] = ACTIONS(2454),
    [anon_sym___attribute] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2456),
    [anon_sym___declspec] = ACTIONS(2454),
    [anon_sym___based] = ACTIONS(2454),
    [anon_sym___cdecl] = ACTIONS(2454),
    [anon_sym___clrcall] = ACTIONS(2454),
    [anon_sym___stdcall] = ACTIONS(2454),
    [anon_sym___fastcall] = ACTIONS(2454),
    [anon_sym___thiscall] = ACTIONS(2454),
    [anon_sym___vectorcall] = ACTIONS(2454),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_signed] = ACTIONS(2454),
    [anon_sym_unsigned] = ACTIONS(2454),
    [anon_sym_long] = ACTIONS(2454),
    [anon_sym_short] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_register] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(2454),
    [anon_sym___inline] = ACTIONS(2454),
    [anon_sym___inline__] = ACTIONS(2454),
    [anon_sym___forceinline] = ACTIONS(2454),
    [anon_sym_thread_local] = ACTIONS(2454),
    [anon_sym___thread] = ACTIONS(2454),
    [anon_sym_const] = ACTIONS(2454),
    [anon_sym_constexpr] = ACTIONS(2454),
    [anon_sym_volatile] = ACTIONS(2454),
    [anon_sym_restrict] = ACTIONS(2454),
    [anon_sym___restrict__] = ACTIONS(2454),
    [anon_sym__Atomic] = ACTIONS(2454),
    [anon_sym__Noreturn] = ACTIONS(2454),
    [anon_sym_noreturn] = ACTIONS(2454),
    [anon_sym__Nonnull] = ACTIONS(2454),
    [anon_sym_mutable] = ACTIONS(2454),
    [anon_sym_constinit] = ACTIONS(2454),
    [anon_sym_consteval] = ACTIONS(2454),
    [anon_sym_alignas] = ACTIONS(2454),
    [anon_sym__Alignas] = ACTIONS(2454),
    [sym_primitive_type] = ACTIONS(2454),
    [anon_sym_enum] = ACTIONS(2454),
    [anon_sym_class] = ACTIONS(2454),
    [anon_sym_struct] = ACTIONS(2454),
    [anon_sym_union] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_switch] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(2454),
    [anon_sym_default] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_break] = ACTIONS(2454),
    [anon_sym_continue] = ACTIONS(2454),
    [anon_sym_goto] = ACTIONS(2454),
    [anon_sym_not] = ACTIONS(2454),
    [anon_sym_compl] = ACTIONS(2454),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_sizeof] = ACTIONS(2454),
    [anon_sym___alignof__] = ACTIONS(2454),
    [anon_sym___alignof] = ACTIONS(2454),
    [anon_sym__alignof] = ACTIONS(2454),
    [anon_sym_alignof] = ACTIONS(2454),
    [anon_sym__Alignof] = ACTIONS(2454),
    [anon_sym_offsetof] = ACTIONS(2454),
    [anon_sym__Generic] = ACTIONS(2454),
    [anon_sym_asm] = ACTIONS(2454),
    [anon_sym___asm__] = ACTIONS(2454),
    [anon_sym___asm] = ACTIONS(2454),
    [sym_number_literal] = ACTIONS(2456),
    [anon_sym_L_SQUOTE] = ACTIONS(2456),
    [anon_sym_u_SQUOTE] = ACTIONS(2456),
    [anon_sym_U_SQUOTE] = ACTIONS(2456),
    [anon_sym_u8_SQUOTE] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_L_DQUOTE] = ACTIONS(2456),
    [anon_sym_u_DQUOTE] = ACTIONS(2456),
    [anon_sym_U_DQUOTE] = ACTIONS(2456),
    [anon_sym_u8_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2456),
    [sym_true] = ACTIONS(2454),
    [sym_false] = ACTIONS(2454),
    [anon_sym_NULL] = ACTIONS(2454),
    [anon_sym_nullptr] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2454),
    [anon_sym_decltype] = ACTIONS(2454),
    [anon_sym_explicit] = ACTIONS(2454),
    [anon_sym_typename] = ACTIONS(2454),
    [anon_sym_template] = ACTIONS(2454),
    [anon_sym_operator] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_delete] = ACTIONS(2454),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_namespace] = ACTIONS(2454),
    [anon_sym_using] = ACTIONS(2454),
    [anon_sym_static_assert] = ACTIONS(2454),
    [anon_sym_concept] = ACTIONS(2454),
    [anon_sym_co_return] = ACTIONS(2454),
    [anon_sym_co_yield] = ACTIONS(2454),
    [anon_sym_R_DQUOTE] = ACTIONS(2456),
    [anon_sym_LR_DQUOTE] = ACTIONS(2456),
    [anon_sym_uR_DQUOTE] = ACTIONS(2456),
    [anon_sym_UR_DQUOTE] = ACTIONS(2456),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2456),
    [anon_sym_co_await] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2454),
    [anon_sym_precise] = ACTIONS(2454),
    [anon_sym_shared] = ACTIONS(2454),
    [anon_sym_groupshared] = ACTIONS(2454),
    [anon_sym_uniform] = ACTIONS(2454),
    [anon_sym_row_major] = ACTIONS(2454),
    [anon_sym_column_major] = ACTIONS(2454),
    [anon_sym_globallycoherent] = ACTIONS(2454),
    [anon_sym_centroid] = ACTIONS(2454),
    [anon_sym_noperspective] = ACTIONS(2454),
    [anon_sym_nointerpolation] = ACTIONS(2454),
    [anon_sym_sample] = ACTIONS(2454),
    [anon_sym_linear] = ACTIONS(2454),
    [anon_sym_snorm] = ACTIONS(2454),
    [anon_sym_unorm] = ACTIONS(2454),
    [anon_sym_point] = ACTIONS(2454),
    [anon_sym_line] = ACTIONS(2454),
    [anon_sym_triangleadj] = ACTIONS(2454),
    [anon_sym_lineadj] = ACTIONS(2454),
    [anon_sym_triangle] = ACTIONS(2454),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(2661),
    [sym_identifier] = ACTIONS(2659),
    [aux_sym_preproc_include_token1] = ACTIONS(2659),
    [aux_sym_preproc_def_token1] = ACTIONS(2659),
    [aux_sym_preproc_if_token1] = ACTIONS(2659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2659),
    [anon_sym_LPAREN2] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2659),
    [anon_sym_PLUS] = ACTIONS(2659),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym___extension__] = ACTIONS(2659),
    [anon_sym_typedef] = ACTIONS(2659),
    [anon_sym_in] = ACTIONS(2659),
    [anon_sym_out] = ACTIONS(2659),
    [anon_sym_inout] = ACTIONS(2659),
    [anon_sym_virtual] = ACTIONS(2659),
    [anon_sym_extern] = ACTIONS(2659),
    [anon_sym___attribute__] = ACTIONS(2659),
    [anon_sym___attribute] = ACTIONS(2659),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2661),
    [anon_sym___declspec] = ACTIONS(2659),
    [anon_sym___based] = ACTIONS(2659),
    [anon_sym___cdecl] = ACTIONS(2659),
    [anon_sym___clrcall] = ACTIONS(2659),
    [anon_sym___stdcall] = ACTIONS(2659),
    [anon_sym___fastcall] = ACTIONS(2659),
    [anon_sym___thiscall] = ACTIONS(2659),
    [anon_sym___vectorcall] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_signed] = ACTIONS(2659),
    [anon_sym_unsigned] = ACTIONS(2659),
    [anon_sym_long] = ACTIONS(2659),
    [anon_sym_short] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_static] = ACTIONS(2659),
    [anon_sym_register] = ACTIONS(2659),
    [anon_sym_inline] = ACTIONS(2659),
    [anon_sym___inline] = ACTIONS(2659),
    [anon_sym___inline__] = ACTIONS(2659),
    [anon_sym___forceinline] = ACTIONS(2659),
    [anon_sym_thread_local] = ACTIONS(2659),
    [anon_sym___thread] = ACTIONS(2659),
    [anon_sym_const] = ACTIONS(2659),
    [anon_sym_constexpr] = ACTIONS(2659),
    [anon_sym_volatile] = ACTIONS(2659),
    [anon_sym_restrict] = ACTIONS(2659),
    [anon_sym___restrict__] = ACTIONS(2659),
    [anon_sym__Atomic] = ACTIONS(2659),
    [anon_sym__Noreturn] = ACTIONS(2659),
    [anon_sym_noreturn] = ACTIONS(2659),
    [anon_sym__Nonnull] = ACTIONS(2659),
    [anon_sym_mutable] = ACTIONS(2659),
    [anon_sym_constinit] = ACTIONS(2659),
    [anon_sym_consteval] = ACTIONS(2659),
    [anon_sym_alignas] = ACTIONS(2659),
    [anon_sym__Alignas] = ACTIONS(2659),
    [sym_primitive_type] = ACTIONS(2659),
    [anon_sym_enum] = ACTIONS(2659),
    [anon_sym_class] = ACTIONS(2659),
    [anon_sym_struct] = ACTIONS(2659),
    [anon_sym_union] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_switch] = ACTIONS(2659),
    [anon_sym_case] = ACTIONS(2659),
    [anon_sym_default] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_do] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_return] = ACTIONS(2659),
    [anon_sym_break] = ACTIONS(2659),
    [anon_sym_continue] = ACTIONS(2659),
    [anon_sym_goto] = ACTIONS(2659),
    [anon_sym_not] = ACTIONS(2659),
    [anon_sym_compl] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_sizeof] = ACTIONS(2659),
    [anon_sym___alignof__] = ACTIONS(2659),
    [anon_sym___alignof] = ACTIONS(2659),
    [anon_sym__alignof] = ACTIONS(2659),
    [anon_sym_alignof] = ACTIONS(2659),
    [anon_sym__Alignof] = ACTIONS(2659),
    [anon_sym_offsetof] = ACTIONS(2659),
    [anon_sym__Generic] = ACTIONS(2659),
    [anon_sym_asm] = ACTIONS(2659),
    [anon_sym___asm__] = ACTIONS(2659),
    [anon_sym___asm] = ACTIONS(2659),
    [sym_number_literal] = ACTIONS(2661),
    [anon_sym_L_SQUOTE] = ACTIONS(2661),
    [anon_sym_u_SQUOTE] = ACTIONS(2661),
    [anon_sym_U_SQUOTE] = ACTIONS(2661),
    [anon_sym_u8_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_L_DQUOTE] = ACTIONS(2661),
    [anon_sym_u_DQUOTE] = ACTIONS(2661),
    [anon_sym_U_DQUOTE] = ACTIONS(2661),
    [anon_sym_u8_DQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [sym_true] = ACTIONS(2659),
    [sym_false] = ACTIONS(2659),
    [anon_sym_NULL] = ACTIONS(2659),
    [anon_sym_nullptr] = ACTIONS(2659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2659),
    [anon_sym_decltype] = ACTIONS(2659),
    [anon_sym_explicit] = ACTIONS(2659),
    [anon_sym_typename] = ACTIONS(2659),
    [anon_sym_template] = ACTIONS(2659),
    [anon_sym_operator] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2659),
    [anon_sym_delete] = ACTIONS(2659),
    [anon_sym_throw] = ACTIONS(2659),
    [anon_sym_namespace] = ACTIONS(2659),
    [anon_sym_using] = ACTIONS(2659),
    [anon_sym_static_assert] = ACTIONS(2659),
    [anon_sym_concept] = ACTIONS(2659),
    [anon_sym_co_return] = ACTIONS(2659),
    [anon_sym_co_yield] = ACTIONS(2659),
    [anon_sym_R_DQUOTE] = ACTIONS(2661),
    [anon_sym_LR_DQUOTE] = ACTIONS(2661),
    [anon_sym_uR_DQUOTE] = ACTIONS(2661),
    [anon_sym_UR_DQUOTE] = ACTIONS(2661),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2661),
    [anon_sym_co_await] = ACTIONS(2659),
    [anon_sym_new] = ACTIONS(2659),
    [anon_sym_requires] = ACTIONS(2659),
    [sym_this] = ACTIONS(2659),
    [anon_sym_precise] = ACTIONS(2659),
    [anon_sym_shared] = ACTIONS(2659),
    [anon_sym_groupshared] = ACTIONS(2659),
    [anon_sym_uniform] = ACTIONS(2659),
    [anon_sym_row_major] = ACTIONS(2659),
    [anon_sym_column_major] = ACTIONS(2659),
    [anon_sym_globallycoherent] = ACTIONS(2659),
    [anon_sym_centroid] = ACTIONS(2659),
    [anon_sym_noperspective] = ACTIONS(2659),
    [anon_sym_nointerpolation] = ACTIONS(2659),
    [anon_sym_sample] = ACTIONS(2659),
    [anon_sym_linear] = ACTIONS(2659),
    [anon_sym_snorm] = ACTIONS(2659),
    [anon_sym_unorm] = ACTIONS(2659),
    [anon_sym_point] = ACTIONS(2659),
    [anon_sym_line] = ACTIONS(2659),
    [anon_sym_triangleadj] = ACTIONS(2659),
    [anon_sym_lineadj] = ACTIONS(2659),
    [anon_sym_triangle] = ACTIONS(2659),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(2597),
    [sym_identifier] = ACTIONS(2595),
    [aux_sym_preproc_include_token1] = ACTIONS(2595),
    [aux_sym_preproc_def_token1] = ACTIONS(2595),
    [aux_sym_preproc_if_token1] = ACTIONS(2595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2595),
    [sym_preproc_directive] = ACTIONS(2595),
    [anon_sym_LPAREN2] = ACTIONS(2597),
    [anon_sym_BANG] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2595),
    [anon_sym_SEMI] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2595),
    [anon_sym_typedef] = ACTIONS(2595),
    [anon_sym_in] = ACTIONS(2595),
    [anon_sym_out] = ACTIONS(2595),
    [anon_sym_inout] = ACTIONS(2595),
    [anon_sym_virtual] = ACTIONS(2595),
    [anon_sym_extern] = ACTIONS(2595),
    [anon_sym___attribute__] = ACTIONS(2595),
    [anon_sym___attribute] = ACTIONS(2595),
    [anon_sym_COLON_COLON] = ACTIONS(2597),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2597),
    [anon_sym___declspec] = ACTIONS(2595),
    [anon_sym___based] = ACTIONS(2595),
    [anon_sym___cdecl] = ACTIONS(2595),
    [anon_sym___clrcall] = ACTIONS(2595),
    [anon_sym___stdcall] = ACTIONS(2595),
    [anon_sym___fastcall] = ACTIONS(2595),
    [anon_sym___thiscall] = ACTIONS(2595),
    [anon_sym___vectorcall] = ACTIONS(2595),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_signed] = ACTIONS(2595),
    [anon_sym_unsigned] = ACTIONS(2595),
    [anon_sym_long] = ACTIONS(2595),
    [anon_sym_short] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_static] = ACTIONS(2595),
    [anon_sym_register] = ACTIONS(2595),
    [anon_sym_inline] = ACTIONS(2595),
    [anon_sym___inline] = ACTIONS(2595),
    [anon_sym___inline__] = ACTIONS(2595),
    [anon_sym___forceinline] = ACTIONS(2595),
    [anon_sym_thread_local] = ACTIONS(2595),
    [anon_sym___thread] = ACTIONS(2595),
    [anon_sym_const] = ACTIONS(2595),
    [anon_sym_constexpr] = ACTIONS(2595),
    [anon_sym_volatile] = ACTIONS(2595),
    [anon_sym_restrict] = ACTIONS(2595),
    [anon_sym___restrict__] = ACTIONS(2595),
    [anon_sym__Atomic] = ACTIONS(2595),
    [anon_sym__Noreturn] = ACTIONS(2595),
    [anon_sym_noreturn] = ACTIONS(2595),
    [anon_sym__Nonnull] = ACTIONS(2595),
    [anon_sym_mutable] = ACTIONS(2595),
    [anon_sym_constinit] = ACTIONS(2595),
    [anon_sym_consteval] = ACTIONS(2595),
    [anon_sym_alignas] = ACTIONS(2595),
    [anon_sym__Alignas] = ACTIONS(2595),
    [sym_primitive_type] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2595),
    [anon_sym_class] = ACTIONS(2595),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_union] = ACTIONS(2595),
    [anon_sym_if] = ACTIONS(2595),
    [anon_sym_switch] = ACTIONS(2595),
    [anon_sym_case] = ACTIONS(2595),
    [anon_sym_default] = ACTIONS(2595),
    [anon_sym_while] = ACTIONS(2595),
    [anon_sym_do] = ACTIONS(2595),
    [anon_sym_for] = ACTIONS(2595),
    [anon_sym_return] = ACTIONS(2595),
    [anon_sym_break] = ACTIONS(2595),
    [anon_sym_continue] = ACTIONS(2595),
    [anon_sym_goto] = ACTIONS(2595),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_PLUS] = ACTIONS(2597),
    [anon_sym_sizeof] = ACTIONS(2595),
    [anon_sym___alignof__] = ACTIONS(2595),
    [anon_sym___alignof] = ACTIONS(2595),
    [anon_sym__alignof] = ACTIONS(2595),
    [anon_sym_alignof] = ACTIONS(2595),
    [anon_sym__Alignof] = ACTIONS(2595),
    [anon_sym_offsetof] = ACTIONS(2595),
    [anon_sym__Generic] = ACTIONS(2595),
    [anon_sym_asm] = ACTIONS(2595),
    [anon_sym___asm__] = ACTIONS(2595),
    [anon_sym___asm] = ACTIONS(2595),
    [sym_number_literal] = ACTIONS(2597),
    [anon_sym_L_SQUOTE] = ACTIONS(2597),
    [anon_sym_u_SQUOTE] = ACTIONS(2597),
    [anon_sym_U_SQUOTE] = ACTIONS(2597),
    [anon_sym_u8_SQUOTE] = ACTIONS(2597),
    [anon_sym_SQUOTE] = ACTIONS(2597),
    [anon_sym_L_DQUOTE] = ACTIONS(2597),
    [anon_sym_u_DQUOTE] = ACTIONS(2597),
    [anon_sym_U_DQUOTE] = ACTIONS(2597),
    [anon_sym_u8_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_true] = ACTIONS(2595),
    [sym_false] = ACTIONS(2595),
    [anon_sym_NULL] = ACTIONS(2595),
    [anon_sym_nullptr] = ACTIONS(2595),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2595),
    [anon_sym_decltype] = ACTIONS(2595),
    [anon_sym_explicit] = ACTIONS(2595),
    [anon_sym_typename] = ACTIONS(2595),
    [anon_sym_template] = ACTIONS(2595),
    [anon_sym_operator] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_delete] = ACTIONS(2595),
    [anon_sym_throw] = ACTIONS(2595),
    [anon_sym_namespace] = ACTIONS(2595),
    [anon_sym_using] = ACTIONS(2595),
    [anon_sym_static_assert] = ACTIONS(2595),
    [anon_sym_concept] = ACTIONS(2595),
    [anon_sym_co_return] = ACTIONS(2595),
    [anon_sym_co_yield] = ACTIONS(2595),
    [anon_sym_R_DQUOTE] = ACTIONS(2597),
    [anon_sym_LR_DQUOTE] = ACTIONS(2597),
    [anon_sym_uR_DQUOTE] = ACTIONS(2597),
    [anon_sym_UR_DQUOTE] = ACTIONS(2597),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2597),
    [anon_sym_co_await] = ACTIONS(2595),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_requires] = ACTIONS(2595),
    [sym_this] = ACTIONS(2595),
    [anon_sym_precise] = ACTIONS(2595),
    [anon_sym_shared] = ACTIONS(2595),
    [anon_sym_groupshared] = ACTIONS(2595),
    [anon_sym_uniform] = ACTIONS(2595),
    [anon_sym_row_major] = ACTIONS(2595),
    [anon_sym_column_major] = ACTIONS(2595),
    [anon_sym_globallycoherent] = ACTIONS(2595),
    [anon_sym_centroid] = ACTIONS(2595),
    [anon_sym_noperspective] = ACTIONS(2595),
    [anon_sym_nointerpolation] = ACTIONS(2595),
    [anon_sym_sample] = ACTIONS(2595),
    [anon_sym_linear] = ACTIONS(2595),
    [anon_sym_snorm] = ACTIONS(2595),
    [anon_sym_unorm] = ACTIONS(2595),
    [anon_sym_point] = ACTIONS(2595),
    [anon_sym_line] = ACTIONS(2595),
    [anon_sym_triangleadj] = ACTIONS(2595),
    [anon_sym_lineadj] = ACTIONS(2595),
    [anon_sym_triangle] = ACTIONS(2595),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2505),
    [sym_identifier] = ACTIONS(2503),
    [aux_sym_preproc_include_token1] = ACTIONS(2503),
    [aux_sym_preproc_def_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2503),
    [sym_preproc_directive] = ACTIONS(2503),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_BANG] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_STAR] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_SEMI] = ACTIONS(2505),
    [anon_sym___extension__] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2503),
    [anon_sym_in] = ACTIONS(2503),
    [anon_sym_out] = ACTIONS(2503),
    [anon_sym_inout] = ACTIONS(2503),
    [anon_sym_virtual] = ACTIONS(2503),
    [anon_sym_extern] = ACTIONS(2503),
    [anon_sym___attribute__] = ACTIONS(2503),
    [anon_sym___attribute] = ACTIONS(2503),
    [anon_sym_COLON_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2505),
    [anon_sym___declspec] = ACTIONS(2503),
    [anon_sym___based] = ACTIONS(2503),
    [anon_sym___cdecl] = ACTIONS(2503),
    [anon_sym___clrcall] = ACTIONS(2503),
    [anon_sym___stdcall] = ACTIONS(2503),
    [anon_sym___fastcall] = ACTIONS(2503),
    [anon_sym___thiscall] = ACTIONS(2503),
    [anon_sym___vectorcall] = ACTIONS(2503),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_signed] = ACTIONS(2503),
    [anon_sym_unsigned] = ACTIONS(2503),
    [anon_sym_long] = ACTIONS(2503),
    [anon_sym_short] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2503),
    [anon_sym_register] = ACTIONS(2503),
    [anon_sym_inline] = ACTIONS(2503),
    [anon_sym___inline] = ACTIONS(2503),
    [anon_sym___inline__] = ACTIONS(2503),
    [anon_sym___forceinline] = ACTIONS(2503),
    [anon_sym_thread_local] = ACTIONS(2503),
    [anon_sym___thread] = ACTIONS(2503),
    [anon_sym_const] = ACTIONS(2503),
    [anon_sym_constexpr] = ACTIONS(2503),
    [anon_sym_volatile] = ACTIONS(2503),
    [anon_sym_restrict] = ACTIONS(2503),
    [anon_sym___restrict__] = ACTIONS(2503),
    [anon_sym__Atomic] = ACTIONS(2503),
    [anon_sym__Noreturn] = ACTIONS(2503),
    [anon_sym_noreturn] = ACTIONS(2503),
    [anon_sym__Nonnull] = ACTIONS(2503),
    [anon_sym_mutable] = ACTIONS(2503),
    [anon_sym_constinit] = ACTIONS(2503),
    [anon_sym_consteval] = ACTIONS(2503),
    [anon_sym_alignas] = ACTIONS(2503),
    [anon_sym__Alignas] = ACTIONS(2503),
    [sym_primitive_type] = ACTIONS(2503),
    [anon_sym_enum] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2503),
    [anon_sym_struct] = ACTIONS(2503),
    [anon_sym_union] = ACTIONS(2503),
    [anon_sym_if] = ACTIONS(2503),
    [anon_sym_switch] = ACTIONS(2503),
    [anon_sym_case] = ACTIONS(2503),
    [anon_sym_default] = ACTIONS(2503),
    [anon_sym_while] = ACTIONS(2503),
    [anon_sym_do] = ACTIONS(2503),
    [anon_sym_for] = ACTIONS(2503),
    [anon_sym_return] = ACTIONS(2503),
    [anon_sym_break] = ACTIONS(2503),
    [anon_sym_continue] = ACTIONS(2503),
    [anon_sym_goto] = ACTIONS(2503),
    [anon_sym_not] = ACTIONS(2503),
    [anon_sym_compl] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_PLUS] = ACTIONS(2505),
    [anon_sym_sizeof] = ACTIONS(2503),
    [anon_sym___alignof__] = ACTIONS(2503),
    [anon_sym___alignof] = ACTIONS(2503),
    [anon_sym__alignof] = ACTIONS(2503),
    [anon_sym_alignof] = ACTIONS(2503),
    [anon_sym__Alignof] = ACTIONS(2503),
    [anon_sym_offsetof] = ACTIONS(2503),
    [anon_sym__Generic] = ACTIONS(2503),
    [anon_sym_asm] = ACTIONS(2503),
    [anon_sym___asm__] = ACTIONS(2503),
    [anon_sym___asm] = ACTIONS(2503),
    [sym_number_literal] = ACTIONS(2505),
    [anon_sym_L_SQUOTE] = ACTIONS(2505),
    [anon_sym_u_SQUOTE] = ACTIONS(2505),
    [anon_sym_U_SQUOTE] = ACTIONS(2505),
    [anon_sym_u8_SQUOTE] = ACTIONS(2505),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [anon_sym_L_DQUOTE] = ACTIONS(2505),
    [anon_sym_u_DQUOTE] = ACTIONS(2505),
    [anon_sym_U_DQUOTE] = ACTIONS(2505),
    [anon_sym_u8_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [sym_true] = ACTIONS(2503),
    [sym_false] = ACTIONS(2503),
    [anon_sym_NULL] = ACTIONS(2503),
    [anon_sym_nullptr] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2503),
    [anon_sym_decltype] = ACTIONS(2503),
    [anon_sym_explicit] = ACTIONS(2503),
    [anon_sym_typename] = ACTIONS(2503),
    [anon_sym_template] = ACTIONS(2503),
    [anon_sym_operator] = ACTIONS(2503),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_delete] = ACTIONS(2503),
    [anon_sym_throw] = ACTIONS(2503),
    [anon_sym_namespace] = ACTIONS(2503),
    [anon_sym_using] = ACTIONS(2503),
    [anon_sym_static_assert] = ACTIONS(2503),
    [anon_sym_concept] = ACTIONS(2503),
    [anon_sym_co_return] = ACTIONS(2503),
    [anon_sym_co_yield] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2505),
    [anon_sym_LR_DQUOTE] = ACTIONS(2505),
    [anon_sym_uR_DQUOTE] = ACTIONS(2505),
    [anon_sym_UR_DQUOTE] = ACTIONS(2505),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2505),
    [anon_sym_co_await] = ACTIONS(2503),
    [anon_sym_new] = ACTIONS(2503),
    [anon_sym_requires] = ACTIONS(2503),
    [sym_this] = ACTIONS(2503),
    [anon_sym_precise] = ACTIONS(2503),
    [anon_sym_shared] = ACTIONS(2503),
    [anon_sym_groupshared] = ACTIONS(2503),
    [anon_sym_uniform] = ACTIONS(2503),
    [anon_sym_row_major] = ACTIONS(2503),
    [anon_sym_column_major] = ACTIONS(2503),
    [anon_sym_globallycoherent] = ACTIONS(2503),
    [anon_sym_centroid] = ACTIONS(2503),
    [anon_sym_noperspective] = ACTIONS(2503),
    [anon_sym_nointerpolation] = ACTIONS(2503),
    [anon_sym_sample] = ACTIONS(2503),
    [anon_sym_linear] = ACTIONS(2503),
    [anon_sym_snorm] = ACTIONS(2503),
    [anon_sym_unorm] = ACTIONS(2503),
    [anon_sym_point] = ACTIONS(2503),
    [anon_sym_line] = ACTIONS(2503),
    [anon_sym_triangleadj] = ACTIONS(2503),
    [anon_sym_lineadj] = ACTIONS(2503),
    [anon_sym_triangle] = ACTIONS(2503),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(2436),
    [sym_identifier] = ACTIONS(2434),
    [aux_sym_preproc_include_token1] = ACTIONS(2434),
    [aux_sym_preproc_def_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2434),
    [sym_preproc_directive] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2436),
    [anon_sym___extension__] = ACTIONS(2434),
    [anon_sym_typedef] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_out] = ACTIONS(2434),
    [anon_sym_inout] = ACTIONS(2434),
    [anon_sym_virtual] = ACTIONS(2434),
    [anon_sym_extern] = ACTIONS(2434),
    [anon_sym___attribute__] = ACTIONS(2434),
    [anon_sym___attribute] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2436),
    [anon_sym___declspec] = ACTIONS(2434),
    [anon_sym___based] = ACTIONS(2434),
    [anon_sym___cdecl] = ACTIONS(2434),
    [anon_sym___clrcall] = ACTIONS(2434),
    [anon_sym___stdcall] = ACTIONS(2434),
    [anon_sym___fastcall] = ACTIONS(2434),
    [anon_sym___thiscall] = ACTIONS(2434),
    [anon_sym___vectorcall] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2434),
    [anon_sym_unsigned] = ACTIONS(2434),
    [anon_sym_long] = ACTIONS(2434),
    [anon_sym_short] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_register] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym___inline] = ACTIONS(2434),
    [anon_sym___inline__] = ACTIONS(2434),
    [anon_sym___forceinline] = ACTIONS(2434),
    [anon_sym_thread_local] = ACTIONS(2434),
    [anon_sym___thread] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_constexpr] = ACTIONS(2434),
    [anon_sym_volatile] = ACTIONS(2434),
    [anon_sym_restrict] = ACTIONS(2434),
    [anon_sym___restrict__] = ACTIONS(2434),
    [anon_sym__Atomic] = ACTIONS(2434),
    [anon_sym__Noreturn] = ACTIONS(2434),
    [anon_sym_noreturn] = ACTIONS(2434),
    [anon_sym__Nonnull] = ACTIONS(2434),
    [anon_sym_mutable] = ACTIONS(2434),
    [anon_sym_constinit] = ACTIONS(2434),
    [anon_sym_consteval] = ACTIONS(2434),
    [anon_sym_alignas] = ACTIONS(2434),
    [anon_sym__Alignas] = ACTIONS(2434),
    [sym_primitive_type] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_struct] = ACTIONS(2434),
    [anon_sym_union] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_goto] = ACTIONS(2434),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2436),
    [anon_sym_sizeof] = ACTIONS(2434),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2434),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [anon_sym___asm] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2436),
    [anon_sym_u_SQUOTE] = ACTIONS(2436),
    [anon_sym_U_SQUOTE] = ACTIONS(2436),
    [anon_sym_u8_SQUOTE] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_L_DQUOTE] = ACTIONS(2436),
    [anon_sym_u_DQUOTE] = ACTIONS(2436),
    [anon_sym_U_DQUOTE] = ACTIONS(2436),
    [anon_sym_u8_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2436),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [anon_sym_NULL] = ACTIONS(2434),
    [anon_sym_nullptr] = ACTIONS(2434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2434),
    [anon_sym_decltype] = ACTIONS(2434),
    [anon_sym_explicit] = ACTIONS(2434),
    [anon_sym_typename] = ACTIONS(2434),
    [anon_sym_template] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_static_assert] = ACTIONS(2434),
    [anon_sym_concept] = ACTIONS(2434),
    [anon_sym_co_return] = ACTIONS(2434),
    [anon_sym_co_yield] = ACTIONS(2434),
    [anon_sym_R_DQUOTE] = ACTIONS(2436),
    [anon_sym_LR_DQUOTE] = ACTIONS(2436),
    [anon_sym_uR_DQUOTE] = ACTIONS(2436),
    [anon_sym_UR_DQUOTE] = ACTIONS(2436),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2436),
    [anon_sym_co_await] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [anon_sym_precise] = ACTIONS(2434),
    [anon_sym_shared] = ACTIONS(2434),
    [anon_sym_groupshared] = ACTIONS(2434),
    [anon_sym_uniform] = ACTIONS(2434),
    [anon_sym_row_major] = ACTIONS(2434),
    [anon_sym_column_major] = ACTIONS(2434),
    [anon_sym_globallycoherent] = ACTIONS(2434),
    [anon_sym_centroid] = ACTIONS(2434),
    [anon_sym_noperspective] = ACTIONS(2434),
    [anon_sym_nointerpolation] = ACTIONS(2434),
    [anon_sym_sample] = ACTIONS(2434),
    [anon_sym_linear] = ACTIONS(2434),
    [anon_sym_snorm] = ACTIONS(2434),
    [anon_sym_unorm] = ACTIONS(2434),
    [anon_sym_point] = ACTIONS(2434),
    [anon_sym_line] = ACTIONS(2434),
    [anon_sym_triangleadj] = ACTIONS(2434),
    [anon_sym_lineadj] = ACTIONS(2434),
    [anon_sym_triangle] = ACTIONS(2434),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2416),
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_include_token1] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym___cdecl] = ACTIONS(2414),
    [anon_sym___clrcall] = ACTIONS(2414),
    [anon_sym___stdcall] = ACTIONS(2414),
    [anon_sym___fastcall] = ACTIONS(2414),
    [anon_sym___thiscall] = ACTIONS(2414),
    [anon_sym___vectorcall] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_switch] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(2414),
    [anon_sym_default] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_break] = ACTIONS(2414),
    [anon_sym_continue] = ACTIONS(2414),
    [anon_sym_goto] = ACTIONS(2414),
    [anon_sym_not] = ACTIONS(2414),
    [anon_sym_compl] = ACTIONS(2414),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_sizeof] = ACTIONS(2414),
    [anon_sym___alignof__] = ACTIONS(2414),
    [anon_sym___alignof] = ACTIONS(2414),
    [anon_sym__alignof] = ACTIONS(2414),
    [anon_sym_alignof] = ACTIONS(2414),
    [anon_sym__Alignof] = ACTIONS(2414),
    [anon_sym_offsetof] = ACTIONS(2414),
    [anon_sym__Generic] = ACTIONS(2414),
    [anon_sym_asm] = ACTIONS(2414),
    [anon_sym___asm__] = ACTIONS(2414),
    [anon_sym___asm] = ACTIONS(2414),
    [sym_number_literal] = ACTIONS(2416),
    [anon_sym_L_SQUOTE] = ACTIONS(2416),
    [anon_sym_u_SQUOTE] = ACTIONS(2416),
    [anon_sym_U_SQUOTE] = ACTIONS(2416),
    [anon_sym_u8_SQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_L_DQUOTE] = ACTIONS(2416),
    [anon_sym_u_DQUOTE] = ACTIONS(2416),
    [anon_sym_U_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8_DQUOTE] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [sym_true] = ACTIONS(2414),
    [sym_false] = ACTIONS(2414),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2414),
    [anon_sym_delete] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2414),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_concept] = ACTIONS(2414),
    [anon_sym_co_return] = ACTIONS(2414),
    [anon_sym_co_yield] = ACTIONS(2414),
    [anon_sym_R_DQUOTE] = ACTIONS(2416),
    [anon_sym_LR_DQUOTE] = ACTIONS(2416),
    [anon_sym_uR_DQUOTE] = ACTIONS(2416),
    [anon_sym_UR_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2416),
    [anon_sym_co_await] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_requires] = ACTIONS(2414),
    [sym_this] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(2420),
    [sym_identifier] = ACTIONS(2418),
    [aux_sym_preproc_include_token1] = ACTIONS(2418),
    [aux_sym_preproc_def_token1] = ACTIONS(2418),
    [aux_sym_preproc_if_token1] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2418),
    [sym_preproc_directive] = ACTIONS(2418),
    [anon_sym_LPAREN2] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(2420),
    [anon_sym_TILDE] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_AMP_AMP] = ACTIONS(2420),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2420),
    [anon_sym___extension__] = ACTIONS(2418),
    [anon_sym_typedef] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_out] = ACTIONS(2418),
    [anon_sym_inout] = ACTIONS(2418),
    [anon_sym_virtual] = ACTIONS(2418),
    [anon_sym_extern] = ACTIONS(2418),
    [anon_sym___attribute__] = ACTIONS(2418),
    [anon_sym___attribute] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2420),
    [anon_sym___declspec] = ACTIONS(2418),
    [anon_sym___based] = ACTIONS(2418),
    [anon_sym___cdecl] = ACTIONS(2418),
    [anon_sym___clrcall] = ACTIONS(2418),
    [anon_sym___stdcall] = ACTIONS(2418),
    [anon_sym___fastcall] = ACTIONS(2418),
    [anon_sym___thiscall] = ACTIONS(2418),
    [anon_sym___vectorcall] = ACTIONS(2418),
    [anon_sym_LBRACE] = ACTIONS(2420),
    [anon_sym_signed] = ACTIONS(2418),
    [anon_sym_unsigned] = ACTIONS(2418),
    [anon_sym_long] = ACTIONS(2418),
    [anon_sym_short] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_static] = ACTIONS(2418),
    [anon_sym_register] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(2418),
    [anon_sym___inline] = ACTIONS(2418),
    [anon_sym___inline__] = ACTIONS(2418),
    [anon_sym___forceinline] = ACTIONS(2418),
    [anon_sym_thread_local] = ACTIONS(2418),
    [anon_sym___thread] = ACTIONS(2418),
    [anon_sym_const] = ACTIONS(2418),
    [anon_sym_constexpr] = ACTIONS(2418),
    [anon_sym_volatile] = ACTIONS(2418),
    [anon_sym_restrict] = ACTIONS(2418),
    [anon_sym___restrict__] = ACTIONS(2418),
    [anon_sym__Atomic] = ACTIONS(2418),
    [anon_sym__Noreturn] = ACTIONS(2418),
    [anon_sym_noreturn] = ACTIONS(2418),
    [anon_sym__Nonnull] = ACTIONS(2418),
    [anon_sym_mutable] = ACTIONS(2418),
    [anon_sym_constinit] = ACTIONS(2418),
    [anon_sym_consteval] = ACTIONS(2418),
    [anon_sym_alignas] = ACTIONS(2418),
    [anon_sym__Alignas] = ACTIONS(2418),
    [sym_primitive_type] = ACTIONS(2418),
    [anon_sym_enum] = ACTIONS(2418),
    [anon_sym_class] = ACTIONS(2418),
    [anon_sym_struct] = ACTIONS(2418),
    [anon_sym_union] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2418),
    [anon_sym_switch] = ACTIONS(2418),
    [anon_sym_case] = ACTIONS(2418),
    [anon_sym_default] = ACTIONS(2418),
    [anon_sym_while] = ACTIONS(2418),
    [anon_sym_do] = ACTIONS(2418),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_return] = ACTIONS(2418),
    [anon_sym_break] = ACTIONS(2418),
    [anon_sym_continue] = ACTIONS(2418),
    [anon_sym_goto] = ACTIONS(2418),
    [anon_sym_not] = ACTIONS(2418),
    [anon_sym_compl] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2420),
    [anon_sym_PLUS_PLUS] = ACTIONS(2420),
    [anon_sym_sizeof] = ACTIONS(2418),
    [anon_sym___alignof__] = ACTIONS(2418),
    [anon_sym___alignof] = ACTIONS(2418),
    [anon_sym__alignof] = ACTIONS(2418),
    [anon_sym_alignof] = ACTIONS(2418),
    [anon_sym__Alignof] = ACTIONS(2418),
    [anon_sym_offsetof] = ACTIONS(2418),
    [anon_sym__Generic] = ACTIONS(2418),
    [anon_sym_asm] = ACTIONS(2418),
    [anon_sym___asm__] = ACTIONS(2418),
    [anon_sym___asm] = ACTIONS(2418),
    [sym_number_literal] = ACTIONS(2420),
    [anon_sym_L_SQUOTE] = ACTIONS(2420),
    [anon_sym_u_SQUOTE] = ACTIONS(2420),
    [anon_sym_U_SQUOTE] = ACTIONS(2420),
    [anon_sym_u8_SQUOTE] = ACTIONS(2420),
    [anon_sym_SQUOTE] = ACTIONS(2420),
    [anon_sym_L_DQUOTE] = ACTIONS(2420),
    [anon_sym_u_DQUOTE] = ACTIONS(2420),
    [anon_sym_U_DQUOTE] = ACTIONS(2420),
    [anon_sym_u8_DQUOTE] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2420),
    [sym_true] = ACTIONS(2418),
    [sym_false] = ACTIONS(2418),
    [anon_sym_NULL] = ACTIONS(2418),
    [anon_sym_nullptr] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2418),
    [anon_sym_decltype] = ACTIONS(2418),
    [anon_sym_explicit] = ACTIONS(2418),
    [anon_sym_typename] = ACTIONS(2418),
    [anon_sym_template] = ACTIONS(2418),
    [anon_sym_operator] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2418),
    [anon_sym_delete] = ACTIONS(2418),
    [anon_sym_throw] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2418),
    [anon_sym_using] = ACTIONS(2418),
    [anon_sym_static_assert] = ACTIONS(2418),
    [anon_sym_concept] = ACTIONS(2418),
    [anon_sym_co_return] = ACTIONS(2418),
    [anon_sym_co_yield] = ACTIONS(2418),
    [anon_sym_R_DQUOTE] = ACTIONS(2420),
    [anon_sym_LR_DQUOTE] = ACTIONS(2420),
    [anon_sym_uR_DQUOTE] = ACTIONS(2420),
    [anon_sym_UR_DQUOTE] = ACTIONS(2420),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2420),
    [anon_sym_co_await] = ACTIONS(2418),
    [anon_sym_new] = ACTIONS(2418),
    [anon_sym_requires] = ACTIONS(2418),
    [sym_this] = ACTIONS(2418),
    [anon_sym_precise] = ACTIONS(2418),
    [anon_sym_shared] = ACTIONS(2418),
    [anon_sym_groupshared] = ACTIONS(2418),
    [anon_sym_uniform] = ACTIONS(2418),
    [anon_sym_row_major] = ACTIONS(2418),
    [anon_sym_column_major] = ACTIONS(2418),
    [anon_sym_globallycoherent] = ACTIONS(2418),
    [anon_sym_centroid] = ACTIONS(2418),
    [anon_sym_noperspective] = ACTIONS(2418),
    [anon_sym_nointerpolation] = ACTIONS(2418),
    [anon_sym_sample] = ACTIONS(2418),
    [anon_sym_linear] = ACTIONS(2418),
    [anon_sym_snorm] = ACTIONS(2418),
    [anon_sym_unorm] = ACTIONS(2418),
    [anon_sym_point] = ACTIONS(2418),
    [anon_sym_line] = ACTIONS(2418),
    [anon_sym_triangleadj] = ACTIONS(2418),
    [anon_sym_lineadj] = ACTIONS(2418),
    [anon_sym_triangle] = ACTIONS(2418),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2424),
    [sym_identifier] = ACTIONS(2422),
    [aux_sym_preproc_include_token1] = ACTIONS(2422),
    [aux_sym_preproc_def_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2422),
    [sym_preproc_directive] = ACTIONS(2422),
    [anon_sym_LPAREN2] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym___extension__] = ACTIONS(2422),
    [anon_sym_typedef] = ACTIONS(2422),
    [anon_sym_in] = ACTIONS(2422),
    [anon_sym_out] = ACTIONS(2422),
    [anon_sym_inout] = ACTIONS(2422),
    [anon_sym_virtual] = ACTIONS(2422),
    [anon_sym_extern] = ACTIONS(2422),
    [anon_sym___attribute__] = ACTIONS(2422),
    [anon_sym___attribute] = ACTIONS(2422),
    [anon_sym_COLON_COLON] = ACTIONS(2424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2424),
    [anon_sym___declspec] = ACTIONS(2422),
    [anon_sym___based] = ACTIONS(2422),
    [anon_sym___cdecl] = ACTIONS(2422),
    [anon_sym___clrcall] = ACTIONS(2422),
    [anon_sym___stdcall] = ACTIONS(2422),
    [anon_sym___fastcall] = ACTIONS(2422),
    [anon_sym___thiscall] = ACTIONS(2422),
    [anon_sym___vectorcall] = ACTIONS(2422),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_signed] = ACTIONS(2422),
    [anon_sym_unsigned] = ACTIONS(2422),
    [anon_sym_long] = ACTIONS(2422),
    [anon_sym_short] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_static] = ACTIONS(2422),
    [anon_sym_register] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(2422),
    [anon_sym___inline] = ACTIONS(2422),
    [anon_sym___inline__] = ACTIONS(2422),
    [anon_sym___forceinline] = ACTIONS(2422),
    [anon_sym_thread_local] = ACTIONS(2422),
    [anon_sym___thread] = ACTIONS(2422),
    [anon_sym_const] = ACTIONS(2422),
    [anon_sym_constexpr] = ACTIONS(2422),
    [anon_sym_volatile] = ACTIONS(2422),
    [anon_sym_restrict] = ACTIONS(2422),
    [anon_sym___restrict__] = ACTIONS(2422),
    [anon_sym__Atomic] = ACTIONS(2422),
    [anon_sym__Noreturn] = ACTIONS(2422),
    [anon_sym_noreturn] = ACTIONS(2422),
    [anon_sym__Nonnull] = ACTIONS(2422),
    [anon_sym_mutable] = ACTIONS(2422),
    [anon_sym_constinit] = ACTIONS(2422),
    [anon_sym_consteval] = ACTIONS(2422),
    [anon_sym_alignas] = ACTIONS(2422),
    [anon_sym__Alignas] = ACTIONS(2422),
    [sym_primitive_type] = ACTIONS(2422),
    [anon_sym_enum] = ACTIONS(2422),
    [anon_sym_class] = ACTIONS(2422),
    [anon_sym_struct] = ACTIONS(2422),
    [anon_sym_union] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(2422),
    [anon_sym_switch] = ACTIONS(2422),
    [anon_sym_case] = ACTIONS(2422),
    [anon_sym_default] = ACTIONS(2422),
    [anon_sym_while] = ACTIONS(2422),
    [anon_sym_do] = ACTIONS(2422),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_return] = ACTIONS(2422),
    [anon_sym_break] = ACTIONS(2422),
    [anon_sym_continue] = ACTIONS(2422),
    [anon_sym_goto] = ACTIONS(2422),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_sizeof] = ACTIONS(2422),
    [anon_sym___alignof__] = ACTIONS(2422),
    [anon_sym___alignof] = ACTIONS(2422),
    [anon_sym__alignof] = ACTIONS(2422),
    [anon_sym_alignof] = ACTIONS(2422),
    [anon_sym__Alignof] = ACTIONS(2422),
    [anon_sym_offsetof] = ACTIONS(2422),
    [anon_sym__Generic] = ACTIONS(2422),
    [anon_sym_asm] = ACTIONS(2422),
    [anon_sym___asm__] = ACTIONS(2422),
    [anon_sym___asm] = ACTIONS(2422),
    [sym_number_literal] = ACTIONS(2424),
    [anon_sym_L_SQUOTE] = ACTIONS(2424),
    [anon_sym_u_SQUOTE] = ACTIONS(2424),
    [anon_sym_U_SQUOTE] = ACTIONS(2424),
    [anon_sym_u8_SQUOTE] = ACTIONS(2424),
    [anon_sym_SQUOTE] = ACTIONS(2424),
    [anon_sym_L_DQUOTE] = ACTIONS(2424),
    [anon_sym_u_DQUOTE] = ACTIONS(2424),
    [anon_sym_U_DQUOTE] = ACTIONS(2424),
    [anon_sym_u8_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [sym_true] = ACTIONS(2422),
    [sym_false] = ACTIONS(2422),
    [anon_sym_NULL] = ACTIONS(2422),
    [anon_sym_nullptr] = ACTIONS(2422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2422),
    [anon_sym_decltype] = ACTIONS(2422),
    [anon_sym_explicit] = ACTIONS(2422),
    [anon_sym_typename] = ACTIONS(2422),
    [anon_sym_template] = ACTIONS(2422),
    [anon_sym_operator] = ACTIONS(2422),
    [anon_sym_try] = ACTIONS(2422),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2422),
    [anon_sym_namespace] = ACTIONS(2422),
    [anon_sym_using] = ACTIONS(2422),
    [anon_sym_static_assert] = ACTIONS(2422),
    [anon_sym_concept] = ACTIONS(2422),
    [anon_sym_co_return] = ACTIONS(2422),
    [anon_sym_co_yield] = ACTIONS(2422),
    [anon_sym_R_DQUOTE] = ACTIONS(2424),
    [anon_sym_LR_DQUOTE] = ACTIONS(2424),
    [anon_sym_uR_DQUOTE] = ACTIONS(2424),
    [anon_sym_UR_DQUOTE] = ACTIONS(2424),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2424),
    [anon_sym_co_await] = ACTIONS(2422),
    [anon_sym_new] = ACTIONS(2422),
    [anon_sym_requires] = ACTIONS(2422),
    [sym_this] = ACTIONS(2422),
    [anon_sym_precise] = ACTIONS(2422),
    [anon_sym_shared] = ACTIONS(2422),
    [anon_sym_groupshared] = ACTIONS(2422),
    [anon_sym_uniform] = ACTIONS(2422),
    [anon_sym_row_major] = ACTIONS(2422),
    [anon_sym_column_major] = ACTIONS(2422),
    [anon_sym_globallycoherent] = ACTIONS(2422),
    [anon_sym_centroid] = ACTIONS(2422),
    [anon_sym_noperspective] = ACTIONS(2422),
    [anon_sym_nointerpolation] = ACTIONS(2422),
    [anon_sym_sample] = ACTIONS(2422),
    [anon_sym_linear] = ACTIONS(2422),
    [anon_sym_snorm] = ACTIONS(2422),
    [anon_sym_unorm] = ACTIONS(2422),
    [anon_sym_point] = ACTIONS(2422),
    [anon_sym_line] = ACTIONS(2422),
    [anon_sym_triangleadj] = ACTIONS(2422),
    [anon_sym_lineadj] = ACTIONS(2422),
    [anon_sym_triangle] = ACTIONS(2422),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(2509),
    [sym_identifier] = ACTIONS(2507),
    [aux_sym_preproc_include_token1] = ACTIONS(2507),
    [aux_sym_preproc_def_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2507),
    [sym_preproc_directive] = ACTIONS(2507),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2507),
    [anon_sym_PLUS] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_AMP_AMP] = ACTIONS(2509),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_SEMI] = ACTIONS(2509),
    [anon_sym___extension__] = ACTIONS(2507),
    [anon_sym_typedef] = ACTIONS(2507),
    [anon_sym_in] = ACTIONS(2507),
    [anon_sym_out] = ACTIONS(2507),
    [anon_sym_inout] = ACTIONS(2507),
    [anon_sym_virtual] = ACTIONS(2507),
    [anon_sym_extern] = ACTIONS(2507),
    [anon_sym___attribute__] = ACTIONS(2507),
    [anon_sym___attribute] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2509),
    [anon_sym___declspec] = ACTIONS(2507),
    [anon_sym___based] = ACTIONS(2507),
    [anon_sym___cdecl] = ACTIONS(2507),
    [anon_sym___clrcall] = ACTIONS(2507),
    [anon_sym___stdcall] = ACTIONS(2507),
    [anon_sym___fastcall] = ACTIONS(2507),
    [anon_sym___thiscall] = ACTIONS(2507),
    [anon_sym___vectorcall] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_signed] = ACTIONS(2507),
    [anon_sym_unsigned] = ACTIONS(2507),
    [anon_sym_long] = ACTIONS(2507),
    [anon_sym_short] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2507),
    [anon_sym_register] = ACTIONS(2507),
    [anon_sym_inline] = ACTIONS(2507),
    [anon_sym___inline] = ACTIONS(2507),
    [anon_sym___inline__] = ACTIONS(2507),
    [anon_sym___forceinline] = ACTIONS(2507),
    [anon_sym_thread_local] = ACTIONS(2507),
    [anon_sym___thread] = ACTIONS(2507),
    [anon_sym_const] = ACTIONS(2507),
    [anon_sym_constexpr] = ACTIONS(2507),
    [anon_sym_volatile] = ACTIONS(2507),
    [anon_sym_restrict] = ACTIONS(2507),
    [anon_sym___restrict__] = ACTIONS(2507),
    [anon_sym__Atomic] = ACTIONS(2507),
    [anon_sym__Noreturn] = ACTIONS(2507),
    [anon_sym_noreturn] = ACTIONS(2507),
    [anon_sym__Nonnull] = ACTIONS(2507),
    [anon_sym_mutable] = ACTIONS(2507),
    [anon_sym_constinit] = ACTIONS(2507),
    [anon_sym_consteval] = ACTIONS(2507),
    [anon_sym_alignas] = ACTIONS(2507),
    [anon_sym__Alignas] = ACTIONS(2507),
    [sym_primitive_type] = ACTIONS(2507),
    [anon_sym_enum] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2507),
    [anon_sym_struct] = ACTIONS(2507),
    [anon_sym_union] = ACTIONS(2507),
    [anon_sym_if] = ACTIONS(2507),
    [anon_sym_switch] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2507),
    [anon_sym_default] = ACTIONS(2507),
    [anon_sym_while] = ACTIONS(2507),
    [anon_sym_do] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2507),
    [anon_sym_return] = ACTIONS(2507),
    [anon_sym_break] = ACTIONS(2507),
    [anon_sym_continue] = ACTIONS(2507),
    [anon_sym_goto] = ACTIONS(2507),
    [anon_sym_not] = ACTIONS(2507),
    [anon_sym_compl] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2509),
    [anon_sym_sizeof] = ACTIONS(2507),
    [anon_sym___alignof__] = ACTIONS(2507),
    [anon_sym___alignof] = ACTIONS(2507),
    [anon_sym__alignof] = ACTIONS(2507),
    [anon_sym_alignof] = ACTIONS(2507),
    [anon_sym__Alignof] = ACTIONS(2507),
    [anon_sym_offsetof] = ACTIONS(2507),
    [anon_sym__Generic] = ACTIONS(2507),
    [anon_sym_asm] = ACTIONS(2507),
    [anon_sym___asm__] = ACTIONS(2507),
    [anon_sym___asm] = ACTIONS(2507),
    [sym_number_literal] = ACTIONS(2509),
    [anon_sym_L_SQUOTE] = ACTIONS(2509),
    [anon_sym_u_SQUOTE] = ACTIONS(2509),
    [anon_sym_U_SQUOTE] = ACTIONS(2509),
    [anon_sym_u8_SQUOTE] = ACTIONS(2509),
    [anon_sym_SQUOTE] = ACTIONS(2509),
    [anon_sym_L_DQUOTE] = ACTIONS(2509),
    [anon_sym_u_DQUOTE] = ACTIONS(2509),
    [anon_sym_U_DQUOTE] = ACTIONS(2509),
    [anon_sym_u8_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_true] = ACTIONS(2507),
    [sym_false] = ACTIONS(2507),
    [anon_sym_NULL] = ACTIONS(2507),
    [anon_sym_nullptr] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2507),
    [anon_sym_decltype] = ACTIONS(2507),
    [anon_sym_explicit] = ACTIONS(2507),
    [anon_sym_typename] = ACTIONS(2507),
    [anon_sym_template] = ACTIONS(2507),
    [anon_sym_operator] = ACTIONS(2507),
    [anon_sym_try] = ACTIONS(2507),
    [anon_sym_delete] = ACTIONS(2507),
    [anon_sym_throw] = ACTIONS(2507),
    [anon_sym_namespace] = ACTIONS(2507),
    [anon_sym_using] = ACTIONS(2507),
    [anon_sym_static_assert] = ACTIONS(2507),
    [anon_sym_concept] = ACTIONS(2507),
    [anon_sym_co_return] = ACTIONS(2507),
    [anon_sym_co_yield] = ACTIONS(2507),
    [anon_sym_R_DQUOTE] = ACTIONS(2509),
    [anon_sym_LR_DQUOTE] = ACTIONS(2509),
    [anon_sym_uR_DQUOTE] = ACTIONS(2509),
    [anon_sym_UR_DQUOTE] = ACTIONS(2509),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2509),
    [anon_sym_co_await] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2507),
    [anon_sym_requires] = ACTIONS(2507),
    [sym_this] = ACTIONS(2507),
    [anon_sym_precise] = ACTIONS(2507),
    [anon_sym_shared] = ACTIONS(2507),
    [anon_sym_groupshared] = ACTIONS(2507),
    [anon_sym_uniform] = ACTIONS(2507),
    [anon_sym_row_major] = ACTIONS(2507),
    [anon_sym_column_major] = ACTIONS(2507),
    [anon_sym_globallycoherent] = ACTIONS(2507),
    [anon_sym_centroid] = ACTIONS(2507),
    [anon_sym_noperspective] = ACTIONS(2507),
    [anon_sym_nointerpolation] = ACTIONS(2507),
    [anon_sym_sample] = ACTIONS(2507),
    [anon_sym_linear] = ACTIONS(2507),
    [anon_sym_snorm] = ACTIONS(2507),
    [anon_sym_unorm] = ACTIONS(2507),
    [anon_sym_point] = ACTIONS(2507),
    [anon_sym_line] = ACTIONS(2507),
    [anon_sym_triangleadj] = ACTIONS(2507),
    [anon_sym_lineadj] = ACTIONS(2507),
    [anon_sym_triangle] = ACTIONS(2507),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_virtual] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_groupshared] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_row_major] = ACTIONS(2560),
    [anon_sym_column_major] = ACTIONS(2560),
    [anon_sym_globallycoherent] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym_nointerpolation] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_linear] = ACTIONS(2560),
    [anon_sym_snorm] = ACTIONS(2560),
    [anon_sym_unorm] = ACTIONS(2560),
    [anon_sym_point] = ACTIONS(2560),
    [anon_sym_line] = ACTIONS(2560),
    [anon_sym_triangleadj] = ACTIONS(2560),
    [anon_sym_lineadj] = ACTIONS(2560),
    [anon_sym_triangle] = ACTIONS(2560),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2380),
    [sym_identifier] = ACTIONS(2378),
    [aux_sym_preproc_include_token1] = ACTIONS(2378),
    [aux_sym_preproc_def_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2378),
    [sym_preproc_directive] = ACTIONS(2378),
    [anon_sym_LPAREN2] = ACTIONS(2380),
    [anon_sym_BANG] = ACTIONS(2380),
    [anon_sym_TILDE] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2380),
    [anon_sym___extension__] = ACTIONS(2378),
    [anon_sym_typedef] = ACTIONS(2378),
    [anon_sym_in] = ACTIONS(2378),
    [anon_sym_out] = ACTIONS(2378),
    [anon_sym_inout] = ACTIONS(2378),
    [anon_sym_virtual] = ACTIONS(2378),
    [anon_sym_extern] = ACTIONS(2378),
    [anon_sym___attribute__] = ACTIONS(2378),
    [anon_sym___attribute] = ACTIONS(2378),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2380),
    [anon_sym___declspec] = ACTIONS(2378),
    [anon_sym___based] = ACTIONS(2378),
    [anon_sym___cdecl] = ACTIONS(2378),
    [anon_sym___clrcall] = ACTIONS(2378),
    [anon_sym___stdcall] = ACTIONS(2378),
    [anon_sym___fastcall] = ACTIONS(2378),
    [anon_sym___thiscall] = ACTIONS(2378),
    [anon_sym___vectorcall] = ACTIONS(2378),
    [anon_sym_LBRACE] = ACTIONS(2380),
    [anon_sym_signed] = ACTIONS(2378),
    [anon_sym_unsigned] = ACTIONS(2378),
    [anon_sym_long] = ACTIONS(2378),
    [anon_sym_short] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_register] = ACTIONS(2378),
    [anon_sym_inline] = ACTIONS(2378),
    [anon_sym___inline] = ACTIONS(2378),
    [anon_sym___inline__] = ACTIONS(2378),
    [anon_sym___forceinline] = ACTIONS(2378),
    [anon_sym_thread_local] = ACTIONS(2378),
    [anon_sym___thread] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_constexpr] = ACTIONS(2378),
    [anon_sym_volatile] = ACTIONS(2378),
    [anon_sym_restrict] = ACTIONS(2378),
    [anon_sym___restrict__] = ACTIONS(2378),
    [anon_sym__Atomic] = ACTIONS(2378),
    [anon_sym__Noreturn] = ACTIONS(2378),
    [anon_sym_noreturn] = ACTIONS(2378),
    [anon_sym__Nonnull] = ACTIONS(2378),
    [anon_sym_mutable] = ACTIONS(2378),
    [anon_sym_constinit] = ACTIONS(2378),
    [anon_sym_consteval] = ACTIONS(2378),
    [anon_sym_alignas] = ACTIONS(2378),
    [anon_sym__Alignas] = ACTIONS(2378),
    [sym_primitive_type] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_struct] = ACTIONS(2378),
    [anon_sym_union] = ACTIONS(2378),
    [anon_sym_if] = ACTIONS(2378),
    [anon_sym_switch] = ACTIONS(2378),
    [anon_sym_case] = ACTIONS(2378),
    [anon_sym_default] = ACTIONS(2378),
    [anon_sym_while] = ACTIONS(2378),
    [anon_sym_do] = ACTIONS(2378),
    [anon_sym_for] = ACTIONS(2378),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_break] = ACTIONS(2378),
    [anon_sym_continue] = ACTIONS(2378),
    [anon_sym_goto] = ACTIONS(2378),
    [anon_sym_not] = ACTIONS(2378),
    [anon_sym_compl] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2378),
    [anon_sym___alignof__] = ACTIONS(2378),
    [anon_sym___alignof] = ACTIONS(2378),
    [anon_sym__alignof] = ACTIONS(2378),
    [anon_sym_alignof] = ACTIONS(2378),
    [anon_sym__Alignof] = ACTIONS(2378),
    [anon_sym_offsetof] = ACTIONS(2378),
    [anon_sym__Generic] = ACTIONS(2378),
    [anon_sym_asm] = ACTIONS(2378),
    [anon_sym___asm__] = ACTIONS(2378),
    [anon_sym___asm] = ACTIONS(2378),
    [sym_number_literal] = ACTIONS(2380),
    [anon_sym_L_SQUOTE] = ACTIONS(2380),
    [anon_sym_u_SQUOTE] = ACTIONS(2380),
    [anon_sym_U_SQUOTE] = ACTIONS(2380),
    [anon_sym_u8_SQUOTE] = ACTIONS(2380),
    [anon_sym_SQUOTE] = ACTIONS(2380),
    [anon_sym_L_DQUOTE] = ACTIONS(2380),
    [anon_sym_u_DQUOTE] = ACTIONS(2380),
    [anon_sym_U_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8_DQUOTE] = ACTIONS(2380),
    [anon_sym_DQUOTE] = ACTIONS(2380),
    [sym_true] = ACTIONS(2378),
    [sym_false] = ACTIONS(2378),
    [anon_sym_NULL] = ACTIONS(2378),
    [anon_sym_nullptr] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2378),
    [anon_sym_decltype] = ACTIONS(2378),
    [anon_sym_explicit] = ACTIONS(2378),
    [anon_sym_typename] = ACTIONS(2378),
    [anon_sym_template] = ACTIONS(2378),
    [anon_sym_operator] = ACTIONS(2378),
    [anon_sym_try] = ACTIONS(2378),
    [anon_sym_delete] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2378),
    [anon_sym_namespace] = ACTIONS(2378),
    [anon_sym_using] = ACTIONS(2378),
    [anon_sym_static_assert] = ACTIONS(2378),
    [anon_sym_concept] = ACTIONS(2378),
    [anon_sym_co_return] = ACTIONS(2378),
    [anon_sym_co_yield] = ACTIONS(2378),
    [anon_sym_R_DQUOTE] = ACTIONS(2380),
    [anon_sym_LR_DQUOTE] = ACTIONS(2380),
    [anon_sym_uR_DQUOTE] = ACTIONS(2380),
    [anon_sym_UR_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2380),
    [anon_sym_co_await] = ACTIONS(2378),
    [anon_sym_new] = ACTIONS(2378),
    [anon_sym_requires] = ACTIONS(2378),
    [sym_this] = ACTIONS(2378),
    [anon_sym_precise] = ACTIONS(2378),
    [anon_sym_shared] = ACTIONS(2378),
    [anon_sym_groupshared] = ACTIONS(2378),
    [anon_sym_uniform] = ACTIONS(2378),
    [anon_sym_row_major] = ACTIONS(2378),
    [anon_sym_column_major] = ACTIONS(2378),
    [anon_sym_globallycoherent] = ACTIONS(2378),
    [anon_sym_centroid] = ACTIONS(2378),
    [anon_sym_noperspective] = ACTIONS(2378),
    [anon_sym_nointerpolation] = ACTIONS(2378),
    [anon_sym_sample] = ACTIONS(2378),
    [anon_sym_linear] = ACTIONS(2378),
    [anon_sym_snorm] = ACTIONS(2378),
    [anon_sym_unorm] = ACTIONS(2378),
    [anon_sym_point] = ACTIONS(2378),
    [anon_sym_line] = ACTIONS(2378),
    [anon_sym_triangleadj] = ACTIONS(2378),
    [anon_sym_lineadj] = ACTIONS(2378),
    [anon_sym_triangle] = ACTIONS(2378),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(2633),
    [sym_identifier] = ACTIONS(2631),
    [aux_sym_preproc_include_token1] = ACTIONS(2631),
    [aux_sym_preproc_def_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2631),
    [sym_preproc_directive] = ACTIONS(2631),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2631),
    [anon_sym_typedef] = ACTIONS(2631),
    [anon_sym_in] = ACTIONS(2631),
    [anon_sym_out] = ACTIONS(2631),
    [anon_sym_inout] = ACTIONS(2631),
    [anon_sym_virtual] = ACTIONS(2631),
    [anon_sym_extern] = ACTIONS(2631),
    [anon_sym___attribute__] = ACTIONS(2631),
    [anon_sym___attribute] = ACTIONS(2631),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2633),
    [anon_sym___declspec] = ACTIONS(2631),
    [anon_sym___based] = ACTIONS(2631),
    [anon_sym___cdecl] = ACTIONS(2631),
    [anon_sym___clrcall] = ACTIONS(2631),
    [anon_sym___stdcall] = ACTIONS(2631),
    [anon_sym___fastcall] = ACTIONS(2631),
    [anon_sym___thiscall] = ACTIONS(2631),
    [anon_sym___vectorcall] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2631),
    [anon_sym_unsigned] = ACTIONS(2631),
    [anon_sym_long] = ACTIONS(2631),
    [anon_sym_short] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_register] = ACTIONS(2631),
    [anon_sym_inline] = ACTIONS(2631),
    [anon_sym___inline] = ACTIONS(2631),
    [anon_sym___inline__] = ACTIONS(2631),
    [anon_sym___forceinline] = ACTIONS(2631),
    [anon_sym_thread_local] = ACTIONS(2631),
    [anon_sym___thread] = ACTIONS(2631),
    [anon_sym_const] = ACTIONS(2631),
    [anon_sym_constexpr] = ACTIONS(2631),
    [anon_sym_volatile] = ACTIONS(2631),
    [anon_sym_restrict] = ACTIONS(2631),
    [anon_sym___restrict__] = ACTIONS(2631),
    [anon_sym__Atomic] = ACTIONS(2631),
    [anon_sym__Noreturn] = ACTIONS(2631),
    [anon_sym_noreturn] = ACTIONS(2631),
    [anon_sym__Nonnull] = ACTIONS(2631),
    [anon_sym_mutable] = ACTIONS(2631),
    [anon_sym_constinit] = ACTIONS(2631),
    [anon_sym_consteval] = ACTIONS(2631),
    [anon_sym_alignas] = ACTIONS(2631),
    [anon_sym__Alignas] = ACTIONS(2631),
    [sym_primitive_type] = ACTIONS(2631),
    [anon_sym_enum] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2631),
    [anon_sym_struct] = ACTIONS(2631),
    [anon_sym_union] = ACTIONS(2631),
    [anon_sym_if] = ACTIONS(2631),
    [anon_sym_switch] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2631),
    [anon_sym_default] = ACTIONS(2631),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_do] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_return] = ACTIONS(2631),
    [anon_sym_break] = ACTIONS(2631),
    [anon_sym_continue] = ACTIONS(2631),
    [anon_sym_goto] = ACTIONS(2631),
    [anon_sym_not] = ACTIONS(2631),
    [anon_sym_compl] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_sizeof] = ACTIONS(2631),
    [anon_sym___alignof__] = ACTIONS(2631),
    [anon_sym___alignof] = ACTIONS(2631),
    [anon_sym__alignof] = ACTIONS(2631),
    [anon_sym_alignof] = ACTIONS(2631),
    [anon_sym__Alignof] = ACTIONS(2631),
    [anon_sym_offsetof] = ACTIONS(2631),
    [anon_sym__Generic] = ACTIONS(2631),
    [anon_sym_asm] = ACTIONS(2631),
    [anon_sym___asm__] = ACTIONS(2631),
    [anon_sym___asm] = ACTIONS(2631),
    [sym_number_literal] = ACTIONS(2633),
    [anon_sym_L_SQUOTE] = ACTIONS(2633),
    [anon_sym_u_SQUOTE] = ACTIONS(2633),
    [anon_sym_U_SQUOTE] = ACTIONS(2633),
    [anon_sym_u8_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [anon_sym_NULL] = ACTIONS(2631),
    [anon_sym_nullptr] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2631),
    [anon_sym_decltype] = ACTIONS(2631),
    [anon_sym_explicit] = ACTIONS(2631),
    [anon_sym_typename] = ACTIONS(2631),
    [anon_sym_template] = ACTIONS(2631),
    [anon_sym_operator] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_delete] = ACTIONS(2631),
    [anon_sym_throw] = ACTIONS(2631),
    [anon_sym_namespace] = ACTIONS(2631),
    [anon_sym_using] = ACTIONS(2631),
    [anon_sym_static_assert] = ACTIONS(2631),
    [anon_sym_concept] = ACTIONS(2631),
    [anon_sym_co_return] = ACTIONS(2631),
    [anon_sym_co_yield] = ACTIONS(2631),
    [anon_sym_R_DQUOTE] = ACTIONS(2633),
    [anon_sym_LR_DQUOTE] = ACTIONS(2633),
    [anon_sym_uR_DQUOTE] = ACTIONS(2633),
    [anon_sym_UR_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2633),
    [anon_sym_co_await] = ACTIONS(2631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_requires] = ACTIONS(2631),
    [sym_this] = ACTIONS(2631),
    [anon_sym_precise] = ACTIONS(2631),
    [anon_sym_shared] = ACTIONS(2631),
    [anon_sym_groupshared] = ACTIONS(2631),
    [anon_sym_uniform] = ACTIONS(2631),
    [anon_sym_row_major] = ACTIONS(2631),
    [anon_sym_column_major] = ACTIONS(2631),
    [anon_sym_globallycoherent] = ACTIONS(2631),
    [anon_sym_centroid] = ACTIONS(2631),
    [anon_sym_noperspective] = ACTIONS(2631),
    [anon_sym_nointerpolation] = ACTIONS(2631),
    [anon_sym_sample] = ACTIONS(2631),
    [anon_sym_linear] = ACTIONS(2631),
    [anon_sym_snorm] = ACTIONS(2631),
    [anon_sym_unorm] = ACTIONS(2631),
    [anon_sym_point] = ACTIONS(2631),
    [anon_sym_line] = ACTIONS(2631),
    [anon_sym_triangleadj] = ACTIONS(2631),
    [anon_sym_lineadj] = ACTIONS(2631),
    [anon_sym_triangle] = ACTIONS(2631),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(2637),
    [sym_identifier] = ACTIONS(2635),
    [aux_sym_preproc_include_token1] = ACTIONS(2635),
    [aux_sym_preproc_def_token1] = ACTIONS(2635),
    [aux_sym_preproc_if_token1] = ACTIONS(2635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2635),
    [sym_preproc_directive] = ACTIONS(2635),
    [anon_sym_LPAREN2] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym___extension__] = ACTIONS(2635),
    [anon_sym_typedef] = ACTIONS(2635),
    [anon_sym_in] = ACTIONS(2635),
    [anon_sym_out] = ACTIONS(2635),
    [anon_sym_inout] = ACTIONS(2635),
    [anon_sym_virtual] = ACTIONS(2635),
    [anon_sym_extern] = ACTIONS(2635),
    [anon_sym___attribute__] = ACTIONS(2635),
    [anon_sym___attribute] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2637),
    [anon_sym___declspec] = ACTIONS(2635),
    [anon_sym___based] = ACTIONS(2635),
    [anon_sym___cdecl] = ACTIONS(2635),
    [anon_sym___clrcall] = ACTIONS(2635),
    [anon_sym___stdcall] = ACTIONS(2635),
    [anon_sym___fastcall] = ACTIONS(2635),
    [anon_sym___thiscall] = ACTIONS(2635),
    [anon_sym___vectorcall] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_signed] = ACTIONS(2635),
    [anon_sym_unsigned] = ACTIONS(2635),
    [anon_sym_long] = ACTIONS(2635),
    [anon_sym_short] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [anon_sym_static] = ACTIONS(2635),
    [anon_sym_register] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(2635),
    [anon_sym___inline] = ACTIONS(2635),
    [anon_sym___inline__] = ACTIONS(2635),
    [anon_sym___forceinline] = ACTIONS(2635),
    [anon_sym_thread_local] = ACTIONS(2635),
    [anon_sym___thread] = ACTIONS(2635),
    [anon_sym_const] = ACTIONS(2635),
    [anon_sym_constexpr] = ACTIONS(2635),
    [anon_sym_volatile] = ACTIONS(2635),
    [anon_sym_restrict] = ACTIONS(2635),
    [anon_sym___restrict__] = ACTIONS(2635),
    [anon_sym__Atomic] = ACTIONS(2635),
    [anon_sym__Noreturn] = ACTIONS(2635),
    [anon_sym_noreturn] = ACTIONS(2635),
    [anon_sym__Nonnull] = ACTIONS(2635),
    [anon_sym_mutable] = ACTIONS(2635),
    [anon_sym_constinit] = ACTIONS(2635),
    [anon_sym_consteval] = ACTIONS(2635),
    [anon_sym_alignas] = ACTIONS(2635),
    [anon_sym__Alignas] = ACTIONS(2635),
    [sym_primitive_type] = ACTIONS(2635),
    [anon_sym_enum] = ACTIONS(2635),
    [anon_sym_class] = ACTIONS(2635),
    [anon_sym_struct] = ACTIONS(2635),
    [anon_sym_union] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(2635),
    [anon_sym_switch] = ACTIONS(2635),
    [anon_sym_case] = ACTIONS(2635),
    [anon_sym_default] = ACTIONS(2635),
    [anon_sym_while] = ACTIONS(2635),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2635),
    [anon_sym_return] = ACTIONS(2635),
    [anon_sym_break] = ACTIONS(2635),
    [anon_sym_continue] = ACTIONS(2635),
    [anon_sym_goto] = ACTIONS(2635),
    [anon_sym_not] = ACTIONS(2635),
    [anon_sym_compl] = ACTIONS(2635),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_sizeof] = ACTIONS(2635),
    [anon_sym___alignof__] = ACTIONS(2635),
    [anon_sym___alignof] = ACTIONS(2635),
    [anon_sym__alignof] = ACTIONS(2635),
    [anon_sym_alignof] = ACTIONS(2635),
    [anon_sym__Alignof] = ACTIONS(2635),
    [anon_sym_offsetof] = ACTIONS(2635),
    [anon_sym__Generic] = ACTIONS(2635),
    [anon_sym_asm] = ACTIONS(2635),
    [anon_sym___asm__] = ACTIONS(2635),
    [anon_sym___asm] = ACTIONS(2635),
    [sym_number_literal] = ACTIONS(2637),
    [anon_sym_L_SQUOTE] = ACTIONS(2637),
    [anon_sym_u_SQUOTE] = ACTIONS(2637),
    [anon_sym_U_SQUOTE] = ACTIONS(2637),
    [anon_sym_u8_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_L_DQUOTE] = ACTIONS(2637),
    [anon_sym_u_DQUOTE] = ACTIONS(2637),
    [anon_sym_U_DQUOTE] = ACTIONS(2637),
    [anon_sym_u8_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2635),
    [anon_sym_nullptr] = ACTIONS(2635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2635),
    [anon_sym_decltype] = ACTIONS(2635),
    [anon_sym_explicit] = ACTIONS(2635),
    [anon_sym_typename] = ACTIONS(2635),
    [anon_sym_template] = ACTIONS(2635),
    [anon_sym_operator] = ACTIONS(2635),
    [anon_sym_try] = ACTIONS(2635),
    [anon_sym_delete] = ACTIONS(2635),
    [anon_sym_throw] = ACTIONS(2635),
    [anon_sym_namespace] = ACTIONS(2635),
    [anon_sym_using] = ACTIONS(2635),
    [anon_sym_static_assert] = ACTIONS(2635),
    [anon_sym_concept] = ACTIONS(2635),
    [anon_sym_co_return] = ACTIONS(2635),
    [anon_sym_co_yield] = ACTIONS(2635),
    [anon_sym_R_DQUOTE] = ACTIONS(2637),
    [anon_sym_LR_DQUOTE] = ACTIONS(2637),
    [anon_sym_uR_DQUOTE] = ACTIONS(2637),
    [anon_sym_UR_DQUOTE] = ACTIONS(2637),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2637),
    [anon_sym_co_await] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2635),
    [anon_sym_requires] = ACTIONS(2635),
    [sym_this] = ACTIONS(2635),
    [anon_sym_precise] = ACTIONS(2635),
    [anon_sym_shared] = ACTIONS(2635),
    [anon_sym_groupshared] = ACTIONS(2635),
    [anon_sym_uniform] = ACTIONS(2635),
    [anon_sym_row_major] = ACTIONS(2635),
    [anon_sym_column_major] = ACTIONS(2635),
    [anon_sym_globallycoherent] = ACTIONS(2635),
    [anon_sym_centroid] = ACTIONS(2635),
    [anon_sym_noperspective] = ACTIONS(2635),
    [anon_sym_nointerpolation] = ACTIONS(2635),
    [anon_sym_sample] = ACTIONS(2635),
    [anon_sym_linear] = ACTIONS(2635),
    [anon_sym_snorm] = ACTIONS(2635),
    [anon_sym_unorm] = ACTIONS(2635),
    [anon_sym_point] = ACTIONS(2635),
    [anon_sym_line] = ACTIONS(2635),
    [anon_sym_triangleadj] = ACTIONS(2635),
    [anon_sym_lineadj] = ACTIONS(2635),
    [anon_sym_triangle] = ACTIONS(2635),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(2641),
    [sym_identifier] = ACTIONS(2639),
    [aux_sym_preproc_include_token1] = ACTIONS(2639),
    [aux_sym_preproc_def_token1] = ACTIONS(2639),
    [aux_sym_preproc_if_token1] = ACTIONS(2639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2639),
    [sym_preproc_directive] = ACTIONS(2639),
    [anon_sym_LPAREN2] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2639),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym___extension__] = ACTIONS(2639),
    [anon_sym_typedef] = ACTIONS(2639),
    [anon_sym_in] = ACTIONS(2639),
    [anon_sym_out] = ACTIONS(2639),
    [anon_sym_inout] = ACTIONS(2639),
    [anon_sym_virtual] = ACTIONS(2639),
    [anon_sym_extern] = ACTIONS(2639),
    [anon_sym___attribute__] = ACTIONS(2639),
    [anon_sym___attribute] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2641),
    [anon_sym___declspec] = ACTIONS(2639),
    [anon_sym___based] = ACTIONS(2639),
    [anon_sym___cdecl] = ACTIONS(2639),
    [anon_sym___clrcall] = ACTIONS(2639),
    [anon_sym___stdcall] = ACTIONS(2639),
    [anon_sym___fastcall] = ACTIONS(2639),
    [anon_sym___thiscall] = ACTIONS(2639),
    [anon_sym___vectorcall] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_signed] = ACTIONS(2639),
    [anon_sym_unsigned] = ACTIONS(2639),
    [anon_sym_long] = ACTIONS(2639),
    [anon_sym_short] = ACTIONS(2639),
    [anon_sym_LBRACK] = ACTIONS(2639),
    [anon_sym_static] = ACTIONS(2639),
    [anon_sym_register] = ACTIONS(2639),
    [anon_sym_inline] = ACTIONS(2639),
    [anon_sym___inline] = ACTIONS(2639),
    [anon_sym___inline__] = ACTIONS(2639),
    [anon_sym___forceinline] = ACTIONS(2639),
    [anon_sym_thread_local] = ACTIONS(2639),
    [anon_sym___thread] = ACTIONS(2639),
    [anon_sym_const] = ACTIONS(2639),
    [anon_sym_constexpr] = ACTIONS(2639),
    [anon_sym_volatile] = ACTIONS(2639),
    [anon_sym_restrict] = ACTIONS(2639),
    [anon_sym___restrict__] = ACTIONS(2639),
    [anon_sym__Atomic] = ACTIONS(2639),
    [anon_sym__Noreturn] = ACTIONS(2639),
    [anon_sym_noreturn] = ACTIONS(2639),
    [anon_sym__Nonnull] = ACTIONS(2639),
    [anon_sym_mutable] = ACTIONS(2639),
    [anon_sym_constinit] = ACTIONS(2639),
    [anon_sym_consteval] = ACTIONS(2639),
    [anon_sym_alignas] = ACTIONS(2639),
    [anon_sym__Alignas] = ACTIONS(2639),
    [sym_primitive_type] = ACTIONS(2639),
    [anon_sym_enum] = ACTIONS(2639),
    [anon_sym_class] = ACTIONS(2639),
    [anon_sym_struct] = ACTIONS(2639),
    [anon_sym_union] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_switch] = ACTIONS(2639),
    [anon_sym_case] = ACTIONS(2639),
    [anon_sym_default] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(2639),
    [anon_sym_do] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_break] = ACTIONS(2639),
    [anon_sym_continue] = ACTIONS(2639),
    [anon_sym_goto] = ACTIONS(2639),
    [anon_sym_not] = ACTIONS(2639),
    [anon_sym_compl] = ACTIONS(2639),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_sizeof] = ACTIONS(2639),
    [anon_sym___alignof__] = ACTIONS(2639),
    [anon_sym___alignof] = ACTIONS(2639),
    [anon_sym__alignof] = ACTIONS(2639),
    [anon_sym_alignof] = ACTIONS(2639),
    [anon_sym__Alignof] = ACTIONS(2639),
    [anon_sym_offsetof] = ACTIONS(2639),
    [anon_sym__Generic] = ACTIONS(2639),
    [anon_sym_asm] = ACTIONS(2639),
    [anon_sym___asm__] = ACTIONS(2639),
    [anon_sym___asm] = ACTIONS(2639),
    [sym_number_literal] = ACTIONS(2641),
    [anon_sym_L_SQUOTE] = ACTIONS(2641),
    [anon_sym_u_SQUOTE] = ACTIONS(2641),
    [anon_sym_U_SQUOTE] = ACTIONS(2641),
    [anon_sym_u8_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_L_DQUOTE] = ACTIONS(2641),
    [anon_sym_u_DQUOTE] = ACTIONS(2641),
    [anon_sym_U_DQUOTE] = ACTIONS(2641),
    [anon_sym_u8_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_true] = ACTIONS(2639),
    [sym_false] = ACTIONS(2639),
    [anon_sym_NULL] = ACTIONS(2639),
    [anon_sym_nullptr] = ACTIONS(2639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2639),
    [anon_sym_explicit] = ACTIONS(2639),
    [anon_sym_typename] = ACTIONS(2639),
    [anon_sym_template] = ACTIONS(2639),
    [anon_sym_operator] = ACTIONS(2639),
    [anon_sym_try] = ACTIONS(2639),
    [anon_sym_delete] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2639),
    [anon_sym_namespace] = ACTIONS(2639),
    [anon_sym_using] = ACTIONS(2639),
    [anon_sym_static_assert] = ACTIONS(2639),
    [anon_sym_concept] = ACTIONS(2639),
    [anon_sym_co_return] = ACTIONS(2639),
    [anon_sym_co_yield] = ACTIONS(2639),
    [anon_sym_R_DQUOTE] = ACTIONS(2641),
    [anon_sym_LR_DQUOTE] = ACTIONS(2641),
    [anon_sym_uR_DQUOTE] = ACTIONS(2641),
    [anon_sym_UR_DQUOTE] = ACTIONS(2641),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2641),
    [anon_sym_co_await] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2639),
    [anon_sym_requires] = ACTIONS(2639),
    [sym_this] = ACTIONS(2639),
    [anon_sym_precise] = ACTIONS(2639),
    [anon_sym_shared] = ACTIONS(2639),
    [anon_sym_groupshared] = ACTIONS(2639),
    [anon_sym_uniform] = ACTIONS(2639),
    [anon_sym_row_major] = ACTIONS(2639),
    [anon_sym_column_major] = ACTIONS(2639),
    [anon_sym_globallycoherent] = ACTIONS(2639),
    [anon_sym_centroid] = ACTIONS(2639),
    [anon_sym_noperspective] = ACTIONS(2639),
    [anon_sym_nointerpolation] = ACTIONS(2639),
    [anon_sym_sample] = ACTIONS(2639),
    [anon_sym_linear] = ACTIONS(2639),
    [anon_sym_snorm] = ACTIONS(2639),
    [anon_sym_unorm] = ACTIONS(2639),
    [anon_sym_point] = ACTIONS(2639),
    [anon_sym_line] = ACTIONS(2639),
    [anon_sym_triangleadj] = ACTIONS(2639),
    [anon_sym_lineadj] = ACTIONS(2639),
    [anon_sym_triangle] = ACTIONS(2639),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(2649),
    [sym_identifier] = ACTIONS(2647),
    [aux_sym_preproc_include_token1] = ACTIONS(2647),
    [aux_sym_preproc_def_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2647),
    [sym_preproc_directive] = ACTIONS(2647),
    [anon_sym_LPAREN2] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2647),
    [anon_sym_typedef] = ACTIONS(2647),
    [anon_sym_in] = ACTIONS(2647),
    [anon_sym_out] = ACTIONS(2647),
    [anon_sym_inout] = ACTIONS(2647),
    [anon_sym_virtual] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym___attribute__] = ACTIONS(2647),
    [anon_sym___attribute] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2649),
    [anon_sym___declspec] = ACTIONS(2647),
    [anon_sym___based] = ACTIONS(2647),
    [anon_sym___cdecl] = ACTIONS(2647),
    [anon_sym___clrcall] = ACTIONS(2647),
    [anon_sym___stdcall] = ACTIONS(2647),
    [anon_sym___fastcall] = ACTIONS(2647),
    [anon_sym___thiscall] = ACTIONS(2647),
    [anon_sym___vectorcall] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_signed] = ACTIONS(2647),
    [anon_sym_unsigned] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_register] = ACTIONS(2647),
    [anon_sym_inline] = ACTIONS(2647),
    [anon_sym___inline] = ACTIONS(2647),
    [anon_sym___inline__] = ACTIONS(2647),
    [anon_sym___forceinline] = ACTIONS(2647),
    [anon_sym_thread_local] = ACTIONS(2647),
    [anon_sym___thread] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_constexpr] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_restrict] = ACTIONS(2647),
    [anon_sym___restrict__] = ACTIONS(2647),
    [anon_sym__Atomic] = ACTIONS(2647),
    [anon_sym__Noreturn] = ACTIONS(2647),
    [anon_sym_noreturn] = ACTIONS(2647),
    [anon_sym__Nonnull] = ACTIONS(2647),
    [anon_sym_mutable] = ACTIONS(2647),
    [anon_sym_constinit] = ACTIONS(2647),
    [anon_sym_consteval] = ACTIONS(2647),
    [anon_sym_alignas] = ACTIONS(2647),
    [anon_sym__Alignas] = ACTIONS(2647),
    [sym_primitive_type] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(2647),
    [anon_sym_switch] = ACTIONS(2647),
    [anon_sym_case] = ACTIONS(2647),
    [anon_sym_default] = ACTIONS(2647),
    [anon_sym_while] = ACTIONS(2647),
    [anon_sym_do] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2647),
    [anon_sym_return] = ACTIONS(2647),
    [anon_sym_break] = ACTIONS(2647),
    [anon_sym_continue] = ACTIONS(2647),
    [anon_sym_goto] = ACTIONS(2647),
    [anon_sym_not] = ACTIONS(2647),
    [anon_sym_compl] = ACTIONS(2647),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_sizeof] = ACTIONS(2647),
    [anon_sym___alignof__] = ACTIONS(2647),
    [anon_sym___alignof] = ACTIONS(2647),
    [anon_sym__alignof] = ACTIONS(2647),
    [anon_sym_alignof] = ACTIONS(2647),
    [anon_sym__Alignof] = ACTIONS(2647),
    [anon_sym_offsetof] = ACTIONS(2647),
    [anon_sym__Generic] = ACTIONS(2647),
    [anon_sym_asm] = ACTIONS(2647),
    [anon_sym___asm__] = ACTIONS(2647),
    [anon_sym___asm] = ACTIONS(2647),
    [sym_number_literal] = ACTIONS(2649),
    [anon_sym_L_SQUOTE] = ACTIONS(2649),
    [anon_sym_u_SQUOTE] = ACTIONS(2649),
    [anon_sym_U_SQUOTE] = ACTIONS(2649),
    [anon_sym_u8_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_L_DQUOTE] = ACTIONS(2649),
    [anon_sym_u_DQUOTE] = ACTIONS(2649),
    [anon_sym_U_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_true] = ACTIONS(2647),
    [sym_false] = ACTIONS(2647),
    [anon_sym_NULL] = ACTIONS(2647),
    [anon_sym_nullptr] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2647),
    [anon_sym_decltype] = ACTIONS(2647),
    [anon_sym_explicit] = ACTIONS(2647),
    [anon_sym_typename] = ACTIONS(2647),
    [anon_sym_template] = ACTIONS(2647),
    [anon_sym_operator] = ACTIONS(2647),
    [anon_sym_try] = ACTIONS(2647),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_throw] = ACTIONS(2647),
    [anon_sym_namespace] = ACTIONS(2647),
    [anon_sym_using] = ACTIONS(2647),
    [anon_sym_static_assert] = ACTIONS(2647),
    [anon_sym_concept] = ACTIONS(2647),
    [anon_sym_co_return] = ACTIONS(2647),
    [anon_sym_co_yield] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2647),
    [sym_this] = ACTIONS(2647),
    [anon_sym_precise] = ACTIONS(2647),
    [anon_sym_shared] = ACTIONS(2647),
    [anon_sym_groupshared] = ACTIONS(2647),
    [anon_sym_uniform] = ACTIONS(2647),
    [anon_sym_row_major] = ACTIONS(2647),
    [anon_sym_column_major] = ACTIONS(2647),
    [anon_sym_globallycoherent] = ACTIONS(2647),
    [anon_sym_centroid] = ACTIONS(2647),
    [anon_sym_noperspective] = ACTIONS(2647),
    [anon_sym_nointerpolation] = ACTIONS(2647),
    [anon_sym_sample] = ACTIONS(2647),
    [anon_sym_linear] = ACTIONS(2647),
    [anon_sym_snorm] = ACTIONS(2647),
    [anon_sym_unorm] = ACTIONS(2647),
    [anon_sym_point] = ACTIONS(2647),
    [anon_sym_line] = ACTIONS(2647),
    [anon_sym_triangleadj] = ACTIONS(2647),
    [anon_sym_lineadj] = ACTIONS(2647),
    [anon_sym_triangle] = ACTIONS(2647),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(2651),
    [aux_sym_preproc_include_token1] = ACTIONS(2651),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2651),
    [sym_preproc_directive] = ACTIONS(2651),
    [anon_sym_LPAREN2] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2651),
    [anon_sym_PLUS] = ACTIONS(2651),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym___extension__] = ACTIONS(2651),
    [anon_sym_typedef] = ACTIONS(2651),
    [anon_sym_in] = ACTIONS(2651),
    [anon_sym_out] = ACTIONS(2651),
    [anon_sym_inout] = ACTIONS(2651),
    [anon_sym_virtual] = ACTIONS(2651),
    [anon_sym_extern] = ACTIONS(2651),
    [anon_sym___attribute__] = ACTIONS(2651),
    [anon_sym___attribute] = ACTIONS(2651),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2653),
    [anon_sym___declspec] = ACTIONS(2651),
    [anon_sym___based] = ACTIONS(2651),
    [anon_sym___cdecl] = ACTIONS(2651),
    [anon_sym___clrcall] = ACTIONS(2651),
    [anon_sym___stdcall] = ACTIONS(2651),
    [anon_sym___fastcall] = ACTIONS(2651),
    [anon_sym___thiscall] = ACTIONS(2651),
    [anon_sym___vectorcall] = ACTIONS(2651),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_signed] = ACTIONS(2651),
    [anon_sym_unsigned] = ACTIONS(2651),
    [anon_sym_long] = ACTIONS(2651),
    [anon_sym_short] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_register] = ACTIONS(2651),
    [anon_sym_inline] = ACTIONS(2651),
    [anon_sym___inline] = ACTIONS(2651),
    [anon_sym___inline__] = ACTIONS(2651),
    [anon_sym___forceinline] = ACTIONS(2651),
    [anon_sym_thread_local] = ACTIONS(2651),
    [anon_sym___thread] = ACTIONS(2651),
    [anon_sym_const] = ACTIONS(2651),
    [anon_sym_constexpr] = ACTIONS(2651),
    [anon_sym_volatile] = ACTIONS(2651),
    [anon_sym_restrict] = ACTIONS(2651),
    [anon_sym___restrict__] = ACTIONS(2651),
    [anon_sym__Atomic] = ACTIONS(2651),
    [anon_sym__Noreturn] = ACTIONS(2651),
    [anon_sym_noreturn] = ACTIONS(2651),
    [anon_sym__Nonnull] = ACTIONS(2651),
    [anon_sym_mutable] = ACTIONS(2651),
    [anon_sym_constinit] = ACTIONS(2651),
    [anon_sym_consteval] = ACTIONS(2651),
    [anon_sym_alignas] = ACTIONS(2651),
    [anon_sym__Alignas] = ACTIONS(2651),
    [sym_primitive_type] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2651),
    [anon_sym_struct] = ACTIONS(2651),
    [anon_sym_union] = ACTIONS(2651),
    [anon_sym_if] = ACTIONS(2651),
    [anon_sym_switch] = ACTIONS(2651),
    [anon_sym_case] = ACTIONS(2651),
    [anon_sym_default] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2651),
    [anon_sym_do] = ACTIONS(2651),
    [anon_sym_for] = ACTIONS(2651),
    [anon_sym_return] = ACTIONS(2651),
    [anon_sym_break] = ACTIONS(2651),
    [anon_sym_continue] = ACTIONS(2651),
    [anon_sym_goto] = ACTIONS(2651),
    [anon_sym_not] = ACTIONS(2651),
    [anon_sym_compl] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_sizeof] = ACTIONS(2651),
    [anon_sym___alignof__] = ACTIONS(2651),
    [anon_sym___alignof] = ACTIONS(2651),
    [anon_sym__alignof] = ACTIONS(2651),
    [anon_sym_alignof] = ACTIONS(2651),
    [anon_sym__Alignof] = ACTIONS(2651),
    [anon_sym_offsetof] = ACTIONS(2651),
    [anon_sym__Generic] = ACTIONS(2651),
    [anon_sym_asm] = ACTIONS(2651),
    [anon_sym___asm__] = ACTIONS(2651),
    [anon_sym___asm] = ACTIONS(2651),
    [sym_number_literal] = ACTIONS(2653),
    [anon_sym_L_SQUOTE] = ACTIONS(2653),
    [anon_sym_u_SQUOTE] = ACTIONS(2653),
    [anon_sym_U_SQUOTE] = ACTIONS(2653),
    [anon_sym_u8_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_L_DQUOTE] = ACTIONS(2653),
    [anon_sym_u_DQUOTE] = ACTIONS(2653),
    [anon_sym_U_DQUOTE] = ACTIONS(2653),
    [anon_sym_u8_DQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [sym_true] = ACTIONS(2651),
    [sym_false] = ACTIONS(2651),
    [anon_sym_NULL] = ACTIONS(2651),
    [anon_sym_nullptr] = ACTIONS(2651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2651),
    [anon_sym_decltype] = ACTIONS(2651),
    [anon_sym_explicit] = ACTIONS(2651),
    [anon_sym_typename] = ACTIONS(2651),
    [anon_sym_template] = ACTIONS(2651),
    [anon_sym_operator] = ACTIONS(2651),
    [anon_sym_try] = ACTIONS(2651),
    [anon_sym_delete] = ACTIONS(2651),
    [anon_sym_throw] = ACTIONS(2651),
    [anon_sym_namespace] = ACTIONS(2651),
    [anon_sym_using] = ACTIONS(2651),
    [anon_sym_static_assert] = ACTIONS(2651),
    [anon_sym_concept] = ACTIONS(2651),
    [anon_sym_co_return] = ACTIONS(2651),
    [anon_sym_co_yield] = ACTIONS(2651),
    [anon_sym_R_DQUOTE] = ACTIONS(2653),
    [anon_sym_LR_DQUOTE] = ACTIONS(2653),
    [anon_sym_uR_DQUOTE] = ACTIONS(2653),
    [anon_sym_UR_DQUOTE] = ACTIONS(2653),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2653),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2651),
    [anon_sym_requires] = ACTIONS(2651),
    [sym_this] = ACTIONS(2651),
    [anon_sym_precise] = ACTIONS(2651),
    [anon_sym_shared] = ACTIONS(2651),
    [anon_sym_groupshared] = ACTIONS(2651),
    [anon_sym_uniform] = ACTIONS(2651),
    [anon_sym_row_major] = ACTIONS(2651),
    [anon_sym_column_major] = ACTIONS(2651),
    [anon_sym_globallycoherent] = ACTIONS(2651),
    [anon_sym_centroid] = ACTIONS(2651),
    [anon_sym_noperspective] = ACTIONS(2651),
    [anon_sym_nointerpolation] = ACTIONS(2651),
    [anon_sym_sample] = ACTIONS(2651),
    [anon_sym_linear] = ACTIONS(2651),
    [anon_sym_snorm] = ACTIONS(2651),
    [anon_sym_unorm] = ACTIONS(2651),
    [anon_sym_point] = ACTIONS(2651),
    [anon_sym_line] = ACTIONS(2651),
    [anon_sym_triangleadj] = ACTIONS(2651),
    [anon_sym_lineadj] = ACTIONS(2651),
    [anon_sym_triangle] = ACTIONS(2651),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(2657),
    [sym_identifier] = ACTIONS(2655),
    [aux_sym_preproc_include_token1] = ACTIONS(2655),
    [aux_sym_preproc_def_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2655),
    [sym_preproc_directive] = ACTIONS(2655),
    [anon_sym_LPAREN2] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2655),
    [anon_sym_PLUS] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2655),
    [anon_sym_typedef] = ACTIONS(2655),
    [anon_sym_in] = ACTIONS(2655),
    [anon_sym_out] = ACTIONS(2655),
    [anon_sym_inout] = ACTIONS(2655),
    [anon_sym_virtual] = ACTIONS(2655),
    [anon_sym_extern] = ACTIONS(2655),
    [anon_sym___attribute__] = ACTIONS(2655),
    [anon_sym___attribute] = ACTIONS(2655),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2657),
    [anon_sym___declspec] = ACTIONS(2655),
    [anon_sym___based] = ACTIONS(2655),
    [anon_sym___cdecl] = ACTIONS(2655),
    [anon_sym___clrcall] = ACTIONS(2655),
    [anon_sym___stdcall] = ACTIONS(2655),
    [anon_sym___fastcall] = ACTIONS(2655),
    [anon_sym___thiscall] = ACTIONS(2655),
    [anon_sym___vectorcall] = ACTIONS(2655),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_signed] = ACTIONS(2655),
    [anon_sym_unsigned] = ACTIONS(2655),
    [anon_sym_long] = ACTIONS(2655),
    [anon_sym_short] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_register] = ACTIONS(2655),
    [anon_sym_inline] = ACTIONS(2655),
    [anon_sym___inline] = ACTIONS(2655),
    [anon_sym___inline__] = ACTIONS(2655),
    [anon_sym___forceinline] = ACTIONS(2655),
    [anon_sym_thread_local] = ACTIONS(2655),
    [anon_sym___thread] = ACTIONS(2655),
    [anon_sym_const] = ACTIONS(2655),
    [anon_sym_constexpr] = ACTIONS(2655),
    [anon_sym_volatile] = ACTIONS(2655),
    [anon_sym_restrict] = ACTIONS(2655),
    [anon_sym___restrict__] = ACTIONS(2655),
    [anon_sym__Atomic] = ACTIONS(2655),
    [anon_sym__Noreturn] = ACTIONS(2655),
    [anon_sym_noreturn] = ACTIONS(2655),
    [anon_sym__Nonnull] = ACTIONS(2655),
    [anon_sym_mutable] = ACTIONS(2655),
    [anon_sym_constinit] = ACTIONS(2655),
    [anon_sym_consteval] = ACTIONS(2655),
    [anon_sym_alignas] = ACTIONS(2655),
    [anon_sym__Alignas] = ACTIONS(2655),
    [sym_primitive_type] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2655),
    [anon_sym_struct] = ACTIONS(2655),
    [anon_sym_union] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_switch] = ACTIONS(2655),
    [anon_sym_case] = ACTIONS(2655),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(2655),
    [anon_sym_do] = ACTIONS(2655),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_return] = ACTIONS(2655),
    [anon_sym_break] = ACTIONS(2655),
    [anon_sym_continue] = ACTIONS(2655),
    [anon_sym_goto] = ACTIONS(2655),
    [anon_sym_not] = ACTIONS(2655),
    [anon_sym_compl] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_sizeof] = ACTIONS(2655),
    [anon_sym___alignof__] = ACTIONS(2655),
    [anon_sym___alignof] = ACTIONS(2655),
    [anon_sym__alignof] = ACTIONS(2655),
    [anon_sym_alignof] = ACTIONS(2655),
    [anon_sym__Alignof] = ACTIONS(2655),
    [anon_sym_offsetof] = ACTIONS(2655),
    [anon_sym__Generic] = ACTIONS(2655),
    [anon_sym_asm] = ACTIONS(2655),
    [anon_sym___asm__] = ACTIONS(2655),
    [anon_sym___asm] = ACTIONS(2655),
    [sym_number_literal] = ACTIONS(2657),
    [anon_sym_L_SQUOTE] = ACTIONS(2657),
    [anon_sym_u_SQUOTE] = ACTIONS(2657),
    [anon_sym_U_SQUOTE] = ACTIONS(2657),
    [anon_sym_u8_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_L_DQUOTE] = ACTIONS(2657),
    [anon_sym_u_DQUOTE] = ACTIONS(2657),
    [anon_sym_U_DQUOTE] = ACTIONS(2657),
    [anon_sym_u8_DQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [sym_true] = ACTIONS(2655),
    [sym_false] = ACTIONS(2655),
    [anon_sym_NULL] = ACTIONS(2655),
    [anon_sym_nullptr] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2655),
    [anon_sym_decltype] = ACTIONS(2655),
    [anon_sym_explicit] = ACTIONS(2655),
    [anon_sym_typename] = ACTIONS(2655),
    [anon_sym_template] = ACTIONS(2655),
    [anon_sym_operator] = ACTIONS(2655),
    [anon_sym_try] = ACTIONS(2655),
    [anon_sym_delete] = ACTIONS(2655),
    [anon_sym_throw] = ACTIONS(2655),
    [anon_sym_namespace] = ACTIONS(2655),
    [anon_sym_using] = ACTIONS(2655),
    [anon_sym_static_assert] = ACTIONS(2655),
    [anon_sym_concept] = ACTIONS(2655),
    [anon_sym_co_return] = ACTIONS(2655),
    [anon_sym_co_yield] = ACTIONS(2655),
    [anon_sym_R_DQUOTE] = ACTIONS(2657),
    [anon_sym_LR_DQUOTE] = ACTIONS(2657),
    [anon_sym_uR_DQUOTE] = ACTIONS(2657),
    [anon_sym_UR_DQUOTE] = ACTIONS(2657),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2657),
    [anon_sym_co_await] = ACTIONS(2655),
    [anon_sym_new] = ACTIONS(2655),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2655),
    [anon_sym_precise] = ACTIONS(2655),
    [anon_sym_shared] = ACTIONS(2655),
    [anon_sym_groupshared] = ACTIONS(2655),
    [anon_sym_uniform] = ACTIONS(2655),
    [anon_sym_row_major] = ACTIONS(2655),
    [anon_sym_column_major] = ACTIONS(2655),
    [anon_sym_globallycoherent] = ACTIONS(2655),
    [anon_sym_centroid] = ACTIONS(2655),
    [anon_sym_noperspective] = ACTIONS(2655),
    [anon_sym_nointerpolation] = ACTIONS(2655),
    [anon_sym_sample] = ACTIONS(2655),
    [anon_sym_linear] = ACTIONS(2655),
    [anon_sym_snorm] = ACTIONS(2655),
    [anon_sym_unorm] = ACTIONS(2655),
    [anon_sym_point] = ACTIONS(2655),
    [anon_sym_line] = ACTIONS(2655),
    [anon_sym_triangleadj] = ACTIONS(2655),
    [anon_sym_lineadj] = ACTIONS(2655),
    [anon_sym_triangle] = ACTIONS(2655),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(2476),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_out] = ACTIONS(2474),
    [anon_sym_inout] = ACTIONS(2474),
    [anon_sym_virtual] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [anon_sym_precise] = ACTIONS(2474),
    [anon_sym_shared] = ACTIONS(2474),
    [anon_sym_groupshared] = ACTIONS(2474),
    [anon_sym_uniform] = ACTIONS(2474),
    [anon_sym_row_major] = ACTIONS(2474),
    [anon_sym_column_major] = ACTIONS(2474),
    [anon_sym_globallycoherent] = ACTIONS(2474),
    [anon_sym_centroid] = ACTIONS(2474),
    [anon_sym_noperspective] = ACTIONS(2474),
    [anon_sym_nointerpolation] = ACTIONS(2474),
    [anon_sym_sample] = ACTIONS(2474),
    [anon_sym_linear] = ACTIONS(2474),
    [anon_sym_snorm] = ACTIONS(2474),
    [anon_sym_unorm] = ACTIONS(2474),
    [anon_sym_point] = ACTIONS(2474),
    [anon_sym_line] = ACTIONS(2474),
    [anon_sym_triangleadj] = ACTIONS(2474),
    [anon_sym_lineadj] = ACTIONS(2474),
    [anon_sym_triangle] = ACTIONS(2474),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(2629),
    [sym_identifier] = ACTIONS(2627),
    [aux_sym_preproc_include_token1] = ACTIONS(2627),
    [aux_sym_preproc_def_token1] = ACTIONS(2627),
    [aux_sym_preproc_if_token1] = ACTIONS(2627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2627),
    [sym_preproc_directive] = ACTIONS(2627),
    [anon_sym_LPAREN2] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym___extension__] = ACTIONS(2627),
    [anon_sym_typedef] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2627),
    [anon_sym_out] = ACTIONS(2627),
    [anon_sym_inout] = ACTIONS(2627),
    [anon_sym_virtual] = ACTIONS(2627),
    [anon_sym_extern] = ACTIONS(2627),
    [anon_sym___attribute__] = ACTIONS(2627),
    [anon_sym___attribute] = ACTIONS(2627),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2629),
    [anon_sym___declspec] = ACTIONS(2627),
    [anon_sym___based] = ACTIONS(2627),
    [anon_sym___cdecl] = ACTIONS(2627),
    [anon_sym___clrcall] = ACTIONS(2627),
    [anon_sym___stdcall] = ACTIONS(2627),
    [anon_sym___fastcall] = ACTIONS(2627),
    [anon_sym___thiscall] = ACTIONS(2627),
    [anon_sym___vectorcall] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_signed] = ACTIONS(2627),
    [anon_sym_unsigned] = ACTIONS(2627),
    [anon_sym_long] = ACTIONS(2627),
    [anon_sym_short] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_static] = ACTIONS(2627),
    [anon_sym_register] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2627),
    [anon_sym___inline] = ACTIONS(2627),
    [anon_sym___inline__] = ACTIONS(2627),
    [anon_sym___forceinline] = ACTIONS(2627),
    [anon_sym_thread_local] = ACTIONS(2627),
    [anon_sym___thread] = ACTIONS(2627),
    [anon_sym_const] = ACTIONS(2627),
    [anon_sym_constexpr] = ACTIONS(2627),
    [anon_sym_volatile] = ACTIONS(2627),
    [anon_sym_restrict] = ACTIONS(2627),
    [anon_sym___restrict__] = ACTIONS(2627),
    [anon_sym__Atomic] = ACTIONS(2627),
    [anon_sym__Noreturn] = ACTIONS(2627),
    [anon_sym_noreturn] = ACTIONS(2627),
    [anon_sym__Nonnull] = ACTIONS(2627),
    [anon_sym_mutable] = ACTIONS(2627),
    [anon_sym_constinit] = ACTIONS(2627),
    [anon_sym_consteval] = ACTIONS(2627),
    [anon_sym_alignas] = ACTIONS(2627),
    [anon_sym__Alignas] = ACTIONS(2627),
    [sym_primitive_type] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2627),
    [anon_sym_class] = ACTIONS(2627),
    [anon_sym_struct] = ACTIONS(2627),
    [anon_sym_union] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_switch] = ACTIONS(2627),
    [anon_sym_case] = ACTIONS(2627),
    [anon_sym_default] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_do] = ACTIONS(2627),
    [anon_sym_for] = ACTIONS(2627),
    [anon_sym_return] = ACTIONS(2627),
    [anon_sym_break] = ACTIONS(2627),
    [anon_sym_continue] = ACTIONS(2627),
    [anon_sym_goto] = ACTIONS(2627),
    [anon_sym_not] = ACTIONS(2627),
    [anon_sym_compl] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_sizeof] = ACTIONS(2627),
    [anon_sym___alignof__] = ACTIONS(2627),
    [anon_sym___alignof] = ACTIONS(2627),
    [anon_sym__alignof] = ACTIONS(2627),
    [anon_sym_alignof] = ACTIONS(2627),
    [anon_sym__Alignof] = ACTIONS(2627),
    [anon_sym_offsetof] = ACTIONS(2627),
    [anon_sym__Generic] = ACTIONS(2627),
    [anon_sym_asm] = ACTIONS(2627),
    [anon_sym___asm__] = ACTIONS(2627),
    [anon_sym___asm] = ACTIONS(2627),
    [sym_number_literal] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2629),
    [anon_sym_u_SQUOTE] = ACTIONS(2629),
    [anon_sym_U_SQUOTE] = ACTIONS(2629),
    [anon_sym_u8_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_L_DQUOTE] = ACTIONS(2629),
    [anon_sym_u_DQUOTE] = ACTIONS(2629),
    [anon_sym_U_DQUOTE] = ACTIONS(2629),
    [anon_sym_u8_DQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [sym_true] = ACTIONS(2627),
    [sym_false] = ACTIONS(2627),
    [anon_sym_NULL] = ACTIONS(2627),
    [anon_sym_nullptr] = ACTIONS(2627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2627),
    [anon_sym_decltype] = ACTIONS(2627),
    [anon_sym_explicit] = ACTIONS(2627),
    [anon_sym_typename] = ACTIONS(2627),
    [anon_sym_template] = ACTIONS(2627),
    [anon_sym_operator] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2627),
    [anon_sym_delete] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2627),
    [anon_sym_namespace] = ACTIONS(2627),
    [anon_sym_using] = ACTIONS(2627),
    [anon_sym_static_assert] = ACTIONS(2627),
    [anon_sym_concept] = ACTIONS(2627),
    [anon_sym_co_return] = ACTIONS(2627),
    [anon_sym_co_yield] = ACTIONS(2627),
    [anon_sym_R_DQUOTE] = ACTIONS(2629),
    [anon_sym_LR_DQUOTE] = ACTIONS(2629),
    [anon_sym_uR_DQUOTE] = ACTIONS(2629),
    [anon_sym_UR_DQUOTE] = ACTIONS(2629),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2629),
    [anon_sym_co_await] = ACTIONS(2627),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_requires] = ACTIONS(2627),
    [sym_this] = ACTIONS(2627),
    [anon_sym_precise] = ACTIONS(2627),
    [anon_sym_shared] = ACTIONS(2627),
    [anon_sym_groupshared] = ACTIONS(2627),
    [anon_sym_uniform] = ACTIONS(2627),
    [anon_sym_row_major] = ACTIONS(2627),
    [anon_sym_column_major] = ACTIONS(2627),
    [anon_sym_globallycoherent] = ACTIONS(2627),
    [anon_sym_centroid] = ACTIONS(2627),
    [anon_sym_noperspective] = ACTIONS(2627),
    [anon_sym_nointerpolation] = ACTIONS(2627),
    [anon_sym_sample] = ACTIONS(2627),
    [anon_sym_linear] = ACTIONS(2627),
    [anon_sym_snorm] = ACTIONS(2627),
    [anon_sym_unorm] = ACTIONS(2627),
    [anon_sym_point] = ACTIONS(2627),
    [anon_sym_line] = ACTIONS(2627),
    [anon_sym_triangleadj] = ACTIONS(2627),
    [anon_sym_lineadj] = ACTIONS(2627),
    [anon_sym_triangle] = ACTIONS(2627),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(2516),
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym___attribute] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [anon_sym___asm] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(2440),
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(2440),
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(2530),
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_groupshared] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_row_major] = ACTIONS(2528),
    [anon_sym_column_major] = ACTIONS(2528),
    [anon_sym_globallycoherent] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym_nointerpolation] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_linear] = ACTIONS(2528),
    [anon_sym_snorm] = ACTIONS(2528),
    [anon_sym_unorm] = ACTIONS(2528),
    [anon_sym_point] = ACTIONS(2528),
    [anon_sym_line] = ACTIONS(2528),
    [anon_sym_triangleadj] = ACTIONS(2528),
    [anon_sym_lineadj] = ACTIONS(2528),
    [anon_sym_triangle] = ACTIONS(2528),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(2396),
    [sym_identifier] = ACTIONS(2394),
    [aux_sym_preproc_include_token1] = ACTIONS(2394),
    [aux_sym_preproc_def_token1] = ACTIONS(2394),
    [aux_sym_preproc_if_token1] = ACTIONS(2394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2394),
    [sym_preproc_directive] = ACTIONS(2394),
    [anon_sym_LPAREN2] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2396),
    [anon_sym_TILDE] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym___extension__] = ACTIONS(2394),
    [anon_sym_typedef] = ACTIONS(2394),
    [anon_sym_in] = ACTIONS(2394),
    [anon_sym_out] = ACTIONS(2394),
    [anon_sym_inout] = ACTIONS(2394),
    [anon_sym_virtual] = ACTIONS(2394),
    [anon_sym_extern] = ACTIONS(2394),
    [anon_sym___attribute__] = ACTIONS(2394),
    [anon_sym___attribute] = ACTIONS(2394),
    [anon_sym_COLON_COLON] = ACTIONS(2396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2396),
    [anon_sym___declspec] = ACTIONS(2394),
    [anon_sym___based] = ACTIONS(2394),
    [anon_sym___cdecl] = ACTIONS(2394),
    [anon_sym___clrcall] = ACTIONS(2394),
    [anon_sym___stdcall] = ACTIONS(2394),
    [anon_sym___fastcall] = ACTIONS(2394),
    [anon_sym___thiscall] = ACTIONS(2394),
    [anon_sym___vectorcall] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2396),
    [anon_sym_signed] = ACTIONS(2394),
    [anon_sym_unsigned] = ACTIONS(2394),
    [anon_sym_long] = ACTIONS(2394),
    [anon_sym_short] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_register] = ACTIONS(2394),
    [anon_sym_inline] = ACTIONS(2394),
    [anon_sym___inline] = ACTIONS(2394),
    [anon_sym___inline__] = ACTIONS(2394),
    [anon_sym___forceinline] = ACTIONS(2394),
    [anon_sym_thread_local] = ACTIONS(2394),
    [anon_sym___thread] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_constexpr] = ACTIONS(2394),
    [anon_sym_volatile] = ACTIONS(2394),
    [anon_sym_restrict] = ACTIONS(2394),
    [anon_sym___restrict__] = ACTIONS(2394),
    [anon_sym__Atomic] = ACTIONS(2394),
    [anon_sym__Noreturn] = ACTIONS(2394),
    [anon_sym_noreturn] = ACTIONS(2394),
    [anon_sym__Nonnull] = ACTIONS(2394),
    [anon_sym_mutable] = ACTIONS(2394),
    [anon_sym_constinit] = ACTIONS(2394),
    [anon_sym_consteval] = ACTIONS(2394),
    [anon_sym_alignas] = ACTIONS(2394),
    [anon_sym__Alignas] = ACTIONS(2394),
    [sym_primitive_type] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_struct] = ACTIONS(2394),
    [anon_sym_union] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_case] = ACTIONS(2394),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_goto] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2394),
    [anon_sym_compl] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2396),
    [anon_sym_PLUS_PLUS] = ACTIONS(2396),
    [anon_sym_sizeof] = ACTIONS(2394),
    [anon_sym___alignof__] = ACTIONS(2394),
    [anon_sym___alignof] = ACTIONS(2394),
    [anon_sym__alignof] = ACTIONS(2394),
    [anon_sym_alignof] = ACTIONS(2394),
    [anon_sym__Alignof] = ACTIONS(2394),
    [anon_sym_offsetof] = ACTIONS(2394),
    [anon_sym__Generic] = ACTIONS(2394),
    [anon_sym_asm] = ACTIONS(2394),
    [anon_sym___asm__] = ACTIONS(2394),
    [anon_sym___asm] = ACTIONS(2394),
    [sym_number_literal] = ACTIONS(2396),
    [anon_sym_L_SQUOTE] = ACTIONS(2396),
    [anon_sym_u_SQUOTE] = ACTIONS(2396),
    [anon_sym_U_SQUOTE] = ACTIONS(2396),
    [anon_sym_u8_SQUOTE] = ACTIONS(2396),
    [anon_sym_SQUOTE] = ACTIONS(2396),
    [anon_sym_L_DQUOTE] = ACTIONS(2396),
    [anon_sym_u_DQUOTE] = ACTIONS(2396),
    [anon_sym_U_DQUOTE] = ACTIONS(2396),
    [anon_sym_u8_DQUOTE] = ACTIONS(2396),
    [anon_sym_DQUOTE] = ACTIONS(2396),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [anon_sym_NULL] = ACTIONS(2394),
    [anon_sym_nullptr] = ACTIONS(2394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2394),
    [anon_sym_decltype] = ACTIONS(2394),
    [anon_sym_explicit] = ACTIONS(2394),
    [anon_sym_typename] = ACTIONS(2394),
    [anon_sym_template] = ACTIONS(2394),
    [anon_sym_operator] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_static_assert] = ACTIONS(2394),
    [anon_sym_concept] = ACTIONS(2394),
    [anon_sym_co_return] = ACTIONS(2394),
    [anon_sym_co_yield] = ACTIONS(2394),
    [anon_sym_R_DQUOTE] = ACTIONS(2396),
    [anon_sym_LR_DQUOTE] = ACTIONS(2396),
    [anon_sym_uR_DQUOTE] = ACTIONS(2396),
    [anon_sym_UR_DQUOTE] = ACTIONS(2396),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2396),
    [anon_sym_co_await] = ACTIONS(2394),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_requires] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [anon_sym_precise] = ACTIONS(2394),
    [anon_sym_shared] = ACTIONS(2394),
    [anon_sym_groupshared] = ACTIONS(2394),
    [anon_sym_uniform] = ACTIONS(2394),
    [anon_sym_row_major] = ACTIONS(2394),
    [anon_sym_column_major] = ACTIONS(2394),
    [anon_sym_globallycoherent] = ACTIONS(2394),
    [anon_sym_centroid] = ACTIONS(2394),
    [anon_sym_noperspective] = ACTIONS(2394),
    [anon_sym_nointerpolation] = ACTIONS(2394),
    [anon_sym_sample] = ACTIONS(2394),
    [anon_sym_linear] = ACTIONS(2394),
    [anon_sym_snorm] = ACTIONS(2394),
    [anon_sym_unorm] = ACTIONS(2394),
    [anon_sym_point] = ACTIONS(2394),
    [anon_sym_line] = ACTIONS(2394),
    [anon_sym_triangleadj] = ACTIONS(2394),
    [anon_sym_lineadj] = ACTIONS(2394),
    [anon_sym_triangle] = ACTIONS(2394),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(2593),
    [sym_identifier] = ACTIONS(2591),
    [aux_sym_preproc_include_token1] = ACTIONS(2591),
    [aux_sym_preproc_def_token1] = ACTIONS(2591),
    [aux_sym_preproc_if_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2591),
    [sym_preproc_directive] = ACTIONS(2591),
    [anon_sym_LPAREN2] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_STAR] = ACTIONS(2593),
    [anon_sym_AMP_AMP] = ACTIONS(2593),
    [anon_sym_AMP] = ACTIONS(2591),
    [anon_sym_SEMI] = ACTIONS(2593),
    [anon_sym___extension__] = ACTIONS(2591),
    [anon_sym_typedef] = ACTIONS(2591),
    [anon_sym_in] = ACTIONS(2591),
    [anon_sym_out] = ACTIONS(2591),
    [anon_sym_inout] = ACTIONS(2591),
    [anon_sym_virtual] = ACTIONS(2591),
    [anon_sym_extern] = ACTIONS(2591),
    [anon_sym___attribute__] = ACTIONS(2591),
    [anon_sym___attribute] = ACTIONS(2591),
    [anon_sym_COLON_COLON] = ACTIONS(2593),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2593),
    [anon_sym___declspec] = ACTIONS(2591),
    [anon_sym___based] = ACTIONS(2591),
    [anon_sym___cdecl] = ACTIONS(2591),
    [anon_sym___clrcall] = ACTIONS(2591),
    [anon_sym___stdcall] = ACTIONS(2591),
    [anon_sym___fastcall] = ACTIONS(2591),
    [anon_sym___thiscall] = ACTIONS(2591),
    [anon_sym___vectorcall] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(2593),
    [anon_sym_signed] = ACTIONS(2591),
    [anon_sym_unsigned] = ACTIONS(2591),
    [anon_sym_long] = ACTIONS(2591),
    [anon_sym_short] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [anon_sym_static] = ACTIONS(2591),
    [anon_sym_register] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2591),
    [anon_sym___inline] = ACTIONS(2591),
    [anon_sym___inline__] = ACTIONS(2591),
    [anon_sym___forceinline] = ACTIONS(2591),
    [anon_sym_thread_local] = ACTIONS(2591),
    [anon_sym___thread] = ACTIONS(2591),
    [anon_sym_const] = ACTIONS(2591),
    [anon_sym_constexpr] = ACTIONS(2591),
    [anon_sym_volatile] = ACTIONS(2591),
    [anon_sym_restrict] = ACTIONS(2591),
    [anon_sym___restrict__] = ACTIONS(2591),
    [anon_sym__Atomic] = ACTIONS(2591),
    [anon_sym__Noreturn] = ACTIONS(2591),
    [anon_sym_noreturn] = ACTIONS(2591),
    [anon_sym__Nonnull] = ACTIONS(2591),
    [anon_sym_mutable] = ACTIONS(2591),
    [anon_sym_constinit] = ACTIONS(2591),
    [anon_sym_consteval] = ACTIONS(2591),
    [anon_sym_alignas] = ACTIONS(2591),
    [anon_sym__Alignas] = ACTIONS(2591),
    [sym_primitive_type] = ACTIONS(2591),
    [anon_sym_enum] = ACTIONS(2591),
    [anon_sym_class] = ACTIONS(2591),
    [anon_sym_struct] = ACTIONS(2591),
    [anon_sym_union] = ACTIONS(2591),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_switch] = ACTIONS(2591),
    [anon_sym_case] = ACTIONS(2591),
    [anon_sym_default] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(2591),
    [anon_sym_do] = ACTIONS(2591),
    [anon_sym_for] = ACTIONS(2591),
    [anon_sym_return] = ACTIONS(2591),
    [anon_sym_break] = ACTIONS(2591),
    [anon_sym_continue] = ACTIONS(2591),
    [anon_sym_goto] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2591),
    [anon_sym_compl] = ACTIONS(2591),
    [anon_sym_DASH_DASH] = ACTIONS(2593),
    [anon_sym_PLUS_PLUS] = ACTIONS(2593),
    [anon_sym_sizeof] = ACTIONS(2591),
    [anon_sym___alignof__] = ACTIONS(2591),
    [anon_sym___alignof] = ACTIONS(2591),
    [anon_sym__alignof] = ACTIONS(2591),
    [anon_sym_alignof] = ACTIONS(2591),
    [anon_sym__Alignof] = ACTIONS(2591),
    [anon_sym_offsetof] = ACTIONS(2591),
    [anon_sym__Generic] = ACTIONS(2591),
    [anon_sym_asm] = ACTIONS(2591),
    [anon_sym___asm__] = ACTIONS(2591),
    [anon_sym___asm] = ACTIONS(2591),
    [sym_number_literal] = ACTIONS(2593),
    [anon_sym_L_SQUOTE] = ACTIONS(2593),
    [anon_sym_u_SQUOTE] = ACTIONS(2593),
    [anon_sym_U_SQUOTE] = ACTIONS(2593),
    [anon_sym_u8_SQUOTE] = ACTIONS(2593),
    [anon_sym_SQUOTE] = ACTIONS(2593),
    [anon_sym_L_DQUOTE] = ACTIONS(2593),
    [anon_sym_u_DQUOTE] = ACTIONS(2593),
    [anon_sym_U_DQUOTE] = ACTIONS(2593),
    [anon_sym_u8_DQUOTE] = ACTIONS(2593),
    [anon_sym_DQUOTE] = ACTIONS(2593),
    [sym_true] = ACTIONS(2591),
    [sym_false] = ACTIONS(2591),
    [anon_sym_NULL] = ACTIONS(2591),
    [anon_sym_nullptr] = ACTIONS(2591),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2591),
    [anon_sym_decltype] = ACTIONS(2591),
    [anon_sym_explicit] = ACTIONS(2591),
    [anon_sym_typename] = ACTIONS(2591),
    [anon_sym_template] = ACTIONS(2591),
    [anon_sym_operator] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2591),
    [anon_sym_delete] = ACTIONS(2591),
    [anon_sym_throw] = ACTIONS(2591),
    [anon_sym_namespace] = ACTIONS(2591),
    [anon_sym_using] = ACTIONS(2591),
    [anon_sym_static_assert] = ACTIONS(2591),
    [anon_sym_concept] = ACTIONS(2591),
    [anon_sym_co_return] = ACTIONS(2591),
    [anon_sym_co_yield] = ACTIONS(2591),
    [anon_sym_R_DQUOTE] = ACTIONS(2593),
    [anon_sym_LR_DQUOTE] = ACTIONS(2593),
    [anon_sym_uR_DQUOTE] = ACTIONS(2593),
    [anon_sym_UR_DQUOTE] = ACTIONS(2593),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2593),
    [anon_sym_co_await] = ACTIONS(2591),
    [anon_sym_new] = ACTIONS(2591),
    [anon_sym_requires] = ACTIONS(2591),
    [sym_this] = ACTIONS(2591),
    [anon_sym_precise] = ACTIONS(2591),
    [anon_sym_shared] = ACTIONS(2591),
    [anon_sym_groupshared] = ACTIONS(2591),
    [anon_sym_uniform] = ACTIONS(2591),
    [anon_sym_row_major] = ACTIONS(2591),
    [anon_sym_column_major] = ACTIONS(2591),
    [anon_sym_globallycoherent] = ACTIONS(2591),
    [anon_sym_centroid] = ACTIONS(2591),
    [anon_sym_noperspective] = ACTIONS(2591),
    [anon_sym_nointerpolation] = ACTIONS(2591),
    [anon_sym_sample] = ACTIONS(2591),
    [anon_sym_linear] = ACTIONS(2591),
    [anon_sym_snorm] = ACTIONS(2591),
    [anon_sym_unorm] = ACTIONS(2591),
    [anon_sym_point] = ACTIONS(2591),
    [anon_sym_line] = ACTIONS(2591),
    [anon_sym_triangleadj] = ACTIONS(2591),
    [anon_sym_lineadj] = ACTIONS(2591),
    [anon_sym_triangle] = ACTIONS(2591),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(2601),
    [sym_identifier] = ACTIONS(2599),
    [aux_sym_preproc_include_token1] = ACTIONS(2599),
    [aux_sym_preproc_def_token1] = ACTIONS(2599),
    [aux_sym_preproc_if_token1] = ACTIONS(2599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2599),
    [sym_preproc_directive] = ACTIONS(2599),
    [anon_sym_LPAREN2] = ACTIONS(2601),
    [anon_sym_BANG] = ACTIONS(2601),
    [anon_sym_TILDE] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2599),
    [anon_sym_PLUS] = ACTIONS(2599),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_AMP_AMP] = ACTIONS(2601),
    [anon_sym_AMP] = ACTIONS(2599),
    [anon_sym_SEMI] = ACTIONS(2601),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_typedef] = ACTIONS(2599),
    [anon_sym_in] = ACTIONS(2599),
    [anon_sym_out] = ACTIONS(2599),
    [anon_sym_inout] = ACTIONS(2599),
    [anon_sym_virtual] = ACTIONS(2599),
    [anon_sym_extern] = ACTIONS(2599),
    [anon_sym___attribute__] = ACTIONS(2599),
    [anon_sym___attribute] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2601),
    [anon_sym___declspec] = ACTIONS(2599),
    [anon_sym___based] = ACTIONS(2599),
    [anon_sym___cdecl] = ACTIONS(2599),
    [anon_sym___clrcall] = ACTIONS(2599),
    [anon_sym___stdcall] = ACTIONS(2599),
    [anon_sym___fastcall] = ACTIONS(2599),
    [anon_sym___thiscall] = ACTIONS(2599),
    [anon_sym___vectorcall] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2599),
    [anon_sym_unsigned] = ACTIONS(2599),
    [anon_sym_long] = ACTIONS(2599),
    [anon_sym_short] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [anon_sym_static] = ACTIONS(2599),
    [anon_sym_register] = ACTIONS(2599),
    [anon_sym_inline] = ACTIONS(2599),
    [anon_sym___inline] = ACTIONS(2599),
    [anon_sym___inline__] = ACTIONS(2599),
    [anon_sym___forceinline] = ACTIONS(2599),
    [anon_sym_thread_local] = ACTIONS(2599),
    [anon_sym___thread] = ACTIONS(2599),
    [anon_sym_const] = ACTIONS(2599),
    [anon_sym_constexpr] = ACTIONS(2599),
    [anon_sym_volatile] = ACTIONS(2599),
    [anon_sym_restrict] = ACTIONS(2599),
    [anon_sym___restrict__] = ACTIONS(2599),
    [anon_sym__Atomic] = ACTIONS(2599),
    [anon_sym__Noreturn] = ACTIONS(2599),
    [anon_sym_noreturn] = ACTIONS(2599),
    [anon_sym__Nonnull] = ACTIONS(2599),
    [anon_sym_mutable] = ACTIONS(2599),
    [anon_sym_constinit] = ACTIONS(2599),
    [anon_sym_consteval] = ACTIONS(2599),
    [anon_sym_alignas] = ACTIONS(2599),
    [anon_sym__Alignas] = ACTIONS(2599),
    [sym_primitive_type] = ACTIONS(2599),
    [anon_sym_enum] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2599),
    [anon_sym_struct] = ACTIONS(2599),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_if] = ACTIONS(2599),
    [anon_sym_switch] = ACTIONS(2599),
    [anon_sym_case] = ACTIONS(2599),
    [anon_sym_default] = ACTIONS(2599),
    [anon_sym_while] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2599),
    [anon_sym_return] = ACTIONS(2599),
    [anon_sym_break] = ACTIONS(2599),
    [anon_sym_continue] = ACTIONS(2599),
    [anon_sym_goto] = ACTIONS(2599),
    [anon_sym_not] = ACTIONS(2599),
    [anon_sym_compl] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(2601),
    [anon_sym_PLUS_PLUS] = ACTIONS(2601),
    [anon_sym_sizeof] = ACTIONS(2599),
    [anon_sym___alignof__] = ACTIONS(2599),
    [anon_sym___alignof] = ACTIONS(2599),
    [anon_sym__alignof] = ACTIONS(2599),
    [anon_sym_alignof] = ACTIONS(2599),
    [anon_sym__Alignof] = ACTIONS(2599),
    [anon_sym_offsetof] = ACTIONS(2599),
    [anon_sym__Generic] = ACTIONS(2599),
    [anon_sym_asm] = ACTIONS(2599),
    [anon_sym___asm__] = ACTIONS(2599),
    [anon_sym___asm] = ACTIONS(2599),
    [sym_number_literal] = ACTIONS(2601),
    [anon_sym_L_SQUOTE] = ACTIONS(2601),
    [anon_sym_u_SQUOTE] = ACTIONS(2601),
    [anon_sym_U_SQUOTE] = ACTIONS(2601),
    [anon_sym_u8_SQUOTE] = ACTIONS(2601),
    [anon_sym_SQUOTE] = ACTIONS(2601),
    [anon_sym_L_DQUOTE] = ACTIONS(2601),
    [anon_sym_u_DQUOTE] = ACTIONS(2601),
    [anon_sym_U_DQUOTE] = ACTIONS(2601),
    [anon_sym_u8_DQUOTE] = ACTIONS(2601),
    [anon_sym_DQUOTE] = ACTIONS(2601),
    [sym_true] = ACTIONS(2599),
    [sym_false] = ACTIONS(2599),
    [anon_sym_NULL] = ACTIONS(2599),
    [anon_sym_nullptr] = ACTIONS(2599),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2599),
    [anon_sym_decltype] = ACTIONS(2599),
    [anon_sym_explicit] = ACTIONS(2599),
    [anon_sym_typename] = ACTIONS(2599),
    [anon_sym_template] = ACTIONS(2599),
    [anon_sym_operator] = ACTIONS(2599),
    [anon_sym_try] = ACTIONS(2599),
    [anon_sym_delete] = ACTIONS(2599),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_namespace] = ACTIONS(2599),
    [anon_sym_using] = ACTIONS(2599),
    [anon_sym_static_assert] = ACTIONS(2599),
    [anon_sym_concept] = ACTIONS(2599),
    [anon_sym_co_return] = ACTIONS(2599),
    [anon_sym_co_yield] = ACTIONS(2599),
    [anon_sym_R_DQUOTE] = ACTIONS(2601),
    [anon_sym_LR_DQUOTE] = ACTIONS(2601),
    [anon_sym_uR_DQUOTE] = ACTIONS(2601),
    [anon_sym_UR_DQUOTE] = ACTIONS(2601),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2601),
    [anon_sym_co_await] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2599),
    [anon_sym_requires] = ACTIONS(2599),
    [sym_this] = ACTIONS(2599),
    [anon_sym_precise] = ACTIONS(2599),
    [anon_sym_shared] = ACTIONS(2599),
    [anon_sym_groupshared] = ACTIONS(2599),
    [anon_sym_uniform] = ACTIONS(2599),
    [anon_sym_row_major] = ACTIONS(2599),
    [anon_sym_column_major] = ACTIONS(2599),
    [anon_sym_globallycoherent] = ACTIONS(2599),
    [anon_sym_centroid] = ACTIONS(2599),
    [anon_sym_noperspective] = ACTIONS(2599),
    [anon_sym_nointerpolation] = ACTIONS(2599),
    [anon_sym_sample] = ACTIONS(2599),
    [anon_sym_linear] = ACTIONS(2599),
    [anon_sym_snorm] = ACTIONS(2599),
    [anon_sym_unorm] = ACTIONS(2599),
    [anon_sym_point] = ACTIONS(2599),
    [anon_sym_line] = ACTIONS(2599),
    [anon_sym_triangleadj] = ACTIONS(2599),
    [anon_sym_lineadj] = ACTIONS(2599),
    [anon_sym_triangle] = ACTIONS(2599),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_include_token1] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_in] = ACTIONS(2583),
    [anon_sym_out] = ACTIONS(2583),
    [anon_sym_inout] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym___cdecl] = ACTIONS(2583),
    [anon_sym___clrcall] = ACTIONS(2583),
    [anon_sym___stdcall] = ACTIONS(2583),
    [anon_sym___fastcall] = ACTIONS(2583),
    [anon_sym___thiscall] = ACTIONS(2583),
    [anon_sym___vectorcall] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2583),
    [anon_sym_default] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_goto] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_compl] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_sizeof] = ACTIONS(2583),
    [anon_sym___alignof__] = ACTIONS(2583),
    [anon_sym___alignof] = ACTIONS(2583),
    [anon_sym__alignof] = ACTIONS(2583),
    [anon_sym_alignof] = ACTIONS(2583),
    [anon_sym__Alignof] = ACTIONS(2583),
    [anon_sym_offsetof] = ACTIONS(2583),
    [anon_sym__Generic] = ACTIONS(2583),
    [anon_sym_asm] = ACTIONS(2583),
    [anon_sym___asm__] = ACTIONS(2583),
    [anon_sym___asm] = ACTIONS(2583),
    [sym_number_literal] = ACTIONS(2585),
    [anon_sym_L_SQUOTE] = ACTIONS(2585),
    [anon_sym_u_SQUOTE] = ACTIONS(2585),
    [anon_sym_U_SQUOTE] = ACTIONS(2585),
    [anon_sym_u8_SQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [anon_sym_L_DQUOTE] = ACTIONS(2585),
    [anon_sym_u_DQUOTE] = ACTIONS(2585),
    [anon_sym_U_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8_DQUOTE] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [anon_sym_NULL] = ACTIONS(2583),
    [anon_sym_nullptr] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_concept] = ACTIONS(2583),
    [anon_sym_co_return] = ACTIONS(2583),
    [anon_sym_co_yield] = ACTIONS(2583),
    [anon_sym_R_DQUOTE] = ACTIONS(2585),
    [anon_sym_LR_DQUOTE] = ACTIONS(2585),
    [anon_sym_uR_DQUOTE] = ACTIONS(2585),
    [anon_sym_UR_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2585),
    [anon_sym_co_await] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_requires] = ACTIONS(2583),
    [sym_this] = ACTIONS(2583),
    [anon_sym_precise] = ACTIONS(2583),
    [anon_sym_shared] = ACTIONS(2583),
    [anon_sym_groupshared] = ACTIONS(2583),
    [anon_sym_uniform] = ACTIONS(2583),
    [anon_sym_row_major] = ACTIONS(2583),
    [anon_sym_column_major] = ACTIONS(2583),
    [anon_sym_globallycoherent] = ACTIONS(2583),
    [anon_sym_centroid] = ACTIONS(2583),
    [anon_sym_noperspective] = ACTIONS(2583),
    [anon_sym_nointerpolation] = ACTIONS(2583),
    [anon_sym_sample] = ACTIONS(2583),
    [anon_sym_linear] = ACTIONS(2583),
    [anon_sym_snorm] = ACTIONS(2583),
    [anon_sym_unorm] = ACTIONS(2583),
    [anon_sym_point] = ACTIONS(2583),
    [anon_sym_line] = ACTIONS(2583),
    [anon_sym_triangleadj] = ACTIONS(2583),
    [anon_sym_lineadj] = ACTIONS(2583),
    [anon_sym_triangle] = ACTIONS(2583),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(2589),
    [sym_identifier] = ACTIONS(2587),
    [aux_sym_preproc_include_token1] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2587),
    [sym_preproc_directive] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_BANG] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_STAR] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym___extension__] = ACTIONS(2587),
    [anon_sym_typedef] = ACTIONS(2587),
    [anon_sym_in] = ACTIONS(2587),
    [anon_sym_out] = ACTIONS(2587),
    [anon_sym_inout] = ACTIONS(2587),
    [anon_sym_virtual] = ACTIONS(2587),
    [anon_sym_extern] = ACTIONS(2587),
    [anon_sym___attribute__] = ACTIONS(2587),
    [anon_sym___attribute] = ACTIONS(2587),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2589),
    [anon_sym___declspec] = ACTIONS(2587),
    [anon_sym___based] = ACTIONS(2587),
    [anon_sym___cdecl] = ACTIONS(2587),
    [anon_sym___clrcall] = ACTIONS(2587),
    [anon_sym___stdcall] = ACTIONS(2587),
    [anon_sym___fastcall] = ACTIONS(2587),
    [anon_sym___thiscall] = ACTIONS(2587),
    [anon_sym___vectorcall] = ACTIONS(2587),
    [anon_sym_LBRACE] = ACTIONS(2589),
    [anon_sym_signed] = ACTIONS(2587),
    [anon_sym_unsigned] = ACTIONS(2587),
    [anon_sym_long] = ACTIONS(2587),
    [anon_sym_short] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_register] = ACTIONS(2587),
    [anon_sym_inline] = ACTIONS(2587),
    [anon_sym___inline] = ACTIONS(2587),
    [anon_sym___inline__] = ACTIONS(2587),
    [anon_sym___forceinline] = ACTIONS(2587),
    [anon_sym_thread_local] = ACTIONS(2587),
    [anon_sym___thread] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_constexpr] = ACTIONS(2587),
    [anon_sym_volatile] = ACTIONS(2587),
    [anon_sym_restrict] = ACTIONS(2587),
    [anon_sym___restrict__] = ACTIONS(2587),
    [anon_sym__Atomic] = ACTIONS(2587),
    [anon_sym__Noreturn] = ACTIONS(2587),
    [anon_sym_noreturn] = ACTIONS(2587),
    [anon_sym__Nonnull] = ACTIONS(2587),
    [anon_sym_mutable] = ACTIONS(2587),
    [anon_sym_constinit] = ACTIONS(2587),
    [anon_sym_consteval] = ACTIONS(2587),
    [anon_sym_alignas] = ACTIONS(2587),
    [anon_sym__Alignas] = ACTIONS(2587),
    [sym_primitive_type] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_struct] = ACTIONS(2587),
    [anon_sym_union] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_switch] = ACTIONS(2587),
    [anon_sym_case] = ACTIONS(2587),
    [anon_sym_default] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_break] = ACTIONS(2587),
    [anon_sym_continue] = ACTIONS(2587),
    [anon_sym_goto] = ACTIONS(2587),
    [anon_sym_not] = ACTIONS(2587),
    [anon_sym_compl] = ACTIONS(2587),
    [anon_sym_DASH_DASH] = ACTIONS(2589),
    [anon_sym_PLUS_PLUS] = ACTIONS(2589),
    [anon_sym_sizeof] = ACTIONS(2587),
    [anon_sym___alignof__] = ACTIONS(2587),
    [anon_sym___alignof] = ACTIONS(2587),
    [anon_sym__alignof] = ACTIONS(2587),
    [anon_sym_alignof] = ACTIONS(2587),
    [anon_sym__Alignof] = ACTIONS(2587),
    [anon_sym_offsetof] = ACTIONS(2587),
    [anon_sym__Generic] = ACTIONS(2587),
    [anon_sym_asm] = ACTIONS(2587),
    [anon_sym___asm__] = ACTIONS(2587),
    [anon_sym___asm] = ACTIONS(2587),
    [sym_number_literal] = ACTIONS(2589),
    [anon_sym_L_SQUOTE] = ACTIONS(2589),
    [anon_sym_u_SQUOTE] = ACTIONS(2589),
    [anon_sym_U_SQUOTE] = ACTIONS(2589),
    [anon_sym_u8_SQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_L_DQUOTE] = ACTIONS(2589),
    [anon_sym_u_DQUOTE] = ACTIONS(2589),
    [anon_sym_U_DQUOTE] = ACTIONS(2589),
    [anon_sym_u8_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [sym_true] = ACTIONS(2587),
    [sym_false] = ACTIONS(2587),
    [anon_sym_NULL] = ACTIONS(2587),
    [anon_sym_nullptr] = ACTIONS(2587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2587),
    [anon_sym_decltype] = ACTIONS(2587),
    [anon_sym_explicit] = ACTIONS(2587),
    [anon_sym_typename] = ACTIONS(2587),
    [anon_sym_template] = ACTIONS(2587),
    [anon_sym_operator] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_delete] = ACTIONS(2587),
    [anon_sym_throw] = ACTIONS(2587),
    [anon_sym_namespace] = ACTIONS(2587),
    [anon_sym_using] = ACTIONS(2587),
    [anon_sym_static_assert] = ACTIONS(2587),
    [anon_sym_concept] = ACTIONS(2587),
    [anon_sym_co_return] = ACTIONS(2587),
    [anon_sym_co_yield] = ACTIONS(2587),
    [anon_sym_R_DQUOTE] = ACTIONS(2589),
    [anon_sym_LR_DQUOTE] = ACTIONS(2589),
    [anon_sym_uR_DQUOTE] = ACTIONS(2589),
    [anon_sym_UR_DQUOTE] = ACTIONS(2589),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2589),
    [anon_sym_co_await] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_requires] = ACTIONS(2587),
    [sym_this] = ACTIONS(2587),
    [anon_sym_precise] = ACTIONS(2587),
    [anon_sym_shared] = ACTIONS(2587),
    [anon_sym_groupshared] = ACTIONS(2587),
    [anon_sym_uniform] = ACTIONS(2587),
    [anon_sym_row_major] = ACTIONS(2587),
    [anon_sym_column_major] = ACTIONS(2587),
    [anon_sym_globallycoherent] = ACTIONS(2587),
    [anon_sym_centroid] = ACTIONS(2587),
    [anon_sym_noperspective] = ACTIONS(2587),
    [anon_sym_nointerpolation] = ACTIONS(2587),
    [anon_sym_sample] = ACTIONS(2587),
    [anon_sym_linear] = ACTIONS(2587),
    [anon_sym_snorm] = ACTIONS(2587),
    [anon_sym_unorm] = ACTIONS(2587),
    [anon_sym_point] = ACTIONS(2587),
    [anon_sym_line] = ACTIONS(2587),
    [anon_sym_triangleadj] = ACTIONS(2587),
    [anon_sym_lineadj] = ACTIONS(2587),
    [anon_sym_triangle] = ACTIONS(2587),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_virtual] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_groupshared] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_row_major] = ACTIONS(2520),
    [anon_sym_column_major] = ACTIONS(2520),
    [anon_sym_globallycoherent] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym_nointerpolation] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_linear] = ACTIONS(2520),
    [anon_sym_snorm] = ACTIONS(2520),
    [anon_sym_unorm] = ACTIONS(2520),
    [anon_sym_point] = ACTIONS(2520),
    [anon_sym_line] = ACTIONS(2520),
    [anon_sym_triangleadj] = ACTIONS(2520),
    [anon_sym_lineadj] = ACTIONS(2520),
    [anon_sym_triangle] = ACTIONS(2520),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(2372),
    [sym_identifier] = ACTIONS(2370),
    [aux_sym_preproc_include_token1] = ACTIONS(2370),
    [aux_sym_preproc_def_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2370),
    [sym_preproc_directive] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2372),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym___extension__] = ACTIONS(2370),
    [anon_sym_typedef] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_out] = ACTIONS(2370),
    [anon_sym_inout] = ACTIONS(2370),
    [anon_sym_virtual] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2370),
    [anon_sym___attribute__] = ACTIONS(2370),
    [anon_sym___attribute] = ACTIONS(2370),
    [anon_sym_COLON_COLON] = ACTIONS(2372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2372),
    [anon_sym___declspec] = ACTIONS(2370),
    [anon_sym___based] = ACTIONS(2370),
    [anon_sym___cdecl] = ACTIONS(2370),
    [anon_sym___clrcall] = ACTIONS(2370),
    [anon_sym___stdcall] = ACTIONS(2370),
    [anon_sym___fastcall] = ACTIONS(2370),
    [anon_sym___thiscall] = ACTIONS(2370),
    [anon_sym___vectorcall] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2372),
    [anon_sym_signed] = ACTIONS(2370),
    [anon_sym_unsigned] = ACTIONS(2370),
    [anon_sym_long] = ACTIONS(2370),
    [anon_sym_short] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_register] = ACTIONS(2370),
    [anon_sym_inline] = ACTIONS(2370),
    [anon_sym___inline] = ACTIONS(2370),
    [anon_sym___inline__] = ACTIONS(2370),
    [anon_sym___forceinline] = ACTIONS(2370),
    [anon_sym_thread_local] = ACTIONS(2370),
    [anon_sym___thread] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_constexpr] = ACTIONS(2370),
    [anon_sym_volatile] = ACTIONS(2370),
    [anon_sym_restrict] = ACTIONS(2370),
    [anon_sym___restrict__] = ACTIONS(2370),
    [anon_sym__Atomic] = ACTIONS(2370),
    [anon_sym__Noreturn] = ACTIONS(2370),
    [anon_sym_noreturn] = ACTIONS(2370),
    [anon_sym__Nonnull] = ACTIONS(2370),
    [anon_sym_mutable] = ACTIONS(2370),
    [anon_sym_constinit] = ACTIONS(2370),
    [anon_sym_consteval] = ACTIONS(2370),
    [anon_sym_alignas] = ACTIONS(2370),
    [anon_sym__Alignas] = ACTIONS(2370),
    [sym_primitive_type] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_struct] = ACTIONS(2370),
    [anon_sym_union] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_case] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym_not] = ACTIONS(2370),
    [anon_sym_compl] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2372),
    [anon_sym_PLUS_PLUS] = ACTIONS(2372),
    [anon_sym_sizeof] = ACTIONS(2370),
    [anon_sym___alignof__] = ACTIONS(2370),
    [anon_sym___alignof] = ACTIONS(2370),
    [anon_sym__alignof] = ACTIONS(2370),
    [anon_sym_alignof] = ACTIONS(2370),
    [anon_sym__Alignof] = ACTIONS(2370),
    [anon_sym_offsetof] = ACTIONS(2370),
    [anon_sym__Generic] = ACTIONS(2370),
    [anon_sym_asm] = ACTIONS(2370),
    [anon_sym___asm__] = ACTIONS(2370),
    [anon_sym___asm] = ACTIONS(2370),
    [sym_number_literal] = ACTIONS(2372),
    [anon_sym_L_SQUOTE] = ACTIONS(2372),
    [anon_sym_u_SQUOTE] = ACTIONS(2372),
    [anon_sym_U_SQUOTE] = ACTIONS(2372),
    [anon_sym_u8_SQUOTE] = ACTIONS(2372),
    [anon_sym_SQUOTE] = ACTIONS(2372),
    [anon_sym_L_DQUOTE] = ACTIONS(2372),
    [anon_sym_u_DQUOTE] = ACTIONS(2372),
    [anon_sym_U_DQUOTE] = ACTIONS(2372),
    [anon_sym_u8_DQUOTE] = ACTIONS(2372),
    [anon_sym_DQUOTE] = ACTIONS(2372),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [anon_sym_NULL] = ACTIONS(2370),
    [anon_sym_nullptr] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2370),
    [anon_sym_decltype] = ACTIONS(2370),
    [anon_sym_explicit] = ACTIONS(2370),
    [anon_sym_typename] = ACTIONS(2370),
    [anon_sym_template] = ACTIONS(2370),
    [anon_sym_operator] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_static_assert] = ACTIONS(2370),
    [anon_sym_concept] = ACTIONS(2370),
    [anon_sym_co_return] = ACTIONS(2370),
    [anon_sym_co_yield] = ACTIONS(2370),
    [anon_sym_R_DQUOTE] = ACTIONS(2372),
    [anon_sym_LR_DQUOTE] = ACTIONS(2372),
    [anon_sym_uR_DQUOTE] = ACTIONS(2372),
    [anon_sym_UR_DQUOTE] = ACTIONS(2372),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2372),
    [anon_sym_co_await] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_requires] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [anon_sym_precise] = ACTIONS(2370),
    [anon_sym_shared] = ACTIONS(2370),
    [anon_sym_groupshared] = ACTIONS(2370),
    [anon_sym_uniform] = ACTIONS(2370),
    [anon_sym_row_major] = ACTIONS(2370),
    [anon_sym_column_major] = ACTIONS(2370),
    [anon_sym_globallycoherent] = ACTIONS(2370),
    [anon_sym_centroid] = ACTIONS(2370),
    [anon_sym_noperspective] = ACTIONS(2370),
    [anon_sym_nointerpolation] = ACTIONS(2370),
    [anon_sym_sample] = ACTIONS(2370),
    [anon_sym_linear] = ACTIONS(2370),
    [anon_sym_snorm] = ACTIONS(2370),
    [anon_sym_unorm] = ACTIONS(2370),
    [anon_sym_point] = ACTIONS(2370),
    [anon_sym_line] = ACTIONS(2370),
    [anon_sym_triangleadj] = ACTIONS(2370),
    [anon_sym_lineadj] = ACTIONS(2370),
    [anon_sym_triangle] = ACTIONS(2370),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(2388),
    [sym_identifier] = ACTIONS(2386),
    [aux_sym_preproc_include_token1] = ACTIONS(2386),
    [aux_sym_preproc_def_token1] = ACTIONS(2386),
    [aux_sym_preproc_if_token1] = ACTIONS(2386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2386),
    [sym_preproc_directive] = ACTIONS(2386),
    [anon_sym_LPAREN2] = ACTIONS(2388),
    [anon_sym_BANG] = ACTIONS(2388),
    [anon_sym_TILDE] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2386),
    [anon_sym_PLUS] = ACTIONS(2386),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_AMP_AMP] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2386),
    [anon_sym_SEMI] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2386),
    [anon_sym_typedef] = ACTIONS(2386),
    [anon_sym_in] = ACTIONS(2386),
    [anon_sym_out] = ACTIONS(2386),
    [anon_sym_inout] = ACTIONS(2386),
    [anon_sym_virtual] = ACTIONS(2386),
    [anon_sym_extern] = ACTIONS(2386),
    [anon_sym___attribute__] = ACTIONS(2386),
    [anon_sym___attribute] = ACTIONS(2386),
    [anon_sym_COLON_COLON] = ACTIONS(2388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2388),
    [anon_sym___declspec] = ACTIONS(2386),
    [anon_sym___based] = ACTIONS(2386),
    [anon_sym___cdecl] = ACTIONS(2386),
    [anon_sym___clrcall] = ACTIONS(2386),
    [anon_sym___stdcall] = ACTIONS(2386),
    [anon_sym___fastcall] = ACTIONS(2386),
    [anon_sym___thiscall] = ACTIONS(2386),
    [anon_sym___vectorcall] = ACTIONS(2386),
    [anon_sym_LBRACE] = ACTIONS(2388),
    [anon_sym_signed] = ACTIONS(2386),
    [anon_sym_unsigned] = ACTIONS(2386),
    [anon_sym_long] = ACTIONS(2386),
    [anon_sym_short] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_static] = ACTIONS(2386),
    [anon_sym_register] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym___inline] = ACTIONS(2386),
    [anon_sym___inline__] = ACTIONS(2386),
    [anon_sym___forceinline] = ACTIONS(2386),
    [anon_sym_thread_local] = ACTIONS(2386),
    [anon_sym___thread] = ACTIONS(2386),
    [anon_sym_const] = ACTIONS(2386),
    [anon_sym_constexpr] = ACTIONS(2386),
    [anon_sym_volatile] = ACTIONS(2386),
    [anon_sym_restrict] = ACTIONS(2386),
    [anon_sym___restrict__] = ACTIONS(2386),
    [anon_sym__Atomic] = ACTIONS(2386),
    [anon_sym__Noreturn] = ACTIONS(2386),
    [anon_sym_noreturn] = ACTIONS(2386),
    [anon_sym__Nonnull] = ACTIONS(2386),
    [anon_sym_mutable] = ACTIONS(2386),
    [anon_sym_constinit] = ACTIONS(2386),
    [anon_sym_consteval] = ACTIONS(2386),
    [anon_sym_alignas] = ACTIONS(2386),
    [anon_sym__Alignas] = ACTIONS(2386),
    [sym_primitive_type] = ACTIONS(2386),
    [anon_sym_enum] = ACTIONS(2386),
    [anon_sym_class] = ACTIONS(2386),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2386),
    [anon_sym_if] = ACTIONS(2386),
    [anon_sym_switch] = ACTIONS(2386),
    [anon_sym_case] = ACTIONS(2386),
    [anon_sym_default] = ACTIONS(2386),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_do] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2386),
    [anon_sym_return] = ACTIONS(2386),
    [anon_sym_break] = ACTIONS(2386),
    [anon_sym_continue] = ACTIONS(2386),
    [anon_sym_goto] = ACTIONS(2386),
    [anon_sym_not] = ACTIONS(2386),
    [anon_sym_compl] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2388),
    [anon_sym_PLUS_PLUS] = ACTIONS(2388),
    [anon_sym_sizeof] = ACTIONS(2386),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2386),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2386),
    [anon_sym___asm__] = ACTIONS(2386),
    [anon_sym___asm] = ACTIONS(2386),
    [sym_number_literal] = ACTIONS(2388),
    [anon_sym_L_SQUOTE] = ACTIONS(2388),
    [anon_sym_u_SQUOTE] = ACTIONS(2388),
    [anon_sym_U_SQUOTE] = ACTIONS(2388),
    [anon_sym_u8_SQUOTE] = ACTIONS(2388),
    [anon_sym_SQUOTE] = ACTIONS(2388),
    [anon_sym_L_DQUOTE] = ACTIONS(2388),
    [anon_sym_u_DQUOTE] = ACTIONS(2388),
    [anon_sym_U_DQUOTE] = ACTIONS(2388),
    [anon_sym_u8_DQUOTE] = ACTIONS(2388),
    [anon_sym_DQUOTE] = ACTIONS(2388),
    [sym_true] = ACTIONS(2386),
    [sym_false] = ACTIONS(2386),
    [anon_sym_NULL] = ACTIONS(2386),
    [anon_sym_nullptr] = ACTIONS(2386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2386),
    [anon_sym_decltype] = ACTIONS(2386),
    [anon_sym_explicit] = ACTIONS(2386),
    [anon_sym_typename] = ACTIONS(2386),
    [anon_sym_template] = ACTIONS(2386),
    [anon_sym_operator] = ACTIONS(2386),
    [anon_sym_try] = ACTIONS(2386),
    [anon_sym_delete] = ACTIONS(2386),
    [anon_sym_throw] = ACTIONS(2386),
    [anon_sym_namespace] = ACTIONS(2386),
    [anon_sym_using] = ACTIONS(2386),
    [anon_sym_static_assert] = ACTIONS(2386),
    [anon_sym_concept] = ACTIONS(2386),
    [anon_sym_co_return] = ACTIONS(2386),
    [anon_sym_co_yield] = ACTIONS(2386),
    [anon_sym_R_DQUOTE] = ACTIONS(2388),
    [anon_sym_LR_DQUOTE] = ACTIONS(2388),
    [anon_sym_uR_DQUOTE] = ACTIONS(2388),
    [anon_sym_UR_DQUOTE] = ACTIONS(2388),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2388),
    [anon_sym_co_await] = ACTIONS(2386),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_requires] = ACTIONS(2386),
    [sym_this] = ACTIONS(2386),
    [anon_sym_precise] = ACTIONS(2386),
    [anon_sym_shared] = ACTIONS(2386),
    [anon_sym_groupshared] = ACTIONS(2386),
    [anon_sym_uniform] = ACTIONS(2386),
    [anon_sym_row_major] = ACTIONS(2386),
    [anon_sym_column_major] = ACTIONS(2386),
    [anon_sym_globallycoherent] = ACTIONS(2386),
    [anon_sym_centroid] = ACTIONS(2386),
    [anon_sym_noperspective] = ACTIONS(2386),
    [anon_sym_nointerpolation] = ACTIONS(2386),
    [anon_sym_sample] = ACTIONS(2386),
    [anon_sym_linear] = ACTIONS(2386),
    [anon_sym_snorm] = ACTIONS(2386),
    [anon_sym_unorm] = ACTIONS(2386),
    [anon_sym_point] = ACTIONS(2386),
    [anon_sym_line] = ACTIONS(2386),
    [anon_sym_triangleadj] = ACTIONS(2386),
    [anon_sym_lineadj] = ACTIONS(2386),
    [anon_sym_triangle] = ACTIONS(2386),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(2416),
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_include_token1] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym___cdecl] = ACTIONS(2414),
    [anon_sym___clrcall] = ACTIONS(2414),
    [anon_sym___stdcall] = ACTIONS(2414),
    [anon_sym___fastcall] = ACTIONS(2414),
    [anon_sym___thiscall] = ACTIONS(2414),
    [anon_sym___vectorcall] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_switch] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(2414),
    [anon_sym_default] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_break] = ACTIONS(2414),
    [anon_sym_continue] = ACTIONS(2414),
    [anon_sym_goto] = ACTIONS(2414),
    [anon_sym_not] = ACTIONS(2414),
    [anon_sym_compl] = ACTIONS(2414),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_sizeof] = ACTIONS(2414),
    [anon_sym___alignof__] = ACTIONS(2414),
    [anon_sym___alignof] = ACTIONS(2414),
    [anon_sym__alignof] = ACTIONS(2414),
    [anon_sym_alignof] = ACTIONS(2414),
    [anon_sym__Alignof] = ACTIONS(2414),
    [anon_sym_offsetof] = ACTIONS(2414),
    [anon_sym__Generic] = ACTIONS(2414),
    [anon_sym_asm] = ACTIONS(2414),
    [anon_sym___asm__] = ACTIONS(2414),
    [anon_sym___asm] = ACTIONS(2414),
    [sym_number_literal] = ACTIONS(2416),
    [anon_sym_L_SQUOTE] = ACTIONS(2416),
    [anon_sym_u_SQUOTE] = ACTIONS(2416),
    [anon_sym_U_SQUOTE] = ACTIONS(2416),
    [anon_sym_u8_SQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_L_DQUOTE] = ACTIONS(2416),
    [anon_sym_u_DQUOTE] = ACTIONS(2416),
    [anon_sym_U_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8_DQUOTE] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [sym_true] = ACTIONS(2414),
    [sym_false] = ACTIONS(2414),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2414),
    [anon_sym_delete] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2414),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_concept] = ACTIONS(2414),
    [anon_sym_co_return] = ACTIONS(2414),
    [anon_sym_co_yield] = ACTIONS(2414),
    [anon_sym_R_DQUOTE] = ACTIONS(2416),
    [anon_sym_LR_DQUOTE] = ACTIONS(2416),
    [anon_sym_uR_DQUOTE] = ACTIONS(2416),
    [anon_sym_UR_DQUOTE] = ACTIONS(2416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2416),
    [anon_sym_co_await] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_requires] = ACTIONS(2414),
    [sym_this] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(2428),
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_include_token1] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym___cdecl] = ACTIONS(2426),
    [anon_sym___clrcall] = ACTIONS(2426),
    [anon_sym___stdcall] = ACTIONS(2426),
    [anon_sym___fastcall] = ACTIONS(2426),
    [anon_sym___thiscall] = ACTIONS(2426),
    [anon_sym___vectorcall] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_goto] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2426),
    [anon_sym_compl] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2426),
    [anon_sym___alignof] = ACTIONS(2426),
    [anon_sym__alignof] = ACTIONS(2426),
    [anon_sym_alignof] = ACTIONS(2426),
    [anon_sym__Alignof] = ACTIONS(2426),
    [anon_sym_offsetof] = ACTIONS(2426),
    [anon_sym__Generic] = ACTIONS(2426),
    [anon_sym_asm] = ACTIONS(2426),
    [anon_sym___asm__] = ACTIONS(2426),
    [anon_sym___asm] = ACTIONS(2426),
    [sym_number_literal] = ACTIONS(2428),
    [anon_sym_L_SQUOTE] = ACTIONS(2428),
    [anon_sym_u_SQUOTE] = ACTIONS(2428),
    [anon_sym_U_SQUOTE] = ACTIONS(2428),
    [anon_sym_u8_SQUOTE] = ACTIONS(2428),
    [anon_sym_SQUOTE] = ACTIONS(2428),
    [anon_sym_L_DQUOTE] = ACTIONS(2428),
    [anon_sym_u_DQUOTE] = ACTIONS(2428),
    [anon_sym_U_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [anon_sym_NULL] = ACTIONS(2426),
    [anon_sym_nullptr] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_concept] = ACTIONS(2426),
    [anon_sym_co_return] = ACTIONS(2426),
    [anon_sym_co_yield] = ACTIONS(2426),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_requires] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(2574),
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_out] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_virtual] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym___attribute] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
    [anon_sym_precise] = ACTIONS(2572),
    [anon_sym_shared] = ACTIONS(2572),
    [anon_sym_groupshared] = ACTIONS(2572),
    [anon_sym_uniform] = ACTIONS(2572),
    [anon_sym_row_major] = ACTIONS(2572),
    [anon_sym_column_major] = ACTIONS(2572),
    [anon_sym_globallycoherent] = ACTIONS(2572),
    [anon_sym_centroid] = ACTIONS(2572),
    [anon_sym_noperspective] = ACTIONS(2572),
    [anon_sym_nointerpolation] = ACTIONS(2572),
    [anon_sym_sample] = ACTIONS(2572),
    [anon_sym_linear] = ACTIONS(2572),
    [anon_sym_snorm] = ACTIONS(2572),
    [anon_sym_unorm] = ACTIONS(2572),
    [anon_sym_point] = ACTIONS(2572),
    [anon_sym_line] = ACTIONS(2572),
    [anon_sym_triangleadj] = ACTIONS(2572),
    [anon_sym_lineadj] = ACTIONS(2572),
    [anon_sym_triangle] = ACTIONS(2572),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(2480),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_out] = ACTIONS(2478),
    [anon_sym_inout] = ACTIONS(2478),
    [anon_sym_virtual] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [anon_sym_precise] = ACTIONS(2478),
    [anon_sym_shared] = ACTIONS(2478),
    [anon_sym_groupshared] = ACTIONS(2478),
    [anon_sym_uniform] = ACTIONS(2478),
    [anon_sym_row_major] = ACTIONS(2478),
    [anon_sym_column_major] = ACTIONS(2478),
    [anon_sym_globallycoherent] = ACTIONS(2478),
    [anon_sym_centroid] = ACTIONS(2478),
    [anon_sym_noperspective] = ACTIONS(2478),
    [anon_sym_nointerpolation] = ACTIONS(2478),
    [anon_sym_sample] = ACTIONS(2478),
    [anon_sym_linear] = ACTIONS(2478),
    [anon_sym_snorm] = ACTIONS(2478),
    [anon_sym_unorm] = ACTIONS(2478),
    [anon_sym_point] = ACTIONS(2478),
    [anon_sym_line] = ACTIONS(2478),
    [anon_sym_triangleadj] = ACTIONS(2478),
    [anon_sym_lineadj] = ACTIONS(2478),
    [anon_sym_triangle] = ACTIONS(2478),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(2486),
    [sym_identifier] = ACTIONS(2484),
    [aux_sym_preproc_include_token1] = ACTIONS(2484),
    [aux_sym_preproc_def_token1] = ACTIONS(2484),
    [aux_sym_preproc_if_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2484),
    [sym_preproc_directive] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2484),
    [anon_sym_typedef] = ACTIONS(2484),
    [anon_sym_in] = ACTIONS(2484),
    [anon_sym_out] = ACTIONS(2484),
    [anon_sym_inout] = ACTIONS(2484),
    [anon_sym_virtual] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym___attribute__] = ACTIONS(2484),
    [anon_sym___attribute] = ACTIONS(2484),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2486),
    [anon_sym___declspec] = ACTIONS(2484),
    [anon_sym___based] = ACTIONS(2484),
    [anon_sym___cdecl] = ACTIONS(2484),
    [anon_sym___clrcall] = ACTIONS(2484),
    [anon_sym___stdcall] = ACTIONS(2484),
    [anon_sym___fastcall] = ACTIONS(2484),
    [anon_sym___thiscall] = ACTIONS(2484),
    [anon_sym___vectorcall] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2484),
    [anon_sym_unsigned] = ACTIONS(2484),
    [anon_sym_long] = ACTIONS(2484),
    [anon_sym_short] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_register] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2484),
    [anon_sym___inline] = ACTIONS(2484),
    [anon_sym___inline__] = ACTIONS(2484),
    [anon_sym___forceinline] = ACTIONS(2484),
    [anon_sym_thread_local] = ACTIONS(2484),
    [anon_sym___thread] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_constexpr] = ACTIONS(2484),
    [anon_sym_volatile] = ACTIONS(2484),
    [anon_sym_restrict] = ACTIONS(2484),
    [anon_sym___restrict__] = ACTIONS(2484),
    [anon_sym__Atomic] = ACTIONS(2484),
    [anon_sym__Noreturn] = ACTIONS(2484),
    [anon_sym_noreturn] = ACTIONS(2484),
    [anon_sym__Nonnull] = ACTIONS(2484),
    [anon_sym_mutable] = ACTIONS(2484),
    [anon_sym_constinit] = ACTIONS(2484),
    [anon_sym_consteval] = ACTIONS(2484),
    [anon_sym_alignas] = ACTIONS(2484),
    [anon_sym__Alignas] = ACTIONS(2484),
    [sym_primitive_type] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_class] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_switch] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_do] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_goto] = ACTIONS(2484),
    [anon_sym_not] = ACTIONS(2484),
    [anon_sym_compl] = ACTIONS(2484),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_sizeof] = ACTIONS(2484),
    [anon_sym___alignof__] = ACTIONS(2484),
    [anon_sym___alignof] = ACTIONS(2484),
    [anon_sym__alignof] = ACTIONS(2484),
    [anon_sym_alignof] = ACTIONS(2484),
    [anon_sym__Alignof] = ACTIONS(2484),
    [anon_sym_offsetof] = ACTIONS(2484),
    [anon_sym__Generic] = ACTIONS(2484),
    [anon_sym_asm] = ACTIONS(2484),
    [anon_sym___asm__] = ACTIONS(2484),
    [anon_sym___asm] = ACTIONS(2484),
    [sym_number_literal] = ACTIONS(2486),
    [anon_sym_L_SQUOTE] = ACTIONS(2486),
    [anon_sym_u_SQUOTE] = ACTIONS(2486),
    [anon_sym_U_SQUOTE] = ACTIONS(2486),
    [anon_sym_u8_SQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_L_DQUOTE] = ACTIONS(2486),
    [anon_sym_u_DQUOTE] = ACTIONS(2486),
    [anon_sym_U_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8_DQUOTE] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [sym_true] = ACTIONS(2484),
    [sym_false] = ACTIONS(2484),
    [anon_sym_NULL] = ACTIONS(2484),
    [anon_sym_nullptr] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2484),
    [anon_sym_decltype] = ACTIONS(2484),
    [anon_sym_explicit] = ACTIONS(2484),
    [anon_sym_typename] = ACTIONS(2484),
    [anon_sym_template] = ACTIONS(2484),
    [anon_sym_operator] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [anon_sym_delete] = ACTIONS(2484),
    [anon_sym_throw] = ACTIONS(2484),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_using] = ACTIONS(2484),
    [anon_sym_static_assert] = ACTIONS(2484),
    [anon_sym_concept] = ACTIONS(2484),
    [anon_sym_co_return] = ACTIONS(2484),
    [anon_sym_co_yield] = ACTIONS(2484),
    [anon_sym_R_DQUOTE] = ACTIONS(2486),
    [anon_sym_LR_DQUOTE] = ACTIONS(2486),
    [anon_sym_uR_DQUOTE] = ACTIONS(2486),
    [anon_sym_UR_DQUOTE] = ACTIONS(2486),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2486),
    [anon_sym_co_await] = ACTIONS(2484),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2484),
    [sym_this] = ACTIONS(2484),
    [anon_sym_precise] = ACTIONS(2484),
    [anon_sym_shared] = ACTIONS(2484),
    [anon_sym_groupshared] = ACTIONS(2484),
    [anon_sym_uniform] = ACTIONS(2484),
    [anon_sym_row_major] = ACTIONS(2484),
    [anon_sym_column_major] = ACTIONS(2484),
    [anon_sym_globallycoherent] = ACTIONS(2484),
    [anon_sym_centroid] = ACTIONS(2484),
    [anon_sym_noperspective] = ACTIONS(2484),
    [anon_sym_nointerpolation] = ACTIONS(2484),
    [anon_sym_sample] = ACTIONS(2484),
    [anon_sym_linear] = ACTIONS(2484),
    [anon_sym_snorm] = ACTIONS(2484),
    [anon_sym_unorm] = ACTIONS(2484),
    [anon_sym_point] = ACTIONS(2484),
    [anon_sym_line] = ACTIONS(2484),
    [anon_sym_triangleadj] = ACTIONS(2484),
    [anon_sym_lineadj] = ACTIONS(2484),
    [anon_sym_triangle] = ACTIONS(2484),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_include_token1] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(2374),
    [anon_sym___clrcall] = ACTIONS(2374),
    [anon_sym___stdcall] = ACTIONS(2374),
    [anon_sym___fastcall] = ACTIONS(2374),
    [anon_sym___thiscall] = ACTIONS(2374),
    [anon_sym___vectorcall] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_goto] = ACTIONS(2374),
    [anon_sym_not] = ACTIONS(2374),
    [anon_sym_compl] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_sizeof] = ACTIONS(2374),
    [anon_sym___alignof__] = ACTIONS(2374),
    [anon_sym___alignof] = ACTIONS(2374),
    [anon_sym__alignof] = ACTIONS(2374),
    [anon_sym_alignof] = ACTIONS(2374),
    [anon_sym__Alignof] = ACTIONS(2374),
    [anon_sym_offsetof] = ACTIONS(2374),
    [anon_sym__Generic] = ACTIONS(2374),
    [anon_sym_asm] = ACTIONS(2374),
    [anon_sym___asm__] = ACTIONS(2374),
    [anon_sym___asm] = ACTIONS(2374),
    [sym_number_literal] = ACTIONS(2376),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2376),
    [anon_sym_u_DQUOTE] = ACTIONS(2376),
    [anon_sym_U_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [anon_sym_NULL] = ACTIONS(2374),
    [anon_sym_nullptr] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_concept] = ACTIONS(2374),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2374),
    [anon_sym_R_DQUOTE] = ACTIONS(2376),
    [anon_sym_LR_DQUOTE] = ACTIONS(2376),
    [anon_sym_uR_DQUOTE] = ACTIONS(2376),
    [anon_sym_UR_DQUOTE] = ACTIONS(2376),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2376),
    [anon_sym_co_await] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_requires] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(2384),
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_include_token1] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym___cdecl] = ACTIONS(2382),
    [anon_sym___clrcall] = ACTIONS(2382),
    [anon_sym___stdcall] = ACTIONS(2382),
    [anon_sym___fastcall] = ACTIONS(2382),
    [anon_sym___thiscall] = ACTIONS(2382),
    [anon_sym___vectorcall] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_goto] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_compl] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_sizeof] = ACTIONS(2382),
    [anon_sym___alignof__] = ACTIONS(2382),
    [anon_sym___alignof] = ACTIONS(2382),
    [anon_sym__alignof] = ACTIONS(2382),
    [anon_sym_alignof] = ACTIONS(2382),
    [anon_sym__Alignof] = ACTIONS(2382),
    [anon_sym_offsetof] = ACTIONS(2382),
    [anon_sym__Generic] = ACTIONS(2382),
    [anon_sym_asm] = ACTIONS(2382),
    [anon_sym___asm__] = ACTIONS(2382),
    [anon_sym___asm] = ACTIONS(2382),
    [sym_number_literal] = ACTIONS(2384),
    [anon_sym_L_SQUOTE] = ACTIONS(2384),
    [anon_sym_u_SQUOTE] = ACTIONS(2384),
    [anon_sym_U_SQUOTE] = ACTIONS(2384),
    [anon_sym_u8_SQUOTE] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2384),
    [anon_sym_L_DQUOTE] = ACTIONS(2384),
    [anon_sym_u_DQUOTE] = ACTIONS(2384),
    [anon_sym_U_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8_DQUOTE] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2384),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [anon_sym_NULL] = ACTIONS(2382),
    [anon_sym_nullptr] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_concept] = ACTIONS(2382),
    [anon_sym_co_return] = ACTIONS(2382),
    [anon_sym_co_yield] = ACTIONS(2382),
    [anon_sym_R_DQUOTE] = ACTIONS(2384),
    [anon_sym_LR_DQUOTE] = ACTIONS(2384),
    [anon_sym_uR_DQUOTE] = ACTIONS(2384),
    [anon_sym_UR_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2384),
    [anon_sym_co_await] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_requires] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_virtual] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_groupshared] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_row_major] = ACTIONS(2536),
    [anon_sym_column_major] = ACTIONS(2536),
    [anon_sym_globallycoherent] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym_nointerpolation] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_linear] = ACTIONS(2536),
    [anon_sym_snorm] = ACTIONS(2536),
    [anon_sym_unorm] = ACTIONS(2536),
    [anon_sym_point] = ACTIONS(2536),
    [anon_sym_line] = ACTIONS(2536),
    [anon_sym_triangleadj] = ACTIONS(2536),
    [anon_sym_lineadj] = ACTIONS(2536),
    [anon_sym_triangle] = ACTIONS(2536),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(2384),
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_include_token1] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym___cdecl] = ACTIONS(2382),
    [anon_sym___clrcall] = ACTIONS(2382),
    [anon_sym___stdcall] = ACTIONS(2382),
    [anon_sym___fastcall] = ACTIONS(2382),
    [anon_sym___thiscall] = ACTIONS(2382),
    [anon_sym___vectorcall] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_goto] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_compl] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_sizeof] = ACTIONS(2382),
    [anon_sym___alignof__] = ACTIONS(2382),
    [anon_sym___alignof] = ACTIONS(2382),
    [anon_sym__alignof] = ACTIONS(2382),
    [anon_sym_alignof] = ACTIONS(2382),
    [anon_sym__Alignof] = ACTIONS(2382),
    [anon_sym_offsetof] = ACTIONS(2382),
    [anon_sym__Generic] = ACTIONS(2382),
    [anon_sym_asm] = ACTIONS(2382),
    [anon_sym___asm__] = ACTIONS(2382),
    [anon_sym___asm] = ACTIONS(2382),
    [sym_number_literal] = ACTIONS(2384),
    [anon_sym_L_SQUOTE] = ACTIONS(2384),
    [anon_sym_u_SQUOTE] = ACTIONS(2384),
    [anon_sym_U_SQUOTE] = ACTIONS(2384),
    [anon_sym_u8_SQUOTE] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2384),
    [anon_sym_L_DQUOTE] = ACTIONS(2384),
    [anon_sym_u_DQUOTE] = ACTIONS(2384),
    [anon_sym_U_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8_DQUOTE] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2384),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [anon_sym_NULL] = ACTIONS(2382),
    [anon_sym_nullptr] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_concept] = ACTIONS(2382),
    [anon_sym_co_return] = ACTIONS(2382),
    [anon_sym_co_yield] = ACTIONS(2382),
    [anon_sym_R_DQUOTE] = ACTIONS(2384),
    [anon_sym_LR_DQUOTE] = ACTIONS(2384),
    [anon_sym_uR_DQUOTE] = ACTIONS(2384),
    [anon_sym_UR_DQUOTE] = ACTIONS(2384),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2384),
    [anon_sym_co_await] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_requires] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(2542),
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_virtual] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_groupshared] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_row_major] = ACTIONS(2540),
    [anon_sym_column_major] = ACTIONS(2540),
    [anon_sym_globallycoherent] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym_nointerpolation] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_linear] = ACTIONS(2540),
    [anon_sym_snorm] = ACTIONS(2540),
    [anon_sym_unorm] = ACTIONS(2540),
    [anon_sym_point] = ACTIONS(2540),
    [anon_sym_line] = ACTIONS(2540),
    [anon_sym_triangleadj] = ACTIONS(2540),
    [anon_sym_lineadj] = ACTIONS(2540),
    [anon_sym_triangle] = ACTIONS(2540),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(2400),
    [sym_identifier] = ACTIONS(2398),
    [aux_sym_preproc_include_token1] = ACTIONS(2398),
    [aux_sym_preproc_def_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2398),
    [sym_preproc_directive] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2400),
    [anon_sym_BANG] = ACTIONS(2400),
    [anon_sym_TILDE] = ACTIONS(2400),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2400),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2398),
    [anon_sym_typedef] = ACTIONS(2398),
    [anon_sym_in] = ACTIONS(2398),
    [anon_sym_out] = ACTIONS(2398),
    [anon_sym_inout] = ACTIONS(2398),
    [anon_sym_virtual] = ACTIONS(2398),
    [anon_sym_extern] = ACTIONS(2398),
    [anon_sym___attribute__] = ACTIONS(2398),
    [anon_sym___attribute] = ACTIONS(2398),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2400),
    [anon_sym___declspec] = ACTIONS(2398),
    [anon_sym___based] = ACTIONS(2398),
    [anon_sym___cdecl] = ACTIONS(2398),
    [anon_sym___clrcall] = ACTIONS(2398),
    [anon_sym___stdcall] = ACTIONS(2398),
    [anon_sym___fastcall] = ACTIONS(2398),
    [anon_sym___thiscall] = ACTIONS(2398),
    [anon_sym___vectorcall] = ACTIONS(2398),
    [anon_sym_LBRACE] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2398),
    [anon_sym_unsigned] = ACTIONS(2398),
    [anon_sym_long] = ACTIONS(2398),
    [anon_sym_short] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2398),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_register] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(2398),
    [anon_sym___inline] = ACTIONS(2398),
    [anon_sym___inline__] = ACTIONS(2398),
    [anon_sym___forceinline] = ACTIONS(2398),
    [anon_sym_thread_local] = ACTIONS(2398),
    [anon_sym___thread] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_constexpr] = ACTIONS(2398),
    [anon_sym_volatile] = ACTIONS(2398),
    [anon_sym_restrict] = ACTIONS(2398),
    [anon_sym___restrict__] = ACTIONS(2398),
    [anon_sym__Atomic] = ACTIONS(2398),
    [anon_sym__Noreturn] = ACTIONS(2398),
    [anon_sym_noreturn] = ACTIONS(2398),
    [anon_sym__Nonnull] = ACTIONS(2398),
    [anon_sym_mutable] = ACTIONS(2398),
    [anon_sym_constinit] = ACTIONS(2398),
    [anon_sym_consteval] = ACTIONS(2398),
    [anon_sym_alignas] = ACTIONS(2398),
    [anon_sym__Alignas] = ACTIONS(2398),
    [sym_primitive_type] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_class] = ACTIONS(2398),
    [anon_sym_struct] = ACTIONS(2398),
    [anon_sym_union] = ACTIONS(2398),
    [anon_sym_if] = ACTIONS(2398),
    [anon_sym_switch] = ACTIONS(2398),
    [anon_sym_case] = ACTIONS(2398),
    [anon_sym_default] = ACTIONS(2398),
    [anon_sym_while] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(2398),
    [anon_sym_for] = ACTIONS(2398),
    [anon_sym_return] = ACTIONS(2398),
    [anon_sym_break] = ACTIONS(2398),
    [anon_sym_continue] = ACTIONS(2398),
    [anon_sym_goto] = ACTIONS(2398),
    [anon_sym_not] = ACTIONS(2398),
    [anon_sym_compl] = ACTIONS(2398),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_sizeof] = ACTIONS(2398),
    [anon_sym___alignof__] = ACTIONS(2398),
    [anon_sym___alignof] = ACTIONS(2398),
    [anon_sym__alignof] = ACTIONS(2398),
    [anon_sym_alignof] = ACTIONS(2398),
    [anon_sym__Alignof] = ACTIONS(2398),
    [anon_sym_offsetof] = ACTIONS(2398),
    [anon_sym__Generic] = ACTIONS(2398),
    [anon_sym_asm] = ACTIONS(2398),
    [anon_sym___asm__] = ACTIONS(2398),
    [anon_sym___asm] = ACTIONS(2398),
    [sym_number_literal] = ACTIONS(2400),
    [anon_sym_L_SQUOTE] = ACTIONS(2400),
    [anon_sym_u_SQUOTE] = ACTIONS(2400),
    [anon_sym_U_SQUOTE] = ACTIONS(2400),
    [anon_sym_u8_SQUOTE] = ACTIONS(2400),
    [anon_sym_SQUOTE] = ACTIONS(2400),
    [anon_sym_L_DQUOTE] = ACTIONS(2400),
    [anon_sym_u_DQUOTE] = ACTIONS(2400),
    [anon_sym_U_DQUOTE] = ACTIONS(2400),
    [anon_sym_u8_DQUOTE] = ACTIONS(2400),
    [anon_sym_DQUOTE] = ACTIONS(2400),
    [sym_true] = ACTIONS(2398),
    [sym_false] = ACTIONS(2398),
    [anon_sym_NULL] = ACTIONS(2398),
    [anon_sym_nullptr] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2398),
    [anon_sym_decltype] = ACTIONS(2398),
    [anon_sym_explicit] = ACTIONS(2398),
    [anon_sym_typename] = ACTIONS(2398),
    [anon_sym_template] = ACTIONS(2398),
    [anon_sym_operator] = ACTIONS(2398),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_delete] = ACTIONS(2398),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_namespace] = ACTIONS(2398),
    [anon_sym_using] = ACTIONS(2398),
    [anon_sym_static_assert] = ACTIONS(2398),
    [anon_sym_concept] = ACTIONS(2398),
    [anon_sym_co_return] = ACTIONS(2398),
    [anon_sym_co_yield] = ACTIONS(2398),
    [anon_sym_R_DQUOTE] = ACTIONS(2400),
    [anon_sym_LR_DQUOTE] = ACTIONS(2400),
    [anon_sym_uR_DQUOTE] = ACTIONS(2400),
    [anon_sym_UR_DQUOTE] = ACTIONS(2400),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2400),
    [anon_sym_co_await] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(2398),
    [anon_sym_requires] = ACTIONS(2398),
    [sym_this] = ACTIONS(2398),
    [anon_sym_precise] = ACTIONS(2398),
    [anon_sym_shared] = ACTIONS(2398),
    [anon_sym_groupshared] = ACTIONS(2398),
    [anon_sym_uniform] = ACTIONS(2398),
    [anon_sym_row_major] = ACTIONS(2398),
    [anon_sym_column_major] = ACTIONS(2398),
    [anon_sym_globallycoherent] = ACTIONS(2398),
    [anon_sym_centroid] = ACTIONS(2398),
    [anon_sym_noperspective] = ACTIONS(2398),
    [anon_sym_nointerpolation] = ACTIONS(2398),
    [anon_sym_sample] = ACTIONS(2398),
    [anon_sym_linear] = ACTIONS(2398),
    [anon_sym_snorm] = ACTIONS(2398),
    [anon_sym_unorm] = ACTIONS(2398),
    [anon_sym_point] = ACTIONS(2398),
    [anon_sym_line] = ACTIONS(2398),
    [anon_sym_triangleadj] = ACTIONS(2398),
    [anon_sym_lineadj] = ACTIONS(2398),
    [anon_sym_triangle] = ACTIONS(2398),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(2432),
    [sym_identifier] = ACTIONS(2430),
    [aux_sym_preproc_include_token1] = ACTIONS(2430),
    [aux_sym_preproc_def_token1] = ACTIONS(2430),
    [aux_sym_preproc_if_token1] = ACTIONS(2430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2430),
    [sym_preproc_directive] = ACTIONS(2430),
    [anon_sym_LPAREN2] = ACTIONS(2432),
    [anon_sym_BANG] = ACTIONS(2432),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2432),
    [anon_sym___extension__] = ACTIONS(2430),
    [anon_sym_typedef] = ACTIONS(2430),
    [anon_sym_in] = ACTIONS(2430),
    [anon_sym_out] = ACTIONS(2430),
    [anon_sym_inout] = ACTIONS(2430),
    [anon_sym_virtual] = ACTIONS(2430),
    [anon_sym_extern] = ACTIONS(2430),
    [anon_sym___attribute__] = ACTIONS(2430),
    [anon_sym___attribute] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2432),
    [anon_sym___declspec] = ACTIONS(2430),
    [anon_sym___based] = ACTIONS(2430),
    [anon_sym___cdecl] = ACTIONS(2430),
    [anon_sym___clrcall] = ACTIONS(2430),
    [anon_sym___stdcall] = ACTIONS(2430),
    [anon_sym___fastcall] = ACTIONS(2430),
    [anon_sym___thiscall] = ACTIONS(2430),
    [anon_sym___vectorcall] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2432),
    [anon_sym_signed] = ACTIONS(2430),
    [anon_sym_unsigned] = ACTIONS(2430),
    [anon_sym_long] = ACTIONS(2430),
    [anon_sym_short] = ACTIONS(2430),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym_static] = ACTIONS(2430),
    [anon_sym_register] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(2430),
    [anon_sym___inline] = ACTIONS(2430),
    [anon_sym___inline__] = ACTIONS(2430),
    [anon_sym___forceinline] = ACTIONS(2430),
    [anon_sym_thread_local] = ACTIONS(2430),
    [anon_sym___thread] = ACTIONS(2430),
    [anon_sym_const] = ACTIONS(2430),
    [anon_sym_constexpr] = ACTIONS(2430),
    [anon_sym_volatile] = ACTIONS(2430),
    [anon_sym_restrict] = ACTIONS(2430),
    [anon_sym___restrict__] = ACTIONS(2430),
    [anon_sym__Atomic] = ACTIONS(2430),
    [anon_sym__Noreturn] = ACTIONS(2430),
    [anon_sym_noreturn] = ACTIONS(2430),
    [anon_sym__Nonnull] = ACTIONS(2430),
    [anon_sym_mutable] = ACTIONS(2430),
    [anon_sym_constinit] = ACTIONS(2430),
    [anon_sym_consteval] = ACTIONS(2430),
    [anon_sym_alignas] = ACTIONS(2430),
    [anon_sym__Alignas] = ACTIONS(2430),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_enum] = ACTIONS(2430),
    [anon_sym_class] = ACTIONS(2430),
    [anon_sym_struct] = ACTIONS(2430),
    [anon_sym_union] = ACTIONS(2430),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_switch] = ACTIONS(2430),
    [anon_sym_case] = ACTIONS(2430),
    [anon_sym_default] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2430),
    [anon_sym_do] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2430),
    [anon_sym_return] = ACTIONS(2430),
    [anon_sym_break] = ACTIONS(2430),
    [anon_sym_continue] = ACTIONS(2430),
    [anon_sym_goto] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2430),
    [anon_sym_compl] = ACTIONS(2430),
    [anon_sym_DASH_DASH] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2432),
    [anon_sym_sizeof] = ACTIONS(2430),
    [anon_sym___alignof__] = ACTIONS(2430),
    [anon_sym___alignof] = ACTIONS(2430),
    [anon_sym__alignof] = ACTIONS(2430),
    [anon_sym_alignof] = ACTIONS(2430),
    [anon_sym__Alignof] = ACTIONS(2430),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2430),
    [anon_sym_asm] = ACTIONS(2430),
    [anon_sym___asm__] = ACTIONS(2430),
    [anon_sym___asm] = ACTIONS(2430),
    [sym_number_literal] = ACTIONS(2432),
    [anon_sym_L_SQUOTE] = ACTIONS(2432),
    [anon_sym_u_SQUOTE] = ACTIONS(2432),
    [anon_sym_U_SQUOTE] = ACTIONS(2432),
    [anon_sym_u8_SQUOTE] = ACTIONS(2432),
    [anon_sym_SQUOTE] = ACTIONS(2432),
    [anon_sym_L_DQUOTE] = ACTIONS(2432),
    [anon_sym_u_DQUOTE] = ACTIONS(2432),
    [anon_sym_U_DQUOTE] = ACTIONS(2432),
    [anon_sym_u8_DQUOTE] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2432),
    [sym_true] = ACTIONS(2430),
    [sym_false] = ACTIONS(2430),
    [anon_sym_NULL] = ACTIONS(2430),
    [anon_sym_nullptr] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2430),
    [anon_sym_decltype] = ACTIONS(2430),
    [anon_sym_explicit] = ACTIONS(2430),
    [anon_sym_typename] = ACTIONS(2430),
    [anon_sym_template] = ACTIONS(2430),
    [anon_sym_operator] = ACTIONS(2430),
    [anon_sym_try] = ACTIONS(2430),
    [anon_sym_delete] = ACTIONS(2430),
    [anon_sym_throw] = ACTIONS(2430),
    [anon_sym_namespace] = ACTIONS(2430),
    [anon_sym_using] = ACTIONS(2430),
    [anon_sym_static_assert] = ACTIONS(2430),
    [anon_sym_concept] = ACTIONS(2430),
    [anon_sym_co_return] = ACTIONS(2430),
    [anon_sym_co_yield] = ACTIONS(2430),
    [anon_sym_R_DQUOTE] = ACTIONS(2432),
    [anon_sym_LR_DQUOTE] = ACTIONS(2432),
    [anon_sym_uR_DQUOTE] = ACTIONS(2432),
    [anon_sym_UR_DQUOTE] = ACTIONS(2432),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2432),
    [anon_sym_co_await] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2430),
    [anon_sym_requires] = ACTIONS(2430),
    [sym_this] = ACTIONS(2430),
    [anon_sym_precise] = ACTIONS(2430),
    [anon_sym_shared] = ACTIONS(2430),
    [anon_sym_groupshared] = ACTIONS(2430),
    [anon_sym_uniform] = ACTIONS(2430),
    [anon_sym_row_major] = ACTIONS(2430),
    [anon_sym_column_major] = ACTIONS(2430),
    [anon_sym_globallycoherent] = ACTIONS(2430),
    [anon_sym_centroid] = ACTIONS(2430),
    [anon_sym_noperspective] = ACTIONS(2430),
    [anon_sym_nointerpolation] = ACTIONS(2430),
    [anon_sym_sample] = ACTIONS(2430),
    [anon_sym_linear] = ACTIONS(2430),
    [anon_sym_snorm] = ACTIONS(2430),
    [anon_sym_unorm] = ACTIONS(2430),
    [anon_sym_point] = ACTIONS(2430),
    [anon_sym_line] = ACTIONS(2430),
    [anon_sym_triangleadj] = ACTIONS(2430),
    [anon_sym_lineadj] = ACTIONS(2430),
    [anon_sym_triangle] = ACTIONS(2430),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(2490),
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_in] = ACTIONS(2488),
    [anon_sym_out] = ACTIONS(2488),
    [anon_sym_inout] = ACTIONS(2488),
    [anon_sym_virtual] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym___attribute] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym__Nonnull] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym__Alignas] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [anon_sym___asm] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
    [anon_sym_precise] = ACTIONS(2488),
    [anon_sym_shared] = ACTIONS(2488),
    [anon_sym_groupshared] = ACTIONS(2488),
    [anon_sym_uniform] = ACTIONS(2488),
    [anon_sym_row_major] = ACTIONS(2488),
    [anon_sym_column_major] = ACTIONS(2488),
    [anon_sym_globallycoherent] = ACTIONS(2488),
    [anon_sym_centroid] = ACTIONS(2488),
    [anon_sym_noperspective] = ACTIONS(2488),
    [anon_sym_nointerpolation] = ACTIONS(2488),
    [anon_sym_sample] = ACTIONS(2488),
    [anon_sym_linear] = ACTIONS(2488),
    [anon_sym_snorm] = ACTIONS(2488),
    [anon_sym_unorm] = ACTIONS(2488),
    [anon_sym_point] = ACTIONS(2488),
    [anon_sym_line] = ACTIONS(2488),
    [anon_sym_triangleadj] = ACTIONS(2488),
    [anon_sym_lineadj] = ACTIONS(2488),
    [anon_sym_triangle] = ACTIONS(2488),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(2392),
    [sym_identifier] = ACTIONS(2390),
    [aux_sym_preproc_include_token1] = ACTIONS(2390),
    [aux_sym_preproc_def_token1] = ACTIONS(2390),
    [aux_sym_preproc_if_token1] = ACTIONS(2390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2390),
    [sym_preproc_directive] = ACTIONS(2390),
    [anon_sym_LPAREN2] = ACTIONS(2392),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_TILDE] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_AMP_AMP] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2390),
    [anon_sym_SEMI] = ACTIONS(2392),
    [anon_sym___extension__] = ACTIONS(2390),
    [anon_sym_typedef] = ACTIONS(2390),
    [anon_sym_in] = ACTIONS(2390),
    [anon_sym_out] = ACTIONS(2390),
    [anon_sym_inout] = ACTIONS(2390),
    [anon_sym_virtual] = ACTIONS(2390),
    [anon_sym_extern] = ACTIONS(2390),
    [anon_sym___attribute__] = ACTIONS(2390),
    [anon_sym___attribute] = ACTIONS(2390),
    [anon_sym_COLON_COLON] = ACTIONS(2392),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2392),
    [anon_sym___declspec] = ACTIONS(2390),
    [anon_sym___based] = ACTIONS(2390),
    [anon_sym___cdecl] = ACTIONS(2390),
    [anon_sym___clrcall] = ACTIONS(2390),
    [anon_sym___stdcall] = ACTIONS(2390),
    [anon_sym___fastcall] = ACTIONS(2390),
    [anon_sym___thiscall] = ACTIONS(2390),
    [anon_sym___vectorcall] = ACTIONS(2390),
    [anon_sym_LBRACE] = ACTIONS(2392),
    [anon_sym_signed] = ACTIONS(2390),
    [anon_sym_unsigned] = ACTIONS(2390),
    [anon_sym_long] = ACTIONS(2390),
    [anon_sym_short] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_static] = ACTIONS(2390),
    [anon_sym_register] = ACTIONS(2390),
    [anon_sym_inline] = ACTIONS(2390),
    [anon_sym___inline] = ACTIONS(2390),
    [anon_sym___inline__] = ACTIONS(2390),
    [anon_sym___forceinline] = ACTIONS(2390),
    [anon_sym_thread_local] = ACTIONS(2390),
    [anon_sym___thread] = ACTIONS(2390),
    [anon_sym_const] = ACTIONS(2390),
    [anon_sym_constexpr] = ACTIONS(2390),
    [anon_sym_volatile] = ACTIONS(2390),
    [anon_sym_restrict] = ACTIONS(2390),
    [anon_sym___restrict__] = ACTIONS(2390),
    [anon_sym__Atomic] = ACTIONS(2390),
    [anon_sym__Noreturn] = ACTIONS(2390),
    [anon_sym_noreturn] = ACTIONS(2390),
    [anon_sym__Nonnull] = ACTIONS(2390),
    [anon_sym_mutable] = ACTIONS(2390),
    [anon_sym_constinit] = ACTIONS(2390),
    [anon_sym_consteval] = ACTIONS(2390),
    [anon_sym_alignas] = ACTIONS(2390),
    [anon_sym__Alignas] = ACTIONS(2390),
    [sym_primitive_type] = ACTIONS(2390),
    [anon_sym_enum] = ACTIONS(2390),
    [anon_sym_class] = ACTIONS(2390),
    [anon_sym_struct] = ACTIONS(2390),
    [anon_sym_union] = ACTIONS(2390),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_switch] = ACTIONS(2390),
    [anon_sym_case] = ACTIONS(2390),
    [anon_sym_default] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2390),
    [anon_sym_do] = ACTIONS(2390),
    [anon_sym_for] = ACTIONS(2390),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_break] = ACTIONS(2390),
    [anon_sym_continue] = ACTIONS(2390),
    [anon_sym_goto] = ACTIONS(2390),
    [anon_sym_not] = ACTIONS(2390),
    [anon_sym_compl] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2392),
    [anon_sym_PLUS_PLUS] = ACTIONS(2392),
    [anon_sym_sizeof] = ACTIONS(2390),
    [anon_sym___alignof__] = ACTIONS(2390),
    [anon_sym___alignof] = ACTIONS(2390),
    [anon_sym__alignof] = ACTIONS(2390),
    [anon_sym_alignof] = ACTIONS(2390),
    [anon_sym__Alignof] = ACTIONS(2390),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2390),
    [anon_sym_asm] = ACTIONS(2390),
    [anon_sym___asm__] = ACTIONS(2390),
    [anon_sym___asm] = ACTIONS(2390),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2392),
    [anon_sym_u_SQUOTE] = ACTIONS(2392),
    [anon_sym_U_SQUOTE] = ACTIONS(2392),
    [anon_sym_u8_SQUOTE] = ACTIONS(2392),
    [anon_sym_SQUOTE] = ACTIONS(2392),
    [anon_sym_L_DQUOTE] = ACTIONS(2392),
    [anon_sym_u_DQUOTE] = ACTIONS(2392),
    [anon_sym_U_DQUOTE] = ACTIONS(2392),
    [anon_sym_u8_DQUOTE] = ACTIONS(2392),
    [anon_sym_DQUOTE] = ACTIONS(2392),
    [sym_true] = ACTIONS(2390),
    [sym_false] = ACTIONS(2390),
    [anon_sym_NULL] = ACTIONS(2390),
    [anon_sym_nullptr] = ACTIONS(2390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2390),
    [anon_sym_decltype] = ACTIONS(2390),
    [anon_sym_explicit] = ACTIONS(2390),
    [anon_sym_typename] = ACTIONS(2390),
    [anon_sym_template] = ACTIONS(2390),
    [anon_sym_operator] = ACTIONS(2390),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2390),
    [anon_sym_namespace] = ACTIONS(2390),
    [anon_sym_using] = ACTIONS(2390),
    [anon_sym_static_assert] = ACTIONS(2390),
    [anon_sym_concept] = ACTIONS(2390),
    [anon_sym_co_return] = ACTIONS(2390),
    [anon_sym_co_yield] = ACTIONS(2390),
    [anon_sym_R_DQUOTE] = ACTIONS(2392),
    [anon_sym_LR_DQUOTE] = ACTIONS(2392),
    [anon_sym_uR_DQUOTE] = ACTIONS(2392),
    [anon_sym_UR_DQUOTE] = ACTIONS(2392),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2392),
    [anon_sym_co_await] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(2390),
    [anon_sym_requires] = ACTIONS(2390),
    [sym_this] = ACTIONS(2390),
    [anon_sym_precise] = ACTIONS(2390),
    [anon_sym_shared] = ACTIONS(2390),
    [anon_sym_groupshared] = ACTIONS(2390),
    [anon_sym_uniform] = ACTIONS(2390),
    [anon_sym_row_major] = ACTIONS(2390),
    [anon_sym_column_major] = ACTIONS(2390),
    [anon_sym_globallycoherent] = ACTIONS(2390),
    [anon_sym_centroid] = ACTIONS(2390),
    [anon_sym_noperspective] = ACTIONS(2390),
    [anon_sym_nointerpolation] = ACTIONS(2390),
    [anon_sym_sample] = ACTIONS(2390),
    [anon_sym_linear] = ACTIONS(2390),
    [anon_sym_snorm] = ACTIONS(2390),
    [anon_sym_unorm] = ACTIONS(2390),
    [anon_sym_point] = ACTIONS(2390),
    [anon_sym_line] = ACTIONS(2390),
    [anon_sym_triangleadj] = ACTIONS(2390),
    [anon_sym_lineadj] = ACTIONS(2390),
    [anon_sym_triangle] = ACTIONS(2390),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(2578),
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_out] = ACTIONS(2576),
    [anon_sym_inout] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
    [anon_sym_precise] = ACTIONS(2576),
    [anon_sym_shared] = ACTIONS(2576),
    [anon_sym_groupshared] = ACTIONS(2576),
    [anon_sym_uniform] = ACTIONS(2576),
    [anon_sym_row_major] = ACTIONS(2576),
    [anon_sym_column_major] = ACTIONS(2576),
    [anon_sym_globallycoherent] = ACTIONS(2576),
    [anon_sym_centroid] = ACTIONS(2576),
    [anon_sym_noperspective] = ACTIONS(2576),
    [anon_sym_nointerpolation] = ACTIONS(2576),
    [anon_sym_sample] = ACTIONS(2576),
    [anon_sym_linear] = ACTIONS(2576),
    [anon_sym_snorm] = ACTIONS(2576),
    [anon_sym_unorm] = ACTIONS(2576),
    [anon_sym_point] = ACTIONS(2576),
    [anon_sym_line] = ACTIONS(2576),
    [anon_sym_triangleadj] = ACTIONS(2576),
    [anon_sym_lineadj] = ACTIONS(2576),
    [anon_sym_triangle] = ACTIONS(2576),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(2448),
    [sym_identifier] = ACTIONS(2446),
    [aux_sym_preproc_include_token1] = ACTIONS(2446),
    [aux_sym_preproc_def_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2446),
    [sym_preproc_directive] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(2448),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_typedef] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(2446),
    [anon_sym_out] = ACTIONS(2446),
    [anon_sym_inout] = ACTIONS(2446),
    [anon_sym_virtual] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym___attribute] = ACTIONS(2446),
    [anon_sym_COLON_COLON] = ACTIONS(2448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2448),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2446),
    [anon_sym_unsigned] = ACTIONS(2446),
    [anon_sym_long] = ACTIONS(2446),
    [anon_sym_short] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym__Nonnull] = ACTIONS(2446),
    [anon_sym_mutable] = ACTIONS(2446),
    [anon_sym_constinit] = ACTIONS(2446),
    [anon_sym_consteval] = ACTIONS(2446),
    [anon_sym_alignas] = ACTIONS(2446),
    [anon_sym__Alignas] = ACTIONS(2446),
    [sym_primitive_type] = ACTIONS(2446),
    [anon_sym_enum] = ACTIONS(2446),
    [anon_sym_class] = ACTIONS(2446),
    [anon_sym_struct] = ACTIONS(2446),
    [anon_sym_union] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_switch] = ACTIONS(2446),
    [anon_sym_case] = ACTIONS(2446),
    [anon_sym_default] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(2446),
    [anon_sym_for] = ACTIONS(2446),
    [anon_sym_return] = ACTIONS(2446),
    [anon_sym_break] = ACTIONS(2446),
    [anon_sym_continue] = ACTIONS(2446),
    [anon_sym_goto] = ACTIONS(2446),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_compl] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_sizeof] = ACTIONS(2446),
    [anon_sym___alignof__] = ACTIONS(2446),
    [anon_sym___alignof] = ACTIONS(2446),
    [anon_sym__alignof] = ACTIONS(2446),
    [anon_sym_alignof] = ACTIONS(2446),
    [anon_sym__Alignof] = ACTIONS(2446),
    [anon_sym_offsetof] = ACTIONS(2446),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2446),
    [anon_sym___asm__] = ACTIONS(2446),
    [anon_sym___asm] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [anon_sym_L_SQUOTE] = ACTIONS(2448),
    [anon_sym_u_SQUOTE] = ACTIONS(2448),
    [anon_sym_U_SQUOTE] = ACTIONS(2448),
    [anon_sym_u8_SQUOTE] = ACTIONS(2448),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(2448),
    [anon_sym_u_DQUOTE] = ACTIONS(2448),
    [anon_sym_U_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [sym_true] = ACTIONS(2446),
    [sym_false] = ACTIONS(2446),
    [anon_sym_NULL] = ACTIONS(2446),
    [anon_sym_nullptr] = ACTIONS(2446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2446),
    [anon_sym_decltype] = ACTIONS(2446),
    [anon_sym_explicit] = ACTIONS(2446),
    [anon_sym_typename] = ACTIONS(2446),
    [anon_sym_template] = ACTIONS(2446),
    [anon_sym_operator] = ACTIONS(2446),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_using] = ACTIONS(2446),
    [anon_sym_static_assert] = ACTIONS(2446),
    [anon_sym_concept] = ACTIONS(2446),
    [anon_sym_co_return] = ACTIONS(2446),
    [anon_sym_co_yield] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_requires] = ACTIONS(2446),
    [sym_this] = ACTIONS(2446),
    [anon_sym_precise] = ACTIONS(2446),
    [anon_sym_shared] = ACTIONS(2446),
    [anon_sym_groupshared] = ACTIONS(2446),
    [anon_sym_uniform] = ACTIONS(2446),
    [anon_sym_row_major] = ACTIONS(2446),
    [anon_sym_column_major] = ACTIONS(2446),
    [anon_sym_globallycoherent] = ACTIONS(2446),
    [anon_sym_centroid] = ACTIONS(2446),
    [anon_sym_noperspective] = ACTIONS(2446),
    [anon_sym_nointerpolation] = ACTIONS(2446),
    [anon_sym_sample] = ACTIONS(2446),
    [anon_sym_linear] = ACTIONS(2446),
    [anon_sym_snorm] = ACTIONS(2446),
    [anon_sym_unorm] = ACTIONS(2446),
    [anon_sym_point] = ACTIONS(2446),
    [anon_sym_line] = ACTIONS(2446),
    [anon_sym_triangleadj] = ACTIONS(2446),
    [anon_sym_lineadj] = ACTIONS(2446),
    [anon_sym_triangle] = ACTIONS(2446),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(2605),
    [sym_identifier] = ACTIONS(2603),
    [aux_sym_preproc_include_token1] = ACTIONS(2603),
    [aux_sym_preproc_def_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2603),
    [sym_preproc_directive] = ACTIONS(2603),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym___extension__] = ACTIONS(2603),
    [anon_sym_typedef] = ACTIONS(2603),
    [anon_sym_in] = ACTIONS(2603),
    [anon_sym_out] = ACTIONS(2603),
    [anon_sym_inout] = ACTIONS(2603),
    [anon_sym_virtual] = ACTIONS(2603),
    [anon_sym_extern] = ACTIONS(2603),
    [anon_sym___attribute__] = ACTIONS(2603),
    [anon_sym___attribute] = ACTIONS(2603),
    [anon_sym_COLON_COLON] = ACTIONS(2605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2605),
    [anon_sym___declspec] = ACTIONS(2603),
    [anon_sym___based] = ACTIONS(2603),
    [anon_sym___cdecl] = ACTIONS(2603),
    [anon_sym___clrcall] = ACTIONS(2603),
    [anon_sym___stdcall] = ACTIONS(2603),
    [anon_sym___fastcall] = ACTIONS(2603),
    [anon_sym___thiscall] = ACTIONS(2603),
    [anon_sym___vectorcall] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(2605),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [anon_sym_static] = ACTIONS(2603),
    [anon_sym_register] = ACTIONS(2603),
    [anon_sym_inline] = ACTIONS(2603),
    [anon_sym___inline] = ACTIONS(2603),
    [anon_sym___inline__] = ACTIONS(2603),
    [anon_sym___forceinline] = ACTIONS(2603),
    [anon_sym_thread_local] = ACTIONS(2603),
    [anon_sym___thread] = ACTIONS(2603),
    [anon_sym_const] = ACTIONS(2603),
    [anon_sym_constexpr] = ACTIONS(2603),
    [anon_sym_volatile] = ACTIONS(2603),
    [anon_sym_restrict] = ACTIONS(2603),
    [anon_sym___restrict__] = ACTIONS(2603),
    [anon_sym__Atomic] = ACTIONS(2603),
    [anon_sym__Noreturn] = ACTIONS(2603),
    [anon_sym_noreturn] = ACTIONS(2603),
    [anon_sym__Nonnull] = ACTIONS(2603),
    [anon_sym_mutable] = ACTIONS(2603),
    [anon_sym_constinit] = ACTIONS(2603),
    [anon_sym_consteval] = ACTIONS(2603),
    [anon_sym_alignas] = ACTIONS(2603),
    [anon_sym__Alignas] = ACTIONS(2603),
    [sym_primitive_type] = ACTIONS(2603),
    [anon_sym_enum] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2603),
    [anon_sym_union] = ACTIONS(2603),
    [anon_sym_if] = ACTIONS(2603),
    [anon_sym_switch] = ACTIONS(2603),
    [anon_sym_case] = ACTIONS(2603),
    [anon_sym_default] = ACTIONS(2603),
    [anon_sym_while] = ACTIONS(2603),
    [anon_sym_do] = ACTIONS(2603),
    [anon_sym_for] = ACTIONS(2603),
    [anon_sym_return] = ACTIONS(2603),
    [anon_sym_break] = ACTIONS(2603),
    [anon_sym_continue] = ACTIONS(2603),
    [anon_sym_goto] = ACTIONS(2603),
    [anon_sym_not] = ACTIONS(2603),
    [anon_sym_compl] = ACTIONS(2603),
    [anon_sym_DASH_DASH] = ACTIONS(2605),
    [anon_sym_PLUS_PLUS] = ACTIONS(2605),
    [anon_sym_sizeof] = ACTIONS(2603),
    [anon_sym___alignof__] = ACTIONS(2603),
    [anon_sym___alignof] = ACTIONS(2603),
    [anon_sym__alignof] = ACTIONS(2603),
    [anon_sym_alignof] = ACTIONS(2603),
    [anon_sym__Alignof] = ACTIONS(2603),
    [anon_sym_offsetof] = ACTIONS(2603),
    [anon_sym__Generic] = ACTIONS(2603),
    [anon_sym_asm] = ACTIONS(2603),
    [anon_sym___asm__] = ACTIONS(2603),
    [anon_sym___asm] = ACTIONS(2603),
    [sym_number_literal] = ACTIONS(2605),
    [anon_sym_L_SQUOTE] = ACTIONS(2605),
    [anon_sym_u_SQUOTE] = ACTIONS(2605),
    [anon_sym_U_SQUOTE] = ACTIONS(2605),
    [anon_sym_u8_SQUOTE] = ACTIONS(2605),
    [anon_sym_SQUOTE] = ACTIONS(2605),
    [anon_sym_L_DQUOTE] = ACTIONS(2605),
    [anon_sym_u_DQUOTE] = ACTIONS(2605),
    [anon_sym_U_DQUOTE] = ACTIONS(2605),
    [anon_sym_u8_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [sym_true] = ACTIONS(2603),
    [sym_false] = ACTIONS(2603),
    [anon_sym_NULL] = ACTIONS(2603),
    [anon_sym_nullptr] = ACTIONS(2603),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2603),
    [anon_sym_decltype] = ACTIONS(2603),
    [anon_sym_explicit] = ACTIONS(2603),
    [anon_sym_typename] = ACTIONS(2603),
    [anon_sym_template] = ACTIONS(2603),
    [anon_sym_operator] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2603),
    [anon_sym_delete] = ACTIONS(2603),
    [anon_sym_throw] = ACTIONS(2603),
    [anon_sym_namespace] = ACTIONS(2603),
    [anon_sym_using] = ACTIONS(2603),
    [anon_sym_static_assert] = ACTIONS(2603),
    [anon_sym_concept] = ACTIONS(2603),
    [anon_sym_co_return] = ACTIONS(2603),
    [anon_sym_co_yield] = ACTIONS(2603),
    [anon_sym_R_DQUOTE] = ACTIONS(2605),
    [anon_sym_LR_DQUOTE] = ACTIONS(2605),
    [anon_sym_uR_DQUOTE] = ACTIONS(2605),
    [anon_sym_UR_DQUOTE] = ACTIONS(2605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2605),
    [anon_sym_co_await] = ACTIONS(2603),
    [anon_sym_new] = ACTIONS(2603),
    [anon_sym_requires] = ACTIONS(2603),
    [sym_this] = ACTIONS(2603),
    [anon_sym_precise] = ACTIONS(2603),
    [anon_sym_shared] = ACTIONS(2603),
    [anon_sym_groupshared] = ACTIONS(2603),
    [anon_sym_uniform] = ACTIONS(2603),
    [anon_sym_row_major] = ACTIONS(2603),
    [anon_sym_column_major] = ACTIONS(2603),
    [anon_sym_globallycoherent] = ACTIONS(2603),
    [anon_sym_centroid] = ACTIONS(2603),
    [anon_sym_noperspective] = ACTIONS(2603),
    [anon_sym_nointerpolation] = ACTIONS(2603),
    [anon_sym_sample] = ACTIONS(2603),
    [anon_sym_linear] = ACTIONS(2603),
    [anon_sym_snorm] = ACTIONS(2603),
    [anon_sym_unorm] = ACTIONS(2603),
    [anon_sym_point] = ACTIONS(2603),
    [anon_sym_line] = ACTIONS(2603),
    [anon_sym_triangleadj] = ACTIONS(2603),
    [anon_sym_lineadj] = ACTIONS(2603),
    [anon_sym_triangle] = ACTIONS(2603),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(2452),
    [sym_identifier] = ACTIONS(2450),
    [aux_sym_preproc_include_token1] = ACTIONS(2450),
    [aux_sym_preproc_def_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2450),
    [sym_preproc_directive] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym___extension__] = ACTIONS(2450),
    [anon_sym_typedef] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2450),
    [anon_sym_out] = ACTIONS(2450),
    [anon_sym_inout] = ACTIONS(2450),
    [anon_sym_virtual] = ACTIONS(2450),
    [anon_sym_extern] = ACTIONS(2450),
    [anon_sym___attribute__] = ACTIONS(2450),
    [anon_sym___attribute] = ACTIONS(2450),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2452),
    [anon_sym___declspec] = ACTIONS(2450),
    [anon_sym___based] = ACTIONS(2450),
    [anon_sym___cdecl] = ACTIONS(2450),
    [anon_sym___clrcall] = ACTIONS(2450),
    [anon_sym___stdcall] = ACTIONS(2450),
    [anon_sym___fastcall] = ACTIONS(2450),
    [anon_sym___thiscall] = ACTIONS(2450),
    [anon_sym___vectorcall] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2450),
    [anon_sym_unsigned] = ACTIONS(2450),
    [anon_sym_long] = ACTIONS(2450),
    [anon_sym_short] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_register] = ACTIONS(2450),
    [anon_sym_inline] = ACTIONS(2450),
    [anon_sym___inline] = ACTIONS(2450),
    [anon_sym___inline__] = ACTIONS(2450),
    [anon_sym___forceinline] = ACTIONS(2450),
    [anon_sym_thread_local] = ACTIONS(2450),
    [anon_sym___thread] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_constexpr] = ACTIONS(2450),
    [anon_sym_volatile] = ACTIONS(2450),
    [anon_sym_restrict] = ACTIONS(2450),
    [anon_sym___restrict__] = ACTIONS(2450),
    [anon_sym__Atomic] = ACTIONS(2450),
    [anon_sym__Noreturn] = ACTIONS(2450),
    [anon_sym_noreturn] = ACTIONS(2450),
    [anon_sym__Nonnull] = ACTIONS(2450),
    [anon_sym_mutable] = ACTIONS(2450),
    [anon_sym_constinit] = ACTIONS(2450),
    [anon_sym_consteval] = ACTIONS(2450),
    [anon_sym_alignas] = ACTIONS(2450),
    [anon_sym__Alignas] = ACTIONS(2450),
    [sym_primitive_type] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_struct] = ACTIONS(2450),
    [anon_sym_union] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_case] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_goto] = ACTIONS(2450),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_sizeof] = ACTIONS(2450),
    [anon_sym___alignof__] = ACTIONS(2450),
    [anon_sym___alignof] = ACTIONS(2450),
    [anon_sym__alignof] = ACTIONS(2450),
    [anon_sym_alignof] = ACTIONS(2450),
    [anon_sym__Alignof] = ACTIONS(2450),
    [anon_sym_offsetof] = ACTIONS(2450),
    [anon_sym__Generic] = ACTIONS(2450),
    [anon_sym_asm] = ACTIONS(2450),
    [anon_sym___asm__] = ACTIONS(2450),
    [anon_sym___asm] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2452),
    [anon_sym_u_SQUOTE] = ACTIONS(2452),
    [anon_sym_U_SQUOTE] = ACTIONS(2452),
    [anon_sym_u8_SQUOTE] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_L_DQUOTE] = ACTIONS(2452),
    [anon_sym_u_DQUOTE] = ACTIONS(2452),
    [anon_sym_U_DQUOTE] = ACTIONS(2452),
    [anon_sym_u8_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2450),
    [anon_sym_decltype] = ACTIONS(2450),
    [anon_sym_explicit] = ACTIONS(2450),
    [anon_sym_typename] = ACTIONS(2450),
    [anon_sym_template] = ACTIONS(2450),
    [anon_sym_operator] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_static_assert] = ACTIONS(2450),
    [anon_sym_concept] = ACTIONS(2450),
    [anon_sym_co_return] = ACTIONS(2450),
    [anon_sym_co_yield] = ACTIONS(2450),
    [anon_sym_R_DQUOTE] = ACTIONS(2452),
    [anon_sym_LR_DQUOTE] = ACTIONS(2452),
    [anon_sym_uR_DQUOTE] = ACTIONS(2452),
    [anon_sym_UR_DQUOTE] = ACTIONS(2452),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2452),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_requires] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [anon_sym_precise] = ACTIONS(2450),
    [anon_sym_shared] = ACTIONS(2450),
    [anon_sym_groupshared] = ACTIONS(2450),
    [anon_sym_uniform] = ACTIONS(2450),
    [anon_sym_row_major] = ACTIONS(2450),
    [anon_sym_column_major] = ACTIONS(2450),
    [anon_sym_globallycoherent] = ACTIONS(2450),
    [anon_sym_centroid] = ACTIONS(2450),
    [anon_sym_noperspective] = ACTIONS(2450),
    [anon_sym_nointerpolation] = ACTIONS(2450),
    [anon_sym_sample] = ACTIONS(2450),
    [anon_sym_linear] = ACTIONS(2450),
    [anon_sym_snorm] = ACTIONS(2450),
    [anon_sym_unorm] = ACTIONS(2450),
    [anon_sym_point] = ACTIONS(2450),
    [anon_sym_line] = ACTIONS(2450),
    [anon_sym_triangleadj] = ACTIONS(2450),
    [anon_sym_lineadj] = ACTIONS(2450),
    [anon_sym_triangle] = ACTIONS(2450),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(2494),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym___attribute] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(2554),
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_groupshared] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_row_major] = ACTIONS(2552),
    [anon_sym_column_major] = ACTIONS(2552),
    [anon_sym_globallycoherent] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym_nointerpolation] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_linear] = ACTIONS(2552),
    [anon_sym_snorm] = ACTIONS(2552),
    [anon_sym_unorm] = ACTIONS(2552),
    [anon_sym_point] = ACTIONS(2552),
    [anon_sym_line] = ACTIONS(2552),
    [anon_sym_triangleadj] = ACTIONS(2552),
    [anon_sym_lineadj] = ACTIONS(2552),
    [anon_sym_triangle] = ACTIONS(2552),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_virtual] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_groupshared] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_row_major] = ACTIONS(2544),
    [anon_sym_column_major] = ACTIONS(2544),
    [anon_sym_globallycoherent] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym_nointerpolation] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_linear] = ACTIONS(2544),
    [anon_sym_snorm] = ACTIONS(2544),
    [anon_sym_unorm] = ACTIONS(2544),
    [anon_sym_point] = ACTIONS(2544),
    [anon_sym_line] = ACTIONS(2544),
    [anon_sym_triangleadj] = ACTIONS(2544),
    [anon_sym_lineadj] = ACTIONS(2544),
    [anon_sym_triangle] = ACTIONS(2544),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(2404),
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym_not] = ACTIONS(2402),
    [anon_sym_compl] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_concept] = ACTIONS(2402),
    [anon_sym_co_return] = ACTIONS(2402),
    [anon_sym_co_yield] = ACTIONS(2402),
    [anon_sym_R_DQUOTE] = ACTIONS(2404),
    [anon_sym_LR_DQUOTE] = ACTIONS(2404),
    [anon_sym_uR_DQUOTE] = ACTIONS(2404),
    [anon_sym_UR_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2404),
    [anon_sym_co_await] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_requires] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(2607),
    [aux_sym_preproc_include_token1] = ACTIONS(2607),
    [aux_sym_preproc_def_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2607),
    [sym_preproc_directive] = ACTIONS(2607),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_STAR] = ACTIONS(2609),
    [anon_sym_AMP_AMP] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym___extension__] = ACTIONS(2607),
    [anon_sym_typedef] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2607),
    [anon_sym_out] = ACTIONS(2607),
    [anon_sym_inout] = ACTIONS(2607),
    [anon_sym_virtual] = ACTIONS(2607),
    [anon_sym_extern] = ACTIONS(2607),
    [anon_sym___attribute__] = ACTIONS(2607),
    [anon_sym___attribute] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(2609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2609),
    [anon_sym___declspec] = ACTIONS(2607),
    [anon_sym___based] = ACTIONS(2607),
    [anon_sym___cdecl] = ACTIONS(2607),
    [anon_sym___clrcall] = ACTIONS(2607),
    [anon_sym___stdcall] = ACTIONS(2607),
    [anon_sym___fastcall] = ACTIONS(2607),
    [anon_sym___thiscall] = ACTIONS(2607),
    [anon_sym___vectorcall] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_signed] = ACTIONS(2607),
    [anon_sym_unsigned] = ACTIONS(2607),
    [anon_sym_long] = ACTIONS(2607),
    [anon_sym_short] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_register] = ACTIONS(2607),
    [anon_sym_inline] = ACTIONS(2607),
    [anon_sym___inline] = ACTIONS(2607),
    [anon_sym___inline__] = ACTIONS(2607),
    [anon_sym___forceinline] = ACTIONS(2607),
    [anon_sym_thread_local] = ACTIONS(2607),
    [anon_sym___thread] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2607),
    [anon_sym_constexpr] = ACTIONS(2607),
    [anon_sym_volatile] = ACTIONS(2607),
    [anon_sym_restrict] = ACTIONS(2607),
    [anon_sym___restrict__] = ACTIONS(2607),
    [anon_sym__Atomic] = ACTIONS(2607),
    [anon_sym__Noreturn] = ACTIONS(2607),
    [anon_sym_noreturn] = ACTIONS(2607),
    [anon_sym__Nonnull] = ACTIONS(2607),
    [anon_sym_mutable] = ACTIONS(2607),
    [anon_sym_constinit] = ACTIONS(2607),
    [anon_sym_consteval] = ACTIONS(2607),
    [anon_sym_alignas] = ACTIONS(2607),
    [anon_sym__Alignas] = ACTIONS(2607),
    [sym_primitive_type] = ACTIONS(2607),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2607),
    [anon_sym_struct] = ACTIONS(2607),
    [anon_sym_union] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2607),
    [anon_sym_switch] = ACTIONS(2607),
    [anon_sym_case] = ACTIONS(2607),
    [anon_sym_default] = ACTIONS(2607),
    [anon_sym_while] = ACTIONS(2607),
    [anon_sym_do] = ACTIONS(2607),
    [anon_sym_for] = ACTIONS(2607),
    [anon_sym_return] = ACTIONS(2607),
    [anon_sym_break] = ACTIONS(2607),
    [anon_sym_continue] = ACTIONS(2607),
    [anon_sym_goto] = ACTIONS(2607),
    [anon_sym_not] = ACTIONS(2607),
    [anon_sym_compl] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2609),
    [anon_sym_sizeof] = ACTIONS(2607),
    [anon_sym___alignof__] = ACTIONS(2607),
    [anon_sym___alignof] = ACTIONS(2607),
    [anon_sym__alignof] = ACTIONS(2607),
    [anon_sym_alignof] = ACTIONS(2607),
    [anon_sym__Alignof] = ACTIONS(2607),
    [anon_sym_offsetof] = ACTIONS(2607),
    [anon_sym__Generic] = ACTIONS(2607),
    [anon_sym_asm] = ACTIONS(2607),
    [anon_sym___asm__] = ACTIONS(2607),
    [anon_sym___asm] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2609),
    [anon_sym_L_SQUOTE] = ACTIONS(2609),
    [anon_sym_u_SQUOTE] = ACTIONS(2609),
    [anon_sym_U_SQUOTE] = ACTIONS(2609),
    [anon_sym_u8_SQUOTE] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_L_DQUOTE] = ACTIONS(2609),
    [anon_sym_u_DQUOTE] = ACTIONS(2609),
    [anon_sym_U_DQUOTE] = ACTIONS(2609),
    [anon_sym_u8_DQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2609),
    [sym_true] = ACTIONS(2607),
    [sym_false] = ACTIONS(2607),
    [anon_sym_NULL] = ACTIONS(2607),
    [anon_sym_nullptr] = ACTIONS(2607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2607),
    [anon_sym_decltype] = ACTIONS(2607),
    [anon_sym_explicit] = ACTIONS(2607),
    [anon_sym_typename] = ACTIONS(2607),
    [anon_sym_template] = ACTIONS(2607),
    [anon_sym_operator] = ACTIONS(2607),
    [anon_sym_try] = ACTIONS(2607),
    [anon_sym_delete] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2607),
    [anon_sym_using] = ACTIONS(2607),
    [anon_sym_static_assert] = ACTIONS(2607),
    [anon_sym_concept] = ACTIONS(2607),
    [anon_sym_co_return] = ACTIONS(2607),
    [anon_sym_co_yield] = ACTIONS(2607),
    [anon_sym_R_DQUOTE] = ACTIONS(2609),
    [anon_sym_LR_DQUOTE] = ACTIONS(2609),
    [anon_sym_uR_DQUOTE] = ACTIONS(2609),
    [anon_sym_UR_DQUOTE] = ACTIONS(2609),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2609),
    [anon_sym_co_await] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(2607),
    [anon_sym_requires] = ACTIONS(2607),
    [sym_this] = ACTIONS(2607),
    [anon_sym_precise] = ACTIONS(2607),
    [anon_sym_shared] = ACTIONS(2607),
    [anon_sym_groupshared] = ACTIONS(2607),
    [anon_sym_uniform] = ACTIONS(2607),
    [anon_sym_row_major] = ACTIONS(2607),
    [anon_sym_column_major] = ACTIONS(2607),
    [anon_sym_globallycoherent] = ACTIONS(2607),
    [anon_sym_centroid] = ACTIONS(2607),
    [anon_sym_noperspective] = ACTIONS(2607),
    [anon_sym_nointerpolation] = ACTIONS(2607),
    [anon_sym_sample] = ACTIONS(2607),
    [anon_sym_linear] = ACTIONS(2607),
    [anon_sym_snorm] = ACTIONS(2607),
    [anon_sym_unorm] = ACTIONS(2607),
    [anon_sym_point] = ACTIONS(2607),
    [anon_sym_line] = ACTIONS(2607),
    [anon_sym_triangleadj] = ACTIONS(2607),
    [anon_sym_lineadj] = ACTIONS(2607),
    [anon_sym_triangle] = ACTIONS(2607),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(2460),
    [sym_identifier] = ACTIONS(2458),
    [aux_sym_preproc_include_token1] = ACTIONS(2458),
    [aux_sym_preproc_def_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2458),
    [sym_preproc_directive] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym___extension__] = ACTIONS(2458),
    [anon_sym_typedef] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2458),
    [anon_sym_out] = ACTIONS(2458),
    [anon_sym_inout] = ACTIONS(2458),
    [anon_sym_virtual] = ACTIONS(2458),
    [anon_sym_extern] = ACTIONS(2458),
    [anon_sym___attribute__] = ACTIONS(2458),
    [anon_sym___attribute] = ACTIONS(2458),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2460),
    [anon_sym___declspec] = ACTIONS(2458),
    [anon_sym___based] = ACTIONS(2458),
    [anon_sym___cdecl] = ACTIONS(2458),
    [anon_sym___clrcall] = ACTIONS(2458),
    [anon_sym___stdcall] = ACTIONS(2458),
    [anon_sym___fastcall] = ACTIONS(2458),
    [anon_sym___thiscall] = ACTIONS(2458),
    [anon_sym___vectorcall] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2458),
    [anon_sym_unsigned] = ACTIONS(2458),
    [anon_sym_long] = ACTIONS(2458),
    [anon_sym_short] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_register] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(2458),
    [anon_sym___inline] = ACTIONS(2458),
    [anon_sym___inline__] = ACTIONS(2458),
    [anon_sym___forceinline] = ACTIONS(2458),
    [anon_sym_thread_local] = ACTIONS(2458),
    [anon_sym___thread] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_constexpr] = ACTIONS(2458),
    [anon_sym_volatile] = ACTIONS(2458),
    [anon_sym_restrict] = ACTIONS(2458),
    [anon_sym___restrict__] = ACTIONS(2458),
    [anon_sym__Atomic] = ACTIONS(2458),
    [anon_sym__Noreturn] = ACTIONS(2458),
    [anon_sym_noreturn] = ACTIONS(2458),
    [anon_sym__Nonnull] = ACTIONS(2458),
    [anon_sym_mutable] = ACTIONS(2458),
    [anon_sym_constinit] = ACTIONS(2458),
    [anon_sym_consteval] = ACTIONS(2458),
    [anon_sym_alignas] = ACTIONS(2458),
    [anon_sym__Alignas] = ACTIONS(2458),
    [sym_primitive_type] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_struct] = ACTIONS(2458),
    [anon_sym_union] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_case] = ACTIONS(2458),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_goto] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2458),
    [anon_sym_compl] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2458),
    [anon_sym___alignof] = ACTIONS(2458),
    [anon_sym__alignof] = ACTIONS(2458),
    [anon_sym_alignof] = ACTIONS(2458),
    [anon_sym__Alignof] = ACTIONS(2458),
    [anon_sym_offsetof] = ACTIONS(2458),
    [anon_sym__Generic] = ACTIONS(2458),
    [anon_sym_asm] = ACTIONS(2458),
    [anon_sym___asm__] = ACTIONS(2458),
    [anon_sym___asm] = ACTIONS(2458),
    [sym_number_literal] = ACTIONS(2460),
    [anon_sym_L_SQUOTE] = ACTIONS(2460),
    [anon_sym_u_SQUOTE] = ACTIONS(2460),
    [anon_sym_U_SQUOTE] = ACTIONS(2460),
    [anon_sym_u8_SQUOTE] = ACTIONS(2460),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [anon_sym_L_DQUOTE] = ACTIONS(2460),
    [anon_sym_u_DQUOTE] = ACTIONS(2460),
    [anon_sym_U_DQUOTE] = ACTIONS(2460),
    [anon_sym_u8_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [anon_sym_NULL] = ACTIONS(2458),
    [anon_sym_nullptr] = ACTIONS(2458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2458),
    [anon_sym_decltype] = ACTIONS(2458),
    [anon_sym_explicit] = ACTIONS(2458),
    [anon_sym_typename] = ACTIONS(2458),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_operator] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_static_assert] = ACTIONS(2458),
    [anon_sym_concept] = ACTIONS(2458),
    [anon_sym_co_return] = ACTIONS(2458),
    [anon_sym_co_yield] = ACTIONS(2458),
    [anon_sym_R_DQUOTE] = ACTIONS(2460),
    [anon_sym_LR_DQUOTE] = ACTIONS(2460),
    [anon_sym_uR_DQUOTE] = ACTIONS(2460),
    [anon_sym_UR_DQUOTE] = ACTIONS(2460),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2460),
    [anon_sym_co_await] = ACTIONS(2458),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [anon_sym_precise] = ACTIONS(2458),
    [anon_sym_shared] = ACTIONS(2458),
    [anon_sym_groupshared] = ACTIONS(2458),
    [anon_sym_uniform] = ACTIONS(2458),
    [anon_sym_row_major] = ACTIONS(2458),
    [anon_sym_column_major] = ACTIONS(2458),
    [anon_sym_globallycoherent] = ACTIONS(2458),
    [anon_sym_centroid] = ACTIONS(2458),
    [anon_sym_noperspective] = ACTIONS(2458),
    [anon_sym_nointerpolation] = ACTIONS(2458),
    [anon_sym_sample] = ACTIONS(2458),
    [anon_sym_linear] = ACTIONS(2458),
    [anon_sym_snorm] = ACTIONS(2458),
    [anon_sym_unorm] = ACTIONS(2458),
    [anon_sym_point] = ACTIONS(2458),
    [anon_sym_line] = ACTIONS(2458),
    [anon_sym_triangleadj] = ACTIONS(2458),
    [anon_sym_lineadj] = ACTIONS(2458),
    [anon_sym_triangle] = ACTIONS(2458),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_out] = ACTIONS(2556),
    [anon_sym_inout] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
    [anon_sym_precise] = ACTIONS(2556),
    [anon_sym_shared] = ACTIONS(2556),
    [anon_sym_groupshared] = ACTIONS(2556),
    [anon_sym_uniform] = ACTIONS(2556),
    [anon_sym_row_major] = ACTIONS(2556),
    [anon_sym_column_major] = ACTIONS(2556),
    [anon_sym_globallycoherent] = ACTIONS(2556),
    [anon_sym_centroid] = ACTIONS(2556),
    [anon_sym_noperspective] = ACTIONS(2556),
    [anon_sym_nointerpolation] = ACTIONS(2556),
    [anon_sym_sample] = ACTIONS(2556),
    [anon_sym_linear] = ACTIONS(2556),
    [anon_sym_snorm] = ACTIONS(2556),
    [anon_sym_unorm] = ACTIONS(2556),
    [anon_sym_point] = ACTIONS(2556),
    [anon_sym_line] = ACTIONS(2556),
    [anon_sym_triangleadj] = ACTIONS(2556),
    [anon_sym_lineadj] = ACTIONS(2556),
    [anon_sym_triangle] = ACTIONS(2556),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(2440),
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_include_token1] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym___cdecl] = ACTIONS(2438),
    [anon_sym___clrcall] = ACTIONS(2438),
    [anon_sym___stdcall] = ACTIONS(2438),
    [anon_sym___fastcall] = ACTIONS(2438),
    [anon_sym___thiscall] = ACTIONS(2438),
    [anon_sym___vectorcall] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_goto] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2438),
    [anon_sym_compl] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_sizeof] = ACTIONS(2438),
    [anon_sym___alignof__] = ACTIONS(2438),
    [anon_sym___alignof] = ACTIONS(2438),
    [anon_sym__alignof] = ACTIONS(2438),
    [anon_sym_alignof] = ACTIONS(2438),
    [anon_sym__Alignof] = ACTIONS(2438),
    [anon_sym_offsetof] = ACTIONS(2438),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2438),
    [anon_sym___asm__] = ACTIONS(2438),
    [anon_sym___asm] = ACTIONS(2438),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2440),
    [anon_sym_u_SQUOTE] = ACTIONS(2440),
    [anon_sym_U_SQUOTE] = ACTIONS(2440),
    [anon_sym_u8_SQUOTE] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [anon_sym_NULL] = ACTIONS(2438),
    [anon_sym_nullptr] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_concept] = ACTIONS(2438),
    [anon_sym_co_return] = ACTIONS(2438),
    [anon_sym_co_yield] = ACTIONS(2438),
    [anon_sym_R_DQUOTE] = ACTIONS(2440),
    [anon_sym_LR_DQUOTE] = ACTIONS(2440),
    [anon_sym_uR_DQUOTE] = ACTIONS(2440),
    [anon_sym_UR_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2440),
    [anon_sym_co_await] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_requires] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(2980),
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(2980),
    [anon_sym_TILDE] = ACTIONS(2980),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2980),
    [anon_sym_AMP_AMP] = ACTIONS(2980),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2980),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2983),
    [anon_sym_out] = ACTIONS(2983),
    [anon_sym_inout] = ACTIONS(2983),
    [anon_sym_virtual] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym___attribute] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2980),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2980),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym__Nonnull] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym__Alignas] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [anon_sym___asm] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2980),
    [anon_sym_L_SQUOTE] = ACTIONS(2980),
    [anon_sym_u_SQUOTE] = ACTIONS(2980),
    [anon_sym_U_SQUOTE] = ACTIONS(2980),
    [anon_sym_u8_SQUOTE] = ACTIONS(2980),
    [anon_sym_SQUOTE] = ACTIONS(2980),
    [anon_sym_L_DQUOTE] = ACTIONS(2980),
    [anon_sym_u_DQUOTE] = ACTIONS(2980),
    [anon_sym_U_DQUOTE] = ACTIONS(2980),
    [anon_sym_u8_DQUOTE] = ACTIONS(2980),
    [anon_sym_DQUOTE] = ACTIONS(2980),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2980),
    [anon_sym_LR_DQUOTE] = ACTIONS(2980),
    [anon_sym_uR_DQUOTE] = ACTIONS(2980),
    [anon_sym_UR_DQUOTE] = ACTIONS(2980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2980),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
    [anon_sym_precise] = ACTIONS(2983),
    [anon_sym_shared] = ACTIONS(2983),
    [anon_sym_groupshared] = ACTIONS(2983),
    [anon_sym_uniform] = ACTIONS(2983),
    [anon_sym_row_major] = ACTIONS(2983),
    [anon_sym_column_major] = ACTIONS(2983),
    [anon_sym_globallycoherent] = ACTIONS(2983),
    [anon_sym_centroid] = ACTIONS(2983),
    [anon_sym_noperspective] = ACTIONS(2983),
    [anon_sym_nointerpolation] = ACTIONS(2983),
    [anon_sym_sample] = ACTIONS(2983),
    [anon_sym_linear] = ACTIONS(2983),
    [anon_sym_snorm] = ACTIONS(2983),
    [anon_sym_unorm] = ACTIONS(2983),
    [anon_sym_point] = ACTIONS(2983),
    [anon_sym_line] = ACTIONS(2983),
    [anon_sym_triangleadj] = ACTIONS(2983),
    [anon_sym_lineadj] = ACTIONS(2983),
    [anon_sym_triangle] = ACTIONS(2983),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(2404),
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym_not] = ACTIONS(2402),
    [anon_sym_compl] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_concept] = ACTIONS(2402),
    [anon_sym_co_return] = ACTIONS(2402),
    [anon_sym_co_yield] = ACTIONS(2402),
    [anon_sym_R_DQUOTE] = ACTIONS(2404),
    [anon_sym_LR_DQUOTE] = ACTIONS(2404),
    [anon_sym_uR_DQUOTE] = ACTIONS(2404),
    [anon_sym_UR_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2404),
    [anon_sym_co_await] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_requires] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(2986),
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_include_token1] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_in] = ACTIONS(2988),
    [anon_sym_out] = ACTIONS(2988),
    [anon_sym_inout] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym___attribute] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym___cdecl] = ACTIONS(2988),
    [anon_sym___clrcall] = ACTIONS(2988),
    [anon_sym___stdcall] = ACTIONS(2988),
    [anon_sym___fastcall] = ACTIONS(2988),
    [anon_sym___thiscall] = ACTIONS(2988),
    [anon_sym___vectorcall] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [sym_primitive_type] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_goto] = ACTIONS(2988),
    [anon_sym_not] = ACTIONS(2988),
    [anon_sym_compl] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2988),
    [anon_sym___alignof__] = ACTIONS(2988),
    [anon_sym___alignof] = ACTIONS(2988),
    [anon_sym__alignof] = ACTIONS(2988),
    [anon_sym_alignof] = ACTIONS(2988),
    [anon_sym__Alignof] = ACTIONS(2988),
    [anon_sym_offsetof] = ACTIONS(2988),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2988),
    [anon_sym___asm__] = ACTIONS(2988),
    [anon_sym___asm] = ACTIONS(2988),
    [sym_number_literal] = ACTIONS(2986),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [anon_sym_NULL] = ACTIONS(2988),
    [anon_sym_nullptr] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
    [anon_sym_concept] = ACTIONS(2988),
    [anon_sym_co_return] = ACTIONS(2988),
    [anon_sym_co_yield] = ACTIONS(2988),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_requires] = ACTIONS(2988),
    [sym_this] = ACTIONS(2988),
    [anon_sym_precise] = ACTIONS(2988),
    [anon_sym_shared] = ACTIONS(2988),
    [anon_sym_groupshared] = ACTIONS(2988),
    [anon_sym_uniform] = ACTIONS(2988),
    [anon_sym_row_major] = ACTIONS(2988),
    [anon_sym_column_major] = ACTIONS(2988),
    [anon_sym_globallycoherent] = ACTIONS(2988),
    [anon_sym_centroid] = ACTIONS(2988),
    [anon_sym_noperspective] = ACTIONS(2988),
    [anon_sym_nointerpolation] = ACTIONS(2988),
    [anon_sym_sample] = ACTIONS(2988),
    [anon_sym_linear] = ACTIONS(2988),
    [anon_sym_snorm] = ACTIONS(2988),
    [anon_sym_unorm] = ACTIONS(2988),
    [anon_sym_point] = ACTIONS(2988),
    [anon_sym_line] = ACTIONS(2988),
    [anon_sym_triangleadj] = ACTIONS(2988),
    [anon_sym_lineadj] = ACTIONS(2988),
    [anon_sym_triangle] = ACTIONS(2988),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(2613),
    [sym_identifier] = ACTIONS(2611),
    [aux_sym_preproc_include_token1] = ACTIONS(2611),
    [aux_sym_preproc_def_token1] = ACTIONS(2611),
    [aux_sym_preproc_if_token1] = ACTIONS(2611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2611),
    [sym_preproc_directive] = ACTIONS(2611),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2611),
    [anon_sym_PLUS] = ACTIONS(2611),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym___extension__] = ACTIONS(2611),
    [anon_sym_typedef] = ACTIONS(2611),
    [anon_sym_in] = ACTIONS(2611),
    [anon_sym_out] = ACTIONS(2611),
    [anon_sym_inout] = ACTIONS(2611),
    [anon_sym_virtual] = ACTIONS(2611),
    [anon_sym_extern] = ACTIONS(2611),
    [anon_sym___attribute__] = ACTIONS(2611),
    [anon_sym___attribute] = ACTIONS(2611),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2613),
    [anon_sym___declspec] = ACTIONS(2611),
    [anon_sym___based] = ACTIONS(2611),
    [anon_sym___cdecl] = ACTIONS(2611),
    [anon_sym___clrcall] = ACTIONS(2611),
    [anon_sym___stdcall] = ACTIONS(2611),
    [anon_sym___fastcall] = ACTIONS(2611),
    [anon_sym___thiscall] = ACTIONS(2611),
    [anon_sym___vectorcall] = ACTIONS(2611),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_signed] = ACTIONS(2611),
    [anon_sym_unsigned] = ACTIONS(2611),
    [anon_sym_long] = ACTIONS(2611),
    [anon_sym_short] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_static] = ACTIONS(2611),
    [anon_sym_register] = ACTIONS(2611),
    [anon_sym_inline] = ACTIONS(2611),
    [anon_sym___inline] = ACTIONS(2611),
    [anon_sym___inline__] = ACTIONS(2611),
    [anon_sym___forceinline] = ACTIONS(2611),
    [anon_sym_thread_local] = ACTIONS(2611),
    [anon_sym___thread] = ACTIONS(2611),
    [anon_sym_const] = ACTIONS(2611),
    [anon_sym_constexpr] = ACTIONS(2611),
    [anon_sym_volatile] = ACTIONS(2611),
    [anon_sym_restrict] = ACTIONS(2611),
    [anon_sym___restrict__] = ACTIONS(2611),
    [anon_sym__Atomic] = ACTIONS(2611),
    [anon_sym__Noreturn] = ACTIONS(2611),
    [anon_sym_noreturn] = ACTIONS(2611),
    [anon_sym__Nonnull] = ACTIONS(2611),
    [anon_sym_mutable] = ACTIONS(2611),
    [anon_sym_constinit] = ACTIONS(2611),
    [anon_sym_consteval] = ACTIONS(2611),
    [anon_sym_alignas] = ACTIONS(2611),
    [anon_sym__Alignas] = ACTIONS(2611),
    [sym_primitive_type] = ACTIONS(2611),
    [anon_sym_enum] = ACTIONS(2611),
    [anon_sym_class] = ACTIONS(2611),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2611),
    [anon_sym_if] = ACTIONS(2611),
    [anon_sym_switch] = ACTIONS(2611),
    [anon_sym_case] = ACTIONS(2611),
    [anon_sym_default] = ACTIONS(2611),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_do] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2611),
    [anon_sym_return] = ACTIONS(2611),
    [anon_sym_break] = ACTIONS(2611),
    [anon_sym_continue] = ACTIONS(2611),
    [anon_sym_goto] = ACTIONS(2611),
    [anon_sym_not] = ACTIONS(2611),
    [anon_sym_compl] = ACTIONS(2611),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_sizeof] = ACTIONS(2611),
    [anon_sym___alignof__] = ACTIONS(2611),
    [anon_sym___alignof] = ACTIONS(2611),
    [anon_sym__alignof] = ACTIONS(2611),
    [anon_sym_alignof] = ACTIONS(2611),
    [anon_sym__Alignof] = ACTIONS(2611),
    [anon_sym_offsetof] = ACTIONS(2611),
    [anon_sym__Generic] = ACTIONS(2611),
    [anon_sym_asm] = ACTIONS(2611),
    [anon_sym___asm__] = ACTIONS(2611),
    [anon_sym___asm] = ACTIONS(2611),
    [sym_number_literal] = ACTIONS(2613),
    [anon_sym_L_SQUOTE] = ACTIONS(2613),
    [anon_sym_u_SQUOTE] = ACTIONS(2613),
    [anon_sym_U_SQUOTE] = ACTIONS(2613),
    [anon_sym_u8_SQUOTE] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_L_DQUOTE] = ACTIONS(2613),
    [anon_sym_u_DQUOTE] = ACTIONS(2613),
    [anon_sym_U_DQUOTE] = ACTIONS(2613),
    [anon_sym_u8_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [sym_true] = ACTIONS(2611),
    [sym_false] = ACTIONS(2611),
    [anon_sym_NULL] = ACTIONS(2611),
    [anon_sym_nullptr] = ACTIONS(2611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2611),
    [anon_sym_decltype] = ACTIONS(2611),
    [anon_sym_explicit] = ACTIONS(2611),
    [anon_sym_typename] = ACTIONS(2611),
    [anon_sym_template] = ACTIONS(2611),
    [anon_sym_operator] = ACTIONS(2611),
    [anon_sym_try] = ACTIONS(2611),
    [anon_sym_delete] = ACTIONS(2611),
    [anon_sym_throw] = ACTIONS(2611),
    [anon_sym_namespace] = ACTIONS(2611),
    [anon_sym_using] = ACTIONS(2611),
    [anon_sym_static_assert] = ACTIONS(2611),
    [anon_sym_concept] = ACTIONS(2611),
    [anon_sym_co_return] = ACTIONS(2611),
    [anon_sym_co_yield] = ACTIONS(2611),
    [anon_sym_R_DQUOTE] = ACTIONS(2613),
    [anon_sym_LR_DQUOTE] = ACTIONS(2613),
    [anon_sym_uR_DQUOTE] = ACTIONS(2613),
    [anon_sym_UR_DQUOTE] = ACTIONS(2613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2613),
    [anon_sym_co_await] = ACTIONS(2611),
    [anon_sym_new] = ACTIONS(2611),
    [anon_sym_requires] = ACTIONS(2611),
    [sym_this] = ACTIONS(2611),
    [anon_sym_precise] = ACTIONS(2611),
    [anon_sym_shared] = ACTIONS(2611),
    [anon_sym_groupshared] = ACTIONS(2611),
    [anon_sym_uniform] = ACTIONS(2611),
    [anon_sym_row_major] = ACTIONS(2611),
    [anon_sym_column_major] = ACTIONS(2611),
    [anon_sym_globallycoherent] = ACTIONS(2611),
    [anon_sym_centroid] = ACTIONS(2611),
    [anon_sym_noperspective] = ACTIONS(2611),
    [anon_sym_nointerpolation] = ACTIONS(2611),
    [anon_sym_sample] = ACTIONS(2611),
    [anon_sym_linear] = ACTIONS(2611),
    [anon_sym_snorm] = ACTIONS(2611),
    [anon_sym_unorm] = ACTIONS(2611),
    [anon_sym_point] = ACTIONS(2611),
    [anon_sym_line] = ACTIONS(2611),
    [anon_sym_triangleadj] = ACTIONS(2611),
    [anon_sym_lineadj] = ACTIONS(2611),
    [anon_sym_triangle] = ACTIONS(2611),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(2617),
    [sym_identifier] = ACTIONS(2615),
    [aux_sym_preproc_include_token1] = ACTIONS(2615),
    [aux_sym_preproc_def_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2615),
    [sym_preproc_directive] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2615),
    [anon_sym_typedef] = ACTIONS(2615),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_out] = ACTIONS(2615),
    [anon_sym_inout] = ACTIONS(2615),
    [anon_sym_virtual] = ACTIONS(2615),
    [anon_sym_extern] = ACTIONS(2615),
    [anon_sym___attribute__] = ACTIONS(2615),
    [anon_sym___attribute] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2617),
    [anon_sym___declspec] = ACTIONS(2615),
    [anon_sym___based] = ACTIONS(2615),
    [anon_sym___cdecl] = ACTIONS(2615),
    [anon_sym___clrcall] = ACTIONS(2615),
    [anon_sym___stdcall] = ACTIONS(2615),
    [anon_sym___fastcall] = ACTIONS(2615),
    [anon_sym___thiscall] = ACTIONS(2615),
    [anon_sym___vectorcall] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2615),
    [anon_sym_unsigned] = ACTIONS(2615),
    [anon_sym_long] = ACTIONS(2615),
    [anon_sym_short] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_register] = ACTIONS(2615),
    [anon_sym_inline] = ACTIONS(2615),
    [anon_sym___inline] = ACTIONS(2615),
    [anon_sym___inline__] = ACTIONS(2615),
    [anon_sym___forceinline] = ACTIONS(2615),
    [anon_sym_thread_local] = ACTIONS(2615),
    [anon_sym___thread] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_constexpr] = ACTIONS(2615),
    [anon_sym_volatile] = ACTIONS(2615),
    [anon_sym_restrict] = ACTIONS(2615),
    [anon_sym___restrict__] = ACTIONS(2615),
    [anon_sym__Atomic] = ACTIONS(2615),
    [anon_sym__Noreturn] = ACTIONS(2615),
    [anon_sym_noreturn] = ACTIONS(2615),
    [anon_sym__Nonnull] = ACTIONS(2615),
    [anon_sym_mutable] = ACTIONS(2615),
    [anon_sym_constinit] = ACTIONS(2615),
    [anon_sym_consteval] = ACTIONS(2615),
    [anon_sym_alignas] = ACTIONS(2615),
    [anon_sym__Alignas] = ACTIONS(2615),
    [sym_primitive_type] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_struct] = ACTIONS(2615),
    [anon_sym_union] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_default] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_goto] = ACTIONS(2615),
    [anon_sym_not] = ACTIONS(2615),
    [anon_sym_compl] = ACTIONS(2615),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_sizeof] = ACTIONS(2615),
    [anon_sym___alignof__] = ACTIONS(2615),
    [anon_sym___alignof] = ACTIONS(2615),
    [anon_sym__alignof] = ACTIONS(2615),
    [anon_sym_alignof] = ACTIONS(2615),
    [anon_sym__Alignof] = ACTIONS(2615),
    [anon_sym_offsetof] = ACTIONS(2615),
    [anon_sym__Generic] = ACTIONS(2615),
    [anon_sym_asm] = ACTIONS(2615),
    [anon_sym___asm__] = ACTIONS(2615),
    [anon_sym___asm] = ACTIONS(2615),
    [sym_number_literal] = ACTIONS(2617),
    [anon_sym_L_SQUOTE] = ACTIONS(2617),
    [anon_sym_u_SQUOTE] = ACTIONS(2617),
    [anon_sym_U_SQUOTE] = ACTIONS(2617),
    [anon_sym_u8_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_L_DQUOTE] = ACTIONS(2617),
    [anon_sym_u_DQUOTE] = ACTIONS(2617),
    [anon_sym_U_DQUOTE] = ACTIONS(2617),
    [anon_sym_u8_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [anon_sym_NULL] = ACTIONS(2615),
    [anon_sym_nullptr] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2615),
    [anon_sym_decltype] = ACTIONS(2615),
    [anon_sym_explicit] = ACTIONS(2615),
    [anon_sym_typename] = ACTIONS(2615),
    [anon_sym_template] = ACTIONS(2615),
    [anon_sym_operator] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_delete] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_namespace] = ACTIONS(2615),
    [anon_sym_using] = ACTIONS(2615),
    [anon_sym_static_assert] = ACTIONS(2615),
    [anon_sym_concept] = ACTIONS(2615),
    [anon_sym_co_return] = ACTIONS(2615),
    [anon_sym_co_yield] = ACTIONS(2615),
    [anon_sym_R_DQUOTE] = ACTIONS(2617),
    [anon_sym_LR_DQUOTE] = ACTIONS(2617),
    [anon_sym_uR_DQUOTE] = ACTIONS(2617),
    [anon_sym_UR_DQUOTE] = ACTIONS(2617),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2617),
    [anon_sym_co_await] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_requires] = ACTIONS(2615),
    [sym_this] = ACTIONS(2615),
    [anon_sym_precise] = ACTIONS(2615),
    [anon_sym_shared] = ACTIONS(2615),
    [anon_sym_groupshared] = ACTIONS(2615),
    [anon_sym_uniform] = ACTIONS(2615),
    [anon_sym_row_major] = ACTIONS(2615),
    [anon_sym_column_major] = ACTIONS(2615),
    [anon_sym_globallycoherent] = ACTIONS(2615),
    [anon_sym_centroid] = ACTIONS(2615),
    [anon_sym_noperspective] = ACTIONS(2615),
    [anon_sym_nointerpolation] = ACTIONS(2615),
    [anon_sym_sample] = ACTIONS(2615),
    [anon_sym_linear] = ACTIONS(2615),
    [anon_sym_snorm] = ACTIONS(2615),
    [anon_sym_unorm] = ACTIONS(2615),
    [anon_sym_point] = ACTIONS(2615),
    [anon_sym_line] = ACTIONS(2615),
    [anon_sym_triangleadj] = ACTIONS(2615),
    [anon_sym_lineadj] = ACTIONS(2615),
    [anon_sym_triangle] = ACTIONS(2615),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(2990),
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_in] = ACTIONS(2992),
    [anon_sym_out] = ACTIONS(2992),
    [anon_sym_inout] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym___attribute] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [sym_primitive_type] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [sym_number_literal] = ACTIONS(2990),
    [anon_sym_L_SQUOTE] = ACTIONS(2990),
    [anon_sym_u_SQUOTE] = ACTIONS(2990),
    [anon_sym_U_SQUOTE] = ACTIONS(2990),
    [anon_sym_u8_SQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [anon_sym_L_DQUOTE] = ACTIONS(2990),
    [anon_sym_u_DQUOTE] = ACTIONS(2990),
    [anon_sym_U_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8_DQUOTE] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2990),
    [anon_sym_LR_DQUOTE] = ACTIONS(2990),
    [anon_sym_uR_DQUOTE] = ACTIONS(2990),
    [anon_sym_UR_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2990),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
    [anon_sym_precise] = ACTIONS(2992),
    [anon_sym_shared] = ACTIONS(2992),
    [anon_sym_groupshared] = ACTIONS(2992),
    [anon_sym_uniform] = ACTIONS(2992),
    [anon_sym_row_major] = ACTIONS(2992),
    [anon_sym_column_major] = ACTIONS(2992),
    [anon_sym_globallycoherent] = ACTIONS(2992),
    [anon_sym_centroid] = ACTIONS(2992),
    [anon_sym_noperspective] = ACTIONS(2992),
    [anon_sym_nointerpolation] = ACTIONS(2992),
    [anon_sym_sample] = ACTIONS(2992),
    [anon_sym_linear] = ACTIONS(2992),
    [anon_sym_snorm] = ACTIONS(2992),
    [anon_sym_unorm] = ACTIONS(2992),
    [anon_sym_point] = ACTIONS(2992),
    [anon_sym_line] = ACTIONS(2992),
    [anon_sym_triangleadj] = ACTIONS(2992),
    [anon_sym_lineadj] = ACTIONS(2992),
    [anon_sym_triangle] = ACTIONS(2992),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(2621),
    [sym_identifier] = ACTIONS(2619),
    [aux_sym_preproc_include_token1] = ACTIONS(2619),
    [aux_sym_preproc_def_token1] = ACTIONS(2619),
    [aux_sym_preproc_if_token1] = ACTIONS(2619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2619),
    [sym_preproc_directive] = ACTIONS(2619),
    [anon_sym_LPAREN2] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym___extension__] = ACTIONS(2619),
    [anon_sym_typedef] = ACTIONS(2619),
    [anon_sym_in] = ACTIONS(2619),
    [anon_sym_out] = ACTIONS(2619),
    [anon_sym_inout] = ACTIONS(2619),
    [anon_sym_virtual] = ACTIONS(2619),
    [anon_sym_extern] = ACTIONS(2619),
    [anon_sym___attribute__] = ACTIONS(2619),
    [anon_sym___attribute] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2621),
    [anon_sym___declspec] = ACTIONS(2619),
    [anon_sym___based] = ACTIONS(2619),
    [anon_sym___cdecl] = ACTIONS(2619),
    [anon_sym___clrcall] = ACTIONS(2619),
    [anon_sym___stdcall] = ACTIONS(2619),
    [anon_sym___fastcall] = ACTIONS(2619),
    [anon_sym___thiscall] = ACTIONS(2619),
    [anon_sym___vectorcall] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_signed] = ACTIONS(2619),
    [anon_sym_unsigned] = ACTIONS(2619),
    [anon_sym_long] = ACTIONS(2619),
    [anon_sym_short] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [anon_sym_static] = ACTIONS(2619),
    [anon_sym_register] = ACTIONS(2619),
    [anon_sym_inline] = ACTIONS(2619),
    [anon_sym___inline] = ACTIONS(2619),
    [anon_sym___inline__] = ACTIONS(2619),
    [anon_sym___forceinline] = ACTIONS(2619),
    [anon_sym_thread_local] = ACTIONS(2619),
    [anon_sym___thread] = ACTIONS(2619),
    [anon_sym_const] = ACTIONS(2619),
    [anon_sym_constexpr] = ACTIONS(2619),
    [anon_sym_volatile] = ACTIONS(2619),
    [anon_sym_restrict] = ACTIONS(2619),
    [anon_sym___restrict__] = ACTIONS(2619),
    [anon_sym__Atomic] = ACTIONS(2619),
    [anon_sym__Noreturn] = ACTIONS(2619),
    [anon_sym_noreturn] = ACTIONS(2619),
    [anon_sym__Nonnull] = ACTIONS(2619),
    [anon_sym_mutable] = ACTIONS(2619),
    [anon_sym_constinit] = ACTIONS(2619),
    [anon_sym_consteval] = ACTIONS(2619),
    [anon_sym_alignas] = ACTIONS(2619),
    [anon_sym__Alignas] = ACTIONS(2619),
    [sym_primitive_type] = ACTIONS(2619),
    [anon_sym_enum] = ACTIONS(2619),
    [anon_sym_class] = ACTIONS(2619),
    [anon_sym_struct] = ACTIONS(2619),
    [anon_sym_union] = ACTIONS(2619),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_switch] = ACTIONS(2619),
    [anon_sym_case] = ACTIONS(2619),
    [anon_sym_default] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(2619),
    [anon_sym_do] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2619),
    [anon_sym_return] = ACTIONS(2619),
    [anon_sym_break] = ACTIONS(2619),
    [anon_sym_continue] = ACTIONS(2619),
    [anon_sym_goto] = ACTIONS(2619),
    [anon_sym_not] = ACTIONS(2619),
    [anon_sym_compl] = ACTIONS(2619),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_sizeof] = ACTIONS(2619),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2619),
    [anon_sym__Generic] = ACTIONS(2619),
    [anon_sym_asm] = ACTIONS(2619),
    [anon_sym___asm__] = ACTIONS(2619),
    [anon_sym___asm] = ACTIONS(2619),
    [sym_number_literal] = ACTIONS(2621),
    [anon_sym_L_SQUOTE] = ACTIONS(2621),
    [anon_sym_u_SQUOTE] = ACTIONS(2621),
    [anon_sym_U_SQUOTE] = ACTIONS(2621),
    [anon_sym_u8_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_L_DQUOTE] = ACTIONS(2621),
    [anon_sym_u_DQUOTE] = ACTIONS(2621),
    [anon_sym_U_DQUOTE] = ACTIONS(2621),
    [anon_sym_u8_DQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [sym_true] = ACTIONS(2619),
    [sym_false] = ACTIONS(2619),
    [anon_sym_NULL] = ACTIONS(2619),
    [anon_sym_nullptr] = ACTIONS(2619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2619),
    [anon_sym_decltype] = ACTIONS(2619),
    [anon_sym_explicit] = ACTIONS(2619),
    [anon_sym_typename] = ACTIONS(2619),
    [anon_sym_template] = ACTIONS(2619),
    [anon_sym_operator] = ACTIONS(2619),
    [anon_sym_try] = ACTIONS(2619),
    [anon_sym_delete] = ACTIONS(2619),
    [anon_sym_throw] = ACTIONS(2619),
    [anon_sym_namespace] = ACTIONS(2619),
    [anon_sym_using] = ACTIONS(2619),
    [anon_sym_static_assert] = ACTIONS(2619),
    [anon_sym_concept] = ACTIONS(2619),
    [anon_sym_co_return] = ACTIONS(2619),
    [anon_sym_co_yield] = ACTIONS(2619),
    [anon_sym_R_DQUOTE] = ACTIONS(2621),
    [anon_sym_LR_DQUOTE] = ACTIONS(2621),
    [anon_sym_uR_DQUOTE] = ACTIONS(2621),
    [anon_sym_UR_DQUOTE] = ACTIONS(2621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2621),
    [anon_sym_co_await] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2619),
    [anon_sym_requires] = ACTIONS(2619),
    [sym_this] = ACTIONS(2619),
    [anon_sym_precise] = ACTIONS(2619),
    [anon_sym_shared] = ACTIONS(2619),
    [anon_sym_groupshared] = ACTIONS(2619),
    [anon_sym_uniform] = ACTIONS(2619),
    [anon_sym_row_major] = ACTIONS(2619),
    [anon_sym_column_major] = ACTIONS(2619),
    [anon_sym_globallycoherent] = ACTIONS(2619),
    [anon_sym_centroid] = ACTIONS(2619),
    [anon_sym_noperspective] = ACTIONS(2619),
    [anon_sym_nointerpolation] = ACTIONS(2619),
    [anon_sym_sample] = ACTIONS(2619),
    [anon_sym_linear] = ACTIONS(2619),
    [anon_sym_snorm] = ACTIONS(2619),
    [anon_sym_unorm] = ACTIONS(2619),
    [anon_sym_point] = ACTIONS(2619),
    [anon_sym_line] = ACTIONS(2619),
    [anon_sym_triangleadj] = ACTIONS(2619),
    [anon_sym_lineadj] = ACTIONS(2619),
    [anon_sym_triangle] = ACTIONS(2619),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_out] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
    [anon_sym_precise] = ACTIONS(2564),
    [anon_sym_shared] = ACTIONS(2564),
    [anon_sym_groupshared] = ACTIONS(2564),
    [anon_sym_uniform] = ACTIONS(2564),
    [anon_sym_row_major] = ACTIONS(2564),
    [anon_sym_column_major] = ACTIONS(2564),
    [anon_sym_globallycoherent] = ACTIONS(2564),
    [anon_sym_centroid] = ACTIONS(2564),
    [anon_sym_noperspective] = ACTIONS(2564),
    [anon_sym_nointerpolation] = ACTIONS(2564),
    [anon_sym_sample] = ACTIONS(2564),
    [anon_sym_linear] = ACTIONS(2564),
    [anon_sym_snorm] = ACTIONS(2564),
    [anon_sym_unorm] = ACTIONS(2564),
    [anon_sym_point] = ACTIONS(2564),
    [anon_sym_line] = ACTIONS(2564),
    [anon_sym_triangleadj] = ACTIONS(2564),
    [anon_sym_lineadj] = ACTIONS(2564),
    [anon_sym_triangle] = ACTIONS(2564),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(2625),
    [sym_identifier] = ACTIONS(2623),
    [aux_sym_preproc_include_token1] = ACTIONS(2623),
    [aux_sym_preproc_def_token1] = ACTIONS(2623),
    [aux_sym_preproc_if_token1] = ACTIONS(2623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2623),
    [sym_preproc_directive] = ACTIONS(2623),
    [anon_sym_LPAREN2] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym___extension__] = ACTIONS(2623),
    [anon_sym_typedef] = ACTIONS(2623),
    [anon_sym_in] = ACTIONS(2623),
    [anon_sym_out] = ACTIONS(2623),
    [anon_sym_inout] = ACTIONS(2623),
    [anon_sym_virtual] = ACTIONS(2623),
    [anon_sym_extern] = ACTIONS(2623),
    [anon_sym___attribute__] = ACTIONS(2623),
    [anon_sym___attribute] = ACTIONS(2623),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2625),
    [anon_sym___declspec] = ACTIONS(2623),
    [anon_sym___based] = ACTIONS(2623),
    [anon_sym___cdecl] = ACTIONS(2623),
    [anon_sym___clrcall] = ACTIONS(2623),
    [anon_sym___stdcall] = ACTIONS(2623),
    [anon_sym___fastcall] = ACTIONS(2623),
    [anon_sym___thiscall] = ACTIONS(2623),
    [anon_sym___vectorcall] = ACTIONS(2623),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_signed] = ACTIONS(2623),
    [anon_sym_unsigned] = ACTIONS(2623),
    [anon_sym_long] = ACTIONS(2623),
    [anon_sym_short] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [anon_sym_static] = ACTIONS(2623),
    [anon_sym_register] = ACTIONS(2623),
    [anon_sym_inline] = ACTIONS(2623),
    [anon_sym___inline] = ACTIONS(2623),
    [anon_sym___inline__] = ACTIONS(2623),
    [anon_sym___forceinline] = ACTIONS(2623),
    [anon_sym_thread_local] = ACTIONS(2623),
    [anon_sym___thread] = ACTIONS(2623),
    [anon_sym_const] = ACTIONS(2623),
    [anon_sym_constexpr] = ACTIONS(2623),
    [anon_sym_volatile] = ACTIONS(2623),
    [anon_sym_restrict] = ACTIONS(2623),
    [anon_sym___restrict__] = ACTIONS(2623),
    [anon_sym__Atomic] = ACTIONS(2623),
    [anon_sym__Noreturn] = ACTIONS(2623),
    [anon_sym_noreturn] = ACTIONS(2623),
    [anon_sym__Nonnull] = ACTIONS(2623),
    [anon_sym_mutable] = ACTIONS(2623),
    [anon_sym_constinit] = ACTIONS(2623),
    [anon_sym_consteval] = ACTIONS(2623),
    [anon_sym_alignas] = ACTIONS(2623),
    [anon_sym__Alignas] = ACTIONS(2623),
    [sym_primitive_type] = ACTIONS(2623),
    [anon_sym_enum] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(2623),
    [anon_sym_struct] = ACTIONS(2623),
    [anon_sym_union] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_switch] = ACTIONS(2623),
    [anon_sym_case] = ACTIONS(2623),
    [anon_sym_default] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2623),
    [anon_sym_for] = ACTIONS(2623),
    [anon_sym_return] = ACTIONS(2623),
    [anon_sym_break] = ACTIONS(2623),
    [anon_sym_continue] = ACTIONS(2623),
    [anon_sym_goto] = ACTIONS(2623),
    [anon_sym_not] = ACTIONS(2623),
    [anon_sym_compl] = ACTIONS(2623),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_sizeof] = ACTIONS(2623),
    [anon_sym___alignof__] = ACTIONS(2623),
    [anon_sym___alignof] = ACTIONS(2623),
    [anon_sym__alignof] = ACTIONS(2623),
    [anon_sym_alignof] = ACTIONS(2623),
    [anon_sym__Alignof] = ACTIONS(2623),
    [anon_sym_offsetof] = ACTIONS(2623),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2623),
    [anon_sym___asm__] = ACTIONS(2623),
    [anon_sym___asm] = ACTIONS(2623),
    [sym_number_literal] = ACTIONS(2625),
    [anon_sym_L_SQUOTE] = ACTIONS(2625),
    [anon_sym_u_SQUOTE] = ACTIONS(2625),
    [anon_sym_U_SQUOTE] = ACTIONS(2625),
    [anon_sym_u8_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_L_DQUOTE] = ACTIONS(2625),
    [anon_sym_u_DQUOTE] = ACTIONS(2625),
    [anon_sym_U_DQUOTE] = ACTIONS(2625),
    [anon_sym_u8_DQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [sym_true] = ACTIONS(2623),
    [sym_false] = ACTIONS(2623),
    [anon_sym_NULL] = ACTIONS(2623),
    [anon_sym_nullptr] = ACTIONS(2623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2623),
    [anon_sym_decltype] = ACTIONS(2623),
    [anon_sym_explicit] = ACTIONS(2623),
    [anon_sym_typename] = ACTIONS(2623),
    [anon_sym_template] = ACTIONS(2623),
    [anon_sym_operator] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_delete] = ACTIONS(2623),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_namespace] = ACTIONS(2623),
    [anon_sym_using] = ACTIONS(2623),
    [anon_sym_static_assert] = ACTIONS(2623),
    [anon_sym_concept] = ACTIONS(2623),
    [anon_sym_co_return] = ACTIONS(2623),
    [anon_sym_co_yield] = ACTIONS(2623),
    [anon_sym_R_DQUOTE] = ACTIONS(2625),
    [anon_sym_LR_DQUOTE] = ACTIONS(2625),
    [anon_sym_uR_DQUOTE] = ACTIONS(2625),
    [anon_sym_UR_DQUOTE] = ACTIONS(2625),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2625),
    [anon_sym_co_await] = ACTIONS(2623),
    [anon_sym_new] = ACTIONS(2623),
    [anon_sym_requires] = ACTIONS(2623),
    [sym_this] = ACTIONS(2623),
    [anon_sym_precise] = ACTIONS(2623),
    [anon_sym_shared] = ACTIONS(2623),
    [anon_sym_groupshared] = ACTIONS(2623),
    [anon_sym_uniform] = ACTIONS(2623),
    [anon_sym_row_major] = ACTIONS(2623),
    [anon_sym_column_major] = ACTIONS(2623),
    [anon_sym_globallycoherent] = ACTIONS(2623),
    [anon_sym_centroid] = ACTIONS(2623),
    [anon_sym_noperspective] = ACTIONS(2623),
    [anon_sym_nointerpolation] = ACTIONS(2623),
    [anon_sym_sample] = ACTIONS(2623),
    [anon_sym_linear] = ACTIONS(2623),
    [anon_sym_snorm] = ACTIONS(2623),
    [anon_sym_unorm] = ACTIONS(2623),
    [anon_sym_point] = ACTIONS(2623),
    [anon_sym_line] = ACTIONS(2623),
    [anon_sym_triangleadj] = ACTIONS(2623),
    [anon_sym_lineadj] = ACTIONS(2623),
    [anon_sym_triangle] = ACTIONS(2623),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2406),
    [aux_sym_preproc_include_token1] = ACTIONS(2406),
    [aux_sym_preproc_def_token1] = ACTIONS(2406),
    [aux_sym_preproc_if_token1] = ACTIONS(2406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2406),
    [sym_preproc_directive] = ACTIONS(2406),
    [anon_sym_LPAREN2] = ACTIONS(2408),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2406),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym___extension__] = ACTIONS(2406),
    [anon_sym_typedef] = ACTIONS(2406),
    [anon_sym_in] = ACTIONS(2406),
    [anon_sym_out] = ACTIONS(2406),
    [anon_sym_inout] = ACTIONS(2406),
    [anon_sym_virtual] = ACTIONS(2406),
    [anon_sym_extern] = ACTIONS(2406),
    [anon_sym___attribute__] = ACTIONS(2406),
    [anon_sym___attribute] = ACTIONS(2406),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2408),
    [anon_sym___declspec] = ACTIONS(2406),
    [anon_sym___based] = ACTIONS(2406),
    [anon_sym___cdecl] = ACTIONS(2406),
    [anon_sym___clrcall] = ACTIONS(2406),
    [anon_sym___stdcall] = ACTIONS(2406),
    [anon_sym___fastcall] = ACTIONS(2406),
    [anon_sym___thiscall] = ACTIONS(2406),
    [anon_sym___vectorcall] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_signed] = ACTIONS(2406),
    [anon_sym_unsigned] = ACTIONS(2406),
    [anon_sym_long] = ACTIONS(2406),
    [anon_sym_short] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_static] = ACTIONS(2406),
    [anon_sym_register] = ACTIONS(2406),
    [anon_sym_inline] = ACTIONS(2406),
    [anon_sym___inline] = ACTIONS(2406),
    [anon_sym___inline__] = ACTIONS(2406),
    [anon_sym___forceinline] = ACTIONS(2406),
    [anon_sym_thread_local] = ACTIONS(2406),
    [anon_sym___thread] = ACTIONS(2406),
    [anon_sym_const] = ACTIONS(2406),
    [anon_sym_constexpr] = ACTIONS(2406),
    [anon_sym_volatile] = ACTIONS(2406),
    [anon_sym_restrict] = ACTIONS(2406),
    [anon_sym___restrict__] = ACTIONS(2406),
    [anon_sym__Atomic] = ACTIONS(2406),
    [anon_sym__Noreturn] = ACTIONS(2406),
    [anon_sym_noreturn] = ACTIONS(2406),
    [anon_sym__Nonnull] = ACTIONS(2406),
    [anon_sym_mutable] = ACTIONS(2406),
    [anon_sym_constinit] = ACTIONS(2406),
    [anon_sym_consteval] = ACTIONS(2406),
    [anon_sym_alignas] = ACTIONS(2406),
    [anon_sym__Alignas] = ACTIONS(2406),
    [sym_primitive_type] = ACTIONS(2406),
    [anon_sym_enum] = ACTIONS(2406),
    [anon_sym_class] = ACTIONS(2406),
    [anon_sym_struct] = ACTIONS(2406),
    [anon_sym_union] = ACTIONS(2406),
    [anon_sym_if] = ACTIONS(2406),
    [anon_sym_switch] = ACTIONS(2406),
    [anon_sym_case] = ACTIONS(2406),
    [anon_sym_default] = ACTIONS(2406),
    [anon_sym_while] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(2406),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_return] = ACTIONS(2406),
    [anon_sym_break] = ACTIONS(2406),
    [anon_sym_continue] = ACTIONS(2406),
    [anon_sym_goto] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_compl] = ACTIONS(2406),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_sizeof] = ACTIONS(2406),
    [anon_sym___alignof__] = ACTIONS(2406),
    [anon_sym___alignof] = ACTIONS(2406),
    [anon_sym__alignof] = ACTIONS(2406),
    [anon_sym_alignof] = ACTIONS(2406),
    [anon_sym__Alignof] = ACTIONS(2406),
    [anon_sym_offsetof] = ACTIONS(2406),
    [anon_sym__Generic] = ACTIONS(2406),
    [anon_sym_asm] = ACTIONS(2406),
    [anon_sym___asm__] = ACTIONS(2406),
    [anon_sym___asm] = ACTIONS(2406),
    [sym_number_literal] = ACTIONS(2408),
    [anon_sym_L_SQUOTE] = ACTIONS(2408),
    [anon_sym_u_SQUOTE] = ACTIONS(2408),
    [anon_sym_U_SQUOTE] = ACTIONS(2408),
    [anon_sym_u8_SQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2406),
    [sym_false] = ACTIONS(2406),
    [anon_sym_NULL] = ACTIONS(2406),
    [anon_sym_nullptr] = ACTIONS(2406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2406),
    [anon_sym_decltype] = ACTIONS(2406),
    [anon_sym_explicit] = ACTIONS(2406),
    [anon_sym_typename] = ACTIONS(2406),
    [anon_sym_template] = ACTIONS(2406),
    [anon_sym_operator] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2406),
    [anon_sym_delete] = ACTIONS(2406),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_namespace] = ACTIONS(2406),
    [anon_sym_using] = ACTIONS(2406),
    [anon_sym_static_assert] = ACTIONS(2406),
    [anon_sym_concept] = ACTIONS(2406),
    [anon_sym_co_return] = ACTIONS(2406),
    [anon_sym_co_yield] = ACTIONS(2406),
    [anon_sym_R_DQUOTE] = ACTIONS(2408),
    [anon_sym_LR_DQUOTE] = ACTIONS(2408),
    [anon_sym_uR_DQUOTE] = ACTIONS(2408),
    [anon_sym_UR_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2408),
    [anon_sym_co_await] = ACTIONS(2406),
    [anon_sym_new] = ACTIONS(2406),
    [anon_sym_requires] = ACTIONS(2406),
    [sym_this] = ACTIONS(2406),
    [anon_sym_precise] = ACTIONS(2406),
    [anon_sym_shared] = ACTIONS(2406),
    [anon_sym_groupshared] = ACTIONS(2406),
    [anon_sym_uniform] = ACTIONS(2406),
    [anon_sym_row_major] = ACTIONS(2406),
    [anon_sym_column_major] = ACTIONS(2406),
    [anon_sym_globallycoherent] = ACTIONS(2406),
    [anon_sym_centroid] = ACTIONS(2406),
    [anon_sym_noperspective] = ACTIONS(2406),
    [anon_sym_nointerpolation] = ACTIONS(2406),
    [anon_sym_sample] = ACTIONS(2406),
    [anon_sym_linear] = ACTIONS(2406),
    [anon_sym_snorm] = ACTIONS(2406),
    [anon_sym_unorm] = ACTIONS(2406),
    [anon_sym_point] = ACTIONS(2406),
    [anon_sym_line] = ACTIONS(2406),
    [anon_sym_triangleadj] = ACTIONS(2406),
    [anon_sym_lineadj] = ACTIONS(2406),
    [anon_sym_triangle] = ACTIONS(2406),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2643),
    [aux_sym_preproc_include_token1] = ACTIONS(2643),
    [aux_sym_preproc_def_token1] = ACTIONS(2643),
    [aux_sym_preproc_if_token1] = ACTIONS(2643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2643),
    [sym_preproc_directive] = ACTIONS(2643),
    [anon_sym_LPAREN2] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym___extension__] = ACTIONS(2643),
    [anon_sym_typedef] = ACTIONS(2643),
    [anon_sym_in] = ACTIONS(2643),
    [anon_sym_out] = ACTIONS(2643),
    [anon_sym_inout] = ACTIONS(2643),
    [anon_sym_virtual] = ACTIONS(2643),
    [anon_sym_extern] = ACTIONS(2643),
    [anon_sym___attribute__] = ACTIONS(2643),
    [anon_sym___attribute] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2645),
    [anon_sym___declspec] = ACTIONS(2643),
    [anon_sym___based] = ACTIONS(2643),
    [anon_sym___cdecl] = ACTIONS(2643),
    [anon_sym___clrcall] = ACTIONS(2643),
    [anon_sym___stdcall] = ACTIONS(2643),
    [anon_sym___fastcall] = ACTIONS(2643),
    [anon_sym___thiscall] = ACTIONS(2643),
    [anon_sym___vectorcall] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_signed] = ACTIONS(2643),
    [anon_sym_unsigned] = ACTIONS(2643),
    [anon_sym_long] = ACTIONS(2643),
    [anon_sym_short] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_register] = ACTIONS(2643),
    [anon_sym_inline] = ACTIONS(2643),
    [anon_sym___inline] = ACTIONS(2643),
    [anon_sym___inline__] = ACTIONS(2643),
    [anon_sym___forceinline] = ACTIONS(2643),
    [anon_sym_thread_local] = ACTIONS(2643),
    [anon_sym___thread] = ACTIONS(2643),
    [anon_sym_const] = ACTIONS(2643),
    [anon_sym_constexpr] = ACTIONS(2643),
    [anon_sym_volatile] = ACTIONS(2643),
    [anon_sym_restrict] = ACTIONS(2643),
    [anon_sym___restrict__] = ACTIONS(2643),
    [anon_sym__Atomic] = ACTIONS(2643),
    [anon_sym__Noreturn] = ACTIONS(2643),
    [anon_sym_noreturn] = ACTIONS(2643),
    [anon_sym__Nonnull] = ACTIONS(2643),
    [anon_sym_mutable] = ACTIONS(2643),
    [anon_sym_constinit] = ACTIONS(2643),
    [anon_sym_consteval] = ACTIONS(2643),
    [anon_sym_alignas] = ACTIONS(2643),
    [anon_sym__Alignas] = ACTIONS(2643),
    [sym_primitive_type] = ACTIONS(2643),
    [anon_sym_enum] = ACTIONS(2643),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_struct] = ACTIONS(2643),
    [anon_sym_union] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_switch] = ACTIONS(2643),
    [anon_sym_case] = ACTIONS(2643),
    [anon_sym_default] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_do] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2643),
    [anon_sym_goto] = ACTIONS(2643),
    [anon_sym_not] = ACTIONS(2643),
    [anon_sym_compl] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_sizeof] = ACTIONS(2643),
    [anon_sym___alignof__] = ACTIONS(2643),
    [anon_sym___alignof] = ACTIONS(2643),
    [anon_sym__alignof] = ACTIONS(2643),
    [anon_sym_alignof] = ACTIONS(2643),
    [anon_sym__Alignof] = ACTIONS(2643),
    [anon_sym_offsetof] = ACTIONS(2643),
    [anon_sym__Generic] = ACTIONS(2643),
    [anon_sym_asm] = ACTIONS(2643),
    [anon_sym___asm__] = ACTIONS(2643),
    [anon_sym___asm] = ACTIONS(2643),
    [sym_number_literal] = ACTIONS(2645),
    [anon_sym_L_SQUOTE] = ACTIONS(2645),
    [anon_sym_u_SQUOTE] = ACTIONS(2645),
    [anon_sym_U_SQUOTE] = ACTIONS(2645),
    [anon_sym_u8_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_L_DQUOTE] = ACTIONS(2645),
    [anon_sym_u_DQUOTE] = ACTIONS(2645),
    [anon_sym_U_DQUOTE] = ACTIONS(2645),
    [anon_sym_u8_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [anon_sym_NULL] = ACTIONS(2643),
    [anon_sym_nullptr] = ACTIONS(2643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2643),
    [anon_sym_decltype] = ACTIONS(2643),
    [anon_sym_explicit] = ACTIONS(2643),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(2643),
    [anon_sym_operator] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_delete] = ACTIONS(2643),
    [anon_sym_throw] = ACTIONS(2643),
    [anon_sym_namespace] = ACTIONS(2643),
    [anon_sym_using] = ACTIONS(2643),
    [anon_sym_static_assert] = ACTIONS(2643),
    [anon_sym_concept] = ACTIONS(2643),
    [anon_sym_co_return] = ACTIONS(2643),
    [anon_sym_co_yield] = ACTIONS(2643),
    [anon_sym_R_DQUOTE] = ACTIONS(2645),
    [anon_sym_LR_DQUOTE] = ACTIONS(2645),
    [anon_sym_uR_DQUOTE] = ACTIONS(2645),
    [anon_sym_UR_DQUOTE] = ACTIONS(2645),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2645),
    [anon_sym_co_await] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2643),
    [anon_sym_requires] = ACTIONS(2643),
    [sym_this] = ACTIONS(2643),
    [anon_sym_precise] = ACTIONS(2643),
    [anon_sym_shared] = ACTIONS(2643),
    [anon_sym_groupshared] = ACTIONS(2643),
    [anon_sym_uniform] = ACTIONS(2643),
    [anon_sym_row_major] = ACTIONS(2643),
    [anon_sym_column_major] = ACTIONS(2643),
    [anon_sym_globallycoherent] = ACTIONS(2643),
    [anon_sym_centroid] = ACTIONS(2643),
    [anon_sym_noperspective] = ACTIONS(2643),
    [anon_sym_nointerpolation] = ACTIONS(2643),
    [anon_sym_sample] = ACTIONS(2643),
    [anon_sym_linear] = ACTIONS(2643),
    [anon_sym_snorm] = ACTIONS(2643),
    [anon_sym_unorm] = ACTIONS(2643),
    [anon_sym_point] = ACTIONS(2643),
    [anon_sym_line] = ACTIONS(2643),
    [anon_sym_triangleadj] = ACTIONS(2643),
    [anon_sym_lineadj] = ACTIONS(2643),
    [anon_sym_triangle] = ACTIONS(2643),
  },
  [807] = {
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2410),
    [aux_sym_preproc_include_token1] = ACTIONS(2410),
    [aux_sym_preproc_def_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2410),
    [sym_preproc_directive] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_BANG] = ACTIONS(2412),
    [anon_sym_TILDE] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(2410),
    [anon_sym_typedef] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_out] = ACTIONS(2410),
    [anon_sym_inout] = ACTIONS(2410),
    [anon_sym_virtual] = ACTIONS(2410),
    [anon_sym_extern] = ACTIONS(2410),
    [anon_sym___attribute__] = ACTIONS(2410),
    [anon_sym___attribute] = ACTIONS(2410),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2412),
    [anon_sym___declspec] = ACTIONS(2410),
    [anon_sym___based] = ACTIONS(2410),
    [anon_sym___cdecl] = ACTIONS(2410),
    [anon_sym___clrcall] = ACTIONS(2410),
    [anon_sym___stdcall] = ACTIONS(2410),
    [anon_sym___fastcall] = ACTIONS(2410),
    [anon_sym___thiscall] = ACTIONS(2410),
    [anon_sym___vectorcall] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2412),
    [anon_sym_signed] = ACTIONS(2410),
    [anon_sym_unsigned] = ACTIONS(2410),
    [anon_sym_long] = ACTIONS(2410),
    [anon_sym_short] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_register] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym___inline] = ACTIONS(2410),
    [anon_sym___inline__] = ACTIONS(2410),
    [anon_sym___forceinline] = ACTIONS(2410),
    [anon_sym_thread_local] = ACTIONS(2410),
    [anon_sym___thread] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_constexpr] = ACTIONS(2410),
    [anon_sym_volatile] = ACTIONS(2410),
    [anon_sym_restrict] = ACTIONS(2410),
    [anon_sym___restrict__] = ACTIONS(2410),
    [anon_sym__Atomic] = ACTIONS(2410),
    [anon_sym__Noreturn] = ACTIONS(2410),
    [anon_sym_noreturn] = ACTIONS(2410),
    [anon_sym__Nonnull] = ACTIONS(2410),
    [anon_sym_mutable] = ACTIONS(2410),
    [anon_sym_constinit] = ACTIONS(2410),
    [anon_sym_consteval] = ACTIONS(2410),
    [anon_sym_alignas] = ACTIONS(2410),
    [anon_sym__Alignas] = ACTIONS(2410),
    [sym_primitive_type] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_struct] = ACTIONS(2410),
    [anon_sym_union] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_case] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_goto] = ACTIONS(2410),
    [anon_sym_not] = ACTIONS(2410),
    [anon_sym_compl] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_sizeof] = ACTIONS(2410),
    [anon_sym___alignof__] = ACTIONS(2410),
    [anon_sym___alignof] = ACTIONS(2410),
    [anon_sym__alignof] = ACTIONS(2410),
    [anon_sym_alignof] = ACTIONS(2410),
    [anon_sym__Alignof] = ACTIONS(2410),
    [anon_sym_offsetof] = ACTIONS(2410),
    [anon_sym__Generic] = ACTIONS(2410),
    [anon_sym_asm] = ACTIONS(2410),
    [anon_sym___asm__] = ACTIONS(2410),
    [anon_sym___asm] = ACTIONS(2410),
    [sym_number_literal] = ACTIONS(2412),
    [anon_sym_L_SQUOTE] = ACTIONS(2412),
    [anon_sym_u_SQUOTE] = ACTIONS(2412),
    [anon_sym_U_SQUOTE] = ACTIONS(2412),
    [anon_sym_u8_SQUOTE] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_L_DQUOTE] = ACTIONS(2412),
    [anon_sym_u_DQUOTE] = ACTIONS(2412),
    [anon_sym_U_DQUOTE] = ACTIONS(2412),
    [anon_sym_u8_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2412),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2410),
    [anon_sym_decltype] = ACTIONS(2410),
    [anon_sym_explicit] = ACTIONS(2410),
    [anon_sym_typename] = ACTIONS(2410),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_static_assert] = ACTIONS(2410),
    [anon_sym_concept] = ACTIONS(2410),
    [anon_sym_co_return] = ACTIONS(2410),
    [anon_sym_co_yield] = ACTIONS(2410),
    [anon_sym_R_DQUOTE] = ACTIONS(2412),
    [anon_sym_LR_DQUOTE] = ACTIONS(2412),
    [anon_sym_uR_DQUOTE] = ACTIONS(2412),
    [anon_sym_UR_DQUOTE] = ACTIONS(2412),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2412),
    [anon_sym_co_await] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_requires] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [anon_sym_precise] = ACTIONS(2410),
    [anon_sym_shared] = ACTIONS(2410),
    [anon_sym_groupshared] = ACTIONS(2410),
    [anon_sym_uniform] = ACTIONS(2410),
    [anon_sym_row_major] = ACTIONS(2410),
    [anon_sym_column_major] = ACTIONS(2410),
    [anon_sym_globallycoherent] = ACTIONS(2410),
    [anon_sym_centroid] = ACTIONS(2410),
    [anon_sym_noperspective] = ACTIONS(2410),
    [anon_sym_nointerpolation] = ACTIONS(2410),
    [anon_sym_sample] = ACTIONS(2410),
    [anon_sym_linear] = ACTIONS(2410),
    [anon_sym_snorm] = ACTIONS(2410),
    [anon_sym_unorm] = ACTIONS(2410),
    [anon_sym_point] = ACTIONS(2410),
    [anon_sym_line] = ACTIONS(2410),
    [anon_sym_triangleadj] = ACTIONS(2410),
    [anon_sym_lineadj] = ACTIONS(2410),
    [anon_sym_triangle] = ACTIONS(2410),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(2428),
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_include_token1] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym___cdecl] = ACTIONS(2426),
    [anon_sym___clrcall] = ACTIONS(2426),
    [anon_sym___stdcall] = ACTIONS(2426),
    [anon_sym___fastcall] = ACTIONS(2426),
    [anon_sym___thiscall] = ACTIONS(2426),
    [anon_sym___vectorcall] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_goto] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2426),
    [anon_sym_compl] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2426),
    [anon_sym___alignof] = ACTIONS(2426),
    [anon_sym__alignof] = ACTIONS(2426),
    [anon_sym_alignof] = ACTIONS(2426),
    [anon_sym__Alignof] = ACTIONS(2426),
    [anon_sym_offsetof] = ACTIONS(2426),
    [anon_sym__Generic] = ACTIONS(2426),
    [anon_sym_asm] = ACTIONS(2426),
    [anon_sym___asm__] = ACTIONS(2426),
    [anon_sym___asm] = ACTIONS(2426),
    [sym_number_literal] = ACTIONS(2428),
    [anon_sym_L_SQUOTE] = ACTIONS(2428),
    [anon_sym_u_SQUOTE] = ACTIONS(2428),
    [anon_sym_U_SQUOTE] = ACTIONS(2428),
    [anon_sym_u8_SQUOTE] = ACTIONS(2428),
    [anon_sym_SQUOTE] = ACTIONS(2428),
    [anon_sym_L_DQUOTE] = ACTIONS(2428),
    [anon_sym_u_DQUOTE] = ACTIONS(2428),
    [anon_sym_U_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [anon_sym_NULL] = ACTIONS(2426),
    [anon_sym_nullptr] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_concept] = ACTIONS(2426),
    [anon_sym_co_return] = ACTIONS(2426),
    [anon_sym_co_yield] = ACTIONS(2426),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_requires] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
  },
  [809] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [810] = {
    [sym_preproc_def] = STATE(811),
    [sym_preproc_function_def] = STATE(811),
    [sym_preproc_call] = STATE(811),
    [sym_preproc_if_in_field_declaration_list] = STATE(811),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(811),
    [sym_type_definition] = STATE(811),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5652),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6343),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(811),
    [sym_field_declaration] = STATE(811),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1852),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(811),
    [sym_operator_cast] = STATE(6910),
    [sym_inline_method_definition] = STATE(811),
    [sym__constructor_specifiers] = STATE(1852),
    [sym_operator_cast_definition] = STATE(811),
    [sym_operator_cast_declaration] = STATE(811),
    [sym_constructor_or_destructor_definition] = STATE(811),
    [sym_constructor_or_destructor_declaration] = STATE(811),
    [sym_friend_declaration] = STATE(811),
    [sym_access_specifier] = STATE(8324),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(811),
    [sym_alias_declaration] = STATE(811),
    [sym_static_assert_declaration] = STATE(811),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6910),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(811),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1852),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3022),
    [aux_sym_preproc_if_token2] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3026),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3038),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3042),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [811] = {
    [sym_preproc_def] = STATE(839),
    [sym_preproc_function_def] = STATE(839),
    [sym_preproc_call] = STATE(839),
    [sym_preproc_if_in_field_declaration_list] = STATE(839),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(839),
    [sym_type_definition] = STATE(839),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5652),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6343),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(839),
    [sym_field_declaration] = STATE(839),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1852),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(839),
    [sym_operator_cast] = STATE(6910),
    [sym_inline_method_definition] = STATE(839),
    [sym__constructor_specifiers] = STATE(1852),
    [sym_operator_cast_definition] = STATE(839),
    [sym_operator_cast_declaration] = STATE(839),
    [sym_constructor_or_destructor_definition] = STATE(839),
    [sym_constructor_or_destructor_declaration] = STATE(839),
    [sym_friend_declaration] = STATE(839),
    [sym_access_specifier] = STATE(8324),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(839),
    [sym_alias_declaration] = STATE(839),
    [sym_static_assert_declaration] = STATE(839),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6910),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1852),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3022),
    [aux_sym_preproc_if_token2] = ACTIONS(3046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3026),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3048),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3038),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3042),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [812] = {
    [sym_preproc_def] = STATE(814),
    [sym_preproc_function_def] = STATE(814),
    [sym_preproc_call] = STATE(814),
    [sym_preproc_if_in_field_declaration_list] = STATE(814),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(814),
    [sym_type_definition] = STATE(814),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(814),
    [sym_field_declaration] = STATE(814),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(814),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(814),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(814),
    [sym_operator_cast_declaration] = STATE(814),
    [sym_constructor_or_destructor_definition] = STATE(814),
    [sym_constructor_or_destructor_declaration] = STATE(814),
    [sym_friend_declaration] = STATE(814),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(814),
    [sym_alias_declaration] = STATE(814),
    [sym_static_assert_declaration] = STATE(814),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(814),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3052),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [813] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [814] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3056),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [815] = {
    [sym_preproc_def] = STATE(816),
    [sym_preproc_function_def] = STATE(816),
    [sym_preproc_call] = STATE(816),
    [sym_preproc_if_in_field_declaration_list] = STATE(816),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(816),
    [sym_type_definition] = STATE(816),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(816),
    [sym_field_declaration] = STATE(816),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(816),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(816),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(816),
    [sym_operator_cast_declaration] = STATE(816),
    [sym_constructor_or_destructor_definition] = STATE(816),
    [sym_constructor_or_destructor_declaration] = STATE(816),
    [sym_friend_declaration] = STATE(816),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(816),
    [sym_alias_declaration] = STATE(816),
    [sym_static_assert_declaration] = STATE(816),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(816),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3060),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [816] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [817] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2855),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3067),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3070),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3079),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_in] = ACTIONS(2896),
    [anon_sym_out] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_virtual] = ACTIONS(2896),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2902),
    [anon_sym___attribute] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2908),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(3085),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_constexpr] = ACTIONS(3087),
    [anon_sym_volatile] = ACTIONS(2923),
    [anon_sym_restrict] = ACTIONS(2923),
    [anon_sym___restrict__] = ACTIONS(2923),
    [anon_sym__Atomic] = ACTIONS(2923),
    [anon_sym__Noreturn] = ACTIONS(2923),
    [anon_sym_noreturn] = ACTIONS(2923),
    [anon_sym__Nonnull] = ACTIONS(2923),
    [anon_sym_mutable] = ACTIONS(2923),
    [anon_sym_constinit] = ACTIONS(2923),
    [anon_sym_consteval] = ACTIONS(2923),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2938),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2950),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(2962),
    [anon_sym_friend] = ACTIONS(3093),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_precise] = ACTIONS(2977),
    [anon_sym_shared] = ACTIONS(2977),
    [anon_sym_groupshared] = ACTIONS(2977),
    [anon_sym_uniform] = ACTIONS(2977),
    [anon_sym_row_major] = ACTIONS(2977),
    [anon_sym_column_major] = ACTIONS(2977),
    [anon_sym_globallycoherent] = ACTIONS(2977),
    [anon_sym_centroid] = ACTIONS(2977),
    [anon_sym_noperspective] = ACTIONS(2977),
    [anon_sym_nointerpolation] = ACTIONS(2977),
    [anon_sym_sample] = ACTIONS(2977),
    [anon_sym_linear] = ACTIONS(2977),
    [anon_sym_snorm] = ACTIONS(2977),
    [anon_sym_unorm] = ACTIONS(2977),
    [anon_sym_point] = ACTIONS(2977),
    [anon_sym_line] = ACTIONS(2977),
    [anon_sym_triangleadj] = ACTIONS(2977),
    [anon_sym_lineadj] = ACTIONS(2977),
    [anon_sym_triangle] = ACTIONS(2977),
  },
  [818] = {
    [sym_preproc_def] = STATE(819),
    [sym_preproc_function_def] = STATE(819),
    [sym_preproc_call] = STATE(819),
    [sym_preproc_if_in_field_declaration_list] = STATE(819),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(819),
    [sym_type_definition] = STATE(819),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(819),
    [sym_field_declaration] = STATE(819),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(819),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(819),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(819),
    [sym_operator_cast_declaration] = STATE(819),
    [sym_constructor_or_destructor_definition] = STATE(819),
    [sym_constructor_or_destructor_declaration] = STATE(819),
    [sym_friend_declaration] = STATE(819),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(819),
    [sym_alias_declaration] = STATE(819),
    [sym_static_assert_declaration] = STATE(819),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(819),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [819] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [820] = {
    [sym_preproc_def] = STATE(821),
    [sym_preproc_function_def] = STATE(821),
    [sym_preproc_call] = STATE(821),
    [sym_preproc_if_in_field_declaration_list] = STATE(821),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(821),
    [sym_type_definition] = STATE(821),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(821),
    [sym_field_declaration] = STATE(821),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(821),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(821),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(821),
    [sym_operator_cast_declaration] = STATE(821),
    [sym_constructor_or_destructor_definition] = STATE(821),
    [sym_constructor_or_destructor_declaration] = STATE(821),
    [sym_friend_declaration] = STATE(821),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(821),
    [sym_alias_declaration] = STATE(821),
    [sym_static_assert_declaration] = STATE(821),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [821] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [822] = {
    [sym_preproc_def] = STATE(823),
    [sym_preproc_function_def] = STATE(823),
    [sym_preproc_call] = STATE(823),
    [sym_preproc_if_in_field_declaration_list] = STATE(823),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(823),
    [sym_type_definition] = STATE(823),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(823),
    [sym_field_declaration] = STATE(823),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(823),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(823),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(823),
    [sym_operator_cast_declaration] = STATE(823),
    [sym_constructor_or_destructor_definition] = STATE(823),
    [sym_constructor_or_destructor_declaration] = STATE(823),
    [sym_friend_declaration] = STATE(823),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(823),
    [sym_alias_declaration] = STATE(823),
    [sym_static_assert_declaration] = STATE(823),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(823),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [823] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [824] = {
    [sym_preproc_def] = STATE(813),
    [sym_preproc_function_def] = STATE(813),
    [sym_preproc_call] = STATE(813),
    [sym_preproc_if_in_field_declaration_list] = STATE(813),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(813),
    [sym_type_definition] = STATE(813),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(813),
    [sym_field_declaration] = STATE(813),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(813),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(813),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(813),
    [sym_operator_cast_declaration] = STATE(813),
    [sym_constructor_or_destructor_definition] = STATE(813),
    [sym_constructor_or_destructor_declaration] = STATE(813),
    [sym_friend_declaration] = STATE(813),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(813),
    [sym_alias_declaration] = STATE(813),
    [sym_static_assert_declaration] = STATE(813),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(813),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [825] = {
    [sym_preproc_def] = STATE(809),
    [sym_preproc_function_def] = STATE(809),
    [sym_preproc_call] = STATE(809),
    [sym_preproc_if_in_field_declaration_list] = STATE(809),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(809),
    [sym_type_definition] = STATE(809),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(809),
    [sym_field_declaration] = STATE(809),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(809),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(809),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(809),
    [sym_operator_cast_declaration] = STATE(809),
    [sym_constructor_or_destructor_definition] = STATE(809),
    [sym_constructor_or_destructor_declaration] = STATE(809),
    [sym_friend_declaration] = STATE(809),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(809),
    [sym_alias_declaration] = STATE(809),
    [sym_static_assert_declaration] = STATE(809),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(809),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [826] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [827] = {
    [sym_preproc_def] = STATE(828),
    [sym_preproc_function_def] = STATE(828),
    [sym_preproc_call] = STATE(828),
    [sym_preproc_if_in_field_declaration_list] = STATE(828),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(828),
    [sym_type_definition] = STATE(828),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(828),
    [sym_field_declaration] = STATE(828),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(828),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(828),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(828),
    [sym_operator_cast_declaration] = STATE(828),
    [sym_constructor_or_destructor_definition] = STATE(828),
    [sym_constructor_or_destructor_declaration] = STATE(828),
    [sym_friend_declaration] = STATE(828),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(828),
    [sym_alias_declaration] = STATE(828),
    [sym_static_assert_declaration] = STATE(828),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [828] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [829] = {
    [sym_preproc_def] = STATE(830),
    [sym_preproc_function_def] = STATE(830),
    [sym_preproc_call] = STATE(830),
    [sym_preproc_if_in_field_declaration_list] = STATE(830),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(830),
    [sym_type_definition] = STATE(830),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(830),
    [sym_field_declaration] = STATE(830),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(830),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(830),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(830),
    [sym_operator_cast_declaration] = STATE(830),
    [sym_constructor_or_destructor_definition] = STATE(830),
    [sym_constructor_or_destructor_declaration] = STATE(830),
    [sym_friend_declaration] = STATE(830),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(830),
    [sym_alias_declaration] = STATE(830),
    [sym_static_assert_declaration] = STATE(830),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(830),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [830] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [831] = {
    [sym_preproc_def] = STATE(832),
    [sym_preproc_function_def] = STATE(832),
    [sym_preproc_call] = STATE(832),
    [sym_preproc_if_in_field_declaration_list] = STATE(832),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(832),
    [sym_type_definition] = STATE(832),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(832),
    [sym_field_declaration] = STATE(832),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(832),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(832),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(832),
    [sym_operator_cast_declaration] = STATE(832),
    [sym_constructor_or_destructor_definition] = STATE(832),
    [sym_constructor_or_destructor_declaration] = STATE(832),
    [sym_friend_declaration] = STATE(832),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(832),
    [sym_alias_declaration] = STATE(832),
    [sym_static_assert_declaration] = STATE(832),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [832] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [833] = {
    [sym_preproc_def] = STATE(834),
    [sym_preproc_function_def] = STATE(834),
    [sym_preproc_call] = STATE(834),
    [sym_preproc_if_in_field_declaration_list] = STATE(834),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(834),
    [sym_type_definition] = STATE(834),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(834),
    [sym_field_declaration] = STATE(834),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(834),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(834),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(834),
    [sym_operator_cast_declaration] = STATE(834),
    [sym_constructor_or_destructor_definition] = STATE(834),
    [sym_constructor_or_destructor_declaration] = STATE(834),
    [sym_friend_declaration] = STATE(834),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(834),
    [sym_alias_declaration] = STATE(834),
    [sym_static_assert_declaration] = STATE(834),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(834),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [834] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [835] = {
    [sym_preproc_def] = STATE(836),
    [sym_preproc_function_def] = STATE(836),
    [sym_preproc_call] = STATE(836),
    [sym_preproc_if_in_field_declaration_list] = STATE(836),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(836),
    [sym_type_definition] = STATE(836),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(836),
    [sym_field_declaration] = STATE(836),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(836),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(836),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(836),
    [sym_operator_cast_declaration] = STATE(836),
    [sym_constructor_or_destructor_definition] = STATE(836),
    [sym_constructor_or_destructor_declaration] = STATE(836),
    [sym_friend_declaration] = STATE(836),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(836),
    [sym_alias_declaration] = STATE(836),
    [sym_static_assert_declaration] = STATE(836),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(836),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [836] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [837] = {
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_field_declaration_list] = STATE(838),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(838),
    [sym_type_definition] = STATE(838),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(838),
    [sym_field_declaration] = STATE(838),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(838),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(838),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(838),
    [sym_operator_cast_declaration] = STATE(838),
    [sym_constructor_or_destructor_definition] = STATE(838),
    [sym_constructor_or_destructor_declaration] = STATE(838),
    [sym_friend_declaration] = STATE(838),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(838),
    [sym_alias_declaration] = STATE(838),
    [sym_static_assert_declaration] = STATE(838),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(838),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [838] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [839] = {
    [sym_preproc_def] = STATE(839),
    [sym_preproc_function_def] = STATE(839),
    [sym_preproc_call] = STATE(839),
    [sym_preproc_if_in_field_declaration_list] = STATE(839),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(839),
    [sym_type_definition] = STATE(839),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5652),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6343),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(839),
    [sym_field_declaration] = STATE(839),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1852),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(839),
    [sym_operator_cast] = STATE(6910),
    [sym_inline_method_definition] = STATE(839),
    [sym__constructor_specifiers] = STATE(1852),
    [sym_operator_cast_definition] = STATE(839),
    [sym_operator_cast_declaration] = STATE(839),
    [sym_constructor_or_destructor_definition] = STATE(839),
    [sym_constructor_or_destructor_declaration] = STATE(839),
    [sym_friend_declaration] = STATE(839),
    [sym_access_specifier] = STATE(8324),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(839),
    [sym_alias_declaration] = STATE(839),
    [sym_static_assert_declaration] = STATE(839),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6910),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1852),
    [sym_identifier] = ACTIONS(2855),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3169),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3175),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_in] = ACTIONS(2896),
    [anon_sym_out] = ACTIONS(2896),
    [anon_sym_inout] = ACTIONS(2896),
    [anon_sym_virtual] = ACTIONS(2896),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2902),
    [anon_sym___attribute] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2908),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(2923),
    [anon_sym_restrict] = ACTIONS(2923),
    [anon_sym___restrict__] = ACTIONS(2923),
    [anon_sym__Atomic] = ACTIONS(2923),
    [anon_sym__Noreturn] = ACTIONS(2923),
    [anon_sym_noreturn] = ACTIONS(2923),
    [anon_sym__Nonnull] = ACTIONS(2923),
    [anon_sym_mutable] = ACTIONS(2923),
    [anon_sym_constinit] = ACTIONS(2923),
    [anon_sym_consteval] = ACTIONS(2923),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2938),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2950),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(2962),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_precise] = ACTIONS(2977),
    [anon_sym_shared] = ACTIONS(2977),
    [anon_sym_groupshared] = ACTIONS(2977),
    [anon_sym_uniform] = ACTIONS(2977),
    [anon_sym_row_major] = ACTIONS(2977),
    [anon_sym_column_major] = ACTIONS(2977),
    [anon_sym_globallycoherent] = ACTIONS(2977),
    [anon_sym_centroid] = ACTIONS(2977),
    [anon_sym_noperspective] = ACTIONS(2977),
    [anon_sym_nointerpolation] = ACTIONS(2977),
    [anon_sym_sample] = ACTIONS(2977),
    [anon_sym_linear] = ACTIONS(2977),
    [anon_sym_snorm] = ACTIONS(2977),
    [anon_sym_unorm] = ACTIONS(2977),
    [anon_sym_point] = ACTIONS(2977),
    [anon_sym_line] = ACTIONS(2977),
    [anon_sym_triangleadj] = ACTIONS(2977),
    [anon_sym_lineadj] = ACTIONS(2977),
    [anon_sym_triangle] = ACTIONS(2977),
  },
  [840] = {
    [sym_preproc_def] = STATE(841),
    [sym_preproc_function_def] = STATE(841),
    [sym_preproc_call] = STATE(841),
    [sym_preproc_if_in_field_declaration_list] = STATE(841),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(841),
    [sym_type_definition] = STATE(841),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(841),
    [sym_field_declaration] = STATE(841),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(841),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(841),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(841),
    [sym_operator_cast_declaration] = STATE(841),
    [sym_constructor_or_destructor_definition] = STATE(841),
    [sym_constructor_or_destructor_declaration] = STATE(841),
    [sym_friend_declaration] = STATE(841),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(841),
    [sym_alias_declaration] = STATE(841),
    [sym_static_assert_declaration] = STATE(841),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [841] = {
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_field_declaration_list] = STATE(817),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(817),
    [sym_type_definition] = STATE(817),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(817),
    [sym_field_declaration] = STATE(817),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(817),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(817),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(817),
    [sym_operator_cast_declaration] = STATE(817),
    [sym_constructor_or_destructor_definition] = STATE(817),
    [sym_constructor_or_destructor_declaration] = STATE(817),
    [sym_friend_declaration] = STATE(817),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(817),
    [sym_alias_declaration] = STATE(817),
    [sym_static_assert_declaration] = STATE(817),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(817),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [842] = {
    [sym_preproc_def] = STATE(826),
    [sym_preproc_function_def] = STATE(826),
    [sym_preproc_call] = STATE(826),
    [sym_preproc_if_in_field_declaration_list] = STATE(826),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(826),
    [sym_type_definition] = STATE(826),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(5673),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__field_declaration_list_item] = STATE(826),
    [sym_field_declaration] = STATE(826),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(826),
    [sym_operator_cast] = STATE(6903),
    [sym_inline_method_definition] = STATE(826),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(826),
    [sym_operator_cast_declaration] = STATE(826),
    [sym_constructor_or_destructor_definition] = STATE(826),
    [sym_constructor_or_destructor_declaration] = STATE(826),
    [sym_friend_declaration] = STATE(826),
    [sym_access_specifier] = STATE(8535),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_using_declaration] = STATE(826),
    [sym_alias_declaration] = STATE(826),
    [sym_static_assert_declaration] = STATE(826),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5613),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(826),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(2683),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [843] = {
    [sym_attribute_declaration] = STATE(848),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(425),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [844] = {
    [sym_attribute_declaration] = STATE(863),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(369),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [845] = {
    [sym_attribute_declaration] = STATE(871),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(378),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [846] = {
    [sym_attribute_declaration] = STATE(871),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(452),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [847] = {
    [sym_attribute_declaration] = STATE(847),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(445),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(847),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym___extension__] = ACTIONS(3242),
    [anon_sym_COLON_COLON] = ACTIONS(3245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_goto] = ACTIONS(3290),
    [anon_sym___try] = ACTIONS(3293),
    [anon_sym___leave] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3311),
    [anon_sym_asm] = ACTIONS(3314),
    [anon_sym___asm__] = ACTIONS(3314),
    [anon_sym___asm] = ACTIONS(3314),
    [sym_number_literal] = ACTIONS(3317),
    [anon_sym_L_SQUOTE] = ACTIONS(3320),
    [anon_sym_u_SQUOTE] = ACTIONS(3320),
    [anon_sym_U_SQUOTE] = ACTIONS(3320),
    [anon_sym_u8_SQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3329),
    [anon_sym_nullptr] = ACTIONS(3329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3338),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3350),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3362),
    [sym_this] = ACTIONS(3326),
    [anon_sym_discard] = ACTIONS(3365),
    [anon_sym_cbuffer] = ACTIONS(3368),
  },
  [848] = {
    [sym_attribute_declaration] = STATE(905),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(430),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(905),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [849] = {
    [sym_attribute_declaration] = STATE(863),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(541),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [850] = {
    [sym_attribute_declaration] = STATE(871),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(393),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [851] = {
    [sym_attribute_declaration] = STATE(871),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(473),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [852] = {
    [sym_attribute_declaration] = STATE(871),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(475),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [853] = {
    [sym_attribute_declaration] = STATE(871),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(476),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [854] = {
    [sym_attribute_declaration] = STATE(871),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(373),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [855] = {
    [sym_attribute_declaration] = STATE(871),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(484),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(871),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [856] = {
    [sym_attribute_declaration] = STATE(863),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(542),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [857] = {
    [sym_attribute_declaration] = STATE(877),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(221),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(877),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [858] = {
    [sym_attribute_declaration] = STATE(875),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1006),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [859] = {
    [sym_attribute_declaration] = STATE(875),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1033),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [860] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(8476),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [861] = {
    [sym_attribute_declaration] = STATE(861),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1027),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(861),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3380),
    [anon_sym___extension__] = ACTIONS(3242),
    [anon_sym_COLON_COLON] = ACTIONS(3245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3386),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3392),
    [anon_sym_default] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3398),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3404),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3410),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_goto] = ACTIONS(3416),
    [anon_sym___try] = ACTIONS(3419),
    [anon_sym___leave] = ACTIONS(3422),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3311),
    [anon_sym_asm] = ACTIONS(3314),
    [anon_sym___asm__] = ACTIONS(3314),
    [anon_sym___asm] = ACTIONS(3314),
    [sym_number_literal] = ACTIONS(3317),
    [anon_sym_L_SQUOTE] = ACTIONS(3320),
    [anon_sym_u_SQUOTE] = ACTIONS(3320),
    [anon_sym_U_SQUOTE] = ACTIONS(3320),
    [anon_sym_u8_SQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3329),
    [anon_sym_nullptr] = ACTIONS(3329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3428),
    [anon_sym_co_return] = ACTIONS(3431),
    [anon_sym_co_yield] = ACTIONS(3434),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3362),
    [sym_this] = ACTIONS(3326),
    [anon_sym_discard] = ACTIONS(3437),
    [anon_sym_cbuffer] = ACTIONS(3440),
  },
  [862] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(8688),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [863] = {
    [sym_attribute_declaration] = STATE(872),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(489),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(872),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [864] = {
    [sym_attribute_declaration] = STATE(875),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1002),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [865] = {
    [sym_attribute_declaration] = STATE(848),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(372),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [866] = {
    [sym_attribute_declaration] = STATE(875),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1073),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [867] = {
    [sym_attribute_declaration] = STATE(875),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1028),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [868] = {
    [sym_attribute_declaration] = STATE(875),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1039),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [869] = {
    [sym_attribute_declaration] = STATE(875),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1004),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [870] = {
    [sym_attribute_declaration] = STATE(875),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1074),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [871] = {
    [sym_attribute_declaration] = STATE(847),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_statement] = STATE(445),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym_seh_try_statement] = STATE(438),
    [sym_seh_leave_statement] = STATE(438),
    [sym_expression] = STATE(4724),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8701),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(438),
    [sym_co_return_statement] = STATE(438),
    [sym_co_yield_statement] = STATE(438),
    [sym_throw_statement] = STATE(438),
    [sym_try_statement] = STATE(438),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(438),
    [sym_cbuffer_specifier] = STATE(438),
    [sym_hlsl_attribute] = STATE(7840),
    [aux_sym_attributed_declarator_repeat1] = STATE(847),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(799),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(803),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(807),
    [anon_sym_goto] = ACTIONS(809),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(813),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(829),
    [anon_sym_co_yield] = ACTIONS(831),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(833),
    [anon_sym_cbuffer] = ACTIONS(835),
  },
  [872] = {
    [sym_attribute_declaration] = STATE(872),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(489),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(872),
    [sym_identifier] = ACTIONS(3443),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3446),
    [anon_sym___extension__] = ACTIONS(3242),
    [anon_sym_COLON_COLON] = ACTIONS(3245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3452),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_case] = ACTIONS(3458),
    [anon_sym_default] = ACTIONS(3461),
    [anon_sym_while] = ACTIONS(3464),
    [anon_sym_do] = ACTIONS(3467),
    [anon_sym_for] = ACTIONS(3470),
    [anon_sym_return] = ACTIONS(3473),
    [anon_sym_break] = ACTIONS(3476),
    [anon_sym_continue] = ACTIONS(3479),
    [anon_sym_goto] = ACTIONS(3482),
    [anon_sym___try] = ACTIONS(3485),
    [anon_sym___leave] = ACTIONS(3488),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3311),
    [anon_sym_asm] = ACTIONS(3314),
    [anon_sym___asm__] = ACTIONS(3314),
    [anon_sym___asm] = ACTIONS(3314),
    [sym_number_literal] = ACTIONS(3317),
    [anon_sym_L_SQUOTE] = ACTIONS(3320),
    [anon_sym_u_SQUOTE] = ACTIONS(3320),
    [anon_sym_U_SQUOTE] = ACTIONS(3320),
    [anon_sym_u8_SQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3329),
    [anon_sym_nullptr] = ACTIONS(3329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3494),
    [anon_sym_co_return] = ACTIONS(3497),
    [anon_sym_co_yield] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3362),
    [sym_this] = ACTIONS(3326),
    [anon_sym_discard] = ACTIONS(3503),
    [anon_sym_cbuffer] = ACTIONS(3506),
  },
  [873] = {
    [sym_attribute_declaration] = STATE(848),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(398),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [874] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(179),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [875] = {
    [sym_attribute_declaration] = STATE(861),
    [sym_compound_statement] = STATE(1034),
    [sym_attributed_statement] = STATE(1034),
    [sym_statement] = STATE(1027),
    [sym_labeled_statement] = STATE(1034),
    [sym_expression_statement] = STATE(1034),
    [sym_if_statement] = STATE(1034),
    [sym_switch_statement] = STATE(1034),
    [sym_case_statement] = STATE(1034),
    [sym_while_statement] = STATE(1034),
    [sym_do_statement] = STATE(1034),
    [sym_for_statement] = STATE(1034),
    [sym_return_statement] = STATE(1034),
    [sym_break_statement] = STATE(1034),
    [sym_continue_statement] = STATE(1034),
    [sym_goto_statement] = STATE(1034),
    [sym_seh_try_statement] = STATE(1034),
    [sym_seh_leave_statement] = STATE(1034),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8861),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(1034),
    [sym_co_return_statement] = STATE(1034),
    [sym_co_yield_statement] = STATE(1034),
    [sym_throw_statement] = STATE(1034),
    [sym_try_statement] = STATE(1034),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(1034),
    [sym_cbuffer_specifier] = STATE(1034),
    [sym_hlsl_attribute] = STATE(7808),
    [aux_sym_attributed_declarator_repeat1] = STATE(861),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_do] = ACTIONS(1718),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1722),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1728),
    [anon_sym___try] = ACTIONS(1730),
    [anon_sym___leave] = ACTIONS(1732),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_co_return] = ACTIONS(1738),
    [anon_sym_co_yield] = ACTIONS(1740),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1742),
    [anon_sym_cbuffer] = ACTIONS(1744),
  },
  [876] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(228),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [877] = {
    [sym_attribute_declaration] = STATE(877),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(221),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(877),
    [sym_identifier] = ACTIONS(3509),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3512),
    [anon_sym___extension__] = ACTIONS(3242),
    [anon_sym_COLON_COLON] = ACTIONS(3245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3518),
    [anon_sym_switch] = ACTIONS(3521),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3527),
    [anon_sym_while] = ACTIONS(3530),
    [anon_sym_do] = ACTIONS(3533),
    [anon_sym_for] = ACTIONS(3536),
    [anon_sym_return] = ACTIONS(3539),
    [anon_sym_break] = ACTIONS(3542),
    [anon_sym_continue] = ACTIONS(3545),
    [anon_sym_goto] = ACTIONS(3548),
    [anon_sym___try] = ACTIONS(3551),
    [anon_sym___leave] = ACTIONS(3554),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3311),
    [anon_sym_asm] = ACTIONS(3314),
    [anon_sym___asm__] = ACTIONS(3314),
    [anon_sym___asm] = ACTIONS(3314),
    [sym_number_literal] = ACTIONS(3317),
    [anon_sym_L_SQUOTE] = ACTIONS(3320),
    [anon_sym_u_SQUOTE] = ACTIONS(3320),
    [anon_sym_U_SQUOTE] = ACTIONS(3320),
    [anon_sym_u8_SQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3329),
    [anon_sym_nullptr] = ACTIONS(3329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3557),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3560),
    [anon_sym_co_return] = ACTIONS(3563),
    [anon_sym_co_yield] = ACTIONS(3566),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3362),
    [sym_this] = ACTIONS(3326),
    [anon_sym_discard] = ACTIONS(3569),
    [anon_sym_cbuffer] = ACTIONS(3572),
  },
  [878] = {
    [sym_attribute_declaration] = STATE(848),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(427),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [879] = {
    [sym_attribute_declaration] = STATE(863),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(388),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [880] = {
    [sym_attribute_declaration] = STATE(863),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(552),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [881] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(183),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [882] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(234),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [883] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(237),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [884] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(238),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [885] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(178),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [886] = {
    [sym_attribute_declaration] = STATE(863),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(392),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [887] = {
    [sym_attribute_declaration] = STATE(863),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(506),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [888] = {
    [sym_attribute_declaration] = STATE(857),
    [sym_compound_statement] = STATE(211),
    [sym_attributed_statement] = STATE(211),
    [sym_statement] = STATE(194),
    [sym_labeled_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_case_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_goto_statement] = STATE(211),
    [sym_seh_try_statement] = STATE(211),
    [sym_seh_leave_statement] = STATE(211),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(211),
    [sym_co_return_statement] = STATE(211),
    [sym_co_yield_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(211),
    [sym_cbuffer_specifier] = STATE(211),
    [sym_hlsl_attribute] = STATE(7774),
    [aux_sym_attributed_declarator_repeat1] = STATE(857),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_switch] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(303),
    [anon_sym_default] = ACTIONS(305),
    [anon_sym_while] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(311),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(315),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_goto] = ACTIONS(319),
    [anon_sym___try] = ACTIONS(321),
    [anon_sym___leave] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(327),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(339),
    [anon_sym_co_yield] = ACTIONS(341),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(343),
    [anon_sym_cbuffer] = ACTIONS(345),
  },
  [889] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(7272),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [890] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(554),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [891] = {
    [sym_attribute_declaration] = STATE(891),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(430),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3575),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3446),
    [anon_sym___extension__] = ACTIONS(3242),
    [anon_sym_COLON_COLON] = ACTIONS(3245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3581),
    [anon_sym_switch] = ACTIONS(3584),
    [anon_sym_case] = ACTIONS(3392),
    [anon_sym_default] = ACTIONS(3395),
    [anon_sym_while] = ACTIONS(3587),
    [anon_sym_do] = ACTIONS(3590),
    [anon_sym_for] = ACTIONS(3593),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3599),
    [anon_sym_continue] = ACTIONS(3602),
    [anon_sym_goto] = ACTIONS(3605),
    [anon_sym___try] = ACTIONS(3608),
    [anon_sym___leave] = ACTIONS(3488),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3311),
    [anon_sym_asm] = ACTIONS(3314),
    [anon_sym___asm__] = ACTIONS(3314),
    [anon_sym___asm] = ACTIONS(3314),
    [sym_number_literal] = ACTIONS(3317),
    [anon_sym_L_SQUOTE] = ACTIONS(3320),
    [anon_sym_u_SQUOTE] = ACTIONS(3320),
    [anon_sym_U_SQUOTE] = ACTIONS(3320),
    [anon_sym_u8_SQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3329),
    [anon_sym_nullptr] = ACTIONS(3329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3611),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3614),
    [anon_sym_co_return] = ACTIONS(3617),
    [anon_sym_co_yield] = ACTIONS(3620),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3362),
    [sym_this] = ACTIONS(3326),
    [anon_sym_discard] = ACTIONS(3503),
    [anon_sym_cbuffer] = ACTIONS(3623),
  },
  [892] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(7395),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [893] = {
    [sym_attribute_declaration] = STATE(848),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(428),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [894] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(425),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [895] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(427),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [896] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(428),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [897] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(7434),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [898] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(439),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [899] = {
    [sym_attribute_declaration] = STATE(891),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(430),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [900] = {
    [sym_attribute_declaration] = STATE(848),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(377),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [901] = {
    [sym_attribute_declaration] = STATE(848),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(439),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [902] = {
    [sym_attribute_declaration] = STATE(848),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(554),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(848),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(1490),
    [anon_sym_cbuffer] = ACTIONS(1492),
  },
  [903] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(8441),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [904] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(8634),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [905] = {
    [sym_attribute_declaration] = STATE(905),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(467),
    [sym_statement] = STATE(430),
    [sym_labeled_statement] = STATE(467),
    [sym_expression_statement] = STATE(467),
    [sym_if_statement] = STATE(467),
    [sym_switch_statement] = STATE(467),
    [sym_case_statement] = STATE(467),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(467),
    [sym_for_statement] = STATE(467),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(467),
    [sym_continue_statement] = STATE(467),
    [sym_goto_statement] = STATE(467),
    [sym_seh_try_statement] = STATE(467),
    [sym_seh_leave_statement] = STATE(467),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8818),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(467),
    [sym_co_return_statement] = STATE(467),
    [sym_co_yield_statement] = STATE(467),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(467),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(467),
    [sym_cbuffer_specifier] = STATE(467),
    [sym_hlsl_attribute] = STATE(8024),
    [aux_sym_attributed_declarator_repeat1] = STATE(905),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3629),
    [anon_sym___extension__] = ACTIONS(3242),
    [anon_sym_COLON_COLON] = ACTIONS(3245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3632),
    [anon_sym_switch] = ACTIONS(3584),
    [anon_sym_case] = ACTIONS(3635),
    [anon_sym_default] = ACTIONS(3638),
    [anon_sym_while] = ACTIONS(3641),
    [anon_sym_do] = ACTIONS(3590),
    [anon_sym_for] = ACTIONS(3644),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3599),
    [anon_sym_continue] = ACTIONS(3602),
    [anon_sym_goto] = ACTIONS(3605),
    [anon_sym___try] = ACTIONS(3647),
    [anon_sym___leave] = ACTIONS(3650),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3311),
    [anon_sym_asm] = ACTIONS(3314),
    [anon_sym___asm__] = ACTIONS(3314),
    [anon_sym___asm] = ACTIONS(3314),
    [sym_number_literal] = ACTIONS(3317),
    [anon_sym_L_SQUOTE] = ACTIONS(3320),
    [anon_sym_u_SQUOTE] = ACTIONS(3320),
    [anon_sym_U_SQUOTE] = ACTIONS(3320),
    [anon_sym_u8_SQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3329),
    [anon_sym_nullptr] = ACTIONS(3329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3611),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3614),
    [anon_sym_co_return] = ACTIONS(3617),
    [anon_sym_co_yield] = ACTIONS(3620),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3362),
    [sym_this] = ACTIONS(3326),
    [anon_sym_discard] = ACTIONS(3653),
    [anon_sym_cbuffer] = ACTIONS(3656),
  },
  [906] = {
    [sym_attribute_declaration] = STATE(899),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(8664),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(8002),
    [aux_sym_attributed_declarator_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1746),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(1826),
  },
  [907] = {
    [sym_attribute_declaration] = STATE(863),
    [sym_compound_statement] = STATE(505),
    [sym_attributed_statement] = STATE(505),
    [sym_statement] = STATE(539),
    [sym_labeled_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_case_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_goto_statement] = STATE(505),
    [sym_seh_try_statement] = STATE(505),
    [sym_seh_leave_statement] = STATE(505),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8684),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_for_range_loop] = STATE(505),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_discard_statement] = STATE(505),
    [sym_cbuffer_specifier] = STATE(505),
    [sym_hlsl_attribute] = STATE(7704),
    [aux_sym_attributed_declarator_repeat1] = STATE(863),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(227),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(229),
    [anon_sym_co_return] = ACTIONS(239),
    [anon_sym_co_yield] = ACTIONS(241),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
    [anon_sym_discard] = ACTIONS(243),
    [anon_sym_cbuffer] = ACTIONS(245),
  },
  [908] = {
    [sym_expression] = STATE(2831),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_initializer_list] = STATE(2916),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [aux_sym_preproc_if_token2] = ACTIONS(3661),
    [aux_sym_preproc_else_token1] = ACTIONS(3661),
    [aux_sym_preproc_elif_token1] = ACTIONS(3659),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3661),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3659),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3659),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3659),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3659),
    [anon_sym_GT_GT] = ACTIONS(3659),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [anon_sym_EQ] = ACTIONS(3659),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_STAR_EQ] = ACTIONS(3661),
    [anon_sym_SLASH_EQ] = ACTIONS(3661),
    [anon_sym_PERCENT_EQ] = ACTIONS(3661),
    [anon_sym_PLUS_EQ] = ACTIONS(3661),
    [anon_sym_DASH_EQ] = ACTIONS(3661),
    [anon_sym_LT_LT_EQ] = ACTIONS(3661),
    [anon_sym_GT_GT_EQ] = ACTIONS(3661),
    [anon_sym_AMP_EQ] = ACTIONS(3661),
    [anon_sym_CARET_EQ] = ACTIONS(3661),
    [anon_sym_PIPE_EQ] = ACTIONS(3661),
    [anon_sym_and_eq] = ACTIONS(3659),
    [anon_sym_or_eq] = ACTIONS(3659),
    [anon_sym_xor_eq] = ACTIONS(3659),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [909] = {
    [sym__declaration_modifiers] = STATE(2000),
    [sym__declaration_specifiers] = STATE(6395),
    [sym_attribute_specifier] = STATE(2000),
    [sym_attribute_declaration] = STATE(2000),
    [sym_ms_declspec_modifier] = STATE(2000),
    [sym_storage_class_specifier] = STATE(2000),
    [sym_type_qualifier] = STATE(2000),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2000),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2557),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_COMMA] = ACTIONS(3707),
    [anon_sym_BANG] = ACTIONS(3709),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_DASH] = ACTIONS(3709),
    [anon_sym_PLUS] = ACTIONS(3709),
    [anon_sym_STAR] = ACTIONS(3709),
    [anon_sym_SLASH] = ACTIONS(3709),
    [anon_sym_PERCENT] = ACTIONS(3709),
    [anon_sym_PIPE_PIPE] = ACTIONS(3707),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3709),
    [anon_sym_EQ_EQ] = ACTIONS(3707),
    [anon_sym_BANG_EQ] = ACTIONS(3707),
    [anon_sym_GT] = ACTIONS(3709),
    [anon_sym_GT_EQ] = ACTIONS(3707),
    [anon_sym_LT_EQ] = ACTIONS(3709),
    [anon_sym_LT] = ACTIONS(3709),
    [anon_sym_LT_LT] = ACTIONS(3709),
    [anon_sym_GT_GT] = ACTIONS(3709),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(3711),
    [anon_sym_out] = ACTIONS(3711),
    [anon_sym_inout] = ACTIONS(3711),
    [anon_sym_virtual] = ACTIONS(3711),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3715),
    [anon_sym_unsigned] = ACTIONS(3715),
    [anon_sym_long] = ACTIONS(3715),
    [anon_sym_short] = ACTIONS(3715),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_EQ] = ACTIONS(3709),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(3717),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [anon_sym_STAR_EQ] = ACTIONS(3707),
    [anon_sym_SLASH_EQ] = ACTIONS(3707),
    [anon_sym_PERCENT_EQ] = ACTIONS(3707),
    [anon_sym_PLUS_EQ] = ACTIONS(3707),
    [anon_sym_DASH_EQ] = ACTIONS(3707),
    [anon_sym_LT_LT_EQ] = ACTIONS(3707),
    [anon_sym_GT_GT_EQ] = ACTIONS(3707),
    [anon_sym_AMP_EQ] = ACTIONS(3707),
    [anon_sym_CARET_EQ] = ACTIONS(3707),
    [anon_sym_PIPE_EQ] = ACTIONS(3707),
    [anon_sym_and_eq] = ACTIONS(3709),
    [anon_sym_or_eq] = ACTIONS(3709),
    [anon_sym_xor_eq] = ACTIONS(3709),
    [anon_sym_not] = ACTIONS(3709),
    [anon_sym_compl] = ACTIONS(3709),
    [anon_sym_LT_EQ_GT] = ACTIONS(3707),
    [anon_sym_or] = ACTIONS(3709),
    [anon_sym_and] = ACTIONS(3709),
    [anon_sym_bitor] = ACTIONS(3709),
    [anon_sym_xor] = ACTIONS(3709),
    [anon_sym_bitand] = ACTIONS(3709),
    [anon_sym_not_eq] = ACTIONS(3709),
    [anon_sym_DASH_DASH] = ACTIONS(3707),
    [anon_sym_PLUS_PLUS] = ACTIONS(3707),
    [anon_sym_DASH_GT] = ACTIONS(3709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3719),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3721),
    [anon_sym_co_await] = ACTIONS(3709),
    [anon_sym_new] = ACTIONS(3721),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3707),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3707),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3707),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3723),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [910] = {
    [sym__declaration_modifiers] = STATE(2000),
    [sym__declaration_specifiers] = STATE(6395),
    [sym_attribute_specifier] = STATE(2000),
    [sym_attribute_declaration] = STATE(2000),
    [sym_ms_declspec_modifier] = STATE(2000),
    [sym_storage_class_specifier] = STATE(2000),
    [sym_type_qualifier] = STATE(2000),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2000),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2557),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_COMMA] = ACTIONS(3725),
    [anon_sym_BANG] = ACTIONS(3727),
    [anon_sym_TILDE] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(3727),
    [anon_sym_SLASH] = ACTIONS(3727),
    [anon_sym_PERCENT] = ACTIONS(3727),
    [anon_sym_PIPE_PIPE] = ACTIONS(3725),
    [anon_sym_AMP_AMP] = ACTIONS(3725),
    [anon_sym_PIPE] = ACTIONS(3727),
    [anon_sym_CARET] = ACTIONS(3727),
    [anon_sym_AMP] = ACTIONS(3727),
    [anon_sym_EQ_EQ] = ACTIONS(3725),
    [anon_sym_BANG_EQ] = ACTIONS(3725),
    [anon_sym_GT] = ACTIONS(3727),
    [anon_sym_GT_EQ] = ACTIONS(3725),
    [anon_sym_LT_EQ] = ACTIONS(3727),
    [anon_sym_LT] = ACTIONS(3727),
    [anon_sym_LT_LT] = ACTIONS(3727),
    [anon_sym_GT_GT] = ACTIONS(3727),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(3711),
    [anon_sym_out] = ACTIONS(3711),
    [anon_sym_inout] = ACTIONS(3711),
    [anon_sym_virtual] = ACTIONS(3711),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3715),
    [anon_sym_unsigned] = ACTIONS(3715),
    [anon_sym_long] = ACTIONS(3715),
    [anon_sym_short] = ACTIONS(3715),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_EQ] = ACTIONS(3727),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(3717),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [anon_sym_STAR_EQ] = ACTIONS(3725),
    [anon_sym_SLASH_EQ] = ACTIONS(3725),
    [anon_sym_PERCENT_EQ] = ACTIONS(3725),
    [anon_sym_PLUS_EQ] = ACTIONS(3725),
    [anon_sym_DASH_EQ] = ACTIONS(3725),
    [anon_sym_LT_LT_EQ] = ACTIONS(3725),
    [anon_sym_GT_GT_EQ] = ACTIONS(3725),
    [anon_sym_AMP_EQ] = ACTIONS(3725),
    [anon_sym_CARET_EQ] = ACTIONS(3725),
    [anon_sym_PIPE_EQ] = ACTIONS(3725),
    [anon_sym_and_eq] = ACTIONS(3727),
    [anon_sym_or_eq] = ACTIONS(3727),
    [anon_sym_xor_eq] = ACTIONS(3727),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_LT_EQ_GT] = ACTIONS(3725),
    [anon_sym_or] = ACTIONS(3727),
    [anon_sym_and] = ACTIONS(3727),
    [anon_sym_bitor] = ACTIONS(3727),
    [anon_sym_xor] = ACTIONS(3727),
    [anon_sym_bitand] = ACTIONS(3727),
    [anon_sym_not_eq] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3725),
    [anon_sym_DASH_GT] = ACTIONS(3727),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3719),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_co_await] = ACTIONS(3727),
    [anon_sym_new] = ACTIONS(3729),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3725),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3725),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3725),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3731),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [911] = {
    [sym_expression] = STATE(2831),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_initializer_list] = STATE(2916),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_RPAREN] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(3735),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3659),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3659),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3659),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3659),
    [anon_sym_GT_GT] = ACTIONS(3659),
    [anon_sym_SEMI] = ACTIONS(3661),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_RBRACE] = ACTIONS(3661),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [anon_sym_RBRACK] = ACTIONS(3661),
    [anon_sym_EQ] = ACTIONS(3659),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_STAR_EQ] = ACTIONS(3661),
    [anon_sym_SLASH_EQ] = ACTIONS(3661),
    [anon_sym_PERCENT_EQ] = ACTIONS(3661),
    [anon_sym_PLUS_EQ] = ACTIONS(3661),
    [anon_sym_DASH_EQ] = ACTIONS(3661),
    [anon_sym_LT_LT_EQ] = ACTIONS(3661),
    [anon_sym_GT_GT_EQ] = ACTIONS(3661),
    [anon_sym_AMP_EQ] = ACTIONS(3661),
    [anon_sym_CARET_EQ] = ACTIONS(3661),
    [anon_sym_PIPE_EQ] = ACTIONS(3661),
    [anon_sym_and_eq] = ACTIONS(3659),
    [anon_sym_or_eq] = ACTIONS(3659),
    [anon_sym_xor_eq] = ACTIONS(3659),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [912] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8543),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [913] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8646),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [914] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8459),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [915] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8565),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [916] = {
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_COMMA] = ACTIONS(3767),
    [anon_sym_RPAREN] = ACTIONS(3767),
    [anon_sym_LPAREN2] = ACTIONS(3767),
    [anon_sym_BANG] = ACTIONS(3767),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(3767),
    [anon_sym_AMP_AMP] = ACTIONS(3767),
    [anon_sym_AMP] = ACTIONS(3765),
    [anon_sym_SEMI] = ACTIONS(3767),
    [anon_sym___extension__] = ACTIONS(3765),
    [anon_sym_in] = ACTIONS(3765),
    [anon_sym_out] = ACTIONS(3765),
    [anon_sym_inout] = ACTIONS(3765),
    [anon_sym_virtual] = ACTIONS(3765),
    [anon_sym_extern] = ACTIONS(3765),
    [anon_sym___attribute__] = ACTIONS(3765),
    [anon_sym___attribute] = ACTIONS(3765),
    [anon_sym_COLON_COLON] = ACTIONS(3767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3767),
    [anon_sym___declspec] = ACTIONS(3765),
    [anon_sym___based] = ACTIONS(3765),
    [anon_sym_LBRACE] = ACTIONS(3767),
    [anon_sym_signed] = ACTIONS(3765),
    [anon_sym_unsigned] = ACTIONS(3765),
    [anon_sym_long] = ACTIONS(3765),
    [anon_sym_short] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3765),
    [anon_sym_static] = ACTIONS(3765),
    [anon_sym_RBRACK] = ACTIONS(3767),
    [anon_sym_EQ] = ACTIONS(3767),
    [anon_sym_register] = ACTIONS(3765),
    [anon_sym_inline] = ACTIONS(3765),
    [anon_sym___inline] = ACTIONS(3765),
    [anon_sym___inline__] = ACTIONS(3765),
    [anon_sym___forceinline] = ACTIONS(3765),
    [anon_sym_thread_local] = ACTIONS(3765),
    [anon_sym___thread] = ACTIONS(3765),
    [anon_sym_const] = ACTIONS(3765),
    [anon_sym_constexpr] = ACTIONS(3765),
    [anon_sym_volatile] = ACTIONS(3765),
    [anon_sym_restrict] = ACTIONS(3765),
    [anon_sym___restrict__] = ACTIONS(3765),
    [anon_sym__Atomic] = ACTIONS(3765),
    [anon_sym__Noreturn] = ACTIONS(3765),
    [anon_sym_noreturn] = ACTIONS(3765),
    [anon_sym__Nonnull] = ACTIONS(3765),
    [anon_sym_mutable] = ACTIONS(3765),
    [anon_sym_constinit] = ACTIONS(3765),
    [anon_sym_consteval] = ACTIONS(3765),
    [anon_sym_alignas] = ACTIONS(3765),
    [anon_sym__Alignas] = ACTIONS(3765),
    [sym_primitive_type] = ACTIONS(3765),
    [anon_sym_enum] = ACTIONS(3765),
    [anon_sym_class] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3765),
    [anon_sym_union] = ACTIONS(3765),
    [anon_sym_if] = ACTIONS(3765),
    [anon_sym_switch] = ACTIONS(3765),
    [anon_sym_case] = ACTIONS(3765),
    [anon_sym_default] = ACTIONS(3765),
    [anon_sym_while] = ACTIONS(3765),
    [anon_sym_do] = ACTIONS(3765),
    [anon_sym_for] = ACTIONS(3765),
    [anon_sym_return] = ACTIONS(3765),
    [anon_sym_break] = ACTIONS(3765),
    [anon_sym_continue] = ACTIONS(3765),
    [anon_sym_goto] = ACTIONS(3765),
    [anon_sym___try] = ACTIONS(3765),
    [anon_sym___leave] = ACTIONS(3765),
    [anon_sym_not] = ACTIONS(3765),
    [anon_sym_compl] = ACTIONS(3765),
    [anon_sym_DASH_DASH] = ACTIONS(3767),
    [anon_sym_PLUS_PLUS] = ACTIONS(3767),
    [anon_sym_sizeof] = ACTIONS(3765),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3765),
    [anon_sym__Generic] = ACTIONS(3765),
    [anon_sym_asm] = ACTIONS(3765),
    [anon_sym___asm__] = ACTIONS(3765),
    [anon_sym___asm] = ACTIONS(3765),
    [sym_number_literal] = ACTIONS(3767),
    [anon_sym_L_SQUOTE] = ACTIONS(3767),
    [anon_sym_u_SQUOTE] = ACTIONS(3767),
    [anon_sym_U_SQUOTE] = ACTIONS(3767),
    [anon_sym_u8_SQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3767),
    [anon_sym_L_DQUOTE] = ACTIONS(3767),
    [anon_sym_u_DQUOTE] = ACTIONS(3767),
    [anon_sym_U_DQUOTE] = ACTIONS(3767),
    [anon_sym_u8_DQUOTE] = ACTIONS(3767),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [sym_true] = ACTIONS(3765),
    [sym_false] = ACTIONS(3765),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3765),
    [anon_sym_decltype] = ACTIONS(3765),
    [anon_sym_explicit] = ACTIONS(3765),
    [anon_sym_typename] = ACTIONS(3765),
    [anon_sym_template] = ACTIONS(3765),
    [anon_sym_operator] = ACTIONS(3765),
    [anon_sym_try] = ACTIONS(3765),
    [anon_sym_delete] = ACTIONS(3765),
    [anon_sym_throw] = ACTIONS(3765),
    [anon_sym_co_return] = ACTIONS(3765),
    [anon_sym_co_yield] = ACTIONS(3765),
    [anon_sym_R_DQUOTE] = ACTIONS(3767),
    [anon_sym_LR_DQUOTE] = ACTIONS(3767),
    [anon_sym_uR_DQUOTE] = ACTIONS(3767),
    [anon_sym_UR_DQUOTE] = ACTIONS(3767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3767),
    [anon_sym_co_await] = ACTIONS(3765),
    [anon_sym_new] = ACTIONS(3765),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3765),
    [anon_sym_discard] = ACTIONS(3765),
    [anon_sym_precise] = ACTIONS(3765),
    [anon_sym_shared] = ACTIONS(3765),
    [anon_sym_groupshared] = ACTIONS(3765),
    [anon_sym_uniform] = ACTIONS(3765),
    [anon_sym_row_major] = ACTIONS(3765),
    [anon_sym_column_major] = ACTIONS(3765),
    [anon_sym_globallycoherent] = ACTIONS(3765),
    [anon_sym_centroid] = ACTIONS(3765),
    [anon_sym_noperspective] = ACTIONS(3765),
    [anon_sym_nointerpolation] = ACTIONS(3765),
    [anon_sym_sample] = ACTIONS(3765),
    [anon_sym_linear] = ACTIONS(3765),
    [anon_sym_snorm] = ACTIONS(3765),
    [anon_sym_unorm] = ACTIONS(3765),
    [anon_sym_point] = ACTIONS(3765),
    [anon_sym_line] = ACTIONS(3765),
    [anon_sym_triangleadj] = ACTIONS(3765),
    [anon_sym_lineadj] = ACTIONS(3765),
    [anon_sym_triangle] = ACTIONS(3765),
    [anon_sym_cbuffer] = ACTIONS(3765),
  },
  [917] = {
    [sym_compound_statement] = STATE(8528),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3229),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8528),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8539),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8545),
    [sym__unary_right_fold] = STATE(8547),
    [sym__binary_fold] = STATE(8561),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8575),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [918] = {
    [sym_compound_statement] = STATE(8528),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3229),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8528),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8182),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8545),
    [sym__unary_right_fold] = STATE(8547),
    [sym__binary_fold] = STATE(8561),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8575),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [919] = {
    [sym_compound_statement] = STATE(8729),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3213),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8729),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8741),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8746),
    [sym__unary_right_fold] = STATE(8750),
    [sym__binary_fold] = STATE(8775),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8781),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [920] = {
    [sym_compound_statement] = STATE(8729),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3213),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8729),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8752),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8746),
    [sym__unary_right_fold] = STATE(8750),
    [sym__binary_fold] = STATE(8775),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8781),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [921] = {
    [sym_compound_statement] = STATE(8729),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3213),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8729),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8560),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8566),
    [sym__unary_right_fold] = STATE(8577),
    [sym__binary_fold] = STATE(8580),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8781),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [922] = {
    [sym_compound_statement] = STATE(8729),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3213),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8729),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8233),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8566),
    [sym__unary_right_fold] = STATE(8577),
    [sym__binary_fold] = STATE(8580),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8781),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [923] = {
    [sym_compound_statement] = STATE(8528),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3229),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8528),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8796),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8800),
    [sym__unary_right_fold] = STATE(8804),
    [sym__binary_fold] = STATE(8806),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8575),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [924] = {
    [sym_compound_statement] = STATE(8528),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3229),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8528),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8136),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8800),
    [sym__unary_right_fold] = STATE(8804),
    [sym__binary_fold] = STATE(8806),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8575),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [925] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8364),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [926] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8648),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [927] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8724),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [928] = {
    [sym_identifier] = ACTIONS(3769),
    [anon_sym_COMMA] = ACTIONS(3771),
    [anon_sym_RPAREN] = ACTIONS(3771),
    [anon_sym_LPAREN2] = ACTIONS(3771),
    [anon_sym_BANG] = ACTIONS(3771),
    [anon_sym_TILDE] = ACTIONS(3771),
    [anon_sym_DASH] = ACTIONS(3769),
    [anon_sym_PLUS] = ACTIONS(3769),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_AMP_AMP] = ACTIONS(3771),
    [anon_sym_AMP] = ACTIONS(3769),
    [anon_sym_SEMI] = ACTIONS(3771),
    [anon_sym___extension__] = ACTIONS(3769),
    [anon_sym_in] = ACTIONS(3769),
    [anon_sym_out] = ACTIONS(3769),
    [anon_sym_inout] = ACTIONS(3769),
    [anon_sym_virtual] = ACTIONS(3769),
    [anon_sym_extern] = ACTIONS(3769),
    [anon_sym___attribute__] = ACTIONS(3769),
    [anon_sym___attribute] = ACTIONS(3769),
    [anon_sym_COLON_COLON] = ACTIONS(3771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3771),
    [anon_sym___declspec] = ACTIONS(3769),
    [anon_sym___based] = ACTIONS(3769),
    [anon_sym_LBRACE] = ACTIONS(3771),
    [anon_sym_signed] = ACTIONS(3769),
    [anon_sym_unsigned] = ACTIONS(3769),
    [anon_sym_long] = ACTIONS(3769),
    [anon_sym_short] = ACTIONS(3769),
    [anon_sym_LBRACK] = ACTIONS(3769),
    [anon_sym_static] = ACTIONS(3769),
    [anon_sym_RBRACK] = ACTIONS(3771),
    [anon_sym_EQ] = ACTIONS(3771),
    [anon_sym_register] = ACTIONS(3769),
    [anon_sym_inline] = ACTIONS(3769),
    [anon_sym___inline] = ACTIONS(3769),
    [anon_sym___inline__] = ACTIONS(3769),
    [anon_sym___forceinline] = ACTIONS(3769),
    [anon_sym_thread_local] = ACTIONS(3769),
    [anon_sym___thread] = ACTIONS(3769),
    [anon_sym_const] = ACTIONS(3769),
    [anon_sym_constexpr] = ACTIONS(3769),
    [anon_sym_volatile] = ACTIONS(3769),
    [anon_sym_restrict] = ACTIONS(3769),
    [anon_sym___restrict__] = ACTIONS(3769),
    [anon_sym__Atomic] = ACTIONS(3769),
    [anon_sym__Noreturn] = ACTIONS(3769),
    [anon_sym_noreturn] = ACTIONS(3769),
    [anon_sym__Nonnull] = ACTIONS(3769),
    [anon_sym_mutable] = ACTIONS(3769),
    [anon_sym_constinit] = ACTIONS(3769),
    [anon_sym_consteval] = ACTIONS(3769),
    [anon_sym_alignas] = ACTIONS(3769),
    [anon_sym__Alignas] = ACTIONS(3769),
    [sym_primitive_type] = ACTIONS(3769),
    [anon_sym_enum] = ACTIONS(3769),
    [anon_sym_class] = ACTIONS(3769),
    [anon_sym_struct] = ACTIONS(3769),
    [anon_sym_union] = ACTIONS(3769),
    [anon_sym_if] = ACTIONS(3769),
    [anon_sym_switch] = ACTIONS(3769),
    [anon_sym_case] = ACTIONS(3769),
    [anon_sym_default] = ACTIONS(3769),
    [anon_sym_while] = ACTIONS(3769),
    [anon_sym_do] = ACTIONS(3769),
    [anon_sym_for] = ACTIONS(3769),
    [anon_sym_return] = ACTIONS(3769),
    [anon_sym_break] = ACTIONS(3769),
    [anon_sym_continue] = ACTIONS(3769),
    [anon_sym_goto] = ACTIONS(3769),
    [anon_sym___try] = ACTIONS(3769),
    [anon_sym___leave] = ACTIONS(3769),
    [anon_sym_not] = ACTIONS(3769),
    [anon_sym_compl] = ACTIONS(3769),
    [anon_sym_DASH_DASH] = ACTIONS(3771),
    [anon_sym_PLUS_PLUS] = ACTIONS(3771),
    [anon_sym_sizeof] = ACTIONS(3769),
    [anon_sym___alignof__] = ACTIONS(3769),
    [anon_sym___alignof] = ACTIONS(3769),
    [anon_sym__alignof] = ACTIONS(3769),
    [anon_sym_alignof] = ACTIONS(3769),
    [anon_sym__Alignof] = ACTIONS(3769),
    [anon_sym_offsetof] = ACTIONS(3769),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3769),
    [anon_sym___asm__] = ACTIONS(3769),
    [anon_sym___asm] = ACTIONS(3769),
    [sym_number_literal] = ACTIONS(3771),
    [anon_sym_L_SQUOTE] = ACTIONS(3771),
    [anon_sym_u_SQUOTE] = ACTIONS(3771),
    [anon_sym_U_SQUOTE] = ACTIONS(3771),
    [anon_sym_u8_SQUOTE] = ACTIONS(3771),
    [anon_sym_SQUOTE] = ACTIONS(3771),
    [anon_sym_L_DQUOTE] = ACTIONS(3771),
    [anon_sym_u_DQUOTE] = ACTIONS(3771),
    [anon_sym_U_DQUOTE] = ACTIONS(3771),
    [anon_sym_u8_DQUOTE] = ACTIONS(3771),
    [anon_sym_DQUOTE] = ACTIONS(3771),
    [sym_true] = ACTIONS(3769),
    [sym_false] = ACTIONS(3769),
    [anon_sym_NULL] = ACTIONS(3769),
    [anon_sym_nullptr] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3769),
    [anon_sym_decltype] = ACTIONS(3769),
    [anon_sym_explicit] = ACTIONS(3769),
    [anon_sym_typename] = ACTIONS(3769),
    [anon_sym_template] = ACTIONS(3769),
    [anon_sym_operator] = ACTIONS(3769),
    [anon_sym_try] = ACTIONS(3769),
    [anon_sym_delete] = ACTIONS(3769),
    [anon_sym_throw] = ACTIONS(3769),
    [anon_sym_co_return] = ACTIONS(3769),
    [anon_sym_co_yield] = ACTIONS(3769),
    [anon_sym_R_DQUOTE] = ACTIONS(3771),
    [anon_sym_LR_DQUOTE] = ACTIONS(3771),
    [anon_sym_uR_DQUOTE] = ACTIONS(3771),
    [anon_sym_UR_DQUOTE] = ACTIONS(3771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3771),
    [anon_sym_co_await] = ACTIONS(3769),
    [anon_sym_new] = ACTIONS(3769),
    [anon_sym_requires] = ACTIONS(3769),
    [sym_this] = ACTIONS(3769),
    [anon_sym_discard] = ACTIONS(3769),
    [anon_sym_precise] = ACTIONS(3769),
    [anon_sym_shared] = ACTIONS(3769),
    [anon_sym_groupshared] = ACTIONS(3769),
    [anon_sym_uniform] = ACTIONS(3769),
    [anon_sym_row_major] = ACTIONS(3769),
    [anon_sym_column_major] = ACTIONS(3769),
    [anon_sym_globallycoherent] = ACTIONS(3769),
    [anon_sym_centroid] = ACTIONS(3769),
    [anon_sym_noperspective] = ACTIONS(3769),
    [anon_sym_nointerpolation] = ACTIONS(3769),
    [anon_sym_sample] = ACTIONS(3769),
    [anon_sym_linear] = ACTIONS(3769),
    [anon_sym_snorm] = ACTIONS(3769),
    [anon_sym_unorm] = ACTIONS(3769),
    [anon_sym_point] = ACTIONS(3769),
    [anon_sym_line] = ACTIONS(3769),
    [anon_sym_triangleadj] = ACTIONS(3769),
    [anon_sym_lineadj] = ACTIONS(3769),
    [anon_sym_triangle] = ACTIONS(3769),
    [anon_sym_cbuffer] = ACTIONS(3769),
  },
  [929] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8435),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [930] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8494),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [931] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8805),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [932] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8696),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [933] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8667),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [934] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8431),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [935] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8870),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [936] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8630),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [937] = {
    [sym_expression] = STATE(2831),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_initializer_list] = STATE(2916),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(3775),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3659),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3659),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3659),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3659),
    [anon_sym_GT_GT] = ACTIONS(3659),
    [anon_sym_SEMI] = ACTIONS(3661),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym___attribute__] = ACTIONS(3659),
    [anon_sym___attribute] = ACTIONS(3659),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [anon_sym_EQ] = ACTIONS(3659),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_STAR_EQ] = ACTIONS(3661),
    [anon_sym_SLASH_EQ] = ACTIONS(3661),
    [anon_sym_PERCENT_EQ] = ACTIONS(3661),
    [anon_sym_PLUS_EQ] = ACTIONS(3661),
    [anon_sym_DASH_EQ] = ACTIONS(3661),
    [anon_sym_LT_LT_EQ] = ACTIONS(3661),
    [anon_sym_GT_GT_EQ] = ACTIONS(3661),
    [anon_sym_AMP_EQ] = ACTIONS(3661),
    [anon_sym_CARET_EQ] = ACTIONS(3661),
    [anon_sym_PIPE_EQ] = ACTIONS(3661),
    [anon_sym_and_eq] = ACTIONS(3659),
    [anon_sym_or_eq] = ACTIONS(3659),
    [anon_sym_xor_eq] = ACTIONS(3659),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [938] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8467),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [939] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8825),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [940] = {
    [sym_compound_statement] = STATE(8626),
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3590),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_type_descriptor] = STATE(8599),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7991),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5838),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(3759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [941] = {
    [sym_function_definition] = STATE(342),
    [sym_declaration] = STATE(342),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6292),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(342),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1846),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(342),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1846),
    [sym_operator_cast_definition] = STATE(342),
    [sym_operator_cast_declaration] = STATE(342),
    [sym_constructor_or_destructor_definition] = STATE(342),
    [sym_constructor_or_destructor_declaration] = STATE(342),
    [sym_friend_declaration] = STATE(342),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(342),
    [sym_concept_definition] = STATE(342),
    [sym_requires_clause] = STATE(953),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1433),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3803),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3805),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3807),
    [anon_sym_using] = ACTIONS(3809),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_requires] = ACTIONS(3811),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [942] = {
    [sym_function_definition] = STATE(653),
    [sym_declaration] = STATE(653),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6331),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(653),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1850),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(653),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1850),
    [sym_operator_cast_definition] = STATE(653),
    [sym_operator_cast_declaration] = STATE(653),
    [sym_constructor_or_destructor_definition] = STATE(653),
    [sym_constructor_or_destructor_declaration] = STATE(653),
    [sym_friend_declaration] = STATE(653),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(653),
    [sym_concept_definition] = STATE(653),
    [sym_requires_clause] = STATE(956),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1413),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3815),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3817),
    [anon_sym_using] = ACTIONS(3819),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_requires] = ACTIONS(3811),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [943] = {
    [sym_function_definition] = STATE(619),
    [sym_declaration] = STATE(619),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4917),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1980),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6333),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2297),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(619),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1847),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(619),
    [sym_operator_cast] = STATE(6890),
    [sym__constructor_specifiers] = STATE(1847),
    [sym_operator_cast_definition] = STATE(619),
    [sym_operator_cast_declaration] = STATE(619),
    [sym_constructor_or_destructor_definition] = STATE(619),
    [sym_constructor_or_destructor_declaration] = STATE(619),
    [sym_friend_declaration] = STATE(619),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(619),
    [sym_concept_definition] = STATE(619),
    [sym_requires_clause] = STATE(955),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6890),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1459),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1847),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3821),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3825),
    [anon_sym_using] = ACTIONS(3827),
    [anon_sym_concept] = ACTIONS(827),
    [anon_sym_requires] = ACTIONS(3811),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [944] = {
    [sym_function_definition] = STATE(2081),
    [sym_declaration] = STATE(2081),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1986),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6343),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2295),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(2081),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1852),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(2081),
    [sym_operator_cast] = STATE(6910),
    [sym__constructor_specifiers] = STATE(1852),
    [sym_operator_cast_definition] = STATE(2081),
    [sym_operator_cast_declaration] = STATE(2081),
    [sym_constructor_or_destructor_definition] = STATE(2081),
    [sym_constructor_or_destructor_declaration] = STATE(2081),
    [sym_friend_declaration] = STATE(2081),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(2081),
    [sym_concept_definition] = STATE(2081),
    [sym_requires_clause] = STATE(957),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6910),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1465),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1852),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3038),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3829),
    [anon_sym_concept] = ACTIONS(3831),
    [anon_sym_requires] = ACTIONS(3811),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [945] = {
    [sym_function_definition] = STATE(1901),
    [sym_declaration] = STATE(1901),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4772),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1984),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2306),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(1901),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(1901),
    [sym_operator_cast] = STATE(6883),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(1901),
    [sym_operator_cast_declaration] = STATE(1901),
    [sym_constructor_or_destructor_definition] = STATE(1901),
    [sym_constructor_or_destructor_declaration] = STATE(1901),
    [sym_friend_declaration] = STATE(1901),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(1901),
    [sym_concept_definition] = STATE(1901),
    [sym_requires_clause] = STATE(954),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1463),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_concept] = ACTIONS(3835),
    [anon_sym_requires] = ACTIONS(3811),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [946] = {
    [sym_expression] = STATE(3394),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_initializer_list] = STATE(3640),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_RPAREN] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3659),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3659),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3659),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3659),
    [anon_sym_GT_GT] = ACTIONS(3659),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(3841),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [anon_sym_EQ] = ACTIONS(3659),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_STAR_EQ] = ACTIONS(3661),
    [anon_sym_SLASH_EQ] = ACTIONS(3661),
    [anon_sym_PERCENT_EQ] = ACTIONS(3661),
    [anon_sym_PLUS_EQ] = ACTIONS(3661),
    [anon_sym_DASH_EQ] = ACTIONS(3661),
    [anon_sym_LT_LT_EQ] = ACTIONS(3661),
    [anon_sym_GT_GT_EQ] = ACTIONS(3661),
    [anon_sym_AMP_EQ] = ACTIONS(3661),
    [anon_sym_CARET_EQ] = ACTIONS(3661),
    [anon_sym_PIPE_EQ] = ACTIONS(3661),
    [anon_sym_and_eq] = ACTIONS(3659),
    [anon_sym_or_eq] = ACTIONS(3659),
    [anon_sym_xor_eq] = ACTIONS(3659),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3659),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3661),
    [sym_this] = ACTIONS(2073),
  },
  [947] = {
    [sym_function_definition] = STATE(2051),
    [sym_declaration] = STATE(2051),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4761),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1982),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(2051),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(2051),
    [sym_operator_cast] = STATE(6903),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(2051),
    [sym_operator_cast_declaration] = STATE(2051),
    [sym_constructor_or_destructor_definition] = STATE(2051),
    [sym_constructor_or_destructor_declaration] = STATE(2051),
    [sym_friend_declaration] = STATE(2051),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(2051),
    [sym_concept_definition] = STATE(2051),
    [sym_requires_clause] = STATE(960),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1428),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_using] = ACTIONS(3845),
    [anon_sym_concept] = ACTIONS(3847),
    [anon_sym_requires] = ACTIONS(3811),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [948] = {
    [sym_function_definition] = STATE(800),
    [sym_declaration] = STATE(800),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4892),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1966),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6345),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2303),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(800),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1843),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(800),
    [sym_operator_cast] = STATE(6887),
    [sym__constructor_specifiers] = STATE(1843),
    [sym_operator_cast_definition] = STATE(800),
    [sym_operator_cast_declaration] = STATE(800),
    [sym_constructor_or_destructor_definition] = STATE(800),
    [sym_constructor_or_destructor_declaration] = STATE(800),
    [sym_friend_declaration] = STATE(800),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(800),
    [sym_concept_definition] = STATE(800),
    [sym_requires_clause] = STATE(961),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6887),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1477),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3849),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3851),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3853),
    [anon_sym_using] = ACTIONS(3855),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_requires] = ACTIONS(3811),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [949] = {
    [sym_expression] = STATE(3599),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_initializer_list] = STATE(3849),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3659),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3659),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3659),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3659),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3659),
    [anon_sym_GT_GT] = ACTIONS(3659),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACE] = ACTIONS(3867),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [anon_sym_EQ] = ACTIONS(3659),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_STAR_EQ] = ACTIONS(3661),
    [anon_sym_SLASH_EQ] = ACTIONS(3661),
    [anon_sym_PERCENT_EQ] = ACTIONS(3661),
    [anon_sym_PLUS_EQ] = ACTIONS(3661),
    [anon_sym_DASH_EQ] = ACTIONS(3661),
    [anon_sym_LT_LT_EQ] = ACTIONS(3661),
    [anon_sym_GT_GT_EQ] = ACTIONS(3659),
    [anon_sym_AMP_EQ] = ACTIONS(3661),
    [anon_sym_CARET_EQ] = ACTIONS(3661),
    [anon_sym_PIPE_EQ] = ACTIONS(3661),
    [anon_sym_and_eq] = ACTIONS(3659),
    [anon_sym_or_eq] = ACTIONS(3659),
    [anon_sym_xor_eq] = ACTIONS(3659),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(3661),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [950] = {
    [sym_field_declaration_list] = STATE(1069),
    [sym_virtual_specifier] = STATE(7211),
    [sym_base_class_clause] = STATE(7809),
    [sym_identifier] = ACTIONS(1942),
    [anon_sym_LPAREN2] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_AMP] = ACTIONS(1944),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1944),
    [anon_sym___extension__] = ACTIONS(1942),
    [anon_sym_typedef] = ACTIONS(1942),
    [anon_sym_in] = ACTIONS(1942),
    [anon_sym_out] = ACTIONS(1942),
    [anon_sym_inout] = ACTIONS(1942),
    [anon_sym_virtual] = ACTIONS(1942),
    [anon_sym_extern] = ACTIONS(1942),
    [anon_sym___attribute__] = ACTIONS(1942),
    [anon_sym___attribute] = ACTIONS(1942),
    [anon_sym_COLON_COLON] = ACTIONS(1944),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1944),
    [anon_sym___declspec] = ACTIONS(1942),
    [anon_sym_LBRACE] = ACTIONS(3901),
    [anon_sym_signed] = ACTIONS(1942),
    [anon_sym_unsigned] = ACTIONS(1942),
    [anon_sym_long] = ACTIONS(1942),
    [anon_sym_short] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_static] = ACTIONS(1942),
    [anon_sym_register] = ACTIONS(1942),
    [anon_sym_inline] = ACTIONS(1942),
    [anon_sym___inline] = ACTIONS(1942),
    [anon_sym___inline__] = ACTIONS(1942),
    [anon_sym___forceinline] = ACTIONS(1942),
    [anon_sym_thread_local] = ACTIONS(1942),
    [anon_sym___thread] = ACTIONS(1942),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_constexpr] = ACTIONS(1942),
    [anon_sym_volatile] = ACTIONS(1942),
    [anon_sym_restrict] = ACTIONS(1942),
    [anon_sym___restrict__] = ACTIONS(1942),
    [anon_sym__Atomic] = ACTIONS(1942),
    [anon_sym__Noreturn] = ACTIONS(1942),
    [anon_sym_noreturn] = ACTIONS(1942),
    [anon_sym__Nonnull] = ACTIONS(1942),
    [anon_sym_mutable] = ACTIONS(1942),
    [anon_sym_constinit] = ACTIONS(1942),
    [anon_sym_consteval] = ACTIONS(1942),
    [anon_sym_alignas] = ACTIONS(1942),
    [anon_sym__Alignas] = ACTIONS(1942),
    [sym_primitive_type] = ACTIONS(1942),
    [anon_sym_enum] = ACTIONS(1942),
    [anon_sym_class] = ACTIONS(1942),
    [anon_sym_struct] = ACTIONS(1942),
    [anon_sym_union] = ACTIONS(1942),
    [anon_sym_if] = ACTIONS(1942),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_switch] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1942),
    [anon_sym_return] = ACTIONS(1942),
    [anon_sym_break] = ACTIONS(1942),
    [anon_sym_continue] = ACTIONS(1942),
    [anon_sym_goto] = ACTIONS(1942),
    [anon_sym___try] = ACTIONS(1942),
    [anon_sym___leave] = ACTIONS(1942),
    [anon_sym_not] = ACTIONS(1942),
    [anon_sym_compl] = ACTIONS(1942),
    [anon_sym_DASH_DASH] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1944),
    [anon_sym_sizeof] = ACTIONS(1942),
    [anon_sym___alignof__] = ACTIONS(1942),
    [anon_sym___alignof] = ACTIONS(1942),
    [anon_sym__alignof] = ACTIONS(1942),
    [anon_sym_alignof] = ACTIONS(1942),
    [anon_sym__Alignof] = ACTIONS(1942),
    [anon_sym_offsetof] = ACTIONS(1942),
    [anon_sym__Generic] = ACTIONS(1942),
    [anon_sym_asm] = ACTIONS(1942),
    [anon_sym___asm__] = ACTIONS(1942),
    [anon_sym___asm] = ACTIONS(1942),
    [sym_number_literal] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1944),
    [anon_sym_u_SQUOTE] = ACTIONS(1944),
    [anon_sym_U_SQUOTE] = ACTIONS(1944),
    [anon_sym_u8_SQUOTE] = ACTIONS(1944),
    [anon_sym_SQUOTE] = ACTIONS(1944),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1942),
    [sym_false] = ACTIONS(1942),
    [anon_sym_NULL] = ACTIONS(1942),
    [anon_sym_nullptr] = ACTIONS(1942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1942),
    [anon_sym_decltype] = ACTIONS(1942),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1942),
    [anon_sym_template] = ACTIONS(1942),
    [anon_sym_try] = ACTIONS(1942),
    [anon_sym_delete] = ACTIONS(1942),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_co_return] = ACTIONS(1942),
    [anon_sym_co_yield] = ACTIONS(1942),
    [anon_sym_R_DQUOTE] = ACTIONS(1944),
    [anon_sym_LR_DQUOTE] = ACTIONS(1944),
    [anon_sym_uR_DQUOTE] = ACTIONS(1944),
    [anon_sym_UR_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1944),
    [anon_sym_co_await] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1942),
    [anon_sym_requires] = ACTIONS(1942),
    [sym_this] = ACTIONS(1942),
    [anon_sym_discard] = ACTIONS(1942),
    [anon_sym_precise] = ACTIONS(1942),
    [anon_sym_shared] = ACTIONS(1942),
    [anon_sym_groupshared] = ACTIONS(1942),
    [anon_sym_uniform] = ACTIONS(1942),
    [anon_sym_row_major] = ACTIONS(1942),
    [anon_sym_column_major] = ACTIONS(1942),
    [anon_sym_globallycoherent] = ACTIONS(1942),
    [anon_sym_centroid] = ACTIONS(1942),
    [anon_sym_noperspective] = ACTIONS(1942),
    [anon_sym_nointerpolation] = ACTIONS(1942),
    [anon_sym_sample] = ACTIONS(1942),
    [anon_sym_linear] = ACTIONS(1942),
    [anon_sym_snorm] = ACTIONS(1942),
    [anon_sym_unorm] = ACTIONS(1942),
    [anon_sym_point] = ACTIONS(1942),
    [anon_sym_line] = ACTIONS(1942),
    [anon_sym_triangleadj] = ACTIONS(1942),
    [anon_sym_lineadj] = ACTIONS(1942),
    [anon_sym_triangle] = ACTIONS(1942),
    [anon_sym_cbuffer] = ACTIONS(1942),
  },
  [951] = {
    [sym_field_declaration_list] = STATE(1075),
    [sym_virtual_specifier] = STATE(7016),
    [sym_base_class_clause] = STATE(7837),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_in] = ACTIONS(1952),
    [anon_sym_out] = ACTIONS(1952),
    [anon_sym_inout] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym___attribute] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(3901),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
    [anon_sym_discard] = ACTIONS(1952),
    [anon_sym_precise] = ACTIONS(1952),
    [anon_sym_shared] = ACTIONS(1952),
    [anon_sym_groupshared] = ACTIONS(1952),
    [anon_sym_uniform] = ACTIONS(1952),
    [anon_sym_row_major] = ACTIONS(1952),
    [anon_sym_column_major] = ACTIONS(1952),
    [anon_sym_globallycoherent] = ACTIONS(1952),
    [anon_sym_centroid] = ACTIONS(1952),
    [anon_sym_noperspective] = ACTIONS(1952),
    [anon_sym_nointerpolation] = ACTIONS(1952),
    [anon_sym_sample] = ACTIONS(1952),
    [anon_sym_linear] = ACTIONS(1952),
    [anon_sym_snorm] = ACTIONS(1952),
    [anon_sym_unorm] = ACTIONS(1952),
    [anon_sym_point] = ACTIONS(1952),
    [anon_sym_line] = ACTIONS(1952),
    [anon_sym_triangleadj] = ACTIONS(1952),
    [anon_sym_lineadj] = ACTIONS(1952),
    [anon_sym_triangle] = ACTIONS(1952),
    [anon_sym_cbuffer] = ACTIONS(1952),
  },
  [952] = {
    [sym_expression] = STATE(3572),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_initializer_list] = STATE(2916),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(3903),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3659),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3659),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3659),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3659),
    [anon_sym_GT_GT] = ACTIONS(3659),
    [anon_sym_COLON] = ACTIONS(3659),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [anon_sym_EQ] = ACTIONS(3659),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_STAR_EQ] = ACTIONS(3661),
    [anon_sym_SLASH_EQ] = ACTIONS(3661),
    [anon_sym_PERCENT_EQ] = ACTIONS(3661),
    [anon_sym_PLUS_EQ] = ACTIONS(3661),
    [anon_sym_DASH_EQ] = ACTIONS(3661),
    [anon_sym_LT_LT_EQ] = ACTIONS(3661),
    [anon_sym_GT_GT_EQ] = ACTIONS(3661),
    [anon_sym_AMP_EQ] = ACTIONS(3661),
    [anon_sym_CARET_EQ] = ACTIONS(3661),
    [anon_sym_PIPE_EQ] = ACTIONS(3661),
    [anon_sym_and_eq] = ACTIONS(3659),
    [anon_sym_or_eq] = ACTIONS(3659),
    [anon_sym_xor_eq] = ACTIONS(3659),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [953] = {
    [sym_function_definition] = STATE(263),
    [sym_declaration] = STATE(263),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1978),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6292),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2304),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(263),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1846),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(263),
    [sym_operator_cast] = STATE(6889),
    [sym__constructor_specifiers] = STATE(1846),
    [sym_operator_cast_definition] = STATE(263),
    [sym_operator_cast_declaration] = STATE(263),
    [sym_constructor_or_destructor_definition] = STATE(263),
    [sym_constructor_or_destructor_declaration] = STATE(263),
    [sym_friend_declaration] = STATE(263),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(263),
    [sym_concept_definition] = STATE(263),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6889),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1433),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3803),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3805),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3807),
    [anon_sym_using] = ACTIONS(3809),
    [anon_sym_concept] = ACTIONS(337),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [954] = {
    [sym_function_definition] = STATE(1912),
    [sym_declaration] = STATE(1912),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4772),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1984),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6325),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2306),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(1912),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1854),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(1912),
    [sym_operator_cast] = STATE(6883),
    [sym__constructor_specifiers] = STATE(1854),
    [sym_operator_cast_definition] = STATE(1912),
    [sym_operator_cast_declaration] = STATE(1912),
    [sym_constructor_or_destructor_definition] = STATE(1912),
    [sym_constructor_or_destructor_declaration] = STATE(1912),
    [sym_friend_declaration] = STATE(1912),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(1912),
    [sym_concept_definition] = STATE(1912),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6883),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1463),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(2719),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(2733),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(2735),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_concept] = ACTIONS(3835),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [955] = {
    [sym_function_definition] = STATE(632),
    [sym_declaration] = STATE(632),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4917),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1980),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6333),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2297),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(632),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1847),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(632),
    [sym_operator_cast] = STATE(6890),
    [sym__constructor_specifiers] = STATE(1847),
    [sym_operator_cast_definition] = STATE(632),
    [sym_operator_cast_declaration] = STATE(632),
    [sym_constructor_or_destructor_definition] = STATE(632),
    [sym_constructor_or_destructor_declaration] = STATE(632),
    [sym_friend_declaration] = STATE(632),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(632),
    [sym_concept_definition] = STATE(632),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6890),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1459),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1847),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3821),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3825),
    [anon_sym_using] = ACTIONS(3827),
    [anon_sym_concept] = ACTIONS(827),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [956] = {
    [sym_function_definition] = STATE(678),
    [sym_declaration] = STATE(678),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1976),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6331),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(678),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1850),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(678),
    [sym_operator_cast] = STATE(6893),
    [sym__constructor_specifiers] = STATE(1850),
    [sym_operator_cast_definition] = STATE(678),
    [sym_operator_cast_declaration] = STATE(678),
    [sym_constructor_or_destructor_definition] = STATE(678),
    [sym_constructor_or_destructor_declaration] = STATE(678),
    [sym_friend_declaration] = STATE(678),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(678),
    [sym_concept_definition] = STATE(678),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6893),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1413),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3815),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3817),
    [anon_sym_using] = ACTIONS(3819),
    [anon_sym_concept] = ACTIONS(237),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [957] = {
    [sym_function_definition] = STATE(2103),
    [sym_declaration] = STATE(2103),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1986),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6343),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2295),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(2103),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1852),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(2103),
    [sym_operator_cast] = STATE(6910),
    [sym__constructor_specifiers] = STATE(1852),
    [sym_operator_cast_definition] = STATE(2103),
    [sym_operator_cast_declaration] = STATE(2103),
    [sym_constructor_or_destructor_definition] = STATE(2103),
    [sym_constructor_or_destructor_declaration] = STATE(2103),
    [sym_friend_declaration] = STATE(2103),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(2103),
    [sym_concept_definition] = STATE(2103),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6910),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1465),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1852),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3038),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3829),
    [anon_sym_concept] = ACTIONS(3831),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [958] = {
    [sym_template_argument_list] = STATE(967),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1974),
    [anon_sym_BANG] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_LT] = ACTIONS(3917),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_primitive_type] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [sym_number_literal] = ACTIONS(1974),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_final] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1974),
    [anon_sym_LR_DQUOTE] = ACTIONS(1974),
    [anon_sym_uR_DQUOTE] = ACTIONS(1974),
    [anon_sym_UR_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1974),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
    [anon_sym_discard] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
    [anon_sym_cbuffer] = ACTIONS(1972),
  },
  [959] = {
    [sym_template_argument_list] = STATE(967),
    [sym_identifier] = ACTIONS(1964),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_LT] = ACTIONS(3917),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_typedef] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_out] = ACTIONS(1964),
    [anon_sym_inout] = ACTIONS(1964),
    [anon_sym_virtual] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1964),
    [anon_sym_unsigned] = ACTIONS(1964),
    [anon_sym_long] = ACTIONS(1964),
    [anon_sym_short] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_register] = ACTIONS(1964),
    [anon_sym_inline] = ACTIONS(1964),
    [anon_sym___inline] = ACTIONS(1964),
    [anon_sym___inline__] = ACTIONS(1964),
    [anon_sym___forceinline] = ACTIONS(1964),
    [anon_sym_thread_local] = ACTIONS(1964),
    [anon_sym___thread] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_constexpr] = ACTIONS(1964),
    [anon_sym_volatile] = ACTIONS(1964),
    [anon_sym_restrict] = ACTIONS(1964),
    [anon_sym___restrict__] = ACTIONS(1964),
    [anon_sym__Atomic] = ACTIONS(1964),
    [anon_sym__Noreturn] = ACTIONS(1964),
    [anon_sym_noreturn] = ACTIONS(1964),
    [anon_sym__Nonnull] = ACTIONS(1964),
    [anon_sym_mutable] = ACTIONS(1964),
    [anon_sym_constinit] = ACTIONS(1964),
    [anon_sym_consteval] = ACTIONS(1964),
    [anon_sym_alignas] = ACTIONS(1964),
    [anon_sym__Alignas] = ACTIONS(1964),
    [sym_primitive_type] = ACTIONS(1964),
    [anon_sym_enum] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1964),
    [anon_sym_struct] = ACTIONS(1964),
    [anon_sym_union] = ACTIONS(1964),
    [anon_sym_if] = ACTIONS(1964),
    [anon_sym_else] = ACTIONS(1964),
    [anon_sym_switch] = ACTIONS(1964),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_do] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_return] = ACTIONS(1964),
    [anon_sym_break] = ACTIONS(1964),
    [anon_sym_continue] = ACTIONS(1964),
    [anon_sym_goto] = ACTIONS(1964),
    [anon_sym___try] = ACTIONS(1964),
    [anon_sym___leave] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1964),
    [anon_sym___alignof__] = ACTIONS(1964),
    [anon_sym___alignof] = ACTIONS(1964),
    [anon_sym__alignof] = ACTIONS(1964),
    [anon_sym_alignof] = ACTIONS(1964),
    [anon_sym__Alignof] = ACTIONS(1964),
    [anon_sym_offsetof] = ACTIONS(1964),
    [anon_sym__Generic] = ACTIONS(1964),
    [anon_sym_asm] = ACTIONS(1964),
    [anon_sym___asm__] = ACTIONS(1964),
    [anon_sym___asm] = ACTIONS(1964),
    [sym_number_literal] = ACTIONS(1966),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1964),
    [sym_false] = ACTIONS(1964),
    [anon_sym_NULL] = ACTIONS(1964),
    [anon_sym_nullptr] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_final] = ACTIONS(1964),
    [anon_sym_override] = ACTIONS(1964),
    [anon_sym_typename] = ACTIONS(1964),
    [anon_sym_template] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1964),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_throw] = ACTIONS(1964),
    [anon_sym_co_return] = ACTIONS(1964),
    [anon_sym_co_yield] = ACTIONS(1964),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1964),
    [anon_sym_new] = ACTIONS(1964),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1964),
    [anon_sym_discard] = ACTIONS(1964),
    [anon_sym_precise] = ACTIONS(1964),
    [anon_sym_shared] = ACTIONS(1964),
    [anon_sym_groupshared] = ACTIONS(1964),
    [anon_sym_uniform] = ACTIONS(1964),
    [anon_sym_row_major] = ACTIONS(1964),
    [anon_sym_column_major] = ACTIONS(1964),
    [anon_sym_globallycoherent] = ACTIONS(1964),
    [anon_sym_centroid] = ACTIONS(1964),
    [anon_sym_noperspective] = ACTIONS(1964),
    [anon_sym_nointerpolation] = ACTIONS(1964),
    [anon_sym_sample] = ACTIONS(1964),
    [anon_sym_linear] = ACTIONS(1964),
    [anon_sym_snorm] = ACTIONS(1964),
    [anon_sym_unorm] = ACTIONS(1964),
    [anon_sym_point] = ACTIONS(1964),
    [anon_sym_line] = ACTIONS(1964),
    [anon_sym_triangleadj] = ACTIONS(1964),
    [anon_sym_lineadj] = ACTIONS(1964),
    [anon_sym_triangle] = ACTIONS(1964),
    [anon_sym_cbuffer] = ACTIONS(1964),
  },
  [960] = {
    [sym_function_definition] = STATE(2055),
    [sym_declaration] = STATE(2055),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4761),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1982),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6275),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(2055),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1849),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(2055),
    [sym_operator_cast] = STATE(6903),
    [sym__constructor_specifiers] = STATE(1849),
    [sym_operator_cast_definition] = STATE(2055),
    [sym_operator_cast_declaration] = STATE(2055),
    [sym_constructor_or_destructor_definition] = STATE(2055),
    [sym_constructor_or_destructor_declaration] = STATE(2055),
    [sym_friend_declaration] = STATE(2055),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(2055),
    [sym_concept_definition] = STATE(2055),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6903),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1428),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_using] = ACTIONS(3845),
    [anon_sym_concept] = ACTIONS(3847),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [961] = {
    [sym_function_definition] = STATE(807),
    [sym_declaration] = STATE(807),
    [sym__declaration_modifiers] = STATE(2428),
    [sym__declaration_specifiers] = STATE(4892),
    [sym_attribute_specifier] = STATE(2428),
    [sym_attribute_declaration] = STATE(2428),
    [sym_ms_declspec_modifier] = STATE(2428),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(1966),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6345),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2428),
    [sym_type_qualifier] = STATE(2428),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2303),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym__empty_declaration] = STATE(807),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_explicit_function_specifier] = STATE(1843),
    [sym_dependent_type] = STATE(2339),
    [sym_template_declaration] = STATE(807),
    [sym_operator_cast] = STATE(6887),
    [sym__constructor_specifiers] = STATE(1843),
    [sym_operator_cast_definition] = STATE(807),
    [sym_operator_cast_declaration] = STATE(807),
    [sym_constructor_or_destructor_definition] = STATE(807),
    [sym_constructor_or_destructor_declaration] = STATE(807),
    [sym_friend_declaration] = STATE(807),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_alias_declaration] = STATE(807),
    [sym_concept_definition] = STATE(807),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5578),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualified_operator_cast_identifier] = STATE(6887),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2428),
    [sym_hlsl_attribute] = STATE(1477),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1843),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(39),
    [anon_sym_out] = ACTIONS(39),
    [anon_sym_inout] = ACTIONS(39),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3849),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3851),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3853),
    [anon_sym_using] = ACTIONS(3855),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [962] = {
    [sym_expression] = STATE(3899),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_initializer_list] = STATE(4115),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_RPAREN] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3659),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3659),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3659),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3659),
    [anon_sym_GT_GT] = ACTIONS(3659),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(3923),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [anon_sym_EQ] = ACTIONS(3659),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_STAR_EQ] = ACTIONS(3661),
    [anon_sym_SLASH_EQ] = ACTIONS(3661),
    [anon_sym_PERCENT_EQ] = ACTIONS(3661),
    [anon_sym_PLUS_EQ] = ACTIONS(3661),
    [anon_sym_DASH_EQ] = ACTIONS(3661),
    [anon_sym_LT_LT_EQ] = ACTIONS(3661),
    [anon_sym_GT_GT_EQ] = ACTIONS(3661),
    [anon_sym_AMP_EQ] = ACTIONS(3661),
    [anon_sym_CARET_EQ] = ACTIONS(3661),
    [anon_sym_PIPE_EQ] = ACTIONS(3661),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3659),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3661),
    [sym_this] = ACTIONS(1892),
  },
  [963] = {
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(3930),
    [anon_sym_BANG] = ACTIONS(3933),
    [anon_sym_TILDE] = ACTIONS(3930),
    [anon_sym_DASH] = ACTIONS(3935),
    [anon_sym_PLUS] = ACTIONS(3935),
    [anon_sym_STAR] = ACTIONS(3930),
    [anon_sym_AMP_AMP] = ACTIONS(3937),
    [anon_sym_AMP] = ACTIONS(3927),
    [anon_sym_SEMI] = ACTIONS(3933),
    [anon_sym___extension__] = ACTIONS(3927),
    [anon_sym_in] = ACTIONS(3939),
    [anon_sym_out] = ACTIONS(3939),
    [anon_sym_inout] = ACTIONS(3939),
    [anon_sym_virtual] = ACTIONS(3939),
    [anon_sym_extern] = ACTIONS(3939),
    [anon_sym___attribute__] = ACTIONS(3939),
    [anon_sym___attribute] = ACTIONS(3939),
    [anon_sym_COLON_COLON] = ACTIONS(3930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3930),
    [anon_sym___declspec] = ACTIONS(3939),
    [anon_sym___based] = ACTIONS(3939),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_signed] = ACTIONS(3939),
    [anon_sym_unsigned] = ACTIONS(3939),
    [anon_sym_long] = ACTIONS(3939),
    [anon_sym_short] = ACTIONS(3939),
    [anon_sym_LBRACK] = ACTIONS(3927),
    [anon_sym_static] = ACTIONS(3939),
    [anon_sym_register] = ACTIONS(3939),
    [anon_sym_inline] = ACTIONS(3939),
    [anon_sym___inline] = ACTIONS(3939),
    [anon_sym___inline__] = ACTIONS(3939),
    [anon_sym___forceinline] = ACTIONS(3939),
    [anon_sym_thread_local] = ACTIONS(3939),
    [anon_sym___thread] = ACTIONS(3939),
    [anon_sym_const] = ACTIONS(3939),
    [anon_sym_constexpr] = ACTIONS(3939),
    [anon_sym_volatile] = ACTIONS(3939),
    [anon_sym_restrict] = ACTIONS(3939),
    [anon_sym___restrict__] = ACTIONS(3939),
    [anon_sym__Atomic] = ACTIONS(3939),
    [anon_sym__Noreturn] = ACTIONS(3939),
    [anon_sym_noreturn] = ACTIONS(3939),
    [anon_sym__Nonnull] = ACTIONS(3939),
    [anon_sym_mutable] = ACTIONS(3939),
    [anon_sym_constinit] = ACTIONS(3939),
    [anon_sym_consteval] = ACTIONS(3939),
    [anon_sym_alignas] = ACTIONS(3939),
    [anon_sym__Alignas] = ACTIONS(3939),
    [sym_primitive_type] = ACTIONS(3927),
    [anon_sym_enum] = ACTIONS(3939),
    [anon_sym_class] = ACTIONS(3939),
    [anon_sym_struct] = ACTIONS(3939),
    [anon_sym_union] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(3935),
    [anon_sym_switch] = ACTIONS(3935),
    [anon_sym_case] = ACTIONS(3935),
    [anon_sym_default] = ACTIONS(3935),
    [anon_sym_while] = ACTIONS(3935),
    [anon_sym_do] = ACTIONS(3935),
    [anon_sym_for] = ACTIONS(3935),
    [anon_sym_return] = ACTIONS(3935),
    [anon_sym_break] = ACTIONS(3935),
    [anon_sym_continue] = ACTIONS(3935),
    [anon_sym_goto] = ACTIONS(3935),
    [anon_sym___try] = ACTIONS(3935),
    [anon_sym___leave] = ACTIONS(3935),
    [anon_sym_not] = ACTIONS(3935),
    [anon_sym_compl] = ACTIONS(3935),
    [anon_sym_DASH_DASH] = ACTIONS(3933),
    [anon_sym_PLUS_PLUS] = ACTIONS(3933),
    [anon_sym_sizeof] = ACTIONS(3935),
    [anon_sym___alignof__] = ACTIONS(3935),
    [anon_sym___alignof] = ACTIONS(3935),
    [anon_sym__alignof] = ACTIONS(3935),
    [anon_sym_alignof] = ACTIONS(3935),
    [anon_sym__Alignof] = ACTIONS(3935),
    [anon_sym_offsetof] = ACTIONS(3935),
    [anon_sym__Generic] = ACTIONS(3935),
    [anon_sym_asm] = ACTIONS(3935),
    [anon_sym___asm__] = ACTIONS(3935),
    [anon_sym___asm] = ACTIONS(3935),
    [sym_number_literal] = ACTIONS(3933),
    [anon_sym_L_SQUOTE] = ACTIONS(3933),
    [anon_sym_u_SQUOTE] = ACTIONS(3933),
    [anon_sym_U_SQUOTE] = ACTIONS(3933),
    [anon_sym_u8_SQUOTE] = ACTIONS(3933),
    [anon_sym_SQUOTE] = ACTIONS(3933),
    [anon_sym_L_DQUOTE] = ACTIONS(3933),
    [anon_sym_u_DQUOTE] = ACTIONS(3933),
    [anon_sym_U_DQUOTE] = ACTIONS(3933),
    [anon_sym_u8_DQUOTE] = ACTIONS(3933),
    [anon_sym_DQUOTE] = ACTIONS(3933),
    [sym_true] = ACTIONS(3935),
    [sym_false] = ACTIONS(3935),
    [anon_sym_NULL] = ACTIONS(3935),
    [anon_sym_nullptr] = ACTIONS(3935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3939),
    [anon_sym_decltype] = ACTIONS(3927),
    [anon_sym_explicit] = ACTIONS(3939),
    [anon_sym_typename] = ACTIONS(3939),
    [anon_sym_template] = ACTIONS(3927),
    [anon_sym_operator] = ACTIONS(3939),
    [anon_sym_try] = ACTIONS(3935),
    [anon_sym_delete] = ACTIONS(3935),
    [anon_sym_throw] = ACTIONS(3935),
    [anon_sym_co_return] = ACTIONS(3935),
    [anon_sym_co_yield] = ACTIONS(3935),
    [anon_sym_R_DQUOTE] = ACTIONS(3933),
    [anon_sym_LR_DQUOTE] = ACTIONS(3933),
    [anon_sym_uR_DQUOTE] = ACTIONS(3933),
    [anon_sym_UR_DQUOTE] = ACTIONS(3933),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3933),
    [anon_sym_co_await] = ACTIONS(3935),
    [anon_sym_new] = ACTIONS(3935),
    [anon_sym_requires] = ACTIONS(3935),
    [sym_this] = ACTIONS(3935),
    [anon_sym_discard] = ACTIONS(3935),
    [anon_sym_precise] = ACTIONS(3939),
    [anon_sym_shared] = ACTIONS(3939),
    [anon_sym_groupshared] = ACTIONS(3939),
    [anon_sym_uniform] = ACTIONS(3939),
    [anon_sym_row_major] = ACTIONS(3939),
    [anon_sym_column_major] = ACTIONS(3939),
    [anon_sym_globallycoherent] = ACTIONS(3939),
    [anon_sym_centroid] = ACTIONS(3939),
    [anon_sym_noperspective] = ACTIONS(3939),
    [anon_sym_nointerpolation] = ACTIONS(3939),
    [anon_sym_sample] = ACTIONS(3939),
    [anon_sym_linear] = ACTIONS(3939),
    [anon_sym_snorm] = ACTIONS(3939),
    [anon_sym_unorm] = ACTIONS(3939),
    [anon_sym_point] = ACTIONS(3939),
    [anon_sym_line] = ACTIONS(3939),
    [anon_sym_triangleadj] = ACTIONS(3939),
    [anon_sym_lineadj] = ACTIONS(3939),
    [anon_sym_triangle] = ACTIONS(3939),
    [anon_sym_cbuffer] = ACTIONS(3935),
  },
  [964] = {
    [sym_catch_clause] = STATE(972),
    [aux_sym_constructor_try_statement_repeat1] = STATE(972),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1999),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym___extension__] = ACTIONS(1997),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1997),
    [anon_sym_out] = ACTIONS(1997),
    [anon_sym_inout] = ACTIONS(1997),
    [anon_sym_virtual] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(1997),
    [anon_sym___attribute__] = ACTIONS(1997),
    [anon_sym___attribute] = ACTIONS(1997),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [anon_sym_signed] = ACTIONS(1997),
    [anon_sym_unsigned] = ACTIONS(1997),
    [anon_sym_long] = ACTIONS(1997),
    [anon_sym_short] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_register] = ACTIONS(1997),
    [anon_sym_inline] = ACTIONS(1997),
    [anon_sym___inline] = ACTIONS(1997),
    [anon_sym___inline__] = ACTIONS(1997),
    [anon_sym___forceinline] = ACTIONS(1997),
    [anon_sym_thread_local] = ACTIONS(1997),
    [anon_sym___thread] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_constexpr] = ACTIONS(1997),
    [anon_sym_volatile] = ACTIONS(1997),
    [anon_sym_restrict] = ACTIONS(1997),
    [anon_sym___restrict__] = ACTIONS(1997),
    [anon_sym__Atomic] = ACTIONS(1997),
    [anon_sym__Noreturn] = ACTIONS(1997),
    [anon_sym_noreturn] = ACTIONS(1997),
    [anon_sym__Nonnull] = ACTIONS(1997),
    [anon_sym_mutable] = ACTIONS(1997),
    [anon_sym_constinit] = ACTIONS(1997),
    [anon_sym_consteval] = ACTIONS(1997),
    [anon_sym_alignas] = ACTIONS(1997),
    [anon_sym__Alignas] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_struct] = ACTIONS(1997),
    [anon_sym_union] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_else] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_while] = ACTIONS(1997),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_for] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_goto] = ACTIONS(1997),
    [anon_sym___try] = ACTIONS(1997),
    [anon_sym___leave] = ACTIONS(1997),
    [anon_sym_not] = ACTIONS(1997),
    [anon_sym_compl] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1999),
    [anon_sym_PLUS_PLUS] = ACTIONS(1999),
    [anon_sym_sizeof] = ACTIONS(1997),
    [anon_sym___alignof__] = ACTIONS(1997),
    [anon_sym___alignof] = ACTIONS(1997),
    [anon_sym__alignof] = ACTIONS(1997),
    [anon_sym_alignof] = ACTIONS(1997),
    [anon_sym__Alignof] = ACTIONS(1997),
    [anon_sym_offsetof] = ACTIONS(1997),
    [anon_sym__Generic] = ACTIONS(1997),
    [anon_sym_asm] = ACTIONS(1997),
    [anon_sym___asm__] = ACTIONS(1997),
    [anon_sym___asm] = ACTIONS(1997),
    [sym_number_literal] = ACTIONS(1999),
    [anon_sym_L_SQUOTE] = ACTIONS(1999),
    [anon_sym_u_SQUOTE] = ACTIONS(1999),
    [anon_sym_U_SQUOTE] = ACTIONS(1999),
    [anon_sym_u8_SQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_L_DQUOTE] = ACTIONS(1999),
    [anon_sym_u_DQUOTE] = ACTIONS(1999),
    [anon_sym_U_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8_DQUOTE] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [anon_sym_NULL] = ACTIONS(1997),
    [anon_sym_nullptr] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1997),
    [anon_sym_decltype] = ACTIONS(1997),
    [anon_sym_typename] = ACTIONS(1997),
    [anon_sym_template] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1997),
    [anon_sym_co_return] = ACTIONS(1997),
    [anon_sym_co_yield] = ACTIONS(1997),
    [anon_sym_catch] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(1999),
    [anon_sym_LR_DQUOTE] = ACTIONS(1999),
    [anon_sym_uR_DQUOTE] = ACTIONS(1999),
    [anon_sym_UR_DQUOTE] = ACTIONS(1999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1999),
    [anon_sym_co_await] = ACTIONS(1997),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_requires] = ACTIONS(1997),
    [sym_this] = ACTIONS(1997),
    [anon_sym_discard] = ACTIONS(1997),
    [anon_sym_precise] = ACTIONS(1997),
    [anon_sym_shared] = ACTIONS(1997),
    [anon_sym_groupshared] = ACTIONS(1997),
    [anon_sym_uniform] = ACTIONS(1997),
    [anon_sym_row_major] = ACTIONS(1997),
    [anon_sym_column_major] = ACTIONS(1997),
    [anon_sym_globallycoherent] = ACTIONS(1997),
    [anon_sym_centroid] = ACTIONS(1997),
    [anon_sym_noperspective] = ACTIONS(1997),
    [anon_sym_nointerpolation] = ACTIONS(1997),
    [anon_sym_sample] = ACTIONS(1997),
    [anon_sym_linear] = ACTIONS(1997),
    [anon_sym_snorm] = ACTIONS(1997),
    [anon_sym_unorm] = ACTIONS(1997),
    [anon_sym_point] = ACTIONS(1997),
    [anon_sym_line] = ACTIONS(1997),
    [anon_sym_triangleadj] = ACTIONS(1997),
    [anon_sym_lineadj] = ACTIONS(1997),
    [anon_sym_triangle] = ACTIONS(1997),
    [anon_sym_cbuffer] = ACTIONS(1997),
  },
  [965] = {
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_typedef] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_signed] = ACTIONS(1926),
    [anon_sym_unsigned] = ACTIONS(1926),
    [anon_sym_long] = ACTIONS(1926),
    [anon_sym_short] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [sym_primitive_type] = ACTIONS(1926),
    [anon_sym_enum] = ACTIONS(1926),
    [anon_sym_class] = ACTIONS(1926),
    [anon_sym_struct] = ACTIONS(1926),
    [anon_sym_union] = ACTIONS(1926),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_else] = ACTIONS(1926),
    [anon_sym_switch] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1926),
    [anon_sym_do] = ACTIONS(1926),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_return] = ACTIONS(1926),
    [anon_sym_break] = ACTIONS(1926),
    [anon_sym_continue] = ACTIONS(1926),
    [anon_sym_goto] = ACTIONS(1926),
    [anon_sym___try] = ACTIONS(1926),
    [anon_sym___leave] = ACTIONS(1926),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_sizeof] = ACTIONS(1926),
    [anon_sym___alignof__] = ACTIONS(1926),
    [anon_sym___alignof] = ACTIONS(1926),
    [anon_sym__alignof] = ACTIONS(1926),
    [anon_sym_alignof] = ACTIONS(1926),
    [anon_sym__Alignof] = ACTIONS(1926),
    [anon_sym_offsetof] = ACTIONS(1926),
    [anon_sym__Generic] = ACTIONS(1926),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1928),
    [anon_sym_u_SQUOTE] = ACTIONS(1928),
    [anon_sym_U_SQUOTE] = ACTIONS(1928),
    [anon_sym_u8_SQUOTE] = ACTIONS(1928),
    [anon_sym_SQUOTE] = ACTIONS(1928),
    [anon_sym_L_DQUOTE] = ACTIONS(1928),
    [anon_sym_u_DQUOTE] = ACTIONS(1928),
    [anon_sym_U_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8_DQUOTE] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1928),
    [sym_true] = ACTIONS(1926),
    [sym_false] = ACTIONS(1926),
    [anon_sym_NULL] = ACTIONS(1926),
    [anon_sym_nullptr] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_final] = ACTIONS(1926),
    [anon_sym_override] = ACTIONS(1926),
    [anon_sym_typename] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_delete] = ACTIONS(1926),
    [anon_sym_throw] = ACTIONS(1926),
    [anon_sym_co_return] = ACTIONS(1926),
    [anon_sym_co_yield] = ACTIONS(1926),
    [anon_sym_R_DQUOTE] = ACTIONS(1928),
    [anon_sym_LR_DQUOTE] = ACTIONS(1928),
    [anon_sym_uR_DQUOTE] = ACTIONS(1928),
    [anon_sym_UR_DQUOTE] = ACTIONS(1928),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1928),
    [anon_sym_co_await] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1926),
    [sym_this] = ACTIONS(1926),
    [anon_sym_discard] = ACTIONS(1926),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
    [anon_sym_cbuffer] = ACTIONS(1926),
  },
  [966] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [967] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2009),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2009),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2009),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_typedef] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_signed] = ACTIONS(2007),
    [anon_sym_unsigned] = ACTIONS(2007),
    [anon_sym_long] = ACTIONS(2007),
    [anon_sym_short] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [sym_primitive_type] = ACTIONS(2007),
    [anon_sym_enum] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_struct] = ACTIONS(2007),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_else] = ACTIONS(2007),
    [anon_sym_switch] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym___try] = ACTIONS(2007),
    [anon_sym___leave] = ACTIONS(2007),
    [anon_sym_not] = ACTIONS(2007),
    [anon_sym_compl] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(2007),
    [anon_sym___alignof__] = ACTIONS(2007),
    [anon_sym___alignof] = ACTIONS(2007),
    [anon_sym__alignof] = ACTIONS(2007),
    [anon_sym_alignof] = ACTIONS(2007),
    [anon_sym__Alignof] = ACTIONS(2007),
    [anon_sym_offsetof] = ACTIONS(2007),
    [anon_sym__Generic] = ACTIONS(2007),
    [anon_sym_asm] = ACTIONS(2007),
    [anon_sym___asm__] = ACTIONS(2007),
    [anon_sym___asm] = ACTIONS(2007),
    [sym_number_literal] = ACTIONS(2009),
    [anon_sym_L_SQUOTE] = ACTIONS(2009),
    [anon_sym_u_SQUOTE] = ACTIONS(2009),
    [anon_sym_U_SQUOTE] = ACTIONS(2009),
    [anon_sym_u8_SQUOTE] = ACTIONS(2009),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [anon_sym_L_DQUOTE] = ACTIONS(2009),
    [anon_sym_u_DQUOTE] = ACTIONS(2009),
    [anon_sym_U_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8_DQUOTE] = ACTIONS(2009),
    [anon_sym_DQUOTE] = ACTIONS(2009),
    [sym_true] = ACTIONS(2007),
    [sym_false] = ACTIONS(2007),
    [anon_sym_NULL] = ACTIONS(2007),
    [anon_sym_nullptr] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_final] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_typename] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_co_return] = ACTIONS(2007),
    [anon_sym_co_yield] = ACTIONS(2007),
    [anon_sym_R_DQUOTE] = ACTIONS(2009),
    [anon_sym_LR_DQUOTE] = ACTIONS(2009),
    [anon_sym_uR_DQUOTE] = ACTIONS(2009),
    [anon_sym_UR_DQUOTE] = ACTIONS(2009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2009),
    [anon_sym_co_await] = ACTIONS(2007),
    [anon_sym_new] = ACTIONS(2007),
    [anon_sym_requires] = ACTIONS(2007),
    [sym_this] = ACTIONS(2007),
    [anon_sym_discard] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
    [anon_sym_cbuffer] = ACTIONS(2007),
  },
  [968] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [969] = {
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1962),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_typedef] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_signed] = ACTIONS(1960),
    [anon_sym_unsigned] = ACTIONS(1960),
    [anon_sym_long] = ACTIONS(1960),
    [anon_sym_short] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_enum] = ACTIONS(1960),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_struct] = ACTIONS(1960),
    [anon_sym_union] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_else] = ACTIONS(1960),
    [anon_sym_switch] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_goto] = ACTIONS(1960),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym___leave] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_sizeof] = ACTIONS(1960),
    [anon_sym___alignof__] = ACTIONS(1960),
    [anon_sym___alignof] = ACTIONS(1960),
    [anon_sym__alignof] = ACTIONS(1960),
    [anon_sym_alignof] = ACTIONS(1960),
    [anon_sym__Alignof] = ACTIONS(1960),
    [anon_sym_offsetof] = ACTIONS(1960),
    [anon_sym__Generic] = ACTIONS(1960),
    [anon_sym_asm] = ACTIONS(1960),
    [anon_sym___asm__] = ACTIONS(1960),
    [anon_sym___asm] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(1962),
    [anon_sym_L_SQUOTE] = ACTIONS(1962),
    [anon_sym_u_SQUOTE] = ACTIONS(1962),
    [anon_sym_U_SQUOTE] = ACTIONS(1962),
    [anon_sym_u8_SQUOTE] = ACTIONS(1962),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [anon_sym_L_DQUOTE] = ACTIONS(1962),
    [anon_sym_u_DQUOTE] = ACTIONS(1962),
    [anon_sym_U_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8_DQUOTE] = ACTIONS(1962),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [sym_true] = ACTIONS(1960),
    [sym_false] = ACTIONS(1960),
    [anon_sym_NULL] = ACTIONS(1960),
    [anon_sym_nullptr] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_final] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
    [anon_sym_typename] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_delete] = ACTIONS(1960),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_co_return] = ACTIONS(1960),
    [anon_sym_co_yield] = ACTIONS(1960),
    [anon_sym_R_DQUOTE] = ACTIONS(1962),
    [anon_sym_LR_DQUOTE] = ACTIONS(1962),
    [anon_sym_uR_DQUOTE] = ACTIONS(1962),
    [anon_sym_UR_DQUOTE] = ACTIONS(1962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1962),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1960),
    [anon_sym_requires] = ACTIONS(1960),
    [sym_this] = ACTIONS(1960),
    [anon_sym_discard] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
    [anon_sym_cbuffer] = ACTIONS(1960),
  },
  [970] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1936),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_typedef] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_signed] = ACTIONS(1934),
    [anon_sym_unsigned] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [sym_primitive_type] = ACTIONS(1934),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_class] = ACTIONS(1934),
    [anon_sym_struct] = ACTIONS(1934),
    [anon_sym_union] = ACTIONS(1934),
    [anon_sym_if] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1934),
    [anon_sym_switch] = ACTIONS(1934),
    [anon_sym_while] = ACTIONS(1934),
    [anon_sym_do] = ACTIONS(1934),
    [anon_sym_for] = ACTIONS(1934),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_break] = ACTIONS(1934),
    [anon_sym_continue] = ACTIONS(1934),
    [anon_sym_goto] = ACTIONS(1934),
    [anon_sym___try] = ACTIONS(1934),
    [anon_sym___leave] = ACTIONS(1934),
    [anon_sym_not] = ACTIONS(1934),
    [anon_sym_compl] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_sizeof] = ACTIONS(1934),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1934),
    [anon_sym__Generic] = ACTIONS(1934),
    [anon_sym_asm] = ACTIONS(1934),
    [anon_sym___asm__] = ACTIONS(1934),
    [anon_sym___asm] = ACTIONS(1934),
    [sym_number_literal] = ACTIONS(1936),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1936),
    [anon_sym_u_DQUOTE] = ACTIONS(1936),
    [anon_sym_U_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8_DQUOTE] = ACTIONS(1936),
    [anon_sym_DQUOTE] = ACTIONS(1936),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1934),
    [anon_sym_nullptr] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_final] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_typename] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_try] = ACTIONS(1934),
    [anon_sym_delete] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1934),
    [anon_sym_co_return] = ACTIONS(1934),
    [anon_sym_co_yield] = ACTIONS(1934),
    [anon_sym_R_DQUOTE] = ACTIONS(1936),
    [anon_sym_LR_DQUOTE] = ACTIONS(1936),
    [anon_sym_uR_DQUOTE] = ACTIONS(1936),
    [anon_sym_UR_DQUOTE] = ACTIONS(1936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1936),
    [anon_sym_co_await] = ACTIONS(1934),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_requires] = ACTIONS(1934),
    [sym_this] = ACTIONS(1934),
    [anon_sym_discard] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
    [anon_sym_cbuffer] = ACTIONS(1934),
  },
  [971] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1940),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_typedef] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_signed] = ACTIONS(1938),
    [anon_sym_unsigned] = ACTIONS(1938),
    [anon_sym_long] = ACTIONS(1938),
    [anon_sym_short] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [sym_primitive_type] = ACTIONS(1938),
    [anon_sym_enum] = ACTIONS(1938),
    [anon_sym_class] = ACTIONS(1938),
    [anon_sym_struct] = ACTIONS(1938),
    [anon_sym_union] = ACTIONS(1938),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1938),
    [anon_sym_do] = ACTIONS(1938),
    [anon_sym_for] = ACTIONS(1938),
    [anon_sym_return] = ACTIONS(1938),
    [anon_sym_break] = ACTIONS(1938),
    [anon_sym_continue] = ACTIONS(1938),
    [anon_sym_goto] = ACTIONS(1938),
    [anon_sym___try] = ACTIONS(1938),
    [anon_sym___leave] = ACTIONS(1938),
    [anon_sym_not] = ACTIONS(1938),
    [anon_sym_compl] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1938),
    [anon_sym___alignof] = ACTIONS(1938),
    [anon_sym__alignof] = ACTIONS(1938),
    [anon_sym_alignof] = ACTIONS(1938),
    [anon_sym__Alignof] = ACTIONS(1938),
    [anon_sym_offsetof] = ACTIONS(1938),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1938),
    [anon_sym___asm__] = ACTIONS(1938),
    [anon_sym___asm] = ACTIONS(1938),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1940),
    [anon_sym_u_SQUOTE] = ACTIONS(1940),
    [anon_sym_U_SQUOTE] = ACTIONS(1940),
    [anon_sym_u8_SQUOTE] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1940),
    [anon_sym_L_DQUOTE] = ACTIONS(1940),
    [anon_sym_u_DQUOTE] = ACTIONS(1940),
    [anon_sym_U_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8_DQUOTE] = ACTIONS(1940),
    [anon_sym_DQUOTE] = ACTIONS(1940),
    [sym_true] = ACTIONS(1938),
    [sym_false] = ACTIONS(1938),
    [anon_sym_NULL] = ACTIONS(1938),
    [anon_sym_nullptr] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_final] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_try] = ACTIONS(1938),
    [anon_sym_delete] = ACTIONS(1938),
    [anon_sym_throw] = ACTIONS(1938),
    [anon_sym_co_return] = ACTIONS(1938),
    [anon_sym_co_yield] = ACTIONS(1938),
    [anon_sym_R_DQUOTE] = ACTIONS(1940),
    [anon_sym_LR_DQUOTE] = ACTIONS(1940),
    [anon_sym_uR_DQUOTE] = ACTIONS(1940),
    [anon_sym_UR_DQUOTE] = ACTIONS(1940),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1940),
    [anon_sym_co_await] = ACTIONS(1938),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_requires] = ACTIONS(1938),
    [sym_this] = ACTIONS(1938),
    [anon_sym_discard] = ACTIONS(1938),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
    [anon_sym_cbuffer] = ACTIONS(1938),
  },
  [972] = {
    [sym_catch_clause] = STATE(972),
    [aux_sym_constructor_try_statement_repeat1] = STATE(972),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1982),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1982),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1980),
    [anon_sym_typedef] = ACTIONS(1980),
    [anon_sym_in] = ACTIONS(1980),
    [anon_sym_out] = ACTIONS(1980),
    [anon_sym_inout] = ACTIONS(1980),
    [anon_sym_virtual] = ACTIONS(1980),
    [anon_sym_extern] = ACTIONS(1980),
    [anon_sym___attribute__] = ACTIONS(1980),
    [anon_sym___attribute] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1982),
    [anon_sym___declspec] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1982),
    [anon_sym_signed] = ACTIONS(1980),
    [anon_sym_unsigned] = ACTIONS(1980),
    [anon_sym_long] = ACTIONS(1980),
    [anon_sym_short] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_register] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(1980),
    [anon_sym___inline] = ACTIONS(1980),
    [anon_sym___inline__] = ACTIONS(1980),
    [anon_sym___forceinline] = ACTIONS(1980),
    [anon_sym_thread_local] = ACTIONS(1980),
    [anon_sym___thread] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_constexpr] = ACTIONS(1980),
    [anon_sym_volatile] = ACTIONS(1980),
    [anon_sym_restrict] = ACTIONS(1980),
    [anon_sym___restrict__] = ACTIONS(1980),
    [anon_sym__Atomic] = ACTIONS(1980),
    [anon_sym__Noreturn] = ACTIONS(1980),
    [anon_sym_noreturn] = ACTIONS(1980),
    [anon_sym__Nonnull] = ACTIONS(1980),
    [anon_sym_mutable] = ACTIONS(1980),
    [anon_sym_constinit] = ACTIONS(1980),
    [anon_sym_consteval] = ACTIONS(1980),
    [anon_sym_alignas] = ACTIONS(1980),
    [anon_sym__Alignas] = ACTIONS(1980),
    [sym_primitive_type] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_struct] = ACTIONS(1980),
    [anon_sym_union] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_else] = ACTIONS(1980),
    [anon_sym_switch] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_goto] = ACTIONS(1980),
    [anon_sym___try] = ACTIONS(1980),
    [anon_sym___leave] = ACTIONS(1980),
    [anon_sym_not] = ACTIONS(1980),
    [anon_sym_compl] = ACTIONS(1980),
    [anon_sym_DASH_DASH] = ACTIONS(1982),
    [anon_sym_PLUS_PLUS] = ACTIONS(1982),
    [anon_sym_sizeof] = ACTIONS(1980),
    [anon_sym___alignof__] = ACTIONS(1980),
    [anon_sym___alignof] = ACTIONS(1980),
    [anon_sym__alignof] = ACTIONS(1980),
    [anon_sym_alignof] = ACTIONS(1980),
    [anon_sym__Alignof] = ACTIONS(1980),
    [anon_sym_offsetof] = ACTIONS(1980),
    [anon_sym__Generic] = ACTIONS(1980),
    [anon_sym_asm] = ACTIONS(1980),
    [anon_sym___asm__] = ACTIONS(1980),
    [anon_sym___asm] = ACTIONS(1980),
    [sym_number_literal] = ACTIONS(1982),
    [anon_sym_L_SQUOTE] = ACTIONS(1982),
    [anon_sym_u_SQUOTE] = ACTIONS(1982),
    [anon_sym_U_SQUOTE] = ACTIONS(1982),
    [anon_sym_u8_SQUOTE] = ACTIONS(1982),
    [anon_sym_SQUOTE] = ACTIONS(1982),
    [anon_sym_L_DQUOTE] = ACTIONS(1982),
    [anon_sym_u_DQUOTE] = ACTIONS(1982),
    [anon_sym_U_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8_DQUOTE] = ACTIONS(1982),
    [anon_sym_DQUOTE] = ACTIONS(1982),
    [sym_true] = ACTIONS(1980),
    [sym_false] = ACTIONS(1980),
    [anon_sym_NULL] = ACTIONS(1980),
    [anon_sym_nullptr] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1980),
    [anon_sym_decltype] = ACTIONS(1980),
    [anon_sym_typename] = ACTIONS(1980),
    [anon_sym_template] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_throw] = ACTIONS(1980),
    [anon_sym_co_return] = ACTIONS(1980),
    [anon_sym_co_yield] = ACTIONS(1980),
    [anon_sym_catch] = ACTIONS(3943),
    [anon_sym_R_DQUOTE] = ACTIONS(1982),
    [anon_sym_LR_DQUOTE] = ACTIONS(1982),
    [anon_sym_uR_DQUOTE] = ACTIONS(1982),
    [anon_sym_UR_DQUOTE] = ACTIONS(1982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1982),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1980),
    [anon_sym_requires] = ACTIONS(1980),
    [sym_this] = ACTIONS(1980),
    [anon_sym_discard] = ACTIONS(1980),
    [anon_sym_precise] = ACTIONS(1980),
    [anon_sym_shared] = ACTIONS(1980),
    [anon_sym_groupshared] = ACTIONS(1980),
    [anon_sym_uniform] = ACTIONS(1980),
    [anon_sym_row_major] = ACTIONS(1980),
    [anon_sym_column_major] = ACTIONS(1980),
    [anon_sym_globallycoherent] = ACTIONS(1980),
    [anon_sym_centroid] = ACTIONS(1980),
    [anon_sym_noperspective] = ACTIONS(1980),
    [anon_sym_nointerpolation] = ACTIONS(1980),
    [anon_sym_sample] = ACTIONS(1980),
    [anon_sym_linear] = ACTIONS(1980),
    [anon_sym_snorm] = ACTIONS(1980),
    [anon_sym_unorm] = ACTIONS(1980),
    [anon_sym_point] = ACTIONS(1980),
    [anon_sym_line] = ACTIONS(1980),
    [anon_sym_triangleadj] = ACTIONS(1980),
    [anon_sym_lineadj] = ACTIONS(1980),
    [anon_sym_triangle] = ACTIONS(1980),
    [anon_sym_cbuffer] = ACTIONS(1980),
  },
  [973] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_typedef] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_if] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1987),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(1987),
    [anon_sym_continue] = ACTIONS(1987),
    [anon_sym_goto] = ACTIONS(1987),
    [anon_sym___try] = ACTIONS(1987),
    [anon_sym___leave] = ACTIONS(1987),
    [anon_sym_not] = ACTIONS(1987),
    [anon_sym_compl] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_sizeof] = ACTIONS(1987),
    [anon_sym___alignof__] = ACTIONS(1987),
    [anon_sym___alignof] = ACTIONS(1987),
    [anon_sym__alignof] = ACTIONS(1987),
    [anon_sym_alignof] = ACTIONS(1987),
    [anon_sym__Alignof] = ACTIONS(1987),
    [anon_sym_offsetof] = ACTIONS(1987),
    [anon_sym__Generic] = ACTIONS(1987),
    [anon_sym_asm] = ACTIONS(1987),
    [anon_sym___asm__] = ACTIONS(1987),
    [anon_sym___asm] = ACTIONS(1987),
    [sym_number_literal] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1989),
    [anon_sym_u_SQUOTE] = ACTIONS(1989),
    [anon_sym_U_SQUOTE] = ACTIONS(1989),
    [anon_sym_u8_SQUOTE] = ACTIONS(1989),
    [anon_sym_SQUOTE] = ACTIONS(1989),
    [anon_sym_L_DQUOTE] = ACTIONS(1989),
    [anon_sym_u_DQUOTE] = ACTIONS(1989),
    [anon_sym_U_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8_DQUOTE] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [anon_sym_NULL] = ACTIONS(1987),
    [anon_sym_nullptr] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_delete] = ACTIONS(1987),
    [anon_sym_throw] = ACTIONS(1987),
    [anon_sym_co_return] = ACTIONS(1987),
    [anon_sym_co_yield] = ACTIONS(1987),
    [anon_sym_R_DQUOTE] = ACTIONS(1989),
    [anon_sym_LR_DQUOTE] = ACTIONS(1989),
    [anon_sym_uR_DQUOTE] = ACTIONS(1989),
    [anon_sym_UR_DQUOTE] = ACTIONS(1989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1989),
    [anon_sym_co_await] = ACTIONS(1987),
    [anon_sym_new] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [sym_this] = ACTIONS(1987),
    [anon_sym_discard] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
    [anon_sym_cbuffer] = ACTIONS(1987),
  },
  [974] = {
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_typedef] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1918),
    [anon_sym_unsigned] = ACTIONS(1918),
    [anon_sym_long] = ACTIONS(1918),
    [anon_sym_short] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [sym_primitive_type] = ACTIONS(1918),
    [anon_sym_enum] = ACTIONS(1918),
    [anon_sym_class] = ACTIONS(1918),
    [anon_sym_struct] = ACTIONS(1918),
    [anon_sym_union] = ACTIONS(1918),
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(1918),
    [anon_sym_switch] = ACTIONS(1918),
    [anon_sym_while] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1918),
    [anon_sym_for] = ACTIONS(1918),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_break] = ACTIONS(1918),
    [anon_sym_continue] = ACTIONS(1918),
    [anon_sym_goto] = ACTIONS(1918),
    [anon_sym___try] = ACTIONS(1918),
    [anon_sym___leave] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_compl] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1918),
    [anon_sym___alignof] = ACTIONS(1918),
    [anon_sym__alignof] = ACTIONS(1918),
    [anon_sym_alignof] = ACTIONS(1918),
    [anon_sym__Alignof] = ACTIONS(1918),
    [anon_sym_offsetof] = ACTIONS(1918),
    [anon_sym__Generic] = ACTIONS(1918),
    [anon_sym_asm] = ACTIONS(1918),
    [anon_sym___asm__] = ACTIONS(1918),
    [anon_sym___asm] = ACTIONS(1918),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1918),
    [sym_false] = ACTIONS(1918),
    [anon_sym_NULL] = ACTIONS(1918),
    [anon_sym_nullptr] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_final] = ACTIONS(1918),
    [anon_sym_override] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_try] = ACTIONS(1918),
    [anon_sym_delete] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_co_return] = ACTIONS(1918),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1918),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1918),
    [anon_sym_discard] = ACTIONS(1918),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
    [anon_sym_cbuffer] = ACTIONS(1918),
  },
  [975] = {
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_SEMI] = ACTIONS(2005),
    [anon_sym___extension__] = ACTIONS(2003),
    [anon_sym_typedef] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(2003),
    [anon_sym_out] = ACTIONS(2003),
    [anon_sym_inout] = ACTIONS(2003),
    [anon_sym_virtual] = ACTIONS(2003),
    [anon_sym_extern] = ACTIONS(2003),
    [anon_sym___attribute__] = ACTIONS(2003),
    [anon_sym___attribute] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2005),
    [anon_sym___declspec] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_signed] = ACTIONS(2003),
    [anon_sym_unsigned] = ACTIONS(2003),
    [anon_sym_long] = ACTIONS(2003),
    [anon_sym_short] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_static] = ACTIONS(2003),
    [anon_sym_register] = ACTIONS(2003),
    [anon_sym_inline] = ACTIONS(2003),
    [anon_sym___inline] = ACTIONS(2003),
    [anon_sym___inline__] = ACTIONS(2003),
    [anon_sym___forceinline] = ACTIONS(2003),
    [anon_sym_thread_local] = ACTIONS(2003),
    [anon_sym___thread] = ACTIONS(2003),
    [anon_sym_const] = ACTIONS(2003),
    [anon_sym_constexpr] = ACTIONS(2003),
    [anon_sym_volatile] = ACTIONS(2003),
    [anon_sym_restrict] = ACTIONS(2003),
    [anon_sym___restrict__] = ACTIONS(2003),
    [anon_sym__Atomic] = ACTIONS(2003),
    [anon_sym__Noreturn] = ACTIONS(2003),
    [anon_sym_noreturn] = ACTIONS(2003),
    [anon_sym__Nonnull] = ACTIONS(2003),
    [anon_sym_mutable] = ACTIONS(2003),
    [anon_sym_constinit] = ACTIONS(2003),
    [anon_sym_consteval] = ACTIONS(2003),
    [anon_sym_alignas] = ACTIONS(2003),
    [anon_sym__Alignas] = ACTIONS(2003),
    [sym_primitive_type] = ACTIONS(2003),
    [anon_sym_enum] = ACTIONS(2003),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2003),
    [anon_sym_union] = ACTIONS(2003),
    [anon_sym_if] = ACTIONS(2003),
    [anon_sym_else] = ACTIONS(2003),
    [anon_sym_switch] = ACTIONS(2003),
    [anon_sym_while] = ACTIONS(2003),
    [anon_sym_do] = ACTIONS(2003),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_return] = ACTIONS(2003),
    [anon_sym_break] = ACTIONS(2003),
    [anon_sym_continue] = ACTIONS(2003),
    [anon_sym_goto] = ACTIONS(2003),
    [anon_sym___try] = ACTIONS(2003),
    [anon_sym___leave] = ACTIONS(2003),
    [anon_sym_not] = ACTIONS(2003),
    [anon_sym_compl] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_sizeof] = ACTIONS(2003),
    [anon_sym___alignof__] = ACTIONS(2003),
    [anon_sym___alignof] = ACTIONS(2003),
    [anon_sym__alignof] = ACTIONS(2003),
    [anon_sym_alignof] = ACTIONS(2003),
    [anon_sym__Alignof] = ACTIONS(2003),
    [anon_sym_offsetof] = ACTIONS(2003),
    [anon_sym__Generic] = ACTIONS(2003),
    [anon_sym_asm] = ACTIONS(2003),
    [anon_sym___asm__] = ACTIONS(2003),
    [anon_sym___asm] = ACTIONS(2003),
    [sym_number_literal] = ACTIONS(2005),
    [anon_sym_L_SQUOTE] = ACTIONS(2005),
    [anon_sym_u_SQUOTE] = ACTIONS(2005),
    [anon_sym_U_SQUOTE] = ACTIONS(2005),
    [anon_sym_u8_SQUOTE] = ACTIONS(2005),
    [anon_sym_SQUOTE] = ACTIONS(2005),
    [anon_sym_L_DQUOTE] = ACTIONS(2005),
    [anon_sym_u_DQUOTE] = ACTIONS(2005),
    [anon_sym_U_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8_DQUOTE] = ACTIONS(2005),
    [anon_sym_DQUOTE] = ACTIONS(2005),
    [sym_true] = ACTIONS(2003),
    [sym_false] = ACTIONS(2003),
    [anon_sym_NULL] = ACTIONS(2003),
    [anon_sym_nullptr] = ACTIONS(2003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2003),
    [anon_sym_decltype] = ACTIONS(2003),
    [anon_sym_final] = ACTIONS(2003),
    [anon_sym_override] = ACTIONS(2003),
    [anon_sym_typename] = ACTIONS(2003),
    [anon_sym_template] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2003),
    [anon_sym_delete] = ACTIONS(2003),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_co_return] = ACTIONS(2003),
    [anon_sym_co_yield] = ACTIONS(2003),
    [anon_sym_R_DQUOTE] = ACTIONS(2005),
    [anon_sym_LR_DQUOTE] = ACTIONS(2005),
    [anon_sym_uR_DQUOTE] = ACTIONS(2005),
    [anon_sym_UR_DQUOTE] = ACTIONS(2005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2005),
    [anon_sym_co_await] = ACTIONS(2003),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_requires] = ACTIONS(2003),
    [sym_this] = ACTIONS(2003),
    [anon_sym_discard] = ACTIONS(2003),
    [anon_sym_precise] = ACTIONS(2003),
    [anon_sym_shared] = ACTIONS(2003),
    [anon_sym_groupshared] = ACTIONS(2003),
    [anon_sym_uniform] = ACTIONS(2003),
    [anon_sym_row_major] = ACTIONS(2003),
    [anon_sym_column_major] = ACTIONS(2003),
    [anon_sym_globallycoherent] = ACTIONS(2003),
    [anon_sym_centroid] = ACTIONS(2003),
    [anon_sym_noperspective] = ACTIONS(2003),
    [anon_sym_nointerpolation] = ACTIONS(2003),
    [anon_sym_sample] = ACTIONS(2003),
    [anon_sym_linear] = ACTIONS(2003),
    [anon_sym_snorm] = ACTIONS(2003),
    [anon_sym_unorm] = ACTIONS(2003),
    [anon_sym_point] = ACTIONS(2003),
    [anon_sym_line] = ACTIONS(2003),
    [anon_sym_triangleadj] = ACTIONS(2003),
    [anon_sym_lineadj] = ACTIONS(2003),
    [anon_sym_triangle] = ACTIONS(2003),
    [anon_sym_cbuffer] = ACTIONS(2003),
  },
  [976] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [anon_sym___asm] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1924),
    [anon_sym_L_SQUOTE] = ACTIONS(1924),
    [anon_sym_u_SQUOTE] = ACTIONS(1924),
    [anon_sym_U_SQUOTE] = ACTIONS(1924),
    [anon_sym_u8_SQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1924),
    [anon_sym_L_DQUOTE] = ACTIONS(1924),
    [anon_sym_u_DQUOTE] = ACTIONS(1924),
    [anon_sym_U_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8_DQUOTE] = ACTIONS(1924),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1924),
    [anon_sym_LR_DQUOTE] = ACTIONS(1924),
    [anon_sym_uR_DQUOTE] = ACTIONS(1924),
    [anon_sym_UR_DQUOTE] = ACTIONS(1924),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1924),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
    [anon_sym_discard] = ACTIONS(1922),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
    [anon_sym_cbuffer] = ACTIONS(1922),
  },
  [977] = {
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_STAR] = ACTIONS(1993),
    [anon_sym_AMP] = ACTIONS(1993),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1991),
    [anon_sym_typedef] = ACTIONS(1991),
    [anon_sym_in] = ACTIONS(1991),
    [anon_sym_out] = ACTIONS(1991),
    [anon_sym_inout] = ACTIONS(1991),
    [anon_sym_virtual] = ACTIONS(1991),
    [anon_sym_extern] = ACTIONS(1991),
    [anon_sym___attribute__] = ACTIONS(1991),
    [anon_sym___attribute] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1993),
    [anon_sym___declspec] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_signed] = ACTIONS(1991),
    [anon_sym_unsigned] = ACTIONS(1991),
    [anon_sym_long] = ACTIONS(1991),
    [anon_sym_short] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_static] = ACTIONS(1991),
    [anon_sym_register] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1991),
    [anon_sym___inline] = ACTIONS(1991),
    [anon_sym___inline__] = ACTIONS(1991),
    [anon_sym___forceinline] = ACTIONS(1991),
    [anon_sym_thread_local] = ACTIONS(1991),
    [anon_sym___thread] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_constexpr] = ACTIONS(1991),
    [anon_sym_volatile] = ACTIONS(1991),
    [anon_sym_restrict] = ACTIONS(1991),
    [anon_sym___restrict__] = ACTIONS(1991),
    [anon_sym__Atomic] = ACTIONS(1991),
    [anon_sym__Noreturn] = ACTIONS(1991),
    [anon_sym_noreturn] = ACTIONS(1991),
    [anon_sym__Nonnull] = ACTIONS(1991),
    [anon_sym_mutable] = ACTIONS(1991),
    [anon_sym_constinit] = ACTIONS(1991),
    [anon_sym_consteval] = ACTIONS(1991),
    [anon_sym_alignas] = ACTIONS(1991),
    [anon_sym__Alignas] = ACTIONS(1991),
    [sym_primitive_type] = ACTIONS(1991),
    [anon_sym_enum] = ACTIONS(1991),
    [anon_sym_class] = ACTIONS(1991),
    [anon_sym_struct] = ACTIONS(1991),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(1991),
    [anon_sym_switch] = ACTIONS(1991),
    [anon_sym_while] = ACTIONS(1991),
    [anon_sym_do] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1991),
    [anon_sym_return] = ACTIONS(1991),
    [anon_sym_break] = ACTIONS(1991),
    [anon_sym_continue] = ACTIONS(1991),
    [anon_sym_goto] = ACTIONS(1991),
    [anon_sym___try] = ACTIONS(1991),
    [anon_sym___leave] = ACTIONS(1991),
    [anon_sym_not] = ACTIONS(1991),
    [anon_sym_compl] = ACTIONS(1991),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_sizeof] = ACTIONS(1991),
    [anon_sym___alignof__] = ACTIONS(1991),
    [anon_sym___alignof] = ACTIONS(1991),
    [anon_sym__alignof] = ACTIONS(1991),
    [anon_sym_alignof] = ACTIONS(1991),
    [anon_sym__Alignof] = ACTIONS(1991),
    [anon_sym_offsetof] = ACTIONS(1991),
    [anon_sym__Generic] = ACTIONS(1991),
    [anon_sym_asm] = ACTIONS(1991),
    [anon_sym___asm__] = ACTIONS(1991),
    [anon_sym___asm] = ACTIONS(1991),
    [sym_number_literal] = ACTIONS(1993),
    [anon_sym_L_SQUOTE] = ACTIONS(1993),
    [anon_sym_u_SQUOTE] = ACTIONS(1993),
    [anon_sym_U_SQUOTE] = ACTIONS(1993),
    [anon_sym_u8_SQUOTE] = ACTIONS(1993),
    [anon_sym_SQUOTE] = ACTIONS(1993),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1991),
    [sym_false] = ACTIONS(1991),
    [anon_sym_NULL] = ACTIONS(1991),
    [anon_sym_nullptr] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1991),
    [anon_sym_decltype] = ACTIONS(1991),
    [anon_sym_final] = ACTIONS(1991),
    [anon_sym_override] = ACTIONS(1991),
    [anon_sym_typename] = ACTIONS(1991),
    [anon_sym_template] = ACTIONS(1991),
    [anon_sym_try] = ACTIONS(1991),
    [anon_sym_delete] = ACTIONS(1991),
    [anon_sym_throw] = ACTIONS(1991),
    [anon_sym_co_return] = ACTIONS(1991),
    [anon_sym_co_yield] = ACTIONS(1991),
    [anon_sym_R_DQUOTE] = ACTIONS(1993),
    [anon_sym_LR_DQUOTE] = ACTIONS(1993),
    [anon_sym_uR_DQUOTE] = ACTIONS(1993),
    [anon_sym_UR_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1993),
    [anon_sym_co_await] = ACTIONS(1991),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_requires] = ACTIONS(1991),
    [sym_this] = ACTIONS(1991),
    [anon_sym_discard] = ACTIONS(1991),
    [anon_sym_precise] = ACTIONS(1991),
    [anon_sym_shared] = ACTIONS(1991),
    [anon_sym_groupshared] = ACTIONS(1991),
    [anon_sym_uniform] = ACTIONS(1991),
    [anon_sym_row_major] = ACTIONS(1991),
    [anon_sym_column_major] = ACTIONS(1991),
    [anon_sym_globallycoherent] = ACTIONS(1991),
    [anon_sym_centroid] = ACTIONS(1991),
    [anon_sym_noperspective] = ACTIONS(1991),
    [anon_sym_nointerpolation] = ACTIONS(1991),
    [anon_sym_sample] = ACTIONS(1991),
    [anon_sym_linear] = ACTIONS(1991),
    [anon_sym_snorm] = ACTIONS(1991),
    [anon_sym_unorm] = ACTIONS(1991),
    [anon_sym_point] = ACTIONS(1991),
    [anon_sym_line] = ACTIONS(1991),
    [anon_sym_triangleadj] = ACTIONS(1991),
    [anon_sym_lineadj] = ACTIONS(1991),
    [anon_sym_triangle] = ACTIONS(1991),
    [anon_sym_cbuffer] = ACTIONS(1991),
  },
  [978] = {
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1932),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_typedef] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1930),
    [anon_sym_unsigned] = ACTIONS(1930),
    [anon_sym_long] = ACTIONS(1930),
    [anon_sym_short] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [sym_primitive_type] = ACTIONS(1930),
    [anon_sym_enum] = ACTIONS(1930),
    [anon_sym_class] = ACTIONS(1930),
    [anon_sym_struct] = ACTIONS(1930),
    [anon_sym_union] = ACTIONS(1930),
    [anon_sym_if] = ACTIONS(1930),
    [anon_sym_else] = ACTIONS(1930),
    [anon_sym_switch] = ACTIONS(1930),
    [anon_sym_while] = ACTIONS(1930),
    [anon_sym_do] = ACTIONS(1930),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_return] = ACTIONS(1930),
    [anon_sym_break] = ACTIONS(1930),
    [anon_sym_continue] = ACTIONS(1930),
    [anon_sym_goto] = ACTIONS(1930),
    [anon_sym___try] = ACTIONS(1930),
    [anon_sym___leave] = ACTIONS(1930),
    [anon_sym_not] = ACTIONS(1930),
    [anon_sym_compl] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_sizeof] = ACTIONS(1930),
    [anon_sym___alignof__] = ACTIONS(1930),
    [anon_sym___alignof] = ACTIONS(1930),
    [anon_sym__alignof] = ACTIONS(1930),
    [anon_sym_alignof] = ACTIONS(1930),
    [anon_sym__Alignof] = ACTIONS(1930),
    [anon_sym_offsetof] = ACTIONS(1930),
    [anon_sym__Generic] = ACTIONS(1930),
    [anon_sym_asm] = ACTIONS(1930),
    [anon_sym___asm__] = ACTIONS(1930),
    [anon_sym___asm] = ACTIONS(1930),
    [sym_number_literal] = ACTIONS(1932),
    [anon_sym_L_SQUOTE] = ACTIONS(1932),
    [anon_sym_u_SQUOTE] = ACTIONS(1932),
    [anon_sym_U_SQUOTE] = ACTIONS(1932),
    [anon_sym_u8_SQUOTE] = ACTIONS(1932),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [anon_sym_NULL] = ACTIONS(1930),
    [anon_sym_nullptr] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_final] = ACTIONS(1930),
    [anon_sym_override] = ACTIONS(1930),
    [anon_sym_typename] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1930),
    [anon_sym_delete] = ACTIONS(1930),
    [anon_sym_throw] = ACTIONS(1930),
    [anon_sym_co_return] = ACTIONS(1930),
    [anon_sym_co_yield] = ACTIONS(1930),
    [anon_sym_R_DQUOTE] = ACTIONS(1932),
    [anon_sym_LR_DQUOTE] = ACTIONS(1932),
    [anon_sym_uR_DQUOTE] = ACTIONS(1932),
    [anon_sym_UR_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1932),
    [anon_sym_co_await] = ACTIONS(1930),
    [anon_sym_new] = ACTIONS(1930),
    [anon_sym_requires] = ACTIONS(1930),
    [sym_this] = ACTIONS(1930),
    [anon_sym_discard] = ACTIONS(1930),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
    [anon_sym_cbuffer] = ACTIONS(1930),
  },
  [979] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4593),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7241),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7460),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4000),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [980] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7031),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7356),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4012),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [981] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4544),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7202),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7363),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4014),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [982] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7013),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7371),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4016),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [983] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4546),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7076),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7378),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4018),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [984] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4547),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7114),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7385),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4020),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [985] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4548),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7215),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7390),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4022),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [986] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7179),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7282),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4024),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [987] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4535),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7057),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7296),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4026),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [988] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4573),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7188),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7269),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4028),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [989] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4563),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7247),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7461),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4030),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [990] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4536),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7151),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7308),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4032),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [991] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4514),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7093),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7548),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4034),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [992] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7146),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7663),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4036),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [993] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4537),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7133),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7316),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4038),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [994] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4523),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7105),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7621),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4040),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [995] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4539),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7143),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7327),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4042),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [996] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4531),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7118),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7261),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4044),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [997] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4540),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7099),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7335),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4046),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [998] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4583),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7018),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7394),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4048),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [999] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4521),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7184),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7403),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4050),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1000] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4541),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7173),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(7347),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(4052),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1001] = {
    [sym_identifier] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1976),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(1978),
    [anon_sym_else] = ACTIONS(1978),
    [anon_sym_switch] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1978),
    [anon_sym_return] = ACTIONS(1978),
    [anon_sym_break] = ACTIONS(1978),
    [anon_sym_continue] = ACTIONS(1978),
    [anon_sym_goto] = ACTIONS(1978),
    [anon_sym___try] = ACTIONS(1978),
    [anon_sym___leave] = ACTIONS(1978),
    [anon_sym_not] = ACTIONS(1978),
    [anon_sym_compl] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_sizeof] = ACTIONS(1978),
    [anon_sym___alignof__] = ACTIONS(1978),
    [anon_sym___alignof] = ACTIONS(1978),
    [anon_sym__alignof] = ACTIONS(1978),
    [anon_sym_alignof] = ACTIONS(1978),
    [anon_sym__Alignof] = ACTIONS(1978),
    [anon_sym_offsetof] = ACTIONS(1978),
    [anon_sym__Generic] = ACTIONS(1978),
    [anon_sym_asm] = ACTIONS(1978),
    [anon_sym___asm__] = ACTIONS(1978),
    [anon_sym___asm] = ACTIONS(1978),
    [sym_number_literal] = ACTIONS(1976),
    [anon_sym_L_SQUOTE] = ACTIONS(1976),
    [anon_sym_u_SQUOTE] = ACTIONS(1976),
    [anon_sym_U_SQUOTE] = ACTIONS(1976),
    [anon_sym_u8_SQUOTE] = ACTIONS(1976),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1978),
    [sym_false] = ACTIONS(1978),
    [anon_sym_NULL] = ACTIONS(1978),
    [anon_sym_nullptr] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_throw] = ACTIONS(1978),
    [anon_sym_co_return] = ACTIONS(1978),
    [anon_sym_co_yield] = ACTIONS(1978),
    [anon_sym_catch] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1976),
    [anon_sym_LR_DQUOTE] = ACTIONS(1976),
    [anon_sym_uR_DQUOTE] = ACTIONS(1976),
    [anon_sym_UR_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1976),
    [anon_sym_co_await] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1978),
    [anon_sym_requires] = ACTIONS(1978),
    [sym_this] = ACTIONS(1978),
    [anon_sym_discard] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
    [anon_sym_cbuffer] = ACTIONS(1978),
  },
  [1002] = {
    [sym_else_clause] = STATE(1066),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_LPAREN2] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2121),
    [anon_sym_AMP] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym___extension__] = ACTIONS(2119),
    [anon_sym_typedef] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_out] = ACTIONS(2119),
    [anon_sym_inout] = ACTIONS(2119),
    [anon_sym_virtual] = ACTIONS(2119),
    [anon_sym_extern] = ACTIONS(2119),
    [anon_sym___attribute__] = ACTIONS(2119),
    [anon_sym___attribute] = ACTIONS(2119),
    [anon_sym_COLON_COLON] = ACTIONS(2121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2121),
    [anon_sym___declspec] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_signed] = ACTIONS(2119),
    [anon_sym_unsigned] = ACTIONS(2119),
    [anon_sym_long] = ACTIONS(2119),
    [anon_sym_short] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_register] = ACTIONS(2119),
    [anon_sym_inline] = ACTIONS(2119),
    [anon_sym___inline] = ACTIONS(2119),
    [anon_sym___inline__] = ACTIONS(2119),
    [anon_sym___forceinline] = ACTIONS(2119),
    [anon_sym_thread_local] = ACTIONS(2119),
    [anon_sym___thread] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_constexpr] = ACTIONS(2119),
    [anon_sym_volatile] = ACTIONS(2119),
    [anon_sym_restrict] = ACTIONS(2119),
    [anon_sym___restrict__] = ACTIONS(2119),
    [anon_sym__Atomic] = ACTIONS(2119),
    [anon_sym__Noreturn] = ACTIONS(2119),
    [anon_sym_noreturn] = ACTIONS(2119),
    [anon_sym__Nonnull] = ACTIONS(2119),
    [anon_sym_mutable] = ACTIONS(2119),
    [anon_sym_constinit] = ACTIONS(2119),
    [anon_sym_consteval] = ACTIONS(2119),
    [anon_sym_alignas] = ACTIONS(2119),
    [anon_sym__Alignas] = ACTIONS(2119),
    [sym_primitive_type] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_struct] = ACTIONS(2119),
    [anon_sym_union] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(4054),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_goto] = ACTIONS(2119),
    [anon_sym___try] = ACTIONS(2119),
    [anon_sym___leave] = ACTIONS(2119),
    [anon_sym_not] = ACTIONS(2119),
    [anon_sym_compl] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2119),
    [anon_sym___alignof__] = ACTIONS(2119),
    [anon_sym___alignof] = ACTIONS(2119),
    [anon_sym__alignof] = ACTIONS(2119),
    [anon_sym_alignof] = ACTIONS(2119),
    [anon_sym__Alignof] = ACTIONS(2119),
    [anon_sym_offsetof] = ACTIONS(2119),
    [anon_sym__Generic] = ACTIONS(2119),
    [anon_sym_asm] = ACTIONS(2119),
    [anon_sym___asm__] = ACTIONS(2119),
    [anon_sym___asm] = ACTIONS(2119),
    [sym_number_literal] = ACTIONS(2121),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2121),
    [anon_sym_u_DQUOTE] = ACTIONS(2121),
    [anon_sym_U_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8_DQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2121),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [anon_sym_NULL] = ACTIONS(2119),
    [anon_sym_nullptr] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2119),
    [anon_sym_decltype] = ACTIONS(2119),
    [anon_sym_typename] = ACTIONS(2119),
    [anon_sym_template] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_co_return] = ACTIONS(2119),
    [anon_sym_co_yield] = ACTIONS(2119),
    [anon_sym_R_DQUOTE] = ACTIONS(2121),
    [anon_sym_LR_DQUOTE] = ACTIONS(2121),
    [anon_sym_uR_DQUOTE] = ACTIONS(2121),
    [anon_sym_UR_DQUOTE] = ACTIONS(2121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2121),
    [anon_sym_co_await] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_requires] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [anon_sym_discard] = ACTIONS(2119),
    [anon_sym_precise] = ACTIONS(2119),
    [anon_sym_shared] = ACTIONS(2119),
    [anon_sym_groupshared] = ACTIONS(2119),
    [anon_sym_uniform] = ACTIONS(2119),
    [anon_sym_row_major] = ACTIONS(2119),
    [anon_sym_column_major] = ACTIONS(2119),
    [anon_sym_globallycoherent] = ACTIONS(2119),
    [anon_sym_centroid] = ACTIONS(2119),
    [anon_sym_noperspective] = ACTIONS(2119),
    [anon_sym_nointerpolation] = ACTIONS(2119),
    [anon_sym_sample] = ACTIONS(2119),
    [anon_sym_linear] = ACTIONS(2119),
    [anon_sym_snorm] = ACTIONS(2119),
    [anon_sym_unorm] = ACTIONS(2119),
    [anon_sym_point] = ACTIONS(2119),
    [anon_sym_line] = ACTIONS(2119),
    [anon_sym_triangleadj] = ACTIONS(2119),
    [anon_sym_lineadj] = ACTIONS(2119),
    [anon_sym_triangle] = ACTIONS(2119),
    [anon_sym_cbuffer] = ACTIONS(2119),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(2099),
    [anon_sym_LPAREN2] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2099),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym___extension__] = ACTIONS(2099),
    [anon_sym_typedef] = ACTIONS(2099),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_out] = ACTIONS(2099),
    [anon_sym_inout] = ACTIONS(2099),
    [anon_sym_virtual] = ACTIONS(2099),
    [anon_sym_extern] = ACTIONS(2099),
    [anon_sym___attribute__] = ACTIONS(2099),
    [anon_sym___attribute] = ACTIONS(2099),
    [anon_sym_COLON_COLON] = ACTIONS(2101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2101),
    [anon_sym___declspec] = ACTIONS(2099),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2099),
    [anon_sym_register] = ACTIONS(2099),
    [anon_sym_inline] = ACTIONS(2099),
    [anon_sym___inline] = ACTIONS(2099),
    [anon_sym___inline__] = ACTIONS(2099),
    [anon_sym___forceinline] = ACTIONS(2099),
    [anon_sym_thread_local] = ACTIONS(2099),
    [anon_sym___thread] = ACTIONS(2099),
    [anon_sym_const] = ACTIONS(2099),
    [anon_sym_constexpr] = ACTIONS(2099),
    [anon_sym_volatile] = ACTIONS(2099),
    [anon_sym_restrict] = ACTIONS(2099),
    [anon_sym___restrict__] = ACTIONS(2099),
    [anon_sym__Atomic] = ACTIONS(2099),
    [anon_sym__Noreturn] = ACTIONS(2099),
    [anon_sym_noreturn] = ACTIONS(2099),
    [anon_sym__Nonnull] = ACTIONS(2099),
    [anon_sym_mutable] = ACTIONS(2099),
    [anon_sym_constinit] = ACTIONS(2099),
    [anon_sym_consteval] = ACTIONS(2099),
    [anon_sym_alignas] = ACTIONS(2099),
    [anon_sym__Alignas] = ACTIONS(2099),
    [sym_primitive_type] = ACTIONS(2099),
    [anon_sym_enum] = ACTIONS(2099),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2099),
    [anon_sym_union] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(2099),
    [anon_sym_switch] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2099),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_return] = ACTIONS(2099),
    [anon_sym_break] = ACTIONS(2099),
    [anon_sym_continue] = ACTIONS(2099),
    [anon_sym_goto] = ACTIONS(2099),
    [anon_sym___try] = ACTIONS(2099),
    [anon_sym___leave] = ACTIONS(2099),
    [anon_sym_not] = ACTIONS(2099),
    [anon_sym_compl] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_sizeof] = ACTIONS(2099),
    [anon_sym___alignof__] = ACTIONS(2099),
    [anon_sym___alignof] = ACTIONS(2099),
    [anon_sym__alignof] = ACTIONS(2099),
    [anon_sym_alignof] = ACTIONS(2099),
    [anon_sym__Alignof] = ACTIONS(2099),
    [anon_sym_offsetof] = ACTIONS(2099),
    [anon_sym__Generic] = ACTIONS(2099),
    [anon_sym_asm] = ACTIONS(2099),
    [anon_sym___asm__] = ACTIONS(2099),
    [anon_sym___asm] = ACTIONS(2099),
    [sym_number_literal] = ACTIONS(2101),
    [anon_sym_L_SQUOTE] = ACTIONS(2101),
    [anon_sym_u_SQUOTE] = ACTIONS(2101),
    [anon_sym_U_SQUOTE] = ACTIONS(2101),
    [anon_sym_u8_SQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2099),
    [sym_false] = ACTIONS(2099),
    [anon_sym_NULL] = ACTIONS(2099),
    [anon_sym_nullptr] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2099),
    [anon_sym_decltype] = ACTIONS(2099),
    [anon_sym_typename] = ACTIONS(2099),
    [anon_sym_template] = ACTIONS(2099),
    [anon_sym_try] = ACTIONS(2099),
    [anon_sym_delete] = ACTIONS(2099),
    [anon_sym_throw] = ACTIONS(2099),
    [anon_sym_co_return] = ACTIONS(2099),
    [anon_sym_co_yield] = ACTIONS(2099),
    [anon_sym_catch] = ACTIONS(2099),
    [anon_sym_R_DQUOTE] = ACTIONS(2101),
    [anon_sym_LR_DQUOTE] = ACTIONS(2101),
    [anon_sym_uR_DQUOTE] = ACTIONS(2101),
    [anon_sym_UR_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2101),
    [anon_sym_co_await] = ACTIONS(2099),
    [anon_sym_new] = ACTIONS(2099),
    [anon_sym_requires] = ACTIONS(2099),
    [sym_this] = ACTIONS(2099),
    [anon_sym_discard] = ACTIONS(2099),
    [anon_sym_precise] = ACTIONS(2099),
    [anon_sym_shared] = ACTIONS(2099),
    [anon_sym_groupshared] = ACTIONS(2099),
    [anon_sym_uniform] = ACTIONS(2099),
    [anon_sym_row_major] = ACTIONS(2099),
    [anon_sym_column_major] = ACTIONS(2099),
    [anon_sym_globallycoherent] = ACTIONS(2099),
    [anon_sym_centroid] = ACTIONS(2099),
    [anon_sym_noperspective] = ACTIONS(2099),
    [anon_sym_nointerpolation] = ACTIONS(2099),
    [anon_sym_sample] = ACTIONS(2099),
    [anon_sym_linear] = ACTIONS(2099),
    [anon_sym_snorm] = ACTIONS(2099),
    [anon_sym_unorm] = ACTIONS(2099),
    [anon_sym_point] = ACTIONS(2099),
    [anon_sym_line] = ACTIONS(2099),
    [anon_sym_triangleadj] = ACTIONS(2099),
    [anon_sym_lineadj] = ACTIONS(2099),
    [anon_sym_triangle] = ACTIONS(2099),
    [anon_sym_cbuffer] = ACTIONS(2099),
  },
  [1004] = {
    [sym_else_clause] = STATE(1078),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_LPAREN2] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym___extension__] = ACTIONS(2107),
    [anon_sym_typedef] = ACTIONS(2107),
    [anon_sym_in] = ACTIONS(2107),
    [anon_sym_out] = ACTIONS(2107),
    [anon_sym_inout] = ACTIONS(2107),
    [anon_sym_virtual] = ACTIONS(2107),
    [anon_sym_extern] = ACTIONS(2107),
    [anon_sym___attribute__] = ACTIONS(2107),
    [anon_sym___attribute] = ACTIONS(2107),
    [anon_sym_COLON_COLON] = ACTIONS(2109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2109),
    [anon_sym___declspec] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_signed] = ACTIONS(2107),
    [anon_sym_unsigned] = ACTIONS(2107),
    [anon_sym_long] = ACTIONS(2107),
    [anon_sym_short] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_register] = ACTIONS(2107),
    [anon_sym_inline] = ACTIONS(2107),
    [anon_sym___inline] = ACTIONS(2107),
    [anon_sym___inline__] = ACTIONS(2107),
    [anon_sym___forceinline] = ACTIONS(2107),
    [anon_sym_thread_local] = ACTIONS(2107),
    [anon_sym___thread] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_constexpr] = ACTIONS(2107),
    [anon_sym_volatile] = ACTIONS(2107),
    [anon_sym_restrict] = ACTIONS(2107),
    [anon_sym___restrict__] = ACTIONS(2107),
    [anon_sym__Atomic] = ACTIONS(2107),
    [anon_sym__Noreturn] = ACTIONS(2107),
    [anon_sym_noreturn] = ACTIONS(2107),
    [anon_sym__Nonnull] = ACTIONS(2107),
    [anon_sym_mutable] = ACTIONS(2107),
    [anon_sym_constinit] = ACTIONS(2107),
    [anon_sym_consteval] = ACTIONS(2107),
    [anon_sym_alignas] = ACTIONS(2107),
    [anon_sym__Alignas] = ACTIONS(2107),
    [sym_primitive_type] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_struct] = ACTIONS(2107),
    [anon_sym_union] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4054),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_goto] = ACTIONS(2107),
    [anon_sym___try] = ACTIONS(2107),
    [anon_sym___leave] = ACTIONS(2107),
    [anon_sym_not] = ACTIONS(2107),
    [anon_sym_compl] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2107),
    [anon_sym___alignof] = ACTIONS(2107),
    [anon_sym__alignof] = ACTIONS(2107),
    [anon_sym_alignof] = ACTIONS(2107),
    [anon_sym__Alignof] = ACTIONS(2107),
    [anon_sym_offsetof] = ACTIONS(2107),
    [anon_sym__Generic] = ACTIONS(2107),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [sym_number_literal] = ACTIONS(2109),
    [anon_sym_L_SQUOTE] = ACTIONS(2109),
    [anon_sym_u_SQUOTE] = ACTIONS(2109),
    [anon_sym_U_SQUOTE] = ACTIONS(2109),
    [anon_sym_u8_SQUOTE] = ACTIONS(2109),
    [anon_sym_SQUOTE] = ACTIONS(2109),
    [anon_sym_L_DQUOTE] = ACTIONS(2109),
    [anon_sym_u_DQUOTE] = ACTIONS(2109),
    [anon_sym_U_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8_DQUOTE] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2107),
    [anon_sym_decltype] = ACTIONS(2107),
    [anon_sym_typename] = ACTIONS(2107),
    [anon_sym_template] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_co_return] = ACTIONS(2107),
    [anon_sym_co_yield] = ACTIONS(2107),
    [anon_sym_R_DQUOTE] = ACTIONS(2109),
    [anon_sym_LR_DQUOTE] = ACTIONS(2109),
    [anon_sym_uR_DQUOTE] = ACTIONS(2109),
    [anon_sym_UR_DQUOTE] = ACTIONS(2109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2109),
    [anon_sym_co_await] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_requires] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [anon_sym_discard] = ACTIONS(2107),
    [anon_sym_precise] = ACTIONS(2107),
    [anon_sym_shared] = ACTIONS(2107),
    [anon_sym_groupshared] = ACTIONS(2107),
    [anon_sym_uniform] = ACTIONS(2107),
    [anon_sym_row_major] = ACTIONS(2107),
    [anon_sym_column_major] = ACTIONS(2107),
    [anon_sym_globallycoherent] = ACTIONS(2107),
    [anon_sym_centroid] = ACTIONS(2107),
    [anon_sym_noperspective] = ACTIONS(2107),
    [anon_sym_nointerpolation] = ACTIONS(2107),
    [anon_sym_sample] = ACTIONS(2107),
    [anon_sym_linear] = ACTIONS(2107),
    [anon_sym_snorm] = ACTIONS(2107),
    [anon_sym_unorm] = ACTIONS(2107),
    [anon_sym_point] = ACTIONS(2107),
    [anon_sym_line] = ACTIONS(2107),
    [anon_sym_triangleadj] = ACTIONS(2107),
    [anon_sym_lineadj] = ACTIONS(2107),
    [anon_sym_triangle] = ACTIONS(2107),
    [anon_sym_cbuffer] = ACTIONS(2107),
  },
  [1005] = {
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(3241),
    [sym__declarator] = STATE(6574),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_type_qualifier] = STATE(4172),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_expression] = STATE(3424),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3579),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5758),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3690),
    [aux_sym__type_definition_type_repeat1] = STATE(4172),
    [aux_sym_pointer_declarator_repeat1] = STATE(3241),
    [sym_identifier] = ACTIONS(4056),
    [anon_sym_LPAREN2] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2027),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2033),
    [anon_sym___extension__] = ACTIONS(4058),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1006] = {
    [sym_else_clause] = STATE(1076),
    [sym_identifier] = ACTIONS(2113),
    [anon_sym_LPAREN2] = ACTIONS(2115),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_TILDE] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_AMP] = ACTIONS(2115),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym___extension__] = ACTIONS(2113),
    [anon_sym_typedef] = ACTIONS(2113),
    [anon_sym_in] = ACTIONS(2113),
    [anon_sym_out] = ACTIONS(2113),
    [anon_sym_inout] = ACTIONS(2113),
    [anon_sym_virtual] = ACTIONS(2113),
    [anon_sym_extern] = ACTIONS(2113),
    [anon_sym___attribute__] = ACTIONS(2113),
    [anon_sym___attribute] = ACTIONS(2113),
    [anon_sym_COLON_COLON] = ACTIONS(2115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2115),
    [anon_sym___declspec] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2115),
    [anon_sym_signed] = ACTIONS(2113),
    [anon_sym_unsigned] = ACTIONS(2113),
    [anon_sym_long] = ACTIONS(2113),
    [anon_sym_short] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_static] = ACTIONS(2113),
    [anon_sym_register] = ACTIONS(2113),
    [anon_sym_inline] = ACTIONS(2113),
    [anon_sym___inline] = ACTIONS(2113),
    [anon_sym___inline__] = ACTIONS(2113),
    [anon_sym___forceinline] = ACTIONS(2113),
    [anon_sym_thread_local] = ACTIONS(2113),
    [anon_sym___thread] = ACTIONS(2113),
    [anon_sym_const] = ACTIONS(2113),
    [anon_sym_constexpr] = ACTIONS(2113),
    [anon_sym_volatile] = ACTIONS(2113),
    [anon_sym_restrict] = ACTIONS(2113),
    [anon_sym___restrict__] = ACTIONS(2113),
    [anon_sym__Atomic] = ACTIONS(2113),
    [anon_sym__Noreturn] = ACTIONS(2113),
    [anon_sym_noreturn] = ACTIONS(2113),
    [anon_sym__Nonnull] = ACTIONS(2113),
    [anon_sym_mutable] = ACTIONS(2113),
    [anon_sym_constinit] = ACTIONS(2113),
    [anon_sym_consteval] = ACTIONS(2113),
    [anon_sym_alignas] = ACTIONS(2113),
    [anon_sym__Alignas] = ACTIONS(2113),
    [sym_primitive_type] = ACTIONS(2113),
    [anon_sym_enum] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_struct] = ACTIONS(2113),
    [anon_sym_union] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_else] = ACTIONS(4054),
    [anon_sym_switch] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym___try] = ACTIONS(2113),
    [anon_sym___leave] = ACTIONS(2113),
    [anon_sym_not] = ACTIONS(2113),
    [anon_sym_compl] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2115),
    [anon_sym_PLUS_PLUS] = ACTIONS(2115),
    [anon_sym_sizeof] = ACTIONS(2113),
    [anon_sym___alignof__] = ACTIONS(2113),
    [anon_sym___alignof] = ACTIONS(2113),
    [anon_sym__alignof] = ACTIONS(2113),
    [anon_sym_alignof] = ACTIONS(2113),
    [anon_sym__Alignof] = ACTIONS(2113),
    [anon_sym_offsetof] = ACTIONS(2113),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2113),
    [anon_sym___asm__] = ACTIONS(2113),
    [anon_sym___asm] = ACTIONS(2113),
    [sym_number_literal] = ACTIONS(2115),
    [anon_sym_L_SQUOTE] = ACTIONS(2115),
    [anon_sym_u_SQUOTE] = ACTIONS(2115),
    [anon_sym_U_SQUOTE] = ACTIONS(2115),
    [anon_sym_u8_SQUOTE] = ACTIONS(2115),
    [anon_sym_SQUOTE] = ACTIONS(2115),
    [anon_sym_L_DQUOTE] = ACTIONS(2115),
    [anon_sym_u_DQUOTE] = ACTIONS(2115),
    [anon_sym_U_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8_DQUOTE] = ACTIONS(2115),
    [anon_sym_DQUOTE] = ACTIONS(2115),
    [sym_true] = ACTIONS(2113),
    [sym_false] = ACTIONS(2113),
    [anon_sym_NULL] = ACTIONS(2113),
    [anon_sym_nullptr] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2113),
    [anon_sym_decltype] = ACTIONS(2113),
    [anon_sym_typename] = ACTIONS(2113),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2113),
    [anon_sym_co_return] = ACTIONS(2113),
    [anon_sym_co_yield] = ACTIONS(2113),
    [anon_sym_R_DQUOTE] = ACTIONS(2115),
    [anon_sym_LR_DQUOTE] = ACTIONS(2115),
    [anon_sym_uR_DQUOTE] = ACTIONS(2115),
    [anon_sym_UR_DQUOTE] = ACTIONS(2115),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2115),
    [anon_sym_co_await] = ACTIONS(2113),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_requires] = ACTIONS(2113),
    [sym_this] = ACTIONS(2113),
    [anon_sym_discard] = ACTIONS(2113),
    [anon_sym_precise] = ACTIONS(2113),
    [anon_sym_shared] = ACTIONS(2113),
    [anon_sym_groupshared] = ACTIONS(2113),
    [anon_sym_uniform] = ACTIONS(2113),
    [anon_sym_row_major] = ACTIONS(2113),
    [anon_sym_column_major] = ACTIONS(2113),
    [anon_sym_globallycoherent] = ACTIONS(2113),
    [anon_sym_centroid] = ACTIONS(2113),
    [anon_sym_noperspective] = ACTIONS(2113),
    [anon_sym_nointerpolation] = ACTIONS(2113),
    [anon_sym_sample] = ACTIONS(2113),
    [anon_sym_linear] = ACTIONS(2113),
    [anon_sym_snorm] = ACTIONS(2113),
    [anon_sym_unorm] = ACTIONS(2113),
    [anon_sym_point] = ACTIONS(2113),
    [anon_sym_line] = ACTIONS(2113),
    [anon_sym_triangleadj] = ACTIONS(2113),
    [anon_sym_lineadj] = ACTIONS(2113),
    [anon_sym_triangle] = ACTIONS(2113),
    [anon_sym_cbuffer] = ACTIONS(2113),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1956),
    [anon_sym_BANG] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1958),
    [anon_sym_PLUS] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_typedef] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_out] = ACTIONS(1958),
    [anon_sym_inout] = ACTIONS(1958),
    [anon_sym_virtual] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym___attribute] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1956),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1956),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [anon_sym__Nonnull] = ACTIONS(1958),
    [anon_sym_mutable] = ACTIONS(1958),
    [anon_sym_constinit] = ACTIONS(1958),
    [anon_sym_consteval] = ACTIONS(1958),
    [anon_sym_alignas] = ACTIONS(1958),
    [anon_sym__Alignas] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_class] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [anon_sym_if] = ACTIONS(1958),
    [anon_sym_else] = ACTIONS(1958),
    [anon_sym_switch] = ACTIONS(1958),
    [anon_sym_while] = ACTIONS(1958),
    [anon_sym_do] = ACTIONS(1958),
    [anon_sym_for] = ACTIONS(1958),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_break] = ACTIONS(1958),
    [anon_sym_continue] = ACTIONS(1958),
    [anon_sym_goto] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1958),
    [anon_sym___leave] = ACTIONS(1958),
    [anon_sym_not] = ACTIONS(1958),
    [anon_sym_compl] = ACTIONS(1958),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_sizeof] = ACTIONS(1958),
    [anon_sym___alignof__] = ACTIONS(1958),
    [anon_sym___alignof] = ACTIONS(1958),
    [anon_sym__alignof] = ACTIONS(1958),
    [anon_sym_alignof] = ACTIONS(1958),
    [anon_sym__Alignof] = ACTIONS(1958),
    [anon_sym_offsetof] = ACTIONS(1958),
    [anon_sym__Generic] = ACTIONS(1958),
    [anon_sym_asm] = ACTIONS(1958),
    [anon_sym___asm__] = ACTIONS(1958),
    [anon_sym___asm] = ACTIONS(1958),
    [sym_number_literal] = ACTIONS(1956),
    [anon_sym_L_SQUOTE] = ACTIONS(1956),
    [anon_sym_u_SQUOTE] = ACTIONS(1956),
    [anon_sym_U_SQUOTE] = ACTIONS(1956),
    [anon_sym_u8_SQUOTE] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1956),
    [anon_sym_L_DQUOTE] = ACTIONS(1956),
    [anon_sym_u_DQUOTE] = ACTIONS(1956),
    [anon_sym_U_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8_DQUOTE] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [sym_true] = ACTIONS(1958),
    [sym_false] = ACTIONS(1958),
    [anon_sym_NULL] = ACTIONS(1958),
    [anon_sym_nullptr] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1958),
    [anon_sym_decltype] = ACTIONS(1958),
    [anon_sym_typename] = ACTIONS(1958),
    [anon_sym_template] = ACTIONS(1958),
    [anon_sym_try] = ACTIONS(1958),
    [anon_sym_delete] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1958),
    [anon_sym_co_return] = ACTIONS(1958),
    [anon_sym_co_yield] = ACTIONS(1958),
    [anon_sym_catch] = ACTIONS(1958),
    [anon_sym_R_DQUOTE] = ACTIONS(1956),
    [anon_sym_LR_DQUOTE] = ACTIONS(1956),
    [anon_sym_uR_DQUOTE] = ACTIONS(1956),
    [anon_sym_UR_DQUOTE] = ACTIONS(1956),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1956),
    [anon_sym_co_await] = ACTIONS(1958),
    [anon_sym_new] = ACTIONS(1958),
    [anon_sym_requires] = ACTIONS(1958),
    [sym_this] = ACTIONS(1958),
    [anon_sym_discard] = ACTIONS(1958),
    [anon_sym_precise] = ACTIONS(1958),
    [anon_sym_shared] = ACTIONS(1958),
    [anon_sym_groupshared] = ACTIONS(1958),
    [anon_sym_uniform] = ACTIONS(1958),
    [anon_sym_row_major] = ACTIONS(1958),
    [anon_sym_column_major] = ACTIONS(1958),
    [anon_sym_globallycoherent] = ACTIONS(1958),
    [anon_sym_centroid] = ACTIONS(1958),
    [anon_sym_noperspective] = ACTIONS(1958),
    [anon_sym_nointerpolation] = ACTIONS(1958),
    [anon_sym_sample] = ACTIONS(1958),
    [anon_sym_linear] = ACTIONS(1958),
    [anon_sym_snorm] = ACTIONS(1958),
    [anon_sym_unorm] = ACTIONS(1958),
    [anon_sym_point] = ACTIONS(1958),
    [anon_sym_line] = ACTIONS(1958),
    [anon_sym_triangleadj] = ACTIONS(1958),
    [anon_sym_lineadj] = ACTIONS(1958),
    [anon_sym_triangle] = ACTIONS(1958),
    [anon_sym_cbuffer] = ACTIONS(1958),
  },
  [1008] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1217),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4072),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4091),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym___cdecl] = ACTIONS(4068),
    [anon_sym___clrcall] = ACTIONS(4068),
    [anon_sym___stdcall] = ACTIONS(4068),
    [anon_sym___fastcall] = ACTIONS(4068),
    [anon_sym___thiscall] = ACTIONS(4068),
    [anon_sym___vectorcall] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(4070),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4096),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1009] = {
    [sym_type_qualifier] = STATE(4031),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4877),
    [sym_sized_type_specifier] = STATE(3018),
    [sym_enum_specifier] = STATE(3018),
    [sym_struct_specifier] = STATE(3018),
    [sym_union_specifier] = STATE(3018),
    [sym_expression] = STATE(4686),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_type_descriptor] = STATE(7404),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_placeholder_type_specifier] = STATE(3018),
    [sym_decltype_auto] = STATE(3017),
    [sym_decltype] = STATE(2952),
    [sym_class_specifier] = STATE(3018),
    [sym__class_name] = STATE(7934),
    [sym_dependent_type] = STATE(3018),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_type_parameter_pack_expansion] = STATE(8026),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5749),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3805),
    [aux_sym__type_definition_type_repeat1] = STATE(4031),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4381),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3956),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_signed] = ACTIONS(3960),
    [anon_sym_unsigned] = ACTIONS(3960),
    [anon_sym_long] = ACTIONS(3960),
    [anon_sym_short] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3964),
    [anon_sym_class] = ACTIONS(3966),
    [anon_sym_struct] = ACTIONS(3968),
    [anon_sym_union] = ACTIONS(3970),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3994),
    [anon_sym_decltype] = ACTIONS(3996),
    [anon_sym_typename] = ACTIONS(3998),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1010] = {
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(3241),
    [sym__declarator] = STATE(6574),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_type_qualifier] = STATE(4172),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3544),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5733),
    [sym_qualified_identifier] = STATE(3513),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(2933),
    [aux_sym__type_definition_type_repeat1] = STATE(4172),
    [aux_sym_pointer_declarator_repeat1] = STATE(3241),
    [sym_identifier] = ACTIONS(4108),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(4112),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(4114),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1011] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1217),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4072),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4118),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4091),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym___cdecl] = ACTIONS(4068),
    [anon_sym___clrcall] = ACTIONS(4068),
    [anon_sym___stdcall] = ACTIONS(4068),
    [anon_sym___fastcall] = ACTIONS(4068),
    [anon_sym___thiscall] = ACTIONS(4068),
    [anon_sym___vectorcall] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4096),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2288),
    [anon_sym_typedef] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2288),
    [anon_sym_out] = ACTIONS(2288),
    [anon_sym_inout] = ACTIONS(2288),
    [anon_sym_virtual] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym___attribute__] = ACTIONS(2288),
    [anon_sym___attribute] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2290),
    [anon_sym___declspec] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2288),
    [anon_sym_unsigned] = ACTIONS(2288),
    [anon_sym_long] = ACTIONS(2288),
    [anon_sym_short] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_register] = ACTIONS(2288),
    [anon_sym_inline] = ACTIONS(2288),
    [anon_sym___inline] = ACTIONS(2288),
    [anon_sym___inline__] = ACTIONS(2288),
    [anon_sym___forceinline] = ACTIONS(2288),
    [anon_sym_thread_local] = ACTIONS(2288),
    [anon_sym___thread] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_constexpr] = ACTIONS(2288),
    [anon_sym_volatile] = ACTIONS(2288),
    [anon_sym_restrict] = ACTIONS(2288),
    [anon_sym___restrict__] = ACTIONS(2288),
    [anon_sym__Atomic] = ACTIONS(2288),
    [anon_sym__Noreturn] = ACTIONS(2288),
    [anon_sym_noreturn] = ACTIONS(2288),
    [anon_sym__Nonnull] = ACTIONS(2288),
    [anon_sym_mutable] = ACTIONS(2288),
    [anon_sym_constinit] = ACTIONS(2288),
    [anon_sym_consteval] = ACTIONS(2288),
    [anon_sym_alignas] = ACTIONS(2288),
    [anon_sym__Alignas] = ACTIONS(2288),
    [sym_primitive_type] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym___try] = ACTIONS(2288),
    [anon_sym___leave] = ACTIONS(2288),
    [anon_sym_not] = ACTIONS(2288),
    [anon_sym_compl] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2290),
    [anon_sym_PLUS_PLUS] = ACTIONS(2290),
    [anon_sym_sizeof] = ACTIONS(2288),
    [anon_sym___alignof__] = ACTIONS(2288),
    [anon_sym___alignof] = ACTIONS(2288),
    [anon_sym__alignof] = ACTIONS(2288),
    [anon_sym_alignof] = ACTIONS(2288),
    [anon_sym__Alignof] = ACTIONS(2288),
    [anon_sym_offsetof] = ACTIONS(2288),
    [anon_sym__Generic] = ACTIONS(2288),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(2290),
    [anon_sym_L_SQUOTE] = ACTIONS(2290),
    [anon_sym_u_SQUOTE] = ACTIONS(2290),
    [anon_sym_U_SQUOTE] = ACTIONS(2290),
    [anon_sym_u8_SQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym_L_DQUOTE] = ACTIONS(2290),
    [anon_sym_u_DQUOTE] = ACTIONS(2290),
    [anon_sym_U_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8_DQUOTE] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [anon_sym_NULL] = ACTIONS(2288),
    [anon_sym_nullptr] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2288),
    [anon_sym_decltype] = ACTIONS(2288),
    [anon_sym_typename] = ACTIONS(2288),
    [anon_sym_template] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_co_return] = ACTIONS(2288),
    [anon_sym_co_yield] = ACTIONS(2288),
    [anon_sym_R_DQUOTE] = ACTIONS(2290),
    [anon_sym_LR_DQUOTE] = ACTIONS(2290),
    [anon_sym_uR_DQUOTE] = ACTIONS(2290),
    [anon_sym_UR_DQUOTE] = ACTIONS(2290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2290),
    [anon_sym_co_await] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_requires] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [anon_sym_discard] = ACTIONS(2288),
    [anon_sym_precise] = ACTIONS(2288),
    [anon_sym_shared] = ACTIONS(2288),
    [anon_sym_groupshared] = ACTIONS(2288),
    [anon_sym_uniform] = ACTIONS(2288),
    [anon_sym_row_major] = ACTIONS(2288),
    [anon_sym_column_major] = ACTIONS(2288),
    [anon_sym_globallycoherent] = ACTIONS(2288),
    [anon_sym_centroid] = ACTIONS(2288),
    [anon_sym_noperspective] = ACTIONS(2288),
    [anon_sym_nointerpolation] = ACTIONS(2288),
    [anon_sym_sample] = ACTIONS(2288),
    [anon_sym_linear] = ACTIONS(2288),
    [anon_sym_snorm] = ACTIONS(2288),
    [anon_sym_unorm] = ACTIONS(2288),
    [anon_sym_point] = ACTIONS(2288),
    [anon_sym_line] = ACTIONS(2288),
    [anon_sym_triangleadj] = ACTIONS(2288),
    [anon_sym_lineadj] = ACTIONS(2288),
    [anon_sym_triangle] = ACTIONS(2288),
    [anon_sym_cbuffer] = ACTIONS(2288),
  },
  [1013] = {
    [sym_identifier] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym___extension__] = ACTIONS(2348),
    [anon_sym_typedef] = ACTIONS(2348),
    [anon_sym_in] = ACTIONS(2348),
    [anon_sym_out] = ACTIONS(2348),
    [anon_sym_inout] = ACTIONS(2348),
    [anon_sym_virtual] = ACTIONS(2348),
    [anon_sym_extern] = ACTIONS(2348),
    [anon_sym___attribute__] = ACTIONS(2348),
    [anon_sym___attribute] = ACTIONS(2348),
    [anon_sym_COLON_COLON] = ACTIONS(2350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2350),
    [anon_sym___declspec] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_signed] = ACTIONS(2348),
    [anon_sym_unsigned] = ACTIONS(2348),
    [anon_sym_long] = ACTIONS(2348),
    [anon_sym_short] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2348),
    [anon_sym_register] = ACTIONS(2348),
    [anon_sym_inline] = ACTIONS(2348),
    [anon_sym___inline] = ACTIONS(2348),
    [anon_sym___inline__] = ACTIONS(2348),
    [anon_sym___forceinline] = ACTIONS(2348),
    [anon_sym_thread_local] = ACTIONS(2348),
    [anon_sym___thread] = ACTIONS(2348),
    [anon_sym_const] = ACTIONS(2348),
    [anon_sym_constexpr] = ACTIONS(2348),
    [anon_sym_volatile] = ACTIONS(2348),
    [anon_sym_restrict] = ACTIONS(2348),
    [anon_sym___restrict__] = ACTIONS(2348),
    [anon_sym__Atomic] = ACTIONS(2348),
    [anon_sym__Noreturn] = ACTIONS(2348),
    [anon_sym_noreturn] = ACTIONS(2348),
    [anon_sym__Nonnull] = ACTIONS(2348),
    [anon_sym_mutable] = ACTIONS(2348),
    [anon_sym_constinit] = ACTIONS(2348),
    [anon_sym_consteval] = ACTIONS(2348),
    [anon_sym_alignas] = ACTIONS(2348),
    [anon_sym__Alignas] = ACTIONS(2348),
    [sym_primitive_type] = ACTIONS(2348),
    [anon_sym_enum] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2348),
    [anon_sym_struct] = ACTIONS(2348),
    [anon_sym_union] = ACTIONS(2348),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_else] = ACTIONS(2348),
    [anon_sym_switch] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2348),
    [anon_sym___leave] = ACTIONS(2348),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_compl] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_sizeof] = ACTIONS(2348),
    [anon_sym___alignof__] = ACTIONS(2348),
    [anon_sym___alignof] = ACTIONS(2348),
    [anon_sym__alignof] = ACTIONS(2348),
    [anon_sym_alignof] = ACTIONS(2348),
    [anon_sym__Alignof] = ACTIONS(2348),
    [anon_sym_offsetof] = ACTIONS(2348),
    [anon_sym__Generic] = ACTIONS(2348),
    [anon_sym_asm] = ACTIONS(2348),
    [anon_sym___asm__] = ACTIONS(2348),
    [anon_sym___asm] = ACTIONS(2348),
    [sym_number_literal] = ACTIONS(2350),
    [anon_sym_L_SQUOTE] = ACTIONS(2350),
    [anon_sym_u_SQUOTE] = ACTIONS(2350),
    [anon_sym_U_SQUOTE] = ACTIONS(2350),
    [anon_sym_u8_SQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_L_DQUOTE] = ACTIONS(2350),
    [anon_sym_u_DQUOTE] = ACTIONS(2350),
    [anon_sym_U_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8_DQUOTE] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [sym_true] = ACTIONS(2348),
    [sym_false] = ACTIONS(2348),
    [anon_sym_NULL] = ACTIONS(2348),
    [anon_sym_nullptr] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2348),
    [anon_sym_decltype] = ACTIONS(2348),
    [anon_sym_typename] = ACTIONS(2348),
    [anon_sym_template] = ACTIONS(2348),
    [anon_sym_try] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_co_return] = ACTIONS(2348),
    [anon_sym_co_yield] = ACTIONS(2348),
    [anon_sym_R_DQUOTE] = ACTIONS(2350),
    [anon_sym_LR_DQUOTE] = ACTIONS(2350),
    [anon_sym_uR_DQUOTE] = ACTIONS(2350),
    [anon_sym_UR_DQUOTE] = ACTIONS(2350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2350),
    [anon_sym_co_await] = ACTIONS(2348),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2348),
    [sym_this] = ACTIONS(2348),
    [anon_sym_discard] = ACTIONS(2348),
    [anon_sym_precise] = ACTIONS(2348),
    [anon_sym_shared] = ACTIONS(2348),
    [anon_sym_groupshared] = ACTIONS(2348),
    [anon_sym_uniform] = ACTIONS(2348),
    [anon_sym_row_major] = ACTIONS(2348),
    [anon_sym_column_major] = ACTIONS(2348),
    [anon_sym_globallycoherent] = ACTIONS(2348),
    [anon_sym_centroid] = ACTIONS(2348),
    [anon_sym_noperspective] = ACTIONS(2348),
    [anon_sym_nointerpolation] = ACTIONS(2348),
    [anon_sym_sample] = ACTIONS(2348),
    [anon_sym_linear] = ACTIONS(2348),
    [anon_sym_snorm] = ACTIONS(2348),
    [anon_sym_unorm] = ACTIONS(2348),
    [anon_sym_point] = ACTIONS(2348),
    [anon_sym_line] = ACTIONS(2348),
    [anon_sym_triangleadj] = ACTIONS(2348),
    [anon_sym_lineadj] = ACTIONS(2348),
    [anon_sym_triangle] = ACTIONS(2348),
    [anon_sym_cbuffer] = ACTIONS(2348),
  },
  [1014] = {
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___extension__] = ACTIONS(2147),
    [anon_sym_typedef] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2147),
    [anon_sym_out] = ACTIONS(2147),
    [anon_sym_inout] = ACTIONS(2147),
    [anon_sym_virtual] = ACTIONS(2147),
    [anon_sym_extern] = ACTIONS(2147),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym___attribute] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2149),
    [anon_sym___declspec] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_signed] = ACTIONS(2147),
    [anon_sym_unsigned] = ACTIONS(2147),
    [anon_sym_long] = ACTIONS(2147),
    [anon_sym_short] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_register] = ACTIONS(2147),
    [anon_sym_inline] = ACTIONS(2147),
    [anon_sym___inline] = ACTIONS(2147),
    [anon_sym___inline__] = ACTIONS(2147),
    [anon_sym___forceinline] = ACTIONS(2147),
    [anon_sym_thread_local] = ACTIONS(2147),
    [anon_sym___thread] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_constexpr] = ACTIONS(2147),
    [anon_sym_volatile] = ACTIONS(2147),
    [anon_sym_restrict] = ACTIONS(2147),
    [anon_sym___restrict__] = ACTIONS(2147),
    [anon_sym__Atomic] = ACTIONS(2147),
    [anon_sym__Noreturn] = ACTIONS(2147),
    [anon_sym_noreturn] = ACTIONS(2147),
    [anon_sym__Nonnull] = ACTIONS(2147),
    [anon_sym_mutable] = ACTIONS(2147),
    [anon_sym_constinit] = ACTIONS(2147),
    [anon_sym_consteval] = ACTIONS(2147),
    [anon_sym_alignas] = ACTIONS(2147),
    [anon_sym__Alignas] = ACTIONS(2147),
    [sym_primitive_type] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_struct] = ACTIONS(2147),
    [anon_sym_union] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_goto] = ACTIONS(2147),
    [anon_sym___try] = ACTIONS(2147),
    [anon_sym___leave] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2147),
    [anon_sym_compl] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2147),
    [anon_sym___alignof__] = ACTIONS(2147),
    [anon_sym___alignof] = ACTIONS(2147),
    [anon_sym__alignof] = ACTIONS(2147),
    [anon_sym_alignof] = ACTIONS(2147),
    [anon_sym__Alignof] = ACTIONS(2147),
    [anon_sym_offsetof] = ACTIONS(2147),
    [anon_sym__Generic] = ACTIONS(2147),
    [anon_sym_asm] = ACTIONS(2147),
    [anon_sym___asm__] = ACTIONS(2147),
    [anon_sym___asm] = ACTIONS(2147),
    [sym_number_literal] = ACTIONS(2149),
    [anon_sym_L_SQUOTE] = ACTIONS(2149),
    [anon_sym_u_SQUOTE] = ACTIONS(2149),
    [anon_sym_U_SQUOTE] = ACTIONS(2149),
    [anon_sym_u8_SQUOTE] = ACTIONS(2149),
    [anon_sym_SQUOTE] = ACTIONS(2149),
    [anon_sym_L_DQUOTE] = ACTIONS(2149),
    [anon_sym_u_DQUOTE] = ACTIONS(2149),
    [anon_sym_U_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8_DQUOTE] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [anon_sym_NULL] = ACTIONS(2147),
    [anon_sym_nullptr] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2147),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_typename] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_co_return] = ACTIONS(2147),
    [anon_sym_co_yield] = ACTIONS(2147),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_requires] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [anon_sym_discard] = ACTIONS(2147),
    [anon_sym_precise] = ACTIONS(2147),
    [anon_sym_shared] = ACTIONS(2147),
    [anon_sym_groupshared] = ACTIONS(2147),
    [anon_sym_uniform] = ACTIONS(2147),
    [anon_sym_row_major] = ACTIONS(2147),
    [anon_sym_column_major] = ACTIONS(2147),
    [anon_sym_globallycoherent] = ACTIONS(2147),
    [anon_sym_centroid] = ACTIONS(2147),
    [anon_sym_noperspective] = ACTIONS(2147),
    [anon_sym_nointerpolation] = ACTIONS(2147),
    [anon_sym_sample] = ACTIONS(2147),
    [anon_sym_linear] = ACTIONS(2147),
    [anon_sym_snorm] = ACTIONS(2147),
    [anon_sym_unorm] = ACTIONS(2147),
    [anon_sym_point] = ACTIONS(2147),
    [anon_sym_line] = ACTIONS(2147),
    [anon_sym_triangleadj] = ACTIONS(2147),
    [anon_sym_lineadj] = ACTIONS(2147),
    [anon_sym_triangle] = ACTIONS(2147),
    [anon_sym_cbuffer] = ACTIONS(2147),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_LPAREN2] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym___extension__] = ACTIONS(2338),
    [anon_sym_typedef] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_out] = ACTIONS(2338),
    [anon_sym_inout] = ACTIONS(2338),
    [anon_sym_virtual] = ACTIONS(2338),
    [anon_sym_extern] = ACTIONS(2338),
    [anon_sym___attribute__] = ACTIONS(2338),
    [anon_sym___attribute] = ACTIONS(2338),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2340),
    [anon_sym___declspec] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_signed] = ACTIONS(2338),
    [anon_sym_unsigned] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_register] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2338),
    [anon_sym___inline] = ACTIONS(2338),
    [anon_sym___inline__] = ACTIONS(2338),
    [anon_sym___forceinline] = ACTIONS(2338),
    [anon_sym_thread_local] = ACTIONS(2338),
    [anon_sym___thread] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_constexpr] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_restrict] = ACTIONS(2338),
    [anon_sym___restrict__] = ACTIONS(2338),
    [anon_sym__Atomic] = ACTIONS(2338),
    [anon_sym__Noreturn] = ACTIONS(2338),
    [anon_sym_noreturn] = ACTIONS(2338),
    [anon_sym__Nonnull] = ACTIONS(2338),
    [anon_sym_mutable] = ACTIONS(2338),
    [anon_sym_constinit] = ACTIONS(2338),
    [anon_sym_consteval] = ACTIONS(2338),
    [anon_sym_alignas] = ACTIONS(2338),
    [anon_sym__Alignas] = ACTIONS(2338),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_struct] = ACTIONS(2338),
    [anon_sym_union] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_goto] = ACTIONS(2338),
    [anon_sym___try] = ACTIONS(2338),
    [anon_sym___leave] = ACTIONS(2338),
    [anon_sym_not] = ACTIONS(2338),
    [anon_sym_compl] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_sizeof] = ACTIONS(2338),
    [anon_sym___alignof__] = ACTIONS(2338),
    [anon_sym___alignof] = ACTIONS(2338),
    [anon_sym__alignof] = ACTIONS(2338),
    [anon_sym_alignof] = ACTIONS(2338),
    [anon_sym__Alignof] = ACTIONS(2338),
    [anon_sym_offsetof] = ACTIONS(2338),
    [anon_sym__Generic] = ACTIONS(2338),
    [anon_sym_asm] = ACTIONS(2338),
    [anon_sym___asm__] = ACTIONS(2338),
    [anon_sym___asm] = ACTIONS(2338),
    [sym_number_literal] = ACTIONS(2340),
    [anon_sym_L_SQUOTE] = ACTIONS(2340),
    [anon_sym_u_SQUOTE] = ACTIONS(2340),
    [anon_sym_U_SQUOTE] = ACTIONS(2340),
    [anon_sym_u8_SQUOTE] = ACTIONS(2340),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_L_DQUOTE] = ACTIONS(2340),
    [anon_sym_u_DQUOTE] = ACTIONS(2340),
    [anon_sym_U_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8_DQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2340),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2338),
    [anon_sym_nullptr] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2338),
    [anon_sym_decltype] = ACTIONS(2338),
    [anon_sym_typename] = ACTIONS(2338),
    [anon_sym_template] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_co_return] = ACTIONS(2338),
    [anon_sym_co_yield] = ACTIONS(2338),
    [anon_sym_R_DQUOTE] = ACTIONS(2340),
    [anon_sym_LR_DQUOTE] = ACTIONS(2340),
    [anon_sym_uR_DQUOTE] = ACTIONS(2340),
    [anon_sym_UR_DQUOTE] = ACTIONS(2340),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2340),
    [anon_sym_co_await] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_requires] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [anon_sym_discard] = ACTIONS(2338),
    [anon_sym_precise] = ACTIONS(2338),
    [anon_sym_shared] = ACTIONS(2338),
    [anon_sym_groupshared] = ACTIONS(2338),
    [anon_sym_uniform] = ACTIONS(2338),
    [anon_sym_row_major] = ACTIONS(2338),
    [anon_sym_column_major] = ACTIONS(2338),
    [anon_sym_globallycoherent] = ACTIONS(2338),
    [anon_sym_centroid] = ACTIONS(2338),
    [anon_sym_noperspective] = ACTIONS(2338),
    [anon_sym_nointerpolation] = ACTIONS(2338),
    [anon_sym_sample] = ACTIONS(2338),
    [anon_sym_linear] = ACTIONS(2338),
    [anon_sym_snorm] = ACTIONS(2338),
    [anon_sym_unorm] = ACTIONS(2338),
    [anon_sym_point] = ACTIONS(2338),
    [anon_sym_line] = ACTIONS(2338),
    [anon_sym_triangleadj] = ACTIONS(2338),
    [anon_sym_lineadj] = ACTIONS(2338),
    [anon_sym_triangle] = ACTIONS(2338),
    [anon_sym_cbuffer] = ACTIONS(2338),
  },
  [1016] = {
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [1017] = {
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2205),
    [anon_sym___leave] = ACTIONS(2205),
    [anon_sym_not] = ACTIONS(2205),
    [anon_sym_compl] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_sizeof] = ACTIONS(2205),
    [anon_sym___alignof__] = ACTIONS(2205),
    [anon_sym___alignof] = ACTIONS(2205),
    [anon_sym__alignof] = ACTIONS(2205),
    [anon_sym_alignof] = ACTIONS(2205),
    [anon_sym__Alignof] = ACTIONS(2205),
    [anon_sym_offsetof] = ACTIONS(2205),
    [anon_sym__Generic] = ACTIONS(2205),
    [anon_sym_asm] = ACTIONS(2205),
    [anon_sym___asm__] = ACTIONS(2205),
    [anon_sym___asm] = ACTIONS(2205),
    [sym_number_literal] = ACTIONS(2207),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2207),
    [anon_sym_u_DQUOTE] = ACTIONS(2207),
    [anon_sym_U_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8_DQUOTE] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [anon_sym_NULL] = ACTIONS(2205),
    [anon_sym_nullptr] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_co_return] = ACTIONS(2205),
    [anon_sym_co_yield] = ACTIONS(2205),
    [anon_sym_R_DQUOTE] = ACTIONS(2207),
    [anon_sym_LR_DQUOTE] = ACTIONS(2207),
    [anon_sym_uR_DQUOTE] = ACTIONS(2207),
    [anon_sym_UR_DQUOTE] = ACTIONS(2207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2207),
    [anon_sym_co_await] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_requires] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [anon_sym_discard] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
    [anon_sym_cbuffer] = ACTIONS(2205),
  },
  [1018] = {
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_LPAREN2] = ACTIONS(2187),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_AMP] = ACTIONS(2187),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym___extension__] = ACTIONS(2185),
    [anon_sym_typedef] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2185),
    [anon_sym_out] = ACTIONS(2185),
    [anon_sym_inout] = ACTIONS(2185),
    [anon_sym_virtual] = ACTIONS(2185),
    [anon_sym_extern] = ACTIONS(2185),
    [anon_sym___attribute__] = ACTIONS(2185),
    [anon_sym___attribute] = ACTIONS(2185),
    [anon_sym_COLON_COLON] = ACTIONS(2187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2187),
    [anon_sym___declspec] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_signed] = ACTIONS(2185),
    [anon_sym_unsigned] = ACTIONS(2185),
    [anon_sym_long] = ACTIONS(2185),
    [anon_sym_short] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_register] = ACTIONS(2185),
    [anon_sym_inline] = ACTIONS(2185),
    [anon_sym___inline] = ACTIONS(2185),
    [anon_sym___inline__] = ACTIONS(2185),
    [anon_sym___forceinline] = ACTIONS(2185),
    [anon_sym_thread_local] = ACTIONS(2185),
    [anon_sym___thread] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_constexpr] = ACTIONS(2185),
    [anon_sym_volatile] = ACTIONS(2185),
    [anon_sym_restrict] = ACTIONS(2185),
    [anon_sym___restrict__] = ACTIONS(2185),
    [anon_sym__Atomic] = ACTIONS(2185),
    [anon_sym__Noreturn] = ACTIONS(2185),
    [anon_sym_noreturn] = ACTIONS(2185),
    [anon_sym__Nonnull] = ACTIONS(2185),
    [anon_sym_mutable] = ACTIONS(2185),
    [anon_sym_constinit] = ACTIONS(2185),
    [anon_sym_consteval] = ACTIONS(2185),
    [anon_sym_alignas] = ACTIONS(2185),
    [anon_sym__Alignas] = ACTIONS(2185),
    [sym_primitive_type] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_struct] = ACTIONS(2185),
    [anon_sym_union] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym___try] = ACTIONS(2185),
    [anon_sym___leave] = ACTIONS(2185),
    [anon_sym_not] = ACTIONS(2185),
    [anon_sym_compl] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2187),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_sizeof] = ACTIONS(2185),
    [anon_sym___alignof__] = ACTIONS(2185),
    [anon_sym___alignof] = ACTIONS(2185),
    [anon_sym__alignof] = ACTIONS(2185),
    [anon_sym_alignof] = ACTIONS(2185),
    [anon_sym__Alignof] = ACTIONS(2185),
    [anon_sym_offsetof] = ACTIONS(2185),
    [anon_sym__Generic] = ACTIONS(2185),
    [anon_sym_asm] = ACTIONS(2185),
    [anon_sym___asm__] = ACTIONS(2185),
    [anon_sym___asm] = ACTIONS(2185),
    [sym_number_literal] = ACTIONS(2187),
    [anon_sym_L_SQUOTE] = ACTIONS(2187),
    [anon_sym_u_SQUOTE] = ACTIONS(2187),
    [anon_sym_U_SQUOTE] = ACTIONS(2187),
    [anon_sym_u8_SQUOTE] = ACTIONS(2187),
    [anon_sym_SQUOTE] = ACTIONS(2187),
    [anon_sym_L_DQUOTE] = ACTIONS(2187),
    [anon_sym_u_DQUOTE] = ACTIONS(2187),
    [anon_sym_U_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8_DQUOTE] = ACTIONS(2187),
    [anon_sym_DQUOTE] = ACTIONS(2187),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [anon_sym_NULL] = ACTIONS(2185),
    [anon_sym_nullptr] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2185),
    [anon_sym_decltype] = ACTIONS(2185),
    [anon_sym_typename] = ACTIONS(2185),
    [anon_sym_template] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_co_return] = ACTIONS(2185),
    [anon_sym_co_yield] = ACTIONS(2185),
    [anon_sym_R_DQUOTE] = ACTIONS(2187),
    [anon_sym_LR_DQUOTE] = ACTIONS(2187),
    [anon_sym_uR_DQUOTE] = ACTIONS(2187),
    [anon_sym_UR_DQUOTE] = ACTIONS(2187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2187),
    [anon_sym_co_await] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_requires] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [anon_sym_discard] = ACTIONS(2185),
    [anon_sym_precise] = ACTIONS(2185),
    [anon_sym_shared] = ACTIONS(2185),
    [anon_sym_groupshared] = ACTIONS(2185),
    [anon_sym_uniform] = ACTIONS(2185),
    [anon_sym_row_major] = ACTIONS(2185),
    [anon_sym_column_major] = ACTIONS(2185),
    [anon_sym_globallycoherent] = ACTIONS(2185),
    [anon_sym_centroid] = ACTIONS(2185),
    [anon_sym_noperspective] = ACTIONS(2185),
    [anon_sym_nointerpolation] = ACTIONS(2185),
    [anon_sym_sample] = ACTIONS(2185),
    [anon_sym_linear] = ACTIONS(2185),
    [anon_sym_snorm] = ACTIONS(2185),
    [anon_sym_unorm] = ACTIONS(2185),
    [anon_sym_point] = ACTIONS(2185),
    [anon_sym_line] = ACTIONS(2185),
    [anon_sym_triangleadj] = ACTIONS(2185),
    [anon_sym_lineadj] = ACTIONS(2185),
    [anon_sym_triangle] = ACTIONS(2185),
    [anon_sym_cbuffer] = ACTIONS(2185),
  },
  [1019] = {
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym___extension__] = ACTIONS(2193),
    [anon_sym_typedef] = ACTIONS(2193),
    [anon_sym_in] = ACTIONS(2193),
    [anon_sym_out] = ACTIONS(2193),
    [anon_sym_inout] = ACTIONS(2193),
    [anon_sym_virtual] = ACTIONS(2193),
    [anon_sym_extern] = ACTIONS(2193),
    [anon_sym___attribute__] = ACTIONS(2193),
    [anon_sym___attribute] = ACTIONS(2193),
    [anon_sym_COLON_COLON] = ACTIONS(2195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2195),
    [anon_sym___declspec] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_signed] = ACTIONS(2193),
    [anon_sym_unsigned] = ACTIONS(2193),
    [anon_sym_long] = ACTIONS(2193),
    [anon_sym_short] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_register] = ACTIONS(2193),
    [anon_sym_inline] = ACTIONS(2193),
    [anon_sym___inline] = ACTIONS(2193),
    [anon_sym___inline__] = ACTIONS(2193),
    [anon_sym___forceinline] = ACTIONS(2193),
    [anon_sym_thread_local] = ACTIONS(2193),
    [anon_sym___thread] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_constexpr] = ACTIONS(2193),
    [anon_sym_volatile] = ACTIONS(2193),
    [anon_sym_restrict] = ACTIONS(2193),
    [anon_sym___restrict__] = ACTIONS(2193),
    [anon_sym__Atomic] = ACTIONS(2193),
    [anon_sym__Noreturn] = ACTIONS(2193),
    [anon_sym_noreturn] = ACTIONS(2193),
    [anon_sym__Nonnull] = ACTIONS(2193),
    [anon_sym_mutable] = ACTIONS(2193),
    [anon_sym_constinit] = ACTIONS(2193),
    [anon_sym_consteval] = ACTIONS(2193),
    [anon_sym_alignas] = ACTIONS(2193),
    [anon_sym__Alignas] = ACTIONS(2193),
    [sym_primitive_type] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_struct] = ACTIONS(2193),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym___try] = ACTIONS(2193),
    [anon_sym___leave] = ACTIONS(2193),
    [anon_sym_not] = ACTIONS(2193),
    [anon_sym_compl] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_sizeof] = ACTIONS(2193),
    [anon_sym___alignof__] = ACTIONS(2193),
    [anon_sym___alignof] = ACTIONS(2193),
    [anon_sym__alignof] = ACTIONS(2193),
    [anon_sym_alignof] = ACTIONS(2193),
    [anon_sym__Alignof] = ACTIONS(2193),
    [anon_sym_offsetof] = ACTIONS(2193),
    [anon_sym__Generic] = ACTIONS(2193),
    [anon_sym_asm] = ACTIONS(2193),
    [anon_sym___asm__] = ACTIONS(2193),
    [anon_sym___asm] = ACTIONS(2193),
    [sym_number_literal] = ACTIONS(2195),
    [anon_sym_L_SQUOTE] = ACTIONS(2195),
    [anon_sym_u_SQUOTE] = ACTIONS(2195),
    [anon_sym_U_SQUOTE] = ACTIONS(2195),
    [anon_sym_u8_SQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [anon_sym_L_DQUOTE] = ACTIONS(2195),
    [anon_sym_u_DQUOTE] = ACTIONS(2195),
    [anon_sym_U_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8_DQUOTE] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [anon_sym_NULL] = ACTIONS(2193),
    [anon_sym_nullptr] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2193),
    [anon_sym_decltype] = ACTIONS(2193),
    [anon_sym_typename] = ACTIONS(2193),
    [anon_sym_template] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_co_return] = ACTIONS(2193),
    [anon_sym_co_yield] = ACTIONS(2193),
    [anon_sym_R_DQUOTE] = ACTIONS(2195),
    [anon_sym_LR_DQUOTE] = ACTIONS(2195),
    [anon_sym_uR_DQUOTE] = ACTIONS(2195),
    [anon_sym_UR_DQUOTE] = ACTIONS(2195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2195),
    [anon_sym_co_await] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_requires] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [anon_sym_discard] = ACTIONS(2193),
    [anon_sym_precise] = ACTIONS(2193),
    [anon_sym_shared] = ACTIONS(2193),
    [anon_sym_groupshared] = ACTIONS(2193),
    [anon_sym_uniform] = ACTIONS(2193),
    [anon_sym_row_major] = ACTIONS(2193),
    [anon_sym_column_major] = ACTIONS(2193),
    [anon_sym_globallycoherent] = ACTIONS(2193),
    [anon_sym_centroid] = ACTIONS(2193),
    [anon_sym_noperspective] = ACTIONS(2193),
    [anon_sym_nointerpolation] = ACTIONS(2193),
    [anon_sym_sample] = ACTIONS(2193),
    [anon_sym_linear] = ACTIONS(2193),
    [anon_sym_snorm] = ACTIONS(2193),
    [anon_sym_unorm] = ACTIONS(2193),
    [anon_sym_point] = ACTIONS(2193),
    [anon_sym_line] = ACTIONS(2193),
    [anon_sym_triangleadj] = ACTIONS(2193),
    [anon_sym_lineadj] = ACTIONS(2193),
    [anon_sym_triangle] = ACTIONS(2193),
    [anon_sym_cbuffer] = ACTIONS(2193),
  },
  [1020] = {
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_LPAREN2] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym___extension__] = ACTIONS(2173),
    [anon_sym_typedef] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_out] = ACTIONS(2173),
    [anon_sym_inout] = ACTIONS(2173),
    [anon_sym_virtual] = ACTIONS(2173),
    [anon_sym_extern] = ACTIONS(2173),
    [anon_sym___attribute__] = ACTIONS(2173),
    [anon_sym___attribute] = ACTIONS(2173),
    [anon_sym_COLON_COLON] = ACTIONS(2175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2175),
    [anon_sym___declspec] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_signed] = ACTIONS(2173),
    [anon_sym_unsigned] = ACTIONS(2173),
    [anon_sym_long] = ACTIONS(2173),
    [anon_sym_short] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_register] = ACTIONS(2173),
    [anon_sym_inline] = ACTIONS(2173),
    [anon_sym___inline] = ACTIONS(2173),
    [anon_sym___inline__] = ACTIONS(2173),
    [anon_sym___forceinline] = ACTIONS(2173),
    [anon_sym_thread_local] = ACTIONS(2173),
    [anon_sym___thread] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_constexpr] = ACTIONS(2173),
    [anon_sym_volatile] = ACTIONS(2173),
    [anon_sym_restrict] = ACTIONS(2173),
    [anon_sym___restrict__] = ACTIONS(2173),
    [anon_sym__Atomic] = ACTIONS(2173),
    [anon_sym__Noreturn] = ACTIONS(2173),
    [anon_sym_noreturn] = ACTIONS(2173),
    [anon_sym__Nonnull] = ACTIONS(2173),
    [anon_sym_mutable] = ACTIONS(2173),
    [anon_sym_constinit] = ACTIONS(2173),
    [anon_sym_consteval] = ACTIONS(2173),
    [anon_sym_alignas] = ACTIONS(2173),
    [anon_sym__Alignas] = ACTIONS(2173),
    [sym_primitive_type] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_struct] = ACTIONS(2173),
    [anon_sym_union] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym___try] = ACTIONS(2173),
    [anon_sym___leave] = ACTIONS(2173),
    [anon_sym_not] = ACTIONS(2173),
    [anon_sym_compl] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_sizeof] = ACTIONS(2173),
    [anon_sym___alignof__] = ACTIONS(2173),
    [anon_sym___alignof] = ACTIONS(2173),
    [anon_sym__alignof] = ACTIONS(2173),
    [anon_sym_alignof] = ACTIONS(2173),
    [anon_sym__Alignof] = ACTIONS(2173),
    [anon_sym_offsetof] = ACTIONS(2173),
    [anon_sym__Generic] = ACTIONS(2173),
    [anon_sym_asm] = ACTIONS(2173),
    [anon_sym___asm__] = ACTIONS(2173),
    [anon_sym___asm] = ACTIONS(2173),
    [sym_number_literal] = ACTIONS(2175),
    [anon_sym_L_SQUOTE] = ACTIONS(2175),
    [anon_sym_u_SQUOTE] = ACTIONS(2175),
    [anon_sym_U_SQUOTE] = ACTIONS(2175),
    [anon_sym_u8_SQUOTE] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2175),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [anon_sym_NULL] = ACTIONS(2173),
    [anon_sym_nullptr] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2173),
    [anon_sym_decltype] = ACTIONS(2173),
    [anon_sym_typename] = ACTIONS(2173),
    [anon_sym_template] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_co_return] = ACTIONS(2173),
    [anon_sym_co_yield] = ACTIONS(2173),
    [anon_sym_R_DQUOTE] = ACTIONS(2175),
    [anon_sym_LR_DQUOTE] = ACTIONS(2175),
    [anon_sym_uR_DQUOTE] = ACTIONS(2175),
    [anon_sym_UR_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2175),
    [anon_sym_co_await] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_requires] = ACTIONS(2173),
    [sym_this] = ACTIONS(2173),
    [anon_sym_discard] = ACTIONS(2173),
    [anon_sym_precise] = ACTIONS(2173),
    [anon_sym_shared] = ACTIONS(2173),
    [anon_sym_groupshared] = ACTIONS(2173),
    [anon_sym_uniform] = ACTIONS(2173),
    [anon_sym_row_major] = ACTIONS(2173),
    [anon_sym_column_major] = ACTIONS(2173),
    [anon_sym_globallycoherent] = ACTIONS(2173),
    [anon_sym_centroid] = ACTIONS(2173),
    [anon_sym_noperspective] = ACTIONS(2173),
    [anon_sym_nointerpolation] = ACTIONS(2173),
    [anon_sym_sample] = ACTIONS(2173),
    [anon_sym_linear] = ACTIONS(2173),
    [anon_sym_snorm] = ACTIONS(2173),
    [anon_sym_unorm] = ACTIONS(2173),
    [anon_sym_point] = ACTIONS(2173),
    [anon_sym_line] = ACTIONS(2173),
    [anon_sym_triangleadj] = ACTIONS(2173),
    [anon_sym_lineadj] = ACTIONS(2173),
    [anon_sym_triangle] = ACTIONS(2173),
    [anon_sym_cbuffer] = ACTIONS(2173),
  },
  [1021] = {
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_LPAREN2] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym___extension__] = ACTIONS(2135),
    [anon_sym_typedef] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2135),
    [anon_sym_out] = ACTIONS(2135),
    [anon_sym_inout] = ACTIONS(2135),
    [anon_sym_virtual] = ACTIONS(2135),
    [anon_sym_extern] = ACTIONS(2135),
    [anon_sym___attribute__] = ACTIONS(2135),
    [anon_sym___attribute] = ACTIONS(2135),
    [anon_sym_COLON_COLON] = ACTIONS(2137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2137),
    [anon_sym___declspec] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_signed] = ACTIONS(2135),
    [anon_sym_unsigned] = ACTIONS(2135),
    [anon_sym_long] = ACTIONS(2135),
    [anon_sym_short] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_register] = ACTIONS(2135),
    [anon_sym_inline] = ACTIONS(2135),
    [anon_sym___inline] = ACTIONS(2135),
    [anon_sym___inline__] = ACTIONS(2135),
    [anon_sym___forceinline] = ACTIONS(2135),
    [anon_sym_thread_local] = ACTIONS(2135),
    [anon_sym___thread] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_constexpr] = ACTIONS(2135),
    [anon_sym_volatile] = ACTIONS(2135),
    [anon_sym_restrict] = ACTIONS(2135),
    [anon_sym___restrict__] = ACTIONS(2135),
    [anon_sym__Atomic] = ACTIONS(2135),
    [anon_sym__Noreturn] = ACTIONS(2135),
    [anon_sym_noreturn] = ACTIONS(2135),
    [anon_sym__Nonnull] = ACTIONS(2135),
    [anon_sym_mutable] = ACTIONS(2135),
    [anon_sym_constinit] = ACTIONS(2135),
    [anon_sym_consteval] = ACTIONS(2135),
    [anon_sym_alignas] = ACTIONS(2135),
    [anon_sym__Alignas] = ACTIONS(2135),
    [sym_primitive_type] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_struct] = ACTIONS(2135),
    [anon_sym_union] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_goto] = ACTIONS(2135),
    [anon_sym___try] = ACTIONS(2135),
    [anon_sym___leave] = ACTIONS(2135),
    [anon_sym_not] = ACTIONS(2135),
    [anon_sym_compl] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_sizeof] = ACTIONS(2135),
    [anon_sym___alignof__] = ACTIONS(2135),
    [anon_sym___alignof] = ACTIONS(2135),
    [anon_sym__alignof] = ACTIONS(2135),
    [anon_sym_alignof] = ACTIONS(2135),
    [anon_sym__Alignof] = ACTIONS(2135),
    [anon_sym_offsetof] = ACTIONS(2135),
    [anon_sym__Generic] = ACTIONS(2135),
    [anon_sym_asm] = ACTIONS(2135),
    [anon_sym___asm__] = ACTIONS(2135),
    [anon_sym___asm] = ACTIONS(2135),
    [sym_number_literal] = ACTIONS(2137),
    [anon_sym_L_SQUOTE] = ACTIONS(2137),
    [anon_sym_u_SQUOTE] = ACTIONS(2137),
    [anon_sym_U_SQUOTE] = ACTIONS(2137),
    [anon_sym_u8_SQUOTE] = ACTIONS(2137),
    [anon_sym_SQUOTE] = ACTIONS(2137),
    [anon_sym_L_DQUOTE] = ACTIONS(2137),
    [anon_sym_u_DQUOTE] = ACTIONS(2137),
    [anon_sym_U_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8_DQUOTE] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(2137),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [anon_sym_NULL] = ACTIONS(2135),
    [anon_sym_nullptr] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2135),
    [anon_sym_decltype] = ACTIONS(2135),
    [anon_sym_typename] = ACTIONS(2135),
    [anon_sym_template] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_co_return] = ACTIONS(2135),
    [anon_sym_co_yield] = ACTIONS(2135),
    [anon_sym_R_DQUOTE] = ACTIONS(2137),
    [anon_sym_LR_DQUOTE] = ACTIONS(2137),
    [anon_sym_uR_DQUOTE] = ACTIONS(2137),
    [anon_sym_UR_DQUOTE] = ACTIONS(2137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2137),
    [anon_sym_co_await] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_requires] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [anon_sym_discard] = ACTIONS(2135),
    [anon_sym_precise] = ACTIONS(2135),
    [anon_sym_shared] = ACTIONS(2135),
    [anon_sym_groupshared] = ACTIONS(2135),
    [anon_sym_uniform] = ACTIONS(2135),
    [anon_sym_row_major] = ACTIONS(2135),
    [anon_sym_column_major] = ACTIONS(2135),
    [anon_sym_globallycoherent] = ACTIONS(2135),
    [anon_sym_centroid] = ACTIONS(2135),
    [anon_sym_noperspective] = ACTIONS(2135),
    [anon_sym_nointerpolation] = ACTIONS(2135),
    [anon_sym_sample] = ACTIONS(2135),
    [anon_sym_linear] = ACTIONS(2135),
    [anon_sym_snorm] = ACTIONS(2135),
    [anon_sym_unorm] = ACTIONS(2135),
    [anon_sym_point] = ACTIONS(2135),
    [anon_sym_line] = ACTIONS(2135),
    [anon_sym_triangleadj] = ACTIONS(2135),
    [anon_sym_lineadj] = ACTIONS(2135),
    [anon_sym_triangle] = ACTIONS(2135),
    [anon_sym_cbuffer] = ACTIONS(2135),
  },
  [1022] = {
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(3933),
    [anon_sym_BANG] = ACTIONS(3933),
    [anon_sym_TILDE] = ACTIONS(3933),
    [anon_sym_DASH] = ACTIONS(3935),
    [anon_sym_PLUS] = ACTIONS(3935),
    [anon_sym_STAR] = ACTIONS(3933),
    [anon_sym_AMP] = ACTIONS(3933),
    [anon_sym_SEMI] = ACTIONS(3933),
    [anon_sym___extension__] = ACTIONS(3927),
    [anon_sym_in] = ACTIONS(3939),
    [anon_sym_out] = ACTIONS(3939),
    [anon_sym_inout] = ACTIONS(3939),
    [anon_sym_virtual] = ACTIONS(3939),
    [anon_sym_extern] = ACTIONS(3939),
    [anon_sym___attribute__] = ACTIONS(3939),
    [anon_sym___attribute] = ACTIONS(3939),
    [anon_sym_COLON_COLON] = ACTIONS(3930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3930),
    [anon_sym___declspec] = ACTIONS(3939),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_signed] = ACTIONS(3939),
    [anon_sym_unsigned] = ACTIONS(3939),
    [anon_sym_long] = ACTIONS(3939),
    [anon_sym_short] = ACTIONS(3939),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_static] = ACTIONS(3939),
    [anon_sym_register] = ACTIONS(3939),
    [anon_sym_inline] = ACTIONS(3939),
    [anon_sym___inline] = ACTIONS(3939),
    [anon_sym___inline__] = ACTIONS(3939),
    [anon_sym___forceinline] = ACTIONS(3939),
    [anon_sym_thread_local] = ACTIONS(3939),
    [anon_sym___thread] = ACTIONS(3939),
    [anon_sym_const] = ACTIONS(3939),
    [anon_sym_constexpr] = ACTIONS(3939),
    [anon_sym_volatile] = ACTIONS(3939),
    [anon_sym_restrict] = ACTIONS(3939),
    [anon_sym___restrict__] = ACTIONS(3939),
    [anon_sym__Atomic] = ACTIONS(3939),
    [anon_sym__Noreturn] = ACTIONS(3939),
    [anon_sym_noreturn] = ACTIONS(3939),
    [anon_sym__Nonnull] = ACTIONS(3939),
    [anon_sym_mutable] = ACTIONS(3939),
    [anon_sym_constinit] = ACTIONS(3939),
    [anon_sym_consteval] = ACTIONS(3939),
    [anon_sym_alignas] = ACTIONS(3939),
    [anon_sym__Alignas] = ACTIONS(3939),
    [sym_primitive_type] = ACTIONS(3927),
    [anon_sym_enum] = ACTIONS(3939),
    [anon_sym_class] = ACTIONS(3939),
    [anon_sym_struct] = ACTIONS(3939),
    [anon_sym_union] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(3935),
    [anon_sym_switch] = ACTIONS(3935),
    [anon_sym_case] = ACTIONS(3935),
    [anon_sym_default] = ACTIONS(3935),
    [anon_sym_while] = ACTIONS(3935),
    [anon_sym_do] = ACTIONS(3935),
    [anon_sym_for] = ACTIONS(3935),
    [anon_sym_return] = ACTIONS(3935),
    [anon_sym_break] = ACTIONS(3935),
    [anon_sym_continue] = ACTIONS(3935),
    [anon_sym_goto] = ACTIONS(3935),
    [anon_sym___try] = ACTIONS(3935),
    [anon_sym___leave] = ACTIONS(3935),
    [anon_sym_not] = ACTIONS(3935),
    [anon_sym_compl] = ACTIONS(3935),
    [anon_sym_DASH_DASH] = ACTIONS(3933),
    [anon_sym_PLUS_PLUS] = ACTIONS(3933),
    [anon_sym_sizeof] = ACTIONS(3935),
    [anon_sym___alignof__] = ACTIONS(3935),
    [anon_sym___alignof] = ACTIONS(3935),
    [anon_sym__alignof] = ACTIONS(3935),
    [anon_sym_alignof] = ACTIONS(3935),
    [anon_sym__Alignof] = ACTIONS(3935),
    [anon_sym_offsetof] = ACTIONS(3935),
    [anon_sym__Generic] = ACTIONS(3935),
    [anon_sym_asm] = ACTIONS(3935),
    [anon_sym___asm__] = ACTIONS(3935),
    [anon_sym___asm] = ACTIONS(3935),
    [sym_number_literal] = ACTIONS(3933),
    [anon_sym_L_SQUOTE] = ACTIONS(3933),
    [anon_sym_u_SQUOTE] = ACTIONS(3933),
    [anon_sym_U_SQUOTE] = ACTIONS(3933),
    [anon_sym_u8_SQUOTE] = ACTIONS(3933),
    [anon_sym_SQUOTE] = ACTIONS(3933),
    [anon_sym_L_DQUOTE] = ACTIONS(3933),
    [anon_sym_u_DQUOTE] = ACTIONS(3933),
    [anon_sym_U_DQUOTE] = ACTIONS(3933),
    [anon_sym_u8_DQUOTE] = ACTIONS(3933),
    [anon_sym_DQUOTE] = ACTIONS(3933),
    [sym_true] = ACTIONS(3935),
    [sym_false] = ACTIONS(3935),
    [anon_sym_NULL] = ACTIONS(3935),
    [anon_sym_nullptr] = ACTIONS(3935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3939),
    [anon_sym_decltype] = ACTIONS(3927),
    [anon_sym_typename] = ACTIONS(3939),
    [anon_sym_template] = ACTIONS(3927),
    [anon_sym_try] = ACTIONS(3935),
    [anon_sym_delete] = ACTIONS(3935),
    [anon_sym_throw] = ACTIONS(3935),
    [anon_sym_co_return] = ACTIONS(3935),
    [anon_sym_co_yield] = ACTIONS(3935),
    [anon_sym_R_DQUOTE] = ACTIONS(3933),
    [anon_sym_LR_DQUOTE] = ACTIONS(3933),
    [anon_sym_uR_DQUOTE] = ACTIONS(3933),
    [anon_sym_UR_DQUOTE] = ACTIONS(3933),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3933),
    [anon_sym_co_await] = ACTIONS(3935),
    [anon_sym_new] = ACTIONS(3935),
    [anon_sym_requires] = ACTIONS(3935),
    [sym_this] = ACTIONS(3935),
    [anon_sym_discard] = ACTIONS(3935),
    [anon_sym_precise] = ACTIONS(3939),
    [anon_sym_shared] = ACTIONS(3939),
    [anon_sym_groupshared] = ACTIONS(3939),
    [anon_sym_uniform] = ACTIONS(3939),
    [anon_sym_row_major] = ACTIONS(3939),
    [anon_sym_column_major] = ACTIONS(3939),
    [anon_sym_globallycoherent] = ACTIONS(3939),
    [anon_sym_centroid] = ACTIONS(3939),
    [anon_sym_noperspective] = ACTIONS(3939),
    [anon_sym_nointerpolation] = ACTIONS(3939),
    [anon_sym_sample] = ACTIONS(3939),
    [anon_sym_linear] = ACTIONS(3939),
    [anon_sym_snorm] = ACTIONS(3939),
    [anon_sym_unorm] = ACTIONS(3939),
    [anon_sym_point] = ACTIONS(3939),
    [anon_sym_line] = ACTIONS(3939),
    [anon_sym_triangleadj] = ACTIONS(3939),
    [anon_sym_lineadj] = ACTIONS(3939),
    [anon_sym_triangle] = ACTIONS(3939),
    [anon_sym_cbuffer] = ACTIONS(3935),
  },
  [1023] = {
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_LPAREN2] = ACTIONS(3767),
    [anon_sym_BANG] = ACTIONS(3767),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(3767),
    [anon_sym_AMP] = ACTIONS(3767),
    [anon_sym_SEMI] = ACTIONS(3767),
    [anon_sym___extension__] = ACTIONS(3765),
    [anon_sym_in] = ACTIONS(3765),
    [anon_sym_out] = ACTIONS(3765),
    [anon_sym_inout] = ACTIONS(3765),
    [anon_sym_virtual] = ACTIONS(3765),
    [anon_sym_extern] = ACTIONS(3765),
    [anon_sym___attribute__] = ACTIONS(3765),
    [anon_sym___attribute] = ACTIONS(3765),
    [anon_sym_COLON_COLON] = ACTIONS(3767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3767),
    [anon_sym___declspec] = ACTIONS(3765),
    [anon_sym_LBRACE] = ACTIONS(3767),
    [anon_sym_signed] = ACTIONS(3765),
    [anon_sym_unsigned] = ACTIONS(3765),
    [anon_sym_long] = ACTIONS(3765),
    [anon_sym_short] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3765),
    [anon_sym_static] = ACTIONS(3765),
    [anon_sym_register] = ACTIONS(3765),
    [anon_sym_inline] = ACTIONS(3765),
    [anon_sym___inline] = ACTIONS(3765),
    [anon_sym___inline__] = ACTIONS(3765),
    [anon_sym___forceinline] = ACTIONS(3765),
    [anon_sym_thread_local] = ACTIONS(3765),
    [anon_sym___thread] = ACTIONS(3765),
    [anon_sym_const] = ACTIONS(3765),
    [anon_sym_constexpr] = ACTIONS(3765),
    [anon_sym_volatile] = ACTIONS(3765),
    [anon_sym_restrict] = ACTIONS(3765),
    [anon_sym___restrict__] = ACTIONS(3765),
    [anon_sym__Atomic] = ACTIONS(3765),
    [anon_sym__Noreturn] = ACTIONS(3765),
    [anon_sym_noreturn] = ACTIONS(3765),
    [anon_sym__Nonnull] = ACTIONS(3765),
    [anon_sym_mutable] = ACTIONS(3765),
    [anon_sym_constinit] = ACTIONS(3765),
    [anon_sym_consteval] = ACTIONS(3765),
    [anon_sym_alignas] = ACTIONS(3765),
    [anon_sym__Alignas] = ACTIONS(3765),
    [sym_primitive_type] = ACTIONS(3765),
    [anon_sym_enum] = ACTIONS(3765),
    [anon_sym_class] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3765),
    [anon_sym_union] = ACTIONS(3765),
    [anon_sym_if] = ACTIONS(3765),
    [anon_sym_switch] = ACTIONS(3765),
    [anon_sym_case] = ACTIONS(3765),
    [anon_sym_default] = ACTIONS(3765),
    [anon_sym_while] = ACTIONS(3765),
    [anon_sym_do] = ACTIONS(3765),
    [anon_sym_for] = ACTIONS(3765),
    [anon_sym_return] = ACTIONS(3765),
    [anon_sym_break] = ACTIONS(3765),
    [anon_sym_continue] = ACTIONS(3765),
    [anon_sym_goto] = ACTIONS(3765),
    [anon_sym___try] = ACTIONS(3765),
    [anon_sym___leave] = ACTIONS(3765),
    [anon_sym_not] = ACTIONS(3765),
    [anon_sym_compl] = ACTIONS(3765),
    [anon_sym_DASH_DASH] = ACTIONS(3767),
    [anon_sym_PLUS_PLUS] = ACTIONS(3767),
    [anon_sym_sizeof] = ACTIONS(3765),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3765),
    [anon_sym__Generic] = ACTIONS(3765),
    [anon_sym_asm] = ACTIONS(3765),
    [anon_sym___asm__] = ACTIONS(3765),
    [anon_sym___asm] = ACTIONS(3765),
    [sym_number_literal] = ACTIONS(3767),
    [anon_sym_L_SQUOTE] = ACTIONS(3767),
    [anon_sym_u_SQUOTE] = ACTIONS(3767),
    [anon_sym_U_SQUOTE] = ACTIONS(3767),
    [anon_sym_u8_SQUOTE] = ACTIONS(3767),
    [anon_sym_SQUOTE] = ACTIONS(3767),
    [anon_sym_L_DQUOTE] = ACTIONS(3767),
    [anon_sym_u_DQUOTE] = ACTIONS(3767),
    [anon_sym_U_DQUOTE] = ACTIONS(3767),
    [anon_sym_u8_DQUOTE] = ACTIONS(3767),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [sym_true] = ACTIONS(3765),
    [sym_false] = ACTIONS(3765),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3765),
    [anon_sym_decltype] = ACTIONS(3765),
    [anon_sym_typename] = ACTIONS(3765),
    [anon_sym_template] = ACTIONS(3765),
    [anon_sym_try] = ACTIONS(3765),
    [anon_sym_delete] = ACTIONS(3765),
    [anon_sym_throw] = ACTIONS(3765),
    [anon_sym_co_return] = ACTIONS(3765),
    [anon_sym_co_yield] = ACTIONS(3765),
    [anon_sym_R_DQUOTE] = ACTIONS(3767),
    [anon_sym_LR_DQUOTE] = ACTIONS(3767),
    [anon_sym_uR_DQUOTE] = ACTIONS(3767),
    [anon_sym_UR_DQUOTE] = ACTIONS(3767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3767),
    [anon_sym_co_await] = ACTIONS(3765),
    [anon_sym_new] = ACTIONS(3765),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3765),
    [anon_sym_discard] = ACTIONS(3765),
    [anon_sym_precise] = ACTIONS(3765),
    [anon_sym_shared] = ACTIONS(3765),
    [anon_sym_groupshared] = ACTIONS(3765),
    [anon_sym_uniform] = ACTIONS(3765),
    [anon_sym_row_major] = ACTIONS(3765),
    [anon_sym_column_major] = ACTIONS(3765),
    [anon_sym_globallycoherent] = ACTIONS(3765),
    [anon_sym_centroid] = ACTIONS(3765),
    [anon_sym_noperspective] = ACTIONS(3765),
    [anon_sym_nointerpolation] = ACTIONS(3765),
    [anon_sym_sample] = ACTIONS(3765),
    [anon_sym_linear] = ACTIONS(3765),
    [anon_sym_snorm] = ACTIONS(3765),
    [anon_sym_unorm] = ACTIONS(3765),
    [anon_sym_point] = ACTIONS(3765),
    [anon_sym_line] = ACTIONS(3765),
    [anon_sym_triangleadj] = ACTIONS(3765),
    [anon_sym_lineadj] = ACTIONS(3765),
    [anon_sym_triangle] = ACTIONS(3765),
    [anon_sym_cbuffer] = ACTIONS(3765),
  },
  [1024] = {
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2298),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2296),
    [anon_sym_typedef] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_out] = ACTIONS(2296),
    [anon_sym_inout] = ACTIONS(2296),
    [anon_sym_virtual] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym___attribute__] = ACTIONS(2296),
    [anon_sym___attribute] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2298),
    [anon_sym___declspec] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2296),
    [anon_sym_unsigned] = ACTIONS(2296),
    [anon_sym_long] = ACTIONS(2296),
    [anon_sym_short] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_register] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2296),
    [anon_sym___inline] = ACTIONS(2296),
    [anon_sym___inline__] = ACTIONS(2296),
    [anon_sym___forceinline] = ACTIONS(2296),
    [anon_sym_thread_local] = ACTIONS(2296),
    [anon_sym___thread] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_constexpr] = ACTIONS(2296),
    [anon_sym_volatile] = ACTIONS(2296),
    [anon_sym_restrict] = ACTIONS(2296),
    [anon_sym___restrict__] = ACTIONS(2296),
    [anon_sym__Atomic] = ACTIONS(2296),
    [anon_sym__Noreturn] = ACTIONS(2296),
    [anon_sym_noreturn] = ACTIONS(2296),
    [anon_sym__Nonnull] = ACTIONS(2296),
    [anon_sym_mutable] = ACTIONS(2296),
    [anon_sym_constinit] = ACTIONS(2296),
    [anon_sym_consteval] = ACTIONS(2296),
    [anon_sym_alignas] = ACTIONS(2296),
    [anon_sym__Alignas] = ACTIONS(2296),
    [sym_primitive_type] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym___try] = ACTIONS(2296),
    [anon_sym___leave] = ACTIONS(2296),
    [anon_sym_not] = ACTIONS(2296),
    [anon_sym_compl] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2298),
    [anon_sym_PLUS_PLUS] = ACTIONS(2298),
    [anon_sym_sizeof] = ACTIONS(2296),
    [anon_sym___alignof__] = ACTIONS(2296),
    [anon_sym___alignof] = ACTIONS(2296),
    [anon_sym__alignof] = ACTIONS(2296),
    [anon_sym_alignof] = ACTIONS(2296),
    [anon_sym__Alignof] = ACTIONS(2296),
    [anon_sym_offsetof] = ACTIONS(2296),
    [anon_sym__Generic] = ACTIONS(2296),
    [anon_sym_asm] = ACTIONS(2296),
    [anon_sym___asm__] = ACTIONS(2296),
    [anon_sym___asm] = ACTIONS(2296),
    [sym_number_literal] = ACTIONS(2298),
    [anon_sym_L_SQUOTE] = ACTIONS(2298),
    [anon_sym_u_SQUOTE] = ACTIONS(2298),
    [anon_sym_U_SQUOTE] = ACTIONS(2298),
    [anon_sym_u8_SQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2298),
    [anon_sym_L_DQUOTE] = ACTIONS(2298),
    [anon_sym_u_DQUOTE] = ACTIONS(2298),
    [anon_sym_U_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8_DQUOTE] = ACTIONS(2298),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [anon_sym_NULL] = ACTIONS(2296),
    [anon_sym_nullptr] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2296),
    [anon_sym_decltype] = ACTIONS(2296),
    [anon_sym_typename] = ACTIONS(2296),
    [anon_sym_template] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_co_return] = ACTIONS(2296),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2298),
    [anon_sym_LR_DQUOTE] = ACTIONS(2298),
    [anon_sym_uR_DQUOTE] = ACTIONS(2298),
    [anon_sym_UR_DQUOTE] = ACTIONS(2298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2298),
    [anon_sym_co_await] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_requires] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [anon_sym_discard] = ACTIONS(2296),
    [anon_sym_precise] = ACTIONS(2296),
    [anon_sym_shared] = ACTIONS(2296),
    [anon_sym_groupshared] = ACTIONS(2296),
    [anon_sym_uniform] = ACTIONS(2296),
    [anon_sym_row_major] = ACTIONS(2296),
    [anon_sym_column_major] = ACTIONS(2296),
    [anon_sym_globallycoherent] = ACTIONS(2296),
    [anon_sym_centroid] = ACTIONS(2296),
    [anon_sym_noperspective] = ACTIONS(2296),
    [anon_sym_nointerpolation] = ACTIONS(2296),
    [anon_sym_sample] = ACTIONS(2296),
    [anon_sym_linear] = ACTIONS(2296),
    [anon_sym_snorm] = ACTIONS(2296),
    [anon_sym_unorm] = ACTIONS(2296),
    [anon_sym_point] = ACTIONS(2296),
    [anon_sym_line] = ACTIONS(2296),
    [anon_sym_triangleadj] = ACTIONS(2296),
    [anon_sym_lineadj] = ACTIONS(2296),
    [anon_sym_triangle] = ACTIONS(2296),
    [anon_sym_cbuffer] = ACTIONS(2296),
  },
  [1025] = {
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_LPAREN2] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_AMP] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym___extension__] = ACTIONS(2165),
    [anon_sym_typedef] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_out] = ACTIONS(2165),
    [anon_sym_inout] = ACTIONS(2165),
    [anon_sym_virtual] = ACTIONS(2165),
    [anon_sym_extern] = ACTIONS(2165),
    [anon_sym___attribute__] = ACTIONS(2165),
    [anon_sym___attribute] = ACTIONS(2165),
    [anon_sym_COLON_COLON] = ACTIONS(2167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2167),
    [anon_sym___declspec] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_signed] = ACTIONS(2165),
    [anon_sym_unsigned] = ACTIONS(2165),
    [anon_sym_long] = ACTIONS(2165),
    [anon_sym_short] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_register] = ACTIONS(2165),
    [anon_sym_inline] = ACTIONS(2165),
    [anon_sym___inline] = ACTIONS(2165),
    [anon_sym___inline__] = ACTIONS(2165),
    [anon_sym___forceinline] = ACTIONS(2165),
    [anon_sym_thread_local] = ACTIONS(2165),
    [anon_sym___thread] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_constexpr] = ACTIONS(2165),
    [anon_sym_volatile] = ACTIONS(2165),
    [anon_sym_restrict] = ACTIONS(2165),
    [anon_sym___restrict__] = ACTIONS(2165),
    [anon_sym__Atomic] = ACTIONS(2165),
    [anon_sym__Noreturn] = ACTIONS(2165),
    [anon_sym_noreturn] = ACTIONS(2165),
    [anon_sym__Nonnull] = ACTIONS(2165),
    [anon_sym_mutable] = ACTIONS(2165),
    [anon_sym_constinit] = ACTIONS(2165),
    [anon_sym_consteval] = ACTIONS(2165),
    [anon_sym_alignas] = ACTIONS(2165),
    [anon_sym__Alignas] = ACTIONS(2165),
    [sym_primitive_type] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_struct] = ACTIONS(2165),
    [anon_sym_union] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym___try] = ACTIONS(2165),
    [anon_sym___leave] = ACTIONS(2165),
    [anon_sym_not] = ACTIONS(2165),
    [anon_sym_compl] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_sizeof] = ACTIONS(2165),
    [anon_sym___alignof__] = ACTIONS(2165),
    [anon_sym___alignof] = ACTIONS(2165),
    [anon_sym__alignof] = ACTIONS(2165),
    [anon_sym_alignof] = ACTIONS(2165),
    [anon_sym__Alignof] = ACTIONS(2165),
    [anon_sym_offsetof] = ACTIONS(2165),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2165),
    [anon_sym___asm__] = ACTIONS(2165),
    [anon_sym___asm] = ACTIONS(2165),
    [sym_number_literal] = ACTIONS(2167),
    [anon_sym_L_SQUOTE] = ACTIONS(2167),
    [anon_sym_u_SQUOTE] = ACTIONS(2167),
    [anon_sym_U_SQUOTE] = ACTIONS(2167),
    [anon_sym_u8_SQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [anon_sym_L_DQUOTE] = ACTIONS(2167),
    [anon_sym_u_DQUOTE] = ACTIONS(2167),
    [anon_sym_U_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8_DQUOTE] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [anon_sym_NULL] = ACTIONS(2165),
    [anon_sym_nullptr] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2165),
    [anon_sym_decltype] = ACTIONS(2165),
    [anon_sym_typename] = ACTIONS(2165),
    [anon_sym_template] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_co_return] = ACTIONS(2165),
    [anon_sym_co_yield] = ACTIONS(2165),
    [anon_sym_R_DQUOTE] = ACTIONS(2167),
    [anon_sym_LR_DQUOTE] = ACTIONS(2167),
    [anon_sym_uR_DQUOTE] = ACTIONS(2167),
    [anon_sym_UR_DQUOTE] = ACTIONS(2167),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2167),
    [anon_sym_co_await] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_requires] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [anon_sym_discard] = ACTIONS(2165),
    [anon_sym_precise] = ACTIONS(2165),
    [anon_sym_shared] = ACTIONS(2165),
    [anon_sym_groupshared] = ACTIONS(2165),
    [anon_sym_uniform] = ACTIONS(2165),
    [anon_sym_row_major] = ACTIONS(2165),
    [anon_sym_column_major] = ACTIONS(2165),
    [anon_sym_globallycoherent] = ACTIONS(2165),
    [anon_sym_centroid] = ACTIONS(2165),
    [anon_sym_noperspective] = ACTIONS(2165),
    [anon_sym_nointerpolation] = ACTIONS(2165),
    [anon_sym_sample] = ACTIONS(2165),
    [anon_sym_linear] = ACTIONS(2165),
    [anon_sym_snorm] = ACTIONS(2165),
    [anon_sym_unorm] = ACTIONS(2165),
    [anon_sym_point] = ACTIONS(2165),
    [anon_sym_line] = ACTIONS(2165),
    [anon_sym_triangleadj] = ACTIONS(2165),
    [anon_sym_lineadj] = ACTIONS(2165),
    [anon_sym_triangle] = ACTIONS(2165),
    [anon_sym_cbuffer] = ACTIONS(2165),
  },
  [1026] = {
    [sym_identifier] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2304),
    [anon_sym_typedef] = ACTIONS(2304),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_out] = ACTIONS(2304),
    [anon_sym_inout] = ACTIONS(2304),
    [anon_sym_virtual] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym___attribute__] = ACTIONS(2304),
    [anon_sym___attribute] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2306),
    [anon_sym___declspec] = ACTIONS(2304),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2304),
    [anon_sym_unsigned] = ACTIONS(2304),
    [anon_sym_long] = ACTIONS(2304),
    [anon_sym_short] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_register] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2304),
    [anon_sym___inline] = ACTIONS(2304),
    [anon_sym___inline__] = ACTIONS(2304),
    [anon_sym___forceinline] = ACTIONS(2304),
    [anon_sym_thread_local] = ACTIONS(2304),
    [anon_sym___thread] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_constexpr] = ACTIONS(2304),
    [anon_sym_volatile] = ACTIONS(2304),
    [anon_sym_restrict] = ACTIONS(2304),
    [anon_sym___restrict__] = ACTIONS(2304),
    [anon_sym__Atomic] = ACTIONS(2304),
    [anon_sym__Noreturn] = ACTIONS(2304),
    [anon_sym_noreturn] = ACTIONS(2304),
    [anon_sym__Nonnull] = ACTIONS(2304),
    [anon_sym_mutable] = ACTIONS(2304),
    [anon_sym_constinit] = ACTIONS(2304),
    [anon_sym_consteval] = ACTIONS(2304),
    [anon_sym_alignas] = ACTIONS(2304),
    [anon_sym__Alignas] = ACTIONS(2304),
    [sym_primitive_type] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_else] = ACTIONS(2304),
    [anon_sym_switch] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_do] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_goto] = ACTIONS(2304),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2304),
    [anon_sym_compl] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2306),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2304),
    [anon_sym__Generic] = ACTIONS(2304),
    [anon_sym_asm] = ACTIONS(2304),
    [anon_sym___asm__] = ACTIONS(2304),
    [anon_sym___asm] = ACTIONS(2304),
    [sym_number_literal] = ACTIONS(2306),
    [anon_sym_L_SQUOTE] = ACTIONS(2306),
    [anon_sym_u_SQUOTE] = ACTIONS(2306),
    [anon_sym_U_SQUOTE] = ACTIONS(2306),
    [anon_sym_u8_SQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2306),
    [anon_sym_L_DQUOTE] = ACTIONS(2306),
    [anon_sym_u_DQUOTE] = ACTIONS(2306),
    [anon_sym_U_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8_DQUOTE] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [sym_true] = ACTIONS(2304),
    [sym_false] = ACTIONS(2304),
    [anon_sym_NULL] = ACTIONS(2304),
    [anon_sym_nullptr] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2304),
    [anon_sym_decltype] = ACTIONS(2304),
    [anon_sym_typename] = ACTIONS(2304),
    [anon_sym_template] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_delete] = ACTIONS(2304),
    [anon_sym_throw] = ACTIONS(2304),
    [anon_sym_co_return] = ACTIONS(2304),
    [anon_sym_co_yield] = ACTIONS(2304),
    [anon_sym_R_DQUOTE] = ACTIONS(2306),
    [anon_sym_LR_DQUOTE] = ACTIONS(2306),
    [anon_sym_uR_DQUOTE] = ACTIONS(2306),
    [anon_sym_UR_DQUOTE] = ACTIONS(2306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2306),
    [anon_sym_co_await] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2304),
    [anon_sym_requires] = ACTIONS(2304),
    [sym_this] = ACTIONS(2304),
    [anon_sym_discard] = ACTIONS(2304),
    [anon_sym_precise] = ACTIONS(2304),
    [anon_sym_shared] = ACTIONS(2304),
    [anon_sym_groupshared] = ACTIONS(2304),
    [anon_sym_uniform] = ACTIONS(2304),
    [anon_sym_row_major] = ACTIONS(2304),
    [anon_sym_column_major] = ACTIONS(2304),
    [anon_sym_globallycoherent] = ACTIONS(2304),
    [anon_sym_centroid] = ACTIONS(2304),
    [anon_sym_noperspective] = ACTIONS(2304),
    [anon_sym_nointerpolation] = ACTIONS(2304),
    [anon_sym_sample] = ACTIONS(2304),
    [anon_sym_linear] = ACTIONS(2304),
    [anon_sym_snorm] = ACTIONS(2304),
    [anon_sym_unorm] = ACTIONS(2304),
    [anon_sym_point] = ACTIONS(2304),
    [anon_sym_line] = ACTIONS(2304),
    [anon_sym_triangleadj] = ACTIONS(2304),
    [anon_sym_lineadj] = ACTIONS(2304),
    [anon_sym_triangle] = ACTIONS(2304),
    [anon_sym_cbuffer] = ACTIONS(2304),
  },
  [1027] = {
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2294),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2292),
    [anon_sym_typedef] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(2292),
    [anon_sym_out] = ACTIONS(2292),
    [anon_sym_inout] = ACTIONS(2292),
    [anon_sym_virtual] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym___attribute__] = ACTIONS(2292),
    [anon_sym___attribute] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2294),
    [anon_sym___declspec] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2292),
    [anon_sym_unsigned] = ACTIONS(2292),
    [anon_sym_long] = ACTIONS(2292),
    [anon_sym_short] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_register] = ACTIONS(2292),
    [anon_sym_inline] = ACTIONS(2292),
    [anon_sym___inline] = ACTIONS(2292),
    [anon_sym___inline__] = ACTIONS(2292),
    [anon_sym___forceinline] = ACTIONS(2292),
    [anon_sym_thread_local] = ACTIONS(2292),
    [anon_sym___thread] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_constexpr] = ACTIONS(2292),
    [anon_sym_volatile] = ACTIONS(2292),
    [anon_sym_restrict] = ACTIONS(2292),
    [anon_sym___restrict__] = ACTIONS(2292),
    [anon_sym__Atomic] = ACTIONS(2292),
    [anon_sym__Noreturn] = ACTIONS(2292),
    [anon_sym_noreturn] = ACTIONS(2292),
    [anon_sym__Nonnull] = ACTIONS(2292),
    [anon_sym_mutable] = ACTIONS(2292),
    [anon_sym_constinit] = ACTIONS(2292),
    [anon_sym_consteval] = ACTIONS(2292),
    [anon_sym_alignas] = ACTIONS(2292),
    [anon_sym__Alignas] = ACTIONS(2292),
    [sym_primitive_type] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_else] = ACTIONS(2292),
    [anon_sym_switch] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym___try] = ACTIONS(2292),
    [anon_sym___leave] = ACTIONS(2292),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2294),
    [anon_sym_PLUS_PLUS] = ACTIONS(2294),
    [anon_sym_sizeof] = ACTIONS(2292),
    [anon_sym___alignof__] = ACTIONS(2292),
    [anon_sym___alignof] = ACTIONS(2292),
    [anon_sym__alignof] = ACTIONS(2292),
    [anon_sym_alignof] = ACTIONS(2292),
    [anon_sym__Alignof] = ACTIONS(2292),
    [anon_sym_offsetof] = ACTIONS(2292),
    [anon_sym__Generic] = ACTIONS(2292),
    [anon_sym_asm] = ACTIONS(2292),
    [anon_sym___asm__] = ACTIONS(2292),
    [anon_sym___asm] = ACTIONS(2292),
    [sym_number_literal] = ACTIONS(2294),
    [anon_sym_L_SQUOTE] = ACTIONS(2294),
    [anon_sym_u_SQUOTE] = ACTIONS(2294),
    [anon_sym_U_SQUOTE] = ACTIONS(2294),
    [anon_sym_u8_SQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2294),
    [anon_sym_L_DQUOTE] = ACTIONS(2294),
    [anon_sym_u_DQUOTE] = ACTIONS(2294),
    [anon_sym_U_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8_DQUOTE] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [sym_true] = ACTIONS(2292),
    [sym_false] = ACTIONS(2292),
    [anon_sym_NULL] = ACTIONS(2292),
    [anon_sym_nullptr] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2292),
    [anon_sym_decltype] = ACTIONS(2292),
    [anon_sym_typename] = ACTIONS(2292),
    [anon_sym_template] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_co_return] = ACTIONS(2292),
    [anon_sym_co_yield] = ACTIONS(2292),
    [anon_sym_R_DQUOTE] = ACTIONS(2294),
    [anon_sym_LR_DQUOTE] = ACTIONS(2294),
    [anon_sym_uR_DQUOTE] = ACTIONS(2294),
    [anon_sym_UR_DQUOTE] = ACTIONS(2294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2294),
    [anon_sym_co_await] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2292),
    [anon_sym_requires] = ACTIONS(2292),
    [sym_this] = ACTIONS(2292),
    [anon_sym_discard] = ACTIONS(2292),
    [anon_sym_precise] = ACTIONS(2292),
    [anon_sym_shared] = ACTIONS(2292),
    [anon_sym_groupshared] = ACTIONS(2292),
    [anon_sym_uniform] = ACTIONS(2292),
    [anon_sym_row_major] = ACTIONS(2292),
    [anon_sym_column_major] = ACTIONS(2292),
    [anon_sym_globallycoherent] = ACTIONS(2292),
    [anon_sym_centroid] = ACTIONS(2292),
    [anon_sym_noperspective] = ACTIONS(2292),
    [anon_sym_nointerpolation] = ACTIONS(2292),
    [anon_sym_sample] = ACTIONS(2292),
    [anon_sym_linear] = ACTIONS(2292),
    [anon_sym_snorm] = ACTIONS(2292),
    [anon_sym_unorm] = ACTIONS(2292),
    [anon_sym_point] = ACTIONS(2292),
    [anon_sym_line] = ACTIONS(2292),
    [anon_sym_triangleadj] = ACTIONS(2292),
    [anon_sym_lineadj] = ACTIONS(2292),
    [anon_sym_triangle] = ACTIONS(2292),
    [anon_sym_cbuffer] = ACTIONS(2292),
  },
  [1028] = {
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym___extension__] = ACTIONS(2352),
    [anon_sym_typedef] = ACTIONS(2352),
    [anon_sym_in] = ACTIONS(2352),
    [anon_sym_out] = ACTIONS(2352),
    [anon_sym_inout] = ACTIONS(2352),
    [anon_sym_virtual] = ACTIONS(2352),
    [anon_sym_extern] = ACTIONS(2352),
    [anon_sym___attribute__] = ACTIONS(2352),
    [anon_sym___attribute] = ACTIONS(2352),
    [anon_sym_COLON_COLON] = ACTIONS(2354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2354),
    [anon_sym___declspec] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_signed] = ACTIONS(2352),
    [anon_sym_unsigned] = ACTIONS(2352),
    [anon_sym_long] = ACTIONS(2352),
    [anon_sym_short] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_register] = ACTIONS(2352),
    [anon_sym_inline] = ACTIONS(2352),
    [anon_sym___inline] = ACTIONS(2352),
    [anon_sym___inline__] = ACTIONS(2352),
    [anon_sym___forceinline] = ACTIONS(2352),
    [anon_sym_thread_local] = ACTIONS(2352),
    [anon_sym___thread] = ACTIONS(2352),
    [anon_sym_const] = ACTIONS(2352),
    [anon_sym_constexpr] = ACTIONS(2352),
    [anon_sym_volatile] = ACTIONS(2352),
    [anon_sym_restrict] = ACTIONS(2352),
    [anon_sym___restrict__] = ACTIONS(2352),
    [anon_sym__Atomic] = ACTIONS(2352),
    [anon_sym__Noreturn] = ACTIONS(2352),
    [anon_sym_noreturn] = ACTIONS(2352),
    [anon_sym__Nonnull] = ACTIONS(2352),
    [anon_sym_mutable] = ACTIONS(2352),
    [anon_sym_constinit] = ACTIONS(2352),
    [anon_sym_consteval] = ACTIONS(2352),
    [anon_sym_alignas] = ACTIONS(2352),
    [anon_sym__Alignas] = ACTIONS(2352),
    [sym_primitive_type] = ACTIONS(2352),
    [anon_sym_enum] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2352),
    [anon_sym_struct] = ACTIONS(2352),
    [anon_sym_union] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_else] = ACTIONS(2352),
    [anon_sym_switch] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym___try] = ACTIONS(2352),
    [anon_sym___leave] = ACTIONS(2352),
    [anon_sym_not] = ACTIONS(2352),
    [anon_sym_compl] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_sizeof] = ACTIONS(2352),
    [anon_sym___alignof__] = ACTIONS(2352),
    [anon_sym___alignof] = ACTIONS(2352),
    [anon_sym__alignof] = ACTIONS(2352),
    [anon_sym_alignof] = ACTIONS(2352),
    [anon_sym__Alignof] = ACTIONS(2352),
    [anon_sym_offsetof] = ACTIONS(2352),
    [anon_sym__Generic] = ACTIONS(2352),
    [anon_sym_asm] = ACTIONS(2352),
    [anon_sym___asm__] = ACTIONS(2352),
    [anon_sym___asm] = ACTIONS(2352),
    [sym_number_literal] = ACTIONS(2354),
    [anon_sym_L_SQUOTE] = ACTIONS(2354),
    [anon_sym_u_SQUOTE] = ACTIONS(2354),
    [anon_sym_U_SQUOTE] = ACTIONS(2354),
    [anon_sym_u8_SQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_L_DQUOTE] = ACTIONS(2354),
    [anon_sym_u_DQUOTE] = ACTIONS(2354),
    [anon_sym_U_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8_DQUOTE] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [sym_true] = ACTIONS(2352),
    [sym_false] = ACTIONS(2352),
    [anon_sym_NULL] = ACTIONS(2352),
    [anon_sym_nullptr] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2352),
    [anon_sym_decltype] = ACTIONS(2352),
    [anon_sym_typename] = ACTIONS(2352),
    [anon_sym_template] = ACTIONS(2352),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_throw] = ACTIONS(2352),
    [anon_sym_co_return] = ACTIONS(2352),
    [anon_sym_co_yield] = ACTIONS(2352),
    [anon_sym_R_DQUOTE] = ACTIONS(2354),
    [anon_sym_LR_DQUOTE] = ACTIONS(2354),
    [anon_sym_uR_DQUOTE] = ACTIONS(2354),
    [anon_sym_UR_DQUOTE] = ACTIONS(2354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2354),
    [anon_sym_co_await] = ACTIONS(2352),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_requires] = ACTIONS(2352),
    [sym_this] = ACTIONS(2352),
    [anon_sym_discard] = ACTIONS(2352),
    [anon_sym_precise] = ACTIONS(2352),
    [anon_sym_shared] = ACTIONS(2352),
    [anon_sym_groupshared] = ACTIONS(2352),
    [anon_sym_uniform] = ACTIONS(2352),
    [anon_sym_row_major] = ACTIONS(2352),
    [anon_sym_column_major] = ACTIONS(2352),
    [anon_sym_globallycoherent] = ACTIONS(2352),
    [anon_sym_centroid] = ACTIONS(2352),
    [anon_sym_noperspective] = ACTIONS(2352),
    [anon_sym_nointerpolation] = ACTIONS(2352),
    [anon_sym_sample] = ACTIONS(2352),
    [anon_sym_linear] = ACTIONS(2352),
    [anon_sym_snorm] = ACTIONS(2352),
    [anon_sym_unorm] = ACTIONS(2352),
    [anon_sym_point] = ACTIONS(2352),
    [anon_sym_line] = ACTIONS(2352),
    [anon_sym_triangleadj] = ACTIONS(2352),
    [anon_sym_lineadj] = ACTIONS(2352),
    [anon_sym_triangle] = ACTIONS(2352),
    [anon_sym_cbuffer] = ACTIONS(2352),
  },
  [1029] = {
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_LPAREN2] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2129),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym___extension__] = ACTIONS(2127),
    [anon_sym_typedef] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_out] = ACTIONS(2127),
    [anon_sym_inout] = ACTIONS(2127),
    [anon_sym_virtual] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2127),
    [anon_sym___attribute__] = ACTIONS(2127),
    [anon_sym___attribute] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2129),
    [anon_sym___declspec] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_signed] = ACTIONS(2127),
    [anon_sym_unsigned] = ACTIONS(2127),
    [anon_sym_long] = ACTIONS(2127),
    [anon_sym_short] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_register] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(2127),
    [anon_sym___inline] = ACTIONS(2127),
    [anon_sym___inline__] = ACTIONS(2127),
    [anon_sym___forceinline] = ACTIONS(2127),
    [anon_sym_thread_local] = ACTIONS(2127),
    [anon_sym___thread] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_constexpr] = ACTIONS(2127),
    [anon_sym_volatile] = ACTIONS(2127),
    [anon_sym_restrict] = ACTIONS(2127),
    [anon_sym___restrict__] = ACTIONS(2127),
    [anon_sym__Atomic] = ACTIONS(2127),
    [anon_sym__Noreturn] = ACTIONS(2127),
    [anon_sym_noreturn] = ACTIONS(2127),
    [anon_sym__Nonnull] = ACTIONS(2127),
    [anon_sym_mutable] = ACTIONS(2127),
    [anon_sym_constinit] = ACTIONS(2127),
    [anon_sym_consteval] = ACTIONS(2127),
    [anon_sym_alignas] = ACTIONS(2127),
    [anon_sym__Alignas] = ACTIONS(2127),
    [sym_primitive_type] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_struct] = ACTIONS(2127),
    [anon_sym_union] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_goto] = ACTIONS(2127),
    [anon_sym___try] = ACTIONS(2127),
    [anon_sym___leave] = ACTIONS(2127),
    [anon_sym_not] = ACTIONS(2127),
    [anon_sym_compl] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_sizeof] = ACTIONS(2127),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2127),
    [anon_sym__Generic] = ACTIONS(2127),
    [anon_sym_asm] = ACTIONS(2127),
    [anon_sym___asm__] = ACTIONS(2127),
    [anon_sym___asm] = ACTIONS(2127),
    [sym_number_literal] = ACTIONS(2129),
    [anon_sym_L_SQUOTE] = ACTIONS(2129),
    [anon_sym_u_SQUOTE] = ACTIONS(2129),
    [anon_sym_U_SQUOTE] = ACTIONS(2129),
    [anon_sym_u8_SQUOTE] = ACTIONS(2129),
    [anon_sym_SQUOTE] = ACTIONS(2129),
    [anon_sym_L_DQUOTE] = ACTIONS(2129),
    [anon_sym_u_DQUOTE] = ACTIONS(2129),
    [anon_sym_U_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8_DQUOTE] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(2129),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2127),
    [anon_sym_decltype] = ACTIONS(2127),
    [anon_sym_typename] = ACTIONS(2127),
    [anon_sym_template] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_co_return] = ACTIONS(2127),
    [anon_sym_co_yield] = ACTIONS(2127),
    [anon_sym_R_DQUOTE] = ACTIONS(2129),
    [anon_sym_LR_DQUOTE] = ACTIONS(2129),
    [anon_sym_uR_DQUOTE] = ACTIONS(2129),
    [anon_sym_UR_DQUOTE] = ACTIONS(2129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2129),
    [anon_sym_co_await] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_requires] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [anon_sym_discard] = ACTIONS(2127),
    [anon_sym_precise] = ACTIONS(2127),
    [anon_sym_shared] = ACTIONS(2127),
    [anon_sym_groupshared] = ACTIONS(2127),
    [anon_sym_uniform] = ACTIONS(2127),
    [anon_sym_row_major] = ACTIONS(2127),
    [anon_sym_column_major] = ACTIONS(2127),
    [anon_sym_globallycoherent] = ACTIONS(2127),
    [anon_sym_centroid] = ACTIONS(2127),
    [anon_sym_noperspective] = ACTIONS(2127),
    [anon_sym_nointerpolation] = ACTIONS(2127),
    [anon_sym_sample] = ACTIONS(2127),
    [anon_sym_linear] = ACTIONS(2127),
    [anon_sym_snorm] = ACTIONS(2127),
    [anon_sym_unorm] = ACTIONS(2127),
    [anon_sym_point] = ACTIONS(2127),
    [anon_sym_line] = ACTIONS(2127),
    [anon_sym_triangleadj] = ACTIONS(2127),
    [anon_sym_lineadj] = ACTIONS(2127),
    [anon_sym_triangle] = ACTIONS(2127),
    [anon_sym_cbuffer] = ACTIONS(2127),
  },
  [1030] = {
    [sym_identifier] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_TILDE] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2276),
    [anon_sym_typedef] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2276),
    [anon_sym_out] = ACTIONS(2276),
    [anon_sym_inout] = ACTIONS(2276),
    [anon_sym_virtual] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym___attribute__] = ACTIONS(2276),
    [anon_sym___attribute] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2278),
    [anon_sym___declspec] = ACTIONS(2276),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2276),
    [anon_sym_unsigned] = ACTIONS(2276),
    [anon_sym_long] = ACTIONS(2276),
    [anon_sym_short] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_register] = ACTIONS(2276),
    [anon_sym_inline] = ACTIONS(2276),
    [anon_sym___inline] = ACTIONS(2276),
    [anon_sym___inline__] = ACTIONS(2276),
    [anon_sym___forceinline] = ACTIONS(2276),
    [anon_sym_thread_local] = ACTIONS(2276),
    [anon_sym___thread] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_constexpr] = ACTIONS(2276),
    [anon_sym_volatile] = ACTIONS(2276),
    [anon_sym_restrict] = ACTIONS(2276),
    [anon_sym___restrict__] = ACTIONS(2276),
    [anon_sym__Atomic] = ACTIONS(2276),
    [anon_sym__Noreturn] = ACTIONS(2276),
    [anon_sym_noreturn] = ACTIONS(2276),
    [anon_sym__Nonnull] = ACTIONS(2276),
    [anon_sym_mutable] = ACTIONS(2276),
    [anon_sym_constinit] = ACTIONS(2276),
    [anon_sym_consteval] = ACTIONS(2276),
    [anon_sym_alignas] = ACTIONS(2276),
    [anon_sym__Alignas] = ACTIONS(2276),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_else] = ACTIONS(2276),
    [anon_sym_switch] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_goto] = ACTIONS(2276),
    [anon_sym___try] = ACTIONS(2276),
    [anon_sym___leave] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(2276),
    [anon_sym_compl] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2278),
    [anon_sym_sizeof] = ACTIONS(2276),
    [anon_sym___alignof__] = ACTIONS(2276),
    [anon_sym___alignof] = ACTIONS(2276),
    [anon_sym__alignof] = ACTIONS(2276),
    [anon_sym_alignof] = ACTIONS(2276),
    [anon_sym__Alignof] = ACTIONS(2276),
    [anon_sym_offsetof] = ACTIONS(2276),
    [anon_sym__Generic] = ACTIONS(2276),
    [anon_sym_asm] = ACTIONS(2276),
    [anon_sym___asm__] = ACTIONS(2276),
    [anon_sym___asm] = ACTIONS(2276),
    [sym_number_literal] = ACTIONS(2278),
    [anon_sym_L_SQUOTE] = ACTIONS(2278),
    [anon_sym_u_SQUOTE] = ACTIONS(2278),
    [anon_sym_U_SQUOTE] = ACTIONS(2278),
    [anon_sym_u8_SQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2278),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [anon_sym_NULL] = ACTIONS(2276),
    [anon_sym_nullptr] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2276),
    [anon_sym_decltype] = ACTIONS(2276),
    [anon_sym_typename] = ACTIONS(2276),
    [anon_sym_template] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [anon_sym_delete] = ACTIONS(2276),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_co_return] = ACTIONS(2276),
    [anon_sym_co_yield] = ACTIONS(2276),
    [anon_sym_R_DQUOTE] = ACTIONS(2278),
    [anon_sym_LR_DQUOTE] = ACTIONS(2278),
    [anon_sym_uR_DQUOTE] = ACTIONS(2278),
    [anon_sym_UR_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2278),
    [anon_sym_co_await] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_requires] = ACTIONS(2276),
    [sym_this] = ACTIONS(2276),
    [anon_sym_discard] = ACTIONS(2276),
    [anon_sym_precise] = ACTIONS(2276),
    [anon_sym_shared] = ACTIONS(2276),
    [anon_sym_groupshared] = ACTIONS(2276),
    [anon_sym_uniform] = ACTIONS(2276),
    [anon_sym_row_major] = ACTIONS(2276),
    [anon_sym_column_major] = ACTIONS(2276),
    [anon_sym_globallycoherent] = ACTIONS(2276),
    [anon_sym_centroid] = ACTIONS(2276),
    [anon_sym_noperspective] = ACTIONS(2276),
    [anon_sym_nointerpolation] = ACTIONS(2276),
    [anon_sym_sample] = ACTIONS(2276),
    [anon_sym_linear] = ACTIONS(2276),
    [anon_sym_snorm] = ACTIONS(2276),
    [anon_sym_unorm] = ACTIONS(2276),
    [anon_sym_point] = ACTIONS(2276),
    [anon_sym_line] = ACTIONS(2276),
    [anon_sym_triangleadj] = ACTIONS(2276),
    [anon_sym_lineadj] = ACTIONS(2276),
    [anon_sym_triangle] = ACTIONS(2276),
    [anon_sym_cbuffer] = ACTIONS(2276),
  },
  [1031] = {
    [sym_identifier] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2360),
    [anon_sym_not] = ACTIONS(2360),
    [anon_sym_compl] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_throw] = ACTIONS(2360),
    [anon_sym_co_return] = ACTIONS(2360),
    [anon_sym_co_yield] = ACTIONS(2360),
    [anon_sym_R_DQUOTE] = ACTIONS(2362),
    [anon_sym_LR_DQUOTE] = ACTIONS(2362),
    [anon_sym_uR_DQUOTE] = ACTIONS(2362),
    [anon_sym_UR_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2362),
    [anon_sym_co_await] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2360),
    [anon_sym_requires] = ACTIONS(2360),
    [sym_this] = ACTIONS(2360),
    [anon_sym_discard] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
    [anon_sym_cbuffer] = ACTIONS(2360),
  },
  [1032] = {
    [sym_identifier] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [1033] = {
    [sym_identifier] = ACTIONS(2320),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2322),
    [anon_sym_TILDE] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym___extension__] = ACTIONS(2320),
    [anon_sym_typedef] = ACTIONS(2320),
    [anon_sym_in] = ACTIONS(2320),
    [anon_sym_out] = ACTIONS(2320),
    [anon_sym_inout] = ACTIONS(2320),
    [anon_sym_virtual] = ACTIONS(2320),
    [anon_sym_extern] = ACTIONS(2320),
    [anon_sym___attribute__] = ACTIONS(2320),
    [anon_sym___attribute] = ACTIONS(2320),
    [anon_sym_COLON_COLON] = ACTIONS(2322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2322),
    [anon_sym___declspec] = ACTIONS(2320),
    [anon_sym_LBRACE] = ACTIONS(2322),
    [anon_sym_signed] = ACTIONS(2320),
    [anon_sym_unsigned] = ACTIONS(2320),
    [anon_sym_long] = ACTIONS(2320),
    [anon_sym_short] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_static] = ACTIONS(2320),
    [anon_sym_register] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(2320),
    [anon_sym___inline] = ACTIONS(2320),
    [anon_sym___inline__] = ACTIONS(2320),
    [anon_sym___forceinline] = ACTIONS(2320),
    [anon_sym_thread_local] = ACTIONS(2320),
    [anon_sym___thread] = ACTIONS(2320),
    [anon_sym_const] = ACTIONS(2320),
    [anon_sym_constexpr] = ACTIONS(2320),
    [anon_sym_volatile] = ACTIONS(2320),
    [anon_sym_restrict] = ACTIONS(2320),
    [anon_sym___restrict__] = ACTIONS(2320),
    [anon_sym__Atomic] = ACTIONS(2320),
    [anon_sym__Noreturn] = ACTIONS(2320),
    [anon_sym_noreturn] = ACTIONS(2320),
    [anon_sym__Nonnull] = ACTIONS(2320),
    [anon_sym_mutable] = ACTIONS(2320),
    [anon_sym_constinit] = ACTIONS(2320),
    [anon_sym_consteval] = ACTIONS(2320),
    [anon_sym_alignas] = ACTIONS(2320),
    [anon_sym__Alignas] = ACTIONS(2320),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2320),
    [anon_sym_class] = ACTIONS(2320),
    [anon_sym_struct] = ACTIONS(2320),
    [anon_sym_union] = ACTIONS(2320),
    [anon_sym_if] = ACTIONS(2320),
    [anon_sym_else] = ACTIONS(2320),
    [anon_sym_switch] = ACTIONS(2320),
    [anon_sym_while] = ACTIONS(2320),
    [anon_sym_do] = ACTIONS(2320),
    [anon_sym_for] = ACTIONS(2320),
    [anon_sym_return] = ACTIONS(2320),
    [anon_sym_break] = ACTIONS(2320),
    [anon_sym_continue] = ACTIONS(2320),
    [anon_sym_goto] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2320),
    [anon_sym___leave] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2320),
    [anon_sym_compl] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_sizeof] = ACTIONS(2320),
    [anon_sym___alignof__] = ACTIONS(2320),
    [anon_sym___alignof] = ACTIONS(2320),
    [anon_sym__alignof] = ACTIONS(2320),
    [anon_sym_alignof] = ACTIONS(2320),
    [anon_sym__Alignof] = ACTIONS(2320),
    [anon_sym_offsetof] = ACTIONS(2320),
    [anon_sym__Generic] = ACTIONS(2320),
    [anon_sym_asm] = ACTIONS(2320),
    [anon_sym___asm__] = ACTIONS(2320),
    [anon_sym___asm] = ACTIONS(2320),
    [sym_number_literal] = ACTIONS(2322),
    [anon_sym_L_SQUOTE] = ACTIONS(2322),
    [anon_sym_u_SQUOTE] = ACTIONS(2322),
    [anon_sym_U_SQUOTE] = ACTIONS(2322),
    [anon_sym_u8_SQUOTE] = ACTIONS(2322),
    [anon_sym_SQUOTE] = ACTIONS(2322),
    [anon_sym_L_DQUOTE] = ACTIONS(2322),
    [anon_sym_u_DQUOTE] = ACTIONS(2322),
    [anon_sym_U_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8_DQUOTE] = ACTIONS(2322),
    [anon_sym_DQUOTE] = ACTIONS(2322),
    [sym_true] = ACTIONS(2320),
    [sym_false] = ACTIONS(2320),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2320),
    [anon_sym_decltype] = ACTIONS(2320),
    [anon_sym_typename] = ACTIONS(2320),
    [anon_sym_template] = ACTIONS(2320),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_delete] = ACTIONS(2320),
    [anon_sym_throw] = ACTIONS(2320),
    [anon_sym_co_return] = ACTIONS(2320),
    [anon_sym_co_yield] = ACTIONS(2320),
    [anon_sym_R_DQUOTE] = ACTIONS(2322),
    [anon_sym_LR_DQUOTE] = ACTIONS(2322),
    [anon_sym_uR_DQUOTE] = ACTIONS(2322),
    [anon_sym_UR_DQUOTE] = ACTIONS(2322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2322),
    [anon_sym_co_await] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(2320),
    [anon_sym_requires] = ACTIONS(2320),
    [sym_this] = ACTIONS(2320),
    [anon_sym_discard] = ACTIONS(2320),
    [anon_sym_precise] = ACTIONS(2320),
    [anon_sym_shared] = ACTIONS(2320),
    [anon_sym_groupshared] = ACTIONS(2320),
    [anon_sym_uniform] = ACTIONS(2320),
    [anon_sym_row_major] = ACTIONS(2320),
    [anon_sym_column_major] = ACTIONS(2320),
    [anon_sym_globallycoherent] = ACTIONS(2320),
    [anon_sym_centroid] = ACTIONS(2320),
    [anon_sym_noperspective] = ACTIONS(2320),
    [anon_sym_nointerpolation] = ACTIONS(2320),
    [anon_sym_sample] = ACTIONS(2320),
    [anon_sym_linear] = ACTIONS(2320),
    [anon_sym_snorm] = ACTIONS(2320),
    [anon_sym_unorm] = ACTIONS(2320),
    [anon_sym_point] = ACTIONS(2320),
    [anon_sym_line] = ACTIONS(2320),
    [anon_sym_triangleadj] = ACTIONS(2320),
    [anon_sym_lineadj] = ACTIONS(2320),
    [anon_sym_triangle] = ACTIONS(2320),
    [anon_sym_cbuffer] = ACTIONS(2320),
  },
  [1034] = {
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_LPAREN2] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_AMP] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_typedef] = ACTIONS(2217),
    [anon_sym_in] = ACTIONS(2217),
    [anon_sym_out] = ACTIONS(2217),
    [anon_sym_inout] = ACTIONS(2217),
    [anon_sym_virtual] = ACTIONS(2217),
    [anon_sym_extern] = ACTIONS(2217),
    [anon_sym___attribute__] = ACTIONS(2217),
    [anon_sym___attribute] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2219),
    [anon_sym___declspec] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_signed] = ACTIONS(2217),
    [anon_sym_unsigned] = ACTIONS(2217),
    [anon_sym_long] = ACTIONS(2217),
    [anon_sym_short] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_static] = ACTIONS(2217),
    [anon_sym_register] = ACTIONS(2217),
    [anon_sym_inline] = ACTIONS(2217),
    [anon_sym___inline] = ACTIONS(2217),
    [anon_sym___inline__] = ACTIONS(2217),
    [anon_sym___forceinline] = ACTIONS(2217),
    [anon_sym_thread_local] = ACTIONS(2217),
    [anon_sym___thread] = ACTIONS(2217),
    [anon_sym_const] = ACTIONS(2217),
    [anon_sym_constexpr] = ACTIONS(2217),
    [anon_sym_volatile] = ACTIONS(2217),
    [anon_sym_restrict] = ACTIONS(2217),
    [anon_sym___restrict__] = ACTIONS(2217),
    [anon_sym__Atomic] = ACTIONS(2217),
    [anon_sym__Noreturn] = ACTIONS(2217),
    [anon_sym_noreturn] = ACTIONS(2217),
    [anon_sym__Nonnull] = ACTIONS(2217),
    [anon_sym_mutable] = ACTIONS(2217),
    [anon_sym_constinit] = ACTIONS(2217),
    [anon_sym_consteval] = ACTIONS(2217),
    [anon_sym_alignas] = ACTIONS(2217),
    [anon_sym__Alignas] = ACTIONS(2217),
    [sym_primitive_type] = ACTIONS(2217),
    [anon_sym_enum] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_struct] = ACTIONS(2217),
    [anon_sym_union] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_else] = ACTIONS(2217),
    [anon_sym_switch] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym___try] = ACTIONS(2217),
    [anon_sym___leave] = ACTIONS(2217),
    [anon_sym_not] = ACTIONS(2217),
    [anon_sym_compl] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_sizeof] = ACTIONS(2217),
    [anon_sym___alignof__] = ACTIONS(2217),
    [anon_sym___alignof] = ACTIONS(2217),
    [anon_sym__alignof] = ACTIONS(2217),
    [anon_sym_alignof] = ACTIONS(2217),
    [anon_sym__Alignof] = ACTIONS(2217),
    [anon_sym_offsetof] = ACTIONS(2217),
    [anon_sym__Generic] = ACTIONS(2217),
    [anon_sym_asm] = ACTIONS(2217),
    [anon_sym___asm__] = ACTIONS(2217),
    [anon_sym___asm] = ACTIONS(2217),
    [sym_number_literal] = ACTIONS(2219),
    [anon_sym_L_SQUOTE] = ACTIONS(2219),
    [anon_sym_u_SQUOTE] = ACTIONS(2219),
    [anon_sym_U_SQUOTE] = ACTIONS(2219),
    [anon_sym_u8_SQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [anon_sym_L_DQUOTE] = ACTIONS(2219),
    [anon_sym_u_DQUOTE] = ACTIONS(2219),
    [anon_sym_U_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8_DQUOTE] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_true] = ACTIONS(2217),
    [sym_false] = ACTIONS(2217),
    [anon_sym_NULL] = ACTIONS(2217),
    [anon_sym_nullptr] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2217),
    [anon_sym_decltype] = ACTIONS(2217),
    [anon_sym_typename] = ACTIONS(2217),
    [anon_sym_template] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_throw] = ACTIONS(2217),
    [anon_sym_co_return] = ACTIONS(2217),
    [anon_sym_co_yield] = ACTIONS(2217),
    [anon_sym_R_DQUOTE] = ACTIONS(2219),
    [anon_sym_LR_DQUOTE] = ACTIONS(2219),
    [anon_sym_uR_DQUOTE] = ACTIONS(2219),
    [anon_sym_UR_DQUOTE] = ACTIONS(2219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2219),
    [anon_sym_co_await] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2217),
    [sym_this] = ACTIONS(2217),
    [anon_sym_discard] = ACTIONS(2217),
    [anon_sym_precise] = ACTIONS(2217),
    [anon_sym_shared] = ACTIONS(2217),
    [anon_sym_groupshared] = ACTIONS(2217),
    [anon_sym_uniform] = ACTIONS(2217),
    [anon_sym_row_major] = ACTIONS(2217),
    [anon_sym_column_major] = ACTIONS(2217),
    [anon_sym_globallycoherent] = ACTIONS(2217),
    [anon_sym_centroid] = ACTIONS(2217),
    [anon_sym_noperspective] = ACTIONS(2217),
    [anon_sym_nointerpolation] = ACTIONS(2217),
    [anon_sym_sample] = ACTIONS(2217),
    [anon_sym_linear] = ACTIONS(2217),
    [anon_sym_snorm] = ACTIONS(2217),
    [anon_sym_unorm] = ACTIONS(2217),
    [anon_sym_point] = ACTIONS(2217),
    [anon_sym_line] = ACTIONS(2217),
    [anon_sym_triangleadj] = ACTIONS(2217),
    [anon_sym_lineadj] = ACTIONS(2217),
    [anon_sym_triangle] = ACTIONS(2217),
    [anon_sym_cbuffer] = ACTIONS(2217),
  },
  [1035] = {
    [sym_identifier] = ACTIONS(2139),
    [anon_sym_LPAREN2] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym___extension__] = ACTIONS(2139),
    [anon_sym_typedef] = ACTIONS(2139),
    [anon_sym_in] = ACTIONS(2139),
    [anon_sym_out] = ACTIONS(2139),
    [anon_sym_inout] = ACTIONS(2139),
    [anon_sym_virtual] = ACTIONS(2139),
    [anon_sym_extern] = ACTIONS(2139),
    [anon_sym___attribute__] = ACTIONS(2139),
    [anon_sym___attribute] = ACTIONS(2139),
    [anon_sym_COLON_COLON] = ACTIONS(2141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2141),
    [anon_sym___declspec] = ACTIONS(2139),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_signed] = ACTIONS(2139),
    [anon_sym_unsigned] = ACTIONS(2139),
    [anon_sym_long] = ACTIONS(2139),
    [anon_sym_short] = ACTIONS(2139),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_register] = ACTIONS(2139),
    [anon_sym_inline] = ACTIONS(2139),
    [anon_sym___inline] = ACTIONS(2139),
    [anon_sym___inline__] = ACTIONS(2139),
    [anon_sym___forceinline] = ACTIONS(2139),
    [anon_sym_thread_local] = ACTIONS(2139),
    [anon_sym___thread] = ACTIONS(2139),
    [anon_sym_const] = ACTIONS(2139),
    [anon_sym_constexpr] = ACTIONS(2139),
    [anon_sym_volatile] = ACTIONS(2139),
    [anon_sym_restrict] = ACTIONS(2139),
    [anon_sym___restrict__] = ACTIONS(2139),
    [anon_sym__Atomic] = ACTIONS(2139),
    [anon_sym__Noreturn] = ACTIONS(2139),
    [anon_sym_noreturn] = ACTIONS(2139),
    [anon_sym__Nonnull] = ACTIONS(2139),
    [anon_sym_mutable] = ACTIONS(2139),
    [anon_sym_constinit] = ACTIONS(2139),
    [anon_sym_consteval] = ACTIONS(2139),
    [anon_sym_alignas] = ACTIONS(2139),
    [anon_sym__Alignas] = ACTIONS(2139),
    [sym_primitive_type] = ACTIONS(2139),
    [anon_sym_enum] = ACTIONS(2139),
    [anon_sym_class] = ACTIONS(2139),
    [anon_sym_struct] = ACTIONS(2139),
    [anon_sym_union] = ACTIONS(2139),
    [anon_sym_if] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2139),
    [anon_sym_switch] = ACTIONS(2139),
    [anon_sym_while] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2139),
    [anon_sym_for] = ACTIONS(2139),
    [anon_sym_return] = ACTIONS(2139),
    [anon_sym_break] = ACTIONS(2139),
    [anon_sym_continue] = ACTIONS(2139),
    [anon_sym_goto] = ACTIONS(2139),
    [anon_sym___try] = ACTIONS(2139),
    [anon_sym___leave] = ACTIONS(2139),
    [anon_sym_not] = ACTIONS(2139),
    [anon_sym_compl] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_sizeof] = ACTIONS(2139),
    [anon_sym___alignof__] = ACTIONS(2139),
    [anon_sym___alignof] = ACTIONS(2139),
    [anon_sym__alignof] = ACTIONS(2139),
    [anon_sym_alignof] = ACTIONS(2139),
    [anon_sym__Alignof] = ACTIONS(2139),
    [anon_sym_offsetof] = ACTIONS(2139),
    [anon_sym__Generic] = ACTIONS(2139),
    [anon_sym_asm] = ACTIONS(2139),
    [anon_sym___asm__] = ACTIONS(2139),
    [anon_sym___asm] = ACTIONS(2139),
    [sym_number_literal] = ACTIONS(2141),
    [anon_sym_L_SQUOTE] = ACTIONS(2141),
    [anon_sym_u_SQUOTE] = ACTIONS(2141),
    [anon_sym_U_SQUOTE] = ACTIONS(2141),
    [anon_sym_u8_SQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [anon_sym_L_DQUOTE] = ACTIONS(2141),
    [anon_sym_u_DQUOTE] = ACTIONS(2141),
    [anon_sym_U_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8_DQUOTE] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [sym_true] = ACTIONS(2139),
    [sym_false] = ACTIONS(2139),
    [anon_sym_NULL] = ACTIONS(2139),
    [anon_sym_nullptr] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2139),
    [anon_sym_decltype] = ACTIONS(2139),
    [anon_sym_typename] = ACTIONS(2139),
    [anon_sym_template] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_throw] = ACTIONS(2139),
    [anon_sym_co_return] = ACTIONS(2139),
    [anon_sym_co_yield] = ACTIONS(2139),
    [anon_sym_R_DQUOTE] = ACTIONS(2141),
    [anon_sym_LR_DQUOTE] = ACTIONS(2141),
    [anon_sym_uR_DQUOTE] = ACTIONS(2141),
    [anon_sym_UR_DQUOTE] = ACTIONS(2141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2141),
    [anon_sym_co_await] = ACTIONS(2139),
    [anon_sym_new] = ACTIONS(2139),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2139),
    [anon_sym_discard] = ACTIONS(2139),
    [anon_sym_precise] = ACTIONS(2139),
    [anon_sym_shared] = ACTIONS(2139),
    [anon_sym_groupshared] = ACTIONS(2139),
    [anon_sym_uniform] = ACTIONS(2139),
    [anon_sym_row_major] = ACTIONS(2139),
    [anon_sym_column_major] = ACTIONS(2139),
    [anon_sym_globallycoherent] = ACTIONS(2139),
    [anon_sym_centroid] = ACTIONS(2139),
    [anon_sym_noperspective] = ACTIONS(2139),
    [anon_sym_nointerpolation] = ACTIONS(2139),
    [anon_sym_sample] = ACTIONS(2139),
    [anon_sym_linear] = ACTIONS(2139),
    [anon_sym_snorm] = ACTIONS(2139),
    [anon_sym_unorm] = ACTIONS(2139),
    [anon_sym_point] = ACTIONS(2139),
    [anon_sym_line] = ACTIONS(2139),
    [anon_sym_triangleadj] = ACTIONS(2139),
    [anon_sym_lineadj] = ACTIONS(2139),
    [anon_sym_triangle] = ACTIONS(2139),
    [anon_sym_cbuffer] = ACTIONS(2139),
  },
  [1036] = {
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_LPAREN2] = ACTIONS(2211),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_AMP] = ACTIONS(2211),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym___extension__] = ACTIONS(2209),
    [anon_sym_typedef] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_out] = ACTIONS(2209),
    [anon_sym_inout] = ACTIONS(2209),
    [anon_sym_virtual] = ACTIONS(2209),
    [anon_sym_extern] = ACTIONS(2209),
    [anon_sym___attribute__] = ACTIONS(2209),
    [anon_sym___attribute] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2211),
    [anon_sym___declspec] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_register] = ACTIONS(2209),
    [anon_sym_inline] = ACTIONS(2209),
    [anon_sym___inline] = ACTIONS(2209),
    [anon_sym___inline__] = ACTIONS(2209),
    [anon_sym___forceinline] = ACTIONS(2209),
    [anon_sym_thread_local] = ACTIONS(2209),
    [anon_sym___thread] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_constexpr] = ACTIONS(2209),
    [anon_sym_volatile] = ACTIONS(2209),
    [anon_sym_restrict] = ACTIONS(2209),
    [anon_sym___restrict__] = ACTIONS(2209),
    [anon_sym__Atomic] = ACTIONS(2209),
    [anon_sym__Noreturn] = ACTIONS(2209),
    [anon_sym_noreturn] = ACTIONS(2209),
    [anon_sym__Nonnull] = ACTIONS(2209),
    [anon_sym_mutable] = ACTIONS(2209),
    [anon_sym_constinit] = ACTIONS(2209),
    [anon_sym_consteval] = ACTIONS(2209),
    [anon_sym_alignas] = ACTIONS(2209),
    [anon_sym__Alignas] = ACTIONS(2209),
    [sym_primitive_type] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_struct] = ACTIONS(2209),
    [anon_sym_union] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym___try] = ACTIONS(2209),
    [anon_sym___leave] = ACTIONS(2209),
    [anon_sym_not] = ACTIONS(2209),
    [anon_sym_compl] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_sizeof] = ACTIONS(2209),
    [anon_sym___alignof__] = ACTIONS(2209),
    [anon_sym___alignof] = ACTIONS(2209),
    [anon_sym__alignof] = ACTIONS(2209),
    [anon_sym_alignof] = ACTIONS(2209),
    [anon_sym__Alignof] = ACTIONS(2209),
    [anon_sym_offsetof] = ACTIONS(2209),
    [anon_sym__Generic] = ACTIONS(2209),
    [anon_sym_asm] = ACTIONS(2209),
    [anon_sym___asm__] = ACTIONS(2209),
    [anon_sym___asm] = ACTIONS(2209),
    [sym_number_literal] = ACTIONS(2211),
    [anon_sym_L_SQUOTE] = ACTIONS(2211),
    [anon_sym_u_SQUOTE] = ACTIONS(2211),
    [anon_sym_U_SQUOTE] = ACTIONS(2211),
    [anon_sym_u8_SQUOTE] = ACTIONS(2211),
    [anon_sym_SQUOTE] = ACTIONS(2211),
    [anon_sym_L_DQUOTE] = ACTIONS(2211),
    [anon_sym_u_DQUOTE] = ACTIONS(2211),
    [anon_sym_U_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8_DQUOTE] = ACTIONS(2211),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [anon_sym_NULL] = ACTIONS(2209),
    [anon_sym_nullptr] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2209),
    [anon_sym_decltype] = ACTIONS(2209),
    [anon_sym_typename] = ACTIONS(2209),
    [anon_sym_template] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_co_return] = ACTIONS(2209),
    [anon_sym_co_yield] = ACTIONS(2209),
    [anon_sym_R_DQUOTE] = ACTIONS(2211),
    [anon_sym_LR_DQUOTE] = ACTIONS(2211),
    [anon_sym_uR_DQUOTE] = ACTIONS(2211),
    [anon_sym_UR_DQUOTE] = ACTIONS(2211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2211),
    [anon_sym_co_await] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_requires] = ACTIONS(2209),
    [sym_this] = ACTIONS(2209),
    [anon_sym_discard] = ACTIONS(2209),
    [anon_sym_precise] = ACTIONS(2209),
    [anon_sym_shared] = ACTIONS(2209),
    [anon_sym_groupshared] = ACTIONS(2209),
    [anon_sym_uniform] = ACTIONS(2209),
    [anon_sym_row_major] = ACTIONS(2209),
    [anon_sym_column_major] = ACTIONS(2209),
    [anon_sym_globallycoherent] = ACTIONS(2209),
    [anon_sym_centroid] = ACTIONS(2209),
    [anon_sym_noperspective] = ACTIONS(2209),
    [anon_sym_nointerpolation] = ACTIONS(2209),
    [anon_sym_sample] = ACTIONS(2209),
    [anon_sym_linear] = ACTIONS(2209),
    [anon_sym_snorm] = ACTIONS(2209),
    [anon_sym_unorm] = ACTIONS(2209),
    [anon_sym_point] = ACTIONS(2209),
    [anon_sym_line] = ACTIONS(2209),
    [anon_sym_triangleadj] = ACTIONS(2209),
    [anon_sym_lineadj] = ACTIONS(2209),
    [anon_sym_triangle] = ACTIONS(2209),
    [anon_sym_cbuffer] = ACTIONS(2209),
  },
  [1037] = {
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_LPAREN2] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_STAR] = ACTIONS(2161),
    [anon_sym_AMP] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym___extension__] = ACTIONS(2159),
    [anon_sym_typedef] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_virtual] = ACTIONS(2159),
    [anon_sym_extern] = ACTIONS(2159),
    [anon_sym___attribute__] = ACTIONS(2159),
    [anon_sym___attribute] = ACTIONS(2159),
    [anon_sym_COLON_COLON] = ACTIONS(2161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2161),
    [anon_sym___declspec] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_signed] = ACTIONS(2159),
    [anon_sym_unsigned] = ACTIONS(2159),
    [anon_sym_long] = ACTIONS(2159),
    [anon_sym_short] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_register] = ACTIONS(2159),
    [anon_sym_inline] = ACTIONS(2159),
    [anon_sym___inline] = ACTIONS(2159),
    [anon_sym___inline__] = ACTIONS(2159),
    [anon_sym___forceinline] = ACTIONS(2159),
    [anon_sym_thread_local] = ACTIONS(2159),
    [anon_sym___thread] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_constexpr] = ACTIONS(2159),
    [anon_sym_volatile] = ACTIONS(2159),
    [anon_sym_restrict] = ACTIONS(2159),
    [anon_sym___restrict__] = ACTIONS(2159),
    [anon_sym__Atomic] = ACTIONS(2159),
    [anon_sym__Noreturn] = ACTIONS(2159),
    [anon_sym_noreturn] = ACTIONS(2159),
    [anon_sym__Nonnull] = ACTIONS(2159),
    [anon_sym_mutable] = ACTIONS(2159),
    [anon_sym_constinit] = ACTIONS(2159),
    [anon_sym_consteval] = ACTIONS(2159),
    [anon_sym_alignas] = ACTIONS(2159),
    [anon_sym__Alignas] = ACTIONS(2159),
    [sym_primitive_type] = ACTIONS(2159),
    [anon_sym_enum] = ACTIONS(2159),
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_struct] = ACTIONS(2159),
    [anon_sym_union] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_goto] = ACTIONS(2159),
    [anon_sym___try] = ACTIONS(2159),
    [anon_sym___leave] = ACTIONS(2159),
    [anon_sym_not] = ACTIONS(2159),
    [anon_sym_compl] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2159),
    [anon_sym___alignof] = ACTIONS(2159),
    [anon_sym__alignof] = ACTIONS(2159),
    [anon_sym_alignof] = ACTIONS(2159),
    [anon_sym__Alignof] = ACTIONS(2159),
    [anon_sym_offsetof] = ACTIONS(2159),
    [anon_sym__Generic] = ACTIONS(2159),
    [anon_sym_asm] = ACTIONS(2159),
    [anon_sym___asm__] = ACTIONS(2159),
    [anon_sym___asm] = ACTIONS(2159),
    [sym_number_literal] = ACTIONS(2161),
    [anon_sym_L_SQUOTE] = ACTIONS(2161),
    [anon_sym_u_SQUOTE] = ACTIONS(2161),
    [anon_sym_U_SQUOTE] = ACTIONS(2161),
    [anon_sym_u8_SQUOTE] = ACTIONS(2161),
    [anon_sym_SQUOTE] = ACTIONS(2161),
    [anon_sym_L_DQUOTE] = ACTIONS(2161),
    [anon_sym_u_DQUOTE] = ACTIONS(2161),
    [anon_sym_U_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8_DQUOTE] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2161),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [anon_sym_NULL] = ACTIONS(2159),
    [anon_sym_nullptr] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2159),
    [anon_sym_decltype] = ACTIONS(2159),
    [anon_sym_typename] = ACTIONS(2159),
    [anon_sym_template] = ACTIONS(2159),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_co_return] = ACTIONS(2159),
    [anon_sym_co_yield] = ACTIONS(2159),
    [anon_sym_R_DQUOTE] = ACTIONS(2161),
    [anon_sym_LR_DQUOTE] = ACTIONS(2161),
    [anon_sym_uR_DQUOTE] = ACTIONS(2161),
    [anon_sym_UR_DQUOTE] = ACTIONS(2161),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2161),
    [anon_sym_co_await] = ACTIONS(2159),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_requires] = ACTIONS(2159),
    [sym_this] = ACTIONS(2159),
    [anon_sym_discard] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_groupshared] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_row_major] = ACTIONS(2159),
    [anon_sym_column_major] = ACTIONS(2159),
    [anon_sym_globallycoherent] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym_nointerpolation] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_linear] = ACTIONS(2159),
    [anon_sym_snorm] = ACTIONS(2159),
    [anon_sym_unorm] = ACTIONS(2159),
    [anon_sym_point] = ACTIONS(2159),
    [anon_sym_line] = ACTIONS(2159),
    [anon_sym_triangleadj] = ACTIONS(2159),
    [anon_sym_lineadj] = ACTIONS(2159),
    [anon_sym_triangle] = ACTIONS(2159),
    [anon_sym_cbuffer] = ACTIONS(2159),
  },
  [1038] = {
    [sym_identifier] = ACTIONS(2324),
    [anon_sym_LPAREN2] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_TILDE] = ACTIONS(2326),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2326),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2324),
    [anon_sym_typedef] = ACTIONS(2324),
    [anon_sym_in] = ACTIONS(2324),
    [anon_sym_out] = ACTIONS(2324),
    [anon_sym_inout] = ACTIONS(2324),
    [anon_sym_virtual] = ACTIONS(2324),
    [anon_sym_extern] = ACTIONS(2324),
    [anon_sym___attribute__] = ACTIONS(2324),
    [anon_sym___attribute] = ACTIONS(2324),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2326),
    [anon_sym___declspec] = ACTIONS(2324),
    [anon_sym_LBRACE] = ACTIONS(2326),
    [anon_sym_signed] = ACTIONS(2324),
    [anon_sym_unsigned] = ACTIONS(2324),
    [anon_sym_long] = ACTIONS(2324),
    [anon_sym_short] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_static] = ACTIONS(2324),
    [anon_sym_register] = ACTIONS(2324),
    [anon_sym_inline] = ACTIONS(2324),
    [anon_sym___inline] = ACTIONS(2324),
    [anon_sym___inline__] = ACTIONS(2324),
    [anon_sym___forceinline] = ACTIONS(2324),
    [anon_sym_thread_local] = ACTIONS(2324),
    [anon_sym___thread] = ACTIONS(2324),
    [anon_sym_const] = ACTIONS(2324),
    [anon_sym_constexpr] = ACTIONS(2324),
    [anon_sym_volatile] = ACTIONS(2324),
    [anon_sym_restrict] = ACTIONS(2324),
    [anon_sym___restrict__] = ACTIONS(2324),
    [anon_sym__Atomic] = ACTIONS(2324),
    [anon_sym__Noreturn] = ACTIONS(2324),
    [anon_sym_noreturn] = ACTIONS(2324),
    [anon_sym__Nonnull] = ACTIONS(2324),
    [anon_sym_mutable] = ACTIONS(2324),
    [anon_sym_constinit] = ACTIONS(2324),
    [anon_sym_consteval] = ACTIONS(2324),
    [anon_sym_alignas] = ACTIONS(2324),
    [anon_sym__Alignas] = ACTIONS(2324),
    [sym_primitive_type] = ACTIONS(2324),
    [anon_sym_enum] = ACTIONS(2324),
    [anon_sym_class] = ACTIONS(2324),
    [anon_sym_struct] = ACTIONS(2324),
    [anon_sym_union] = ACTIONS(2324),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_else] = ACTIONS(2324),
    [anon_sym_switch] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2324),
    [anon_sym_do] = ACTIONS(2324),
    [anon_sym_for] = ACTIONS(2324),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_break] = ACTIONS(2324),
    [anon_sym_continue] = ACTIONS(2324),
    [anon_sym_goto] = ACTIONS(2324),
    [anon_sym___try] = ACTIONS(2324),
    [anon_sym___leave] = ACTIONS(2324),
    [anon_sym_not] = ACTIONS(2324),
    [anon_sym_compl] = ACTIONS(2324),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_sizeof] = ACTIONS(2324),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2324),
    [anon_sym__Generic] = ACTIONS(2324),
    [anon_sym_asm] = ACTIONS(2324),
    [anon_sym___asm__] = ACTIONS(2324),
    [anon_sym___asm] = ACTIONS(2324),
    [sym_number_literal] = ACTIONS(2326),
    [anon_sym_L_SQUOTE] = ACTIONS(2326),
    [anon_sym_u_SQUOTE] = ACTIONS(2326),
    [anon_sym_U_SQUOTE] = ACTIONS(2326),
    [anon_sym_u8_SQUOTE] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym_L_DQUOTE] = ACTIONS(2326),
    [anon_sym_u_DQUOTE] = ACTIONS(2326),
    [anon_sym_U_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8_DQUOTE] = ACTIONS(2326),
    [anon_sym_DQUOTE] = ACTIONS(2326),
    [sym_true] = ACTIONS(2324),
    [sym_false] = ACTIONS(2324),
    [anon_sym_NULL] = ACTIONS(2324),
    [anon_sym_nullptr] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2324),
    [anon_sym_decltype] = ACTIONS(2324),
    [anon_sym_typename] = ACTIONS(2324),
    [anon_sym_template] = ACTIONS(2324),
    [anon_sym_try] = ACTIONS(2324),
    [anon_sym_delete] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2324),
    [anon_sym_co_return] = ACTIONS(2324),
    [anon_sym_co_yield] = ACTIONS(2324),
    [anon_sym_R_DQUOTE] = ACTIONS(2326),
    [anon_sym_LR_DQUOTE] = ACTIONS(2326),
    [anon_sym_uR_DQUOTE] = ACTIONS(2326),
    [anon_sym_UR_DQUOTE] = ACTIONS(2326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2326),
    [anon_sym_co_await] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2324),
    [anon_sym_requires] = ACTIONS(2324),
    [sym_this] = ACTIONS(2324),
    [anon_sym_discard] = ACTIONS(2324),
    [anon_sym_precise] = ACTIONS(2324),
    [anon_sym_shared] = ACTIONS(2324),
    [anon_sym_groupshared] = ACTIONS(2324),
    [anon_sym_uniform] = ACTIONS(2324),
    [anon_sym_row_major] = ACTIONS(2324),
    [anon_sym_column_major] = ACTIONS(2324),
    [anon_sym_globallycoherent] = ACTIONS(2324),
    [anon_sym_centroid] = ACTIONS(2324),
    [anon_sym_noperspective] = ACTIONS(2324),
    [anon_sym_nointerpolation] = ACTIONS(2324),
    [anon_sym_sample] = ACTIONS(2324),
    [anon_sym_linear] = ACTIONS(2324),
    [anon_sym_snorm] = ACTIONS(2324),
    [anon_sym_unorm] = ACTIONS(2324),
    [anon_sym_point] = ACTIONS(2324),
    [anon_sym_line] = ACTIONS(2324),
    [anon_sym_triangleadj] = ACTIONS(2324),
    [anon_sym_lineadj] = ACTIONS(2324),
    [anon_sym_triangle] = ACTIONS(2324),
    [anon_sym_cbuffer] = ACTIONS(2324),
  },
  [1039] = {
    [sym_identifier] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_out] = ACTIONS(2356),
    [anon_sym_inout] = ACTIONS(2356),
    [anon_sym_virtual] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_COLON_COLON] = ACTIONS(2358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_mutable] = ACTIONS(2356),
    [anon_sym_constinit] = ACTIONS(2356),
    [anon_sym_consteval] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym___leave] = ACTIONS(2356),
    [anon_sym_not] = ACTIONS(2356),
    [anon_sym_compl] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2356),
    [anon_sym_decltype] = ACTIONS(2356),
    [anon_sym_typename] = ACTIONS(2356),
    [anon_sym_template] = ACTIONS(2356),
    [anon_sym_try] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_throw] = ACTIONS(2356),
    [anon_sym_co_return] = ACTIONS(2356),
    [anon_sym_co_yield] = ACTIONS(2356),
    [anon_sym_R_DQUOTE] = ACTIONS(2358),
    [anon_sym_LR_DQUOTE] = ACTIONS(2358),
    [anon_sym_uR_DQUOTE] = ACTIONS(2358),
    [anon_sym_UR_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2358),
    [anon_sym_co_await] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2356),
    [anon_sym_requires] = ACTIONS(2356),
    [sym_this] = ACTIONS(2356),
    [anon_sym_discard] = ACTIONS(2356),
    [anon_sym_precise] = ACTIONS(2356),
    [anon_sym_shared] = ACTIONS(2356),
    [anon_sym_groupshared] = ACTIONS(2356),
    [anon_sym_uniform] = ACTIONS(2356),
    [anon_sym_row_major] = ACTIONS(2356),
    [anon_sym_column_major] = ACTIONS(2356),
    [anon_sym_globallycoherent] = ACTIONS(2356),
    [anon_sym_centroid] = ACTIONS(2356),
    [anon_sym_noperspective] = ACTIONS(2356),
    [anon_sym_nointerpolation] = ACTIONS(2356),
    [anon_sym_sample] = ACTIONS(2356),
    [anon_sym_linear] = ACTIONS(2356),
    [anon_sym_snorm] = ACTIONS(2356),
    [anon_sym_unorm] = ACTIONS(2356),
    [anon_sym_point] = ACTIONS(2356),
    [anon_sym_line] = ACTIONS(2356),
    [anon_sym_triangleadj] = ACTIONS(2356),
    [anon_sym_lineadj] = ACTIONS(2356),
    [anon_sym_triangle] = ACTIONS(2356),
    [anon_sym_cbuffer] = ACTIONS(2356),
  },
  [1040] = {
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym___extension__] = ACTIONS(2308),
    [anon_sym_typedef] = ACTIONS(2308),
    [anon_sym_in] = ACTIONS(2308),
    [anon_sym_out] = ACTIONS(2308),
    [anon_sym_inout] = ACTIONS(2308),
    [anon_sym_virtual] = ACTIONS(2308),
    [anon_sym_extern] = ACTIONS(2308),
    [anon_sym___attribute__] = ACTIONS(2308),
    [anon_sym___attribute] = ACTIONS(2308),
    [anon_sym_COLON_COLON] = ACTIONS(2310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2310),
    [anon_sym___declspec] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_signed] = ACTIONS(2308),
    [anon_sym_unsigned] = ACTIONS(2308),
    [anon_sym_long] = ACTIONS(2308),
    [anon_sym_short] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_register] = ACTIONS(2308),
    [anon_sym_inline] = ACTIONS(2308),
    [anon_sym___inline] = ACTIONS(2308),
    [anon_sym___inline__] = ACTIONS(2308),
    [anon_sym___forceinline] = ACTIONS(2308),
    [anon_sym_thread_local] = ACTIONS(2308),
    [anon_sym___thread] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_constexpr] = ACTIONS(2308),
    [anon_sym_volatile] = ACTIONS(2308),
    [anon_sym_restrict] = ACTIONS(2308),
    [anon_sym___restrict__] = ACTIONS(2308),
    [anon_sym__Atomic] = ACTIONS(2308),
    [anon_sym__Noreturn] = ACTIONS(2308),
    [anon_sym_noreturn] = ACTIONS(2308),
    [anon_sym__Nonnull] = ACTIONS(2308),
    [anon_sym_mutable] = ACTIONS(2308),
    [anon_sym_constinit] = ACTIONS(2308),
    [anon_sym_consteval] = ACTIONS(2308),
    [anon_sym_alignas] = ACTIONS(2308),
    [anon_sym__Alignas] = ACTIONS(2308),
    [sym_primitive_type] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_struct] = ACTIONS(2308),
    [anon_sym_union] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_else] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_goto] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2308),
    [anon_sym___leave] = ACTIONS(2308),
    [anon_sym_not] = ACTIONS(2308),
    [anon_sym_compl] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_sizeof] = ACTIONS(2308),
    [anon_sym___alignof__] = ACTIONS(2308),
    [anon_sym___alignof] = ACTIONS(2308),
    [anon_sym__alignof] = ACTIONS(2308),
    [anon_sym_alignof] = ACTIONS(2308),
    [anon_sym__Alignof] = ACTIONS(2308),
    [anon_sym_offsetof] = ACTIONS(2308),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2308),
    [anon_sym___asm__] = ACTIONS(2308),
    [anon_sym___asm] = ACTIONS(2308),
    [sym_number_literal] = ACTIONS(2310),
    [anon_sym_L_SQUOTE] = ACTIONS(2310),
    [anon_sym_u_SQUOTE] = ACTIONS(2310),
    [anon_sym_U_SQUOTE] = ACTIONS(2310),
    [anon_sym_u8_SQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2310),
    [anon_sym_L_DQUOTE] = ACTIONS(2310),
    [anon_sym_u_DQUOTE] = ACTIONS(2310),
    [anon_sym_U_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8_DQUOTE] = ACTIONS(2310),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [anon_sym_NULL] = ACTIONS(2308),
    [anon_sym_nullptr] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2308),
    [anon_sym_decltype] = ACTIONS(2308),
    [anon_sym_typename] = ACTIONS(2308),
    [anon_sym_template] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_co_return] = ACTIONS(2308),
    [anon_sym_co_yield] = ACTIONS(2308),
    [anon_sym_R_DQUOTE] = ACTIONS(2310),
    [anon_sym_LR_DQUOTE] = ACTIONS(2310),
    [anon_sym_uR_DQUOTE] = ACTIONS(2310),
    [anon_sym_UR_DQUOTE] = ACTIONS(2310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2310),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_requires] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [anon_sym_discard] = ACTIONS(2308),
    [anon_sym_precise] = ACTIONS(2308),
    [anon_sym_shared] = ACTIONS(2308),
    [anon_sym_groupshared] = ACTIONS(2308),
    [anon_sym_uniform] = ACTIONS(2308),
    [anon_sym_row_major] = ACTIONS(2308),
    [anon_sym_column_major] = ACTIONS(2308),
    [anon_sym_globallycoherent] = ACTIONS(2308),
    [anon_sym_centroid] = ACTIONS(2308),
    [anon_sym_noperspective] = ACTIONS(2308),
    [anon_sym_nointerpolation] = ACTIONS(2308),
    [anon_sym_sample] = ACTIONS(2308),
    [anon_sym_linear] = ACTIONS(2308),
    [anon_sym_snorm] = ACTIONS(2308),
    [anon_sym_unorm] = ACTIONS(2308),
    [anon_sym_point] = ACTIONS(2308),
    [anon_sym_line] = ACTIONS(2308),
    [anon_sym_triangleadj] = ACTIONS(2308),
    [anon_sym_lineadj] = ACTIONS(2308),
    [anon_sym_triangle] = ACTIONS(2308),
    [anon_sym_cbuffer] = ACTIONS(2308),
  },
  [1041] = {
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_LPAREN2] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_AMP] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym___extension__] = ACTIONS(2221),
    [anon_sym_typedef] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_out] = ACTIONS(2221),
    [anon_sym_inout] = ACTIONS(2221),
    [anon_sym_virtual] = ACTIONS(2221),
    [anon_sym_extern] = ACTIONS(2221),
    [anon_sym___attribute__] = ACTIONS(2221),
    [anon_sym___attribute] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2223),
    [anon_sym___declspec] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_signed] = ACTIONS(2221),
    [anon_sym_unsigned] = ACTIONS(2221),
    [anon_sym_long] = ACTIONS(2221),
    [anon_sym_short] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_register] = ACTIONS(2221),
    [anon_sym_inline] = ACTIONS(2221),
    [anon_sym___inline] = ACTIONS(2221),
    [anon_sym___inline__] = ACTIONS(2221),
    [anon_sym___forceinline] = ACTIONS(2221),
    [anon_sym_thread_local] = ACTIONS(2221),
    [anon_sym___thread] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_constexpr] = ACTIONS(2221),
    [anon_sym_volatile] = ACTIONS(2221),
    [anon_sym_restrict] = ACTIONS(2221),
    [anon_sym___restrict__] = ACTIONS(2221),
    [anon_sym__Atomic] = ACTIONS(2221),
    [anon_sym__Noreturn] = ACTIONS(2221),
    [anon_sym_noreturn] = ACTIONS(2221),
    [anon_sym__Nonnull] = ACTIONS(2221),
    [anon_sym_mutable] = ACTIONS(2221),
    [anon_sym_constinit] = ACTIONS(2221),
    [anon_sym_consteval] = ACTIONS(2221),
    [anon_sym_alignas] = ACTIONS(2221),
    [anon_sym__Alignas] = ACTIONS(2221),
    [sym_primitive_type] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_union] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym___try] = ACTIONS(2221),
    [anon_sym___leave] = ACTIONS(2221),
    [anon_sym_not] = ACTIONS(2221),
    [anon_sym_compl] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_sizeof] = ACTIONS(2221),
    [anon_sym___alignof__] = ACTIONS(2221),
    [anon_sym___alignof] = ACTIONS(2221),
    [anon_sym__alignof] = ACTIONS(2221),
    [anon_sym_alignof] = ACTIONS(2221),
    [anon_sym__Alignof] = ACTIONS(2221),
    [anon_sym_offsetof] = ACTIONS(2221),
    [anon_sym__Generic] = ACTIONS(2221),
    [anon_sym_asm] = ACTIONS(2221),
    [anon_sym___asm__] = ACTIONS(2221),
    [anon_sym___asm] = ACTIONS(2221),
    [sym_number_literal] = ACTIONS(2223),
    [anon_sym_L_SQUOTE] = ACTIONS(2223),
    [anon_sym_u_SQUOTE] = ACTIONS(2223),
    [anon_sym_U_SQUOTE] = ACTIONS(2223),
    [anon_sym_u8_SQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [anon_sym_L_DQUOTE] = ACTIONS(2223),
    [anon_sym_u_DQUOTE] = ACTIONS(2223),
    [anon_sym_U_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8_DQUOTE] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [anon_sym_NULL] = ACTIONS(2221),
    [anon_sym_nullptr] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2221),
    [anon_sym_decltype] = ACTIONS(2221),
    [anon_sym_typename] = ACTIONS(2221),
    [anon_sym_template] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_co_return] = ACTIONS(2221),
    [anon_sym_co_yield] = ACTIONS(2221),
    [anon_sym_R_DQUOTE] = ACTIONS(2223),
    [anon_sym_LR_DQUOTE] = ACTIONS(2223),
    [anon_sym_uR_DQUOTE] = ACTIONS(2223),
    [anon_sym_UR_DQUOTE] = ACTIONS(2223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2223),
    [anon_sym_co_await] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_requires] = ACTIONS(2221),
    [sym_this] = ACTIONS(2221),
    [anon_sym_discard] = ACTIONS(2221),
    [anon_sym_precise] = ACTIONS(2221),
    [anon_sym_shared] = ACTIONS(2221),
    [anon_sym_groupshared] = ACTIONS(2221),
    [anon_sym_uniform] = ACTIONS(2221),
    [anon_sym_row_major] = ACTIONS(2221),
    [anon_sym_column_major] = ACTIONS(2221),
    [anon_sym_globallycoherent] = ACTIONS(2221),
    [anon_sym_centroid] = ACTIONS(2221),
    [anon_sym_noperspective] = ACTIONS(2221),
    [anon_sym_nointerpolation] = ACTIONS(2221),
    [anon_sym_sample] = ACTIONS(2221),
    [anon_sym_linear] = ACTIONS(2221),
    [anon_sym_snorm] = ACTIONS(2221),
    [anon_sym_unorm] = ACTIONS(2221),
    [anon_sym_point] = ACTIONS(2221),
    [anon_sym_line] = ACTIONS(2221),
    [anon_sym_triangleadj] = ACTIONS(2221),
    [anon_sym_lineadj] = ACTIONS(2221),
    [anon_sym_triangle] = ACTIONS(2221),
    [anon_sym_cbuffer] = ACTIONS(2221),
  },
  [1042] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4802),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8792),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1043] = {
    [sym_identifier] = ACTIONS(2312),
    [anon_sym_LPAREN2] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2312),
    [anon_sym_typedef] = ACTIONS(2312),
    [anon_sym_in] = ACTIONS(2312),
    [anon_sym_out] = ACTIONS(2312),
    [anon_sym_inout] = ACTIONS(2312),
    [anon_sym_virtual] = ACTIONS(2312),
    [anon_sym_extern] = ACTIONS(2312),
    [anon_sym___attribute__] = ACTIONS(2312),
    [anon_sym___attribute] = ACTIONS(2312),
    [anon_sym_COLON_COLON] = ACTIONS(2314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2314),
    [anon_sym___declspec] = ACTIONS(2312),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_signed] = ACTIONS(2312),
    [anon_sym_unsigned] = ACTIONS(2312),
    [anon_sym_long] = ACTIONS(2312),
    [anon_sym_short] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_static] = ACTIONS(2312),
    [anon_sym_register] = ACTIONS(2312),
    [anon_sym_inline] = ACTIONS(2312),
    [anon_sym___inline] = ACTIONS(2312),
    [anon_sym___inline__] = ACTIONS(2312),
    [anon_sym___forceinline] = ACTIONS(2312),
    [anon_sym_thread_local] = ACTIONS(2312),
    [anon_sym___thread] = ACTIONS(2312),
    [anon_sym_const] = ACTIONS(2312),
    [anon_sym_constexpr] = ACTIONS(2312),
    [anon_sym_volatile] = ACTIONS(2312),
    [anon_sym_restrict] = ACTIONS(2312),
    [anon_sym___restrict__] = ACTIONS(2312),
    [anon_sym__Atomic] = ACTIONS(2312),
    [anon_sym__Noreturn] = ACTIONS(2312),
    [anon_sym_noreturn] = ACTIONS(2312),
    [anon_sym__Nonnull] = ACTIONS(2312),
    [anon_sym_mutable] = ACTIONS(2312),
    [anon_sym_constinit] = ACTIONS(2312),
    [anon_sym_consteval] = ACTIONS(2312),
    [anon_sym_alignas] = ACTIONS(2312),
    [anon_sym__Alignas] = ACTIONS(2312),
    [sym_primitive_type] = ACTIONS(2312),
    [anon_sym_enum] = ACTIONS(2312),
    [anon_sym_class] = ACTIONS(2312),
    [anon_sym_struct] = ACTIONS(2312),
    [anon_sym_union] = ACTIONS(2312),
    [anon_sym_if] = ACTIONS(2312),
    [anon_sym_else] = ACTIONS(2312),
    [anon_sym_switch] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(2312),
    [anon_sym_for] = ACTIONS(2312),
    [anon_sym_return] = ACTIONS(2312),
    [anon_sym_break] = ACTIONS(2312),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2312),
    [anon_sym___try] = ACTIONS(2312),
    [anon_sym___leave] = ACTIONS(2312),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2314),
    [anon_sym_PLUS_PLUS] = ACTIONS(2314),
    [anon_sym_sizeof] = ACTIONS(2312),
    [anon_sym___alignof__] = ACTIONS(2312),
    [anon_sym___alignof] = ACTIONS(2312),
    [anon_sym__alignof] = ACTIONS(2312),
    [anon_sym_alignof] = ACTIONS(2312),
    [anon_sym__Alignof] = ACTIONS(2312),
    [anon_sym_offsetof] = ACTIONS(2312),
    [anon_sym__Generic] = ACTIONS(2312),
    [anon_sym_asm] = ACTIONS(2312),
    [anon_sym___asm__] = ACTIONS(2312),
    [anon_sym___asm] = ACTIONS(2312),
    [sym_number_literal] = ACTIONS(2314),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2314),
    [anon_sym_u_DQUOTE] = ACTIONS(2314),
    [anon_sym_U_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8_DQUOTE] = ACTIONS(2314),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [sym_true] = ACTIONS(2312),
    [sym_false] = ACTIONS(2312),
    [anon_sym_NULL] = ACTIONS(2312),
    [anon_sym_nullptr] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2312),
    [anon_sym_decltype] = ACTIONS(2312),
    [anon_sym_typename] = ACTIONS(2312),
    [anon_sym_template] = ACTIONS(2312),
    [anon_sym_try] = ACTIONS(2312),
    [anon_sym_delete] = ACTIONS(2312),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_co_return] = ACTIONS(2312),
    [anon_sym_co_yield] = ACTIONS(2312),
    [anon_sym_R_DQUOTE] = ACTIONS(2314),
    [anon_sym_LR_DQUOTE] = ACTIONS(2314),
    [anon_sym_uR_DQUOTE] = ACTIONS(2314),
    [anon_sym_UR_DQUOTE] = ACTIONS(2314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2314),
    [anon_sym_co_await] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2312),
    [anon_sym_requires] = ACTIONS(2312),
    [sym_this] = ACTIONS(2312),
    [anon_sym_discard] = ACTIONS(2312),
    [anon_sym_precise] = ACTIONS(2312),
    [anon_sym_shared] = ACTIONS(2312),
    [anon_sym_groupshared] = ACTIONS(2312),
    [anon_sym_uniform] = ACTIONS(2312),
    [anon_sym_row_major] = ACTIONS(2312),
    [anon_sym_column_major] = ACTIONS(2312),
    [anon_sym_globallycoherent] = ACTIONS(2312),
    [anon_sym_centroid] = ACTIONS(2312),
    [anon_sym_noperspective] = ACTIONS(2312),
    [anon_sym_nointerpolation] = ACTIONS(2312),
    [anon_sym_sample] = ACTIONS(2312),
    [anon_sym_linear] = ACTIONS(2312),
    [anon_sym_snorm] = ACTIONS(2312),
    [anon_sym_unorm] = ACTIONS(2312),
    [anon_sym_point] = ACTIONS(2312),
    [anon_sym_line] = ACTIONS(2312),
    [anon_sym_triangleadj] = ACTIONS(2312),
    [anon_sym_lineadj] = ACTIONS(2312),
    [anon_sym_triangle] = ACTIONS(2312),
    [anon_sym_cbuffer] = ACTIONS(2312),
  },
  [1044] = {
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_LPAREN2] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(2143),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym___extension__] = ACTIONS(2143),
    [anon_sym_typedef] = ACTIONS(2143),
    [anon_sym_in] = ACTIONS(2143),
    [anon_sym_out] = ACTIONS(2143),
    [anon_sym_inout] = ACTIONS(2143),
    [anon_sym_virtual] = ACTIONS(2143),
    [anon_sym_extern] = ACTIONS(2143),
    [anon_sym___attribute__] = ACTIONS(2143),
    [anon_sym___attribute] = ACTIONS(2143),
    [anon_sym_COLON_COLON] = ACTIONS(2145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2145),
    [anon_sym___declspec] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2143),
    [anon_sym_register] = ACTIONS(2143),
    [anon_sym_inline] = ACTIONS(2143),
    [anon_sym___inline] = ACTIONS(2143),
    [anon_sym___inline__] = ACTIONS(2143),
    [anon_sym___forceinline] = ACTIONS(2143),
    [anon_sym_thread_local] = ACTIONS(2143),
    [anon_sym___thread] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(2143),
    [anon_sym_constexpr] = ACTIONS(2143),
    [anon_sym_volatile] = ACTIONS(2143),
    [anon_sym_restrict] = ACTIONS(2143),
    [anon_sym___restrict__] = ACTIONS(2143),
    [anon_sym__Atomic] = ACTIONS(2143),
    [anon_sym__Noreturn] = ACTIONS(2143),
    [anon_sym_noreturn] = ACTIONS(2143),
    [anon_sym__Nonnull] = ACTIONS(2143),
    [anon_sym_mutable] = ACTIONS(2143),
    [anon_sym_constinit] = ACTIONS(2143),
    [anon_sym_consteval] = ACTIONS(2143),
    [anon_sym_alignas] = ACTIONS(2143),
    [anon_sym__Alignas] = ACTIONS(2143),
    [sym_primitive_type] = ACTIONS(2143),
    [anon_sym_enum] = ACTIONS(2143),
    [anon_sym_class] = ACTIONS(2143),
    [anon_sym_struct] = ACTIONS(2143),
    [anon_sym_union] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2143),
    [anon_sym_switch] = ACTIONS(2143),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2143),
    [anon_sym_return] = ACTIONS(2143),
    [anon_sym_break] = ACTIONS(2143),
    [anon_sym_continue] = ACTIONS(2143),
    [anon_sym_goto] = ACTIONS(2143),
    [anon_sym___try] = ACTIONS(2143),
    [anon_sym___leave] = ACTIONS(2143),
    [anon_sym_not] = ACTIONS(2143),
    [anon_sym_compl] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_sizeof] = ACTIONS(2143),
    [anon_sym___alignof__] = ACTIONS(2143),
    [anon_sym___alignof] = ACTIONS(2143),
    [anon_sym__alignof] = ACTIONS(2143),
    [anon_sym_alignof] = ACTIONS(2143),
    [anon_sym__Alignof] = ACTIONS(2143),
    [anon_sym_offsetof] = ACTIONS(2143),
    [anon_sym__Generic] = ACTIONS(2143),
    [anon_sym_asm] = ACTIONS(2143),
    [anon_sym___asm__] = ACTIONS(2143),
    [anon_sym___asm] = ACTIONS(2143),
    [sym_number_literal] = ACTIONS(2145),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2145),
    [anon_sym_u_DQUOTE] = ACTIONS(2145),
    [anon_sym_U_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8_DQUOTE] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(2145),
    [sym_true] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
    [anon_sym_NULL] = ACTIONS(2143),
    [anon_sym_nullptr] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2143),
    [anon_sym_decltype] = ACTIONS(2143),
    [anon_sym_typename] = ACTIONS(2143),
    [anon_sym_template] = ACTIONS(2143),
    [anon_sym_try] = ACTIONS(2143),
    [anon_sym_delete] = ACTIONS(2143),
    [anon_sym_throw] = ACTIONS(2143),
    [anon_sym_co_return] = ACTIONS(2143),
    [anon_sym_co_yield] = ACTIONS(2143),
    [anon_sym_R_DQUOTE] = ACTIONS(2145),
    [anon_sym_LR_DQUOTE] = ACTIONS(2145),
    [anon_sym_uR_DQUOTE] = ACTIONS(2145),
    [anon_sym_UR_DQUOTE] = ACTIONS(2145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2145),
    [anon_sym_co_await] = ACTIONS(2143),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2143),
    [sym_this] = ACTIONS(2143),
    [anon_sym_discard] = ACTIONS(2143),
    [anon_sym_precise] = ACTIONS(2143),
    [anon_sym_shared] = ACTIONS(2143),
    [anon_sym_groupshared] = ACTIONS(2143),
    [anon_sym_uniform] = ACTIONS(2143),
    [anon_sym_row_major] = ACTIONS(2143),
    [anon_sym_column_major] = ACTIONS(2143),
    [anon_sym_globallycoherent] = ACTIONS(2143),
    [anon_sym_centroid] = ACTIONS(2143),
    [anon_sym_noperspective] = ACTIONS(2143),
    [anon_sym_nointerpolation] = ACTIONS(2143),
    [anon_sym_sample] = ACTIONS(2143),
    [anon_sym_linear] = ACTIONS(2143),
    [anon_sym_snorm] = ACTIONS(2143),
    [anon_sym_unorm] = ACTIONS(2143),
    [anon_sym_point] = ACTIONS(2143),
    [anon_sym_line] = ACTIONS(2143),
    [anon_sym_triangleadj] = ACTIONS(2143),
    [anon_sym_lineadj] = ACTIONS(2143),
    [anon_sym_triangle] = ACTIONS(2143),
    [anon_sym_cbuffer] = ACTIONS(2143),
  },
  [1045] = {
    [sym_identifier] = ACTIONS(2366),
    [anon_sym_LPAREN2] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym___extension__] = ACTIONS(2366),
    [anon_sym_typedef] = ACTIONS(2366),
    [anon_sym_in] = ACTIONS(2366),
    [anon_sym_out] = ACTIONS(2366),
    [anon_sym_inout] = ACTIONS(2366),
    [anon_sym_virtual] = ACTIONS(2366),
    [anon_sym_extern] = ACTIONS(2366),
    [anon_sym___attribute__] = ACTIONS(2366),
    [anon_sym___attribute] = ACTIONS(2366),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2368),
    [anon_sym___declspec] = ACTIONS(2366),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_signed] = ACTIONS(2366),
    [anon_sym_unsigned] = ACTIONS(2366),
    [anon_sym_long] = ACTIONS(2366),
    [anon_sym_short] = ACTIONS(2366),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym_static] = ACTIONS(2366),
    [anon_sym_register] = ACTIONS(2366),
    [anon_sym_inline] = ACTIONS(2366),
    [anon_sym___inline] = ACTIONS(2366),
    [anon_sym___inline__] = ACTIONS(2366),
    [anon_sym___forceinline] = ACTIONS(2366),
    [anon_sym_thread_local] = ACTIONS(2366),
    [anon_sym___thread] = ACTIONS(2366),
    [anon_sym_const] = ACTIONS(2366),
    [anon_sym_constexpr] = ACTIONS(2366),
    [anon_sym_volatile] = ACTIONS(2366),
    [anon_sym_restrict] = ACTIONS(2366),
    [anon_sym___restrict__] = ACTIONS(2366),
    [anon_sym__Atomic] = ACTIONS(2366),
    [anon_sym__Noreturn] = ACTIONS(2366),
    [anon_sym_noreturn] = ACTIONS(2366),
    [anon_sym__Nonnull] = ACTIONS(2366),
    [anon_sym_mutable] = ACTIONS(2366),
    [anon_sym_constinit] = ACTIONS(2366),
    [anon_sym_consteval] = ACTIONS(2366),
    [anon_sym_alignas] = ACTIONS(2366),
    [anon_sym__Alignas] = ACTIONS(2366),
    [sym_primitive_type] = ACTIONS(2366),
    [anon_sym_enum] = ACTIONS(2366),
    [anon_sym_class] = ACTIONS(2366),
    [anon_sym_struct] = ACTIONS(2366),
    [anon_sym_union] = ACTIONS(2366),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_else] = ACTIONS(2366),
    [anon_sym_switch] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2366),
    [anon_sym_for] = ACTIONS(2366),
    [anon_sym_return] = ACTIONS(2366),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2366),
    [anon_sym_goto] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2366),
    [anon_sym___leave] = ACTIONS(2366),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_sizeof] = ACTIONS(2366),
    [anon_sym___alignof__] = ACTIONS(2366),
    [anon_sym___alignof] = ACTIONS(2366),
    [anon_sym__alignof] = ACTIONS(2366),
    [anon_sym_alignof] = ACTIONS(2366),
    [anon_sym__Alignof] = ACTIONS(2366),
    [anon_sym_offsetof] = ACTIONS(2366),
    [anon_sym__Generic] = ACTIONS(2366),
    [anon_sym_asm] = ACTIONS(2366),
    [anon_sym___asm__] = ACTIONS(2366),
    [anon_sym___asm] = ACTIONS(2366),
    [sym_number_literal] = ACTIONS(2368),
    [anon_sym_L_SQUOTE] = ACTIONS(2368),
    [anon_sym_u_SQUOTE] = ACTIONS(2368),
    [anon_sym_U_SQUOTE] = ACTIONS(2368),
    [anon_sym_u8_SQUOTE] = ACTIONS(2368),
    [anon_sym_SQUOTE] = ACTIONS(2368),
    [anon_sym_L_DQUOTE] = ACTIONS(2368),
    [anon_sym_u_DQUOTE] = ACTIONS(2368),
    [anon_sym_U_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8_DQUOTE] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2368),
    [sym_true] = ACTIONS(2366),
    [sym_false] = ACTIONS(2366),
    [anon_sym_NULL] = ACTIONS(2366),
    [anon_sym_nullptr] = ACTIONS(2366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2366),
    [anon_sym_decltype] = ACTIONS(2366),
    [anon_sym_typename] = ACTIONS(2366),
    [anon_sym_template] = ACTIONS(2366),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_delete] = ACTIONS(2366),
    [anon_sym_throw] = ACTIONS(2366),
    [anon_sym_co_return] = ACTIONS(2366),
    [anon_sym_co_yield] = ACTIONS(2366),
    [anon_sym_R_DQUOTE] = ACTIONS(2368),
    [anon_sym_LR_DQUOTE] = ACTIONS(2368),
    [anon_sym_uR_DQUOTE] = ACTIONS(2368),
    [anon_sym_UR_DQUOTE] = ACTIONS(2368),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2368),
    [anon_sym_co_await] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_requires] = ACTIONS(2366),
    [sym_this] = ACTIONS(2366),
    [anon_sym_discard] = ACTIONS(2366),
    [anon_sym_precise] = ACTIONS(2366),
    [anon_sym_shared] = ACTIONS(2366),
    [anon_sym_groupshared] = ACTIONS(2366),
    [anon_sym_uniform] = ACTIONS(2366),
    [anon_sym_row_major] = ACTIONS(2366),
    [anon_sym_column_major] = ACTIONS(2366),
    [anon_sym_globallycoherent] = ACTIONS(2366),
    [anon_sym_centroid] = ACTIONS(2366),
    [anon_sym_noperspective] = ACTIONS(2366),
    [anon_sym_nointerpolation] = ACTIONS(2366),
    [anon_sym_sample] = ACTIONS(2366),
    [anon_sym_linear] = ACTIONS(2366),
    [anon_sym_snorm] = ACTIONS(2366),
    [anon_sym_unorm] = ACTIONS(2366),
    [anon_sym_point] = ACTIONS(2366),
    [anon_sym_line] = ACTIONS(2366),
    [anon_sym_triangleadj] = ACTIONS(2366),
    [anon_sym_lineadj] = ACTIONS(2366),
    [anon_sym_triangle] = ACTIONS(2366),
    [anon_sym_cbuffer] = ACTIONS(2366),
  },
  [1046] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1217),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4072),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4091),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym___cdecl] = ACTIONS(4068),
    [anon_sym___clrcall] = ACTIONS(4068),
    [anon_sym___stdcall] = ACTIONS(4068),
    [anon_sym___fastcall] = ACTIONS(4068),
    [anon_sym___thiscall] = ACTIONS(4068),
    [anon_sym___vectorcall] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4096),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1047] = {
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_BANG] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2316),
    [anon_sym_typedef] = ACTIONS(2316),
    [anon_sym_in] = ACTIONS(2316),
    [anon_sym_out] = ACTIONS(2316),
    [anon_sym_inout] = ACTIONS(2316),
    [anon_sym_virtual] = ACTIONS(2316),
    [anon_sym_extern] = ACTIONS(2316),
    [anon_sym___attribute__] = ACTIONS(2316),
    [anon_sym___attribute] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2318),
    [anon_sym___declspec] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_signed] = ACTIONS(2316),
    [anon_sym_unsigned] = ACTIONS(2316),
    [anon_sym_long] = ACTIONS(2316),
    [anon_sym_short] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_register] = ACTIONS(2316),
    [anon_sym_inline] = ACTIONS(2316),
    [anon_sym___inline] = ACTIONS(2316),
    [anon_sym___inline__] = ACTIONS(2316),
    [anon_sym___forceinline] = ACTIONS(2316),
    [anon_sym_thread_local] = ACTIONS(2316),
    [anon_sym___thread] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_constexpr] = ACTIONS(2316),
    [anon_sym_volatile] = ACTIONS(2316),
    [anon_sym_restrict] = ACTIONS(2316),
    [anon_sym___restrict__] = ACTIONS(2316),
    [anon_sym__Atomic] = ACTIONS(2316),
    [anon_sym__Noreturn] = ACTIONS(2316),
    [anon_sym_noreturn] = ACTIONS(2316),
    [anon_sym__Nonnull] = ACTIONS(2316),
    [anon_sym_mutable] = ACTIONS(2316),
    [anon_sym_constinit] = ACTIONS(2316),
    [anon_sym_consteval] = ACTIONS(2316),
    [anon_sym_alignas] = ACTIONS(2316),
    [anon_sym__Alignas] = ACTIONS(2316),
    [sym_primitive_type] = ACTIONS(2316),
    [anon_sym_enum] = ACTIONS(2316),
    [anon_sym_class] = ACTIONS(2316),
    [anon_sym_struct] = ACTIONS(2316),
    [anon_sym_union] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_else] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_goto] = ACTIONS(2316),
    [anon_sym___try] = ACTIONS(2316),
    [anon_sym___leave] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2316),
    [anon_sym_compl] = ACTIONS(2316),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_sizeof] = ACTIONS(2316),
    [anon_sym___alignof__] = ACTIONS(2316),
    [anon_sym___alignof] = ACTIONS(2316),
    [anon_sym__alignof] = ACTIONS(2316),
    [anon_sym_alignof] = ACTIONS(2316),
    [anon_sym__Alignof] = ACTIONS(2316),
    [anon_sym_offsetof] = ACTIONS(2316),
    [anon_sym__Generic] = ACTIONS(2316),
    [anon_sym_asm] = ACTIONS(2316),
    [anon_sym___asm__] = ACTIONS(2316),
    [anon_sym___asm] = ACTIONS(2316),
    [sym_number_literal] = ACTIONS(2318),
    [anon_sym_L_SQUOTE] = ACTIONS(2318),
    [anon_sym_u_SQUOTE] = ACTIONS(2318),
    [anon_sym_U_SQUOTE] = ACTIONS(2318),
    [anon_sym_u8_SQUOTE] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_L_DQUOTE] = ACTIONS(2318),
    [anon_sym_u_DQUOTE] = ACTIONS(2318),
    [anon_sym_U_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2318),
    [sym_true] = ACTIONS(2316),
    [sym_false] = ACTIONS(2316),
    [anon_sym_NULL] = ACTIONS(2316),
    [anon_sym_nullptr] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2316),
    [anon_sym_decltype] = ACTIONS(2316),
    [anon_sym_typename] = ACTIONS(2316),
    [anon_sym_template] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_delete] = ACTIONS(2316),
    [anon_sym_throw] = ACTIONS(2316),
    [anon_sym_co_return] = ACTIONS(2316),
    [anon_sym_co_yield] = ACTIONS(2316),
    [anon_sym_R_DQUOTE] = ACTIONS(2318),
    [anon_sym_LR_DQUOTE] = ACTIONS(2318),
    [anon_sym_uR_DQUOTE] = ACTIONS(2318),
    [anon_sym_UR_DQUOTE] = ACTIONS(2318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2318),
    [anon_sym_co_await] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_requires] = ACTIONS(2316),
    [sym_this] = ACTIONS(2316),
    [anon_sym_discard] = ACTIONS(2316),
    [anon_sym_precise] = ACTIONS(2316),
    [anon_sym_shared] = ACTIONS(2316),
    [anon_sym_groupshared] = ACTIONS(2316),
    [anon_sym_uniform] = ACTIONS(2316),
    [anon_sym_row_major] = ACTIONS(2316),
    [anon_sym_column_major] = ACTIONS(2316),
    [anon_sym_globallycoherent] = ACTIONS(2316),
    [anon_sym_centroid] = ACTIONS(2316),
    [anon_sym_noperspective] = ACTIONS(2316),
    [anon_sym_nointerpolation] = ACTIONS(2316),
    [anon_sym_sample] = ACTIONS(2316),
    [anon_sym_linear] = ACTIONS(2316),
    [anon_sym_snorm] = ACTIONS(2316),
    [anon_sym_unorm] = ACTIONS(2316),
    [anon_sym_point] = ACTIONS(2316),
    [anon_sym_line] = ACTIONS(2316),
    [anon_sym_triangleadj] = ACTIONS(2316),
    [anon_sym_lineadj] = ACTIONS(2316),
    [anon_sym_triangle] = ACTIONS(2316),
    [anon_sym_cbuffer] = ACTIONS(2316),
  },
  [1048] = {
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_LPAREN2] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym___extension__] = ACTIONS(2225),
    [anon_sym_typedef] = ACTIONS(2225),
    [anon_sym_in] = ACTIONS(2225),
    [anon_sym_out] = ACTIONS(2225),
    [anon_sym_inout] = ACTIONS(2225),
    [anon_sym_virtual] = ACTIONS(2225),
    [anon_sym_extern] = ACTIONS(2225),
    [anon_sym___attribute__] = ACTIONS(2225),
    [anon_sym___attribute] = ACTIONS(2225),
    [anon_sym_COLON_COLON] = ACTIONS(2227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2227),
    [anon_sym___declspec] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_signed] = ACTIONS(2225),
    [anon_sym_unsigned] = ACTIONS(2225),
    [anon_sym_long] = ACTIONS(2225),
    [anon_sym_short] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_register] = ACTIONS(2225),
    [anon_sym_inline] = ACTIONS(2225),
    [anon_sym___inline] = ACTIONS(2225),
    [anon_sym___inline__] = ACTIONS(2225),
    [anon_sym___forceinline] = ACTIONS(2225),
    [anon_sym_thread_local] = ACTIONS(2225),
    [anon_sym___thread] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_constexpr] = ACTIONS(2225),
    [anon_sym_volatile] = ACTIONS(2225),
    [anon_sym_restrict] = ACTIONS(2225),
    [anon_sym___restrict__] = ACTIONS(2225),
    [anon_sym__Atomic] = ACTIONS(2225),
    [anon_sym__Noreturn] = ACTIONS(2225),
    [anon_sym_noreturn] = ACTIONS(2225),
    [anon_sym__Nonnull] = ACTIONS(2225),
    [anon_sym_mutable] = ACTIONS(2225),
    [anon_sym_constinit] = ACTIONS(2225),
    [anon_sym_consteval] = ACTIONS(2225),
    [anon_sym_alignas] = ACTIONS(2225),
    [anon_sym__Alignas] = ACTIONS(2225),
    [sym_primitive_type] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_struct] = ACTIONS(2225),
    [anon_sym_union] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym___try] = ACTIONS(2225),
    [anon_sym___leave] = ACTIONS(2225),
    [anon_sym_not] = ACTIONS(2225),
    [anon_sym_compl] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_sizeof] = ACTIONS(2225),
    [anon_sym___alignof__] = ACTIONS(2225),
    [anon_sym___alignof] = ACTIONS(2225),
    [anon_sym__alignof] = ACTIONS(2225),
    [anon_sym_alignof] = ACTIONS(2225),
    [anon_sym__Alignof] = ACTIONS(2225),
    [anon_sym_offsetof] = ACTIONS(2225),
    [anon_sym__Generic] = ACTIONS(2225),
    [anon_sym_asm] = ACTIONS(2225),
    [anon_sym___asm__] = ACTIONS(2225),
    [anon_sym___asm] = ACTIONS(2225),
    [sym_number_literal] = ACTIONS(2227),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2227),
    [anon_sym_u_DQUOTE] = ACTIONS(2227),
    [anon_sym_U_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8_DQUOTE] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [anon_sym_NULL] = ACTIONS(2225),
    [anon_sym_nullptr] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2225),
    [anon_sym_decltype] = ACTIONS(2225),
    [anon_sym_typename] = ACTIONS(2225),
    [anon_sym_template] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_co_return] = ACTIONS(2225),
    [anon_sym_co_yield] = ACTIONS(2225),
    [anon_sym_R_DQUOTE] = ACTIONS(2227),
    [anon_sym_LR_DQUOTE] = ACTIONS(2227),
    [anon_sym_uR_DQUOTE] = ACTIONS(2227),
    [anon_sym_UR_DQUOTE] = ACTIONS(2227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2227),
    [anon_sym_co_await] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_requires] = ACTIONS(2225),
    [sym_this] = ACTIONS(2225),
    [anon_sym_discard] = ACTIONS(2225),
    [anon_sym_precise] = ACTIONS(2225),
    [anon_sym_shared] = ACTIONS(2225),
    [anon_sym_groupshared] = ACTIONS(2225),
    [anon_sym_uniform] = ACTIONS(2225),
    [anon_sym_row_major] = ACTIONS(2225),
    [anon_sym_column_major] = ACTIONS(2225),
    [anon_sym_globallycoherent] = ACTIONS(2225),
    [anon_sym_centroid] = ACTIONS(2225),
    [anon_sym_noperspective] = ACTIONS(2225),
    [anon_sym_nointerpolation] = ACTIONS(2225),
    [anon_sym_sample] = ACTIONS(2225),
    [anon_sym_linear] = ACTIONS(2225),
    [anon_sym_snorm] = ACTIONS(2225),
    [anon_sym_unorm] = ACTIONS(2225),
    [anon_sym_point] = ACTIONS(2225),
    [anon_sym_line] = ACTIONS(2225),
    [anon_sym_triangleadj] = ACTIONS(2225),
    [anon_sym_lineadj] = ACTIONS(2225),
    [anon_sym_triangle] = ACTIONS(2225),
    [anon_sym_cbuffer] = ACTIONS(2225),
  },
  [1049] = {
    [sym_identifier] = ACTIONS(2300),
    [anon_sym_LPAREN2] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2300),
    [anon_sym_typedef] = ACTIONS(2300),
    [anon_sym_in] = ACTIONS(2300),
    [anon_sym_out] = ACTIONS(2300),
    [anon_sym_inout] = ACTIONS(2300),
    [anon_sym_virtual] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym___attribute__] = ACTIONS(2300),
    [anon_sym___attribute] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2302),
    [anon_sym___declspec] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2300),
    [anon_sym_unsigned] = ACTIONS(2300),
    [anon_sym_long] = ACTIONS(2300),
    [anon_sym_short] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_register] = ACTIONS(2300),
    [anon_sym_inline] = ACTIONS(2300),
    [anon_sym___inline] = ACTIONS(2300),
    [anon_sym___inline__] = ACTIONS(2300),
    [anon_sym___forceinline] = ACTIONS(2300),
    [anon_sym_thread_local] = ACTIONS(2300),
    [anon_sym___thread] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_constexpr] = ACTIONS(2300),
    [anon_sym_volatile] = ACTIONS(2300),
    [anon_sym_restrict] = ACTIONS(2300),
    [anon_sym___restrict__] = ACTIONS(2300),
    [anon_sym__Atomic] = ACTIONS(2300),
    [anon_sym__Noreturn] = ACTIONS(2300),
    [anon_sym_noreturn] = ACTIONS(2300),
    [anon_sym__Nonnull] = ACTIONS(2300),
    [anon_sym_mutable] = ACTIONS(2300),
    [anon_sym_constinit] = ACTIONS(2300),
    [anon_sym_consteval] = ACTIONS(2300),
    [anon_sym_alignas] = ACTIONS(2300),
    [anon_sym__Alignas] = ACTIONS(2300),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_else] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_goto] = ACTIONS(2300),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2300),
    [anon_sym_compl] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2300),
    [anon_sym___alignof] = ACTIONS(2300),
    [anon_sym__alignof] = ACTIONS(2300),
    [anon_sym_alignof] = ACTIONS(2300),
    [anon_sym__Alignof] = ACTIONS(2300),
    [anon_sym_offsetof] = ACTIONS(2300),
    [anon_sym__Generic] = ACTIONS(2300),
    [anon_sym_asm] = ACTIONS(2300),
    [anon_sym___asm__] = ACTIONS(2300),
    [anon_sym___asm] = ACTIONS(2300),
    [sym_number_literal] = ACTIONS(2302),
    [anon_sym_L_SQUOTE] = ACTIONS(2302),
    [anon_sym_u_SQUOTE] = ACTIONS(2302),
    [anon_sym_U_SQUOTE] = ACTIONS(2302),
    [anon_sym_u8_SQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [anon_sym_L_DQUOTE] = ACTIONS(2302),
    [anon_sym_u_DQUOTE] = ACTIONS(2302),
    [anon_sym_U_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8_DQUOTE] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [sym_true] = ACTIONS(2300),
    [sym_false] = ACTIONS(2300),
    [anon_sym_NULL] = ACTIONS(2300),
    [anon_sym_nullptr] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2300),
    [anon_sym_decltype] = ACTIONS(2300),
    [anon_sym_typename] = ACTIONS(2300),
    [anon_sym_template] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [anon_sym_delete] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2300),
    [anon_sym_co_return] = ACTIONS(2300),
    [anon_sym_co_yield] = ACTIONS(2300),
    [anon_sym_R_DQUOTE] = ACTIONS(2302),
    [anon_sym_LR_DQUOTE] = ACTIONS(2302),
    [anon_sym_uR_DQUOTE] = ACTIONS(2302),
    [anon_sym_UR_DQUOTE] = ACTIONS(2302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2302),
    [anon_sym_co_await] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2300),
    [anon_sym_requires] = ACTIONS(2300),
    [sym_this] = ACTIONS(2300),
    [anon_sym_discard] = ACTIONS(2300),
    [anon_sym_precise] = ACTIONS(2300),
    [anon_sym_shared] = ACTIONS(2300),
    [anon_sym_groupshared] = ACTIONS(2300),
    [anon_sym_uniform] = ACTIONS(2300),
    [anon_sym_row_major] = ACTIONS(2300),
    [anon_sym_column_major] = ACTIONS(2300),
    [anon_sym_globallycoherent] = ACTIONS(2300),
    [anon_sym_centroid] = ACTIONS(2300),
    [anon_sym_noperspective] = ACTIONS(2300),
    [anon_sym_nointerpolation] = ACTIONS(2300),
    [anon_sym_sample] = ACTIONS(2300),
    [anon_sym_linear] = ACTIONS(2300),
    [anon_sym_snorm] = ACTIONS(2300),
    [anon_sym_unorm] = ACTIONS(2300),
    [anon_sym_point] = ACTIONS(2300),
    [anon_sym_line] = ACTIONS(2300),
    [anon_sym_triangleadj] = ACTIONS(2300),
    [anon_sym_lineadj] = ACTIONS(2300),
    [anon_sym_triangle] = ACTIONS(2300),
    [anon_sym_cbuffer] = ACTIONS(2300),
  },
  [1050] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4839),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8261),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1051] = {
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_LPAREN2] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym___extension__] = ACTIONS(2169),
    [anon_sym_typedef] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_out] = ACTIONS(2169),
    [anon_sym_inout] = ACTIONS(2169),
    [anon_sym_virtual] = ACTIONS(2169),
    [anon_sym_extern] = ACTIONS(2169),
    [anon_sym___attribute__] = ACTIONS(2169),
    [anon_sym___attribute] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2171),
    [anon_sym___declspec] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_signed] = ACTIONS(2169),
    [anon_sym_unsigned] = ACTIONS(2169),
    [anon_sym_long] = ACTIONS(2169),
    [anon_sym_short] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_register] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(2169),
    [anon_sym___inline] = ACTIONS(2169),
    [anon_sym___inline__] = ACTIONS(2169),
    [anon_sym___forceinline] = ACTIONS(2169),
    [anon_sym_thread_local] = ACTIONS(2169),
    [anon_sym___thread] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_constexpr] = ACTIONS(2169),
    [anon_sym_volatile] = ACTIONS(2169),
    [anon_sym_restrict] = ACTIONS(2169),
    [anon_sym___restrict__] = ACTIONS(2169),
    [anon_sym__Atomic] = ACTIONS(2169),
    [anon_sym__Noreturn] = ACTIONS(2169),
    [anon_sym_noreturn] = ACTIONS(2169),
    [anon_sym__Nonnull] = ACTIONS(2169),
    [anon_sym_mutable] = ACTIONS(2169),
    [anon_sym_constinit] = ACTIONS(2169),
    [anon_sym_consteval] = ACTIONS(2169),
    [anon_sym_alignas] = ACTIONS(2169),
    [anon_sym__Alignas] = ACTIONS(2169),
    [sym_primitive_type] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_struct] = ACTIONS(2169),
    [anon_sym_union] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym___try] = ACTIONS(2169),
    [anon_sym___leave] = ACTIONS(2169),
    [anon_sym_not] = ACTIONS(2169),
    [anon_sym_compl] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_sizeof] = ACTIONS(2169),
    [anon_sym___alignof__] = ACTIONS(2169),
    [anon_sym___alignof] = ACTIONS(2169),
    [anon_sym__alignof] = ACTIONS(2169),
    [anon_sym_alignof] = ACTIONS(2169),
    [anon_sym__Alignof] = ACTIONS(2169),
    [anon_sym_offsetof] = ACTIONS(2169),
    [anon_sym__Generic] = ACTIONS(2169),
    [anon_sym_asm] = ACTIONS(2169),
    [anon_sym___asm__] = ACTIONS(2169),
    [anon_sym___asm] = ACTIONS(2169),
    [sym_number_literal] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2171),
    [anon_sym_u_SQUOTE] = ACTIONS(2171),
    [anon_sym_U_SQUOTE] = ACTIONS(2171),
    [anon_sym_u8_SQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [anon_sym_L_DQUOTE] = ACTIONS(2171),
    [anon_sym_u_DQUOTE] = ACTIONS(2171),
    [anon_sym_U_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8_DQUOTE] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [anon_sym_NULL] = ACTIONS(2169),
    [anon_sym_nullptr] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2169),
    [anon_sym_decltype] = ACTIONS(2169),
    [anon_sym_typename] = ACTIONS(2169),
    [anon_sym_template] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_co_return] = ACTIONS(2169),
    [anon_sym_co_yield] = ACTIONS(2169),
    [anon_sym_R_DQUOTE] = ACTIONS(2171),
    [anon_sym_LR_DQUOTE] = ACTIONS(2171),
    [anon_sym_uR_DQUOTE] = ACTIONS(2171),
    [anon_sym_UR_DQUOTE] = ACTIONS(2171),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2171),
    [anon_sym_co_await] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_requires] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [anon_sym_discard] = ACTIONS(2169),
    [anon_sym_precise] = ACTIONS(2169),
    [anon_sym_shared] = ACTIONS(2169),
    [anon_sym_groupshared] = ACTIONS(2169),
    [anon_sym_uniform] = ACTIONS(2169),
    [anon_sym_row_major] = ACTIONS(2169),
    [anon_sym_column_major] = ACTIONS(2169),
    [anon_sym_globallycoherent] = ACTIONS(2169),
    [anon_sym_centroid] = ACTIONS(2169),
    [anon_sym_noperspective] = ACTIONS(2169),
    [anon_sym_nointerpolation] = ACTIONS(2169),
    [anon_sym_sample] = ACTIONS(2169),
    [anon_sym_linear] = ACTIONS(2169),
    [anon_sym_snorm] = ACTIONS(2169),
    [anon_sym_unorm] = ACTIONS(2169),
    [anon_sym_point] = ACTIONS(2169),
    [anon_sym_line] = ACTIONS(2169),
    [anon_sym_triangleadj] = ACTIONS(2169),
    [anon_sym_lineadj] = ACTIONS(2169),
    [anon_sym_triangle] = ACTIONS(2169),
    [anon_sym_cbuffer] = ACTIONS(2169),
  },
  [1052] = {
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2280),
    [anon_sym_typedef] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2280),
    [anon_sym_out] = ACTIONS(2280),
    [anon_sym_inout] = ACTIONS(2280),
    [anon_sym_virtual] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym___attribute__] = ACTIONS(2280),
    [anon_sym___attribute] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2282),
    [anon_sym___declspec] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2280),
    [anon_sym_unsigned] = ACTIONS(2280),
    [anon_sym_long] = ACTIONS(2280),
    [anon_sym_short] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_register] = ACTIONS(2280),
    [anon_sym_inline] = ACTIONS(2280),
    [anon_sym___inline] = ACTIONS(2280),
    [anon_sym___inline__] = ACTIONS(2280),
    [anon_sym___forceinline] = ACTIONS(2280),
    [anon_sym_thread_local] = ACTIONS(2280),
    [anon_sym___thread] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_constexpr] = ACTIONS(2280),
    [anon_sym_volatile] = ACTIONS(2280),
    [anon_sym_restrict] = ACTIONS(2280),
    [anon_sym___restrict__] = ACTIONS(2280),
    [anon_sym__Atomic] = ACTIONS(2280),
    [anon_sym__Noreturn] = ACTIONS(2280),
    [anon_sym_noreturn] = ACTIONS(2280),
    [anon_sym__Nonnull] = ACTIONS(2280),
    [anon_sym_mutable] = ACTIONS(2280),
    [anon_sym_constinit] = ACTIONS(2280),
    [anon_sym_consteval] = ACTIONS(2280),
    [anon_sym_alignas] = ACTIONS(2280),
    [anon_sym__Alignas] = ACTIONS(2280),
    [sym_primitive_type] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2280),
    [anon_sym___try] = ACTIONS(2280),
    [anon_sym___leave] = ACTIONS(2280),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_compl] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2282),
    [anon_sym_sizeof] = ACTIONS(2280),
    [anon_sym___alignof__] = ACTIONS(2280),
    [anon_sym___alignof] = ACTIONS(2280),
    [anon_sym__alignof] = ACTIONS(2280),
    [anon_sym_alignof] = ACTIONS(2280),
    [anon_sym__Alignof] = ACTIONS(2280),
    [anon_sym_offsetof] = ACTIONS(2280),
    [anon_sym__Generic] = ACTIONS(2280),
    [anon_sym_asm] = ACTIONS(2280),
    [anon_sym___asm__] = ACTIONS(2280),
    [anon_sym___asm] = ACTIONS(2280),
    [sym_number_literal] = ACTIONS(2282),
    [anon_sym_L_SQUOTE] = ACTIONS(2282),
    [anon_sym_u_SQUOTE] = ACTIONS(2282),
    [anon_sym_U_SQUOTE] = ACTIONS(2282),
    [anon_sym_u8_SQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2282),
    [anon_sym_L_DQUOTE] = ACTIONS(2282),
    [anon_sym_u_DQUOTE] = ACTIONS(2282),
    [anon_sym_U_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8_DQUOTE] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [anon_sym_NULL] = ACTIONS(2280),
    [anon_sym_nullptr] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2280),
    [anon_sym_decltype] = ACTIONS(2280),
    [anon_sym_typename] = ACTIONS(2280),
    [anon_sym_template] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_co_return] = ACTIONS(2280),
    [anon_sym_co_yield] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_requires] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [anon_sym_discard] = ACTIONS(2280),
    [anon_sym_precise] = ACTIONS(2280),
    [anon_sym_shared] = ACTIONS(2280),
    [anon_sym_groupshared] = ACTIONS(2280),
    [anon_sym_uniform] = ACTIONS(2280),
    [anon_sym_row_major] = ACTIONS(2280),
    [anon_sym_column_major] = ACTIONS(2280),
    [anon_sym_globallycoherent] = ACTIONS(2280),
    [anon_sym_centroid] = ACTIONS(2280),
    [anon_sym_noperspective] = ACTIONS(2280),
    [anon_sym_nointerpolation] = ACTIONS(2280),
    [anon_sym_sample] = ACTIONS(2280),
    [anon_sym_linear] = ACTIONS(2280),
    [anon_sym_snorm] = ACTIONS(2280),
    [anon_sym_unorm] = ACTIONS(2280),
    [anon_sym_point] = ACTIONS(2280),
    [anon_sym_line] = ACTIONS(2280),
    [anon_sym_triangleadj] = ACTIONS(2280),
    [anon_sym_lineadj] = ACTIONS(2280),
    [anon_sym_triangle] = ACTIONS(2280),
    [anon_sym_cbuffer] = ACTIONS(2280),
  },
  [1053] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4781),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8211),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1054] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4894),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8207),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1055] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4857),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8107),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1056] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4809),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8481),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1057] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4787),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8785),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1058] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4873),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8446),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1059] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4901),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8142),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1060] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4925),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8584),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1061] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4828),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8103),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1062] = {
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_LPAREN2] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym___extension__] = ACTIONS(2177),
    [anon_sym_typedef] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2177),
    [anon_sym_out] = ACTIONS(2177),
    [anon_sym_inout] = ACTIONS(2177),
    [anon_sym_virtual] = ACTIONS(2177),
    [anon_sym_extern] = ACTIONS(2177),
    [anon_sym___attribute__] = ACTIONS(2177),
    [anon_sym___attribute] = ACTIONS(2177),
    [anon_sym_COLON_COLON] = ACTIONS(2179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2179),
    [anon_sym___declspec] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_signed] = ACTIONS(2177),
    [anon_sym_unsigned] = ACTIONS(2177),
    [anon_sym_long] = ACTIONS(2177),
    [anon_sym_short] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_register] = ACTIONS(2177),
    [anon_sym_inline] = ACTIONS(2177),
    [anon_sym___inline] = ACTIONS(2177),
    [anon_sym___inline__] = ACTIONS(2177),
    [anon_sym___forceinline] = ACTIONS(2177),
    [anon_sym_thread_local] = ACTIONS(2177),
    [anon_sym___thread] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_constexpr] = ACTIONS(2177),
    [anon_sym_volatile] = ACTIONS(2177),
    [anon_sym_restrict] = ACTIONS(2177),
    [anon_sym___restrict__] = ACTIONS(2177),
    [anon_sym__Atomic] = ACTIONS(2177),
    [anon_sym__Noreturn] = ACTIONS(2177),
    [anon_sym_noreturn] = ACTIONS(2177),
    [anon_sym__Nonnull] = ACTIONS(2177),
    [anon_sym_mutable] = ACTIONS(2177),
    [anon_sym_constinit] = ACTIONS(2177),
    [anon_sym_consteval] = ACTIONS(2177),
    [anon_sym_alignas] = ACTIONS(2177),
    [anon_sym__Alignas] = ACTIONS(2177),
    [sym_primitive_type] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_struct] = ACTIONS(2177),
    [anon_sym_union] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym___try] = ACTIONS(2177),
    [anon_sym___leave] = ACTIONS(2177),
    [anon_sym_not] = ACTIONS(2177),
    [anon_sym_compl] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_sizeof] = ACTIONS(2177),
    [anon_sym___alignof__] = ACTIONS(2177),
    [anon_sym___alignof] = ACTIONS(2177),
    [anon_sym__alignof] = ACTIONS(2177),
    [anon_sym_alignof] = ACTIONS(2177),
    [anon_sym__Alignof] = ACTIONS(2177),
    [anon_sym_offsetof] = ACTIONS(2177),
    [anon_sym__Generic] = ACTIONS(2177),
    [anon_sym_asm] = ACTIONS(2177),
    [anon_sym___asm__] = ACTIONS(2177),
    [anon_sym___asm] = ACTIONS(2177),
    [sym_number_literal] = ACTIONS(2179),
    [anon_sym_L_SQUOTE] = ACTIONS(2179),
    [anon_sym_u_SQUOTE] = ACTIONS(2179),
    [anon_sym_U_SQUOTE] = ACTIONS(2179),
    [anon_sym_u8_SQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_L_DQUOTE] = ACTIONS(2179),
    [anon_sym_u_DQUOTE] = ACTIONS(2179),
    [anon_sym_U_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8_DQUOTE] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2177),
    [anon_sym_nullptr] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2177),
    [anon_sym_decltype] = ACTIONS(2177),
    [anon_sym_typename] = ACTIONS(2177),
    [anon_sym_template] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_co_return] = ACTIONS(2177),
    [anon_sym_co_yield] = ACTIONS(2177),
    [anon_sym_R_DQUOTE] = ACTIONS(2179),
    [anon_sym_LR_DQUOTE] = ACTIONS(2179),
    [anon_sym_uR_DQUOTE] = ACTIONS(2179),
    [anon_sym_UR_DQUOTE] = ACTIONS(2179),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2179),
    [anon_sym_co_await] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_requires] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [anon_sym_discard] = ACTIONS(2177),
    [anon_sym_precise] = ACTIONS(2177),
    [anon_sym_shared] = ACTIONS(2177),
    [anon_sym_groupshared] = ACTIONS(2177),
    [anon_sym_uniform] = ACTIONS(2177),
    [anon_sym_row_major] = ACTIONS(2177),
    [anon_sym_column_major] = ACTIONS(2177),
    [anon_sym_globallycoherent] = ACTIONS(2177),
    [anon_sym_centroid] = ACTIONS(2177),
    [anon_sym_noperspective] = ACTIONS(2177),
    [anon_sym_nointerpolation] = ACTIONS(2177),
    [anon_sym_sample] = ACTIONS(2177),
    [anon_sym_linear] = ACTIONS(2177),
    [anon_sym_snorm] = ACTIONS(2177),
    [anon_sym_unorm] = ACTIONS(2177),
    [anon_sym_point] = ACTIONS(2177),
    [anon_sym_line] = ACTIONS(2177),
    [anon_sym_triangleadj] = ACTIONS(2177),
    [anon_sym_lineadj] = ACTIONS(2177),
    [anon_sym_triangle] = ACTIONS(2177),
    [anon_sym_cbuffer] = ACTIONS(2177),
  },
  [1063] = {
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym___extension__] = ACTIONS(2213),
    [anon_sym_typedef] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2213),
    [anon_sym_out] = ACTIONS(2213),
    [anon_sym_inout] = ACTIONS(2213),
    [anon_sym_virtual] = ACTIONS(2213),
    [anon_sym_extern] = ACTIONS(2213),
    [anon_sym___attribute__] = ACTIONS(2213),
    [anon_sym___attribute] = ACTIONS(2213),
    [anon_sym_COLON_COLON] = ACTIONS(2215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2215),
    [anon_sym___declspec] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_signed] = ACTIONS(2213),
    [anon_sym_unsigned] = ACTIONS(2213),
    [anon_sym_long] = ACTIONS(2213),
    [anon_sym_short] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_register] = ACTIONS(2213),
    [anon_sym_inline] = ACTIONS(2213),
    [anon_sym___inline] = ACTIONS(2213),
    [anon_sym___inline__] = ACTIONS(2213),
    [anon_sym___forceinline] = ACTIONS(2213),
    [anon_sym_thread_local] = ACTIONS(2213),
    [anon_sym___thread] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_constexpr] = ACTIONS(2213),
    [anon_sym_volatile] = ACTIONS(2213),
    [anon_sym_restrict] = ACTIONS(2213),
    [anon_sym___restrict__] = ACTIONS(2213),
    [anon_sym__Atomic] = ACTIONS(2213),
    [anon_sym__Noreturn] = ACTIONS(2213),
    [anon_sym_noreturn] = ACTIONS(2213),
    [anon_sym__Nonnull] = ACTIONS(2213),
    [anon_sym_mutable] = ACTIONS(2213),
    [anon_sym_constinit] = ACTIONS(2213),
    [anon_sym_consteval] = ACTIONS(2213),
    [anon_sym_alignas] = ACTIONS(2213),
    [anon_sym__Alignas] = ACTIONS(2213),
    [sym_primitive_type] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_struct] = ACTIONS(2213),
    [anon_sym_union] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym___try] = ACTIONS(2213),
    [anon_sym___leave] = ACTIONS(2213),
    [anon_sym_not] = ACTIONS(2213),
    [anon_sym_compl] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_sizeof] = ACTIONS(2213),
    [anon_sym___alignof__] = ACTIONS(2213),
    [anon_sym___alignof] = ACTIONS(2213),
    [anon_sym__alignof] = ACTIONS(2213),
    [anon_sym_alignof] = ACTIONS(2213),
    [anon_sym__Alignof] = ACTIONS(2213),
    [anon_sym_offsetof] = ACTIONS(2213),
    [anon_sym__Generic] = ACTIONS(2213),
    [anon_sym_asm] = ACTIONS(2213),
    [anon_sym___asm__] = ACTIONS(2213),
    [anon_sym___asm] = ACTIONS(2213),
    [sym_number_literal] = ACTIONS(2215),
    [anon_sym_L_SQUOTE] = ACTIONS(2215),
    [anon_sym_u_SQUOTE] = ACTIONS(2215),
    [anon_sym_U_SQUOTE] = ACTIONS(2215),
    [anon_sym_u8_SQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [anon_sym_L_DQUOTE] = ACTIONS(2215),
    [anon_sym_u_DQUOTE] = ACTIONS(2215),
    [anon_sym_U_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8_DQUOTE] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [anon_sym_NULL] = ACTIONS(2213),
    [anon_sym_nullptr] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2213),
    [anon_sym_decltype] = ACTIONS(2213),
    [anon_sym_typename] = ACTIONS(2213),
    [anon_sym_template] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_co_return] = ACTIONS(2213),
    [anon_sym_co_yield] = ACTIONS(2213),
    [anon_sym_R_DQUOTE] = ACTIONS(2215),
    [anon_sym_LR_DQUOTE] = ACTIONS(2215),
    [anon_sym_uR_DQUOTE] = ACTIONS(2215),
    [anon_sym_UR_DQUOTE] = ACTIONS(2215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2215),
    [anon_sym_co_await] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_requires] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [anon_sym_discard] = ACTIONS(2213),
    [anon_sym_precise] = ACTIONS(2213),
    [anon_sym_shared] = ACTIONS(2213),
    [anon_sym_groupshared] = ACTIONS(2213),
    [anon_sym_uniform] = ACTIONS(2213),
    [anon_sym_row_major] = ACTIONS(2213),
    [anon_sym_column_major] = ACTIONS(2213),
    [anon_sym_globallycoherent] = ACTIONS(2213),
    [anon_sym_centroid] = ACTIONS(2213),
    [anon_sym_noperspective] = ACTIONS(2213),
    [anon_sym_nointerpolation] = ACTIONS(2213),
    [anon_sym_sample] = ACTIONS(2213),
    [anon_sym_linear] = ACTIONS(2213),
    [anon_sym_snorm] = ACTIONS(2213),
    [anon_sym_unorm] = ACTIONS(2213),
    [anon_sym_point] = ACTIONS(2213),
    [anon_sym_line] = ACTIONS(2213),
    [anon_sym_triangleadj] = ACTIONS(2213),
    [anon_sym_lineadj] = ACTIONS(2213),
    [anon_sym_triangle] = ACTIONS(2213),
    [anon_sym_cbuffer] = ACTIONS(2213),
  },
  [1064] = {
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_LPAREN2] = ACTIONS(2183),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_AMP] = ACTIONS(2183),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym___extension__] = ACTIONS(2181),
    [anon_sym_typedef] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(2181),
    [anon_sym_out] = ACTIONS(2181),
    [anon_sym_inout] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(2181),
    [anon_sym_extern] = ACTIONS(2181),
    [anon_sym___attribute__] = ACTIONS(2181),
    [anon_sym___attribute] = ACTIONS(2181),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2183),
    [anon_sym___declspec] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_signed] = ACTIONS(2181),
    [anon_sym_unsigned] = ACTIONS(2181),
    [anon_sym_long] = ACTIONS(2181),
    [anon_sym_short] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_register] = ACTIONS(2181),
    [anon_sym_inline] = ACTIONS(2181),
    [anon_sym___inline] = ACTIONS(2181),
    [anon_sym___inline__] = ACTIONS(2181),
    [anon_sym___forceinline] = ACTIONS(2181),
    [anon_sym_thread_local] = ACTIONS(2181),
    [anon_sym___thread] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_constexpr] = ACTIONS(2181),
    [anon_sym_volatile] = ACTIONS(2181),
    [anon_sym_restrict] = ACTIONS(2181),
    [anon_sym___restrict__] = ACTIONS(2181),
    [anon_sym__Atomic] = ACTIONS(2181),
    [anon_sym__Noreturn] = ACTIONS(2181),
    [anon_sym_noreturn] = ACTIONS(2181),
    [anon_sym__Nonnull] = ACTIONS(2181),
    [anon_sym_mutable] = ACTIONS(2181),
    [anon_sym_constinit] = ACTIONS(2181),
    [anon_sym_consteval] = ACTIONS(2181),
    [anon_sym_alignas] = ACTIONS(2181),
    [anon_sym__Alignas] = ACTIONS(2181),
    [sym_primitive_type] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_struct] = ACTIONS(2181),
    [anon_sym_union] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym___try] = ACTIONS(2181),
    [anon_sym___leave] = ACTIONS(2181),
    [anon_sym_not] = ACTIONS(2181),
    [anon_sym_compl] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_sizeof] = ACTIONS(2181),
    [anon_sym___alignof__] = ACTIONS(2181),
    [anon_sym___alignof] = ACTIONS(2181),
    [anon_sym__alignof] = ACTIONS(2181),
    [anon_sym_alignof] = ACTIONS(2181),
    [anon_sym__Alignof] = ACTIONS(2181),
    [anon_sym_offsetof] = ACTIONS(2181),
    [anon_sym__Generic] = ACTIONS(2181),
    [anon_sym_asm] = ACTIONS(2181),
    [anon_sym___asm__] = ACTIONS(2181),
    [anon_sym___asm] = ACTIONS(2181),
    [sym_number_literal] = ACTIONS(2183),
    [anon_sym_L_SQUOTE] = ACTIONS(2183),
    [anon_sym_u_SQUOTE] = ACTIONS(2183),
    [anon_sym_U_SQUOTE] = ACTIONS(2183),
    [anon_sym_u8_SQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [anon_sym_L_DQUOTE] = ACTIONS(2183),
    [anon_sym_u_DQUOTE] = ACTIONS(2183),
    [anon_sym_U_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8_DQUOTE] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [anon_sym_NULL] = ACTIONS(2181),
    [anon_sym_nullptr] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2181),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_co_return] = ACTIONS(2181),
    [anon_sym_co_yield] = ACTIONS(2181),
    [anon_sym_R_DQUOTE] = ACTIONS(2183),
    [anon_sym_LR_DQUOTE] = ACTIONS(2183),
    [anon_sym_uR_DQUOTE] = ACTIONS(2183),
    [anon_sym_UR_DQUOTE] = ACTIONS(2183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2183),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_requires] = ACTIONS(2181),
    [sym_this] = ACTIONS(2181),
    [anon_sym_discard] = ACTIONS(2181),
    [anon_sym_precise] = ACTIONS(2181),
    [anon_sym_shared] = ACTIONS(2181),
    [anon_sym_groupshared] = ACTIONS(2181),
    [anon_sym_uniform] = ACTIONS(2181),
    [anon_sym_row_major] = ACTIONS(2181),
    [anon_sym_column_major] = ACTIONS(2181),
    [anon_sym_globallycoherent] = ACTIONS(2181),
    [anon_sym_centroid] = ACTIONS(2181),
    [anon_sym_noperspective] = ACTIONS(2181),
    [anon_sym_nointerpolation] = ACTIONS(2181),
    [anon_sym_sample] = ACTIONS(2181),
    [anon_sym_linear] = ACTIONS(2181),
    [anon_sym_snorm] = ACTIONS(2181),
    [anon_sym_unorm] = ACTIONS(2181),
    [anon_sym_point] = ACTIONS(2181),
    [anon_sym_line] = ACTIONS(2181),
    [anon_sym_triangleadj] = ACTIONS(2181),
    [anon_sym_lineadj] = ACTIONS(2181),
    [anon_sym_triangle] = ACTIONS(2181),
    [anon_sym_cbuffer] = ACTIONS(2181),
  },
  [1065] = {
    [sym_identifier] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym___try] = ACTIONS(2201),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2201),
    [anon_sym_compl] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2201),
    [anon_sym___alignof] = ACTIONS(2201),
    [anon_sym__alignof] = ACTIONS(2201),
    [anon_sym_alignof] = ACTIONS(2201),
    [anon_sym__Alignof] = ACTIONS(2201),
    [anon_sym_offsetof] = ACTIONS(2201),
    [anon_sym__Generic] = ACTIONS(2201),
    [anon_sym_asm] = ACTIONS(2201),
    [anon_sym___asm__] = ACTIONS(2201),
    [anon_sym___asm] = ACTIONS(2201),
    [sym_number_literal] = ACTIONS(2203),
    [anon_sym_L_SQUOTE] = ACTIONS(2203),
    [anon_sym_u_SQUOTE] = ACTIONS(2203),
    [anon_sym_U_SQUOTE] = ACTIONS(2203),
    [anon_sym_u8_SQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_L_DQUOTE] = ACTIONS(2203),
    [anon_sym_u_DQUOTE] = ACTIONS(2203),
    [anon_sym_U_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8_DQUOTE] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [anon_sym_NULL] = ACTIONS(2201),
    [anon_sym_nullptr] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_co_return] = ACTIONS(2201),
    [anon_sym_co_yield] = ACTIONS(2201),
    [anon_sym_R_DQUOTE] = ACTIONS(2203),
    [anon_sym_LR_DQUOTE] = ACTIONS(2203),
    [anon_sym_uR_DQUOTE] = ACTIONS(2203),
    [anon_sym_UR_DQUOTE] = ACTIONS(2203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2203),
    [anon_sym_co_await] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_requires] = ACTIONS(2201),
    [sym_this] = ACTIONS(2201),
    [anon_sym_discard] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
    [anon_sym_cbuffer] = ACTIONS(2201),
  },
  [1066] = {
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym___extension__] = ACTIONS(2334),
    [anon_sym_typedef] = ACTIONS(2334),
    [anon_sym_in] = ACTIONS(2334),
    [anon_sym_out] = ACTIONS(2334),
    [anon_sym_inout] = ACTIONS(2334),
    [anon_sym_virtual] = ACTIONS(2334),
    [anon_sym_extern] = ACTIONS(2334),
    [anon_sym___attribute__] = ACTIONS(2334),
    [anon_sym___attribute] = ACTIONS(2334),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2336),
    [anon_sym___declspec] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_signed] = ACTIONS(2334),
    [anon_sym_unsigned] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_register] = ACTIONS(2334),
    [anon_sym_inline] = ACTIONS(2334),
    [anon_sym___inline] = ACTIONS(2334),
    [anon_sym___inline__] = ACTIONS(2334),
    [anon_sym___forceinline] = ACTIONS(2334),
    [anon_sym_thread_local] = ACTIONS(2334),
    [anon_sym___thread] = ACTIONS(2334),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_mutable] = ACTIONS(2334),
    [anon_sym_constinit] = ACTIONS(2334),
    [anon_sym_consteval] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2334),
    [anon_sym__Alignas] = ACTIONS(2334),
    [sym_primitive_type] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_struct] = ACTIONS(2334),
    [anon_sym_union] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_goto] = ACTIONS(2334),
    [anon_sym___try] = ACTIONS(2334),
    [anon_sym___leave] = ACTIONS(2334),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_compl] = ACTIONS(2334),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2334),
    [anon_sym___alignof] = ACTIONS(2334),
    [anon_sym__alignof] = ACTIONS(2334),
    [anon_sym_alignof] = ACTIONS(2334),
    [anon_sym__Alignof] = ACTIONS(2334),
    [anon_sym_offsetof] = ACTIONS(2334),
    [anon_sym__Generic] = ACTIONS(2334),
    [anon_sym_asm] = ACTIONS(2334),
    [anon_sym___asm__] = ACTIONS(2334),
    [anon_sym___asm] = ACTIONS(2334),
    [sym_number_literal] = ACTIONS(2336),
    [anon_sym_L_SQUOTE] = ACTIONS(2336),
    [anon_sym_u_SQUOTE] = ACTIONS(2336),
    [anon_sym_U_SQUOTE] = ACTIONS(2336),
    [anon_sym_u8_SQUOTE] = ACTIONS(2336),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [anon_sym_NULL] = ACTIONS(2334),
    [anon_sym_nullptr] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2334),
    [anon_sym_decltype] = ACTIONS(2334),
    [anon_sym_typename] = ACTIONS(2334),
    [anon_sym_template] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_delete] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_co_return] = ACTIONS(2334),
    [anon_sym_co_yield] = ACTIONS(2334),
    [anon_sym_R_DQUOTE] = ACTIONS(2336),
    [anon_sym_LR_DQUOTE] = ACTIONS(2336),
    [anon_sym_uR_DQUOTE] = ACTIONS(2336),
    [anon_sym_UR_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2336),
    [anon_sym_co_await] = ACTIONS(2334),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_requires] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [anon_sym_discard] = ACTIONS(2334),
    [anon_sym_precise] = ACTIONS(2334),
    [anon_sym_shared] = ACTIONS(2334),
    [anon_sym_groupshared] = ACTIONS(2334),
    [anon_sym_uniform] = ACTIONS(2334),
    [anon_sym_row_major] = ACTIONS(2334),
    [anon_sym_column_major] = ACTIONS(2334),
    [anon_sym_globallycoherent] = ACTIONS(2334),
    [anon_sym_centroid] = ACTIONS(2334),
    [anon_sym_noperspective] = ACTIONS(2334),
    [anon_sym_nointerpolation] = ACTIONS(2334),
    [anon_sym_sample] = ACTIONS(2334),
    [anon_sym_linear] = ACTIONS(2334),
    [anon_sym_snorm] = ACTIONS(2334),
    [anon_sym_unorm] = ACTIONS(2334),
    [anon_sym_point] = ACTIONS(2334),
    [anon_sym_line] = ACTIONS(2334),
    [anon_sym_triangleadj] = ACTIONS(2334),
    [anon_sym_lineadj] = ACTIONS(2334),
    [anon_sym_triangle] = ACTIONS(2334),
    [anon_sym_cbuffer] = ACTIONS(2334),
  },
  [1067] = {
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_LPAREN2] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym___extension__] = ACTIONS(2330),
    [anon_sym_typedef] = ACTIONS(2330),
    [anon_sym_in] = ACTIONS(2330),
    [anon_sym_out] = ACTIONS(2330),
    [anon_sym_inout] = ACTIONS(2330),
    [anon_sym_virtual] = ACTIONS(2330),
    [anon_sym_extern] = ACTIONS(2330),
    [anon_sym___attribute__] = ACTIONS(2330),
    [anon_sym___attribute] = ACTIONS(2330),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2332),
    [anon_sym___declspec] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_signed] = ACTIONS(2330),
    [anon_sym_unsigned] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_register] = ACTIONS(2330),
    [anon_sym_inline] = ACTIONS(2330),
    [anon_sym___inline] = ACTIONS(2330),
    [anon_sym___inline__] = ACTIONS(2330),
    [anon_sym___forceinline] = ACTIONS(2330),
    [anon_sym_thread_local] = ACTIONS(2330),
    [anon_sym___thread] = ACTIONS(2330),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_constexpr] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_restrict] = ACTIONS(2330),
    [anon_sym___restrict__] = ACTIONS(2330),
    [anon_sym__Atomic] = ACTIONS(2330),
    [anon_sym__Noreturn] = ACTIONS(2330),
    [anon_sym_noreturn] = ACTIONS(2330),
    [anon_sym__Nonnull] = ACTIONS(2330),
    [anon_sym_mutable] = ACTIONS(2330),
    [anon_sym_constinit] = ACTIONS(2330),
    [anon_sym_consteval] = ACTIONS(2330),
    [anon_sym_alignas] = ACTIONS(2330),
    [anon_sym__Alignas] = ACTIONS(2330),
    [sym_primitive_type] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_struct] = ACTIONS(2330),
    [anon_sym_union] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_goto] = ACTIONS(2330),
    [anon_sym___try] = ACTIONS(2330),
    [anon_sym___leave] = ACTIONS(2330),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_compl] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_sizeof] = ACTIONS(2330),
    [anon_sym___alignof__] = ACTIONS(2330),
    [anon_sym___alignof] = ACTIONS(2330),
    [anon_sym__alignof] = ACTIONS(2330),
    [anon_sym_alignof] = ACTIONS(2330),
    [anon_sym__Alignof] = ACTIONS(2330),
    [anon_sym_offsetof] = ACTIONS(2330),
    [anon_sym__Generic] = ACTIONS(2330),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [anon_sym___asm] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2332),
    [anon_sym_u_SQUOTE] = ACTIONS(2332),
    [anon_sym_U_SQUOTE] = ACTIONS(2332),
    [anon_sym_u8_SQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_L_DQUOTE] = ACTIONS(2332),
    [anon_sym_u_DQUOTE] = ACTIONS(2332),
    [anon_sym_U_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8_DQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [anon_sym_NULL] = ACTIONS(2330),
    [anon_sym_nullptr] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2330),
    [anon_sym_decltype] = ACTIONS(2330),
    [anon_sym_typename] = ACTIONS(2330),
    [anon_sym_template] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_delete] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2330),
    [anon_sym_R_DQUOTE] = ACTIONS(2332),
    [anon_sym_LR_DQUOTE] = ACTIONS(2332),
    [anon_sym_uR_DQUOTE] = ACTIONS(2332),
    [anon_sym_UR_DQUOTE] = ACTIONS(2332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2332),
    [anon_sym_co_await] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [anon_sym_discard] = ACTIONS(2330),
    [anon_sym_precise] = ACTIONS(2330),
    [anon_sym_shared] = ACTIONS(2330),
    [anon_sym_groupshared] = ACTIONS(2330),
    [anon_sym_uniform] = ACTIONS(2330),
    [anon_sym_row_major] = ACTIONS(2330),
    [anon_sym_column_major] = ACTIONS(2330),
    [anon_sym_globallycoherent] = ACTIONS(2330),
    [anon_sym_centroid] = ACTIONS(2330),
    [anon_sym_noperspective] = ACTIONS(2330),
    [anon_sym_nointerpolation] = ACTIONS(2330),
    [anon_sym_sample] = ACTIONS(2330),
    [anon_sym_linear] = ACTIONS(2330),
    [anon_sym_snorm] = ACTIONS(2330),
    [anon_sym_unorm] = ACTIONS(2330),
    [anon_sym_point] = ACTIONS(2330),
    [anon_sym_line] = ACTIONS(2330),
    [anon_sym_triangleadj] = ACTIONS(2330),
    [anon_sym_lineadj] = ACTIONS(2330),
    [anon_sym_triangle] = ACTIONS(2330),
    [anon_sym_cbuffer] = ACTIONS(2330),
  },
  [1068] = {
    [sym_identifier] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_TILDE] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2270),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2268),
    [anon_sym_typedef] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2268),
    [anon_sym_out] = ACTIONS(2268),
    [anon_sym_inout] = ACTIONS(2268),
    [anon_sym_virtual] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym___attribute__] = ACTIONS(2268),
    [anon_sym___attribute] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2270),
    [anon_sym___declspec] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2268),
    [anon_sym_unsigned] = ACTIONS(2268),
    [anon_sym_long] = ACTIONS(2268),
    [anon_sym_short] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_register] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2268),
    [anon_sym___inline] = ACTIONS(2268),
    [anon_sym___inline__] = ACTIONS(2268),
    [anon_sym___forceinline] = ACTIONS(2268),
    [anon_sym_thread_local] = ACTIONS(2268),
    [anon_sym___thread] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_constexpr] = ACTIONS(2268),
    [anon_sym_volatile] = ACTIONS(2268),
    [anon_sym_restrict] = ACTIONS(2268),
    [anon_sym___restrict__] = ACTIONS(2268),
    [anon_sym__Atomic] = ACTIONS(2268),
    [anon_sym__Noreturn] = ACTIONS(2268),
    [anon_sym_noreturn] = ACTIONS(2268),
    [anon_sym__Nonnull] = ACTIONS(2268),
    [anon_sym_mutable] = ACTIONS(2268),
    [anon_sym_constinit] = ACTIONS(2268),
    [anon_sym_consteval] = ACTIONS(2268),
    [anon_sym_alignas] = ACTIONS(2268),
    [anon_sym__Alignas] = ACTIONS(2268),
    [sym_primitive_type] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_else] = ACTIONS(2268),
    [anon_sym_switch] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_goto] = ACTIONS(2268),
    [anon_sym___try] = ACTIONS(2268),
    [anon_sym___leave] = ACTIONS(2268),
    [anon_sym_not] = ACTIONS(2268),
    [anon_sym_compl] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_sizeof] = ACTIONS(2268),
    [anon_sym___alignof__] = ACTIONS(2268),
    [anon_sym___alignof] = ACTIONS(2268),
    [anon_sym__alignof] = ACTIONS(2268),
    [anon_sym_alignof] = ACTIONS(2268),
    [anon_sym__Alignof] = ACTIONS(2268),
    [anon_sym_offsetof] = ACTIONS(2268),
    [anon_sym__Generic] = ACTIONS(2268),
    [anon_sym_asm] = ACTIONS(2268),
    [anon_sym___asm__] = ACTIONS(2268),
    [anon_sym___asm] = ACTIONS(2268),
    [sym_number_literal] = ACTIONS(2270),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2270),
    [anon_sym_u_DQUOTE] = ACTIONS(2270),
    [anon_sym_U_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8_DQUOTE] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [sym_true] = ACTIONS(2268),
    [sym_false] = ACTIONS(2268),
    [anon_sym_NULL] = ACTIONS(2268),
    [anon_sym_nullptr] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2268),
    [anon_sym_decltype] = ACTIONS(2268),
    [anon_sym_typename] = ACTIONS(2268),
    [anon_sym_template] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_throw] = ACTIONS(2268),
    [anon_sym_co_return] = ACTIONS(2268),
    [anon_sym_co_yield] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2268),
    [anon_sym_requires] = ACTIONS(2268),
    [sym_this] = ACTIONS(2268),
    [anon_sym_discard] = ACTIONS(2268),
    [anon_sym_precise] = ACTIONS(2268),
    [anon_sym_shared] = ACTIONS(2268),
    [anon_sym_groupshared] = ACTIONS(2268),
    [anon_sym_uniform] = ACTIONS(2268),
    [anon_sym_row_major] = ACTIONS(2268),
    [anon_sym_column_major] = ACTIONS(2268),
    [anon_sym_globallycoherent] = ACTIONS(2268),
    [anon_sym_centroid] = ACTIONS(2268),
    [anon_sym_noperspective] = ACTIONS(2268),
    [anon_sym_nointerpolation] = ACTIONS(2268),
    [anon_sym_sample] = ACTIONS(2268),
    [anon_sym_linear] = ACTIONS(2268),
    [anon_sym_snorm] = ACTIONS(2268),
    [anon_sym_unorm] = ACTIONS(2268),
    [anon_sym_point] = ACTIONS(2268),
    [anon_sym_line] = ACTIONS(2268),
    [anon_sym_triangleadj] = ACTIONS(2268),
    [anon_sym_lineadj] = ACTIONS(2268),
    [anon_sym_triangle] = ACTIONS(2268),
    [anon_sym_cbuffer] = ACTIONS(2268),
  },
  [1069] = {
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_LPAREN2] = ACTIONS(2191),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_AMP] = ACTIONS(2191),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_typedef] = ACTIONS(2189),
    [anon_sym_in] = ACTIONS(2189),
    [anon_sym_out] = ACTIONS(2189),
    [anon_sym_inout] = ACTIONS(2189),
    [anon_sym_virtual] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_COLON_COLON] = ACTIONS(2191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2191),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_signed] = ACTIONS(2189),
    [anon_sym_unsigned] = ACTIONS(2189),
    [anon_sym_long] = ACTIONS(2189),
    [anon_sym_short] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_mutable] = ACTIONS(2189),
    [anon_sym_constinit] = ACTIONS(2189),
    [anon_sym_consteval] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [sym_primitive_type] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_union] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym___try] = ACTIONS(2189),
    [anon_sym___leave] = ACTIONS(2189),
    [anon_sym_not] = ACTIONS(2189),
    [anon_sym_compl] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_sizeof] = ACTIONS(2189),
    [anon_sym___alignof__] = ACTIONS(2189),
    [anon_sym___alignof] = ACTIONS(2189),
    [anon_sym__alignof] = ACTIONS(2189),
    [anon_sym_alignof] = ACTIONS(2189),
    [anon_sym__Alignof] = ACTIONS(2189),
    [anon_sym_offsetof] = ACTIONS(2189),
    [anon_sym__Generic] = ACTIONS(2189),
    [anon_sym_asm] = ACTIONS(2189),
    [anon_sym___asm__] = ACTIONS(2189),
    [anon_sym___asm] = ACTIONS(2189),
    [sym_number_literal] = ACTIONS(2191),
    [anon_sym_L_SQUOTE] = ACTIONS(2191),
    [anon_sym_u_SQUOTE] = ACTIONS(2191),
    [anon_sym_U_SQUOTE] = ACTIONS(2191),
    [anon_sym_u8_SQUOTE] = ACTIONS(2191),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(2191),
    [anon_sym_u_DQUOTE] = ACTIONS(2191),
    [anon_sym_U_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8_DQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2191),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [anon_sym_NULL] = ACTIONS(2189),
    [anon_sym_nullptr] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2189),
    [anon_sym_decltype] = ACTIONS(2189),
    [anon_sym_typename] = ACTIONS(2189),
    [anon_sym_template] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_co_return] = ACTIONS(2189),
    [anon_sym_co_yield] = ACTIONS(2189),
    [anon_sym_R_DQUOTE] = ACTIONS(2191),
    [anon_sym_LR_DQUOTE] = ACTIONS(2191),
    [anon_sym_uR_DQUOTE] = ACTIONS(2191),
    [anon_sym_UR_DQUOTE] = ACTIONS(2191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2191),
    [anon_sym_co_await] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2189),
    [sym_this] = ACTIONS(2189),
    [anon_sym_discard] = ACTIONS(2189),
    [anon_sym_precise] = ACTIONS(2189),
    [anon_sym_shared] = ACTIONS(2189),
    [anon_sym_groupshared] = ACTIONS(2189),
    [anon_sym_uniform] = ACTIONS(2189),
    [anon_sym_row_major] = ACTIONS(2189),
    [anon_sym_column_major] = ACTIONS(2189),
    [anon_sym_globallycoherent] = ACTIONS(2189),
    [anon_sym_centroid] = ACTIONS(2189),
    [anon_sym_noperspective] = ACTIONS(2189),
    [anon_sym_nointerpolation] = ACTIONS(2189),
    [anon_sym_sample] = ACTIONS(2189),
    [anon_sym_linear] = ACTIONS(2189),
    [anon_sym_snorm] = ACTIONS(2189),
    [anon_sym_unorm] = ACTIONS(2189),
    [anon_sym_point] = ACTIONS(2189),
    [anon_sym_line] = ACTIONS(2189),
    [anon_sym_triangleadj] = ACTIONS(2189),
    [anon_sym_lineadj] = ACTIONS(2189),
    [anon_sym_triangle] = ACTIONS(2189),
    [anon_sym_cbuffer] = ACTIONS(2189),
  },
  [1070] = {
    [sym_type_qualifier] = STATE(4091),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(4900),
    [sym_sized_type_specifier] = STATE(2545),
    [sym_enum_specifier] = STATE(2545),
    [sym_struct_specifier] = STATE(2545),
    [sym_union_specifier] = STATE(2545),
    [sym_expression] = STATE(4774),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_type_descriptor] = STATE(8429),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_placeholder_type_specifier] = STATE(2545),
    [sym_decltype_auto] = STATE(2517),
    [sym_decltype] = STATE(2478),
    [sym_class_specifier] = STATE(2545),
    [sym__class_name] = STATE(7970),
    [sym_dependent_type] = STATE(2545),
    [sym_template_type] = STATE(5500),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5822),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(5511),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym__type_definition_type_repeat1] = STATE(4091),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4377),
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2041),
    [anon_sym_unsigned] = ACTIONS(2041),
    [anon_sym_long] = ACTIONS(2041),
    [anon_sym_short] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(2047),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_struct] = ACTIONS(2051),
    [anon_sym_union] = ACTIONS(2053),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2077),
    [anon_sym_decltype] = ACTIONS(2079),
    [anon_sym_typename] = ACTIONS(2081),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1071] = {
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2272),
    [anon_sym_typedef] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2272),
    [anon_sym_out] = ACTIONS(2272),
    [anon_sym_inout] = ACTIONS(2272),
    [anon_sym_virtual] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym___attribute__] = ACTIONS(2272),
    [anon_sym___attribute] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2274),
    [anon_sym___declspec] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2272),
    [anon_sym_unsigned] = ACTIONS(2272),
    [anon_sym_long] = ACTIONS(2272),
    [anon_sym_short] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_register] = ACTIONS(2272),
    [anon_sym_inline] = ACTIONS(2272),
    [anon_sym___inline] = ACTIONS(2272),
    [anon_sym___inline__] = ACTIONS(2272),
    [anon_sym___forceinline] = ACTIONS(2272),
    [anon_sym_thread_local] = ACTIONS(2272),
    [anon_sym___thread] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_constexpr] = ACTIONS(2272),
    [anon_sym_volatile] = ACTIONS(2272),
    [anon_sym_restrict] = ACTIONS(2272),
    [anon_sym___restrict__] = ACTIONS(2272),
    [anon_sym__Atomic] = ACTIONS(2272),
    [anon_sym__Noreturn] = ACTIONS(2272),
    [anon_sym_noreturn] = ACTIONS(2272),
    [anon_sym__Nonnull] = ACTIONS(2272),
    [anon_sym_mutable] = ACTIONS(2272),
    [anon_sym_constinit] = ACTIONS(2272),
    [anon_sym_consteval] = ACTIONS(2272),
    [anon_sym_alignas] = ACTIONS(2272),
    [anon_sym__Alignas] = ACTIONS(2272),
    [sym_primitive_type] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_goto] = ACTIONS(2272),
    [anon_sym___try] = ACTIONS(2272),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_compl] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2272),
    [anon_sym___alignof] = ACTIONS(2272),
    [anon_sym__alignof] = ACTIONS(2272),
    [anon_sym_alignof] = ACTIONS(2272),
    [anon_sym__Alignof] = ACTIONS(2272),
    [anon_sym_offsetof] = ACTIONS(2272),
    [anon_sym__Generic] = ACTIONS(2272),
    [anon_sym_asm] = ACTIONS(2272),
    [anon_sym___asm__] = ACTIONS(2272),
    [anon_sym___asm] = ACTIONS(2272),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2274),
    [anon_sym_u_DQUOTE] = ACTIONS(2274),
    [anon_sym_U_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8_DQUOTE] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [anon_sym_NULL] = ACTIONS(2272),
    [anon_sym_nullptr] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2272),
    [anon_sym_decltype] = ACTIONS(2272),
    [anon_sym_typename] = ACTIONS(2272),
    [anon_sym_template] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2272),
    [anon_sym_co_yield] = ACTIONS(2272),
    [anon_sym_R_DQUOTE] = ACTIONS(2274),
    [anon_sym_LR_DQUOTE] = ACTIONS(2274),
    [anon_sym_uR_DQUOTE] = ACTIONS(2274),
    [anon_sym_UR_DQUOTE] = ACTIONS(2274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2274),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_requires] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [anon_sym_discard] = ACTIONS(2272),
    [anon_sym_precise] = ACTIONS(2272),
    [anon_sym_shared] = ACTIONS(2272),
    [anon_sym_groupshared] = ACTIONS(2272),
    [anon_sym_uniform] = ACTIONS(2272),
    [anon_sym_row_major] = ACTIONS(2272),
    [anon_sym_column_major] = ACTIONS(2272),
    [anon_sym_globallycoherent] = ACTIONS(2272),
    [anon_sym_centroid] = ACTIONS(2272),
    [anon_sym_noperspective] = ACTIONS(2272),
    [anon_sym_nointerpolation] = ACTIONS(2272),
    [anon_sym_sample] = ACTIONS(2272),
    [anon_sym_linear] = ACTIONS(2272),
    [anon_sym_snorm] = ACTIONS(2272),
    [anon_sym_unorm] = ACTIONS(2272),
    [anon_sym_point] = ACTIONS(2272),
    [anon_sym_line] = ACTIONS(2272),
    [anon_sym_triangleadj] = ACTIONS(2272),
    [anon_sym_lineadj] = ACTIONS(2272),
    [anon_sym_triangle] = ACTIONS(2272),
    [anon_sym_cbuffer] = ACTIONS(2272),
  },
  [1072] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1217),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4072),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4128),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4091),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym___cdecl] = ACTIONS(4068),
    [anon_sym___clrcall] = ACTIONS(4068),
    [anon_sym___stdcall] = ACTIONS(4068),
    [anon_sym___fastcall] = ACTIONS(4068),
    [anon_sym___thiscall] = ACTIONS(4068),
    [anon_sym___vectorcall] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4096),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1073] = {
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_LPAREN2] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym___extension__] = ACTIONS(2342),
    [anon_sym_typedef] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2342),
    [anon_sym_out] = ACTIONS(2342),
    [anon_sym_inout] = ACTIONS(2342),
    [anon_sym_virtual] = ACTIONS(2342),
    [anon_sym_extern] = ACTIONS(2342),
    [anon_sym___attribute__] = ACTIONS(2342),
    [anon_sym___attribute] = ACTIONS(2342),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2344),
    [anon_sym___declspec] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_signed] = ACTIONS(2342),
    [anon_sym_unsigned] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_register] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2342),
    [anon_sym___inline] = ACTIONS(2342),
    [anon_sym___inline__] = ACTIONS(2342),
    [anon_sym___forceinline] = ACTIONS(2342),
    [anon_sym_thread_local] = ACTIONS(2342),
    [anon_sym___thread] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_constexpr] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_restrict] = ACTIONS(2342),
    [anon_sym___restrict__] = ACTIONS(2342),
    [anon_sym__Atomic] = ACTIONS(2342),
    [anon_sym__Noreturn] = ACTIONS(2342),
    [anon_sym_noreturn] = ACTIONS(2342),
    [anon_sym__Nonnull] = ACTIONS(2342),
    [anon_sym_mutable] = ACTIONS(2342),
    [anon_sym_constinit] = ACTIONS(2342),
    [anon_sym_consteval] = ACTIONS(2342),
    [anon_sym_alignas] = ACTIONS(2342),
    [anon_sym__Alignas] = ACTIONS(2342),
    [sym_primitive_type] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_struct] = ACTIONS(2342),
    [anon_sym_union] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_goto] = ACTIONS(2342),
    [anon_sym___try] = ACTIONS(2342),
    [anon_sym___leave] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(2342),
    [anon_sym_compl] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_sizeof] = ACTIONS(2342),
    [anon_sym___alignof__] = ACTIONS(2342),
    [anon_sym___alignof] = ACTIONS(2342),
    [anon_sym__alignof] = ACTIONS(2342),
    [anon_sym_alignof] = ACTIONS(2342),
    [anon_sym__Alignof] = ACTIONS(2342),
    [anon_sym_offsetof] = ACTIONS(2342),
    [anon_sym__Generic] = ACTIONS(2342),
    [anon_sym_asm] = ACTIONS(2342),
    [anon_sym___asm__] = ACTIONS(2342),
    [anon_sym___asm] = ACTIONS(2342),
    [sym_number_literal] = ACTIONS(2344),
    [anon_sym_L_SQUOTE] = ACTIONS(2344),
    [anon_sym_u_SQUOTE] = ACTIONS(2344),
    [anon_sym_U_SQUOTE] = ACTIONS(2344),
    [anon_sym_u8_SQUOTE] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym_L_DQUOTE] = ACTIONS(2344),
    [anon_sym_u_DQUOTE] = ACTIONS(2344),
    [anon_sym_U_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8_DQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [anon_sym_NULL] = ACTIONS(2342),
    [anon_sym_nullptr] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2342),
    [anon_sym_decltype] = ACTIONS(2342),
    [anon_sym_typename] = ACTIONS(2342),
    [anon_sym_template] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_co_return] = ACTIONS(2342),
    [anon_sym_co_yield] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_requires] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [anon_sym_discard] = ACTIONS(2342),
    [anon_sym_precise] = ACTIONS(2342),
    [anon_sym_shared] = ACTIONS(2342),
    [anon_sym_groupshared] = ACTIONS(2342),
    [anon_sym_uniform] = ACTIONS(2342),
    [anon_sym_row_major] = ACTIONS(2342),
    [anon_sym_column_major] = ACTIONS(2342),
    [anon_sym_globallycoherent] = ACTIONS(2342),
    [anon_sym_centroid] = ACTIONS(2342),
    [anon_sym_noperspective] = ACTIONS(2342),
    [anon_sym_nointerpolation] = ACTIONS(2342),
    [anon_sym_sample] = ACTIONS(2342),
    [anon_sym_linear] = ACTIONS(2342),
    [anon_sym_snorm] = ACTIONS(2342),
    [anon_sym_unorm] = ACTIONS(2342),
    [anon_sym_point] = ACTIONS(2342),
    [anon_sym_line] = ACTIONS(2342),
    [anon_sym_triangleadj] = ACTIONS(2342),
    [anon_sym_lineadj] = ACTIONS(2342),
    [anon_sym_triangle] = ACTIONS(2342),
    [anon_sym_cbuffer] = ACTIONS(2342),
  },
  [1074] = {
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_LPAREN2] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym___extension__] = ACTIONS(2155),
    [anon_sym_typedef] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2155),
    [anon_sym_out] = ACTIONS(2155),
    [anon_sym_inout] = ACTIONS(2155),
    [anon_sym_virtual] = ACTIONS(2155),
    [anon_sym_extern] = ACTIONS(2155),
    [anon_sym___attribute__] = ACTIONS(2155),
    [anon_sym___attribute] = ACTIONS(2155),
    [anon_sym_COLON_COLON] = ACTIONS(2157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2157),
    [anon_sym___declspec] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_signed] = ACTIONS(2155),
    [anon_sym_unsigned] = ACTIONS(2155),
    [anon_sym_long] = ACTIONS(2155),
    [anon_sym_short] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_register] = ACTIONS(2155),
    [anon_sym_inline] = ACTIONS(2155),
    [anon_sym___inline] = ACTIONS(2155),
    [anon_sym___inline__] = ACTIONS(2155),
    [anon_sym___forceinline] = ACTIONS(2155),
    [anon_sym_thread_local] = ACTIONS(2155),
    [anon_sym___thread] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_constexpr] = ACTIONS(2155),
    [anon_sym_volatile] = ACTIONS(2155),
    [anon_sym_restrict] = ACTIONS(2155),
    [anon_sym___restrict__] = ACTIONS(2155),
    [anon_sym__Atomic] = ACTIONS(2155),
    [anon_sym__Noreturn] = ACTIONS(2155),
    [anon_sym_noreturn] = ACTIONS(2155),
    [anon_sym__Nonnull] = ACTIONS(2155),
    [anon_sym_mutable] = ACTIONS(2155),
    [anon_sym_constinit] = ACTIONS(2155),
    [anon_sym_consteval] = ACTIONS(2155),
    [anon_sym_alignas] = ACTIONS(2155),
    [anon_sym__Alignas] = ACTIONS(2155),
    [sym_primitive_type] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_struct] = ACTIONS(2155),
    [anon_sym_union] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_goto] = ACTIONS(2155),
    [anon_sym___try] = ACTIONS(2155),
    [anon_sym___leave] = ACTIONS(2155),
    [anon_sym_not] = ACTIONS(2155),
    [anon_sym_compl] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_sizeof] = ACTIONS(2155),
    [anon_sym___alignof__] = ACTIONS(2155),
    [anon_sym___alignof] = ACTIONS(2155),
    [anon_sym__alignof] = ACTIONS(2155),
    [anon_sym_alignof] = ACTIONS(2155),
    [anon_sym__Alignof] = ACTIONS(2155),
    [anon_sym_offsetof] = ACTIONS(2155),
    [anon_sym__Generic] = ACTIONS(2155),
    [anon_sym_asm] = ACTIONS(2155),
    [anon_sym___asm__] = ACTIONS(2155),
    [anon_sym___asm] = ACTIONS(2155),
    [sym_number_literal] = ACTIONS(2157),
    [anon_sym_L_SQUOTE] = ACTIONS(2157),
    [anon_sym_u_SQUOTE] = ACTIONS(2157),
    [anon_sym_U_SQUOTE] = ACTIONS(2157),
    [anon_sym_u8_SQUOTE] = ACTIONS(2157),
    [anon_sym_SQUOTE] = ACTIONS(2157),
    [anon_sym_L_DQUOTE] = ACTIONS(2157),
    [anon_sym_u_DQUOTE] = ACTIONS(2157),
    [anon_sym_U_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8_DQUOTE] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2157),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [anon_sym_NULL] = ACTIONS(2155),
    [anon_sym_nullptr] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2155),
    [anon_sym_decltype] = ACTIONS(2155),
    [anon_sym_typename] = ACTIONS(2155),
    [anon_sym_template] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_co_return] = ACTIONS(2155),
    [anon_sym_co_yield] = ACTIONS(2155),
    [anon_sym_R_DQUOTE] = ACTIONS(2157),
    [anon_sym_LR_DQUOTE] = ACTIONS(2157),
    [anon_sym_uR_DQUOTE] = ACTIONS(2157),
    [anon_sym_UR_DQUOTE] = ACTIONS(2157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2157),
    [anon_sym_co_await] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [anon_sym_discard] = ACTIONS(2155),
    [anon_sym_precise] = ACTIONS(2155),
    [anon_sym_shared] = ACTIONS(2155),
    [anon_sym_groupshared] = ACTIONS(2155),
    [anon_sym_uniform] = ACTIONS(2155),
    [anon_sym_row_major] = ACTIONS(2155),
    [anon_sym_column_major] = ACTIONS(2155),
    [anon_sym_globallycoherent] = ACTIONS(2155),
    [anon_sym_centroid] = ACTIONS(2155),
    [anon_sym_noperspective] = ACTIONS(2155),
    [anon_sym_nointerpolation] = ACTIONS(2155),
    [anon_sym_sample] = ACTIONS(2155),
    [anon_sym_linear] = ACTIONS(2155),
    [anon_sym_snorm] = ACTIONS(2155),
    [anon_sym_unorm] = ACTIONS(2155),
    [anon_sym_point] = ACTIONS(2155),
    [anon_sym_line] = ACTIONS(2155),
    [anon_sym_triangleadj] = ACTIONS(2155),
    [anon_sym_lineadj] = ACTIONS(2155),
    [anon_sym_triangle] = ACTIONS(2155),
    [anon_sym_cbuffer] = ACTIONS(2155),
  },
  [1075] = {
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2286),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2284),
    [anon_sym_typedef] = ACTIONS(2284),
    [anon_sym_in] = ACTIONS(2284),
    [anon_sym_out] = ACTIONS(2284),
    [anon_sym_inout] = ACTIONS(2284),
    [anon_sym_virtual] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym___attribute__] = ACTIONS(2284),
    [anon_sym___attribute] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2286),
    [anon_sym___declspec] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2284),
    [anon_sym_unsigned] = ACTIONS(2284),
    [anon_sym_long] = ACTIONS(2284),
    [anon_sym_short] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_register] = ACTIONS(2284),
    [anon_sym_inline] = ACTIONS(2284),
    [anon_sym___inline] = ACTIONS(2284),
    [anon_sym___inline__] = ACTIONS(2284),
    [anon_sym___forceinline] = ACTIONS(2284),
    [anon_sym_thread_local] = ACTIONS(2284),
    [anon_sym___thread] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_constexpr] = ACTIONS(2284),
    [anon_sym_volatile] = ACTIONS(2284),
    [anon_sym_restrict] = ACTIONS(2284),
    [anon_sym___restrict__] = ACTIONS(2284),
    [anon_sym__Atomic] = ACTIONS(2284),
    [anon_sym__Noreturn] = ACTIONS(2284),
    [anon_sym_noreturn] = ACTIONS(2284),
    [anon_sym__Nonnull] = ACTIONS(2284),
    [anon_sym_mutable] = ACTIONS(2284),
    [anon_sym_constinit] = ACTIONS(2284),
    [anon_sym_consteval] = ACTIONS(2284),
    [anon_sym_alignas] = ACTIONS(2284),
    [anon_sym__Alignas] = ACTIONS(2284),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_else] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym___try] = ACTIONS(2284),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2284),
    [anon_sym_compl] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2286),
    [anon_sym_PLUS_PLUS] = ACTIONS(2286),
    [anon_sym_sizeof] = ACTIONS(2284),
    [anon_sym___alignof__] = ACTIONS(2284),
    [anon_sym___alignof] = ACTIONS(2284),
    [anon_sym__alignof] = ACTIONS(2284),
    [anon_sym_alignof] = ACTIONS(2284),
    [anon_sym__Alignof] = ACTIONS(2284),
    [anon_sym_offsetof] = ACTIONS(2284),
    [anon_sym__Generic] = ACTIONS(2284),
    [anon_sym_asm] = ACTIONS(2284),
    [anon_sym___asm__] = ACTIONS(2284),
    [anon_sym___asm] = ACTIONS(2284),
    [sym_number_literal] = ACTIONS(2286),
    [anon_sym_L_SQUOTE] = ACTIONS(2286),
    [anon_sym_u_SQUOTE] = ACTIONS(2286),
    [anon_sym_U_SQUOTE] = ACTIONS(2286),
    [anon_sym_u8_SQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2286),
    [anon_sym_L_DQUOTE] = ACTIONS(2286),
    [anon_sym_u_DQUOTE] = ACTIONS(2286),
    [anon_sym_U_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8_DQUOTE] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [anon_sym_NULL] = ACTIONS(2284),
    [anon_sym_nullptr] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2284),
    [anon_sym_decltype] = ACTIONS(2284),
    [anon_sym_typename] = ACTIONS(2284),
    [anon_sym_template] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_throw] = ACTIONS(2284),
    [anon_sym_co_return] = ACTIONS(2284),
    [anon_sym_co_yield] = ACTIONS(2284),
    [anon_sym_R_DQUOTE] = ACTIONS(2286),
    [anon_sym_LR_DQUOTE] = ACTIONS(2286),
    [anon_sym_uR_DQUOTE] = ACTIONS(2286),
    [anon_sym_UR_DQUOTE] = ACTIONS(2286),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2286),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2284),
    [anon_sym_requires] = ACTIONS(2284),
    [sym_this] = ACTIONS(2284),
    [anon_sym_discard] = ACTIONS(2284),
    [anon_sym_precise] = ACTIONS(2284),
    [anon_sym_shared] = ACTIONS(2284),
    [anon_sym_groupshared] = ACTIONS(2284),
    [anon_sym_uniform] = ACTIONS(2284),
    [anon_sym_row_major] = ACTIONS(2284),
    [anon_sym_column_major] = ACTIONS(2284),
    [anon_sym_globallycoherent] = ACTIONS(2284),
    [anon_sym_centroid] = ACTIONS(2284),
    [anon_sym_noperspective] = ACTIONS(2284),
    [anon_sym_nointerpolation] = ACTIONS(2284),
    [anon_sym_sample] = ACTIONS(2284),
    [anon_sym_linear] = ACTIONS(2284),
    [anon_sym_snorm] = ACTIONS(2284),
    [anon_sym_unorm] = ACTIONS(2284),
    [anon_sym_point] = ACTIONS(2284),
    [anon_sym_line] = ACTIONS(2284),
    [anon_sym_triangleadj] = ACTIONS(2284),
    [anon_sym_lineadj] = ACTIONS(2284),
    [anon_sym_triangle] = ACTIONS(2284),
    [anon_sym_cbuffer] = ACTIONS(2284),
  },
  [1076] = {
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_LPAREN2] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym___extension__] = ACTIONS(2197),
    [anon_sym_typedef] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2197),
    [anon_sym_out] = ACTIONS(2197),
    [anon_sym_inout] = ACTIONS(2197),
    [anon_sym_virtual] = ACTIONS(2197),
    [anon_sym_extern] = ACTIONS(2197),
    [anon_sym___attribute__] = ACTIONS(2197),
    [anon_sym___attribute] = ACTIONS(2197),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2199),
    [anon_sym___declspec] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_signed] = ACTIONS(2197),
    [anon_sym_unsigned] = ACTIONS(2197),
    [anon_sym_long] = ACTIONS(2197),
    [anon_sym_short] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_register] = ACTIONS(2197),
    [anon_sym_inline] = ACTIONS(2197),
    [anon_sym___inline] = ACTIONS(2197),
    [anon_sym___inline__] = ACTIONS(2197),
    [anon_sym___forceinline] = ACTIONS(2197),
    [anon_sym_thread_local] = ACTIONS(2197),
    [anon_sym___thread] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_constexpr] = ACTIONS(2197),
    [anon_sym_volatile] = ACTIONS(2197),
    [anon_sym_restrict] = ACTIONS(2197),
    [anon_sym___restrict__] = ACTIONS(2197),
    [anon_sym__Atomic] = ACTIONS(2197),
    [anon_sym__Noreturn] = ACTIONS(2197),
    [anon_sym_noreturn] = ACTIONS(2197),
    [anon_sym__Nonnull] = ACTIONS(2197),
    [anon_sym_mutable] = ACTIONS(2197),
    [anon_sym_constinit] = ACTIONS(2197),
    [anon_sym_consteval] = ACTIONS(2197),
    [anon_sym_alignas] = ACTIONS(2197),
    [anon_sym__Alignas] = ACTIONS(2197),
    [sym_primitive_type] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_struct] = ACTIONS(2197),
    [anon_sym_union] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym___try] = ACTIONS(2197),
    [anon_sym___leave] = ACTIONS(2197),
    [anon_sym_not] = ACTIONS(2197),
    [anon_sym_compl] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_sizeof] = ACTIONS(2197),
    [anon_sym___alignof__] = ACTIONS(2197),
    [anon_sym___alignof] = ACTIONS(2197),
    [anon_sym__alignof] = ACTIONS(2197),
    [anon_sym_alignof] = ACTIONS(2197),
    [anon_sym__Alignof] = ACTIONS(2197),
    [anon_sym_offsetof] = ACTIONS(2197),
    [anon_sym__Generic] = ACTIONS(2197),
    [anon_sym_asm] = ACTIONS(2197),
    [anon_sym___asm__] = ACTIONS(2197),
    [anon_sym___asm] = ACTIONS(2197),
    [sym_number_literal] = ACTIONS(2199),
    [anon_sym_L_SQUOTE] = ACTIONS(2199),
    [anon_sym_u_SQUOTE] = ACTIONS(2199),
    [anon_sym_U_SQUOTE] = ACTIONS(2199),
    [anon_sym_u8_SQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_L_DQUOTE] = ACTIONS(2199),
    [anon_sym_u_DQUOTE] = ACTIONS(2199),
    [anon_sym_U_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8_DQUOTE] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [anon_sym_NULL] = ACTIONS(2197),
    [anon_sym_nullptr] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2197),
    [anon_sym_decltype] = ACTIONS(2197),
    [anon_sym_typename] = ACTIONS(2197),
    [anon_sym_template] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_co_return] = ACTIONS(2197),
    [anon_sym_co_yield] = ACTIONS(2197),
    [anon_sym_R_DQUOTE] = ACTIONS(2199),
    [anon_sym_LR_DQUOTE] = ACTIONS(2199),
    [anon_sym_uR_DQUOTE] = ACTIONS(2199),
    [anon_sym_UR_DQUOTE] = ACTIONS(2199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2199),
    [anon_sym_co_await] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_requires] = ACTIONS(2197),
    [sym_this] = ACTIONS(2197),
    [anon_sym_discard] = ACTIONS(2197),
    [anon_sym_precise] = ACTIONS(2197),
    [anon_sym_shared] = ACTIONS(2197),
    [anon_sym_groupshared] = ACTIONS(2197),
    [anon_sym_uniform] = ACTIONS(2197),
    [anon_sym_row_major] = ACTIONS(2197),
    [anon_sym_column_major] = ACTIONS(2197),
    [anon_sym_globallycoherent] = ACTIONS(2197),
    [anon_sym_centroid] = ACTIONS(2197),
    [anon_sym_noperspective] = ACTIONS(2197),
    [anon_sym_nointerpolation] = ACTIONS(2197),
    [anon_sym_sample] = ACTIONS(2197),
    [anon_sym_linear] = ACTIONS(2197),
    [anon_sym_snorm] = ACTIONS(2197),
    [anon_sym_unorm] = ACTIONS(2197),
    [anon_sym_point] = ACTIONS(2197),
    [anon_sym_line] = ACTIONS(2197),
    [anon_sym_triangleadj] = ACTIONS(2197),
    [anon_sym_lineadj] = ACTIONS(2197),
    [anon_sym_triangle] = ACTIONS(2197),
    [anon_sym_cbuffer] = ACTIONS(2197),
  },
  [1077] = {
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_LPAREN2] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2133),
    [anon_sym_AMP] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym___extension__] = ACTIONS(2131),
    [anon_sym_typedef] = ACTIONS(2131),
    [anon_sym_in] = ACTIONS(2131),
    [anon_sym_out] = ACTIONS(2131),
    [anon_sym_inout] = ACTIONS(2131),
    [anon_sym_virtual] = ACTIONS(2131),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_mutable] = ACTIONS(2131),
    [anon_sym_constinit] = ACTIONS(2131),
    [anon_sym_consteval] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_goto] = ACTIONS(2131),
    [anon_sym___try] = ACTIONS(2131),
    [anon_sym___leave] = ACTIONS(2131),
    [anon_sym_not] = ACTIONS(2131),
    [anon_sym_compl] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_sizeof] = ACTIONS(2131),
    [anon_sym___alignof__] = ACTIONS(2131),
    [anon_sym___alignof] = ACTIONS(2131),
    [anon_sym__alignof] = ACTIONS(2131),
    [anon_sym_alignof] = ACTIONS(2131),
    [anon_sym__Alignof] = ACTIONS(2131),
    [anon_sym_offsetof] = ACTIONS(2131),
    [anon_sym__Generic] = ACTIONS(2131),
    [anon_sym_asm] = ACTIONS(2131),
    [anon_sym___asm__] = ACTIONS(2131),
    [anon_sym___asm] = ACTIONS(2131),
    [sym_number_literal] = ACTIONS(2133),
    [anon_sym_L_SQUOTE] = ACTIONS(2133),
    [anon_sym_u_SQUOTE] = ACTIONS(2133),
    [anon_sym_U_SQUOTE] = ACTIONS(2133),
    [anon_sym_u8_SQUOTE] = ACTIONS(2133),
    [anon_sym_SQUOTE] = ACTIONS(2133),
    [anon_sym_L_DQUOTE] = ACTIONS(2133),
    [anon_sym_u_DQUOTE] = ACTIONS(2133),
    [anon_sym_U_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8_DQUOTE] = ACTIONS(2133),
    [anon_sym_DQUOTE] = ACTIONS(2133),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [anon_sym_NULL] = ACTIONS(2131),
    [anon_sym_nullptr] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2131),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2131),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_co_return] = ACTIONS(2131),
    [anon_sym_co_yield] = ACTIONS(2131),
    [anon_sym_R_DQUOTE] = ACTIONS(2133),
    [anon_sym_LR_DQUOTE] = ACTIONS(2133),
    [anon_sym_uR_DQUOTE] = ACTIONS(2133),
    [anon_sym_UR_DQUOTE] = ACTIONS(2133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2133),
    [anon_sym_co_await] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_requires] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [anon_sym_discard] = ACTIONS(2131),
    [anon_sym_precise] = ACTIONS(2131),
    [anon_sym_shared] = ACTIONS(2131),
    [anon_sym_groupshared] = ACTIONS(2131),
    [anon_sym_uniform] = ACTIONS(2131),
    [anon_sym_row_major] = ACTIONS(2131),
    [anon_sym_column_major] = ACTIONS(2131),
    [anon_sym_globallycoherent] = ACTIONS(2131),
    [anon_sym_centroid] = ACTIONS(2131),
    [anon_sym_noperspective] = ACTIONS(2131),
    [anon_sym_nointerpolation] = ACTIONS(2131),
    [anon_sym_sample] = ACTIONS(2131),
    [anon_sym_linear] = ACTIONS(2131),
    [anon_sym_snorm] = ACTIONS(2131),
    [anon_sym_unorm] = ACTIONS(2131),
    [anon_sym_point] = ACTIONS(2131),
    [anon_sym_line] = ACTIONS(2131),
    [anon_sym_triangleadj] = ACTIONS(2131),
    [anon_sym_lineadj] = ACTIONS(2131),
    [anon_sym_triangle] = ACTIONS(2131),
    [anon_sym_cbuffer] = ACTIONS(2131),
  },
  [1078] = {
    [sym_identifier] = ACTIONS(2151),
    [anon_sym_LPAREN2] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(2153),
    [anon_sym_AMP] = ACTIONS(2153),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym___extension__] = ACTIONS(2151),
    [anon_sym_typedef] = ACTIONS(2151),
    [anon_sym_in] = ACTIONS(2151),
    [anon_sym_out] = ACTIONS(2151),
    [anon_sym_inout] = ACTIONS(2151),
    [anon_sym_virtual] = ACTIONS(2151),
    [anon_sym_extern] = ACTIONS(2151),
    [anon_sym___attribute__] = ACTIONS(2151),
    [anon_sym___attribute] = ACTIONS(2151),
    [anon_sym_COLON_COLON] = ACTIONS(2153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2153),
    [anon_sym___declspec] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_signed] = ACTIONS(2151),
    [anon_sym_unsigned] = ACTIONS(2151),
    [anon_sym_long] = ACTIONS(2151),
    [anon_sym_short] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [anon_sym_static] = ACTIONS(2151),
    [anon_sym_register] = ACTIONS(2151),
    [anon_sym_inline] = ACTIONS(2151),
    [anon_sym___inline] = ACTIONS(2151),
    [anon_sym___inline__] = ACTIONS(2151),
    [anon_sym___forceinline] = ACTIONS(2151),
    [anon_sym_thread_local] = ACTIONS(2151),
    [anon_sym___thread] = ACTIONS(2151),
    [anon_sym_const] = ACTIONS(2151),
    [anon_sym_constexpr] = ACTIONS(2151),
    [anon_sym_volatile] = ACTIONS(2151),
    [anon_sym_restrict] = ACTIONS(2151),
    [anon_sym___restrict__] = ACTIONS(2151),
    [anon_sym__Atomic] = ACTIONS(2151),
    [anon_sym__Noreturn] = ACTIONS(2151),
    [anon_sym_noreturn] = ACTIONS(2151),
    [anon_sym__Nonnull] = ACTIONS(2151),
    [anon_sym_mutable] = ACTIONS(2151),
    [anon_sym_constinit] = ACTIONS(2151),
    [anon_sym_consteval] = ACTIONS(2151),
    [anon_sym_alignas] = ACTIONS(2151),
    [anon_sym__Alignas] = ACTIONS(2151),
    [sym_primitive_type] = ACTIONS(2151),
    [anon_sym_enum] = ACTIONS(2151),
    [anon_sym_class] = ACTIONS(2151),
    [anon_sym_struct] = ACTIONS(2151),
    [anon_sym_union] = ACTIONS(2151),
    [anon_sym_if] = ACTIONS(2151),
    [anon_sym_else] = ACTIONS(2151),
    [anon_sym_switch] = ACTIONS(2151),
    [anon_sym_while] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2151),
    [anon_sym_for] = ACTIONS(2151),
    [anon_sym_return] = ACTIONS(2151),
    [anon_sym_break] = ACTIONS(2151),
    [anon_sym_continue] = ACTIONS(2151),
    [anon_sym_goto] = ACTIONS(2151),
    [anon_sym___try] = ACTIONS(2151),
    [anon_sym___leave] = ACTIONS(2151),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_sizeof] = ACTIONS(2151),
    [anon_sym___alignof__] = ACTIONS(2151),
    [anon_sym___alignof] = ACTIONS(2151),
    [anon_sym__alignof] = ACTIONS(2151),
    [anon_sym_alignof] = ACTIONS(2151),
    [anon_sym__Alignof] = ACTIONS(2151),
    [anon_sym_offsetof] = ACTIONS(2151),
    [anon_sym__Generic] = ACTIONS(2151),
    [anon_sym_asm] = ACTIONS(2151),
    [anon_sym___asm__] = ACTIONS(2151),
    [anon_sym___asm] = ACTIONS(2151),
    [sym_number_literal] = ACTIONS(2153),
    [anon_sym_L_SQUOTE] = ACTIONS(2153),
    [anon_sym_u_SQUOTE] = ACTIONS(2153),
    [anon_sym_U_SQUOTE] = ACTIONS(2153),
    [anon_sym_u8_SQUOTE] = ACTIONS(2153),
    [anon_sym_SQUOTE] = ACTIONS(2153),
    [anon_sym_L_DQUOTE] = ACTIONS(2153),
    [anon_sym_u_DQUOTE] = ACTIONS(2153),
    [anon_sym_U_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8_DQUOTE] = ACTIONS(2153),
    [anon_sym_DQUOTE] = ACTIONS(2153),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2151),
    [anon_sym_nullptr] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2151),
    [anon_sym_decltype] = ACTIONS(2151),
    [anon_sym_typename] = ACTIONS(2151),
    [anon_sym_template] = ACTIONS(2151),
    [anon_sym_try] = ACTIONS(2151),
    [anon_sym_delete] = ACTIONS(2151),
    [anon_sym_throw] = ACTIONS(2151),
    [anon_sym_co_return] = ACTIONS(2151),
    [anon_sym_co_yield] = ACTIONS(2151),
    [anon_sym_R_DQUOTE] = ACTIONS(2153),
    [anon_sym_LR_DQUOTE] = ACTIONS(2153),
    [anon_sym_uR_DQUOTE] = ACTIONS(2153),
    [anon_sym_UR_DQUOTE] = ACTIONS(2153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2153),
    [anon_sym_co_await] = ACTIONS(2151),
    [anon_sym_new] = ACTIONS(2151),
    [anon_sym_requires] = ACTIONS(2151),
    [sym_this] = ACTIONS(2151),
    [anon_sym_discard] = ACTIONS(2151),
    [anon_sym_precise] = ACTIONS(2151),
    [anon_sym_shared] = ACTIONS(2151),
    [anon_sym_groupshared] = ACTIONS(2151),
    [anon_sym_uniform] = ACTIONS(2151),
    [anon_sym_row_major] = ACTIONS(2151),
    [anon_sym_column_major] = ACTIONS(2151),
    [anon_sym_globallycoherent] = ACTIONS(2151),
    [anon_sym_centroid] = ACTIONS(2151),
    [anon_sym_noperspective] = ACTIONS(2151),
    [anon_sym_nointerpolation] = ACTIONS(2151),
    [anon_sym_sample] = ACTIONS(2151),
    [anon_sym_linear] = ACTIONS(2151),
    [anon_sym_snorm] = ACTIONS(2151),
    [anon_sym_unorm] = ACTIONS(2151),
    [anon_sym_point] = ACTIONS(2151),
    [anon_sym_line] = ACTIONS(2151),
    [anon_sym_triangleadj] = ACTIONS(2151),
    [anon_sym_lineadj] = ACTIONS(2151),
    [anon_sym_triangle] = ACTIONS(2151),
    [anon_sym_cbuffer] = ACTIONS(2151),
  },
  [1079] = {
    [sym_identifier] = ACTIONS(3769),
    [anon_sym_LPAREN2] = ACTIONS(3771),
    [anon_sym_BANG] = ACTIONS(3771),
    [anon_sym_TILDE] = ACTIONS(3771),
    [anon_sym_DASH] = ACTIONS(3769),
    [anon_sym_PLUS] = ACTIONS(3769),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_AMP] = ACTIONS(3771),
    [anon_sym_SEMI] = ACTIONS(3771),
    [anon_sym___extension__] = ACTIONS(3769),
    [anon_sym_in] = ACTIONS(3769),
    [anon_sym_out] = ACTIONS(3769),
    [anon_sym_inout] = ACTIONS(3769),
    [anon_sym_virtual] = ACTIONS(3769),
    [anon_sym_extern] = ACTIONS(3769),
    [anon_sym___attribute__] = ACTIONS(3769),
    [anon_sym___attribute] = ACTIONS(3769),
    [anon_sym_COLON_COLON] = ACTIONS(3771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3771),
    [anon_sym___declspec] = ACTIONS(3769),
    [anon_sym_LBRACE] = ACTIONS(3771),
    [anon_sym_signed] = ACTIONS(3769),
    [anon_sym_unsigned] = ACTIONS(3769),
    [anon_sym_long] = ACTIONS(3769),
    [anon_sym_short] = ACTIONS(3769),
    [anon_sym_LBRACK] = ACTIONS(3769),
    [anon_sym_static] = ACTIONS(3769),
    [anon_sym_register] = ACTIONS(3769),
    [anon_sym_inline] = ACTIONS(3769),
    [anon_sym___inline] = ACTIONS(3769),
    [anon_sym___inline__] = ACTIONS(3769),
    [anon_sym___forceinline] = ACTIONS(3769),
    [anon_sym_thread_local] = ACTIONS(3769),
    [anon_sym___thread] = ACTIONS(3769),
    [anon_sym_const] = ACTIONS(3769),
    [anon_sym_constexpr] = ACTIONS(3769),
    [anon_sym_volatile] = ACTIONS(3769),
    [anon_sym_restrict] = ACTIONS(3769),
    [anon_sym___restrict__] = ACTIONS(3769),
    [anon_sym__Atomic] = ACTIONS(3769),
    [anon_sym__Noreturn] = ACTIONS(3769),
    [anon_sym_noreturn] = ACTIONS(3769),
    [anon_sym__Nonnull] = ACTIONS(3769),
    [anon_sym_mutable] = ACTIONS(3769),
    [anon_sym_constinit] = ACTIONS(3769),
    [anon_sym_consteval] = ACTIONS(3769),
    [anon_sym_alignas] = ACTIONS(3769),
    [anon_sym__Alignas] = ACTIONS(3769),
    [sym_primitive_type] = ACTIONS(3769),
    [anon_sym_enum] = ACTIONS(3769),
    [anon_sym_class] = ACTIONS(3769),
    [anon_sym_struct] = ACTIONS(3769),
    [anon_sym_union] = ACTIONS(3769),
    [anon_sym_if] = ACTIONS(3769),
    [anon_sym_switch] = ACTIONS(3769),
    [anon_sym_case] = ACTIONS(3769),
    [anon_sym_default] = ACTIONS(3769),
    [anon_sym_while] = ACTIONS(3769),
    [anon_sym_do] = ACTIONS(3769),
    [anon_sym_for] = ACTIONS(3769),
    [anon_sym_return] = ACTIONS(3769),
    [anon_sym_break] = ACTIONS(3769),
    [anon_sym_continue] = ACTIONS(3769),
    [anon_sym_goto] = ACTIONS(3769),
    [anon_sym___try] = ACTIONS(3769),
    [anon_sym___leave] = ACTIONS(3769),
    [anon_sym_not] = ACTIONS(3769),
    [anon_sym_compl] = ACTIONS(3769),
    [anon_sym_DASH_DASH] = ACTIONS(3771),
    [anon_sym_PLUS_PLUS] = ACTIONS(3771),
    [anon_sym_sizeof] = ACTIONS(3769),
    [anon_sym___alignof__] = ACTIONS(3769),
    [anon_sym___alignof] = ACTIONS(3769),
    [anon_sym__alignof] = ACTIONS(3769),
    [anon_sym_alignof] = ACTIONS(3769),
    [anon_sym__Alignof] = ACTIONS(3769),
    [anon_sym_offsetof] = ACTIONS(3769),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3769),
    [anon_sym___asm__] = ACTIONS(3769),
    [anon_sym___asm] = ACTIONS(3769),
    [sym_number_literal] = ACTIONS(3771),
    [anon_sym_L_SQUOTE] = ACTIONS(3771),
    [anon_sym_u_SQUOTE] = ACTIONS(3771),
    [anon_sym_U_SQUOTE] = ACTIONS(3771),
    [anon_sym_u8_SQUOTE] = ACTIONS(3771),
    [anon_sym_SQUOTE] = ACTIONS(3771),
    [anon_sym_L_DQUOTE] = ACTIONS(3771),
    [anon_sym_u_DQUOTE] = ACTIONS(3771),
    [anon_sym_U_DQUOTE] = ACTIONS(3771),
    [anon_sym_u8_DQUOTE] = ACTIONS(3771),
    [anon_sym_DQUOTE] = ACTIONS(3771),
    [sym_true] = ACTIONS(3769),
    [sym_false] = ACTIONS(3769),
    [anon_sym_NULL] = ACTIONS(3769),
    [anon_sym_nullptr] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3769),
    [anon_sym_decltype] = ACTIONS(3769),
    [anon_sym_typename] = ACTIONS(3769),
    [anon_sym_template] = ACTIONS(3769),
    [anon_sym_try] = ACTIONS(3769),
    [anon_sym_delete] = ACTIONS(3769),
    [anon_sym_throw] = ACTIONS(3769),
    [anon_sym_co_return] = ACTIONS(3769),
    [anon_sym_co_yield] = ACTIONS(3769),
    [anon_sym_R_DQUOTE] = ACTIONS(3771),
    [anon_sym_LR_DQUOTE] = ACTIONS(3771),
    [anon_sym_uR_DQUOTE] = ACTIONS(3771),
    [anon_sym_UR_DQUOTE] = ACTIONS(3771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3771),
    [anon_sym_co_await] = ACTIONS(3769),
    [anon_sym_new] = ACTIONS(3769),
    [anon_sym_requires] = ACTIONS(3769),
    [sym_this] = ACTIONS(3769),
    [anon_sym_discard] = ACTIONS(3769),
    [anon_sym_precise] = ACTIONS(3769),
    [anon_sym_shared] = ACTIONS(3769),
    [anon_sym_groupshared] = ACTIONS(3769),
    [anon_sym_uniform] = ACTIONS(3769),
    [anon_sym_row_major] = ACTIONS(3769),
    [anon_sym_column_major] = ACTIONS(3769),
    [anon_sym_globallycoherent] = ACTIONS(3769),
    [anon_sym_centroid] = ACTIONS(3769),
    [anon_sym_noperspective] = ACTIONS(3769),
    [anon_sym_nointerpolation] = ACTIONS(3769),
    [anon_sym_sample] = ACTIONS(3769),
    [anon_sym_linear] = ACTIONS(3769),
    [anon_sym_snorm] = ACTIONS(3769),
    [anon_sym_unorm] = ACTIONS(3769),
    [anon_sym_point] = ACTIONS(3769),
    [anon_sym_line] = ACTIONS(3769),
    [anon_sym_triangleadj] = ACTIONS(3769),
    [anon_sym_lineadj] = ACTIONS(3769),
    [anon_sym_triangle] = ACTIONS(3769),
    [anon_sym_cbuffer] = ACTIONS(3769),
  },
  [1080] = {
    [sym_identifier] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_AMP] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym___extension__] = ACTIONS(2123),
    [anon_sym_typedef] = ACTIONS(2123),
    [anon_sym_in] = ACTIONS(2123),
    [anon_sym_out] = ACTIONS(2123),
    [anon_sym_inout] = ACTIONS(2123),
    [anon_sym_virtual] = ACTIONS(2123),
    [anon_sym_extern] = ACTIONS(2123),
    [anon_sym___attribute__] = ACTIONS(2123),
    [anon_sym___attribute] = ACTIONS(2123),
    [anon_sym_COLON_COLON] = ACTIONS(2125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2125),
    [anon_sym___declspec] = ACTIONS(2123),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_signed] = ACTIONS(2123),
    [anon_sym_unsigned] = ACTIONS(2123),
    [anon_sym_long] = ACTIONS(2123),
    [anon_sym_short] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_static] = ACTIONS(2123),
    [anon_sym_register] = ACTIONS(2123),
    [anon_sym_inline] = ACTIONS(2123),
    [anon_sym___inline] = ACTIONS(2123),
    [anon_sym___inline__] = ACTIONS(2123),
    [anon_sym___forceinline] = ACTIONS(2123),
    [anon_sym_thread_local] = ACTIONS(2123),
    [anon_sym___thread] = ACTIONS(2123),
    [anon_sym_const] = ACTIONS(2123),
    [anon_sym_constexpr] = ACTIONS(2123),
    [anon_sym_volatile] = ACTIONS(2123),
    [anon_sym_restrict] = ACTIONS(2123),
    [anon_sym___restrict__] = ACTIONS(2123),
    [anon_sym__Atomic] = ACTIONS(2123),
    [anon_sym__Noreturn] = ACTIONS(2123),
    [anon_sym_noreturn] = ACTIONS(2123),
    [anon_sym__Nonnull] = ACTIONS(2123),
    [anon_sym_mutable] = ACTIONS(2123),
    [anon_sym_constinit] = ACTIONS(2123),
    [anon_sym_consteval] = ACTIONS(2123),
    [anon_sym_alignas] = ACTIONS(2123),
    [anon_sym__Alignas] = ACTIONS(2123),
    [sym_primitive_type] = ACTIONS(2123),
    [anon_sym_enum] = ACTIONS(2123),
    [anon_sym_class] = ACTIONS(2123),
    [anon_sym_struct] = ACTIONS(2123),
    [anon_sym_union] = ACTIONS(2123),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(2123),
    [anon_sym_switch] = ACTIONS(2123),
    [anon_sym_while] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2123),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_return] = ACTIONS(2123),
    [anon_sym_break] = ACTIONS(2123),
    [anon_sym_continue] = ACTIONS(2123),
    [anon_sym_goto] = ACTIONS(2123),
    [anon_sym___try] = ACTIONS(2123),
    [anon_sym___leave] = ACTIONS(2123),
    [anon_sym_not] = ACTIONS(2123),
    [anon_sym_compl] = ACTIONS(2123),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_sizeof] = ACTIONS(2123),
    [anon_sym___alignof__] = ACTIONS(2123),
    [anon_sym___alignof] = ACTIONS(2123),
    [anon_sym__alignof] = ACTIONS(2123),
    [anon_sym_alignof] = ACTIONS(2123),
    [anon_sym__Alignof] = ACTIONS(2123),
    [anon_sym_offsetof] = ACTIONS(2123),
    [anon_sym__Generic] = ACTIONS(2123),
    [anon_sym_asm] = ACTIONS(2123),
    [anon_sym___asm__] = ACTIONS(2123),
    [anon_sym___asm] = ACTIONS(2123),
    [sym_number_literal] = ACTIONS(2125),
    [anon_sym_L_SQUOTE] = ACTIONS(2125),
    [anon_sym_u_SQUOTE] = ACTIONS(2125),
    [anon_sym_U_SQUOTE] = ACTIONS(2125),
    [anon_sym_u8_SQUOTE] = ACTIONS(2125),
    [anon_sym_SQUOTE] = ACTIONS(2125),
    [anon_sym_L_DQUOTE] = ACTIONS(2125),
    [anon_sym_u_DQUOTE] = ACTIONS(2125),
    [anon_sym_U_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8_DQUOTE] = ACTIONS(2125),
    [anon_sym_DQUOTE] = ACTIONS(2125),
    [sym_true] = ACTIONS(2123),
    [sym_false] = ACTIONS(2123),
    [anon_sym_NULL] = ACTIONS(2123),
    [anon_sym_nullptr] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2123),
    [anon_sym_decltype] = ACTIONS(2123),
    [anon_sym_typename] = ACTIONS(2123),
    [anon_sym_template] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2123),
    [anon_sym_delete] = ACTIONS(2123),
    [anon_sym_throw] = ACTIONS(2123),
    [anon_sym_co_return] = ACTIONS(2123),
    [anon_sym_co_yield] = ACTIONS(2123),
    [anon_sym_R_DQUOTE] = ACTIONS(2125),
    [anon_sym_LR_DQUOTE] = ACTIONS(2125),
    [anon_sym_uR_DQUOTE] = ACTIONS(2125),
    [anon_sym_UR_DQUOTE] = ACTIONS(2125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2125),
    [anon_sym_co_await] = ACTIONS(2123),
    [anon_sym_new] = ACTIONS(2123),
    [anon_sym_requires] = ACTIONS(2123),
    [sym_this] = ACTIONS(2123),
    [anon_sym_discard] = ACTIONS(2123),
    [anon_sym_precise] = ACTIONS(2123),
    [anon_sym_shared] = ACTIONS(2123),
    [anon_sym_groupshared] = ACTIONS(2123),
    [anon_sym_uniform] = ACTIONS(2123),
    [anon_sym_row_major] = ACTIONS(2123),
    [anon_sym_column_major] = ACTIONS(2123),
    [anon_sym_globallycoherent] = ACTIONS(2123),
    [anon_sym_centroid] = ACTIONS(2123),
    [anon_sym_noperspective] = ACTIONS(2123),
    [anon_sym_nointerpolation] = ACTIONS(2123),
    [anon_sym_sample] = ACTIONS(2123),
    [anon_sym_linear] = ACTIONS(2123),
    [anon_sym_snorm] = ACTIONS(2123),
    [anon_sym_unorm] = ACTIONS(2123),
    [anon_sym_point] = ACTIONS(2123),
    [anon_sym_line] = ACTIONS(2123),
    [anon_sym_triangleadj] = ACTIONS(2123),
    [anon_sym_lineadj] = ACTIONS(2123),
    [anon_sym_triangle] = ACTIONS(2123),
    [anon_sym_cbuffer] = ACTIONS(2123),
  },
  [1081] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1217),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4072),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_SEMI] = ACTIONS(4132),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4091),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym___cdecl] = ACTIONS(4068),
    [anon_sym___clrcall] = ACTIONS(4068),
    [anon_sym___stdcall] = ACTIONS(4068),
    [anon_sym___fastcall] = ACTIONS(4068),
    [anon_sym___thiscall] = ACTIONS(4068),
    [anon_sym___vectorcall] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4096),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1082] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_call_modifier] = STATE(4870),
    [sym__declarator] = STATE(6742),
    [sym__abstract_declarator] = STATE(6992),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_function_declarator] = STATE(6411),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_array_declarator] = STATE(6411),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_list] = STATE(3326),
    [sym_parameter_declaration] = STATE(7370),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7370),
    [sym_variadic_parameter_declaration] = STATE(7370),
    [sym_reference_declarator] = STATE(6411),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(2284),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5766),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_RPAREN] = ACTIONS(4136),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4142),
    [anon_sym_AMP] = ACTIONS(4144),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(2039),
    [anon_sym___clrcall] = ACTIONS(2039),
    [anon_sym___stdcall] = ACTIONS(2039),
    [anon_sym___fastcall] = ACTIONS(2039),
    [anon_sym___thiscall] = ACTIONS(2039),
    [anon_sym___vectorcall] = ACTIONS(2039),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4148),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1083] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [aux_sym_preproc_if_token2] = ACTIONS(3661),
    [aux_sym_preproc_else_token1] = ACTIONS(3661),
    [aux_sym_preproc_elif_token1] = ACTIONS(3659),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3661),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3661),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3661),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3661),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3661),
    [anon_sym_GT_GT] = ACTIONS(3661),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1084] = {
    [sym_string_literal] = STATE(2832),
    [sym_template_argument_list] = STATE(1166),
    [sym_raw_string_literal] = STATE(2832),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4083),
    [anon_sym_COMMA] = ACTIONS(4083),
    [anon_sym_RPAREN] = ACTIONS(4083),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4068),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4080),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4177),
    [anon_sym_or_eq] = ACTIONS(4177),
    [anon_sym_xor_eq] = ACTIONS(4177),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4078),
    [anon_sym_L_DQUOTE] = ACTIONS(4179),
    [anon_sym_u_DQUOTE] = ACTIONS(4179),
    [anon_sym_U_DQUOTE] = ACTIONS(4179),
    [anon_sym_u8_DQUOTE] = ACTIONS(4179),
    [anon_sym_DQUOTE] = ACTIONS(4179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4181),
    [anon_sym_LR_DQUOTE] = ACTIONS(4181),
    [anon_sym_uR_DQUOTE] = ACTIONS(4181),
    [anon_sym_UR_DQUOTE] = ACTIONS(4181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4181),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4070),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1085] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1371),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4118),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(4070),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1086] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1371),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1087] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(4185),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3661),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3661),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3661),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3661),
    [anon_sym_GT_GT] = ACTIONS(3661),
    [anon_sym_SEMI] = ACTIONS(3661),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym___attribute__] = ACTIONS(3659),
    [anon_sym___attribute] = ACTIONS(3659),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1088] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1371),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1089] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_RPAREN] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3661),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3661),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3661),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3661),
    [anon_sym_GT_GT] = ACTIONS(3661),
    [anon_sym_SEMI] = ACTIONS(3661),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(3661),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1090] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1371),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4209),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1091] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1371),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1092] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1371),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4128),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1093] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1403),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4083),
    [anon_sym_COMMA] = ACTIONS(4083),
    [anon_sym_RPAREN] = ACTIONS(4083),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4068),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4068),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1094] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(1371),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4211),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [1095] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3661),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3661),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3661),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3661),
    [anon_sym_GT_GT] = ACTIONS(3661),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [anon_sym_RBRACK] = ACTIONS(3661),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1096] = {
    [sym_expression] = STATE(4693),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(4233),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3661),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3661),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3661),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3661),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3661),
    [anon_sym_GT_GT] = ACTIONS(3661),
    [anon_sym_COLON] = ACTIONS(3659),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1097] = {
    [sym_expression] = STATE(4660),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_initializer_list] = STATE(5006),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3661),
    [anon_sym_COMMA] = ACTIONS(3661),
    [anon_sym_LPAREN2] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(3952),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(3661),
    [anon_sym_SLASH] = ACTIONS(3659),
    [anon_sym_PERCENT] = ACTIONS(3661),
    [anon_sym_PIPE_PIPE] = ACTIONS(3661),
    [anon_sym_AMP_AMP] = ACTIONS(3661),
    [anon_sym_PIPE] = ACTIONS(3659),
    [anon_sym_CARET] = ACTIONS(3661),
    [anon_sym_AMP] = ACTIONS(3659),
    [anon_sym_EQ_EQ] = ACTIONS(3661),
    [anon_sym_BANG_EQ] = ACTIONS(3661),
    [anon_sym_GT] = ACTIONS(3659),
    [anon_sym_GT_EQ] = ACTIONS(3659),
    [anon_sym_LT_EQ] = ACTIONS(3659),
    [anon_sym_LT] = ACTIONS(3659),
    [anon_sym_LT_LT] = ACTIONS(3661),
    [anon_sym_GT_GT] = ACTIONS(3659),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_LBRACK] = ACTIONS(3661),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_QMARK] = ACTIONS(3661),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_LT_EQ_GT] = ACTIONS(3661),
    [anon_sym_or] = ACTIONS(3659),
    [anon_sym_and] = ACTIONS(3659),
    [anon_sym_bitor] = ACTIONS(3659),
    [anon_sym_xor] = ACTIONS(3659),
    [anon_sym_bitand] = ACTIONS(3659),
    [anon_sym_not_eq] = ACTIONS(3659),
    [anon_sym_DASH_DASH] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3661),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [anon_sym_DOT] = ACTIONS(3659),
    [anon_sym_DOT_STAR] = ACTIONS(3661),
    [anon_sym_DASH_GT] = ACTIONS(3661),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(3661),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1098] = {
    [sym_expression] = STATE(4821),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4255),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_SLASH] = ACTIONS(4259),
    [anon_sym_PERCENT] = ACTIONS(4255),
    [anon_sym_PIPE_PIPE] = ACTIONS(4255),
    [anon_sym_AMP_AMP] = ACTIONS(4255),
    [anon_sym_PIPE] = ACTIONS(4259),
    [anon_sym_CARET] = ACTIONS(4255),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_EQ_EQ] = ACTIONS(4255),
    [anon_sym_BANG_EQ] = ACTIONS(4255),
    [anon_sym_GT] = ACTIONS(4259),
    [anon_sym_GT_EQ] = ACTIONS(4255),
    [anon_sym_LT_EQ] = ACTIONS(4259),
    [anon_sym_LT] = ACTIONS(4259),
    [anon_sym_LT_LT] = ACTIONS(4255),
    [anon_sym_GT_GT] = ACTIONS(4255),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(4255),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_QMARK] = ACTIONS(4255),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_LT_EQ_GT] = ACTIONS(4255),
    [anon_sym_or] = ACTIONS(4259),
    [anon_sym_and] = ACTIONS(4259),
    [anon_sym_bitor] = ACTIONS(4259),
    [anon_sym_xor] = ACTIONS(4259),
    [anon_sym_bitand] = ACTIONS(4259),
    [anon_sym_not_eq] = ACTIONS(4259),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(4259),
    [anon_sym_DOT_STAR] = ACTIONS(4255),
    [anon_sym_DASH_GT] = ACTIONS(4255),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1099] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1100] = {
    [sym_expression] = STATE(4609),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4263),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4266),
    [anon_sym_COLON_COLON] = ACTIONS(4269),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(4272),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1101] = {
    [sym_expression] = STATE(3426),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(4275),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(4278),
    [anon_sym_COLON_COLON] = ACTIONS(4281),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(4284),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1102] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym___cdecl] = ACTIONS(1938),
    [anon_sym___clrcall] = ACTIONS(1938),
    [anon_sym___stdcall] = ACTIONS(1938),
    [anon_sym___fastcall] = ACTIONS(1938),
    [anon_sym___thiscall] = ACTIONS(1938),
    [anon_sym___vectorcall] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_STAR_EQ] = ACTIONS(1940),
    [anon_sym_SLASH_EQ] = ACTIONS(1940),
    [anon_sym_PERCENT_EQ] = ACTIONS(1940),
    [anon_sym_PLUS_EQ] = ACTIONS(1940),
    [anon_sym_DASH_EQ] = ACTIONS(1940),
    [anon_sym_LT_LT_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_AMP_EQ] = ACTIONS(1940),
    [anon_sym_CARET_EQ] = ACTIONS(1940),
    [anon_sym_PIPE_EQ] = ACTIONS(1940),
    [anon_sym_and_eq] = ACTIONS(1938),
    [anon_sym_or_eq] = ACTIONS(1938),
    [anon_sym_xor_eq] = ACTIONS(1938),
    [anon_sym_LT_EQ_GT] = ACTIONS(1940),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [anon_sym_bitor] = ACTIONS(1938),
    [anon_sym_xor] = ACTIONS(1938),
    [anon_sym_bitand] = ACTIONS(1938),
    [anon_sym_not_eq] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_DOT_STAR] = ACTIONS(1940),
    [anon_sym_DASH_GT] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
  },
  [1103] = {
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym___cdecl] = ACTIONS(1926),
    [anon_sym___clrcall] = ACTIONS(1926),
    [anon_sym___stdcall] = ACTIONS(1926),
    [anon_sym___fastcall] = ACTIONS(1926),
    [anon_sym___thiscall] = ACTIONS(1926),
    [anon_sym___vectorcall] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_RBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_EQ] = ACTIONS(1926),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1926),
    [anon_sym_or_eq] = ACTIONS(1926),
    [anon_sym_xor_eq] = ACTIONS(1926),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
  },
  [1104] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1934),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym___cdecl] = ACTIONS(1934),
    [anon_sym___clrcall] = ACTIONS(1934),
    [anon_sym___stdcall] = ACTIONS(1934),
    [anon_sym___fastcall] = ACTIONS(1934),
    [anon_sym___thiscall] = ACTIONS(1934),
    [anon_sym___vectorcall] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_and_eq] = ACTIONS(1934),
    [anon_sym_or_eq] = ACTIONS(1934),
    [anon_sym_xor_eq] = ACTIONS(1934),
    [anon_sym_LT_EQ_GT] = ACTIONS(1936),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [anon_sym_bitor] = ACTIONS(1934),
    [anon_sym_xor] = ACTIONS(1934),
    [anon_sym_bitand] = ACTIONS(1934),
    [anon_sym_not_eq] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_DOT_STAR] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
  },
  [1105] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_PERCENT] = ACTIONS(1922),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_PIPE] = ACTIONS(1922),
    [anon_sym_CARET] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_GT] = ACTIONS(1922),
    [anon_sym_GT_EQ] = ACTIONS(1924),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_LT_LT] = ACTIONS(1922),
    [anon_sym_GT_GT] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_EQ] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [anon_sym_QMARK] = ACTIONS(1924),
    [anon_sym_STAR_EQ] = ACTIONS(1924),
    [anon_sym_SLASH_EQ] = ACTIONS(1924),
    [anon_sym_PERCENT_EQ] = ACTIONS(1924),
    [anon_sym_PLUS_EQ] = ACTIONS(1924),
    [anon_sym_DASH_EQ] = ACTIONS(1924),
    [anon_sym_LT_LT_EQ] = ACTIONS(1924),
    [anon_sym_GT_GT_EQ] = ACTIONS(1924),
    [anon_sym_AMP_EQ] = ACTIONS(1924),
    [anon_sym_CARET_EQ] = ACTIONS(1924),
    [anon_sym_PIPE_EQ] = ACTIONS(1924),
    [anon_sym_and_eq] = ACTIONS(1922),
    [anon_sym_or_eq] = ACTIONS(1922),
    [anon_sym_xor_eq] = ACTIONS(1922),
    [anon_sym_LT_EQ_GT] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_bitor] = ACTIONS(1922),
    [anon_sym_xor] = ACTIONS(1922),
    [anon_sym_bitand] = ACTIONS(1922),
    [anon_sym_not_eq] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DOT] = ACTIONS(1922),
    [anon_sym_DOT_STAR] = ACTIONS(1924),
    [anon_sym_DASH_GT] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
  },
  [1106] = {
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1930),
    [anon_sym_SLASH] = ACTIONS(1930),
    [anon_sym_PERCENT] = ACTIONS(1930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(1930),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_LT_LT] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym___cdecl] = ACTIONS(1930),
    [anon_sym___clrcall] = ACTIONS(1930),
    [anon_sym___stdcall] = ACTIONS(1930),
    [anon_sym___fastcall] = ACTIONS(1930),
    [anon_sym___thiscall] = ACTIONS(1930),
    [anon_sym___vectorcall] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_EQ] = ACTIONS(1930),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [anon_sym_QMARK] = ACTIONS(1932),
    [anon_sym_STAR_EQ] = ACTIONS(1932),
    [anon_sym_SLASH_EQ] = ACTIONS(1932),
    [anon_sym_PERCENT_EQ] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1932),
    [anon_sym_DASH_EQ] = ACTIONS(1932),
    [anon_sym_LT_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT_GT_EQ] = ACTIONS(1932),
    [anon_sym_AMP_EQ] = ACTIONS(1932),
    [anon_sym_CARET_EQ] = ACTIONS(1932),
    [anon_sym_PIPE_EQ] = ACTIONS(1932),
    [anon_sym_and_eq] = ACTIONS(1930),
    [anon_sym_or_eq] = ACTIONS(1930),
    [anon_sym_xor_eq] = ACTIONS(1930),
    [anon_sym_LT_EQ_GT] = ACTIONS(1932),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [anon_sym_bitor] = ACTIONS(1930),
    [anon_sym_xor] = ACTIONS(1930),
    [anon_sym_bitand] = ACTIONS(1930),
    [anon_sym_not_eq] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_DOT_STAR] = ACTIONS(1932),
    [anon_sym_DASH_GT] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
  },
  [1107] = {
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym___cdecl] = ACTIONS(1918),
    [anon_sym___clrcall] = ACTIONS(1918),
    [anon_sym___stdcall] = ACTIONS(1918),
    [anon_sym___fastcall] = ACTIONS(1918),
    [anon_sym___thiscall] = ACTIONS(1918),
    [anon_sym___vectorcall] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1918),
    [anon_sym_or_eq] = ACTIONS(1918),
    [anon_sym_xor_eq] = ACTIONS(1918),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
  },
  [1108] = {
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1962),
    [anon_sym_BANG_EQ] = ACTIONS(1962),
    [anon_sym_GT] = ACTIONS(1960),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym___cdecl] = ACTIONS(1960),
    [anon_sym___clrcall] = ACTIONS(1960),
    [anon_sym___stdcall] = ACTIONS(1960),
    [anon_sym___fastcall] = ACTIONS(1960),
    [anon_sym___thiscall] = ACTIONS(1960),
    [anon_sym___vectorcall] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1960),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_STAR_EQ] = ACTIONS(1962),
    [anon_sym_SLASH_EQ] = ACTIONS(1962),
    [anon_sym_PERCENT_EQ] = ACTIONS(1962),
    [anon_sym_PLUS_EQ] = ACTIONS(1962),
    [anon_sym_DASH_EQ] = ACTIONS(1962),
    [anon_sym_LT_LT_EQ] = ACTIONS(1962),
    [anon_sym_GT_GT_EQ] = ACTIONS(1962),
    [anon_sym_AMP_EQ] = ACTIONS(1962),
    [anon_sym_CARET_EQ] = ACTIONS(1962),
    [anon_sym_PIPE_EQ] = ACTIONS(1962),
    [anon_sym_and_eq] = ACTIONS(1960),
    [anon_sym_or_eq] = ACTIONS(1960),
    [anon_sym_xor_eq] = ACTIONS(1960),
    [anon_sym_LT_EQ_GT] = ACTIONS(1962),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [anon_sym_bitor] = ACTIONS(1960),
    [anon_sym_xor] = ACTIONS(1960),
    [anon_sym_bitand] = ACTIONS(1960),
    [anon_sym_not_eq] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_DOT_STAR] = ACTIONS(1962),
    [anon_sym_DASH_GT] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
  },
  [1109] = {
    [sym_template_argument_list] = STATE(1110),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4287),
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4294),
    [anon_sym_SLASH] = ACTIONS(4292),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_AMP_AMP] = ACTIONS(4289),
    [anon_sym_PIPE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4294),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_BANG_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym_SEMI] = ACTIONS(4289),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4289),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_EQ] = ACTIONS(4292),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [anon_sym_QMARK] = ACTIONS(4287),
    [anon_sym_STAR_EQ] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [anon_sym_PERCENT_EQ] = ACTIONS(4287),
    [anon_sym_PLUS_EQ] = ACTIONS(4287),
    [anon_sym_DASH_EQ] = ACTIONS(4287),
    [anon_sym_LT_LT_EQ] = ACTIONS(4287),
    [anon_sym_GT_GT_EQ] = ACTIONS(4287),
    [anon_sym_AMP_EQ] = ACTIONS(4287),
    [anon_sym_CARET_EQ] = ACTIONS(4287),
    [anon_sym_PIPE_EQ] = ACTIONS(4287),
    [anon_sym_and_eq] = ACTIONS(4292),
    [anon_sym_or_eq] = ACTIONS(4292),
    [anon_sym_xor_eq] = ACTIONS(4292),
    [anon_sym_LT_EQ_GT] = ACTIONS(4287),
    [anon_sym_or] = ACTIONS(4292),
    [anon_sym_and] = ACTIONS(4292),
    [anon_sym_bitor] = ACTIONS(4292),
    [anon_sym_xor] = ACTIONS(4292),
    [anon_sym_bitand] = ACTIONS(4292),
    [anon_sym_not_eq] = ACTIONS(4292),
    [anon_sym_DASH_DASH] = ACTIONS(4287),
    [anon_sym_PLUS_PLUS] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4292),
    [anon_sym_DOT_STAR] = ACTIONS(4287),
    [anon_sym_DASH_GT] = ACTIONS(4287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [1110] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_COMMA] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4307),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4302),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4302),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym___cdecl] = ACTIONS(2007),
    [anon_sym___clrcall] = ACTIONS(2007),
    [anon_sym___stdcall] = ACTIONS(2007),
    [anon_sym___fastcall] = ACTIONS(2007),
    [anon_sym___thiscall] = ACTIONS(2007),
    [anon_sym___vectorcall] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4300),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_and_eq] = ACTIONS(4305),
    [anon_sym_or_eq] = ACTIONS(4305),
    [anon_sym_xor_eq] = ACTIONS(4305),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4305),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4305),
    [anon_sym_not_eq] = ACTIONS(4305),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [1111] = {
    [sym_type_qualifier] = STATE(1132),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4854),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4310),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4314),
    [anon_sym_RBRACK] = ACTIONS(4316),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1112] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_ms_call_modifier] = STATE(6430),
    [sym__abstract_declarator] = STATE(6967),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_list] = STATE(3326),
    [sym_parameter_declaration] = STATE(7370),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7370),
    [sym_variadic_parameter_declaration] = STATE(7370),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_RPAREN] = ACTIONS(4136),
    [anon_sym_LPAREN2] = ACTIONS(4324),
    [anon_sym_STAR] = ACTIONS(4326),
    [anon_sym_AMP_AMP] = ACTIONS(4328),
    [anon_sym_AMP] = ACTIONS(4330),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(2039),
    [anon_sym___clrcall] = ACTIONS(2039),
    [anon_sym___stdcall] = ACTIONS(2039),
    [anon_sym___fastcall] = ACTIONS(2039),
    [anon_sym___thiscall] = ACTIONS(2039),
    [anon_sym___vectorcall] = ACTIONS(2039),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4334),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1113] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4831),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4336),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4340),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1114] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4816),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4342),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4344),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1115] = {
    [sym_type_qualifier] = STATE(1131),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4929),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1131),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4346),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4348),
    [anon_sym_RBRACK] = ACTIONS(4350),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1116] = {
    [sym_type_qualifier] = STATE(1113),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4913),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1113),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4354),
    [anon_sym_RBRACK] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1117] = {
    [sym_type_qualifier] = STATE(1120),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4760),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1120),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4358),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4360),
    [anon_sym_RBRACK] = ACTIONS(4362),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1118] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_ms_call_modifier] = STATE(6352),
    [sym__abstract_declarator] = STATE(6992),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_list] = STATE(3326),
    [sym_parameter_declaration] = STATE(7370),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7370),
    [sym_variadic_parameter_declaration] = STATE(7370),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_RPAREN] = ACTIONS(4136),
    [anon_sym_LPAREN2] = ACTIONS(4324),
    [anon_sym_STAR] = ACTIONS(4326),
    [anon_sym_AMP_AMP] = ACTIONS(4328),
    [anon_sym_AMP] = ACTIONS(4330),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(2039),
    [anon_sym___clrcall] = ACTIONS(2039),
    [anon_sym___stdcall] = ACTIONS(2039),
    [anon_sym___fastcall] = ACTIONS(2039),
    [anon_sym___thiscall] = ACTIONS(2039),
    [anon_sym___vectorcall] = ACTIONS(2039),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4334),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1119] = {
    [sym_type_qualifier] = STATE(1114),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4927),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4364),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4366),
    [anon_sym_RBRACK] = ACTIONS(4368),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1120] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4767),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4370),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4372),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1121] = {
    [sym_type_qualifier] = STATE(1123),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4769),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1123),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4374),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4376),
    [anon_sym_RBRACK] = ACTIONS(4378),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1122] = {
    [sym_type_qualifier] = STATE(1124),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4798),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1124),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4380),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4382),
    [anon_sym_RBRACK] = ACTIONS(4384),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1123] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4896),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4386),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4388),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1124] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4908),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4390),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4392),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1125] = {
    [sym_type_qualifier] = STATE(1114),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4927),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(4394),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4364),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4366),
    [anon_sym_RBRACK] = ACTIONS(4368),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1126] = {
    [sym_type_qualifier] = STATE(1127),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4795),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1127),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4396),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4398),
    [anon_sym_RBRACK] = ACTIONS(4400),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1127] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4837),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4404),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1128] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4765),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4406),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4408),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1129] = {
    [sym_type_qualifier] = STATE(1130),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4818),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4410),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4412),
    [anon_sym_RBRACK] = ACTIONS(4414),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1130] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4820),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4416),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4418),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1131] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4845),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4420),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4422),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1132] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4856),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4424),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4338),
    [anon_sym_RBRACK] = ACTIONS(4426),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1133] = {
    [sym_type_qualifier] = STATE(1128),
    [sym_alignas_qualifier] = STATE(2547),
    [sym_expression] = STATE(4785),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [aux_sym_array_declarator_repeat1] = STATE(1128),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4428),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4312),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(4430),
    [anon_sym_RBRACK] = ACTIONS(4432),
    [anon_sym_const] = ACTIONS(4318),
    [anon_sym_constexpr] = ACTIONS(4318),
    [anon_sym_volatile] = ACTIONS(4318),
    [anon_sym_restrict] = ACTIONS(4318),
    [anon_sym___restrict__] = ACTIONS(4318),
    [anon_sym__Atomic] = ACTIONS(4318),
    [anon_sym__Noreturn] = ACTIONS(4318),
    [anon_sym_noreturn] = ACTIONS(4318),
    [anon_sym__Nonnull] = ACTIONS(4318),
    [anon_sym_mutable] = ACTIONS(4318),
    [anon_sym_constinit] = ACTIONS(4318),
    [anon_sym_consteval] = ACTIONS(4318),
    [anon_sym_alignas] = ACTIONS(4320),
    [anon_sym__Alignas] = ACTIONS(4320),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1134] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5471),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6779),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_parameter_list] = STATE(948),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2783),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5753),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4434),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_LT] = ACTIONS(4436),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1135] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5488),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6789),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_parameter_list] = STATE(943),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2783),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5753),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4434),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_LT] = ACTIONS(4436),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1136] = {
    [sym_identifier] = ACTIONS(2647),
    [anon_sym_LPAREN2] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2647),
    [anon_sym_in] = ACTIONS(2647),
    [anon_sym_out] = ACTIONS(2647),
    [anon_sym_inout] = ACTIONS(2647),
    [anon_sym_virtual] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym___attribute__] = ACTIONS(2647),
    [anon_sym___attribute] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2649),
    [anon_sym___declspec] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2647),
    [anon_sym_unsigned] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_register] = ACTIONS(2647),
    [anon_sym_inline] = ACTIONS(2647),
    [anon_sym___inline] = ACTIONS(2647),
    [anon_sym___inline__] = ACTIONS(2647),
    [anon_sym___forceinline] = ACTIONS(2647),
    [anon_sym_thread_local] = ACTIONS(2647),
    [anon_sym___thread] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_constexpr] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_restrict] = ACTIONS(2647),
    [anon_sym___restrict__] = ACTIONS(2647),
    [anon_sym__Atomic] = ACTIONS(2647),
    [anon_sym__Noreturn] = ACTIONS(2647),
    [anon_sym_noreturn] = ACTIONS(2647),
    [anon_sym__Nonnull] = ACTIONS(2647),
    [anon_sym_mutable] = ACTIONS(2647),
    [anon_sym_constinit] = ACTIONS(2647),
    [anon_sym_consteval] = ACTIONS(2647),
    [anon_sym_alignas] = ACTIONS(2647),
    [anon_sym__Alignas] = ACTIONS(2647),
    [sym_primitive_type] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [anon_sym_not] = ACTIONS(2647),
    [anon_sym_compl] = ACTIONS(2647),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_sizeof] = ACTIONS(2647),
    [anon_sym___alignof__] = ACTIONS(2647),
    [anon_sym___alignof] = ACTIONS(2647),
    [anon_sym__alignof] = ACTIONS(2647),
    [anon_sym_alignof] = ACTIONS(2647),
    [anon_sym__Alignof] = ACTIONS(2647),
    [anon_sym_offsetof] = ACTIONS(2647),
    [anon_sym__Generic] = ACTIONS(2647),
    [anon_sym_asm] = ACTIONS(2647),
    [anon_sym___asm__] = ACTIONS(2647),
    [anon_sym___asm] = ACTIONS(2647),
    [sym_number_literal] = ACTIONS(2649),
    [anon_sym_L_SQUOTE] = ACTIONS(2649),
    [anon_sym_u_SQUOTE] = ACTIONS(2649),
    [anon_sym_U_SQUOTE] = ACTIONS(2649),
    [anon_sym_u8_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_L_DQUOTE] = ACTIONS(2649),
    [anon_sym_u_DQUOTE] = ACTIONS(2649),
    [anon_sym_U_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_true] = ACTIONS(2647),
    [sym_false] = ACTIONS(2647),
    [anon_sym_NULL] = ACTIONS(2647),
    [anon_sym_nullptr] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2647),
    [anon_sym_decltype] = ACTIONS(2647),
    [anon_sym_typename] = ACTIONS(2647),
    [anon_sym_template] = ACTIONS(2647),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_requires] = ACTIONS(2647),
    [sym_this] = ACTIONS(2647),
    [anon_sym_precise] = ACTIONS(2647),
    [anon_sym_shared] = ACTIONS(2647),
    [anon_sym_groupshared] = ACTIONS(2647),
    [anon_sym_uniform] = ACTIONS(2647),
    [anon_sym_row_major] = ACTIONS(2647),
    [anon_sym_column_major] = ACTIONS(2647),
    [anon_sym_globallycoherent] = ACTIONS(2647),
    [anon_sym_centroid] = ACTIONS(2647),
    [anon_sym_noperspective] = ACTIONS(2647),
    [anon_sym_nointerpolation] = ACTIONS(2647),
    [anon_sym_sample] = ACTIONS(2647),
    [anon_sym_linear] = ACTIONS(2647),
    [anon_sym_snorm] = ACTIONS(2647),
    [anon_sym_unorm] = ACTIONS(2647),
    [anon_sym_point] = ACTIONS(2647),
    [anon_sym_line] = ACTIONS(2647),
    [anon_sym_triangleadj] = ACTIONS(2647),
    [anon_sym_lineadj] = ACTIONS(2647),
    [anon_sym_triangle] = ACTIONS(2647),
  },
  [1137] = {
    [sym_identifier] = ACTIONS(2378),
    [anon_sym_LPAREN2] = ACTIONS(2380),
    [anon_sym_BANG] = ACTIONS(2380),
    [anon_sym_TILDE] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym___extension__] = ACTIONS(2378),
    [anon_sym_in] = ACTIONS(2378),
    [anon_sym_out] = ACTIONS(2378),
    [anon_sym_inout] = ACTIONS(2378),
    [anon_sym_virtual] = ACTIONS(2378),
    [anon_sym_extern] = ACTIONS(2378),
    [anon_sym___attribute__] = ACTIONS(2378),
    [anon_sym___attribute] = ACTIONS(2378),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2380),
    [anon_sym___declspec] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2378),
    [anon_sym_unsigned] = ACTIONS(2378),
    [anon_sym_long] = ACTIONS(2378),
    [anon_sym_short] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_register] = ACTIONS(2378),
    [anon_sym_inline] = ACTIONS(2378),
    [anon_sym___inline] = ACTIONS(2378),
    [anon_sym___inline__] = ACTIONS(2378),
    [anon_sym___forceinline] = ACTIONS(2378),
    [anon_sym_thread_local] = ACTIONS(2378),
    [anon_sym___thread] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_constexpr] = ACTIONS(2378),
    [anon_sym_volatile] = ACTIONS(2378),
    [anon_sym_restrict] = ACTIONS(2378),
    [anon_sym___restrict__] = ACTIONS(2378),
    [anon_sym__Atomic] = ACTIONS(2378),
    [anon_sym__Noreturn] = ACTIONS(2378),
    [anon_sym_noreturn] = ACTIONS(2378),
    [anon_sym__Nonnull] = ACTIONS(2378),
    [anon_sym_mutable] = ACTIONS(2378),
    [anon_sym_constinit] = ACTIONS(2378),
    [anon_sym_consteval] = ACTIONS(2378),
    [anon_sym_alignas] = ACTIONS(2378),
    [anon_sym__Alignas] = ACTIONS(2378),
    [sym_primitive_type] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_struct] = ACTIONS(2378),
    [anon_sym_union] = ACTIONS(2378),
    [anon_sym_not] = ACTIONS(2378),
    [anon_sym_compl] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2378),
    [anon_sym___alignof__] = ACTIONS(2378),
    [anon_sym___alignof] = ACTIONS(2378),
    [anon_sym__alignof] = ACTIONS(2378),
    [anon_sym_alignof] = ACTIONS(2378),
    [anon_sym__Alignof] = ACTIONS(2378),
    [anon_sym_offsetof] = ACTIONS(2378),
    [anon_sym__Generic] = ACTIONS(2378),
    [anon_sym_asm] = ACTIONS(2378),
    [anon_sym___asm__] = ACTIONS(2378),
    [anon_sym___asm] = ACTIONS(2378),
    [sym_number_literal] = ACTIONS(2380),
    [anon_sym_L_SQUOTE] = ACTIONS(2380),
    [anon_sym_u_SQUOTE] = ACTIONS(2380),
    [anon_sym_U_SQUOTE] = ACTIONS(2380),
    [anon_sym_u8_SQUOTE] = ACTIONS(2380),
    [anon_sym_SQUOTE] = ACTIONS(2380),
    [anon_sym_L_DQUOTE] = ACTIONS(2380),
    [anon_sym_u_DQUOTE] = ACTIONS(2380),
    [anon_sym_U_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8_DQUOTE] = ACTIONS(2380),
    [anon_sym_DQUOTE] = ACTIONS(2380),
    [sym_true] = ACTIONS(2378),
    [sym_false] = ACTIONS(2378),
    [anon_sym_NULL] = ACTIONS(2378),
    [anon_sym_nullptr] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2378),
    [anon_sym_decltype] = ACTIONS(2378),
    [anon_sym_typename] = ACTIONS(2378),
    [anon_sym_template] = ACTIONS(2378),
    [anon_sym_delete] = ACTIONS(2378),
    [anon_sym_R_DQUOTE] = ACTIONS(2380),
    [anon_sym_LR_DQUOTE] = ACTIONS(2380),
    [anon_sym_uR_DQUOTE] = ACTIONS(2380),
    [anon_sym_UR_DQUOTE] = ACTIONS(2380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2380),
    [anon_sym_co_await] = ACTIONS(2378),
    [anon_sym_new] = ACTIONS(2378),
    [anon_sym_requires] = ACTIONS(2378),
    [sym_this] = ACTIONS(2378),
    [anon_sym_precise] = ACTIONS(2378),
    [anon_sym_shared] = ACTIONS(2378),
    [anon_sym_groupshared] = ACTIONS(2378),
    [anon_sym_uniform] = ACTIONS(2378),
    [anon_sym_row_major] = ACTIONS(2378),
    [anon_sym_column_major] = ACTIONS(2378),
    [anon_sym_globallycoherent] = ACTIONS(2378),
    [anon_sym_centroid] = ACTIONS(2378),
    [anon_sym_noperspective] = ACTIONS(2378),
    [anon_sym_nointerpolation] = ACTIONS(2378),
    [anon_sym_sample] = ACTIONS(2378),
    [anon_sym_linear] = ACTIONS(2378),
    [anon_sym_snorm] = ACTIONS(2378),
    [anon_sym_unorm] = ACTIONS(2378),
    [anon_sym_point] = ACTIONS(2378),
    [anon_sym_line] = ACTIONS(2378),
    [anon_sym_triangleadj] = ACTIONS(2378),
    [anon_sym_lineadj] = ACTIONS(2378),
    [anon_sym_triangle] = ACTIONS(2378),
  },
  [1138] = {
    [sym_expression] = STATE(3219),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(4440),
    [anon_sym_LPAREN2] = ACTIONS(4443),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2243),
    [anon_sym___extension__] = ACTIONS(4449),
    [anon_sym_COLON_COLON] = ACTIONS(4452),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(4455),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1139] = {
    [sym_expression] = STATE(3426),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(4275),
    [anon_sym_LPAREN2] = ACTIONS(4458),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(4461),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(4464),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(4467),
    [anon_sym___extension__] = ACTIONS(4278),
    [anon_sym_COLON_COLON] = ACTIONS(4281),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(4455),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1140] = {
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(2778),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2778),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym___attribute] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2778),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2778),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym__Nonnull] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym__Alignas] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [anon_sym___asm] = ACTIONS(2773),
    [sym_number_literal] = ACTIONS(2778),
    [anon_sym_L_SQUOTE] = ACTIONS(2778),
    [anon_sym_u_SQUOTE] = ACTIONS(2778),
    [anon_sym_U_SQUOTE] = ACTIONS(2778),
    [anon_sym_u8_SQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [anon_sym_L_DQUOTE] = ACTIONS(2778),
    [anon_sym_u_DQUOTE] = ACTIONS(2778),
    [anon_sym_U_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8_DQUOTE] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2778),
    [anon_sym_LR_DQUOTE] = ACTIONS(2778),
    [anon_sym_uR_DQUOTE] = ACTIONS(2778),
    [anon_sym_UR_DQUOTE] = ACTIONS(2778),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2778),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
  },
  [1141] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5489),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6786),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_parameter_list] = STATE(942),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2783),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5753),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4434),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_LT] = ACTIONS(4436),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1142] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5460),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6778),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_parameter_list] = STATE(941),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2783),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5753),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4434),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_LT] = ACTIONS(4436),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1143] = {
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_SLASH] = ACTIONS(1930),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_LT_LT] = ACTIONS(1932),
    [anon_sym_GT_GT] = ACTIONS(1932),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym___cdecl] = ACTIONS(1930),
    [anon_sym___clrcall] = ACTIONS(1930),
    [anon_sym___stdcall] = ACTIONS(1930),
    [anon_sym___fastcall] = ACTIONS(1930),
    [anon_sym___thiscall] = ACTIONS(1930),
    [anon_sym___vectorcall] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_RBRACK] = ACTIONS(1932),
    [anon_sym_EQ] = ACTIONS(1930),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [anon_sym_else] = ACTIONS(1930),
    [anon_sym_while] = ACTIONS(1930),
    [anon_sym_QMARK] = ACTIONS(1932),
    [anon_sym_LT_EQ_GT] = ACTIONS(1932),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [anon_sym_bitor] = ACTIONS(1930),
    [anon_sym_xor] = ACTIONS(1930),
    [anon_sym_bitand] = ACTIONS(1930),
    [anon_sym_not_eq] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_DOT_STAR] = ACTIONS(1932),
    [anon_sym_DASH_GT] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_final] = ACTIONS(1930),
    [anon_sym_override] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1930),
    [anon_sym_requires] = ACTIONS(1930),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
  },
  [1144] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_PERCENT] = ACTIONS(1924),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_PIPE] = ACTIONS(1922),
    [anon_sym_CARET] = ACTIONS(1924),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_GT] = ACTIONS(1922),
    [anon_sym_GT_EQ] = ACTIONS(1924),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_LT_LT] = ACTIONS(1924),
    [anon_sym_GT_GT] = ACTIONS(1924),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_RBRACK] = ACTIONS(1924),
    [anon_sym_EQ] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_QMARK] = ACTIONS(1924),
    [anon_sym_LT_EQ_GT] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_bitor] = ACTIONS(1922),
    [anon_sym_xor] = ACTIONS(1922),
    [anon_sym_bitand] = ACTIONS(1922),
    [anon_sym_not_eq] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DOT] = ACTIONS(1922),
    [anon_sym_DOT_STAR] = ACTIONS(1924),
    [anon_sym_DASH_GT] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
  },
  [1145] = {
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1962),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1962),
    [anon_sym_BANG_EQ] = ACTIONS(1962),
    [anon_sym_GT] = ACTIONS(1960),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1962),
    [anon_sym_GT_GT] = ACTIONS(1962),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym___cdecl] = ACTIONS(1960),
    [anon_sym___clrcall] = ACTIONS(1960),
    [anon_sym___stdcall] = ACTIONS(1960),
    [anon_sym___fastcall] = ACTIONS(1960),
    [anon_sym___thiscall] = ACTIONS(1960),
    [anon_sym___vectorcall] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_RBRACK] = ACTIONS(1962),
    [anon_sym_EQ] = ACTIONS(1960),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [anon_sym_else] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_LT_EQ_GT] = ACTIONS(1962),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [anon_sym_bitor] = ACTIONS(1960),
    [anon_sym_xor] = ACTIONS(1960),
    [anon_sym_bitand] = ACTIONS(1960),
    [anon_sym_not_eq] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_DOT_STAR] = ACTIONS(1962),
    [anon_sym_DASH_GT] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_final] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_requires] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
  },
  [1146] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1936),
    [anon_sym_GT_GT] = ACTIONS(1936),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym___cdecl] = ACTIONS(1934),
    [anon_sym___clrcall] = ACTIONS(1934),
    [anon_sym___stdcall] = ACTIONS(1934),
    [anon_sym___fastcall] = ACTIONS(1934),
    [anon_sym___thiscall] = ACTIONS(1934),
    [anon_sym___vectorcall] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_RBRACK] = ACTIONS(1936),
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1934),
    [anon_sym_while] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1936),
    [anon_sym_LT_EQ_GT] = ACTIONS(1936),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [anon_sym_bitor] = ACTIONS(1934),
    [anon_sym_xor] = ACTIONS(1934),
    [anon_sym_bitand] = ACTIONS(1934),
    [anon_sym_not_eq] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_DOT_STAR] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_final] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_try] = ACTIONS(1934),
    [anon_sym_requires] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
  },
  [1147] = {
    [sym_expression] = STATE(4605),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4470),
    [anon_sym_LPAREN2] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4476),
    [anon_sym_TILDE] = ACTIONS(4476),
    [anon_sym_DASH] = ACTIONS(4479),
    [anon_sym_PLUS] = ACTIONS(4479),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym___extension__] = ACTIONS(4482),
    [anon_sym_COLON_COLON] = ACTIONS(4485),
    [anon_sym_LBRACK] = ACTIONS(4455),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_RBRACK] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2259),
    [anon_sym_not] = ACTIONS(4479),
    [anon_sym_compl] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4488),
    [anon_sym_PLUS_PLUS] = ACTIONS(4488),
    [anon_sym_sizeof] = ACTIONS(4491),
    [anon_sym___alignof__] = ACTIONS(4494),
    [anon_sym___alignof] = ACTIONS(4494),
    [anon_sym__alignof] = ACTIONS(4494),
    [anon_sym_alignof] = ACTIONS(4494),
    [anon_sym__Alignof] = ACTIONS(4494),
    [anon_sym_offsetof] = ACTIONS(4497),
    [anon_sym__Generic] = ACTIONS(4500),
    [anon_sym_asm] = ACTIONS(4503),
    [anon_sym___asm__] = ACTIONS(4503),
    [anon_sym___asm] = ACTIONS(4503),
    [sym_number_literal] = ACTIONS(4506),
    [anon_sym_L_SQUOTE] = ACTIONS(4509),
    [anon_sym_u_SQUOTE] = ACTIONS(4509),
    [anon_sym_U_SQUOTE] = ACTIONS(4509),
    [anon_sym_u8_SQUOTE] = ACTIONS(4509),
    [anon_sym_SQUOTE] = ACTIONS(4509),
    [anon_sym_L_DQUOTE] = ACTIONS(4512),
    [anon_sym_u_DQUOTE] = ACTIONS(4512),
    [anon_sym_U_DQUOTE] = ACTIONS(4512),
    [anon_sym_u8_DQUOTE] = ACTIONS(4512),
    [anon_sym_DQUOTE] = ACTIONS(4512),
    [sym_true] = ACTIONS(4515),
    [sym_false] = ACTIONS(4515),
    [anon_sym_NULL] = ACTIONS(4518),
    [anon_sym_nullptr] = ACTIONS(4518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2262),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(4521),
    [anon_sym_R_DQUOTE] = ACTIONS(4524),
    [anon_sym_LR_DQUOTE] = ACTIONS(4524),
    [anon_sym_uR_DQUOTE] = ACTIONS(4524),
    [anon_sym_UR_DQUOTE] = ACTIONS(4524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4524),
    [anon_sym_co_await] = ACTIONS(4527),
    [anon_sym_new] = ACTIONS(4530),
    [anon_sym_requires] = ACTIONS(4533),
    [sym_this] = ACTIONS(4515),
  },
  [1148] = {
    [sym_template_argument_list] = STATE(1162),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4289),
    [anon_sym_COMMA] = ACTIONS(4289),
    [anon_sym_RPAREN] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4294),
    [anon_sym_SLASH] = ACTIONS(4292),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_AMP_AMP] = ACTIONS(4289),
    [anon_sym_PIPE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4294),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_BANG_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(4536),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_EQ] = ACTIONS(4294),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [anon_sym_QMARK] = ACTIONS(4287),
    [anon_sym_STAR_EQ] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [anon_sym_PERCENT_EQ] = ACTIONS(4287),
    [anon_sym_PLUS_EQ] = ACTIONS(4287),
    [anon_sym_DASH_EQ] = ACTIONS(4287),
    [anon_sym_LT_LT_EQ] = ACTIONS(4287),
    [anon_sym_GT_GT_EQ] = ACTIONS(4287),
    [anon_sym_AMP_EQ] = ACTIONS(4287),
    [anon_sym_CARET_EQ] = ACTIONS(4287),
    [anon_sym_PIPE_EQ] = ACTIONS(4287),
    [anon_sym_and_eq] = ACTIONS(4292),
    [anon_sym_or_eq] = ACTIONS(4292),
    [anon_sym_xor_eq] = ACTIONS(4292),
    [anon_sym_LT_EQ_GT] = ACTIONS(4287),
    [anon_sym_or] = ACTIONS(4292),
    [anon_sym_and] = ACTIONS(4292),
    [anon_sym_bitor] = ACTIONS(4292),
    [anon_sym_xor] = ACTIONS(4292),
    [anon_sym_bitand] = ACTIONS(4292),
    [anon_sym_not_eq] = ACTIONS(4292),
    [anon_sym_DASH_DASH] = ACTIONS(4287),
    [anon_sym_PLUS_PLUS] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4292),
    [anon_sym_DOT_STAR] = ACTIONS(4287),
    [anon_sym_DASH_GT] = ACTIONS(4292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4287),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [1149] = {
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_GT_GT] = ACTIONS(1920),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym___cdecl] = ACTIONS(1918),
    [anon_sym___clrcall] = ACTIONS(1918),
    [anon_sym___stdcall] = ACTIONS(1918),
    [anon_sym___fastcall] = ACTIONS(1918),
    [anon_sym___thiscall] = ACTIONS(1918),
    [anon_sym___vectorcall] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_RBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(1918),
    [anon_sym_while] = ACTIONS(1918),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_final] = ACTIONS(1918),
    [anon_sym_override] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_try] = ACTIONS(1918),
    [anon_sym_requires] = ACTIONS(1918),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
  },
  [1150] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1940),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1940),
    [anon_sym_GT_GT] = ACTIONS(1940),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym___cdecl] = ACTIONS(1938),
    [anon_sym___clrcall] = ACTIONS(1938),
    [anon_sym___stdcall] = ACTIONS(1938),
    [anon_sym___fastcall] = ACTIONS(1938),
    [anon_sym___thiscall] = ACTIONS(1938),
    [anon_sym___vectorcall] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_RBRACK] = ACTIONS(1940),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1938),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_LT_EQ_GT] = ACTIONS(1940),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [anon_sym_bitor] = ACTIONS(1938),
    [anon_sym_xor] = ACTIONS(1938),
    [anon_sym_bitand] = ACTIONS(1938),
    [anon_sym_not_eq] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_DOT_STAR] = ACTIONS(1940),
    [anon_sym_DASH_GT] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_final] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_try] = ACTIONS(1938),
    [anon_sym_requires] = ACTIONS(1938),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
  },
  [1151] = {
    [sym_template_argument_list] = STATE(1160),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4287),
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_RPAREN] = ACTIONS(4287),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4294),
    [anon_sym_SLASH] = ACTIONS(4292),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_AMP_AMP] = ACTIONS(4289),
    [anon_sym_PIPE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4294),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_BANG_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym_SEMI] = ACTIONS(4287),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_EQ] = ACTIONS(4292),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [anon_sym_QMARK] = ACTIONS(4287),
    [anon_sym_STAR_EQ] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [anon_sym_PERCENT_EQ] = ACTIONS(4287),
    [anon_sym_PLUS_EQ] = ACTIONS(4287),
    [anon_sym_DASH_EQ] = ACTIONS(4287),
    [anon_sym_LT_LT_EQ] = ACTIONS(4287),
    [anon_sym_GT_GT_EQ] = ACTIONS(4287),
    [anon_sym_AMP_EQ] = ACTIONS(4287),
    [anon_sym_CARET_EQ] = ACTIONS(4287),
    [anon_sym_PIPE_EQ] = ACTIONS(4287),
    [anon_sym_and_eq] = ACTIONS(4292),
    [anon_sym_or_eq] = ACTIONS(4292),
    [anon_sym_xor_eq] = ACTIONS(4292),
    [anon_sym_LT_EQ_GT] = ACTIONS(4287),
    [anon_sym_or] = ACTIONS(4292),
    [anon_sym_and] = ACTIONS(4292),
    [anon_sym_bitor] = ACTIONS(4292),
    [anon_sym_xor] = ACTIONS(4292),
    [anon_sym_bitand] = ACTIONS(4292),
    [anon_sym_not_eq] = ACTIONS(4292),
    [anon_sym_DASH_DASH] = ACTIONS(4287),
    [anon_sym_PLUS_PLUS] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4292),
    [anon_sym_DOT_STAR] = ACTIONS(4287),
    [anon_sym_DASH_GT] = ACTIONS(4287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [1152] = {
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym___cdecl] = ACTIONS(1926),
    [anon_sym___clrcall] = ACTIONS(1926),
    [anon_sym___stdcall] = ACTIONS(1926),
    [anon_sym___fastcall] = ACTIONS(1926),
    [anon_sym___thiscall] = ACTIONS(1926),
    [anon_sym___vectorcall] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_RBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_RBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [anon_sym_else] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_final] = ACTIONS(1926),
    [anon_sym_override] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1926),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
  },
  [1153] = {
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1918),
    [anon_sym_or_eq] = ACTIONS(1918),
    [anon_sym_xor_eq] = ACTIONS(1918),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1920),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
  },
  [1154] = {
    [sym_template_argument_list] = STATE(1164),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4289),
    [anon_sym_COMMA] = ACTIONS(4289),
    [anon_sym_RPAREN] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4294),
    [anon_sym_SLASH] = ACTIONS(4292),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_AMP_AMP] = ACTIONS(4289),
    [anon_sym_PIPE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4294),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_BANG_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_EQ] = ACTIONS(4294),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [anon_sym_QMARK] = ACTIONS(4287),
    [anon_sym_STAR_EQ] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [anon_sym_PERCENT_EQ] = ACTIONS(4287),
    [anon_sym_PLUS_EQ] = ACTIONS(4287),
    [anon_sym_DASH_EQ] = ACTIONS(4287),
    [anon_sym_LT_LT_EQ] = ACTIONS(4287),
    [anon_sym_GT_GT_EQ] = ACTIONS(4287),
    [anon_sym_AMP_EQ] = ACTIONS(4287),
    [anon_sym_CARET_EQ] = ACTIONS(4287),
    [anon_sym_PIPE_EQ] = ACTIONS(4287),
    [anon_sym_and_eq] = ACTIONS(4292),
    [anon_sym_or_eq] = ACTIONS(4292),
    [anon_sym_xor_eq] = ACTIONS(4292),
    [anon_sym_LT_EQ_GT] = ACTIONS(4287),
    [anon_sym_or] = ACTIONS(4292),
    [anon_sym_and] = ACTIONS(4292),
    [anon_sym_bitor] = ACTIONS(4292),
    [anon_sym_xor] = ACTIONS(4292),
    [anon_sym_bitand] = ACTIONS(4292),
    [anon_sym_not_eq] = ACTIONS(4292),
    [anon_sym_DASH_DASH] = ACTIONS(4287),
    [anon_sym_PLUS_PLUS] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4292),
    [anon_sym_DOT_STAR] = ACTIONS(4287),
    [anon_sym_DASH_GT] = ACTIONS(4287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [1155] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_PERCENT] = ACTIONS(1922),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_PIPE] = ACTIONS(1922),
    [anon_sym_CARET] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_GT] = ACTIONS(1922),
    [anon_sym_GT_EQ] = ACTIONS(1924),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_LT_LT] = ACTIONS(1922),
    [anon_sym_GT_GT] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_EQ] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [anon_sym_QMARK] = ACTIONS(1924),
    [anon_sym_STAR_EQ] = ACTIONS(1924),
    [anon_sym_SLASH_EQ] = ACTIONS(1924),
    [anon_sym_PERCENT_EQ] = ACTIONS(1924),
    [anon_sym_PLUS_EQ] = ACTIONS(1924),
    [anon_sym_DASH_EQ] = ACTIONS(1924),
    [anon_sym_LT_LT_EQ] = ACTIONS(1924),
    [anon_sym_GT_GT_EQ] = ACTIONS(1924),
    [anon_sym_AMP_EQ] = ACTIONS(1924),
    [anon_sym_CARET_EQ] = ACTIONS(1924),
    [anon_sym_PIPE_EQ] = ACTIONS(1924),
    [anon_sym_and_eq] = ACTIONS(1922),
    [anon_sym_or_eq] = ACTIONS(1922),
    [anon_sym_xor_eq] = ACTIONS(1922),
    [anon_sym_LT_EQ_GT] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_bitor] = ACTIONS(1922),
    [anon_sym_xor] = ACTIONS(1922),
    [anon_sym_bitand] = ACTIONS(1922),
    [anon_sym_not_eq] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DOT] = ACTIONS(1922),
    [anon_sym_DOT_STAR] = ACTIONS(1924),
    [anon_sym_DASH_GT] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1924),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
  },
  [1156] = {
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1962),
    [anon_sym_BANG_EQ] = ACTIONS(1962),
    [anon_sym_GT] = ACTIONS(1960),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1960),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_STAR_EQ] = ACTIONS(1962),
    [anon_sym_SLASH_EQ] = ACTIONS(1962),
    [anon_sym_PERCENT_EQ] = ACTIONS(1962),
    [anon_sym_PLUS_EQ] = ACTIONS(1962),
    [anon_sym_DASH_EQ] = ACTIONS(1962),
    [anon_sym_LT_LT_EQ] = ACTIONS(1962),
    [anon_sym_GT_GT_EQ] = ACTIONS(1962),
    [anon_sym_AMP_EQ] = ACTIONS(1962),
    [anon_sym_CARET_EQ] = ACTIONS(1962),
    [anon_sym_PIPE_EQ] = ACTIONS(1962),
    [anon_sym_and_eq] = ACTIONS(1960),
    [anon_sym_or_eq] = ACTIONS(1960),
    [anon_sym_xor_eq] = ACTIONS(1960),
    [anon_sym_LT_EQ_GT] = ACTIONS(1962),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [anon_sym_bitor] = ACTIONS(1960),
    [anon_sym_xor] = ACTIONS(1960),
    [anon_sym_bitand] = ACTIONS(1960),
    [anon_sym_not_eq] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_DOT_STAR] = ACTIONS(1962),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1962),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
  },
  [1157] = {
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1930),
    [anon_sym_SLASH] = ACTIONS(1930),
    [anon_sym_PERCENT] = ACTIONS(1930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(1930),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_LT_LT] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_EQ] = ACTIONS(1930),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [anon_sym_QMARK] = ACTIONS(1932),
    [anon_sym_STAR_EQ] = ACTIONS(1932),
    [anon_sym_SLASH_EQ] = ACTIONS(1932),
    [anon_sym_PERCENT_EQ] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1932),
    [anon_sym_DASH_EQ] = ACTIONS(1932),
    [anon_sym_LT_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT_GT_EQ] = ACTIONS(1932),
    [anon_sym_AMP_EQ] = ACTIONS(1932),
    [anon_sym_CARET_EQ] = ACTIONS(1932),
    [anon_sym_PIPE_EQ] = ACTIONS(1932),
    [anon_sym_and_eq] = ACTIONS(1930),
    [anon_sym_or_eq] = ACTIONS(1930),
    [anon_sym_xor_eq] = ACTIONS(1930),
    [anon_sym_LT_EQ_GT] = ACTIONS(1932),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [anon_sym_bitor] = ACTIONS(1930),
    [anon_sym_xor] = ACTIONS(1930),
    [anon_sym_bitand] = ACTIONS(1930),
    [anon_sym_not_eq] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_DOT_STAR] = ACTIONS(1932),
    [anon_sym_DASH_GT] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1932),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
  },
  [1158] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1934),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_and_eq] = ACTIONS(1934),
    [anon_sym_or_eq] = ACTIONS(1934),
    [anon_sym_xor_eq] = ACTIONS(1934),
    [anon_sym_LT_EQ_GT] = ACTIONS(1936),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [anon_sym_bitor] = ACTIONS(1934),
    [anon_sym_xor] = ACTIONS(1934),
    [anon_sym_bitand] = ACTIONS(1934),
    [anon_sym_not_eq] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_DOT_STAR] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1936),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
  },
  [1159] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_STAR_EQ] = ACTIONS(1940),
    [anon_sym_SLASH_EQ] = ACTIONS(1940),
    [anon_sym_PERCENT_EQ] = ACTIONS(1940),
    [anon_sym_PLUS_EQ] = ACTIONS(1940),
    [anon_sym_DASH_EQ] = ACTIONS(1940),
    [anon_sym_LT_LT_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_AMP_EQ] = ACTIONS(1940),
    [anon_sym_CARET_EQ] = ACTIONS(1940),
    [anon_sym_PIPE_EQ] = ACTIONS(1940),
    [anon_sym_and_eq] = ACTIONS(1938),
    [anon_sym_or_eq] = ACTIONS(1938),
    [anon_sym_xor_eq] = ACTIONS(1938),
    [anon_sym_LT_EQ_GT] = ACTIONS(1940),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [anon_sym_bitor] = ACTIONS(1938),
    [anon_sym_xor] = ACTIONS(1938),
    [anon_sym_bitand] = ACTIONS(1938),
    [anon_sym_not_eq] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_DOT_STAR] = ACTIONS(1940),
    [anon_sym_DASH_GT] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1940),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_COMMA] = ACTIONS(4300),
    [anon_sym_RPAREN] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4307),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4300),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4300),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_and_eq] = ACTIONS(4305),
    [anon_sym_or_eq] = ACTIONS(4305),
    [anon_sym_xor_eq] = ACTIONS(4305),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4305),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4305),
    [anon_sym_not_eq] = ACTIONS(4305),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [1161] = {
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_EQ] = ACTIONS(1926),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1926),
    [anon_sym_or_eq] = ACTIONS(1926),
    [anon_sym_xor_eq] = ACTIONS(1926),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1928),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
  },
  [1162] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4302),
    [anon_sym_COMMA] = ACTIONS(4302),
    [anon_sym_RPAREN] = ACTIONS(4302),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4307),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(4307),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4300),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_and_eq] = ACTIONS(4305),
    [anon_sym_or_eq] = ACTIONS(4305),
    [anon_sym_xor_eq] = ACTIONS(4305),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4305),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4305),
    [anon_sym_not_eq] = ACTIONS(4305),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4300),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [1163] = {
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6525),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3544),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5733),
    [sym_qualified_identifier] = STATE(3513),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(4108),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(4112),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4302),
    [anon_sym_COMMA] = ACTIONS(4302),
    [anon_sym_RPAREN] = ACTIONS(4302),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4307),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(4307),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4300),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_and_eq] = ACTIONS(4305),
    [anon_sym_or_eq] = ACTIONS(4305),
    [anon_sym_xor_eq] = ACTIONS(4305),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4305),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4305),
    [anon_sym_not_eq] = ACTIONS(4305),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [1165] = {
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6525),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6411),
    [sym_array_declarator] = STATE(6411),
    [sym_expression] = STATE(3424),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3579),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5758),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_operator_name] = STATE(6411),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(4056),
    [anon_sym_LPAREN2] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2027),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2033),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1166] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4302),
    [anon_sym_COMMA] = ACTIONS(4302),
    [anon_sym_RPAREN] = ACTIONS(4302),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4307),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(4307),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4300),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4305),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4305),
    [anon_sym_not_eq] = ACTIONS(4305),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4300),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [1167] = {
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1962),
    [anon_sym_BANG_EQ] = ACTIONS(1962),
    [anon_sym_GT] = ACTIONS(1960),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1960),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_STAR_EQ] = ACTIONS(1962),
    [anon_sym_SLASH_EQ] = ACTIONS(1962),
    [anon_sym_PERCENT_EQ] = ACTIONS(1962),
    [anon_sym_PLUS_EQ] = ACTIONS(1962),
    [anon_sym_DASH_EQ] = ACTIONS(1962),
    [anon_sym_LT_LT_EQ] = ACTIONS(1962),
    [anon_sym_GT_GT_EQ] = ACTIONS(1962),
    [anon_sym_AMP_EQ] = ACTIONS(1962),
    [anon_sym_CARET_EQ] = ACTIONS(1962),
    [anon_sym_PIPE_EQ] = ACTIONS(1962),
    [anon_sym_LT_EQ_GT] = ACTIONS(1962),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [anon_sym_bitor] = ACTIONS(1960),
    [anon_sym_xor] = ACTIONS(1960),
    [anon_sym_bitand] = ACTIONS(1960),
    [anon_sym_not_eq] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_DOT_STAR] = ACTIONS(1962),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1962),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
  },
  [1168] = {
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1920),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
  },
  [1169] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1934),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ_GT] = ACTIONS(1936),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [anon_sym_bitor] = ACTIONS(1934),
    [anon_sym_xor] = ACTIONS(1934),
    [anon_sym_bitand] = ACTIONS(1934),
    [anon_sym_not_eq] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_DOT_STAR] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1936),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
  },
  [1170] = {
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1930),
    [anon_sym_SLASH] = ACTIONS(1930),
    [anon_sym_PERCENT] = ACTIONS(1930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(1930),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_LT_LT] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_EQ] = ACTIONS(1930),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [anon_sym_QMARK] = ACTIONS(1932),
    [anon_sym_STAR_EQ] = ACTIONS(1932),
    [anon_sym_SLASH_EQ] = ACTIONS(1932),
    [anon_sym_PERCENT_EQ] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1932),
    [anon_sym_DASH_EQ] = ACTIONS(1932),
    [anon_sym_LT_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT_GT_EQ] = ACTIONS(1932),
    [anon_sym_AMP_EQ] = ACTIONS(1932),
    [anon_sym_CARET_EQ] = ACTIONS(1932),
    [anon_sym_PIPE_EQ] = ACTIONS(1932),
    [anon_sym_LT_EQ_GT] = ACTIONS(1932),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [anon_sym_bitor] = ACTIONS(1930),
    [anon_sym_xor] = ACTIONS(1930),
    [anon_sym_bitand] = ACTIONS(1930),
    [anon_sym_not_eq] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_DOT_STAR] = ACTIONS(1932),
    [anon_sym_DASH_GT] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1932),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
  },
  [1171] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_PERCENT] = ACTIONS(1922),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_PIPE] = ACTIONS(1922),
    [anon_sym_CARET] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_GT] = ACTIONS(1922),
    [anon_sym_GT_EQ] = ACTIONS(1924),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_LT_LT] = ACTIONS(1922),
    [anon_sym_GT_GT] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_EQ] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [anon_sym_QMARK] = ACTIONS(1924),
    [anon_sym_STAR_EQ] = ACTIONS(1924),
    [anon_sym_SLASH_EQ] = ACTIONS(1924),
    [anon_sym_PERCENT_EQ] = ACTIONS(1924),
    [anon_sym_PLUS_EQ] = ACTIONS(1924),
    [anon_sym_DASH_EQ] = ACTIONS(1924),
    [anon_sym_LT_LT_EQ] = ACTIONS(1924),
    [anon_sym_GT_GT_EQ] = ACTIONS(1924),
    [anon_sym_AMP_EQ] = ACTIONS(1924),
    [anon_sym_CARET_EQ] = ACTIONS(1924),
    [anon_sym_PIPE_EQ] = ACTIONS(1924),
    [anon_sym_LT_EQ_GT] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_bitor] = ACTIONS(1922),
    [anon_sym_xor] = ACTIONS(1922),
    [anon_sym_bitand] = ACTIONS(1922),
    [anon_sym_not_eq] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DOT] = ACTIONS(1922),
    [anon_sym_DOT_STAR] = ACTIONS(1924),
    [anon_sym_DASH_GT] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1924),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
  },
  [1172] = {
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_EQ] = ACTIONS(1926),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1928),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
  },
  [1173] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_STAR_EQ] = ACTIONS(1940),
    [anon_sym_SLASH_EQ] = ACTIONS(1940),
    [anon_sym_PERCENT_EQ] = ACTIONS(1940),
    [anon_sym_PLUS_EQ] = ACTIONS(1940),
    [anon_sym_DASH_EQ] = ACTIONS(1940),
    [anon_sym_LT_LT_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_AMP_EQ] = ACTIONS(1940),
    [anon_sym_CARET_EQ] = ACTIONS(1940),
    [anon_sym_PIPE_EQ] = ACTIONS(1940),
    [anon_sym_LT_EQ_GT] = ACTIONS(1940),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [anon_sym_bitor] = ACTIONS(1938),
    [anon_sym_xor] = ACTIONS(1938),
    [anon_sym_bitand] = ACTIONS(1938),
    [anon_sym_not_eq] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_DOT_STAR] = ACTIONS(1940),
    [anon_sym_DASH_GT] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1940),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
  },
  [1174] = {
    [sym_expression] = STATE(4600),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(7647),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4541),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1175] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4549),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1176] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4553),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1177] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1175),
    [sym_compound_requirement] = STATE(1175),
    [sym__requirement] = STATE(1175),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4555),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1178] = {
    [sym_expression] = STATE(4556),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7437),
    [sym_initializer_pair] = STATE(7437),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_COMMA] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4557),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1179] = {
    [sym_expression] = STATE(4571),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7259),
    [sym_initializer_pair] = STATE(7259),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_COMMA] = ACTIONS(4559),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4561),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1180] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4563),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(4569),
    [anon_sym_TILDE] = ACTIONS(4569),
    [anon_sym_DASH] = ACTIONS(4572),
    [anon_sym_PLUS] = ACTIONS(4572),
    [anon_sym_STAR] = ACTIONS(4575),
    [anon_sym_AMP] = ACTIONS(4575),
    [anon_sym_SEMI] = ACTIONS(4578),
    [anon_sym___extension__] = ACTIONS(4581),
    [anon_sym_COLON_COLON] = ACTIONS(4584),
    [anon_sym_LBRACE] = ACTIONS(4587),
    [anon_sym_RBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4592),
    [sym_primitive_type] = ACTIONS(4595),
    [anon_sym_not] = ACTIONS(4572),
    [anon_sym_compl] = ACTIONS(4572),
    [anon_sym_DASH_DASH] = ACTIONS(4598),
    [anon_sym_PLUS_PLUS] = ACTIONS(4598),
    [anon_sym_sizeof] = ACTIONS(4601),
    [anon_sym___alignof__] = ACTIONS(4604),
    [anon_sym___alignof] = ACTIONS(4604),
    [anon_sym__alignof] = ACTIONS(4604),
    [anon_sym_alignof] = ACTIONS(4604),
    [anon_sym__Alignof] = ACTIONS(4604),
    [anon_sym_offsetof] = ACTIONS(4607),
    [anon_sym__Generic] = ACTIONS(4610),
    [anon_sym_asm] = ACTIONS(4613),
    [anon_sym___asm__] = ACTIONS(4613),
    [anon_sym___asm] = ACTIONS(4613),
    [sym_number_literal] = ACTIONS(4616),
    [anon_sym_L_SQUOTE] = ACTIONS(4619),
    [anon_sym_u_SQUOTE] = ACTIONS(4619),
    [anon_sym_U_SQUOTE] = ACTIONS(4619),
    [anon_sym_u8_SQUOTE] = ACTIONS(4619),
    [anon_sym_SQUOTE] = ACTIONS(4619),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_true] = ACTIONS(4625),
    [sym_false] = ACTIONS(4625),
    [anon_sym_NULL] = ACTIONS(4628),
    [anon_sym_nullptr] = ACTIONS(4628),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4631),
    [anon_sym_typename] = ACTIONS(4634),
    [anon_sym_template] = ACTIONS(4637),
    [anon_sym_delete] = ACTIONS(4640),
    [anon_sym_R_DQUOTE] = ACTIONS(4643),
    [anon_sym_LR_DQUOTE] = ACTIONS(4643),
    [anon_sym_uR_DQUOTE] = ACTIONS(4643),
    [anon_sym_UR_DQUOTE] = ACTIONS(4643),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4643),
    [anon_sym_co_await] = ACTIONS(4646),
    [anon_sym_new] = ACTIONS(4649),
    [anon_sym_requires] = ACTIONS(4652),
    [sym_this] = ACTIONS(4625),
  },
  [1181] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1183),
    [sym_compound_requirement] = STATE(1183),
    [sym__requirement] = STATE(1183),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1183),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4655),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1182] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4657),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1183] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4659),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1184] = {
    [sym_expression] = STATE(4592),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7457),
    [sym_initializer_pair] = STATE(7457),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_COMMA] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4663),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1185] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1176),
    [sym_compound_requirement] = STATE(1176),
    [sym__requirement] = STATE(1176),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1176),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4665),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1186] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4667),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1187] = {
    [sym_expression] = STATE(4513),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7541),
    [sym_initializer_pair] = STATE(7541),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_COMMA] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4671),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1188] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1189),
    [sym_compound_requirement] = STATE(1189),
    [sym__requirement] = STATE(1189),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1189),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4673),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1189] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4675),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1190] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1191),
    [sym_compound_requirement] = STATE(1191),
    [sym__requirement] = STATE(1191),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1191),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4677),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1191] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4679),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1192] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1193),
    [sym_compound_requirement] = STATE(1193),
    [sym__requirement] = STATE(1193),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1193),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4681),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1193] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4683),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1194] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1195),
    [sym_compound_requirement] = STATE(1195),
    [sym__requirement] = STATE(1195),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4685),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1195] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1180),
    [sym_compound_requirement] = STATE(1180),
    [sym__requirement] = STATE(1180),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4687),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1196] = {
    [sym_expression] = STATE(4576),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7545),
    [sym_initializer_pair] = STATE(7545),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_COMMA] = ACTIONS(4689),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4691),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1197] = {
    [sym_expression] = STATE(4517),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7389),
    [sym_initializer_pair] = STATE(7389),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_COMMA] = ACTIONS(4693),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4695),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1198] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1182),
    [sym_compound_requirement] = STATE(1182),
    [sym__requirement] = STATE(1182),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1182),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4697),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1199] = {
    [sym_expression_statement] = STATE(3082),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8606),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_type_requirement] = STATE(1186),
    [sym_compound_requirement] = STATE(1186),
    [sym__requirement] = STATE(1186),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_requirement_seq_repeat1] = STATE(1186),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4547),
    [anon_sym_RBRACE] = ACTIONS(4699),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(4551),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1200] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4701),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1201] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4703),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1202] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4705),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1203] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4707),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1204] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4709),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1205] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4711),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1206] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4713),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1207] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4541),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1208] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4715),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1209] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4717),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1210] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4719),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1211] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4721),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1212] = {
    [sym_expression] = STATE(4863),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_lambda_default_capture] = STATE(7828),
    [sym__lambda_capture_identifier] = STATE(7375),
    [sym_lambda_capture_initializer] = STATE(7375),
    [sym__lambda_capture] = STATE(7375),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_identifier_parameter_pack_expansion] = STATE(7375),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3863),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4725),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4727),
    [anon_sym_AMP] = ACTIONS(4729),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(4731),
    [anon_sym_EQ] = ACTIONS(4733),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(4735),
  },
  [1213] = {
    [sym_expression] = STATE(4918),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_lambda_default_capture] = STATE(7828),
    [sym__lambda_capture_identifier] = STATE(7375),
    [sym_lambda_capture_initializer] = STATE(7375),
    [sym__lambda_capture] = STATE(7375),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_identifier_parameter_pack_expansion] = STATE(7375),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3863),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4725),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4727),
    [anon_sym_AMP] = ACTIONS(4729),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(4731),
    [anon_sym_EQ] = ACTIONS(4733),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(4735),
  },
  [1214] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_lambda_default_capture] = STATE(7828),
    [sym__lambda_capture_identifier] = STATE(7375),
    [sym_lambda_capture_initializer] = STATE(7375),
    [sym__lambda_capture] = STATE(7375),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_identifier_parameter_pack_expansion] = STATE(7375),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3863),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4725),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4727),
    [anon_sym_AMP] = ACTIONS(4729),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(4731),
    [anon_sym_EQ] = ACTIONS(4733),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(4735),
  },
  [1215] = {
    [sym_expression] = STATE(4717),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7894),
    [sym_initializer_pair] = STATE(7894),
    [sym_subscript_designator] = STATE(6817),
    [sym_subscript_range_designator] = STATE(6817),
    [sym_field_designator] = STATE(6817),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [aux_sym_initializer_pair_repeat1] = STATE(6817),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1216] = {
    [sym_expression] = STATE(4863),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_lambda_default_capture] = STATE(7828),
    [sym__lambda_capture_identifier] = STATE(7375),
    [sym_lambda_capture_initializer] = STATE(7375),
    [sym__lambda_capture] = STATE(7375),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_identifier_parameter_pack_expansion] = STATE(7375),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3863),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4725),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4727),
    [anon_sym_AMP] = ACTIONS(4729),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(4731),
    [anon_sym_EQ] = ACTIONS(4733),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(4735),
  },
  [1217] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_COMMA] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4302),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4300),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4300),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4300),
    [anon_sym_GT_GT] = ACTIONS(4300),
    [anon_sym_SEMI] = ACTIONS(4302),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4302),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym___cdecl] = ACTIONS(2007),
    [anon_sym___clrcall] = ACTIONS(2007),
    [anon_sym___stdcall] = ACTIONS(2007),
    [anon_sym___fastcall] = ACTIONS(2007),
    [anon_sym___thiscall] = ACTIONS(2007),
    [anon_sym___vectorcall] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_RBRACK] = ACTIONS(4300),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4305),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4305),
    [anon_sym_not_eq] = ACTIONS(4305),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [1218] = {
    [sym_function_definition] = STATE(770),
    [sym_declaration] = STATE(770),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4892),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1966),
    [sym_declaration_list] = STATE(770),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1477),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(4739),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1219] = {
    [sym_function_definition] = STATE(716),
    [sym_declaration] = STATE(716),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4917),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1980),
    [sym_declaration_list] = STATE(716),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1459),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(4743),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1220] = {
    [sym_function_definition] = STATE(631),
    [sym_declaration] = STATE(631),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1976),
    [sym_declaration_list] = STATE(631),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1413),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(4745),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1221] = {
    [sym_function_definition] = STATE(330),
    [sym_declaration] = STATE(330),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1978),
    [sym_declaration_list] = STATE(330),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1433),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(4747),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1222] = {
    [sym_function_definition] = STATE(320),
    [sym_declaration] = STATE(320),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1978),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8847),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1433),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4751),
    [anon_sym_struct] = ACTIONS(4753),
    [anon_sym_union] = ACTIONS(4755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1223] = {
    [sym_function_definition] = STATE(763),
    [sym_declaration] = STATE(763),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4892),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1966),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8334),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1477),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4757),
    [anon_sym_struct] = ACTIONS(4759),
    [anon_sym_union] = ACTIONS(4761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1224] = {
    [sym_function_definition] = STATE(723),
    [sym_declaration] = STATE(723),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1976),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8436),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1413),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4763),
    [anon_sym_struct] = ACTIONS(4765),
    [anon_sym_union] = ACTIONS(4767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1225] = {
    [sym_function_definition] = STATE(2018),
    [sym_declaration] = STATE(2018),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4761),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1982),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8383),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1428),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4769),
    [anon_sym_struct] = ACTIONS(4771),
    [anon_sym_union] = ACTIONS(4773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1226] = {
    [sym_function_definition] = STATE(634),
    [sym_declaration] = STATE(634),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4922),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1976),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8910),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1413),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4775),
    [anon_sym_struct] = ACTIONS(4777),
    [anon_sym_union] = ACTIONS(4779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1227] = {
    [sym_function_definition] = STATE(2070),
    [sym_declaration] = STATE(2070),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4761),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1982),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8322),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1428),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4781),
    [anon_sym_struct] = ACTIONS(4783),
    [anon_sym_union] = ACTIONS(4785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1228] = {
    [sym_function_definition] = STATE(333),
    [sym_declaration] = STATE(333),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4853),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1978),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8513),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1433),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4787),
    [anon_sym_struct] = ACTIONS(4789),
    [anon_sym_union] = ACTIONS(4791),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1229] = {
    [sym_function_definition] = STATE(1885),
    [sym_declaration] = STATE(1885),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4772),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1984),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8340),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1463),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4793),
    [anon_sym_struct] = ACTIONS(4795),
    [anon_sym_union] = ACTIONS(4797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1230] = {
    [sym_function_definition] = STATE(1887),
    [sym_declaration] = STATE(1887),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4772),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1984),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8453),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1463),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4799),
    [anon_sym_struct] = ACTIONS(4801),
    [anon_sym_union] = ACTIONS(4803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1231] = {
    [sym_function_definition] = STATE(647),
    [sym_declaration] = STATE(647),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4917),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1980),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8223),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1459),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4805),
    [anon_sym_struct] = ACTIONS(4807),
    [anon_sym_union] = ACTIONS(4809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1232] = {
    [sym_function_definition] = STATE(649),
    [sym_declaration] = STATE(649),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4917),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1980),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8277),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1459),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4811),
    [anon_sym_struct] = ACTIONS(4813),
    [anon_sym_union] = ACTIONS(4815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1233] = {
    [sym_function_definition] = STATE(733),
    [sym_declaration] = STATE(733),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4892),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1966),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8848),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1477),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4817),
    [anon_sym_struct] = ACTIONS(4819),
    [anon_sym_union] = ACTIONS(4821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1234] = {
    [sym_function_definition] = STATE(2100),
    [sym_declaration] = STATE(2100),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1986),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8546),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1465),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4823),
    [anon_sym_struct] = ACTIONS(4825),
    [anon_sym_union] = ACTIONS(4827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1235] = {
    [sym_function_definition] = STATE(2210),
    [sym_declaration] = STATE(2210),
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1986),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym__class_name] = STATE(8967),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2497),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2498),
    [sym_qualifiers] = STATE(2008),
    [sym_hlsl_attribute] = STATE(1465),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(4829),
    [anon_sym_struct] = ACTIONS(4831),
    [anon_sym_union] = ACTIONS(4833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1236] = {
    [sym_expression] = STATE(4396),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_initializer_list] = STATE(6918),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(4839),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4843),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4845),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1237] = {
    [sym_expression] = STATE(3488),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8366),
    [sym__unary_right_fold] = STATE(8369),
    [sym__binary_fold] = STATE(8371),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1238] = {
    [sym_expression] = STATE(4669),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8660),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8660),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1239] = {
    [sym_compound_statement] = STATE(7254),
    [sym_expression] = STATE(4569),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7254),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1240] = {
    [sym_compound_statement] = STATE(7346),
    [sym_expression] = STATE(4516),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7346),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4851),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1241] = {
    [sym_expression] = STATE(4728),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8843),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8843),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1242] = {
    [sym_expression] = STATE(4727),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8839),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8839),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4855),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1243] = {
    [sym_compound_statement] = STATE(7453),
    [sym_expression] = STATE(4591),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7453),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1244] = {
    [sym_compound_statement] = STATE(7462),
    [sym_expression] = STATE(4572),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7462),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1245] = {
    [sym_compound_statement] = STATE(8626),
    [sym_expression] = STATE(3502),
    [sym__string] = STATE(3287),
    [sym_comma_expression] = STATE(8626),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym__assignment_expression_lhs] = STATE(8814),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1246] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_identifier_parameter_pack_expansion] = STATE(8005),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3832),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(4863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4865),
    [anon_sym_COMMA] = ACTIONS(4867),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(4867),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1247] = {
    [sym_compound_statement] = STATE(7539),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7539),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4869),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1248] = {
    [sym_compound_statement] = STATE(7615),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7615),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4871),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1249] = {
    [sym_expression] = STATE(4726),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8961),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8961),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4873),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1250] = {
    [sym_expression] = STATE(4387),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_initializer_list] = STATE(6921),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(4875),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4877),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4879),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1251] = {
    [sym_expression] = STATE(3499),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8632),
    [sym__unary_right_fold] = STATE(8707),
    [sym__binary_fold] = STATE(8708),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1252] = {
    [sym_expression] = STATE(3552),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8649),
    [sym__unary_right_fold] = STATE(8650),
    [sym__binary_fold] = STATE(8651),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1253] = {
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_initializer_list] = STATE(6876),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(4881),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4883),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4885),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1254] = {
    [sym_expression] = STATE(3548),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8746),
    [sym__unary_right_fold] = STATE(8750),
    [sym__binary_fold] = STATE(8775),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1255] = {
    [sym_expression] = STATE(4678),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8671),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8671),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(4887),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1256] = {
    [sym_expression] = STATE(3529),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8568),
    [sym__unary_right_fold] = STATE(8569),
    [sym__binary_fold] = STATE(8570),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1257] = {
    [sym_expression] = STATE(3585),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8925),
    [sym__unary_right_fold] = STATE(8129),
    [sym__binary_fold] = STATE(8134),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1258] = {
    [sym_expression] = STATE(3510),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8545),
    [sym__unary_right_fold] = STATE(8547),
    [sym__binary_fold] = STATE(8561),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1259] = {
    [sym_expression] = STATE(3519),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8566),
    [sym__unary_right_fold] = STATE(8577),
    [sym__binary_fold] = STATE(8580),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1260] = {
    [sym_expression] = STATE(3582),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym__unary_left_fold] = STATE(8800),
    [sym__unary_right_fold] = STATE(8804),
    [sym__binary_fold] = STATE(8806),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1261] = {
    [sym_type_qualifier] = STATE(1261),
    [sym_alignas_qualifier] = STATE(1334),
    [aux_sym__type_definition_type_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_STAR] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_AMP] = ACTIONS(4889),
    [anon_sym_COLON] = ACTIONS(4889),
    [anon_sym_SEMI] = ACTIONS(4891),
    [anon_sym___extension__] = ACTIONS(4893),
    [anon_sym_in] = ACTIONS(4889),
    [anon_sym_out] = ACTIONS(4889),
    [anon_sym_inout] = ACTIONS(4889),
    [anon_sym_virtual] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4889),
    [anon_sym___attribute__] = ACTIONS(4889),
    [anon_sym___attribute] = ACTIONS(4889),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4889),
    [anon_sym___based] = ACTIONS(4889),
    [anon_sym___cdecl] = ACTIONS(4889),
    [anon_sym___clrcall] = ACTIONS(4889),
    [anon_sym___stdcall] = ACTIONS(4889),
    [anon_sym___fastcall] = ACTIONS(4889),
    [anon_sym___thiscall] = ACTIONS(4889),
    [anon_sym___vectorcall] = ACTIONS(4889),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_signed] = ACTIONS(4889),
    [anon_sym_unsigned] = ACTIONS(4889),
    [anon_sym_long] = ACTIONS(4889),
    [anon_sym_short] = ACTIONS(4889),
    [anon_sym_LBRACK] = ACTIONS(4889),
    [anon_sym_static] = ACTIONS(4889),
    [anon_sym_EQ] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4889),
    [anon_sym_inline] = ACTIONS(4889),
    [anon_sym___inline] = ACTIONS(4889),
    [anon_sym___inline__] = ACTIONS(4889),
    [anon_sym___forceinline] = ACTIONS(4889),
    [anon_sym_thread_local] = ACTIONS(4889),
    [anon_sym___thread] = ACTIONS(4889),
    [anon_sym_const] = ACTIONS(4893),
    [anon_sym_constexpr] = ACTIONS(4893),
    [anon_sym_volatile] = ACTIONS(4893),
    [anon_sym_restrict] = ACTIONS(4893),
    [anon_sym___restrict__] = ACTIONS(4893),
    [anon_sym__Atomic] = ACTIONS(4893),
    [anon_sym__Noreturn] = ACTIONS(4893),
    [anon_sym_noreturn] = ACTIONS(4893),
    [anon_sym__Nonnull] = ACTIONS(4893),
    [anon_sym_mutable] = ACTIONS(4893),
    [anon_sym_constinit] = ACTIONS(4893),
    [anon_sym_consteval] = ACTIONS(4893),
    [anon_sym_alignas] = ACTIONS(4896),
    [anon_sym__Alignas] = ACTIONS(4896),
    [sym_primitive_type] = ACTIONS(4889),
    [anon_sym_enum] = ACTIONS(4889),
    [anon_sym_class] = ACTIONS(4889),
    [anon_sym_struct] = ACTIONS(4889),
    [anon_sym_union] = ACTIONS(4889),
    [anon_sym_asm] = ACTIONS(4889),
    [anon_sym___asm__] = ACTIONS(4889),
    [anon_sym___asm] = ACTIONS(4889),
    [anon_sym_DASH_GT] = ACTIONS(4891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4889),
    [anon_sym_decltype] = ACTIONS(4889),
    [anon_sym_final] = ACTIONS(4889),
    [anon_sym_override] = ACTIONS(4889),
    [anon_sym_typename] = ACTIONS(4889),
    [anon_sym_template] = ACTIONS(4889),
    [anon_sym_GT2] = ACTIONS(4891),
    [anon_sym_operator] = ACTIONS(4889),
    [anon_sym_try] = ACTIONS(4889),
    [anon_sym_noexcept] = ACTIONS(4889),
    [anon_sym_throw] = ACTIONS(4889),
    [anon_sym_requires] = ACTIONS(4889),
    [anon_sym_precise] = ACTIONS(4889),
    [anon_sym_shared] = ACTIONS(4889),
    [anon_sym_groupshared] = ACTIONS(4889),
    [anon_sym_uniform] = ACTIONS(4889),
    [anon_sym_row_major] = ACTIONS(4889),
    [anon_sym_column_major] = ACTIONS(4889),
    [anon_sym_globallycoherent] = ACTIONS(4889),
    [anon_sym_centroid] = ACTIONS(4889),
    [anon_sym_noperspective] = ACTIONS(4889),
    [anon_sym_nointerpolation] = ACTIONS(4889),
    [anon_sym_sample] = ACTIONS(4889),
    [anon_sym_linear] = ACTIONS(4889),
    [anon_sym_snorm] = ACTIONS(4889),
    [anon_sym_unorm] = ACTIONS(4889),
    [anon_sym_point] = ACTIONS(4889),
    [anon_sym_line] = ACTIONS(4889),
    [anon_sym_triangleadj] = ACTIONS(4889),
    [anon_sym_lineadj] = ACTIONS(4889),
    [anon_sym_triangle] = ACTIONS(4889),
  },
  [1262] = {
    [sym_compound_statement] = STATE(7534),
    [sym_expression] = STATE(4538),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7534),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4899),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1263] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4901),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1264] = {
    [sym_expression] = STATE(4457),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1265] = {
    [sym_expression] = STATE(4474),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1266] = {
    [sym_expression] = STATE(3413),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1267] = {
    [sym_expression] = STATE(3347),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1268] = {
    [sym_expression] = STATE(3260),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1269] = {
    [sym_expression] = STATE(3372),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1270] = {
    [sym_compound_statement] = STATE(7733),
    [sym_expression] = STATE(4645),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7733),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1271] = {
    [sym_expression] = STATE(3600),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1272] = {
    [sym_expression] = STATE(3154),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1273] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4914),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1274] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4917),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1275] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4920),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1276] = {
    [sym_expression] = STATE(4507),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1277] = {
    [sym_expression] = STATE(3392),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1278] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5036),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1977),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(4923),
    [anon_sym_for] = ACTIONS(4925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1279] = {
    [sym_expression] = STATE(4698),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1280] = {
    [sym_expression] = STATE(4549),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_initializer_list] = STATE(7495),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(4927),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1281] = {
    [sym_expression] = STATE(4648),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1282] = {
    [sym_expression] = STATE(4652),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1283] = {
    [sym_expression] = STATE(4328),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1284] = {
    [sym_expression] = STATE(4755),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1285] = {
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_initializer_list] = STATE(7447),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(4933),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1286] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4935),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1287] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4938),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1288] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1289] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4944),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1290] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4947),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1291] = {
    [sym_expression] = STATE(3910),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1292] = {
    [sym_expression] = STATE(3915),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1293] = {
    [sym_expression] = STATE(3209),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1294] = {
    [sym_expression] = STATE(4527),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_initializer_list] = STATE(7585),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(4950),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1295] = {
    [sym_expression] = STATE(3156),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1296] = {
    [sym_expression] = STATE(4476),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1297] = {
    [sym_expression] = STATE(4332),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1298] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1299] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5020),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1979),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(4955),
    [anon_sym_for] = ACTIONS(4957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1300] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5048),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1981),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(4959),
    [anon_sym_for] = ACTIONS(4961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1301] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5039),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1972),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(4963),
    [anon_sym_for] = ACTIONS(4965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1302] = {
    [sym_expression] = STATE(3573),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1303] = {
    [sym_expression] = STATE(3575),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1304] = {
    [sym_expression] = STATE(3517),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1305] = {
    [sym_expression] = STATE(4712),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1306] = {
    [sym_expression] = STATE(4714),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4904),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACE] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1307] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4971),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1308] = {
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4976),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_RPAREN] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_TILDE] = ACTIONS(4976),
    [anon_sym_STAR] = ACTIONS(4976),
    [anon_sym_AMP_AMP] = ACTIONS(4976),
    [anon_sym_AMP] = ACTIONS(4974),
    [anon_sym_COLON] = ACTIONS(4974),
    [anon_sym_SEMI] = ACTIONS(4976),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym_in] = ACTIONS(4974),
    [anon_sym_out] = ACTIONS(4974),
    [anon_sym_inout] = ACTIONS(4974),
    [anon_sym_virtual] = ACTIONS(4974),
    [anon_sym_extern] = ACTIONS(4974),
    [anon_sym___attribute__] = ACTIONS(4974),
    [anon_sym___attribute] = ACTIONS(4974),
    [anon_sym_COLON_COLON] = ACTIONS(4976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4976),
    [anon_sym___declspec] = ACTIONS(4974),
    [anon_sym___based] = ACTIONS(4974),
    [anon_sym___cdecl] = ACTIONS(4974),
    [anon_sym___clrcall] = ACTIONS(4974),
    [anon_sym___stdcall] = ACTIONS(4974),
    [anon_sym___fastcall] = ACTIONS(4974),
    [anon_sym___thiscall] = ACTIONS(4974),
    [anon_sym___vectorcall] = ACTIONS(4974),
    [anon_sym_LBRACE] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4974),
    [anon_sym_unsigned] = ACTIONS(4974),
    [anon_sym_long] = ACTIONS(4974),
    [anon_sym_short] = ACTIONS(4974),
    [anon_sym_LBRACK] = ACTIONS(4974),
    [anon_sym_static] = ACTIONS(4974),
    [anon_sym_EQ] = ACTIONS(4976),
    [anon_sym_register] = ACTIONS(4974),
    [anon_sym_inline] = ACTIONS(4974),
    [anon_sym___inline] = ACTIONS(4974),
    [anon_sym___inline__] = ACTIONS(4974),
    [anon_sym___forceinline] = ACTIONS(4974),
    [anon_sym_thread_local] = ACTIONS(4974),
    [anon_sym___thread] = ACTIONS(4974),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_mutable] = ACTIONS(4974),
    [anon_sym_constinit] = ACTIONS(4974),
    [anon_sym_consteval] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(4974),
    [anon_sym_enum] = ACTIONS(4974),
    [anon_sym_class] = ACTIONS(4974),
    [anon_sym_struct] = ACTIONS(4974),
    [anon_sym_union] = ACTIONS(4974),
    [anon_sym_asm] = ACTIONS(4974),
    [anon_sym___asm__] = ACTIONS(4974),
    [anon_sym___asm] = ACTIONS(4974),
    [anon_sym_DASH_GT] = ACTIONS(4976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4974),
    [anon_sym_decltype] = ACTIONS(4974),
    [anon_sym_final] = ACTIONS(4974),
    [anon_sym_override] = ACTIONS(4974),
    [anon_sym_explicit] = ACTIONS(4974),
    [anon_sym_typename] = ACTIONS(4974),
    [anon_sym_template] = ACTIONS(4974),
    [anon_sym_GT2] = ACTIONS(4976),
    [anon_sym_operator] = ACTIONS(4974),
    [anon_sym_try] = ACTIONS(4974),
    [anon_sym_noexcept] = ACTIONS(4974),
    [anon_sym_throw] = ACTIONS(4974),
    [anon_sym_requires] = ACTIONS(4974),
    [anon_sym_precise] = ACTIONS(4974),
    [anon_sym_shared] = ACTIONS(4974),
    [anon_sym_groupshared] = ACTIONS(4974),
    [anon_sym_uniform] = ACTIONS(4974),
    [anon_sym_row_major] = ACTIONS(4974),
    [anon_sym_column_major] = ACTIONS(4974),
    [anon_sym_globallycoherent] = ACTIONS(4974),
    [anon_sym_centroid] = ACTIONS(4974),
    [anon_sym_noperspective] = ACTIONS(4974),
    [anon_sym_nointerpolation] = ACTIONS(4974),
    [anon_sym_sample] = ACTIONS(4974),
    [anon_sym_linear] = ACTIONS(4974),
    [anon_sym_snorm] = ACTIONS(4974),
    [anon_sym_unorm] = ACTIONS(4974),
    [anon_sym_point] = ACTIONS(4974),
    [anon_sym_line] = ACTIONS(4974),
    [anon_sym_triangleadj] = ACTIONS(4974),
    [anon_sym_lineadj] = ACTIONS(4974),
    [anon_sym_triangle] = ACTIONS(4974),
  },
  [1309] = {
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8354),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4978),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1310] = {
    [sym_expression] = STATE(4748),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8367),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4980),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1311] = {
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8373),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1312] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_initializer_list] = STATE(4095),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1313] = {
    [sym_expression] = STATE(4756),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8375),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(4982),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1314] = {
    [sym_expression] = STATE(4684),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8170),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(4988),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1315] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3948),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7429),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_type_parameter_declaration] = STATE(7429),
    [sym_variadic_type_parameter_declaration] = STATE(7429),
    [sym_optional_type_parameter_declaration] = STATE(7429),
    [sym_template_template_parameter_declaration] = STATE(7429),
    [sym_optional_parameter_declaration] = STATE(7429),
    [sym_variadic_parameter_declaration] = STATE(7429),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(4990),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4994),
    [anon_sym_GT2] = ACTIONS(4996),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1316] = {
    [sym_expression] = STATE(4722),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7881),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1317] = {
    [sym_expression] = STATE(2831),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_initializer_list] = STATE(2916),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1318] = {
    [sym_expression] = STATE(3394),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_initializer_list] = STATE(3640),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(3841),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1319] = {
    [sym_expression] = STATE(4660),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_initializer_list] = STATE(5006),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1320] = {
    [sym_expression] = STATE(4631),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_initializer_list] = STATE(4095),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1321] = {
    [sym_expression] = STATE(4643),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8110),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(4998),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1322] = {
    [sym_expression] = STATE(4519),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(7647),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1323] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1324] = {
    [sym_expression] = STATE(3884),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_initializer_list] = STATE(4101),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(3923),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1325] = {
    [sym_expression] = STATE(4747),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8183),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5003),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1326] = {
    [sym_expression] = STATE(3899),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_initializer_list] = STATE(4115),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(3923),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1327] = {
    [sym_expression] = STATE(4695),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8337),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5005),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1328] = {
    [sym_expression] = STATE(3599),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_initializer_list] = STATE(3849),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACE] = ACTIONS(3867),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1329] = {
    [sym_expression] = STATE(4742),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8518),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5009),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1330] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1331] = {
    [sym_expression] = STATE(4740),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8159),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1332] = {
    [sym_expression] = STATE(4651),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_initializer_list] = STATE(7944),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1333] = {
    [sym_expression] = STATE(4779),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8791),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1334] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_COMMA] = ACTIONS(2241),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_COLON] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym___cdecl] = ACTIONS(2251),
    [anon_sym___clrcall] = ACTIONS(2251),
    [anon_sym___stdcall] = ACTIONS(2251),
    [anon_sym___fastcall] = ACTIONS(2251),
    [anon_sym___thiscall] = ACTIONS(2251),
    [anon_sym___vectorcall] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_EQ] = ACTIONS(2241),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [anon_sym_asm] = ACTIONS(2251),
    [anon_sym___asm__] = ACTIONS(2251),
    [anon_sym___asm] = ACTIONS(2251),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_final] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_GT2] = ACTIONS(2241),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_noexcept] = ACTIONS(2251),
    [anon_sym_throw] = ACTIONS(2251),
    [anon_sym_requires] = ACTIONS(2251),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [1335] = {
    [sym_expression] = STATE(4667),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8897),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5013),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1336] = {
    [sym_expression] = STATE(2831),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_initializer_list] = STATE(2916),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1337] = {
    [sym_expression] = STATE(4670),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_initializer_list] = STATE(4095),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1338] = {
    [sym_expression] = STATE(4668),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7912),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1339] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1340] = {
    [sym_expression] = STATE(4699),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7993),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1341] = {
    [sym_expression] = STATE(4752),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_initializer_list] = STATE(5056),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1342] = {
    [sym_expression] = STATE(2831),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_initializer_list] = STATE(2916),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1343] = {
    [sym_expression] = STATE(4696),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8824),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5023),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1344] = {
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_initializer_list] = STATE(7125),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1345] = {
    [sym_expression] = STATE(4788),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(8851),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1346] = {
    [sym_expression] = STATE(4665),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8345),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1347] = {
    [sym_expression] = STATE(4692),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8473),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5025),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1348] = {
    [sym_expression] = STATE(4658),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8306),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1349] = {
    [sym_expression] = STATE(4693),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1350] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3948),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7512),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_type_parameter_declaration] = STATE(7512),
    [sym_variadic_type_parameter_declaration] = STATE(7512),
    [sym_optional_type_parameter_declaration] = STATE(7512),
    [sym_template_template_parameter_declaration] = STATE(7512),
    [sym_optional_parameter_declaration] = STATE(7512),
    [sym_variadic_parameter_declaration] = STATE(7512),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(4990),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4994),
    [anon_sym_GT2] = ACTIONS(5027),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1351] = {
    [sym_expression] = STATE(3964),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(4106),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1352] = {
    [sym_expression] = STATE(4746),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8283),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5029),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1353] = {
    [sym_expression] = STATE(3572),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_initializer_list] = STATE(2916),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1354] = {
    [sym_expression] = STATE(4671),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8187),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1355] = {
    [sym_expression] = STATE(4679),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8788),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(5033),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1356] = {
    [sym_expression] = STATE(4314),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_initializer_list] = STATE(4095),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1357] = {
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8832),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5035),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1358] = {
    [sym_expression] = STATE(4701),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_initializer_list] = STATE(4095),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1359] = {
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(7993),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1360] = {
    [sym_expression] = STATE(4749),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8131),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(5037),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1361] = {
    [sym_expression] = STATE(4750),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8862),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5039),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1362] = {
    [sym_expression] = STATE(4731),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8192),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1363] = {
    [sym_expression] = STATE(4464),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_initializer_list] = STATE(4095),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1364] = {
    [sym_expression] = STATE(4659),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym_COLON] = ACTIONS(5043),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1365] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5045),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1366] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5047),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1367] = {
    [sym_expression] = STATE(3895),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5049),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1368] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5052),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1369] = {
    [sym_expression] = STATE(3444),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1370] = {
    [sym_expression] = STATE(3895),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5057),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1371] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_COMMA] = ACTIONS(4300),
    [anon_sym_RPAREN] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4302),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4300),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4300),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4300),
    [anon_sym_GT_GT] = ACTIONS(4300),
    [anon_sym_SEMI] = ACTIONS(4300),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4305),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4305),
    [anon_sym_not_eq] = ACTIONS(4305),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [1372] = {
    [sym_expression] = STATE(3445),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1373] = {
    [sym_expression] = STATE(3943),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5063),
    [anon_sym_LPAREN2] = ACTIONS(5065),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1374] = {
    [sym_expression] = STATE(3452),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5067),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1375] = {
    [sym_expression] = STATE(3453),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1376] = {
    [sym_expression] = STATE(3453),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1377] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5076),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1378] = {
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym_SEMI] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(5080),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1379] = {
    [sym_expression] = STATE(3454),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1380] = {
    [sym_expression] = STATE(3454),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5049),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1381] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5085),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1382] = {
    [sym_expression] = STATE(4738),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5087),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1383] = {
    [sym_expression] = STATE(2826),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5091),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1384] = {
    [sym_expression] = STATE(4921),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1385] = {
    [sym_expression] = STATE(4923),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5097),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1386] = {
    [sym_expression] = STATE(3895),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5099),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1387] = {
    [sym_expression] = STATE(2826),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5091),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1388] = {
    [sym_expression] = STATE(3454),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5057),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1389] = {
    [sym_expression] = STATE(3454),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5099),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1390] = {
    [sym_expression] = STATE(3455),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1391] = {
    [sym_expression] = STATE(3896),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1392] = {
    [sym_expression] = STATE(3896),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1393] = {
    [sym_expression] = STATE(3889),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1394] = {
    [sym_expression] = STATE(3455),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1395] = {
    [sym_expression] = STATE(3890),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1396] = {
    [sym_expression] = STATE(3891),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1397] = {
    [sym_expression] = STATE(3892),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1398] = {
    [sym_expression] = STATE(3893),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5122),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1399] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5125),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1400] = {
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(5080),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1401] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5129),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1402] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5131),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1403] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4302),
    [anon_sym_COMMA] = ACTIONS(4302),
    [anon_sym_RPAREN] = ACTIONS(4302),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4302),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4300),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4300),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4300),
    [anon_sym_GT_GT] = ACTIONS(4300),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(2007),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4305),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4305),
    [anon_sym_not_eq] = ACTIONS(4305),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [1404] = {
    [sym_expression] = STATE(4790),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_RPAREN] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1405] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5135),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1406] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5137),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1407] = {
    [sym_expression] = STATE(3894),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1408] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5142),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1409] = {
    [sym_expression] = STATE(4864),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5144),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1410] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5146),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1411] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5148),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1412] = {
    [sym_expression] = STATE(3871),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5150),
    [anon_sym_LPAREN2] = ACTIONS(5152),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1413] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5036),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1977),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1414] = {
    [sym_expression] = STATE(4647),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(7647),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1415] = {
    [sym_expression] = STATE(4878),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5154),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1416] = {
    [sym_expression] = STATE(4881),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5156),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1417] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5158),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1418] = {
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym_SEMI] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(5080),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1419] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5162),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1420] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5164),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1421] = {
    [sym_expression] = STATE(4849),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5166),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1422] = {
    [sym_expression] = STATE(3423),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5168),
    [anon_sym_LPAREN2] = ACTIONS(5170),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1423] = {
    [sym_expression] = STATE(4797),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5172),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1424] = {
    [sym_expression] = STATE(4811),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5174),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1425] = {
    [sym_expression] = STATE(3895),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1426] = {
    [sym_expression] = STATE(4926),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5176),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1427] = {
    [sym_expression] = STATE(4887),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5178),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1428] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5011),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1983),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1429] = {
    [sym_expression] = STATE(4890),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5180),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1430] = {
    [sym_expression] = STATE(4826),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(5182),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1431] = {
    [sym_expression] = STATE(3887),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5184),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1432] = {
    [sym_expression] = STATE(4786),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5187),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1433] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5020),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1979),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1434] = {
    [sym_expression] = STATE(3887),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5189),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1435] = {
    [sym_expression] = STATE(4898),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5192),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1436] = {
    [sym_expression] = STATE(3888),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1437] = {
    [sym_expression] = STATE(4806),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5197),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1438] = {
    [sym_expression] = STATE(3580),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5199),
    [anon_sym_LPAREN2] = ACTIONS(5201),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1439] = {
    [sym_expression] = STATE(4764),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5203),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1440] = {
    [sym_expression] = STATE(3888),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5205),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1441] = {
    [sym_expression] = STATE(4827),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5208),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1442] = {
    [sym_expression] = STATE(3888),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5210),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1443] = {
    [sym_expression] = STATE(3889),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5213),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1444] = {
    [sym_expression] = STATE(4812),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5216),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1445] = {
    [sym_expression] = STATE(3890),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5218),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1446] = {
    [sym_expression] = STATE(4880),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5221),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1447] = {
    [sym_expression] = STATE(3442),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1448] = {
    [sym_expression] = STATE(3443),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5113),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1449] = {
    [sym_expression] = STATE(3943),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5063),
    [anon_sym_LPAREN2] = ACTIONS(5223),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1450] = {
    [sym_expression] = STATE(3428),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5184),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1451] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5225),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1452] = {
    [sym_expression] = STATE(3891),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1453] = {
    [sym_expression] = STATE(3444),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1454] = {
    [sym_expression] = STATE(3445),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1455] = {
    [sym_expression] = STATE(3892),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1456] = {
    [sym_expression] = STATE(3556),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5091),
    [anon_sym_LPAREN2] = ACTIONS(5227),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1457] = {
    [sym_expression] = STATE(3428),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5189),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1458] = {
    [sym_expression] = STATE(3452),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5122),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1459] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5048),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1981),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1460] = {
    [sym_expression] = STATE(3893),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5067),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1461] = {
    [sym_expression] = STATE(3453),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1462] = {
    [sym_expression] = STATE(3437),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1463] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4951),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1985),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1464] = {
    [sym_expression] = STATE(3437),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5205),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1465] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4962),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1988),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1466] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5229),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1467] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3948),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7737),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_type_parameter_declaration] = STATE(7737),
    [sym_variadic_type_parameter_declaration] = STATE(7737),
    [sym_optional_type_parameter_declaration] = STATE(7737),
    [sym_template_template_parameter_declaration] = STATE(7737),
    [sym_optional_parameter_declaration] = STATE(7737),
    [sym_variadic_parameter_declaration] = STATE(7737),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(4990),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4994),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1468] = {
    [sym_expression] = STATE(4519),
    [sym__string] = STATE(4439),
    [sym_comma_expression] = STATE(7647),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1469] = {
    [sym_expression] = STATE(3894),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1470] = {
    [sym_expression] = STATE(4764),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5231),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1471] = {
    [sym_expression] = STATE(3943),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5063),
    [anon_sym_LPAREN2] = ACTIONS(5233),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1472] = {
    [sym_expression] = STATE(3437),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5210),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1473] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5235),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1474] = {
    [sym_expression] = STATE(3442),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5213),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1475] = {
    [sym_expression] = STATE(4732),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5063),
    [anon_sym_LPAREN2] = ACTIONS(5237),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1476] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_RBRACK] = ACTIONS(5239),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1477] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5039),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_call_modifier] = STATE(1972),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1478] = {
    [sym_expression] = STATE(3894),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1479] = {
    [sym_expression] = STATE(3443),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5218),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1480] = {
    [sym_expression] = STATE(3943),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5063),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1481] = {
    [sym_expression] = STATE(2826),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5091),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1482] = {
    [sym_expression] = STATE(3352),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1483] = {
    [sym_expression] = STATE(3514),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1484] = {
    [sym_expression] = STATE(3525),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1485] = {
    [sym_expression] = STATE(3533),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1486] = {
    [sym_expression] = STATE(3535),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1487] = {
    [sym_expression] = STATE(3540),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1488] = {
    [sym_expression] = STATE(3545),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1489] = {
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(5245),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1490] = {
    [sym_expression] = STATE(2804),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1491] = {
    [sym_expression] = STATE(4725),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1492] = {
    [sym_expression] = STATE(3442),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1493] = {
    [sym_expression] = STATE(4673),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1494] = {
    [sym_expression] = STATE(4734),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1495] = {
    [sym_expression] = STATE(3889),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1496] = {
    [sym_expression] = STATE(3245),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1497] = {
    [sym_expression] = STATE(3443),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1498] = {
    [sym_expression] = STATE(3444),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1499] = {
    [sym_expression] = STATE(3445),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1500] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1501] = {
    [sym_expression] = STATE(3912),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1502] = {
    [sym_expression] = STATE(4656),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1503] = {
    [sym_expression] = STATE(3452),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1504] = {
    [sym_expression] = STATE(3453),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1505] = {
    [sym_expression] = STATE(3454),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1506] = {
    [sym_expression] = STATE(3455),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1507] = {
    [sym_expression] = STATE(3281),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1508] = {
    [sym_expression] = STATE(4865),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1509] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1510] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1511] = {
    [sym_expression] = STATE(3966),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1512] = {
    [sym_expression] = STATE(4863),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4394),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1513] = {
    [sym_expression] = STATE(2822),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1514] = {
    [sym_expression] = STATE(3250),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1515] = {
    [sym_expression] = STATE(3263),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1516] = {
    [sym_expression] = STATE(4454),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1517] = {
    [sym_expression] = STATE(4026),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(5247),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1518] = {
    [sym_expression] = STATE(3265),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1519] = {
    [sym_expression] = STATE(4874),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1520] = {
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1521] = {
    [sym_expression] = STATE(4683),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1522] = {
    [sym_expression] = STATE(3267),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1523] = {
    [sym_expression] = STATE(3294),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1524] = {
    [sym_expression] = STATE(3296),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1525] = {
    [sym_expression] = STATE(2822),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1526] = {
    [sym_expression] = STATE(3351),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1527] = {
    [sym_expression] = STATE(4935),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1528] = {
    [sym_expression] = STATE(3353),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1529] = {
    [sym_expression] = STATE(3354),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1530] = {
    [sym_expression] = STATE(3355),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1531] = {
    [sym_expression] = STATE(3356),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1532] = {
    [sym_expression] = STATE(3357),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1533] = {
    [sym_expression] = STATE(3297),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1534] = {
    [sym_expression] = STATE(3866),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1535] = {
    [sym_expression] = STATE(4462),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1536] = {
    [sym_expression] = STATE(3208),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1537] = {
    [sym_expression] = STATE(3870),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1538] = {
    [sym_expression] = STATE(4763),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1539] = {
    [sym_expression] = STATE(3276),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1540] = {
    [sym_expression] = STATE(3459),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1541] = {
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1542] = {
    [sym_expression] = STATE(3459),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(5249),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1543] = {
    [sym_expression] = STATE(4799),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1544] = {
    [sym_expression] = STATE(4834),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1545] = {
    [sym_expression] = STATE(3422),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1546] = {
    [sym_expression] = STATE(3277),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1547] = {
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(5080),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1548] = {
    [sym_expression] = STATE(3278),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1549] = {
    [sym_expression] = STATE(3966),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1550] = {
    [sym_expression] = STATE(4568),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1551] = {
    [sym_expression] = STATE(3473),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1552] = {
    [sym_expression] = STATE(4453),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1553] = {
    [sym_expression] = STATE(3542),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1554] = {
    [sym_expression] = STATE(4456),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1555] = {
    [sym_expression] = STATE(3400),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1556] = {
    [sym_expression] = STATE(3169),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1557] = {
    [sym_expression] = STATE(3177),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1558] = {
    [sym_expression] = STATE(2822),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1559] = {
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1560] = {
    [sym_expression] = STATE(3148),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1561] = {
    [sym_expression] = STATE(3149),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1562] = {
    [sym_expression] = STATE(3150),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1563] = {
    [sym_expression] = STATE(3151),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1564] = {
    [sym_expression] = STATE(3152),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1565] = {
    [sym_expression] = STATE(3153),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1566] = {
    [sym_expression] = STATE(3178),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1567] = {
    [sym_expression] = STATE(3595),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1568] = {
    [sym_expression] = STATE(3609),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1569] = {
    [sym_expression] = STATE(4469),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(5251),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1570] = {
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(5253),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1571] = {
    [sym_expression] = STATE(3827),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1572] = {
    [sym_expression] = STATE(4851),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1573] = {
    [sym_expression] = STATE(3890),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1574] = {
    [sym_expression] = STATE(4914),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1575] = {
    [sym_expression] = STATE(4766),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1576] = {
    [sym_expression] = STATE(4470),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1577] = {
    [sym_expression] = STATE(3891),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1578] = {
    [sym_expression] = STATE(3892),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1579] = {
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1580] = {
    [sym_expression] = STATE(4876),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1581] = {
    [sym_expression] = STATE(3872),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(5257),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1582] = {
    [sym_expression] = STATE(4465),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1583] = {
    [sym_expression] = STATE(3950),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1584] = {
    [sym_expression] = STATE(4486),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1585] = {
    [sym_expression] = STATE(4489),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1586] = {
    [sym_expression] = STATE(4026),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1587] = {
    [sym_expression] = STATE(3944),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1588] = {
    [sym_expression] = STATE(4494),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1589] = {
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1590] = {
    [sym_expression] = STATE(4468),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1591] = {
    [sym_expression] = STATE(4463),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1592] = {
    [sym_expression] = STATE(4445),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1593] = {
    [sym_expression] = STATE(4443),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1594] = {
    [sym_expression] = STATE(3873),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1595] = {
    [sym_expression] = STATE(3893),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1596] = {
    [sym_expression] = STATE(4495),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1597] = {
    [sym_expression] = STATE(3230),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1598] = {
    [sym_expression] = STATE(3894),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1599] = {
    [sym_expression] = STATE(3895),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1600] = {
    [sym_expression] = STATE(3882),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(5259),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1601] = {
    [sym_expression] = STATE(3546),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(5261),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1602] = {
    [sym_expression] = STATE(4026),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1603] = {
    [sym_expression] = STATE(3547),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1604] = {
    [sym_expression] = STATE(3944),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1605] = {
    [sym_expression] = STATE(3495),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1606] = {
    [sym_expression] = STATE(3606),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1607] = {
    [sym_expression] = STATE(3896),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1608] = {
    [sym_expression] = STATE(4617),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1609] = {
    [sym_expression] = STATE(4500),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1610] = {
    [sym_expression] = STATE(4789),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1611] = {
    [sym_expression] = STATE(4625),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1612] = {
    [sym_expression] = STATE(4626),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(5265),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1613] = {
    [sym_expression] = STATE(3490),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1614] = {
    [sym_expression] = STATE(4630),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1615] = {
    [sym_expression] = STATE(2827),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1616] = {
    [sym_expression] = STATE(4655),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1617] = {
    [sym_expression] = STATE(2821),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1618] = {
    [sym_expression] = STATE(4570),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1619] = {
    [sym_expression] = STATE(4334),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1620] = {
    [sym_expression] = STATE(2827),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1621] = {
    [sym_expression] = STATE(2821),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1622] = {
    [sym_expression] = STATE(3604),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1623] = {
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1624] = {
    [sym_expression] = STATE(4791),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1625] = {
    [sym_expression] = STATE(3867),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1626] = {
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4578),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_char_literal] = STATE(4578),
    [sym_concatenated_string] = STATE(4578),
    [sym_string_literal] = STATE(3649),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3649),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(4187),
    [anon_sym_DASH] = ACTIONS(4185),
    [anon_sym_PLUS] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4185),
    [anon_sym_compl] = ACTIONS(4185),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_sizeof] = ACTIONS(4193),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4195),
    [anon_sym_L_SQUOTE] = ACTIONS(4197),
    [anon_sym_u_SQUOTE] = ACTIONS(4197),
    [anon_sym_U_SQUOTE] = ACTIONS(4197),
    [anon_sym_u8_SQUOTE] = ACTIONS(4197),
    [anon_sym_SQUOTE] = ACTIONS(4197),
    [anon_sym_L_DQUOTE] = ACTIONS(4199),
    [anon_sym_u_DQUOTE] = ACTIONS(4199),
    [anon_sym_U_DQUOTE] = ACTIONS(4199),
    [anon_sym_u8_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE] = ACTIONS(4199),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4201),
    [anon_sym_R_DQUOTE] = ACTIONS(4203),
    [anon_sym_LR_DQUOTE] = ACTIONS(4203),
    [anon_sym_uR_DQUOTE] = ACTIONS(4203),
    [anon_sym_UR_DQUOTE] = ACTIONS(4203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4203),
    [anon_sym_co_await] = ACTIONS(4205),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1627] = {
    [sym_expression] = STATE(4662),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(5267),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1628] = {
    [sym_expression] = STATE(4623),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1629] = {
    [sym_expression] = STATE(4882),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1630] = {
    [sym_expression] = STATE(4775),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1631] = {
    [sym_expression] = STATE(3328),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(5269),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1632] = {
    [sym_expression] = STATE(4744),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1633] = {
    [sym_expression] = STATE(4609),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1634] = {
    [sym_expression] = STATE(3246),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1635] = {
    [sym_expression] = STATE(4606),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1636] = {
    [sym_expression] = STATE(4608),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1637] = {
    [sym_expression] = STATE(4610),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1638] = {
    [sym_expression] = STATE(4612),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1639] = {
    [sym_expression] = STATE(4613),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1640] = {
    [sym_expression] = STATE(4614),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1641] = {
    [sym_expression] = STATE(4829),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1642] = {
    [sym_expression] = STATE(4615),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1643] = {
    [sym_expression] = STATE(4875),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1644] = {
    [sym_expression] = STATE(4616),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1645] = {
    [sym_expression] = STATE(4619),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1646] = {
    [sym_expression] = STATE(4605),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1647] = {
    [sym_expression] = STATE(4629),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1648] = {
    [sym_expression] = STATE(4622),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1649] = {
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1650] = {
    [sym_expression] = STATE(4621),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1651] = {
    [sym_expression] = STATE(3295),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(5273),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1652] = {
    [sym_expression] = STATE(4634),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1653] = {
    [sym_expression] = STATE(3950),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1654] = {
    [sym_expression] = STATE(4635),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1655] = {
    [sym_expression] = STATE(4636),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1656] = {
    [sym_expression] = STATE(4637),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1657] = {
    [sym_expression] = STATE(4638),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1658] = {
    [sym_expression] = STATE(4639),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1659] = {
    [sym_expression] = STATE(4640),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1660] = {
    [sym_expression] = STATE(4641),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1661] = {
    [sym_expression] = STATE(4642),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1662] = {
    [sym_expression] = STATE(2804),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1663] = {
    [sym_expression] = STATE(4644),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1664] = {
    [sym_expression] = STATE(4859),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1665] = {
    [sym_expression] = STATE(3145),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1666] = {
    [sym_expression] = STATE(3179),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1667] = {
    [sym_expression] = STATE(3298),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1668] = {
    [sym_expression] = STATE(3155),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1669] = {
    [sym_expression] = STATE(4855),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1670] = {
    [sym_expression] = STATE(3505),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1671] = {
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1672] = {
    [sym_expression] = STATE(4650),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1673] = {
    [sym_expression] = STATE(4793),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1674] = {
    [sym_expression] = STATE(3897),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1675] = {
    [sym_expression] = STATE(3157),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2585),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2585),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_BANG] = ACTIONS(3665),
    [anon_sym_TILDE] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(3667),
    [anon_sym_COLON_COLON] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3663),
    [anon_sym_compl] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_sizeof] = ACTIONS(3675),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3685),
    [anon_sym_L_SQUOTE] = ACTIONS(3687),
    [anon_sym_u_SQUOTE] = ACTIONS(3687),
    [anon_sym_U_SQUOTE] = ACTIONS(3687),
    [anon_sym_u8_SQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [anon_sym_co_await] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1676] = {
    [sym_expression] = STATE(2827),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1677] = {
    [sym_expression] = STATE(4653),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1678] = {
    [sym_expression] = STATE(2827),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(5277),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1679] = {
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1680] = {
    [sym_expression] = STATE(4026),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1681] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(5279),
  },
  [1682] = {
    [sym_expression] = STATE(2821),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1683] = {
    [sym_expression] = STATE(4902),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1684] = {
    [sym_expression] = STATE(4862),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1685] = {
    [sym_expression] = STATE(4311),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1686] = {
    [sym_expression] = STATE(4891),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1687] = {
    [sym_expression] = STATE(4743),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1688] = {
    [sym_expression] = STATE(3966),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1689] = {
    [sym_expression] = STATE(4920),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1690] = {
    [sym_expression] = STATE(3215),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1691] = {
    [sym_expression] = STATE(4879),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1692] = {
    [sym_expression] = STATE(4886),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1693] = {
    [sym_expression] = STATE(4550),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1694] = {
    [sym_expression] = STATE(4771),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1695] = {
    [sym_expression] = STATE(2804),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1696] = {
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1697] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1698] = {
    [sym_expression] = STATE(4885),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1699] = {
    [sym_expression] = STATE(4307),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1700] = {
    [sym_expression] = STATE(4937),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1701] = {
    [sym_expression] = STATE(4758),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1702] = {
    [sym_expression] = STATE(4796),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1703] = {
    [sym_expression] = STATE(4325),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1704] = {
    [sym_expression] = STATE(4804),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1705] = {
    [sym_expression] = STATE(4805),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1706] = {
    [sym_expression] = STATE(4575),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1707] = {
    [sym_expression] = STATE(4815),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1708] = {
    [sym_expression] = STATE(3289),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1709] = {
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1710] = {
    [sym_expression] = STATE(4867),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1711] = {
    [sym_expression] = STATE(4883),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1712] = {
    [sym_expression] = STATE(4493),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1713] = {
    [sym_expression] = STATE(4910),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1714] = {
    [sym_expression] = STATE(4915),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1715] = {
    [sym_expression] = STATE(4916),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1716] = {
    [sym_expression] = STATE(4598),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1717] = {
    [sym_expression] = STATE(4919),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1718] = {
    [sym_expression] = STATE(4735),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1719] = {
    [sym_expression] = STATE(4601),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1720] = {
    [sym_expression] = STATE(3426),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1721] = {
    [sym_expression] = STATE(4928),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1722] = {
    [sym_expression] = STATE(4776),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1723] = {
    [sym_expression] = STATE(4866),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1724] = {
    [sym_expression] = STATE(4518),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1725] = {
    [sym_expression] = STATE(4778),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1726] = {
    [sym_expression] = STATE(3887),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1727] = {
    [sym_expression] = STATE(4520),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1728] = {
    [sym_expression] = STATE(3233),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1729] = {
    [sym_expression] = STATE(4840),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1730] = {
    [sym_expression] = STATE(4938),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1731] = {
    [sym_expression] = STATE(4525),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1732] = {
    [sym_expression] = STATE(4861),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1733] = {
    [sym_expression] = STATE(4627),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1734] = {
    [sym_expression] = STATE(4529),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1735] = {
    [sym_expression] = STATE(4333),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1736] = {
    [sym_expression] = STATE(3950),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1737] = {
    [sym_expression] = STATE(4335),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1738] = {
    [sym_expression] = STATE(4532),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1739] = {
    [sym_expression] = STATE(4336),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1740] = {
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1741] = {
    [sym_expression] = STATE(4340),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1742] = {
    [sym_expression] = STATE(4348),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1743] = {
    [sym_expression] = STATE(4026),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1744] = {
    [sym_expression] = STATE(3944),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1745] = {
    [sym_expression] = STATE(4350),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1746] = {
    [sym_expression] = STATE(4757),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1747] = {
    [sym_expression] = STATE(3966),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1748] = {
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1749] = {
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1750] = {
    [sym_expression] = STATE(4632),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1751] = {
    [sym_expression] = STATE(3301),
    [sym__string] = STATE(3471),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3471),
    [sym_concatenated_string] = STATE(3471),
    [sym_string_literal] = STATE(2723),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2723),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_BANG] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3775),
    [anon_sym_compl] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(4908),
    [anon_sym_PLUS_PLUS] = ACTIONS(4908),
    [anon_sym_sizeof] = ACTIONS(3783),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3785),
    [anon_sym_L_SQUOTE] = ACTIONS(3787),
    [anon_sym_u_SQUOTE] = ACTIONS(3787),
    [anon_sym_U_SQUOTE] = ACTIONS(3787),
    [anon_sym_u8_SQUOTE] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [anon_sym_L_DQUOTE] = ACTIONS(3789),
    [anon_sym_u_DQUOTE] = ACTIONS(3789),
    [anon_sym_U_DQUOTE] = ACTIONS(3789),
    [anon_sym_u8_DQUOTE] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3789),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3791),
    [anon_sym_R_DQUOTE] = ACTIONS(3793),
    [anon_sym_LR_DQUOTE] = ACTIONS(3793),
    [anon_sym_uR_DQUOTE] = ACTIONS(3793),
    [anon_sym_UR_DQUOTE] = ACTIONS(3793),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1752] = {
    [sym_expression] = STATE(3950),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1753] = {
    [sym_expression] = STATE(4330),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1754] = {
    [sym_expression] = STATE(4492),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1755] = {
    [sym_expression] = STATE(3553),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1756] = {
    [sym_expression] = STATE(3555),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1757] = {
    [sym_expression] = STATE(4691),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1758] = {
    [sym_expression] = STATE(3441),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1759] = {
    [sym_expression] = STATE(4736),
    [sym__string] = STATE(4871),
    [sym_conditional_expression] = STATE(5058),
    [sym_assignment_expression] = STATE(5058),
    [sym_pointer_expression] = STATE(3805),
    [sym_unary_expression] = STATE(5058),
    [sym_binary_expression] = STATE(5058),
    [sym_update_expression] = STATE(5058),
    [sym_cast_expression] = STATE(5058),
    [sym_sizeof_expression] = STATE(5058),
    [sym_alignof_expression] = STATE(5058),
    [sym_offsetof_expression] = STATE(5058),
    [sym_generic_expression] = STATE(5058),
    [sym_subscript_expression] = STATE(3805),
    [sym_call_expression] = STATE(3805),
    [sym_gnu_asm_expression] = STATE(5058),
    [sym_extension_expression] = STATE(5058),
    [sym_field_expression] = STATE(3805),
    [sym_compound_literal_expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(3805),
    [sym_char_literal] = STATE(4871),
    [sym_concatenated_string] = STATE(4871),
    [sym_string_literal] = STATE(4013),
    [sym_null] = STATE(5058),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7934),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(5058),
    [sym_raw_string_literal] = STATE(4013),
    [sym_co_await_expression] = STATE(5058),
    [sym_new_expression] = STATE(5058),
    [sym_delete_expression] = STATE(5058),
    [sym_requires_clause] = STATE(5058),
    [sym_requires_expression] = STATE(5058),
    [sym_lambda_expression] = STATE(5058),
    [sym_lambda_capture_specifier] = STATE(6059),
    [sym_fold_expression] = STATE(5058),
    [sym_parameter_pack_expansion] = STATE(5058),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3805),
    [sym_qualified_type_identifier] = STATE(7934),
    [sym_user_defined_literal] = STATE(3805),
    [sym_identifier] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(3948),
    [anon_sym_BANG] = ACTIONS(3950),
    [anon_sym_TILDE] = ACTIONS(3950),
    [anon_sym_DASH] = ACTIONS(3952),
    [anon_sym_PLUS] = ACTIONS(3952),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(3952),
    [anon_sym_compl] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3972),
    [anon_sym_PLUS_PLUS] = ACTIONS(3972),
    [anon_sym_sizeof] = ACTIONS(3974),
    [anon_sym___alignof__] = ACTIONS(3976),
    [anon_sym___alignof] = ACTIONS(3976),
    [anon_sym__alignof] = ACTIONS(3976),
    [anon_sym_alignof] = ACTIONS(3976),
    [anon_sym__Alignof] = ACTIONS(3976),
    [anon_sym_offsetof] = ACTIONS(3978),
    [anon_sym__Generic] = ACTIONS(3980),
    [anon_sym_asm] = ACTIONS(3982),
    [anon_sym___asm__] = ACTIONS(3982),
    [anon_sym___asm] = ACTIONS(3982),
    [sym_number_literal] = ACTIONS(3984),
    [anon_sym_L_SQUOTE] = ACTIONS(3986),
    [anon_sym_u_SQUOTE] = ACTIONS(3986),
    [anon_sym_U_SQUOTE] = ACTIONS(3986),
    [anon_sym_u8_SQUOTE] = ACTIONS(3986),
    [anon_sym_SQUOTE] = ACTIONS(3986),
    [anon_sym_L_DQUOTE] = ACTIONS(3988),
    [anon_sym_u_DQUOTE] = ACTIONS(3988),
    [anon_sym_U_DQUOTE] = ACTIONS(3988),
    [anon_sym_u8_DQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3988),
    [sym_true] = ACTIONS(3990),
    [sym_false] = ACTIONS(3990),
    [anon_sym_NULL] = ACTIONS(3992),
    [anon_sym_nullptr] = ACTIONS(3992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4002),
    [anon_sym_R_DQUOTE] = ACTIONS(4004),
    [anon_sym_LR_DQUOTE] = ACTIONS(4004),
    [anon_sym_uR_DQUOTE] = ACTIONS(4004),
    [anon_sym_UR_DQUOTE] = ACTIONS(4004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4004),
    [anon_sym_co_await] = ACTIONS(4006),
    [anon_sym_new] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(4010),
    [sym_this] = ACTIONS(3990),
  },
  [1760] = {
    [sym_expression] = STATE(4444),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1761] = {
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1762] = {
    [sym_expression] = STATE(4720),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1763] = {
    [sym_expression] = STATE(4895),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1764] = {
    [sym_expression] = STATE(4664),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1765] = {
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1766] = {
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1767] = {
    [sym_expression] = STATE(4672),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1768] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1769] = {
    [sym_expression] = STATE(4676),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1770] = {
    [sym_expression] = STATE(4680),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1771] = {
    [sym_expression] = STATE(4681),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1772] = {
    [sym_expression] = STATE(4764),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1773] = {
    [sym_expression] = STATE(3591),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1774] = {
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1775] = {
    [sym_expression] = STATE(3554),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1776] = {
    [sym_expression] = STATE(3561),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1777] = {
    [sym_expression] = STATE(3562),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1778] = {
    [sym_expression] = STATE(3563),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1779] = {
    [sym_expression] = STATE(3564),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1780] = {
    [sym_expression] = STATE(3565),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1781] = {
    [sym_expression] = STATE(3566),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1782] = {
    [sym_expression] = STATE(3567),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1783] = {
    [sym_expression] = STATE(3568),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1784] = {
    [sym_expression] = STATE(3569),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1785] = {
    [sym_expression] = STATE(3570),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1786] = {
    [sym_expression] = STATE(3557),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1787] = {
    [sym_expression] = STATE(3558),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1788] = {
    [sym_expression] = STATE(3559),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1789] = {
    [sym_expression] = STATE(3571),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1790] = {
    [sym_expression] = STATE(3390),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1791] = {
    [sym_expression] = STATE(4321),
    [sym__string] = STATE(4388),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3214),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3214),
    [sym_call_expression] = STATE(3214),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3214),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3214),
    [sym_char_literal] = STATE(4388),
    [sym_concatenated_string] = STATE(4388),
    [sym_string_literal] = STATE(3315),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3315),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3214),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3214),
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_LPAREN2] = ACTIONS(5019),
    [anon_sym_BANG] = ACTIONS(4152),
    [anon_sym_TILDE] = ACTIONS(4152),
    [anon_sym_DASH] = ACTIONS(4150),
    [anon_sym_PLUS] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(4154),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4150),
    [anon_sym_compl] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_sizeof] = ACTIONS(4160),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(4162),
    [anon_sym_L_SQUOTE] = ACTIONS(4164),
    [anon_sym_u_SQUOTE] = ACTIONS(4164),
    [anon_sym_U_SQUOTE] = ACTIONS(4164),
    [anon_sym_u8_SQUOTE] = ACTIONS(4164),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4166),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
    [anon_sym_co_await] = ACTIONS(4168),
    [anon_sym_new] = ACTIONS(4170),
    [anon_sym_requires] = ACTIONS(4172),
    [sym_this] = ACTIONS(223),
  },
  [1792] = {
    [sym_expression] = STATE(3574),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1793] = {
    [sym_expression] = STATE(3391),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1794] = {
    [sym_expression] = STATE(3576),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_BANG] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(3907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_compl] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_sizeof] = ACTIONS(3911),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3913),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3915),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1795] = {
    [sym_expression] = STATE(4863),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1796] = {
    [sym_expression] = STATE(3888),
    [sym__string] = STATE(3967),
    [sym_conditional_expression] = STATE(4068),
    [sym_assignment_expression] = STATE(4068),
    [sym_pointer_expression] = STATE(3701),
    [sym_unary_expression] = STATE(4068),
    [sym_binary_expression] = STATE(4068),
    [sym_update_expression] = STATE(4068),
    [sym_cast_expression] = STATE(4068),
    [sym_sizeof_expression] = STATE(4068),
    [sym_alignof_expression] = STATE(4068),
    [sym_offsetof_expression] = STATE(4068),
    [sym_generic_expression] = STATE(4068),
    [sym_subscript_expression] = STATE(3701),
    [sym_call_expression] = STATE(3701),
    [sym_gnu_asm_expression] = STATE(4068),
    [sym_extension_expression] = STATE(4068),
    [sym_field_expression] = STATE(3701),
    [sym_compound_literal_expression] = STATE(4068),
    [sym_parenthesized_expression] = STATE(3701),
    [sym_char_literal] = STATE(3967),
    [sym_concatenated_string] = STATE(3967),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4068),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(8010),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4068),
    [sym_raw_string_literal] = STATE(2972),
    [sym_co_await_expression] = STATE(4068),
    [sym_new_expression] = STATE(4068),
    [sym_delete_expression] = STATE(4068),
    [sym_requires_clause] = STATE(4068),
    [sym_requires_expression] = STATE(4068),
    [sym_lambda_expression] = STATE(4068),
    [sym_lambda_capture_specifier] = STATE(6019),
    [sym_fold_expression] = STATE(4068),
    [sym_parameter_pack_expansion] = STATE(4068),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3701),
    [sym_qualified_type_identifier] = STATE(8010),
    [sym_user_defined_literal] = STATE(3701),
    [sym_identifier] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3921),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(1854),
    [anon_sym_compl] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1886),
    [anon_sym_L_SQUOTE] = ACTIONS(1888),
    [anon_sym_u_SQUOTE] = ACTIONS(1888),
    [anon_sym_U_SQUOTE] = ACTIONS(1888),
    [anon_sym_u8_SQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1894),
    [anon_sym_nullptr] = ACTIONS(1894),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_R_DQUOTE] = ACTIONS(1900),
    [anon_sym_LR_DQUOTE] = ACTIONS(1900),
    [anon_sym_uR_DQUOTE] = ACTIONS(1900),
    [anon_sym_UR_DQUOTE] = ACTIONS(1900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1900),
    [anon_sym_co_await] = ACTIONS(1902),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_requires] = ACTIONS(1906),
    [sym_this] = ACTIONS(1892),
  },
  [1797] = {
    [sym_expression] = STATE(3424),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1798] = {
    [sym_expression] = STATE(4718),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1799] = {
    [sym_expression] = STATE(4700),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(5297),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1800] = {
    [sym_expression] = STATE(4803),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1801] = {
    [sym_expression] = STATE(4702),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1802] = {
    [sym_expression] = STATE(4703),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1803] = {
    [sym_expression] = STATE(4704),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1804] = {
    [sym_expression] = STATE(4705),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1805] = {
    [sym_expression] = STATE(4706),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1806] = {
    [sym_expression] = STATE(4707),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1807] = {
    [sym_expression] = STATE(4708),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1808] = {
    [sym_expression] = STATE(4709),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1809] = {
    [sym_expression] = STATE(4710),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1810] = {
    [sym_expression] = STATE(4711),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1811] = {
    [sym_expression] = STATE(3428),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1812] = {
    [sym_expression] = STATE(4713),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1813] = {
    [sym_expression] = STATE(3219),
    [sym__string] = STATE(3287),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2933),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_extension_expression] = STATE(2928),
    [sym_field_expression] = STATE(2933),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_char_literal] = STATE(3287),
    [sym_concatenated_string] = STATE(3287),
    [sym_string_literal] = STATE(2591),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7920),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2591),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6036),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(2933),
    [sym_qualified_type_identifier] = STATE(7920),
    [sym_user_defined_literal] = STATE(2933),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3735),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3739),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3673),
    [anon_sym_not] = ACTIONS(3735),
    [anon_sym_compl] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(4116),
    [anon_sym_PLUS_PLUS] = ACTIONS(4116),
    [anon_sym_sizeof] = ACTIONS(3743),
    [anon_sym___alignof__] = ACTIONS(3677),
    [anon_sym___alignof] = ACTIONS(3677),
    [anon_sym__alignof] = ACTIONS(3677),
    [anon_sym_alignof] = ACTIONS(3677),
    [anon_sym__Alignof] = ACTIONS(3677),
    [anon_sym_offsetof] = ACTIONS(3679),
    [anon_sym__Generic] = ACTIONS(3681),
    [anon_sym_asm] = ACTIONS(3683),
    [anon_sym___asm__] = ACTIONS(3683),
    [anon_sym___asm] = ACTIONS(3683),
    [sym_number_literal] = ACTIONS(3745),
    [anon_sym_L_SQUOTE] = ACTIONS(3747),
    [anon_sym_u_SQUOTE] = ACTIONS(3747),
    [anon_sym_U_SQUOTE] = ACTIONS(3747),
    [anon_sym_u8_SQUOTE] = ACTIONS(3747),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [anon_sym_L_DQUOTE] = ACTIONS(3749),
    [anon_sym_u_DQUOTE] = ACTIONS(3749),
    [anon_sym_U_DQUOTE] = ACTIONS(3749),
    [anon_sym_u8_DQUOTE] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3749),
    [sym_true] = ACTIONS(3691),
    [sym_false] = ACTIONS(3691),
    [anon_sym_NULL] = ACTIONS(3693),
    [anon_sym_nullptr] = ACTIONS(3693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3751),
    [anon_sym_R_DQUOTE] = ACTIONS(3753),
    [anon_sym_LR_DQUOTE] = ACTIONS(3753),
    [anon_sym_uR_DQUOTE] = ACTIONS(3753),
    [anon_sym_UR_DQUOTE] = ACTIONS(3753),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3753),
    [anon_sym_co_await] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_requires] = ACTIONS(3703),
    [sym_this] = ACTIONS(3691),
  },
  [1814] = {
    [sym_expression] = STATE(4715),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1815] = {
    [sym_expression] = STATE(4729),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1816] = {
    [sym_expression] = STATE(4730),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1817] = {
    [sym_expression] = STATE(3437),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1818] = {
    [sym_expression] = STATE(4719),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1819] = {
    [sym_expression] = STATE(4733),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3914),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3914),
    [sym_call_expression] = STATE(3914),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3914),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3914),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3914),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3914),
    [sym_identifier] = ACTIONS(4231),
    [anon_sym_LPAREN2] = ACTIONS(4984),
    [anon_sym_BANG] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4969),
    [anon_sym_PLUS_PLUS] = ACTIONS(4969),
    [anon_sym_sizeof] = ACTIONS(4241),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4243),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4245),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1820] = {
    [sym_expression] = STATE(3406),
    [sym__string] = STATE(3590),
    [sym_conditional_expression] = STATE(3638),
    [sym_assignment_expression] = STATE(3638),
    [sym_pointer_expression] = STATE(3690),
    [sym_unary_expression] = STATE(3638),
    [sym_binary_expression] = STATE(3638),
    [sym_update_expression] = STATE(3638),
    [sym_cast_expression] = STATE(3638),
    [sym_sizeof_expression] = STATE(3638),
    [sym_alignof_expression] = STATE(3638),
    [sym_offsetof_expression] = STATE(3638),
    [sym_generic_expression] = STATE(3638),
    [sym_subscript_expression] = STATE(3690),
    [sym_call_expression] = STATE(3690),
    [sym_gnu_asm_expression] = STATE(3638),
    [sym_extension_expression] = STATE(3638),
    [sym_field_expression] = STATE(3690),
    [sym_compound_literal_expression] = STATE(3638),
    [sym_parenthesized_expression] = STATE(3690),
    [sym_char_literal] = STATE(3590),
    [sym_concatenated_string] = STATE(3590),
    [sym_string_literal] = STATE(2782),
    [sym_null] = STATE(3638),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7991),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3638),
    [sym_raw_string_literal] = STATE(2782),
    [sym_co_await_expression] = STATE(3638),
    [sym_new_expression] = STATE(3638),
    [sym_delete_expression] = STATE(3638),
    [sym_requires_clause] = STATE(3638),
    [sym_requires_expression] = STATE(3638),
    [sym_lambda_expression] = STATE(3638),
    [sym_lambda_capture_specifier] = STATE(6056),
    [sym_fold_expression] = STATE(3638),
    [sym_parameter_pack_expansion] = STATE(3638),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5825),
    [sym_qualified_identifier] = STATE(3690),
    [sym_qualified_type_identifier] = STATE(7991),
    [sym_user_defined_literal] = STATE(3690),
    [sym_identifier] = ACTIONS(3837),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(5301),
    [sym_primitive_type] = ACTIONS(3843),
    [anon_sym_not] = ACTIONS(2029),
    [anon_sym_compl] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_sizeof] = ACTIONS(2057),
    [anon_sym___alignof__] = ACTIONS(2059),
    [anon_sym___alignof] = ACTIONS(2059),
    [anon_sym__alignof] = ACTIONS(2059),
    [anon_sym_alignof] = ACTIONS(2059),
    [anon_sym__Alignof] = ACTIONS(2059),
    [anon_sym_offsetof] = ACTIONS(2061),
    [anon_sym__Generic] = ACTIONS(2063),
    [anon_sym_asm] = ACTIONS(2065),
    [anon_sym___asm__] = ACTIONS(2065),
    [anon_sym___asm] = ACTIONS(2065),
    [sym_number_literal] = ACTIONS(2067),
    [anon_sym_L_SQUOTE] = ACTIONS(2069),
    [anon_sym_u_SQUOTE] = ACTIONS(2069),
    [anon_sym_U_SQUOTE] = ACTIONS(2069),
    [anon_sym_u8_SQUOTE] = ACTIONS(2069),
    [anon_sym_SQUOTE] = ACTIONS(2069),
    [anon_sym_L_DQUOTE] = ACTIONS(2071),
    [anon_sym_u_DQUOTE] = ACTIONS(2071),
    [anon_sym_U_DQUOTE] = ACTIONS(2071),
    [anon_sym_u8_DQUOTE] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [anon_sym_NULL] = ACTIONS(2075),
    [anon_sym_nullptr] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2087),
    [anon_sym_LR_DQUOTE] = ACTIONS(2087),
    [anon_sym_uR_DQUOTE] = ACTIONS(2087),
    [anon_sym_UR_DQUOTE] = ACTIONS(2087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2087),
    [anon_sym_co_await] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2091),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2073),
  },
  [1821] = {
    [sym_expression] = STATE(3528),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1822] = {
    [sym_expression] = STATE(3551),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1823] = {
    [sym_expression] = STATE(3500),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1824] = {
    [sym_expression] = STATE(3944),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1825] = {
    [sym_expression] = STATE(3503),
    [sym__string] = STATE(3652),
    [sym_conditional_expression] = STATE(3807),
    [sym_assignment_expression] = STATE(3807),
    [sym_pointer_expression] = STATE(3829),
    [sym_unary_expression] = STATE(3807),
    [sym_binary_expression] = STATE(3807),
    [sym_update_expression] = STATE(3807),
    [sym_cast_expression] = STATE(3807),
    [sym_sizeof_expression] = STATE(3807),
    [sym_alignof_expression] = STATE(3807),
    [sym_offsetof_expression] = STATE(3807),
    [sym_generic_expression] = STATE(3807),
    [sym_subscript_expression] = STATE(3829),
    [sym_call_expression] = STATE(3829),
    [sym_gnu_asm_expression] = STATE(3807),
    [sym_extension_expression] = STATE(3807),
    [sym_field_expression] = STATE(3829),
    [sym_compound_literal_expression] = STATE(3807),
    [sym_parenthesized_expression] = STATE(3829),
    [sym_char_literal] = STATE(3652),
    [sym_concatenated_string] = STATE(3652),
    [sym_string_literal] = STATE(2814),
    [sym_null] = STATE(3807),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7699),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(3807),
    [sym_raw_string_literal] = STATE(2814),
    [sym_co_await_expression] = STATE(3807),
    [sym_new_expression] = STATE(3807),
    [sym_delete_expression] = STATE(3807),
    [sym_requires_clause] = STATE(3807),
    [sym_requires_expression] = STATE(3807),
    [sym_lambda_expression] = STATE(3807),
    [sym_lambda_capture_specifier] = STATE(6045),
    [sym_fold_expression] = STATE(3807),
    [sym_parameter_pack_expansion] = STATE(3807),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5756),
    [sym_qualified_identifier] = STATE(3829),
    [sym_qualified_type_identifier] = STATE(7699),
    [sym_user_defined_literal] = STATE(3829),
    [sym_identifier] = ACTIONS(3857),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_BANG] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym___extension__] = ACTIONS(3863),
    [anon_sym_COLON_COLON] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_compl] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_sizeof] = ACTIONS(3871),
    [anon_sym___alignof__] = ACTIONS(3873),
    [anon_sym___alignof] = ACTIONS(3873),
    [anon_sym__alignof] = ACTIONS(3873),
    [anon_sym_alignof] = ACTIONS(3873),
    [anon_sym__Alignof] = ACTIONS(3873),
    [anon_sym_offsetof] = ACTIONS(3875),
    [anon_sym__Generic] = ACTIONS(3877),
    [anon_sym_asm] = ACTIONS(3879),
    [anon_sym___asm__] = ACTIONS(3879),
    [anon_sym___asm] = ACTIONS(3879),
    [sym_number_literal] = ACTIONS(3881),
    [anon_sym_L_SQUOTE] = ACTIONS(3883),
    [anon_sym_u_SQUOTE] = ACTIONS(3883),
    [anon_sym_U_SQUOTE] = ACTIONS(3883),
    [anon_sym_u8_SQUOTE] = ACTIONS(3883),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [anon_sym_L_DQUOTE] = ACTIONS(3885),
    [anon_sym_u_DQUOTE] = ACTIONS(3885),
    [anon_sym_U_DQUOTE] = ACTIONS(3885),
    [anon_sym_u8_DQUOTE] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3885),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [anon_sym_NULL] = ACTIONS(3889),
    [anon_sym_nullptr] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(3891),
    [anon_sym_R_DQUOTE] = ACTIONS(3893),
    [anon_sym_LR_DQUOTE] = ACTIONS(3893),
    [anon_sym_uR_DQUOTE] = ACTIONS(3893),
    [anon_sym_UR_DQUOTE] = ACTIONS(3893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3893),
    [anon_sym_co_await] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3887),
  },
  [1826] = {
    [sym_expression] = STATE(4931),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1827] = {
    [sym_expression] = STATE(4932),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1828] = {
    [sym_expression] = STATE(4933),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1829] = {
    [sym_expression] = STATE(4934),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3588),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3588),
    [sym_call_expression] = STATE(3588),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3588),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3588),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3588),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3588),
    [sym_identifier] = ACTIONS(4207),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1830] = {
    [sym_expression] = STATE(4860),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4044),
    [sym_assignment_expression] = STATE(4044),
    [sym_pointer_expression] = STATE(3880),
    [sym_unary_expression] = STATE(4044),
    [sym_binary_expression] = STATE(4044),
    [sym_update_expression] = STATE(4044),
    [sym_cast_expression] = STATE(4044),
    [sym_sizeof_expression] = STATE(4044),
    [sym_alignof_expression] = STATE(4044),
    [sym_offsetof_expression] = STATE(4044),
    [sym_generic_expression] = STATE(4044),
    [sym_subscript_expression] = STATE(3880),
    [sym_call_expression] = STATE(3880),
    [sym_gnu_asm_expression] = STATE(4044),
    [sym_extension_expression] = STATE(4044),
    [sym_field_expression] = STATE(3880),
    [sym_compound_literal_expression] = STATE(4044),
    [sym_parenthesized_expression] = STATE(3880),
    [sym_char_literal] = STATE(4439),
    [sym_concatenated_string] = STATE(4439),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4044),
    [sym_decltype] = STATE(8312),
    [sym__class_name] = STATE(7970),
    [sym_template_type] = STATE(2234),
    [sym_template_function] = STATE(4044),
    [sym_raw_string_literal] = STATE(3386),
    [sym_co_await_expression] = STATE(4044),
    [sym_new_expression] = STATE(4044),
    [sym_delete_expression] = STATE(4044),
    [sym_requires_clause] = STATE(4044),
    [sym_requires_expression] = STATE(4044),
    [sym_lambda_expression] = STATE(4044),
    [sym_lambda_capture_specifier] = STATE(6061),
    [sym_fold_expression] = STATE(4044),
    [sym_parameter_pack_expansion] = STATE(4044),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5867),
    [sym_qualified_identifier] = STATE(3880),
    [sym_qualified_type_identifier] = STATE(7970),
    [sym_user_defined_literal] = STATE(3880),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_LPAREN2] = ACTIONS(4257),
    [anon_sym_BANG] = ACTIONS(4217),
    [anon_sym_TILDE] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4215),
    [anon_sym_PLUS] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym___extension__] = ACTIONS(4219),
    [anon_sym_COLON_COLON] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_compl] = ACTIONS(4215),
    [anon_sym_DASH_DASH] = ACTIONS(4261),
    [anon_sym_PLUS_PLUS] = ACTIONS(4261),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [sym_number_literal] = ACTIONS(221),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(4225),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(223),
  },
  [1831] = {
    [sym_catch_clause] = STATE(1831),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(1980),
    [aux_sym_preproc_def_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1980),
    [aux_sym_preproc_else_token1] = ACTIONS(1980),
    [aux_sym_preproc_elif_token1] = ACTIONS(1980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1980),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1980),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_AMP_AMP] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1980),
    [anon_sym_typedef] = ACTIONS(1980),
    [anon_sym_in] = ACTIONS(1980),
    [anon_sym_out] = ACTIONS(1980),
    [anon_sym_inout] = ACTIONS(1980),
    [anon_sym_virtual] = ACTIONS(1980),
    [anon_sym_extern] = ACTIONS(1980),
    [anon_sym___attribute__] = ACTIONS(1980),
    [anon_sym___attribute] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1982),
    [anon_sym___declspec] = ACTIONS(1980),
    [anon_sym___based] = ACTIONS(1980),
    [anon_sym_signed] = ACTIONS(1980),
    [anon_sym_unsigned] = ACTIONS(1980),
    [anon_sym_long] = ACTIONS(1980),
    [anon_sym_short] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_register] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(1980),
    [anon_sym___inline] = ACTIONS(1980),
    [anon_sym___inline__] = ACTIONS(1980),
    [anon_sym___forceinline] = ACTIONS(1980),
    [anon_sym_thread_local] = ACTIONS(1980),
    [anon_sym___thread] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_constexpr] = ACTIONS(1980),
    [anon_sym_volatile] = ACTIONS(1980),
    [anon_sym_restrict] = ACTIONS(1980),
    [anon_sym___restrict__] = ACTIONS(1980),
    [anon_sym__Atomic] = ACTIONS(1980),
    [anon_sym__Noreturn] = ACTIONS(1980),
    [anon_sym_noreturn] = ACTIONS(1980),
    [anon_sym__Nonnull] = ACTIONS(1980),
    [anon_sym_mutable] = ACTIONS(1980),
    [anon_sym_constinit] = ACTIONS(1980),
    [anon_sym_consteval] = ACTIONS(1980),
    [anon_sym_alignas] = ACTIONS(1980),
    [anon_sym__Alignas] = ACTIONS(1980),
    [sym_primitive_type] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_struct] = ACTIONS(1980),
    [anon_sym_union] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1980),
    [anon_sym_decltype] = ACTIONS(1980),
    [anon_sym_explicit] = ACTIONS(1980),
    [anon_sym_typename] = ACTIONS(1980),
    [anon_sym_template] = ACTIONS(1980),
    [anon_sym_operator] = ACTIONS(1980),
    [anon_sym_friend] = ACTIONS(1980),
    [anon_sym_public] = ACTIONS(1980),
    [anon_sym_private] = ACTIONS(1980),
    [anon_sym_protected] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1980),
    [anon_sym_static_assert] = ACTIONS(1980),
    [anon_sym_catch] = ACTIONS(5303),
    [anon_sym_precise] = ACTIONS(1980),
    [anon_sym_shared] = ACTIONS(1980),
    [anon_sym_groupshared] = ACTIONS(1980),
    [anon_sym_uniform] = ACTIONS(1980),
    [anon_sym_row_major] = ACTIONS(1980),
    [anon_sym_column_major] = ACTIONS(1980),
    [anon_sym_globallycoherent] = ACTIONS(1980),
    [anon_sym_centroid] = ACTIONS(1980),
    [anon_sym_noperspective] = ACTIONS(1980),
    [anon_sym_nointerpolation] = ACTIONS(1980),
    [anon_sym_sample] = ACTIONS(1980),
    [anon_sym_linear] = ACTIONS(1980),
    [anon_sym_snorm] = ACTIONS(1980),
    [anon_sym_unorm] = ACTIONS(1980),
    [anon_sym_point] = ACTIONS(1980),
    [anon_sym_line] = ACTIONS(1980),
    [anon_sym_triangleadj] = ACTIONS(1980),
    [anon_sym_lineadj] = ACTIONS(1980),
    [anon_sym_triangle] = ACTIONS(1980),
  },
  [1832] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7428),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7428),
    [sym_variadic_parameter_declaration] = STATE(7428),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5306),
    [anon_sym_RPAREN] = ACTIONS(5308),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1833] = {
    [sym_catch_clause] = STATE(1831),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token2] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1997),
    [aux_sym_preproc_else_token1] = ACTIONS(1997),
    [aux_sym_preproc_elif_token1] = ACTIONS(1997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1997),
    [sym_preproc_directive] = ACTIONS(1997),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_AMP_AMP] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym___extension__] = ACTIONS(1997),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1997),
    [anon_sym_out] = ACTIONS(1997),
    [anon_sym_inout] = ACTIONS(1997),
    [anon_sym_virtual] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(1997),
    [anon_sym___attribute__] = ACTIONS(1997),
    [anon_sym___attribute] = ACTIONS(1997),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(1997),
    [anon_sym___based] = ACTIONS(1997),
    [anon_sym_signed] = ACTIONS(1997),
    [anon_sym_unsigned] = ACTIONS(1997),
    [anon_sym_long] = ACTIONS(1997),
    [anon_sym_short] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_register] = ACTIONS(1997),
    [anon_sym_inline] = ACTIONS(1997),
    [anon_sym___inline] = ACTIONS(1997),
    [anon_sym___inline__] = ACTIONS(1997),
    [anon_sym___forceinline] = ACTIONS(1997),
    [anon_sym_thread_local] = ACTIONS(1997),
    [anon_sym___thread] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_constexpr] = ACTIONS(1997),
    [anon_sym_volatile] = ACTIONS(1997),
    [anon_sym_restrict] = ACTIONS(1997),
    [anon_sym___restrict__] = ACTIONS(1997),
    [anon_sym__Atomic] = ACTIONS(1997),
    [anon_sym__Noreturn] = ACTIONS(1997),
    [anon_sym_noreturn] = ACTIONS(1997),
    [anon_sym__Nonnull] = ACTIONS(1997),
    [anon_sym_mutable] = ACTIONS(1997),
    [anon_sym_constinit] = ACTIONS(1997),
    [anon_sym_consteval] = ACTIONS(1997),
    [anon_sym_alignas] = ACTIONS(1997),
    [anon_sym__Alignas] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_struct] = ACTIONS(1997),
    [anon_sym_union] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1997),
    [anon_sym_decltype] = ACTIONS(1997),
    [anon_sym_explicit] = ACTIONS(1997),
    [anon_sym_typename] = ACTIONS(1997),
    [anon_sym_template] = ACTIONS(1997),
    [anon_sym_operator] = ACTIONS(1997),
    [anon_sym_friend] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_using] = ACTIONS(1997),
    [anon_sym_static_assert] = ACTIONS(1997),
    [anon_sym_catch] = ACTIONS(5310),
    [anon_sym_precise] = ACTIONS(1997),
    [anon_sym_shared] = ACTIONS(1997),
    [anon_sym_groupshared] = ACTIONS(1997),
    [anon_sym_uniform] = ACTIONS(1997),
    [anon_sym_row_major] = ACTIONS(1997),
    [anon_sym_column_major] = ACTIONS(1997),
    [anon_sym_globallycoherent] = ACTIONS(1997),
    [anon_sym_centroid] = ACTIONS(1997),
    [anon_sym_noperspective] = ACTIONS(1997),
    [anon_sym_nointerpolation] = ACTIONS(1997),
    [anon_sym_sample] = ACTIONS(1997),
    [anon_sym_linear] = ACTIONS(1997),
    [anon_sym_snorm] = ACTIONS(1997),
    [anon_sym_unorm] = ACTIONS(1997),
    [anon_sym_point] = ACTIONS(1997),
    [anon_sym_line] = ACTIONS(1997),
    [anon_sym_triangleadj] = ACTIONS(1997),
    [anon_sym_lineadj] = ACTIONS(1997),
    [anon_sym_triangle] = ACTIONS(1997),
  },
  [1834] = {
    [sym_catch_clause] = STATE(1831),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(2013),
    [aux_sym_preproc_def_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token2] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2013),
    [aux_sym_preproc_else_token1] = ACTIONS(2013),
    [aux_sym_preproc_elif_token1] = ACTIONS(2013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2013),
    [sym_preproc_directive] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym___extension__] = ACTIONS(2013),
    [anon_sym_typedef] = ACTIONS(2013),
    [anon_sym_in] = ACTIONS(2013),
    [anon_sym_out] = ACTIONS(2013),
    [anon_sym_inout] = ACTIONS(2013),
    [anon_sym_virtual] = ACTIONS(2013),
    [anon_sym_extern] = ACTIONS(2013),
    [anon_sym___attribute__] = ACTIONS(2013),
    [anon_sym___attribute] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2015),
    [anon_sym___declspec] = ACTIONS(2013),
    [anon_sym___based] = ACTIONS(2013),
    [anon_sym_signed] = ACTIONS(2013),
    [anon_sym_unsigned] = ACTIONS(2013),
    [anon_sym_long] = ACTIONS(2013),
    [anon_sym_short] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_register] = ACTIONS(2013),
    [anon_sym_inline] = ACTIONS(2013),
    [anon_sym___inline] = ACTIONS(2013),
    [anon_sym___inline__] = ACTIONS(2013),
    [anon_sym___forceinline] = ACTIONS(2013),
    [anon_sym_thread_local] = ACTIONS(2013),
    [anon_sym___thread] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2013),
    [anon_sym_constexpr] = ACTIONS(2013),
    [anon_sym_volatile] = ACTIONS(2013),
    [anon_sym_restrict] = ACTIONS(2013),
    [anon_sym___restrict__] = ACTIONS(2013),
    [anon_sym__Atomic] = ACTIONS(2013),
    [anon_sym__Noreturn] = ACTIONS(2013),
    [anon_sym_noreturn] = ACTIONS(2013),
    [anon_sym__Nonnull] = ACTIONS(2013),
    [anon_sym_mutable] = ACTIONS(2013),
    [anon_sym_constinit] = ACTIONS(2013),
    [anon_sym_consteval] = ACTIONS(2013),
    [anon_sym_alignas] = ACTIONS(2013),
    [anon_sym__Alignas] = ACTIONS(2013),
    [sym_primitive_type] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_struct] = ACTIONS(2013),
    [anon_sym_union] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2013),
    [anon_sym_decltype] = ACTIONS(2013),
    [anon_sym_explicit] = ACTIONS(2013),
    [anon_sym_typename] = ACTIONS(2013),
    [anon_sym_template] = ACTIONS(2013),
    [anon_sym_operator] = ACTIONS(2013),
    [anon_sym_friend] = ACTIONS(2013),
    [anon_sym_public] = ACTIONS(2013),
    [anon_sym_private] = ACTIONS(2013),
    [anon_sym_protected] = ACTIONS(2013),
    [anon_sym_using] = ACTIONS(2013),
    [anon_sym_static_assert] = ACTIONS(2013),
    [anon_sym_catch] = ACTIONS(5310),
    [anon_sym_precise] = ACTIONS(2013),
    [anon_sym_shared] = ACTIONS(2013),
    [anon_sym_groupshared] = ACTIONS(2013),
    [anon_sym_uniform] = ACTIONS(2013),
    [anon_sym_row_major] = ACTIONS(2013),
    [anon_sym_column_major] = ACTIONS(2013),
    [anon_sym_globallycoherent] = ACTIONS(2013),
    [anon_sym_centroid] = ACTIONS(2013),
    [anon_sym_noperspective] = ACTIONS(2013),
    [anon_sym_nointerpolation] = ACTIONS(2013),
    [anon_sym_sample] = ACTIONS(2013),
    [anon_sym_linear] = ACTIONS(2013),
    [anon_sym_snorm] = ACTIONS(2013),
    [anon_sym_unorm] = ACTIONS(2013),
    [anon_sym_point] = ACTIONS(2013),
    [anon_sym_line] = ACTIONS(2013),
    [anon_sym_triangleadj] = ACTIONS(2013),
    [anon_sym_lineadj] = ACTIONS(2013),
    [anon_sym_triangle] = ACTIONS(2013),
  },
  [1835] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7521),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7521),
    [sym_variadic_parameter_declaration] = STATE(7521),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5312),
    [anon_sym_RPAREN] = ACTIONS(5314),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1836] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7277),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7277),
    [sym_variadic_parameter_declaration] = STATE(7277),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5316),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1837] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7370),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7370),
    [sym_variadic_parameter_declaration] = STATE(7370),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_RPAREN] = ACTIONS(4136),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1838] = {
    [sym_catch_clause] = STATE(1831),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(2017),
    [aux_sym_preproc_def_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token2] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2017),
    [aux_sym_preproc_else_token1] = ACTIONS(2017),
    [aux_sym_preproc_elif_token1] = ACTIONS(2017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2017),
    [sym_preproc_directive] = ACTIONS(2017),
    [anon_sym_LPAREN2] = ACTIONS(2019),
    [anon_sym_TILDE] = ACTIONS(2019),
    [anon_sym_STAR] = ACTIONS(2019),
    [anon_sym_AMP_AMP] = ACTIONS(2019),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym___extension__] = ACTIONS(2017),
    [anon_sym_typedef] = ACTIONS(2017),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_out] = ACTIONS(2017),
    [anon_sym_inout] = ACTIONS(2017),
    [anon_sym_virtual] = ACTIONS(2017),
    [anon_sym_extern] = ACTIONS(2017),
    [anon_sym___attribute__] = ACTIONS(2017),
    [anon_sym___attribute] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2019),
    [anon_sym___declspec] = ACTIONS(2017),
    [anon_sym___based] = ACTIONS(2017),
    [anon_sym_signed] = ACTIONS(2017),
    [anon_sym_unsigned] = ACTIONS(2017),
    [anon_sym_long] = ACTIONS(2017),
    [anon_sym_short] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_register] = ACTIONS(2017),
    [anon_sym_inline] = ACTIONS(2017),
    [anon_sym___inline] = ACTIONS(2017),
    [anon_sym___inline__] = ACTIONS(2017),
    [anon_sym___forceinline] = ACTIONS(2017),
    [anon_sym_thread_local] = ACTIONS(2017),
    [anon_sym___thread] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_constexpr] = ACTIONS(2017),
    [anon_sym_volatile] = ACTIONS(2017),
    [anon_sym_restrict] = ACTIONS(2017),
    [anon_sym___restrict__] = ACTIONS(2017),
    [anon_sym__Atomic] = ACTIONS(2017),
    [anon_sym__Noreturn] = ACTIONS(2017),
    [anon_sym_noreturn] = ACTIONS(2017),
    [anon_sym__Nonnull] = ACTIONS(2017),
    [anon_sym_mutable] = ACTIONS(2017),
    [anon_sym_constinit] = ACTIONS(2017),
    [anon_sym_consteval] = ACTIONS(2017),
    [anon_sym_alignas] = ACTIONS(2017),
    [anon_sym__Alignas] = ACTIONS(2017),
    [sym_primitive_type] = ACTIONS(2017),
    [anon_sym_enum] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_struct] = ACTIONS(2017),
    [anon_sym_union] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2017),
    [anon_sym_decltype] = ACTIONS(2017),
    [anon_sym_explicit] = ACTIONS(2017),
    [anon_sym_typename] = ACTIONS(2017),
    [anon_sym_template] = ACTIONS(2017),
    [anon_sym_operator] = ACTIONS(2017),
    [anon_sym_friend] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_using] = ACTIONS(2017),
    [anon_sym_static_assert] = ACTIONS(2017),
    [anon_sym_catch] = ACTIONS(5310),
    [anon_sym_precise] = ACTIONS(2017),
    [anon_sym_shared] = ACTIONS(2017),
    [anon_sym_groupshared] = ACTIONS(2017),
    [anon_sym_uniform] = ACTIONS(2017),
    [anon_sym_row_major] = ACTIONS(2017),
    [anon_sym_column_major] = ACTIONS(2017),
    [anon_sym_globallycoherent] = ACTIONS(2017),
    [anon_sym_centroid] = ACTIONS(2017),
    [anon_sym_noperspective] = ACTIONS(2017),
    [anon_sym_nointerpolation] = ACTIONS(2017),
    [anon_sym_sample] = ACTIONS(2017),
    [anon_sym_linear] = ACTIONS(2017),
    [anon_sym_snorm] = ACTIONS(2017),
    [anon_sym_unorm] = ACTIONS(2017),
    [anon_sym_point] = ACTIONS(2017),
    [anon_sym_line] = ACTIONS(2017),
    [anon_sym_triangleadj] = ACTIONS(2017),
    [anon_sym_lineadj] = ACTIONS(2017),
    [anon_sym_triangle] = ACTIONS(2017),
  },
  [1839] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7275),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7275),
    [sym_variadic_parameter_declaration] = STATE(7275),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_RPAREN] = ACTIONS(1848),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1840] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7833),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7833),
    [sym_variadic_parameter_declaration] = STATE(7833),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5320),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1841] = {
    [sym_identifier] = ACTIONS(1958),
    [aux_sym_preproc_def_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token2] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1958),
    [aux_sym_preproc_elif_token1] = ACTIONS(1958),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1958),
    [sym_preproc_directive] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1958),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_typedef] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_out] = ACTIONS(1958),
    [anon_sym_inout] = ACTIONS(1958),
    [anon_sym_virtual] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym___attribute] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1956),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1956),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym___based] = ACTIONS(1958),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [anon_sym__Nonnull] = ACTIONS(1958),
    [anon_sym_mutable] = ACTIONS(1958),
    [anon_sym_constinit] = ACTIONS(1958),
    [anon_sym_consteval] = ACTIONS(1958),
    [anon_sym_alignas] = ACTIONS(1958),
    [anon_sym__Alignas] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_class] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1958),
    [anon_sym_decltype] = ACTIONS(1958),
    [anon_sym_explicit] = ACTIONS(1958),
    [anon_sym_typename] = ACTIONS(1958),
    [anon_sym_template] = ACTIONS(1958),
    [anon_sym_operator] = ACTIONS(1958),
    [anon_sym_friend] = ACTIONS(1958),
    [anon_sym_public] = ACTIONS(1958),
    [anon_sym_private] = ACTIONS(1958),
    [anon_sym_protected] = ACTIONS(1958),
    [anon_sym_using] = ACTIONS(1958),
    [anon_sym_static_assert] = ACTIONS(1958),
    [anon_sym_catch] = ACTIONS(1958),
    [anon_sym_precise] = ACTIONS(1958),
    [anon_sym_shared] = ACTIONS(1958),
    [anon_sym_groupshared] = ACTIONS(1958),
    [anon_sym_uniform] = ACTIONS(1958),
    [anon_sym_row_major] = ACTIONS(1958),
    [anon_sym_column_major] = ACTIONS(1958),
    [anon_sym_globallycoherent] = ACTIONS(1958),
    [anon_sym_centroid] = ACTIONS(1958),
    [anon_sym_noperspective] = ACTIONS(1958),
    [anon_sym_nointerpolation] = ACTIONS(1958),
    [anon_sym_sample] = ACTIONS(1958),
    [anon_sym_linear] = ACTIONS(1958),
    [anon_sym_snorm] = ACTIONS(1958),
    [anon_sym_unorm] = ACTIONS(1958),
    [anon_sym_point] = ACTIONS(1958),
    [anon_sym_line] = ACTIONS(1958),
    [anon_sym_triangleadj] = ACTIONS(1958),
    [anon_sym_lineadj] = ACTIONS(1958),
    [anon_sym_triangle] = ACTIONS(1958),
  },
  [1842] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [aux_sym_preproc_else_token1] = ACTIONS(1978),
    [aux_sym_preproc_elif_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [1843] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6339),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6897),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6897),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1844] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [aux_sym_preproc_else_token1] = ACTIONS(1978),
    [aux_sym_preproc_elif_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_catch] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [1845] = {
    [sym_identifier] = ACTIONS(2099),
    [aux_sym_preproc_def_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token2] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2099),
    [aux_sym_preproc_else_token1] = ACTIONS(2099),
    [aux_sym_preproc_elif_token1] = ACTIONS(2099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2099),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2099),
    [sym_preproc_directive] = ACTIONS(2099),
    [anon_sym_LPAREN2] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym___extension__] = ACTIONS(2099),
    [anon_sym_typedef] = ACTIONS(2099),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_out] = ACTIONS(2099),
    [anon_sym_inout] = ACTIONS(2099),
    [anon_sym_virtual] = ACTIONS(2099),
    [anon_sym_extern] = ACTIONS(2099),
    [anon_sym___attribute__] = ACTIONS(2099),
    [anon_sym___attribute] = ACTIONS(2099),
    [anon_sym_COLON_COLON] = ACTIONS(2101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2101),
    [anon_sym___declspec] = ACTIONS(2099),
    [anon_sym___based] = ACTIONS(2099),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2099),
    [anon_sym_register] = ACTIONS(2099),
    [anon_sym_inline] = ACTIONS(2099),
    [anon_sym___inline] = ACTIONS(2099),
    [anon_sym___inline__] = ACTIONS(2099),
    [anon_sym___forceinline] = ACTIONS(2099),
    [anon_sym_thread_local] = ACTIONS(2099),
    [anon_sym___thread] = ACTIONS(2099),
    [anon_sym_const] = ACTIONS(2099),
    [anon_sym_constexpr] = ACTIONS(2099),
    [anon_sym_volatile] = ACTIONS(2099),
    [anon_sym_restrict] = ACTIONS(2099),
    [anon_sym___restrict__] = ACTIONS(2099),
    [anon_sym__Atomic] = ACTIONS(2099),
    [anon_sym__Noreturn] = ACTIONS(2099),
    [anon_sym_noreturn] = ACTIONS(2099),
    [anon_sym__Nonnull] = ACTIONS(2099),
    [anon_sym_mutable] = ACTIONS(2099),
    [anon_sym_constinit] = ACTIONS(2099),
    [anon_sym_consteval] = ACTIONS(2099),
    [anon_sym_alignas] = ACTIONS(2099),
    [anon_sym__Alignas] = ACTIONS(2099),
    [sym_primitive_type] = ACTIONS(2099),
    [anon_sym_enum] = ACTIONS(2099),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2099),
    [anon_sym_union] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2099),
    [anon_sym_decltype] = ACTIONS(2099),
    [anon_sym_explicit] = ACTIONS(2099),
    [anon_sym_typename] = ACTIONS(2099),
    [anon_sym_template] = ACTIONS(2099),
    [anon_sym_operator] = ACTIONS(2099),
    [anon_sym_friend] = ACTIONS(2099),
    [anon_sym_public] = ACTIONS(2099),
    [anon_sym_private] = ACTIONS(2099),
    [anon_sym_protected] = ACTIONS(2099),
    [anon_sym_using] = ACTIONS(2099),
    [anon_sym_static_assert] = ACTIONS(2099),
    [anon_sym_catch] = ACTIONS(2099),
    [anon_sym_precise] = ACTIONS(2099),
    [anon_sym_shared] = ACTIONS(2099),
    [anon_sym_groupshared] = ACTIONS(2099),
    [anon_sym_uniform] = ACTIONS(2099),
    [anon_sym_row_major] = ACTIONS(2099),
    [anon_sym_column_major] = ACTIONS(2099),
    [anon_sym_globallycoherent] = ACTIONS(2099),
    [anon_sym_centroid] = ACTIONS(2099),
    [anon_sym_noperspective] = ACTIONS(2099),
    [anon_sym_nointerpolation] = ACTIONS(2099),
    [anon_sym_sample] = ACTIONS(2099),
    [anon_sym_linear] = ACTIONS(2099),
    [anon_sym_snorm] = ACTIONS(2099),
    [anon_sym_unorm] = ACTIONS(2099),
    [anon_sym_point] = ACTIONS(2099),
    [anon_sym_line] = ACTIONS(2099),
    [anon_sym_triangleadj] = ACTIONS(2099),
    [anon_sym_lineadj] = ACTIONS(2099),
    [anon_sym_triangle] = ACTIONS(2099),
  },
  [1846] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6295),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6906),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6906),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1847] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6335),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6880),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6880),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1848] = {
    [sym__declaration_modifiers] = STATE(2005),
    [sym__declaration_specifiers] = STATE(3971),
    [sym_attribute_specifier] = STATE(2005),
    [sym_attribute_declaration] = STATE(2005),
    [sym_ms_declspec_modifier] = STATE(2005),
    [sym_storage_class_specifier] = STATE(2005),
    [sym_type_qualifier] = STATE(2005),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_parameter_declaration] = STATE(7788),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_optional_parameter_declaration] = STATE(7788),
    [sym_variadic_parameter_declaration] = STATE(7788),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2005),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_out] = ACTIONS(1860),
    [anon_sym_inout] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1849] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6298),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6894),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6894),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1850] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6340),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6884),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6884),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1851] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [aux_sym_preproc_else_token1] = ACTIONS(1978),
    [aux_sym_preproc_elif_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [1852] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6347),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6915),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6915),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1853] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6375),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6906),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6906),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1854] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6328),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6914),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6914),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1855] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6379),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6880),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6880),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1856] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6434),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6897),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6897),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1857] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_ms_based_modifier] = STATE(8309),
    [sym__declarator] = STATE(6821),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_function_declarator] = STATE(6414),
    [sym_array_declarator] = STATE(6411),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype] = STATE(8312),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym_operator_cast] = STATE(6884),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_reference_declarator] = STATE(6411),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(6411),
    [sym_qualified_operator_cast_identifier] = STATE(6884),
    [sym_operator_name] = STATE(6411),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5326),
    [anon_sym_out] = ACTIONS(5326),
    [anon_sym_inout] = ACTIONS(5326),
    [anon_sym_virtual] = ACTIONS(5326),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [1858] = {
    [sym_identifier] = ACTIONS(5344),
    [aux_sym_preproc_def_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token2] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5344),
    [aux_sym_preproc_else_token1] = ACTIONS(5344),
    [aux_sym_preproc_elif_token1] = ACTIONS(5344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5344),
    [sym_preproc_directive] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(5346),
    [anon_sym_TILDE] = ACTIONS(5346),
    [anon_sym_STAR] = ACTIONS(5346),
    [anon_sym_AMP_AMP] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5346),
    [anon_sym___extension__] = ACTIONS(5344),
    [anon_sym_typedef] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5344),
    [anon_sym_out] = ACTIONS(5344),
    [anon_sym_inout] = ACTIONS(5344),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_extern] = ACTIONS(5344),
    [anon_sym___attribute__] = ACTIONS(5344),
    [anon_sym___attribute] = ACTIONS(5344),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5346),
    [anon_sym___declspec] = ACTIONS(5344),
    [anon_sym___based] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5344),
    [anon_sym_unsigned] = ACTIONS(5344),
    [anon_sym_long] = ACTIONS(5344),
    [anon_sym_short] = ACTIONS(5344),
    [anon_sym_LBRACK] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(5344),
    [anon_sym_register] = ACTIONS(5344),
    [anon_sym_inline] = ACTIONS(5344),
    [anon_sym___inline] = ACTIONS(5344),
    [anon_sym___inline__] = ACTIONS(5344),
    [anon_sym___forceinline] = ACTIONS(5344),
    [anon_sym_thread_local] = ACTIONS(5344),
    [anon_sym___thread] = ACTIONS(5344),
    [anon_sym_const] = ACTIONS(5344),
    [anon_sym_constexpr] = ACTIONS(5344),
    [anon_sym_volatile] = ACTIONS(5344),
    [anon_sym_restrict] = ACTIONS(5344),
    [anon_sym___restrict__] = ACTIONS(5344),
    [anon_sym__Atomic] = ACTIONS(5344),
    [anon_sym__Noreturn] = ACTIONS(5344),
    [anon_sym_noreturn] = ACTIONS(5344),
    [anon_sym__Nonnull] = ACTIONS(5344),
    [anon_sym_mutable] = ACTIONS(5344),
    [anon_sym_constinit] = ACTIONS(5344),
    [anon_sym_consteval] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5344),
    [anon_sym__Alignas] = ACTIONS(5344),
    [sym_primitive_type] = ACTIONS(5344),
    [anon_sym_enum] = ACTIONS(5344),
    [anon_sym_class] = ACTIONS(5344),
    [anon_sym_struct] = ACTIONS(5344),
    [anon_sym_union] = ACTIONS(5344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5344),
    [anon_sym_decltype] = ACTIONS(5344),
    [anon_sym_explicit] = ACTIONS(5344),
    [anon_sym_typename] = ACTIONS(5344),
    [anon_sym_template] = ACTIONS(5344),
    [anon_sym_operator] = ACTIONS(5344),
    [anon_sym_friend] = ACTIONS(5344),
    [anon_sym_public] = ACTIONS(5344),
    [anon_sym_private] = ACTIONS(5344),
    [anon_sym_protected] = ACTIONS(5344),
    [anon_sym_using] = ACTIONS(5344),
    [anon_sym_static_assert] = ACTIONS(5344),
    [anon_sym_precise] = ACTIONS(5344),
    [anon_sym_shared] = ACTIONS(5344),
    [anon_sym_groupshared] = ACTIONS(5344),
    [anon_sym_uniform] = ACTIONS(5344),
    [anon_sym_row_major] = ACTIONS(5344),
    [anon_sym_column_major] = ACTIONS(5344),
    [anon_sym_globallycoherent] = ACTIONS(5344),
    [anon_sym_centroid] = ACTIONS(5344),
    [anon_sym_noperspective] = ACTIONS(5344),
    [anon_sym_nointerpolation] = ACTIONS(5344),
    [anon_sym_sample] = ACTIONS(5344),
    [anon_sym_linear] = ACTIONS(5344),
    [anon_sym_snorm] = ACTIONS(5344),
    [anon_sym_unorm] = ACTIONS(5344),
    [anon_sym_point] = ACTIONS(5344),
    [anon_sym_line] = ACTIONS(5344),
    [anon_sym_triangleadj] = ACTIONS(5344),
    [anon_sym_lineadj] = ACTIONS(5344),
    [anon_sym_triangle] = ACTIONS(5344),
  },
  [1859] = {
    [sym_identifier] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token2] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [aux_sym_preproc_else_token1] = ACTIONS(5348),
    [aux_sym_preproc_elif_token1] = ACTIONS(5348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5348),
    [anon_sym_typedef] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_out] = ACTIONS(5348),
    [anon_sym_inout] = ACTIONS(5348),
    [anon_sym_virtual] = ACTIONS(5348),
    [anon_sym_extern] = ACTIONS(5348),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym___attribute] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5350),
    [anon_sym___declspec] = ACTIONS(5348),
    [anon_sym___based] = ACTIONS(5348),
    [anon_sym_signed] = ACTIONS(5348),
    [anon_sym_unsigned] = ACTIONS(5348),
    [anon_sym_long] = ACTIONS(5348),
    [anon_sym_short] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_static] = ACTIONS(5348),
    [anon_sym_register] = ACTIONS(5348),
    [anon_sym_inline] = ACTIONS(5348),
    [anon_sym___inline] = ACTIONS(5348),
    [anon_sym___inline__] = ACTIONS(5348),
    [anon_sym___forceinline] = ACTIONS(5348),
    [anon_sym_thread_local] = ACTIONS(5348),
    [anon_sym___thread] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(5348),
    [anon_sym_constexpr] = ACTIONS(5348),
    [anon_sym_volatile] = ACTIONS(5348),
    [anon_sym_restrict] = ACTIONS(5348),
    [anon_sym___restrict__] = ACTIONS(5348),
    [anon_sym__Atomic] = ACTIONS(5348),
    [anon_sym__Noreturn] = ACTIONS(5348),
    [anon_sym_noreturn] = ACTIONS(5348),
    [anon_sym__Nonnull] = ACTIONS(5348),
    [anon_sym_mutable] = ACTIONS(5348),
    [anon_sym_constinit] = ACTIONS(5348),
    [anon_sym_consteval] = ACTIONS(5348),
    [anon_sym_alignas] = ACTIONS(5348),
    [anon_sym__Alignas] = ACTIONS(5348),
    [sym_primitive_type] = ACTIONS(5348),
    [anon_sym_enum] = ACTIONS(5348),
    [anon_sym_class] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5348),
    [anon_sym_union] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5348),
    [anon_sym_decltype] = ACTIONS(5348),
    [anon_sym_explicit] = ACTIONS(5348),
    [anon_sym_typename] = ACTIONS(5348),
    [anon_sym_template] = ACTIONS(5348),
    [anon_sym_operator] = ACTIONS(5348),
    [anon_sym_friend] = ACTIONS(5348),
    [anon_sym_public] = ACTIONS(5348),
    [anon_sym_private] = ACTIONS(5348),
    [anon_sym_protected] = ACTIONS(5348),
    [anon_sym_using] = ACTIONS(5348),
    [anon_sym_static_assert] = ACTIONS(5348),
    [anon_sym_precise] = ACTIONS(5348),
    [anon_sym_shared] = ACTIONS(5348),
    [anon_sym_groupshared] = ACTIONS(5348),
    [anon_sym_uniform] = ACTIONS(5348),
    [anon_sym_row_major] = ACTIONS(5348),
    [anon_sym_column_major] = ACTIONS(5348),
    [anon_sym_globallycoherent] = ACTIONS(5348),
    [anon_sym_centroid] = ACTIONS(5348),
    [anon_sym_noperspective] = ACTIONS(5348),
    [anon_sym_nointerpolation] = ACTIONS(5348),
    [anon_sym_sample] = ACTIONS(5348),
    [anon_sym_linear] = ACTIONS(5348),
    [anon_sym_snorm] = ACTIONS(5348),
    [anon_sym_unorm] = ACTIONS(5348),
    [anon_sym_point] = ACTIONS(5348),
    [anon_sym_line] = ACTIONS(5348),
    [anon_sym_triangleadj] = ACTIONS(5348),
    [anon_sym_lineadj] = ACTIONS(5348),
    [anon_sym_triangle] = ACTIONS(5348),
  },
  [1860] = {
    [sym_identifier] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token2] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [aux_sym_preproc_else_token1] = ACTIONS(5352),
    [aux_sym_preproc_elif_token1] = ACTIONS(5352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5354),
    [anon_sym_TILDE] = ACTIONS(5354),
    [anon_sym_STAR] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5354),
    [anon_sym___extension__] = ACTIONS(5352),
    [anon_sym_typedef] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_out] = ACTIONS(5352),
    [anon_sym_inout] = ACTIONS(5352),
    [anon_sym_virtual] = ACTIONS(5352),
    [anon_sym_extern] = ACTIONS(5352),
    [anon_sym___attribute__] = ACTIONS(5352),
    [anon_sym___attribute] = ACTIONS(5352),
    [anon_sym_COLON_COLON] = ACTIONS(5354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5354),
    [anon_sym___declspec] = ACTIONS(5352),
    [anon_sym___based] = ACTIONS(5352),
    [anon_sym_signed] = ACTIONS(5352),
    [anon_sym_unsigned] = ACTIONS(5352),
    [anon_sym_long] = ACTIONS(5352),
    [anon_sym_short] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_static] = ACTIONS(5352),
    [anon_sym_register] = ACTIONS(5352),
    [anon_sym_inline] = ACTIONS(5352),
    [anon_sym___inline] = ACTIONS(5352),
    [anon_sym___inline__] = ACTIONS(5352),
    [anon_sym___forceinline] = ACTIONS(5352),
    [anon_sym_thread_local] = ACTIONS(5352),
    [anon_sym___thread] = ACTIONS(5352),
    [anon_sym_const] = ACTIONS(5352),
    [anon_sym_constexpr] = ACTIONS(5352),
    [anon_sym_volatile] = ACTIONS(5352),
    [anon_sym_restrict] = ACTIONS(5352),
    [anon_sym___restrict__] = ACTIONS(5352),
    [anon_sym__Atomic] = ACTIONS(5352),
    [anon_sym__Noreturn] = ACTIONS(5352),
    [anon_sym_noreturn] = ACTIONS(5352),
    [anon_sym__Nonnull] = ACTIONS(5352),
    [anon_sym_mutable] = ACTIONS(5352),
    [anon_sym_constinit] = ACTIONS(5352),
    [anon_sym_consteval] = ACTIONS(5352),
    [anon_sym_alignas] = ACTIONS(5352),
    [anon_sym__Alignas] = ACTIONS(5352),
    [sym_primitive_type] = ACTIONS(5352),
    [anon_sym_enum] = ACTIONS(5352),
    [anon_sym_class] = ACTIONS(5352),
    [anon_sym_struct] = ACTIONS(5352),
    [anon_sym_union] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5352),
    [anon_sym_decltype] = ACTIONS(5352),
    [anon_sym_explicit] = ACTIONS(5352),
    [anon_sym_typename] = ACTIONS(5352),
    [anon_sym_template] = ACTIONS(5352),
    [anon_sym_operator] = ACTIONS(5352),
    [anon_sym_friend] = ACTIONS(5352),
    [anon_sym_public] = ACTIONS(5352),
    [anon_sym_private] = ACTIONS(5352),
    [anon_sym_protected] = ACTIONS(5352),
    [anon_sym_using] = ACTIONS(5352),
    [anon_sym_static_assert] = ACTIONS(5352),
    [anon_sym_precise] = ACTIONS(5352),
    [anon_sym_shared] = ACTIONS(5352),
    [anon_sym_groupshared] = ACTIONS(5352),
    [anon_sym_uniform] = ACTIONS(5352),
    [anon_sym_row_major] = ACTIONS(5352),
    [anon_sym_column_major] = ACTIONS(5352),
    [anon_sym_globallycoherent] = ACTIONS(5352),
    [anon_sym_centroid] = ACTIONS(5352),
    [anon_sym_noperspective] = ACTIONS(5352),
    [anon_sym_nointerpolation] = ACTIONS(5352),
    [anon_sym_sample] = ACTIONS(5352),
    [anon_sym_linear] = ACTIONS(5352),
    [anon_sym_snorm] = ACTIONS(5352),
    [anon_sym_unorm] = ACTIONS(5352),
    [anon_sym_point] = ACTIONS(5352),
    [anon_sym_line] = ACTIONS(5352),
    [anon_sym_triangleadj] = ACTIONS(5352),
    [anon_sym_lineadj] = ACTIONS(5352),
    [anon_sym_triangle] = ACTIONS(5352),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(5356),
    [aux_sym_preproc_def_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token2] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5356),
    [sym_preproc_directive] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5358),
    [anon_sym_TILDE] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_AMP_AMP] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5358),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_typedef] = ACTIONS(5356),
    [anon_sym_in] = ACTIONS(5356),
    [anon_sym_out] = ACTIONS(5356),
    [anon_sym_inout] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5356),
    [anon_sym_extern] = ACTIONS(5356),
    [anon_sym___attribute__] = ACTIONS(5356),
    [anon_sym___attribute] = ACTIONS(5356),
    [anon_sym_COLON_COLON] = ACTIONS(5358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5358),
    [anon_sym___declspec] = ACTIONS(5356),
    [anon_sym___based] = ACTIONS(5356),
    [anon_sym_signed] = ACTIONS(5356),
    [anon_sym_unsigned] = ACTIONS(5356),
    [anon_sym_long] = ACTIONS(5356),
    [anon_sym_short] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_static] = ACTIONS(5356),
    [anon_sym_register] = ACTIONS(5356),
    [anon_sym_inline] = ACTIONS(5356),
    [anon_sym___inline] = ACTIONS(5356),
    [anon_sym___inline__] = ACTIONS(5356),
    [anon_sym___forceinline] = ACTIONS(5356),
    [anon_sym_thread_local] = ACTIONS(5356),
    [anon_sym___thread] = ACTIONS(5356),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5356),
    [anon_sym__Alignas] = ACTIONS(5356),
    [sym_primitive_type] = ACTIONS(5356),
    [anon_sym_enum] = ACTIONS(5356),
    [anon_sym_class] = ACTIONS(5356),
    [anon_sym_struct] = ACTIONS(5356),
    [anon_sym_union] = ACTIONS(5356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5356),
    [anon_sym_decltype] = ACTIONS(5356),
    [anon_sym_explicit] = ACTIONS(5356),
    [anon_sym_typename] = ACTIONS(5356),
    [anon_sym_template] = ACTIONS(5356),
    [anon_sym_operator] = ACTIONS(5356),
    [anon_sym_friend] = ACTIONS(5356),
    [anon_sym_public] = ACTIONS(5356),
    [anon_sym_private] = ACTIONS(5356),
    [anon_sym_protected] = ACTIONS(5356),
    [anon_sym_using] = ACTIONS(5356),
    [anon_sym_static_assert] = ACTIONS(5356),
    [anon_sym_precise] = ACTIONS(5356),
    [anon_sym_shared] = ACTIONS(5356),
    [anon_sym_groupshared] = ACTIONS(5356),
    [anon_sym_uniform] = ACTIONS(5356),
    [anon_sym_row_major] = ACTIONS(5356),
    [anon_sym_column_major] = ACTIONS(5356),
    [anon_sym_globallycoherent] = ACTIONS(5356),
    [anon_sym_centroid] = ACTIONS(5356),
    [anon_sym_noperspective] = ACTIONS(5356),
    [anon_sym_nointerpolation] = ACTIONS(5356),
    [anon_sym_sample] = ACTIONS(5356),
    [anon_sym_linear] = ACTIONS(5356),
    [anon_sym_snorm] = ACTIONS(5356),
    [anon_sym_unorm] = ACTIONS(5356),
    [anon_sym_point] = ACTIONS(5356),
    [anon_sym_line] = ACTIONS(5356),
    [anon_sym_triangleadj] = ACTIONS(5356),
    [anon_sym_lineadj] = ACTIONS(5356),
    [anon_sym_triangle] = ACTIONS(5356),
  },
  [1862] = {
    [sym_identifier] = ACTIONS(5360),
    [aux_sym_preproc_def_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token2] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5360),
    [aux_sym_preproc_else_token1] = ACTIONS(5360),
    [aux_sym_preproc_elif_token1] = ACTIONS(5360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5360),
    [sym_preproc_directive] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5362),
    [anon_sym_TILDE] = ACTIONS(5362),
    [anon_sym_STAR] = ACTIONS(5362),
    [anon_sym_AMP_AMP] = ACTIONS(5362),
    [anon_sym_AMP] = ACTIONS(5360),
    [anon_sym_SEMI] = ACTIONS(5362),
    [anon_sym___extension__] = ACTIONS(5360),
    [anon_sym_typedef] = ACTIONS(5360),
    [anon_sym_in] = ACTIONS(5360),
    [anon_sym_out] = ACTIONS(5360),
    [anon_sym_inout] = ACTIONS(5360),
    [anon_sym_virtual] = ACTIONS(5360),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5360),
    [anon_sym___attribute] = ACTIONS(5360),
    [anon_sym_COLON_COLON] = ACTIONS(5362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5362),
    [anon_sym___declspec] = ACTIONS(5360),
    [anon_sym___based] = ACTIONS(5360),
    [anon_sym_signed] = ACTIONS(5360),
    [anon_sym_unsigned] = ACTIONS(5360),
    [anon_sym_long] = ACTIONS(5360),
    [anon_sym_short] = ACTIONS(5360),
    [anon_sym_LBRACK] = ACTIONS(5360),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5360),
    [anon_sym_constexpr] = ACTIONS(5360),
    [anon_sym_volatile] = ACTIONS(5360),
    [anon_sym_restrict] = ACTIONS(5360),
    [anon_sym___restrict__] = ACTIONS(5360),
    [anon_sym__Atomic] = ACTIONS(5360),
    [anon_sym__Noreturn] = ACTIONS(5360),
    [anon_sym_noreturn] = ACTIONS(5360),
    [anon_sym__Nonnull] = ACTIONS(5360),
    [anon_sym_mutable] = ACTIONS(5360),
    [anon_sym_constinit] = ACTIONS(5360),
    [anon_sym_consteval] = ACTIONS(5360),
    [anon_sym_alignas] = ACTIONS(5360),
    [anon_sym__Alignas] = ACTIONS(5360),
    [sym_primitive_type] = ACTIONS(5360),
    [anon_sym_enum] = ACTIONS(5360),
    [anon_sym_class] = ACTIONS(5360),
    [anon_sym_struct] = ACTIONS(5360),
    [anon_sym_union] = ACTIONS(5360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5360),
    [anon_sym_decltype] = ACTIONS(5360),
    [anon_sym_explicit] = ACTIONS(5360),
    [anon_sym_typename] = ACTIONS(5360),
    [anon_sym_template] = ACTIONS(5360),
    [anon_sym_operator] = ACTIONS(5360),
    [anon_sym_friend] = ACTIONS(5360),
    [anon_sym_public] = ACTIONS(5360),
    [anon_sym_private] = ACTIONS(5360),
    [anon_sym_protected] = ACTIONS(5360),
    [anon_sym_using] = ACTIONS(5360),
    [anon_sym_static_assert] = ACTIONS(5360),
    [anon_sym_precise] = ACTIONS(5360),
    [anon_sym_shared] = ACTIONS(5360),
    [anon_sym_groupshared] = ACTIONS(5360),
    [anon_sym_uniform] = ACTIONS(5360),
    [anon_sym_row_major] = ACTIONS(5360),
    [anon_sym_column_major] = ACTIONS(5360),
    [anon_sym_globallycoherent] = ACTIONS(5360),
    [anon_sym_centroid] = ACTIONS(5360),
    [anon_sym_noperspective] = ACTIONS(5360),
    [anon_sym_nointerpolation] = ACTIONS(5360),
    [anon_sym_sample] = ACTIONS(5360),
    [anon_sym_linear] = ACTIONS(5360),
    [anon_sym_snorm] = ACTIONS(5360),
    [anon_sym_unorm] = ACTIONS(5360),
    [anon_sym_point] = ACTIONS(5360),
    [anon_sym_line] = ACTIONS(5360),
    [anon_sym_triangleadj] = ACTIONS(5360),
    [anon_sym_lineadj] = ACTIONS(5360),
    [anon_sym_triangle] = ACTIONS(5360),
  },
  [1863] = {
    [sym_identifier] = ACTIONS(5364),
    [aux_sym_preproc_def_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token2] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5364),
    [aux_sym_preproc_else_token1] = ACTIONS(5364),
    [aux_sym_preproc_elif_token1] = ACTIONS(5364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5364),
    [sym_preproc_directive] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [anon_sym_TILDE] = ACTIONS(5366),
    [anon_sym_STAR] = ACTIONS(5366),
    [anon_sym_AMP_AMP] = ACTIONS(5366),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [anon_sym___extension__] = ACTIONS(5364),
    [anon_sym_typedef] = ACTIONS(5364),
    [anon_sym_in] = ACTIONS(5364),
    [anon_sym_out] = ACTIONS(5364),
    [anon_sym_inout] = ACTIONS(5364),
    [anon_sym_virtual] = ACTIONS(5364),
    [anon_sym_extern] = ACTIONS(5364),
    [anon_sym___attribute__] = ACTIONS(5364),
    [anon_sym___attribute] = ACTIONS(5364),
    [anon_sym_COLON_COLON] = ACTIONS(5366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5364),
    [anon_sym___based] = ACTIONS(5364),
    [anon_sym_signed] = ACTIONS(5364),
    [anon_sym_unsigned] = ACTIONS(5364),
    [anon_sym_long] = ACTIONS(5364),
    [anon_sym_short] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5364),
    [anon_sym_static] = ACTIONS(5364),
    [anon_sym_register] = ACTIONS(5364),
    [anon_sym_inline] = ACTIONS(5364),
    [anon_sym___inline] = ACTIONS(5364),
    [anon_sym___inline__] = ACTIONS(5364),
    [anon_sym___forceinline] = ACTIONS(5364),
    [anon_sym_thread_local] = ACTIONS(5364),
    [anon_sym___thread] = ACTIONS(5364),
    [anon_sym_const] = ACTIONS(5364),
    [anon_sym_constexpr] = ACTIONS(5364),
    [anon_sym_volatile] = ACTIONS(5364),
    [anon_sym_restrict] = ACTIONS(5364),
    [anon_sym___restrict__] = ACTIONS(5364),
    [anon_sym__Atomic] = ACTIONS(5364),
    [anon_sym__Noreturn] = ACTIONS(5364),
    [anon_sym_noreturn] = ACTIONS(5364),
    [anon_sym__Nonnull] = ACTIONS(5364),
    [anon_sym_mutable] = ACTIONS(5364),
    [anon_sym_constinit] = ACTIONS(5364),
    [anon_sym_consteval] = ACTIONS(5364),
    [anon_sym_alignas] = ACTIONS(5364),
    [anon_sym__Alignas] = ACTIONS(5364),
    [sym_primitive_type] = ACTIONS(5364),
    [anon_sym_enum] = ACTIONS(5364),
    [anon_sym_class] = ACTIONS(5364),
    [anon_sym_struct] = ACTIONS(5364),
    [anon_sym_union] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5364),
    [anon_sym_explicit] = ACTIONS(5364),
    [anon_sym_typename] = ACTIONS(5364),
    [anon_sym_template] = ACTIONS(5364),
    [anon_sym_operator] = ACTIONS(5364),
    [anon_sym_friend] = ACTIONS(5364),
    [anon_sym_public] = ACTIONS(5364),
    [anon_sym_private] = ACTIONS(5364),
    [anon_sym_protected] = ACTIONS(5364),
    [anon_sym_using] = ACTIONS(5364),
    [anon_sym_static_assert] = ACTIONS(5364),
    [anon_sym_precise] = ACTIONS(5364),
    [anon_sym_shared] = ACTIONS(5364),
    [anon_sym_groupshared] = ACTIONS(5364),
    [anon_sym_uniform] = ACTIONS(5364),
    [anon_sym_row_major] = ACTIONS(5364),
    [anon_sym_column_major] = ACTIONS(5364),
    [anon_sym_globallycoherent] = ACTIONS(5364),
    [anon_sym_centroid] = ACTIONS(5364),
    [anon_sym_noperspective] = ACTIONS(5364),
    [anon_sym_nointerpolation] = ACTIONS(5364),
    [anon_sym_sample] = ACTIONS(5364),
    [anon_sym_linear] = ACTIONS(5364),
    [anon_sym_snorm] = ACTIONS(5364),
    [anon_sym_unorm] = ACTIONS(5364),
    [anon_sym_point] = ACTIONS(5364),
    [anon_sym_line] = ACTIONS(5364),
    [anon_sym_triangleadj] = ACTIONS(5364),
    [anon_sym_lineadj] = ACTIONS(5364),
    [anon_sym_triangle] = ACTIONS(5364),
  },
  [1864] = {
    [sym_identifier] = ACTIONS(5364),
    [aux_sym_preproc_def_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token2] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5364),
    [aux_sym_preproc_else_token1] = ACTIONS(5364),
    [aux_sym_preproc_elif_token1] = ACTIONS(5364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5364),
    [sym_preproc_directive] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [anon_sym_TILDE] = ACTIONS(5366),
    [anon_sym_STAR] = ACTIONS(5366),
    [anon_sym_AMP_AMP] = ACTIONS(5366),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [anon_sym___extension__] = ACTIONS(5364),
    [anon_sym_typedef] = ACTIONS(5364),
    [anon_sym_in] = ACTIONS(5364),
    [anon_sym_out] = ACTIONS(5364),
    [anon_sym_inout] = ACTIONS(5364),
    [anon_sym_virtual] = ACTIONS(5364),
    [anon_sym_extern] = ACTIONS(5364),
    [anon_sym___attribute__] = ACTIONS(5364),
    [anon_sym___attribute] = ACTIONS(5364),
    [anon_sym_COLON_COLON] = ACTIONS(5366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5364),
    [anon_sym___based] = ACTIONS(5364),
    [anon_sym_signed] = ACTIONS(5364),
    [anon_sym_unsigned] = ACTIONS(5364),
    [anon_sym_long] = ACTIONS(5364),
    [anon_sym_short] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5364),
    [anon_sym_static] = ACTIONS(5364),
    [anon_sym_register] = ACTIONS(5364),
    [anon_sym_inline] = ACTIONS(5364),
    [anon_sym___inline] = ACTIONS(5364),
    [anon_sym___inline__] = ACTIONS(5364),
    [anon_sym___forceinline] = ACTIONS(5364),
    [anon_sym_thread_local] = ACTIONS(5364),
    [anon_sym___thread] = ACTIONS(5364),
    [anon_sym_const] = ACTIONS(5364),
    [anon_sym_constexpr] = ACTIONS(5364),
    [anon_sym_volatile] = ACTIONS(5364),
    [anon_sym_restrict] = ACTIONS(5364),
    [anon_sym___restrict__] = ACTIONS(5364),
    [anon_sym__Atomic] = ACTIONS(5364),
    [anon_sym__Noreturn] = ACTIONS(5364),
    [anon_sym_noreturn] = ACTIONS(5364),
    [anon_sym__Nonnull] = ACTIONS(5364),
    [anon_sym_mutable] = ACTIONS(5364),
    [anon_sym_constinit] = ACTIONS(5364),
    [anon_sym_consteval] = ACTIONS(5364),
    [anon_sym_alignas] = ACTIONS(5364),
    [anon_sym__Alignas] = ACTIONS(5364),
    [sym_primitive_type] = ACTIONS(5364),
    [anon_sym_enum] = ACTIONS(5364),
    [anon_sym_class] = ACTIONS(5364),
    [anon_sym_struct] = ACTIONS(5364),
    [anon_sym_union] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5364),
    [anon_sym_explicit] = ACTIONS(5364),
    [anon_sym_typename] = ACTIONS(5364),
    [anon_sym_template] = ACTIONS(5364),
    [anon_sym_operator] = ACTIONS(5364),
    [anon_sym_friend] = ACTIONS(5364),
    [anon_sym_public] = ACTIONS(5364),
    [anon_sym_private] = ACTIONS(5364),
    [anon_sym_protected] = ACTIONS(5364),
    [anon_sym_using] = ACTIONS(5364),
    [anon_sym_static_assert] = ACTIONS(5364),
    [anon_sym_precise] = ACTIONS(5364),
    [anon_sym_shared] = ACTIONS(5364),
    [anon_sym_groupshared] = ACTIONS(5364),
    [anon_sym_uniform] = ACTIONS(5364),
    [anon_sym_row_major] = ACTIONS(5364),
    [anon_sym_column_major] = ACTIONS(5364),
    [anon_sym_globallycoherent] = ACTIONS(5364),
    [anon_sym_centroid] = ACTIONS(5364),
    [anon_sym_noperspective] = ACTIONS(5364),
    [anon_sym_nointerpolation] = ACTIONS(5364),
    [anon_sym_sample] = ACTIONS(5364),
    [anon_sym_linear] = ACTIONS(5364),
    [anon_sym_snorm] = ACTIONS(5364),
    [anon_sym_unorm] = ACTIONS(5364),
    [anon_sym_point] = ACTIONS(5364),
    [anon_sym_line] = ACTIONS(5364),
    [anon_sym_triangleadj] = ACTIONS(5364),
    [anon_sym_lineadj] = ACTIONS(5364),
    [anon_sym_triangle] = ACTIONS(5364),
  },
  [1865] = {
    [sym_identifier] = ACTIONS(5368),
    [aux_sym_preproc_def_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token2] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5368),
    [aux_sym_preproc_else_token1] = ACTIONS(5368),
    [aux_sym_preproc_elif_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5368),
    [sym_preproc_directive] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5370),
    [anon_sym_TILDE] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [anon_sym___extension__] = ACTIONS(5368),
    [anon_sym_typedef] = ACTIONS(5368),
    [anon_sym_in] = ACTIONS(5368),
    [anon_sym_out] = ACTIONS(5368),
    [anon_sym_inout] = ACTIONS(5368),
    [anon_sym_virtual] = ACTIONS(5368),
    [anon_sym_extern] = ACTIONS(5368),
    [anon_sym___attribute__] = ACTIONS(5368),
    [anon_sym___attribute] = ACTIONS(5368),
    [anon_sym_COLON_COLON] = ACTIONS(5370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5370),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(5368),
    [anon_sym_signed] = ACTIONS(5368),
    [anon_sym_unsigned] = ACTIONS(5368),
    [anon_sym_long] = ACTIONS(5368),
    [anon_sym_short] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_static] = ACTIONS(5368),
    [anon_sym_register] = ACTIONS(5368),
    [anon_sym_inline] = ACTIONS(5368),
    [anon_sym___inline] = ACTIONS(5368),
    [anon_sym___inline__] = ACTIONS(5368),
    [anon_sym___forceinline] = ACTIONS(5368),
    [anon_sym_thread_local] = ACTIONS(5368),
    [anon_sym___thread] = ACTIONS(5368),
    [anon_sym_const] = ACTIONS(5368),
    [anon_sym_constexpr] = ACTIONS(5368),
    [anon_sym_volatile] = ACTIONS(5368),
    [anon_sym_restrict] = ACTIONS(5368),
    [anon_sym___restrict__] = ACTIONS(5368),
    [anon_sym__Atomic] = ACTIONS(5368),
    [anon_sym__Noreturn] = ACTIONS(5368),
    [anon_sym_noreturn] = ACTIONS(5368),
    [anon_sym__Nonnull] = ACTIONS(5368),
    [anon_sym_mutable] = ACTIONS(5368),
    [anon_sym_constinit] = ACTIONS(5368),
    [anon_sym_consteval] = ACTIONS(5368),
    [anon_sym_alignas] = ACTIONS(5368),
    [anon_sym__Alignas] = ACTIONS(5368),
    [sym_primitive_type] = ACTIONS(5368),
    [anon_sym_enum] = ACTIONS(5368),
    [anon_sym_class] = ACTIONS(5368),
    [anon_sym_struct] = ACTIONS(5368),
    [anon_sym_union] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5368),
    [anon_sym_decltype] = ACTIONS(5368),
    [anon_sym_explicit] = ACTIONS(5368),
    [anon_sym_typename] = ACTIONS(5368),
    [anon_sym_template] = ACTIONS(5368),
    [anon_sym_operator] = ACTIONS(5368),
    [anon_sym_friend] = ACTIONS(5368),
    [anon_sym_public] = ACTIONS(5368),
    [anon_sym_private] = ACTIONS(5368),
    [anon_sym_protected] = ACTIONS(5368),
    [anon_sym_using] = ACTIONS(5368),
    [anon_sym_static_assert] = ACTIONS(5368),
    [anon_sym_precise] = ACTIONS(5368),
    [anon_sym_shared] = ACTIONS(5368),
    [anon_sym_groupshared] = ACTIONS(5368),
    [anon_sym_uniform] = ACTIONS(5368),
    [anon_sym_row_major] = ACTIONS(5368),
    [anon_sym_column_major] = ACTIONS(5368),
    [anon_sym_globallycoherent] = ACTIONS(5368),
    [anon_sym_centroid] = ACTIONS(5368),
    [anon_sym_noperspective] = ACTIONS(5368),
    [anon_sym_nointerpolation] = ACTIONS(5368),
    [anon_sym_sample] = ACTIONS(5368),
    [anon_sym_linear] = ACTIONS(5368),
    [anon_sym_snorm] = ACTIONS(5368),
    [anon_sym_unorm] = ACTIONS(5368),
    [anon_sym_point] = ACTIONS(5368),
    [anon_sym_line] = ACTIONS(5368),
    [anon_sym_triangleadj] = ACTIONS(5368),
    [anon_sym_lineadj] = ACTIONS(5368),
    [anon_sym_triangle] = ACTIONS(5368),
  },
  [1866] = {
    [sym_identifier] = ACTIONS(5372),
    [aux_sym_preproc_def_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token2] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5372),
    [aux_sym_preproc_else_token1] = ACTIONS(5372),
    [aux_sym_preproc_elif_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5372),
    [sym_preproc_directive] = ACTIONS(5372),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_TILDE] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___extension__] = ACTIONS(5372),
    [anon_sym_typedef] = ACTIONS(5372),
    [anon_sym_in] = ACTIONS(5372),
    [anon_sym_out] = ACTIONS(5372),
    [anon_sym_inout] = ACTIONS(5372),
    [anon_sym_virtual] = ACTIONS(5372),
    [anon_sym_extern] = ACTIONS(5372),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_COLON_COLON] = ACTIONS(5374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5374),
    [anon_sym___declspec] = ACTIONS(5372),
    [anon_sym___based] = ACTIONS(5372),
    [anon_sym_signed] = ACTIONS(5372),
    [anon_sym_unsigned] = ACTIONS(5372),
    [anon_sym_long] = ACTIONS(5372),
    [anon_sym_short] = ACTIONS(5372),
    [anon_sym_LBRACK] = ACTIONS(5372),
    [anon_sym_static] = ACTIONS(5372),
    [anon_sym_register] = ACTIONS(5372),
    [anon_sym_inline] = ACTIONS(5372),
    [anon_sym___inline] = ACTIONS(5372),
    [anon_sym___inline__] = ACTIONS(5372),
    [anon_sym___forceinline] = ACTIONS(5372),
    [anon_sym_thread_local] = ACTIONS(5372),
    [anon_sym___thread] = ACTIONS(5372),
    [anon_sym_const] = ACTIONS(5372),
    [anon_sym_constexpr] = ACTIONS(5372),
    [anon_sym_volatile] = ACTIONS(5372),
    [anon_sym_restrict] = ACTIONS(5372),
    [anon_sym___restrict__] = ACTIONS(5372),
    [anon_sym__Atomic] = ACTIONS(5372),
    [anon_sym__Noreturn] = ACTIONS(5372),
    [anon_sym_noreturn] = ACTIONS(5372),
    [anon_sym__Nonnull] = ACTIONS(5372),
    [anon_sym_mutable] = ACTIONS(5372),
    [anon_sym_constinit] = ACTIONS(5372),
    [anon_sym_consteval] = ACTIONS(5372),
    [anon_sym_alignas] = ACTIONS(5372),
    [anon_sym__Alignas] = ACTIONS(5372),
    [sym_primitive_type] = ACTIONS(5372),
    [anon_sym_enum] = ACTIONS(5372),
    [anon_sym_class] = ACTIONS(5372),
    [anon_sym_struct] = ACTIONS(5372),
    [anon_sym_union] = ACTIONS(5372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5372),
    [anon_sym_decltype] = ACTIONS(5372),
    [anon_sym_explicit] = ACTIONS(5372),
    [anon_sym_typename] = ACTIONS(5372),
    [anon_sym_template] = ACTIONS(5372),
    [anon_sym_operator] = ACTIONS(5372),
    [anon_sym_friend] = ACTIONS(5372),
    [anon_sym_public] = ACTIONS(5372),
    [anon_sym_private] = ACTIONS(5372),
    [anon_sym_protected] = ACTIONS(5372),
    [anon_sym_using] = ACTIONS(5372),
    [anon_sym_static_assert] = ACTIONS(5372),
    [anon_sym_precise] = ACTIONS(5372),
    [anon_sym_shared] = ACTIONS(5372),
    [anon_sym_groupshared] = ACTIONS(5372),
    [anon_sym_uniform] = ACTIONS(5372),
    [anon_sym_row_major] = ACTIONS(5372),
    [anon_sym_column_major] = ACTIONS(5372),
    [anon_sym_globallycoherent] = ACTIONS(5372),
    [anon_sym_centroid] = ACTIONS(5372),
    [anon_sym_noperspective] = ACTIONS(5372),
    [anon_sym_nointerpolation] = ACTIONS(5372),
    [anon_sym_sample] = ACTIONS(5372),
    [anon_sym_linear] = ACTIONS(5372),
    [anon_sym_snorm] = ACTIONS(5372),
    [anon_sym_unorm] = ACTIONS(5372),
    [anon_sym_point] = ACTIONS(5372),
    [anon_sym_line] = ACTIONS(5372),
    [anon_sym_triangleadj] = ACTIONS(5372),
    [anon_sym_lineadj] = ACTIONS(5372),
    [anon_sym_triangle] = ACTIONS(5372),
  },
  [1867] = {
    [sym_identifier] = ACTIONS(5376),
    [aux_sym_preproc_def_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token2] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5376),
    [aux_sym_preproc_else_token1] = ACTIONS(5376),
    [aux_sym_preproc_elif_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5376),
    [sym_preproc_directive] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_TILDE] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym_typedef] = ACTIONS(5376),
    [anon_sym_in] = ACTIONS(5376),
    [anon_sym_out] = ACTIONS(5376),
    [anon_sym_inout] = ACTIONS(5376),
    [anon_sym_virtual] = ACTIONS(5376),
    [anon_sym_extern] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5378),
    [anon_sym___declspec] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_static] = ACTIONS(5376),
    [anon_sym_register] = ACTIONS(5376),
    [anon_sym_inline] = ACTIONS(5376),
    [anon_sym___inline] = ACTIONS(5376),
    [anon_sym___inline__] = ACTIONS(5376),
    [anon_sym___forceinline] = ACTIONS(5376),
    [anon_sym_thread_local] = ACTIONS(5376),
    [anon_sym___thread] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [sym_primitive_type] = ACTIONS(5376),
    [anon_sym_enum] = ACTIONS(5376),
    [anon_sym_class] = ACTIONS(5376),
    [anon_sym_struct] = ACTIONS(5376),
    [anon_sym_union] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_explicit] = ACTIONS(5376),
    [anon_sym_typename] = ACTIONS(5376),
    [anon_sym_template] = ACTIONS(5376),
    [anon_sym_operator] = ACTIONS(5376),
    [anon_sym_friend] = ACTIONS(5376),
    [anon_sym_public] = ACTIONS(5376),
    [anon_sym_private] = ACTIONS(5376),
    [anon_sym_protected] = ACTIONS(5376),
    [anon_sym_using] = ACTIONS(5376),
    [anon_sym_static_assert] = ACTIONS(5376),
    [anon_sym_precise] = ACTIONS(5376),
    [anon_sym_shared] = ACTIONS(5376),
    [anon_sym_groupshared] = ACTIONS(5376),
    [anon_sym_uniform] = ACTIONS(5376),
    [anon_sym_row_major] = ACTIONS(5376),
    [anon_sym_column_major] = ACTIONS(5376),
    [anon_sym_globallycoherent] = ACTIONS(5376),
    [anon_sym_centroid] = ACTIONS(5376),
    [anon_sym_noperspective] = ACTIONS(5376),
    [anon_sym_nointerpolation] = ACTIONS(5376),
    [anon_sym_sample] = ACTIONS(5376),
    [anon_sym_linear] = ACTIONS(5376),
    [anon_sym_snorm] = ACTIONS(5376),
    [anon_sym_unorm] = ACTIONS(5376),
    [anon_sym_point] = ACTIONS(5376),
    [anon_sym_line] = ACTIONS(5376),
    [anon_sym_triangleadj] = ACTIONS(5376),
    [anon_sym_lineadj] = ACTIONS(5376),
    [anon_sym_triangle] = ACTIONS(5376),
  },
  [1868] = {
    [sym_identifier] = ACTIONS(5380),
    [aux_sym_preproc_def_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token2] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5380),
    [aux_sym_preproc_else_token1] = ACTIONS(5380),
    [aux_sym_preproc_elif_token1] = ACTIONS(5380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5380),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5380),
    [sym_preproc_directive] = ACTIONS(5380),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_TILDE] = ACTIONS(5382),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___extension__] = ACTIONS(5380),
    [anon_sym_typedef] = ACTIONS(5380),
    [anon_sym_in] = ACTIONS(5380),
    [anon_sym_out] = ACTIONS(5380),
    [anon_sym_inout] = ACTIONS(5380),
    [anon_sym_virtual] = ACTIONS(5380),
    [anon_sym_extern] = ACTIONS(5380),
    [anon_sym___attribute__] = ACTIONS(5380),
    [anon_sym___attribute] = ACTIONS(5380),
    [anon_sym_COLON_COLON] = ACTIONS(5382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5382),
    [anon_sym___declspec] = ACTIONS(5380),
    [anon_sym___based] = ACTIONS(5380),
    [anon_sym_signed] = ACTIONS(5380),
    [anon_sym_unsigned] = ACTIONS(5380),
    [anon_sym_long] = ACTIONS(5380),
    [anon_sym_short] = ACTIONS(5380),
    [anon_sym_LBRACK] = ACTIONS(5380),
    [anon_sym_static] = ACTIONS(5380),
    [anon_sym_register] = ACTIONS(5380),
    [anon_sym_inline] = ACTIONS(5380),
    [anon_sym___inline] = ACTIONS(5380),
    [anon_sym___inline__] = ACTIONS(5380),
    [anon_sym___forceinline] = ACTIONS(5380),
    [anon_sym_thread_local] = ACTIONS(5380),
    [anon_sym___thread] = ACTIONS(5380),
    [anon_sym_const] = ACTIONS(5380),
    [anon_sym_constexpr] = ACTIONS(5380),
    [anon_sym_volatile] = ACTIONS(5380),
    [anon_sym_restrict] = ACTIONS(5380),
    [anon_sym___restrict__] = ACTIONS(5380),
    [anon_sym__Atomic] = ACTIONS(5380),
    [anon_sym__Noreturn] = ACTIONS(5380),
    [anon_sym_noreturn] = ACTIONS(5380),
    [anon_sym__Nonnull] = ACTIONS(5380),
    [anon_sym_mutable] = ACTIONS(5380),
    [anon_sym_constinit] = ACTIONS(5380),
    [anon_sym_consteval] = ACTIONS(5380),
    [anon_sym_alignas] = ACTIONS(5380),
    [anon_sym__Alignas] = ACTIONS(5380),
    [sym_primitive_type] = ACTIONS(5380),
    [anon_sym_enum] = ACTIONS(5380),
    [anon_sym_class] = ACTIONS(5380),
    [anon_sym_struct] = ACTIONS(5380),
    [anon_sym_union] = ACTIONS(5380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5380),
    [anon_sym_decltype] = ACTIONS(5380),
    [anon_sym_explicit] = ACTIONS(5380),
    [anon_sym_typename] = ACTIONS(5380),
    [anon_sym_template] = ACTIONS(5380),
    [anon_sym_operator] = ACTIONS(5380),
    [anon_sym_friend] = ACTIONS(5380),
    [anon_sym_public] = ACTIONS(5380),
    [anon_sym_private] = ACTIONS(5380),
    [anon_sym_protected] = ACTIONS(5380),
    [anon_sym_using] = ACTIONS(5380),
    [anon_sym_static_assert] = ACTIONS(5380),
    [anon_sym_precise] = ACTIONS(5380),
    [anon_sym_shared] = ACTIONS(5380),
    [anon_sym_groupshared] = ACTIONS(5380),
    [anon_sym_uniform] = ACTIONS(5380),
    [anon_sym_row_major] = ACTIONS(5380),
    [anon_sym_column_major] = ACTIONS(5380),
    [anon_sym_globallycoherent] = ACTIONS(5380),
    [anon_sym_centroid] = ACTIONS(5380),
    [anon_sym_noperspective] = ACTIONS(5380),
    [anon_sym_nointerpolation] = ACTIONS(5380),
    [anon_sym_sample] = ACTIONS(5380),
    [anon_sym_linear] = ACTIONS(5380),
    [anon_sym_snorm] = ACTIONS(5380),
    [anon_sym_unorm] = ACTIONS(5380),
    [anon_sym_point] = ACTIONS(5380),
    [anon_sym_line] = ACTIONS(5380),
    [anon_sym_triangleadj] = ACTIONS(5380),
    [anon_sym_lineadj] = ACTIONS(5380),
    [anon_sym_triangle] = ACTIONS(5380),
  },
  [1869] = {
    [sym_identifier] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token2] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [aux_sym_preproc_else_token1] = ACTIONS(5384),
    [aux_sym_preproc_elif_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_TILDE] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym___extension__] = ACTIONS(5384),
    [anon_sym_typedef] = ACTIONS(5384),
    [anon_sym_in] = ACTIONS(5384),
    [anon_sym_out] = ACTIONS(5384),
    [anon_sym_inout] = ACTIONS(5384),
    [anon_sym_virtual] = ACTIONS(5384),
    [anon_sym_extern] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym___attribute] = ACTIONS(5384),
    [anon_sym_COLON_COLON] = ACTIONS(5386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5386),
    [anon_sym___declspec] = ACTIONS(5384),
    [anon_sym___based] = ACTIONS(5384),
    [anon_sym_signed] = ACTIONS(5384),
    [anon_sym_unsigned] = ACTIONS(5384),
    [anon_sym_long] = ACTIONS(5384),
    [anon_sym_short] = ACTIONS(5384),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_static] = ACTIONS(5384),
    [anon_sym_register] = ACTIONS(5384),
    [anon_sym_inline] = ACTIONS(5384),
    [anon_sym___inline] = ACTIONS(5384),
    [anon_sym___inline__] = ACTIONS(5384),
    [anon_sym___forceinline] = ACTIONS(5384),
    [anon_sym_thread_local] = ACTIONS(5384),
    [anon_sym___thread] = ACTIONS(5384),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5384),
    [anon_sym_volatile] = ACTIONS(5384),
    [anon_sym_restrict] = ACTIONS(5384),
    [anon_sym___restrict__] = ACTIONS(5384),
    [anon_sym__Atomic] = ACTIONS(5384),
    [anon_sym__Noreturn] = ACTIONS(5384),
    [anon_sym_noreturn] = ACTIONS(5384),
    [anon_sym__Nonnull] = ACTIONS(5384),
    [anon_sym_mutable] = ACTIONS(5384),
    [anon_sym_constinit] = ACTIONS(5384),
    [anon_sym_consteval] = ACTIONS(5384),
    [anon_sym_alignas] = ACTIONS(5384),
    [anon_sym__Alignas] = ACTIONS(5384),
    [sym_primitive_type] = ACTIONS(5384),
    [anon_sym_enum] = ACTIONS(5384),
    [anon_sym_class] = ACTIONS(5384),
    [anon_sym_struct] = ACTIONS(5384),
    [anon_sym_union] = ACTIONS(5384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
    [anon_sym_explicit] = ACTIONS(5384),
    [anon_sym_typename] = ACTIONS(5384),
    [anon_sym_template] = ACTIONS(5384),
    [anon_sym_operator] = ACTIONS(5384),
    [anon_sym_friend] = ACTIONS(5384),
    [anon_sym_public] = ACTIONS(5384),
    [anon_sym_private] = ACTIONS(5384),
    [anon_sym_protected] = ACTIONS(5384),
    [anon_sym_using] = ACTIONS(5384),
    [anon_sym_static_assert] = ACTIONS(5384),
    [anon_sym_precise] = ACTIONS(5384),
    [anon_sym_shared] = ACTIONS(5384),
    [anon_sym_groupshared] = ACTIONS(5384),
    [anon_sym_uniform] = ACTIONS(5384),
    [anon_sym_row_major] = ACTIONS(5384),
    [anon_sym_column_major] = ACTIONS(5384),
    [anon_sym_globallycoherent] = ACTIONS(5384),
    [anon_sym_centroid] = ACTIONS(5384),
    [anon_sym_noperspective] = ACTIONS(5384),
    [anon_sym_nointerpolation] = ACTIONS(5384),
    [anon_sym_sample] = ACTIONS(5384),
    [anon_sym_linear] = ACTIONS(5384),
    [anon_sym_snorm] = ACTIONS(5384),
    [anon_sym_unorm] = ACTIONS(5384),
    [anon_sym_point] = ACTIONS(5384),
    [anon_sym_line] = ACTIONS(5384),
    [anon_sym_triangleadj] = ACTIONS(5384),
    [anon_sym_lineadj] = ACTIONS(5384),
    [anon_sym_triangle] = ACTIONS(5384),
  },
  [1870] = {
    [sym_identifier] = ACTIONS(5388),
    [aux_sym_preproc_def_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token2] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5388),
    [aux_sym_preproc_else_token1] = ACTIONS(5388),
    [aux_sym_preproc_elif_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5388),
    [sym_preproc_directive] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_TILDE] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym_typedef] = ACTIONS(5388),
    [anon_sym_in] = ACTIONS(5388),
    [anon_sym_out] = ACTIONS(5388),
    [anon_sym_inout] = ACTIONS(5388),
    [anon_sym_virtual] = ACTIONS(5388),
    [anon_sym_extern] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym___attribute] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5390),
    [anon_sym___declspec] = ACTIONS(5388),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [anon_sym_static] = ACTIONS(5388),
    [anon_sym_register] = ACTIONS(5388),
    [anon_sym_inline] = ACTIONS(5388),
    [anon_sym___inline] = ACTIONS(5388),
    [anon_sym___inline__] = ACTIONS(5388),
    [anon_sym___forceinline] = ACTIONS(5388),
    [anon_sym_thread_local] = ACTIONS(5388),
    [anon_sym___thread] = ACTIONS(5388),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [sym_primitive_type] = ACTIONS(5388),
    [anon_sym_enum] = ACTIONS(5388),
    [anon_sym_class] = ACTIONS(5388),
    [anon_sym_struct] = ACTIONS(5388),
    [anon_sym_union] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_explicit] = ACTIONS(5388),
    [anon_sym_typename] = ACTIONS(5388),
    [anon_sym_template] = ACTIONS(5388),
    [anon_sym_operator] = ACTIONS(5388),
    [anon_sym_friend] = ACTIONS(5388),
    [anon_sym_public] = ACTIONS(5388),
    [anon_sym_private] = ACTIONS(5388),
    [anon_sym_protected] = ACTIONS(5388),
    [anon_sym_using] = ACTIONS(5388),
    [anon_sym_static_assert] = ACTIONS(5388),
    [anon_sym_precise] = ACTIONS(5388),
    [anon_sym_shared] = ACTIONS(5388),
    [anon_sym_groupshared] = ACTIONS(5388),
    [anon_sym_uniform] = ACTIONS(5388),
    [anon_sym_row_major] = ACTIONS(5388),
    [anon_sym_column_major] = ACTIONS(5388),
    [anon_sym_globallycoherent] = ACTIONS(5388),
    [anon_sym_centroid] = ACTIONS(5388),
    [anon_sym_noperspective] = ACTIONS(5388),
    [anon_sym_nointerpolation] = ACTIONS(5388),
    [anon_sym_sample] = ACTIONS(5388),
    [anon_sym_linear] = ACTIONS(5388),
    [anon_sym_snorm] = ACTIONS(5388),
    [anon_sym_unorm] = ACTIONS(5388),
    [anon_sym_point] = ACTIONS(5388),
    [anon_sym_line] = ACTIONS(5388),
    [anon_sym_triangleadj] = ACTIONS(5388),
    [anon_sym_lineadj] = ACTIONS(5388),
    [anon_sym_triangle] = ACTIONS(5388),
  },
  [1871] = {
    [sym_identifier] = ACTIONS(5388),
    [aux_sym_preproc_def_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token2] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5388),
    [aux_sym_preproc_else_token1] = ACTIONS(5388),
    [aux_sym_preproc_elif_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5388),
    [sym_preproc_directive] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_TILDE] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym_typedef] = ACTIONS(5388),
    [anon_sym_in] = ACTIONS(5388),
    [anon_sym_out] = ACTIONS(5388),
    [anon_sym_inout] = ACTIONS(5388),
    [anon_sym_virtual] = ACTIONS(5388),
    [anon_sym_extern] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym___attribute] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5390),
    [anon_sym___declspec] = ACTIONS(5388),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [anon_sym_static] = ACTIONS(5388),
    [anon_sym_register] = ACTIONS(5388),
    [anon_sym_inline] = ACTIONS(5388),
    [anon_sym___inline] = ACTIONS(5388),
    [anon_sym___inline__] = ACTIONS(5388),
    [anon_sym___forceinline] = ACTIONS(5388),
    [anon_sym_thread_local] = ACTIONS(5388),
    [anon_sym___thread] = ACTIONS(5388),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [sym_primitive_type] = ACTIONS(5388),
    [anon_sym_enum] = ACTIONS(5388),
    [anon_sym_class] = ACTIONS(5388),
    [anon_sym_struct] = ACTIONS(5388),
    [anon_sym_union] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_explicit] = ACTIONS(5388),
    [anon_sym_typename] = ACTIONS(5388),
    [anon_sym_template] = ACTIONS(5388),
    [anon_sym_operator] = ACTIONS(5388),
    [anon_sym_friend] = ACTIONS(5388),
    [anon_sym_public] = ACTIONS(5388),
    [anon_sym_private] = ACTIONS(5388),
    [anon_sym_protected] = ACTIONS(5388),
    [anon_sym_using] = ACTIONS(5388),
    [anon_sym_static_assert] = ACTIONS(5388),
    [anon_sym_precise] = ACTIONS(5388),
    [anon_sym_shared] = ACTIONS(5388),
    [anon_sym_groupshared] = ACTIONS(5388),
    [anon_sym_uniform] = ACTIONS(5388),
    [anon_sym_row_major] = ACTIONS(5388),
    [anon_sym_column_major] = ACTIONS(5388),
    [anon_sym_globallycoherent] = ACTIONS(5388),
    [anon_sym_centroid] = ACTIONS(5388),
    [anon_sym_noperspective] = ACTIONS(5388),
    [anon_sym_nointerpolation] = ACTIONS(5388),
    [anon_sym_sample] = ACTIONS(5388),
    [anon_sym_linear] = ACTIONS(5388),
    [anon_sym_snorm] = ACTIONS(5388),
    [anon_sym_unorm] = ACTIONS(5388),
    [anon_sym_point] = ACTIONS(5388),
    [anon_sym_line] = ACTIONS(5388),
    [anon_sym_triangleadj] = ACTIONS(5388),
    [anon_sym_lineadj] = ACTIONS(5388),
    [anon_sym_triangle] = ACTIONS(5388),
  },
  [1872] = {
    [sym_identifier] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [aux_sym_preproc_else_token1] = ACTIONS(5392),
    [aux_sym_preproc_elif_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_TILDE] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym_typedef] = ACTIONS(5392),
    [anon_sym_in] = ACTIONS(5392),
    [anon_sym_out] = ACTIONS(5392),
    [anon_sym_inout] = ACTIONS(5392),
    [anon_sym_virtual] = ACTIONS(5392),
    [anon_sym_extern] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym___attribute] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym___declspec] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_static] = ACTIONS(5392),
    [anon_sym_register] = ACTIONS(5392),
    [anon_sym_inline] = ACTIONS(5392),
    [anon_sym___inline] = ACTIONS(5392),
    [anon_sym___inline__] = ACTIONS(5392),
    [anon_sym___forceinline] = ACTIONS(5392),
    [anon_sym_thread_local] = ACTIONS(5392),
    [anon_sym___thread] = ACTIONS(5392),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_enum] = ACTIONS(5392),
    [anon_sym_class] = ACTIONS(5392),
    [anon_sym_struct] = ACTIONS(5392),
    [anon_sym_union] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_explicit] = ACTIONS(5392),
    [anon_sym_typename] = ACTIONS(5392),
    [anon_sym_template] = ACTIONS(5392),
    [anon_sym_operator] = ACTIONS(5392),
    [anon_sym_friend] = ACTIONS(5392),
    [anon_sym_public] = ACTIONS(5392),
    [anon_sym_private] = ACTIONS(5392),
    [anon_sym_protected] = ACTIONS(5392),
    [anon_sym_using] = ACTIONS(5392),
    [anon_sym_static_assert] = ACTIONS(5392),
    [anon_sym_precise] = ACTIONS(5392),
    [anon_sym_shared] = ACTIONS(5392),
    [anon_sym_groupshared] = ACTIONS(5392),
    [anon_sym_uniform] = ACTIONS(5392),
    [anon_sym_row_major] = ACTIONS(5392),
    [anon_sym_column_major] = ACTIONS(5392),
    [anon_sym_globallycoherent] = ACTIONS(5392),
    [anon_sym_centroid] = ACTIONS(5392),
    [anon_sym_noperspective] = ACTIONS(5392),
    [anon_sym_nointerpolation] = ACTIONS(5392),
    [anon_sym_sample] = ACTIONS(5392),
    [anon_sym_linear] = ACTIONS(5392),
    [anon_sym_snorm] = ACTIONS(5392),
    [anon_sym_unorm] = ACTIONS(5392),
    [anon_sym_point] = ACTIONS(5392),
    [anon_sym_line] = ACTIONS(5392),
    [anon_sym_triangleadj] = ACTIONS(5392),
    [anon_sym_lineadj] = ACTIONS(5392),
    [anon_sym_triangle] = ACTIONS(5392),
  },
  [1873] = {
    [sym_identifier] = ACTIONS(5396),
    [aux_sym_preproc_def_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token2] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5396),
    [aux_sym_preproc_else_token1] = ACTIONS(5396),
    [aux_sym_preproc_elif_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5396),
    [sym_preproc_directive] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_TILDE] = ACTIONS(5398),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym_typedef] = ACTIONS(5396),
    [anon_sym_in] = ACTIONS(5396),
    [anon_sym_out] = ACTIONS(5396),
    [anon_sym_inout] = ACTIONS(5396),
    [anon_sym_virtual] = ACTIONS(5396),
    [anon_sym_extern] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym___attribute] = ACTIONS(5396),
    [anon_sym_COLON_COLON] = ACTIONS(5398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5398),
    [anon_sym___declspec] = ACTIONS(5396),
    [anon_sym___based] = ACTIONS(5396),
    [anon_sym_signed] = ACTIONS(5396),
    [anon_sym_unsigned] = ACTIONS(5396),
    [anon_sym_long] = ACTIONS(5396),
    [anon_sym_short] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5396),
    [anon_sym_static] = ACTIONS(5396),
    [anon_sym_register] = ACTIONS(5396),
    [anon_sym_inline] = ACTIONS(5396),
    [anon_sym___inline] = ACTIONS(5396),
    [anon_sym___inline__] = ACTIONS(5396),
    [anon_sym___forceinline] = ACTIONS(5396),
    [anon_sym_thread_local] = ACTIONS(5396),
    [anon_sym___thread] = ACTIONS(5396),
    [anon_sym_const] = ACTIONS(5396),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym__Nonnull] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_alignas] = ACTIONS(5396),
    [anon_sym__Alignas] = ACTIONS(5396),
    [sym_primitive_type] = ACTIONS(5396),
    [anon_sym_enum] = ACTIONS(5396),
    [anon_sym_class] = ACTIONS(5396),
    [anon_sym_struct] = ACTIONS(5396),
    [anon_sym_union] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_explicit] = ACTIONS(5396),
    [anon_sym_typename] = ACTIONS(5396),
    [anon_sym_template] = ACTIONS(5396),
    [anon_sym_operator] = ACTIONS(5396),
    [anon_sym_friend] = ACTIONS(5396),
    [anon_sym_public] = ACTIONS(5396),
    [anon_sym_private] = ACTIONS(5396),
    [anon_sym_protected] = ACTIONS(5396),
    [anon_sym_using] = ACTIONS(5396),
    [anon_sym_static_assert] = ACTIONS(5396),
    [anon_sym_precise] = ACTIONS(5396),
    [anon_sym_shared] = ACTIONS(5396),
    [anon_sym_groupshared] = ACTIONS(5396),
    [anon_sym_uniform] = ACTIONS(5396),
    [anon_sym_row_major] = ACTIONS(5396),
    [anon_sym_column_major] = ACTIONS(5396),
    [anon_sym_globallycoherent] = ACTIONS(5396),
    [anon_sym_centroid] = ACTIONS(5396),
    [anon_sym_noperspective] = ACTIONS(5396),
    [anon_sym_nointerpolation] = ACTIONS(5396),
    [anon_sym_sample] = ACTIONS(5396),
    [anon_sym_linear] = ACTIONS(5396),
    [anon_sym_snorm] = ACTIONS(5396),
    [anon_sym_unorm] = ACTIONS(5396),
    [anon_sym_point] = ACTIONS(5396),
    [anon_sym_line] = ACTIONS(5396),
    [anon_sym_triangleadj] = ACTIONS(5396),
    [anon_sym_lineadj] = ACTIONS(5396),
    [anon_sym_triangle] = ACTIONS(5396),
  },
  [1874] = {
    [sym_identifier] = ACTIONS(5400),
    [aux_sym_preproc_def_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token2] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5400),
    [aux_sym_preproc_else_token1] = ACTIONS(5400),
    [aux_sym_preproc_elif_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5400),
    [sym_preproc_directive] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_TILDE] = ACTIONS(5402),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___extension__] = ACTIONS(5400),
    [anon_sym_typedef] = ACTIONS(5400),
    [anon_sym_in] = ACTIONS(5400),
    [anon_sym_out] = ACTIONS(5400),
    [anon_sym_inout] = ACTIONS(5400),
    [anon_sym_virtual] = ACTIONS(5400),
    [anon_sym_extern] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym___attribute] = ACTIONS(5400),
    [anon_sym_COLON_COLON] = ACTIONS(5402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5402),
    [anon_sym___declspec] = ACTIONS(5400),
    [anon_sym___based] = ACTIONS(5400),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5400),
    [anon_sym_static] = ACTIONS(5400),
    [anon_sym_register] = ACTIONS(5400),
    [anon_sym_inline] = ACTIONS(5400),
    [anon_sym___inline] = ACTIONS(5400),
    [anon_sym___inline__] = ACTIONS(5400),
    [anon_sym___forceinline] = ACTIONS(5400),
    [anon_sym_thread_local] = ACTIONS(5400),
    [anon_sym___thread] = ACTIONS(5400),
    [anon_sym_const] = ACTIONS(5400),
    [anon_sym_constexpr] = ACTIONS(5400),
    [anon_sym_volatile] = ACTIONS(5400),
    [anon_sym_restrict] = ACTIONS(5400),
    [anon_sym___restrict__] = ACTIONS(5400),
    [anon_sym__Atomic] = ACTIONS(5400),
    [anon_sym__Noreturn] = ACTIONS(5400),
    [anon_sym_noreturn] = ACTIONS(5400),
    [anon_sym__Nonnull] = ACTIONS(5400),
    [anon_sym_mutable] = ACTIONS(5400),
    [anon_sym_constinit] = ACTIONS(5400),
    [anon_sym_consteval] = ACTIONS(5400),
    [anon_sym_alignas] = ACTIONS(5400),
    [anon_sym__Alignas] = ACTIONS(5400),
    [sym_primitive_type] = ACTIONS(5400),
    [anon_sym_enum] = ACTIONS(5400),
    [anon_sym_class] = ACTIONS(5400),
    [anon_sym_struct] = ACTIONS(5400),
    [anon_sym_union] = ACTIONS(5400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
    [anon_sym_explicit] = ACTIONS(5400),
    [anon_sym_typename] = ACTIONS(5400),
    [anon_sym_template] = ACTIONS(5400),
    [anon_sym_operator] = ACTIONS(5400),
    [anon_sym_friend] = ACTIONS(5400),
    [anon_sym_public] = ACTIONS(5400),
    [anon_sym_private] = ACTIONS(5400),
    [anon_sym_protected] = ACTIONS(5400),
    [anon_sym_using] = ACTIONS(5400),
    [anon_sym_static_assert] = ACTIONS(5400),
    [anon_sym_precise] = ACTIONS(5400),
    [anon_sym_shared] = ACTIONS(5400),
    [anon_sym_groupshared] = ACTIONS(5400),
    [anon_sym_uniform] = ACTIONS(5400),
    [anon_sym_row_major] = ACTIONS(5400),
    [anon_sym_column_major] = ACTIONS(5400),
    [anon_sym_globallycoherent] = ACTIONS(5400),
    [anon_sym_centroid] = ACTIONS(5400),
    [anon_sym_noperspective] = ACTIONS(5400),
    [anon_sym_nointerpolation] = ACTIONS(5400),
    [anon_sym_sample] = ACTIONS(5400),
    [anon_sym_linear] = ACTIONS(5400),
    [anon_sym_snorm] = ACTIONS(5400),
    [anon_sym_unorm] = ACTIONS(5400),
    [anon_sym_point] = ACTIONS(5400),
    [anon_sym_line] = ACTIONS(5400),
    [anon_sym_triangleadj] = ACTIONS(5400),
    [anon_sym_lineadj] = ACTIONS(5400),
    [anon_sym_triangle] = ACTIONS(5400),
  },
  [1875] = {
    [sym_identifier] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token2] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [aux_sym_preproc_else_token1] = ACTIONS(5404),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_typedef] = ACTIONS(5404),
    [anon_sym_in] = ACTIONS(5404),
    [anon_sym_out] = ACTIONS(5404),
    [anon_sym_inout] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___attribute] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_friend] = ACTIONS(5404),
    [anon_sym_public] = ACTIONS(5404),
    [anon_sym_private] = ACTIONS(5404),
    [anon_sym_protected] = ACTIONS(5404),
    [anon_sym_using] = ACTIONS(5404),
    [anon_sym_static_assert] = ACTIONS(5404),
    [anon_sym_precise] = ACTIONS(5404),
    [anon_sym_shared] = ACTIONS(5404),
    [anon_sym_groupshared] = ACTIONS(5404),
    [anon_sym_uniform] = ACTIONS(5404),
    [anon_sym_row_major] = ACTIONS(5404),
    [anon_sym_column_major] = ACTIONS(5404),
    [anon_sym_globallycoherent] = ACTIONS(5404),
    [anon_sym_centroid] = ACTIONS(5404),
    [anon_sym_noperspective] = ACTIONS(5404),
    [anon_sym_nointerpolation] = ACTIONS(5404),
    [anon_sym_sample] = ACTIONS(5404),
    [anon_sym_linear] = ACTIONS(5404),
    [anon_sym_snorm] = ACTIONS(5404),
    [anon_sym_unorm] = ACTIONS(5404),
    [anon_sym_point] = ACTIONS(5404),
    [anon_sym_line] = ACTIONS(5404),
    [anon_sym_triangleadj] = ACTIONS(5404),
    [anon_sym_lineadj] = ACTIONS(5404),
    [anon_sym_triangle] = ACTIONS(5404),
  },
  [1876] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [aux_sym_preproc_else_token1] = ACTIONS(5408),
    [aux_sym_preproc_elif_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_in] = ACTIONS(5408),
    [anon_sym_out] = ACTIONS(5408),
    [anon_sym_inout] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
    [anon_sym_precise] = ACTIONS(5408),
    [anon_sym_shared] = ACTIONS(5408),
    [anon_sym_groupshared] = ACTIONS(5408),
    [anon_sym_uniform] = ACTIONS(5408),
    [anon_sym_row_major] = ACTIONS(5408),
    [anon_sym_column_major] = ACTIONS(5408),
    [anon_sym_globallycoherent] = ACTIONS(5408),
    [anon_sym_centroid] = ACTIONS(5408),
    [anon_sym_noperspective] = ACTIONS(5408),
    [anon_sym_nointerpolation] = ACTIONS(5408),
    [anon_sym_sample] = ACTIONS(5408),
    [anon_sym_linear] = ACTIONS(5408),
    [anon_sym_snorm] = ACTIONS(5408),
    [anon_sym_unorm] = ACTIONS(5408),
    [anon_sym_point] = ACTIONS(5408),
    [anon_sym_line] = ACTIONS(5408),
    [anon_sym_triangleadj] = ACTIONS(5408),
    [anon_sym_lineadj] = ACTIONS(5408),
    [anon_sym_triangle] = ACTIONS(5408),
  },
  [1877] = {
    [sym_identifier] = ACTIONS(5412),
    [aux_sym_preproc_def_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token2] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5412),
    [aux_sym_preproc_else_token1] = ACTIONS(5412),
    [aux_sym_preproc_elif_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5412),
    [sym_preproc_directive] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_TILDE] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym_typedef] = ACTIONS(5412),
    [anon_sym_in] = ACTIONS(5412),
    [anon_sym_out] = ACTIONS(5412),
    [anon_sym_inout] = ACTIONS(5412),
    [anon_sym_virtual] = ACTIONS(5412),
    [anon_sym_extern] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___attribute] = ACTIONS(5412),
    [anon_sym_COLON_COLON] = ACTIONS(5414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5414),
    [anon_sym___declspec] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5412),
    [anon_sym_static] = ACTIONS(5412),
    [anon_sym_register] = ACTIONS(5412),
    [anon_sym_inline] = ACTIONS(5412),
    [anon_sym___inline] = ACTIONS(5412),
    [anon_sym___inline__] = ACTIONS(5412),
    [anon_sym___forceinline] = ACTIONS(5412),
    [anon_sym_thread_local] = ACTIONS(5412),
    [anon_sym___thread] = ACTIONS(5412),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_enum] = ACTIONS(5412),
    [anon_sym_class] = ACTIONS(5412),
    [anon_sym_struct] = ACTIONS(5412),
    [anon_sym_union] = ACTIONS(5412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_explicit] = ACTIONS(5412),
    [anon_sym_typename] = ACTIONS(5412),
    [anon_sym_template] = ACTIONS(5412),
    [anon_sym_operator] = ACTIONS(5412),
    [anon_sym_friend] = ACTIONS(5412),
    [anon_sym_public] = ACTIONS(5412),
    [anon_sym_private] = ACTIONS(5412),
    [anon_sym_protected] = ACTIONS(5412),
    [anon_sym_using] = ACTIONS(5412),
    [anon_sym_static_assert] = ACTIONS(5412),
    [anon_sym_precise] = ACTIONS(5412),
    [anon_sym_shared] = ACTIONS(5412),
    [anon_sym_groupshared] = ACTIONS(5412),
    [anon_sym_uniform] = ACTIONS(5412),
    [anon_sym_row_major] = ACTIONS(5412),
    [anon_sym_column_major] = ACTIONS(5412),
    [anon_sym_globallycoherent] = ACTIONS(5412),
    [anon_sym_centroid] = ACTIONS(5412),
    [anon_sym_noperspective] = ACTIONS(5412),
    [anon_sym_nointerpolation] = ACTIONS(5412),
    [anon_sym_sample] = ACTIONS(5412),
    [anon_sym_linear] = ACTIONS(5412),
    [anon_sym_snorm] = ACTIONS(5412),
    [anon_sym_unorm] = ACTIONS(5412),
    [anon_sym_point] = ACTIONS(5412),
    [anon_sym_line] = ACTIONS(5412),
    [anon_sym_triangleadj] = ACTIONS(5412),
    [anon_sym_lineadj] = ACTIONS(5412),
    [anon_sym_triangle] = ACTIONS(5412),
  },
  [1878] = {
    [sym_identifier] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [aux_sym_preproc_else_token1] = ACTIONS(5416),
    [aux_sym_preproc_elif_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_TILDE] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym_typedef] = ACTIONS(5416),
    [anon_sym_in] = ACTIONS(5416),
    [anon_sym_out] = ACTIONS(5416),
    [anon_sym_inout] = ACTIONS(5416),
    [anon_sym_virtual] = ACTIONS(5416),
    [anon_sym_extern] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___attribute] = ACTIONS(5416),
    [anon_sym_COLON_COLON] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym___declspec] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_static] = ACTIONS(5416),
    [anon_sym_register] = ACTIONS(5416),
    [anon_sym_inline] = ACTIONS(5416),
    [anon_sym___inline] = ACTIONS(5416),
    [anon_sym___inline__] = ACTIONS(5416),
    [anon_sym___forceinline] = ACTIONS(5416),
    [anon_sym_thread_local] = ACTIONS(5416),
    [anon_sym___thread] = ACTIONS(5416),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_enum] = ACTIONS(5416),
    [anon_sym_class] = ACTIONS(5416),
    [anon_sym_struct] = ACTIONS(5416),
    [anon_sym_union] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_explicit] = ACTIONS(5416),
    [anon_sym_typename] = ACTIONS(5416),
    [anon_sym_template] = ACTIONS(5416),
    [anon_sym_operator] = ACTIONS(5416),
    [anon_sym_friend] = ACTIONS(5416),
    [anon_sym_public] = ACTIONS(5416),
    [anon_sym_private] = ACTIONS(5416),
    [anon_sym_protected] = ACTIONS(5416),
    [anon_sym_using] = ACTIONS(5416),
    [anon_sym_static_assert] = ACTIONS(5416),
    [anon_sym_precise] = ACTIONS(5416),
    [anon_sym_shared] = ACTIONS(5416),
    [anon_sym_groupshared] = ACTIONS(5416),
    [anon_sym_uniform] = ACTIONS(5416),
    [anon_sym_row_major] = ACTIONS(5416),
    [anon_sym_column_major] = ACTIONS(5416),
    [anon_sym_globallycoherent] = ACTIONS(5416),
    [anon_sym_centroid] = ACTIONS(5416),
    [anon_sym_noperspective] = ACTIONS(5416),
    [anon_sym_nointerpolation] = ACTIONS(5416),
    [anon_sym_sample] = ACTIONS(5416),
    [anon_sym_linear] = ACTIONS(5416),
    [anon_sym_snorm] = ACTIONS(5416),
    [anon_sym_unorm] = ACTIONS(5416),
    [anon_sym_point] = ACTIONS(5416),
    [anon_sym_line] = ACTIONS(5416),
    [anon_sym_triangleadj] = ACTIONS(5416),
    [anon_sym_lineadj] = ACTIONS(5416),
    [anon_sym_triangle] = ACTIONS(5416),
  },
  [1879] = {
    [sym_identifier] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [aux_sym_preproc_else_token1] = ACTIONS(5420),
    [aux_sym_preproc_elif_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_TILDE] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym_typedef] = ACTIONS(5420),
    [anon_sym_in] = ACTIONS(5420),
    [anon_sym_out] = ACTIONS(5420),
    [anon_sym_inout] = ACTIONS(5420),
    [anon_sym_virtual] = ACTIONS(5420),
    [anon_sym_extern] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___attribute] = ACTIONS(5420),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym___declspec] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_static] = ACTIONS(5420),
    [anon_sym_register] = ACTIONS(5420),
    [anon_sym_inline] = ACTIONS(5420),
    [anon_sym___inline] = ACTIONS(5420),
    [anon_sym___inline__] = ACTIONS(5420),
    [anon_sym___forceinline] = ACTIONS(5420),
    [anon_sym_thread_local] = ACTIONS(5420),
    [anon_sym___thread] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_enum] = ACTIONS(5420),
    [anon_sym_class] = ACTIONS(5420),
    [anon_sym_struct] = ACTIONS(5420),
    [anon_sym_union] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_explicit] = ACTIONS(5420),
    [anon_sym_typename] = ACTIONS(5420),
    [anon_sym_template] = ACTIONS(5420),
    [anon_sym_operator] = ACTIONS(5420),
    [anon_sym_friend] = ACTIONS(5420),
    [anon_sym_public] = ACTIONS(5420),
    [anon_sym_private] = ACTIONS(5420),
    [anon_sym_protected] = ACTIONS(5420),
    [anon_sym_using] = ACTIONS(5420),
    [anon_sym_static_assert] = ACTIONS(5420),
    [anon_sym_precise] = ACTIONS(5420),
    [anon_sym_shared] = ACTIONS(5420),
    [anon_sym_groupshared] = ACTIONS(5420),
    [anon_sym_uniform] = ACTIONS(5420),
    [anon_sym_row_major] = ACTIONS(5420),
    [anon_sym_column_major] = ACTIONS(5420),
    [anon_sym_globallycoherent] = ACTIONS(5420),
    [anon_sym_centroid] = ACTIONS(5420),
    [anon_sym_noperspective] = ACTIONS(5420),
    [anon_sym_nointerpolation] = ACTIONS(5420),
    [anon_sym_sample] = ACTIONS(5420),
    [anon_sym_linear] = ACTIONS(5420),
    [anon_sym_snorm] = ACTIONS(5420),
    [anon_sym_unorm] = ACTIONS(5420),
    [anon_sym_point] = ACTIONS(5420),
    [anon_sym_line] = ACTIONS(5420),
    [anon_sym_triangleadj] = ACTIONS(5420),
    [anon_sym_lineadj] = ACTIONS(5420),
    [anon_sym_triangle] = ACTIONS(5420),
  },
  [1880] = {
    [sym_identifier] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [aux_sym_preproc_else_token1] = ACTIONS(5416),
    [aux_sym_preproc_elif_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_TILDE] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym_typedef] = ACTIONS(5416),
    [anon_sym_in] = ACTIONS(5416),
    [anon_sym_out] = ACTIONS(5416),
    [anon_sym_inout] = ACTIONS(5416),
    [anon_sym_virtual] = ACTIONS(5416),
    [anon_sym_extern] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___attribute] = ACTIONS(5416),
    [anon_sym_COLON_COLON] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym___declspec] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_static] = ACTIONS(5416),
    [anon_sym_register] = ACTIONS(5416),
    [anon_sym_inline] = ACTIONS(5416),
    [anon_sym___inline] = ACTIONS(5416),
    [anon_sym___inline__] = ACTIONS(5416),
    [anon_sym___forceinline] = ACTIONS(5416),
    [anon_sym_thread_local] = ACTIONS(5416),
    [anon_sym___thread] = ACTIONS(5416),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_enum] = ACTIONS(5416),
    [anon_sym_class] = ACTIONS(5416),
    [anon_sym_struct] = ACTIONS(5416),
    [anon_sym_union] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_explicit] = ACTIONS(5416),
    [anon_sym_typename] = ACTIONS(5416),
    [anon_sym_template] = ACTIONS(5416),
    [anon_sym_operator] = ACTIONS(5416),
    [anon_sym_friend] = ACTIONS(5416),
    [anon_sym_public] = ACTIONS(5416),
    [anon_sym_private] = ACTIONS(5416),
    [anon_sym_protected] = ACTIONS(5416),
    [anon_sym_using] = ACTIONS(5416),
    [anon_sym_static_assert] = ACTIONS(5416),
    [anon_sym_precise] = ACTIONS(5416),
    [anon_sym_shared] = ACTIONS(5416),
    [anon_sym_groupshared] = ACTIONS(5416),
    [anon_sym_uniform] = ACTIONS(5416),
    [anon_sym_row_major] = ACTIONS(5416),
    [anon_sym_column_major] = ACTIONS(5416),
    [anon_sym_globallycoherent] = ACTIONS(5416),
    [anon_sym_centroid] = ACTIONS(5416),
    [anon_sym_noperspective] = ACTIONS(5416),
    [anon_sym_nointerpolation] = ACTIONS(5416),
    [anon_sym_sample] = ACTIONS(5416),
    [anon_sym_linear] = ACTIONS(5416),
    [anon_sym_snorm] = ACTIONS(5416),
    [anon_sym_unorm] = ACTIONS(5416),
    [anon_sym_point] = ACTIONS(5416),
    [anon_sym_line] = ACTIONS(5416),
    [anon_sym_triangleadj] = ACTIONS(5416),
    [anon_sym_lineadj] = ACTIONS(5416),
    [anon_sym_triangle] = ACTIONS(5416),
  },
  [1881] = {
    [sym_identifier] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [aux_sym_preproc_else_token1] = ACTIONS(5420),
    [aux_sym_preproc_elif_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_TILDE] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym_typedef] = ACTIONS(5420),
    [anon_sym_in] = ACTIONS(5420),
    [anon_sym_out] = ACTIONS(5420),
    [anon_sym_inout] = ACTIONS(5420),
    [anon_sym_virtual] = ACTIONS(5420),
    [anon_sym_extern] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___attribute] = ACTIONS(5420),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym___declspec] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_static] = ACTIONS(5420),
    [anon_sym_register] = ACTIONS(5420),
    [anon_sym_inline] = ACTIONS(5420),
    [anon_sym___inline] = ACTIONS(5420),
    [anon_sym___inline__] = ACTIONS(5420),
    [anon_sym___forceinline] = ACTIONS(5420),
    [anon_sym_thread_local] = ACTIONS(5420),
    [anon_sym___thread] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_enum] = ACTIONS(5420),
    [anon_sym_class] = ACTIONS(5420),
    [anon_sym_struct] = ACTIONS(5420),
    [anon_sym_union] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_explicit] = ACTIONS(5420),
    [anon_sym_typename] = ACTIONS(5420),
    [anon_sym_template] = ACTIONS(5420),
    [anon_sym_operator] = ACTIONS(5420),
    [anon_sym_friend] = ACTIONS(5420),
    [anon_sym_public] = ACTIONS(5420),
    [anon_sym_private] = ACTIONS(5420),
    [anon_sym_protected] = ACTIONS(5420),
    [anon_sym_using] = ACTIONS(5420),
    [anon_sym_static_assert] = ACTIONS(5420),
    [anon_sym_precise] = ACTIONS(5420),
    [anon_sym_shared] = ACTIONS(5420),
    [anon_sym_groupshared] = ACTIONS(5420),
    [anon_sym_uniform] = ACTIONS(5420),
    [anon_sym_row_major] = ACTIONS(5420),
    [anon_sym_column_major] = ACTIONS(5420),
    [anon_sym_globallycoherent] = ACTIONS(5420),
    [anon_sym_centroid] = ACTIONS(5420),
    [anon_sym_noperspective] = ACTIONS(5420),
    [anon_sym_nointerpolation] = ACTIONS(5420),
    [anon_sym_sample] = ACTIONS(5420),
    [anon_sym_linear] = ACTIONS(5420),
    [anon_sym_snorm] = ACTIONS(5420),
    [anon_sym_unorm] = ACTIONS(5420),
    [anon_sym_point] = ACTIONS(5420),
    [anon_sym_line] = ACTIONS(5420),
    [anon_sym_triangleadj] = ACTIONS(5420),
    [anon_sym_lineadj] = ACTIONS(5420),
    [anon_sym_triangle] = ACTIONS(5420),
  },
  [1882] = {
    [sym_identifier] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [aux_sym_preproc_else_token1] = ACTIONS(5424),
    [aux_sym_preproc_elif_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_TILDE] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym_typedef] = ACTIONS(5424),
    [anon_sym_in] = ACTIONS(5424),
    [anon_sym_out] = ACTIONS(5424),
    [anon_sym_inout] = ACTIONS(5424),
    [anon_sym_virtual] = ACTIONS(5424),
    [anon_sym_extern] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___attribute] = ACTIONS(5424),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym___declspec] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_static] = ACTIONS(5424),
    [anon_sym_register] = ACTIONS(5424),
    [anon_sym_inline] = ACTIONS(5424),
    [anon_sym___inline] = ACTIONS(5424),
    [anon_sym___inline__] = ACTIONS(5424),
    [anon_sym___forceinline] = ACTIONS(5424),
    [anon_sym_thread_local] = ACTIONS(5424),
    [anon_sym___thread] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_enum] = ACTIONS(5424),
    [anon_sym_class] = ACTIONS(5424),
    [anon_sym_struct] = ACTIONS(5424),
    [anon_sym_union] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_explicit] = ACTIONS(5424),
    [anon_sym_typename] = ACTIONS(5424),
    [anon_sym_template] = ACTIONS(5424),
    [anon_sym_operator] = ACTIONS(5424),
    [anon_sym_friend] = ACTIONS(5424),
    [anon_sym_public] = ACTIONS(5424),
    [anon_sym_private] = ACTIONS(5424),
    [anon_sym_protected] = ACTIONS(5424),
    [anon_sym_using] = ACTIONS(5424),
    [anon_sym_static_assert] = ACTIONS(5424),
    [anon_sym_precise] = ACTIONS(5424),
    [anon_sym_shared] = ACTIONS(5424),
    [anon_sym_groupshared] = ACTIONS(5424),
    [anon_sym_uniform] = ACTIONS(5424),
    [anon_sym_row_major] = ACTIONS(5424),
    [anon_sym_column_major] = ACTIONS(5424),
    [anon_sym_globallycoherent] = ACTIONS(5424),
    [anon_sym_centroid] = ACTIONS(5424),
    [anon_sym_noperspective] = ACTIONS(5424),
    [anon_sym_nointerpolation] = ACTIONS(5424),
    [anon_sym_sample] = ACTIONS(5424),
    [anon_sym_linear] = ACTIONS(5424),
    [anon_sym_snorm] = ACTIONS(5424),
    [anon_sym_unorm] = ACTIONS(5424),
    [anon_sym_point] = ACTIONS(5424),
    [anon_sym_line] = ACTIONS(5424),
    [anon_sym_triangleadj] = ACTIONS(5424),
    [anon_sym_lineadj] = ACTIONS(5424),
    [anon_sym_triangle] = ACTIONS(5424),
  },
  [1883] = {
    [sym_identifier] = ACTIONS(5428),
    [aux_sym_preproc_def_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token2] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5428),
    [aux_sym_preproc_else_token1] = ACTIONS(5428),
    [aux_sym_preproc_elif_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5428),
    [sym_preproc_directive] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_TILDE] = ACTIONS(5430),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___extension__] = ACTIONS(5428),
    [anon_sym_typedef] = ACTIONS(5428),
    [anon_sym_in] = ACTIONS(5428),
    [anon_sym_out] = ACTIONS(5428),
    [anon_sym_inout] = ACTIONS(5428),
    [anon_sym_virtual] = ACTIONS(5428),
    [anon_sym_extern] = ACTIONS(5428),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym___attribute] = ACTIONS(5428),
    [anon_sym_COLON_COLON] = ACTIONS(5430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5430),
    [anon_sym___declspec] = ACTIONS(5428),
    [anon_sym___based] = ACTIONS(5428),
    [anon_sym_signed] = ACTIONS(5428),
    [anon_sym_unsigned] = ACTIONS(5428),
    [anon_sym_long] = ACTIONS(5428),
    [anon_sym_short] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5428),
    [anon_sym_static] = ACTIONS(5428),
    [anon_sym_register] = ACTIONS(5428),
    [anon_sym_inline] = ACTIONS(5428),
    [anon_sym___inline] = ACTIONS(5428),
    [anon_sym___inline__] = ACTIONS(5428),
    [anon_sym___forceinline] = ACTIONS(5428),
    [anon_sym_thread_local] = ACTIONS(5428),
    [anon_sym___thread] = ACTIONS(5428),
    [anon_sym_const] = ACTIONS(5428),
    [anon_sym_constexpr] = ACTIONS(5428),
    [anon_sym_volatile] = ACTIONS(5428),
    [anon_sym_restrict] = ACTIONS(5428),
    [anon_sym___restrict__] = ACTIONS(5428),
    [anon_sym__Atomic] = ACTIONS(5428),
    [anon_sym__Noreturn] = ACTIONS(5428),
    [anon_sym_noreturn] = ACTIONS(5428),
    [anon_sym__Nonnull] = ACTIONS(5428),
    [anon_sym_mutable] = ACTIONS(5428),
    [anon_sym_constinit] = ACTIONS(5428),
    [anon_sym_consteval] = ACTIONS(5428),
    [anon_sym_alignas] = ACTIONS(5428),
    [anon_sym__Alignas] = ACTIONS(5428),
    [sym_primitive_type] = ACTIONS(5428),
    [anon_sym_enum] = ACTIONS(5428),
    [anon_sym_class] = ACTIONS(5428),
    [anon_sym_struct] = ACTIONS(5428),
    [anon_sym_union] = ACTIONS(5428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
    [anon_sym_explicit] = ACTIONS(5428),
    [anon_sym_typename] = ACTIONS(5428),
    [anon_sym_template] = ACTIONS(5428),
    [anon_sym_operator] = ACTIONS(5428),
    [anon_sym_friend] = ACTIONS(5428),
    [anon_sym_public] = ACTIONS(5428),
    [anon_sym_private] = ACTIONS(5428),
    [anon_sym_protected] = ACTIONS(5428),
    [anon_sym_using] = ACTIONS(5428),
    [anon_sym_static_assert] = ACTIONS(5428),
    [anon_sym_precise] = ACTIONS(5428),
    [anon_sym_shared] = ACTIONS(5428),
    [anon_sym_groupshared] = ACTIONS(5428),
    [anon_sym_uniform] = ACTIONS(5428),
    [anon_sym_row_major] = ACTIONS(5428),
    [anon_sym_column_major] = ACTIONS(5428),
    [anon_sym_globallycoherent] = ACTIONS(5428),
    [anon_sym_centroid] = ACTIONS(5428),
    [anon_sym_noperspective] = ACTIONS(5428),
    [anon_sym_nointerpolation] = ACTIONS(5428),
    [anon_sym_sample] = ACTIONS(5428),
    [anon_sym_linear] = ACTIONS(5428),
    [anon_sym_snorm] = ACTIONS(5428),
    [anon_sym_unorm] = ACTIONS(5428),
    [anon_sym_point] = ACTIONS(5428),
    [anon_sym_line] = ACTIONS(5428),
    [anon_sym_triangleadj] = ACTIONS(5428),
    [anon_sym_lineadj] = ACTIONS(5428),
    [anon_sym_triangle] = ACTIONS(5428),
  },
  [1884] = {
    [sym_identifier] = ACTIONS(5344),
    [aux_sym_preproc_def_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token2] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5344),
    [aux_sym_preproc_else_token1] = ACTIONS(5344),
    [aux_sym_preproc_elif_token1] = ACTIONS(5344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5344),
    [sym_preproc_directive] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(5346),
    [anon_sym_TILDE] = ACTIONS(5346),
    [anon_sym_STAR] = ACTIONS(5346),
    [anon_sym_AMP_AMP] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5346),
    [anon_sym___extension__] = ACTIONS(5344),
    [anon_sym_typedef] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5344),
    [anon_sym_out] = ACTIONS(5344),
    [anon_sym_inout] = ACTIONS(5344),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_extern] = ACTIONS(5344),
    [anon_sym___attribute__] = ACTIONS(5344),
    [anon_sym___attribute] = ACTIONS(5344),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5346),
    [anon_sym___declspec] = ACTIONS(5344),
    [anon_sym___based] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5344),
    [anon_sym_unsigned] = ACTIONS(5344),
    [anon_sym_long] = ACTIONS(5344),
    [anon_sym_short] = ACTIONS(5344),
    [anon_sym_LBRACK] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(5344),
    [anon_sym_register] = ACTIONS(5344),
    [anon_sym_inline] = ACTIONS(5344),
    [anon_sym___inline] = ACTIONS(5344),
    [anon_sym___inline__] = ACTIONS(5344),
    [anon_sym___forceinline] = ACTIONS(5344),
    [anon_sym_thread_local] = ACTIONS(5344),
    [anon_sym___thread] = ACTIONS(5344),
    [anon_sym_const] = ACTIONS(5344),
    [anon_sym_constexpr] = ACTIONS(5344),
    [anon_sym_volatile] = ACTIONS(5344),
    [anon_sym_restrict] = ACTIONS(5344),
    [anon_sym___restrict__] = ACTIONS(5344),
    [anon_sym__Atomic] = ACTIONS(5344),
    [anon_sym__Noreturn] = ACTIONS(5344),
    [anon_sym_noreturn] = ACTIONS(5344),
    [anon_sym__Nonnull] = ACTIONS(5344),
    [anon_sym_mutable] = ACTIONS(5344),
    [anon_sym_constinit] = ACTIONS(5344),
    [anon_sym_consteval] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5344),
    [anon_sym__Alignas] = ACTIONS(5344),
    [sym_primitive_type] = ACTIONS(5344),
    [anon_sym_enum] = ACTIONS(5344),
    [anon_sym_class] = ACTIONS(5344),
    [anon_sym_struct] = ACTIONS(5344),
    [anon_sym_union] = ACTIONS(5344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5344),
    [anon_sym_decltype] = ACTIONS(5344),
    [anon_sym_explicit] = ACTIONS(5344),
    [anon_sym_typename] = ACTIONS(5344),
    [anon_sym_template] = ACTIONS(5344),
    [anon_sym_operator] = ACTIONS(5344),
    [anon_sym_friend] = ACTIONS(5344),
    [anon_sym_public] = ACTIONS(5344),
    [anon_sym_private] = ACTIONS(5344),
    [anon_sym_protected] = ACTIONS(5344),
    [anon_sym_using] = ACTIONS(5344),
    [anon_sym_static_assert] = ACTIONS(5344),
    [anon_sym_precise] = ACTIONS(5344),
    [anon_sym_shared] = ACTIONS(5344),
    [anon_sym_groupshared] = ACTIONS(5344),
    [anon_sym_uniform] = ACTIONS(5344),
    [anon_sym_row_major] = ACTIONS(5344),
    [anon_sym_column_major] = ACTIONS(5344),
    [anon_sym_globallycoherent] = ACTIONS(5344),
    [anon_sym_centroid] = ACTIONS(5344),
    [anon_sym_noperspective] = ACTIONS(5344),
    [anon_sym_nointerpolation] = ACTIONS(5344),
    [anon_sym_sample] = ACTIONS(5344),
    [anon_sym_linear] = ACTIONS(5344),
    [anon_sym_snorm] = ACTIONS(5344),
    [anon_sym_unorm] = ACTIONS(5344),
    [anon_sym_point] = ACTIONS(5344),
    [anon_sym_line] = ACTIONS(5344),
    [anon_sym_triangleadj] = ACTIONS(5344),
    [anon_sym_lineadj] = ACTIONS(5344),
    [anon_sym_triangle] = ACTIONS(5344),
  },
  [1885] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [aux_sym_preproc_else_token1] = ACTIONS(2532),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_friend] = ACTIONS(2532),
    [anon_sym_public] = ACTIONS(2532),
    [anon_sym_private] = ACTIONS(2532),
    [anon_sym_protected] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_groupshared] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_row_major] = ACTIONS(2532),
    [anon_sym_column_major] = ACTIONS(2532),
    [anon_sym_globallycoherent] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym_nointerpolation] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_linear] = ACTIONS(2532),
    [anon_sym_snorm] = ACTIONS(2532),
    [anon_sym_unorm] = ACTIONS(2532),
    [anon_sym_point] = ACTIONS(2532),
    [anon_sym_line] = ACTIONS(2532),
    [anon_sym_triangleadj] = ACTIONS(2532),
    [anon_sym_lineadj] = ACTIONS(2532),
    [anon_sym_triangle] = ACTIONS(2532),
  },
  [1886] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_friend] = ACTIONS(2548),
    [anon_sym_public] = ACTIONS(2548),
    [anon_sym_private] = ACTIONS(2548),
    [anon_sym_protected] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_groupshared] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_row_major] = ACTIONS(2548),
    [anon_sym_column_major] = ACTIONS(2548),
    [anon_sym_globallycoherent] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym_nointerpolation] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_linear] = ACTIONS(2548),
    [anon_sym_snorm] = ACTIONS(2548),
    [anon_sym_unorm] = ACTIONS(2548),
    [anon_sym_point] = ACTIONS(2548),
    [anon_sym_line] = ACTIONS(2548),
    [anon_sym_triangleadj] = ACTIONS(2548),
    [anon_sym_lineadj] = ACTIONS(2548),
    [anon_sym_triangle] = ACTIONS(2548),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token2] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [aux_sym_preproc_else_token1] = ACTIONS(2583),
    [aux_sym_preproc_elif_token1] = ACTIONS(2583),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_in] = ACTIONS(2583),
    [anon_sym_out] = ACTIONS(2583),
    [anon_sym_inout] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_friend] = ACTIONS(2583),
    [anon_sym_public] = ACTIONS(2583),
    [anon_sym_private] = ACTIONS(2583),
    [anon_sym_protected] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_precise] = ACTIONS(2583),
    [anon_sym_shared] = ACTIONS(2583),
    [anon_sym_groupshared] = ACTIONS(2583),
    [anon_sym_uniform] = ACTIONS(2583),
    [anon_sym_row_major] = ACTIONS(2583),
    [anon_sym_column_major] = ACTIONS(2583),
    [anon_sym_globallycoherent] = ACTIONS(2583),
    [anon_sym_centroid] = ACTIONS(2583),
    [anon_sym_noperspective] = ACTIONS(2583),
    [anon_sym_nointerpolation] = ACTIONS(2583),
    [anon_sym_sample] = ACTIONS(2583),
    [anon_sym_linear] = ACTIONS(2583),
    [anon_sym_snorm] = ACTIONS(2583),
    [anon_sym_unorm] = ACTIONS(2583),
    [anon_sym_point] = ACTIONS(2583),
    [anon_sym_line] = ACTIONS(2583),
    [anon_sym_triangleadj] = ACTIONS(2583),
    [anon_sym_lineadj] = ACTIONS(2583),
    [anon_sym_triangle] = ACTIONS(2583),
  },
  [1888] = {
    [sym_identifier] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token2] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2587),
    [aux_sym_preproc_else_token1] = ACTIONS(2587),
    [aux_sym_preproc_elif_token1] = ACTIONS(2587),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2587),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2587),
    [sym_preproc_directive] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym___extension__] = ACTIONS(2587),
    [anon_sym_typedef] = ACTIONS(2587),
    [anon_sym_in] = ACTIONS(2587),
    [anon_sym_out] = ACTIONS(2587),
    [anon_sym_inout] = ACTIONS(2587),
    [anon_sym_virtual] = ACTIONS(2587),
    [anon_sym_extern] = ACTIONS(2587),
    [anon_sym___attribute__] = ACTIONS(2587),
    [anon_sym___attribute] = ACTIONS(2587),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2589),
    [anon_sym___declspec] = ACTIONS(2587),
    [anon_sym___based] = ACTIONS(2587),
    [anon_sym_signed] = ACTIONS(2587),
    [anon_sym_unsigned] = ACTIONS(2587),
    [anon_sym_long] = ACTIONS(2587),
    [anon_sym_short] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_register] = ACTIONS(2587),
    [anon_sym_inline] = ACTIONS(2587),
    [anon_sym___inline] = ACTIONS(2587),
    [anon_sym___inline__] = ACTIONS(2587),
    [anon_sym___forceinline] = ACTIONS(2587),
    [anon_sym_thread_local] = ACTIONS(2587),
    [anon_sym___thread] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_constexpr] = ACTIONS(2587),
    [anon_sym_volatile] = ACTIONS(2587),
    [anon_sym_restrict] = ACTIONS(2587),
    [anon_sym___restrict__] = ACTIONS(2587),
    [anon_sym__Atomic] = ACTIONS(2587),
    [anon_sym__Noreturn] = ACTIONS(2587),
    [anon_sym_noreturn] = ACTIONS(2587),
    [anon_sym__Nonnull] = ACTIONS(2587),
    [anon_sym_mutable] = ACTIONS(2587),
    [anon_sym_constinit] = ACTIONS(2587),
    [anon_sym_consteval] = ACTIONS(2587),
    [anon_sym_alignas] = ACTIONS(2587),
    [anon_sym__Alignas] = ACTIONS(2587),
    [sym_primitive_type] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_struct] = ACTIONS(2587),
    [anon_sym_union] = ACTIONS(2587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2587),
    [anon_sym_decltype] = ACTIONS(2587),
    [anon_sym_explicit] = ACTIONS(2587),
    [anon_sym_typename] = ACTIONS(2587),
    [anon_sym_template] = ACTIONS(2587),
    [anon_sym_operator] = ACTIONS(2587),
    [anon_sym_friend] = ACTIONS(2587),
    [anon_sym_public] = ACTIONS(2587),
    [anon_sym_private] = ACTIONS(2587),
    [anon_sym_protected] = ACTIONS(2587),
    [anon_sym_using] = ACTIONS(2587),
    [anon_sym_static_assert] = ACTIONS(2587),
    [anon_sym_precise] = ACTIONS(2587),
    [anon_sym_shared] = ACTIONS(2587),
    [anon_sym_groupshared] = ACTIONS(2587),
    [anon_sym_uniform] = ACTIONS(2587),
    [anon_sym_row_major] = ACTIONS(2587),
    [anon_sym_column_major] = ACTIONS(2587),
    [anon_sym_globallycoherent] = ACTIONS(2587),
    [anon_sym_centroid] = ACTIONS(2587),
    [anon_sym_noperspective] = ACTIONS(2587),
    [anon_sym_nointerpolation] = ACTIONS(2587),
    [anon_sym_sample] = ACTIONS(2587),
    [anon_sym_linear] = ACTIONS(2587),
    [anon_sym_snorm] = ACTIONS(2587),
    [anon_sym_unorm] = ACTIONS(2587),
    [anon_sym_point] = ACTIONS(2587),
    [anon_sym_line] = ACTIONS(2587),
    [anon_sym_triangleadj] = ACTIONS(2587),
    [anon_sym_lineadj] = ACTIONS(2587),
    [anon_sym_triangle] = ACTIONS(2587),
  },
  [1889] = {
    [sym_identifier] = ACTIONS(2603),
    [aux_sym_preproc_def_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token2] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2603),
    [aux_sym_preproc_else_token1] = ACTIONS(2603),
    [aux_sym_preproc_elif_token1] = ACTIONS(2603),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2603),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2603),
    [sym_preproc_directive] = ACTIONS(2603),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym___extension__] = ACTIONS(2603),
    [anon_sym_typedef] = ACTIONS(2603),
    [anon_sym_in] = ACTIONS(2603),
    [anon_sym_out] = ACTIONS(2603),
    [anon_sym_inout] = ACTIONS(2603),
    [anon_sym_virtual] = ACTIONS(2603),
    [anon_sym_extern] = ACTIONS(2603),
    [anon_sym___attribute__] = ACTIONS(2603),
    [anon_sym___attribute] = ACTIONS(2603),
    [anon_sym_COLON_COLON] = ACTIONS(2605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2605),
    [anon_sym___declspec] = ACTIONS(2603),
    [anon_sym___based] = ACTIONS(2603),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [anon_sym_static] = ACTIONS(2603),
    [anon_sym_register] = ACTIONS(2603),
    [anon_sym_inline] = ACTIONS(2603),
    [anon_sym___inline] = ACTIONS(2603),
    [anon_sym___inline__] = ACTIONS(2603),
    [anon_sym___forceinline] = ACTIONS(2603),
    [anon_sym_thread_local] = ACTIONS(2603),
    [anon_sym___thread] = ACTIONS(2603),
    [anon_sym_const] = ACTIONS(2603),
    [anon_sym_constexpr] = ACTIONS(2603),
    [anon_sym_volatile] = ACTIONS(2603),
    [anon_sym_restrict] = ACTIONS(2603),
    [anon_sym___restrict__] = ACTIONS(2603),
    [anon_sym__Atomic] = ACTIONS(2603),
    [anon_sym__Noreturn] = ACTIONS(2603),
    [anon_sym_noreturn] = ACTIONS(2603),
    [anon_sym__Nonnull] = ACTIONS(2603),
    [anon_sym_mutable] = ACTIONS(2603),
    [anon_sym_constinit] = ACTIONS(2603),
    [anon_sym_consteval] = ACTIONS(2603),
    [anon_sym_alignas] = ACTIONS(2603),
    [anon_sym__Alignas] = ACTIONS(2603),
    [sym_primitive_type] = ACTIONS(2603),
    [anon_sym_enum] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2603),
    [anon_sym_union] = ACTIONS(2603),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2603),
    [anon_sym_decltype] = ACTIONS(2603),
    [anon_sym_explicit] = ACTIONS(2603),
    [anon_sym_typename] = ACTIONS(2603),
    [anon_sym_template] = ACTIONS(2603),
    [anon_sym_operator] = ACTIONS(2603),
    [anon_sym_friend] = ACTIONS(2603),
    [anon_sym_public] = ACTIONS(2603),
    [anon_sym_private] = ACTIONS(2603),
    [anon_sym_protected] = ACTIONS(2603),
    [anon_sym_using] = ACTIONS(2603),
    [anon_sym_static_assert] = ACTIONS(2603),
    [anon_sym_precise] = ACTIONS(2603),
    [anon_sym_shared] = ACTIONS(2603),
    [anon_sym_groupshared] = ACTIONS(2603),
    [anon_sym_uniform] = ACTIONS(2603),
    [anon_sym_row_major] = ACTIONS(2603),
    [anon_sym_column_major] = ACTIONS(2603),
    [anon_sym_globallycoherent] = ACTIONS(2603),
    [anon_sym_centroid] = ACTIONS(2603),
    [anon_sym_noperspective] = ACTIONS(2603),
    [anon_sym_nointerpolation] = ACTIONS(2603),
    [anon_sym_sample] = ACTIONS(2603),
    [anon_sym_linear] = ACTIONS(2603),
    [anon_sym_snorm] = ACTIONS(2603),
    [anon_sym_unorm] = ACTIONS(2603),
    [anon_sym_point] = ACTIONS(2603),
    [anon_sym_line] = ACTIONS(2603),
    [anon_sym_triangleadj] = ACTIONS(2603),
    [anon_sym_lineadj] = ACTIONS(2603),
    [anon_sym_triangle] = ACTIONS(2603),
  },
  [1890] = {
    [sym_identifier] = ACTIONS(2607),
    [aux_sym_preproc_def_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token2] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2607),
    [aux_sym_preproc_else_token1] = ACTIONS(2607),
    [aux_sym_preproc_elif_token1] = ACTIONS(2607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2607),
    [sym_preproc_directive] = ACTIONS(2607),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2609),
    [anon_sym_AMP_AMP] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym___extension__] = ACTIONS(2607),
    [anon_sym_typedef] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2607),
    [anon_sym_out] = ACTIONS(2607),
    [anon_sym_inout] = ACTIONS(2607),
    [anon_sym_virtual] = ACTIONS(2607),
    [anon_sym_extern] = ACTIONS(2607),
    [anon_sym___attribute__] = ACTIONS(2607),
    [anon_sym___attribute] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(2609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2609),
    [anon_sym___declspec] = ACTIONS(2607),
    [anon_sym___based] = ACTIONS(2607),
    [anon_sym_signed] = ACTIONS(2607),
    [anon_sym_unsigned] = ACTIONS(2607),
    [anon_sym_long] = ACTIONS(2607),
    [anon_sym_short] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_register] = ACTIONS(2607),
    [anon_sym_inline] = ACTIONS(2607),
    [anon_sym___inline] = ACTIONS(2607),
    [anon_sym___inline__] = ACTIONS(2607),
    [anon_sym___forceinline] = ACTIONS(2607),
    [anon_sym_thread_local] = ACTIONS(2607),
    [anon_sym___thread] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2607),
    [anon_sym_constexpr] = ACTIONS(2607),
    [anon_sym_volatile] = ACTIONS(2607),
    [anon_sym_restrict] = ACTIONS(2607),
    [anon_sym___restrict__] = ACTIONS(2607),
    [anon_sym__Atomic] = ACTIONS(2607),
    [anon_sym__Noreturn] = ACTIONS(2607),
    [anon_sym_noreturn] = ACTIONS(2607),
    [anon_sym__Nonnull] = ACTIONS(2607),
    [anon_sym_mutable] = ACTIONS(2607),
    [anon_sym_constinit] = ACTIONS(2607),
    [anon_sym_consteval] = ACTIONS(2607),
    [anon_sym_alignas] = ACTIONS(2607),
    [anon_sym__Alignas] = ACTIONS(2607),
    [sym_primitive_type] = ACTIONS(2607),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2607),
    [anon_sym_struct] = ACTIONS(2607),
    [anon_sym_union] = ACTIONS(2607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2607),
    [anon_sym_decltype] = ACTIONS(2607),
    [anon_sym_explicit] = ACTIONS(2607),
    [anon_sym_typename] = ACTIONS(2607),
    [anon_sym_template] = ACTIONS(2607),
    [anon_sym_operator] = ACTIONS(2607),
    [anon_sym_friend] = ACTIONS(2607),
    [anon_sym_public] = ACTIONS(2607),
    [anon_sym_private] = ACTIONS(2607),
    [anon_sym_protected] = ACTIONS(2607),
    [anon_sym_using] = ACTIONS(2607),
    [anon_sym_static_assert] = ACTIONS(2607),
    [anon_sym_precise] = ACTIONS(2607),
    [anon_sym_shared] = ACTIONS(2607),
    [anon_sym_groupshared] = ACTIONS(2607),
    [anon_sym_uniform] = ACTIONS(2607),
    [anon_sym_row_major] = ACTIONS(2607),
    [anon_sym_column_major] = ACTIONS(2607),
    [anon_sym_globallycoherent] = ACTIONS(2607),
    [anon_sym_centroid] = ACTIONS(2607),
    [anon_sym_noperspective] = ACTIONS(2607),
    [anon_sym_nointerpolation] = ACTIONS(2607),
    [anon_sym_sample] = ACTIONS(2607),
    [anon_sym_linear] = ACTIONS(2607),
    [anon_sym_snorm] = ACTIONS(2607),
    [anon_sym_unorm] = ACTIONS(2607),
    [anon_sym_point] = ACTIONS(2607),
    [anon_sym_line] = ACTIONS(2607),
    [anon_sym_triangleadj] = ACTIONS(2607),
    [anon_sym_lineadj] = ACTIONS(2607),
    [anon_sym_triangle] = ACTIONS(2607),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [aux_sym_preproc_else_token1] = ACTIONS(2499),
    [aux_sym_preproc_elif_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_in] = ACTIONS(2499),
    [anon_sym_out] = ACTIONS(2499),
    [anon_sym_inout] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym___attribute] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_friend] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_precise] = ACTIONS(2499),
    [anon_sym_shared] = ACTIONS(2499),
    [anon_sym_groupshared] = ACTIONS(2499),
    [anon_sym_uniform] = ACTIONS(2499),
    [anon_sym_row_major] = ACTIONS(2499),
    [anon_sym_column_major] = ACTIONS(2499),
    [anon_sym_globallycoherent] = ACTIONS(2499),
    [anon_sym_centroid] = ACTIONS(2499),
    [anon_sym_noperspective] = ACTIONS(2499),
    [anon_sym_nointerpolation] = ACTIONS(2499),
    [anon_sym_sample] = ACTIONS(2499),
    [anon_sym_linear] = ACTIONS(2499),
    [anon_sym_snorm] = ACTIONS(2499),
    [anon_sym_unorm] = ACTIONS(2499),
    [anon_sym_point] = ACTIONS(2499),
    [anon_sym_line] = ACTIONS(2499),
    [anon_sym_triangleadj] = ACTIONS(2499),
    [anon_sym_lineadj] = ACTIONS(2499),
    [anon_sym_triangle] = ACTIONS(2499),
  },
  [1892] = {
    [sym_identifier] = ACTIONS(5432),
    [aux_sym_preproc_def_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token2] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5432),
    [aux_sym_preproc_else_token1] = ACTIONS(5432),
    [aux_sym_preproc_elif_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5432),
    [sym_preproc_directive] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_TILDE] = ACTIONS(5434),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5432),
    [anon_sym_typedef] = ACTIONS(5432),
    [anon_sym_in] = ACTIONS(5432),
    [anon_sym_out] = ACTIONS(5432),
    [anon_sym_inout] = ACTIONS(5432),
    [anon_sym_virtual] = ACTIONS(5432),
    [anon_sym_extern] = ACTIONS(5432),
    [anon_sym___attribute__] = ACTIONS(5432),
    [anon_sym___attribute] = ACTIONS(5432),
    [anon_sym_COLON_COLON] = ACTIONS(5434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5434),
    [anon_sym___declspec] = ACTIONS(5432),
    [anon_sym___based] = ACTIONS(5432),
    [anon_sym_signed] = ACTIONS(5432),
    [anon_sym_unsigned] = ACTIONS(5432),
    [anon_sym_long] = ACTIONS(5432),
    [anon_sym_short] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5432),
    [anon_sym_static] = ACTIONS(5432),
    [anon_sym_register] = ACTIONS(5432),
    [anon_sym_inline] = ACTIONS(5432),
    [anon_sym___inline] = ACTIONS(5432),
    [anon_sym___inline__] = ACTIONS(5432),
    [anon_sym___forceinline] = ACTIONS(5432),
    [anon_sym_thread_local] = ACTIONS(5432),
    [anon_sym___thread] = ACTIONS(5432),
    [anon_sym_const] = ACTIONS(5432),
    [anon_sym_constexpr] = ACTIONS(5432),
    [anon_sym_volatile] = ACTIONS(5432),
    [anon_sym_restrict] = ACTIONS(5432),
    [anon_sym___restrict__] = ACTIONS(5432),
    [anon_sym__Atomic] = ACTIONS(5432),
    [anon_sym__Noreturn] = ACTIONS(5432),
    [anon_sym_noreturn] = ACTIONS(5432),
    [anon_sym__Nonnull] = ACTIONS(5432),
    [anon_sym_mutable] = ACTIONS(5432),
    [anon_sym_constinit] = ACTIONS(5432),
    [anon_sym_consteval] = ACTIONS(5432),
    [anon_sym_alignas] = ACTIONS(5432),
    [anon_sym__Alignas] = ACTIONS(5432),
    [sym_primitive_type] = ACTIONS(5432),
    [anon_sym_enum] = ACTIONS(5432),
    [anon_sym_class] = ACTIONS(5432),
    [anon_sym_struct] = ACTIONS(5432),
    [anon_sym_union] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5432),
    [anon_sym_decltype] = ACTIONS(5432),
    [anon_sym_explicit] = ACTIONS(5432),
    [anon_sym_typename] = ACTIONS(5432),
    [anon_sym_template] = ACTIONS(5432),
    [anon_sym_operator] = ACTIONS(5432),
    [anon_sym_friend] = ACTIONS(5432),
    [anon_sym_public] = ACTIONS(5432),
    [anon_sym_private] = ACTIONS(5432),
    [anon_sym_protected] = ACTIONS(5432),
    [anon_sym_using] = ACTIONS(5432),
    [anon_sym_static_assert] = ACTIONS(5432),
    [anon_sym_precise] = ACTIONS(5432),
    [anon_sym_shared] = ACTIONS(5432),
    [anon_sym_groupshared] = ACTIONS(5432),
    [anon_sym_uniform] = ACTIONS(5432),
    [anon_sym_row_major] = ACTIONS(5432),
    [anon_sym_column_major] = ACTIONS(5432),
    [anon_sym_globallycoherent] = ACTIONS(5432),
    [anon_sym_centroid] = ACTIONS(5432),
    [anon_sym_noperspective] = ACTIONS(5432),
    [anon_sym_nointerpolation] = ACTIONS(5432),
    [anon_sym_sample] = ACTIONS(5432),
    [anon_sym_linear] = ACTIONS(5432),
    [anon_sym_snorm] = ACTIONS(5432),
    [anon_sym_unorm] = ACTIONS(5432),
    [anon_sym_point] = ACTIONS(5432),
    [anon_sym_line] = ACTIONS(5432),
    [anon_sym_triangleadj] = ACTIONS(5432),
    [anon_sym_lineadj] = ACTIONS(5432),
    [anon_sym_triangle] = ACTIONS(5432),
  },
  [1893] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_friend] = ACTIONS(2528),
    [anon_sym_public] = ACTIONS(2528),
    [anon_sym_private] = ACTIONS(2528),
    [anon_sym_protected] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_groupshared] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_row_major] = ACTIONS(2528),
    [anon_sym_column_major] = ACTIONS(2528),
    [anon_sym_globallycoherent] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym_nointerpolation] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_linear] = ACTIONS(2528),
    [anon_sym_snorm] = ACTIONS(2528),
    [anon_sym_unorm] = ACTIONS(2528),
    [anon_sym_point] = ACTIONS(2528),
    [anon_sym_line] = ACTIONS(2528),
    [anon_sym_triangleadj] = ACTIONS(2528),
    [anon_sym_lineadj] = ACTIONS(2528),
    [anon_sym_triangle] = ACTIONS(2528),
  },
  [1894] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_virtual] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_friend] = ACTIONS(2536),
    [anon_sym_public] = ACTIONS(2536),
    [anon_sym_private] = ACTIONS(2536),
    [anon_sym_protected] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_groupshared] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_row_major] = ACTIONS(2536),
    [anon_sym_column_major] = ACTIONS(2536),
    [anon_sym_globallycoherent] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym_nointerpolation] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_linear] = ACTIONS(2536),
    [anon_sym_snorm] = ACTIONS(2536),
    [anon_sym_unorm] = ACTIONS(2536),
    [anon_sym_point] = ACTIONS(2536),
    [anon_sym_line] = ACTIONS(2536),
    [anon_sym_triangleadj] = ACTIONS(2536),
    [anon_sym_lineadj] = ACTIONS(2536),
    [anon_sym_triangle] = ACTIONS(2536),
  },
  [1895] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [aux_sym_preproc_else_token1] = ACTIONS(2540),
    [aux_sym_preproc_elif_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_virtual] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_friend] = ACTIONS(2540),
    [anon_sym_public] = ACTIONS(2540),
    [anon_sym_private] = ACTIONS(2540),
    [anon_sym_protected] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_groupshared] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_row_major] = ACTIONS(2540),
    [anon_sym_column_major] = ACTIONS(2540),
    [anon_sym_globallycoherent] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym_nointerpolation] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_linear] = ACTIONS(2540),
    [anon_sym_snorm] = ACTIONS(2540),
    [anon_sym_unorm] = ACTIONS(2540),
    [anon_sym_point] = ACTIONS(2540),
    [anon_sym_line] = ACTIONS(2540),
    [anon_sym_triangleadj] = ACTIONS(2540),
    [anon_sym_lineadj] = ACTIONS(2540),
    [anon_sym_triangle] = ACTIONS(2540),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_virtual] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_friend] = ACTIONS(2544),
    [anon_sym_public] = ACTIONS(2544),
    [anon_sym_private] = ACTIONS(2544),
    [anon_sym_protected] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_groupshared] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_row_major] = ACTIONS(2544),
    [anon_sym_column_major] = ACTIONS(2544),
    [anon_sym_globallycoherent] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym_nointerpolation] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_linear] = ACTIONS(2544),
    [anon_sym_snorm] = ACTIONS(2544),
    [anon_sym_unorm] = ACTIONS(2544),
    [anon_sym_point] = ACTIONS(2544),
    [anon_sym_line] = ACTIONS(2544),
    [anon_sym_triangleadj] = ACTIONS(2544),
    [anon_sym_lineadj] = ACTIONS(2544),
    [anon_sym_triangle] = ACTIONS(2544),
  },
  [1897] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [aux_sym_preproc_else_token1] = ACTIONS(2552),
    [aux_sym_preproc_elif_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_friend] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_groupshared] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_row_major] = ACTIONS(2552),
    [anon_sym_column_major] = ACTIONS(2552),
    [anon_sym_globallycoherent] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym_nointerpolation] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_linear] = ACTIONS(2552),
    [anon_sym_snorm] = ACTIONS(2552),
    [anon_sym_unorm] = ACTIONS(2552),
    [anon_sym_point] = ACTIONS(2552),
    [anon_sym_line] = ACTIONS(2552),
    [anon_sym_triangleadj] = ACTIONS(2552),
    [anon_sym_lineadj] = ACTIONS(2552),
    [anon_sym_triangle] = ACTIONS(2552),
  },
  [1898] = {
    [sym_identifier] = ACTIONS(5436),
    [aux_sym_preproc_def_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token2] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5436),
    [aux_sym_preproc_else_token1] = ACTIONS(5436),
    [aux_sym_preproc_elif_token1] = ACTIONS(5436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5436),
    [sym_preproc_directive] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5438),
    [anon_sym_TILDE] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym___extension__] = ACTIONS(5436),
    [anon_sym_typedef] = ACTIONS(5436),
    [anon_sym_in] = ACTIONS(5436),
    [anon_sym_out] = ACTIONS(5436),
    [anon_sym_inout] = ACTIONS(5436),
    [anon_sym_virtual] = ACTIONS(5436),
    [anon_sym_extern] = ACTIONS(5436),
    [anon_sym___attribute__] = ACTIONS(5436),
    [anon_sym___attribute] = ACTIONS(5436),
    [anon_sym_COLON_COLON] = ACTIONS(5438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5438),
    [anon_sym___declspec] = ACTIONS(5436),
    [anon_sym___based] = ACTIONS(5436),
    [anon_sym_signed] = ACTIONS(5436),
    [anon_sym_unsigned] = ACTIONS(5436),
    [anon_sym_long] = ACTIONS(5436),
    [anon_sym_short] = ACTIONS(5436),
    [anon_sym_LBRACK] = ACTIONS(5436),
    [anon_sym_static] = ACTIONS(5436),
    [anon_sym_register] = ACTIONS(5436),
    [anon_sym_inline] = ACTIONS(5436),
    [anon_sym___inline] = ACTIONS(5436),
    [anon_sym___inline__] = ACTIONS(5436),
    [anon_sym___forceinline] = ACTIONS(5436),
    [anon_sym_thread_local] = ACTIONS(5436),
    [anon_sym___thread] = ACTIONS(5436),
    [anon_sym_const] = ACTIONS(5436),
    [anon_sym_constexpr] = ACTIONS(5436),
    [anon_sym_volatile] = ACTIONS(5436),
    [anon_sym_restrict] = ACTIONS(5436),
    [anon_sym___restrict__] = ACTIONS(5436),
    [anon_sym__Atomic] = ACTIONS(5436),
    [anon_sym__Noreturn] = ACTIONS(5436),
    [anon_sym_noreturn] = ACTIONS(5436),
    [anon_sym__Nonnull] = ACTIONS(5436),
    [anon_sym_mutable] = ACTIONS(5436),
    [anon_sym_constinit] = ACTIONS(5436),
    [anon_sym_consteval] = ACTIONS(5436),
    [anon_sym_alignas] = ACTIONS(5436),
    [anon_sym__Alignas] = ACTIONS(5436),
    [sym_primitive_type] = ACTIONS(5436),
    [anon_sym_enum] = ACTIONS(5436),
    [anon_sym_class] = ACTIONS(5436),
    [anon_sym_struct] = ACTIONS(5436),
    [anon_sym_union] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5436),
    [anon_sym_decltype] = ACTIONS(5436),
    [anon_sym_explicit] = ACTIONS(5436),
    [anon_sym_typename] = ACTIONS(5436),
    [anon_sym_template] = ACTIONS(5436),
    [anon_sym_operator] = ACTIONS(5436),
    [anon_sym_friend] = ACTIONS(5436),
    [anon_sym_public] = ACTIONS(5436),
    [anon_sym_private] = ACTIONS(5436),
    [anon_sym_protected] = ACTIONS(5436),
    [anon_sym_using] = ACTIONS(5436),
    [anon_sym_static_assert] = ACTIONS(5436),
    [anon_sym_precise] = ACTIONS(5436),
    [anon_sym_shared] = ACTIONS(5436),
    [anon_sym_groupshared] = ACTIONS(5436),
    [anon_sym_uniform] = ACTIONS(5436),
    [anon_sym_row_major] = ACTIONS(5436),
    [anon_sym_column_major] = ACTIONS(5436),
    [anon_sym_globallycoherent] = ACTIONS(5436),
    [anon_sym_centroid] = ACTIONS(5436),
    [anon_sym_noperspective] = ACTIONS(5436),
    [anon_sym_nointerpolation] = ACTIONS(5436),
    [anon_sym_sample] = ACTIONS(5436),
    [anon_sym_linear] = ACTIONS(5436),
    [anon_sym_snorm] = ACTIONS(5436),
    [anon_sym_unorm] = ACTIONS(5436),
    [anon_sym_point] = ACTIONS(5436),
    [anon_sym_line] = ACTIONS(5436),
    [anon_sym_triangleadj] = ACTIONS(5436),
    [anon_sym_lineadj] = ACTIONS(5436),
    [anon_sym_triangle] = ACTIONS(5436),
  },
  [1899] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_virtual] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_friend] = ACTIONS(2560),
    [anon_sym_public] = ACTIONS(2560),
    [anon_sym_private] = ACTIONS(2560),
    [anon_sym_protected] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_groupshared] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_row_major] = ACTIONS(2560),
    [anon_sym_column_major] = ACTIONS(2560),
    [anon_sym_globallycoherent] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym_nointerpolation] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_linear] = ACTIONS(2560),
    [anon_sym_snorm] = ACTIONS(2560),
    [anon_sym_unorm] = ACTIONS(2560),
    [anon_sym_point] = ACTIONS(2560),
    [anon_sym_line] = ACTIONS(2560),
    [anon_sym_triangleadj] = ACTIONS(2560),
    [anon_sym_lineadj] = ACTIONS(2560),
    [anon_sym_triangle] = ACTIONS(2560),
  },
  [1900] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_out] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_virtual] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_friend] = ACTIONS(2568),
    [anon_sym_public] = ACTIONS(2568),
    [anon_sym_private] = ACTIONS(2568),
    [anon_sym_protected] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_precise] = ACTIONS(2568),
    [anon_sym_shared] = ACTIONS(2568),
    [anon_sym_groupshared] = ACTIONS(2568),
    [anon_sym_uniform] = ACTIONS(2568),
    [anon_sym_row_major] = ACTIONS(2568),
    [anon_sym_column_major] = ACTIONS(2568),
    [anon_sym_globallycoherent] = ACTIONS(2568),
    [anon_sym_centroid] = ACTIONS(2568),
    [anon_sym_noperspective] = ACTIONS(2568),
    [anon_sym_nointerpolation] = ACTIONS(2568),
    [anon_sym_sample] = ACTIONS(2568),
    [anon_sym_linear] = ACTIONS(2568),
    [anon_sym_snorm] = ACTIONS(2568),
    [anon_sym_unorm] = ACTIONS(2568),
    [anon_sym_point] = ACTIONS(2568),
    [anon_sym_line] = ACTIONS(2568),
    [anon_sym_triangleadj] = ACTIONS(2568),
    [anon_sym_lineadj] = ACTIONS(2568),
    [anon_sym_triangle] = ACTIONS(2568),
  },
  [1901] = {
    [sym_identifier] = ACTIONS(2615),
    [aux_sym_preproc_def_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token2] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2615),
    [aux_sym_preproc_else_token1] = ACTIONS(2615),
    [aux_sym_preproc_elif_token1] = ACTIONS(2615),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2615),
    [sym_preproc_directive] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2615),
    [anon_sym_typedef] = ACTIONS(2615),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_out] = ACTIONS(2615),
    [anon_sym_inout] = ACTIONS(2615),
    [anon_sym_virtual] = ACTIONS(2615),
    [anon_sym_extern] = ACTIONS(2615),
    [anon_sym___attribute__] = ACTIONS(2615),
    [anon_sym___attribute] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2617),
    [anon_sym___declspec] = ACTIONS(2615),
    [anon_sym___based] = ACTIONS(2615),
    [anon_sym_signed] = ACTIONS(2615),
    [anon_sym_unsigned] = ACTIONS(2615),
    [anon_sym_long] = ACTIONS(2615),
    [anon_sym_short] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_register] = ACTIONS(2615),
    [anon_sym_inline] = ACTIONS(2615),
    [anon_sym___inline] = ACTIONS(2615),
    [anon_sym___inline__] = ACTIONS(2615),
    [anon_sym___forceinline] = ACTIONS(2615),
    [anon_sym_thread_local] = ACTIONS(2615),
    [anon_sym___thread] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_constexpr] = ACTIONS(2615),
    [anon_sym_volatile] = ACTIONS(2615),
    [anon_sym_restrict] = ACTIONS(2615),
    [anon_sym___restrict__] = ACTIONS(2615),
    [anon_sym__Atomic] = ACTIONS(2615),
    [anon_sym__Noreturn] = ACTIONS(2615),
    [anon_sym_noreturn] = ACTIONS(2615),
    [anon_sym__Nonnull] = ACTIONS(2615),
    [anon_sym_mutable] = ACTIONS(2615),
    [anon_sym_constinit] = ACTIONS(2615),
    [anon_sym_consteval] = ACTIONS(2615),
    [anon_sym_alignas] = ACTIONS(2615),
    [anon_sym__Alignas] = ACTIONS(2615),
    [sym_primitive_type] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_struct] = ACTIONS(2615),
    [anon_sym_union] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2615),
    [anon_sym_decltype] = ACTIONS(2615),
    [anon_sym_explicit] = ACTIONS(2615),
    [anon_sym_typename] = ACTIONS(2615),
    [anon_sym_template] = ACTIONS(2615),
    [anon_sym_operator] = ACTIONS(2615),
    [anon_sym_friend] = ACTIONS(2615),
    [anon_sym_public] = ACTIONS(2615),
    [anon_sym_private] = ACTIONS(2615),
    [anon_sym_protected] = ACTIONS(2615),
    [anon_sym_using] = ACTIONS(2615),
    [anon_sym_static_assert] = ACTIONS(2615),
    [anon_sym_precise] = ACTIONS(2615),
    [anon_sym_shared] = ACTIONS(2615),
    [anon_sym_groupshared] = ACTIONS(2615),
    [anon_sym_uniform] = ACTIONS(2615),
    [anon_sym_row_major] = ACTIONS(2615),
    [anon_sym_column_major] = ACTIONS(2615),
    [anon_sym_globallycoherent] = ACTIONS(2615),
    [anon_sym_centroid] = ACTIONS(2615),
    [anon_sym_noperspective] = ACTIONS(2615),
    [anon_sym_nointerpolation] = ACTIONS(2615),
    [anon_sym_sample] = ACTIONS(2615),
    [anon_sym_linear] = ACTIONS(2615),
    [anon_sym_snorm] = ACTIONS(2615),
    [anon_sym_unorm] = ACTIONS(2615),
    [anon_sym_point] = ACTIONS(2615),
    [anon_sym_line] = ACTIONS(2615),
    [anon_sym_triangleadj] = ACTIONS(2615),
    [anon_sym_lineadj] = ACTIONS(2615),
    [anon_sym_triangle] = ACTIONS(2615),
  },
  [1902] = {
    [sym_identifier] = ACTIONS(2458),
    [aux_sym_preproc_def_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token2] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2458),
    [aux_sym_preproc_else_token1] = ACTIONS(2458),
    [aux_sym_preproc_elif_token1] = ACTIONS(2458),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2458),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2458),
    [sym_preproc_directive] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym___extension__] = ACTIONS(2458),
    [anon_sym_typedef] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2458),
    [anon_sym_out] = ACTIONS(2458),
    [anon_sym_inout] = ACTIONS(2458),
    [anon_sym_virtual] = ACTIONS(2458),
    [anon_sym_extern] = ACTIONS(2458),
    [anon_sym___attribute__] = ACTIONS(2458),
    [anon_sym___attribute] = ACTIONS(2458),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2460),
    [anon_sym___declspec] = ACTIONS(2458),
    [anon_sym___based] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2458),
    [anon_sym_unsigned] = ACTIONS(2458),
    [anon_sym_long] = ACTIONS(2458),
    [anon_sym_short] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_register] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(2458),
    [anon_sym___inline] = ACTIONS(2458),
    [anon_sym___inline__] = ACTIONS(2458),
    [anon_sym___forceinline] = ACTIONS(2458),
    [anon_sym_thread_local] = ACTIONS(2458),
    [anon_sym___thread] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_constexpr] = ACTIONS(2458),
    [anon_sym_volatile] = ACTIONS(2458),
    [anon_sym_restrict] = ACTIONS(2458),
    [anon_sym___restrict__] = ACTIONS(2458),
    [anon_sym__Atomic] = ACTIONS(2458),
    [anon_sym__Noreturn] = ACTIONS(2458),
    [anon_sym_noreturn] = ACTIONS(2458),
    [anon_sym__Nonnull] = ACTIONS(2458),
    [anon_sym_mutable] = ACTIONS(2458),
    [anon_sym_constinit] = ACTIONS(2458),
    [anon_sym_consteval] = ACTIONS(2458),
    [anon_sym_alignas] = ACTIONS(2458),
    [anon_sym__Alignas] = ACTIONS(2458),
    [sym_primitive_type] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_struct] = ACTIONS(2458),
    [anon_sym_union] = ACTIONS(2458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2458),
    [anon_sym_decltype] = ACTIONS(2458),
    [anon_sym_explicit] = ACTIONS(2458),
    [anon_sym_typename] = ACTIONS(2458),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_operator] = ACTIONS(2458),
    [anon_sym_friend] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_static_assert] = ACTIONS(2458),
    [anon_sym_precise] = ACTIONS(2458),
    [anon_sym_shared] = ACTIONS(2458),
    [anon_sym_groupshared] = ACTIONS(2458),
    [anon_sym_uniform] = ACTIONS(2458),
    [anon_sym_row_major] = ACTIONS(2458),
    [anon_sym_column_major] = ACTIONS(2458),
    [anon_sym_globallycoherent] = ACTIONS(2458),
    [anon_sym_centroid] = ACTIONS(2458),
    [anon_sym_noperspective] = ACTIONS(2458),
    [anon_sym_nointerpolation] = ACTIONS(2458),
    [anon_sym_sample] = ACTIONS(2458),
    [anon_sym_linear] = ACTIONS(2458),
    [anon_sym_snorm] = ACTIONS(2458),
    [anon_sym_unorm] = ACTIONS(2458),
    [anon_sym_point] = ACTIONS(2458),
    [anon_sym_line] = ACTIONS(2458),
    [anon_sym_triangleadj] = ACTIONS(2458),
    [anon_sym_lineadj] = ACTIONS(2458),
    [anon_sym_triangle] = ACTIONS(2458),
  },
  [1903] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token2] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [aux_sym_preproc_else_token1] = ACTIONS(2414),
    [aux_sym_preproc_elif_token1] = ACTIONS(2414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_friend] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
  },
  [1904] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token2] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [aux_sym_preproc_else_token1] = ACTIONS(2414),
    [aux_sym_preproc_elif_token1] = ACTIONS(2414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_friend] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
  },
  [1905] = {
    [sym_identifier] = ACTIONS(2631),
    [aux_sym_preproc_def_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token2] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2631),
    [aux_sym_preproc_else_token1] = ACTIONS(2631),
    [aux_sym_preproc_elif_token1] = ACTIONS(2631),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2631),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2631),
    [sym_preproc_directive] = ACTIONS(2631),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2631),
    [anon_sym_typedef] = ACTIONS(2631),
    [anon_sym_in] = ACTIONS(2631),
    [anon_sym_out] = ACTIONS(2631),
    [anon_sym_inout] = ACTIONS(2631),
    [anon_sym_virtual] = ACTIONS(2631),
    [anon_sym_extern] = ACTIONS(2631),
    [anon_sym___attribute__] = ACTIONS(2631),
    [anon_sym___attribute] = ACTIONS(2631),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2633),
    [anon_sym___declspec] = ACTIONS(2631),
    [anon_sym___based] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2631),
    [anon_sym_unsigned] = ACTIONS(2631),
    [anon_sym_long] = ACTIONS(2631),
    [anon_sym_short] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_register] = ACTIONS(2631),
    [anon_sym_inline] = ACTIONS(2631),
    [anon_sym___inline] = ACTIONS(2631),
    [anon_sym___inline__] = ACTIONS(2631),
    [anon_sym___forceinline] = ACTIONS(2631),
    [anon_sym_thread_local] = ACTIONS(2631),
    [anon_sym___thread] = ACTIONS(2631),
    [anon_sym_const] = ACTIONS(2631),
    [anon_sym_constexpr] = ACTIONS(2631),
    [anon_sym_volatile] = ACTIONS(2631),
    [anon_sym_restrict] = ACTIONS(2631),
    [anon_sym___restrict__] = ACTIONS(2631),
    [anon_sym__Atomic] = ACTIONS(2631),
    [anon_sym__Noreturn] = ACTIONS(2631),
    [anon_sym_noreturn] = ACTIONS(2631),
    [anon_sym__Nonnull] = ACTIONS(2631),
    [anon_sym_mutable] = ACTIONS(2631),
    [anon_sym_constinit] = ACTIONS(2631),
    [anon_sym_consteval] = ACTIONS(2631),
    [anon_sym_alignas] = ACTIONS(2631),
    [anon_sym__Alignas] = ACTIONS(2631),
    [sym_primitive_type] = ACTIONS(2631),
    [anon_sym_enum] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2631),
    [anon_sym_struct] = ACTIONS(2631),
    [anon_sym_union] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2631),
    [anon_sym_decltype] = ACTIONS(2631),
    [anon_sym_explicit] = ACTIONS(2631),
    [anon_sym_typename] = ACTIONS(2631),
    [anon_sym_template] = ACTIONS(2631),
    [anon_sym_operator] = ACTIONS(2631),
    [anon_sym_friend] = ACTIONS(2631),
    [anon_sym_public] = ACTIONS(2631),
    [anon_sym_private] = ACTIONS(2631),
    [anon_sym_protected] = ACTIONS(2631),
    [anon_sym_using] = ACTIONS(2631),
    [anon_sym_static_assert] = ACTIONS(2631),
    [anon_sym_precise] = ACTIONS(2631),
    [anon_sym_shared] = ACTIONS(2631),
    [anon_sym_groupshared] = ACTIONS(2631),
    [anon_sym_uniform] = ACTIONS(2631),
    [anon_sym_row_major] = ACTIONS(2631),
    [anon_sym_column_major] = ACTIONS(2631),
    [anon_sym_globallycoherent] = ACTIONS(2631),
    [anon_sym_centroid] = ACTIONS(2631),
    [anon_sym_noperspective] = ACTIONS(2631),
    [anon_sym_nointerpolation] = ACTIONS(2631),
    [anon_sym_sample] = ACTIONS(2631),
    [anon_sym_linear] = ACTIONS(2631),
    [anon_sym_snorm] = ACTIONS(2631),
    [anon_sym_unorm] = ACTIONS(2631),
    [anon_sym_point] = ACTIONS(2631),
    [anon_sym_line] = ACTIONS(2631),
    [anon_sym_triangleadj] = ACTIONS(2631),
    [anon_sym_lineadj] = ACTIONS(2631),
    [anon_sym_triangle] = ACTIONS(2631),
  },
  [1906] = {
    [sym_identifier] = ACTIONS(2370),
    [aux_sym_preproc_def_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token2] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2370),
    [aux_sym_preproc_else_token1] = ACTIONS(2370),
    [aux_sym_preproc_elif_token1] = ACTIONS(2370),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2370),
    [sym_preproc_directive] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym___extension__] = ACTIONS(2370),
    [anon_sym_typedef] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_out] = ACTIONS(2370),
    [anon_sym_inout] = ACTIONS(2370),
    [anon_sym_virtual] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2370),
    [anon_sym___attribute__] = ACTIONS(2370),
    [anon_sym___attribute] = ACTIONS(2370),
    [anon_sym_COLON_COLON] = ACTIONS(2372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2372),
    [anon_sym___declspec] = ACTIONS(2370),
    [anon_sym___based] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2370),
    [anon_sym_unsigned] = ACTIONS(2370),
    [anon_sym_long] = ACTIONS(2370),
    [anon_sym_short] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_register] = ACTIONS(2370),
    [anon_sym_inline] = ACTIONS(2370),
    [anon_sym___inline] = ACTIONS(2370),
    [anon_sym___inline__] = ACTIONS(2370),
    [anon_sym___forceinline] = ACTIONS(2370),
    [anon_sym_thread_local] = ACTIONS(2370),
    [anon_sym___thread] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_constexpr] = ACTIONS(2370),
    [anon_sym_volatile] = ACTIONS(2370),
    [anon_sym_restrict] = ACTIONS(2370),
    [anon_sym___restrict__] = ACTIONS(2370),
    [anon_sym__Atomic] = ACTIONS(2370),
    [anon_sym__Noreturn] = ACTIONS(2370),
    [anon_sym_noreturn] = ACTIONS(2370),
    [anon_sym__Nonnull] = ACTIONS(2370),
    [anon_sym_mutable] = ACTIONS(2370),
    [anon_sym_constinit] = ACTIONS(2370),
    [anon_sym_consteval] = ACTIONS(2370),
    [anon_sym_alignas] = ACTIONS(2370),
    [anon_sym__Alignas] = ACTIONS(2370),
    [sym_primitive_type] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_struct] = ACTIONS(2370),
    [anon_sym_union] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2370),
    [anon_sym_decltype] = ACTIONS(2370),
    [anon_sym_explicit] = ACTIONS(2370),
    [anon_sym_typename] = ACTIONS(2370),
    [anon_sym_template] = ACTIONS(2370),
    [anon_sym_operator] = ACTIONS(2370),
    [anon_sym_friend] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_static_assert] = ACTIONS(2370),
    [anon_sym_precise] = ACTIONS(2370),
    [anon_sym_shared] = ACTIONS(2370),
    [anon_sym_groupshared] = ACTIONS(2370),
    [anon_sym_uniform] = ACTIONS(2370),
    [anon_sym_row_major] = ACTIONS(2370),
    [anon_sym_column_major] = ACTIONS(2370),
    [anon_sym_globallycoherent] = ACTIONS(2370),
    [anon_sym_centroid] = ACTIONS(2370),
    [anon_sym_noperspective] = ACTIONS(2370),
    [anon_sym_nointerpolation] = ACTIONS(2370),
    [anon_sym_sample] = ACTIONS(2370),
    [anon_sym_linear] = ACTIONS(2370),
    [anon_sym_snorm] = ACTIONS(2370),
    [anon_sym_unorm] = ACTIONS(2370),
    [anon_sym_point] = ACTIONS(2370),
    [anon_sym_line] = ACTIONS(2370),
    [anon_sym_triangleadj] = ACTIONS(2370),
    [anon_sym_lineadj] = ACTIONS(2370),
    [anon_sym_triangle] = ACTIONS(2370),
  },
  [1907] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym___attribute] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
  },
  [1908] = {
    [sym_identifier] = ACTIONS(2503),
    [aux_sym_preproc_def_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token2] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2503),
    [aux_sym_preproc_else_token1] = ACTIONS(2503),
    [aux_sym_preproc_elif_token1] = ACTIONS(2503),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2503),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2503),
    [sym_preproc_directive] = ACTIONS(2503),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_SEMI] = ACTIONS(2505),
    [anon_sym___extension__] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2503),
    [anon_sym_in] = ACTIONS(2503),
    [anon_sym_out] = ACTIONS(2503),
    [anon_sym_inout] = ACTIONS(2503),
    [anon_sym_virtual] = ACTIONS(2503),
    [anon_sym_extern] = ACTIONS(2503),
    [anon_sym___attribute__] = ACTIONS(2503),
    [anon_sym___attribute] = ACTIONS(2503),
    [anon_sym_COLON_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2505),
    [anon_sym___declspec] = ACTIONS(2503),
    [anon_sym___based] = ACTIONS(2503),
    [anon_sym_signed] = ACTIONS(2503),
    [anon_sym_unsigned] = ACTIONS(2503),
    [anon_sym_long] = ACTIONS(2503),
    [anon_sym_short] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2503),
    [anon_sym_register] = ACTIONS(2503),
    [anon_sym_inline] = ACTIONS(2503),
    [anon_sym___inline] = ACTIONS(2503),
    [anon_sym___inline__] = ACTIONS(2503),
    [anon_sym___forceinline] = ACTIONS(2503),
    [anon_sym_thread_local] = ACTIONS(2503),
    [anon_sym___thread] = ACTIONS(2503),
    [anon_sym_const] = ACTIONS(2503),
    [anon_sym_constexpr] = ACTIONS(2503),
    [anon_sym_volatile] = ACTIONS(2503),
    [anon_sym_restrict] = ACTIONS(2503),
    [anon_sym___restrict__] = ACTIONS(2503),
    [anon_sym__Atomic] = ACTIONS(2503),
    [anon_sym__Noreturn] = ACTIONS(2503),
    [anon_sym_noreturn] = ACTIONS(2503),
    [anon_sym__Nonnull] = ACTIONS(2503),
    [anon_sym_mutable] = ACTIONS(2503),
    [anon_sym_constinit] = ACTIONS(2503),
    [anon_sym_consteval] = ACTIONS(2503),
    [anon_sym_alignas] = ACTIONS(2503),
    [anon_sym__Alignas] = ACTIONS(2503),
    [sym_primitive_type] = ACTIONS(2503),
    [anon_sym_enum] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2503),
    [anon_sym_struct] = ACTIONS(2503),
    [anon_sym_union] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2503),
    [anon_sym_decltype] = ACTIONS(2503),
    [anon_sym_explicit] = ACTIONS(2503),
    [anon_sym_typename] = ACTIONS(2503),
    [anon_sym_template] = ACTIONS(2503),
    [anon_sym_operator] = ACTIONS(2503),
    [anon_sym_friend] = ACTIONS(2503),
    [anon_sym_public] = ACTIONS(2503),
    [anon_sym_private] = ACTIONS(2503),
    [anon_sym_protected] = ACTIONS(2503),
    [anon_sym_using] = ACTIONS(2503),
    [anon_sym_static_assert] = ACTIONS(2503),
    [anon_sym_precise] = ACTIONS(2503),
    [anon_sym_shared] = ACTIONS(2503),
    [anon_sym_groupshared] = ACTIONS(2503),
    [anon_sym_uniform] = ACTIONS(2503),
    [anon_sym_row_major] = ACTIONS(2503),
    [anon_sym_column_major] = ACTIONS(2503),
    [anon_sym_globallycoherent] = ACTIONS(2503),
    [anon_sym_centroid] = ACTIONS(2503),
    [anon_sym_noperspective] = ACTIONS(2503),
    [anon_sym_nointerpolation] = ACTIONS(2503),
    [anon_sym_sample] = ACTIONS(2503),
    [anon_sym_linear] = ACTIONS(2503),
    [anon_sym_snorm] = ACTIONS(2503),
    [anon_sym_unorm] = ACTIONS(2503),
    [anon_sym_point] = ACTIONS(2503),
    [anon_sym_line] = ACTIONS(2503),
    [anon_sym_triangleadj] = ACTIONS(2503),
    [anon_sym_lineadj] = ACTIONS(2503),
    [anon_sym_triangle] = ACTIONS(2503),
  },
  [1909] = {
    [sym_identifier] = ACTIONS(2507),
    [aux_sym_preproc_def_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token2] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2507),
    [aux_sym_preproc_else_token1] = ACTIONS(2507),
    [aux_sym_preproc_elif_token1] = ACTIONS(2507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2507),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2507),
    [sym_preproc_directive] = ACTIONS(2507),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_AMP_AMP] = ACTIONS(2509),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_SEMI] = ACTIONS(2509),
    [anon_sym___extension__] = ACTIONS(2507),
    [anon_sym_typedef] = ACTIONS(2507),
    [anon_sym_in] = ACTIONS(2507),
    [anon_sym_out] = ACTIONS(2507),
    [anon_sym_inout] = ACTIONS(2507),
    [anon_sym_virtual] = ACTIONS(2507),
    [anon_sym_extern] = ACTIONS(2507),
    [anon_sym___attribute__] = ACTIONS(2507),
    [anon_sym___attribute] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2509),
    [anon_sym___declspec] = ACTIONS(2507),
    [anon_sym___based] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2507),
    [anon_sym_unsigned] = ACTIONS(2507),
    [anon_sym_long] = ACTIONS(2507),
    [anon_sym_short] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2507),
    [anon_sym_register] = ACTIONS(2507),
    [anon_sym_inline] = ACTIONS(2507),
    [anon_sym___inline] = ACTIONS(2507),
    [anon_sym___inline__] = ACTIONS(2507),
    [anon_sym___forceinline] = ACTIONS(2507),
    [anon_sym_thread_local] = ACTIONS(2507),
    [anon_sym___thread] = ACTIONS(2507),
    [anon_sym_const] = ACTIONS(2507),
    [anon_sym_constexpr] = ACTIONS(2507),
    [anon_sym_volatile] = ACTIONS(2507),
    [anon_sym_restrict] = ACTIONS(2507),
    [anon_sym___restrict__] = ACTIONS(2507),
    [anon_sym__Atomic] = ACTIONS(2507),
    [anon_sym__Noreturn] = ACTIONS(2507),
    [anon_sym_noreturn] = ACTIONS(2507),
    [anon_sym__Nonnull] = ACTIONS(2507),
    [anon_sym_mutable] = ACTIONS(2507),
    [anon_sym_constinit] = ACTIONS(2507),
    [anon_sym_consteval] = ACTIONS(2507),
    [anon_sym_alignas] = ACTIONS(2507),
    [anon_sym__Alignas] = ACTIONS(2507),
    [sym_primitive_type] = ACTIONS(2507),
    [anon_sym_enum] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2507),
    [anon_sym_struct] = ACTIONS(2507),
    [anon_sym_union] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2507),
    [anon_sym_decltype] = ACTIONS(2507),
    [anon_sym_explicit] = ACTIONS(2507),
    [anon_sym_typename] = ACTIONS(2507),
    [anon_sym_template] = ACTIONS(2507),
    [anon_sym_operator] = ACTIONS(2507),
    [anon_sym_friend] = ACTIONS(2507),
    [anon_sym_public] = ACTIONS(2507),
    [anon_sym_private] = ACTIONS(2507),
    [anon_sym_protected] = ACTIONS(2507),
    [anon_sym_using] = ACTIONS(2507),
    [anon_sym_static_assert] = ACTIONS(2507),
    [anon_sym_precise] = ACTIONS(2507),
    [anon_sym_shared] = ACTIONS(2507),
    [anon_sym_groupshared] = ACTIONS(2507),
    [anon_sym_uniform] = ACTIONS(2507),
    [anon_sym_row_major] = ACTIONS(2507),
    [anon_sym_column_major] = ACTIONS(2507),
    [anon_sym_globallycoherent] = ACTIONS(2507),
    [anon_sym_centroid] = ACTIONS(2507),
    [anon_sym_noperspective] = ACTIONS(2507),
    [anon_sym_nointerpolation] = ACTIONS(2507),
    [anon_sym_sample] = ACTIONS(2507),
    [anon_sym_linear] = ACTIONS(2507),
    [anon_sym_snorm] = ACTIONS(2507),
    [anon_sym_unorm] = ACTIONS(2507),
    [anon_sym_point] = ACTIONS(2507),
    [anon_sym_line] = ACTIONS(2507),
    [anon_sym_triangleadj] = ACTIONS(2507),
    [anon_sym_lineadj] = ACTIONS(2507),
    [anon_sym_triangle] = ACTIONS(2507),
  },
  [1910] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [aux_sym_preproc_else_token1] = ACTIONS(2514),
    [aux_sym_preproc_elif_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym___attribute] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_friend] = ACTIONS(2514),
    [anon_sym_public] = ACTIONS(2514),
    [anon_sym_private] = ACTIONS(2514),
    [anon_sym_protected] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
  },
  [1911] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_friend] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
  },
  [1912] = {
    [sym_identifier] = ACTIONS(2410),
    [aux_sym_preproc_def_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token2] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2410),
    [aux_sym_preproc_else_token1] = ACTIONS(2410),
    [aux_sym_preproc_elif_token1] = ACTIONS(2410),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2410),
    [sym_preproc_directive] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_TILDE] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(2410),
    [anon_sym_typedef] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_out] = ACTIONS(2410),
    [anon_sym_inout] = ACTIONS(2410),
    [anon_sym_virtual] = ACTIONS(2410),
    [anon_sym_extern] = ACTIONS(2410),
    [anon_sym___attribute__] = ACTIONS(2410),
    [anon_sym___attribute] = ACTIONS(2410),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2412),
    [anon_sym___declspec] = ACTIONS(2410),
    [anon_sym___based] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2410),
    [anon_sym_unsigned] = ACTIONS(2410),
    [anon_sym_long] = ACTIONS(2410),
    [anon_sym_short] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_register] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym___inline] = ACTIONS(2410),
    [anon_sym___inline__] = ACTIONS(2410),
    [anon_sym___forceinline] = ACTIONS(2410),
    [anon_sym_thread_local] = ACTIONS(2410),
    [anon_sym___thread] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_constexpr] = ACTIONS(2410),
    [anon_sym_volatile] = ACTIONS(2410),
    [anon_sym_restrict] = ACTIONS(2410),
    [anon_sym___restrict__] = ACTIONS(2410),
    [anon_sym__Atomic] = ACTIONS(2410),
    [anon_sym__Noreturn] = ACTIONS(2410),
    [anon_sym_noreturn] = ACTIONS(2410),
    [anon_sym__Nonnull] = ACTIONS(2410),
    [anon_sym_mutable] = ACTIONS(2410),
    [anon_sym_constinit] = ACTIONS(2410),
    [anon_sym_consteval] = ACTIONS(2410),
    [anon_sym_alignas] = ACTIONS(2410),
    [anon_sym__Alignas] = ACTIONS(2410),
    [sym_primitive_type] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_struct] = ACTIONS(2410),
    [anon_sym_union] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2410),
    [anon_sym_decltype] = ACTIONS(2410),
    [anon_sym_explicit] = ACTIONS(2410),
    [anon_sym_typename] = ACTIONS(2410),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2410),
    [anon_sym_friend] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_static_assert] = ACTIONS(2410),
    [anon_sym_precise] = ACTIONS(2410),
    [anon_sym_shared] = ACTIONS(2410),
    [anon_sym_groupshared] = ACTIONS(2410),
    [anon_sym_uniform] = ACTIONS(2410),
    [anon_sym_row_major] = ACTIONS(2410),
    [anon_sym_column_major] = ACTIONS(2410),
    [anon_sym_globallycoherent] = ACTIONS(2410),
    [anon_sym_centroid] = ACTIONS(2410),
    [anon_sym_noperspective] = ACTIONS(2410),
    [anon_sym_nointerpolation] = ACTIONS(2410),
    [anon_sym_sample] = ACTIONS(2410),
    [anon_sym_linear] = ACTIONS(2410),
    [anon_sym_snorm] = ACTIONS(2410),
    [anon_sym_unorm] = ACTIONS(2410),
    [anon_sym_point] = ACTIONS(2410),
    [anon_sym_line] = ACTIONS(2410),
    [anon_sym_triangleadj] = ACTIONS(2410),
    [anon_sym_lineadj] = ACTIONS(2410),
    [anon_sym_triangle] = ACTIONS(2410),
  },
  [1913] = {
    [sym_identifier] = ACTIONS(2422),
    [aux_sym_preproc_def_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token2] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2422),
    [aux_sym_preproc_else_token1] = ACTIONS(2422),
    [aux_sym_preproc_elif_token1] = ACTIONS(2422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2422),
    [sym_preproc_directive] = ACTIONS(2422),
    [anon_sym_LPAREN2] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym___extension__] = ACTIONS(2422),
    [anon_sym_typedef] = ACTIONS(2422),
    [anon_sym_in] = ACTIONS(2422),
    [anon_sym_out] = ACTIONS(2422),
    [anon_sym_inout] = ACTIONS(2422),
    [anon_sym_virtual] = ACTIONS(2422),
    [anon_sym_extern] = ACTIONS(2422),
    [anon_sym___attribute__] = ACTIONS(2422),
    [anon_sym___attribute] = ACTIONS(2422),
    [anon_sym_COLON_COLON] = ACTIONS(2424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2424),
    [anon_sym___declspec] = ACTIONS(2422),
    [anon_sym___based] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2422),
    [anon_sym_unsigned] = ACTIONS(2422),
    [anon_sym_long] = ACTIONS(2422),
    [anon_sym_short] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_static] = ACTIONS(2422),
    [anon_sym_register] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(2422),
    [anon_sym___inline] = ACTIONS(2422),
    [anon_sym___inline__] = ACTIONS(2422),
    [anon_sym___forceinline] = ACTIONS(2422),
    [anon_sym_thread_local] = ACTIONS(2422),
    [anon_sym___thread] = ACTIONS(2422),
    [anon_sym_const] = ACTIONS(2422),
    [anon_sym_constexpr] = ACTIONS(2422),
    [anon_sym_volatile] = ACTIONS(2422),
    [anon_sym_restrict] = ACTIONS(2422),
    [anon_sym___restrict__] = ACTIONS(2422),
    [anon_sym__Atomic] = ACTIONS(2422),
    [anon_sym__Noreturn] = ACTIONS(2422),
    [anon_sym_noreturn] = ACTIONS(2422),
    [anon_sym__Nonnull] = ACTIONS(2422),
    [anon_sym_mutable] = ACTIONS(2422),
    [anon_sym_constinit] = ACTIONS(2422),
    [anon_sym_consteval] = ACTIONS(2422),
    [anon_sym_alignas] = ACTIONS(2422),
    [anon_sym__Alignas] = ACTIONS(2422),
    [sym_primitive_type] = ACTIONS(2422),
    [anon_sym_enum] = ACTIONS(2422),
    [anon_sym_class] = ACTIONS(2422),
    [anon_sym_struct] = ACTIONS(2422),
    [anon_sym_union] = ACTIONS(2422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2422),
    [anon_sym_decltype] = ACTIONS(2422),
    [anon_sym_explicit] = ACTIONS(2422),
    [anon_sym_typename] = ACTIONS(2422),
    [anon_sym_template] = ACTIONS(2422),
    [anon_sym_operator] = ACTIONS(2422),
    [anon_sym_friend] = ACTIONS(2422),
    [anon_sym_public] = ACTIONS(2422),
    [anon_sym_private] = ACTIONS(2422),
    [anon_sym_protected] = ACTIONS(2422),
    [anon_sym_using] = ACTIONS(2422),
    [anon_sym_static_assert] = ACTIONS(2422),
    [anon_sym_precise] = ACTIONS(2422),
    [anon_sym_shared] = ACTIONS(2422),
    [anon_sym_groupshared] = ACTIONS(2422),
    [anon_sym_uniform] = ACTIONS(2422),
    [anon_sym_row_major] = ACTIONS(2422),
    [anon_sym_column_major] = ACTIONS(2422),
    [anon_sym_globallycoherent] = ACTIONS(2422),
    [anon_sym_centroid] = ACTIONS(2422),
    [anon_sym_noperspective] = ACTIONS(2422),
    [anon_sym_nointerpolation] = ACTIONS(2422),
    [anon_sym_sample] = ACTIONS(2422),
    [anon_sym_linear] = ACTIONS(2422),
    [anon_sym_snorm] = ACTIONS(2422),
    [anon_sym_unorm] = ACTIONS(2422),
    [anon_sym_point] = ACTIONS(2422),
    [anon_sym_line] = ACTIONS(2422),
    [anon_sym_triangleadj] = ACTIONS(2422),
    [anon_sym_lineadj] = ACTIONS(2422),
    [anon_sym_triangle] = ACTIONS(2422),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token2] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [aux_sym_preproc_else_token1] = ACTIONS(2426),
    [aux_sym_preproc_elif_token1] = ACTIONS(2426),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_friend] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token2] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [aux_sym_preproc_else_token1] = ACTIONS(2426),
    [aux_sym_preproc_elif_token1] = ACTIONS(2426),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_friend] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
  },
  [1916] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [aux_sym_preproc_else_token1] = ACTIONS(2438),
    [aux_sym_preproc_elif_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [1917] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [aux_sym_preproc_else_token1] = ACTIONS(2438),
    [aux_sym_preproc_elif_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(2442),
    [aux_sym_preproc_def_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token2] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2442),
    [aux_sym_preproc_else_token1] = ACTIONS(2442),
    [aux_sym_preproc_elif_token1] = ACTIONS(2442),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2442),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2442),
    [sym_preproc_directive] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2444),
    [anon_sym___extension__] = ACTIONS(2442),
    [anon_sym_typedef] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_out] = ACTIONS(2442),
    [anon_sym_inout] = ACTIONS(2442),
    [anon_sym_virtual] = ACTIONS(2442),
    [anon_sym_extern] = ACTIONS(2442),
    [anon_sym___attribute__] = ACTIONS(2442),
    [anon_sym___attribute] = ACTIONS(2442),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2444),
    [anon_sym___declspec] = ACTIONS(2442),
    [anon_sym___based] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2442),
    [anon_sym_unsigned] = ACTIONS(2442),
    [anon_sym_long] = ACTIONS(2442),
    [anon_sym_short] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_register] = ACTIONS(2442),
    [anon_sym_inline] = ACTIONS(2442),
    [anon_sym___inline] = ACTIONS(2442),
    [anon_sym___inline__] = ACTIONS(2442),
    [anon_sym___forceinline] = ACTIONS(2442),
    [anon_sym_thread_local] = ACTIONS(2442),
    [anon_sym___thread] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_constexpr] = ACTIONS(2442),
    [anon_sym_volatile] = ACTIONS(2442),
    [anon_sym_restrict] = ACTIONS(2442),
    [anon_sym___restrict__] = ACTIONS(2442),
    [anon_sym__Atomic] = ACTIONS(2442),
    [anon_sym__Noreturn] = ACTIONS(2442),
    [anon_sym_noreturn] = ACTIONS(2442),
    [anon_sym__Nonnull] = ACTIONS(2442),
    [anon_sym_mutable] = ACTIONS(2442),
    [anon_sym_constinit] = ACTIONS(2442),
    [anon_sym_consteval] = ACTIONS(2442),
    [anon_sym_alignas] = ACTIONS(2442),
    [anon_sym__Alignas] = ACTIONS(2442),
    [sym_primitive_type] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_struct] = ACTIONS(2442),
    [anon_sym_union] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2442),
    [anon_sym_decltype] = ACTIONS(2442),
    [anon_sym_explicit] = ACTIONS(2442),
    [anon_sym_typename] = ACTIONS(2442),
    [anon_sym_template] = ACTIONS(2442),
    [anon_sym_operator] = ACTIONS(2442),
    [anon_sym_friend] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_static_assert] = ACTIONS(2442),
    [anon_sym_precise] = ACTIONS(2442),
    [anon_sym_shared] = ACTIONS(2442),
    [anon_sym_groupshared] = ACTIONS(2442),
    [anon_sym_uniform] = ACTIONS(2442),
    [anon_sym_row_major] = ACTIONS(2442),
    [anon_sym_column_major] = ACTIONS(2442),
    [anon_sym_globallycoherent] = ACTIONS(2442),
    [anon_sym_centroid] = ACTIONS(2442),
    [anon_sym_noperspective] = ACTIONS(2442),
    [anon_sym_nointerpolation] = ACTIONS(2442),
    [anon_sym_sample] = ACTIONS(2442),
    [anon_sym_linear] = ACTIONS(2442),
    [anon_sym_snorm] = ACTIONS(2442),
    [anon_sym_unorm] = ACTIONS(2442),
    [anon_sym_point] = ACTIONS(2442),
    [anon_sym_line] = ACTIONS(2442),
    [anon_sym_triangleadj] = ACTIONS(2442),
    [anon_sym_lineadj] = ACTIONS(2442),
    [anon_sym_triangle] = ACTIONS(2442),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(2446),
    [aux_sym_preproc_def_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token2] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2446),
    [aux_sym_preproc_else_token1] = ACTIONS(2446),
    [aux_sym_preproc_elif_token1] = ACTIONS(2446),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2446),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2446),
    [sym_preproc_directive] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_typedef] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(2446),
    [anon_sym_out] = ACTIONS(2446),
    [anon_sym_inout] = ACTIONS(2446),
    [anon_sym_virtual] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym___attribute] = ACTIONS(2446),
    [anon_sym_COLON_COLON] = ACTIONS(2448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2448),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2446),
    [anon_sym_unsigned] = ACTIONS(2446),
    [anon_sym_long] = ACTIONS(2446),
    [anon_sym_short] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym__Nonnull] = ACTIONS(2446),
    [anon_sym_mutable] = ACTIONS(2446),
    [anon_sym_constinit] = ACTIONS(2446),
    [anon_sym_consteval] = ACTIONS(2446),
    [anon_sym_alignas] = ACTIONS(2446),
    [anon_sym__Alignas] = ACTIONS(2446),
    [sym_primitive_type] = ACTIONS(2446),
    [anon_sym_enum] = ACTIONS(2446),
    [anon_sym_class] = ACTIONS(2446),
    [anon_sym_struct] = ACTIONS(2446),
    [anon_sym_union] = ACTIONS(2446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2446),
    [anon_sym_decltype] = ACTIONS(2446),
    [anon_sym_explicit] = ACTIONS(2446),
    [anon_sym_typename] = ACTIONS(2446),
    [anon_sym_template] = ACTIONS(2446),
    [anon_sym_operator] = ACTIONS(2446),
    [anon_sym_friend] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_using] = ACTIONS(2446),
    [anon_sym_static_assert] = ACTIONS(2446),
    [anon_sym_precise] = ACTIONS(2446),
    [anon_sym_shared] = ACTIONS(2446),
    [anon_sym_groupshared] = ACTIONS(2446),
    [anon_sym_uniform] = ACTIONS(2446),
    [anon_sym_row_major] = ACTIONS(2446),
    [anon_sym_column_major] = ACTIONS(2446),
    [anon_sym_globallycoherent] = ACTIONS(2446),
    [anon_sym_centroid] = ACTIONS(2446),
    [anon_sym_noperspective] = ACTIONS(2446),
    [anon_sym_nointerpolation] = ACTIONS(2446),
    [anon_sym_sample] = ACTIONS(2446),
    [anon_sym_linear] = ACTIONS(2446),
    [anon_sym_snorm] = ACTIONS(2446),
    [anon_sym_unorm] = ACTIONS(2446),
    [anon_sym_point] = ACTIONS(2446),
    [anon_sym_line] = ACTIONS(2446),
    [anon_sym_triangleadj] = ACTIONS(2446),
    [anon_sym_lineadj] = ACTIONS(2446),
    [anon_sym_triangle] = ACTIONS(2446),
  },
  [1920] = {
    [sym_identifier] = ACTIONS(2450),
    [aux_sym_preproc_def_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token2] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2450),
    [aux_sym_preproc_else_token1] = ACTIONS(2450),
    [aux_sym_preproc_elif_token1] = ACTIONS(2450),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2450),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2450),
    [sym_preproc_directive] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym___extension__] = ACTIONS(2450),
    [anon_sym_typedef] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2450),
    [anon_sym_out] = ACTIONS(2450),
    [anon_sym_inout] = ACTIONS(2450),
    [anon_sym_virtual] = ACTIONS(2450),
    [anon_sym_extern] = ACTIONS(2450),
    [anon_sym___attribute__] = ACTIONS(2450),
    [anon_sym___attribute] = ACTIONS(2450),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2452),
    [anon_sym___declspec] = ACTIONS(2450),
    [anon_sym___based] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2450),
    [anon_sym_unsigned] = ACTIONS(2450),
    [anon_sym_long] = ACTIONS(2450),
    [anon_sym_short] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_register] = ACTIONS(2450),
    [anon_sym_inline] = ACTIONS(2450),
    [anon_sym___inline] = ACTIONS(2450),
    [anon_sym___inline__] = ACTIONS(2450),
    [anon_sym___forceinline] = ACTIONS(2450),
    [anon_sym_thread_local] = ACTIONS(2450),
    [anon_sym___thread] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_constexpr] = ACTIONS(2450),
    [anon_sym_volatile] = ACTIONS(2450),
    [anon_sym_restrict] = ACTIONS(2450),
    [anon_sym___restrict__] = ACTIONS(2450),
    [anon_sym__Atomic] = ACTIONS(2450),
    [anon_sym__Noreturn] = ACTIONS(2450),
    [anon_sym_noreturn] = ACTIONS(2450),
    [anon_sym__Nonnull] = ACTIONS(2450),
    [anon_sym_mutable] = ACTIONS(2450),
    [anon_sym_constinit] = ACTIONS(2450),
    [anon_sym_consteval] = ACTIONS(2450),
    [anon_sym_alignas] = ACTIONS(2450),
    [anon_sym__Alignas] = ACTIONS(2450),
    [sym_primitive_type] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_struct] = ACTIONS(2450),
    [anon_sym_union] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2450),
    [anon_sym_decltype] = ACTIONS(2450),
    [anon_sym_explicit] = ACTIONS(2450),
    [anon_sym_typename] = ACTIONS(2450),
    [anon_sym_template] = ACTIONS(2450),
    [anon_sym_operator] = ACTIONS(2450),
    [anon_sym_friend] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_static_assert] = ACTIONS(2450),
    [anon_sym_precise] = ACTIONS(2450),
    [anon_sym_shared] = ACTIONS(2450),
    [anon_sym_groupshared] = ACTIONS(2450),
    [anon_sym_uniform] = ACTIONS(2450),
    [anon_sym_row_major] = ACTIONS(2450),
    [anon_sym_column_major] = ACTIONS(2450),
    [anon_sym_globallycoherent] = ACTIONS(2450),
    [anon_sym_centroid] = ACTIONS(2450),
    [anon_sym_noperspective] = ACTIONS(2450),
    [anon_sym_nointerpolation] = ACTIONS(2450),
    [anon_sym_sample] = ACTIONS(2450),
    [anon_sym_linear] = ACTIONS(2450),
    [anon_sym_snorm] = ACTIONS(2450),
    [anon_sym_unorm] = ACTIONS(2450),
    [anon_sym_point] = ACTIONS(2450),
    [anon_sym_line] = ACTIONS(2450),
    [anon_sym_triangleadj] = ACTIONS(2450),
    [anon_sym_lineadj] = ACTIONS(2450),
    [anon_sym_triangle] = ACTIONS(2450),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(2454),
    [aux_sym_preproc_def_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token2] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2454),
    [aux_sym_preproc_else_token1] = ACTIONS(2454),
    [aux_sym_preproc_elif_token1] = ACTIONS(2454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2454),
    [sym_preproc_directive] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_typedef] = ACTIONS(2454),
    [anon_sym_in] = ACTIONS(2454),
    [anon_sym_out] = ACTIONS(2454),
    [anon_sym_inout] = ACTIONS(2454),
    [anon_sym_virtual] = ACTIONS(2454),
    [anon_sym_extern] = ACTIONS(2454),
    [anon_sym___attribute__] = ACTIONS(2454),
    [anon_sym___attribute] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2456),
    [anon_sym___declspec] = ACTIONS(2454),
    [anon_sym___based] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2454),
    [anon_sym_unsigned] = ACTIONS(2454),
    [anon_sym_long] = ACTIONS(2454),
    [anon_sym_short] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_register] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(2454),
    [anon_sym___inline] = ACTIONS(2454),
    [anon_sym___inline__] = ACTIONS(2454),
    [anon_sym___forceinline] = ACTIONS(2454),
    [anon_sym_thread_local] = ACTIONS(2454),
    [anon_sym___thread] = ACTIONS(2454),
    [anon_sym_const] = ACTIONS(2454),
    [anon_sym_constexpr] = ACTIONS(2454),
    [anon_sym_volatile] = ACTIONS(2454),
    [anon_sym_restrict] = ACTIONS(2454),
    [anon_sym___restrict__] = ACTIONS(2454),
    [anon_sym__Atomic] = ACTIONS(2454),
    [anon_sym__Noreturn] = ACTIONS(2454),
    [anon_sym_noreturn] = ACTIONS(2454),
    [anon_sym__Nonnull] = ACTIONS(2454),
    [anon_sym_mutable] = ACTIONS(2454),
    [anon_sym_constinit] = ACTIONS(2454),
    [anon_sym_consteval] = ACTIONS(2454),
    [anon_sym_alignas] = ACTIONS(2454),
    [anon_sym__Alignas] = ACTIONS(2454),
    [sym_primitive_type] = ACTIONS(2454),
    [anon_sym_enum] = ACTIONS(2454),
    [anon_sym_class] = ACTIONS(2454),
    [anon_sym_struct] = ACTIONS(2454),
    [anon_sym_union] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2454),
    [anon_sym_decltype] = ACTIONS(2454),
    [anon_sym_explicit] = ACTIONS(2454),
    [anon_sym_typename] = ACTIONS(2454),
    [anon_sym_template] = ACTIONS(2454),
    [anon_sym_operator] = ACTIONS(2454),
    [anon_sym_friend] = ACTIONS(2454),
    [anon_sym_public] = ACTIONS(2454),
    [anon_sym_private] = ACTIONS(2454),
    [anon_sym_protected] = ACTIONS(2454),
    [anon_sym_using] = ACTIONS(2454),
    [anon_sym_static_assert] = ACTIONS(2454),
    [anon_sym_precise] = ACTIONS(2454),
    [anon_sym_shared] = ACTIONS(2454),
    [anon_sym_groupshared] = ACTIONS(2454),
    [anon_sym_uniform] = ACTIONS(2454),
    [anon_sym_row_major] = ACTIONS(2454),
    [anon_sym_column_major] = ACTIONS(2454),
    [anon_sym_globallycoherent] = ACTIONS(2454),
    [anon_sym_centroid] = ACTIONS(2454),
    [anon_sym_noperspective] = ACTIONS(2454),
    [anon_sym_nointerpolation] = ACTIONS(2454),
    [anon_sym_sample] = ACTIONS(2454),
    [anon_sym_linear] = ACTIONS(2454),
    [anon_sym_snorm] = ACTIONS(2454),
    [anon_sym_unorm] = ACTIONS(2454),
    [anon_sym_point] = ACTIONS(2454),
    [anon_sym_line] = ACTIONS(2454),
    [anon_sym_triangleadj] = ACTIONS(2454),
    [anon_sym_lineadj] = ACTIONS(2454),
    [anon_sym_triangle] = ACTIONS(2454),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [aux_sym_preproc_else_token1] = ACTIONS(2438),
    [aux_sym_preproc_elif_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [aux_sym_preproc_else_token1] = ACTIONS(2438),
    [aux_sym_preproc_elif_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [aux_sym_preproc_else_token1] = ACTIONS(2470),
    [aux_sym_preproc_elif_token1] = ACTIONS(2470),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_out] = ACTIONS(2470),
    [anon_sym_inout] = ACTIONS(2470),
    [anon_sym_virtual] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___based] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_mutable] = ACTIONS(2470),
    [anon_sym_constinit] = ACTIONS(2470),
    [anon_sym_consteval] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_class] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2470),
    [anon_sym_decltype] = ACTIONS(2470),
    [anon_sym_explicit] = ACTIONS(2470),
    [anon_sym_typename] = ACTIONS(2470),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_operator] = ACTIONS(2470),
    [anon_sym_friend] = ACTIONS(2470),
    [anon_sym_public] = ACTIONS(2470),
    [anon_sym_private] = ACTIONS(2470),
    [anon_sym_protected] = ACTIONS(2470),
    [anon_sym_using] = ACTIONS(2470),
    [anon_sym_static_assert] = ACTIONS(2470),
    [anon_sym_precise] = ACTIONS(2470),
    [anon_sym_shared] = ACTIONS(2470),
    [anon_sym_groupshared] = ACTIONS(2470),
    [anon_sym_uniform] = ACTIONS(2470),
    [anon_sym_row_major] = ACTIONS(2470),
    [anon_sym_column_major] = ACTIONS(2470),
    [anon_sym_globallycoherent] = ACTIONS(2470),
    [anon_sym_centroid] = ACTIONS(2470),
    [anon_sym_noperspective] = ACTIONS(2470),
    [anon_sym_nointerpolation] = ACTIONS(2470),
    [anon_sym_sample] = ACTIONS(2470),
    [anon_sym_linear] = ACTIONS(2470),
    [anon_sym_snorm] = ACTIONS(2470),
    [anon_sym_unorm] = ACTIONS(2470),
    [anon_sym_point] = ACTIONS(2470),
    [anon_sym_line] = ACTIONS(2470),
    [anon_sym_triangleadj] = ACTIONS(2470),
    [anon_sym_lineadj] = ACTIONS(2470),
    [anon_sym_triangle] = ACTIONS(2470),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_out] = ACTIONS(2474),
    [anon_sym_inout] = ACTIONS(2474),
    [anon_sym_virtual] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_friend] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_precise] = ACTIONS(2474),
    [anon_sym_shared] = ACTIONS(2474),
    [anon_sym_groupshared] = ACTIONS(2474),
    [anon_sym_uniform] = ACTIONS(2474),
    [anon_sym_row_major] = ACTIONS(2474),
    [anon_sym_column_major] = ACTIONS(2474),
    [anon_sym_globallycoherent] = ACTIONS(2474),
    [anon_sym_centroid] = ACTIONS(2474),
    [anon_sym_noperspective] = ACTIONS(2474),
    [anon_sym_nointerpolation] = ACTIONS(2474),
    [anon_sym_sample] = ACTIONS(2474),
    [anon_sym_linear] = ACTIONS(2474),
    [anon_sym_snorm] = ACTIONS(2474),
    [anon_sym_unorm] = ACTIONS(2474),
    [anon_sym_point] = ACTIONS(2474),
    [anon_sym_line] = ACTIONS(2474),
    [anon_sym_triangleadj] = ACTIONS(2474),
    [anon_sym_lineadj] = ACTIONS(2474),
    [anon_sym_triangle] = ACTIONS(2474),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(2651),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2651),
    [aux_sym_preproc_else_token1] = ACTIONS(2651),
    [aux_sym_preproc_elif_token1] = ACTIONS(2651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2651),
    [sym_preproc_directive] = ACTIONS(2651),
    [anon_sym_LPAREN2] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym___extension__] = ACTIONS(2651),
    [anon_sym_typedef] = ACTIONS(2651),
    [anon_sym_in] = ACTIONS(2651),
    [anon_sym_out] = ACTIONS(2651),
    [anon_sym_inout] = ACTIONS(2651),
    [anon_sym_virtual] = ACTIONS(2651),
    [anon_sym_extern] = ACTIONS(2651),
    [anon_sym___attribute__] = ACTIONS(2651),
    [anon_sym___attribute] = ACTIONS(2651),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2653),
    [anon_sym___declspec] = ACTIONS(2651),
    [anon_sym___based] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2651),
    [anon_sym_unsigned] = ACTIONS(2651),
    [anon_sym_long] = ACTIONS(2651),
    [anon_sym_short] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_register] = ACTIONS(2651),
    [anon_sym_inline] = ACTIONS(2651),
    [anon_sym___inline] = ACTIONS(2651),
    [anon_sym___inline__] = ACTIONS(2651),
    [anon_sym___forceinline] = ACTIONS(2651),
    [anon_sym_thread_local] = ACTIONS(2651),
    [anon_sym___thread] = ACTIONS(2651),
    [anon_sym_const] = ACTIONS(2651),
    [anon_sym_constexpr] = ACTIONS(2651),
    [anon_sym_volatile] = ACTIONS(2651),
    [anon_sym_restrict] = ACTIONS(2651),
    [anon_sym___restrict__] = ACTIONS(2651),
    [anon_sym__Atomic] = ACTIONS(2651),
    [anon_sym__Noreturn] = ACTIONS(2651),
    [anon_sym_noreturn] = ACTIONS(2651),
    [anon_sym__Nonnull] = ACTIONS(2651),
    [anon_sym_mutable] = ACTIONS(2651),
    [anon_sym_constinit] = ACTIONS(2651),
    [anon_sym_consteval] = ACTIONS(2651),
    [anon_sym_alignas] = ACTIONS(2651),
    [anon_sym__Alignas] = ACTIONS(2651),
    [sym_primitive_type] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2651),
    [anon_sym_struct] = ACTIONS(2651),
    [anon_sym_union] = ACTIONS(2651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2651),
    [anon_sym_decltype] = ACTIONS(2651),
    [anon_sym_explicit] = ACTIONS(2651),
    [anon_sym_typename] = ACTIONS(2651),
    [anon_sym_template] = ACTIONS(2651),
    [anon_sym_operator] = ACTIONS(2651),
    [anon_sym_friend] = ACTIONS(2651),
    [anon_sym_public] = ACTIONS(2651),
    [anon_sym_private] = ACTIONS(2651),
    [anon_sym_protected] = ACTIONS(2651),
    [anon_sym_using] = ACTIONS(2651),
    [anon_sym_static_assert] = ACTIONS(2651),
    [anon_sym_precise] = ACTIONS(2651),
    [anon_sym_shared] = ACTIONS(2651),
    [anon_sym_groupshared] = ACTIONS(2651),
    [anon_sym_uniform] = ACTIONS(2651),
    [anon_sym_row_major] = ACTIONS(2651),
    [anon_sym_column_major] = ACTIONS(2651),
    [anon_sym_globallycoherent] = ACTIONS(2651),
    [anon_sym_centroid] = ACTIONS(2651),
    [anon_sym_noperspective] = ACTIONS(2651),
    [anon_sym_nointerpolation] = ACTIONS(2651),
    [anon_sym_sample] = ACTIONS(2651),
    [anon_sym_linear] = ACTIONS(2651),
    [anon_sym_snorm] = ACTIONS(2651),
    [anon_sym_unorm] = ACTIONS(2651),
    [anon_sym_point] = ACTIONS(2651),
    [anon_sym_line] = ACTIONS(2651),
    [anon_sym_triangleadj] = ACTIONS(2651),
    [anon_sym_lineadj] = ACTIONS(2651),
    [anon_sym_triangle] = ACTIONS(2651),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(2655),
    [aux_sym_preproc_def_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token2] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2655),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2655),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2655),
    [sym_preproc_directive] = ACTIONS(2655),
    [anon_sym_LPAREN2] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2655),
    [anon_sym_typedef] = ACTIONS(2655),
    [anon_sym_in] = ACTIONS(2655),
    [anon_sym_out] = ACTIONS(2655),
    [anon_sym_inout] = ACTIONS(2655),
    [anon_sym_virtual] = ACTIONS(2655),
    [anon_sym_extern] = ACTIONS(2655),
    [anon_sym___attribute__] = ACTIONS(2655),
    [anon_sym___attribute] = ACTIONS(2655),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2657),
    [anon_sym___declspec] = ACTIONS(2655),
    [anon_sym___based] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2655),
    [anon_sym_unsigned] = ACTIONS(2655),
    [anon_sym_long] = ACTIONS(2655),
    [anon_sym_short] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_register] = ACTIONS(2655),
    [anon_sym_inline] = ACTIONS(2655),
    [anon_sym___inline] = ACTIONS(2655),
    [anon_sym___inline__] = ACTIONS(2655),
    [anon_sym___forceinline] = ACTIONS(2655),
    [anon_sym_thread_local] = ACTIONS(2655),
    [anon_sym___thread] = ACTIONS(2655),
    [anon_sym_const] = ACTIONS(2655),
    [anon_sym_constexpr] = ACTIONS(2655),
    [anon_sym_volatile] = ACTIONS(2655),
    [anon_sym_restrict] = ACTIONS(2655),
    [anon_sym___restrict__] = ACTIONS(2655),
    [anon_sym__Atomic] = ACTIONS(2655),
    [anon_sym__Noreturn] = ACTIONS(2655),
    [anon_sym_noreturn] = ACTIONS(2655),
    [anon_sym__Nonnull] = ACTIONS(2655),
    [anon_sym_mutable] = ACTIONS(2655),
    [anon_sym_constinit] = ACTIONS(2655),
    [anon_sym_consteval] = ACTIONS(2655),
    [anon_sym_alignas] = ACTIONS(2655),
    [anon_sym__Alignas] = ACTIONS(2655),
    [sym_primitive_type] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2655),
    [anon_sym_struct] = ACTIONS(2655),
    [anon_sym_union] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2655),
    [anon_sym_decltype] = ACTIONS(2655),
    [anon_sym_explicit] = ACTIONS(2655),
    [anon_sym_typename] = ACTIONS(2655),
    [anon_sym_template] = ACTIONS(2655),
    [anon_sym_operator] = ACTIONS(2655),
    [anon_sym_friend] = ACTIONS(2655),
    [anon_sym_public] = ACTIONS(2655),
    [anon_sym_private] = ACTIONS(2655),
    [anon_sym_protected] = ACTIONS(2655),
    [anon_sym_using] = ACTIONS(2655),
    [anon_sym_static_assert] = ACTIONS(2655),
    [anon_sym_precise] = ACTIONS(2655),
    [anon_sym_shared] = ACTIONS(2655),
    [anon_sym_groupshared] = ACTIONS(2655),
    [anon_sym_uniform] = ACTIONS(2655),
    [anon_sym_row_major] = ACTIONS(2655),
    [anon_sym_column_major] = ACTIONS(2655),
    [anon_sym_globallycoherent] = ACTIONS(2655),
    [anon_sym_centroid] = ACTIONS(2655),
    [anon_sym_noperspective] = ACTIONS(2655),
    [anon_sym_nointerpolation] = ACTIONS(2655),
    [anon_sym_sample] = ACTIONS(2655),
    [anon_sym_linear] = ACTIONS(2655),
    [anon_sym_snorm] = ACTIONS(2655),
    [anon_sym_unorm] = ACTIONS(2655),
    [anon_sym_point] = ACTIONS(2655),
    [anon_sym_line] = ACTIONS(2655),
    [anon_sym_triangleadj] = ACTIONS(2655),
    [anon_sym_lineadj] = ACTIONS(2655),
    [anon_sym_triangle] = ACTIONS(2655),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [aux_sym_preproc_else_token1] = ACTIONS(2374),
    [aux_sym_preproc_elif_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [aux_sym_preproc_else_token1] = ACTIONS(2374),
    [aux_sym_preproc_elif_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [1930] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [aux_sym_preproc_else_token1] = ACTIONS(2374),
    [aux_sym_preproc_elif_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [aux_sym_preproc_else_token1] = ACTIONS(2374),
    [aux_sym_preproc_elif_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token2] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [aux_sym_preproc_else_token1] = ACTIONS(2382),
    [aux_sym_preproc_elif_token1] = ACTIONS(2382),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_friend] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token2] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [aux_sym_preproc_else_token1] = ACTIONS(2382),
    [aux_sym_preproc_elif_token1] = ACTIONS(2382),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_friend] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(2398),
    [aux_sym_preproc_def_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token2] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2398),
    [aux_sym_preproc_else_token1] = ACTIONS(2398),
    [aux_sym_preproc_elif_token1] = ACTIONS(2398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2398),
    [sym_preproc_directive] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2400),
    [anon_sym_TILDE] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2400),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2398),
    [anon_sym_typedef] = ACTIONS(2398),
    [anon_sym_in] = ACTIONS(2398),
    [anon_sym_out] = ACTIONS(2398),
    [anon_sym_inout] = ACTIONS(2398),
    [anon_sym_virtual] = ACTIONS(2398),
    [anon_sym_extern] = ACTIONS(2398),
    [anon_sym___attribute__] = ACTIONS(2398),
    [anon_sym___attribute] = ACTIONS(2398),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2400),
    [anon_sym___declspec] = ACTIONS(2398),
    [anon_sym___based] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2398),
    [anon_sym_unsigned] = ACTIONS(2398),
    [anon_sym_long] = ACTIONS(2398),
    [anon_sym_short] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2398),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_register] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(2398),
    [anon_sym___inline] = ACTIONS(2398),
    [anon_sym___inline__] = ACTIONS(2398),
    [anon_sym___forceinline] = ACTIONS(2398),
    [anon_sym_thread_local] = ACTIONS(2398),
    [anon_sym___thread] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_constexpr] = ACTIONS(2398),
    [anon_sym_volatile] = ACTIONS(2398),
    [anon_sym_restrict] = ACTIONS(2398),
    [anon_sym___restrict__] = ACTIONS(2398),
    [anon_sym__Atomic] = ACTIONS(2398),
    [anon_sym__Noreturn] = ACTIONS(2398),
    [anon_sym_noreturn] = ACTIONS(2398),
    [anon_sym__Nonnull] = ACTIONS(2398),
    [anon_sym_mutable] = ACTIONS(2398),
    [anon_sym_constinit] = ACTIONS(2398),
    [anon_sym_consteval] = ACTIONS(2398),
    [anon_sym_alignas] = ACTIONS(2398),
    [anon_sym__Alignas] = ACTIONS(2398),
    [sym_primitive_type] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_class] = ACTIONS(2398),
    [anon_sym_struct] = ACTIONS(2398),
    [anon_sym_union] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2398),
    [anon_sym_decltype] = ACTIONS(2398),
    [anon_sym_explicit] = ACTIONS(2398),
    [anon_sym_typename] = ACTIONS(2398),
    [anon_sym_template] = ACTIONS(2398),
    [anon_sym_operator] = ACTIONS(2398),
    [anon_sym_friend] = ACTIONS(2398),
    [anon_sym_public] = ACTIONS(2398),
    [anon_sym_private] = ACTIONS(2398),
    [anon_sym_protected] = ACTIONS(2398),
    [anon_sym_using] = ACTIONS(2398),
    [anon_sym_static_assert] = ACTIONS(2398),
    [anon_sym_precise] = ACTIONS(2398),
    [anon_sym_shared] = ACTIONS(2398),
    [anon_sym_groupshared] = ACTIONS(2398),
    [anon_sym_uniform] = ACTIONS(2398),
    [anon_sym_row_major] = ACTIONS(2398),
    [anon_sym_column_major] = ACTIONS(2398),
    [anon_sym_globallycoherent] = ACTIONS(2398),
    [anon_sym_centroid] = ACTIONS(2398),
    [anon_sym_noperspective] = ACTIONS(2398),
    [anon_sym_nointerpolation] = ACTIONS(2398),
    [anon_sym_sample] = ACTIONS(2398),
    [anon_sym_linear] = ACTIONS(2398),
    [anon_sym_snorm] = ACTIONS(2398),
    [anon_sym_unorm] = ACTIONS(2398),
    [anon_sym_point] = ACTIONS(2398),
    [anon_sym_line] = ACTIONS(2398),
    [anon_sym_triangleadj] = ACTIONS(2398),
    [anon_sym_lineadj] = ACTIONS(2398),
    [anon_sym_triangle] = ACTIONS(2398),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [aux_sym_preproc_else_token1] = ACTIONS(2402),
    [aux_sym_preproc_elif_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_friend] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [aux_sym_preproc_else_token1] = ACTIONS(2402),
    [aux_sym_preproc_elif_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_friend] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(2434),
    [aux_sym_preproc_def_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token2] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2434),
    [aux_sym_preproc_else_token1] = ACTIONS(2434),
    [aux_sym_preproc_elif_token1] = ACTIONS(2434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2434),
    [sym_preproc_directive] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2436),
    [anon_sym___extension__] = ACTIONS(2434),
    [anon_sym_typedef] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_out] = ACTIONS(2434),
    [anon_sym_inout] = ACTIONS(2434),
    [anon_sym_virtual] = ACTIONS(2434),
    [anon_sym_extern] = ACTIONS(2434),
    [anon_sym___attribute__] = ACTIONS(2434),
    [anon_sym___attribute] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2436),
    [anon_sym___declspec] = ACTIONS(2434),
    [anon_sym___based] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2434),
    [anon_sym_unsigned] = ACTIONS(2434),
    [anon_sym_long] = ACTIONS(2434),
    [anon_sym_short] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_register] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym___inline] = ACTIONS(2434),
    [anon_sym___inline__] = ACTIONS(2434),
    [anon_sym___forceinline] = ACTIONS(2434),
    [anon_sym_thread_local] = ACTIONS(2434),
    [anon_sym___thread] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_constexpr] = ACTIONS(2434),
    [anon_sym_volatile] = ACTIONS(2434),
    [anon_sym_restrict] = ACTIONS(2434),
    [anon_sym___restrict__] = ACTIONS(2434),
    [anon_sym__Atomic] = ACTIONS(2434),
    [anon_sym__Noreturn] = ACTIONS(2434),
    [anon_sym_noreturn] = ACTIONS(2434),
    [anon_sym__Nonnull] = ACTIONS(2434),
    [anon_sym_mutable] = ACTIONS(2434),
    [anon_sym_constinit] = ACTIONS(2434),
    [anon_sym_consteval] = ACTIONS(2434),
    [anon_sym_alignas] = ACTIONS(2434),
    [anon_sym__Alignas] = ACTIONS(2434),
    [sym_primitive_type] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_struct] = ACTIONS(2434),
    [anon_sym_union] = ACTIONS(2434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2434),
    [anon_sym_decltype] = ACTIONS(2434),
    [anon_sym_explicit] = ACTIONS(2434),
    [anon_sym_typename] = ACTIONS(2434),
    [anon_sym_template] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2434),
    [anon_sym_friend] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_static_assert] = ACTIONS(2434),
    [anon_sym_precise] = ACTIONS(2434),
    [anon_sym_shared] = ACTIONS(2434),
    [anon_sym_groupshared] = ACTIONS(2434),
    [anon_sym_uniform] = ACTIONS(2434),
    [anon_sym_row_major] = ACTIONS(2434),
    [anon_sym_column_major] = ACTIONS(2434),
    [anon_sym_globallycoherent] = ACTIONS(2434),
    [anon_sym_centroid] = ACTIONS(2434),
    [anon_sym_noperspective] = ACTIONS(2434),
    [anon_sym_nointerpolation] = ACTIONS(2434),
    [anon_sym_sample] = ACTIONS(2434),
    [anon_sym_linear] = ACTIONS(2434),
    [anon_sym_snorm] = ACTIONS(2434),
    [anon_sym_unorm] = ACTIONS(2434),
    [anon_sym_point] = ACTIONS(2434),
    [anon_sym_line] = ACTIONS(2434),
    [anon_sym_triangleadj] = ACTIONS(2434),
    [anon_sym_lineadj] = ACTIONS(2434),
    [anon_sym_triangle] = ACTIONS(2434),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token2] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [aux_sym_preproc_else_token1] = ACTIONS(2201),
    [aux_sym_preproc_elif_token1] = ACTIONS(2201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_friend] = ACTIONS(2201),
    [anon_sym_public] = ACTIONS(2201),
    [anon_sym_private] = ACTIONS(2201),
    [anon_sym_protected] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token2] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [aux_sym_preproc_else_token1] = ACTIONS(2201),
    [aux_sym_preproc_elif_token1] = ACTIONS(2201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_friend] = ACTIONS(2201),
    [anon_sym_public] = ACTIONS(2201),
    [anon_sym_private] = ACTIONS(2201),
    [anon_sym_protected] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(2169),
    [aux_sym_preproc_def_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token2] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2169),
    [aux_sym_preproc_else_token1] = ACTIONS(2169),
    [aux_sym_preproc_elif_token1] = ACTIONS(2169),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2169),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2169),
    [sym_preproc_directive] = ACTIONS(2169),
    [anon_sym_LPAREN2] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym___extension__] = ACTIONS(2169),
    [anon_sym_typedef] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_out] = ACTIONS(2169),
    [anon_sym_inout] = ACTIONS(2169),
    [anon_sym_virtual] = ACTIONS(2169),
    [anon_sym_extern] = ACTIONS(2169),
    [anon_sym___attribute__] = ACTIONS(2169),
    [anon_sym___attribute] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2171),
    [anon_sym___declspec] = ACTIONS(2169),
    [anon_sym___based] = ACTIONS(2169),
    [anon_sym_signed] = ACTIONS(2169),
    [anon_sym_unsigned] = ACTIONS(2169),
    [anon_sym_long] = ACTIONS(2169),
    [anon_sym_short] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_register] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(2169),
    [anon_sym___inline] = ACTIONS(2169),
    [anon_sym___inline__] = ACTIONS(2169),
    [anon_sym___forceinline] = ACTIONS(2169),
    [anon_sym_thread_local] = ACTIONS(2169),
    [anon_sym___thread] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_constexpr] = ACTIONS(2169),
    [anon_sym_volatile] = ACTIONS(2169),
    [anon_sym_restrict] = ACTIONS(2169),
    [anon_sym___restrict__] = ACTIONS(2169),
    [anon_sym__Atomic] = ACTIONS(2169),
    [anon_sym__Noreturn] = ACTIONS(2169),
    [anon_sym_noreturn] = ACTIONS(2169),
    [anon_sym__Nonnull] = ACTIONS(2169),
    [anon_sym_mutable] = ACTIONS(2169),
    [anon_sym_constinit] = ACTIONS(2169),
    [anon_sym_consteval] = ACTIONS(2169),
    [anon_sym_alignas] = ACTIONS(2169),
    [anon_sym__Alignas] = ACTIONS(2169),
    [sym_primitive_type] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_struct] = ACTIONS(2169),
    [anon_sym_union] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2169),
    [anon_sym_decltype] = ACTIONS(2169),
    [anon_sym_explicit] = ACTIONS(2169),
    [anon_sym_typename] = ACTIONS(2169),
    [anon_sym_template] = ACTIONS(2169),
    [anon_sym_operator] = ACTIONS(2169),
    [anon_sym_friend] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_static_assert] = ACTIONS(2169),
    [anon_sym_precise] = ACTIONS(2169),
    [anon_sym_shared] = ACTIONS(2169),
    [anon_sym_groupshared] = ACTIONS(2169),
    [anon_sym_uniform] = ACTIONS(2169),
    [anon_sym_row_major] = ACTIONS(2169),
    [anon_sym_column_major] = ACTIONS(2169),
    [anon_sym_globallycoherent] = ACTIONS(2169),
    [anon_sym_centroid] = ACTIONS(2169),
    [anon_sym_noperspective] = ACTIONS(2169),
    [anon_sym_nointerpolation] = ACTIONS(2169),
    [anon_sym_sample] = ACTIONS(2169),
    [anon_sym_linear] = ACTIONS(2169),
    [anon_sym_snorm] = ACTIONS(2169),
    [anon_sym_unorm] = ACTIONS(2169),
    [anon_sym_point] = ACTIONS(2169),
    [anon_sym_line] = ACTIONS(2169),
    [anon_sym_triangleadj] = ACTIONS(2169),
    [anon_sym_lineadj] = ACTIONS(2169),
    [anon_sym_triangle] = ACTIONS(2169),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token2] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [aux_sym_preproc_else_token1] = ACTIONS(2205),
    [aux_sym_preproc_elif_token1] = ACTIONS(2205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_friend] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token2] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [aux_sym_preproc_else_token1] = ACTIONS(2205),
    [aux_sym_preproc_elif_token1] = ACTIONS(2205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_friend] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(2209),
    [aux_sym_preproc_def_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token2] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2209),
    [aux_sym_preproc_else_token1] = ACTIONS(2209),
    [aux_sym_preproc_elif_token1] = ACTIONS(2209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2209),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2209),
    [sym_preproc_directive] = ACTIONS(2209),
    [anon_sym_LPAREN2] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_AMP_AMP] = ACTIONS(2211),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym___extension__] = ACTIONS(2209),
    [anon_sym_typedef] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_out] = ACTIONS(2209),
    [anon_sym_inout] = ACTIONS(2209),
    [anon_sym_virtual] = ACTIONS(2209),
    [anon_sym_extern] = ACTIONS(2209),
    [anon_sym___attribute__] = ACTIONS(2209),
    [anon_sym___attribute] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2211),
    [anon_sym___declspec] = ACTIONS(2209),
    [anon_sym___based] = ACTIONS(2209),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_register] = ACTIONS(2209),
    [anon_sym_inline] = ACTIONS(2209),
    [anon_sym___inline] = ACTIONS(2209),
    [anon_sym___inline__] = ACTIONS(2209),
    [anon_sym___forceinline] = ACTIONS(2209),
    [anon_sym_thread_local] = ACTIONS(2209),
    [anon_sym___thread] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_constexpr] = ACTIONS(2209),
    [anon_sym_volatile] = ACTIONS(2209),
    [anon_sym_restrict] = ACTIONS(2209),
    [anon_sym___restrict__] = ACTIONS(2209),
    [anon_sym__Atomic] = ACTIONS(2209),
    [anon_sym__Noreturn] = ACTIONS(2209),
    [anon_sym_noreturn] = ACTIONS(2209),
    [anon_sym__Nonnull] = ACTIONS(2209),
    [anon_sym_mutable] = ACTIONS(2209),
    [anon_sym_constinit] = ACTIONS(2209),
    [anon_sym_consteval] = ACTIONS(2209),
    [anon_sym_alignas] = ACTIONS(2209),
    [anon_sym__Alignas] = ACTIONS(2209),
    [sym_primitive_type] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_struct] = ACTIONS(2209),
    [anon_sym_union] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2209),
    [anon_sym_decltype] = ACTIONS(2209),
    [anon_sym_explicit] = ACTIONS(2209),
    [anon_sym_typename] = ACTIONS(2209),
    [anon_sym_template] = ACTIONS(2209),
    [anon_sym_operator] = ACTIONS(2209),
    [anon_sym_friend] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_static_assert] = ACTIONS(2209),
    [anon_sym_precise] = ACTIONS(2209),
    [anon_sym_shared] = ACTIONS(2209),
    [anon_sym_groupshared] = ACTIONS(2209),
    [anon_sym_uniform] = ACTIONS(2209),
    [anon_sym_row_major] = ACTIONS(2209),
    [anon_sym_column_major] = ACTIONS(2209),
    [anon_sym_globallycoherent] = ACTIONS(2209),
    [anon_sym_centroid] = ACTIONS(2209),
    [anon_sym_noperspective] = ACTIONS(2209),
    [anon_sym_nointerpolation] = ACTIONS(2209),
    [anon_sym_sample] = ACTIONS(2209),
    [anon_sym_linear] = ACTIONS(2209),
    [anon_sym_snorm] = ACTIONS(2209),
    [anon_sym_unorm] = ACTIONS(2209),
    [anon_sym_point] = ACTIONS(2209),
    [anon_sym_line] = ACTIONS(2209),
    [anon_sym_triangleadj] = ACTIONS(2209),
    [anon_sym_lineadj] = ACTIONS(2209),
    [anon_sym_triangle] = ACTIONS(2209),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(2221),
    [aux_sym_preproc_def_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token2] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2221),
    [aux_sym_preproc_else_token1] = ACTIONS(2221),
    [aux_sym_preproc_elif_token1] = ACTIONS(2221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2221),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2221),
    [sym_preproc_directive] = ACTIONS(2221),
    [anon_sym_LPAREN2] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2223),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym___extension__] = ACTIONS(2221),
    [anon_sym_typedef] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_out] = ACTIONS(2221),
    [anon_sym_inout] = ACTIONS(2221),
    [anon_sym_virtual] = ACTIONS(2221),
    [anon_sym_extern] = ACTIONS(2221),
    [anon_sym___attribute__] = ACTIONS(2221),
    [anon_sym___attribute] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2223),
    [anon_sym___declspec] = ACTIONS(2221),
    [anon_sym___based] = ACTIONS(2221),
    [anon_sym_signed] = ACTIONS(2221),
    [anon_sym_unsigned] = ACTIONS(2221),
    [anon_sym_long] = ACTIONS(2221),
    [anon_sym_short] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_register] = ACTIONS(2221),
    [anon_sym_inline] = ACTIONS(2221),
    [anon_sym___inline] = ACTIONS(2221),
    [anon_sym___inline__] = ACTIONS(2221),
    [anon_sym___forceinline] = ACTIONS(2221),
    [anon_sym_thread_local] = ACTIONS(2221),
    [anon_sym___thread] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_constexpr] = ACTIONS(2221),
    [anon_sym_volatile] = ACTIONS(2221),
    [anon_sym_restrict] = ACTIONS(2221),
    [anon_sym___restrict__] = ACTIONS(2221),
    [anon_sym__Atomic] = ACTIONS(2221),
    [anon_sym__Noreturn] = ACTIONS(2221),
    [anon_sym_noreturn] = ACTIONS(2221),
    [anon_sym__Nonnull] = ACTIONS(2221),
    [anon_sym_mutable] = ACTIONS(2221),
    [anon_sym_constinit] = ACTIONS(2221),
    [anon_sym_consteval] = ACTIONS(2221),
    [anon_sym_alignas] = ACTIONS(2221),
    [anon_sym__Alignas] = ACTIONS(2221),
    [sym_primitive_type] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_union] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2221),
    [anon_sym_decltype] = ACTIONS(2221),
    [anon_sym_explicit] = ACTIONS(2221),
    [anon_sym_typename] = ACTIONS(2221),
    [anon_sym_template] = ACTIONS(2221),
    [anon_sym_operator] = ACTIONS(2221),
    [anon_sym_friend] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_static_assert] = ACTIONS(2221),
    [anon_sym_precise] = ACTIONS(2221),
    [anon_sym_shared] = ACTIONS(2221),
    [anon_sym_groupshared] = ACTIONS(2221),
    [anon_sym_uniform] = ACTIONS(2221),
    [anon_sym_row_major] = ACTIONS(2221),
    [anon_sym_column_major] = ACTIONS(2221),
    [anon_sym_globallycoherent] = ACTIONS(2221),
    [anon_sym_centroid] = ACTIONS(2221),
    [anon_sym_noperspective] = ACTIONS(2221),
    [anon_sym_nointerpolation] = ACTIONS(2221),
    [anon_sym_sample] = ACTIONS(2221),
    [anon_sym_linear] = ACTIONS(2221),
    [anon_sym_snorm] = ACTIONS(2221),
    [anon_sym_unorm] = ACTIONS(2221),
    [anon_sym_point] = ACTIONS(2221),
    [anon_sym_line] = ACTIONS(2221),
    [anon_sym_triangleadj] = ACTIONS(2221),
    [anon_sym_lineadj] = ACTIONS(2221),
    [anon_sym_triangle] = ACTIONS(2221),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(2647),
    [aux_sym_preproc_def_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token2] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2647),
    [aux_sym_preproc_else_token1] = ACTIONS(2647),
    [aux_sym_preproc_elif_token1] = ACTIONS(2647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2647),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2647),
    [sym_preproc_directive] = ACTIONS(2647),
    [anon_sym_LPAREN2] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2647),
    [anon_sym_typedef] = ACTIONS(2647),
    [anon_sym_in] = ACTIONS(2647),
    [anon_sym_out] = ACTIONS(2647),
    [anon_sym_inout] = ACTIONS(2647),
    [anon_sym_virtual] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym___attribute__] = ACTIONS(2647),
    [anon_sym___attribute] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2649),
    [anon_sym___declspec] = ACTIONS(2647),
    [anon_sym___based] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2647),
    [anon_sym_unsigned] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_register] = ACTIONS(2647),
    [anon_sym_inline] = ACTIONS(2647),
    [anon_sym___inline] = ACTIONS(2647),
    [anon_sym___inline__] = ACTIONS(2647),
    [anon_sym___forceinline] = ACTIONS(2647),
    [anon_sym_thread_local] = ACTIONS(2647),
    [anon_sym___thread] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_constexpr] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_restrict] = ACTIONS(2647),
    [anon_sym___restrict__] = ACTIONS(2647),
    [anon_sym__Atomic] = ACTIONS(2647),
    [anon_sym__Noreturn] = ACTIONS(2647),
    [anon_sym_noreturn] = ACTIONS(2647),
    [anon_sym__Nonnull] = ACTIONS(2647),
    [anon_sym_mutable] = ACTIONS(2647),
    [anon_sym_constinit] = ACTIONS(2647),
    [anon_sym_consteval] = ACTIONS(2647),
    [anon_sym_alignas] = ACTIONS(2647),
    [anon_sym__Alignas] = ACTIONS(2647),
    [sym_primitive_type] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2647),
    [anon_sym_decltype] = ACTIONS(2647),
    [anon_sym_explicit] = ACTIONS(2647),
    [anon_sym_typename] = ACTIONS(2647),
    [anon_sym_template] = ACTIONS(2647),
    [anon_sym_operator] = ACTIONS(2647),
    [anon_sym_friend] = ACTIONS(2647),
    [anon_sym_public] = ACTIONS(2647),
    [anon_sym_private] = ACTIONS(2647),
    [anon_sym_protected] = ACTIONS(2647),
    [anon_sym_using] = ACTIONS(2647),
    [anon_sym_static_assert] = ACTIONS(2647),
    [anon_sym_precise] = ACTIONS(2647),
    [anon_sym_shared] = ACTIONS(2647),
    [anon_sym_groupshared] = ACTIONS(2647),
    [anon_sym_uniform] = ACTIONS(2647),
    [anon_sym_row_major] = ACTIONS(2647),
    [anon_sym_column_major] = ACTIONS(2647),
    [anon_sym_globallycoherent] = ACTIONS(2647),
    [anon_sym_centroid] = ACTIONS(2647),
    [anon_sym_noperspective] = ACTIONS(2647),
    [anon_sym_nointerpolation] = ACTIONS(2647),
    [anon_sym_sample] = ACTIONS(2647),
    [anon_sym_linear] = ACTIONS(2647),
    [anon_sym_snorm] = ACTIONS(2647),
    [anon_sym_unorm] = ACTIONS(2647),
    [anon_sym_point] = ACTIONS(2647),
    [anon_sym_line] = ACTIONS(2647),
    [anon_sym_triangleadj] = ACTIONS(2647),
    [anon_sym_lineadj] = ACTIONS(2647),
    [anon_sym_triangle] = ACTIONS(2647),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [aux_sym_preproc_else_token1] = ACTIONS(2360),
    [aux_sym_preproc_elif_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_friend] = ACTIONS(2360),
    [anon_sym_public] = ACTIONS(2360),
    [anon_sym_private] = ACTIONS(2360),
    [anon_sym_protected] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(2127),
    [aux_sym_preproc_def_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token2] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2127),
    [aux_sym_preproc_else_token1] = ACTIONS(2127),
    [aux_sym_preproc_elif_token1] = ACTIONS(2127),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2127),
    [sym_preproc_directive] = ACTIONS(2127),
    [anon_sym_LPAREN2] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym___extension__] = ACTIONS(2127),
    [anon_sym_typedef] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_out] = ACTIONS(2127),
    [anon_sym_inout] = ACTIONS(2127),
    [anon_sym_virtual] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2127),
    [anon_sym___attribute__] = ACTIONS(2127),
    [anon_sym___attribute] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2129),
    [anon_sym___declspec] = ACTIONS(2127),
    [anon_sym___based] = ACTIONS(2127),
    [anon_sym_signed] = ACTIONS(2127),
    [anon_sym_unsigned] = ACTIONS(2127),
    [anon_sym_long] = ACTIONS(2127),
    [anon_sym_short] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_register] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(2127),
    [anon_sym___inline] = ACTIONS(2127),
    [anon_sym___inline__] = ACTIONS(2127),
    [anon_sym___forceinline] = ACTIONS(2127),
    [anon_sym_thread_local] = ACTIONS(2127),
    [anon_sym___thread] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_constexpr] = ACTIONS(2127),
    [anon_sym_volatile] = ACTIONS(2127),
    [anon_sym_restrict] = ACTIONS(2127),
    [anon_sym___restrict__] = ACTIONS(2127),
    [anon_sym__Atomic] = ACTIONS(2127),
    [anon_sym__Noreturn] = ACTIONS(2127),
    [anon_sym_noreturn] = ACTIONS(2127),
    [anon_sym__Nonnull] = ACTIONS(2127),
    [anon_sym_mutable] = ACTIONS(2127),
    [anon_sym_constinit] = ACTIONS(2127),
    [anon_sym_consteval] = ACTIONS(2127),
    [anon_sym_alignas] = ACTIONS(2127),
    [anon_sym__Alignas] = ACTIONS(2127),
    [sym_primitive_type] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_struct] = ACTIONS(2127),
    [anon_sym_union] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2127),
    [anon_sym_decltype] = ACTIONS(2127),
    [anon_sym_explicit] = ACTIONS(2127),
    [anon_sym_typename] = ACTIONS(2127),
    [anon_sym_template] = ACTIONS(2127),
    [anon_sym_operator] = ACTIONS(2127),
    [anon_sym_friend] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_static_assert] = ACTIONS(2127),
    [anon_sym_precise] = ACTIONS(2127),
    [anon_sym_shared] = ACTIONS(2127),
    [anon_sym_groupshared] = ACTIONS(2127),
    [anon_sym_uniform] = ACTIONS(2127),
    [anon_sym_row_major] = ACTIONS(2127),
    [anon_sym_column_major] = ACTIONS(2127),
    [anon_sym_globallycoherent] = ACTIONS(2127),
    [anon_sym_centroid] = ACTIONS(2127),
    [anon_sym_noperspective] = ACTIONS(2127),
    [anon_sym_nointerpolation] = ACTIONS(2127),
    [anon_sym_sample] = ACTIONS(2127),
    [anon_sym_linear] = ACTIONS(2127),
    [anon_sym_snorm] = ACTIONS(2127),
    [anon_sym_unorm] = ACTIONS(2127),
    [anon_sym_point] = ACTIONS(2127),
    [anon_sym_line] = ACTIONS(2127),
    [anon_sym_triangleadj] = ACTIONS(2127),
    [anon_sym_lineadj] = ACTIONS(2127),
    [anon_sym_triangle] = ACTIONS(2127),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(2378),
    [aux_sym_preproc_def_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token2] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2378),
    [aux_sym_preproc_else_token1] = ACTIONS(2378),
    [aux_sym_preproc_elif_token1] = ACTIONS(2378),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2378),
    [sym_preproc_directive] = ACTIONS(2378),
    [anon_sym_LPAREN2] = ACTIONS(2380),
    [anon_sym_TILDE] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2380),
    [anon_sym___extension__] = ACTIONS(2378),
    [anon_sym_typedef] = ACTIONS(2378),
    [anon_sym_in] = ACTIONS(2378),
    [anon_sym_out] = ACTIONS(2378),
    [anon_sym_inout] = ACTIONS(2378),
    [anon_sym_virtual] = ACTIONS(2378),
    [anon_sym_extern] = ACTIONS(2378),
    [anon_sym___attribute__] = ACTIONS(2378),
    [anon_sym___attribute] = ACTIONS(2378),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2380),
    [anon_sym___declspec] = ACTIONS(2378),
    [anon_sym___based] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2378),
    [anon_sym_unsigned] = ACTIONS(2378),
    [anon_sym_long] = ACTIONS(2378),
    [anon_sym_short] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_register] = ACTIONS(2378),
    [anon_sym_inline] = ACTIONS(2378),
    [anon_sym___inline] = ACTIONS(2378),
    [anon_sym___inline__] = ACTIONS(2378),
    [anon_sym___forceinline] = ACTIONS(2378),
    [anon_sym_thread_local] = ACTIONS(2378),
    [anon_sym___thread] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_constexpr] = ACTIONS(2378),
    [anon_sym_volatile] = ACTIONS(2378),
    [anon_sym_restrict] = ACTIONS(2378),
    [anon_sym___restrict__] = ACTIONS(2378),
    [anon_sym__Atomic] = ACTIONS(2378),
    [anon_sym__Noreturn] = ACTIONS(2378),
    [anon_sym_noreturn] = ACTIONS(2378),
    [anon_sym__Nonnull] = ACTIONS(2378),
    [anon_sym_mutable] = ACTIONS(2378),
    [anon_sym_constinit] = ACTIONS(2378),
    [anon_sym_consteval] = ACTIONS(2378),
    [anon_sym_alignas] = ACTIONS(2378),
    [anon_sym__Alignas] = ACTIONS(2378),
    [sym_primitive_type] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_struct] = ACTIONS(2378),
    [anon_sym_union] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2378),
    [anon_sym_decltype] = ACTIONS(2378),
    [anon_sym_explicit] = ACTIONS(2378),
    [anon_sym_typename] = ACTIONS(2378),
    [anon_sym_template] = ACTIONS(2378),
    [anon_sym_operator] = ACTIONS(2378),
    [anon_sym_friend] = ACTIONS(2378),
    [anon_sym_public] = ACTIONS(2378),
    [anon_sym_private] = ACTIONS(2378),
    [anon_sym_protected] = ACTIONS(2378),
    [anon_sym_using] = ACTIONS(2378),
    [anon_sym_static_assert] = ACTIONS(2378),
    [anon_sym_precise] = ACTIONS(2378),
    [anon_sym_shared] = ACTIONS(2378),
    [anon_sym_groupshared] = ACTIONS(2378),
    [anon_sym_uniform] = ACTIONS(2378),
    [anon_sym_row_major] = ACTIONS(2378),
    [anon_sym_column_major] = ACTIONS(2378),
    [anon_sym_globallycoherent] = ACTIONS(2378),
    [anon_sym_centroid] = ACTIONS(2378),
    [anon_sym_noperspective] = ACTIONS(2378),
    [anon_sym_nointerpolation] = ACTIONS(2378),
    [anon_sym_sample] = ACTIONS(2378),
    [anon_sym_linear] = ACTIONS(2378),
    [anon_sym_snorm] = ACTIONS(2378),
    [anon_sym_unorm] = ACTIONS(2378),
    [anon_sym_point] = ACTIONS(2378),
    [anon_sym_line] = ACTIONS(2378),
    [anon_sym_triangleadj] = ACTIONS(2378),
    [anon_sym_lineadj] = ACTIONS(2378),
    [anon_sym_triangle] = ACTIONS(2378),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(2147),
    [aux_sym_preproc_def_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token2] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2147),
    [aux_sym_preproc_else_token1] = ACTIONS(2147),
    [aux_sym_preproc_elif_token1] = ACTIONS(2147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2147),
    [sym_preproc_directive] = ACTIONS(2147),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___extension__] = ACTIONS(2147),
    [anon_sym_typedef] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2147),
    [anon_sym_out] = ACTIONS(2147),
    [anon_sym_inout] = ACTIONS(2147),
    [anon_sym_virtual] = ACTIONS(2147),
    [anon_sym_extern] = ACTIONS(2147),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym___attribute] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2149),
    [anon_sym___declspec] = ACTIONS(2147),
    [anon_sym___based] = ACTIONS(2147),
    [anon_sym_signed] = ACTIONS(2147),
    [anon_sym_unsigned] = ACTIONS(2147),
    [anon_sym_long] = ACTIONS(2147),
    [anon_sym_short] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_register] = ACTIONS(2147),
    [anon_sym_inline] = ACTIONS(2147),
    [anon_sym___inline] = ACTIONS(2147),
    [anon_sym___inline__] = ACTIONS(2147),
    [anon_sym___forceinline] = ACTIONS(2147),
    [anon_sym_thread_local] = ACTIONS(2147),
    [anon_sym___thread] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_constexpr] = ACTIONS(2147),
    [anon_sym_volatile] = ACTIONS(2147),
    [anon_sym_restrict] = ACTIONS(2147),
    [anon_sym___restrict__] = ACTIONS(2147),
    [anon_sym__Atomic] = ACTIONS(2147),
    [anon_sym__Noreturn] = ACTIONS(2147),
    [anon_sym_noreturn] = ACTIONS(2147),
    [anon_sym__Nonnull] = ACTIONS(2147),
    [anon_sym_mutable] = ACTIONS(2147),
    [anon_sym_constinit] = ACTIONS(2147),
    [anon_sym_consteval] = ACTIONS(2147),
    [anon_sym_alignas] = ACTIONS(2147),
    [anon_sym__Alignas] = ACTIONS(2147),
    [sym_primitive_type] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_struct] = ACTIONS(2147),
    [anon_sym_union] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2147),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_explicit] = ACTIONS(2147),
    [anon_sym_typename] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2147),
    [anon_sym_operator] = ACTIONS(2147),
    [anon_sym_friend] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_static_assert] = ACTIONS(2147),
    [anon_sym_precise] = ACTIONS(2147),
    [anon_sym_shared] = ACTIONS(2147),
    [anon_sym_groupshared] = ACTIONS(2147),
    [anon_sym_uniform] = ACTIONS(2147),
    [anon_sym_row_major] = ACTIONS(2147),
    [anon_sym_column_major] = ACTIONS(2147),
    [anon_sym_globallycoherent] = ACTIONS(2147),
    [anon_sym_centroid] = ACTIONS(2147),
    [anon_sym_noperspective] = ACTIONS(2147),
    [anon_sym_nointerpolation] = ACTIONS(2147),
    [anon_sym_sample] = ACTIONS(2147),
    [anon_sym_linear] = ACTIONS(2147),
    [anon_sym_snorm] = ACTIONS(2147),
    [anon_sym_unorm] = ACTIONS(2147),
    [anon_sym_point] = ACTIONS(2147),
    [anon_sym_line] = ACTIONS(2147),
    [anon_sym_triangleadj] = ACTIONS(2147),
    [anon_sym_lineadj] = ACTIONS(2147),
    [anon_sym_triangle] = ACTIONS(2147),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(5440),
    [aux_sym_preproc_def_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token2] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5440),
    [aux_sym_preproc_else_token1] = ACTIONS(5440),
    [aux_sym_preproc_elif_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5440),
    [sym_preproc_directive] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_TILDE] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___extension__] = ACTIONS(5440),
    [anon_sym_typedef] = ACTIONS(5440),
    [anon_sym_in] = ACTIONS(5440),
    [anon_sym_out] = ACTIONS(5440),
    [anon_sym_inout] = ACTIONS(5440),
    [anon_sym_virtual] = ACTIONS(5440),
    [anon_sym_extern] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym___attribute] = ACTIONS(5440),
    [anon_sym_COLON_COLON] = ACTIONS(5442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5442),
    [anon_sym___declspec] = ACTIONS(5440),
    [anon_sym___based] = ACTIONS(5440),
    [anon_sym_signed] = ACTIONS(5440),
    [anon_sym_unsigned] = ACTIONS(5440),
    [anon_sym_long] = ACTIONS(5440),
    [anon_sym_short] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_static] = ACTIONS(5440),
    [anon_sym_register] = ACTIONS(5440),
    [anon_sym_inline] = ACTIONS(5440),
    [anon_sym___inline] = ACTIONS(5440),
    [anon_sym___inline__] = ACTIONS(5440),
    [anon_sym___forceinline] = ACTIONS(5440),
    [anon_sym_thread_local] = ACTIONS(5440),
    [anon_sym___thread] = ACTIONS(5440),
    [anon_sym_const] = ACTIONS(5440),
    [anon_sym_constexpr] = ACTIONS(5440),
    [anon_sym_volatile] = ACTIONS(5440),
    [anon_sym_restrict] = ACTIONS(5440),
    [anon_sym___restrict__] = ACTIONS(5440),
    [anon_sym__Atomic] = ACTIONS(5440),
    [anon_sym__Noreturn] = ACTIONS(5440),
    [anon_sym_noreturn] = ACTIONS(5440),
    [anon_sym__Nonnull] = ACTIONS(5440),
    [anon_sym_mutable] = ACTIONS(5440),
    [anon_sym_constinit] = ACTIONS(5440),
    [anon_sym_consteval] = ACTIONS(5440),
    [anon_sym_alignas] = ACTIONS(5440),
    [anon_sym__Alignas] = ACTIONS(5440),
    [sym_primitive_type] = ACTIONS(5440),
    [anon_sym_enum] = ACTIONS(5440),
    [anon_sym_class] = ACTIONS(5440),
    [anon_sym_struct] = ACTIONS(5440),
    [anon_sym_union] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
    [anon_sym_explicit] = ACTIONS(5440),
    [anon_sym_typename] = ACTIONS(5440),
    [anon_sym_template] = ACTIONS(5440),
    [anon_sym_operator] = ACTIONS(5440),
    [anon_sym_friend] = ACTIONS(5440),
    [anon_sym_public] = ACTIONS(5440),
    [anon_sym_private] = ACTIONS(5440),
    [anon_sym_protected] = ACTIONS(5440),
    [anon_sym_using] = ACTIONS(5440),
    [anon_sym_static_assert] = ACTIONS(5440),
    [anon_sym_precise] = ACTIONS(5440),
    [anon_sym_shared] = ACTIONS(5440),
    [anon_sym_groupshared] = ACTIONS(5440),
    [anon_sym_uniform] = ACTIONS(5440),
    [anon_sym_row_major] = ACTIONS(5440),
    [anon_sym_column_major] = ACTIONS(5440),
    [anon_sym_globallycoherent] = ACTIONS(5440),
    [anon_sym_centroid] = ACTIONS(5440),
    [anon_sym_noperspective] = ACTIONS(5440),
    [anon_sym_nointerpolation] = ACTIONS(5440),
    [anon_sym_sample] = ACTIONS(5440),
    [anon_sym_linear] = ACTIONS(5440),
    [anon_sym_snorm] = ACTIONS(5440),
    [anon_sym_unorm] = ACTIONS(5440),
    [anon_sym_point] = ACTIONS(5440),
    [anon_sym_line] = ACTIONS(5440),
    [anon_sym_triangleadj] = ACTIONS(5440),
    [anon_sym_lineadj] = ACTIONS(5440),
    [anon_sym_triangle] = ACTIONS(5440),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(5444),
    [aux_sym_preproc_def_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token2] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5444),
    [aux_sym_preproc_else_token1] = ACTIONS(5444),
    [aux_sym_preproc_elif_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5444),
    [sym_preproc_directive] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_TILDE] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym_typedef] = ACTIONS(5444),
    [anon_sym_in] = ACTIONS(5444),
    [anon_sym_out] = ACTIONS(5444),
    [anon_sym_inout] = ACTIONS(5444),
    [anon_sym_virtual] = ACTIONS(5444),
    [anon_sym_extern] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym___attribute] = ACTIONS(5444),
    [anon_sym_COLON_COLON] = ACTIONS(5446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5446),
    [anon_sym___declspec] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_static] = ACTIONS(5444),
    [anon_sym_register] = ACTIONS(5444),
    [anon_sym_inline] = ACTIONS(5444),
    [anon_sym___inline] = ACTIONS(5444),
    [anon_sym___inline__] = ACTIONS(5444),
    [anon_sym___forceinline] = ACTIONS(5444),
    [anon_sym_thread_local] = ACTIONS(5444),
    [anon_sym___thread] = ACTIONS(5444),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym__Nonnull] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym__Alignas] = ACTIONS(5444),
    [sym_primitive_type] = ACTIONS(5444),
    [anon_sym_enum] = ACTIONS(5444),
    [anon_sym_class] = ACTIONS(5444),
    [anon_sym_struct] = ACTIONS(5444),
    [anon_sym_union] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_explicit] = ACTIONS(5444),
    [anon_sym_typename] = ACTIONS(5444),
    [anon_sym_template] = ACTIONS(5444),
    [anon_sym_operator] = ACTIONS(5444),
    [anon_sym_friend] = ACTIONS(5444),
    [anon_sym_public] = ACTIONS(5444),
    [anon_sym_private] = ACTIONS(5444),
    [anon_sym_protected] = ACTIONS(5444),
    [anon_sym_using] = ACTIONS(5444),
    [anon_sym_static_assert] = ACTIONS(5444),
    [anon_sym_precise] = ACTIONS(5444),
    [anon_sym_shared] = ACTIONS(5444),
    [anon_sym_groupshared] = ACTIONS(5444),
    [anon_sym_uniform] = ACTIONS(5444),
    [anon_sym_row_major] = ACTIONS(5444),
    [anon_sym_column_major] = ACTIONS(5444),
    [anon_sym_globallycoherent] = ACTIONS(5444),
    [anon_sym_centroid] = ACTIONS(5444),
    [anon_sym_noperspective] = ACTIONS(5444),
    [anon_sym_nointerpolation] = ACTIONS(5444),
    [anon_sym_sample] = ACTIONS(5444),
    [anon_sym_linear] = ACTIONS(5444),
    [anon_sym_snorm] = ACTIONS(5444),
    [anon_sym_unorm] = ACTIONS(5444),
    [anon_sym_point] = ACTIONS(5444),
    [anon_sym_line] = ACTIONS(5444),
    [anon_sym_triangleadj] = ACTIONS(5444),
    [anon_sym_lineadj] = ACTIONS(5444),
    [anon_sym_triangle] = ACTIONS(5444),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_in] = ACTIONS(5448),
    [anon_sym_out] = ACTIONS(5448),
    [anon_sym_inout] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
    [anon_sym_precise] = ACTIONS(5448),
    [anon_sym_shared] = ACTIONS(5448),
    [anon_sym_groupshared] = ACTIONS(5448),
    [anon_sym_uniform] = ACTIONS(5448),
    [anon_sym_row_major] = ACTIONS(5448),
    [anon_sym_column_major] = ACTIONS(5448),
    [anon_sym_globallycoherent] = ACTIONS(5448),
    [anon_sym_centroid] = ACTIONS(5448),
    [anon_sym_noperspective] = ACTIONS(5448),
    [anon_sym_nointerpolation] = ACTIONS(5448),
    [anon_sym_sample] = ACTIONS(5448),
    [anon_sym_linear] = ACTIONS(5448),
    [anon_sym_snorm] = ACTIONS(5448),
    [anon_sym_unorm] = ACTIONS(5448),
    [anon_sym_point] = ACTIONS(5448),
    [anon_sym_line] = ACTIONS(5448),
    [anon_sym_triangleadj] = ACTIONS(5448),
    [anon_sym_lineadj] = ACTIONS(5448),
    [anon_sym_triangle] = ACTIONS(5448),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(5368),
    [aux_sym_preproc_def_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token2] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5368),
    [aux_sym_preproc_else_token1] = ACTIONS(5368),
    [aux_sym_preproc_elif_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5368),
    [sym_preproc_directive] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5370),
    [anon_sym_TILDE] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [anon_sym___extension__] = ACTIONS(5368),
    [anon_sym_typedef] = ACTIONS(5368),
    [anon_sym_in] = ACTIONS(5368),
    [anon_sym_out] = ACTIONS(5368),
    [anon_sym_inout] = ACTIONS(5368),
    [anon_sym_virtual] = ACTIONS(5368),
    [anon_sym_extern] = ACTIONS(5368),
    [anon_sym___attribute__] = ACTIONS(5368),
    [anon_sym___attribute] = ACTIONS(5368),
    [anon_sym_COLON_COLON] = ACTIONS(5370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5370),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(5368),
    [anon_sym_signed] = ACTIONS(5368),
    [anon_sym_unsigned] = ACTIONS(5368),
    [anon_sym_long] = ACTIONS(5368),
    [anon_sym_short] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_static] = ACTIONS(5368),
    [anon_sym_register] = ACTIONS(5368),
    [anon_sym_inline] = ACTIONS(5368),
    [anon_sym___inline] = ACTIONS(5368),
    [anon_sym___inline__] = ACTIONS(5368),
    [anon_sym___forceinline] = ACTIONS(5368),
    [anon_sym_thread_local] = ACTIONS(5368),
    [anon_sym___thread] = ACTIONS(5368),
    [anon_sym_const] = ACTIONS(5368),
    [anon_sym_constexpr] = ACTIONS(5368),
    [anon_sym_volatile] = ACTIONS(5368),
    [anon_sym_restrict] = ACTIONS(5368),
    [anon_sym___restrict__] = ACTIONS(5368),
    [anon_sym__Atomic] = ACTIONS(5368),
    [anon_sym__Noreturn] = ACTIONS(5368),
    [anon_sym_noreturn] = ACTIONS(5368),
    [anon_sym__Nonnull] = ACTIONS(5368),
    [anon_sym_mutable] = ACTIONS(5368),
    [anon_sym_constinit] = ACTIONS(5368),
    [anon_sym_consteval] = ACTIONS(5368),
    [anon_sym_alignas] = ACTIONS(5368),
    [anon_sym__Alignas] = ACTIONS(5368),
    [sym_primitive_type] = ACTIONS(5368),
    [anon_sym_enum] = ACTIONS(5368),
    [anon_sym_class] = ACTIONS(5368),
    [anon_sym_struct] = ACTIONS(5368),
    [anon_sym_union] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5368),
    [anon_sym_decltype] = ACTIONS(5368),
    [anon_sym_explicit] = ACTIONS(5368),
    [anon_sym_typename] = ACTIONS(5368),
    [anon_sym_template] = ACTIONS(5368),
    [anon_sym_operator] = ACTIONS(5368),
    [anon_sym_friend] = ACTIONS(5368),
    [anon_sym_public] = ACTIONS(5368),
    [anon_sym_private] = ACTIONS(5368),
    [anon_sym_protected] = ACTIONS(5368),
    [anon_sym_using] = ACTIONS(5368),
    [anon_sym_static_assert] = ACTIONS(5368),
    [anon_sym_precise] = ACTIONS(5368),
    [anon_sym_shared] = ACTIONS(5368),
    [anon_sym_groupshared] = ACTIONS(5368),
    [anon_sym_uniform] = ACTIONS(5368),
    [anon_sym_row_major] = ACTIONS(5368),
    [anon_sym_column_major] = ACTIONS(5368),
    [anon_sym_globallycoherent] = ACTIONS(5368),
    [anon_sym_centroid] = ACTIONS(5368),
    [anon_sym_noperspective] = ACTIONS(5368),
    [anon_sym_nointerpolation] = ACTIONS(5368),
    [anon_sym_sample] = ACTIONS(5368),
    [anon_sym_linear] = ACTIONS(5368),
    [anon_sym_snorm] = ACTIONS(5368),
    [anon_sym_unorm] = ACTIONS(5368),
    [anon_sym_point] = ACTIONS(5368),
    [anon_sym_line] = ACTIONS(5368),
    [anon_sym_triangleadj] = ACTIONS(5368),
    [anon_sym_lineadj] = ACTIONS(5368),
    [anon_sym_triangle] = ACTIONS(5368),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token2] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [aux_sym_preproc_else_token1] = ACTIONS(5348),
    [aux_sym_preproc_elif_token1] = ACTIONS(5348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5348),
    [anon_sym_typedef] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_out] = ACTIONS(5348),
    [anon_sym_inout] = ACTIONS(5348),
    [anon_sym_virtual] = ACTIONS(5348),
    [anon_sym_extern] = ACTIONS(5348),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym___attribute] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5350),
    [anon_sym___declspec] = ACTIONS(5348),
    [anon_sym___based] = ACTIONS(5348),
    [anon_sym_signed] = ACTIONS(5348),
    [anon_sym_unsigned] = ACTIONS(5348),
    [anon_sym_long] = ACTIONS(5348),
    [anon_sym_short] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_static] = ACTIONS(5348),
    [anon_sym_register] = ACTIONS(5348),
    [anon_sym_inline] = ACTIONS(5348),
    [anon_sym___inline] = ACTIONS(5348),
    [anon_sym___inline__] = ACTIONS(5348),
    [anon_sym___forceinline] = ACTIONS(5348),
    [anon_sym_thread_local] = ACTIONS(5348),
    [anon_sym___thread] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(5348),
    [anon_sym_constexpr] = ACTIONS(5348),
    [anon_sym_volatile] = ACTIONS(5348),
    [anon_sym_restrict] = ACTIONS(5348),
    [anon_sym___restrict__] = ACTIONS(5348),
    [anon_sym__Atomic] = ACTIONS(5348),
    [anon_sym__Noreturn] = ACTIONS(5348),
    [anon_sym_noreturn] = ACTIONS(5348),
    [anon_sym__Nonnull] = ACTIONS(5348),
    [anon_sym_mutable] = ACTIONS(5348),
    [anon_sym_constinit] = ACTIONS(5348),
    [anon_sym_consteval] = ACTIONS(5348),
    [anon_sym_alignas] = ACTIONS(5348),
    [anon_sym__Alignas] = ACTIONS(5348),
    [sym_primitive_type] = ACTIONS(5348),
    [anon_sym_enum] = ACTIONS(5348),
    [anon_sym_class] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5348),
    [anon_sym_union] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5348),
    [anon_sym_decltype] = ACTIONS(5348),
    [anon_sym_explicit] = ACTIONS(5348),
    [anon_sym_typename] = ACTIONS(5348),
    [anon_sym_template] = ACTIONS(5348),
    [anon_sym_operator] = ACTIONS(5348),
    [anon_sym_friend] = ACTIONS(5348),
    [anon_sym_public] = ACTIONS(5348),
    [anon_sym_private] = ACTIONS(5348),
    [anon_sym_protected] = ACTIONS(5348),
    [anon_sym_using] = ACTIONS(5348),
    [anon_sym_static_assert] = ACTIONS(5348),
    [anon_sym_precise] = ACTIONS(5348),
    [anon_sym_shared] = ACTIONS(5348),
    [anon_sym_groupshared] = ACTIONS(5348),
    [anon_sym_uniform] = ACTIONS(5348),
    [anon_sym_row_major] = ACTIONS(5348),
    [anon_sym_column_major] = ACTIONS(5348),
    [anon_sym_globallycoherent] = ACTIONS(5348),
    [anon_sym_centroid] = ACTIONS(5348),
    [anon_sym_noperspective] = ACTIONS(5348),
    [anon_sym_nointerpolation] = ACTIONS(5348),
    [anon_sym_sample] = ACTIONS(5348),
    [anon_sym_linear] = ACTIONS(5348),
    [anon_sym_snorm] = ACTIONS(5348),
    [anon_sym_unorm] = ACTIONS(5348),
    [anon_sym_point] = ACTIONS(5348),
    [anon_sym_line] = ACTIONS(5348),
    [anon_sym_triangleadj] = ACTIONS(5348),
    [anon_sym_lineadj] = ACTIONS(5348),
    [anon_sym_triangle] = ACTIONS(5348),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token2] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [aux_sym_preproc_else_token1] = ACTIONS(5348),
    [aux_sym_preproc_elif_token1] = ACTIONS(5348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5348),
    [anon_sym_typedef] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_out] = ACTIONS(5348),
    [anon_sym_inout] = ACTIONS(5348),
    [anon_sym_virtual] = ACTIONS(5348),
    [anon_sym_extern] = ACTIONS(5348),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym___attribute] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5350),
    [anon_sym___declspec] = ACTIONS(5348),
    [anon_sym___based] = ACTIONS(5348),
    [anon_sym_signed] = ACTIONS(5348),
    [anon_sym_unsigned] = ACTIONS(5348),
    [anon_sym_long] = ACTIONS(5348),
    [anon_sym_short] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_static] = ACTIONS(5348),
    [anon_sym_register] = ACTIONS(5348),
    [anon_sym_inline] = ACTIONS(5348),
    [anon_sym___inline] = ACTIONS(5348),
    [anon_sym___inline__] = ACTIONS(5348),
    [anon_sym___forceinline] = ACTIONS(5348),
    [anon_sym_thread_local] = ACTIONS(5348),
    [anon_sym___thread] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(5348),
    [anon_sym_constexpr] = ACTIONS(5348),
    [anon_sym_volatile] = ACTIONS(5348),
    [anon_sym_restrict] = ACTIONS(5348),
    [anon_sym___restrict__] = ACTIONS(5348),
    [anon_sym__Atomic] = ACTIONS(5348),
    [anon_sym__Noreturn] = ACTIONS(5348),
    [anon_sym_noreturn] = ACTIONS(5348),
    [anon_sym__Nonnull] = ACTIONS(5348),
    [anon_sym_mutable] = ACTIONS(5348),
    [anon_sym_constinit] = ACTIONS(5348),
    [anon_sym_consteval] = ACTIONS(5348),
    [anon_sym_alignas] = ACTIONS(5348),
    [anon_sym__Alignas] = ACTIONS(5348),
    [sym_primitive_type] = ACTIONS(5348),
    [anon_sym_enum] = ACTIONS(5348),
    [anon_sym_class] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5348),
    [anon_sym_union] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5348),
    [anon_sym_decltype] = ACTIONS(5348),
    [anon_sym_explicit] = ACTIONS(5348),
    [anon_sym_typename] = ACTIONS(5348),
    [anon_sym_template] = ACTIONS(5348),
    [anon_sym_operator] = ACTIONS(5348),
    [anon_sym_friend] = ACTIONS(5348),
    [anon_sym_public] = ACTIONS(5348),
    [anon_sym_private] = ACTIONS(5348),
    [anon_sym_protected] = ACTIONS(5348),
    [anon_sym_using] = ACTIONS(5348),
    [anon_sym_static_assert] = ACTIONS(5348),
    [anon_sym_precise] = ACTIONS(5348),
    [anon_sym_shared] = ACTIONS(5348),
    [anon_sym_groupshared] = ACTIONS(5348),
    [anon_sym_uniform] = ACTIONS(5348),
    [anon_sym_row_major] = ACTIONS(5348),
    [anon_sym_column_major] = ACTIONS(5348),
    [anon_sym_globallycoherent] = ACTIONS(5348),
    [anon_sym_centroid] = ACTIONS(5348),
    [anon_sym_noperspective] = ACTIONS(5348),
    [anon_sym_nointerpolation] = ACTIONS(5348),
    [anon_sym_sample] = ACTIONS(5348),
    [anon_sym_linear] = ACTIONS(5348),
    [anon_sym_snorm] = ACTIONS(5348),
    [anon_sym_unorm] = ACTIONS(5348),
    [anon_sym_point] = ACTIONS(5348),
    [anon_sym_line] = ACTIONS(5348),
    [anon_sym_triangleadj] = ACTIONS(5348),
    [anon_sym_lineadj] = ACTIONS(5348),
    [anon_sym_triangle] = ACTIONS(5348),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5454),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_in] = ACTIONS(5452),
    [anon_sym_out] = ACTIONS(5452),
    [anon_sym_inout] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym___attribute] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym__Nonnull] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym__Alignas] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
    [anon_sym_precise] = ACTIONS(5452),
    [anon_sym_shared] = ACTIONS(5452),
    [anon_sym_groupshared] = ACTIONS(5452),
    [anon_sym_uniform] = ACTIONS(5452),
    [anon_sym_row_major] = ACTIONS(5452),
    [anon_sym_column_major] = ACTIONS(5452),
    [anon_sym_globallycoherent] = ACTIONS(5452),
    [anon_sym_centroid] = ACTIONS(5452),
    [anon_sym_noperspective] = ACTIONS(5452),
    [anon_sym_nointerpolation] = ACTIONS(5452),
    [anon_sym_sample] = ACTIONS(5452),
    [anon_sym_linear] = ACTIONS(5452),
    [anon_sym_snorm] = ACTIONS(5452),
    [anon_sym_unorm] = ACTIONS(5452),
    [anon_sym_point] = ACTIONS(5452),
    [anon_sym_line] = ACTIONS(5452),
    [anon_sym_triangleadj] = ACTIONS(5452),
    [anon_sym_lineadj] = ACTIONS(5452),
    [anon_sym_triangle] = ACTIONS(5452),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(5456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5458),
    [anon_sym_COMMA] = ACTIONS(5458),
    [anon_sym_RPAREN] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_in] = ACTIONS(5456),
    [anon_sym_out] = ACTIONS(5456),
    [anon_sym_inout] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym_LBRACE] = ACTIONS(5458),
    [anon_sym_signed] = ACTIONS(5456),
    [anon_sym_unsigned] = ACTIONS(5456),
    [anon_sym_long] = ACTIONS(5456),
    [anon_sym_short] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_EQ] = ACTIONS(5458),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [sym_primitive_type] = ACTIONS(5456),
    [anon_sym_enum] = ACTIONS(5456),
    [anon_sym_class] = ACTIONS(5456),
    [anon_sym_struct] = ACTIONS(5456),
    [anon_sym_union] = ACTIONS(5456),
    [anon_sym_asm] = ACTIONS(5456),
    [anon_sym___asm__] = ACTIONS(5456),
    [anon_sym___asm] = ACTIONS(5456),
    [anon_sym_DASH_GT] = ACTIONS(5458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_final] = ACTIONS(5456),
    [anon_sym_override] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_typename] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_GT2] = ACTIONS(5458),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_try] = ACTIONS(5456),
    [anon_sym_noexcept] = ACTIONS(5456),
    [anon_sym_throw] = ACTIONS(5456),
    [anon_sym_requires] = ACTIONS(5456),
    [anon_sym_precise] = ACTIONS(5456),
    [anon_sym_shared] = ACTIONS(5456),
    [anon_sym_groupshared] = ACTIONS(5456),
    [anon_sym_uniform] = ACTIONS(5456),
    [anon_sym_row_major] = ACTIONS(5456),
    [anon_sym_column_major] = ACTIONS(5456),
    [anon_sym_globallycoherent] = ACTIONS(5456),
    [anon_sym_centroid] = ACTIONS(5456),
    [anon_sym_noperspective] = ACTIONS(5456),
    [anon_sym_nointerpolation] = ACTIONS(5456),
    [anon_sym_sample] = ACTIONS(5456),
    [anon_sym_linear] = ACTIONS(5456),
    [anon_sym_snorm] = ACTIONS(5456),
    [anon_sym_unorm] = ACTIONS(5456),
    [anon_sym_point] = ACTIONS(5456),
    [anon_sym_line] = ACTIONS(5456),
    [anon_sym_triangleadj] = ACTIONS(5456),
    [anon_sym_lineadj] = ACTIONS(5456),
    [anon_sym_triangle] = ACTIONS(5456),
  },
  [1958] = {
    [sym_catch_clause] = STATE(1962),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1962),
    [sym_identifier] = ACTIONS(2017),
    [aux_sym_preproc_def_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2017),
    [sym_preproc_directive] = ACTIONS(2017),
    [anon_sym_LPAREN2] = ACTIONS(2019),
    [anon_sym_TILDE] = ACTIONS(2019),
    [anon_sym_STAR] = ACTIONS(2019),
    [anon_sym_AMP_AMP] = ACTIONS(2019),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym___extension__] = ACTIONS(2017),
    [anon_sym_typedef] = ACTIONS(2017),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_out] = ACTIONS(2017),
    [anon_sym_inout] = ACTIONS(2017),
    [anon_sym_virtual] = ACTIONS(2017),
    [anon_sym_extern] = ACTIONS(2017),
    [anon_sym___attribute__] = ACTIONS(2017),
    [anon_sym___attribute] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2019),
    [anon_sym___declspec] = ACTIONS(2017),
    [anon_sym___based] = ACTIONS(2017),
    [anon_sym_RBRACE] = ACTIONS(2019),
    [anon_sym_signed] = ACTIONS(2017),
    [anon_sym_unsigned] = ACTIONS(2017),
    [anon_sym_long] = ACTIONS(2017),
    [anon_sym_short] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_register] = ACTIONS(2017),
    [anon_sym_inline] = ACTIONS(2017),
    [anon_sym___inline] = ACTIONS(2017),
    [anon_sym___inline__] = ACTIONS(2017),
    [anon_sym___forceinline] = ACTIONS(2017),
    [anon_sym_thread_local] = ACTIONS(2017),
    [anon_sym___thread] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_constexpr] = ACTIONS(2017),
    [anon_sym_volatile] = ACTIONS(2017),
    [anon_sym_restrict] = ACTIONS(2017),
    [anon_sym___restrict__] = ACTIONS(2017),
    [anon_sym__Atomic] = ACTIONS(2017),
    [anon_sym__Noreturn] = ACTIONS(2017),
    [anon_sym_noreturn] = ACTIONS(2017),
    [anon_sym__Nonnull] = ACTIONS(2017),
    [anon_sym_mutable] = ACTIONS(2017),
    [anon_sym_constinit] = ACTIONS(2017),
    [anon_sym_consteval] = ACTIONS(2017),
    [anon_sym_alignas] = ACTIONS(2017),
    [anon_sym__Alignas] = ACTIONS(2017),
    [sym_primitive_type] = ACTIONS(2017),
    [anon_sym_enum] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_struct] = ACTIONS(2017),
    [anon_sym_union] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2017),
    [anon_sym_decltype] = ACTIONS(2017),
    [anon_sym_explicit] = ACTIONS(2017),
    [anon_sym_typename] = ACTIONS(2017),
    [anon_sym_template] = ACTIONS(2017),
    [anon_sym_operator] = ACTIONS(2017),
    [anon_sym_friend] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_using] = ACTIONS(2017),
    [anon_sym_static_assert] = ACTIONS(2017),
    [anon_sym_catch] = ACTIONS(5460),
    [anon_sym_precise] = ACTIONS(2017),
    [anon_sym_shared] = ACTIONS(2017),
    [anon_sym_groupshared] = ACTIONS(2017),
    [anon_sym_uniform] = ACTIONS(2017),
    [anon_sym_row_major] = ACTIONS(2017),
    [anon_sym_column_major] = ACTIONS(2017),
    [anon_sym_globallycoherent] = ACTIONS(2017),
    [anon_sym_centroid] = ACTIONS(2017),
    [anon_sym_noperspective] = ACTIONS(2017),
    [anon_sym_nointerpolation] = ACTIONS(2017),
    [anon_sym_sample] = ACTIONS(2017),
    [anon_sym_linear] = ACTIONS(2017),
    [anon_sym_snorm] = ACTIONS(2017),
    [anon_sym_unorm] = ACTIONS(2017),
    [anon_sym_point] = ACTIONS(2017),
    [anon_sym_line] = ACTIONS(2017),
    [anon_sym_triangleadj] = ACTIONS(2017),
    [anon_sym_lineadj] = ACTIONS(2017),
    [anon_sym_triangle] = ACTIONS(2017),
  },
  [1959] = {
    [sym_catch_clause] = STATE(1963),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1963),
    [sym_identifier] = ACTIONS(2017),
    [aux_sym_preproc_def_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token1] = ACTIONS(2017),
    [aux_sym_preproc_if_token2] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2017),
    [sym_preproc_directive] = ACTIONS(2017),
    [anon_sym_LPAREN2] = ACTIONS(2019),
    [anon_sym_TILDE] = ACTIONS(2019),
    [anon_sym_STAR] = ACTIONS(2019),
    [anon_sym_AMP_AMP] = ACTIONS(2019),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym___extension__] = ACTIONS(2017),
    [anon_sym_typedef] = ACTIONS(2017),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_out] = ACTIONS(2017),
    [anon_sym_inout] = ACTIONS(2017),
    [anon_sym_virtual] = ACTIONS(2017),
    [anon_sym_extern] = ACTIONS(2017),
    [anon_sym___attribute__] = ACTIONS(2017),
    [anon_sym___attribute] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2019),
    [anon_sym___declspec] = ACTIONS(2017),
    [anon_sym___based] = ACTIONS(2017),
    [anon_sym_signed] = ACTIONS(2017),
    [anon_sym_unsigned] = ACTIONS(2017),
    [anon_sym_long] = ACTIONS(2017),
    [anon_sym_short] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_register] = ACTIONS(2017),
    [anon_sym_inline] = ACTIONS(2017),
    [anon_sym___inline] = ACTIONS(2017),
    [anon_sym___inline__] = ACTIONS(2017),
    [anon_sym___forceinline] = ACTIONS(2017),
    [anon_sym_thread_local] = ACTIONS(2017),
    [anon_sym___thread] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_constexpr] = ACTIONS(2017),
    [anon_sym_volatile] = ACTIONS(2017),
    [anon_sym_restrict] = ACTIONS(2017),
    [anon_sym___restrict__] = ACTIONS(2017),
    [anon_sym__Atomic] = ACTIONS(2017),
    [anon_sym__Noreturn] = ACTIONS(2017),
    [anon_sym_noreturn] = ACTIONS(2017),
    [anon_sym__Nonnull] = ACTIONS(2017),
    [anon_sym_mutable] = ACTIONS(2017),
    [anon_sym_constinit] = ACTIONS(2017),
    [anon_sym_consteval] = ACTIONS(2017),
    [anon_sym_alignas] = ACTIONS(2017),
    [anon_sym__Alignas] = ACTIONS(2017),
    [sym_primitive_type] = ACTIONS(2017),
    [anon_sym_enum] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_struct] = ACTIONS(2017),
    [anon_sym_union] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2017),
    [anon_sym_decltype] = ACTIONS(2017),
    [anon_sym_explicit] = ACTIONS(2017),
    [anon_sym_typename] = ACTIONS(2017),
    [anon_sym_template] = ACTIONS(2017),
    [anon_sym_operator] = ACTIONS(2017),
    [anon_sym_friend] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_using] = ACTIONS(2017),
    [anon_sym_static_assert] = ACTIONS(2017),
    [anon_sym_catch] = ACTIONS(5462),
    [anon_sym_precise] = ACTIONS(2017),
    [anon_sym_shared] = ACTIONS(2017),
    [anon_sym_groupshared] = ACTIONS(2017),
    [anon_sym_uniform] = ACTIONS(2017),
    [anon_sym_row_major] = ACTIONS(2017),
    [anon_sym_column_major] = ACTIONS(2017),
    [anon_sym_globallycoherent] = ACTIONS(2017),
    [anon_sym_centroid] = ACTIONS(2017),
    [anon_sym_noperspective] = ACTIONS(2017),
    [anon_sym_nointerpolation] = ACTIONS(2017),
    [anon_sym_sample] = ACTIONS(2017),
    [anon_sym_linear] = ACTIONS(2017),
    [anon_sym_snorm] = ACTIONS(2017),
    [anon_sym_unorm] = ACTIONS(2017),
    [anon_sym_point] = ACTIONS(2017),
    [anon_sym_line] = ACTIONS(2017),
    [anon_sym_triangleadj] = ACTIONS(2017),
    [anon_sym_lineadj] = ACTIONS(2017),
    [anon_sym_triangle] = ACTIONS(2017),
  },
  [1960] = {
    [sym_catch_clause] = STATE(1963),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1963),
    [sym_identifier] = ACTIONS(2013),
    [aux_sym_preproc_def_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token2] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2013),
    [sym_preproc_directive] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym___extension__] = ACTIONS(2013),
    [anon_sym_typedef] = ACTIONS(2013),
    [anon_sym_in] = ACTIONS(2013),
    [anon_sym_out] = ACTIONS(2013),
    [anon_sym_inout] = ACTIONS(2013),
    [anon_sym_virtual] = ACTIONS(2013),
    [anon_sym_extern] = ACTIONS(2013),
    [anon_sym___attribute__] = ACTIONS(2013),
    [anon_sym___attribute] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2015),
    [anon_sym___declspec] = ACTIONS(2013),
    [anon_sym___based] = ACTIONS(2013),
    [anon_sym_signed] = ACTIONS(2013),
    [anon_sym_unsigned] = ACTIONS(2013),
    [anon_sym_long] = ACTIONS(2013),
    [anon_sym_short] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_register] = ACTIONS(2013),
    [anon_sym_inline] = ACTIONS(2013),
    [anon_sym___inline] = ACTIONS(2013),
    [anon_sym___inline__] = ACTIONS(2013),
    [anon_sym___forceinline] = ACTIONS(2013),
    [anon_sym_thread_local] = ACTIONS(2013),
    [anon_sym___thread] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2013),
    [anon_sym_constexpr] = ACTIONS(2013),
    [anon_sym_volatile] = ACTIONS(2013),
    [anon_sym_restrict] = ACTIONS(2013),
    [anon_sym___restrict__] = ACTIONS(2013),
    [anon_sym__Atomic] = ACTIONS(2013),
    [anon_sym__Noreturn] = ACTIONS(2013),
    [anon_sym_noreturn] = ACTIONS(2013),
    [anon_sym__Nonnull] = ACTIONS(2013),
    [anon_sym_mutable] = ACTIONS(2013),
    [anon_sym_constinit] = ACTIONS(2013),
    [anon_sym_consteval] = ACTIONS(2013),
    [anon_sym_alignas] = ACTIONS(2013),
    [anon_sym__Alignas] = ACTIONS(2013),
    [sym_primitive_type] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_struct] = ACTIONS(2013),
    [anon_sym_union] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2013),
    [anon_sym_decltype] = ACTIONS(2013),
    [anon_sym_explicit] = ACTIONS(2013),
    [anon_sym_typename] = ACTIONS(2013),
    [anon_sym_template] = ACTIONS(2013),
    [anon_sym_operator] = ACTIONS(2013),
    [anon_sym_friend] = ACTIONS(2013),
    [anon_sym_public] = ACTIONS(2013),
    [anon_sym_private] = ACTIONS(2013),
    [anon_sym_protected] = ACTIONS(2013),
    [anon_sym_using] = ACTIONS(2013),
    [anon_sym_static_assert] = ACTIONS(2013),
    [anon_sym_catch] = ACTIONS(5462),
    [anon_sym_precise] = ACTIONS(2013),
    [anon_sym_shared] = ACTIONS(2013),
    [anon_sym_groupshared] = ACTIONS(2013),
    [anon_sym_uniform] = ACTIONS(2013),
    [anon_sym_row_major] = ACTIONS(2013),
    [anon_sym_column_major] = ACTIONS(2013),
    [anon_sym_globallycoherent] = ACTIONS(2013),
    [anon_sym_centroid] = ACTIONS(2013),
    [anon_sym_noperspective] = ACTIONS(2013),
    [anon_sym_nointerpolation] = ACTIONS(2013),
    [anon_sym_sample] = ACTIONS(2013),
    [anon_sym_linear] = ACTIONS(2013),
    [anon_sym_snorm] = ACTIONS(2013),
    [anon_sym_unorm] = ACTIONS(2013),
    [anon_sym_point] = ACTIONS(2013),
    [anon_sym_line] = ACTIONS(2013),
    [anon_sym_triangleadj] = ACTIONS(2013),
    [anon_sym_lineadj] = ACTIONS(2013),
    [anon_sym_triangle] = ACTIONS(2013),
  },
  [1961] = {
    [sym_catch_clause] = STATE(1963),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1963),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token2] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1997),
    [sym_preproc_directive] = ACTIONS(1997),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_AMP_AMP] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym___extension__] = ACTIONS(1997),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1997),
    [anon_sym_out] = ACTIONS(1997),
    [anon_sym_inout] = ACTIONS(1997),
    [anon_sym_virtual] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(1997),
    [anon_sym___attribute__] = ACTIONS(1997),
    [anon_sym___attribute] = ACTIONS(1997),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(1997),
    [anon_sym___based] = ACTIONS(1997),
    [anon_sym_signed] = ACTIONS(1997),
    [anon_sym_unsigned] = ACTIONS(1997),
    [anon_sym_long] = ACTIONS(1997),
    [anon_sym_short] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_register] = ACTIONS(1997),
    [anon_sym_inline] = ACTIONS(1997),
    [anon_sym___inline] = ACTIONS(1997),
    [anon_sym___inline__] = ACTIONS(1997),
    [anon_sym___forceinline] = ACTIONS(1997),
    [anon_sym_thread_local] = ACTIONS(1997),
    [anon_sym___thread] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_constexpr] = ACTIONS(1997),
    [anon_sym_volatile] = ACTIONS(1997),
    [anon_sym_restrict] = ACTIONS(1997),
    [anon_sym___restrict__] = ACTIONS(1997),
    [anon_sym__Atomic] = ACTIONS(1997),
    [anon_sym__Noreturn] = ACTIONS(1997),
    [anon_sym_noreturn] = ACTIONS(1997),
    [anon_sym__Nonnull] = ACTIONS(1997),
    [anon_sym_mutable] = ACTIONS(1997),
    [anon_sym_constinit] = ACTIONS(1997),
    [anon_sym_consteval] = ACTIONS(1997),
    [anon_sym_alignas] = ACTIONS(1997),
    [anon_sym__Alignas] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_struct] = ACTIONS(1997),
    [anon_sym_union] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1997),
    [anon_sym_decltype] = ACTIONS(1997),
    [anon_sym_explicit] = ACTIONS(1997),
    [anon_sym_typename] = ACTIONS(1997),
    [anon_sym_template] = ACTIONS(1997),
    [anon_sym_operator] = ACTIONS(1997),
    [anon_sym_friend] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_using] = ACTIONS(1997),
    [anon_sym_static_assert] = ACTIONS(1997),
    [anon_sym_catch] = ACTIONS(5462),
    [anon_sym_precise] = ACTIONS(1997),
    [anon_sym_shared] = ACTIONS(1997),
    [anon_sym_groupshared] = ACTIONS(1997),
    [anon_sym_uniform] = ACTIONS(1997),
    [anon_sym_row_major] = ACTIONS(1997),
    [anon_sym_column_major] = ACTIONS(1997),
    [anon_sym_globallycoherent] = ACTIONS(1997),
    [anon_sym_centroid] = ACTIONS(1997),
    [anon_sym_noperspective] = ACTIONS(1997),
    [anon_sym_nointerpolation] = ACTIONS(1997),
    [anon_sym_sample] = ACTIONS(1997),
    [anon_sym_linear] = ACTIONS(1997),
    [anon_sym_snorm] = ACTIONS(1997),
    [anon_sym_unorm] = ACTIONS(1997),
    [anon_sym_point] = ACTIONS(1997),
    [anon_sym_line] = ACTIONS(1997),
    [anon_sym_triangleadj] = ACTIONS(1997),
    [anon_sym_lineadj] = ACTIONS(1997),
    [anon_sym_triangle] = ACTIONS(1997),
  },
  [1962] = {
    [sym_catch_clause] = STATE(1962),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1962),
    [sym_identifier] = ACTIONS(1980),
    [aux_sym_preproc_def_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1980),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_AMP_AMP] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1980),
    [anon_sym_typedef] = ACTIONS(1980),
    [anon_sym_in] = ACTIONS(1980),
    [anon_sym_out] = ACTIONS(1980),
    [anon_sym_inout] = ACTIONS(1980),
    [anon_sym_virtual] = ACTIONS(1980),
    [anon_sym_extern] = ACTIONS(1980),
    [anon_sym___attribute__] = ACTIONS(1980),
    [anon_sym___attribute] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1982),
    [anon_sym___declspec] = ACTIONS(1980),
    [anon_sym___based] = ACTIONS(1980),
    [anon_sym_RBRACE] = ACTIONS(1982),
    [anon_sym_signed] = ACTIONS(1980),
    [anon_sym_unsigned] = ACTIONS(1980),
    [anon_sym_long] = ACTIONS(1980),
    [anon_sym_short] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_register] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(1980),
    [anon_sym___inline] = ACTIONS(1980),
    [anon_sym___inline__] = ACTIONS(1980),
    [anon_sym___forceinline] = ACTIONS(1980),
    [anon_sym_thread_local] = ACTIONS(1980),
    [anon_sym___thread] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_constexpr] = ACTIONS(1980),
    [anon_sym_volatile] = ACTIONS(1980),
    [anon_sym_restrict] = ACTIONS(1980),
    [anon_sym___restrict__] = ACTIONS(1980),
    [anon_sym__Atomic] = ACTIONS(1980),
    [anon_sym__Noreturn] = ACTIONS(1980),
    [anon_sym_noreturn] = ACTIONS(1980),
    [anon_sym__Nonnull] = ACTIONS(1980),
    [anon_sym_mutable] = ACTIONS(1980),
    [anon_sym_constinit] = ACTIONS(1980),
    [anon_sym_consteval] = ACTIONS(1980),
    [anon_sym_alignas] = ACTIONS(1980),
    [anon_sym__Alignas] = ACTIONS(1980),
    [sym_primitive_type] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_struct] = ACTIONS(1980),
    [anon_sym_union] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1980),
    [anon_sym_decltype] = ACTIONS(1980),
    [anon_sym_explicit] = ACTIONS(1980),
    [anon_sym_typename] = ACTIONS(1980),
    [anon_sym_template] = ACTIONS(1980),
    [anon_sym_operator] = ACTIONS(1980),
    [anon_sym_friend] = ACTIONS(1980),
    [anon_sym_public] = ACTIONS(1980),
    [anon_sym_private] = ACTIONS(1980),
    [anon_sym_protected] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1980),
    [anon_sym_static_assert] = ACTIONS(1980),
    [anon_sym_catch] = ACTIONS(5464),
    [anon_sym_precise] = ACTIONS(1980),
    [anon_sym_shared] = ACTIONS(1980),
    [anon_sym_groupshared] = ACTIONS(1980),
    [anon_sym_uniform] = ACTIONS(1980),
    [anon_sym_row_major] = ACTIONS(1980),
    [anon_sym_column_major] = ACTIONS(1980),
    [anon_sym_globallycoherent] = ACTIONS(1980),
    [anon_sym_centroid] = ACTIONS(1980),
    [anon_sym_noperspective] = ACTIONS(1980),
    [anon_sym_nointerpolation] = ACTIONS(1980),
    [anon_sym_sample] = ACTIONS(1980),
    [anon_sym_linear] = ACTIONS(1980),
    [anon_sym_snorm] = ACTIONS(1980),
    [anon_sym_unorm] = ACTIONS(1980),
    [anon_sym_point] = ACTIONS(1980),
    [anon_sym_line] = ACTIONS(1980),
    [anon_sym_triangleadj] = ACTIONS(1980),
    [anon_sym_lineadj] = ACTIONS(1980),
    [anon_sym_triangle] = ACTIONS(1980),
  },
  [1963] = {
    [sym_catch_clause] = STATE(1963),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1963),
    [sym_identifier] = ACTIONS(1980),
    [aux_sym_preproc_def_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1980),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_AMP_AMP] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1980),
    [anon_sym_typedef] = ACTIONS(1980),
    [anon_sym_in] = ACTIONS(1980),
    [anon_sym_out] = ACTIONS(1980),
    [anon_sym_inout] = ACTIONS(1980),
    [anon_sym_virtual] = ACTIONS(1980),
    [anon_sym_extern] = ACTIONS(1980),
    [anon_sym___attribute__] = ACTIONS(1980),
    [anon_sym___attribute] = ACTIONS(1980),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1982),
    [anon_sym___declspec] = ACTIONS(1980),
    [anon_sym___based] = ACTIONS(1980),
    [anon_sym_signed] = ACTIONS(1980),
    [anon_sym_unsigned] = ACTIONS(1980),
    [anon_sym_long] = ACTIONS(1980),
    [anon_sym_short] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_register] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(1980),
    [anon_sym___inline] = ACTIONS(1980),
    [anon_sym___inline__] = ACTIONS(1980),
    [anon_sym___forceinline] = ACTIONS(1980),
    [anon_sym_thread_local] = ACTIONS(1980),
    [anon_sym___thread] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_constexpr] = ACTIONS(1980),
    [anon_sym_volatile] = ACTIONS(1980),
    [anon_sym_restrict] = ACTIONS(1980),
    [anon_sym___restrict__] = ACTIONS(1980),
    [anon_sym__Atomic] = ACTIONS(1980),
    [anon_sym__Noreturn] = ACTIONS(1980),
    [anon_sym_noreturn] = ACTIONS(1980),
    [anon_sym__Nonnull] = ACTIONS(1980),
    [anon_sym_mutable] = ACTIONS(1980),
    [anon_sym_constinit] = ACTIONS(1980),
    [anon_sym_consteval] = ACTIONS(1980),
    [anon_sym_alignas] = ACTIONS(1980),
    [anon_sym__Alignas] = ACTIONS(1980),
    [sym_primitive_type] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_struct] = ACTIONS(1980),
    [anon_sym_union] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1980),
    [anon_sym_decltype] = ACTIONS(1980),
    [anon_sym_explicit] = ACTIONS(1980),
    [anon_sym_typename] = ACTIONS(1980),
    [anon_sym_template] = ACTIONS(1980),
    [anon_sym_operator] = ACTIONS(1980),
    [anon_sym_friend] = ACTIONS(1980),
    [anon_sym_public] = ACTIONS(1980),
    [anon_sym_private] = ACTIONS(1980),
    [anon_sym_protected] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1980),
    [anon_sym_static_assert] = ACTIONS(1980),
    [anon_sym_catch] = ACTIONS(5467),
    [anon_sym_precise] = ACTIONS(1980),
    [anon_sym_shared] = ACTIONS(1980),
    [anon_sym_groupshared] = ACTIONS(1980),
    [anon_sym_uniform] = ACTIONS(1980),
    [anon_sym_row_major] = ACTIONS(1980),
    [anon_sym_column_major] = ACTIONS(1980),
    [anon_sym_globallycoherent] = ACTIONS(1980),
    [anon_sym_centroid] = ACTIONS(1980),
    [anon_sym_noperspective] = ACTIONS(1980),
    [anon_sym_nointerpolation] = ACTIONS(1980),
    [anon_sym_sample] = ACTIONS(1980),
    [anon_sym_linear] = ACTIONS(1980),
    [anon_sym_snorm] = ACTIONS(1980),
    [anon_sym_unorm] = ACTIONS(1980),
    [anon_sym_point] = ACTIONS(1980),
    [anon_sym_line] = ACTIONS(1980),
    [anon_sym_triangleadj] = ACTIONS(1980),
    [anon_sym_lineadj] = ACTIONS(1980),
    [anon_sym_triangle] = ACTIONS(1980),
  },
  [1964] = {
    [sym_catch_clause] = STATE(1962),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1962),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1997),
    [aux_sym_preproc_if_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1997),
    [sym_preproc_directive] = ACTIONS(1997),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_AMP_AMP] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym___extension__] = ACTIONS(1997),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1997),
    [anon_sym_out] = ACTIONS(1997),
    [anon_sym_inout] = ACTIONS(1997),
    [anon_sym_virtual] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(1997),
    [anon_sym___attribute__] = ACTIONS(1997),
    [anon_sym___attribute] = ACTIONS(1997),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(1997),
    [anon_sym___based] = ACTIONS(1997),
    [anon_sym_RBRACE] = ACTIONS(1999),
    [anon_sym_signed] = ACTIONS(1997),
    [anon_sym_unsigned] = ACTIONS(1997),
    [anon_sym_long] = ACTIONS(1997),
    [anon_sym_short] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_register] = ACTIONS(1997),
    [anon_sym_inline] = ACTIONS(1997),
    [anon_sym___inline] = ACTIONS(1997),
    [anon_sym___inline__] = ACTIONS(1997),
    [anon_sym___forceinline] = ACTIONS(1997),
    [anon_sym_thread_local] = ACTIONS(1997),
    [anon_sym___thread] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_constexpr] = ACTIONS(1997),
    [anon_sym_volatile] = ACTIONS(1997),
    [anon_sym_restrict] = ACTIONS(1997),
    [anon_sym___restrict__] = ACTIONS(1997),
    [anon_sym__Atomic] = ACTIONS(1997),
    [anon_sym__Noreturn] = ACTIONS(1997),
    [anon_sym_noreturn] = ACTIONS(1997),
    [anon_sym__Nonnull] = ACTIONS(1997),
    [anon_sym_mutable] = ACTIONS(1997),
    [anon_sym_constinit] = ACTIONS(1997),
    [anon_sym_consteval] = ACTIONS(1997),
    [anon_sym_alignas] = ACTIONS(1997),
    [anon_sym__Alignas] = ACTIONS(1997),
    [sym_primitive_type] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_struct] = ACTIONS(1997),
    [anon_sym_union] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1997),
    [anon_sym_decltype] = ACTIONS(1997),
    [anon_sym_explicit] = ACTIONS(1997),
    [anon_sym_typename] = ACTIONS(1997),
    [anon_sym_template] = ACTIONS(1997),
    [anon_sym_operator] = ACTIONS(1997),
    [anon_sym_friend] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_using] = ACTIONS(1997),
    [anon_sym_static_assert] = ACTIONS(1997),
    [anon_sym_catch] = ACTIONS(5460),
    [anon_sym_precise] = ACTIONS(1997),
    [anon_sym_shared] = ACTIONS(1997),
    [anon_sym_groupshared] = ACTIONS(1997),
    [anon_sym_uniform] = ACTIONS(1997),
    [anon_sym_row_major] = ACTIONS(1997),
    [anon_sym_column_major] = ACTIONS(1997),
    [anon_sym_globallycoherent] = ACTIONS(1997),
    [anon_sym_centroid] = ACTIONS(1997),
    [anon_sym_noperspective] = ACTIONS(1997),
    [anon_sym_nointerpolation] = ACTIONS(1997),
    [anon_sym_sample] = ACTIONS(1997),
    [anon_sym_linear] = ACTIONS(1997),
    [anon_sym_snorm] = ACTIONS(1997),
    [anon_sym_unorm] = ACTIONS(1997),
    [anon_sym_point] = ACTIONS(1997),
    [anon_sym_line] = ACTIONS(1997),
    [anon_sym_triangleadj] = ACTIONS(1997),
    [anon_sym_lineadj] = ACTIONS(1997),
    [anon_sym_triangle] = ACTIONS(1997),
  },
  [1965] = {
    [sym_catch_clause] = STATE(1962),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1962),
    [sym_identifier] = ACTIONS(2013),
    [aux_sym_preproc_def_token1] = ACTIONS(2013),
    [aux_sym_preproc_if_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2013),
    [sym_preproc_directive] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym___extension__] = ACTIONS(2013),
    [anon_sym_typedef] = ACTIONS(2013),
    [anon_sym_in] = ACTIONS(2013),
    [anon_sym_out] = ACTIONS(2013),
    [anon_sym_inout] = ACTIONS(2013),
    [anon_sym_virtual] = ACTIONS(2013),
    [anon_sym_extern] = ACTIONS(2013),
    [anon_sym___attribute__] = ACTIONS(2013),
    [anon_sym___attribute] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2015),
    [anon_sym___declspec] = ACTIONS(2013),
    [anon_sym___based] = ACTIONS(2013),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_signed] = ACTIONS(2013),
    [anon_sym_unsigned] = ACTIONS(2013),
    [anon_sym_long] = ACTIONS(2013),
    [anon_sym_short] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_register] = ACTIONS(2013),
    [anon_sym_inline] = ACTIONS(2013),
    [anon_sym___inline] = ACTIONS(2013),
    [anon_sym___inline__] = ACTIONS(2013),
    [anon_sym___forceinline] = ACTIONS(2013),
    [anon_sym_thread_local] = ACTIONS(2013),
    [anon_sym___thread] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2013),
    [anon_sym_constexpr] = ACTIONS(2013),
    [anon_sym_volatile] = ACTIONS(2013),
    [anon_sym_restrict] = ACTIONS(2013),
    [anon_sym___restrict__] = ACTIONS(2013),
    [anon_sym__Atomic] = ACTIONS(2013),
    [anon_sym__Noreturn] = ACTIONS(2013),
    [anon_sym_noreturn] = ACTIONS(2013),
    [anon_sym__Nonnull] = ACTIONS(2013),
    [anon_sym_mutable] = ACTIONS(2013),
    [anon_sym_constinit] = ACTIONS(2013),
    [anon_sym_consteval] = ACTIONS(2013),
    [anon_sym_alignas] = ACTIONS(2013),
    [anon_sym__Alignas] = ACTIONS(2013),
    [sym_primitive_type] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_struct] = ACTIONS(2013),
    [anon_sym_union] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2013),
    [anon_sym_decltype] = ACTIONS(2013),
    [anon_sym_explicit] = ACTIONS(2013),
    [anon_sym_typename] = ACTIONS(2013),
    [anon_sym_template] = ACTIONS(2013),
    [anon_sym_operator] = ACTIONS(2013),
    [anon_sym_friend] = ACTIONS(2013),
    [anon_sym_public] = ACTIONS(2013),
    [anon_sym_private] = ACTIONS(2013),
    [anon_sym_protected] = ACTIONS(2013),
    [anon_sym_using] = ACTIONS(2013),
    [anon_sym_static_assert] = ACTIONS(2013),
    [anon_sym_catch] = ACTIONS(5460),
    [anon_sym_precise] = ACTIONS(2013),
    [anon_sym_shared] = ACTIONS(2013),
    [anon_sym_groupshared] = ACTIONS(2013),
    [anon_sym_uniform] = ACTIONS(2013),
    [anon_sym_row_major] = ACTIONS(2013),
    [anon_sym_column_major] = ACTIONS(2013),
    [anon_sym_globallycoherent] = ACTIONS(2013),
    [anon_sym_centroid] = ACTIONS(2013),
    [anon_sym_noperspective] = ACTIONS(2013),
    [anon_sym_nointerpolation] = ACTIONS(2013),
    [anon_sym_sample] = ACTIONS(2013),
    [anon_sym_linear] = ACTIONS(2013),
    [anon_sym_snorm] = ACTIONS(2013),
    [anon_sym_unorm] = ACTIONS(2013),
    [anon_sym_point] = ACTIONS(2013),
    [anon_sym_line] = ACTIONS(2013),
    [anon_sym_triangleadj] = ACTIONS(2013),
    [anon_sym_lineadj] = ACTIONS(2013),
    [anon_sym_triangle] = ACTIONS(2013),
  },
  [1966] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5028),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5472),
    [anon_sym_TILDE] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE] = ACTIONS(5472),
    [anon_sym_AMP_AMP] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(5470),
    [anon_sym___extension__] = ACTIONS(5470),
    [anon_sym_in] = ACTIONS(5470),
    [anon_sym_out] = ACTIONS(5470),
    [anon_sym_inout] = ACTIONS(5470),
    [anon_sym_virtual] = ACTIONS(5470),
    [anon_sym_extern] = ACTIONS(5470),
    [anon_sym___attribute__] = ACTIONS(5470),
    [anon_sym___attribute] = ACTIONS(5470),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5472),
    [anon_sym___declspec] = ACTIONS(5470),
    [anon_sym___based] = ACTIONS(5470),
    [anon_sym___cdecl] = ACTIONS(5470),
    [anon_sym___clrcall] = ACTIONS(5470),
    [anon_sym___stdcall] = ACTIONS(5470),
    [anon_sym___fastcall] = ACTIONS(5470),
    [anon_sym___thiscall] = ACTIONS(5470),
    [anon_sym___vectorcall] = ACTIONS(5470),
    [anon_sym_signed] = ACTIONS(5470),
    [anon_sym_unsigned] = ACTIONS(5470),
    [anon_sym_long] = ACTIONS(5470),
    [anon_sym_short] = ACTIONS(5470),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_static] = ACTIONS(5470),
    [anon_sym_register] = ACTIONS(5470),
    [anon_sym_inline] = ACTIONS(5470),
    [anon_sym___inline] = ACTIONS(5470),
    [anon_sym___inline__] = ACTIONS(5470),
    [anon_sym___forceinline] = ACTIONS(5470),
    [anon_sym_thread_local] = ACTIONS(5470),
    [anon_sym___thread] = ACTIONS(5470),
    [anon_sym_const] = ACTIONS(5470),
    [anon_sym_constexpr] = ACTIONS(5470),
    [anon_sym_volatile] = ACTIONS(5470),
    [anon_sym_restrict] = ACTIONS(5470),
    [anon_sym___restrict__] = ACTIONS(5470),
    [anon_sym__Atomic] = ACTIONS(5470),
    [anon_sym__Noreturn] = ACTIONS(5470),
    [anon_sym_noreturn] = ACTIONS(5470),
    [anon_sym__Nonnull] = ACTIONS(5470),
    [anon_sym_mutable] = ACTIONS(5470),
    [anon_sym_constinit] = ACTIONS(5470),
    [anon_sym_consteval] = ACTIONS(5470),
    [anon_sym_alignas] = ACTIONS(5470),
    [anon_sym__Alignas] = ACTIONS(5470),
    [sym_primitive_type] = ACTIONS(5470),
    [anon_sym_enum] = ACTIONS(5470),
    [anon_sym_class] = ACTIONS(5470),
    [anon_sym_struct] = ACTIONS(5470),
    [anon_sym_union] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5470),
    [anon_sym_and] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5470),
    [anon_sym_decltype] = ACTIONS(5470),
    [anon_sym_final] = ACTIONS(5470),
    [anon_sym_override] = ACTIONS(5470),
    [anon_sym_explicit] = ACTIONS(5470),
    [anon_sym_typename] = ACTIONS(5470),
    [anon_sym_template] = ACTIONS(5470),
    [anon_sym_operator] = ACTIONS(5470),
    [anon_sym_friend] = ACTIONS(5470),
    [anon_sym_using] = ACTIONS(5470),
    [anon_sym_concept] = ACTIONS(5470),
    [anon_sym_requires] = ACTIONS(5470),
    [anon_sym_precise] = ACTIONS(5470),
    [anon_sym_shared] = ACTIONS(5470),
    [anon_sym_groupshared] = ACTIONS(5470),
    [anon_sym_uniform] = ACTIONS(5470),
    [anon_sym_row_major] = ACTIONS(5470),
    [anon_sym_column_major] = ACTIONS(5470),
    [anon_sym_globallycoherent] = ACTIONS(5470),
    [anon_sym_centroid] = ACTIONS(5470),
    [anon_sym_noperspective] = ACTIONS(5470),
    [anon_sym_nointerpolation] = ACTIONS(5470),
    [anon_sym_sample] = ACTIONS(5470),
    [anon_sym_linear] = ACTIONS(5470),
    [anon_sym_snorm] = ACTIONS(5470),
    [anon_sym_unorm] = ACTIONS(5470),
    [anon_sym_point] = ACTIONS(5470),
    [anon_sym_line] = ACTIONS(5470),
    [anon_sym_triangleadj] = ACTIONS(5470),
    [anon_sym_lineadj] = ACTIONS(5470),
    [anon_sym_triangle] = ACTIONS(5470),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5476),
    [anon_sym_TILDE] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_PIPE_PIPE] = ACTIONS(5476),
    [anon_sym_AMP_AMP] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym___extension__] = ACTIONS(5474),
    [anon_sym_in] = ACTIONS(5474),
    [anon_sym_out] = ACTIONS(5474),
    [anon_sym_inout] = ACTIONS(5474),
    [anon_sym_virtual] = ACTIONS(5474),
    [anon_sym_extern] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym___attribute] = ACTIONS(5474),
    [anon_sym_COLON_COLON] = ACTIONS(5476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5476),
    [anon_sym___declspec] = ACTIONS(5474),
    [anon_sym___based] = ACTIONS(5474),
    [anon_sym___cdecl] = ACTIONS(5474),
    [anon_sym___clrcall] = ACTIONS(5474),
    [anon_sym___stdcall] = ACTIONS(5474),
    [anon_sym___fastcall] = ACTIONS(5474),
    [anon_sym___thiscall] = ACTIONS(5474),
    [anon_sym___vectorcall] = ACTIONS(5474),
    [anon_sym_signed] = ACTIONS(5474),
    [anon_sym_unsigned] = ACTIONS(5474),
    [anon_sym_long] = ACTIONS(5474),
    [anon_sym_short] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_static] = ACTIONS(5474),
    [anon_sym_register] = ACTIONS(5474),
    [anon_sym_inline] = ACTIONS(5474),
    [anon_sym___inline] = ACTIONS(5474),
    [anon_sym___inline__] = ACTIONS(5474),
    [anon_sym___forceinline] = ACTIONS(5474),
    [anon_sym_thread_local] = ACTIONS(5474),
    [anon_sym___thread] = ACTIONS(5474),
    [anon_sym_const] = ACTIONS(5474),
    [anon_sym_constexpr] = ACTIONS(5474),
    [anon_sym_volatile] = ACTIONS(5474),
    [anon_sym_restrict] = ACTIONS(5474),
    [anon_sym___restrict__] = ACTIONS(5474),
    [anon_sym__Atomic] = ACTIONS(5474),
    [anon_sym__Noreturn] = ACTIONS(5474),
    [anon_sym_noreturn] = ACTIONS(5474),
    [anon_sym__Nonnull] = ACTIONS(5474),
    [anon_sym_mutable] = ACTIONS(5474),
    [anon_sym_constinit] = ACTIONS(5474),
    [anon_sym_consteval] = ACTIONS(5474),
    [anon_sym_alignas] = ACTIONS(5474),
    [anon_sym__Alignas] = ACTIONS(5474),
    [sym_primitive_type] = ACTIONS(5474),
    [anon_sym_enum] = ACTIONS(5474),
    [anon_sym_class] = ACTIONS(5474),
    [anon_sym_struct] = ACTIONS(5474),
    [anon_sym_union] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
    [anon_sym_final] = ACTIONS(5474),
    [anon_sym_override] = ACTIONS(5474),
    [anon_sym_explicit] = ACTIONS(5474),
    [anon_sym_typename] = ACTIONS(5474),
    [anon_sym_template] = ACTIONS(5474),
    [anon_sym_operator] = ACTIONS(5474),
    [anon_sym_friend] = ACTIONS(5474),
    [anon_sym_using] = ACTIONS(5474),
    [anon_sym_concept] = ACTIONS(5474),
    [anon_sym_requires] = ACTIONS(5474),
    [anon_sym_precise] = ACTIONS(5474),
    [anon_sym_shared] = ACTIONS(5474),
    [anon_sym_groupshared] = ACTIONS(5474),
    [anon_sym_uniform] = ACTIONS(5474),
    [anon_sym_row_major] = ACTIONS(5474),
    [anon_sym_column_major] = ACTIONS(5474),
    [anon_sym_globallycoherent] = ACTIONS(5474),
    [anon_sym_centroid] = ACTIONS(5474),
    [anon_sym_noperspective] = ACTIONS(5474),
    [anon_sym_nointerpolation] = ACTIONS(5474),
    [anon_sym_sample] = ACTIONS(5474),
    [anon_sym_linear] = ACTIONS(5474),
    [anon_sym_snorm] = ACTIONS(5474),
    [anon_sym_unorm] = ACTIONS(5474),
    [anon_sym_point] = ACTIONS(5474),
    [anon_sym_line] = ACTIONS(5474),
    [anon_sym_triangleadj] = ACTIONS(5474),
    [anon_sym_lineadj] = ACTIONS(5474),
    [anon_sym_triangle] = ACTIONS(5474),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5480),
    [anon_sym_TILDE] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5480),
    [anon_sym_PIPE_PIPE] = ACTIONS(5480),
    [anon_sym_AMP_AMP] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5478),
    [anon_sym_in] = ACTIONS(5478),
    [anon_sym_out] = ACTIONS(5478),
    [anon_sym_inout] = ACTIONS(5478),
    [anon_sym_virtual] = ACTIONS(5478),
    [anon_sym_extern] = ACTIONS(5478),
    [anon_sym___attribute__] = ACTIONS(5478),
    [anon_sym___attribute] = ACTIONS(5478),
    [anon_sym_COLON_COLON] = ACTIONS(5480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5480),
    [anon_sym___declspec] = ACTIONS(5478),
    [anon_sym___based] = ACTIONS(5478),
    [anon_sym___cdecl] = ACTIONS(5478),
    [anon_sym___clrcall] = ACTIONS(5478),
    [anon_sym___stdcall] = ACTIONS(5478),
    [anon_sym___fastcall] = ACTIONS(5478),
    [anon_sym___thiscall] = ACTIONS(5478),
    [anon_sym___vectorcall] = ACTIONS(5478),
    [anon_sym_signed] = ACTIONS(5478),
    [anon_sym_unsigned] = ACTIONS(5478),
    [anon_sym_long] = ACTIONS(5478),
    [anon_sym_short] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_static] = ACTIONS(5478),
    [anon_sym_register] = ACTIONS(5478),
    [anon_sym_inline] = ACTIONS(5478),
    [anon_sym___inline] = ACTIONS(5478),
    [anon_sym___inline__] = ACTIONS(5478),
    [anon_sym___forceinline] = ACTIONS(5478),
    [anon_sym_thread_local] = ACTIONS(5478),
    [anon_sym___thread] = ACTIONS(5478),
    [anon_sym_const] = ACTIONS(5478),
    [anon_sym_constexpr] = ACTIONS(5478),
    [anon_sym_volatile] = ACTIONS(5478),
    [anon_sym_restrict] = ACTIONS(5478),
    [anon_sym___restrict__] = ACTIONS(5478),
    [anon_sym__Atomic] = ACTIONS(5478),
    [anon_sym__Noreturn] = ACTIONS(5478),
    [anon_sym_noreturn] = ACTIONS(5478),
    [anon_sym__Nonnull] = ACTIONS(5478),
    [anon_sym_mutable] = ACTIONS(5478),
    [anon_sym_constinit] = ACTIONS(5478),
    [anon_sym_consteval] = ACTIONS(5478),
    [anon_sym_alignas] = ACTIONS(5478),
    [anon_sym__Alignas] = ACTIONS(5478),
    [sym_primitive_type] = ACTIONS(5478),
    [anon_sym_enum] = ACTIONS(5478),
    [anon_sym_class] = ACTIONS(5478),
    [anon_sym_struct] = ACTIONS(5478),
    [anon_sym_union] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5478),
    [anon_sym_decltype] = ACTIONS(5478),
    [anon_sym_final] = ACTIONS(5478),
    [anon_sym_override] = ACTIONS(5478),
    [anon_sym_explicit] = ACTIONS(5478),
    [anon_sym_typename] = ACTIONS(5478),
    [anon_sym_template] = ACTIONS(5478),
    [anon_sym_operator] = ACTIONS(5478),
    [anon_sym_friend] = ACTIONS(5478),
    [anon_sym_using] = ACTIONS(5478),
    [anon_sym_concept] = ACTIONS(5478),
    [anon_sym_requires] = ACTIONS(5478),
    [anon_sym_precise] = ACTIONS(5478),
    [anon_sym_shared] = ACTIONS(5478),
    [anon_sym_groupshared] = ACTIONS(5478),
    [anon_sym_uniform] = ACTIONS(5478),
    [anon_sym_row_major] = ACTIONS(5478),
    [anon_sym_column_major] = ACTIONS(5478),
    [anon_sym_globallycoherent] = ACTIONS(5478),
    [anon_sym_centroid] = ACTIONS(5478),
    [anon_sym_noperspective] = ACTIONS(5478),
    [anon_sym_nointerpolation] = ACTIONS(5478),
    [anon_sym_sample] = ACTIONS(5478),
    [anon_sym_linear] = ACTIONS(5478),
    [anon_sym_snorm] = ACTIONS(5478),
    [anon_sym_unorm] = ACTIONS(5478),
    [anon_sym_point] = ACTIONS(5478),
    [anon_sym_line] = ACTIONS(5478),
    [anon_sym_triangleadj] = ACTIONS(5478),
    [anon_sym_lineadj] = ACTIONS(5478),
    [anon_sym_triangle] = ACTIONS(5478),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5484),
    [anon_sym_TILDE] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5482),
    [anon_sym___extension__] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_out] = ACTIONS(5482),
    [anon_sym_inout] = ACTIONS(5482),
    [anon_sym_virtual] = ACTIONS(5482),
    [anon_sym_extern] = ACTIONS(5482),
    [anon_sym___attribute__] = ACTIONS(5482),
    [anon_sym___attribute] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5484),
    [anon_sym___declspec] = ACTIONS(5482),
    [anon_sym___based] = ACTIONS(5482),
    [anon_sym___cdecl] = ACTIONS(5482),
    [anon_sym___clrcall] = ACTIONS(5482),
    [anon_sym___stdcall] = ACTIONS(5482),
    [anon_sym___fastcall] = ACTIONS(5482),
    [anon_sym___thiscall] = ACTIONS(5482),
    [anon_sym___vectorcall] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5482),
    [anon_sym_unsigned] = ACTIONS(5482),
    [anon_sym_long] = ACTIONS(5482),
    [anon_sym_short] = ACTIONS(5482),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_static] = ACTIONS(5482),
    [anon_sym_register] = ACTIONS(5482),
    [anon_sym_inline] = ACTIONS(5482),
    [anon_sym___inline] = ACTIONS(5482),
    [anon_sym___inline__] = ACTIONS(5482),
    [anon_sym___forceinline] = ACTIONS(5482),
    [anon_sym_thread_local] = ACTIONS(5482),
    [anon_sym___thread] = ACTIONS(5482),
    [anon_sym_const] = ACTIONS(5482),
    [anon_sym_constexpr] = ACTIONS(5482),
    [anon_sym_volatile] = ACTIONS(5482),
    [anon_sym_restrict] = ACTIONS(5482),
    [anon_sym___restrict__] = ACTIONS(5482),
    [anon_sym__Atomic] = ACTIONS(5482),
    [anon_sym__Noreturn] = ACTIONS(5482),
    [anon_sym_noreturn] = ACTIONS(5482),
    [anon_sym__Nonnull] = ACTIONS(5482),
    [anon_sym_mutable] = ACTIONS(5482),
    [anon_sym_constinit] = ACTIONS(5482),
    [anon_sym_consteval] = ACTIONS(5482),
    [anon_sym_alignas] = ACTIONS(5482),
    [anon_sym__Alignas] = ACTIONS(5482),
    [sym_primitive_type] = ACTIONS(5482),
    [anon_sym_enum] = ACTIONS(5482),
    [anon_sym_class] = ACTIONS(5482),
    [anon_sym_struct] = ACTIONS(5482),
    [anon_sym_union] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5482),
    [anon_sym_and] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5482),
    [anon_sym_decltype] = ACTIONS(5482),
    [anon_sym_final] = ACTIONS(5482),
    [anon_sym_override] = ACTIONS(5482),
    [anon_sym_explicit] = ACTIONS(5482),
    [anon_sym_typename] = ACTIONS(5482),
    [anon_sym_template] = ACTIONS(5482),
    [anon_sym_operator] = ACTIONS(5482),
    [anon_sym_friend] = ACTIONS(5482),
    [anon_sym_using] = ACTIONS(5482),
    [anon_sym_concept] = ACTIONS(5482),
    [anon_sym_requires] = ACTIONS(5482),
    [anon_sym_precise] = ACTIONS(5482),
    [anon_sym_shared] = ACTIONS(5482),
    [anon_sym_groupshared] = ACTIONS(5482),
    [anon_sym_uniform] = ACTIONS(5482),
    [anon_sym_row_major] = ACTIONS(5482),
    [anon_sym_column_major] = ACTIONS(5482),
    [anon_sym_globallycoherent] = ACTIONS(5482),
    [anon_sym_centroid] = ACTIONS(5482),
    [anon_sym_noperspective] = ACTIONS(5482),
    [anon_sym_nointerpolation] = ACTIONS(5482),
    [anon_sym_sample] = ACTIONS(5482),
    [anon_sym_linear] = ACTIONS(5482),
    [anon_sym_snorm] = ACTIONS(5482),
    [anon_sym_unorm] = ACTIONS(5482),
    [anon_sym_point] = ACTIONS(5482),
    [anon_sym_line] = ACTIONS(5482),
    [anon_sym_triangleadj] = ACTIONS(5482),
    [anon_sym_lineadj] = ACTIONS(5482),
    [anon_sym_triangle] = ACTIONS(5482),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5488),
    [anon_sym_TILDE] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5488),
    [anon_sym_PIPE_PIPE] = ACTIONS(5488),
    [anon_sym_AMP_AMP] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5486),
    [anon_sym___extension__] = ACTIONS(5486),
    [anon_sym_in] = ACTIONS(5486),
    [anon_sym_out] = ACTIONS(5486),
    [anon_sym_inout] = ACTIONS(5486),
    [anon_sym_virtual] = ACTIONS(5486),
    [anon_sym_extern] = ACTIONS(5486),
    [anon_sym___attribute__] = ACTIONS(5486),
    [anon_sym___attribute] = ACTIONS(5486),
    [anon_sym_COLON_COLON] = ACTIONS(5488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5488),
    [anon_sym___declspec] = ACTIONS(5486),
    [anon_sym___based] = ACTIONS(5486),
    [anon_sym___cdecl] = ACTIONS(5486),
    [anon_sym___clrcall] = ACTIONS(5486),
    [anon_sym___stdcall] = ACTIONS(5486),
    [anon_sym___fastcall] = ACTIONS(5486),
    [anon_sym___thiscall] = ACTIONS(5486),
    [anon_sym___vectorcall] = ACTIONS(5486),
    [anon_sym_signed] = ACTIONS(5486),
    [anon_sym_unsigned] = ACTIONS(5486),
    [anon_sym_long] = ACTIONS(5486),
    [anon_sym_short] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_static] = ACTIONS(5486),
    [anon_sym_register] = ACTIONS(5486),
    [anon_sym_inline] = ACTIONS(5486),
    [anon_sym___inline] = ACTIONS(5486),
    [anon_sym___inline__] = ACTIONS(5486),
    [anon_sym___forceinline] = ACTIONS(5486),
    [anon_sym_thread_local] = ACTIONS(5486),
    [anon_sym___thread] = ACTIONS(5486),
    [anon_sym_const] = ACTIONS(5486),
    [anon_sym_constexpr] = ACTIONS(5486),
    [anon_sym_volatile] = ACTIONS(5486),
    [anon_sym_restrict] = ACTIONS(5486),
    [anon_sym___restrict__] = ACTIONS(5486),
    [anon_sym__Atomic] = ACTIONS(5486),
    [anon_sym__Noreturn] = ACTIONS(5486),
    [anon_sym_noreturn] = ACTIONS(5486),
    [anon_sym__Nonnull] = ACTIONS(5486),
    [anon_sym_mutable] = ACTIONS(5486),
    [anon_sym_constinit] = ACTIONS(5486),
    [anon_sym_consteval] = ACTIONS(5486),
    [anon_sym_alignas] = ACTIONS(5486),
    [anon_sym__Alignas] = ACTIONS(5486),
    [sym_primitive_type] = ACTIONS(5486),
    [anon_sym_enum] = ACTIONS(5486),
    [anon_sym_class] = ACTIONS(5486),
    [anon_sym_struct] = ACTIONS(5486),
    [anon_sym_union] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5486),
    [anon_sym_and] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5486),
    [anon_sym_decltype] = ACTIONS(5486),
    [anon_sym_final] = ACTIONS(5486),
    [anon_sym_override] = ACTIONS(5486),
    [anon_sym_explicit] = ACTIONS(5486),
    [anon_sym_typename] = ACTIONS(5486),
    [anon_sym_template] = ACTIONS(5486),
    [anon_sym_operator] = ACTIONS(5486),
    [anon_sym_friend] = ACTIONS(5486),
    [anon_sym_using] = ACTIONS(5486),
    [anon_sym_concept] = ACTIONS(5486),
    [anon_sym_requires] = ACTIONS(5486),
    [anon_sym_precise] = ACTIONS(5486),
    [anon_sym_shared] = ACTIONS(5486),
    [anon_sym_groupshared] = ACTIONS(5486),
    [anon_sym_uniform] = ACTIONS(5486),
    [anon_sym_row_major] = ACTIONS(5486),
    [anon_sym_column_major] = ACTIONS(5486),
    [anon_sym_globallycoherent] = ACTIONS(5486),
    [anon_sym_centroid] = ACTIONS(5486),
    [anon_sym_noperspective] = ACTIONS(5486),
    [anon_sym_nointerpolation] = ACTIONS(5486),
    [anon_sym_sample] = ACTIONS(5486),
    [anon_sym_linear] = ACTIONS(5486),
    [anon_sym_snorm] = ACTIONS(5486),
    [anon_sym_unorm] = ACTIONS(5486),
    [anon_sym_point] = ACTIONS(5486),
    [anon_sym_line] = ACTIONS(5486),
    [anon_sym_triangleadj] = ACTIONS(5486),
    [anon_sym_lineadj] = ACTIONS(5486),
    [anon_sym_triangle] = ACTIONS(5486),
  },
  [1972] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5034),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5492),
    [anon_sym_TILDE] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5492),
    [anon_sym_PIPE_PIPE] = ACTIONS(5492),
    [anon_sym_AMP_AMP] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5490),
    [anon_sym_in] = ACTIONS(5490),
    [anon_sym_out] = ACTIONS(5490),
    [anon_sym_inout] = ACTIONS(5490),
    [anon_sym_virtual] = ACTIONS(5490),
    [anon_sym_extern] = ACTIONS(5490),
    [anon_sym___attribute__] = ACTIONS(5490),
    [anon_sym___attribute] = ACTIONS(5490),
    [anon_sym_COLON_COLON] = ACTIONS(5492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5492),
    [anon_sym___declspec] = ACTIONS(5490),
    [anon_sym___based] = ACTIONS(5490),
    [anon_sym___cdecl] = ACTIONS(5490),
    [anon_sym___clrcall] = ACTIONS(5490),
    [anon_sym___stdcall] = ACTIONS(5490),
    [anon_sym___fastcall] = ACTIONS(5490),
    [anon_sym___thiscall] = ACTIONS(5490),
    [anon_sym___vectorcall] = ACTIONS(5490),
    [anon_sym_signed] = ACTIONS(5490),
    [anon_sym_unsigned] = ACTIONS(5490),
    [anon_sym_long] = ACTIONS(5490),
    [anon_sym_short] = ACTIONS(5490),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_static] = ACTIONS(5490),
    [anon_sym_register] = ACTIONS(5490),
    [anon_sym_inline] = ACTIONS(5490),
    [anon_sym___inline] = ACTIONS(5490),
    [anon_sym___inline__] = ACTIONS(5490),
    [anon_sym___forceinline] = ACTIONS(5490),
    [anon_sym_thread_local] = ACTIONS(5490),
    [anon_sym___thread] = ACTIONS(5490),
    [anon_sym_const] = ACTIONS(5490),
    [anon_sym_constexpr] = ACTIONS(5490),
    [anon_sym_volatile] = ACTIONS(5490),
    [anon_sym_restrict] = ACTIONS(5490),
    [anon_sym___restrict__] = ACTIONS(5490),
    [anon_sym__Atomic] = ACTIONS(5490),
    [anon_sym__Noreturn] = ACTIONS(5490),
    [anon_sym_noreturn] = ACTIONS(5490),
    [anon_sym__Nonnull] = ACTIONS(5490),
    [anon_sym_mutable] = ACTIONS(5490),
    [anon_sym_constinit] = ACTIONS(5490),
    [anon_sym_consteval] = ACTIONS(5490),
    [anon_sym_alignas] = ACTIONS(5490),
    [anon_sym__Alignas] = ACTIONS(5490),
    [sym_primitive_type] = ACTIONS(5490),
    [anon_sym_enum] = ACTIONS(5490),
    [anon_sym_class] = ACTIONS(5490),
    [anon_sym_struct] = ACTIONS(5490),
    [anon_sym_union] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5490),
    [anon_sym_and] = ACTIONS(5490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5490),
    [anon_sym_decltype] = ACTIONS(5490),
    [anon_sym_final] = ACTIONS(5490),
    [anon_sym_override] = ACTIONS(5490),
    [anon_sym_explicit] = ACTIONS(5490),
    [anon_sym_typename] = ACTIONS(5490),
    [anon_sym_template] = ACTIONS(5490),
    [anon_sym_operator] = ACTIONS(5490),
    [anon_sym_friend] = ACTIONS(5490),
    [anon_sym_using] = ACTIONS(5490),
    [anon_sym_concept] = ACTIONS(5490),
    [anon_sym_requires] = ACTIONS(5490),
    [anon_sym_precise] = ACTIONS(5490),
    [anon_sym_shared] = ACTIONS(5490),
    [anon_sym_groupshared] = ACTIONS(5490),
    [anon_sym_uniform] = ACTIONS(5490),
    [anon_sym_row_major] = ACTIONS(5490),
    [anon_sym_column_major] = ACTIONS(5490),
    [anon_sym_globallycoherent] = ACTIONS(5490),
    [anon_sym_centroid] = ACTIONS(5490),
    [anon_sym_noperspective] = ACTIONS(5490),
    [anon_sym_nointerpolation] = ACTIONS(5490),
    [anon_sym_sample] = ACTIONS(5490),
    [anon_sym_linear] = ACTIONS(5490),
    [anon_sym_snorm] = ACTIONS(5490),
    [anon_sym_unorm] = ACTIONS(5490),
    [anon_sym_point] = ACTIONS(5490),
    [anon_sym_line] = ACTIONS(5490),
    [anon_sym_triangleadj] = ACTIONS(5490),
    [anon_sym_lineadj] = ACTIONS(5490),
    [anon_sym_triangle] = ACTIONS(5490),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5496),
    [anon_sym_LPAREN2] = ACTIONS(5496),
    [anon_sym_TILDE] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5496),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5494),
    [anon_sym___extension__] = ACTIONS(5494),
    [anon_sym_in] = ACTIONS(5494),
    [anon_sym_out] = ACTIONS(5494),
    [anon_sym_inout] = ACTIONS(5494),
    [anon_sym_virtual] = ACTIONS(5494),
    [anon_sym_extern] = ACTIONS(5494),
    [anon_sym___attribute__] = ACTIONS(5494),
    [anon_sym___attribute] = ACTIONS(5494),
    [anon_sym_COLON_COLON] = ACTIONS(5496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5496),
    [anon_sym___declspec] = ACTIONS(5494),
    [anon_sym___based] = ACTIONS(5494),
    [anon_sym___cdecl] = ACTIONS(5494),
    [anon_sym___clrcall] = ACTIONS(5494),
    [anon_sym___stdcall] = ACTIONS(5494),
    [anon_sym___fastcall] = ACTIONS(5494),
    [anon_sym___thiscall] = ACTIONS(5494),
    [anon_sym___vectorcall] = ACTIONS(5494),
    [anon_sym_signed] = ACTIONS(5494),
    [anon_sym_unsigned] = ACTIONS(5494),
    [anon_sym_long] = ACTIONS(5494),
    [anon_sym_short] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_static] = ACTIONS(5494),
    [anon_sym_register] = ACTIONS(5494),
    [anon_sym_inline] = ACTIONS(5494),
    [anon_sym___inline] = ACTIONS(5494),
    [anon_sym___inline__] = ACTIONS(5494),
    [anon_sym___forceinline] = ACTIONS(5494),
    [anon_sym_thread_local] = ACTIONS(5494),
    [anon_sym___thread] = ACTIONS(5494),
    [anon_sym_const] = ACTIONS(5494),
    [anon_sym_constexpr] = ACTIONS(5494),
    [anon_sym_volatile] = ACTIONS(5494),
    [anon_sym_restrict] = ACTIONS(5494),
    [anon_sym___restrict__] = ACTIONS(5494),
    [anon_sym__Atomic] = ACTIONS(5494),
    [anon_sym__Noreturn] = ACTIONS(5494),
    [anon_sym_noreturn] = ACTIONS(5494),
    [anon_sym__Nonnull] = ACTIONS(5494),
    [anon_sym_mutable] = ACTIONS(5494),
    [anon_sym_constinit] = ACTIONS(5494),
    [anon_sym_consteval] = ACTIONS(5494),
    [anon_sym_alignas] = ACTIONS(5494),
    [anon_sym__Alignas] = ACTIONS(5494),
    [sym_primitive_type] = ACTIONS(5494),
    [anon_sym_enum] = ACTIONS(5494),
    [anon_sym_class] = ACTIONS(5494),
    [anon_sym_struct] = ACTIONS(5494),
    [anon_sym_union] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5494),
    [anon_sym_and] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5494),
    [anon_sym_decltype] = ACTIONS(5494),
    [anon_sym_final] = ACTIONS(5494),
    [anon_sym_override] = ACTIONS(5494),
    [anon_sym_explicit] = ACTIONS(5494),
    [anon_sym_typename] = ACTIONS(5494),
    [anon_sym_template] = ACTIONS(5494),
    [anon_sym_operator] = ACTIONS(5494),
    [anon_sym_friend] = ACTIONS(5494),
    [anon_sym_using] = ACTIONS(5494),
    [anon_sym_concept] = ACTIONS(5494),
    [anon_sym_requires] = ACTIONS(5494),
    [anon_sym_precise] = ACTIONS(5494),
    [anon_sym_shared] = ACTIONS(5494),
    [anon_sym_groupshared] = ACTIONS(5494),
    [anon_sym_uniform] = ACTIONS(5494),
    [anon_sym_row_major] = ACTIONS(5494),
    [anon_sym_column_major] = ACTIONS(5494),
    [anon_sym_globallycoherent] = ACTIONS(5494),
    [anon_sym_centroid] = ACTIONS(5494),
    [anon_sym_noperspective] = ACTIONS(5494),
    [anon_sym_nointerpolation] = ACTIONS(5494),
    [anon_sym_sample] = ACTIONS(5494),
    [anon_sym_linear] = ACTIONS(5494),
    [anon_sym_snorm] = ACTIONS(5494),
    [anon_sym_unorm] = ACTIONS(5494),
    [anon_sym_point] = ACTIONS(5494),
    [anon_sym_line] = ACTIONS(5494),
    [anon_sym_triangleadj] = ACTIONS(5494),
    [anon_sym_lineadj] = ACTIONS(5494),
    [anon_sym_triangle] = ACTIONS(5494),
  },
  [1975] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5469),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1976] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5023),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1977] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4953),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1978] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5019),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1979] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5029),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1980] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5046),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1981] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5055),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1982] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(5068),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1983] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4943),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1984] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4950),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1985] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4955),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1986] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4961),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5500),
    [anon_sym_TILDE] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5500),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5498),
    [anon_sym___extension__] = ACTIONS(5498),
    [anon_sym_in] = ACTIONS(5498),
    [anon_sym_out] = ACTIONS(5498),
    [anon_sym_inout] = ACTIONS(5498),
    [anon_sym_virtual] = ACTIONS(5498),
    [anon_sym_extern] = ACTIONS(5498),
    [anon_sym___attribute__] = ACTIONS(5498),
    [anon_sym___attribute] = ACTIONS(5498),
    [anon_sym_COLON_COLON] = ACTIONS(5500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5500),
    [anon_sym___declspec] = ACTIONS(5498),
    [anon_sym___based] = ACTIONS(5498),
    [anon_sym___cdecl] = ACTIONS(5498),
    [anon_sym___clrcall] = ACTIONS(5498),
    [anon_sym___stdcall] = ACTIONS(5498),
    [anon_sym___fastcall] = ACTIONS(5498),
    [anon_sym___thiscall] = ACTIONS(5498),
    [anon_sym___vectorcall] = ACTIONS(5498),
    [anon_sym_signed] = ACTIONS(5498),
    [anon_sym_unsigned] = ACTIONS(5498),
    [anon_sym_long] = ACTIONS(5498),
    [anon_sym_short] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_static] = ACTIONS(5498),
    [anon_sym_register] = ACTIONS(5498),
    [anon_sym_inline] = ACTIONS(5498),
    [anon_sym___inline] = ACTIONS(5498),
    [anon_sym___inline__] = ACTIONS(5498),
    [anon_sym___forceinline] = ACTIONS(5498),
    [anon_sym_thread_local] = ACTIONS(5498),
    [anon_sym___thread] = ACTIONS(5498),
    [anon_sym_const] = ACTIONS(5498),
    [anon_sym_constexpr] = ACTIONS(5498),
    [anon_sym_volatile] = ACTIONS(5498),
    [anon_sym_restrict] = ACTIONS(5498),
    [anon_sym___restrict__] = ACTIONS(5498),
    [anon_sym__Atomic] = ACTIONS(5498),
    [anon_sym__Noreturn] = ACTIONS(5498),
    [anon_sym_noreturn] = ACTIONS(5498),
    [anon_sym__Nonnull] = ACTIONS(5498),
    [anon_sym_mutable] = ACTIONS(5498),
    [anon_sym_constinit] = ACTIONS(5498),
    [anon_sym_consteval] = ACTIONS(5498),
    [anon_sym_alignas] = ACTIONS(5498),
    [anon_sym__Alignas] = ACTIONS(5498),
    [sym_primitive_type] = ACTIONS(5498),
    [anon_sym_enum] = ACTIONS(5498),
    [anon_sym_class] = ACTIONS(5498),
    [anon_sym_struct] = ACTIONS(5498),
    [anon_sym_union] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_and] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5498),
    [anon_sym_decltype] = ACTIONS(5498),
    [anon_sym_final] = ACTIONS(5498),
    [anon_sym_override] = ACTIONS(5498),
    [anon_sym_explicit] = ACTIONS(5498),
    [anon_sym_typename] = ACTIONS(5498),
    [anon_sym_template] = ACTIONS(5498),
    [anon_sym_operator] = ACTIONS(5498),
    [anon_sym_friend] = ACTIONS(5498),
    [anon_sym_using] = ACTIONS(5498),
    [anon_sym_concept] = ACTIONS(5498),
    [anon_sym_requires] = ACTIONS(5498),
    [anon_sym_precise] = ACTIONS(5498),
    [anon_sym_shared] = ACTIONS(5498),
    [anon_sym_groupshared] = ACTIONS(5498),
    [anon_sym_uniform] = ACTIONS(5498),
    [anon_sym_row_major] = ACTIONS(5498),
    [anon_sym_column_major] = ACTIONS(5498),
    [anon_sym_globallycoherent] = ACTIONS(5498),
    [anon_sym_centroid] = ACTIONS(5498),
    [anon_sym_noperspective] = ACTIONS(5498),
    [anon_sym_nointerpolation] = ACTIONS(5498),
    [anon_sym_sample] = ACTIONS(5498),
    [anon_sym_linear] = ACTIONS(5498),
    [anon_sym_snorm] = ACTIONS(5498),
    [anon_sym_unorm] = ACTIONS(5498),
    [anon_sym_point] = ACTIONS(5498),
    [anon_sym_line] = ACTIONS(5498),
    [anon_sym_triangleadj] = ACTIONS(5498),
    [anon_sym_lineadj] = ACTIONS(5498),
    [anon_sym_triangle] = ACTIONS(5498),
  },
  [1988] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym__declaration_specifiers] = STATE(4966),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2232),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_out] = ACTIONS(1267),
    [anon_sym_inout] = ACTIONS(1267),
    [anon_sym_virtual] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5502),
    [anon_sym_RPAREN] = ACTIONS(5504),
    [anon_sym_LPAREN2] = ACTIONS(5504),
    [anon_sym_TILDE] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5504),
    [anon_sym_AMP_AMP] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5502),
    [anon_sym___extension__] = ACTIONS(5502),
    [anon_sym_in] = ACTIONS(5502),
    [anon_sym_out] = ACTIONS(5502),
    [anon_sym_inout] = ACTIONS(5502),
    [anon_sym_virtual] = ACTIONS(5502),
    [anon_sym_extern] = ACTIONS(5502),
    [anon_sym___attribute__] = ACTIONS(5502),
    [anon_sym___attribute] = ACTIONS(5502),
    [anon_sym_COLON_COLON] = ACTIONS(5504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5504),
    [anon_sym___declspec] = ACTIONS(5502),
    [anon_sym___based] = ACTIONS(5502),
    [anon_sym___cdecl] = ACTIONS(5502),
    [anon_sym___clrcall] = ACTIONS(5502),
    [anon_sym___stdcall] = ACTIONS(5502),
    [anon_sym___fastcall] = ACTIONS(5502),
    [anon_sym___thiscall] = ACTIONS(5502),
    [anon_sym___vectorcall] = ACTIONS(5502),
    [anon_sym_signed] = ACTIONS(5502),
    [anon_sym_unsigned] = ACTIONS(5502),
    [anon_sym_long] = ACTIONS(5502),
    [anon_sym_short] = ACTIONS(5502),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_static] = ACTIONS(5502),
    [anon_sym_register] = ACTIONS(5502),
    [anon_sym_inline] = ACTIONS(5502),
    [anon_sym___inline] = ACTIONS(5502),
    [anon_sym___inline__] = ACTIONS(5502),
    [anon_sym___forceinline] = ACTIONS(5502),
    [anon_sym_thread_local] = ACTIONS(5502),
    [anon_sym___thread] = ACTIONS(5502),
    [anon_sym_const] = ACTIONS(5502),
    [anon_sym_constexpr] = ACTIONS(5502),
    [anon_sym_volatile] = ACTIONS(5502),
    [anon_sym_restrict] = ACTIONS(5502),
    [anon_sym___restrict__] = ACTIONS(5502),
    [anon_sym__Atomic] = ACTIONS(5502),
    [anon_sym__Noreturn] = ACTIONS(5502),
    [anon_sym_noreturn] = ACTIONS(5502),
    [anon_sym__Nonnull] = ACTIONS(5502),
    [anon_sym_mutable] = ACTIONS(5502),
    [anon_sym_constinit] = ACTIONS(5502),
    [anon_sym_consteval] = ACTIONS(5502),
    [anon_sym_alignas] = ACTIONS(5502),
    [anon_sym__Alignas] = ACTIONS(5502),
    [sym_primitive_type] = ACTIONS(5502),
    [anon_sym_enum] = ACTIONS(5502),
    [anon_sym_class] = ACTIONS(5502),
    [anon_sym_struct] = ACTIONS(5502),
    [anon_sym_union] = ACTIONS(5502),
    [anon_sym_or] = ACTIONS(5502),
    [anon_sym_and] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5502),
    [anon_sym_decltype] = ACTIONS(5502),
    [anon_sym_final] = ACTIONS(5502),
    [anon_sym_override] = ACTIONS(5502),
    [anon_sym_explicit] = ACTIONS(5502),
    [anon_sym_typename] = ACTIONS(5502),
    [anon_sym_template] = ACTIONS(5502),
    [anon_sym_operator] = ACTIONS(5502),
    [anon_sym_friend] = ACTIONS(5502),
    [anon_sym_using] = ACTIONS(5502),
    [anon_sym_concept] = ACTIONS(5502),
    [anon_sym_requires] = ACTIONS(5502),
    [anon_sym_precise] = ACTIONS(5502),
    [anon_sym_shared] = ACTIONS(5502),
    [anon_sym_groupshared] = ACTIONS(5502),
    [anon_sym_uniform] = ACTIONS(5502),
    [anon_sym_row_major] = ACTIONS(5502),
    [anon_sym_column_major] = ACTIONS(5502),
    [anon_sym_globallycoherent] = ACTIONS(5502),
    [anon_sym_centroid] = ACTIONS(5502),
    [anon_sym_noperspective] = ACTIONS(5502),
    [anon_sym_nointerpolation] = ACTIONS(5502),
    [anon_sym_sample] = ACTIONS(5502),
    [anon_sym_linear] = ACTIONS(5502),
    [anon_sym_snorm] = ACTIONS(5502),
    [anon_sym_unorm] = ACTIONS(5502),
    [anon_sym_point] = ACTIONS(5502),
    [anon_sym_line] = ACTIONS(5502),
    [anon_sym_triangleadj] = ACTIONS(5502),
    [anon_sym_lineadj] = ACTIONS(5502),
    [anon_sym_triangle] = ACTIONS(5502),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_TILDE] = ACTIONS(5508),
    [anon_sym_STAR] = ACTIONS(5508),
    [anon_sym_PIPE_PIPE] = ACTIONS(5508),
    [anon_sym_AMP_AMP] = ACTIONS(5508),
    [anon_sym_AMP] = ACTIONS(5506),
    [anon_sym___extension__] = ACTIONS(5506),
    [anon_sym_in] = ACTIONS(5506),
    [anon_sym_out] = ACTIONS(5506),
    [anon_sym_inout] = ACTIONS(5506),
    [anon_sym_virtual] = ACTIONS(5506),
    [anon_sym_extern] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(5506),
    [anon_sym___attribute] = ACTIONS(5506),
    [anon_sym_COLON_COLON] = ACTIONS(5508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5508),
    [anon_sym___declspec] = ACTIONS(5506),
    [anon_sym___based] = ACTIONS(5506),
    [anon_sym___cdecl] = ACTIONS(5506),
    [anon_sym___clrcall] = ACTIONS(5506),
    [anon_sym___stdcall] = ACTIONS(5506),
    [anon_sym___fastcall] = ACTIONS(5506),
    [anon_sym___thiscall] = ACTIONS(5506),
    [anon_sym___vectorcall] = ACTIONS(5506),
    [anon_sym_signed] = ACTIONS(5506),
    [anon_sym_unsigned] = ACTIONS(5506),
    [anon_sym_long] = ACTIONS(5506),
    [anon_sym_short] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_static] = ACTIONS(5506),
    [anon_sym_register] = ACTIONS(5506),
    [anon_sym_inline] = ACTIONS(5506),
    [anon_sym___inline] = ACTIONS(5506),
    [anon_sym___inline__] = ACTIONS(5506),
    [anon_sym___forceinline] = ACTIONS(5506),
    [anon_sym_thread_local] = ACTIONS(5506),
    [anon_sym___thread] = ACTIONS(5506),
    [anon_sym_const] = ACTIONS(5506),
    [anon_sym_constexpr] = ACTIONS(5506),
    [anon_sym_volatile] = ACTIONS(5506),
    [anon_sym_restrict] = ACTIONS(5506),
    [anon_sym___restrict__] = ACTIONS(5506),
    [anon_sym__Atomic] = ACTIONS(5506),
    [anon_sym__Noreturn] = ACTIONS(5506),
    [anon_sym_noreturn] = ACTIONS(5506),
    [anon_sym__Nonnull] = ACTIONS(5506),
    [anon_sym_mutable] = ACTIONS(5506),
    [anon_sym_constinit] = ACTIONS(5506),
    [anon_sym_consteval] = ACTIONS(5506),
    [anon_sym_alignas] = ACTIONS(5506),
    [anon_sym__Alignas] = ACTIONS(5506),
    [sym_primitive_type] = ACTIONS(5506),
    [anon_sym_enum] = ACTIONS(5506),
    [anon_sym_class] = ACTIONS(5506),
    [anon_sym_struct] = ACTIONS(5506),
    [anon_sym_union] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5506),
    [anon_sym_and] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5506),
    [anon_sym_decltype] = ACTIONS(5506),
    [anon_sym_final] = ACTIONS(5506),
    [anon_sym_override] = ACTIONS(5506),
    [anon_sym_explicit] = ACTIONS(5506),
    [anon_sym_typename] = ACTIONS(5506),
    [anon_sym_template] = ACTIONS(5506),
    [anon_sym_operator] = ACTIONS(5506),
    [anon_sym_friend] = ACTIONS(5506),
    [anon_sym_using] = ACTIONS(5506),
    [anon_sym_concept] = ACTIONS(5506),
    [anon_sym_requires] = ACTIONS(5506),
    [anon_sym_precise] = ACTIONS(5506),
    [anon_sym_shared] = ACTIONS(5506),
    [anon_sym_groupshared] = ACTIONS(5506),
    [anon_sym_uniform] = ACTIONS(5506),
    [anon_sym_row_major] = ACTIONS(5506),
    [anon_sym_column_major] = ACTIONS(5506),
    [anon_sym_globallycoherent] = ACTIONS(5506),
    [anon_sym_centroid] = ACTIONS(5506),
    [anon_sym_noperspective] = ACTIONS(5506),
    [anon_sym_nointerpolation] = ACTIONS(5506),
    [anon_sym_sample] = ACTIONS(5506),
    [anon_sym_linear] = ACTIONS(5506),
    [anon_sym_snorm] = ACTIONS(5506),
    [anon_sym_unorm] = ACTIONS(5506),
    [anon_sym_point] = ACTIONS(5506),
    [anon_sym_line] = ACTIONS(5506),
    [anon_sym_triangleadj] = ACTIONS(5506),
    [anon_sym_lineadj] = ACTIONS(5506),
    [anon_sym_triangle] = ACTIONS(5506),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5510),
    [anon_sym_RPAREN] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5512),
    [anon_sym_TILDE] = ACTIONS(5512),
    [anon_sym_STAR] = ACTIONS(5512),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(5510),
    [anon_sym___extension__] = ACTIONS(5510),
    [anon_sym_in] = ACTIONS(5510),
    [anon_sym_out] = ACTIONS(5510),
    [anon_sym_inout] = ACTIONS(5510),
    [anon_sym_virtual] = ACTIONS(5510),
    [anon_sym_extern] = ACTIONS(5510),
    [anon_sym___attribute__] = ACTIONS(5510),
    [anon_sym___attribute] = ACTIONS(5510),
    [anon_sym_COLON_COLON] = ACTIONS(5512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5512),
    [anon_sym___declspec] = ACTIONS(5510),
    [anon_sym___based] = ACTIONS(5510),
    [anon_sym___cdecl] = ACTIONS(5510),
    [anon_sym___clrcall] = ACTIONS(5510),
    [anon_sym___stdcall] = ACTIONS(5510),
    [anon_sym___fastcall] = ACTIONS(5510),
    [anon_sym___thiscall] = ACTIONS(5510),
    [anon_sym___vectorcall] = ACTIONS(5510),
    [anon_sym_signed] = ACTIONS(5510),
    [anon_sym_unsigned] = ACTIONS(5510),
    [anon_sym_long] = ACTIONS(5510),
    [anon_sym_short] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [anon_sym_static] = ACTIONS(5510),
    [anon_sym_register] = ACTIONS(5510),
    [anon_sym_inline] = ACTIONS(5510),
    [anon_sym___inline] = ACTIONS(5510),
    [anon_sym___inline__] = ACTIONS(5510),
    [anon_sym___forceinline] = ACTIONS(5510),
    [anon_sym_thread_local] = ACTIONS(5510),
    [anon_sym___thread] = ACTIONS(5510),
    [anon_sym_const] = ACTIONS(5510),
    [anon_sym_constexpr] = ACTIONS(5510),
    [anon_sym_volatile] = ACTIONS(5510),
    [anon_sym_restrict] = ACTIONS(5510),
    [anon_sym___restrict__] = ACTIONS(5510),
    [anon_sym__Atomic] = ACTIONS(5510),
    [anon_sym__Noreturn] = ACTIONS(5510),
    [anon_sym_noreturn] = ACTIONS(5510),
    [anon_sym__Nonnull] = ACTIONS(5510),
    [anon_sym_mutable] = ACTIONS(5510),
    [anon_sym_constinit] = ACTIONS(5510),
    [anon_sym_consteval] = ACTIONS(5510),
    [anon_sym_alignas] = ACTIONS(5510),
    [anon_sym__Alignas] = ACTIONS(5510),
    [sym_primitive_type] = ACTIONS(5510),
    [anon_sym_enum] = ACTIONS(5510),
    [anon_sym_class] = ACTIONS(5510),
    [anon_sym_struct] = ACTIONS(5510),
    [anon_sym_union] = ACTIONS(5510),
    [anon_sym_or] = ACTIONS(5510),
    [anon_sym_and] = ACTIONS(5510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5510),
    [anon_sym_decltype] = ACTIONS(5510),
    [anon_sym_final] = ACTIONS(5510),
    [anon_sym_override] = ACTIONS(5510),
    [anon_sym_explicit] = ACTIONS(5510),
    [anon_sym_typename] = ACTIONS(5510),
    [anon_sym_template] = ACTIONS(5510),
    [anon_sym_operator] = ACTIONS(5510),
    [anon_sym_friend] = ACTIONS(5510),
    [anon_sym_using] = ACTIONS(5510),
    [anon_sym_concept] = ACTIONS(5510),
    [anon_sym_requires] = ACTIONS(5510),
    [anon_sym_precise] = ACTIONS(5510),
    [anon_sym_shared] = ACTIONS(5510),
    [anon_sym_groupshared] = ACTIONS(5510),
    [anon_sym_uniform] = ACTIONS(5510),
    [anon_sym_row_major] = ACTIONS(5510),
    [anon_sym_column_major] = ACTIONS(5510),
    [anon_sym_globallycoherent] = ACTIONS(5510),
    [anon_sym_centroid] = ACTIONS(5510),
    [anon_sym_noperspective] = ACTIONS(5510),
    [anon_sym_nointerpolation] = ACTIONS(5510),
    [anon_sym_sample] = ACTIONS(5510),
    [anon_sym_linear] = ACTIONS(5510),
    [anon_sym_snorm] = ACTIONS(5510),
    [anon_sym_unorm] = ACTIONS(5510),
    [anon_sym_point] = ACTIONS(5510),
    [anon_sym_line] = ACTIONS(5510),
    [anon_sym_triangleadj] = ACTIONS(5510),
    [anon_sym_lineadj] = ACTIONS(5510),
    [anon_sym_triangle] = ACTIONS(5510),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_TILDE] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym___extension__] = ACTIONS(5514),
    [anon_sym_in] = ACTIONS(5514),
    [anon_sym_out] = ACTIONS(5514),
    [anon_sym_inout] = ACTIONS(5514),
    [anon_sym_virtual] = ACTIONS(5514),
    [anon_sym_extern] = ACTIONS(5514),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym___attribute] = ACTIONS(5514),
    [anon_sym_COLON_COLON] = ACTIONS(5516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5516),
    [anon_sym___declspec] = ACTIONS(5514),
    [anon_sym___based] = ACTIONS(5514),
    [anon_sym___cdecl] = ACTIONS(5514),
    [anon_sym___clrcall] = ACTIONS(5514),
    [anon_sym___stdcall] = ACTIONS(5514),
    [anon_sym___fastcall] = ACTIONS(5514),
    [anon_sym___thiscall] = ACTIONS(5514),
    [anon_sym___vectorcall] = ACTIONS(5514),
    [anon_sym_signed] = ACTIONS(5514),
    [anon_sym_unsigned] = ACTIONS(5514),
    [anon_sym_long] = ACTIONS(5514),
    [anon_sym_short] = ACTIONS(5514),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_static] = ACTIONS(5514),
    [anon_sym_register] = ACTIONS(5514),
    [anon_sym_inline] = ACTIONS(5514),
    [anon_sym___inline] = ACTIONS(5514),
    [anon_sym___inline__] = ACTIONS(5514),
    [anon_sym___forceinline] = ACTIONS(5514),
    [anon_sym_thread_local] = ACTIONS(5514),
    [anon_sym___thread] = ACTIONS(5514),
    [anon_sym_const] = ACTIONS(5514),
    [anon_sym_constexpr] = ACTIONS(5514),
    [anon_sym_volatile] = ACTIONS(5514),
    [anon_sym_restrict] = ACTIONS(5514),
    [anon_sym___restrict__] = ACTIONS(5514),
    [anon_sym__Atomic] = ACTIONS(5514),
    [anon_sym__Noreturn] = ACTIONS(5514),
    [anon_sym_noreturn] = ACTIONS(5514),
    [anon_sym__Nonnull] = ACTIONS(5514),
    [anon_sym_mutable] = ACTIONS(5514),
    [anon_sym_constinit] = ACTIONS(5514),
    [anon_sym_consteval] = ACTIONS(5514),
    [anon_sym_alignas] = ACTIONS(5514),
    [anon_sym__Alignas] = ACTIONS(5514),
    [sym_primitive_type] = ACTIONS(5514),
    [anon_sym_enum] = ACTIONS(5514),
    [anon_sym_class] = ACTIONS(5514),
    [anon_sym_struct] = ACTIONS(5514),
    [anon_sym_union] = ACTIONS(5514),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5514),
    [anon_sym_decltype] = ACTIONS(5514),
    [anon_sym_final] = ACTIONS(5514),
    [anon_sym_override] = ACTIONS(5514),
    [anon_sym_explicit] = ACTIONS(5514),
    [anon_sym_typename] = ACTIONS(5514),
    [anon_sym_template] = ACTIONS(5514),
    [anon_sym_operator] = ACTIONS(5514),
    [anon_sym_friend] = ACTIONS(5514),
    [anon_sym_using] = ACTIONS(5514),
    [anon_sym_concept] = ACTIONS(5514),
    [anon_sym_requires] = ACTIONS(5514),
    [anon_sym_precise] = ACTIONS(5514),
    [anon_sym_shared] = ACTIONS(5514),
    [anon_sym_groupshared] = ACTIONS(5514),
    [anon_sym_uniform] = ACTIONS(5514),
    [anon_sym_row_major] = ACTIONS(5514),
    [anon_sym_column_major] = ACTIONS(5514),
    [anon_sym_globallycoherent] = ACTIONS(5514),
    [anon_sym_centroid] = ACTIONS(5514),
    [anon_sym_noperspective] = ACTIONS(5514),
    [anon_sym_nointerpolation] = ACTIONS(5514),
    [anon_sym_sample] = ACTIONS(5514),
    [anon_sym_linear] = ACTIONS(5514),
    [anon_sym_snorm] = ACTIONS(5514),
    [anon_sym_unorm] = ACTIONS(5514),
    [anon_sym_point] = ACTIONS(5514),
    [anon_sym_line] = ACTIONS(5514),
    [anon_sym_triangleadj] = ACTIONS(5514),
    [anon_sym_lineadj] = ACTIONS(5514),
    [anon_sym_triangle] = ACTIONS(5514),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_TILDE] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym___extension__] = ACTIONS(5514),
    [anon_sym_in] = ACTIONS(5514),
    [anon_sym_out] = ACTIONS(5514),
    [anon_sym_inout] = ACTIONS(5514),
    [anon_sym_virtual] = ACTIONS(5514),
    [anon_sym_extern] = ACTIONS(5514),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym___attribute] = ACTIONS(5514),
    [anon_sym_COLON_COLON] = ACTIONS(5516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5516),
    [anon_sym___declspec] = ACTIONS(5514),
    [anon_sym___based] = ACTIONS(5514),
    [anon_sym___cdecl] = ACTIONS(5514),
    [anon_sym___clrcall] = ACTIONS(5514),
    [anon_sym___stdcall] = ACTIONS(5514),
    [anon_sym___fastcall] = ACTIONS(5514),
    [anon_sym___thiscall] = ACTIONS(5514),
    [anon_sym___vectorcall] = ACTIONS(5514),
    [anon_sym_signed] = ACTIONS(5514),
    [anon_sym_unsigned] = ACTIONS(5514),
    [anon_sym_long] = ACTIONS(5514),
    [anon_sym_short] = ACTIONS(5514),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_static] = ACTIONS(5514),
    [anon_sym_register] = ACTIONS(5514),
    [anon_sym_inline] = ACTIONS(5514),
    [anon_sym___inline] = ACTIONS(5514),
    [anon_sym___inline__] = ACTIONS(5514),
    [anon_sym___forceinline] = ACTIONS(5514),
    [anon_sym_thread_local] = ACTIONS(5514),
    [anon_sym___thread] = ACTIONS(5514),
    [anon_sym_const] = ACTIONS(5514),
    [anon_sym_constexpr] = ACTIONS(5514),
    [anon_sym_volatile] = ACTIONS(5514),
    [anon_sym_restrict] = ACTIONS(5514),
    [anon_sym___restrict__] = ACTIONS(5514),
    [anon_sym__Atomic] = ACTIONS(5514),
    [anon_sym__Noreturn] = ACTIONS(5514),
    [anon_sym_noreturn] = ACTIONS(5514),
    [anon_sym__Nonnull] = ACTIONS(5514),
    [anon_sym_mutable] = ACTIONS(5514),
    [anon_sym_constinit] = ACTIONS(5514),
    [anon_sym_consteval] = ACTIONS(5514),
    [anon_sym_alignas] = ACTIONS(5514),
    [anon_sym__Alignas] = ACTIONS(5514),
    [sym_primitive_type] = ACTIONS(5514),
    [anon_sym_enum] = ACTIONS(5514),
    [anon_sym_class] = ACTIONS(5514),
    [anon_sym_struct] = ACTIONS(5514),
    [anon_sym_union] = ACTIONS(5514),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5514),
    [anon_sym_decltype] = ACTIONS(5514),
    [anon_sym_final] = ACTIONS(5514),
    [anon_sym_override] = ACTIONS(5514),
    [anon_sym_explicit] = ACTIONS(5514),
    [anon_sym_typename] = ACTIONS(5514),
    [anon_sym_template] = ACTIONS(5514),
    [anon_sym_operator] = ACTIONS(5514),
    [anon_sym_friend] = ACTIONS(5514),
    [anon_sym_using] = ACTIONS(5514),
    [anon_sym_concept] = ACTIONS(5514),
    [anon_sym_requires] = ACTIONS(5514),
    [anon_sym_precise] = ACTIONS(5514),
    [anon_sym_shared] = ACTIONS(5514),
    [anon_sym_groupshared] = ACTIONS(5514),
    [anon_sym_uniform] = ACTIONS(5514),
    [anon_sym_row_major] = ACTIONS(5514),
    [anon_sym_column_major] = ACTIONS(5514),
    [anon_sym_globallycoherent] = ACTIONS(5514),
    [anon_sym_centroid] = ACTIONS(5514),
    [anon_sym_noperspective] = ACTIONS(5514),
    [anon_sym_nointerpolation] = ACTIONS(5514),
    [anon_sym_sample] = ACTIONS(5514),
    [anon_sym_linear] = ACTIONS(5514),
    [anon_sym_snorm] = ACTIONS(5514),
    [anon_sym_unorm] = ACTIONS(5514),
    [anon_sym_point] = ACTIONS(5514),
    [anon_sym_line] = ACTIONS(5514),
    [anon_sym_triangleadj] = ACTIONS(5514),
    [anon_sym_lineadj] = ACTIONS(5514),
    [anon_sym_triangle] = ACTIONS(5514),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_TILDE] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym___extension__] = ACTIONS(5514),
    [anon_sym_in] = ACTIONS(5514),
    [anon_sym_out] = ACTIONS(5514),
    [anon_sym_inout] = ACTIONS(5514),
    [anon_sym_virtual] = ACTIONS(5514),
    [anon_sym_extern] = ACTIONS(5514),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym___attribute] = ACTIONS(5514),
    [anon_sym_COLON_COLON] = ACTIONS(5516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5516),
    [anon_sym___declspec] = ACTIONS(5514),
    [anon_sym___based] = ACTIONS(5514),
    [anon_sym___cdecl] = ACTIONS(5514),
    [anon_sym___clrcall] = ACTIONS(5514),
    [anon_sym___stdcall] = ACTIONS(5514),
    [anon_sym___fastcall] = ACTIONS(5514),
    [anon_sym___thiscall] = ACTIONS(5514),
    [anon_sym___vectorcall] = ACTIONS(5514),
    [anon_sym_signed] = ACTIONS(5514),
    [anon_sym_unsigned] = ACTIONS(5514),
    [anon_sym_long] = ACTIONS(5514),
    [anon_sym_short] = ACTIONS(5514),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_static] = ACTIONS(5514),
    [anon_sym_register] = ACTIONS(5514),
    [anon_sym_inline] = ACTIONS(5514),
    [anon_sym___inline] = ACTIONS(5514),
    [anon_sym___inline__] = ACTIONS(5514),
    [anon_sym___forceinline] = ACTIONS(5514),
    [anon_sym_thread_local] = ACTIONS(5514),
    [anon_sym___thread] = ACTIONS(5514),
    [anon_sym_const] = ACTIONS(5514),
    [anon_sym_constexpr] = ACTIONS(5514),
    [anon_sym_volatile] = ACTIONS(5514),
    [anon_sym_restrict] = ACTIONS(5514),
    [anon_sym___restrict__] = ACTIONS(5514),
    [anon_sym__Atomic] = ACTIONS(5514),
    [anon_sym__Noreturn] = ACTIONS(5514),
    [anon_sym_noreturn] = ACTIONS(5514),
    [anon_sym__Nonnull] = ACTIONS(5514),
    [anon_sym_mutable] = ACTIONS(5514),
    [anon_sym_constinit] = ACTIONS(5514),
    [anon_sym_consteval] = ACTIONS(5514),
    [anon_sym_alignas] = ACTIONS(5514),
    [anon_sym__Alignas] = ACTIONS(5514),
    [sym_primitive_type] = ACTIONS(5514),
    [anon_sym_enum] = ACTIONS(5514),
    [anon_sym_class] = ACTIONS(5514),
    [anon_sym_struct] = ACTIONS(5514),
    [anon_sym_union] = ACTIONS(5514),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5514),
    [anon_sym_decltype] = ACTIONS(5514),
    [anon_sym_final] = ACTIONS(5514),
    [anon_sym_override] = ACTIONS(5514),
    [anon_sym_explicit] = ACTIONS(5514),
    [anon_sym_typename] = ACTIONS(5514),
    [anon_sym_template] = ACTIONS(5514),
    [anon_sym_operator] = ACTIONS(5514),
    [anon_sym_friend] = ACTIONS(5514),
    [anon_sym_using] = ACTIONS(5514),
    [anon_sym_concept] = ACTIONS(5514),
    [anon_sym_requires] = ACTIONS(5514),
    [anon_sym_precise] = ACTIONS(5514),
    [anon_sym_shared] = ACTIONS(5514),
    [anon_sym_groupshared] = ACTIONS(5514),
    [anon_sym_uniform] = ACTIONS(5514),
    [anon_sym_row_major] = ACTIONS(5514),
    [anon_sym_column_major] = ACTIONS(5514),
    [anon_sym_globallycoherent] = ACTIONS(5514),
    [anon_sym_centroid] = ACTIONS(5514),
    [anon_sym_noperspective] = ACTIONS(5514),
    [anon_sym_nointerpolation] = ACTIONS(5514),
    [anon_sym_sample] = ACTIONS(5514),
    [anon_sym_linear] = ACTIONS(5514),
    [anon_sym_snorm] = ACTIONS(5514),
    [anon_sym_unorm] = ACTIONS(5514),
    [anon_sym_point] = ACTIONS(5514),
    [anon_sym_line] = ACTIONS(5514),
    [anon_sym_triangleadj] = ACTIONS(5514),
    [anon_sym_lineadj] = ACTIONS(5514),
    [anon_sym_triangle] = ACTIONS(5514),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(5518),
    [anon_sym_RPAREN] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [anon_sym_TILDE] = ACTIONS(5520),
    [anon_sym_STAR] = ACTIONS(5520),
    [anon_sym_PIPE_PIPE] = ACTIONS(5520),
    [anon_sym_AMP_AMP] = ACTIONS(5520),
    [anon_sym_AMP] = ACTIONS(5518),
    [anon_sym___extension__] = ACTIONS(5518),
    [anon_sym_in] = ACTIONS(5518),
    [anon_sym_out] = ACTIONS(5518),
    [anon_sym_inout] = ACTIONS(5518),
    [anon_sym_virtual] = ACTIONS(5518),
    [anon_sym_extern] = ACTIONS(5518),
    [anon_sym___attribute__] = ACTIONS(5518),
    [anon_sym___attribute] = ACTIONS(5518),
    [anon_sym_COLON_COLON] = ACTIONS(5520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5520),
    [anon_sym___declspec] = ACTIONS(5518),
    [anon_sym___based] = ACTIONS(5518),
    [anon_sym___cdecl] = ACTIONS(5518),
    [anon_sym___clrcall] = ACTIONS(5518),
    [anon_sym___stdcall] = ACTIONS(5518),
    [anon_sym___fastcall] = ACTIONS(5518),
    [anon_sym___thiscall] = ACTIONS(5518),
    [anon_sym___vectorcall] = ACTIONS(5518),
    [anon_sym_signed] = ACTIONS(5518),
    [anon_sym_unsigned] = ACTIONS(5518),
    [anon_sym_long] = ACTIONS(5518),
    [anon_sym_short] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [anon_sym_static] = ACTIONS(5518),
    [anon_sym_register] = ACTIONS(5518),
    [anon_sym_inline] = ACTIONS(5518),
    [anon_sym___inline] = ACTIONS(5518),
    [anon_sym___inline__] = ACTIONS(5518),
    [anon_sym___forceinline] = ACTIONS(5518),
    [anon_sym_thread_local] = ACTIONS(5518),
    [anon_sym___thread] = ACTIONS(5518),
    [anon_sym_const] = ACTIONS(5518),
    [anon_sym_constexpr] = ACTIONS(5518),
    [anon_sym_volatile] = ACTIONS(5518),
    [anon_sym_restrict] = ACTIONS(5518),
    [anon_sym___restrict__] = ACTIONS(5518),
    [anon_sym__Atomic] = ACTIONS(5518),
    [anon_sym__Noreturn] = ACTIONS(5518),
    [anon_sym_noreturn] = ACTIONS(5518),
    [anon_sym__Nonnull] = ACTIONS(5518),
    [anon_sym_mutable] = ACTIONS(5518),
    [anon_sym_constinit] = ACTIONS(5518),
    [anon_sym_consteval] = ACTIONS(5518),
    [anon_sym_alignas] = ACTIONS(5518),
    [anon_sym__Alignas] = ACTIONS(5518),
    [sym_primitive_type] = ACTIONS(5518),
    [anon_sym_enum] = ACTIONS(5518),
    [anon_sym_class] = ACTIONS(5518),
    [anon_sym_struct] = ACTIONS(5518),
    [anon_sym_union] = ACTIONS(5518),
    [anon_sym_or] = ACTIONS(5518),
    [anon_sym_and] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5518),
    [anon_sym_decltype] = ACTIONS(5518),
    [anon_sym_final] = ACTIONS(5518),
    [anon_sym_override] = ACTIONS(5518),
    [anon_sym_explicit] = ACTIONS(5518),
    [anon_sym_typename] = ACTIONS(5518),
    [anon_sym_template] = ACTIONS(5518),
    [anon_sym_operator] = ACTIONS(5518),
    [anon_sym_friend] = ACTIONS(5518),
    [anon_sym_using] = ACTIONS(5518),
    [anon_sym_concept] = ACTIONS(5518),
    [anon_sym_requires] = ACTIONS(5518),
    [anon_sym_precise] = ACTIONS(5518),
    [anon_sym_shared] = ACTIONS(5518),
    [anon_sym_groupshared] = ACTIONS(5518),
    [anon_sym_uniform] = ACTIONS(5518),
    [anon_sym_row_major] = ACTIONS(5518),
    [anon_sym_column_major] = ACTIONS(5518),
    [anon_sym_globallycoherent] = ACTIONS(5518),
    [anon_sym_centroid] = ACTIONS(5518),
    [anon_sym_noperspective] = ACTIONS(5518),
    [anon_sym_nointerpolation] = ACTIONS(5518),
    [anon_sym_sample] = ACTIONS(5518),
    [anon_sym_linear] = ACTIONS(5518),
    [anon_sym_snorm] = ACTIONS(5518),
    [anon_sym_unorm] = ACTIONS(5518),
    [anon_sym_point] = ACTIONS(5518),
    [anon_sym_line] = ACTIONS(5518),
    [anon_sym_triangleadj] = ACTIONS(5518),
    [anon_sym_lineadj] = ACTIONS(5518),
    [anon_sym_triangle] = ACTIONS(5518),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(1958),
    [aux_sym_preproc_def_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [sym_preproc_directive] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1958),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_typedef] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_out] = ACTIONS(1958),
    [anon_sym_inout] = ACTIONS(1958),
    [anon_sym_virtual] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym___attribute] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1956),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1956),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym___based] = ACTIONS(1958),
    [anon_sym_RBRACE] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [anon_sym__Nonnull] = ACTIONS(1958),
    [anon_sym_mutable] = ACTIONS(1958),
    [anon_sym_constinit] = ACTIONS(1958),
    [anon_sym_consteval] = ACTIONS(1958),
    [anon_sym_alignas] = ACTIONS(1958),
    [anon_sym__Alignas] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_class] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1958),
    [anon_sym_decltype] = ACTIONS(1958),
    [anon_sym_explicit] = ACTIONS(1958),
    [anon_sym_typename] = ACTIONS(1958),
    [anon_sym_template] = ACTIONS(1958),
    [anon_sym_operator] = ACTIONS(1958),
    [anon_sym_friend] = ACTIONS(1958),
    [anon_sym_public] = ACTIONS(1958),
    [anon_sym_private] = ACTIONS(1958),
    [anon_sym_protected] = ACTIONS(1958),
    [anon_sym_using] = ACTIONS(1958),
    [anon_sym_static_assert] = ACTIONS(1958),
    [anon_sym_catch] = ACTIONS(1958),
    [anon_sym_precise] = ACTIONS(1958),
    [anon_sym_shared] = ACTIONS(1958),
    [anon_sym_groupshared] = ACTIONS(1958),
    [anon_sym_uniform] = ACTIONS(1958),
    [anon_sym_row_major] = ACTIONS(1958),
    [anon_sym_column_major] = ACTIONS(1958),
    [anon_sym_globallycoherent] = ACTIONS(1958),
    [anon_sym_centroid] = ACTIONS(1958),
    [anon_sym_noperspective] = ACTIONS(1958),
    [anon_sym_nointerpolation] = ACTIONS(1958),
    [anon_sym_sample] = ACTIONS(1958),
    [anon_sym_linear] = ACTIONS(1958),
    [anon_sym_snorm] = ACTIONS(1958),
    [anon_sym_unorm] = ACTIONS(1958),
    [anon_sym_point] = ACTIONS(1958),
    [anon_sym_line] = ACTIONS(1958),
    [anon_sym_triangleadj] = ACTIONS(1958),
    [anon_sym_lineadj] = ACTIONS(1958),
    [anon_sym_triangle] = ACTIONS(1958),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [2000] = {
    [sym__declaration_modifiers] = STATE(2422),
    [sym_attribute_specifier] = STATE(2422),
    [sym_attribute_declaration] = STATE(2422),
    [sym_ms_declspec_modifier] = STATE(2422),
    [sym_storage_class_specifier] = STATE(2422),
    [sym_type_qualifier] = STATE(2422),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2235),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2422),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2422),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2557),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(5522),
    [anon_sym_out] = ACTIONS(5522),
    [anon_sym_inout] = ACTIONS(5522),
    [anon_sym_virtual] = ACTIONS(5522),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3715),
    [anon_sym_unsigned] = ACTIONS(3715),
    [anon_sym_long] = ACTIONS(3715),
    [anon_sym_short] = ACTIONS(3715),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(3717),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3719),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(2163),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym___attribute] = ACTIONS(5342),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [2002] = {
    [sym__declaration_modifiers] = STATE(2422),
    [sym_attribute_specifier] = STATE(2422),
    [sym_attribute_declaration] = STATE(2422),
    [sym_ms_declspec_modifier] = STATE(2422),
    [sym_storage_class_specifier] = STATE(2422),
    [sym_type_qualifier] = STATE(2422),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2235),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2422),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2422),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(5522),
    [anon_sym_out] = ACTIONS(5522),
    [anon_sym_inout] = ACTIONS(5522),
    [anon_sym_virtual] = ACTIONS(5522),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2727),
    [anon_sym_union] = ACTIONS(2729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2731),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(2099),
    [aux_sym_preproc_def_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token2] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2099),
    [sym_preproc_directive] = ACTIONS(2099),
    [anon_sym_LPAREN2] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym___extension__] = ACTIONS(2099),
    [anon_sym_typedef] = ACTIONS(2099),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_out] = ACTIONS(2099),
    [anon_sym_inout] = ACTIONS(2099),
    [anon_sym_virtual] = ACTIONS(2099),
    [anon_sym_extern] = ACTIONS(2099),
    [anon_sym___attribute__] = ACTIONS(2099),
    [anon_sym___attribute] = ACTIONS(2099),
    [anon_sym_COLON_COLON] = ACTIONS(2101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2101),
    [anon_sym___declspec] = ACTIONS(2099),
    [anon_sym___based] = ACTIONS(2099),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2099),
    [anon_sym_register] = ACTIONS(2099),
    [anon_sym_inline] = ACTIONS(2099),
    [anon_sym___inline] = ACTIONS(2099),
    [anon_sym___inline__] = ACTIONS(2099),
    [anon_sym___forceinline] = ACTIONS(2099),
    [anon_sym_thread_local] = ACTIONS(2099),
    [anon_sym___thread] = ACTIONS(2099),
    [anon_sym_const] = ACTIONS(2099),
    [anon_sym_constexpr] = ACTIONS(2099),
    [anon_sym_volatile] = ACTIONS(2099),
    [anon_sym_restrict] = ACTIONS(2099),
    [anon_sym___restrict__] = ACTIONS(2099),
    [anon_sym__Atomic] = ACTIONS(2099),
    [anon_sym__Noreturn] = ACTIONS(2099),
    [anon_sym_noreturn] = ACTIONS(2099),
    [anon_sym__Nonnull] = ACTIONS(2099),
    [anon_sym_mutable] = ACTIONS(2099),
    [anon_sym_constinit] = ACTIONS(2099),
    [anon_sym_consteval] = ACTIONS(2099),
    [anon_sym_alignas] = ACTIONS(2099),
    [anon_sym__Alignas] = ACTIONS(2099),
    [sym_primitive_type] = ACTIONS(2099),
    [anon_sym_enum] = ACTIONS(2099),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2099),
    [anon_sym_union] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2099),
    [anon_sym_decltype] = ACTIONS(2099),
    [anon_sym_explicit] = ACTIONS(2099),
    [anon_sym_typename] = ACTIONS(2099),
    [anon_sym_template] = ACTIONS(2099),
    [anon_sym_operator] = ACTIONS(2099),
    [anon_sym_friend] = ACTIONS(2099),
    [anon_sym_public] = ACTIONS(2099),
    [anon_sym_private] = ACTIONS(2099),
    [anon_sym_protected] = ACTIONS(2099),
    [anon_sym_using] = ACTIONS(2099),
    [anon_sym_static_assert] = ACTIONS(2099),
    [anon_sym_catch] = ACTIONS(2099),
    [anon_sym_precise] = ACTIONS(2099),
    [anon_sym_shared] = ACTIONS(2099),
    [anon_sym_groupshared] = ACTIONS(2099),
    [anon_sym_uniform] = ACTIONS(2099),
    [anon_sym_row_major] = ACTIONS(2099),
    [anon_sym_column_major] = ACTIONS(2099),
    [anon_sym_globallycoherent] = ACTIONS(2099),
    [anon_sym_centroid] = ACTIONS(2099),
    [anon_sym_noperspective] = ACTIONS(2099),
    [anon_sym_nointerpolation] = ACTIONS(2099),
    [anon_sym_sample] = ACTIONS(2099),
    [anon_sym_linear] = ACTIONS(2099),
    [anon_sym_snorm] = ACTIONS(2099),
    [anon_sym_unorm] = ACTIONS(2099),
    [anon_sym_point] = ACTIONS(2099),
    [anon_sym_line] = ACTIONS(2099),
    [anon_sym_triangleadj] = ACTIONS(2099),
    [anon_sym_lineadj] = ACTIONS(2099),
    [anon_sym_triangle] = ACTIONS(2099),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(2099),
    [aux_sym_preproc_def_token1] = ACTIONS(2099),
    [aux_sym_preproc_if_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2099),
    [sym_preproc_directive] = ACTIONS(2099),
    [anon_sym_LPAREN2] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2099),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym___extension__] = ACTIONS(2099),
    [anon_sym_typedef] = ACTIONS(2099),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_out] = ACTIONS(2099),
    [anon_sym_inout] = ACTIONS(2099),
    [anon_sym_virtual] = ACTIONS(2099),
    [anon_sym_extern] = ACTIONS(2099),
    [anon_sym___attribute__] = ACTIONS(2099),
    [anon_sym___attribute] = ACTIONS(2099),
    [anon_sym_COLON_COLON] = ACTIONS(2101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2101),
    [anon_sym___declspec] = ACTIONS(2099),
    [anon_sym___based] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2099),
    [anon_sym_register] = ACTIONS(2099),
    [anon_sym_inline] = ACTIONS(2099),
    [anon_sym___inline] = ACTIONS(2099),
    [anon_sym___inline__] = ACTIONS(2099),
    [anon_sym___forceinline] = ACTIONS(2099),
    [anon_sym_thread_local] = ACTIONS(2099),
    [anon_sym___thread] = ACTIONS(2099),
    [anon_sym_const] = ACTIONS(2099),
    [anon_sym_constexpr] = ACTIONS(2099),
    [anon_sym_volatile] = ACTIONS(2099),
    [anon_sym_restrict] = ACTIONS(2099),
    [anon_sym___restrict__] = ACTIONS(2099),
    [anon_sym__Atomic] = ACTIONS(2099),
    [anon_sym__Noreturn] = ACTIONS(2099),
    [anon_sym_noreturn] = ACTIONS(2099),
    [anon_sym__Nonnull] = ACTIONS(2099),
    [anon_sym_mutable] = ACTIONS(2099),
    [anon_sym_constinit] = ACTIONS(2099),
    [anon_sym_consteval] = ACTIONS(2099),
    [anon_sym_alignas] = ACTIONS(2099),
    [anon_sym__Alignas] = ACTIONS(2099),
    [sym_primitive_type] = ACTIONS(2099),
    [anon_sym_enum] = ACTIONS(2099),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2099),
    [anon_sym_union] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2099),
    [anon_sym_decltype] = ACTIONS(2099),
    [anon_sym_explicit] = ACTIONS(2099),
    [anon_sym_typename] = ACTIONS(2099),
    [anon_sym_template] = ACTIONS(2099),
    [anon_sym_operator] = ACTIONS(2099),
    [anon_sym_friend] = ACTIONS(2099),
    [anon_sym_public] = ACTIONS(2099),
    [anon_sym_private] = ACTIONS(2099),
    [anon_sym_protected] = ACTIONS(2099),
    [anon_sym_using] = ACTIONS(2099),
    [anon_sym_static_assert] = ACTIONS(2099),
    [anon_sym_catch] = ACTIONS(2099),
    [anon_sym_precise] = ACTIONS(2099),
    [anon_sym_shared] = ACTIONS(2099),
    [anon_sym_groupshared] = ACTIONS(2099),
    [anon_sym_uniform] = ACTIONS(2099),
    [anon_sym_row_major] = ACTIONS(2099),
    [anon_sym_column_major] = ACTIONS(2099),
    [anon_sym_globallycoherent] = ACTIONS(2099),
    [anon_sym_centroid] = ACTIONS(2099),
    [anon_sym_noperspective] = ACTIONS(2099),
    [anon_sym_nointerpolation] = ACTIONS(2099),
    [anon_sym_sample] = ACTIONS(2099),
    [anon_sym_linear] = ACTIONS(2099),
    [anon_sym_snorm] = ACTIONS(2099),
    [anon_sym_unorm] = ACTIONS(2099),
    [anon_sym_point] = ACTIONS(2099),
    [anon_sym_line] = ACTIONS(2099),
    [anon_sym_triangleadj] = ACTIONS(2099),
    [anon_sym_lineadj] = ACTIONS(2099),
    [anon_sym_triangle] = ACTIONS(2099),
  },
  [2005] = {
    [sym__declaration_modifiers] = STATE(2422),
    [sym_attribute_specifier] = STATE(2422),
    [sym_attribute_declaration] = STATE(2422),
    [sym_ms_declspec_modifier] = STATE(2422),
    [sym_storage_class_specifier] = STATE(2422),
    [sym_type_qualifier] = STATE(2422),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2235),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6688),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2422),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2422),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(5522),
    [anon_sym_out] = ACTIONS(5522),
    [anon_sym_inout] = ACTIONS(5522),
    [anon_sym_virtual] = ACTIONS(5522),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1896),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2006] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_catch] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(1958),
    [aux_sym_preproc_def_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token1] = ACTIONS(1958),
    [aux_sym_preproc_if_token2] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [sym_preproc_directive] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1958),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_typedef] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_out] = ACTIONS(1958),
    [anon_sym_inout] = ACTIONS(1958),
    [anon_sym_virtual] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym___attribute] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1956),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1956),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym___based] = ACTIONS(1958),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [anon_sym__Nonnull] = ACTIONS(1958),
    [anon_sym_mutable] = ACTIONS(1958),
    [anon_sym_constinit] = ACTIONS(1958),
    [anon_sym_consteval] = ACTIONS(1958),
    [anon_sym_alignas] = ACTIONS(1958),
    [anon_sym__Alignas] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_class] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1958),
    [anon_sym_decltype] = ACTIONS(1958),
    [anon_sym_explicit] = ACTIONS(1958),
    [anon_sym_typename] = ACTIONS(1958),
    [anon_sym_template] = ACTIONS(1958),
    [anon_sym_operator] = ACTIONS(1958),
    [anon_sym_friend] = ACTIONS(1958),
    [anon_sym_public] = ACTIONS(1958),
    [anon_sym_private] = ACTIONS(1958),
    [anon_sym_protected] = ACTIONS(1958),
    [anon_sym_using] = ACTIONS(1958),
    [anon_sym_static_assert] = ACTIONS(1958),
    [anon_sym_catch] = ACTIONS(1958),
    [anon_sym_precise] = ACTIONS(1958),
    [anon_sym_shared] = ACTIONS(1958),
    [anon_sym_groupshared] = ACTIONS(1958),
    [anon_sym_uniform] = ACTIONS(1958),
    [anon_sym_row_major] = ACTIONS(1958),
    [anon_sym_column_major] = ACTIONS(1958),
    [anon_sym_globallycoherent] = ACTIONS(1958),
    [anon_sym_centroid] = ACTIONS(1958),
    [anon_sym_noperspective] = ACTIONS(1958),
    [anon_sym_nointerpolation] = ACTIONS(1958),
    [anon_sym_sample] = ACTIONS(1958),
    [anon_sym_linear] = ACTIONS(1958),
    [anon_sym_snorm] = ACTIONS(1958),
    [anon_sym_unorm] = ACTIONS(1958),
    [anon_sym_point] = ACTIONS(1958),
    [anon_sym_line] = ACTIONS(1958),
    [anon_sym_triangleadj] = ACTIONS(1958),
    [anon_sym_lineadj] = ACTIONS(1958),
    [anon_sym_triangle] = ACTIONS(1958),
  },
  [2008] = {
    [sym__declaration_modifiers] = STATE(2422),
    [sym_attribute_specifier] = STATE(2422),
    [sym_attribute_declaration] = STATE(2422),
    [sym_ms_declspec_modifier] = STATE(2422),
    [sym_storage_class_specifier] = STATE(2422),
    [sym_type_qualifier] = STATE(2422),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_type_specifier] = STATE(2235),
    [sym_sized_type_specifier] = STATE(2339),
    [sym_enum_specifier] = STATE(2339),
    [sym_struct_specifier] = STATE(2339),
    [sym_union_specifier] = STATE(2339),
    [sym_placeholder_type_specifier] = STATE(2339),
    [sym_decltype_auto] = STATE(2333),
    [sym_decltype] = STATE(2284),
    [sym_class_specifier] = STATE(2339),
    [sym_dependent_type] = STATE(2339),
    [sym_template_type] = STATE(2284),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(6720),
    [sym_qualified_type_identifier] = STATE(2327),
    [sym_qualifiers] = STATE(2422),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2422),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2214),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(5522),
    [anon_sym_out] = ACTIONS(5522),
    [anon_sym_inout] = ACTIONS(5522),
    [anon_sym_virtual] = ACTIONS(5522),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3713),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1836),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_precise] = ACTIONS(161),
    [anon_sym_shared] = ACTIONS(161),
    [anon_sym_groupshared] = ACTIONS(161),
    [anon_sym_uniform] = ACTIONS(161),
    [anon_sym_row_major] = ACTIONS(161),
    [anon_sym_column_major] = ACTIONS(161),
    [anon_sym_globallycoherent] = ACTIONS(161),
    [anon_sym_centroid] = ACTIONS(161),
    [anon_sym_noperspective] = ACTIONS(161),
    [anon_sym_nointerpolation] = ACTIONS(161),
    [anon_sym_sample] = ACTIONS(161),
    [anon_sym_linear] = ACTIONS(161),
    [anon_sym_snorm] = ACTIONS(161),
    [anon_sym_unorm] = ACTIONS(161),
    [anon_sym_point] = ACTIONS(161),
    [anon_sym_line] = ACTIONS(161),
    [anon_sym_triangleadj] = ACTIONS(161),
    [anon_sym_lineadj] = ACTIONS(161),
    [anon_sym_triangle] = ACTIONS(161),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(1978),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_typedef] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1976),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_public] = ACTIONS(1978),
    [anon_sym_private] = ACTIONS(1978),
    [anon_sym_protected] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_static_assert] = ACTIONS(1978),
    [anon_sym_catch] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5368),
    [aux_sym_preproc_def_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5368),
    [sym_preproc_directive] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5370),
    [anon_sym_TILDE] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [anon_sym___extension__] = ACTIONS(5368),
    [anon_sym_typedef] = ACTIONS(5368),
    [anon_sym_in] = ACTIONS(5368),
    [anon_sym_out] = ACTIONS(5368),
    [anon_sym_inout] = ACTIONS(5368),
    [anon_sym_virtual] = ACTIONS(5368),
    [anon_sym_extern] = ACTIONS(5368),
    [anon_sym___attribute__] = ACTIONS(5368),
    [anon_sym___attribute] = ACTIONS(5368),
    [anon_sym_COLON_COLON] = ACTIONS(5370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5370),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(5368),
    [anon_sym_RBRACE] = ACTIONS(5370),
    [anon_sym_signed] = ACTIONS(5368),
    [anon_sym_unsigned] = ACTIONS(5368),
    [anon_sym_long] = ACTIONS(5368),
    [anon_sym_short] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_static] = ACTIONS(5368),
    [anon_sym_register] = ACTIONS(5368),
    [anon_sym_inline] = ACTIONS(5368),
    [anon_sym___inline] = ACTIONS(5368),
    [anon_sym___inline__] = ACTIONS(5368),
    [anon_sym___forceinline] = ACTIONS(5368),
    [anon_sym_thread_local] = ACTIONS(5368),
    [anon_sym___thread] = ACTIONS(5368),
    [anon_sym_const] = ACTIONS(5368),
    [anon_sym_constexpr] = ACTIONS(5368),
    [anon_sym_volatile] = ACTIONS(5368),
    [anon_sym_restrict] = ACTIONS(5368),
    [anon_sym___restrict__] = ACTIONS(5368),
    [anon_sym__Atomic] = ACTIONS(5368),
    [anon_sym__Noreturn] = ACTIONS(5368),
    [anon_sym_noreturn] = ACTIONS(5368),
    [anon_sym__Nonnull] = ACTIONS(5368),
    [anon_sym_mutable] = ACTIONS(5368),
    [anon_sym_constinit] = ACTIONS(5368),
    [anon_sym_consteval] = ACTIONS(5368),
    [anon_sym_alignas] = ACTIONS(5368),
    [anon_sym__Alignas] = ACTIONS(5368),
    [sym_primitive_type] = ACTIONS(5368),
    [anon_sym_enum] = ACTIONS(5368),
    [anon_sym_class] = ACTIONS(5368),
    [anon_sym_struct] = ACTIONS(5368),
    [anon_sym_union] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5368),
    [anon_sym_decltype] = ACTIONS(5368),
    [anon_sym_explicit] = ACTIONS(5368),
    [anon_sym_typename] = ACTIONS(5368),
    [anon_sym_template] = ACTIONS(5368),
    [anon_sym_operator] = ACTIONS(5368),
    [anon_sym_friend] = ACTIONS(5368),
    [anon_sym_public] = ACTIONS(5368),
    [anon_sym_private] = ACTIONS(5368),
    [anon_sym_protected] = ACTIONS(5368),
    [anon_sym_using] = ACTIONS(5368),
    [anon_sym_static_assert] = ACTIONS(5368),
    [anon_sym_precise] = ACTIONS(5368),
    [anon_sym_shared] = ACTIONS(5368),
    [anon_sym_groupshared] = ACTIONS(5368),
    [anon_sym_uniform] = ACTIONS(5368),
    [anon_sym_row_major] = ACTIONS(5368),
    [anon_sym_column_major] = ACTIONS(5368),
    [anon_sym_globallycoherent] = ACTIONS(5368),
    [anon_sym_centroid] = ACTIONS(5368),
    [anon_sym_noperspective] = ACTIONS(5368),
    [anon_sym_nointerpolation] = ACTIONS(5368),
    [anon_sym_sample] = ACTIONS(5368),
    [anon_sym_linear] = ACTIONS(5368),
    [anon_sym_snorm] = ACTIONS(5368),
    [anon_sym_unorm] = ACTIONS(5368),
    [anon_sym_point] = ACTIONS(5368),
    [anon_sym_line] = ACTIONS(5368),
    [anon_sym_triangleadj] = ACTIONS(5368),
    [anon_sym_lineadj] = ACTIONS(5368),
    [anon_sym_triangle] = ACTIONS(5368),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5356),
    [aux_sym_preproc_def_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token2] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5356),
    [sym_preproc_directive] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5358),
    [anon_sym_TILDE] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_AMP_AMP] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5358),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_typedef] = ACTIONS(5356),
    [anon_sym_in] = ACTIONS(5356),
    [anon_sym_out] = ACTIONS(5356),
    [anon_sym_inout] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5356),
    [anon_sym_extern] = ACTIONS(5356),
    [anon_sym___attribute__] = ACTIONS(5356),
    [anon_sym___attribute] = ACTIONS(5356),
    [anon_sym_COLON_COLON] = ACTIONS(5358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5358),
    [anon_sym___declspec] = ACTIONS(5356),
    [anon_sym___based] = ACTIONS(5356),
    [anon_sym_signed] = ACTIONS(5356),
    [anon_sym_unsigned] = ACTIONS(5356),
    [anon_sym_long] = ACTIONS(5356),
    [anon_sym_short] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_static] = ACTIONS(5356),
    [anon_sym_register] = ACTIONS(5356),
    [anon_sym_inline] = ACTIONS(5356),
    [anon_sym___inline] = ACTIONS(5356),
    [anon_sym___inline__] = ACTIONS(5356),
    [anon_sym___forceinline] = ACTIONS(5356),
    [anon_sym_thread_local] = ACTIONS(5356),
    [anon_sym___thread] = ACTIONS(5356),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5356),
    [anon_sym__Alignas] = ACTIONS(5356),
    [sym_primitive_type] = ACTIONS(5356),
    [anon_sym_enum] = ACTIONS(5356),
    [anon_sym_class] = ACTIONS(5356),
    [anon_sym_struct] = ACTIONS(5356),
    [anon_sym_union] = ACTIONS(5356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5356),
    [anon_sym_decltype] = ACTIONS(5356),
    [anon_sym_explicit] = ACTIONS(5356),
    [anon_sym_typename] = ACTIONS(5356),
    [anon_sym_template] = ACTIONS(5356),
    [anon_sym_operator] = ACTIONS(5356),
    [anon_sym_friend] = ACTIONS(5356),
    [anon_sym_public] = ACTIONS(5356),
    [anon_sym_private] = ACTIONS(5356),
    [anon_sym_protected] = ACTIONS(5356),
    [anon_sym_using] = ACTIONS(5356),
    [anon_sym_static_assert] = ACTIONS(5356),
    [anon_sym_precise] = ACTIONS(5356),
    [anon_sym_shared] = ACTIONS(5356),
    [anon_sym_groupshared] = ACTIONS(5356),
    [anon_sym_uniform] = ACTIONS(5356),
    [anon_sym_row_major] = ACTIONS(5356),
    [anon_sym_column_major] = ACTIONS(5356),
    [anon_sym_globallycoherent] = ACTIONS(5356),
    [anon_sym_centroid] = ACTIONS(5356),
    [anon_sym_noperspective] = ACTIONS(5356),
    [anon_sym_nointerpolation] = ACTIONS(5356),
    [anon_sym_sample] = ACTIONS(5356),
    [anon_sym_linear] = ACTIONS(5356),
    [anon_sym_snorm] = ACTIONS(5356),
    [anon_sym_unorm] = ACTIONS(5356),
    [anon_sym_point] = ACTIONS(5356),
    [anon_sym_line] = ACTIONS(5356),
    [anon_sym_triangleadj] = ACTIONS(5356),
    [anon_sym_lineadj] = ACTIONS(5356),
    [anon_sym_triangle] = ACTIONS(5356),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_TILDE] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym___extension__] = ACTIONS(5384),
    [anon_sym_typedef] = ACTIONS(5384),
    [anon_sym_in] = ACTIONS(5384),
    [anon_sym_out] = ACTIONS(5384),
    [anon_sym_inout] = ACTIONS(5384),
    [anon_sym_virtual] = ACTIONS(5384),
    [anon_sym_extern] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym___attribute] = ACTIONS(5384),
    [anon_sym_COLON_COLON] = ACTIONS(5386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5386),
    [anon_sym___declspec] = ACTIONS(5384),
    [anon_sym___based] = ACTIONS(5384),
    [anon_sym_RBRACE] = ACTIONS(5386),
    [anon_sym_signed] = ACTIONS(5384),
    [anon_sym_unsigned] = ACTIONS(5384),
    [anon_sym_long] = ACTIONS(5384),
    [anon_sym_short] = ACTIONS(5384),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_static] = ACTIONS(5384),
    [anon_sym_register] = ACTIONS(5384),
    [anon_sym_inline] = ACTIONS(5384),
    [anon_sym___inline] = ACTIONS(5384),
    [anon_sym___inline__] = ACTIONS(5384),
    [anon_sym___forceinline] = ACTIONS(5384),
    [anon_sym_thread_local] = ACTIONS(5384),
    [anon_sym___thread] = ACTIONS(5384),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5384),
    [anon_sym_volatile] = ACTIONS(5384),
    [anon_sym_restrict] = ACTIONS(5384),
    [anon_sym___restrict__] = ACTIONS(5384),
    [anon_sym__Atomic] = ACTIONS(5384),
    [anon_sym__Noreturn] = ACTIONS(5384),
    [anon_sym_noreturn] = ACTIONS(5384),
    [anon_sym__Nonnull] = ACTIONS(5384),
    [anon_sym_mutable] = ACTIONS(5384),
    [anon_sym_constinit] = ACTIONS(5384),
    [anon_sym_consteval] = ACTIONS(5384),
    [anon_sym_alignas] = ACTIONS(5384),
    [anon_sym__Alignas] = ACTIONS(5384),
    [sym_primitive_type] = ACTIONS(5384),
    [anon_sym_enum] = ACTIONS(5384),
    [anon_sym_class] = ACTIONS(5384),
    [anon_sym_struct] = ACTIONS(5384),
    [anon_sym_union] = ACTIONS(5384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
    [anon_sym_explicit] = ACTIONS(5384),
    [anon_sym_typename] = ACTIONS(5384),
    [anon_sym_template] = ACTIONS(5384),
    [anon_sym_operator] = ACTIONS(5384),
    [anon_sym_friend] = ACTIONS(5384),
    [anon_sym_public] = ACTIONS(5384),
    [anon_sym_private] = ACTIONS(5384),
    [anon_sym_protected] = ACTIONS(5384),
    [anon_sym_using] = ACTIONS(5384),
    [anon_sym_static_assert] = ACTIONS(5384),
    [anon_sym_precise] = ACTIONS(5384),
    [anon_sym_shared] = ACTIONS(5384),
    [anon_sym_groupshared] = ACTIONS(5384),
    [anon_sym_uniform] = ACTIONS(5384),
    [anon_sym_row_major] = ACTIONS(5384),
    [anon_sym_column_major] = ACTIONS(5384),
    [anon_sym_globallycoherent] = ACTIONS(5384),
    [anon_sym_centroid] = ACTIONS(5384),
    [anon_sym_noperspective] = ACTIONS(5384),
    [anon_sym_nointerpolation] = ACTIONS(5384),
    [anon_sym_sample] = ACTIONS(5384),
    [anon_sym_linear] = ACTIONS(5384),
    [anon_sym_snorm] = ACTIONS(5384),
    [anon_sym_unorm] = ACTIONS(5384),
    [anon_sym_point] = ACTIONS(5384),
    [anon_sym_line] = ACTIONS(5384),
    [anon_sym_triangleadj] = ACTIONS(5384),
    [anon_sym_lineadj] = ACTIONS(5384),
    [anon_sym_triangle] = ACTIONS(5384),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(2607),
    [aux_sym_preproc_def_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2607),
    [sym_preproc_directive] = ACTIONS(2607),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2609),
    [anon_sym_AMP_AMP] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym___extension__] = ACTIONS(2607),
    [anon_sym_typedef] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2607),
    [anon_sym_out] = ACTIONS(2607),
    [anon_sym_inout] = ACTIONS(2607),
    [anon_sym_virtual] = ACTIONS(2607),
    [anon_sym_extern] = ACTIONS(2607),
    [anon_sym___attribute__] = ACTIONS(2607),
    [anon_sym___attribute] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(2609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2609),
    [anon_sym___declspec] = ACTIONS(2607),
    [anon_sym___based] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2609),
    [anon_sym_signed] = ACTIONS(2607),
    [anon_sym_unsigned] = ACTIONS(2607),
    [anon_sym_long] = ACTIONS(2607),
    [anon_sym_short] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_register] = ACTIONS(2607),
    [anon_sym_inline] = ACTIONS(2607),
    [anon_sym___inline] = ACTIONS(2607),
    [anon_sym___inline__] = ACTIONS(2607),
    [anon_sym___forceinline] = ACTIONS(2607),
    [anon_sym_thread_local] = ACTIONS(2607),
    [anon_sym___thread] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2607),
    [anon_sym_constexpr] = ACTIONS(2607),
    [anon_sym_volatile] = ACTIONS(2607),
    [anon_sym_restrict] = ACTIONS(2607),
    [anon_sym___restrict__] = ACTIONS(2607),
    [anon_sym__Atomic] = ACTIONS(2607),
    [anon_sym__Noreturn] = ACTIONS(2607),
    [anon_sym_noreturn] = ACTIONS(2607),
    [anon_sym__Nonnull] = ACTIONS(2607),
    [anon_sym_mutable] = ACTIONS(2607),
    [anon_sym_constinit] = ACTIONS(2607),
    [anon_sym_consteval] = ACTIONS(2607),
    [anon_sym_alignas] = ACTIONS(2607),
    [anon_sym__Alignas] = ACTIONS(2607),
    [sym_primitive_type] = ACTIONS(2607),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2607),
    [anon_sym_struct] = ACTIONS(2607),
    [anon_sym_union] = ACTIONS(2607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2607),
    [anon_sym_decltype] = ACTIONS(2607),
    [anon_sym_explicit] = ACTIONS(2607),
    [anon_sym_typename] = ACTIONS(2607),
    [anon_sym_template] = ACTIONS(2607),
    [anon_sym_operator] = ACTIONS(2607),
    [anon_sym_friend] = ACTIONS(2607),
    [anon_sym_public] = ACTIONS(2607),
    [anon_sym_private] = ACTIONS(2607),
    [anon_sym_protected] = ACTIONS(2607),
    [anon_sym_using] = ACTIONS(2607),
    [anon_sym_static_assert] = ACTIONS(2607),
    [anon_sym_precise] = ACTIONS(2607),
    [anon_sym_shared] = ACTIONS(2607),
    [anon_sym_groupshared] = ACTIONS(2607),
    [anon_sym_uniform] = ACTIONS(2607),
    [anon_sym_row_major] = ACTIONS(2607),
    [anon_sym_column_major] = ACTIONS(2607),
    [anon_sym_globallycoherent] = ACTIONS(2607),
    [anon_sym_centroid] = ACTIONS(2607),
    [anon_sym_noperspective] = ACTIONS(2607),
    [anon_sym_nointerpolation] = ACTIONS(2607),
    [anon_sym_sample] = ACTIONS(2607),
    [anon_sym_linear] = ACTIONS(2607),
    [anon_sym_snorm] = ACTIONS(2607),
    [anon_sym_unorm] = ACTIONS(2607),
    [anon_sym_point] = ACTIONS(2607),
    [anon_sym_line] = ACTIONS(2607),
    [anon_sym_triangleadj] = ACTIONS(2607),
    [anon_sym_lineadj] = ACTIONS(2607),
    [anon_sym_triangle] = ACTIONS(2607),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5344),
    [aux_sym_preproc_def_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token2] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5344),
    [sym_preproc_directive] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(5346),
    [anon_sym_TILDE] = ACTIONS(5346),
    [anon_sym_STAR] = ACTIONS(5346),
    [anon_sym_AMP_AMP] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5346),
    [anon_sym___extension__] = ACTIONS(5344),
    [anon_sym_typedef] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5344),
    [anon_sym_out] = ACTIONS(5344),
    [anon_sym_inout] = ACTIONS(5344),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_extern] = ACTIONS(5344),
    [anon_sym___attribute__] = ACTIONS(5344),
    [anon_sym___attribute] = ACTIONS(5344),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5346),
    [anon_sym___declspec] = ACTIONS(5344),
    [anon_sym___based] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5344),
    [anon_sym_unsigned] = ACTIONS(5344),
    [anon_sym_long] = ACTIONS(5344),
    [anon_sym_short] = ACTIONS(5344),
    [anon_sym_LBRACK] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(5344),
    [anon_sym_register] = ACTIONS(5344),
    [anon_sym_inline] = ACTIONS(5344),
    [anon_sym___inline] = ACTIONS(5344),
    [anon_sym___inline__] = ACTIONS(5344),
    [anon_sym___forceinline] = ACTIONS(5344),
    [anon_sym_thread_local] = ACTIONS(5344),
    [anon_sym___thread] = ACTIONS(5344),
    [anon_sym_const] = ACTIONS(5344),
    [anon_sym_constexpr] = ACTIONS(5344),
    [anon_sym_volatile] = ACTIONS(5344),
    [anon_sym_restrict] = ACTIONS(5344),
    [anon_sym___restrict__] = ACTIONS(5344),
    [anon_sym__Atomic] = ACTIONS(5344),
    [anon_sym__Noreturn] = ACTIONS(5344),
    [anon_sym_noreturn] = ACTIONS(5344),
    [anon_sym__Nonnull] = ACTIONS(5344),
    [anon_sym_mutable] = ACTIONS(5344),
    [anon_sym_constinit] = ACTIONS(5344),
    [anon_sym_consteval] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5344),
    [anon_sym__Alignas] = ACTIONS(5344),
    [sym_primitive_type] = ACTIONS(5344),
    [anon_sym_enum] = ACTIONS(5344),
    [anon_sym_class] = ACTIONS(5344),
    [anon_sym_struct] = ACTIONS(5344),
    [anon_sym_union] = ACTIONS(5344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5344),
    [anon_sym_decltype] = ACTIONS(5344),
    [anon_sym_explicit] = ACTIONS(5344),
    [anon_sym_typename] = ACTIONS(5344),
    [anon_sym_template] = ACTIONS(5344),
    [anon_sym_operator] = ACTIONS(5344),
    [anon_sym_friend] = ACTIONS(5344),
    [anon_sym_public] = ACTIONS(5344),
    [anon_sym_private] = ACTIONS(5344),
    [anon_sym_protected] = ACTIONS(5344),
    [anon_sym_using] = ACTIONS(5344),
    [anon_sym_static_assert] = ACTIONS(5344),
    [anon_sym_precise] = ACTIONS(5344),
    [anon_sym_shared] = ACTIONS(5344),
    [anon_sym_groupshared] = ACTIONS(5344),
    [anon_sym_uniform] = ACTIONS(5344),
    [anon_sym_row_major] = ACTIONS(5344),
    [anon_sym_column_major] = ACTIONS(5344),
    [anon_sym_globallycoherent] = ACTIONS(5344),
    [anon_sym_centroid] = ACTIONS(5344),
    [anon_sym_noperspective] = ACTIONS(5344),
    [anon_sym_nointerpolation] = ACTIONS(5344),
    [anon_sym_sample] = ACTIONS(5344),
    [anon_sym_linear] = ACTIONS(5344),
    [anon_sym_snorm] = ACTIONS(5344),
    [anon_sym_unorm] = ACTIONS(5344),
    [anon_sym_point] = ACTIONS(5344),
    [anon_sym_line] = ACTIONS(5344),
    [anon_sym_triangleadj] = ACTIONS(5344),
    [anon_sym_lineadj] = ACTIONS(5344),
    [anon_sym_triangle] = ACTIONS(5344),
  },
  [2015] = {
    [sym_identifier] = ACTIONS(5344),
    [aux_sym_preproc_def_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token2] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5344),
    [sym_preproc_directive] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(5346),
    [anon_sym_TILDE] = ACTIONS(5346),
    [anon_sym_STAR] = ACTIONS(5346),
    [anon_sym_AMP_AMP] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5346),
    [anon_sym___extension__] = ACTIONS(5344),
    [anon_sym_typedef] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5344),
    [anon_sym_out] = ACTIONS(5344),
    [anon_sym_inout] = ACTIONS(5344),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_extern] = ACTIONS(5344),
    [anon_sym___attribute__] = ACTIONS(5344),
    [anon_sym___attribute] = ACTIONS(5344),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5346),
    [anon_sym___declspec] = ACTIONS(5344),
    [anon_sym___based] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5344),
    [anon_sym_unsigned] = ACTIONS(5344),
    [anon_sym_long] = ACTIONS(5344),
    [anon_sym_short] = ACTIONS(5344),
    [anon_sym_LBRACK] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(5344),
    [anon_sym_register] = ACTIONS(5344),
    [anon_sym_inline] = ACTIONS(5344),
    [anon_sym___inline] = ACTIONS(5344),
    [anon_sym___inline__] = ACTIONS(5344),
    [anon_sym___forceinline] = ACTIONS(5344),
    [anon_sym_thread_local] = ACTIONS(5344),
    [anon_sym___thread] = ACTIONS(5344),
    [anon_sym_const] = ACTIONS(5344),
    [anon_sym_constexpr] = ACTIONS(5344),
    [anon_sym_volatile] = ACTIONS(5344),
    [anon_sym_restrict] = ACTIONS(5344),
    [anon_sym___restrict__] = ACTIONS(5344),
    [anon_sym__Atomic] = ACTIONS(5344),
    [anon_sym__Noreturn] = ACTIONS(5344),
    [anon_sym_noreturn] = ACTIONS(5344),
    [anon_sym__Nonnull] = ACTIONS(5344),
    [anon_sym_mutable] = ACTIONS(5344),
    [anon_sym_constinit] = ACTIONS(5344),
    [anon_sym_consteval] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5344),
    [anon_sym__Alignas] = ACTIONS(5344),
    [sym_primitive_type] = ACTIONS(5344),
    [anon_sym_enum] = ACTIONS(5344),
    [anon_sym_class] = ACTIONS(5344),
    [anon_sym_struct] = ACTIONS(5344),
    [anon_sym_union] = ACTIONS(5344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5344),
    [anon_sym_decltype] = ACTIONS(5344),
    [anon_sym_explicit] = ACTIONS(5344),
    [anon_sym_typename] = ACTIONS(5344),
    [anon_sym_template] = ACTIONS(5344),
    [anon_sym_operator] = ACTIONS(5344),
    [anon_sym_friend] = ACTIONS(5344),
    [anon_sym_public] = ACTIONS(5344),
    [anon_sym_private] = ACTIONS(5344),
    [anon_sym_protected] = ACTIONS(5344),
    [anon_sym_using] = ACTIONS(5344),
    [anon_sym_static_assert] = ACTIONS(5344),
    [anon_sym_precise] = ACTIONS(5344),
    [anon_sym_shared] = ACTIONS(5344),
    [anon_sym_groupshared] = ACTIONS(5344),
    [anon_sym_uniform] = ACTIONS(5344),
    [anon_sym_row_major] = ACTIONS(5344),
    [anon_sym_column_major] = ACTIONS(5344),
    [anon_sym_globallycoherent] = ACTIONS(5344),
    [anon_sym_centroid] = ACTIONS(5344),
    [anon_sym_noperspective] = ACTIONS(5344),
    [anon_sym_nointerpolation] = ACTIONS(5344),
    [anon_sym_sample] = ACTIONS(5344),
    [anon_sym_linear] = ACTIONS(5344),
    [anon_sym_snorm] = ACTIONS(5344),
    [anon_sym_unorm] = ACTIONS(5344),
    [anon_sym_point] = ACTIONS(5344),
    [anon_sym_line] = ACTIONS(5344),
    [anon_sym_triangleadj] = ACTIONS(5344),
    [anon_sym_lineadj] = ACTIONS(5344),
    [anon_sym_triangle] = ACTIONS(5344),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token2] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_typedef] = ACTIONS(5404),
    [anon_sym_in] = ACTIONS(5404),
    [anon_sym_out] = ACTIONS(5404),
    [anon_sym_inout] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___attribute] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_friend] = ACTIONS(5404),
    [anon_sym_public] = ACTIONS(5404),
    [anon_sym_private] = ACTIONS(5404),
    [anon_sym_protected] = ACTIONS(5404),
    [anon_sym_using] = ACTIONS(5404),
    [anon_sym_static_assert] = ACTIONS(5404),
    [anon_sym_precise] = ACTIONS(5404),
    [anon_sym_shared] = ACTIONS(5404),
    [anon_sym_groupshared] = ACTIONS(5404),
    [anon_sym_uniform] = ACTIONS(5404),
    [anon_sym_row_major] = ACTIONS(5404),
    [anon_sym_column_major] = ACTIONS(5404),
    [anon_sym_globallycoherent] = ACTIONS(5404),
    [anon_sym_centroid] = ACTIONS(5404),
    [anon_sym_noperspective] = ACTIONS(5404),
    [anon_sym_nointerpolation] = ACTIONS(5404),
    [anon_sym_sample] = ACTIONS(5404),
    [anon_sym_linear] = ACTIONS(5404),
    [anon_sym_snorm] = ACTIONS(5404),
    [anon_sym_unorm] = ACTIONS(5404),
    [anon_sym_point] = ACTIONS(5404),
    [anon_sym_line] = ACTIONS(5404),
    [anon_sym_triangleadj] = ACTIONS(5404),
    [anon_sym_lineadj] = ACTIONS(5404),
    [anon_sym_triangle] = ACTIONS(5404),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_friend] = ACTIONS(2201),
    [anon_sym_public] = ACTIONS(2201),
    [anon_sym_private] = ACTIONS(2201),
    [anon_sym_protected] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_friend] = ACTIONS(2532),
    [anon_sym_public] = ACTIONS(2532),
    [anon_sym_private] = ACTIONS(2532),
    [anon_sym_protected] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_groupshared] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_row_major] = ACTIONS(2532),
    [anon_sym_column_major] = ACTIONS(2532),
    [anon_sym_globallycoherent] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym_nointerpolation] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_linear] = ACTIONS(2532),
    [anon_sym_snorm] = ACTIONS(2532),
    [anon_sym_unorm] = ACTIONS(2532),
    [anon_sym_point] = ACTIONS(2532),
    [anon_sym_line] = ACTIONS(2532),
    [anon_sym_triangleadj] = ACTIONS(2532),
    [anon_sym_lineadj] = ACTIONS(2532),
    [anon_sym_triangle] = ACTIONS(2532),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(5432),
    [aux_sym_preproc_def_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5432),
    [sym_preproc_directive] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_TILDE] = ACTIONS(5434),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5432),
    [anon_sym_typedef] = ACTIONS(5432),
    [anon_sym_in] = ACTIONS(5432),
    [anon_sym_out] = ACTIONS(5432),
    [anon_sym_inout] = ACTIONS(5432),
    [anon_sym_virtual] = ACTIONS(5432),
    [anon_sym_extern] = ACTIONS(5432),
    [anon_sym___attribute__] = ACTIONS(5432),
    [anon_sym___attribute] = ACTIONS(5432),
    [anon_sym_COLON_COLON] = ACTIONS(5434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5434),
    [anon_sym___declspec] = ACTIONS(5432),
    [anon_sym___based] = ACTIONS(5432),
    [anon_sym_RBRACE] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5432),
    [anon_sym_unsigned] = ACTIONS(5432),
    [anon_sym_long] = ACTIONS(5432),
    [anon_sym_short] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5432),
    [anon_sym_static] = ACTIONS(5432),
    [anon_sym_register] = ACTIONS(5432),
    [anon_sym_inline] = ACTIONS(5432),
    [anon_sym___inline] = ACTIONS(5432),
    [anon_sym___inline__] = ACTIONS(5432),
    [anon_sym___forceinline] = ACTIONS(5432),
    [anon_sym_thread_local] = ACTIONS(5432),
    [anon_sym___thread] = ACTIONS(5432),
    [anon_sym_const] = ACTIONS(5432),
    [anon_sym_constexpr] = ACTIONS(5432),
    [anon_sym_volatile] = ACTIONS(5432),
    [anon_sym_restrict] = ACTIONS(5432),
    [anon_sym___restrict__] = ACTIONS(5432),
    [anon_sym__Atomic] = ACTIONS(5432),
    [anon_sym__Noreturn] = ACTIONS(5432),
    [anon_sym_noreturn] = ACTIONS(5432),
    [anon_sym__Nonnull] = ACTIONS(5432),
    [anon_sym_mutable] = ACTIONS(5432),
    [anon_sym_constinit] = ACTIONS(5432),
    [anon_sym_consteval] = ACTIONS(5432),
    [anon_sym_alignas] = ACTIONS(5432),
    [anon_sym__Alignas] = ACTIONS(5432),
    [sym_primitive_type] = ACTIONS(5432),
    [anon_sym_enum] = ACTIONS(5432),
    [anon_sym_class] = ACTIONS(5432),
    [anon_sym_struct] = ACTIONS(5432),
    [anon_sym_union] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5432),
    [anon_sym_decltype] = ACTIONS(5432),
    [anon_sym_explicit] = ACTIONS(5432),
    [anon_sym_typename] = ACTIONS(5432),
    [anon_sym_template] = ACTIONS(5432),
    [anon_sym_operator] = ACTIONS(5432),
    [anon_sym_friend] = ACTIONS(5432),
    [anon_sym_public] = ACTIONS(5432),
    [anon_sym_private] = ACTIONS(5432),
    [anon_sym_protected] = ACTIONS(5432),
    [anon_sym_using] = ACTIONS(5432),
    [anon_sym_static_assert] = ACTIONS(5432),
    [anon_sym_precise] = ACTIONS(5432),
    [anon_sym_shared] = ACTIONS(5432),
    [anon_sym_groupshared] = ACTIONS(5432),
    [anon_sym_uniform] = ACTIONS(5432),
    [anon_sym_row_major] = ACTIONS(5432),
    [anon_sym_column_major] = ACTIONS(5432),
    [anon_sym_globallycoherent] = ACTIONS(5432),
    [anon_sym_centroid] = ACTIONS(5432),
    [anon_sym_noperspective] = ACTIONS(5432),
    [anon_sym_nointerpolation] = ACTIONS(5432),
    [anon_sym_sample] = ACTIONS(5432),
    [anon_sym_linear] = ACTIONS(5432),
    [anon_sym_snorm] = ACTIONS(5432),
    [anon_sym_unorm] = ACTIONS(5432),
    [anon_sym_point] = ACTIONS(5432),
    [anon_sym_line] = ACTIONS(5432),
    [anon_sym_triangleadj] = ACTIONS(5432),
    [anon_sym_lineadj] = ACTIONS(5432),
    [anon_sym_triangle] = ACTIONS(5432),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_friend] = ACTIONS(2201),
    [anon_sym_public] = ACTIONS(2201),
    [anon_sym_private] = ACTIONS(2201),
    [anon_sym_protected] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_friend] = ACTIONS(2548),
    [anon_sym_public] = ACTIONS(2548),
    [anon_sym_private] = ACTIONS(2548),
    [anon_sym_protected] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_groupshared] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_row_major] = ACTIONS(2548),
    [anon_sym_column_major] = ACTIONS(2548),
    [anon_sym_globallycoherent] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym_nointerpolation] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_linear] = ACTIONS(2548),
    [anon_sym_snorm] = ACTIONS(2548),
    [anon_sym_unorm] = ACTIONS(2548),
    [anon_sym_point] = ACTIONS(2548),
    [anon_sym_line] = ACTIONS(2548),
    [anon_sym_triangleadj] = ACTIONS(2548),
    [anon_sym_lineadj] = ACTIONS(2548),
    [anon_sym_triangle] = ACTIONS(2548),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(5436),
    [aux_sym_preproc_def_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5436),
    [sym_preproc_directive] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5438),
    [anon_sym_TILDE] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym___extension__] = ACTIONS(5436),
    [anon_sym_typedef] = ACTIONS(5436),
    [anon_sym_in] = ACTIONS(5436),
    [anon_sym_out] = ACTIONS(5436),
    [anon_sym_inout] = ACTIONS(5436),
    [anon_sym_virtual] = ACTIONS(5436),
    [anon_sym_extern] = ACTIONS(5436),
    [anon_sym___attribute__] = ACTIONS(5436),
    [anon_sym___attribute] = ACTIONS(5436),
    [anon_sym_COLON_COLON] = ACTIONS(5438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5438),
    [anon_sym___declspec] = ACTIONS(5436),
    [anon_sym___based] = ACTIONS(5436),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_signed] = ACTIONS(5436),
    [anon_sym_unsigned] = ACTIONS(5436),
    [anon_sym_long] = ACTIONS(5436),
    [anon_sym_short] = ACTIONS(5436),
    [anon_sym_LBRACK] = ACTIONS(5436),
    [anon_sym_static] = ACTIONS(5436),
    [anon_sym_register] = ACTIONS(5436),
    [anon_sym_inline] = ACTIONS(5436),
    [anon_sym___inline] = ACTIONS(5436),
    [anon_sym___inline__] = ACTIONS(5436),
    [anon_sym___forceinline] = ACTIONS(5436),
    [anon_sym_thread_local] = ACTIONS(5436),
    [anon_sym___thread] = ACTIONS(5436),
    [anon_sym_const] = ACTIONS(5436),
    [anon_sym_constexpr] = ACTIONS(5436),
    [anon_sym_volatile] = ACTIONS(5436),
    [anon_sym_restrict] = ACTIONS(5436),
    [anon_sym___restrict__] = ACTIONS(5436),
    [anon_sym__Atomic] = ACTIONS(5436),
    [anon_sym__Noreturn] = ACTIONS(5436),
    [anon_sym_noreturn] = ACTIONS(5436),
    [anon_sym__Nonnull] = ACTIONS(5436),
    [anon_sym_mutable] = ACTIONS(5436),
    [anon_sym_constinit] = ACTIONS(5436),
    [anon_sym_consteval] = ACTIONS(5436),
    [anon_sym_alignas] = ACTIONS(5436),
    [anon_sym__Alignas] = ACTIONS(5436),
    [sym_primitive_type] = ACTIONS(5436),
    [anon_sym_enum] = ACTIONS(5436),
    [anon_sym_class] = ACTIONS(5436),
    [anon_sym_struct] = ACTIONS(5436),
    [anon_sym_union] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5436),
    [anon_sym_decltype] = ACTIONS(5436),
    [anon_sym_explicit] = ACTIONS(5436),
    [anon_sym_typename] = ACTIONS(5436),
    [anon_sym_template] = ACTIONS(5436),
    [anon_sym_operator] = ACTIONS(5436),
    [anon_sym_friend] = ACTIONS(5436),
    [anon_sym_public] = ACTIONS(5436),
    [anon_sym_private] = ACTIONS(5436),
    [anon_sym_protected] = ACTIONS(5436),
    [anon_sym_using] = ACTIONS(5436),
    [anon_sym_static_assert] = ACTIONS(5436),
    [anon_sym_precise] = ACTIONS(5436),
    [anon_sym_shared] = ACTIONS(5436),
    [anon_sym_groupshared] = ACTIONS(5436),
    [anon_sym_uniform] = ACTIONS(5436),
    [anon_sym_row_major] = ACTIONS(5436),
    [anon_sym_column_major] = ACTIONS(5436),
    [anon_sym_globallycoherent] = ACTIONS(5436),
    [anon_sym_centroid] = ACTIONS(5436),
    [anon_sym_noperspective] = ACTIONS(5436),
    [anon_sym_nointerpolation] = ACTIONS(5436),
    [anon_sym_sample] = ACTIONS(5436),
    [anon_sym_linear] = ACTIONS(5436),
    [anon_sym_snorm] = ACTIONS(5436),
    [anon_sym_unorm] = ACTIONS(5436),
    [anon_sym_point] = ACTIONS(5436),
    [anon_sym_line] = ACTIONS(5436),
    [anon_sym_triangleadj] = ACTIONS(5436),
    [anon_sym_lineadj] = ACTIONS(5436),
    [anon_sym_triangle] = ACTIONS(5436),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(5388),
    [aux_sym_preproc_def_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5388),
    [sym_preproc_directive] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_TILDE] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym_typedef] = ACTIONS(5388),
    [anon_sym_in] = ACTIONS(5388),
    [anon_sym_out] = ACTIONS(5388),
    [anon_sym_inout] = ACTIONS(5388),
    [anon_sym_virtual] = ACTIONS(5388),
    [anon_sym_extern] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym___attribute] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5390),
    [anon_sym___declspec] = ACTIONS(5388),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym_RBRACE] = ACTIONS(5390),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [anon_sym_static] = ACTIONS(5388),
    [anon_sym_register] = ACTIONS(5388),
    [anon_sym_inline] = ACTIONS(5388),
    [anon_sym___inline] = ACTIONS(5388),
    [anon_sym___inline__] = ACTIONS(5388),
    [anon_sym___forceinline] = ACTIONS(5388),
    [anon_sym_thread_local] = ACTIONS(5388),
    [anon_sym___thread] = ACTIONS(5388),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [sym_primitive_type] = ACTIONS(5388),
    [anon_sym_enum] = ACTIONS(5388),
    [anon_sym_class] = ACTIONS(5388),
    [anon_sym_struct] = ACTIONS(5388),
    [anon_sym_union] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_explicit] = ACTIONS(5388),
    [anon_sym_typename] = ACTIONS(5388),
    [anon_sym_template] = ACTIONS(5388),
    [anon_sym_operator] = ACTIONS(5388),
    [anon_sym_friend] = ACTIONS(5388),
    [anon_sym_public] = ACTIONS(5388),
    [anon_sym_private] = ACTIONS(5388),
    [anon_sym_protected] = ACTIONS(5388),
    [anon_sym_using] = ACTIONS(5388),
    [anon_sym_static_assert] = ACTIONS(5388),
    [anon_sym_precise] = ACTIONS(5388),
    [anon_sym_shared] = ACTIONS(5388),
    [anon_sym_groupshared] = ACTIONS(5388),
    [anon_sym_uniform] = ACTIONS(5388),
    [anon_sym_row_major] = ACTIONS(5388),
    [anon_sym_column_major] = ACTIONS(5388),
    [anon_sym_globallycoherent] = ACTIONS(5388),
    [anon_sym_centroid] = ACTIONS(5388),
    [anon_sym_noperspective] = ACTIONS(5388),
    [anon_sym_nointerpolation] = ACTIONS(5388),
    [anon_sym_sample] = ACTIONS(5388),
    [anon_sym_linear] = ACTIONS(5388),
    [anon_sym_snorm] = ACTIONS(5388),
    [anon_sym_unorm] = ACTIONS(5388),
    [anon_sym_point] = ACTIONS(5388),
    [anon_sym_line] = ACTIONS(5388),
    [anon_sym_triangleadj] = ACTIONS(5388),
    [anon_sym_lineadj] = ACTIONS(5388),
    [anon_sym_triangle] = ACTIONS(5388),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(5388),
    [aux_sym_preproc_def_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5388),
    [sym_preproc_directive] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_TILDE] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym_typedef] = ACTIONS(5388),
    [anon_sym_in] = ACTIONS(5388),
    [anon_sym_out] = ACTIONS(5388),
    [anon_sym_inout] = ACTIONS(5388),
    [anon_sym_virtual] = ACTIONS(5388),
    [anon_sym_extern] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym___attribute] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5390),
    [anon_sym___declspec] = ACTIONS(5388),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym_RBRACE] = ACTIONS(5390),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [anon_sym_static] = ACTIONS(5388),
    [anon_sym_register] = ACTIONS(5388),
    [anon_sym_inline] = ACTIONS(5388),
    [anon_sym___inline] = ACTIONS(5388),
    [anon_sym___inline__] = ACTIONS(5388),
    [anon_sym___forceinline] = ACTIONS(5388),
    [anon_sym_thread_local] = ACTIONS(5388),
    [anon_sym___thread] = ACTIONS(5388),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [sym_primitive_type] = ACTIONS(5388),
    [anon_sym_enum] = ACTIONS(5388),
    [anon_sym_class] = ACTIONS(5388),
    [anon_sym_struct] = ACTIONS(5388),
    [anon_sym_union] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_explicit] = ACTIONS(5388),
    [anon_sym_typename] = ACTIONS(5388),
    [anon_sym_template] = ACTIONS(5388),
    [anon_sym_operator] = ACTIONS(5388),
    [anon_sym_friend] = ACTIONS(5388),
    [anon_sym_public] = ACTIONS(5388),
    [anon_sym_private] = ACTIONS(5388),
    [anon_sym_protected] = ACTIONS(5388),
    [anon_sym_using] = ACTIONS(5388),
    [anon_sym_static_assert] = ACTIONS(5388),
    [anon_sym_precise] = ACTIONS(5388),
    [anon_sym_shared] = ACTIONS(5388),
    [anon_sym_groupshared] = ACTIONS(5388),
    [anon_sym_uniform] = ACTIONS(5388),
    [anon_sym_row_major] = ACTIONS(5388),
    [anon_sym_column_major] = ACTIONS(5388),
    [anon_sym_globallycoherent] = ACTIONS(5388),
    [anon_sym_centroid] = ACTIONS(5388),
    [anon_sym_noperspective] = ACTIONS(5388),
    [anon_sym_nointerpolation] = ACTIONS(5388),
    [anon_sym_sample] = ACTIONS(5388),
    [anon_sym_linear] = ACTIONS(5388),
    [anon_sym_snorm] = ACTIONS(5388),
    [anon_sym_unorm] = ACTIONS(5388),
    [anon_sym_point] = ACTIONS(5388),
    [anon_sym_line] = ACTIONS(5388),
    [anon_sym_triangleadj] = ACTIONS(5388),
    [anon_sym_lineadj] = ACTIONS(5388),
    [anon_sym_triangle] = ACTIONS(5388),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_TILDE] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym_typedef] = ACTIONS(5392),
    [anon_sym_in] = ACTIONS(5392),
    [anon_sym_out] = ACTIONS(5392),
    [anon_sym_inout] = ACTIONS(5392),
    [anon_sym_virtual] = ACTIONS(5392),
    [anon_sym_extern] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym___attribute] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym___declspec] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_RBRACE] = ACTIONS(5394),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_static] = ACTIONS(5392),
    [anon_sym_register] = ACTIONS(5392),
    [anon_sym_inline] = ACTIONS(5392),
    [anon_sym___inline] = ACTIONS(5392),
    [anon_sym___inline__] = ACTIONS(5392),
    [anon_sym___forceinline] = ACTIONS(5392),
    [anon_sym_thread_local] = ACTIONS(5392),
    [anon_sym___thread] = ACTIONS(5392),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_enum] = ACTIONS(5392),
    [anon_sym_class] = ACTIONS(5392),
    [anon_sym_struct] = ACTIONS(5392),
    [anon_sym_union] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_explicit] = ACTIONS(5392),
    [anon_sym_typename] = ACTIONS(5392),
    [anon_sym_template] = ACTIONS(5392),
    [anon_sym_operator] = ACTIONS(5392),
    [anon_sym_friend] = ACTIONS(5392),
    [anon_sym_public] = ACTIONS(5392),
    [anon_sym_private] = ACTIONS(5392),
    [anon_sym_protected] = ACTIONS(5392),
    [anon_sym_using] = ACTIONS(5392),
    [anon_sym_static_assert] = ACTIONS(5392),
    [anon_sym_precise] = ACTIONS(5392),
    [anon_sym_shared] = ACTIONS(5392),
    [anon_sym_groupshared] = ACTIONS(5392),
    [anon_sym_uniform] = ACTIONS(5392),
    [anon_sym_row_major] = ACTIONS(5392),
    [anon_sym_column_major] = ACTIONS(5392),
    [anon_sym_globallycoherent] = ACTIONS(5392),
    [anon_sym_centroid] = ACTIONS(5392),
    [anon_sym_noperspective] = ACTIONS(5392),
    [anon_sym_nointerpolation] = ACTIONS(5392),
    [anon_sym_sample] = ACTIONS(5392),
    [anon_sym_linear] = ACTIONS(5392),
    [anon_sym_snorm] = ACTIONS(5392),
    [anon_sym_unorm] = ACTIONS(5392),
    [anon_sym_point] = ACTIONS(5392),
    [anon_sym_line] = ACTIONS(5392),
    [anon_sym_triangleadj] = ACTIONS(5392),
    [anon_sym_lineadj] = ACTIONS(5392),
    [anon_sym_triangle] = ACTIONS(5392),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(2398),
    [aux_sym_preproc_def_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2398),
    [sym_preproc_directive] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2400),
    [anon_sym_TILDE] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2400),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2398),
    [anon_sym_typedef] = ACTIONS(2398),
    [anon_sym_in] = ACTIONS(2398),
    [anon_sym_out] = ACTIONS(2398),
    [anon_sym_inout] = ACTIONS(2398),
    [anon_sym_virtual] = ACTIONS(2398),
    [anon_sym_extern] = ACTIONS(2398),
    [anon_sym___attribute__] = ACTIONS(2398),
    [anon_sym___attribute] = ACTIONS(2398),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2400),
    [anon_sym___declspec] = ACTIONS(2398),
    [anon_sym___based] = ACTIONS(2398),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [anon_sym_signed] = ACTIONS(2398),
    [anon_sym_unsigned] = ACTIONS(2398),
    [anon_sym_long] = ACTIONS(2398),
    [anon_sym_short] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2398),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_register] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(2398),
    [anon_sym___inline] = ACTIONS(2398),
    [anon_sym___inline__] = ACTIONS(2398),
    [anon_sym___forceinline] = ACTIONS(2398),
    [anon_sym_thread_local] = ACTIONS(2398),
    [anon_sym___thread] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_constexpr] = ACTIONS(2398),
    [anon_sym_volatile] = ACTIONS(2398),
    [anon_sym_restrict] = ACTIONS(2398),
    [anon_sym___restrict__] = ACTIONS(2398),
    [anon_sym__Atomic] = ACTIONS(2398),
    [anon_sym__Noreturn] = ACTIONS(2398),
    [anon_sym_noreturn] = ACTIONS(2398),
    [anon_sym__Nonnull] = ACTIONS(2398),
    [anon_sym_mutable] = ACTIONS(2398),
    [anon_sym_constinit] = ACTIONS(2398),
    [anon_sym_consteval] = ACTIONS(2398),
    [anon_sym_alignas] = ACTIONS(2398),
    [anon_sym__Alignas] = ACTIONS(2398),
    [sym_primitive_type] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_class] = ACTIONS(2398),
    [anon_sym_struct] = ACTIONS(2398),
    [anon_sym_union] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2398),
    [anon_sym_decltype] = ACTIONS(2398),
    [anon_sym_explicit] = ACTIONS(2398),
    [anon_sym_typename] = ACTIONS(2398),
    [anon_sym_template] = ACTIONS(2398),
    [anon_sym_operator] = ACTIONS(2398),
    [anon_sym_friend] = ACTIONS(2398),
    [anon_sym_public] = ACTIONS(2398),
    [anon_sym_private] = ACTIONS(2398),
    [anon_sym_protected] = ACTIONS(2398),
    [anon_sym_using] = ACTIONS(2398),
    [anon_sym_static_assert] = ACTIONS(2398),
    [anon_sym_precise] = ACTIONS(2398),
    [anon_sym_shared] = ACTIONS(2398),
    [anon_sym_groupshared] = ACTIONS(2398),
    [anon_sym_uniform] = ACTIONS(2398),
    [anon_sym_row_major] = ACTIONS(2398),
    [anon_sym_column_major] = ACTIONS(2398),
    [anon_sym_globallycoherent] = ACTIONS(2398),
    [anon_sym_centroid] = ACTIONS(2398),
    [anon_sym_noperspective] = ACTIONS(2398),
    [anon_sym_nointerpolation] = ACTIONS(2398),
    [anon_sym_sample] = ACTIONS(2398),
    [anon_sym_linear] = ACTIONS(2398),
    [anon_sym_snorm] = ACTIONS(2398),
    [anon_sym_unorm] = ACTIONS(2398),
    [anon_sym_point] = ACTIONS(2398),
    [anon_sym_line] = ACTIONS(2398),
    [anon_sym_triangleadj] = ACTIONS(2398),
    [anon_sym_lineadj] = ACTIONS(2398),
    [anon_sym_triangle] = ACTIONS(2398),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(2127),
    [aux_sym_preproc_def_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2127),
    [sym_preproc_directive] = ACTIONS(2127),
    [anon_sym_LPAREN2] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym___extension__] = ACTIONS(2127),
    [anon_sym_typedef] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_out] = ACTIONS(2127),
    [anon_sym_inout] = ACTIONS(2127),
    [anon_sym_virtual] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2127),
    [anon_sym___attribute__] = ACTIONS(2127),
    [anon_sym___attribute] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2129),
    [anon_sym___declspec] = ACTIONS(2127),
    [anon_sym___based] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2129),
    [anon_sym_signed] = ACTIONS(2127),
    [anon_sym_unsigned] = ACTIONS(2127),
    [anon_sym_long] = ACTIONS(2127),
    [anon_sym_short] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_register] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(2127),
    [anon_sym___inline] = ACTIONS(2127),
    [anon_sym___inline__] = ACTIONS(2127),
    [anon_sym___forceinline] = ACTIONS(2127),
    [anon_sym_thread_local] = ACTIONS(2127),
    [anon_sym___thread] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_constexpr] = ACTIONS(2127),
    [anon_sym_volatile] = ACTIONS(2127),
    [anon_sym_restrict] = ACTIONS(2127),
    [anon_sym___restrict__] = ACTIONS(2127),
    [anon_sym__Atomic] = ACTIONS(2127),
    [anon_sym__Noreturn] = ACTIONS(2127),
    [anon_sym_noreturn] = ACTIONS(2127),
    [anon_sym__Nonnull] = ACTIONS(2127),
    [anon_sym_mutable] = ACTIONS(2127),
    [anon_sym_constinit] = ACTIONS(2127),
    [anon_sym_consteval] = ACTIONS(2127),
    [anon_sym_alignas] = ACTIONS(2127),
    [anon_sym__Alignas] = ACTIONS(2127),
    [sym_primitive_type] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_struct] = ACTIONS(2127),
    [anon_sym_union] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2127),
    [anon_sym_decltype] = ACTIONS(2127),
    [anon_sym_explicit] = ACTIONS(2127),
    [anon_sym_typename] = ACTIONS(2127),
    [anon_sym_template] = ACTIONS(2127),
    [anon_sym_operator] = ACTIONS(2127),
    [anon_sym_friend] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_static_assert] = ACTIONS(2127),
    [anon_sym_precise] = ACTIONS(2127),
    [anon_sym_shared] = ACTIONS(2127),
    [anon_sym_groupshared] = ACTIONS(2127),
    [anon_sym_uniform] = ACTIONS(2127),
    [anon_sym_row_major] = ACTIONS(2127),
    [anon_sym_column_major] = ACTIONS(2127),
    [anon_sym_globallycoherent] = ACTIONS(2127),
    [anon_sym_centroid] = ACTIONS(2127),
    [anon_sym_noperspective] = ACTIONS(2127),
    [anon_sym_nointerpolation] = ACTIONS(2127),
    [anon_sym_sample] = ACTIONS(2127),
    [anon_sym_linear] = ACTIONS(2127),
    [anon_sym_snorm] = ACTIONS(2127),
    [anon_sym_unorm] = ACTIONS(2127),
    [anon_sym_point] = ACTIONS(2127),
    [anon_sym_line] = ACTIONS(2127),
    [anon_sym_triangleadj] = ACTIONS(2127),
    [anon_sym_lineadj] = ACTIONS(2127),
    [anon_sym_triangle] = ACTIONS(2127),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(2603),
    [aux_sym_preproc_def_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2603),
    [sym_preproc_directive] = ACTIONS(2603),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym___extension__] = ACTIONS(2603),
    [anon_sym_typedef] = ACTIONS(2603),
    [anon_sym_in] = ACTIONS(2603),
    [anon_sym_out] = ACTIONS(2603),
    [anon_sym_inout] = ACTIONS(2603),
    [anon_sym_virtual] = ACTIONS(2603),
    [anon_sym_extern] = ACTIONS(2603),
    [anon_sym___attribute__] = ACTIONS(2603),
    [anon_sym___attribute] = ACTIONS(2603),
    [anon_sym_COLON_COLON] = ACTIONS(2605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2605),
    [anon_sym___declspec] = ACTIONS(2603),
    [anon_sym___based] = ACTIONS(2603),
    [anon_sym_RBRACE] = ACTIONS(2605),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [anon_sym_static] = ACTIONS(2603),
    [anon_sym_register] = ACTIONS(2603),
    [anon_sym_inline] = ACTIONS(2603),
    [anon_sym___inline] = ACTIONS(2603),
    [anon_sym___inline__] = ACTIONS(2603),
    [anon_sym___forceinline] = ACTIONS(2603),
    [anon_sym_thread_local] = ACTIONS(2603),
    [anon_sym___thread] = ACTIONS(2603),
    [anon_sym_const] = ACTIONS(2603),
    [anon_sym_constexpr] = ACTIONS(2603),
    [anon_sym_volatile] = ACTIONS(2603),
    [anon_sym_restrict] = ACTIONS(2603),
    [anon_sym___restrict__] = ACTIONS(2603),
    [anon_sym__Atomic] = ACTIONS(2603),
    [anon_sym__Noreturn] = ACTIONS(2603),
    [anon_sym_noreturn] = ACTIONS(2603),
    [anon_sym__Nonnull] = ACTIONS(2603),
    [anon_sym_mutable] = ACTIONS(2603),
    [anon_sym_constinit] = ACTIONS(2603),
    [anon_sym_consteval] = ACTIONS(2603),
    [anon_sym_alignas] = ACTIONS(2603),
    [anon_sym__Alignas] = ACTIONS(2603),
    [sym_primitive_type] = ACTIONS(2603),
    [anon_sym_enum] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2603),
    [anon_sym_union] = ACTIONS(2603),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2603),
    [anon_sym_decltype] = ACTIONS(2603),
    [anon_sym_explicit] = ACTIONS(2603),
    [anon_sym_typename] = ACTIONS(2603),
    [anon_sym_template] = ACTIONS(2603),
    [anon_sym_operator] = ACTIONS(2603),
    [anon_sym_friend] = ACTIONS(2603),
    [anon_sym_public] = ACTIONS(2603),
    [anon_sym_private] = ACTIONS(2603),
    [anon_sym_protected] = ACTIONS(2603),
    [anon_sym_using] = ACTIONS(2603),
    [anon_sym_static_assert] = ACTIONS(2603),
    [anon_sym_precise] = ACTIONS(2603),
    [anon_sym_shared] = ACTIONS(2603),
    [anon_sym_groupshared] = ACTIONS(2603),
    [anon_sym_uniform] = ACTIONS(2603),
    [anon_sym_row_major] = ACTIONS(2603),
    [anon_sym_column_major] = ACTIONS(2603),
    [anon_sym_globallycoherent] = ACTIONS(2603),
    [anon_sym_centroid] = ACTIONS(2603),
    [anon_sym_noperspective] = ACTIONS(2603),
    [anon_sym_nointerpolation] = ACTIONS(2603),
    [anon_sym_sample] = ACTIONS(2603),
    [anon_sym_linear] = ACTIONS(2603),
    [anon_sym_snorm] = ACTIONS(2603),
    [anon_sym_unorm] = ACTIONS(2603),
    [anon_sym_point] = ACTIONS(2603),
    [anon_sym_line] = ACTIONS(2603),
    [anon_sym_triangleadj] = ACTIONS(2603),
    [anon_sym_lineadj] = ACTIONS(2603),
    [anon_sym_triangle] = ACTIONS(2603),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(2378),
    [aux_sym_preproc_def_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2378),
    [sym_preproc_directive] = ACTIONS(2378),
    [anon_sym_LPAREN2] = ACTIONS(2380),
    [anon_sym_TILDE] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2380),
    [anon_sym___extension__] = ACTIONS(2378),
    [anon_sym_typedef] = ACTIONS(2378),
    [anon_sym_in] = ACTIONS(2378),
    [anon_sym_out] = ACTIONS(2378),
    [anon_sym_inout] = ACTIONS(2378),
    [anon_sym_virtual] = ACTIONS(2378),
    [anon_sym_extern] = ACTIONS(2378),
    [anon_sym___attribute__] = ACTIONS(2378),
    [anon_sym___attribute] = ACTIONS(2378),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2380),
    [anon_sym___declspec] = ACTIONS(2378),
    [anon_sym___based] = ACTIONS(2378),
    [anon_sym_RBRACE] = ACTIONS(2380),
    [anon_sym_signed] = ACTIONS(2378),
    [anon_sym_unsigned] = ACTIONS(2378),
    [anon_sym_long] = ACTIONS(2378),
    [anon_sym_short] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_register] = ACTIONS(2378),
    [anon_sym_inline] = ACTIONS(2378),
    [anon_sym___inline] = ACTIONS(2378),
    [anon_sym___inline__] = ACTIONS(2378),
    [anon_sym___forceinline] = ACTIONS(2378),
    [anon_sym_thread_local] = ACTIONS(2378),
    [anon_sym___thread] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_constexpr] = ACTIONS(2378),
    [anon_sym_volatile] = ACTIONS(2378),
    [anon_sym_restrict] = ACTIONS(2378),
    [anon_sym___restrict__] = ACTIONS(2378),
    [anon_sym__Atomic] = ACTIONS(2378),
    [anon_sym__Noreturn] = ACTIONS(2378),
    [anon_sym_noreturn] = ACTIONS(2378),
    [anon_sym__Nonnull] = ACTIONS(2378),
    [anon_sym_mutable] = ACTIONS(2378),
    [anon_sym_constinit] = ACTIONS(2378),
    [anon_sym_consteval] = ACTIONS(2378),
    [anon_sym_alignas] = ACTIONS(2378),
    [anon_sym__Alignas] = ACTIONS(2378),
    [sym_primitive_type] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_struct] = ACTIONS(2378),
    [anon_sym_union] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2378),
    [anon_sym_decltype] = ACTIONS(2378),
    [anon_sym_explicit] = ACTIONS(2378),
    [anon_sym_typename] = ACTIONS(2378),
    [anon_sym_template] = ACTIONS(2378),
    [anon_sym_operator] = ACTIONS(2378),
    [anon_sym_friend] = ACTIONS(2378),
    [anon_sym_public] = ACTIONS(2378),
    [anon_sym_private] = ACTIONS(2378),
    [anon_sym_protected] = ACTIONS(2378),
    [anon_sym_using] = ACTIONS(2378),
    [anon_sym_static_assert] = ACTIONS(2378),
    [anon_sym_precise] = ACTIONS(2378),
    [anon_sym_shared] = ACTIONS(2378),
    [anon_sym_groupshared] = ACTIONS(2378),
    [anon_sym_uniform] = ACTIONS(2378),
    [anon_sym_row_major] = ACTIONS(2378),
    [anon_sym_column_major] = ACTIONS(2378),
    [anon_sym_globallycoherent] = ACTIONS(2378),
    [anon_sym_centroid] = ACTIONS(2378),
    [anon_sym_noperspective] = ACTIONS(2378),
    [anon_sym_nointerpolation] = ACTIONS(2378),
    [anon_sym_sample] = ACTIONS(2378),
    [anon_sym_linear] = ACTIONS(2378),
    [anon_sym_snorm] = ACTIONS(2378),
    [anon_sym_unorm] = ACTIONS(2378),
    [anon_sym_point] = ACTIONS(2378),
    [anon_sym_line] = ACTIONS(2378),
    [anon_sym_triangleadj] = ACTIONS(2378),
    [anon_sym_lineadj] = ACTIONS(2378),
    [anon_sym_triangle] = ACTIONS(2378),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_in] = ACTIONS(5408),
    [anon_sym_out] = ACTIONS(5408),
    [anon_sym_inout] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
    [anon_sym_precise] = ACTIONS(5408),
    [anon_sym_shared] = ACTIONS(5408),
    [anon_sym_groupshared] = ACTIONS(5408),
    [anon_sym_uniform] = ACTIONS(5408),
    [anon_sym_row_major] = ACTIONS(5408),
    [anon_sym_column_major] = ACTIONS(5408),
    [anon_sym_globallycoherent] = ACTIONS(5408),
    [anon_sym_centroid] = ACTIONS(5408),
    [anon_sym_noperspective] = ACTIONS(5408),
    [anon_sym_nointerpolation] = ACTIONS(5408),
    [anon_sym_sample] = ACTIONS(5408),
    [anon_sym_linear] = ACTIONS(5408),
    [anon_sym_snorm] = ACTIONS(5408),
    [anon_sym_unorm] = ACTIONS(5408),
    [anon_sym_point] = ACTIONS(5408),
    [anon_sym_line] = ACTIONS(5408),
    [anon_sym_triangleadj] = ACTIONS(5408),
    [anon_sym_lineadj] = ACTIONS(5408),
    [anon_sym_triangle] = ACTIONS(5408),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_friend] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_friend] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(5400),
    [aux_sym_preproc_def_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token2] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5400),
    [sym_preproc_directive] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_TILDE] = ACTIONS(5402),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___extension__] = ACTIONS(5400),
    [anon_sym_typedef] = ACTIONS(5400),
    [anon_sym_in] = ACTIONS(5400),
    [anon_sym_out] = ACTIONS(5400),
    [anon_sym_inout] = ACTIONS(5400),
    [anon_sym_virtual] = ACTIONS(5400),
    [anon_sym_extern] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym___attribute] = ACTIONS(5400),
    [anon_sym_COLON_COLON] = ACTIONS(5402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5402),
    [anon_sym___declspec] = ACTIONS(5400),
    [anon_sym___based] = ACTIONS(5400),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5400),
    [anon_sym_static] = ACTIONS(5400),
    [anon_sym_register] = ACTIONS(5400),
    [anon_sym_inline] = ACTIONS(5400),
    [anon_sym___inline] = ACTIONS(5400),
    [anon_sym___inline__] = ACTIONS(5400),
    [anon_sym___forceinline] = ACTIONS(5400),
    [anon_sym_thread_local] = ACTIONS(5400),
    [anon_sym___thread] = ACTIONS(5400),
    [anon_sym_const] = ACTIONS(5400),
    [anon_sym_constexpr] = ACTIONS(5400),
    [anon_sym_volatile] = ACTIONS(5400),
    [anon_sym_restrict] = ACTIONS(5400),
    [anon_sym___restrict__] = ACTIONS(5400),
    [anon_sym__Atomic] = ACTIONS(5400),
    [anon_sym__Noreturn] = ACTIONS(5400),
    [anon_sym_noreturn] = ACTIONS(5400),
    [anon_sym__Nonnull] = ACTIONS(5400),
    [anon_sym_mutable] = ACTIONS(5400),
    [anon_sym_constinit] = ACTIONS(5400),
    [anon_sym_consteval] = ACTIONS(5400),
    [anon_sym_alignas] = ACTIONS(5400),
    [anon_sym__Alignas] = ACTIONS(5400),
    [sym_primitive_type] = ACTIONS(5400),
    [anon_sym_enum] = ACTIONS(5400),
    [anon_sym_class] = ACTIONS(5400),
    [anon_sym_struct] = ACTIONS(5400),
    [anon_sym_union] = ACTIONS(5400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
    [anon_sym_explicit] = ACTIONS(5400),
    [anon_sym_typename] = ACTIONS(5400),
    [anon_sym_template] = ACTIONS(5400),
    [anon_sym_operator] = ACTIONS(5400),
    [anon_sym_friend] = ACTIONS(5400),
    [anon_sym_public] = ACTIONS(5400),
    [anon_sym_private] = ACTIONS(5400),
    [anon_sym_protected] = ACTIONS(5400),
    [anon_sym_using] = ACTIONS(5400),
    [anon_sym_static_assert] = ACTIONS(5400),
    [anon_sym_precise] = ACTIONS(5400),
    [anon_sym_shared] = ACTIONS(5400),
    [anon_sym_groupshared] = ACTIONS(5400),
    [anon_sym_uniform] = ACTIONS(5400),
    [anon_sym_row_major] = ACTIONS(5400),
    [anon_sym_column_major] = ACTIONS(5400),
    [anon_sym_globallycoherent] = ACTIONS(5400),
    [anon_sym_centroid] = ACTIONS(5400),
    [anon_sym_noperspective] = ACTIONS(5400),
    [anon_sym_nointerpolation] = ACTIONS(5400),
    [anon_sym_sample] = ACTIONS(5400),
    [anon_sym_linear] = ACTIONS(5400),
    [anon_sym_snorm] = ACTIONS(5400),
    [anon_sym_unorm] = ACTIONS(5400),
    [anon_sym_point] = ACTIONS(5400),
    [anon_sym_line] = ACTIONS(5400),
    [anon_sym_triangleadj] = ACTIONS(5400),
    [anon_sym_lineadj] = ACTIONS(5400),
    [anon_sym_triangle] = ACTIONS(5400),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(5364),
    [aux_sym_preproc_def_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5364),
    [sym_preproc_directive] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [anon_sym_TILDE] = ACTIONS(5366),
    [anon_sym_STAR] = ACTIONS(5366),
    [anon_sym_AMP_AMP] = ACTIONS(5366),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [anon_sym___extension__] = ACTIONS(5364),
    [anon_sym_typedef] = ACTIONS(5364),
    [anon_sym_in] = ACTIONS(5364),
    [anon_sym_out] = ACTIONS(5364),
    [anon_sym_inout] = ACTIONS(5364),
    [anon_sym_virtual] = ACTIONS(5364),
    [anon_sym_extern] = ACTIONS(5364),
    [anon_sym___attribute__] = ACTIONS(5364),
    [anon_sym___attribute] = ACTIONS(5364),
    [anon_sym_COLON_COLON] = ACTIONS(5366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5364),
    [anon_sym___based] = ACTIONS(5364),
    [anon_sym_RBRACE] = ACTIONS(5366),
    [anon_sym_signed] = ACTIONS(5364),
    [anon_sym_unsigned] = ACTIONS(5364),
    [anon_sym_long] = ACTIONS(5364),
    [anon_sym_short] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5364),
    [anon_sym_static] = ACTIONS(5364),
    [anon_sym_register] = ACTIONS(5364),
    [anon_sym_inline] = ACTIONS(5364),
    [anon_sym___inline] = ACTIONS(5364),
    [anon_sym___inline__] = ACTIONS(5364),
    [anon_sym___forceinline] = ACTIONS(5364),
    [anon_sym_thread_local] = ACTIONS(5364),
    [anon_sym___thread] = ACTIONS(5364),
    [anon_sym_const] = ACTIONS(5364),
    [anon_sym_constexpr] = ACTIONS(5364),
    [anon_sym_volatile] = ACTIONS(5364),
    [anon_sym_restrict] = ACTIONS(5364),
    [anon_sym___restrict__] = ACTIONS(5364),
    [anon_sym__Atomic] = ACTIONS(5364),
    [anon_sym__Noreturn] = ACTIONS(5364),
    [anon_sym_noreturn] = ACTIONS(5364),
    [anon_sym__Nonnull] = ACTIONS(5364),
    [anon_sym_mutable] = ACTIONS(5364),
    [anon_sym_constinit] = ACTIONS(5364),
    [anon_sym_consteval] = ACTIONS(5364),
    [anon_sym_alignas] = ACTIONS(5364),
    [anon_sym__Alignas] = ACTIONS(5364),
    [sym_primitive_type] = ACTIONS(5364),
    [anon_sym_enum] = ACTIONS(5364),
    [anon_sym_class] = ACTIONS(5364),
    [anon_sym_struct] = ACTIONS(5364),
    [anon_sym_union] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5364),
    [anon_sym_explicit] = ACTIONS(5364),
    [anon_sym_typename] = ACTIONS(5364),
    [anon_sym_template] = ACTIONS(5364),
    [anon_sym_operator] = ACTIONS(5364),
    [anon_sym_friend] = ACTIONS(5364),
    [anon_sym_public] = ACTIONS(5364),
    [anon_sym_private] = ACTIONS(5364),
    [anon_sym_protected] = ACTIONS(5364),
    [anon_sym_using] = ACTIONS(5364),
    [anon_sym_static_assert] = ACTIONS(5364),
    [anon_sym_precise] = ACTIONS(5364),
    [anon_sym_shared] = ACTIONS(5364),
    [anon_sym_groupshared] = ACTIONS(5364),
    [anon_sym_uniform] = ACTIONS(5364),
    [anon_sym_row_major] = ACTIONS(5364),
    [anon_sym_column_major] = ACTIONS(5364),
    [anon_sym_globallycoherent] = ACTIONS(5364),
    [anon_sym_centroid] = ACTIONS(5364),
    [anon_sym_noperspective] = ACTIONS(5364),
    [anon_sym_nointerpolation] = ACTIONS(5364),
    [anon_sym_sample] = ACTIONS(5364),
    [anon_sym_linear] = ACTIONS(5364),
    [anon_sym_snorm] = ACTIONS(5364),
    [anon_sym_unorm] = ACTIONS(5364),
    [anon_sym_point] = ACTIONS(5364),
    [anon_sym_line] = ACTIONS(5364),
    [anon_sym_triangleadj] = ACTIONS(5364),
    [anon_sym_lineadj] = ACTIONS(5364),
    [anon_sym_triangle] = ACTIONS(5364),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(5396),
    [aux_sym_preproc_def_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5396),
    [sym_preproc_directive] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_TILDE] = ACTIONS(5398),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym_typedef] = ACTIONS(5396),
    [anon_sym_in] = ACTIONS(5396),
    [anon_sym_out] = ACTIONS(5396),
    [anon_sym_inout] = ACTIONS(5396),
    [anon_sym_virtual] = ACTIONS(5396),
    [anon_sym_extern] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym___attribute] = ACTIONS(5396),
    [anon_sym_COLON_COLON] = ACTIONS(5398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5398),
    [anon_sym___declspec] = ACTIONS(5396),
    [anon_sym___based] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5398),
    [anon_sym_signed] = ACTIONS(5396),
    [anon_sym_unsigned] = ACTIONS(5396),
    [anon_sym_long] = ACTIONS(5396),
    [anon_sym_short] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5396),
    [anon_sym_static] = ACTIONS(5396),
    [anon_sym_register] = ACTIONS(5396),
    [anon_sym_inline] = ACTIONS(5396),
    [anon_sym___inline] = ACTIONS(5396),
    [anon_sym___inline__] = ACTIONS(5396),
    [anon_sym___forceinline] = ACTIONS(5396),
    [anon_sym_thread_local] = ACTIONS(5396),
    [anon_sym___thread] = ACTIONS(5396),
    [anon_sym_const] = ACTIONS(5396),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym__Nonnull] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_alignas] = ACTIONS(5396),
    [anon_sym__Alignas] = ACTIONS(5396),
    [sym_primitive_type] = ACTIONS(5396),
    [anon_sym_enum] = ACTIONS(5396),
    [anon_sym_class] = ACTIONS(5396),
    [anon_sym_struct] = ACTIONS(5396),
    [anon_sym_union] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_explicit] = ACTIONS(5396),
    [anon_sym_typename] = ACTIONS(5396),
    [anon_sym_template] = ACTIONS(5396),
    [anon_sym_operator] = ACTIONS(5396),
    [anon_sym_friend] = ACTIONS(5396),
    [anon_sym_public] = ACTIONS(5396),
    [anon_sym_private] = ACTIONS(5396),
    [anon_sym_protected] = ACTIONS(5396),
    [anon_sym_using] = ACTIONS(5396),
    [anon_sym_static_assert] = ACTIONS(5396),
    [anon_sym_precise] = ACTIONS(5396),
    [anon_sym_shared] = ACTIONS(5396),
    [anon_sym_groupshared] = ACTIONS(5396),
    [anon_sym_uniform] = ACTIONS(5396),
    [anon_sym_row_major] = ACTIONS(5396),
    [anon_sym_column_major] = ACTIONS(5396),
    [anon_sym_globallycoherent] = ACTIONS(5396),
    [anon_sym_centroid] = ACTIONS(5396),
    [anon_sym_noperspective] = ACTIONS(5396),
    [anon_sym_nointerpolation] = ACTIONS(5396),
    [anon_sym_sample] = ACTIONS(5396),
    [anon_sym_linear] = ACTIONS(5396),
    [anon_sym_snorm] = ACTIONS(5396),
    [anon_sym_unorm] = ACTIONS(5396),
    [anon_sym_point] = ACTIONS(5396),
    [anon_sym_line] = ACTIONS(5396),
    [anon_sym_triangleadj] = ACTIONS(5396),
    [anon_sym_lineadj] = ACTIONS(5396),
    [anon_sym_triangle] = ACTIONS(5396),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_friend] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_friend] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(5412),
    [aux_sym_preproc_def_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token2] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5412),
    [sym_preproc_directive] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_TILDE] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym_typedef] = ACTIONS(5412),
    [anon_sym_in] = ACTIONS(5412),
    [anon_sym_out] = ACTIONS(5412),
    [anon_sym_inout] = ACTIONS(5412),
    [anon_sym_virtual] = ACTIONS(5412),
    [anon_sym_extern] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___attribute] = ACTIONS(5412),
    [anon_sym_COLON_COLON] = ACTIONS(5414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5414),
    [anon_sym___declspec] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5412),
    [anon_sym_static] = ACTIONS(5412),
    [anon_sym_register] = ACTIONS(5412),
    [anon_sym_inline] = ACTIONS(5412),
    [anon_sym___inline] = ACTIONS(5412),
    [anon_sym___inline__] = ACTIONS(5412),
    [anon_sym___forceinline] = ACTIONS(5412),
    [anon_sym_thread_local] = ACTIONS(5412),
    [anon_sym___thread] = ACTIONS(5412),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_enum] = ACTIONS(5412),
    [anon_sym_class] = ACTIONS(5412),
    [anon_sym_struct] = ACTIONS(5412),
    [anon_sym_union] = ACTIONS(5412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_explicit] = ACTIONS(5412),
    [anon_sym_typename] = ACTIONS(5412),
    [anon_sym_template] = ACTIONS(5412),
    [anon_sym_operator] = ACTIONS(5412),
    [anon_sym_friend] = ACTIONS(5412),
    [anon_sym_public] = ACTIONS(5412),
    [anon_sym_private] = ACTIONS(5412),
    [anon_sym_protected] = ACTIONS(5412),
    [anon_sym_using] = ACTIONS(5412),
    [anon_sym_static_assert] = ACTIONS(5412),
    [anon_sym_precise] = ACTIONS(5412),
    [anon_sym_shared] = ACTIONS(5412),
    [anon_sym_groupshared] = ACTIONS(5412),
    [anon_sym_uniform] = ACTIONS(5412),
    [anon_sym_row_major] = ACTIONS(5412),
    [anon_sym_column_major] = ACTIONS(5412),
    [anon_sym_globallycoherent] = ACTIONS(5412),
    [anon_sym_centroid] = ACTIONS(5412),
    [anon_sym_noperspective] = ACTIONS(5412),
    [anon_sym_nointerpolation] = ACTIONS(5412),
    [anon_sym_sample] = ACTIONS(5412),
    [anon_sym_linear] = ACTIONS(5412),
    [anon_sym_snorm] = ACTIONS(5412),
    [anon_sym_unorm] = ACTIONS(5412),
    [anon_sym_point] = ACTIONS(5412),
    [anon_sym_line] = ACTIONS(5412),
    [anon_sym_triangleadj] = ACTIONS(5412),
    [anon_sym_lineadj] = ACTIONS(5412),
    [anon_sym_triangle] = ACTIONS(5412),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(2434),
    [aux_sym_preproc_def_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2434),
    [sym_preproc_directive] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2436),
    [anon_sym___extension__] = ACTIONS(2434),
    [anon_sym_typedef] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_out] = ACTIONS(2434),
    [anon_sym_inout] = ACTIONS(2434),
    [anon_sym_virtual] = ACTIONS(2434),
    [anon_sym_extern] = ACTIONS(2434),
    [anon_sym___attribute__] = ACTIONS(2434),
    [anon_sym___attribute] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2436),
    [anon_sym___declspec] = ACTIONS(2434),
    [anon_sym___based] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2434),
    [anon_sym_unsigned] = ACTIONS(2434),
    [anon_sym_long] = ACTIONS(2434),
    [anon_sym_short] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_register] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym___inline] = ACTIONS(2434),
    [anon_sym___inline__] = ACTIONS(2434),
    [anon_sym___forceinline] = ACTIONS(2434),
    [anon_sym_thread_local] = ACTIONS(2434),
    [anon_sym___thread] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_constexpr] = ACTIONS(2434),
    [anon_sym_volatile] = ACTIONS(2434),
    [anon_sym_restrict] = ACTIONS(2434),
    [anon_sym___restrict__] = ACTIONS(2434),
    [anon_sym__Atomic] = ACTIONS(2434),
    [anon_sym__Noreturn] = ACTIONS(2434),
    [anon_sym_noreturn] = ACTIONS(2434),
    [anon_sym__Nonnull] = ACTIONS(2434),
    [anon_sym_mutable] = ACTIONS(2434),
    [anon_sym_constinit] = ACTIONS(2434),
    [anon_sym_consteval] = ACTIONS(2434),
    [anon_sym_alignas] = ACTIONS(2434),
    [anon_sym__Alignas] = ACTIONS(2434),
    [sym_primitive_type] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_struct] = ACTIONS(2434),
    [anon_sym_union] = ACTIONS(2434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2434),
    [anon_sym_decltype] = ACTIONS(2434),
    [anon_sym_explicit] = ACTIONS(2434),
    [anon_sym_typename] = ACTIONS(2434),
    [anon_sym_template] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2434),
    [anon_sym_friend] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_static_assert] = ACTIONS(2434),
    [anon_sym_precise] = ACTIONS(2434),
    [anon_sym_shared] = ACTIONS(2434),
    [anon_sym_groupshared] = ACTIONS(2434),
    [anon_sym_uniform] = ACTIONS(2434),
    [anon_sym_row_major] = ACTIONS(2434),
    [anon_sym_column_major] = ACTIONS(2434),
    [anon_sym_globallycoherent] = ACTIONS(2434),
    [anon_sym_centroid] = ACTIONS(2434),
    [anon_sym_noperspective] = ACTIONS(2434),
    [anon_sym_nointerpolation] = ACTIONS(2434),
    [anon_sym_sample] = ACTIONS(2434),
    [anon_sym_linear] = ACTIONS(2434),
    [anon_sym_snorm] = ACTIONS(2434),
    [anon_sym_unorm] = ACTIONS(2434),
    [anon_sym_point] = ACTIONS(2434),
    [anon_sym_line] = ACTIONS(2434),
    [anon_sym_triangleadj] = ACTIONS(2434),
    [anon_sym_lineadj] = ACTIONS(2434),
    [anon_sym_triangle] = ACTIONS(2434),
  },
  [2040] = {
    [sym_identifier] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_TILDE] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym_typedef] = ACTIONS(5416),
    [anon_sym_in] = ACTIONS(5416),
    [anon_sym_out] = ACTIONS(5416),
    [anon_sym_inout] = ACTIONS(5416),
    [anon_sym_virtual] = ACTIONS(5416),
    [anon_sym_extern] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___attribute] = ACTIONS(5416),
    [anon_sym_COLON_COLON] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym___declspec] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_static] = ACTIONS(5416),
    [anon_sym_register] = ACTIONS(5416),
    [anon_sym_inline] = ACTIONS(5416),
    [anon_sym___inline] = ACTIONS(5416),
    [anon_sym___inline__] = ACTIONS(5416),
    [anon_sym___forceinline] = ACTIONS(5416),
    [anon_sym_thread_local] = ACTIONS(5416),
    [anon_sym___thread] = ACTIONS(5416),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_enum] = ACTIONS(5416),
    [anon_sym_class] = ACTIONS(5416),
    [anon_sym_struct] = ACTIONS(5416),
    [anon_sym_union] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_explicit] = ACTIONS(5416),
    [anon_sym_typename] = ACTIONS(5416),
    [anon_sym_template] = ACTIONS(5416),
    [anon_sym_operator] = ACTIONS(5416),
    [anon_sym_friend] = ACTIONS(5416),
    [anon_sym_public] = ACTIONS(5416),
    [anon_sym_private] = ACTIONS(5416),
    [anon_sym_protected] = ACTIONS(5416),
    [anon_sym_using] = ACTIONS(5416),
    [anon_sym_static_assert] = ACTIONS(5416),
    [anon_sym_precise] = ACTIONS(5416),
    [anon_sym_shared] = ACTIONS(5416),
    [anon_sym_groupshared] = ACTIONS(5416),
    [anon_sym_uniform] = ACTIONS(5416),
    [anon_sym_row_major] = ACTIONS(5416),
    [anon_sym_column_major] = ACTIONS(5416),
    [anon_sym_globallycoherent] = ACTIONS(5416),
    [anon_sym_centroid] = ACTIONS(5416),
    [anon_sym_noperspective] = ACTIONS(5416),
    [anon_sym_nointerpolation] = ACTIONS(5416),
    [anon_sym_sample] = ACTIONS(5416),
    [anon_sym_linear] = ACTIONS(5416),
    [anon_sym_snorm] = ACTIONS(5416),
    [anon_sym_unorm] = ACTIONS(5416),
    [anon_sym_point] = ACTIONS(5416),
    [anon_sym_line] = ACTIONS(5416),
    [anon_sym_triangleadj] = ACTIONS(5416),
    [anon_sym_lineadj] = ACTIONS(5416),
    [anon_sym_triangle] = ACTIONS(5416),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_TILDE] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym_typedef] = ACTIONS(5420),
    [anon_sym_in] = ACTIONS(5420),
    [anon_sym_out] = ACTIONS(5420),
    [anon_sym_inout] = ACTIONS(5420),
    [anon_sym_virtual] = ACTIONS(5420),
    [anon_sym_extern] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___attribute] = ACTIONS(5420),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym___declspec] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_static] = ACTIONS(5420),
    [anon_sym_register] = ACTIONS(5420),
    [anon_sym_inline] = ACTIONS(5420),
    [anon_sym___inline] = ACTIONS(5420),
    [anon_sym___inline__] = ACTIONS(5420),
    [anon_sym___forceinline] = ACTIONS(5420),
    [anon_sym_thread_local] = ACTIONS(5420),
    [anon_sym___thread] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_enum] = ACTIONS(5420),
    [anon_sym_class] = ACTIONS(5420),
    [anon_sym_struct] = ACTIONS(5420),
    [anon_sym_union] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_explicit] = ACTIONS(5420),
    [anon_sym_typename] = ACTIONS(5420),
    [anon_sym_template] = ACTIONS(5420),
    [anon_sym_operator] = ACTIONS(5420),
    [anon_sym_friend] = ACTIONS(5420),
    [anon_sym_public] = ACTIONS(5420),
    [anon_sym_private] = ACTIONS(5420),
    [anon_sym_protected] = ACTIONS(5420),
    [anon_sym_using] = ACTIONS(5420),
    [anon_sym_static_assert] = ACTIONS(5420),
    [anon_sym_precise] = ACTIONS(5420),
    [anon_sym_shared] = ACTIONS(5420),
    [anon_sym_groupshared] = ACTIONS(5420),
    [anon_sym_uniform] = ACTIONS(5420),
    [anon_sym_row_major] = ACTIONS(5420),
    [anon_sym_column_major] = ACTIONS(5420),
    [anon_sym_globallycoherent] = ACTIONS(5420),
    [anon_sym_centroid] = ACTIONS(5420),
    [anon_sym_noperspective] = ACTIONS(5420),
    [anon_sym_nointerpolation] = ACTIONS(5420),
    [anon_sym_sample] = ACTIONS(5420),
    [anon_sym_linear] = ACTIONS(5420),
    [anon_sym_snorm] = ACTIONS(5420),
    [anon_sym_unorm] = ACTIONS(5420),
    [anon_sym_point] = ACTIONS(5420),
    [anon_sym_line] = ACTIONS(5420),
    [anon_sym_triangleadj] = ACTIONS(5420),
    [anon_sym_lineadj] = ACTIONS(5420),
    [anon_sym_triangle] = ACTIONS(5420),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_virtual] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_friend] = ACTIONS(2544),
    [anon_sym_public] = ACTIONS(2544),
    [anon_sym_private] = ACTIONS(2544),
    [anon_sym_protected] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_groupshared] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_row_major] = ACTIONS(2544),
    [anon_sym_column_major] = ACTIONS(2544),
    [anon_sym_globallycoherent] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym_nointerpolation] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_linear] = ACTIONS(2544),
    [anon_sym_snorm] = ACTIONS(2544),
    [anon_sym_unorm] = ACTIONS(2544),
    [anon_sym_point] = ACTIONS(2544),
    [anon_sym_line] = ACTIONS(2544),
    [anon_sym_triangleadj] = ACTIONS(2544),
    [anon_sym_lineadj] = ACTIONS(2544),
    [anon_sym_triangle] = ACTIONS(2544),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_friend] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_groupshared] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_row_major] = ACTIONS(2552),
    [anon_sym_column_major] = ACTIONS(2552),
    [anon_sym_globallycoherent] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym_nointerpolation] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_linear] = ACTIONS(2552),
    [anon_sym_snorm] = ACTIONS(2552),
    [anon_sym_unorm] = ACTIONS(2552),
    [anon_sym_point] = ACTIONS(2552),
    [anon_sym_line] = ACTIONS(2552),
    [anon_sym_triangleadj] = ACTIONS(2552),
    [anon_sym_lineadj] = ACTIONS(2552),
    [anon_sym_triangle] = ACTIONS(2552),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_friend] = ACTIONS(2360),
    [anon_sym_public] = ACTIONS(2360),
    [anon_sym_private] = ACTIONS(2360),
    [anon_sym_protected] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
  },
  [2045] = {
    [sym_identifier] = ACTIONS(5400),
    [aux_sym_preproc_def_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5400),
    [sym_preproc_directive] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_TILDE] = ACTIONS(5402),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___extension__] = ACTIONS(5400),
    [anon_sym_typedef] = ACTIONS(5400),
    [anon_sym_in] = ACTIONS(5400),
    [anon_sym_out] = ACTIONS(5400),
    [anon_sym_inout] = ACTIONS(5400),
    [anon_sym_virtual] = ACTIONS(5400),
    [anon_sym_extern] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym___attribute] = ACTIONS(5400),
    [anon_sym_COLON_COLON] = ACTIONS(5402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5402),
    [anon_sym___declspec] = ACTIONS(5400),
    [anon_sym___based] = ACTIONS(5400),
    [anon_sym_RBRACE] = ACTIONS(5402),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5400),
    [anon_sym_static] = ACTIONS(5400),
    [anon_sym_register] = ACTIONS(5400),
    [anon_sym_inline] = ACTIONS(5400),
    [anon_sym___inline] = ACTIONS(5400),
    [anon_sym___inline__] = ACTIONS(5400),
    [anon_sym___forceinline] = ACTIONS(5400),
    [anon_sym_thread_local] = ACTIONS(5400),
    [anon_sym___thread] = ACTIONS(5400),
    [anon_sym_const] = ACTIONS(5400),
    [anon_sym_constexpr] = ACTIONS(5400),
    [anon_sym_volatile] = ACTIONS(5400),
    [anon_sym_restrict] = ACTIONS(5400),
    [anon_sym___restrict__] = ACTIONS(5400),
    [anon_sym__Atomic] = ACTIONS(5400),
    [anon_sym__Noreturn] = ACTIONS(5400),
    [anon_sym_noreturn] = ACTIONS(5400),
    [anon_sym__Nonnull] = ACTIONS(5400),
    [anon_sym_mutable] = ACTIONS(5400),
    [anon_sym_constinit] = ACTIONS(5400),
    [anon_sym_consteval] = ACTIONS(5400),
    [anon_sym_alignas] = ACTIONS(5400),
    [anon_sym__Alignas] = ACTIONS(5400),
    [sym_primitive_type] = ACTIONS(5400),
    [anon_sym_enum] = ACTIONS(5400),
    [anon_sym_class] = ACTIONS(5400),
    [anon_sym_struct] = ACTIONS(5400),
    [anon_sym_union] = ACTIONS(5400),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
    [anon_sym_explicit] = ACTIONS(5400),
    [anon_sym_typename] = ACTIONS(5400),
    [anon_sym_template] = ACTIONS(5400),
    [anon_sym_operator] = ACTIONS(5400),
    [anon_sym_friend] = ACTIONS(5400),
    [anon_sym_public] = ACTIONS(5400),
    [anon_sym_private] = ACTIONS(5400),
    [anon_sym_protected] = ACTIONS(5400),
    [anon_sym_using] = ACTIONS(5400),
    [anon_sym_static_assert] = ACTIONS(5400),
    [anon_sym_precise] = ACTIONS(5400),
    [anon_sym_shared] = ACTIONS(5400),
    [anon_sym_groupshared] = ACTIONS(5400),
    [anon_sym_uniform] = ACTIONS(5400),
    [anon_sym_row_major] = ACTIONS(5400),
    [anon_sym_column_major] = ACTIONS(5400),
    [anon_sym_globallycoherent] = ACTIONS(5400),
    [anon_sym_centroid] = ACTIONS(5400),
    [anon_sym_noperspective] = ACTIONS(5400),
    [anon_sym_nointerpolation] = ACTIONS(5400),
    [anon_sym_sample] = ACTIONS(5400),
    [anon_sym_linear] = ACTIONS(5400),
    [anon_sym_snorm] = ACTIONS(5400),
    [anon_sym_unorm] = ACTIONS(5400),
    [anon_sym_point] = ACTIONS(5400),
    [anon_sym_line] = ACTIONS(5400),
    [anon_sym_triangleadj] = ACTIONS(5400),
    [anon_sym_lineadj] = ACTIONS(5400),
    [anon_sym_triangle] = ACTIONS(5400),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym_typedef] = ACTIONS(5404),
    [anon_sym_in] = ACTIONS(5404),
    [anon_sym_out] = ACTIONS(5404),
    [anon_sym_inout] = ACTIONS(5404),
    [anon_sym_virtual] = ACTIONS(5404),
    [anon_sym_extern] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___attribute] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5406),
    [anon_sym___declspec] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_static] = ACTIONS(5404),
    [anon_sym_register] = ACTIONS(5404),
    [anon_sym_inline] = ACTIONS(5404),
    [anon_sym___inline] = ACTIONS(5404),
    [anon_sym___inline__] = ACTIONS(5404),
    [anon_sym___forceinline] = ACTIONS(5404),
    [anon_sym_thread_local] = ACTIONS(5404),
    [anon_sym___thread] = ACTIONS(5404),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_enum] = ACTIONS(5404),
    [anon_sym_class] = ACTIONS(5404),
    [anon_sym_struct] = ACTIONS(5404),
    [anon_sym_union] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_explicit] = ACTIONS(5404),
    [anon_sym_typename] = ACTIONS(5404),
    [anon_sym_template] = ACTIONS(5404),
    [anon_sym_operator] = ACTIONS(5404),
    [anon_sym_friend] = ACTIONS(5404),
    [anon_sym_public] = ACTIONS(5404),
    [anon_sym_private] = ACTIONS(5404),
    [anon_sym_protected] = ACTIONS(5404),
    [anon_sym_using] = ACTIONS(5404),
    [anon_sym_static_assert] = ACTIONS(5404),
    [anon_sym_precise] = ACTIONS(5404),
    [anon_sym_shared] = ACTIONS(5404),
    [anon_sym_groupshared] = ACTIONS(5404),
    [anon_sym_uniform] = ACTIONS(5404),
    [anon_sym_row_major] = ACTIONS(5404),
    [anon_sym_column_major] = ACTIONS(5404),
    [anon_sym_globallycoherent] = ACTIONS(5404),
    [anon_sym_centroid] = ACTIONS(5404),
    [anon_sym_noperspective] = ACTIONS(5404),
    [anon_sym_nointerpolation] = ACTIONS(5404),
    [anon_sym_sample] = ACTIONS(5404),
    [anon_sym_linear] = ACTIONS(5404),
    [anon_sym_snorm] = ACTIONS(5404),
    [anon_sym_unorm] = ACTIONS(5404),
    [anon_sym_point] = ACTIONS(5404),
    [anon_sym_line] = ACTIONS(5404),
    [anon_sym_triangleadj] = ACTIONS(5404),
    [anon_sym_lineadj] = ACTIONS(5404),
    [anon_sym_triangle] = ACTIONS(5404),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_TILDE] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym_typedef] = ACTIONS(5408),
    [anon_sym_in] = ACTIONS(5408),
    [anon_sym_out] = ACTIONS(5408),
    [anon_sym_inout] = ACTIONS(5408),
    [anon_sym_virtual] = ACTIONS(5408),
    [anon_sym_extern] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___attribute] = ACTIONS(5408),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5410),
    [anon_sym___declspec] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_static] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5408),
    [anon_sym_inline] = ACTIONS(5408),
    [anon_sym___inline] = ACTIONS(5408),
    [anon_sym___inline__] = ACTIONS(5408),
    [anon_sym___forceinline] = ACTIONS(5408),
    [anon_sym_thread_local] = ACTIONS(5408),
    [anon_sym___thread] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_enum] = ACTIONS(5408),
    [anon_sym_class] = ACTIONS(5408),
    [anon_sym_struct] = ACTIONS(5408),
    [anon_sym_union] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_explicit] = ACTIONS(5408),
    [anon_sym_typename] = ACTIONS(5408),
    [anon_sym_template] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5408),
    [anon_sym_friend] = ACTIONS(5408),
    [anon_sym_public] = ACTIONS(5408),
    [anon_sym_private] = ACTIONS(5408),
    [anon_sym_protected] = ACTIONS(5408),
    [anon_sym_using] = ACTIONS(5408),
    [anon_sym_static_assert] = ACTIONS(5408),
    [anon_sym_precise] = ACTIONS(5408),
    [anon_sym_shared] = ACTIONS(5408),
    [anon_sym_groupshared] = ACTIONS(5408),
    [anon_sym_uniform] = ACTIONS(5408),
    [anon_sym_row_major] = ACTIONS(5408),
    [anon_sym_column_major] = ACTIONS(5408),
    [anon_sym_globallycoherent] = ACTIONS(5408),
    [anon_sym_centroid] = ACTIONS(5408),
    [anon_sym_noperspective] = ACTIONS(5408),
    [anon_sym_nointerpolation] = ACTIONS(5408),
    [anon_sym_sample] = ACTIONS(5408),
    [anon_sym_linear] = ACTIONS(5408),
    [anon_sym_snorm] = ACTIONS(5408),
    [anon_sym_unorm] = ACTIONS(5408),
    [anon_sym_point] = ACTIONS(5408),
    [anon_sym_line] = ACTIONS(5408),
    [anon_sym_triangleadj] = ACTIONS(5408),
    [anon_sym_lineadj] = ACTIONS(5408),
    [anon_sym_triangle] = ACTIONS(5408),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5454),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_in] = ACTIONS(5452),
    [anon_sym_out] = ACTIONS(5452),
    [anon_sym_inout] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym___attribute] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym__Nonnull] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym__Alignas] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
    [anon_sym_precise] = ACTIONS(5452),
    [anon_sym_shared] = ACTIONS(5452),
    [anon_sym_groupshared] = ACTIONS(5452),
    [anon_sym_uniform] = ACTIONS(5452),
    [anon_sym_row_major] = ACTIONS(5452),
    [anon_sym_column_major] = ACTIONS(5452),
    [anon_sym_globallycoherent] = ACTIONS(5452),
    [anon_sym_centroid] = ACTIONS(5452),
    [anon_sym_noperspective] = ACTIONS(5452),
    [anon_sym_nointerpolation] = ACTIONS(5452),
    [anon_sym_sample] = ACTIONS(5452),
    [anon_sym_linear] = ACTIONS(5452),
    [anon_sym_snorm] = ACTIONS(5452),
    [anon_sym_unorm] = ACTIONS(5452),
    [anon_sym_point] = ACTIONS(5452),
    [anon_sym_line] = ACTIONS(5452),
    [anon_sym_triangleadj] = ACTIONS(5452),
    [anon_sym_lineadj] = ACTIONS(5452),
    [anon_sym_triangle] = ACTIONS(5452),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(5412),
    [aux_sym_preproc_def_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5412),
    [sym_preproc_directive] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_TILDE] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym_typedef] = ACTIONS(5412),
    [anon_sym_in] = ACTIONS(5412),
    [anon_sym_out] = ACTIONS(5412),
    [anon_sym_inout] = ACTIONS(5412),
    [anon_sym_virtual] = ACTIONS(5412),
    [anon_sym_extern] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___attribute] = ACTIONS(5412),
    [anon_sym_COLON_COLON] = ACTIONS(5414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5414),
    [anon_sym___declspec] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5412),
    [anon_sym_static] = ACTIONS(5412),
    [anon_sym_register] = ACTIONS(5412),
    [anon_sym_inline] = ACTIONS(5412),
    [anon_sym___inline] = ACTIONS(5412),
    [anon_sym___inline__] = ACTIONS(5412),
    [anon_sym___forceinline] = ACTIONS(5412),
    [anon_sym_thread_local] = ACTIONS(5412),
    [anon_sym___thread] = ACTIONS(5412),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_enum] = ACTIONS(5412),
    [anon_sym_class] = ACTIONS(5412),
    [anon_sym_struct] = ACTIONS(5412),
    [anon_sym_union] = ACTIONS(5412),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_explicit] = ACTIONS(5412),
    [anon_sym_typename] = ACTIONS(5412),
    [anon_sym_template] = ACTIONS(5412),
    [anon_sym_operator] = ACTIONS(5412),
    [anon_sym_friend] = ACTIONS(5412),
    [anon_sym_public] = ACTIONS(5412),
    [anon_sym_private] = ACTIONS(5412),
    [anon_sym_protected] = ACTIONS(5412),
    [anon_sym_using] = ACTIONS(5412),
    [anon_sym_static_assert] = ACTIONS(5412),
    [anon_sym_precise] = ACTIONS(5412),
    [anon_sym_shared] = ACTIONS(5412),
    [anon_sym_groupshared] = ACTIONS(5412),
    [anon_sym_uniform] = ACTIONS(5412),
    [anon_sym_row_major] = ACTIONS(5412),
    [anon_sym_column_major] = ACTIONS(5412),
    [anon_sym_globallycoherent] = ACTIONS(5412),
    [anon_sym_centroid] = ACTIONS(5412),
    [anon_sym_noperspective] = ACTIONS(5412),
    [anon_sym_nointerpolation] = ACTIONS(5412),
    [anon_sym_sample] = ACTIONS(5412),
    [anon_sym_linear] = ACTIONS(5412),
    [anon_sym_snorm] = ACTIONS(5412),
    [anon_sym_unorm] = ACTIONS(5412),
    [anon_sym_point] = ACTIONS(5412),
    [anon_sym_line] = ACTIONS(5412),
    [anon_sym_triangleadj] = ACTIONS(5412),
    [anon_sym_lineadj] = ACTIONS(5412),
    [anon_sym_triangle] = ACTIONS(5412),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(2147),
    [aux_sym_preproc_def_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2147),
    [sym_preproc_directive] = ACTIONS(2147),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___extension__] = ACTIONS(2147),
    [anon_sym_typedef] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2147),
    [anon_sym_out] = ACTIONS(2147),
    [anon_sym_inout] = ACTIONS(2147),
    [anon_sym_virtual] = ACTIONS(2147),
    [anon_sym_extern] = ACTIONS(2147),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym___attribute] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2149),
    [anon_sym___declspec] = ACTIONS(2147),
    [anon_sym___based] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_signed] = ACTIONS(2147),
    [anon_sym_unsigned] = ACTIONS(2147),
    [anon_sym_long] = ACTIONS(2147),
    [anon_sym_short] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_register] = ACTIONS(2147),
    [anon_sym_inline] = ACTIONS(2147),
    [anon_sym___inline] = ACTIONS(2147),
    [anon_sym___inline__] = ACTIONS(2147),
    [anon_sym___forceinline] = ACTIONS(2147),
    [anon_sym_thread_local] = ACTIONS(2147),
    [anon_sym___thread] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_constexpr] = ACTIONS(2147),
    [anon_sym_volatile] = ACTIONS(2147),
    [anon_sym_restrict] = ACTIONS(2147),
    [anon_sym___restrict__] = ACTIONS(2147),
    [anon_sym__Atomic] = ACTIONS(2147),
    [anon_sym__Noreturn] = ACTIONS(2147),
    [anon_sym_noreturn] = ACTIONS(2147),
    [anon_sym__Nonnull] = ACTIONS(2147),
    [anon_sym_mutable] = ACTIONS(2147),
    [anon_sym_constinit] = ACTIONS(2147),
    [anon_sym_consteval] = ACTIONS(2147),
    [anon_sym_alignas] = ACTIONS(2147),
    [anon_sym__Alignas] = ACTIONS(2147),
    [sym_primitive_type] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_struct] = ACTIONS(2147),
    [anon_sym_union] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2147),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_explicit] = ACTIONS(2147),
    [anon_sym_typename] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2147),
    [anon_sym_operator] = ACTIONS(2147),
    [anon_sym_friend] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_static_assert] = ACTIONS(2147),
    [anon_sym_precise] = ACTIONS(2147),
    [anon_sym_shared] = ACTIONS(2147),
    [anon_sym_groupshared] = ACTIONS(2147),
    [anon_sym_uniform] = ACTIONS(2147),
    [anon_sym_row_major] = ACTIONS(2147),
    [anon_sym_column_major] = ACTIONS(2147),
    [anon_sym_globallycoherent] = ACTIONS(2147),
    [anon_sym_centroid] = ACTIONS(2147),
    [anon_sym_noperspective] = ACTIONS(2147),
    [anon_sym_nointerpolation] = ACTIONS(2147),
    [anon_sym_sample] = ACTIONS(2147),
    [anon_sym_linear] = ACTIONS(2147),
    [anon_sym_snorm] = ACTIONS(2147),
    [anon_sym_unorm] = ACTIONS(2147),
    [anon_sym_point] = ACTIONS(2147),
    [anon_sym_line] = ACTIONS(2147),
    [anon_sym_triangleadj] = ACTIONS(2147),
    [anon_sym_lineadj] = ACTIONS(2147),
    [anon_sym_triangle] = ACTIONS(2147),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(2615),
    [aux_sym_preproc_def_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2615),
    [sym_preproc_directive] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2615),
    [anon_sym_typedef] = ACTIONS(2615),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_out] = ACTIONS(2615),
    [anon_sym_inout] = ACTIONS(2615),
    [anon_sym_virtual] = ACTIONS(2615),
    [anon_sym_extern] = ACTIONS(2615),
    [anon_sym___attribute__] = ACTIONS(2615),
    [anon_sym___attribute] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2617),
    [anon_sym___declspec] = ACTIONS(2615),
    [anon_sym___based] = ACTIONS(2615),
    [anon_sym_RBRACE] = ACTIONS(2617),
    [anon_sym_signed] = ACTIONS(2615),
    [anon_sym_unsigned] = ACTIONS(2615),
    [anon_sym_long] = ACTIONS(2615),
    [anon_sym_short] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_register] = ACTIONS(2615),
    [anon_sym_inline] = ACTIONS(2615),
    [anon_sym___inline] = ACTIONS(2615),
    [anon_sym___inline__] = ACTIONS(2615),
    [anon_sym___forceinline] = ACTIONS(2615),
    [anon_sym_thread_local] = ACTIONS(2615),
    [anon_sym___thread] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_constexpr] = ACTIONS(2615),
    [anon_sym_volatile] = ACTIONS(2615),
    [anon_sym_restrict] = ACTIONS(2615),
    [anon_sym___restrict__] = ACTIONS(2615),
    [anon_sym__Atomic] = ACTIONS(2615),
    [anon_sym__Noreturn] = ACTIONS(2615),
    [anon_sym_noreturn] = ACTIONS(2615),
    [anon_sym__Nonnull] = ACTIONS(2615),
    [anon_sym_mutable] = ACTIONS(2615),
    [anon_sym_constinit] = ACTIONS(2615),
    [anon_sym_consteval] = ACTIONS(2615),
    [anon_sym_alignas] = ACTIONS(2615),
    [anon_sym__Alignas] = ACTIONS(2615),
    [sym_primitive_type] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_struct] = ACTIONS(2615),
    [anon_sym_union] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2615),
    [anon_sym_decltype] = ACTIONS(2615),
    [anon_sym_explicit] = ACTIONS(2615),
    [anon_sym_typename] = ACTIONS(2615),
    [anon_sym_template] = ACTIONS(2615),
    [anon_sym_operator] = ACTIONS(2615),
    [anon_sym_friend] = ACTIONS(2615),
    [anon_sym_public] = ACTIONS(2615),
    [anon_sym_private] = ACTIONS(2615),
    [anon_sym_protected] = ACTIONS(2615),
    [anon_sym_using] = ACTIONS(2615),
    [anon_sym_static_assert] = ACTIONS(2615),
    [anon_sym_precise] = ACTIONS(2615),
    [anon_sym_shared] = ACTIONS(2615),
    [anon_sym_groupshared] = ACTIONS(2615),
    [anon_sym_uniform] = ACTIONS(2615),
    [anon_sym_row_major] = ACTIONS(2615),
    [anon_sym_column_major] = ACTIONS(2615),
    [anon_sym_globallycoherent] = ACTIONS(2615),
    [anon_sym_centroid] = ACTIONS(2615),
    [anon_sym_noperspective] = ACTIONS(2615),
    [anon_sym_nointerpolation] = ACTIONS(2615),
    [anon_sym_sample] = ACTIONS(2615),
    [anon_sym_linear] = ACTIONS(2615),
    [anon_sym_snorm] = ACTIONS(2615),
    [anon_sym_unorm] = ACTIONS(2615),
    [anon_sym_point] = ACTIONS(2615),
    [anon_sym_line] = ACTIONS(2615),
    [anon_sym_triangleadj] = ACTIONS(2615),
    [anon_sym_lineadj] = ACTIONS(2615),
    [anon_sym_triangle] = ACTIONS(2615),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_TILDE] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym_typedef] = ACTIONS(5416),
    [anon_sym_in] = ACTIONS(5416),
    [anon_sym_out] = ACTIONS(5416),
    [anon_sym_inout] = ACTIONS(5416),
    [anon_sym_virtual] = ACTIONS(5416),
    [anon_sym_extern] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___attribute] = ACTIONS(5416),
    [anon_sym_COLON_COLON] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym___declspec] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_RBRACE] = ACTIONS(5418),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_static] = ACTIONS(5416),
    [anon_sym_register] = ACTIONS(5416),
    [anon_sym_inline] = ACTIONS(5416),
    [anon_sym___inline] = ACTIONS(5416),
    [anon_sym___inline__] = ACTIONS(5416),
    [anon_sym___forceinline] = ACTIONS(5416),
    [anon_sym_thread_local] = ACTIONS(5416),
    [anon_sym___thread] = ACTIONS(5416),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_enum] = ACTIONS(5416),
    [anon_sym_class] = ACTIONS(5416),
    [anon_sym_struct] = ACTIONS(5416),
    [anon_sym_union] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_explicit] = ACTIONS(5416),
    [anon_sym_typename] = ACTIONS(5416),
    [anon_sym_template] = ACTIONS(5416),
    [anon_sym_operator] = ACTIONS(5416),
    [anon_sym_friend] = ACTIONS(5416),
    [anon_sym_public] = ACTIONS(5416),
    [anon_sym_private] = ACTIONS(5416),
    [anon_sym_protected] = ACTIONS(5416),
    [anon_sym_using] = ACTIONS(5416),
    [anon_sym_static_assert] = ACTIONS(5416),
    [anon_sym_precise] = ACTIONS(5416),
    [anon_sym_shared] = ACTIONS(5416),
    [anon_sym_groupshared] = ACTIONS(5416),
    [anon_sym_uniform] = ACTIONS(5416),
    [anon_sym_row_major] = ACTIONS(5416),
    [anon_sym_column_major] = ACTIONS(5416),
    [anon_sym_globallycoherent] = ACTIONS(5416),
    [anon_sym_centroid] = ACTIONS(5416),
    [anon_sym_noperspective] = ACTIONS(5416),
    [anon_sym_nointerpolation] = ACTIONS(5416),
    [anon_sym_sample] = ACTIONS(5416),
    [anon_sym_linear] = ACTIONS(5416),
    [anon_sym_snorm] = ACTIONS(5416),
    [anon_sym_unorm] = ACTIONS(5416),
    [anon_sym_point] = ACTIONS(5416),
    [anon_sym_line] = ACTIONS(5416),
    [anon_sym_triangleadj] = ACTIONS(5416),
    [anon_sym_lineadj] = ACTIONS(5416),
    [anon_sym_triangle] = ACTIONS(5416),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(5360),
    [aux_sym_preproc_def_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token2] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5360),
    [sym_preproc_directive] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5362),
    [anon_sym_TILDE] = ACTIONS(5362),
    [anon_sym_STAR] = ACTIONS(5362),
    [anon_sym_AMP_AMP] = ACTIONS(5362),
    [anon_sym_AMP] = ACTIONS(5360),
    [anon_sym_SEMI] = ACTIONS(5362),
    [anon_sym___extension__] = ACTIONS(5360),
    [anon_sym_typedef] = ACTIONS(5360),
    [anon_sym_in] = ACTIONS(5360),
    [anon_sym_out] = ACTIONS(5360),
    [anon_sym_inout] = ACTIONS(5360),
    [anon_sym_virtual] = ACTIONS(5360),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5360),
    [anon_sym___attribute] = ACTIONS(5360),
    [anon_sym_COLON_COLON] = ACTIONS(5362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5362),
    [anon_sym___declspec] = ACTIONS(5360),
    [anon_sym___based] = ACTIONS(5360),
    [anon_sym_signed] = ACTIONS(5360),
    [anon_sym_unsigned] = ACTIONS(5360),
    [anon_sym_long] = ACTIONS(5360),
    [anon_sym_short] = ACTIONS(5360),
    [anon_sym_LBRACK] = ACTIONS(5360),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5360),
    [anon_sym_constexpr] = ACTIONS(5360),
    [anon_sym_volatile] = ACTIONS(5360),
    [anon_sym_restrict] = ACTIONS(5360),
    [anon_sym___restrict__] = ACTIONS(5360),
    [anon_sym__Atomic] = ACTIONS(5360),
    [anon_sym__Noreturn] = ACTIONS(5360),
    [anon_sym_noreturn] = ACTIONS(5360),
    [anon_sym__Nonnull] = ACTIONS(5360),
    [anon_sym_mutable] = ACTIONS(5360),
    [anon_sym_constinit] = ACTIONS(5360),
    [anon_sym_consteval] = ACTIONS(5360),
    [anon_sym_alignas] = ACTIONS(5360),
    [anon_sym__Alignas] = ACTIONS(5360),
    [sym_primitive_type] = ACTIONS(5360),
    [anon_sym_enum] = ACTIONS(5360),
    [anon_sym_class] = ACTIONS(5360),
    [anon_sym_struct] = ACTIONS(5360),
    [anon_sym_union] = ACTIONS(5360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5360),
    [anon_sym_decltype] = ACTIONS(5360),
    [anon_sym_explicit] = ACTIONS(5360),
    [anon_sym_typename] = ACTIONS(5360),
    [anon_sym_template] = ACTIONS(5360),
    [anon_sym_operator] = ACTIONS(5360),
    [anon_sym_friend] = ACTIONS(5360),
    [anon_sym_public] = ACTIONS(5360),
    [anon_sym_private] = ACTIONS(5360),
    [anon_sym_protected] = ACTIONS(5360),
    [anon_sym_using] = ACTIONS(5360),
    [anon_sym_static_assert] = ACTIONS(5360),
    [anon_sym_precise] = ACTIONS(5360),
    [anon_sym_shared] = ACTIONS(5360),
    [anon_sym_groupshared] = ACTIONS(5360),
    [anon_sym_uniform] = ACTIONS(5360),
    [anon_sym_row_major] = ACTIONS(5360),
    [anon_sym_column_major] = ACTIONS(5360),
    [anon_sym_globallycoherent] = ACTIONS(5360),
    [anon_sym_centroid] = ACTIONS(5360),
    [anon_sym_noperspective] = ACTIONS(5360),
    [anon_sym_nointerpolation] = ACTIONS(5360),
    [anon_sym_sample] = ACTIONS(5360),
    [anon_sym_linear] = ACTIONS(5360),
    [anon_sym_snorm] = ACTIONS(5360),
    [anon_sym_unorm] = ACTIONS(5360),
    [anon_sym_point] = ACTIONS(5360),
    [anon_sym_line] = ACTIONS(5360),
    [anon_sym_triangleadj] = ACTIONS(5360),
    [anon_sym_lineadj] = ACTIONS(5360),
    [anon_sym_triangle] = ACTIONS(5360),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_in] = ACTIONS(2499),
    [anon_sym_out] = ACTIONS(2499),
    [anon_sym_inout] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym___attribute] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_friend] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_precise] = ACTIONS(2499),
    [anon_sym_shared] = ACTIONS(2499),
    [anon_sym_groupshared] = ACTIONS(2499),
    [anon_sym_uniform] = ACTIONS(2499),
    [anon_sym_row_major] = ACTIONS(2499),
    [anon_sym_column_major] = ACTIONS(2499),
    [anon_sym_globallycoherent] = ACTIONS(2499),
    [anon_sym_centroid] = ACTIONS(2499),
    [anon_sym_noperspective] = ACTIONS(2499),
    [anon_sym_nointerpolation] = ACTIONS(2499),
    [anon_sym_sample] = ACTIONS(2499),
    [anon_sym_linear] = ACTIONS(2499),
    [anon_sym_snorm] = ACTIONS(2499),
    [anon_sym_unorm] = ACTIONS(2499),
    [anon_sym_point] = ACTIONS(2499),
    [anon_sym_line] = ACTIONS(2499),
    [anon_sym_triangleadj] = ACTIONS(2499),
    [anon_sym_lineadj] = ACTIONS(2499),
    [anon_sym_triangle] = ACTIONS(2499),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(2410),
    [aux_sym_preproc_def_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2410),
    [sym_preproc_directive] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_TILDE] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(2410),
    [anon_sym_typedef] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_out] = ACTIONS(2410),
    [anon_sym_inout] = ACTIONS(2410),
    [anon_sym_virtual] = ACTIONS(2410),
    [anon_sym_extern] = ACTIONS(2410),
    [anon_sym___attribute__] = ACTIONS(2410),
    [anon_sym___attribute] = ACTIONS(2410),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2412),
    [anon_sym___declspec] = ACTIONS(2410),
    [anon_sym___based] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_signed] = ACTIONS(2410),
    [anon_sym_unsigned] = ACTIONS(2410),
    [anon_sym_long] = ACTIONS(2410),
    [anon_sym_short] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_register] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym___inline] = ACTIONS(2410),
    [anon_sym___inline__] = ACTIONS(2410),
    [anon_sym___forceinline] = ACTIONS(2410),
    [anon_sym_thread_local] = ACTIONS(2410),
    [anon_sym___thread] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_constexpr] = ACTIONS(2410),
    [anon_sym_volatile] = ACTIONS(2410),
    [anon_sym_restrict] = ACTIONS(2410),
    [anon_sym___restrict__] = ACTIONS(2410),
    [anon_sym__Atomic] = ACTIONS(2410),
    [anon_sym__Noreturn] = ACTIONS(2410),
    [anon_sym_noreturn] = ACTIONS(2410),
    [anon_sym__Nonnull] = ACTIONS(2410),
    [anon_sym_mutable] = ACTIONS(2410),
    [anon_sym_constinit] = ACTIONS(2410),
    [anon_sym_consteval] = ACTIONS(2410),
    [anon_sym_alignas] = ACTIONS(2410),
    [anon_sym__Alignas] = ACTIONS(2410),
    [sym_primitive_type] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_struct] = ACTIONS(2410),
    [anon_sym_union] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2410),
    [anon_sym_decltype] = ACTIONS(2410),
    [anon_sym_explicit] = ACTIONS(2410),
    [anon_sym_typename] = ACTIONS(2410),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2410),
    [anon_sym_friend] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_static_assert] = ACTIONS(2410),
    [anon_sym_precise] = ACTIONS(2410),
    [anon_sym_shared] = ACTIONS(2410),
    [anon_sym_groupshared] = ACTIONS(2410),
    [anon_sym_uniform] = ACTIONS(2410),
    [anon_sym_row_major] = ACTIONS(2410),
    [anon_sym_column_major] = ACTIONS(2410),
    [anon_sym_globallycoherent] = ACTIONS(2410),
    [anon_sym_centroid] = ACTIONS(2410),
    [anon_sym_noperspective] = ACTIONS(2410),
    [anon_sym_nointerpolation] = ACTIONS(2410),
    [anon_sym_sample] = ACTIONS(2410),
    [anon_sym_linear] = ACTIONS(2410),
    [anon_sym_snorm] = ACTIONS(2410),
    [anon_sym_unorm] = ACTIONS(2410),
    [anon_sym_point] = ACTIONS(2410),
    [anon_sym_line] = ACTIONS(2410),
    [anon_sym_triangleadj] = ACTIONS(2410),
    [anon_sym_lineadj] = ACTIONS(2410),
    [anon_sym_triangle] = ACTIONS(2410),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_TILDE] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym_typedef] = ACTIONS(5416),
    [anon_sym_in] = ACTIONS(5416),
    [anon_sym_out] = ACTIONS(5416),
    [anon_sym_inout] = ACTIONS(5416),
    [anon_sym_virtual] = ACTIONS(5416),
    [anon_sym_extern] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___attribute] = ACTIONS(5416),
    [anon_sym_COLON_COLON] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym___declspec] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_static] = ACTIONS(5416),
    [anon_sym_register] = ACTIONS(5416),
    [anon_sym_inline] = ACTIONS(5416),
    [anon_sym___inline] = ACTIONS(5416),
    [anon_sym___inline__] = ACTIONS(5416),
    [anon_sym___forceinline] = ACTIONS(5416),
    [anon_sym_thread_local] = ACTIONS(5416),
    [anon_sym___thread] = ACTIONS(5416),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_enum] = ACTIONS(5416),
    [anon_sym_class] = ACTIONS(5416),
    [anon_sym_struct] = ACTIONS(5416),
    [anon_sym_union] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_explicit] = ACTIONS(5416),
    [anon_sym_typename] = ACTIONS(5416),
    [anon_sym_template] = ACTIONS(5416),
    [anon_sym_operator] = ACTIONS(5416),
    [anon_sym_friend] = ACTIONS(5416),
    [anon_sym_public] = ACTIONS(5416),
    [anon_sym_private] = ACTIONS(5416),
    [anon_sym_protected] = ACTIONS(5416),
    [anon_sym_using] = ACTIONS(5416),
    [anon_sym_static_assert] = ACTIONS(5416),
    [anon_sym_precise] = ACTIONS(5416),
    [anon_sym_shared] = ACTIONS(5416),
    [anon_sym_groupshared] = ACTIONS(5416),
    [anon_sym_uniform] = ACTIONS(5416),
    [anon_sym_row_major] = ACTIONS(5416),
    [anon_sym_column_major] = ACTIONS(5416),
    [anon_sym_globallycoherent] = ACTIONS(5416),
    [anon_sym_centroid] = ACTIONS(5416),
    [anon_sym_noperspective] = ACTIONS(5416),
    [anon_sym_nointerpolation] = ACTIONS(5416),
    [anon_sym_sample] = ACTIONS(5416),
    [anon_sym_linear] = ACTIONS(5416),
    [anon_sym_snorm] = ACTIONS(5416),
    [anon_sym_unorm] = ACTIONS(5416),
    [anon_sym_point] = ACTIONS(5416),
    [anon_sym_line] = ACTIONS(5416),
    [anon_sym_triangleadj] = ACTIONS(5416),
    [anon_sym_lineadj] = ACTIONS(5416),
    [anon_sym_triangle] = ACTIONS(5416),
  },
  [2057] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_friend] = ACTIONS(2528),
    [anon_sym_public] = ACTIONS(2528),
    [anon_sym_private] = ACTIONS(2528),
    [anon_sym_protected] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_groupshared] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_row_major] = ACTIONS(2528),
    [anon_sym_column_major] = ACTIONS(2528),
    [anon_sym_globallycoherent] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym_nointerpolation] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_linear] = ACTIONS(2528),
    [anon_sym_snorm] = ACTIONS(2528),
    [anon_sym_unorm] = ACTIONS(2528),
    [anon_sym_point] = ACTIONS(2528),
    [anon_sym_line] = ACTIONS(2528),
    [anon_sym_triangleadj] = ACTIONS(2528),
    [anon_sym_lineadj] = ACTIONS(2528),
    [anon_sym_triangle] = ACTIONS(2528),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_virtual] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_friend] = ACTIONS(2536),
    [anon_sym_public] = ACTIONS(2536),
    [anon_sym_private] = ACTIONS(2536),
    [anon_sym_protected] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_groupshared] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_row_major] = ACTIONS(2536),
    [anon_sym_column_major] = ACTIONS(2536),
    [anon_sym_globallycoherent] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym_nointerpolation] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_linear] = ACTIONS(2536),
    [anon_sym_snorm] = ACTIONS(2536),
    [anon_sym_unorm] = ACTIONS(2536),
    [anon_sym_point] = ACTIONS(2536),
    [anon_sym_line] = ACTIONS(2536),
    [anon_sym_triangleadj] = ACTIONS(2536),
    [anon_sym_lineadj] = ACTIONS(2536),
    [anon_sym_triangle] = ACTIONS(2536),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_virtual] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_friend] = ACTIONS(2540),
    [anon_sym_public] = ACTIONS(2540),
    [anon_sym_private] = ACTIONS(2540),
    [anon_sym_protected] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_groupshared] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_row_major] = ACTIONS(2540),
    [anon_sym_column_major] = ACTIONS(2540),
    [anon_sym_globallycoherent] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym_nointerpolation] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_linear] = ACTIONS(2540),
    [anon_sym_snorm] = ACTIONS(2540),
    [anon_sym_unorm] = ACTIONS(2540),
    [anon_sym_point] = ACTIONS(2540),
    [anon_sym_line] = ACTIONS(2540),
    [anon_sym_triangleadj] = ACTIONS(2540),
    [anon_sym_lineadj] = ACTIONS(2540),
    [anon_sym_triangle] = ACTIONS(2540),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_virtual] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_friend] = ACTIONS(2544),
    [anon_sym_public] = ACTIONS(2544),
    [anon_sym_private] = ACTIONS(2544),
    [anon_sym_protected] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_groupshared] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_row_major] = ACTIONS(2544),
    [anon_sym_column_major] = ACTIONS(2544),
    [anon_sym_globallycoherent] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym_nointerpolation] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_linear] = ACTIONS(2544),
    [anon_sym_snorm] = ACTIONS(2544),
    [anon_sym_unorm] = ACTIONS(2544),
    [anon_sym_point] = ACTIONS(2544),
    [anon_sym_line] = ACTIONS(2544),
    [anon_sym_triangleadj] = ACTIONS(2544),
    [anon_sym_lineadj] = ACTIONS(2544),
    [anon_sym_triangle] = ACTIONS(2544),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_friend] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_groupshared] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_row_major] = ACTIONS(2552),
    [anon_sym_column_major] = ACTIONS(2552),
    [anon_sym_globallycoherent] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym_nointerpolation] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_linear] = ACTIONS(2552),
    [anon_sym_snorm] = ACTIONS(2552),
    [anon_sym_unorm] = ACTIONS(2552),
    [anon_sym_point] = ACTIONS(2552),
    [anon_sym_line] = ACTIONS(2552),
    [anon_sym_triangleadj] = ACTIONS(2552),
    [anon_sym_lineadj] = ACTIONS(2552),
    [anon_sym_triangle] = ACTIONS(2552),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(2422),
    [aux_sym_preproc_def_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2422),
    [sym_preproc_directive] = ACTIONS(2422),
    [anon_sym_LPAREN2] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym___extension__] = ACTIONS(2422),
    [anon_sym_typedef] = ACTIONS(2422),
    [anon_sym_in] = ACTIONS(2422),
    [anon_sym_out] = ACTIONS(2422),
    [anon_sym_inout] = ACTIONS(2422),
    [anon_sym_virtual] = ACTIONS(2422),
    [anon_sym_extern] = ACTIONS(2422),
    [anon_sym___attribute__] = ACTIONS(2422),
    [anon_sym___attribute] = ACTIONS(2422),
    [anon_sym_COLON_COLON] = ACTIONS(2424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2424),
    [anon_sym___declspec] = ACTIONS(2422),
    [anon_sym___based] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_signed] = ACTIONS(2422),
    [anon_sym_unsigned] = ACTIONS(2422),
    [anon_sym_long] = ACTIONS(2422),
    [anon_sym_short] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_static] = ACTIONS(2422),
    [anon_sym_register] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(2422),
    [anon_sym___inline] = ACTIONS(2422),
    [anon_sym___inline__] = ACTIONS(2422),
    [anon_sym___forceinline] = ACTIONS(2422),
    [anon_sym_thread_local] = ACTIONS(2422),
    [anon_sym___thread] = ACTIONS(2422),
    [anon_sym_const] = ACTIONS(2422),
    [anon_sym_constexpr] = ACTIONS(2422),
    [anon_sym_volatile] = ACTIONS(2422),
    [anon_sym_restrict] = ACTIONS(2422),
    [anon_sym___restrict__] = ACTIONS(2422),
    [anon_sym__Atomic] = ACTIONS(2422),
    [anon_sym__Noreturn] = ACTIONS(2422),
    [anon_sym_noreturn] = ACTIONS(2422),
    [anon_sym__Nonnull] = ACTIONS(2422),
    [anon_sym_mutable] = ACTIONS(2422),
    [anon_sym_constinit] = ACTIONS(2422),
    [anon_sym_consteval] = ACTIONS(2422),
    [anon_sym_alignas] = ACTIONS(2422),
    [anon_sym__Alignas] = ACTIONS(2422),
    [sym_primitive_type] = ACTIONS(2422),
    [anon_sym_enum] = ACTIONS(2422),
    [anon_sym_class] = ACTIONS(2422),
    [anon_sym_struct] = ACTIONS(2422),
    [anon_sym_union] = ACTIONS(2422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2422),
    [anon_sym_decltype] = ACTIONS(2422),
    [anon_sym_explicit] = ACTIONS(2422),
    [anon_sym_typename] = ACTIONS(2422),
    [anon_sym_template] = ACTIONS(2422),
    [anon_sym_operator] = ACTIONS(2422),
    [anon_sym_friend] = ACTIONS(2422),
    [anon_sym_public] = ACTIONS(2422),
    [anon_sym_private] = ACTIONS(2422),
    [anon_sym_protected] = ACTIONS(2422),
    [anon_sym_using] = ACTIONS(2422),
    [anon_sym_static_assert] = ACTIONS(2422),
    [anon_sym_precise] = ACTIONS(2422),
    [anon_sym_shared] = ACTIONS(2422),
    [anon_sym_groupshared] = ACTIONS(2422),
    [anon_sym_uniform] = ACTIONS(2422),
    [anon_sym_row_major] = ACTIONS(2422),
    [anon_sym_column_major] = ACTIONS(2422),
    [anon_sym_globallycoherent] = ACTIONS(2422),
    [anon_sym_centroid] = ACTIONS(2422),
    [anon_sym_noperspective] = ACTIONS(2422),
    [anon_sym_nointerpolation] = ACTIONS(2422),
    [anon_sym_sample] = ACTIONS(2422),
    [anon_sym_linear] = ACTIONS(2422),
    [anon_sym_snorm] = ACTIONS(2422),
    [anon_sym_unorm] = ACTIONS(2422),
    [anon_sym_point] = ACTIONS(2422),
    [anon_sym_line] = ACTIONS(2422),
    [anon_sym_triangleadj] = ACTIONS(2422),
    [anon_sym_lineadj] = ACTIONS(2422),
    [anon_sym_triangle] = ACTIONS(2422),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_virtual] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_friend] = ACTIONS(2560),
    [anon_sym_public] = ACTIONS(2560),
    [anon_sym_private] = ACTIONS(2560),
    [anon_sym_protected] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_groupshared] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_row_major] = ACTIONS(2560),
    [anon_sym_column_major] = ACTIONS(2560),
    [anon_sym_globallycoherent] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym_nointerpolation] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_linear] = ACTIONS(2560),
    [anon_sym_snorm] = ACTIONS(2560),
    [anon_sym_unorm] = ACTIONS(2560),
    [anon_sym_point] = ACTIONS(2560),
    [anon_sym_line] = ACTIONS(2560),
    [anon_sym_triangleadj] = ACTIONS(2560),
    [anon_sym_lineadj] = ACTIONS(2560),
    [anon_sym_triangle] = ACTIONS(2560),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_virtual] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_friend] = ACTIONS(2560),
    [anon_sym_public] = ACTIONS(2560),
    [anon_sym_private] = ACTIONS(2560),
    [anon_sym_protected] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_groupshared] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_row_major] = ACTIONS(2560),
    [anon_sym_column_major] = ACTIONS(2560),
    [anon_sym_globallycoherent] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym_nointerpolation] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_linear] = ACTIONS(2560),
    [anon_sym_snorm] = ACTIONS(2560),
    [anon_sym_unorm] = ACTIONS(2560),
    [anon_sym_point] = ACTIONS(2560),
    [anon_sym_line] = ACTIONS(2560),
    [anon_sym_triangleadj] = ACTIONS(2560),
    [anon_sym_lineadj] = ACTIONS(2560),
    [anon_sym_triangle] = ACTIONS(2560),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_out] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_virtual] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_friend] = ACTIONS(2568),
    [anon_sym_public] = ACTIONS(2568),
    [anon_sym_private] = ACTIONS(2568),
    [anon_sym_protected] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_precise] = ACTIONS(2568),
    [anon_sym_shared] = ACTIONS(2568),
    [anon_sym_groupshared] = ACTIONS(2568),
    [anon_sym_uniform] = ACTIONS(2568),
    [anon_sym_row_major] = ACTIONS(2568),
    [anon_sym_column_major] = ACTIONS(2568),
    [anon_sym_globallycoherent] = ACTIONS(2568),
    [anon_sym_centroid] = ACTIONS(2568),
    [anon_sym_noperspective] = ACTIONS(2568),
    [anon_sym_nointerpolation] = ACTIONS(2568),
    [anon_sym_sample] = ACTIONS(2568),
    [anon_sym_linear] = ACTIONS(2568),
    [anon_sym_snorm] = ACTIONS(2568),
    [anon_sym_unorm] = ACTIONS(2568),
    [anon_sym_point] = ACTIONS(2568),
    [anon_sym_line] = ACTIONS(2568),
    [anon_sym_triangleadj] = ACTIONS(2568),
    [anon_sym_lineadj] = ACTIONS(2568),
    [anon_sym_triangle] = ACTIONS(2568),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_TILDE] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym_typedef] = ACTIONS(5420),
    [anon_sym_in] = ACTIONS(5420),
    [anon_sym_out] = ACTIONS(5420),
    [anon_sym_inout] = ACTIONS(5420),
    [anon_sym_virtual] = ACTIONS(5420),
    [anon_sym_extern] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___attribute] = ACTIONS(5420),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym___declspec] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_static] = ACTIONS(5420),
    [anon_sym_register] = ACTIONS(5420),
    [anon_sym_inline] = ACTIONS(5420),
    [anon_sym___inline] = ACTIONS(5420),
    [anon_sym___inline__] = ACTIONS(5420),
    [anon_sym___forceinline] = ACTIONS(5420),
    [anon_sym_thread_local] = ACTIONS(5420),
    [anon_sym___thread] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_enum] = ACTIONS(5420),
    [anon_sym_class] = ACTIONS(5420),
    [anon_sym_struct] = ACTIONS(5420),
    [anon_sym_union] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_explicit] = ACTIONS(5420),
    [anon_sym_typename] = ACTIONS(5420),
    [anon_sym_template] = ACTIONS(5420),
    [anon_sym_operator] = ACTIONS(5420),
    [anon_sym_friend] = ACTIONS(5420),
    [anon_sym_public] = ACTIONS(5420),
    [anon_sym_private] = ACTIONS(5420),
    [anon_sym_protected] = ACTIONS(5420),
    [anon_sym_using] = ACTIONS(5420),
    [anon_sym_static_assert] = ACTIONS(5420),
    [anon_sym_precise] = ACTIONS(5420),
    [anon_sym_shared] = ACTIONS(5420),
    [anon_sym_groupshared] = ACTIONS(5420),
    [anon_sym_uniform] = ACTIONS(5420),
    [anon_sym_row_major] = ACTIONS(5420),
    [anon_sym_column_major] = ACTIONS(5420),
    [anon_sym_globallycoherent] = ACTIONS(5420),
    [anon_sym_centroid] = ACTIONS(5420),
    [anon_sym_noperspective] = ACTIONS(5420),
    [anon_sym_nointerpolation] = ACTIONS(5420),
    [anon_sym_sample] = ACTIONS(5420),
    [anon_sym_linear] = ACTIONS(5420),
    [anon_sym_snorm] = ACTIONS(5420),
    [anon_sym_unorm] = ACTIONS(5420),
    [anon_sym_point] = ACTIONS(5420),
    [anon_sym_line] = ACTIONS(5420),
    [anon_sym_triangleadj] = ACTIONS(5420),
    [anon_sym_lineadj] = ACTIONS(5420),
    [anon_sym_triangle] = ACTIONS(5420),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(5372),
    [aux_sym_preproc_def_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token2] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5372),
    [sym_preproc_directive] = ACTIONS(5372),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_TILDE] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___extension__] = ACTIONS(5372),
    [anon_sym_typedef] = ACTIONS(5372),
    [anon_sym_in] = ACTIONS(5372),
    [anon_sym_out] = ACTIONS(5372),
    [anon_sym_inout] = ACTIONS(5372),
    [anon_sym_virtual] = ACTIONS(5372),
    [anon_sym_extern] = ACTIONS(5372),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_COLON_COLON] = ACTIONS(5374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5374),
    [anon_sym___declspec] = ACTIONS(5372),
    [anon_sym___based] = ACTIONS(5372),
    [anon_sym_signed] = ACTIONS(5372),
    [anon_sym_unsigned] = ACTIONS(5372),
    [anon_sym_long] = ACTIONS(5372),
    [anon_sym_short] = ACTIONS(5372),
    [anon_sym_LBRACK] = ACTIONS(5372),
    [anon_sym_static] = ACTIONS(5372),
    [anon_sym_register] = ACTIONS(5372),
    [anon_sym_inline] = ACTIONS(5372),
    [anon_sym___inline] = ACTIONS(5372),
    [anon_sym___inline__] = ACTIONS(5372),
    [anon_sym___forceinline] = ACTIONS(5372),
    [anon_sym_thread_local] = ACTIONS(5372),
    [anon_sym___thread] = ACTIONS(5372),
    [anon_sym_const] = ACTIONS(5372),
    [anon_sym_constexpr] = ACTIONS(5372),
    [anon_sym_volatile] = ACTIONS(5372),
    [anon_sym_restrict] = ACTIONS(5372),
    [anon_sym___restrict__] = ACTIONS(5372),
    [anon_sym__Atomic] = ACTIONS(5372),
    [anon_sym__Noreturn] = ACTIONS(5372),
    [anon_sym_noreturn] = ACTIONS(5372),
    [anon_sym__Nonnull] = ACTIONS(5372),
    [anon_sym_mutable] = ACTIONS(5372),
    [anon_sym_constinit] = ACTIONS(5372),
    [anon_sym_consteval] = ACTIONS(5372),
    [anon_sym_alignas] = ACTIONS(5372),
    [anon_sym__Alignas] = ACTIONS(5372),
    [sym_primitive_type] = ACTIONS(5372),
    [anon_sym_enum] = ACTIONS(5372),
    [anon_sym_class] = ACTIONS(5372),
    [anon_sym_struct] = ACTIONS(5372),
    [anon_sym_union] = ACTIONS(5372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5372),
    [anon_sym_decltype] = ACTIONS(5372),
    [anon_sym_explicit] = ACTIONS(5372),
    [anon_sym_typename] = ACTIONS(5372),
    [anon_sym_template] = ACTIONS(5372),
    [anon_sym_operator] = ACTIONS(5372),
    [anon_sym_friend] = ACTIONS(5372),
    [anon_sym_public] = ACTIONS(5372),
    [anon_sym_private] = ACTIONS(5372),
    [anon_sym_protected] = ACTIONS(5372),
    [anon_sym_using] = ACTIONS(5372),
    [anon_sym_static_assert] = ACTIONS(5372),
    [anon_sym_precise] = ACTIONS(5372),
    [anon_sym_shared] = ACTIONS(5372),
    [anon_sym_groupshared] = ACTIONS(5372),
    [anon_sym_uniform] = ACTIONS(5372),
    [anon_sym_row_major] = ACTIONS(5372),
    [anon_sym_column_major] = ACTIONS(5372),
    [anon_sym_globallycoherent] = ACTIONS(5372),
    [anon_sym_centroid] = ACTIONS(5372),
    [anon_sym_noperspective] = ACTIONS(5372),
    [anon_sym_nointerpolation] = ACTIONS(5372),
    [anon_sym_sample] = ACTIONS(5372),
    [anon_sym_linear] = ACTIONS(5372),
    [anon_sym_snorm] = ACTIONS(5372),
    [anon_sym_unorm] = ACTIONS(5372),
    [anon_sym_point] = ACTIONS(5372),
    [anon_sym_line] = ACTIONS(5372),
    [anon_sym_triangleadj] = ACTIONS(5372),
    [anon_sym_lineadj] = ACTIONS(5372),
    [anon_sym_triangle] = ACTIONS(5372),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_TILDE] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym_typedef] = ACTIONS(5420),
    [anon_sym_in] = ACTIONS(5420),
    [anon_sym_out] = ACTIONS(5420),
    [anon_sym_inout] = ACTIONS(5420),
    [anon_sym_virtual] = ACTIONS(5420),
    [anon_sym_extern] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___attribute] = ACTIONS(5420),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym___declspec] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_RBRACE] = ACTIONS(5422),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_static] = ACTIONS(5420),
    [anon_sym_register] = ACTIONS(5420),
    [anon_sym_inline] = ACTIONS(5420),
    [anon_sym___inline] = ACTIONS(5420),
    [anon_sym___inline__] = ACTIONS(5420),
    [anon_sym___forceinline] = ACTIONS(5420),
    [anon_sym_thread_local] = ACTIONS(5420),
    [anon_sym___thread] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_enum] = ACTIONS(5420),
    [anon_sym_class] = ACTIONS(5420),
    [anon_sym_struct] = ACTIONS(5420),
    [anon_sym_union] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_explicit] = ACTIONS(5420),
    [anon_sym_typename] = ACTIONS(5420),
    [anon_sym_template] = ACTIONS(5420),
    [anon_sym_operator] = ACTIONS(5420),
    [anon_sym_friend] = ACTIONS(5420),
    [anon_sym_public] = ACTIONS(5420),
    [anon_sym_private] = ACTIONS(5420),
    [anon_sym_protected] = ACTIONS(5420),
    [anon_sym_using] = ACTIONS(5420),
    [anon_sym_static_assert] = ACTIONS(5420),
    [anon_sym_precise] = ACTIONS(5420),
    [anon_sym_shared] = ACTIONS(5420),
    [anon_sym_groupshared] = ACTIONS(5420),
    [anon_sym_uniform] = ACTIONS(5420),
    [anon_sym_row_major] = ACTIONS(5420),
    [anon_sym_column_major] = ACTIONS(5420),
    [anon_sym_globallycoherent] = ACTIONS(5420),
    [anon_sym_centroid] = ACTIONS(5420),
    [anon_sym_noperspective] = ACTIONS(5420),
    [anon_sym_nointerpolation] = ACTIONS(5420),
    [anon_sym_sample] = ACTIONS(5420),
    [anon_sym_linear] = ACTIONS(5420),
    [anon_sym_snorm] = ACTIONS(5420),
    [anon_sym_unorm] = ACTIONS(5420),
    [anon_sym_point] = ACTIONS(5420),
    [anon_sym_line] = ACTIONS(5420),
    [anon_sym_triangleadj] = ACTIONS(5420),
    [anon_sym_lineadj] = ACTIONS(5420),
    [anon_sym_triangle] = ACTIONS(5420),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(5440),
    [aux_sym_preproc_def_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token1] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5440),
    [sym_preproc_directive] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_TILDE] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___extension__] = ACTIONS(5440),
    [anon_sym_typedef] = ACTIONS(5440),
    [anon_sym_in] = ACTIONS(5440),
    [anon_sym_out] = ACTIONS(5440),
    [anon_sym_inout] = ACTIONS(5440),
    [anon_sym_virtual] = ACTIONS(5440),
    [anon_sym_extern] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym___attribute] = ACTIONS(5440),
    [anon_sym_COLON_COLON] = ACTIONS(5442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5442),
    [anon_sym___declspec] = ACTIONS(5440),
    [anon_sym___based] = ACTIONS(5440),
    [anon_sym_RBRACE] = ACTIONS(5442),
    [anon_sym_signed] = ACTIONS(5440),
    [anon_sym_unsigned] = ACTIONS(5440),
    [anon_sym_long] = ACTIONS(5440),
    [anon_sym_short] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_static] = ACTIONS(5440),
    [anon_sym_register] = ACTIONS(5440),
    [anon_sym_inline] = ACTIONS(5440),
    [anon_sym___inline] = ACTIONS(5440),
    [anon_sym___inline__] = ACTIONS(5440),
    [anon_sym___forceinline] = ACTIONS(5440),
    [anon_sym_thread_local] = ACTIONS(5440),
    [anon_sym___thread] = ACTIONS(5440),
    [anon_sym_const] = ACTIONS(5440),
    [anon_sym_constexpr] = ACTIONS(5440),
    [anon_sym_volatile] = ACTIONS(5440),
    [anon_sym_restrict] = ACTIONS(5440),
    [anon_sym___restrict__] = ACTIONS(5440),
    [anon_sym__Atomic] = ACTIONS(5440),
    [anon_sym__Noreturn] = ACTIONS(5440),
    [anon_sym_noreturn] = ACTIONS(5440),
    [anon_sym__Nonnull] = ACTIONS(5440),
    [anon_sym_mutable] = ACTIONS(5440),
    [anon_sym_constinit] = ACTIONS(5440),
    [anon_sym_consteval] = ACTIONS(5440),
    [anon_sym_alignas] = ACTIONS(5440),
    [anon_sym__Alignas] = ACTIONS(5440),
    [sym_primitive_type] = ACTIONS(5440),
    [anon_sym_enum] = ACTIONS(5440),
    [anon_sym_class] = ACTIONS(5440),
    [anon_sym_struct] = ACTIONS(5440),
    [anon_sym_union] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
    [anon_sym_explicit] = ACTIONS(5440),
    [anon_sym_typename] = ACTIONS(5440),
    [anon_sym_template] = ACTIONS(5440),
    [anon_sym_operator] = ACTIONS(5440),
    [anon_sym_friend] = ACTIONS(5440),
    [anon_sym_public] = ACTIONS(5440),
    [anon_sym_private] = ACTIONS(5440),
    [anon_sym_protected] = ACTIONS(5440),
    [anon_sym_using] = ACTIONS(5440),
    [anon_sym_static_assert] = ACTIONS(5440),
    [anon_sym_precise] = ACTIONS(5440),
    [anon_sym_shared] = ACTIONS(5440),
    [anon_sym_groupshared] = ACTIONS(5440),
    [anon_sym_uniform] = ACTIONS(5440),
    [anon_sym_row_major] = ACTIONS(5440),
    [anon_sym_column_major] = ACTIONS(5440),
    [anon_sym_globallycoherent] = ACTIONS(5440),
    [anon_sym_centroid] = ACTIONS(5440),
    [anon_sym_noperspective] = ACTIONS(5440),
    [anon_sym_nointerpolation] = ACTIONS(5440),
    [anon_sym_sample] = ACTIONS(5440),
    [anon_sym_linear] = ACTIONS(5440),
    [anon_sym_snorm] = ACTIONS(5440),
    [anon_sym_unorm] = ACTIONS(5440),
    [anon_sym_point] = ACTIONS(5440),
    [anon_sym_line] = ACTIONS(5440),
    [anon_sym_triangleadj] = ACTIONS(5440),
    [anon_sym_lineadj] = ACTIONS(5440),
    [anon_sym_triangle] = ACTIONS(5440),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_in] = ACTIONS(2583),
    [anon_sym_out] = ACTIONS(2583),
    [anon_sym_inout] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym_RBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_friend] = ACTIONS(2583),
    [anon_sym_public] = ACTIONS(2583),
    [anon_sym_private] = ACTIONS(2583),
    [anon_sym_protected] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_precise] = ACTIONS(2583),
    [anon_sym_shared] = ACTIONS(2583),
    [anon_sym_groupshared] = ACTIONS(2583),
    [anon_sym_uniform] = ACTIONS(2583),
    [anon_sym_row_major] = ACTIONS(2583),
    [anon_sym_column_major] = ACTIONS(2583),
    [anon_sym_globallycoherent] = ACTIONS(2583),
    [anon_sym_centroid] = ACTIONS(2583),
    [anon_sym_noperspective] = ACTIONS(2583),
    [anon_sym_nointerpolation] = ACTIONS(2583),
    [anon_sym_sample] = ACTIONS(2583),
    [anon_sym_linear] = ACTIONS(2583),
    [anon_sym_snorm] = ACTIONS(2583),
    [anon_sym_unorm] = ACTIONS(2583),
    [anon_sym_point] = ACTIONS(2583),
    [anon_sym_line] = ACTIONS(2583),
    [anon_sym_triangleadj] = ACTIONS(2583),
    [anon_sym_lineadj] = ACTIONS(2583),
    [anon_sym_triangle] = ACTIONS(2583),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(5432),
    [aux_sym_preproc_def_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token2] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5432),
    [sym_preproc_directive] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_TILDE] = ACTIONS(5434),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5432),
    [anon_sym_typedef] = ACTIONS(5432),
    [anon_sym_in] = ACTIONS(5432),
    [anon_sym_out] = ACTIONS(5432),
    [anon_sym_inout] = ACTIONS(5432),
    [anon_sym_virtual] = ACTIONS(5432),
    [anon_sym_extern] = ACTIONS(5432),
    [anon_sym___attribute__] = ACTIONS(5432),
    [anon_sym___attribute] = ACTIONS(5432),
    [anon_sym_COLON_COLON] = ACTIONS(5434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5434),
    [anon_sym___declspec] = ACTIONS(5432),
    [anon_sym___based] = ACTIONS(5432),
    [anon_sym_signed] = ACTIONS(5432),
    [anon_sym_unsigned] = ACTIONS(5432),
    [anon_sym_long] = ACTIONS(5432),
    [anon_sym_short] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5432),
    [anon_sym_static] = ACTIONS(5432),
    [anon_sym_register] = ACTIONS(5432),
    [anon_sym_inline] = ACTIONS(5432),
    [anon_sym___inline] = ACTIONS(5432),
    [anon_sym___inline__] = ACTIONS(5432),
    [anon_sym___forceinline] = ACTIONS(5432),
    [anon_sym_thread_local] = ACTIONS(5432),
    [anon_sym___thread] = ACTIONS(5432),
    [anon_sym_const] = ACTIONS(5432),
    [anon_sym_constexpr] = ACTIONS(5432),
    [anon_sym_volatile] = ACTIONS(5432),
    [anon_sym_restrict] = ACTIONS(5432),
    [anon_sym___restrict__] = ACTIONS(5432),
    [anon_sym__Atomic] = ACTIONS(5432),
    [anon_sym__Noreturn] = ACTIONS(5432),
    [anon_sym_noreturn] = ACTIONS(5432),
    [anon_sym__Nonnull] = ACTIONS(5432),
    [anon_sym_mutable] = ACTIONS(5432),
    [anon_sym_constinit] = ACTIONS(5432),
    [anon_sym_consteval] = ACTIONS(5432),
    [anon_sym_alignas] = ACTIONS(5432),
    [anon_sym__Alignas] = ACTIONS(5432),
    [sym_primitive_type] = ACTIONS(5432),
    [anon_sym_enum] = ACTIONS(5432),
    [anon_sym_class] = ACTIONS(5432),
    [anon_sym_struct] = ACTIONS(5432),
    [anon_sym_union] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5432),
    [anon_sym_decltype] = ACTIONS(5432),
    [anon_sym_explicit] = ACTIONS(5432),
    [anon_sym_typename] = ACTIONS(5432),
    [anon_sym_template] = ACTIONS(5432),
    [anon_sym_operator] = ACTIONS(5432),
    [anon_sym_friend] = ACTIONS(5432),
    [anon_sym_public] = ACTIONS(5432),
    [anon_sym_private] = ACTIONS(5432),
    [anon_sym_protected] = ACTIONS(5432),
    [anon_sym_using] = ACTIONS(5432),
    [anon_sym_static_assert] = ACTIONS(5432),
    [anon_sym_precise] = ACTIONS(5432),
    [anon_sym_shared] = ACTIONS(5432),
    [anon_sym_groupshared] = ACTIONS(5432),
    [anon_sym_uniform] = ACTIONS(5432),
    [anon_sym_row_major] = ACTIONS(5432),
    [anon_sym_column_major] = ACTIONS(5432),
    [anon_sym_globallycoherent] = ACTIONS(5432),
    [anon_sym_centroid] = ACTIONS(5432),
    [anon_sym_noperspective] = ACTIONS(5432),
    [anon_sym_nointerpolation] = ACTIONS(5432),
    [anon_sym_sample] = ACTIONS(5432),
    [anon_sym_linear] = ACTIONS(5432),
    [anon_sym_snorm] = ACTIONS(5432),
    [anon_sym_unorm] = ACTIONS(5432),
    [anon_sym_point] = ACTIONS(5432),
    [anon_sym_line] = ACTIONS(5432),
    [anon_sym_triangleadj] = ACTIONS(5432),
    [anon_sym_lineadj] = ACTIONS(5432),
    [anon_sym_triangle] = ACTIONS(5432),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(5436),
    [aux_sym_preproc_def_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token2] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5436),
    [sym_preproc_directive] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5438),
    [anon_sym_TILDE] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym___extension__] = ACTIONS(5436),
    [anon_sym_typedef] = ACTIONS(5436),
    [anon_sym_in] = ACTIONS(5436),
    [anon_sym_out] = ACTIONS(5436),
    [anon_sym_inout] = ACTIONS(5436),
    [anon_sym_virtual] = ACTIONS(5436),
    [anon_sym_extern] = ACTIONS(5436),
    [anon_sym___attribute__] = ACTIONS(5436),
    [anon_sym___attribute] = ACTIONS(5436),
    [anon_sym_COLON_COLON] = ACTIONS(5438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5438),
    [anon_sym___declspec] = ACTIONS(5436),
    [anon_sym___based] = ACTIONS(5436),
    [anon_sym_signed] = ACTIONS(5436),
    [anon_sym_unsigned] = ACTIONS(5436),
    [anon_sym_long] = ACTIONS(5436),
    [anon_sym_short] = ACTIONS(5436),
    [anon_sym_LBRACK] = ACTIONS(5436),
    [anon_sym_static] = ACTIONS(5436),
    [anon_sym_register] = ACTIONS(5436),
    [anon_sym_inline] = ACTIONS(5436),
    [anon_sym___inline] = ACTIONS(5436),
    [anon_sym___inline__] = ACTIONS(5436),
    [anon_sym___forceinline] = ACTIONS(5436),
    [anon_sym_thread_local] = ACTIONS(5436),
    [anon_sym___thread] = ACTIONS(5436),
    [anon_sym_const] = ACTIONS(5436),
    [anon_sym_constexpr] = ACTIONS(5436),
    [anon_sym_volatile] = ACTIONS(5436),
    [anon_sym_restrict] = ACTIONS(5436),
    [anon_sym___restrict__] = ACTIONS(5436),
    [anon_sym__Atomic] = ACTIONS(5436),
    [anon_sym__Noreturn] = ACTIONS(5436),
    [anon_sym_noreturn] = ACTIONS(5436),
    [anon_sym__Nonnull] = ACTIONS(5436),
    [anon_sym_mutable] = ACTIONS(5436),
    [anon_sym_constinit] = ACTIONS(5436),
    [anon_sym_consteval] = ACTIONS(5436),
    [anon_sym_alignas] = ACTIONS(5436),
    [anon_sym__Alignas] = ACTIONS(5436),
    [sym_primitive_type] = ACTIONS(5436),
    [anon_sym_enum] = ACTIONS(5436),
    [anon_sym_class] = ACTIONS(5436),
    [anon_sym_struct] = ACTIONS(5436),
    [anon_sym_union] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5436),
    [anon_sym_decltype] = ACTIONS(5436),
    [anon_sym_explicit] = ACTIONS(5436),
    [anon_sym_typename] = ACTIONS(5436),
    [anon_sym_template] = ACTIONS(5436),
    [anon_sym_operator] = ACTIONS(5436),
    [anon_sym_friend] = ACTIONS(5436),
    [anon_sym_public] = ACTIONS(5436),
    [anon_sym_private] = ACTIONS(5436),
    [anon_sym_protected] = ACTIONS(5436),
    [anon_sym_using] = ACTIONS(5436),
    [anon_sym_static_assert] = ACTIONS(5436),
    [anon_sym_precise] = ACTIONS(5436),
    [anon_sym_shared] = ACTIONS(5436),
    [anon_sym_groupshared] = ACTIONS(5436),
    [anon_sym_uniform] = ACTIONS(5436),
    [anon_sym_row_major] = ACTIONS(5436),
    [anon_sym_column_major] = ACTIONS(5436),
    [anon_sym_globallycoherent] = ACTIONS(5436),
    [anon_sym_centroid] = ACTIONS(5436),
    [anon_sym_noperspective] = ACTIONS(5436),
    [anon_sym_nointerpolation] = ACTIONS(5436),
    [anon_sym_sample] = ACTIONS(5436),
    [anon_sym_linear] = ACTIONS(5436),
    [anon_sym_snorm] = ACTIONS(5436),
    [anon_sym_unorm] = ACTIONS(5436),
    [anon_sym_point] = ACTIONS(5436),
    [anon_sym_line] = ACTIONS(5436),
    [anon_sym_triangleadj] = ACTIONS(5436),
    [anon_sym_lineadj] = ACTIONS(5436),
    [anon_sym_triangle] = ACTIONS(5436),
  },
  [2073] = {
    [sym_identifier] = ACTIONS(5444),
    [aux_sym_preproc_def_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5444),
    [sym_preproc_directive] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_TILDE] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym_typedef] = ACTIONS(5444),
    [anon_sym_in] = ACTIONS(5444),
    [anon_sym_out] = ACTIONS(5444),
    [anon_sym_inout] = ACTIONS(5444),
    [anon_sym_virtual] = ACTIONS(5444),
    [anon_sym_extern] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym___attribute] = ACTIONS(5444),
    [anon_sym_COLON_COLON] = ACTIONS(5446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5446),
    [anon_sym___declspec] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_static] = ACTIONS(5444),
    [anon_sym_register] = ACTIONS(5444),
    [anon_sym_inline] = ACTIONS(5444),
    [anon_sym___inline] = ACTIONS(5444),
    [anon_sym___inline__] = ACTIONS(5444),
    [anon_sym___forceinline] = ACTIONS(5444),
    [anon_sym_thread_local] = ACTIONS(5444),
    [anon_sym___thread] = ACTIONS(5444),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym__Nonnull] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym__Alignas] = ACTIONS(5444),
    [sym_primitive_type] = ACTIONS(5444),
    [anon_sym_enum] = ACTIONS(5444),
    [anon_sym_class] = ACTIONS(5444),
    [anon_sym_struct] = ACTIONS(5444),
    [anon_sym_union] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_explicit] = ACTIONS(5444),
    [anon_sym_typename] = ACTIONS(5444),
    [anon_sym_template] = ACTIONS(5444),
    [anon_sym_operator] = ACTIONS(5444),
    [anon_sym_friend] = ACTIONS(5444),
    [anon_sym_public] = ACTIONS(5444),
    [anon_sym_private] = ACTIONS(5444),
    [anon_sym_protected] = ACTIONS(5444),
    [anon_sym_using] = ACTIONS(5444),
    [anon_sym_static_assert] = ACTIONS(5444),
    [anon_sym_precise] = ACTIONS(5444),
    [anon_sym_shared] = ACTIONS(5444),
    [anon_sym_groupshared] = ACTIONS(5444),
    [anon_sym_uniform] = ACTIONS(5444),
    [anon_sym_row_major] = ACTIONS(5444),
    [anon_sym_column_major] = ACTIONS(5444),
    [anon_sym_globallycoherent] = ACTIONS(5444),
    [anon_sym_centroid] = ACTIONS(5444),
    [anon_sym_noperspective] = ACTIONS(5444),
    [anon_sym_nointerpolation] = ACTIONS(5444),
    [anon_sym_sample] = ACTIONS(5444),
    [anon_sym_linear] = ACTIONS(5444),
    [anon_sym_snorm] = ACTIONS(5444),
    [anon_sym_unorm] = ACTIONS(5444),
    [anon_sym_point] = ACTIONS(5444),
    [anon_sym_line] = ACTIONS(5444),
    [anon_sym_triangleadj] = ACTIONS(5444),
    [anon_sym_lineadj] = ACTIONS(5444),
    [anon_sym_triangle] = ACTIONS(5444),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_in] = ACTIONS(5448),
    [anon_sym_out] = ACTIONS(5448),
    [anon_sym_inout] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5450),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
    [anon_sym_precise] = ACTIONS(5448),
    [anon_sym_shared] = ACTIONS(5448),
    [anon_sym_groupshared] = ACTIONS(5448),
    [anon_sym_uniform] = ACTIONS(5448),
    [anon_sym_row_major] = ACTIONS(5448),
    [anon_sym_column_major] = ACTIONS(5448),
    [anon_sym_globallycoherent] = ACTIONS(5448),
    [anon_sym_centroid] = ACTIONS(5448),
    [anon_sym_noperspective] = ACTIONS(5448),
    [anon_sym_nointerpolation] = ACTIONS(5448),
    [anon_sym_sample] = ACTIONS(5448),
    [anon_sym_linear] = ACTIONS(5448),
    [anon_sym_snorm] = ACTIONS(5448),
    [anon_sym_unorm] = ACTIONS(5448),
    [anon_sym_point] = ACTIONS(5448),
    [anon_sym_line] = ACTIONS(5448),
    [anon_sym_triangleadj] = ACTIONS(5448),
    [anon_sym_lineadj] = ACTIONS(5448),
    [anon_sym_triangle] = ACTIONS(5448),
  },
  [2075] = {
    [sym_identifier] = ACTIONS(5368),
    [aux_sym_preproc_def_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5368),
    [sym_preproc_directive] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5370),
    [anon_sym_TILDE] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [anon_sym___extension__] = ACTIONS(5368),
    [anon_sym_typedef] = ACTIONS(5368),
    [anon_sym_in] = ACTIONS(5368),
    [anon_sym_out] = ACTIONS(5368),
    [anon_sym_inout] = ACTIONS(5368),
    [anon_sym_virtual] = ACTIONS(5368),
    [anon_sym_extern] = ACTIONS(5368),
    [anon_sym___attribute__] = ACTIONS(5368),
    [anon_sym___attribute] = ACTIONS(5368),
    [anon_sym_COLON_COLON] = ACTIONS(5370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5370),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(5368),
    [anon_sym_RBRACE] = ACTIONS(5370),
    [anon_sym_signed] = ACTIONS(5368),
    [anon_sym_unsigned] = ACTIONS(5368),
    [anon_sym_long] = ACTIONS(5368),
    [anon_sym_short] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_static] = ACTIONS(5368),
    [anon_sym_register] = ACTIONS(5368),
    [anon_sym_inline] = ACTIONS(5368),
    [anon_sym___inline] = ACTIONS(5368),
    [anon_sym___inline__] = ACTIONS(5368),
    [anon_sym___forceinline] = ACTIONS(5368),
    [anon_sym_thread_local] = ACTIONS(5368),
    [anon_sym___thread] = ACTIONS(5368),
    [anon_sym_const] = ACTIONS(5368),
    [anon_sym_constexpr] = ACTIONS(5368),
    [anon_sym_volatile] = ACTIONS(5368),
    [anon_sym_restrict] = ACTIONS(5368),
    [anon_sym___restrict__] = ACTIONS(5368),
    [anon_sym__Atomic] = ACTIONS(5368),
    [anon_sym__Noreturn] = ACTIONS(5368),
    [anon_sym_noreturn] = ACTIONS(5368),
    [anon_sym__Nonnull] = ACTIONS(5368),
    [anon_sym_mutable] = ACTIONS(5368),
    [anon_sym_constinit] = ACTIONS(5368),
    [anon_sym_consteval] = ACTIONS(5368),
    [anon_sym_alignas] = ACTIONS(5368),
    [anon_sym__Alignas] = ACTIONS(5368),
    [sym_primitive_type] = ACTIONS(5368),
    [anon_sym_enum] = ACTIONS(5368),
    [anon_sym_class] = ACTIONS(5368),
    [anon_sym_struct] = ACTIONS(5368),
    [anon_sym_union] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5368),
    [anon_sym_decltype] = ACTIONS(5368),
    [anon_sym_explicit] = ACTIONS(5368),
    [anon_sym_typename] = ACTIONS(5368),
    [anon_sym_template] = ACTIONS(5368),
    [anon_sym_operator] = ACTIONS(5368),
    [anon_sym_friend] = ACTIONS(5368),
    [anon_sym_public] = ACTIONS(5368),
    [anon_sym_private] = ACTIONS(5368),
    [anon_sym_protected] = ACTIONS(5368),
    [anon_sym_using] = ACTIONS(5368),
    [anon_sym_static_assert] = ACTIONS(5368),
    [anon_sym_precise] = ACTIONS(5368),
    [anon_sym_shared] = ACTIONS(5368),
    [anon_sym_groupshared] = ACTIONS(5368),
    [anon_sym_uniform] = ACTIONS(5368),
    [anon_sym_row_major] = ACTIONS(5368),
    [anon_sym_column_major] = ACTIONS(5368),
    [anon_sym_globallycoherent] = ACTIONS(5368),
    [anon_sym_centroid] = ACTIONS(5368),
    [anon_sym_noperspective] = ACTIONS(5368),
    [anon_sym_nointerpolation] = ACTIONS(5368),
    [anon_sym_sample] = ACTIONS(5368),
    [anon_sym_linear] = ACTIONS(5368),
    [anon_sym_snorm] = ACTIONS(5368),
    [anon_sym_unorm] = ACTIONS(5368),
    [anon_sym_point] = ACTIONS(5368),
    [anon_sym_line] = ACTIONS(5368),
    [anon_sym_triangleadj] = ACTIONS(5368),
    [anon_sym_lineadj] = ACTIONS(5368),
    [anon_sym_triangle] = ACTIONS(5368),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5348),
    [anon_sym_typedef] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_out] = ACTIONS(5348),
    [anon_sym_inout] = ACTIONS(5348),
    [anon_sym_virtual] = ACTIONS(5348),
    [anon_sym_extern] = ACTIONS(5348),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym___attribute] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5350),
    [anon_sym___declspec] = ACTIONS(5348),
    [anon_sym___based] = ACTIONS(5348),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_signed] = ACTIONS(5348),
    [anon_sym_unsigned] = ACTIONS(5348),
    [anon_sym_long] = ACTIONS(5348),
    [anon_sym_short] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_static] = ACTIONS(5348),
    [anon_sym_register] = ACTIONS(5348),
    [anon_sym_inline] = ACTIONS(5348),
    [anon_sym___inline] = ACTIONS(5348),
    [anon_sym___inline__] = ACTIONS(5348),
    [anon_sym___forceinline] = ACTIONS(5348),
    [anon_sym_thread_local] = ACTIONS(5348),
    [anon_sym___thread] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(5348),
    [anon_sym_constexpr] = ACTIONS(5348),
    [anon_sym_volatile] = ACTIONS(5348),
    [anon_sym_restrict] = ACTIONS(5348),
    [anon_sym___restrict__] = ACTIONS(5348),
    [anon_sym__Atomic] = ACTIONS(5348),
    [anon_sym__Noreturn] = ACTIONS(5348),
    [anon_sym_noreturn] = ACTIONS(5348),
    [anon_sym__Nonnull] = ACTIONS(5348),
    [anon_sym_mutable] = ACTIONS(5348),
    [anon_sym_constinit] = ACTIONS(5348),
    [anon_sym_consteval] = ACTIONS(5348),
    [anon_sym_alignas] = ACTIONS(5348),
    [anon_sym__Alignas] = ACTIONS(5348),
    [sym_primitive_type] = ACTIONS(5348),
    [anon_sym_enum] = ACTIONS(5348),
    [anon_sym_class] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5348),
    [anon_sym_union] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5348),
    [anon_sym_decltype] = ACTIONS(5348),
    [anon_sym_explicit] = ACTIONS(5348),
    [anon_sym_typename] = ACTIONS(5348),
    [anon_sym_template] = ACTIONS(5348),
    [anon_sym_operator] = ACTIONS(5348),
    [anon_sym_friend] = ACTIONS(5348),
    [anon_sym_public] = ACTIONS(5348),
    [anon_sym_private] = ACTIONS(5348),
    [anon_sym_protected] = ACTIONS(5348),
    [anon_sym_using] = ACTIONS(5348),
    [anon_sym_static_assert] = ACTIONS(5348),
    [anon_sym_precise] = ACTIONS(5348),
    [anon_sym_shared] = ACTIONS(5348),
    [anon_sym_groupshared] = ACTIONS(5348),
    [anon_sym_uniform] = ACTIONS(5348),
    [anon_sym_row_major] = ACTIONS(5348),
    [anon_sym_column_major] = ACTIONS(5348),
    [anon_sym_globallycoherent] = ACTIONS(5348),
    [anon_sym_centroid] = ACTIONS(5348),
    [anon_sym_noperspective] = ACTIONS(5348),
    [anon_sym_nointerpolation] = ACTIONS(5348),
    [anon_sym_sample] = ACTIONS(5348),
    [anon_sym_linear] = ACTIONS(5348),
    [anon_sym_snorm] = ACTIONS(5348),
    [anon_sym_unorm] = ACTIONS(5348),
    [anon_sym_point] = ACTIONS(5348),
    [anon_sym_line] = ACTIONS(5348),
    [anon_sym_triangleadj] = ACTIONS(5348),
    [anon_sym_lineadj] = ACTIONS(5348),
    [anon_sym_triangle] = ACTIONS(5348),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5348),
    [anon_sym_typedef] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_out] = ACTIONS(5348),
    [anon_sym_inout] = ACTIONS(5348),
    [anon_sym_virtual] = ACTIONS(5348),
    [anon_sym_extern] = ACTIONS(5348),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym___attribute] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5350),
    [anon_sym___declspec] = ACTIONS(5348),
    [anon_sym___based] = ACTIONS(5348),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_signed] = ACTIONS(5348),
    [anon_sym_unsigned] = ACTIONS(5348),
    [anon_sym_long] = ACTIONS(5348),
    [anon_sym_short] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_static] = ACTIONS(5348),
    [anon_sym_register] = ACTIONS(5348),
    [anon_sym_inline] = ACTIONS(5348),
    [anon_sym___inline] = ACTIONS(5348),
    [anon_sym___inline__] = ACTIONS(5348),
    [anon_sym___forceinline] = ACTIONS(5348),
    [anon_sym_thread_local] = ACTIONS(5348),
    [anon_sym___thread] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(5348),
    [anon_sym_constexpr] = ACTIONS(5348),
    [anon_sym_volatile] = ACTIONS(5348),
    [anon_sym_restrict] = ACTIONS(5348),
    [anon_sym___restrict__] = ACTIONS(5348),
    [anon_sym__Atomic] = ACTIONS(5348),
    [anon_sym__Noreturn] = ACTIONS(5348),
    [anon_sym_noreturn] = ACTIONS(5348),
    [anon_sym__Nonnull] = ACTIONS(5348),
    [anon_sym_mutable] = ACTIONS(5348),
    [anon_sym_constinit] = ACTIONS(5348),
    [anon_sym_consteval] = ACTIONS(5348),
    [anon_sym_alignas] = ACTIONS(5348),
    [anon_sym__Alignas] = ACTIONS(5348),
    [sym_primitive_type] = ACTIONS(5348),
    [anon_sym_enum] = ACTIONS(5348),
    [anon_sym_class] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5348),
    [anon_sym_union] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5348),
    [anon_sym_decltype] = ACTIONS(5348),
    [anon_sym_explicit] = ACTIONS(5348),
    [anon_sym_typename] = ACTIONS(5348),
    [anon_sym_template] = ACTIONS(5348),
    [anon_sym_operator] = ACTIONS(5348),
    [anon_sym_friend] = ACTIONS(5348),
    [anon_sym_public] = ACTIONS(5348),
    [anon_sym_private] = ACTIONS(5348),
    [anon_sym_protected] = ACTIONS(5348),
    [anon_sym_using] = ACTIONS(5348),
    [anon_sym_static_assert] = ACTIONS(5348),
    [anon_sym_precise] = ACTIONS(5348),
    [anon_sym_shared] = ACTIONS(5348),
    [anon_sym_groupshared] = ACTIONS(5348),
    [anon_sym_uniform] = ACTIONS(5348),
    [anon_sym_row_major] = ACTIONS(5348),
    [anon_sym_column_major] = ACTIONS(5348),
    [anon_sym_globallycoherent] = ACTIONS(5348),
    [anon_sym_centroid] = ACTIONS(5348),
    [anon_sym_noperspective] = ACTIONS(5348),
    [anon_sym_nointerpolation] = ACTIONS(5348),
    [anon_sym_sample] = ACTIONS(5348),
    [anon_sym_linear] = ACTIONS(5348),
    [anon_sym_snorm] = ACTIONS(5348),
    [anon_sym_unorm] = ACTIONS(5348),
    [anon_sym_point] = ACTIONS(5348),
    [anon_sym_line] = ACTIONS(5348),
    [anon_sym_triangleadj] = ACTIONS(5348),
    [anon_sym_lineadj] = ACTIONS(5348),
    [anon_sym_triangle] = ACTIONS(5348),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5348),
    [anon_sym_typedef] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_out] = ACTIONS(5348),
    [anon_sym_inout] = ACTIONS(5348),
    [anon_sym_virtual] = ACTIONS(5348),
    [anon_sym_extern] = ACTIONS(5348),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym___attribute] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5350),
    [anon_sym___declspec] = ACTIONS(5348),
    [anon_sym___based] = ACTIONS(5348),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_signed] = ACTIONS(5348),
    [anon_sym_unsigned] = ACTIONS(5348),
    [anon_sym_long] = ACTIONS(5348),
    [anon_sym_short] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_static] = ACTIONS(5348),
    [anon_sym_register] = ACTIONS(5348),
    [anon_sym_inline] = ACTIONS(5348),
    [anon_sym___inline] = ACTIONS(5348),
    [anon_sym___inline__] = ACTIONS(5348),
    [anon_sym___forceinline] = ACTIONS(5348),
    [anon_sym_thread_local] = ACTIONS(5348),
    [anon_sym___thread] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(5348),
    [anon_sym_constexpr] = ACTIONS(5348),
    [anon_sym_volatile] = ACTIONS(5348),
    [anon_sym_restrict] = ACTIONS(5348),
    [anon_sym___restrict__] = ACTIONS(5348),
    [anon_sym__Atomic] = ACTIONS(5348),
    [anon_sym__Noreturn] = ACTIONS(5348),
    [anon_sym_noreturn] = ACTIONS(5348),
    [anon_sym__Nonnull] = ACTIONS(5348),
    [anon_sym_mutable] = ACTIONS(5348),
    [anon_sym_constinit] = ACTIONS(5348),
    [anon_sym_consteval] = ACTIONS(5348),
    [anon_sym_alignas] = ACTIONS(5348),
    [anon_sym__Alignas] = ACTIONS(5348),
    [sym_primitive_type] = ACTIONS(5348),
    [anon_sym_enum] = ACTIONS(5348),
    [anon_sym_class] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5348),
    [anon_sym_union] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5348),
    [anon_sym_decltype] = ACTIONS(5348),
    [anon_sym_explicit] = ACTIONS(5348),
    [anon_sym_typename] = ACTIONS(5348),
    [anon_sym_template] = ACTIONS(5348),
    [anon_sym_operator] = ACTIONS(5348),
    [anon_sym_friend] = ACTIONS(5348),
    [anon_sym_public] = ACTIONS(5348),
    [anon_sym_private] = ACTIONS(5348),
    [anon_sym_protected] = ACTIONS(5348),
    [anon_sym_using] = ACTIONS(5348),
    [anon_sym_static_assert] = ACTIONS(5348),
    [anon_sym_precise] = ACTIONS(5348),
    [anon_sym_shared] = ACTIONS(5348),
    [anon_sym_groupshared] = ACTIONS(5348),
    [anon_sym_uniform] = ACTIONS(5348),
    [anon_sym_row_major] = ACTIONS(5348),
    [anon_sym_column_major] = ACTIONS(5348),
    [anon_sym_globallycoherent] = ACTIONS(5348),
    [anon_sym_centroid] = ACTIONS(5348),
    [anon_sym_noperspective] = ACTIONS(5348),
    [anon_sym_nointerpolation] = ACTIONS(5348),
    [anon_sym_sample] = ACTIONS(5348),
    [anon_sym_linear] = ACTIONS(5348),
    [anon_sym_snorm] = ACTIONS(5348),
    [anon_sym_unorm] = ACTIONS(5348),
    [anon_sym_point] = ACTIONS(5348),
    [anon_sym_line] = ACTIONS(5348),
    [anon_sym_triangleadj] = ACTIONS(5348),
    [anon_sym_lineadj] = ACTIONS(5348),
    [anon_sym_triangle] = ACTIONS(5348),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_TILDE] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym_typedef] = ACTIONS(5392),
    [anon_sym_in] = ACTIONS(5392),
    [anon_sym_out] = ACTIONS(5392),
    [anon_sym_inout] = ACTIONS(5392),
    [anon_sym_virtual] = ACTIONS(5392),
    [anon_sym_extern] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym___attribute] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym___declspec] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_static] = ACTIONS(5392),
    [anon_sym_register] = ACTIONS(5392),
    [anon_sym_inline] = ACTIONS(5392),
    [anon_sym___inline] = ACTIONS(5392),
    [anon_sym___inline__] = ACTIONS(5392),
    [anon_sym___forceinline] = ACTIONS(5392),
    [anon_sym_thread_local] = ACTIONS(5392),
    [anon_sym___thread] = ACTIONS(5392),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_enum] = ACTIONS(5392),
    [anon_sym_class] = ACTIONS(5392),
    [anon_sym_struct] = ACTIONS(5392),
    [anon_sym_union] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_explicit] = ACTIONS(5392),
    [anon_sym_typename] = ACTIONS(5392),
    [anon_sym_template] = ACTIONS(5392),
    [anon_sym_operator] = ACTIONS(5392),
    [anon_sym_friend] = ACTIONS(5392),
    [anon_sym_public] = ACTIONS(5392),
    [anon_sym_private] = ACTIONS(5392),
    [anon_sym_protected] = ACTIONS(5392),
    [anon_sym_using] = ACTIONS(5392),
    [anon_sym_static_assert] = ACTIONS(5392),
    [anon_sym_precise] = ACTIONS(5392),
    [anon_sym_shared] = ACTIONS(5392),
    [anon_sym_groupshared] = ACTIONS(5392),
    [anon_sym_uniform] = ACTIONS(5392),
    [anon_sym_row_major] = ACTIONS(5392),
    [anon_sym_column_major] = ACTIONS(5392),
    [anon_sym_globallycoherent] = ACTIONS(5392),
    [anon_sym_centroid] = ACTIONS(5392),
    [anon_sym_noperspective] = ACTIONS(5392),
    [anon_sym_nointerpolation] = ACTIONS(5392),
    [anon_sym_sample] = ACTIONS(5392),
    [anon_sym_linear] = ACTIONS(5392),
    [anon_sym_snorm] = ACTIONS(5392),
    [anon_sym_unorm] = ACTIONS(5392),
    [anon_sym_point] = ACTIONS(5392),
    [anon_sym_line] = ACTIONS(5392),
    [anon_sym_triangleadj] = ACTIONS(5392),
    [anon_sym_lineadj] = ACTIONS(5392),
    [anon_sym_triangle] = ACTIONS(5392),
  },
  [2080] = {
    [sym_identifier] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2587),
    [sym_preproc_directive] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym___extension__] = ACTIONS(2587),
    [anon_sym_typedef] = ACTIONS(2587),
    [anon_sym_in] = ACTIONS(2587),
    [anon_sym_out] = ACTIONS(2587),
    [anon_sym_inout] = ACTIONS(2587),
    [anon_sym_virtual] = ACTIONS(2587),
    [anon_sym_extern] = ACTIONS(2587),
    [anon_sym___attribute__] = ACTIONS(2587),
    [anon_sym___attribute] = ACTIONS(2587),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2589),
    [anon_sym___declspec] = ACTIONS(2587),
    [anon_sym___based] = ACTIONS(2587),
    [anon_sym_RBRACE] = ACTIONS(2589),
    [anon_sym_signed] = ACTIONS(2587),
    [anon_sym_unsigned] = ACTIONS(2587),
    [anon_sym_long] = ACTIONS(2587),
    [anon_sym_short] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_register] = ACTIONS(2587),
    [anon_sym_inline] = ACTIONS(2587),
    [anon_sym___inline] = ACTIONS(2587),
    [anon_sym___inline__] = ACTIONS(2587),
    [anon_sym___forceinline] = ACTIONS(2587),
    [anon_sym_thread_local] = ACTIONS(2587),
    [anon_sym___thread] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_constexpr] = ACTIONS(2587),
    [anon_sym_volatile] = ACTIONS(2587),
    [anon_sym_restrict] = ACTIONS(2587),
    [anon_sym___restrict__] = ACTIONS(2587),
    [anon_sym__Atomic] = ACTIONS(2587),
    [anon_sym__Noreturn] = ACTIONS(2587),
    [anon_sym_noreturn] = ACTIONS(2587),
    [anon_sym__Nonnull] = ACTIONS(2587),
    [anon_sym_mutable] = ACTIONS(2587),
    [anon_sym_constinit] = ACTIONS(2587),
    [anon_sym_consteval] = ACTIONS(2587),
    [anon_sym_alignas] = ACTIONS(2587),
    [anon_sym__Alignas] = ACTIONS(2587),
    [sym_primitive_type] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_struct] = ACTIONS(2587),
    [anon_sym_union] = ACTIONS(2587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2587),
    [anon_sym_decltype] = ACTIONS(2587),
    [anon_sym_explicit] = ACTIONS(2587),
    [anon_sym_typename] = ACTIONS(2587),
    [anon_sym_template] = ACTIONS(2587),
    [anon_sym_operator] = ACTIONS(2587),
    [anon_sym_friend] = ACTIONS(2587),
    [anon_sym_public] = ACTIONS(2587),
    [anon_sym_private] = ACTIONS(2587),
    [anon_sym_protected] = ACTIONS(2587),
    [anon_sym_using] = ACTIONS(2587),
    [anon_sym_static_assert] = ACTIONS(2587),
    [anon_sym_precise] = ACTIONS(2587),
    [anon_sym_shared] = ACTIONS(2587),
    [anon_sym_groupshared] = ACTIONS(2587),
    [anon_sym_uniform] = ACTIONS(2587),
    [anon_sym_row_major] = ACTIONS(2587),
    [anon_sym_column_major] = ACTIONS(2587),
    [anon_sym_globallycoherent] = ACTIONS(2587),
    [anon_sym_centroid] = ACTIONS(2587),
    [anon_sym_noperspective] = ACTIONS(2587),
    [anon_sym_nointerpolation] = ACTIONS(2587),
    [anon_sym_sample] = ACTIONS(2587),
    [anon_sym_linear] = ACTIONS(2587),
    [anon_sym_snorm] = ACTIONS(2587),
    [anon_sym_unorm] = ACTIONS(2587),
    [anon_sym_point] = ACTIONS(2587),
    [anon_sym_line] = ACTIONS(2587),
    [anon_sym_triangleadj] = ACTIONS(2587),
    [anon_sym_lineadj] = ACTIONS(2587),
    [anon_sym_triangle] = ACTIONS(2587),
  },
  [2081] = {
    [sym_identifier] = ACTIONS(2615),
    [aux_sym_preproc_def_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token1] = ACTIONS(2615),
    [aux_sym_preproc_if_token2] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2615),
    [sym_preproc_directive] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym___extension__] = ACTIONS(2615),
    [anon_sym_typedef] = ACTIONS(2615),
    [anon_sym_in] = ACTIONS(2615),
    [anon_sym_out] = ACTIONS(2615),
    [anon_sym_inout] = ACTIONS(2615),
    [anon_sym_virtual] = ACTIONS(2615),
    [anon_sym_extern] = ACTIONS(2615),
    [anon_sym___attribute__] = ACTIONS(2615),
    [anon_sym___attribute] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2617),
    [anon_sym___declspec] = ACTIONS(2615),
    [anon_sym___based] = ACTIONS(2615),
    [anon_sym_signed] = ACTIONS(2615),
    [anon_sym_unsigned] = ACTIONS(2615),
    [anon_sym_long] = ACTIONS(2615),
    [anon_sym_short] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_register] = ACTIONS(2615),
    [anon_sym_inline] = ACTIONS(2615),
    [anon_sym___inline] = ACTIONS(2615),
    [anon_sym___inline__] = ACTIONS(2615),
    [anon_sym___forceinline] = ACTIONS(2615),
    [anon_sym_thread_local] = ACTIONS(2615),
    [anon_sym___thread] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2615),
    [anon_sym_constexpr] = ACTIONS(2615),
    [anon_sym_volatile] = ACTIONS(2615),
    [anon_sym_restrict] = ACTIONS(2615),
    [anon_sym___restrict__] = ACTIONS(2615),
    [anon_sym__Atomic] = ACTIONS(2615),
    [anon_sym__Noreturn] = ACTIONS(2615),
    [anon_sym_noreturn] = ACTIONS(2615),
    [anon_sym__Nonnull] = ACTIONS(2615),
    [anon_sym_mutable] = ACTIONS(2615),
    [anon_sym_constinit] = ACTIONS(2615),
    [anon_sym_consteval] = ACTIONS(2615),
    [anon_sym_alignas] = ACTIONS(2615),
    [anon_sym__Alignas] = ACTIONS(2615),
    [sym_primitive_type] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_struct] = ACTIONS(2615),
    [anon_sym_union] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2615),
    [anon_sym_decltype] = ACTIONS(2615),
    [anon_sym_explicit] = ACTIONS(2615),
    [anon_sym_typename] = ACTIONS(2615),
    [anon_sym_template] = ACTIONS(2615),
    [anon_sym_operator] = ACTIONS(2615),
    [anon_sym_friend] = ACTIONS(2615),
    [anon_sym_public] = ACTIONS(2615),
    [anon_sym_private] = ACTIONS(2615),
    [anon_sym_protected] = ACTIONS(2615),
    [anon_sym_using] = ACTIONS(2615),
    [anon_sym_static_assert] = ACTIONS(2615),
    [anon_sym_precise] = ACTIONS(2615),
    [anon_sym_shared] = ACTIONS(2615),
    [anon_sym_groupshared] = ACTIONS(2615),
    [anon_sym_uniform] = ACTIONS(2615),
    [anon_sym_row_major] = ACTIONS(2615),
    [anon_sym_column_major] = ACTIONS(2615),
    [anon_sym_globallycoherent] = ACTIONS(2615),
    [anon_sym_centroid] = ACTIONS(2615),
    [anon_sym_noperspective] = ACTIONS(2615),
    [anon_sym_nointerpolation] = ACTIONS(2615),
    [anon_sym_sample] = ACTIONS(2615),
    [anon_sym_linear] = ACTIONS(2615),
    [anon_sym_snorm] = ACTIONS(2615),
    [anon_sym_unorm] = ACTIONS(2615),
    [anon_sym_point] = ACTIONS(2615),
    [anon_sym_line] = ACTIONS(2615),
    [anon_sym_triangleadj] = ACTIONS(2615),
    [anon_sym_lineadj] = ACTIONS(2615),
    [anon_sym_triangle] = ACTIONS(2615),
  },
  [2082] = {
    [sym_identifier] = ACTIONS(2458),
    [aux_sym_preproc_def_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token2] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2458),
    [sym_preproc_directive] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym___extension__] = ACTIONS(2458),
    [anon_sym_typedef] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2458),
    [anon_sym_out] = ACTIONS(2458),
    [anon_sym_inout] = ACTIONS(2458),
    [anon_sym_virtual] = ACTIONS(2458),
    [anon_sym_extern] = ACTIONS(2458),
    [anon_sym___attribute__] = ACTIONS(2458),
    [anon_sym___attribute] = ACTIONS(2458),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2460),
    [anon_sym___declspec] = ACTIONS(2458),
    [anon_sym___based] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2458),
    [anon_sym_unsigned] = ACTIONS(2458),
    [anon_sym_long] = ACTIONS(2458),
    [anon_sym_short] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_register] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(2458),
    [anon_sym___inline] = ACTIONS(2458),
    [anon_sym___inline__] = ACTIONS(2458),
    [anon_sym___forceinline] = ACTIONS(2458),
    [anon_sym_thread_local] = ACTIONS(2458),
    [anon_sym___thread] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_constexpr] = ACTIONS(2458),
    [anon_sym_volatile] = ACTIONS(2458),
    [anon_sym_restrict] = ACTIONS(2458),
    [anon_sym___restrict__] = ACTIONS(2458),
    [anon_sym__Atomic] = ACTIONS(2458),
    [anon_sym__Noreturn] = ACTIONS(2458),
    [anon_sym_noreturn] = ACTIONS(2458),
    [anon_sym__Nonnull] = ACTIONS(2458),
    [anon_sym_mutable] = ACTIONS(2458),
    [anon_sym_constinit] = ACTIONS(2458),
    [anon_sym_consteval] = ACTIONS(2458),
    [anon_sym_alignas] = ACTIONS(2458),
    [anon_sym__Alignas] = ACTIONS(2458),
    [sym_primitive_type] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_struct] = ACTIONS(2458),
    [anon_sym_union] = ACTIONS(2458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2458),
    [anon_sym_decltype] = ACTIONS(2458),
    [anon_sym_explicit] = ACTIONS(2458),
    [anon_sym_typename] = ACTIONS(2458),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_operator] = ACTIONS(2458),
    [anon_sym_friend] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_static_assert] = ACTIONS(2458),
    [anon_sym_precise] = ACTIONS(2458),
    [anon_sym_shared] = ACTIONS(2458),
    [anon_sym_groupshared] = ACTIONS(2458),
    [anon_sym_uniform] = ACTIONS(2458),
    [anon_sym_row_major] = ACTIONS(2458),
    [anon_sym_column_major] = ACTIONS(2458),
    [anon_sym_globallycoherent] = ACTIONS(2458),
    [anon_sym_centroid] = ACTIONS(2458),
    [anon_sym_noperspective] = ACTIONS(2458),
    [anon_sym_nointerpolation] = ACTIONS(2458),
    [anon_sym_sample] = ACTIONS(2458),
    [anon_sym_linear] = ACTIONS(2458),
    [anon_sym_snorm] = ACTIONS(2458),
    [anon_sym_unorm] = ACTIONS(2458),
    [anon_sym_point] = ACTIONS(2458),
    [anon_sym_line] = ACTIONS(2458),
    [anon_sym_triangleadj] = ACTIONS(2458),
    [anon_sym_lineadj] = ACTIONS(2458),
    [anon_sym_triangle] = ACTIONS(2458),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_TILDE] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym_typedef] = ACTIONS(5416),
    [anon_sym_in] = ACTIONS(5416),
    [anon_sym_out] = ACTIONS(5416),
    [anon_sym_inout] = ACTIONS(5416),
    [anon_sym_virtual] = ACTIONS(5416),
    [anon_sym_extern] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___attribute] = ACTIONS(5416),
    [anon_sym_COLON_COLON] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym___declspec] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_RBRACE] = ACTIONS(5418),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_static] = ACTIONS(5416),
    [anon_sym_register] = ACTIONS(5416),
    [anon_sym_inline] = ACTIONS(5416),
    [anon_sym___inline] = ACTIONS(5416),
    [anon_sym___inline__] = ACTIONS(5416),
    [anon_sym___forceinline] = ACTIONS(5416),
    [anon_sym_thread_local] = ACTIONS(5416),
    [anon_sym___thread] = ACTIONS(5416),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [sym_primitive_type] = ACTIONS(5416),
    [anon_sym_enum] = ACTIONS(5416),
    [anon_sym_class] = ACTIONS(5416),
    [anon_sym_struct] = ACTIONS(5416),
    [anon_sym_union] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_explicit] = ACTIONS(5416),
    [anon_sym_typename] = ACTIONS(5416),
    [anon_sym_template] = ACTIONS(5416),
    [anon_sym_operator] = ACTIONS(5416),
    [anon_sym_friend] = ACTIONS(5416),
    [anon_sym_public] = ACTIONS(5416),
    [anon_sym_private] = ACTIONS(5416),
    [anon_sym_protected] = ACTIONS(5416),
    [anon_sym_using] = ACTIONS(5416),
    [anon_sym_static_assert] = ACTIONS(5416),
    [anon_sym_precise] = ACTIONS(5416),
    [anon_sym_shared] = ACTIONS(5416),
    [anon_sym_groupshared] = ACTIONS(5416),
    [anon_sym_uniform] = ACTIONS(5416),
    [anon_sym_row_major] = ACTIONS(5416),
    [anon_sym_column_major] = ACTIONS(5416),
    [anon_sym_globallycoherent] = ACTIONS(5416),
    [anon_sym_centroid] = ACTIONS(5416),
    [anon_sym_noperspective] = ACTIONS(5416),
    [anon_sym_nointerpolation] = ACTIONS(5416),
    [anon_sym_sample] = ACTIONS(5416),
    [anon_sym_linear] = ACTIONS(5416),
    [anon_sym_snorm] = ACTIONS(5416),
    [anon_sym_unorm] = ACTIONS(5416),
    [anon_sym_point] = ACTIONS(5416),
    [anon_sym_line] = ACTIONS(5416),
    [anon_sym_triangleadj] = ACTIONS(5416),
    [anon_sym_lineadj] = ACTIONS(5416),
    [anon_sym_triangle] = ACTIONS(5416),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_TILDE] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym_typedef] = ACTIONS(5420),
    [anon_sym_in] = ACTIONS(5420),
    [anon_sym_out] = ACTIONS(5420),
    [anon_sym_inout] = ACTIONS(5420),
    [anon_sym_virtual] = ACTIONS(5420),
    [anon_sym_extern] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___attribute] = ACTIONS(5420),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym___declspec] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_RBRACE] = ACTIONS(5422),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_static] = ACTIONS(5420),
    [anon_sym_register] = ACTIONS(5420),
    [anon_sym_inline] = ACTIONS(5420),
    [anon_sym___inline] = ACTIONS(5420),
    [anon_sym___inline__] = ACTIONS(5420),
    [anon_sym___forceinline] = ACTIONS(5420),
    [anon_sym_thread_local] = ACTIONS(5420),
    [anon_sym___thread] = ACTIONS(5420),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_enum] = ACTIONS(5420),
    [anon_sym_class] = ACTIONS(5420),
    [anon_sym_struct] = ACTIONS(5420),
    [anon_sym_union] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_explicit] = ACTIONS(5420),
    [anon_sym_typename] = ACTIONS(5420),
    [anon_sym_template] = ACTIONS(5420),
    [anon_sym_operator] = ACTIONS(5420),
    [anon_sym_friend] = ACTIONS(5420),
    [anon_sym_public] = ACTIONS(5420),
    [anon_sym_private] = ACTIONS(5420),
    [anon_sym_protected] = ACTIONS(5420),
    [anon_sym_using] = ACTIONS(5420),
    [anon_sym_static_assert] = ACTIONS(5420),
    [anon_sym_precise] = ACTIONS(5420),
    [anon_sym_shared] = ACTIONS(5420),
    [anon_sym_groupshared] = ACTIONS(5420),
    [anon_sym_uniform] = ACTIONS(5420),
    [anon_sym_row_major] = ACTIONS(5420),
    [anon_sym_column_major] = ACTIONS(5420),
    [anon_sym_globallycoherent] = ACTIONS(5420),
    [anon_sym_centroid] = ACTIONS(5420),
    [anon_sym_noperspective] = ACTIONS(5420),
    [anon_sym_nointerpolation] = ACTIONS(5420),
    [anon_sym_sample] = ACTIONS(5420),
    [anon_sym_linear] = ACTIONS(5420),
    [anon_sym_snorm] = ACTIONS(5420),
    [anon_sym_unorm] = ACTIONS(5420),
    [anon_sym_point] = ACTIONS(5420),
    [anon_sym_line] = ACTIONS(5420),
    [anon_sym_triangleadj] = ACTIONS(5420),
    [anon_sym_lineadj] = ACTIONS(5420),
    [anon_sym_triangle] = ACTIONS(5420),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token2] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_friend] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(2414),
    [aux_sym_preproc_def_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token1] = ACTIONS(2414),
    [aux_sym_preproc_if_token2] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2414),
    [sym_preproc_directive] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2416),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_typedef] = ACTIONS(2414),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_out] = ACTIONS(2414),
    [anon_sym_inout] = ACTIONS(2414),
    [anon_sym_virtual] = ACTIONS(2414),
    [anon_sym_extern] = ACTIONS(2414),
    [anon_sym___attribute__] = ACTIONS(2414),
    [anon_sym___attribute] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2416),
    [anon_sym___declspec] = ACTIONS(2414),
    [anon_sym___based] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2414),
    [anon_sym_unsigned] = ACTIONS(2414),
    [anon_sym_long] = ACTIONS(2414),
    [anon_sym_short] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_register] = ACTIONS(2414),
    [anon_sym_inline] = ACTIONS(2414),
    [anon_sym___inline] = ACTIONS(2414),
    [anon_sym___inline__] = ACTIONS(2414),
    [anon_sym___forceinline] = ACTIONS(2414),
    [anon_sym_thread_local] = ACTIONS(2414),
    [anon_sym___thread] = ACTIONS(2414),
    [anon_sym_const] = ACTIONS(2414),
    [anon_sym_constexpr] = ACTIONS(2414),
    [anon_sym_volatile] = ACTIONS(2414),
    [anon_sym_restrict] = ACTIONS(2414),
    [anon_sym___restrict__] = ACTIONS(2414),
    [anon_sym__Atomic] = ACTIONS(2414),
    [anon_sym__Noreturn] = ACTIONS(2414),
    [anon_sym_noreturn] = ACTIONS(2414),
    [anon_sym__Nonnull] = ACTIONS(2414),
    [anon_sym_mutable] = ACTIONS(2414),
    [anon_sym_constinit] = ACTIONS(2414),
    [anon_sym_consteval] = ACTIONS(2414),
    [anon_sym_alignas] = ACTIONS(2414),
    [anon_sym__Alignas] = ACTIONS(2414),
    [sym_primitive_type] = ACTIONS(2414),
    [anon_sym_enum] = ACTIONS(2414),
    [anon_sym_class] = ACTIONS(2414),
    [anon_sym_struct] = ACTIONS(2414),
    [anon_sym_union] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2414),
    [anon_sym_decltype] = ACTIONS(2414),
    [anon_sym_explicit] = ACTIONS(2414),
    [anon_sym_typename] = ACTIONS(2414),
    [anon_sym_template] = ACTIONS(2414),
    [anon_sym_operator] = ACTIONS(2414),
    [anon_sym_friend] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_using] = ACTIONS(2414),
    [anon_sym_static_assert] = ACTIONS(2414),
    [anon_sym_precise] = ACTIONS(2414),
    [anon_sym_shared] = ACTIONS(2414),
    [anon_sym_groupshared] = ACTIONS(2414),
    [anon_sym_uniform] = ACTIONS(2414),
    [anon_sym_row_major] = ACTIONS(2414),
    [anon_sym_column_major] = ACTIONS(2414),
    [anon_sym_globallycoherent] = ACTIONS(2414),
    [anon_sym_centroid] = ACTIONS(2414),
    [anon_sym_noperspective] = ACTIONS(2414),
    [anon_sym_nointerpolation] = ACTIONS(2414),
    [anon_sym_sample] = ACTIONS(2414),
    [anon_sym_linear] = ACTIONS(2414),
    [anon_sym_snorm] = ACTIONS(2414),
    [anon_sym_unorm] = ACTIONS(2414),
    [anon_sym_point] = ACTIONS(2414),
    [anon_sym_line] = ACTIONS(2414),
    [anon_sym_triangleadj] = ACTIONS(2414),
    [anon_sym_lineadj] = ACTIONS(2414),
    [anon_sym_triangle] = ACTIONS(2414),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(2631),
    [aux_sym_preproc_def_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token2] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2631),
    [sym_preproc_directive] = ACTIONS(2631),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2631),
    [anon_sym_typedef] = ACTIONS(2631),
    [anon_sym_in] = ACTIONS(2631),
    [anon_sym_out] = ACTIONS(2631),
    [anon_sym_inout] = ACTIONS(2631),
    [anon_sym_virtual] = ACTIONS(2631),
    [anon_sym_extern] = ACTIONS(2631),
    [anon_sym___attribute__] = ACTIONS(2631),
    [anon_sym___attribute] = ACTIONS(2631),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2633),
    [anon_sym___declspec] = ACTIONS(2631),
    [anon_sym___based] = ACTIONS(2631),
    [anon_sym_signed] = ACTIONS(2631),
    [anon_sym_unsigned] = ACTIONS(2631),
    [anon_sym_long] = ACTIONS(2631),
    [anon_sym_short] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_register] = ACTIONS(2631),
    [anon_sym_inline] = ACTIONS(2631),
    [anon_sym___inline] = ACTIONS(2631),
    [anon_sym___inline__] = ACTIONS(2631),
    [anon_sym___forceinline] = ACTIONS(2631),
    [anon_sym_thread_local] = ACTIONS(2631),
    [anon_sym___thread] = ACTIONS(2631),
    [anon_sym_const] = ACTIONS(2631),
    [anon_sym_constexpr] = ACTIONS(2631),
    [anon_sym_volatile] = ACTIONS(2631),
    [anon_sym_restrict] = ACTIONS(2631),
    [anon_sym___restrict__] = ACTIONS(2631),
    [anon_sym__Atomic] = ACTIONS(2631),
    [anon_sym__Noreturn] = ACTIONS(2631),
    [anon_sym_noreturn] = ACTIONS(2631),
    [anon_sym__Nonnull] = ACTIONS(2631),
    [anon_sym_mutable] = ACTIONS(2631),
    [anon_sym_constinit] = ACTIONS(2631),
    [anon_sym_consteval] = ACTIONS(2631),
    [anon_sym_alignas] = ACTIONS(2631),
    [anon_sym__Alignas] = ACTIONS(2631),
    [sym_primitive_type] = ACTIONS(2631),
    [anon_sym_enum] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2631),
    [anon_sym_struct] = ACTIONS(2631),
    [anon_sym_union] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2631),
    [anon_sym_decltype] = ACTIONS(2631),
    [anon_sym_explicit] = ACTIONS(2631),
    [anon_sym_typename] = ACTIONS(2631),
    [anon_sym_template] = ACTIONS(2631),
    [anon_sym_operator] = ACTIONS(2631),
    [anon_sym_friend] = ACTIONS(2631),
    [anon_sym_public] = ACTIONS(2631),
    [anon_sym_private] = ACTIONS(2631),
    [anon_sym_protected] = ACTIONS(2631),
    [anon_sym_using] = ACTIONS(2631),
    [anon_sym_static_assert] = ACTIONS(2631),
    [anon_sym_precise] = ACTIONS(2631),
    [anon_sym_shared] = ACTIONS(2631),
    [anon_sym_groupshared] = ACTIONS(2631),
    [anon_sym_uniform] = ACTIONS(2631),
    [anon_sym_row_major] = ACTIONS(2631),
    [anon_sym_column_major] = ACTIONS(2631),
    [anon_sym_globallycoherent] = ACTIONS(2631),
    [anon_sym_centroid] = ACTIONS(2631),
    [anon_sym_noperspective] = ACTIONS(2631),
    [anon_sym_nointerpolation] = ACTIONS(2631),
    [anon_sym_sample] = ACTIONS(2631),
    [anon_sym_linear] = ACTIONS(2631),
    [anon_sym_snorm] = ACTIONS(2631),
    [anon_sym_unorm] = ACTIONS(2631),
    [anon_sym_point] = ACTIONS(2631),
    [anon_sym_line] = ACTIONS(2631),
    [anon_sym_triangleadj] = ACTIONS(2631),
    [anon_sym_lineadj] = ACTIONS(2631),
    [anon_sym_triangle] = ACTIONS(2631),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_TILDE] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym_typedef] = ACTIONS(5424),
    [anon_sym_in] = ACTIONS(5424),
    [anon_sym_out] = ACTIONS(5424),
    [anon_sym_inout] = ACTIONS(5424),
    [anon_sym_virtual] = ACTIONS(5424),
    [anon_sym_extern] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___attribute] = ACTIONS(5424),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym___declspec] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_RBRACE] = ACTIONS(5426),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_static] = ACTIONS(5424),
    [anon_sym_register] = ACTIONS(5424),
    [anon_sym_inline] = ACTIONS(5424),
    [anon_sym___inline] = ACTIONS(5424),
    [anon_sym___inline__] = ACTIONS(5424),
    [anon_sym___forceinline] = ACTIONS(5424),
    [anon_sym_thread_local] = ACTIONS(5424),
    [anon_sym___thread] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_enum] = ACTIONS(5424),
    [anon_sym_class] = ACTIONS(5424),
    [anon_sym_struct] = ACTIONS(5424),
    [anon_sym_union] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_explicit] = ACTIONS(5424),
    [anon_sym_typename] = ACTIONS(5424),
    [anon_sym_template] = ACTIONS(5424),
    [anon_sym_operator] = ACTIONS(5424),
    [anon_sym_friend] = ACTIONS(5424),
    [anon_sym_public] = ACTIONS(5424),
    [anon_sym_private] = ACTIONS(5424),
    [anon_sym_protected] = ACTIONS(5424),
    [anon_sym_using] = ACTIONS(5424),
    [anon_sym_static_assert] = ACTIONS(5424),
    [anon_sym_precise] = ACTIONS(5424),
    [anon_sym_shared] = ACTIONS(5424),
    [anon_sym_groupshared] = ACTIONS(5424),
    [anon_sym_uniform] = ACTIONS(5424),
    [anon_sym_row_major] = ACTIONS(5424),
    [anon_sym_column_major] = ACTIONS(5424),
    [anon_sym_globallycoherent] = ACTIONS(5424),
    [anon_sym_centroid] = ACTIONS(5424),
    [anon_sym_noperspective] = ACTIONS(5424),
    [anon_sym_nointerpolation] = ACTIONS(5424),
    [anon_sym_sample] = ACTIONS(5424),
    [anon_sym_linear] = ACTIONS(5424),
    [anon_sym_snorm] = ACTIONS(5424),
    [anon_sym_unorm] = ACTIONS(5424),
    [anon_sym_point] = ACTIONS(5424),
    [anon_sym_line] = ACTIONS(5424),
    [anon_sym_triangleadj] = ACTIONS(5424),
    [anon_sym_lineadj] = ACTIONS(5424),
    [anon_sym_triangle] = ACTIONS(5424),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(2458),
    [aux_sym_preproc_def_token1] = ACTIONS(2458),
    [aux_sym_preproc_if_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2458),
    [sym_preproc_directive] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym___extension__] = ACTIONS(2458),
    [anon_sym_typedef] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2458),
    [anon_sym_out] = ACTIONS(2458),
    [anon_sym_inout] = ACTIONS(2458),
    [anon_sym_virtual] = ACTIONS(2458),
    [anon_sym_extern] = ACTIONS(2458),
    [anon_sym___attribute__] = ACTIONS(2458),
    [anon_sym___attribute] = ACTIONS(2458),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2460),
    [anon_sym___declspec] = ACTIONS(2458),
    [anon_sym___based] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2458),
    [anon_sym_unsigned] = ACTIONS(2458),
    [anon_sym_long] = ACTIONS(2458),
    [anon_sym_short] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_register] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(2458),
    [anon_sym___inline] = ACTIONS(2458),
    [anon_sym___inline__] = ACTIONS(2458),
    [anon_sym___forceinline] = ACTIONS(2458),
    [anon_sym_thread_local] = ACTIONS(2458),
    [anon_sym___thread] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_constexpr] = ACTIONS(2458),
    [anon_sym_volatile] = ACTIONS(2458),
    [anon_sym_restrict] = ACTIONS(2458),
    [anon_sym___restrict__] = ACTIONS(2458),
    [anon_sym__Atomic] = ACTIONS(2458),
    [anon_sym__Noreturn] = ACTIONS(2458),
    [anon_sym_noreturn] = ACTIONS(2458),
    [anon_sym__Nonnull] = ACTIONS(2458),
    [anon_sym_mutable] = ACTIONS(2458),
    [anon_sym_constinit] = ACTIONS(2458),
    [anon_sym_consteval] = ACTIONS(2458),
    [anon_sym_alignas] = ACTIONS(2458),
    [anon_sym__Alignas] = ACTIONS(2458),
    [sym_primitive_type] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_struct] = ACTIONS(2458),
    [anon_sym_union] = ACTIONS(2458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2458),
    [anon_sym_decltype] = ACTIONS(2458),
    [anon_sym_explicit] = ACTIONS(2458),
    [anon_sym_typename] = ACTIONS(2458),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_operator] = ACTIONS(2458),
    [anon_sym_friend] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_static_assert] = ACTIONS(2458),
    [anon_sym_precise] = ACTIONS(2458),
    [anon_sym_shared] = ACTIONS(2458),
    [anon_sym_groupshared] = ACTIONS(2458),
    [anon_sym_uniform] = ACTIONS(2458),
    [anon_sym_row_major] = ACTIONS(2458),
    [anon_sym_column_major] = ACTIONS(2458),
    [anon_sym_globallycoherent] = ACTIONS(2458),
    [anon_sym_centroid] = ACTIONS(2458),
    [anon_sym_noperspective] = ACTIONS(2458),
    [anon_sym_nointerpolation] = ACTIONS(2458),
    [anon_sym_sample] = ACTIONS(2458),
    [anon_sym_linear] = ACTIONS(2458),
    [anon_sym_snorm] = ACTIONS(2458),
    [anon_sym_unorm] = ACTIONS(2458),
    [anon_sym_point] = ACTIONS(2458),
    [anon_sym_line] = ACTIONS(2458),
    [anon_sym_triangleadj] = ACTIONS(2458),
    [anon_sym_lineadj] = ACTIONS(2458),
    [anon_sym_triangle] = ACTIONS(2458),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(2370),
    [aux_sym_preproc_def_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token2] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2370),
    [sym_preproc_directive] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym___extension__] = ACTIONS(2370),
    [anon_sym_typedef] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_out] = ACTIONS(2370),
    [anon_sym_inout] = ACTIONS(2370),
    [anon_sym_virtual] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2370),
    [anon_sym___attribute__] = ACTIONS(2370),
    [anon_sym___attribute] = ACTIONS(2370),
    [anon_sym_COLON_COLON] = ACTIONS(2372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2372),
    [anon_sym___declspec] = ACTIONS(2370),
    [anon_sym___based] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2370),
    [anon_sym_unsigned] = ACTIONS(2370),
    [anon_sym_long] = ACTIONS(2370),
    [anon_sym_short] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_register] = ACTIONS(2370),
    [anon_sym_inline] = ACTIONS(2370),
    [anon_sym___inline] = ACTIONS(2370),
    [anon_sym___inline__] = ACTIONS(2370),
    [anon_sym___forceinline] = ACTIONS(2370),
    [anon_sym_thread_local] = ACTIONS(2370),
    [anon_sym___thread] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_constexpr] = ACTIONS(2370),
    [anon_sym_volatile] = ACTIONS(2370),
    [anon_sym_restrict] = ACTIONS(2370),
    [anon_sym___restrict__] = ACTIONS(2370),
    [anon_sym__Atomic] = ACTIONS(2370),
    [anon_sym__Noreturn] = ACTIONS(2370),
    [anon_sym_noreturn] = ACTIONS(2370),
    [anon_sym__Nonnull] = ACTIONS(2370),
    [anon_sym_mutable] = ACTIONS(2370),
    [anon_sym_constinit] = ACTIONS(2370),
    [anon_sym_consteval] = ACTIONS(2370),
    [anon_sym_alignas] = ACTIONS(2370),
    [anon_sym__Alignas] = ACTIONS(2370),
    [sym_primitive_type] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_struct] = ACTIONS(2370),
    [anon_sym_union] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2370),
    [anon_sym_decltype] = ACTIONS(2370),
    [anon_sym_explicit] = ACTIONS(2370),
    [anon_sym_typename] = ACTIONS(2370),
    [anon_sym_template] = ACTIONS(2370),
    [anon_sym_operator] = ACTIONS(2370),
    [anon_sym_friend] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_static_assert] = ACTIONS(2370),
    [anon_sym_precise] = ACTIONS(2370),
    [anon_sym_shared] = ACTIONS(2370),
    [anon_sym_groupshared] = ACTIONS(2370),
    [anon_sym_uniform] = ACTIONS(2370),
    [anon_sym_row_major] = ACTIONS(2370),
    [anon_sym_column_major] = ACTIONS(2370),
    [anon_sym_globallycoherent] = ACTIONS(2370),
    [anon_sym_centroid] = ACTIONS(2370),
    [anon_sym_noperspective] = ACTIONS(2370),
    [anon_sym_nointerpolation] = ACTIONS(2370),
    [anon_sym_sample] = ACTIONS(2370),
    [anon_sym_linear] = ACTIONS(2370),
    [anon_sym_snorm] = ACTIONS(2370),
    [anon_sym_unorm] = ACTIONS(2370),
    [anon_sym_point] = ACTIONS(2370),
    [anon_sym_line] = ACTIONS(2370),
    [anon_sym_triangleadj] = ACTIONS(2370),
    [anon_sym_lineadj] = ACTIONS(2370),
    [anon_sym_triangle] = ACTIONS(2370),
  },
  [2091] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym___attribute] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(2503),
    [aux_sym_preproc_def_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token2] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2503),
    [sym_preproc_directive] = ACTIONS(2503),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_SEMI] = ACTIONS(2505),
    [anon_sym___extension__] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2503),
    [anon_sym_in] = ACTIONS(2503),
    [anon_sym_out] = ACTIONS(2503),
    [anon_sym_inout] = ACTIONS(2503),
    [anon_sym_virtual] = ACTIONS(2503),
    [anon_sym_extern] = ACTIONS(2503),
    [anon_sym___attribute__] = ACTIONS(2503),
    [anon_sym___attribute] = ACTIONS(2503),
    [anon_sym_COLON_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2505),
    [anon_sym___declspec] = ACTIONS(2503),
    [anon_sym___based] = ACTIONS(2503),
    [anon_sym_signed] = ACTIONS(2503),
    [anon_sym_unsigned] = ACTIONS(2503),
    [anon_sym_long] = ACTIONS(2503),
    [anon_sym_short] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2503),
    [anon_sym_register] = ACTIONS(2503),
    [anon_sym_inline] = ACTIONS(2503),
    [anon_sym___inline] = ACTIONS(2503),
    [anon_sym___inline__] = ACTIONS(2503),
    [anon_sym___forceinline] = ACTIONS(2503),
    [anon_sym_thread_local] = ACTIONS(2503),
    [anon_sym___thread] = ACTIONS(2503),
    [anon_sym_const] = ACTIONS(2503),
    [anon_sym_constexpr] = ACTIONS(2503),
    [anon_sym_volatile] = ACTIONS(2503),
    [anon_sym_restrict] = ACTIONS(2503),
    [anon_sym___restrict__] = ACTIONS(2503),
    [anon_sym__Atomic] = ACTIONS(2503),
    [anon_sym__Noreturn] = ACTIONS(2503),
    [anon_sym_noreturn] = ACTIONS(2503),
    [anon_sym__Nonnull] = ACTIONS(2503),
    [anon_sym_mutable] = ACTIONS(2503),
    [anon_sym_constinit] = ACTIONS(2503),
    [anon_sym_consteval] = ACTIONS(2503),
    [anon_sym_alignas] = ACTIONS(2503),
    [anon_sym__Alignas] = ACTIONS(2503),
    [sym_primitive_type] = ACTIONS(2503),
    [anon_sym_enum] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2503),
    [anon_sym_struct] = ACTIONS(2503),
    [anon_sym_union] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2503),
    [anon_sym_decltype] = ACTIONS(2503),
    [anon_sym_explicit] = ACTIONS(2503),
    [anon_sym_typename] = ACTIONS(2503),
    [anon_sym_template] = ACTIONS(2503),
    [anon_sym_operator] = ACTIONS(2503),
    [anon_sym_friend] = ACTIONS(2503),
    [anon_sym_public] = ACTIONS(2503),
    [anon_sym_private] = ACTIONS(2503),
    [anon_sym_protected] = ACTIONS(2503),
    [anon_sym_using] = ACTIONS(2503),
    [anon_sym_static_assert] = ACTIONS(2503),
    [anon_sym_precise] = ACTIONS(2503),
    [anon_sym_shared] = ACTIONS(2503),
    [anon_sym_groupshared] = ACTIONS(2503),
    [anon_sym_uniform] = ACTIONS(2503),
    [anon_sym_row_major] = ACTIONS(2503),
    [anon_sym_column_major] = ACTIONS(2503),
    [anon_sym_globallycoherent] = ACTIONS(2503),
    [anon_sym_centroid] = ACTIONS(2503),
    [anon_sym_noperspective] = ACTIONS(2503),
    [anon_sym_nointerpolation] = ACTIONS(2503),
    [anon_sym_sample] = ACTIONS(2503),
    [anon_sym_linear] = ACTIONS(2503),
    [anon_sym_snorm] = ACTIONS(2503),
    [anon_sym_unorm] = ACTIONS(2503),
    [anon_sym_point] = ACTIONS(2503),
    [anon_sym_line] = ACTIONS(2503),
    [anon_sym_triangleadj] = ACTIONS(2503),
    [anon_sym_lineadj] = ACTIONS(2503),
    [anon_sym_triangle] = ACTIONS(2503),
  },
  [2093] = {
    [sym_identifier] = ACTIONS(2507),
    [aux_sym_preproc_def_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token2] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2507),
    [sym_preproc_directive] = ACTIONS(2507),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_AMP_AMP] = ACTIONS(2509),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_SEMI] = ACTIONS(2509),
    [anon_sym___extension__] = ACTIONS(2507),
    [anon_sym_typedef] = ACTIONS(2507),
    [anon_sym_in] = ACTIONS(2507),
    [anon_sym_out] = ACTIONS(2507),
    [anon_sym_inout] = ACTIONS(2507),
    [anon_sym_virtual] = ACTIONS(2507),
    [anon_sym_extern] = ACTIONS(2507),
    [anon_sym___attribute__] = ACTIONS(2507),
    [anon_sym___attribute] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2509),
    [anon_sym___declspec] = ACTIONS(2507),
    [anon_sym___based] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2507),
    [anon_sym_unsigned] = ACTIONS(2507),
    [anon_sym_long] = ACTIONS(2507),
    [anon_sym_short] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2507),
    [anon_sym_register] = ACTIONS(2507),
    [anon_sym_inline] = ACTIONS(2507),
    [anon_sym___inline] = ACTIONS(2507),
    [anon_sym___inline__] = ACTIONS(2507),
    [anon_sym___forceinline] = ACTIONS(2507),
    [anon_sym_thread_local] = ACTIONS(2507),
    [anon_sym___thread] = ACTIONS(2507),
    [anon_sym_const] = ACTIONS(2507),
    [anon_sym_constexpr] = ACTIONS(2507),
    [anon_sym_volatile] = ACTIONS(2507),
    [anon_sym_restrict] = ACTIONS(2507),
    [anon_sym___restrict__] = ACTIONS(2507),
    [anon_sym__Atomic] = ACTIONS(2507),
    [anon_sym__Noreturn] = ACTIONS(2507),
    [anon_sym_noreturn] = ACTIONS(2507),
    [anon_sym__Nonnull] = ACTIONS(2507),
    [anon_sym_mutable] = ACTIONS(2507),
    [anon_sym_constinit] = ACTIONS(2507),
    [anon_sym_consteval] = ACTIONS(2507),
    [anon_sym_alignas] = ACTIONS(2507),
    [anon_sym__Alignas] = ACTIONS(2507),
    [sym_primitive_type] = ACTIONS(2507),
    [anon_sym_enum] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2507),
    [anon_sym_struct] = ACTIONS(2507),
    [anon_sym_union] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2507),
    [anon_sym_decltype] = ACTIONS(2507),
    [anon_sym_explicit] = ACTIONS(2507),
    [anon_sym_typename] = ACTIONS(2507),
    [anon_sym_template] = ACTIONS(2507),
    [anon_sym_operator] = ACTIONS(2507),
    [anon_sym_friend] = ACTIONS(2507),
    [anon_sym_public] = ACTIONS(2507),
    [anon_sym_private] = ACTIONS(2507),
    [anon_sym_protected] = ACTIONS(2507),
    [anon_sym_using] = ACTIONS(2507),
    [anon_sym_static_assert] = ACTIONS(2507),
    [anon_sym_precise] = ACTIONS(2507),
    [anon_sym_shared] = ACTIONS(2507),
    [anon_sym_groupshared] = ACTIONS(2507),
    [anon_sym_uniform] = ACTIONS(2507),
    [anon_sym_row_major] = ACTIONS(2507),
    [anon_sym_column_major] = ACTIONS(2507),
    [anon_sym_globallycoherent] = ACTIONS(2507),
    [anon_sym_centroid] = ACTIONS(2507),
    [anon_sym_noperspective] = ACTIONS(2507),
    [anon_sym_nointerpolation] = ACTIONS(2507),
    [anon_sym_sample] = ACTIONS(2507),
    [anon_sym_linear] = ACTIONS(2507),
    [anon_sym_snorm] = ACTIONS(2507),
    [anon_sym_unorm] = ACTIONS(2507),
    [anon_sym_point] = ACTIONS(2507),
    [anon_sym_line] = ACTIONS(2507),
    [anon_sym_triangleadj] = ACTIONS(2507),
    [anon_sym_lineadj] = ACTIONS(2507),
    [anon_sym_triangle] = ACTIONS(2507),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym___attribute] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_friend] = ACTIONS(2514),
    [anon_sym_public] = ACTIONS(2514),
    [anon_sym_private] = ACTIONS(2514),
    [anon_sym_protected] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(5428),
    [aux_sym_preproc_def_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5428),
    [sym_preproc_directive] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_TILDE] = ACTIONS(5430),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___extension__] = ACTIONS(5428),
    [anon_sym_typedef] = ACTIONS(5428),
    [anon_sym_in] = ACTIONS(5428),
    [anon_sym_out] = ACTIONS(5428),
    [anon_sym_inout] = ACTIONS(5428),
    [anon_sym_virtual] = ACTIONS(5428),
    [anon_sym_extern] = ACTIONS(5428),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym___attribute] = ACTIONS(5428),
    [anon_sym_COLON_COLON] = ACTIONS(5430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5430),
    [anon_sym___declspec] = ACTIONS(5428),
    [anon_sym___based] = ACTIONS(5428),
    [anon_sym_RBRACE] = ACTIONS(5430),
    [anon_sym_signed] = ACTIONS(5428),
    [anon_sym_unsigned] = ACTIONS(5428),
    [anon_sym_long] = ACTIONS(5428),
    [anon_sym_short] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5428),
    [anon_sym_static] = ACTIONS(5428),
    [anon_sym_register] = ACTIONS(5428),
    [anon_sym_inline] = ACTIONS(5428),
    [anon_sym___inline] = ACTIONS(5428),
    [anon_sym___inline__] = ACTIONS(5428),
    [anon_sym___forceinline] = ACTIONS(5428),
    [anon_sym_thread_local] = ACTIONS(5428),
    [anon_sym___thread] = ACTIONS(5428),
    [anon_sym_const] = ACTIONS(5428),
    [anon_sym_constexpr] = ACTIONS(5428),
    [anon_sym_volatile] = ACTIONS(5428),
    [anon_sym_restrict] = ACTIONS(5428),
    [anon_sym___restrict__] = ACTIONS(5428),
    [anon_sym__Atomic] = ACTIONS(5428),
    [anon_sym__Noreturn] = ACTIONS(5428),
    [anon_sym_noreturn] = ACTIONS(5428),
    [anon_sym__Nonnull] = ACTIONS(5428),
    [anon_sym_mutable] = ACTIONS(5428),
    [anon_sym_constinit] = ACTIONS(5428),
    [anon_sym_consteval] = ACTIONS(5428),
    [anon_sym_alignas] = ACTIONS(5428),
    [anon_sym__Alignas] = ACTIONS(5428),
    [sym_primitive_type] = ACTIONS(5428),
    [anon_sym_enum] = ACTIONS(5428),
    [anon_sym_class] = ACTIONS(5428),
    [anon_sym_struct] = ACTIONS(5428),
    [anon_sym_union] = ACTIONS(5428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
    [anon_sym_explicit] = ACTIONS(5428),
    [anon_sym_typename] = ACTIONS(5428),
    [anon_sym_template] = ACTIONS(5428),
    [anon_sym_operator] = ACTIONS(5428),
    [anon_sym_friend] = ACTIONS(5428),
    [anon_sym_public] = ACTIONS(5428),
    [anon_sym_private] = ACTIONS(5428),
    [anon_sym_protected] = ACTIONS(5428),
    [anon_sym_using] = ACTIONS(5428),
    [anon_sym_static_assert] = ACTIONS(5428),
    [anon_sym_precise] = ACTIONS(5428),
    [anon_sym_shared] = ACTIONS(5428),
    [anon_sym_groupshared] = ACTIONS(5428),
    [anon_sym_uniform] = ACTIONS(5428),
    [anon_sym_row_major] = ACTIONS(5428),
    [anon_sym_column_major] = ACTIONS(5428),
    [anon_sym_globallycoherent] = ACTIONS(5428),
    [anon_sym_centroid] = ACTIONS(5428),
    [anon_sym_noperspective] = ACTIONS(5428),
    [anon_sym_nointerpolation] = ACTIONS(5428),
    [anon_sym_sample] = ACTIONS(5428),
    [anon_sym_linear] = ACTIONS(5428),
    [anon_sym_snorm] = ACTIONS(5428),
    [anon_sym_unorm] = ACTIONS(5428),
    [anon_sym_point] = ACTIONS(5428),
    [anon_sym_line] = ACTIONS(5428),
    [anon_sym_triangleadj] = ACTIONS(5428),
    [anon_sym_lineadj] = ACTIONS(5428),
    [anon_sym_triangle] = ACTIONS(5428),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_friend] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(2442),
    [aux_sym_preproc_def_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2442),
    [sym_preproc_directive] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2444),
    [anon_sym___extension__] = ACTIONS(2442),
    [anon_sym_typedef] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_out] = ACTIONS(2442),
    [anon_sym_inout] = ACTIONS(2442),
    [anon_sym_virtual] = ACTIONS(2442),
    [anon_sym_extern] = ACTIONS(2442),
    [anon_sym___attribute__] = ACTIONS(2442),
    [anon_sym___attribute] = ACTIONS(2442),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2444),
    [anon_sym___declspec] = ACTIONS(2442),
    [anon_sym___based] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_signed] = ACTIONS(2442),
    [anon_sym_unsigned] = ACTIONS(2442),
    [anon_sym_long] = ACTIONS(2442),
    [anon_sym_short] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_register] = ACTIONS(2442),
    [anon_sym_inline] = ACTIONS(2442),
    [anon_sym___inline] = ACTIONS(2442),
    [anon_sym___inline__] = ACTIONS(2442),
    [anon_sym___forceinline] = ACTIONS(2442),
    [anon_sym_thread_local] = ACTIONS(2442),
    [anon_sym___thread] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_constexpr] = ACTIONS(2442),
    [anon_sym_volatile] = ACTIONS(2442),
    [anon_sym_restrict] = ACTIONS(2442),
    [anon_sym___restrict__] = ACTIONS(2442),
    [anon_sym__Atomic] = ACTIONS(2442),
    [anon_sym__Noreturn] = ACTIONS(2442),
    [anon_sym_noreturn] = ACTIONS(2442),
    [anon_sym__Nonnull] = ACTIONS(2442),
    [anon_sym_mutable] = ACTIONS(2442),
    [anon_sym_constinit] = ACTIONS(2442),
    [anon_sym_consteval] = ACTIONS(2442),
    [anon_sym_alignas] = ACTIONS(2442),
    [anon_sym__Alignas] = ACTIONS(2442),
    [sym_primitive_type] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_struct] = ACTIONS(2442),
    [anon_sym_union] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2442),
    [anon_sym_decltype] = ACTIONS(2442),
    [anon_sym_explicit] = ACTIONS(2442),
    [anon_sym_typename] = ACTIONS(2442),
    [anon_sym_template] = ACTIONS(2442),
    [anon_sym_operator] = ACTIONS(2442),
    [anon_sym_friend] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_static_assert] = ACTIONS(2442),
    [anon_sym_precise] = ACTIONS(2442),
    [anon_sym_shared] = ACTIONS(2442),
    [anon_sym_groupshared] = ACTIONS(2442),
    [anon_sym_uniform] = ACTIONS(2442),
    [anon_sym_row_major] = ACTIONS(2442),
    [anon_sym_column_major] = ACTIONS(2442),
    [anon_sym_globallycoherent] = ACTIONS(2442),
    [anon_sym_centroid] = ACTIONS(2442),
    [anon_sym_noperspective] = ACTIONS(2442),
    [anon_sym_nointerpolation] = ACTIONS(2442),
    [anon_sym_sample] = ACTIONS(2442),
    [anon_sym_linear] = ACTIONS(2442),
    [anon_sym_snorm] = ACTIONS(2442),
    [anon_sym_unorm] = ACTIONS(2442),
    [anon_sym_point] = ACTIONS(2442),
    [anon_sym_line] = ACTIONS(2442),
    [anon_sym_triangleadj] = ACTIONS(2442),
    [anon_sym_lineadj] = ACTIONS(2442),
    [anon_sym_triangle] = ACTIONS(2442),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(2446),
    [aux_sym_preproc_def_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2446),
    [sym_preproc_directive] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_typedef] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(2446),
    [anon_sym_out] = ACTIONS(2446),
    [anon_sym_inout] = ACTIONS(2446),
    [anon_sym_virtual] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym___attribute] = ACTIONS(2446),
    [anon_sym_COLON_COLON] = ACTIONS(2448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2448),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2446),
    [anon_sym_unsigned] = ACTIONS(2446),
    [anon_sym_long] = ACTIONS(2446),
    [anon_sym_short] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym__Nonnull] = ACTIONS(2446),
    [anon_sym_mutable] = ACTIONS(2446),
    [anon_sym_constinit] = ACTIONS(2446),
    [anon_sym_consteval] = ACTIONS(2446),
    [anon_sym_alignas] = ACTIONS(2446),
    [anon_sym__Alignas] = ACTIONS(2446),
    [sym_primitive_type] = ACTIONS(2446),
    [anon_sym_enum] = ACTIONS(2446),
    [anon_sym_class] = ACTIONS(2446),
    [anon_sym_struct] = ACTIONS(2446),
    [anon_sym_union] = ACTIONS(2446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2446),
    [anon_sym_decltype] = ACTIONS(2446),
    [anon_sym_explicit] = ACTIONS(2446),
    [anon_sym_typename] = ACTIONS(2446),
    [anon_sym_template] = ACTIONS(2446),
    [anon_sym_operator] = ACTIONS(2446),
    [anon_sym_friend] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_using] = ACTIONS(2446),
    [anon_sym_static_assert] = ACTIONS(2446),
    [anon_sym_precise] = ACTIONS(2446),
    [anon_sym_shared] = ACTIONS(2446),
    [anon_sym_groupshared] = ACTIONS(2446),
    [anon_sym_uniform] = ACTIONS(2446),
    [anon_sym_row_major] = ACTIONS(2446),
    [anon_sym_column_major] = ACTIONS(2446),
    [anon_sym_globallycoherent] = ACTIONS(2446),
    [anon_sym_centroid] = ACTIONS(2446),
    [anon_sym_noperspective] = ACTIONS(2446),
    [anon_sym_nointerpolation] = ACTIONS(2446),
    [anon_sym_sample] = ACTIONS(2446),
    [anon_sym_linear] = ACTIONS(2446),
    [anon_sym_snorm] = ACTIONS(2446),
    [anon_sym_unorm] = ACTIONS(2446),
    [anon_sym_point] = ACTIONS(2446),
    [anon_sym_line] = ACTIONS(2446),
    [anon_sym_triangleadj] = ACTIONS(2446),
    [anon_sym_lineadj] = ACTIONS(2446),
    [anon_sym_triangle] = ACTIONS(2446),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_out] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_virtual] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_friend] = ACTIONS(2568),
    [anon_sym_public] = ACTIONS(2568),
    [anon_sym_private] = ACTIONS(2568),
    [anon_sym_protected] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_precise] = ACTIONS(2568),
    [anon_sym_shared] = ACTIONS(2568),
    [anon_sym_groupshared] = ACTIONS(2568),
    [anon_sym_uniform] = ACTIONS(2568),
    [anon_sym_row_major] = ACTIONS(2568),
    [anon_sym_column_major] = ACTIONS(2568),
    [anon_sym_globallycoherent] = ACTIONS(2568),
    [anon_sym_centroid] = ACTIONS(2568),
    [anon_sym_noperspective] = ACTIONS(2568),
    [anon_sym_nointerpolation] = ACTIONS(2568),
    [anon_sym_sample] = ACTIONS(2568),
    [anon_sym_linear] = ACTIONS(2568),
    [anon_sym_snorm] = ACTIONS(2568),
    [anon_sym_unorm] = ACTIONS(2568),
    [anon_sym_point] = ACTIONS(2568),
    [anon_sym_line] = ACTIONS(2568),
    [anon_sym_triangleadj] = ACTIONS(2568),
    [anon_sym_lineadj] = ACTIONS(2568),
    [anon_sym_triangle] = ACTIONS(2568),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_virtual] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_friend] = ACTIONS(2532),
    [anon_sym_public] = ACTIONS(2532),
    [anon_sym_private] = ACTIONS(2532),
    [anon_sym_protected] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_groupshared] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_row_major] = ACTIONS(2532),
    [anon_sym_column_major] = ACTIONS(2532),
    [anon_sym_globallycoherent] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym_nointerpolation] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_linear] = ACTIONS(2532),
    [anon_sym_snorm] = ACTIONS(2532),
    [anon_sym_unorm] = ACTIONS(2532),
    [anon_sym_point] = ACTIONS(2532),
    [anon_sym_line] = ACTIONS(2532),
    [anon_sym_triangleadj] = ACTIONS(2532),
    [anon_sym_lineadj] = ACTIONS(2532),
    [anon_sym_triangle] = ACTIONS(2532),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_friend] = ACTIONS(2548),
    [anon_sym_public] = ACTIONS(2548),
    [anon_sym_private] = ACTIONS(2548),
    [anon_sym_protected] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_groupshared] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_row_major] = ACTIONS(2548),
    [anon_sym_column_major] = ACTIONS(2548),
    [anon_sym_globallycoherent] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym_nointerpolation] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_linear] = ACTIONS(2548),
    [anon_sym_snorm] = ACTIONS(2548),
    [anon_sym_unorm] = ACTIONS(2548),
    [anon_sym_point] = ACTIONS(2548),
    [anon_sym_line] = ACTIONS(2548),
    [anon_sym_triangleadj] = ACTIONS(2548),
    [anon_sym_lineadj] = ACTIONS(2548),
    [anon_sym_triangle] = ACTIONS(2548),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(2450),
    [aux_sym_preproc_def_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2450),
    [sym_preproc_directive] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym___extension__] = ACTIONS(2450),
    [anon_sym_typedef] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2450),
    [anon_sym_out] = ACTIONS(2450),
    [anon_sym_inout] = ACTIONS(2450),
    [anon_sym_virtual] = ACTIONS(2450),
    [anon_sym_extern] = ACTIONS(2450),
    [anon_sym___attribute__] = ACTIONS(2450),
    [anon_sym___attribute] = ACTIONS(2450),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2452),
    [anon_sym___declspec] = ACTIONS(2450),
    [anon_sym___based] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2450),
    [anon_sym_unsigned] = ACTIONS(2450),
    [anon_sym_long] = ACTIONS(2450),
    [anon_sym_short] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_register] = ACTIONS(2450),
    [anon_sym_inline] = ACTIONS(2450),
    [anon_sym___inline] = ACTIONS(2450),
    [anon_sym___inline__] = ACTIONS(2450),
    [anon_sym___forceinline] = ACTIONS(2450),
    [anon_sym_thread_local] = ACTIONS(2450),
    [anon_sym___thread] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_constexpr] = ACTIONS(2450),
    [anon_sym_volatile] = ACTIONS(2450),
    [anon_sym_restrict] = ACTIONS(2450),
    [anon_sym___restrict__] = ACTIONS(2450),
    [anon_sym__Atomic] = ACTIONS(2450),
    [anon_sym__Noreturn] = ACTIONS(2450),
    [anon_sym_noreturn] = ACTIONS(2450),
    [anon_sym__Nonnull] = ACTIONS(2450),
    [anon_sym_mutable] = ACTIONS(2450),
    [anon_sym_constinit] = ACTIONS(2450),
    [anon_sym_consteval] = ACTIONS(2450),
    [anon_sym_alignas] = ACTIONS(2450),
    [anon_sym__Alignas] = ACTIONS(2450),
    [sym_primitive_type] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_struct] = ACTIONS(2450),
    [anon_sym_union] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2450),
    [anon_sym_decltype] = ACTIONS(2450),
    [anon_sym_explicit] = ACTIONS(2450),
    [anon_sym_typename] = ACTIONS(2450),
    [anon_sym_template] = ACTIONS(2450),
    [anon_sym_operator] = ACTIONS(2450),
    [anon_sym_friend] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_static_assert] = ACTIONS(2450),
    [anon_sym_precise] = ACTIONS(2450),
    [anon_sym_shared] = ACTIONS(2450),
    [anon_sym_groupshared] = ACTIONS(2450),
    [anon_sym_uniform] = ACTIONS(2450),
    [anon_sym_row_major] = ACTIONS(2450),
    [anon_sym_column_major] = ACTIONS(2450),
    [anon_sym_globallycoherent] = ACTIONS(2450),
    [anon_sym_centroid] = ACTIONS(2450),
    [anon_sym_noperspective] = ACTIONS(2450),
    [anon_sym_nointerpolation] = ACTIONS(2450),
    [anon_sym_sample] = ACTIONS(2450),
    [anon_sym_linear] = ACTIONS(2450),
    [anon_sym_snorm] = ACTIONS(2450),
    [anon_sym_unorm] = ACTIONS(2450),
    [anon_sym_point] = ACTIONS(2450),
    [anon_sym_line] = ACTIONS(2450),
    [anon_sym_triangleadj] = ACTIONS(2450),
    [anon_sym_lineadj] = ACTIONS(2450),
    [anon_sym_triangle] = ACTIONS(2450),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(2410),
    [aux_sym_preproc_def_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token1] = ACTIONS(2410),
    [aux_sym_preproc_if_token2] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2410),
    [sym_preproc_directive] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_TILDE] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(2410),
    [anon_sym_typedef] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_out] = ACTIONS(2410),
    [anon_sym_inout] = ACTIONS(2410),
    [anon_sym_virtual] = ACTIONS(2410),
    [anon_sym_extern] = ACTIONS(2410),
    [anon_sym___attribute__] = ACTIONS(2410),
    [anon_sym___attribute] = ACTIONS(2410),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2412),
    [anon_sym___declspec] = ACTIONS(2410),
    [anon_sym___based] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2410),
    [anon_sym_unsigned] = ACTIONS(2410),
    [anon_sym_long] = ACTIONS(2410),
    [anon_sym_short] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_register] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym___inline] = ACTIONS(2410),
    [anon_sym___inline__] = ACTIONS(2410),
    [anon_sym___forceinline] = ACTIONS(2410),
    [anon_sym_thread_local] = ACTIONS(2410),
    [anon_sym___thread] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_constexpr] = ACTIONS(2410),
    [anon_sym_volatile] = ACTIONS(2410),
    [anon_sym_restrict] = ACTIONS(2410),
    [anon_sym___restrict__] = ACTIONS(2410),
    [anon_sym__Atomic] = ACTIONS(2410),
    [anon_sym__Noreturn] = ACTIONS(2410),
    [anon_sym_noreturn] = ACTIONS(2410),
    [anon_sym__Nonnull] = ACTIONS(2410),
    [anon_sym_mutable] = ACTIONS(2410),
    [anon_sym_constinit] = ACTIONS(2410),
    [anon_sym_consteval] = ACTIONS(2410),
    [anon_sym_alignas] = ACTIONS(2410),
    [anon_sym__Alignas] = ACTIONS(2410),
    [sym_primitive_type] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_struct] = ACTIONS(2410),
    [anon_sym_union] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2410),
    [anon_sym_decltype] = ACTIONS(2410),
    [anon_sym_explicit] = ACTIONS(2410),
    [anon_sym_typename] = ACTIONS(2410),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2410),
    [anon_sym_friend] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_static_assert] = ACTIONS(2410),
    [anon_sym_precise] = ACTIONS(2410),
    [anon_sym_shared] = ACTIONS(2410),
    [anon_sym_groupshared] = ACTIONS(2410),
    [anon_sym_uniform] = ACTIONS(2410),
    [anon_sym_row_major] = ACTIONS(2410),
    [anon_sym_column_major] = ACTIONS(2410),
    [anon_sym_globallycoherent] = ACTIONS(2410),
    [anon_sym_centroid] = ACTIONS(2410),
    [anon_sym_noperspective] = ACTIONS(2410),
    [anon_sym_nointerpolation] = ACTIONS(2410),
    [anon_sym_sample] = ACTIONS(2410),
    [anon_sym_linear] = ACTIONS(2410),
    [anon_sym_snorm] = ACTIONS(2410),
    [anon_sym_unorm] = ACTIONS(2410),
    [anon_sym_point] = ACTIONS(2410),
    [anon_sym_line] = ACTIONS(2410),
    [anon_sym_triangleadj] = ACTIONS(2410),
    [anon_sym_lineadj] = ACTIONS(2410),
    [anon_sym_triangle] = ACTIONS(2410),
  },
  [2104] = {
    [sym_identifier] = ACTIONS(5344),
    [aux_sym_preproc_def_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5344),
    [sym_preproc_directive] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(5346),
    [anon_sym_TILDE] = ACTIONS(5346),
    [anon_sym_STAR] = ACTIONS(5346),
    [anon_sym_AMP_AMP] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5346),
    [anon_sym___extension__] = ACTIONS(5344),
    [anon_sym_typedef] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5344),
    [anon_sym_out] = ACTIONS(5344),
    [anon_sym_inout] = ACTIONS(5344),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_extern] = ACTIONS(5344),
    [anon_sym___attribute__] = ACTIONS(5344),
    [anon_sym___attribute] = ACTIONS(5344),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5346),
    [anon_sym___declspec] = ACTIONS(5344),
    [anon_sym___based] = ACTIONS(5344),
    [anon_sym_RBRACE] = ACTIONS(5346),
    [anon_sym_signed] = ACTIONS(5344),
    [anon_sym_unsigned] = ACTIONS(5344),
    [anon_sym_long] = ACTIONS(5344),
    [anon_sym_short] = ACTIONS(5344),
    [anon_sym_LBRACK] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(5344),
    [anon_sym_register] = ACTIONS(5344),
    [anon_sym_inline] = ACTIONS(5344),
    [anon_sym___inline] = ACTIONS(5344),
    [anon_sym___inline__] = ACTIONS(5344),
    [anon_sym___forceinline] = ACTIONS(5344),
    [anon_sym_thread_local] = ACTIONS(5344),
    [anon_sym___thread] = ACTIONS(5344),
    [anon_sym_const] = ACTIONS(5344),
    [anon_sym_constexpr] = ACTIONS(5344),
    [anon_sym_volatile] = ACTIONS(5344),
    [anon_sym_restrict] = ACTIONS(5344),
    [anon_sym___restrict__] = ACTIONS(5344),
    [anon_sym__Atomic] = ACTIONS(5344),
    [anon_sym__Noreturn] = ACTIONS(5344),
    [anon_sym_noreturn] = ACTIONS(5344),
    [anon_sym__Nonnull] = ACTIONS(5344),
    [anon_sym_mutable] = ACTIONS(5344),
    [anon_sym_constinit] = ACTIONS(5344),
    [anon_sym_consteval] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5344),
    [anon_sym__Alignas] = ACTIONS(5344),
    [sym_primitive_type] = ACTIONS(5344),
    [anon_sym_enum] = ACTIONS(5344),
    [anon_sym_class] = ACTIONS(5344),
    [anon_sym_struct] = ACTIONS(5344),
    [anon_sym_union] = ACTIONS(5344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5344),
    [anon_sym_decltype] = ACTIONS(5344),
    [anon_sym_explicit] = ACTIONS(5344),
    [anon_sym_typename] = ACTIONS(5344),
    [anon_sym_template] = ACTIONS(5344),
    [anon_sym_operator] = ACTIONS(5344),
    [anon_sym_friend] = ACTIONS(5344),
    [anon_sym_public] = ACTIONS(5344),
    [anon_sym_private] = ACTIONS(5344),
    [anon_sym_protected] = ACTIONS(5344),
    [anon_sym_using] = ACTIONS(5344),
    [anon_sym_static_assert] = ACTIONS(5344),
    [anon_sym_precise] = ACTIONS(5344),
    [anon_sym_shared] = ACTIONS(5344),
    [anon_sym_groupshared] = ACTIONS(5344),
    [anon_sym_uniform] = ACTIONS(5344),
    [anon_sym_row_major] = ACTIONS(5344),
    [anon_sym_column_major] = ACTIONS(5344),
    [anon_sym_globallycoherent] = ACTIONS(5344),
    [anon_sym_centroid] = ACTIONS(5344),
    [anon_sym_noperspective] = ACTIONS(5344),
    [anon_sym_nointerpolation] = ACTIONS(5344),
    [anon_sym_sample] = ACTIONS(5344),
    [anon_sym_linear] = ACTIONS(5344),
    [anon_sym_snorm] = ACTIONS(5344),
    [anon_sym_unorm] = ACTIONS(5344),
    [anon_sym_point] = ACTIONS(5344),
    [anon_sym_line] = ACTIONS(5344),
    [anon_sym_triangleadj] = ACTIONS(5344),
    [anon_sym_lineadj] = ACTIONS(5344),
    [anon_sym_triangle] = ACTIONS(5344),
  },
  [2105] = {
    [sym_identifier] = ACTIONS(2422),
    [aux_sym_preproc_def_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token1] = ACTIONS(2422),
    [aux_sym_preproc_if_token2] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2422),
    [sym_preproc_directive] = ACTIONS(2422),
    [anon_sym_LPAREN2] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym___extension__] = ACTIONS(2422),
    [anon_sym_typedef] = ACTIONS(2422),
    [anon_sym_in] = ACTIONS(2422),
    [anon_sym_out] = ACTIONS(2422),
    [anon_sym_inout] = ACTIONS(2422),
    [anon_sym_virtual] = ACTIONS(2422),
    [anon_sym_extern] = ACTIONS(2422),
    [anon_sym___attribute__] = ACTIONS(2422),
    [anon_sym___attribute] = ACTIONS(2422),
    [anon_sym_COLON_COLON] = ACTIONS(2424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2424),
    [anon_sym___declspec] = ACTIONS(2422),
    [anon_sym___based] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2422),
    [anon_sym_unsigned] = ACTIONS(2422),
    [anon_sym_long] = ACTIONS(2422),
    [anon_sym_short] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_static] = ACTIONS(2422),
    [anon_sym_register] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(2422),
    [anon_sym___inline] = ACTIONS(2422),
    [anon_sym___inline__] = ACTIONS(2422),
    [anon_sym___forceinline] = ACTIONS(2422),
    [anon_sym_thread_local] = ACTIONS(2422),
    [anon_sym___thread] = ACTIONS(2422),
    [anon_sym_const] = ACTIONS(2422),
    [anon_sym_constexpr] = ACTIONS(2422),
    [anon_sym_volatile] = ACTIONS(2422),
    [anon_sym_restrict] = ACTIONS(2422),
    [anon_sym___restrict__] = ACTIONS(2422),
    [anon_sym__Atomic] = ACTIONS(2422),
    [anon_sym__Noreturn] = ACTIONS(2422),
    [anon_sym_noreturn] = ACTIONS(2422),
    [anon_sym__Nonnull] = ACTIONS(2422),
    [anon_sym_mutable] = ACTIONS(2422),
    [anon_sym_constinit] = ACTIONS(2422),
    [anon_sym_consteval] = ACTIONS(2422),
    [anon_sym_alignas] = ACTIONS(2422),
    [anon_sym__Alignas] = ACTIONS(2422),
    [sym_primitive_type] = ACTIONS(2422),
    [anon_sym_enum] = ACTIONS(2422),
    [anon_sym_class] = ACTIONS(2422),
    [anon_sym_struct] = ACTIONS(2422),
    [anon_sym_union] = ACTIONS(2422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2422),
    [anon_sym_decltype] = ACTIONS(2422),
    [anon_sym_explicit] = ACTIONS(2422),
    [anon_sym_typename] = ACTIONS(2422),
    [anon_sym_template] = ACTIONS(2422),
    [anon_sym_operator] = ACTIONS(2422),
    [anon_sym_friend] = ACTIONS(2422),
    [anon_sym_public] = ACTIONS(2422),
    [anon_sym_private] = ACTIONS(2422),
    [anon_sym_protected] = ACTIONS(2422),
    [anon_sym_using] = ACTIONS(2422),
    [anon_sym_static_assert] = ACTIONS(2422),
    [anon_sym_precise] = ACTIONS(2422),
    [anon_sym_shared] = ACTIONS(2422),
    [anon_sym_groupshared] = ACTIONS(2422),
    [anon_sym_uniform] = ACTIONS(2422),
    [anon_sym_row_major] = ACTIONS(2422),
    [anon_sym_column_major] = ACTIONS(2422),
    [anon_sym_globallycoherent] = ACTIONS(2422),
    [anon_sym_centroid] = ACTIONS(2422),
    [anon_sym_noperspective] = ACTIONS(2422),
    [anon_sym_nointerpolation] = ACTIONS(2422),
    [anon_sym_sample] = ACTIONS(2422),
    [anon_sym_linear] = ACTIONS(2422),
    [anon_sym_snorm] = ACTIONS(2422),
    [anon_sym_unorm] = ACTIONS(2422),
    [anon_sym_point] = ACTIONS(2422),
    [anon_sym_line] = ACTIONS(2422),
    [anon_sym_triangleadj] = ACTIONS(2422),
    [anon_sym_lineadj] = ACTIONS(2422),
    [anon_sym_triangle] = ACTIONS(2422),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token2] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_friend] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token2] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_friend] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(2442),
    [aux_sym_preproc_def_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token1] = ACTIONS(2442),
    [aux_sym_preproc_if_token2] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2442),
    [sym_preproc_directive] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2444),
    [anon_sym___extension__] = ACTIONS(2442),
    [anon_sym_typedef] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_out] = ACTIONS(2442),
    [anon_sym_inout] = ACTIONS(2442),
    [anon_sym_virtual] = ACTIONS(2442),
    [anon_sym_extern] = ACTIONS(2442),
    [anon_sym___attribute__] = ACTIONS(2442),
    [anon_sym___attribute] = ACTIONS(2442),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2444),
    [anon_sym___declspec] = ACTIONS(2442),
    [anon_sym___based] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2442),
    [anon_sym_unsigned] = ACTIONS(2442),
    [anon_sym_long] = ACTIONS(2442),
    [anon_sym_short] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_register] = ACTIONS(2442),
    [anon_sym_inline] = ACTIONS(2442),
    [anon_sym___inline] = ACTIONS(2442),
    [anon_sym___inline__] = ACTIONS(2442),
    [anon_sym___forceinline] = ACTIONS(2442),
    [anon_sym_thread_local] = ACTIONS(2442),
    [anon_sym___thread] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_constexpr] = ACTIONS(2442),
    [anon_sym_volatile] = ACTIONS(2442),
    [anon_sym_restrict] = ACTIONS(2442),
    [anon_sym___restrict__] = ACTIONS(2442),
    [anon_sym__Atomic] = ACTIONS(2442),
    [anon_sym__Noreturn] = ACTIONS(2442),
    [anon_sym_noreturn] = ACTIONS(2442),
    [anon_sym__Nonnull] = ACTIONS(2442),
    [anon_sym_mutable] = ACTIONS(2442),
    [anon_sym_constinit] = ACTIONS(2442),
    [anon_sym_consteval] = ACTIONS(2442),
    [anon_sym_alignas] = ACTIONS(2442),
    [anon_sym__Alignas] = ACTIONS(2442),
    [sym_primitive_type] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_struct] = ACTIONS(2442),
    [anon_sym_union] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2442),
    [anon_sym_decltype] = ACTIONS(2442),
    [anon_sym_explicit] = ACTIONS(2442),
    [anon_sym_typename] = ACTIONS(2442),
    [anon_sym_template] = ACTIONS(2442),
    [anon_sym_operator] = ACTIONS(2442),
    [anon_sym_friend] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_static_assert] = ACTIONS(2442),
    [anon_sym_precise] = ACTIONS(2442),
    [anon_sym_shared] = ACTIONS(2442),
    [anon_sym_groupshared] = ACTIONS(2442),
    [anon_sym_uniform] = ACTIONS(2442),
    [anon_sym_row_major] = ACTIONS(2442),
    [anon_sym_column_major] = ACTIONS(2442),
    [anon_sym_globallycoherent] = ACTIONS(2442),
    [anon_sym_centroid] = ACTIONS(2442),
    [anon_sym_noperspective] = ACTIONS(2442),
    [anon_sym_nointerpolation] = ACTIONS(2442),
    [anon_sym_sample] = ACTIONS(2442),
    [anon_sym_linear] = ACTIONS(2442),
    [anon_sym_snorm] = ACTIONS(2442),
    [anon_sym_unorm] = ACTIONS(2442),
    [anon_sym_point] = ACTIONS(2442),
    [anon_sym_line] = ACTIONS(2442),
    [anon_sym_triangleadj] = ACTIONS(2442),
    [anon_sym_lineadj] = ACTIONS(2442),
    [anon_sym_triangle] = ACTIONS(2442),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(2446),
    [aux_sym_preproc_def_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token1] = ACTIONS(2446),
    [aux_sym_preproc_if_token2] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2446),
    [sym_preproc_directive] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_typedef] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(2446),
    [anon_sym_out] = ACTIONS(2446),
    [anon_sym_inout] = ACTIONS(2446),
    [anon_sym_virtual] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym___attribute] = ACTIONS(2446),
    [anon_sym_COLON_COLON] = ACTIONS(2448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2448),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2446),
    [anon_sym_unsigned] = ACTIONS(2446),
    [anon_sym_long] = ACTIONS(2446),
    [anon_sym_short] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym__Nonnull] = ACTIONS(2446),
    [anon_sym_mutable] = ACTIONS(2446),
    [anon_sym_constinit] = ACTIONS(2446),
    [anon_sym_consteval] = ACTIONS(2446),
    [anon_sym_alignas] = ACTIONS(2446),
    [anon_sym__Alignas] = ACTIONS(2446),
    [sym_primitive_type] = ACTIONS(2446),
    [anon_sym_enum] = ACTIONS(2446),
    [anon_sym_class] = ACTIONS(2446),
    [anon_sym_struct] = ACTIONS(2446),
    [anon_sym_union] = ACTIONS(2446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2446),
    [anon_sym_decltype] = ACTIONS(2446),
    [anon_sym_explicit] = ACTIONS(2446),
    [anon_sym_typename] = ACTIONS(2446),
    [anon_sym_template] = ACTIONS(2446),
    [anon_sym_operator] = ACTIONS(2446),
    [anon_sym_friend] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_using] = ACTIONS(2446),
    [anon_sym_static_assert] = ACTIONS(2446),
    [anon_sym_precise] = ACTIONS(2446),
    [anon_sym_shared] = ACTIONS(2446),
    [anon_sym_groupshared] = ACTIONS(2446),
    [anon_sym_uniform] = ACTIONS(2446),
    [anon_sym_row_major] = ACTIONS(2446),
    [anon_sym_column_major] = ACTIONS(2446),
    [anon_sym_globallycoherent] = ACTIONS(2446),
    [anon_sym_centroid] = ACTIONS(2446),
    [anon_sym_noperspective] = ACTIONS(2446),
    [anon_sym_nointerpolation] = ACTIONS(2446),
    [anon_sym_sample] = ACTIONS(2446),
    [anon_sym_linear] = ACTIONS(2446),
    [anon_sym_snorm] = ACTIONS(2446),
    [anon_sym_unorm] = ACTIONS(2446),
    [anon_sym_point] = ACTIONS(2446),
    [anon_sym_line] = ACTIONS(2446),
    [anon_sym_triangleadj] = ACTIONS(2446),
    [anon_sym_lineadj] = ACTIONS(2446),
    [anon_sym_triangle] = ACTIONS(2446),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(2450),
    [aux_sym_preproc_def_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token1] = ACTIONS(2450),
    [aux_sym_preproc_if_token2] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2450),
    [sym_preproc_directive] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym___extension__] = ACTIONS(2450),
    [anon_sym_typedef] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2450),
    [anon_sym_out] = ACTIONS(2450),
    [anon_sym_inout] = ACTIONS(2450),
    [anon_sym_virtual] = ACTIONS(2450),
    [anon_sym_extern] = ACTIONS(2450),
    [anon_sym___attribute__] = ACTIONS(2450),
    [anon_sym___attribute] = ACTIONS(2450),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2452),
    [anon_sym___declspec] = ACTIONS(2450),
    [anon_sym___based] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2450),
    [anon_sym_unsigned] = ACTIONS(2450),
    [anon_sym_long] = ACTIONS(2450),
    [anon_sym_short] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_register] = ACTIONS(2450),
    [anon_sym_inline] = ACTIONS(2450),
    [anon_sym___inline] = ACTIONS(2450),
    [anon_sym___inline__] = ACTIONS(2450),
    [anon_sym___forceinline] = ACTIONS(2450),
    [anon_sym_thread_local] = ACTIONS(2450),
    [anon_sym___thread] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_constexpr] = ACTIONS(2450),
    [anon_sym_volatile] = ACTIONS(2450),
    [anon_sym_restrict] = ACTIONS(2450),
    [anon_sym___restrict__] = ACTIONS(2450),
    [anon_sym__Atomic] = ACTIONS(2450),
    [anon_sym__Noreturn] = ACTIONS(2450),
    [anon_sym_noreturn] = ACTIONS(2450),
    [anon_sym__Nonnull] = ACTIONS(2450),
    [anon_sym_mutable] = ACTIONS(2450),
    [anon_sym_constinit] = ACTIONS(2450),
    [anon_sym_consteval] = ACTIONS(2450),
    [anon_sym_alignas] = ACTIONS(2450),
    [anon_sym__Alignas] = ACTIONS(2450),
    [sym_primitive_type] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_struct] = ACTIONS(2450),
    [anon_sym_union] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2450),
    [anon_sym_decltype] = ACTIONS(2450),
    [anon_sym_explicit] = ACTIONS(2450),
    [anon_sym_typename] = ACTIONS(2450),
    [anon_sym_template] = ACTIONS(2450),
    [anon_sym_operator] = ACTIONS(2450),
    [anon_sym_friend] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_static_assert] = ACTIONS(2450),
    [anon_sym_precise] = ACTIONS(2450),
    [anon_sym_shared] = ACTIONS(2450),
    [anon_sym_groupshared] = ACTIONS(2450),
    [anon_sym_uniform] = ACTIONS(2450),
    [anon_sym_row_major] = ACTIONS(2450),
    [anon_sym_column_major] = ACTIONS(2450),
    [anon_sym_globallycoherent] = ACTIONS(2450),
    [anon_sym_centroid] = ACTIONS(2450),
    [anon_sym_noperspective] = ACTIONS(2450),
    [anon_sym_nointerpolation] = ACTIONS(2450),
    [anon_sym_sample] = ACTIONS(2450),
    [anon_sym_linear] = ACTIONS(2450),
    [anon_sym_snorm] = ACTIONS(2450),
    [anon_sym_unorm] = ACTIONS(2450),
    [anon_sym_point] = ACTIONS(2450),
    [anon_sym_line] = ACTIONS(2450),
    [anon_sym_triangleadj] = ACTIONS(2450),
    [anon_sym_lineadj] = ACTIONS(2450),
    [anon_sym_triangle] = ACTIONS(2450),
  },
  [2113] = {
    [sym_identifier] = ACTIONS(5364),
    [aux_sym_preproc_def_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token2] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5364),
    [sym_preproc_directive] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [anon_sym_TILDE] = ACTIONS(5366),
    [anon_sym_STAR] = ACTIONS(5366),
    [anon_sym_AMP_AMP] = ACTIONS(5366),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [anon_sym___extension__] = ACTIONS(5364),
    [anon_sym_typedef] = ACTIONS(5364),
    [anon_sym_in] = ACTIONS(5364),
    [anon_sym_out] = ACTIONS(5364),
    [anon_sym_inout] = ACTIONS(5364),
    [anon_sym_virtual] = ACTIONS(5364),
    [anon_sym_extern] = ACTIONS(5364),
    [anon_sym___attribute__] = ACTIONS(5364),
    [anon_sym___attribute] = ACTIONS(5364),
    [anon_sym_COLON_COLON] = ACTIONS(5366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5364),
    [anon_sym___based] = ACTIONS(5364),
    [anon_sym_signed] = ACTIONS(5364),
    [anon_sym_unsigned] = ACTIONS(5364),
    [anon_sym_long] = ACTIONS(5364),
    [anon_sym_short] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5364),
    [anon_sym_static] = ACTIONS(5364),
    [anon_sym_register] = ACTIONS(5364),
    [anon_sym_inline] = ACTIONS(5364),
    [anon_sym___inline] = ACTIONS(5364),
    [anon_sym___inline__] = ACTIONS(5364),
    [anon_sym___forceinline] = ACTIONS(5364),
    [anon_sym_thread_local] = ACTIONS(5364),
    [anon_sym___thread] = ACTIONS(5364),
    [anon_sym_const] = ACTIONS(5364),
    [anon_sym_constexpr] = ACTIONS(5364),
    [anon_sym_volatile] = ACTIONS(5364),
    [anon_sym_restrict] = ACTIONS(5364),
    [anon_sym___restrict__] = ACTIONS(5364),
    [anon_sym__Atomic] = ACTIONS(5364),
    [anon_sym__Noreturn] = ACTIONS(5364),
    [anon_sym_noreturn] = ACTIONS(5364),
    [anon_sym__Nonnull] = ACTIONS(5364),
    [anon_sym_mutable] = ACTIONS(5364),
    [anon_sym_constinit] = ACTIONS(5364),
    [anon_sym_consteval] = ACTIONS(5364),
    [anon_sym_alignas] = ACTIONS(5364),
    [anon_sym__Alignas] = ACTIONS(5364),
    [sym_primitive_type] = ACTIONS(5364),
    [anon_sym_enum] = ACTIONS(5364),
    [anon_sym_class] = ACTIONS(5364),
    [anon_sym_struct] = ACTIONS(5364),
    [anon_sym_union] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5364),
    [anon_sym_explicit] = ACTIONS(5364),
    [anon_sym_typename] = ACTIONS(5364),
    [anon_sym_template] = ACTIONS(5364),
    [anon_sym_operator] = ACTIONS(5364),
    [anon_sym_friend] = ACTIONS(5364),
    [anon_sym_public] = ACTIONS(5364),
    [anon_sym_private] = ACTIONS(5364),
    [anon_sym_protected] = ACTIONS(5364),
    [anon_sym_using] = ACTIONS(5364),
    [anon_sym_static_assert] = ACTIONS(5364),
    [anon_sym_precise] = ACTIONS(5364),
    [anon_sym_shared] = ACTIONS(5364),
    [anon_sym_groupshared] = ACTIONS(5364),
    [anon_sym_uniform] = ACTIONS(5364),
    [anon_sym_row_major] = ACTIONS(5364),
    [anon_sym_column_major] = ACTIONS(5364),
    [anon_sym_globallycoherent] = ACTIONS(5364),
    [anon_sym_centroid] = ACTIONS(5364),
    [anon_sym_noperspective] = ACTIONS(5364),
    [anon_sym_nointerpolation] = ACTIONS(5364),
    [anon_sym_sample] = ACTIONS(5364),
    [anon_sym_linear] = ACTIONS(5364),
    [anon_sym_snorm] = ACTIONS(5364),
    [anon_sym_unorm] = ACTIONS(5364),
    [anon_sym_point] = ACTIONS(5364),
    [anon_sym_line] = ACTIONS(5364),
    [anon_sym_triangleadj] = ACTIONS(5364),
    [anon_sym_lineadj] = ACTIONS(5364),
    [anon_sym_triangle] = ACTIONS(5364),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(2454),
    [aux_sym_preproc_def_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token2] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2454),
    [sym_preproc_directive] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_typedef] = ACTIONS(2454),
    [anon_sym_in] = ACTIONS(2454),
    [anon_sym_out] = ACTIONS(2454),
    [anon_sym_inout] = ACTIONS(2454),
    [anon_sym_virtual] = ACTIONS(2454),
    [anon_sym_extern] = ACTIONS(2454),
    [anon_sym___attribute__] = ACTIONS(2454),
    [anon_sym___attribute] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2456),
    [anon_sym___declspec] = ACTIONS(2454),
    [anon_sym___based] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2454),
    [anon_sym_unsigned] = ACTIONS(2454),
    [anon_sym_long] = ACTIONS(2454),
    [anon_sym_short] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_register] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(2454),
    [anon_sym___inline] = ACTIONS(2454),
    [anon_sym___inline__] = ACTIONS(2454),
    [anon_sym___forceinline] = ACTIONS(2454),
    [anon_sym_thread_local] = ACTIONS(2454),
    [anon_sym___thread] = ACTIONS(2454),
    [anon_sym_const] = ACTIONS(2454),
    [anon_sym_constexpr] = ACTIONS(2454),
    [anon_sym_volatile] = ACTIONS(2454),
    [anon_sym_restrict] = ACTIONS(2454),
    [anon_sym___restrict__] = ACTIONS(2454),
    [anon_sym__Atomic] = ACTIONS(2454),
    [anon_sym__Noreturn] = ACTIONS(2454),
    [anon_sym_noreturn] = ACTIONS(2454),
    [anon_sym__Nonnull] = ACTIONS(2454),
    [anon_sym_mutable] = ACTIONS(2454),
    [anon_sym_constinit] = ACTIONS(2454),
    [anon_sym_consteval] = ACTIONS(2454),
    [anon_sym_alignas] = ACTIONS(2454),
    [anon_sym__Alignas] = ACTIONS(2454),
    [sym_primitive_type] = ACTIONS(2454),
    [anon_sym_enum] = ACTIONS(2454),
    [anon_sym_class] = ACTIONS(2454),
    [anon_sym_struct] = ACTIONS(2454),
    [anon_sym_union] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2454),
    [anon_sym_decltype] = ACTIONS(2454),
    [anon_sym_explicit] = ACTIONS(2454),
    [anon_sym_typename] = ACTIONS(2454),
    [anon_sym_template] = ACTIONS(2454),
    [anon_sym_operator] = ACTIONS(2454),
    [anon_sym_friend] = ACTIONS(2454),
    [anon_sym_public] = ACTIONS(2454),
    [anon_sym_private] = ACTIONS(2454),
    [anon_sym_protected] = ACTIONS(2454),
    [anon_sym_using] = ACTIONS(2454),
    [anon_sym_static_assert] = ACTIONS(2454),
    [anon_sym_precise] = ACTIONS(2454),
    [anon_sym_shared] = ACTIONS(2454),
    [anon_sym_groupshared] = ACTIONS(2454),
    [anon_sym_uniform] = ACTIONS(2454),
    [anon_sym_row_major] = ACTIONS(2454),
    [anon_sym_column_major] = ACTIONS(2454),
    [anon_sym_globallycoherent] = ACTIONS(2454),
    [anon_sym_centroid] = ACTIONS(2454),
    [anon_sym_noperspective] = ACTIONS(2454),
    [anon_sym_nointerpolation] = ACTIONS(2454),
    [anon_sym_sample] = ACTIONS(2454),
    [anon_sym_linear] = ACTIONS(2454),
    [anon_sym_snorm] = ACTIONS(2454),
    [anon_sym_unorm] = ACTIONS(2454),
    [anon_sym_point] = ACTIONS(2454),
    [anon_sym_line] = ACTIONS(2454),
    [anon_sym_triangleadj] = ACTIONS(2454),
    [anon_sym_lineadj] = ACTIONS(2454),
    [anon_sym_triangle] = ACTIONS(2454),
  },
  [2115] = {
    [sym_identifier] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_TILDE] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym_typedef] = ACTIONS(5424),
    [anon_sym_in] = ACTIONS(5424),
    [anon_sym_out] = ACTIONS(5424),
    [anon_sym_inout] = ACTIONS(5424),
    [anon_sym_virtual] = ACTIONS(5424),
    [anon_sym_extern] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___attribute] = ACTIONS(5424),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym___declspec] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_static] = ACTIONS(5424),
    [anon_sym_register] = ACTIONS(5424),
    [anon_sym_inline] = ACTIONS(5424),
    [anon_sym___inline] = ACTIONS(5424),
    [anon_sym___inline__] = ACTIONS(5424),
    [anon_sym___forceinline] = ACTIONS(5424),
    [anon_sym_thread_local] = ACTIONS(5424),
    [anon_sym___thread] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_enum] = ACTIONS(5424),
    [anon_sym_class] = ACTIONS(5424),
    [anon_sym_struct] = ACTIONS(5424),
    [anon_sym_union] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_explicit] = ACTIONS(5424),
    [anon_sym_typename] = ACTIONS(5424),
    [anon_sym_template] = ACTIONS(5424),
    [anon_sym_operator] = ACTIONS(5424),
    [anon_sym_friend] = ACTIONS(5424),
    [anon_sym_public] = ACTIONS(5424),
    [anon_sym_private] = ACTIONS(5424),
    [anon_sym_protected] = ACTIONS(5424),
    [anon_sym_using] = ACTIONS(5424),
    [anon_sym_static_assert] = ACTIONS(5424),
    [anon_sym_precise] = ACTIONS(5424),
    [anon_sym_shared] = ACTIONS(5424),
    [anon_sym_groupshared] = ACTIONS(5424),
    [anon_sym_uniform] = ACTIONS(5424),
    [anon_sym_row_major] = ACTIONS(5424),
    [anon_sym_column_major] = ACTIONS(5424),
    [anon_sym_globallycoherent] = ACTIONS(5424),
    [anon_sym_centroid] = ACTIONS(5424),
    [anon_sym_noperspective] = ACTIONS(5424),
    [anon_sym_nointerpolation] = ACTIONS(5424),
    [anon_sym_sample] = ACTIONS(5424),
    [anon_sym_linear] = ACTIONS(5424),
    [anon_sym_snorm] = ACTIONS(5424),
    [anon_sym_unorm] = ACTIONS(5424),
    [anon_sym_point] = ACTIONS(5424),
    [anon_sym_line] = ACTIONS(5424),
    [anon_sym_triangleadj] = ACTIONS(5424),
    [anon_sym_lineadj] = ACTIONS(5424),
    [anon_sym_triangle] = ACTIONS(5424),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_friend] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_out] = ACTIONS(2470),
    [anon_sym_inout] = ACTIONS(2470),
    [anon_sym_virtual] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___based] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_mutable] = ACTIONS(2470),
    [anon_sym_constinit] = ACTIONS(2470),
    [anon_sym_consteval] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_class] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2470),
    [anon_sym_decltype] = ACTIONS(2470),
    [anon_sym_explicit] = ACTIONS(2470),
    [anon_sym_typename] = ACTIONS(2470),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_operator] = ACTIONS(2470),
    [anon_sym_friend] = ACTIONS(2470),
    [anon_sym_public] = ACTIONS(2470),
    [anon_sym_private] = ACTIONS(2470),
    [anon_sym_protected] = ACTIONS(2470),
    [anon_sym_using] = ACTIONS(2470),
    [anon_sym_static_assert] = ACTIONS(2470),
    [anon_sym_precise] = ACTIONS(2470),
    [anon_sym_shared] = ACTIONS(2470),
    [anon_sym_groupshared] = ACTIONS(2470),
    [anon_sym_uniform] = ACTIONS(2470),
    [anon_sym_row_major] = ACTIONS(2470),
    [anon_sym_column_major] = ACTIONS(2470),
    [anon_sym_globallycoherent] = ACTIONS(2470),
    [anon_sym_centroid] = ACTIONS(2470),
    [anon_sym_noperspective] = ACTIONS(2470),
    [anon_sym_nointerpolation] = ACTIONS(2470),
    [anon_sym_sample] = ACTIONS(2470),
    [anon_sym_linear] = ACTIONS(2470),
    [anon_sym_snorm] = ACTIONS(2470),
    [anon_sym_unorm] = ACTIONS(2470),
    [anon_sym_point] = ACTIONS(2470),
    [anon_sym_line] = ACTIONS(2470),
    [anon_sym_triangleadj] = ACTIONS(2470),
    [anon_sym_lineadj] = ACTIONS(2470),
    [anon_sym_triangle] = ACTIONS(2470),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_out] = ACTIONS(2474),
    [anon_sym_inout] = ACTIONS(2474),
    [anon_sym_virtual] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_friend] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_precise] = ACTIONS(2474),
    [anon_sym_shared] = ACTIONS(2474),
    [anon_sym_groupshared] = ACTIONS(2474),
    [anon_sym_uniform] = ACTIONS(2474),
    [anon_sym_row_major] = ACTIONS(2474),
    [anon_sym_column_major] = ACTIONS(2474),
    [anon_sym_globallycoherent] = ACTIONS(2474),
    [anon_sym_centroid] = ACTIONS(2474),
    [anon_sym_noperspective] = ACTIONS(2474),
    [anon_sym_nointerpolation] = ACTIONS(2474),
    [anon_sym_sample] = ACTIONS(2474),
    [anon_sym_linear] = ACTIONS(2474),
    [anon_sym_snorm] = ACTIONS(2474),
    [anon_sym_unorm] = ACTIONS(2474),
    [anon_sym_point] = ACTIONS(2474),
    [anon_sym_line] = ACTIONS(2474),
    [anon_sym_triangleadj] = ACTIONS(2474),
    [anon_sym_lineadj] = ACTIONS(2474),
    [anon_sym_triangle] = ACTIONS(2474),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(2454),
    [aux_sym_preproc_def_token1] = ACTIONS(2454),
    [aux_sym_preproc_if_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2454),
    [sym_preproc_directive] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_typedef] = ACTIONS(2454),
    [anon_sym_in] = ACTIONS(2454),
    [anon_sym_out] = ACTIONS(2454),
    [anon_sym_inout] = ACTIONS(2454),
    [anon_sym_virtual] = ACTIONS(2454),
    [anon_sym_extern] = ACTIONS(2454),
    [anon_sym___attribute__] = ACTIONS(2454),
    [anon_sym___attribute] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2456),
    [anon_sym___declspec] = ACTIONS(2454),
    [anon_sym___based] = ACTIONS(2454),
    [anon_sym_RBRACE] = ACTIONS(2456),
    [anon_sym_signed] = ACTIONS(2454),
    [anon_sym_unsigned] = ACTIONS(2454),
    [anon_sym_long] = ACTIONS(2454),
    [anon_sym_short] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_register] = ACTIONS(2454),
    [anon_sym_inline] = ACTIONS(2454),
    [anon_sym___inline] = ACTIONS(2454),
    [anon_sym___inline__] = ACTIONS(2454),
    [anon_sym___forceinline] = ACTIONS(2454),
    [anon_sym_thread_local] = ACTIONS(2454),
    [anon_sym___thread] = ACTIONS(2454),
    [anon_sym_const] = ACTIONS(2454),
    [anon_sym_constexpr] = ACTIONS(2454),
    [anon_sym_volatile] = ACTIONS(2454),
    [anon_sym_restrict] = ACTIONS(2454),
    [anon_sym___restrict__] = ACTIONS(2454),
    [anon_sym__Atomic] = ACTIONS(2454),
    [anon_sym__Noreturn] = ACTIONS(2454),
    [anon_sym_noreturn] = ACTIONS(2454),
    [anon_sym__Nonnull] = ACTIONS(2454),
    [anon_sym_mutable] = ACTIONS(2454),
    [anon_sym_constinit] = ACTIONS(2454),
    [anon_sym_consteval] = ACTIONS(2454),
    [anon_sym_alignas] = ACTIONS(2454),
    [anon_sym__Alignas] = ACTIONS(2454),
    [sym_primitive_type] = ACTIONS(2454),
    [anon_sym_enum] = ACTIONS(2454),
    [anon_sym_class] = ACTIONS(2454),
    [anon_sym_struct] = ACTIONS(2454),
    [anon_sym_union] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2454),
    [anon_sym_decltype] = ACTIONS(2454),
    [anon_sym_explicit] = ACTIONS(2454),
    [anon_sym_typename] = ACTIONS(2454),
    [anon_sym_template] = ACTIONS(2454),
    [anon_sym_operator] = ACTIONS(2454),
    [anon_sym_friend] = ACTIONS(2454),
    [anon_sym_public] = ACTIONS(2454),
    [anon_sym_private] = ACTIONS(2454),
    [anon_sym_protected] = ACTIONS(2454),
    [anon_sym_using] = ACTIONS(2454),
    [anon_sym_static_assert] = ACTIONS(2454),
    [anon_sym_precise] = ACTIONS(2454),
    [anon_sym_shared] = ACTIONS(2454),
    [anon_sym_groupshared] = ACTIONS(2454),
    [anon_sym_uniform] = ACTIONS(2454),
    [anon_sym_row_major] = ACTIONS(2454),
    [anon_sym_column_major] = ACTIONS(2454),
    [anon_sym_globallycoherent] = ACTIONS(2454),
    [anon_sym_centroid] = ACTIONS(2454),
    [anon_sym_noperspective] = ACTIONS(2454),
    [anon_sym_nointerpolation] = ACTIONS(2454),
    [anon_sym_sample] = ACTIONS(2454),
    [anon_sym_linear] = ACTIONS(2454),
    [anon_sym_snorm] = ACTIONS(2454),
    [anon_sym_unorm] = ACTIONS(2454),
    [anon_sym_point] = ACTIONS(2454),
    [anon_sym_line] = ACTIONS(2454),
    [anon_sym_triangleadj] = ACTIONS(2454),
    [anon_sym_lineadj] = ACTIONS(2454),
    [anon_sym_triangle] = ACTIONS(2454),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(5396),
    [aux_sym_preproc_def_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token2] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5396),
    [sym_preproc_directive] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_TILDE] = ACTIONS(5398),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym_typedef] = ACTIONS(5396),
    [anon_sym_in] = ACTIONS(5396),
    [anon_sym_out] = ACTIONS(5396),
    [anon_sym_inout] = ACTIONS(5396),
    [anon_sym_virtual] = ACTIONS(5396),
    [anon_sym_extern] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym___attribute] = ACTIONS(5396),
    [anon_sym_COLON_COLON] = ACTIONS(5398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5398),
    [anon_sym___declspec] = ACTIONS(5396),
    [anon_sym___based] = ACTIONS(5396),
    [anon_sym_signed] = ACTIONS(5396),
    [anon_sym_unsigned] = ACTIONS(5396),
    [anon_sym_long] = ACTIONS(5396),
    [anon_sym_short] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5396),
    [anon_sym_static] = ACTIONS(5396),
    [anon_sym_register] = ACTIONS(5396),
    [anon_sym_inline] = ACTIONS(5396),
    [anon_sym___inline] = ACTIONS(5396),
    [anon_sym___inline__] = ACTIONS(5396),
    [anon_sym___forceinline] = ACTIONS(5396),
    [anon_sym_thread_local] = ACTIONS(5396),
    [anon_sym___thread] = ACTIONS(5396),
    [anon_sym_const] = ACTIONS(5396),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym__Nonnull] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_alignas] = ACTIONS(5396),
    [anon_sym__Alignas] = ACTIONS(5396),
    [sym_primitive_type] = ACTIONS(5396),
    [anon_sym_enum] = ACTIONS(5396),
    [anon_sym_class] = ACTIONS(5396),
    [anon_sym_struct] = ACTIONS(5396),
    [anon_sym_union] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_explicit] = ACTIONS(5396),
    [anon_sym_typename] = ACTIONS(5396),
    [anon_sym_template] = ACTIONS(5396),
    [anon_sym_operator] = ACTIONS(5396),
    [anon_sym_friend] = ACTIONS(5396),
    [anon_sym_public] = ACTIONS(5396),
    [anon_sym_private] = ACTIONS(5396),
    [anon_sym_protected] = ACTIONS(5396),
    [anon_sym_using] = ACTIONS(5396),
    [anon_sym_static_assert] = ACTIONS(5396),
    [anon_sym_precise] = ACTIONS(5396),
    [anon_sym_shared] = ACTIONS(5396),
    [anon_sym_groupshared] = ACTIONS(5396),
    [anon_sym_uniform] = ACTIONS(5396),
    [anon_sym_row_major] = ACTIONS(5396),
    [anon_sym_column_major] = ACTIONS(5396),
    [anon_sym_globallycoherent] = ACTIONS(5396),
    [anon_sym_centroid] = ACTIONS(5396),
    [anon_sym_noperspective] = ACTIONS(5396),
    [anon_sym_nointerpolation] = ACTIONS(5396),
    [anon_sym_sample] = ACTIONS(5396),
    [anon_sym_linear] = ACTIONS(5396),
    [anon_sym_snorm] = ACTIONS(5396),
    [anon_sym_unorm] = ACTIONS(5396),
    [anon_sym_point] = ACTIONS(5396),
    [anon_sym_line] = ACTIONS(5396),
    [anon_sym_triangleadj] = ACTIONS(5396),
    [anon_sym_lineadj] = ACTIONS(5396),
    [anon_sym_triangle] = ACTIONS(5396),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(2587),
    [aux_sym_preproc_def_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token1] = ACTIONS(2587),
    [aux_sym_preproc_if_token2] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2587),
    [sym_preproc_directive] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(2589),
    [anon_sym_AMP_AMP] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2589),
    [anon_sym___extension__] = ACTIONS(2587),
    [anon_sym_typedef] = ACTIONS(2587),
    [anon_sym_in] = ACTIONS(2587),
    [anon_sym_out] = ACTIONS(2587),
    [anon_sym_inout] = ACTIONS(2587),
    [anon_sym_virtual] = ACTIONS(2587),
    [anon_sym_extern] = ACTIONS(2587),
    [anon_sym___attribute__] = ACTIONS(2587),
    [anon_sym___attribute] = ACTIONS(2587),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2589),
    [anon_sym___declspec] = ACTIONS(2587),
    [anon_sym___based] = ACTIONS(2587),
    [anon_sym_signed] = ACTIONS(2587),
    [anon_sym_unsigned] = ACTIONS(2587),
    [anon_sym_long] = ACTIONS(2587),
    [anon_sym_short] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_static] = ACTIONS(2587),
    [anon_sym_register] = ACTIONS(2587),
    [anon_sym_inline] = ACTIONS(2587),
    [anon_sym___inline] = ACTIONS(2587),
    [anon_sym___inline__] = ACTIONS(2587),
    [anon_sym___forceinline] = ACTIONS(2587),
    [anon_sym_thread_local] = ACTIONS(2587),
    [anon_sym___thread] = ACTIONS(2587),
    [anon_sym_const] = ACTIONS(2587),
    [anon_sym_constexpr] = ACTIONS(2587),
    [anon_sym_volatile] = ACTIONS(2587),
    [anon_sym_restrict] = ACTIONS(2587),
    [anon_sym___restrict__] = ACTIONS(2587),
    [anon_sym__Atomic] = ACTIONS(2587),
    [anon_sym__Noreturn] = ACTIONS(2587),
    [anon_sym_noreturn] = ACTIONS(2587),
    [anon_sym__Nonnull] = ACTIONS(2587),
    [anon_sym_mutable] = ACTIONS(2587),
    [anon_sym_constinit] = ACTIONS(2587),
    [anon_sym_consteval] = ACTIONS(2587),
    [anon_sym_alignas] = ACTIONS(2587),
    [anon_sym__Alignas] = ACTIONS(2587),
    [sym_primitive_type] = ACTIONS(2587),
    [anon_sym_enum] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2587),
    [anon_sym_struct] = ACTIONS(2587),
    [anon_sym_union] = ACTIONS(2587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2587),
    [anon_sym_decltype] = ACTIONS(2587),
    [anon_sym_explicit] = ACTIONS(2587),
    [anon_sym_typename] = ACTIONS(2587),
    [anon_sym_template] = ACTIONS(2587),
    [anon_sym_operator] = ACTIONS(2587),
    [anon_sym_friend] = ACTIONS(2587),
    [anon_sym_public] = ACTIONS(2587),
    [anon_sym_private] = ACTIONS(2587),
    [anon_sym_protected] = ACTIONS(2587),
    [anon_sym_using] = ACTIONS(2587),
    [anon_sym_static_assert] = ACTIONS(2587),
    [anon_sym_precise] = ACTIONS(2587),
    [anon_sym_shared] = ACTIONS(2587),
    [anon_sym_groupshared] = ACTIONS(2587),
    [anon_sym_uniform] = ACTIONS(2587),
    [anon_sym_row_major] = ACTIONS(2587),
    [anon_sym_column_major] = ACTIONS(2587),
    [anon_sym_globallycoherent] = ACTIONS(2587),
    [anon_sym_centroid] = ACTIONS(2587),
    [anon_sym_noperspective] = ACTIONS(2587),
    [anon_sym_nointerpolation] = ACTIONS(2587),
    [anon_sym_sample] = ACTIONS(2587),
    [anon_sym_linear] = ACTIONS(2587),
    [anon_sym_snorm] = ACTIONS(2587),
    [anon_sym_unorm] = ACTIONS(2587),
    [anon_sym_point] = ACTIONS(2587),
    [anon_sym_line] = ACTIONS(2587),
    [anon_sym_triangleadj] = ACTIONS(2587),
    [anon_sym_lineadj] = ACTIONS(2587),
    [anon_sym_triangle] = ACTIONS(2587),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_out] = ACTIONS(2470),
    [anon_sym_inout] = ACTIONS(2470),
    [anon_sym_virtual] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___based] = ACTIONS(2470),
    [anon_sym_RBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_mutable] = ACTIONS(2470),
    [anon_sym_constinit] = ACTIONS(2470),
    [anon_sym_consteval] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_class] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2470),
    [anon_sym_decltype] = ACTIONS(2470),
    [anon_sym_explicit] = ACTIONS(2470),
    [anon_sym_typename] = ACTIONS(2470),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_operator] = ACTIONS(2470),
    [anon_sym_friend] = ACTIONS(2470),
    [anon_sym_public] = ACTIONS(2470),
    [anon_sym_private] = ACTIONS(2470),
    [anon_sym_protected] = ACTIONS(2470),
    [anon_sym_using] = ACTIONS(2470),
    [anon_sym_static_assert] = ACTIONS(2470),
    [anon_sym_precise] = ACTIONS(2470),
    [anon_sym_shared] = ACTIONS(2470),
    [anon_sym_groupshared] = ACTIONS(2470),
    [anon_sym_uniform] = ACTIONS(2470),
    [anon_sym_row_major] = ACTIONS(2470),
    [anon_sym_column_major] = ACTIONS(2470),
    [anon_sym_globallycoherent] = ACTIONS(2470),
    [anon_sym_centroid] = ACTIONS(2470),
    [anon_sym_noperspective] = ACTIONS(2470),
    [anon_sym_nointerpolation] = ACTIONS(2470),
    [anon_sym_sample] = ACTIONS(2470),
    [anon_sym_linear] = ACTIONS(2470),
    [anon_sym_snorm] = ACTIONS(2470),
    [anon_sym_unorm] = ACTIONS(2470),
    [anon_sym_point] = ACTIONS(2470),
    [anon_sym_line] = ACTIONS(2470),
    [anon_sym_triangleadj] = ACTIONS(2470),
    [anon_sym_lineadj] = ACTIONS(2470),
    [anon_sym_triangle] = ACTIONS(2470),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(2651),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2651),
    [sym_preproc_directive] = ACTIONS(2651),
    [anon_sym_LPAREN2] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym___extension__] = ACTIONS(2651),
    [anon_sym_typedef] = ACTIONS(2651),
    [anon_sym_in] = ACTIONS(2651),
    [anon_sym_out] = ACTIONS(2651),
    [anon_sym_inout] = ACTIONS(2651),
    [anon_sym_virtual] = ACTIONS(2651),
    [anon_sym_extern] = ACTIONS(2651),
    [anon_sym___attribute__] = ACTIONS(2651),
    [anon_sym___attribute] = ACTIONS(2651),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2653),
    [anon_sym___declspec] = ACTIONS(2651),
    [anon_sym___based] = ACTIONS(2651),
    [anon_sym_signed] = ACTIONS(2651),
    [anon_sym_unsigned] = ACTIONS(2651),
    [anon_sym_long] = ACTIONS(2651),
    [anon_sym_short] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_register] = ACTIONS(2651),
    [anon_sym_inline] = ACTIONS(2651),
    [anon_sym___inline] = ACTIONS(2651),
    [anon_sym___inline__] = ACTIONS(2651),
    [anon_sym___forceinline] = ACTIONS(2651),
    [anon_sym_thread_local] = ACTIONS(2651),
    [anon_sym___thread] = ACTIONS(2651),
    [anon_sym_const] = ACTIONS(2651),
    [anon_sym_constexpr] = ACTIONS(2651),
    [anon_sym_volatile] = ACTIONS(2651),
    [anon_sym_restrict] = ACTIONS(2651),
    [anon_sym___restrict__] = ACTIONS(2651),
    [anon_sym__Atomic] = ACTIONS(2651),
    [anon_sym__Noreturn] = ACTIONS(2651),
    [anon_sym_noreturn] = ACTIONS(2651),
    [anon_sym__Nonnull] = ACTIONS(2651),
    [anon_sym_mutable] = ACTIONS(2651),
    [anon_sym_constinit] = ACTIONS(2651),
    [anon_sym_consteval] = ACTIONS(2651),
    [anon_sym_alignas] = ACTIONS(2651),
    [anon_sym__Alignas] = ACTIONS(2651),
    [sym_primitive_type] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2651),
    [anon_sym_struct] = ACTIONS(2651),
    [anon_sym_union] = ACTIONS(2651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2651),
    [anon_sym_decltype] = ACTIONS(2651),
    [anon_sym_explicit] = ACTIONS(2651),
    [anon_sym_typename] = ACTIONS(2651),
    [anon_sym_template] = ACTIONS(2651),
    [anon_sym_operator] = ACTIONS(2651),
    [anon_sym_friend] = ACTIONS(2651),
    [anon_sym_public] = ACTIONS(2651),
    [anon_sym_private] = ACTIONS(2651),
    [anon_sym_protected] = ACTIONS(2651),
    [anon_sym_using] = ACTIONS(2651),
    [anon_sym_static_assert] = ACTIONS(2651),
    [anon_sym_precise] = ACTIONS(2651),
    [anon_sym_shared] = ACTIONS(2651),
    [anon_sym_groupshared] = ACTIONS(2651),
    [anon_sym_uniform] = ACTIONS(2651),
    [anon_sym_row_major] = ACTIONS(2651),
    [anon_sym_column_major] = ACTIONS(2651),
    [anon_sym_globallycoherent] = ACTIONS(2651),
    [anon_sym_centroid] = ACTIONS(2651),
    [anon_sym_noperspective] = ACTIONS(2651),
    [anon_sym_nointerpolation] = ACTIONS(2651),
    [anon_sym_sample] = ACTIONS(2651),
    [anon_sym_linear] = ACTIONS(2651),
    [anon_sym_snorm] = ACTIONS(2651),
    [anon_sym_unorm] = ACTIONS(2651),
    [anon_sym_point] = ACTIONS(2651),
    [anon_sym_line] = ACTIONS(2651),
    [anon_sym_triangleadj] = ACTIONS(2651),
    [anon_sym_lineadj] = ACTIONS(2651),
    [anon_sym_triangle] = ACTIONS(2651),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(2655),
    [aux_sym_preproc_def_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token2] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2655),
    [sym_preproc_directive] = ACTIONS(2655),
    [anon_sym_LPAREN2] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2655),
    [anon_sym_typedef] = ACTIONS(2655),
    [anon_sym_in] = ACTIONS(2655),
    [anon_sym_out] = ACTIONS(2655),
    [anon_sym_inout] = ACTIONS(2655),
    [anon_sym_virtual] = ACTIONS(2655),
    [anon_sym_extern] = ACTIONS(2655),
    [anon_sym___attribute__] = ACTIONS(2655),
    [anon_sym___attribute] = ACTIONS(2655),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2657),
    [anon_sym___declspec] = ACTIONS(2655),
    [anon_sym___based] = ACTIONS(2655),
    [anon_sym_signed] = ACTIONS(2655),
    [anon_sym_unsigned] = ACTIONS(2655),
    [anon_sym_long] = ACTIONS(2655),
    [anon_sym_short] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_register] = ACTIONS(2655),
    [anon_sym_inline] = ACTIONS(2655),
    [anon_sym___inline] = ACTIONS(2655),
    [anon_sym___inline__] = ACTIONS(2655),
    [anon_sym___forceinline] = ACTIONS(2655),
    [anon_sym_thread_local] = ACTIONS(2655),
    [anon_sym___thread] = ACTIONS(2655),
    [anon_sym_const] = ACTIONS(2655),
    [anon_sym_constexpr] = ACTIONS(2655),
    [anon_sym_volatile] = ACTIONS(2655),
    [anon_sym_restrict] = ACTIONS(2655),
    [anon_sym___restrict__] = ACTIONS(2655),
    [anon_sym__Atomic] = ACTIONS(2655),
    [anon_sym__Noreturn] = ACTIONS(2655),
    [anon_sym_noreturn] = ACTIONS(2655),
    [anon_sym__Nonnull] = ACTIONS(2655),
    [anon_sym_mutable] = ACTIONS(2655),
    [anon_sym_constinit] = ACTIONS(2655),
    [anon_sym_consteval] = ACTIONS(2655),
    [anon_sym_alignas] = ACTIONS(2655),
    [anon_sym__Alignas] = ACTIONS(2655),
    [sym_primitive_type] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2655),
    [anon_sym_struct] = ACTIONS(2655),
    [anon_sym_union] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2655),
    [anon_sym_decltype] = ACTIONS(2655),
    [anon_sym_explicit] = ACTIONS(2655),
    [anon_sym_typename] = ACTIONS(2655),
    [anon_sym_template] = ACTIONS(2655),
    [anon_sym_operator] = ACTIONS(2655),
    [anon_sym_friend] = ACTIONS(2655),
    [anon_sym_public] = ACTIONS(2655),
    [anon_sym_private] = ACTIONS(2655),
    [anon_sym_protected] = ACTIONS(2655),
    [anon_sym_using] = ACTIONS(2655),
    [anon_sym_static_assert] = ACTIONS(2655),
    [anon_sym_precise] = ACTIONS(2655),
    [anon_sym_shared] = ACTIONS(2655),
    [anon_sym_groupshared] = ACTIONS(2655),
    [anon_sym_uniform] = ACTIONS(2655),
    [anon_sym_row_major] = ACTIONS(2655),
    [anon_sym_column_major] = ACTIONS(2655),
    [anon_sym_globallycoherent] = ACTIONS(2655),
    [anon_sym_centroid] = ACTIONS(2655),
    [anon_sym_noperspective] = ACTIONS(2655),
    [anon_sym_nointerpolation] = ACTIONS(2655),
    [anon_sym_sample] = ACTIONS(2655),
    [anon_sym_linear] = ACTIONS(2655),
    [anon_sym_snorm] = ACTIONS(2655),
    [anon_sym_unorm] = ACTIONS(2655),
    [anon_sym_point] = ACTIONS(2655),
    [anon_sym_line] = ACTIONS(2655),
    [anon_sym_triangleadj] = ACTIONS(2655),
    [anon_sym_lineadj] = ACTIONS(2655),
    [anon_sym_triangle] = ACTIONS(2655),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [2128] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(2426),
    [aux_sym_preproc_def_token1] = ACTIONS(2426),
    [aux_sym_preproc_if_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2426),
    [sym_preproc_directive] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym___extension__] = ACTIONS(2426),
    [anon_sym_typedef] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2426),
    [anon_sym_out] = ACTIONS(2426),
    [anon_sym_inout] = ACTIONS(2426),
    [anon_sym_virtual] = ACTIONS(2426),
    [anon_sym_extern] = ACTIONS(2426),
    [anon_sym___attribute__] = ACTIONS(2426),
    [anon_sym___attribute] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2428),
    [anon_sym___declspec] = ACTIONS(2426),
    [anon_sym___based] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2426),
    [anon_sym_unsigned] = ACTIONS(2426),
    [anon_sym_long] = ACTIONS(2426),
    [anon_sym_short] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_register] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym___inline] = ACTIONS(2426),
    [anon_sym___inline__] = ACTIONS(2426),
    [anon_sym___forceinline] = ACTIONS(2426),
    [anon_sym_thread_local] = ACTIONS(2426),
    [anon_sym___thread] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_constexpr] = ACTIONS(2426),
    [anon_sym_volatile] = ACTIONS(2426),
    [anon_sym_restrict] = ACTIONS(2426),
    [anon_sym___restrict__] = ACTIONS(2426),
    [anon_sym__Atomic] = ACTIONS(2426),
    [anon_sym__Noreturn] = ACTIONS(2426),
    [anon_sym_noreturn] = ACTIONS(2426),
    [anon_sym__Nonnull] = ACTIONS(2426),
    [anon_sym_mutable] = ACTIONS(2426),
    [anon_sym_constinit] = ACTIONS(2426),
    [anon_sym_consteval] = ACTIONS(2426),
    [anon_sym_alignas] = ACTIONS(2426),
    [anon_sym__Alignas] = ACTIONS(2426),
    [sym_primitive_type] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2426),
    [anon_sym_union] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2426),
    [anon_sym_decltype] = ACTIONS(2426),
    [anon_sym_explicit] = ACTIONS(2426),
    [anon_sym_typename] = ACTIONS(2426),
    [anon_sym_template] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_friend] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_static_assert] = ACTIONS(2426),
    [anon_sym_precise] = ACTIONS(2426),
    [anon_sym_shared] = ACTIONS(2426),
    [anon_sym_groupshared] = ACTIONS(2426),
    [anon_sym_uniform] = ACTIONS(2426),
    [anon_sym_row_major] = ACTIONS(2426),
    [anon_sym_column_major] = ACTIONS(2426),
    [anon_sym_globallycoherent] = ACTIONS(2426),
    [anon_sym_centroid] = ACTIONS(2426),
    [anon_sym_noperspective] = ACTIONS(2426),
    [anon_sym_nointerpolation] = ACTIONS(2426),
    [anon_sym_sample] = ACTIONS(2426),
    [anon_sym_linear] = ACTIONS(2426),
    [anon_sym_snorm] = ACTIONS(2426),
    [anon_sym_unorm] = ACTIONS(2426),
    [anon_sym_point] = ACTIONS(2426),
    [anon_sym_line] = ACTIONS(2426),
    [anon_sym_triangleadj] = ACTIONS(2426),
    [anon_sym_lineadj] = ACTIONS(2426),
    [anon_sym_triangle] = ACTIONS(2426),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(5344),
    [aux_sym_preproc_def_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5344),
    [sym_preproc_directive] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(5346),
    [anon_sym_TILDE] = ACTIONS(5346),
    [anon_sym_STAR] = ACTIONS(5346),
    [anon_sym_AMP_AMP] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5346),
    [anon_sym___extension__] = ACTIONS(5344),
    [anon_sym_typedef] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5344),
    [anon_sym_out] = ACTIONS(5344),
    [anon_sym_inout] = ACTIONS(5344),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_extern] = ACTIONS(5344),
    [anon_sym___attribute__] = ACTIONS(5344),
    [anon_sym___attribute] = ACTIONS(5344),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5346),
    [anon_sym___declspec] = ACTIONS(5344),
    [anon_sym___based] = ACTIONS(5344),
    [anon_sym_RBRACE] = ACTIONS(5346),
    [anon_sym_signed] = ACTIONS(5344),
    [anon_sym_unsigned] = ACTIONS(5344),
    [anon_sym_long] = ACTIONS(5344),
    [anon_sym_short] = ACTIONS(5344),
    [anon_sym_LBRACK] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(5344),
    [anon_sym_register] = ACTIONS(5344),
    [anon_sym_inline] = ACTIONS(5344),
    [anon_sym___inline] = ACTIONS(5344),
    [anon_sym___inline__] = ACTIONS(5344),
    [anon_sym___forceinline] = ACTIONS(5344),
    [anon_sym_thread_local] = ACTIONS(5344),
    [anon_sym___thread] = ACTIONS(5344),
    [anon_sym_const] = ACTIONS(5344),
    [anon_sym_constexpr] = ACTIONS(5344),
    [anon_sym_volatile] = ACTIONS(5344),
    [anon_sym_restrict] = ACTIONS(5344),
    [anon_sym___restrict__] = ACTIONS(5344),
    [anon_sym__Atomic] = ACTIONS(5344),
    [anon_sym__Noreturn] = ACTIONS(5344),
    [anon_sym_noreturn] = ACTIONS(5344),
    [anon_sym__Nonnull] = ACTIONS(5344),
    [anon_sym_mutable] = ACTIONS(5344),
    [anon_sym_constinit] = ACTIONS(5344),
    [anon_sym_consteval] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5344),
    [anon_sym__Alignas] = ACTIONS(5344),
    [sym_primitive_type] = ACTIONS(5344),
    [anon_sym_enum] = ACTIONS(5344),
    [anon_sym_class] = ACTIONS(5344),
    [anon_sym_struct] = ACTIONS(5344),
    [anon_sym_union] = ACTIONS(5344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5344),
    [anon_sym_decltype] = ACTIONS(5344),
    [anon_sym_explicit] = ACTIONS(5344),
    [anon_sym_typename] = ACTIONS(5344),
    [anon_sym_template] = ACTIONS(5344),
    [anon_sym_operator] = ACTIONS(5344),
    [anon_sym_friend] = ACTIONS(5344),
    [anon_sym_public] = ACTIONS(5344),
    [anon_sym_private] = ACTIONS(5344),
    [anon_sym_protected] = ACTIONS(5344),
    [anon_sym_using] = ACTIONS(5344),
    [anon_sym_static_assert] = ACTIONS(5344),
    [anon_sym_precise] = ACTIONS(5344),
    [anon_sym_shared] = ACTIONS(5344),
    [anon_sym_groupshared] = ACTIONS(5344),
    [anon_sym_uniform] = ACTIONS(5344),
    [anon_sym_row_major] = ACTIONS(5344),
    [anon_sym_column_major] = ACTIONS(5344),
    [anon_sym_globallycoherent] = ACTIONS(5344),
    [anon_sym_centroid] = ACTIONS(5344),
    [anon_sym_noperspective] = ACTIONS(5344),
    [anon_sym_nointerpolation] = ACTIONS(5344),
    [anon_sym_sample] = ACTIONS(5344),
    [anon_sym_linear] = ACTIONS(5344),
    [anon_sym_snorm] = ACTIONS(5344),
    [anon_sym_unorm] = ACTIONS(5344),
    [anon_sym_point] = ACTIONS(5344),
    [anon_sym_line] = ACTIONS(5344),
    [anon_sym_triangleadj] = ACTIONS(5344),
    [anon_sym_lineadj] = ACTIONS(5344),
    [anon_sym_triangle] = ACTIONS(5344),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(5440),
    [aux_sym_preproc_def_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token1] = ACTIONS(5440),
    [aux_sym_preproc_if_token2] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5440),
    [sym_preproc_directive] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_TILDE] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___extension__] = ACTIONS(5440),
    [anon_sym_typedef] = ACTIONS(5440),
    [anon_sym_in] = ACTIONS(5440),
    [anon_sym_out] = ACTIONS(5440),
    [anon_sym_inout] = ACTIONS(5440),
    [anon_sym_virtual] = ACTIONS(5440),
    [anon_sym_extern] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym___attribute] = ACTIONS(5440),
    [anon_sym_COLON_COLON] = ACTIONS(5442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5442),
    [anon_sym___declspec] = ACTIONS(5440),
    [anon_sym___based] = ACTIONS(5440),
    [anon_sym_signed] = ACTIONS(5440),
    [anon_sym_unsigned] = ACTIONS(5440),
    [anon_sym_long] = ACTIONS(5440),
    [anon_sym_short] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_static] = ACTIONS(5440),
    [anon_sym_register] = ACTIONS(5440),
    [anon_sym_inline] = ACTIONS(5440),
    [anon_sym___inline] = ACTIONS(5440),
    [anon_sym___inline__] = ACTIONS(5440),
    [anon_sym___forceinline] = ACTIONS(5440),
    [anon_sym_thread_local] = ACTIONS(5440),
    [anon_sym___thread] = ACTIONS(5440),
    [anon_sym_const] = ACTIONS(5440),
    [anon_sym_constexpr] = ACTIONS(5440),
    [anon_sym_volatile] = ACTIONS(5440),
    [anon_sym_restrict] = ACTIONS(5440),
    [anon_sym___restrict__] = ACTIONS(5440),
    [anon_sym__Atomic] = ACTIONS(5440),
    [anon_sym__Noreturn] = ACTIONS(5440),
    [anon_sym_noreturn] = ACTIONS(5440),
    [anon_sym__Nonnull] = ACTIONS(5440),
    [anon_sym_mutable] = ACTIONS(5440),
    [anon_sym_constinit] = ACTIONS(5440),
    [anon_sym_consteval] = ACTIONS(5440),
    [anon_sym_alignas] = ACTIONS(5440),
    [anon_sym__Alignas] = ACTIONS(5440),
    [sym_primitive_type] = ACTIONS(5440),
    [anon_sym_enum] = ACTIONS(5440),
    [anon_sym_class] = ACTIONS(5440),
    [anon_sym_struct] = ACTIONS(5440),
    [anon_sym_union] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
    [anon_sym_explicit] = ACTIONS(5440),
    [anon_sym_typename] = ACTIONS(5440),
    [anon_sym_template] = ACTIONS(5440),
    [anon_sym_operator] = ACTIONS(5440),
    [anon_sym_friend] = ACTIONS(5440),
    [anon_sym_public] = ACTIONS(5440),
    [anon_sym_private] = ACTIONS(5440),
    [anon_sym_protected] = ACTIONS(5440),
    [anon_sym_using] = ACTIONS(5440),
    [anon_sym_static_assert] = ACTIONS(5440),
    [anon_sym_precise] = ACTIONS(5440),
    [anon_sym_shared] = ACTIONS(5440),
    [anon_sym_groupshared] = ACTIONS(5440),
    [anon_sym_uniform] = ACTIONS(5440),
    [anon_sym_row_major] = ACTIONS(5440),
    [anon_sym_column_major] = ACTIONS(5440),
    [anon_sym_globallycoherent] = ACTIONS(5440),
    [anon_sym_centroid] = ACTIONS(5440),
    [anon_sym_noperspective] = ACTIONS(5440),
    [anon_sym_nointerpolation] = ACTIONS(5440),
    [anon_sym_sample] = ACTIONS(5440),
    [anon_sym_linear] = ACTIONS(5440),
    [anon_sym_snorm] = ACTIONS(5440),
    [anon_sym_unorm] = ACTIONS(5440),
    [anon_sym_point] = ACTIONS(5440),
    [anon_sym_line] = ACTIONS(5440),
    [anon_sym_triangleadj] = ACTIONS(5440),
    [anon_sym_lineadj] = ACTIONS(5440),
    [anon_sym_triangle] = ACTIONS(5440),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(5444),
    [aux_sym_preproc_def_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token2] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5444),
    [sym_preproc_directive] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_TILDE] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym_typedef] = ACTIONS(5444),
    [anon_sym_in] = ACTIONS(5444),
    [anon_sym_out] = ACTIONS(5444),
    [anon_sym_inout] = ACTIONS(5444),
    [anon_sym_virtual] = ACTIONS(5444),
    [anon_sym_extern] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym___attribute] = ACTIONS(5444),
    [anon_sym_COLON_COLON] = ACTIONS(5446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5446),
    [anon_sym___declspec] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_static] = ACTIONS(5444),
    [anon_sym_register] = ACTIONS(5444),
    [anon_sym_inline] = ACTIONS(5444),
    [anon_sym___inline] = ACTIONS(5444),
    [anon_sym___inline__] = ACTIONS(5444),
    [anon_sym___forceinline] = ACTIONS(5444),
    [anon_sym_thread_local] = ACTIONS(5444),
    [anon_sym___thread] = ACTIONS(5444),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym__Nonnull] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym__Alignas] = ACTIONS(5444),
    [sym_primitive_type] = ACTIONS(5444),
    [anon_sym_enum] = ACTIONS(5444),
    [anon_sym_class] = ACTIONS(5444),
    [anon_sym_struct] = ACTIONS(5444),
    [anon_sym_union] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_explicit] = ACTIONS(5444),
    [anon_sym_typename] = ACTIONS(5444),
    [anon_sym_template] = ACTIONS(5444),
    [anon_sym_operator] = ACTIONS(5444),
    [anon_sym_friend] = ACTIONS(5444),
    [anon_sym_public] = ACTIONS(5444),
    [anon_sym_private] = ACTIONS(5444),
    [anon_sym_protected] = ACTIONS(5444),
    [anon_sym_using] = ACTIONS(5444),
    [anon_sym_static_assert] = ACTIONS(5444),
    [anon_sym_precise] = ACTIONS(5444),
    [anon_sym_shared] = ACTIONS(5444),
    [anon_sym_groupshared] = ACTIONS(5444),
    [anon_sym_uniform] = ACTIONS(5444),
    [anon_sym_row_major] = ACTIONS(5444),
    [anon_sym_column_major] = ACTIONS(5444),
    [anon_sym_globallycoherent] = ACTIONS(5444),
    [anon_sym_centroid] = ACTIONS(5444),
    [anon_sym_noperspective] = ACTIONS(5444),
    [anon_sym_nointerpolation] = ACTIONS(5444),
    [anon_sym_sample] = ACTIONS(5444),
    [anon_sym_linear] = ACTIONS(5444),
    [anon_sym_snorm] = ACTIONS(5444),
    [anon_sym_unorm] = ACTIONS(5444),
    [anon_sym_point] = ACTIONS(5444),
    [anon_sym_line] = ACTIONS(5444),
    [anon_sym_triangleadj] = ACTIONS(5444),
    [anon_sym_lineadj] = ACTIONS(5444),
    [anon_sym_triangle] = ACTIONS(5444),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token2] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_friend] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token2] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_friend] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(2398),
    [aux_sym_preproc_def_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token1] = ACTIONS(2398),
    [aux_sym_preproc_if_token2] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2398),
    [sym_preproc_directive] = ACTIONS(2398),
    [anon_sym_LPAREN2] = ACTIONS(2400),
    [anon_sym_TILDE] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2400),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym___extension__] = ACTIONS(2398),
    [anon_sym_typedef] = ACTIONS(2398),
    [anon_sym_in] = ACTIONS(2398),
    [anon_sym_out] = ACTIONS(2398),
    [anon_sym_inout] = ACTIONS(2398),
    [anon_sym_virtual] = ACTIONS(2398),
    [anon_sym_extern] = ACTIONS(2398),
    [anon_sym___attribute__] = ACTIONS(2398),
    [anon_sym___attribute] = ACTIONS(2398),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2400),
    [anon_sym___declspec] = ACTIONS(2398),
    [anon_sym___based] = ACTIONS(2398),
    [anon_sym_signed] = ACTIONS(2398),
    [anon_sym_unsigned] = ACTIONS(2398),
    [anon_sym_long] = ACTIONS(2398),
    [anon_sym_short] = ACTIONS(2398),
    [anon_sym_LBRACK] = ACTIONS(2398),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_register] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(2398),
    [anon_sym___inline] = ACTIONS(2398),
    [anon_sym___inline__] = ACTIONS(2398),
    [anon_sym___forceinline] = ACTIONS(2398),
    [anon_sym_thread_local] = ACTIONS(2398),
    [anon_sym___thread] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_constexpr] = ACTIONS(2398),
    [anon_sym_volatile] = ACTIONS(2398),
    [anon_sym_restrict] = ACTIONS(2398),
    [anon_sym___restrict__] = ACTIONS(2398),
    [anon_sym__Atomic] = ACTIONS(2398),
    [anon_sym__Noreturn] = ACTIONS(2398),
    [anon_sym_noreturn] = ACTIONS(2398),
    [anon_sym__Nonnull] = ACTIONS(2398),
    [anon_sym_mutable] = ACTIONS(2398),
    [anon_sym_constinit] = ACTIONS(2398),
    [anon_sym_consteval] = ACTIONS(2398),
    [anon_sym_alignas] = ACTIONS(2398),
    [anon_sym__Alignas] = ACTIONS(2398),
    [sym_primitive_type] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_class] = ACTIONS(2398),
    [anon_sym_struct] = ACTIONS(2398),
    [anon_sym_union] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2398),
    [anon_sym_decltype] = ACTIONS(2398),
    [anon_sym_explicit] = ACTIONS(2398),
    [anon_sym_typename] = ACTIONS(2398),
    [anon_sym_template] = ACTIONS(2398),
    [anon_sym_operator] = ACTIONS(2398),
    [anon_sym_friend] = ACTIONS(2398),
    [anon_sym_public] = ACTIONS(2398),
    [anon_sym_private] = ACTIONS(2398),
    [anon_sym_protected] = ACTIONS(2398),
    [anon_sym_using] = ACTIONS(2398),
    [anon_sym_static_assert] = ACTIONS(2398),
    [anon_sym_precise] = ACTIONS(2398),
    [anon_sym_shared] = ACTIONS(2398),
    [anon_sym_groupshared] = ACTIONS(2398),
    [anon_sym_uniform] = ACTIONS(2398),
    [anon_sym_row_major] = ACTIONS(2398),
    [anon_sym_column_major] = ACTIONS(2398),
    [anon_sym_globallycoherent] = ACTIONS(2398),
    [anon_sym_centroid] = ACTIONS(2398),
    [anon_sym_noperspective] = ACTIONS(2398),
    [anon_sym_nointerpolation] = ACTIONS(2398),
    [anon_sym_sample] = ACTIONS(2398),
    [anon_sym_linear] = ACTIONS(2398),
    [anon_sym_snorm] = ACTIONS(2398),
    [anon_sym_unorm] = ACTIONS(2398),
    [anon_sym_point] = ACTIONS(2398),
    [anon_sym_line] = ACTIONS(2398),
    [anon_sym_triangleadj] = ACTIONS(2398),
    [anon_sym_lineadj] = ACTIONS(2398),
    [anon_sym_triangle] = ACTIONS(2398),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_out] = ACTIONS(2474),
    [anon_sym_inout] = ACTIONS(2474),
    [anon_sym_virtual] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_friend] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_precise] = ACTIONS(2474),
    [anon_sym_shared] = ACTIONS(2474),
    [anon_sym_groupshared] = ACTIONS(2474),
    [anon_sym_uniform] = ACTIONS(2474),
    [anon_sym_row_major] = ACTIONS(2474),
    [anon_sym_column_major] = ACTIONS(2474),
    [anon_sym_globallycoherent] = ACTIONS(2474),
    [anon_sym_centroid] = ACTIONS(2474),
    [anon_sym_noperspective] = ACTIONS(2474),
    [anon_sym_nointerpolation] = ACTIONS(2474),
    [anon_sym_sample] = ACTIONS(2474),
    [anon_sym_linear] = ACTIONS(2474),
    [anon_sym_snorm] = ACTIONS(2474),
    [anon_sym_unorm] = ACTIONS(2474),
    [anon_sym_point] = ACTIONS(2474),
    [anon_sym_line] = ACTIONS(2474),
    [anon_sym_triangleadj] = ACTIONS(2474),
    [anon_sym_lineadj] = ACTIONS(2474),
    [anon_sym_triangle] = ACTIONS(2474),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(2603),
    [aux_sym_preproc_def_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token1] = ACTIONS(2603),
    [aux_sym_preproc_if_token2] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2603),
    [sym_preproc_directive] = ACTIONS(2603),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_AMP_AMP] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2603),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym___extension__] = ACTIONS(2603),
    [anon_sym_typedef] = ACTIONS(2603),
    [anon_sym_in] = ACTIONS(2603),
    [anon_sym_out] = ACTIONS(2603),
    [anon_sym_inout] = ACTIONS(2603),
    [anon_sym_virtual] = ACTIONS(2603),
    [anon_sym_extern] = ACTIONS(2603),
    [anon_sym___attribute__] = ACTIONS(2603),
    [anon_sym___attribute] = ACTIONS(2603),
    [anon_sym_COLON_COLON] = ACTIONS(2605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2605),
    [anon_sym___declspec] = ACTIONS(2603),
    [anon_sym___based] = ACTIONS(2603),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [anon_sym_static] = ACTIONS(2603),
    [anon_sym_register] = ACTIONS(2603),
    [anon_sym_inline] = ACTIONS(2603),
    [anon_sym___inline] = ACTIONS(2603),
    [anon_sym___inline__] = ACTIONS(2603),
    [anon_sym___forceinline] = ACTIONS(2603),
    [anon_sym_thread_local] = ACTIONS(2603),
    [anon_sym___thread] = ACTIONS(2603),
    [anon_sym_const] = ACTIONS(2603),
    [anon_sym_constexpr] = ACTIONS(2603),
    [anon_sym_volatile] = ACTIONS(2603),
    [anon_sym_restrict] = ACTIONS(2603),
    [anon_sym___restrict__] = ACTIONS(2603),
    [anon_sym__Atomic] = ACTIONS(2603),
    [anon_sym__Noreturn] = ACTIONS(2603),
    [anon_sym_noreturn] = ACTIONS(2603),
    [anon_sym__Nonnull] = ACTIONS(2603),
    [anon_sym_mutable] = ACTIONS(2603),
    [anon_sym_constinit] = ACTIONS(2603),
    [anon_sym_consteval] = ACTIONS(2603),
    [anon_sym_alignas] = ACTIONS(2603),
    [anon_sym__Alignas] = ACTIONS(2603),
    [sym_primitive_type] = ACTIONS(2603),
    [anon_sym_enum] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2603),
    [anon_sym_struct] = ACTIONS(2603),
    [anon_sym_union] = ACTIONS(2603),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2603),
    [anon_sym_decltype] = ACTIONS(2603),
    [anon_sym_explicit] = ACTIONS(2603),
    [anon_sym_typename] = ACTIONS(2603),
    [anon_sym_template] = ACTIONS(2603),
    [anon_sym_operator] = ACTIONS(2603),
    [anon_sym_friend] = ACTIONS(2603),
    [anon_sym_public] = ACTIONS(2603),
    [anon_sym_private] = ACTIONS(2603),
    [anon_sym_protected] = ACTIONS(2603),
    [anon_sym_using] = ACTIONS(2603),
    [anon_sym_static_assert] = ACTIONS(2603),
    [anon_sym_precise] = ACTIONS(2603),
    [anon_sym_shared] = ACTIONS(2603),
    [anon_sym_groupshared] = ACTIONS(2603),
    [anon_sym_uniform] = ACTIONS(2603),
    [anon_sym_row_major] = ACTIONS(2603),
    [anon_sym_column_major] = ACTIONS(2603),
    [anon_sym_globallycoherent] = ACTIONS(2603),
    [anon_sym_centroid] = ACTIONS(2603),
    [anon_sym_noperspective] = ACTIONS(2603),
    [anon_sym_nointerpolation] = ACTIONS(2603),
    [anon_sym_sample] = ACTIONS(2603),
    [anon_sym_linear] = ACTIONS(2603),
    [anon_sym_snorm] = ACTIONS(2603),
    [anon_sym_unorm] = ACTIONS(2603),
    [anon_sym_point] = ACTIONS(2603),
    [anon_sym_line] = ACTIONS(2603),
    [anon_sym_triangleadj] = ACTIONS(2603),
    [anon_sym_lineadj] = ACTIONS(2603),
    [anon_sym_triangle] = ACTIONS(2603),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_friend] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_in] = ACTIONS(5448),
    [anon_sym_out] = ACTIONS(5448),
    [anon_sym_inout] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
    [anon_sym_precise] = ACTIONS(5448),
    [anon_sym_shared] = ACTIONS(5448),
    [anon_sym_groupshared] = ACTIONS(5448),
    [anon_sym_uniform] = ACTIONS(5448),
    [anon_sym_row_major] = ACTIONS(5448),
    [anon_sym_column_major] = ACTIONS(5448),
    [anon_sym_globallycoherent] = ACTIONS(5448),
    [anon_sym_centroid] = ACTIONS(5448),
    [anon_sym_noperspective] = ACTIONS(5448),
    [anon_sym_nointerpolation] = ACTIONS(5448),
    [anon_sym_sample] = ACTIONS(5448),
    [anon_sym_linear] = ACTIONS(5448),
    [anon_sym_snorm] = ACTIONS(5448),
    [anon_sym_unorm] = ACTIONS(5448),
    [anon_sym_point] = ACTIONS(5448),
    [anon_sym_line] = ACTIONS(5448),
    [anon_sym_triangleadj] = ACTIONS(5448),
    [anon_sym_lineadj] = ACTIONS(5448),
    [anon_sym_triangle] = ACTIONS(5448),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_friend] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(2607),
    [aux_sym_preproc_def_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token1] = ACTIONS(2607),
    [aux_sym_preproc_if_token2] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2607),
    [sym_preproc_directive] = ACTIONS(2607),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_TILDE] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2609),
    [anon_sym_AMP_AMP] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym___extension__] = ACTIONS(2607),
    [anon_sym_typedef] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2607),
    [anon_sym_out] = ACTIONS(2607),
    [anon_sym_inout] = ACTIONS(2607),
    [anon_sym_virtual] = ACTIONS(2607),
    [anon_sym_extern] = ACTIONS(2607),
    [anon_sym___attribute__] = ACTIONS(2607),
    [anon_sym___attribute] = ACTIONS(2607),
    [anon_sym_COLON_COLON] = ACTIONS(2609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2609),
    [anon_sym___declspec] = ACTIONS(2607),
    [anon_sym___based] = ACTIONS(2607),
    [anon_sym_signed] = ACTIONS(2607),
    [anon_sym_unsigned] = ACTIONS(2607),
    [anon_sym_long] = ACTIONS(2607),
    [anon_sym_short] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_register] = ACTIONS(2607),
    [anon_sym_inline] = ACTIONS(2607),
    [anon_sym___inline] = ACTIONS(2607),
    [anon_sym___inline__] = ACTIONS(2607),
    [anon_sym___forceinline] = ACTIONS(2607),
    [anon_sym_thread_local] = ACTIONS(2607),
    [anon_sym___thread] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2607),
    [anon_sym_constexpr] = ACTIONS(2607),
    [anon_sym_volatile] = ACTIONS(2607),
    [anon_sym_restrict] = ACTIONS(2607),
    [anon_sym___restrict__] = ACTIONS(2607),
    [anon_sym__Atomic] = ACTIONS(2607),
    [anon_sym__Noreturn] = ACTIONS(2607),
    [anon_sym_noreturn] = ACTIONS(2607),
    [anon_sym__Nonnull] = ACTIONS(2607),
    [anon_sym_mutable] = ACTIONS(2607),
    [anon_sym_constinit] = ACTIONS(2607),
    [anon_sym_consteval] = ACTIONS(2607),
    [anon_sym_alignas] = ACTIONS(2607),
    [anon_sym__Alignas] = ACTIONS(2607),
    [sym_primitive_type] = ACTIONS(2607),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2607),
    [anon_sym_struct] = ACTIONS(2607),
    [anon_sym_union] = ACTIONS(2607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2607),
    [anon_sym_decltype] = ACTIONS(2607),
    [anon_sym_explicit] = ACTIONS(2607),
    [anon_sym_typename] = ACTIONS(2607),
    [anon_sym_template] = ACTIONS(2607),
    [anon_sym_operator] = ACTIONS(2607),
    [anon_sym_friend] = ACTIONS(2607),
    [anon_sym_public] = ACTIONS(2607),
    [anon_sym_private] = ACTIONS(2607),
    [anon_sym_protected] = ACTIONS(2607),
    [anon_sym_using] = ACTIONS(2607),
    [anon_sym_static_assert] = ACTIONS(2607),
    [anon_sym_precise] = ACTIONS(2607),
    [anon_sym_shared] = ACTIONS(2607),
    [anon_sym_groupshared] = ACTIONS(2607),
    [anon_sym_uniform] = ACTIONS(2607),
    [anon_sym_row_major] = ACTIONS(2607),
    [anon_sym_column_major] = ACTIONS(2607),
    [anon_sym_globallycoherent] = ACTIONS(2607),
    [anon_sym_centroid] = ACTIONS(2607),
    [anon_sym_noperspective] = ACTIONS(2607),
    [anon_sym_nointerpolation] = ACTIONS(2607),
    [anon_sym_sample] = ACTIONS(2607),
    [anon_sym_linear] = ACTIONS(2607),
    [anon_sym_snorm] = ACTIONS(2607),
    [anon_sym_unorm] = ACTIONS(2607),
    [anon_sym_point] = ACTIONS(2607),
    [anon_sym_line] = ACTIONS(2607),
    [anon_sym_triangleadj] = ACTIONS(2607),
    [anon_sym_lineadj] = ACTIONS(2607),
    [anon_sym_triangle] = ACTIONS(2607),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(2434),
    [aux_sym_preproc_def_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token1] = ACTIONS(2434),
    [aux_sym_preproc_if_token2] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2434),
    [sym_preproc_directive] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2436),
    [anon_sym___extension__] = ACTIONS(2434),
    [anon_sym_typedef] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_out] = ACTIONS(2434),
    [anon_sym_inout] = ACTIONS(2434),
    [anon_sym_virtual] = ACTIONS(2434),
    [anon_sym_extern] = ACTIONS(2434),
    [anon_sym___attribute__] = ACTIONS(2434),
    [anon_sym___attribute] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2436),
    [anon_sym___declspec] = ACTIONS(2434),
    [anon_sym___based] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2434),
    [anon_sym_unsigned] = ACTIONS(2434),
    [anon_sym_long] = ACTIONS(2434),
    [anon_sym_short] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_register] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym___inline] = ACTIONS(2434),
    [anon_sym___inline__] = ACTIONS(2434),
    [anon_sym___forceinline] = ACTIONS(2434),
    [anon_sym_thread_local] = ACTIONS(2434),
    [anon_sym___thread] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_constexpr] = ACTIONS(2434),
    [anon_sym_volatile] = ACTIONS(2434),
    [anon_sym_restrict] = ACTIONS(2434),
    [anon_sym___restrict__] = ACTIONS(2434),
    [anon_sym__Atomic] = ACTIONS(2434),
    [anon_sym__Noreturn] = ACTIONS(2434),
    [anon_sym_noreturn] = ACTIONS(2434),
    [anon_sym__Nonnull] = ACTIONS(2434),
    [anon_sym_mutable] = ACTIONS(2434),
    [anon_sym_constinit] = ACTIONS(2434),
    [anon_sym_consteval] = ACTIONS(2434),
    [anon_sym_alignas] = ACTIONS(2434),
    [anon_sym__Alignas] = ACTIONS(2434),
    [sym_primitive_type] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_struct] = ACTIONS(2434),
    [anon_sym_union] = ACTIONS(2434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2434),
    [anon_sym_decltype] = ACTIONS(2434),
    [anon_sym_explicit] = ACTIONS(2434),
    [anon_sym_typename] = ACTIONS(2434),
    [anon_sym_template] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2434),
    [anon_sym_friend] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_static_assert] = ACTIONS(2434),
    [anon_sym_precise] = ACTIONS(2434),
    [anon_sym_shared] = ACTIONS(2434),
    [anon_sym_groupshared] = ACTIONS(2434),
    [anon_sym_uniform] = ACTIONS(2434),
    [anon_sym_row_major] = ACTIONS(2434),
    [anon_sym_column_major] = ACTIONS(2434),
    [anon_sym_globallycoherent] = ACTIONS(2434),
    [anon_sym_centroid] = ACTIONS(2434),
    [anon_sym_noperspective] = ACTIONS(2434),
    [anon_sym_nointerpolation] = ACTIONS(2434),
    [anon_sym_sample] = ACTIONS(2434),
    [anon_sym_linear] = ACTIONS(2434),
    [anon_sym_snorm] = ACTIONS(2434),
    [anon_sym_unorm] = ACTIONS(2434),
    [anon_sym_point] = ACTIONS(2434),
    [anon_sym_line] = ACTIONS(2434),
    [anon_sym_triangleadj] = ACTIONS(2434),
    [anon_sym_lineadj] = ACTIONS(2434),
    [anon_sym_triangle] = ACTIONS(2434),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(5368),
    [aux_sym_preproc_def_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token2] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5368),
    [sym_preproc_directive] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5370),
    [anon_sym_TILDE] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [anon_sym___extension__] = ACTIONS(5368),
    [anon_sym_typedef] = ACTIONS(5368),
    [anon_sym_in] = ACTIONS(5368),
    [anon_sym_out] = ACTIONS(5368),
    [anon_sym_inout] = ACTIONS(5368),
    [anon_sym_virtual] = ACTIONS(5368),
    [anon_sym_extern] = ACTIONS(5368),
    [anon_sym___attribute__] = ACTIONS(5368),
    [anon_sym___attribute] = ACTIONS(5368),
    [anon_sym_COLON_COLON] = ACTIONS(5370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5370),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(5368),
    [anon_sym_signed] = ACTIONS(5368),
    [anon_sym_unsigned] = ACTIONS(5368),
    [anon_sym_long] = ACTIONS(5368),
    [anon_sym_short] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_static] = ACTIONS(5368),
    [anon_sym_register] = ACTIONS(5368),
    [anon_sym_inline] = ACTIONS(5368),
    [anon_sym___inline] = ACTIONS(5368),
    [anon_sym___inline__] = ACTIONS(5368),
    [anon_sym___forceinline] = ACTIONS(5368),
    [anon_sym_thread_local] = ACTIONS(5368),
    [anon_sym___thread] = ACTIONS(5368),
    [anon_sym_const] = ACTIONS(5368),
    [anon_sym_constexpr] = ACTIONS(5368),
    [anon_sym_volatile] = ACTIONS(5368),
    [anon_sym_restrict] = ACTIONS(5368),
    [anon_sym___restrict__] = ACTIONS(5368),
    [anon_sym__Atomic] = ACTIONS(5368),
    [anon_sym__Noreturn] = ACTIONS(5368),
    [anon_sym_noreturn] = ACTIONS(5368),
    [anon_sym__Nonnull] = ACTIONS(5368),
    [anon_sym_mutable] = ACTIONS(5368),
    [anon_sym_constinit] = ACTIONS(5368),
    [anon_sym_consteval] = ACTIONS(5368),
    [anon_sym_alignas] = ACTIONS(5368),
    [anon_sym__Alignas] = ACTIONS(5368),
    [sym_primitive_type] = ACTIONS(5368),
    [anon_sym_enum] = ACTIONS(5368),
    [anon_sym_class] = ACTIONS(5368),
    [anon_sym_struct] = ACTIONS(5368),
    [anon_sym_union] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5368),
    [anon_sym_decltype] = ACTIONS(5368),
    [anon_sym_explicit] = ACTIONS(5368),
    [anon_sym_typename] = ACTIONS(5368),
    [anon_sym_template] = ACTIONS(5368),
    [anon_sym_operator] = ACTIONS(5368),
    [anon_sym_friend] = ACTIONS(5368),
    [anon_sym_public] = ACTIONS(5368),
    [anon_sym_private] = ACTIONS(5368),
    [anon_sym_protected] = ACTIONS(5368),
    [anon_sym_using] = ACTIONS(5368),
    [anon_sym_static_assert] = ACTIONS(5368),
    [anon_sym_precise] = ACTIONS(5368),
    [anon_sym_shared] = ACTIONS(5368),
    [anon_sym_groupshared] = ACTIONS(5368),
    [anon_sym_uniform] = ACTIONS(5368),
    [anon_sym_row_major] = ACTIONS(5368),
    [anon_sym_column_major] = ACTIONS(5368),
    [anon_sym_globallycoherent] = ACTIONS(5368),
    [anon_sym_centroid] = ACTIONS(5368),
    [anon_sym_noperspective] = ACTIONS(5368),
    [anon_sym_nointerpolation] = ACTIONS(5368),
    [anon_sym_sample] = ACTIONS(5368),
    [anon_sym_linear] = ACTIONS(5368),
    [anon_sym_snorm] = ACTIONS(5368),
    [anon_sym_unorm] = ACTIONS(5368),
    [anon_sym_point] = ACTIONS(5368),
    [anon_sym_line] = ACTIONS(5368),
    [anon_sym_triangleadj] = ACTIONS(5368),
    [anon_sym_lineadj] = ACTIONS(5368),
    [anon_sym_triangle] = ACTIONS(5368),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(5364),
    [aux_sym_preproc_def_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token2] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5364),
    [sym_preproc_directive] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [anon_sym_TILDE] = ACTIONS(5366),
    [anon_sym_STAR] = ACTIONS(5366),
    [anon_sym_AMP_AMP] = ACTIONS(5366),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [anon_sym___extension__] = ACTIONS(5364),
    [anon_sym_typedef] = ACTIONS(5364),
    [anon_sym_in] = ACTIONS(5364),
    [anon_sym_out] = ACTIONS(5364),
    [anon_sym_inout] = ACTIONS(5364),
    [anon_sym_virtual] = ACTIONS(5364),
    [anon_sym_extern] = ACTIONS(5364),
    [anon_sym___attribute__] = ACTIONS(5364),
    [anon_sym___attribute] = ACTIONS(5364),
    [anon_sym_COLON_COLON] = ACTIONS(5366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5364),
    [anon_sym___based] = ACTIONS(5364),
    [anon_sym_signed] = ACTIONS(5364),
    [anon_sym_unsigned] = ACTIONS(5364),
    [anon_sym_long] = ACTIONS(5364),
    [anon_sym_short] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5364),
    [anon_sym_static] = ACTIONS(5364),
    [anon_sym_register] = ACTIONS(5364),
    [anon_sym_inline] = ACTIONS(5364),
    [anon_sym___inline] = ACTIONS(5364),
    [anon_sym___inline__] = ACTIONS(5364),
    [anon_sym___forceinline] = ACTIONS(5364),
    [anon_sym_thread_local] = ACTIONS(5364),
    [anon_sym___thread] = ACTIONS(5364),
    [anon_sym_const] = ACTIONS(5364),
    [anon_sym_constexpr] = ACTIONS(5364),
    [anon_sym_volatile] = ACTIONS(5364),
    [anon_sym_restrict] = ACTIONS(5364),
    [anon_sym___restrict__] = ACTIONS(5364),
    [anon_sym__Atomic] = ACTIONS(5364),
    [anon_sym__Noreturn] = ACTIONS(5364),
    [anon_sym_noreturn] = ACTIONS(5364),
    [anon_sym__Nonnull] = ACTIONS(5364),
    [anon_sym_mutable] = ACTIONS(5364),
    [anon_sym_constinit] = ACTIONS(5364),
    [anon_sym_consteval] = ACTIONS(5364),
    [anon_sym_alignas] = ACTIONS(5364),
    [anon_sym__Alignas] = ACTIONS(5364),
    [sym_primitive_type] = ACTIONS(5364),
    [anon_sym_enum] = ACTIONS(5364),
    [anon_sym_class] = ACTIONS(5364),
    [anon_sym_struct] = ACTIONS(5364),
    [anon_sym_union] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5364),
    [anon_sym_explicit] = ACTIONS(5364),
    [anon_sym_typename] = ACTIONS(5364),
    [anon_sym_template] = ACTIONS(5364),
    [anon_sym_operator] = ACTIONS(5364),
    [anon_sym_friend] = ACTIONS(5364),
    [anon_sym_public] = ACTIONS(5364),
    [anon_sym_private] = ACTIONS(5364),
    [anon_sym_protected] = ACTIONS(5364),
    [anon_sym_using] = ACTIONS(5364),
    [anon_sym_static_assert] = ACTIONS(5364),
    [anon_sym_precise] = ACTIONS(5364),
    [anon_sym_shared] = ACTIONS(5364),
    [anon_sym_groupshared] = ACTIONS(5364),
    [anon_sym_uniform] = ACTIONS(5364),
    [anon_sym_row_major] = ACTIONS(5364),
    [anon_sym_column_major] = ACTIONS(5364),
    [anon_sym_globallycoherent] = ACTIONS(5364),
    [anon_sym_centroid] = ACTIONS(5364),
    [anon_sym_noperspective] = ACTIONS(5364),
    [anon_sym_nointerpolation] = ACTIONS(5364),
    [anon_sym_sample] = ACTIONS(5364),
    [anon_sym_linear] = ACTIONS(5364),
    [anon_sym_snorm] = ACTIONS(5364),
    [anon_sym_unorm] = ACTIONS(5364),
    [anon_sym_point] = ACTIONS(5364),
    [anon_sym_line] = ACTIONS(5364),
    [anon_sym_triangleadj] = ACTIONS(5364),
    [anon_sym_lineadj] = ACTIONS(5364),
    [anon_sym_triangle] = ACTIONS(5364),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token2] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5348),
    [anon_sym_typedef] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_out] = ACTIONS(5348),
    [anon_sym_inout] = ACTIONS(5348),
    [anon_sym_virtual] = ACTIONS(5348),
    [anon_sym_extern] = ACTIONS(5348),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym___attribute] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5350),
    [anon_sym___declspec] = ACTIONS(5348),
    [anon_sym___based] = ACTIONS(5348),
    [anon_sym_signed] = ACTIONS(5348),
    [anon_sym_unsigned] = ACTIONS(5348),
    [anon_sym_long] = ACTIONS(5348),
    [anon_sym_short] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_static] = ACTIONS(5348),
    [anon_sym_register] = ACTIONS(5348),
    [anon_sym_inline] = ACTIONS(5348),
    [anon_sym___inline] = ACTIONS(5348),
    [anon_sym___inline__] = ACTIONS(5348),
    [anon_sym___forceinline] = ACTIONS(5348),
    [anon_sym_thread_local] = ACTIONS(5348),
    [anon_sym___thread] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(5348),
    [anon_sym_constexpr] = ACTIONS(5348),
    [anon_sym_volatile] = ACTIONS(5348),
    [anon_sym_restrict] = ACTIONS(5348),
    [anon_sym___restrict__] = ACTIONS(5348),
    [anon_sym__Atomic] = ACTIONS(5348),
    [anon_sym__Noreturn] = ACTIONS(5348),
    [anon_sym_noreturn] = ACTIONS(5348),
    [anon_sym__Nonnull] = ACTIONS(5348),
    [anon_sym_mutable] = ACTIONS(5348),
    [anon_sym_constinit] = ACTIONS(5348),
    [anon_sym_consteval] = ACTIONS(5348),
    [anon_sym_alignas] = ACTIONS(5348),
    [anon_sym__Alignas] = ACTIONS(5348),
    [sym_primitive_type] = ACTIONS(5348),
    [anon_sym_enum] = ACTIONS(5348),
    [anon_sym_class] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5348),
    [anon_sym_union] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5348),
    [anon_sym_decltype] = ACTIONS(5348),
    [anon_sym_explicit] = ACTIONS(5348),
    [anon_sym_typename] = ACTIONS(5348),
    [anon_sym_template] = ACTIONS(5348),
    [anon_sym_operator] = ACTIONS(5348),
    [anon_sym_friend] = ACTIONS(5348),
    [anon_sym_public] = ACTIONS(5348),
    [anon_sym_private] = ACTIONS(5348),
    [anon_sym_protected] = ACTIONS(5348),
    [anon_sym_using] = ACTIONS(5348),
    [anon_sym_static_assert] = ACTIONS(5348),
    [anon_sym_precise] = ACTIONS(5348),
    [anon_sym_shared] = ACTIONS(5348),
    [anon_sym_groupshared] = ACTIONS(5348),
    [anon_sym_uniform] = ACTIONS(5348),
    [anon_sym_row_major] = ACTIONS(5348),
    [anon_sym_column_major] = ACTIONS(5348),
    [anon_sym_globallycoherent] = ACTIONS(5348),
    [anon_sym_centroid] = ACTIONS(5348),
    [anon_sym_noperspective] = ACTIONS(5348),
    [anon_sym_nointerpolation] = ACTIONS(5348),
    [anon_sym_sample] = ACTIONS(5348),
    [anon_sym_linear] = ACTIONS(5348),
    [anon_sym_snorm] = ACTIONS(5348),
    [anon_sym_unorm] = ACTIONS(5348),
    [anon_sym_point] = ACTIONS(5348),
    [anon_sym_line] = ACTIONS(5348),
    [anon_sym_triangleadj] = ACTIONS(5348),
    [anon_sym_lineadj] = ACTIONS(5348),
    [anon_sym_triangle] = ACTIONS(5348),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_in] = ACTIONS(2499),
    [anon_sym_out] = ACTIONS(2499),
    [anon_sym_inout] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym___attribute] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_friend] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_precise] = ACTIONS(2499),
    [anon_sym_shared] = ACTIONS(2499),
    [anon_sym_groupshared] = ACTIONS(2499),
    [anon_sym_uniform] = ACTIONS(2499),
    [anon_sym_row_major] = ACTIONS(2499),
    [anon_sym_column_major] = ACTIONS(2499),
    [anon_sym_globallycoherent] = ACTIONS(2499),
    [anon_sym_centroid] = ACTIONS(2499),
    [anon_sym_noperspective] = ACTIONS(2499),
    [anon_sym_nointerpolation] = ACTIONS(2499),
    [anon_sym_sample] = ACTIONS(2499),
    [anon_sym_linear] = ACTIONS(2499),
    [anon_sym_snorm] = ACTIONS(2499),
    [anon_sym_unorm] = ACTIONS(2499),
    [anon_sym_point] = ACTIONS(2499),
    [anon_sym_line] = ACTIONS(2499),
    [anon_sym_triangleadj] = ACTIONS(2499),
    [anon_sym_lineadj] = ACTIONS(2499),
    [anon_sym_triangle] = ACTIONS(2499),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5454),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_in] = ACTIONS(5452),
    [anon_sym_out] = ACTIONS(5452),
    [anon_sym_inout] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym___attribute] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5454),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym__Nonnull] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym__Alignas] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
    [anon_sym_precise] = ACTIONS(5452),
    [anon_sym_shared] = ACTIONS(5452),
    [anon_sym_groupshared] = ACTIONS(5452),
    [anon_sym_uniform] = ACTIONS(5452),
    [anon_sym_row_major] = ACTIONS(5452),
    [anon_sym_column_major] = ACTIONS(5452),
    [anon_sym_globallycoherent] = ACTIONS(5452),
    [anon_sym_centroid] = ACTIONS(5452),
    [anon_sym_noperspective] = ACTIONS(5452),
    [anon_sym_nointerpolation] = ACTIONS(5452),
    [anon_sym_sample] = ACTIONS(5452),
    [anon_sym_linear] = ACTIONS(5452),
    [anon_sym_snorm] = ACTIONS(5452),
    [anon_sym_unorm] = ACTIONS(5452),
    [anon_sym_point] = ACTIONS(5452),
    [anon_sym_line] = ACTIONS(5452),
    [anon_sym_triangleadj] = ACTIONS(5452),
    [anon_sym_lineadj] = ACTIONS(5452),
    [anon_sym_triangle] = ACTIONS(5452),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(2631),
    [aux_sym_preproc_def_token1] = ACTIONS(2631),
    [aux_sym_preproc_if_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2631),
    [sym_preproc_directive] = ACTIONS(2631),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym___extension__] = ACTIONS(2631),
    [anon_sym_typedef] = ACTIONS(2631),
    [anon_sym_in] = ACTIONS(2631),
    [anon_sym_out] = ACTIONS(2631),
    [anon_sym_inout] = ACTIONS(2631),
    [anon_sym_virtual] = ACTIONS(2631),
    [anon_sym_extern] = ACTIONS(2631),
    [anon_sym___attribute__] = ACTIONS(2631),
    [anon_sym___attribute] = ACTIONS(2631),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2633),
    [anon_sym___declspec] = ACTIONS(2631),
    [anon_sym___based] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2633),
    [anon_sym_signed] = ACTIONS(2631),
    [anon_sym_unsigned] = ACTIONS(2631),
    [anon_sym_long] = ACTIONS(2631),
    [anon_sym_short] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_register] = ACTIONS(2631),
    [anon_sym_inline] = ACTIONS(2631),
    [anon_sym___inline] = ACTIONS(2631),
    [anon_sym___inline__] = ACTIONS(2631),
    [anon_sym___forceinline] = ACTIONS(2631),
    [anon_sym_thread_local] = ACTIONS(2631),
    [anon_sym___thread] = ACTIONS(2631),
    [anon_sym_const] = ACTIONS(2631),
    [anon_sym_constexpr] = ACTIONS(2631),
    [anon_sym_volatile] = ACTIONS(2631),
    [anon_sym_restrict] = ACTIONS(2631),
    [anon_sym___restrict__] = ACTIONS(2631),
    [anon_sym__Atomic] = ACTIONS(2631),
    [anon_sym__Noreturn] = ACTIONS(2631),
    [anon_sym_noreturn] = ACTIONS(2631),
    [anon_sym__Nonnull] = ACTIONS(2631),
    [anon_sym_mutable] = ACTIONS(2631),
    [anon_sym_constinit] = ACTIONS(2631),
    [anon_sym_consteval] = ACTIONS(2631),
    [anon_sym_alignas] = ACTIONS(2631),
    [anon_sym__Alignas] = ACTIONS(2631),
    [sym_primitive_type] = ACTIONS(2631),
    [anon_sym_enum] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2631),
    [anon_sym_struct] = ACTIONS(2631),
    [anon_sym_union] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2631),
    [anon_sym_decltype] = ACTIONS(2631),
    [anon_sym_explicit] = ACTIONS(2631),
    [anon_sym_typename] = ACTIONS(2631),
    [anon_sym_template] = ACTIONS(2631),
    [anon_sym_operator] = ACTIONS(2631),
    [anon_sym_friend] = ACTIONS(2631),
    [anon_sym_public] = ACTIONS(2631),
    [anon_sym_private] = ACTIONS(2631),
    [anon_sym_protected] = ACTIONS(2631),
    [anon_sym_using] = ACTIONS(2631),
    [anon_sym_static_assert] = ACTIONS(2631),
    [anon_sym_precise] = ACTIONS(2631),
    [anon_sym_shared] = ACTIONS(2631),
    [anon_sym_groupshared] = ACTIONS(2631),
    [anon_sym_uniform] = ACTIONS(2631),
    [anon_sym_row_major] = ACTIONS(2631),
    [anon_sym_column_major] = ACTIONS(2631),
    [anon_sym_globallycoherent] = ACTIONS(2631),
    [anon_sym_centroid] = ACTIONS(2631),
    [anon_sym_noperspective] = ACTIONS(2631),
    [anon_sym_nointerpolation] = ACTIONS(2631),
    [anon_sym_sample] = ACTIONS(2631),
    [anon_sym_linear] = ACTIONS(2631),
    [anon_sym_snorm] = ACTIONS(2631),
    [anon_sym_unorm] = ACTIONS(2631),
    [anon_sym_point] = ACTIONS(2631),
    [anon_sym_line] = ACTIONS(2631),
    [anon_sym_triangleadj] = ACTIONS(2631),
    [anon_sym_lineadj] = ACTIONS(2631),
    [anon_sym_triangle] = ACTIONS(2631),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token2] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5348),
    [anon_sym_typedef] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_out] = ACTIONS(5348),
    [anon_sym_inout] = ACTIONS(5348),
    [anon_sym_virtual] = ACTIONS(5348),
    [anon_sym_extern] = ACTIONS(5348),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym___attribute] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5350),
    [anon_sym___declspec] = ACTIONS(5348),
    [anon_sym___based] = ACTIONS(5348),
    [anon_sym_signed] = ACTIONS(5348),
    [anon_sym_unsigned] = ACTIONS(5348),
    [anon_sym_long] = ACTIONS(5348),
    [anon_sym_short] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_static] = ACTIONS(5348),
    [anon_sym_register] = ACTIONS(5348),
    [anon_sym_inline] = ACTIONS(5348),
    [anon_sym___inline] = ACTIONS(5348),
    [anon_sym___inline__] = ACTIONS(5348),
    [anon_sym___forceinline] = ACTIONS(5348),
    [anon_sym_thread_local] = ACTIONS(5348),
    [anon_sym___thread] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(5348),
    [anon_sym_constexpr] = ACTIONS(5348),
    [anon_sym_volatile] = ACTIONS(5348),
    [anon_sym_restrict] = ACTIONS(5348),
    [anon_sym___restrict__] = ACTIONS(5348),
    [anon_sym__Atomic] = ACTIONS(5348),
    [anon_sym__Noreturn] = ACTIONS(5348),
    [anon_sym_noreturn] = ACTIONS(5348),
    [anon_sym__Nonnull] = ACTIONS(5348),
    [anon_sym_mutable] = ACTIONS(5348),
    [anon_sym_constinit] = ACTIONS(5348),
    [anon_sym_consteval] = ACTIONS(5348),
    [anon_sym_alignas] = ACTIONS(5348),
    [anon_sym__Alignas] = ACTIONS(5348),
    [sym_primitive_type] = ACTIONS(5348),
    [anon_sym_enum] = ACTIONS(5348),
    [anon_sym_class] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5348),
    [anon_sym_union] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5348),
    [anon_sym_decltype] = ACTIONS(5348),
    [anon_sym_explicit] = ACTIONS(5348),
    [anon_sym_typename] = ACTIONS(5348),
    [anon_sym_template] = ACTIONS(5348),
    [anon_sym_operator] = ACTIONS(5348),
    [anon_sym_friend] = ACTIONS(5348),
    [anon_sym_public] = ACTIONS(5348),
    [anon_sym_private] = ACTIONS(5348),
    [anon_sym_protected] = ACTIONS(5348),
    [anon_sym_using] = ACTIONS(5348),
    [anon_sym_static_assert] = ACTIONS(5348),
    [anon_sym_precise] = ACTIONS(5348),
    [anon_sym_shared] = ACTIONS(5348),
    [anon_sym_groupshared] = ACTIONS(5348),
    [anon_sym_uniform] = ACTIONS(5348),
    [anon_sym_row_major] = ACTIONS(5348),
    [anon_sym_column_major] = ACTIONS(5348),
    [anon_sym_globallycoherent] = ACTIONS(5348),
    [anon_sym_centroid] = ACTIONS(5348),
    [anon_sym_noperspective] = ACTIONS(5348),
    [anon_sym_nointerpolation] = ACTIONS(5348),
    [anon_sym_sample] = ACTIONS(5348),
    [anon_sym_linear] = ACTIONS(5348),
    [anon_sym_snorm] = ACTIONS(5348),
    [anon_sym_unorm] = ACTIONS(5348),
    [anon_sym_point] = ACTIONS(5348),
    [anon_sym_line] = ACTIONS(5348),
    [anon_sym_triangleadj] = ACTIONS(5348),
    [anon_sym_lineadj] = ACTIONS(5348),
    [anon_sym_triangle] = ACTIONS(5348),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(5356),
    [aux_sym_preproc_def_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token1] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5356),
    [sym_preproc_directive] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5358),
    [anon_sym_TILDE] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_AMP_AMP] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5358),
    [anon_sym___extension__] = ACTIONS(5356),
    [anon_sym_typedef] = ACTIONS(5356),
    [anon_sym_in] = ACTIONS(5356),
    [anon_sym_out] = ACTIONS(5356),
    [anon_sym_inout] = ACTIONS(5356),
    [anon_sym_virtual] = ACTIONS(5356),
    [anon_sym_extern] = ACTIONS(5356),
    [anon_sym___attribute__] = ACTIONS(5356),
    [anon_sym___attribute] = ACTIONS(5356),
    [anon_sym_COLON_COLON] = ACTIONS(5358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5358),
    [anon_sym___declspec] = ACTIONS(5356),
    [anon_sym___based] = ACTIONS(5356),
    [anon_sym_RBRACE] = ACTIONS(5358),
    [anon_sym_signed] = ACTIONS(5356),
    [anon_sym_unsigned] = ACTIONS(5356),
    [anon_sym_long] = ACTIONS(5356),
    [anon_sym_short] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_static] = ACTIONS(5356),
    [anon_sym_register] = ACTIONS(5356),
    [anon_sym_inline] = ACTIONS(5356),
    [anon_sym___inline] = ACTIONS(5356),
    [anon_sym___inline__] = ACTIONS(5356),
    [anon_sym___forceinline] = ACTIONS(5356),
    [anon_sym_thread_local] = ACTIONS(5356),
    [anon_sym___thread] = ACTIONS(5356),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5356),
    [anon_sym_volatile] = ACTIONS(5356),
    [anon_sym_restrict] = ACTIONS(5356),
    [anon_sym___restrict__] = ACTIONS(5356),
    [anon_sym__Atomic] = ACTIONS(5356),
    [anon_sym__Noreturn] = ACTIONS(5356),
    [anon_sym_noreturn] = ACTIONS(5356),
    [anon_sym__Nonnull] = ACTIONS(5356),
    [anon_sym_mutable] = ACTIONS(5356),
    [anon_sym_constinit] = ACTIONS(5356),
    [anon_sym_consteval] = ACTIONS(5356),
    [anon_sym_alignas] = ACTIONS(5356),
    [anon_sym__Alignas] = ACTIONS(5356),
    [sym_primitive_type] = ACTIONS(5356),
    [anon_sym_enum] = ACTIONS(5356),
    [anon_sym_class] = ACTIONS(5356),
    [anon_sym_struct] = ACTIONS(5356),
    [anon_sym_union] = ACTIONS(5356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5356),
    [anon_sym_decltype] = ACTIONS(5356),
    [anon_sym_explicit] = ACTIONS(5356),
    [anon_sym_typename] = ACTIONS(5356),
    [anon_sym_template] = ACTIONS(5356),
    [anon_sym_operator] = ACTIONS(5356),
    [anon_sym_friend] = ACTIONS(5356),
    [anon_sym_public] = ACTIONS(5356),
    [anon_sym_private] = ACTIONS(5356),
    [anon_sym_protected] = ACTIONS(5356),
    [anon_sym_using] = ACTIONS(5356),
    [anon_sym_static_assert] = ACTIONS(5356),
    [anon_sym_precise] = ACTIONS(5356),
    [anon_sym_shared] = ACTIONS(5356),
    [anon_sym_groupshared] = ACTIONS(5356),
    [anon_sym_uniform] = ACTIONS(5356),
    [anon_sym_row_major] = ACTIONS(5356),
    [anon_sym_column_major] = ACTIONS(5356),
    [anon_sym_globallycoherent] = ACTIONS(5356),
    [anon_sym_centroid] = ACTIONS(5356),
    [anon_sym_noperspective] = ACTIONS(5356),
    [anon_sym_nointerpolation] = ACTIONS(5356),
    [anon_sym_sample] = ACTIONS(5356),
    [anon_sym_linear] = ACTIONS(5356),
    [anon_sym_snorm] = ACTIONS(5356),
    [anon_sym_unorm] = ACTIONS(5356),
    [anon_sym_point] = ACTIONS(5356),
    [anon_sym_line] = ACTIONS(5356),
    [anon_sym_triangleadj] = ACTIONS(5356),
    [anon_sym_lineadj] = ACTIONS(5356),
    [anon_sym_triangle] = ACTIONS(5356),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(2209),
    [aux_sym_preproc_def_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2209),
    [sym_preproc_directive] = ACTIONS(2209),
    [anon_sym_LPAREN2] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_AMP_AMP] = ACTIONS(2211),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym___extension__] = ACTIONS(2209),
    [anon_sym_typedef] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_out] = ACTIONS(2209),
    [anon_sym_inout] = ACTIONS(2209),
    [anon_sym_virtual] = ACTIONS(2209),
    [anon_sym_extern] = ACTIONS(2209),
    [anon_sym___attribute__] = ACTIONS(2209),
    [anon_sym___attribute] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2211),
    [anon_sym___declspec] = ACTIONS(2209),
    [anon_sym___based] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_register] = ACTIONS(2209),
    [anon_sym_inline] = ACTIONS(2209),
    [anon_sym___inline] = ACTIONS(2209),
    [anon_sym___inline__] = ACTIONS(2209),
    [anon_sym___forceinline] = ACTIONS(2209),
    [anon_sym_thread_local] = ACTIONS(2209),
    [anon_sym___thread] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_constexpr] = ACTIONS(2209),
    [anon_sym_volatile] = ACTIONS(2209),
    [anon_sym_restrict] = ACTIONS(2209),
    [anon_sym___restrict__] = ACTIONS(2209),
    [anon_sym__Atomic] = ACTIONS(2209),
    [anon_sym__Noreturn] = ACTIONS(2209),
    [anon_sym_noreturn] = ACTIONS(2209),
    [anon_sym__Nonnull] = ACTIONS(2209),
    [anon_sym_mutable] = ACTIONS(2209),
    [anon_sym_constinit] = ACTIONS(2209),
    [anon_sym_consteval] = ACTIONS(2209),
    [anon_sym_alignas] = ACTIONS(2209),
    [anon_sym__Alignas] = ACTIONS(2209),
    [sym_primitive_type] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_struct] = ACTIONS(2209),
    [anon_sym_union] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2209),
    [anon_sym_decltype] = ACTIONS(2209),
    [anon_sym_explicit] = ACTIONS(2209),
    [anon_sym_typename] = ACTIONS(2209),
    [anon_sym_template] = ACTIONS(2209),
    [anon_sym_operator] = ACTIONS(2209),
    [anon_sym_friend] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_static_assert] = ACTIONS(2209),
    [anon_sym_precise] = ACTIONS(2209),
    [anon_sym_shared] = ACTIONS(2209),
    [anon_sym_groupshared] = ACTIONS(2209),
    [anon_sym_uniform] = ACTIONS(2209),
    [anon_sym_row_major] = ACTIONS(2209),
    [anon_sym_column_major] = ACTIONS(2209),
    [anon_sym_globallycoherent] = ACTIONS(2209),
    [anon_sym_centroid] = ACTIONS(2209),
    [anon_sym_noperspective] = ACTIONS(2209),
    [anon_sym_nointerpolation] = ACTIONS(2209),
    [anon_sym_sample] = ACTIONS(2209),
    [anon_sym_linear] = ACTIONS(2209),
    [anon_sym_snorm] = ACTIONS(2209),
    [anon_sym_unorm] = ACTIONS(2209),
    [anon_sym_point] = ACTIONS(2209),
    [anon_sym_line] = ACTIONS(2209),
    [anon_sym_triangleadj] = ACTIONS(2209),
    [anon_sym_lineadj] = ACTIONS(2209),
    [anon_sym_triangle] = ACTIONS(2209),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(2221),
    [aux_sym_preproc_def_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2221),
    [sym_preproc_directive] = ACTIONS(2221),
    [anon_sym_LPAREN2] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2223),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym___extension__] = ACTIONS(2221),
    [anon_sym_typedef] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_out] = ACTIONS(2221),
    [anon_sym_inout] = ACTIONS(2221),
    [anon_sym_virtual] = ACTIONS(2221),
    [anon_sym_extern] = ACTIONS(2221),
    [anon_sym___attribute__] = ACTIONS(2221),
    [anon_sym___attribute] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2223),
    [anon_sym___declspec] = ACTIONS(2221),
    [anon_sym___based] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_signed] = ACTIONS(2221),
    [anon_sym_unsigned] = ACTIONS(2221),
    [anon_sym_long] = ACTIONS(2221),
    [anon_sym_short] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_register] = ACTIONS(2221),
    [anon_sym_inline] = ACTIONS(2221),
    [anon_sym___inline] = ACTIONS(2221),
    [anon_sym___inline__] = ACTIONS(2221),
    [anon_sym___forceinline] = ACTIONS(2221),
    [anon_sym_thread_local] = ACTIONS(2221),
    [anon_sym___thread] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_constexpr] = ACTIONS(2221),
    [anon_sym_volatile] = ACTIONS(2221),
    [anon_sym_restrict] = ACTIONS(2221),
    [anon_sym___restrict__] = ACTIONS(2221),
    [anon_sym__Atomic] = ACTIONS(2221),
    [anon_sym__Noreturn] = ACTIONS(2221),
    [anon_sym_noreturn] = ACTIONS(2221),
    [anon_sym__Nonnull] = ACTIONS(2221),
    [anon_sym_mutable] = ACTIONS(2221),
    [anon_sym_constinit] = ACTIONS(2221),
    [anon_sym_consteval] = ACTIONS(2221),
    [anon_sym_alignas] = ACTIONS(2221),
    [anon_sym__Alignas] = ACTIONS(2221),
    [sym_primitive_type] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_union] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2221),
    [anon_sym_decltype] = ACTIONS(2221),
    [anon_sym_explicit] = ACTIONS(2221),
    [anon_sym_typename] = ACTIONS(2221),
    [anon_sym_template] = ACTIONS(2221),
    [anon_sym_operator] = ACTIONS(2221),
    [anon_sym_friend] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_static_assert] = ACTIONS(2221),
    [anon_sym_precise] = ACTIONS(2221),
    [anon_sym_shared] = ACTIONS(2221),
    [anon_sym_groupshared] = ACTIONS(2221),
    [anon_sym_uniform] = ACTIONS(2221),
    [anon_sym_row_major] = ACTIONS(2221),
    [anon_sym_column_major] = ACTIONS(2221),
    [anon_sym_globallycoherent] = ACTIONS(2221),
    [anon_sym_centroid] = ACTIONS(2221),
    [anon_sym_noperspective] = ACTIONS(2221),
    [anon_sym_nointerpolation] = ACTIONS(2221),
    [anon_sym_sample] = ACTIONS(2221),
    [anon_sym_linear] = ACTIONS(2221),
    [anon_sym_snorm] = ACTIONS(2221),
    [anon_sym_unorm] = ACTIONS(2221),
    [anon_sym_point] = ACTIONS(2221),
    [anon_sym_line] = ACTIONS(2221),
    [anon_sym_triangleadj] = ACTIONS(2221),
    [anon_sym_lineadj] = ACTIONS(2221),
    [anon_sym_triangle] = ACTIONS(2221),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(5376),
    [aux_sym_preproc_def_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token2] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5376),
    [sym_preproc_directive] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_TILDE] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym_typedef] = ACTIONS(5376),
    [anon_sym_in] = ACTIONS(5376),
    [anon_sym_out] = ACTIONS(5376),
    [anon_sym_inout] = ACTIONS(5376),
    [anon_sym_virtual] = ACTIONS(5376),
    [anon_sym_extern] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5378),
    [anon_sym___declspec] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_static] = ACTIONS(5376),
    [anon_sym_register] = ACTIONS(5376),
    [anon_sym_inline] = ACTIONS(5376),
    [anon_sym___inline] = ACTIONS(5376),
    [anon_sym___inline__] = ACTIONS(5376),
    [anon_sym___forceinline] = ACTIONS(5376),
    [anon_sym_thread_local] = ACTIONS(5376),
    [anon_sym___thread] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [sym_primitive_type] = ACTIONS(5376),
    [anon_sym_enum] = ACTIONS(5376),
    [anon_sym_class] = ACTIONS(5376),
    [anon_sym_struct] = ACTIONS(5376),
    [anon_sym_union] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_explicit] = ACTIONS(5376),
    [anon_sym_typename] = ACTIONS(5376),
    [anon_sym_template] = ACTIONS(5376),
    [anon_sym_operator] = ACTIONS(5376),
    [anon_sym_friend] = ACTIONS(5376),
    [anon_sym_public] = ACTIONS(5376),
    [anon_sym_private] = ACTIONS(5376),
    [anon_sym_protected] = ACTIONS(5376),
    [anon_sym_using] = ACTIONS(5376),
    [anon_sym_static_assert] = ACTIONS(5376),
    [anon_sym_precise] = ACTIONS(5376),
    [anon_sym_shared] = ACTIONS(5376),
    [anon_sym_groupshared] = ACTIONS(5376),
    [anon_sym_uniform] = ACTIONS(5376),
    [anon_sym_row_major] = ACTIONS(5376),
    [anon_sym_column_major] = ACTIONS(5376),
    [anon_sym_globallycoherent] = ACTIONS(5376),
    [anon_sym_centroid] = ACTIONS(5376),
    [anon_sym_noperspective] = ACTIONS(5376),
    [anon_sym_nointerpolation] = ACTIONS(5376),
    [anon_sym_sample] = ACTIONS(5376),
    [anon_sym_linear] = ACTIONS(5376),
    [anon_sym_snorm] = ACTIONS(5376),
    [anon_sym_unorm] = ACTIONS(5376),
    [anon_sym_point] = ACTIONS(5376),
    [anon_sym_line] = ACTIONS(5376),
    [anon_sym_triangleadj] = ACTIONS(5376),
    [anon_sym_lineadj] = ACTIONS(5376),
    [anon_sym_triangle] = ACTIONS(5376),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(2438),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2438),
    [sym_preproc_directive] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_typedef] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_out] = ACTIONS(2438),
    [anon_sym_inout] = ACTIONS(2438),
    [anon_sym_virtual] = ACTIONS(2438),
    [anon_sym_extern] = ACTIONS(2438),
    [anon_sym___attribute__] = ACTIONS(2438),
    [anon_sym___attribute] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2440),
    [anon_sym___declspec] = ACTIONS(2438),
    [anon_sym___based] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_signed] = ACTIONS(2438),
    [anon_sym_unsigned] = ACTIONS(2438),
    [anon_sym_long] = ACTIONS(2438),
    [anon_sym_short] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_register] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2438),
    [anon_sym___inline] = ACTIONS(2438),
    [anon_sym___inline__] = ACTIONS(2438),
    [anon_sym___forceinline] = ACTIONS(2438),
    [anon_sym_thread_local] = ACTIONS(2438),
    [anon_sym___thread] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_constexpr] = ACTIONS(2438),
    [anon_sym_volatile] = ACTIONS(2438),
    [anon_sym_restrict] = ACTIONS(2438),
    [anon_sym___restrict__] = ACTIONS(2438),
    [anon_sym__Atomic] = ACTIONS(2438),
    [anon_sym__Noreturn] = ACTIONS(2438),
    [anon_sym_noreturn] = ACTIONS(2438),
    [anon_sym__Nonnull] = ACTIONS(2438),
    [anon_sym_mutable] = ACTIONS(2438),
    [anon_sym_constinit] = ACTIONS(2438),
    [anon_sym_consteval] = ACTIONS(2438),
    [anon_sym_alignas] = ACTIONS(2438),
    [anon_sym__Alignas] = ACTIONS(2438),
    [sym_primitive_type] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_struct] = ACTIONS(2438),
    [anon_sym_union] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2438),
    [anon_sym_decltype] = ACTIONS(2438),
    [anon_sym_explicit] = ACTIONS(2438),
    [anon_sym_typename] = ACTIONS(2438),
    [anon_sym_template] = ACTIONS(2438),
    [anon_sym_operator] = ACTIONS(2438),
    [anon_sym_friend] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_static_assert] = ACTIONS(2438),
    [anon_sym_precise] = ACTIONS(2438),
    [anon_sym_shared] = ACTIONS(2438),
    [anon_sym_groupshared] = ACTIONS(2438),
    [anon_sym_uniform] = ACTIONS(2438),
    [anon_sym_row_major] = ACTIONS(2438),
    [anon_sym_column_major] = ACTIONS(2438),
    [anon_sym_globallycoherent] = ACTIONS(2438),
    [anon_sym_centroid] = ACTIONS(2438),
    [anon_sym_noperspective] = ACTIONS(2438),
    [anon_sym_nointerpolation] = ACTIONS(2438),
    [anon_sym_sample] = ACTIONS(2438),
    [anon_sym_linear] = ACTIONS(2438),
    [anon_sym_snorm] = ACTIONS(2438),
    [anon_sym_unorm] = ACTIONS(2438),
    [anon_sym_point] = ACTIONS(2438),
    [anon_sym_line] = ACTIONS(2438),
    [anon_sym_triangleadj] = ACTIONS(2438),
    [anon_sym_lineadj] = ACTIONS(2438),
    [anon_sym_triangle] = ACTIONS(2438),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token2] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5348),
    [anon_sym_typedef] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_out] = ACTIONS(5348),
    [anon_sym_inout] = ACTIONS(5348),
    [anon_sym_virtual] = ACTIONS(5348),
    [anon_sym_extern] = ACTIONS(5348),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym___attribute] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5350),
    [anon_sym___declspec] = ACTIONS(5348),
    [anon_sym___based] = ACTIONS(5348),
    [anon_sym_signed] = ACTIONS(5348),
    [anon_sym_unsigned] = ACTIONS(5348),
    [anon_sym_long] = ACTIONS(5348),
    [anon_sym_short] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_static] = ACTIONS(5348),
    [anon_sym_register] = ACTIONS(5348),
    [anon_sym_inline] = ACTIONS(5348),
    [anon_sym___inline] = ACTIONS(5348),
    [anon_sym___inline__] = ACTIONS(5348),
    [anon_sym___forceinline] = ACTIONS(5348),
    [anon_sym_thread_local] = ACTIONS(5348),
    [anon_sym___thread] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(5348),
    [anon_sym_constexpr] = ACTIONS(5348),
    [anon_sym_volatile] = ACTIONS(5348),
    [anon_sym_restrict] = ACTIONS(5348),
    [anon_sym___restrict__] = ACTIONS(5348),
    [anon_sym__Atomic] = ACTIONS(5348),
    [anon_sym__Noreturn] = ACTIONS(5348),
    [anon_sym_noreturn] = ACTIONS(5348),
    [anon_sym__Nonnull] = ACTIONS(5348),
    [anon_sym_mutable] = ACTIONS(5348),
    [anon_sym_constinit] = ACTIONS(5348),
    [anon_sym_consteval] = ACTIONS(5348),
    [anon_sym_alignas] = ACTIONS(5348),
    [anon_sym__Alignas] = ACTIONS(5348),
    [sym_primitive_type] = ACTIONS(5348),
    [anon_sym_enum] = ACTIONS(5348),
    [anon_sym_class] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5348),
    [anon_sym_union] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5348),
    [anon_sym_decltype] = ACTIONS(5348),
    [anon_sym_explicit] = ACTIONS(5348),
    [anon_sym_typename] = ACTIONS(5348),
    [anon_sym_template] = ACTIONS(5348),
    [anon_sym_operator] = ACTIONS(5348),
    [anon_sym_friend] = ACTIONS(5348),
    [anon_sym_public] = ACTIONS(5348),
    [anon_sym_private] = ACTIONS(5348),
    [anon_sym_protected] = ACTIONS(5348),
    [anon_sym_using] = ACTIONS(5348),
    [anon_sym_static_assert] = ACTIONS(5348),
    [anon_sym_precise] = ACTIONS(5348),
    [anon_sym_shared] = ACTIONS(5348),
    [anon_sym_groupshared] = ACTIONS(5348),
    [anon_sym_uniform] = ACTIONS(5348),
    [anon_sym_row_major] = ACTIONS(5348),
    [anon_sym_column_major] = ACTIONS(5348),
    [anon_sym_globallycoherent] = ACTIONS(5348),
    [anon_sym_centroid] = ACTIONS(5348),
    [anon_sym_noperspective] = ACTIONS(5348),
    [anon_sym_nointerpolation] = ACTIONS(5348),
    [anon_sym_sample] = ACTIONS(5348),
    [anon_sym_linear] = ACTIONS(5348),
    [anon_sym_snorm] = ACTIONS(5348),
    [anon_sym_unorm] = ACTIONS(5348),
    [anon_sym_point] = ACTIONS(5348),
    [anon_sym_line] = ACTIONS(5348),
    [anon_sym_triangleadj] = ACTIONS(5348),
    [anon_sym_lineadj] = ACTIONS(5348),
    [anon_sym_triangle] = ACTIONS(5348),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(2370),
    [aux_sym_preproc_def_token1] = ACTIONS(2370),
    [aux_sym_preproc_if_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2370),
    [sym_preproc_directive] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym___extension__] = ACTIONS(2370),
    [anon_sym_typedef] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_out] = ACTIONS(2370),
    [anon_sym_inout] = ACTIONS(2370),
    [anon_sym_virtual] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2370),
    [anon_sym___attribute__] = ACTIONS(2370),
    [anon_sym___attribute] = ACTIONS(2370),
    [anon_sym_COLON_COLON] = ACTIONS(2372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2372),
    [anon_sym___declspec] = ACTIONS(2370),
    [anon_sym___based] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2372),
    [anon_sym_signed] = ACTIONS(2370),
    [anon_sym_unsigned] = ACTIONS(2370),
    [anon_sym_long] = ACTIONS(2370),
    [anon_sym_short] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_register] = ACTIONS(2370),
    [anon_sym_inline] = ACTIONS(2370),
    [anon_sym___inline] = ACTIONS(2370),
    [anon_sym___inline__] = ACTIONS(2370),
    [anon_sym___forceinline] = ACTIONS(2370),
    [anon_sym_thread_local] = ACTIONS(2370),
    [anon_sym___thread] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_constexpr] = ACTIONS(2370),
    [anon_sym_volatile] = ACTIONS(2370),
    [anon_sym_restrict] = ACTIONS(2370),
    [anon_sym___restrict__] = ACTIONS(2370),
    [anon_sym__Atomic] = ACTIONS(2370),
    [anon_sym__Noreturn] = ACTIONS(2370),
    [anon_sym_noreturn] = ACTIONS(2370),
    [anon_sym__Nonnull] = ACTIONS(2370),
    [anon_sym_mutable] = ACTIONS(2370),
    [anon_sym_constinit] = ACTIONS(2370),
    [anon_sym_consteval] = ACTIONS(2370),
    [anon_sym_alignas] = ACTIONS(2370),
    [anon_sym__Alignas] = ACTIONS(2370),
    [sym_primitive_type] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_struct] = ACTIONS(2370),
    [anon_sym_union] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2370),
    [anon_sym_decltype] = ACTIONS(2370),
    [anon_sym_explicit] = ACTIONS(2370),
    [anon_sym_typename] = ACTIONS(2370),
    [anon_sym_template] = ACTIONS(2370),
    [anon_sym_operator] = ACTIONS(2370),
    [anon_sym_friend] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_static_assert] = ACTIONS(2370),
    [anon_sym_precise] = ACTIONS(2370),
    [anon_sym_shared] = ACTIONS(2370),
    [anon_sym_groupshared] = ACTIONS(2370),
    [anon_sym_uniform] = ACTIONS(2370),
    [anon_sym_row_major] = ACTIONS(2370),
    [anon_sym_column_major] = ACTIONS(2370),
    [anon_sym_globallycoherent] = ACTIONS(2370),
    [anon_sym_centroid] = ACTIONS(2370),
    [anon_sym_noperspective] = ACTIONS(2370),
    [anon_sym_nointerpolation] = ACTIONS(2370),
    [anon_sym_sample] = ACTIONS(2370),
    [anon_sym_linear] = ACTIONS(2370),
    [anon_sym_snorm] = ACTIONS(2370),
    [anon_sym_unorm] = ACTIONS(2370),
    [anon_sym_point] = ACTIONS(2370),
    [anon_sym_line] = ACTIONS(2370),
    [anon_sym_triangleadj] = ACTIONS(2370),
    [anon_sym_lineadj] = ACTIONS(2370),
    [anon_sym_triangle] = ACTIONS(2370),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_in] = ACTIONS(2492),
    [anon_sym_out] = ACTIONS(2492),
    [anon_sym_inout] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym___attribute] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_precise] = ACTIONS(2492),
    [anon_sym_shared] = ACTIONS(2492),
    [anon_sym_groupshared] = ACTIONS(2492),
    [anon_sym_uniform] = ACTIONS(2492),
    [anon_sym_row_major] = ACTIONS(2492),
    [anon_sym_column_major] = ACTIONS(2492),
    [anon_sym_globallycoherent] = ACTIONS(2492),
    [anon_sym_centroid] = ACTIONS(2492),
    [anon_sym_noperspective] = ACTIONS(2492),
    [anon_sym_nointerpolation] = ACTIONS(2492),
    [anon_sym_sample] = ACTIONS(2492),
    [anon_sym_linear] = ACTIONS(2492),
    [anon_sym_snorm] = ACTIONS(2492),
    [anon_sym_unorm] = ACTIONS(2492),
    [anon_sym_point] = ACTIONS(2492),
    [anon_sym_line] = ACTIONS(2492),
    [anon_sym_triangleadj] = ACTIONS(2492),
    [anon_sym_lineadj] = ACTIONS(2492),
    [anon_sym_triangle] = ACTIONS(2492),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(2503),
    [aux_sym_preproc_def_token1] = ACTIONS(2503),
    [aux_sym_preproc_if_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2503),
    [sym_preproc_directive] = ACTIONS(2503),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_SEMI] = ACTIONS(2505),
    [anon_sym___extension__] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2503),
    [anon_sym_in] = ACTIONS(2503),
    [anon_sym_out] = ACTIONS(2503),
    [anon_sym_inout] = ACTIONS(2503),
    [anon_sym_virtual] = ACTIONS(2503),
    [anon_sym_extern] = ACTIONS(2503),
    [anon_sym___attribute__] = ACTIONS(2503),
    [anon_sym___attribute] = ACTIONS(2503),
    [anon_sym_COLON_COLON] = ACTIONS(2505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2505),
    [anon_sym___declspec] = ACTIONS(2503),
    [anon_sym___based] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2505),
    [anon_sym_signed] = ACTIONS(2503),
    [anon_sym_unsigned] = ACTIONS(2503),
    [anon_sym_long] = ACTIONS(2503),
    [anon_sym_short] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2503),
    [anon_sym_register] = ACTIONS(2503),
    [anon_sym_inline] = ACTIONS(2503),
    [anon_sym___inline] = ACTIONS(2503),
    [anon_sym___inline__] = ACTIONS(2503),
    [anon_sym___forceinline] = ACTIONS(2503),
    [anon_sym_thread_local] = ACTIONS(2503),
    [anon_sym___thread] = ACTIONS(2503),
    [anon_sym_const] = ACTIONS(2503),
    [anon_sym_constexpr] = ACTIONS(2503),
    [anon_sym_volatile] = ACTIONS(2503),
    [anon_sym_restrict] = ACTIONS(2503),
    [anon_sym___restrict__] = ACTIONS(2503),
    [anon_sym__Atomic] = ACTIONS(2503),
    [anon_sym__Noreturn] = ACTIONS(2503),
    [anon_sym_noreturn] = ACTIONS(2503),
    [anon_sym__Nonnull] = ACTIONS(2503),
    [anon_sym_mutable] = ACTIONS(2503),
    [anon_sym_constinit] = ACTIONS(2503),
    [anon_sym_consteval] = ACTIONS(2503),
    [anon_sym_alignas] = ACTIONS(2503),
    [anon_sym__Alignas] = ACTIONS(2503),
    [sym_primitive_type] = ACTIONS(2503),
    [anon_sym_enum] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2503),
    [anon_sym_struct] = ACTIONS(2503),
    [anon_sym_union] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2503),
    [anon_sym_decltype] = ACTIONS(2503),
    [anon_sym_explicit] = ACTIONS(2503),
    [anon_sym_typename] = ACTIONS(2503),
    [anon_sym_template] = ACTIONS(2503),
    [anon_sym_operator] = ACTIONS(2503),
    [anon_sym_friend] = ACTIONS(2503),
    [anon_sym_public] = ACTIONS(2503),
    [anon_sym_private] = ACTIONS(2503),
    [anon_sym_protected] = ACTIONS(2503),
    [anon_sym_using] = ACTIONS(2503),
    [anon_sym_static_assert] = ACTIONS(2503),
    [anon_sym_precise] = ACTIONS(2503),
    [anon_sym_shared] = ACTIONS(2503),
    [anon_sym_groupshared] = ACTIONS(2503),
    [anon_sym_uniform] = ACTIONS(2503),
    [anon_sym_row_major] = ACTIONS(2503),
    [anon_sym_column_major] = ACTIONS(2503),
    [anon_sym_globallycoherent] = ACTIONS(2503),
    [anon_sym_centroid] = ACTIONS(2503),
    [anon_sym_noperspective] = ACTIONS(2503),
    [anon_sym_nointerpolation] = ACTIONS(2503),
    [anon_sym_sample] = ACTIONS(2503),
    [anon_sym_linear] = ACTIONS(2503),
    [anon_sym_snorm] = ACTIONS(2503),
    [anon_sym_unorm] = ACTIONS(2503),
    [anon_sym_point] = ACTIONS(2503),
    [anon_sym_line] = ACTIONS(2503),
    [anon_sym_triangleadj] = ACTIONS(2503),
    [anon_sym_lineadj] = ACTIONS(2503),
    [anon_sym_triangle] = ACTIONS(2503),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_virtual] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym_RBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_friend] = ACTIONS(2540),
    [anon_sym_public] = ACTIONS(2540),
    [anon_sym_private] = ACTIONS(2540),
    [anon_sym_protected] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_groupshared] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_row_major] = ACTIONS(2540),
    [anon_sym_column_major] = ACTIONS(2540),
    [anon_sym_globallycoherent] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym_nointerpolation] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_linear] = ACTIONS(2540),
    [anon_sym_snorm] = ACTIONS(2540),
    [anon_sym_unorm] = ACTIONS(2540),
    [anon_sym_point] = ACTIONS(2540),
    [anon_sym_line] = ACTIONS(2540),
    [anon_sym_triangleadj] = ACTIONS(2540),
    [anon_sym_lineadj] = ACTIONS(2540),
    [anon_sym_triangle] = ACTIONS(2540),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(2507),
    [aux_sym_preproc_def_token1] = ACTIONS(2507),
    [aux_sym_preproc_if_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2507),
    [sym_preproc_directive] = ACTIONS(2507),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_AMP_AMP] = ACTIONS(2509),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_SEMI] = ACTIONS(2509),
    [anon_sym___extension__] = ACTIONS(2507),
    [anon_sym_typedef] = ACTIONS(2507),
    [anon_sym_in] = ACTIONS(2507),
    [anon_sym_out] = ACTIONS(2507),
    [anon_sym_inout] = ACTIONS(2507),
    [anon_sym_virtual] = ACTIONS(2507),
    [anon_sym_extern] = ACTIONS(2507),
    [anon_sym___attribute__] = ACTIONS(2507),
    [anon_sym___attribute] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2509),
    [anon_sym___declspec] = ACTIONS(2507),
    [anon_sym___based] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2509),
    [anon_sym_signed] = ACTIONS(2507),
    [anon_sym_unsigned] = ACTIONS(2507),
    [anon_sym_long] = ACTIONS(2507),
    [anon_sym_short] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2507),
    [anon_sym_register] = ACTIONS(2507),
    [anon_sym_inline] = ACTIONS(2507),
    [anon_sym___inline] = ACTIONS(2507),
    [anon_sym___inline__] = ACTIONS(2507),
    [anon_sym___forceinline] = ACTIONS(2507),
    [anon_sym_thread_local] = ACTIONS(2507),
    [anon_sym___thread] = ACTIONS(2507),
    [anon_sym_const] = ACTIONS(2507),
    [anon_sym_constexpr] = ACTIONS(2507),
    [anon_sym_volatile] = ACTIONS(2507),
    [anon_sym_restrict] = ACTIONS(2507),
    [anon_sym___restrict__] = ACTIONS(2507),
    [anon_sym__Atomic] = ACTIONS(2507),
    [anon_sym__Noreturn] = ACTIONS(2507),
    [anon_sym_noreturn] = ACTIONS(2507),
    [anon_sym__Nonnull] = ACTIONS(2507),
    [anon_sym_mutable] = ACTIONS(2507),
    [anon_sym_constinit] = ACTIONS(2507),
    [anon_sym_consteval] = ACTIONS(2507),
    [anon_sym_alignas] = ACTIONS(2507),
    [anon_sym__Alignas] = ACTIONS(2507),
    [sym_primitive_type] = ACTIONS(2507),
    [anon_sym_enum] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2507),
    [anon_sym_struct] = ACTIONS(2507),
    [anon_sym_union] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2507),
    [anon_sym_decltype] = ACTIONS(2507),
    [anon_sym_explicit] = ACTIONS(2507),
    [anon_sym_typename] = ACTIONS(2507),
    [anon_sym_template] = ACTIONS(2507),
    [anon_sym_operator] = ACTIONS(2507),
    [anon_sym_friend] = ACTIONS(2507),
    [anon_sym_public] = ACTIONS(2507),
    [anon_sym_private] = ACTIONS(2507),
    [anon_sym_protected] = ACTIONS(2507),
    [anon_sym_using] = ACTIONS(2507),
    [anon_sym_static_assert] = ACTIONS(2507),
    [anon_sym_precise] = ACTIONS(2507),
    [anon_sym_shared] = ACTIONS(2507),
    [anon_sym_groupshared] = ACTIONS(2507),
    [anon_sym_uniform] = ACTIONS(2507),
    [anon_sym_row_major] = ACTIONS(2507),
    [anon_sym_column_major] = ACTIONS(2507),
    [anon_sym_globallycoherent] = ACTIONS(2507),
    [anon_sym_centroid] = ACTIONS(2507),
    [anon_sym_noperspective] = ACTIONS(2507),
    [anon_sym_nointerpolation] = ACTIONS(2507),
    [anon_sym_sample] = ACTIONS(2507),
    [anon_sym_linear] = ACTIONS(2507),
    [anon_sym_snorm] = ACTIONS(2507),
    [anon_sym_unorm] = ACTIONS(2507),
    [anon_sym_point] = ACTIONS(2507),
    [anon_sym_line] = ACTIONS(2507),
    [anon_sym_triangleadj] = ACTIONS(2507),
    [anon_sym_lineadj] = ACTIONS(2507),
    [anon_sym_triangle] = ACTIONS(2507),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_in] = ACTIONS(2514),
    [anon_sym_out] = ACTIONS(2514),
    [anon_sym_inout] = ACTIONS(2514),
    [anon_sym_virtual] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym___attribute] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym__Nonnull] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_friend] = ACTIONS(2514),
    [anon_sym_public] = ACTIONS(2514),
    [anon_sym_private] = ACTIONS(2514),
    [anon_sym_protected] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_precise] = ACTIONS(2514),
    [anon_sym_shared] = ACTIONS(2514),
    [anon_sym_groupshared] = ACTIONS(2514),
    [anon_sym_uniform] = ACTIONS(2514),
    [anon_sym_row_major] = ACTIONS(2514),
    [anon_sym_column_major] = ACTIONS(2514),
    [anon_sym_globallycoherent] = ACTIONS(2514),
    [anon_sym_centroid] = ACTIONS(2514),
    [anon_sym_noperspective] = ACTIONS(2514),
    [anon_sym_nointerpolation] = ACTIONS(2514),
    [anon_sym_sample] = ACTIONS(2514),
    [anon_sym_linear] = ACTIONS(2514),
    [anon_sym_snorm] = ACTIONS(2514),
    [anon_sym_unorm] = ACTIONS(2514),
    [anon_sym_point] = ACTIONS(2514),
    [anon_sym_line] = ACTIONS(2514),
    [anon_sym_triangleadj] = ACTIONS(2514),
    [anon_sym_lineadj] = ACTIONS(2514),
    [anon_sym_triangle] = ACTIONS(2514),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(5368),
    [aux_sym_preproc_def_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token2] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5368),
    [sym_preproc_directive] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5370),
    [anon_sym_TILDE] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [anon_sym___extension__] = ACTIONS(5368),
    [anon_sym_typedef] = ACTIONS(5368),
    [anon_sym_in] = ACTIONS(5368),
    [anon_sym_out] = ACTIONS(5368),
    [anon_sym_inout] = ACTIONS(5368),
    [anon_sym_virtual] = ACTIONS(5368),
    [anon_sym_extern] = ACTIONS(5368),
    [anon_sym___attribute__] = ACTIONS(5368),
    [anon_sym___attribute] = ACTIONS(5368),
    [anon_sym_COLON_COLON] = ACTIONS(5370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5370),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(5368),
    [anon_sym_signed] = ACTIONS(5368),
    [anon_sym_unsigned] = ACTIONS(5368),
    [anon_sym_long] = ACTIONS(5368),
    [anon_sym_short] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_static] = ACTIONS(5368),
    [anon_sym_register] = ACTIONS(5368),
    [anon_sym_inline] = ACTIONS(5368),
    [anon_sym___inline] = ACTIONS(5368),
    [anon_sym___inline__] = ACTIONS(5368),
    [anon_sym___forceinline] = ACTIONS(5368),
    [anon_sym_thread_local] = ACTIONS(5368),
    [anon_sym___thread] = ACTIONS(5368),
    [anon_sym_const] = ACTIONS(5368),
    [anon_sym_constexpr] = ACTIONS(5368),
    [anon_sym_volatile] = ACTIONS(5368),
    [anon_sym_restrict] = ACTIONS(5368),
    [anon_sym___restrict__] = ACTIONS(5368),
    [anon_sym__Atomic] = ACTIONS(5368),
    [anon_sym__Noreturn] = ACTIONS(5368),
    [anon_sym_noreturn] = ACTIONS(5368),
    [anon_sym__Nonnull] = ACTIONS(5368),
    [anon_sym_mutable] = ACTIONS(5368),
    [anon_sym_constinit] = ACTIONS(5368),
    [anon_sym_consteval] = ACTIONS(5368),
    [anon_sym_alignas] = ACTIONS(5368),
    [anon_sym__Alignas] = ACTIONS(5368),
    [sym_primitive_type] = ACTIONS(5368),
    [anon_sym_enum] = ACTIONS(5368),
    [anon_sym_class] = ACTIONS(5368),
    [anon_sym_struct] = ACTIONS(5368),
    [anon_sym_union] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5368),
    [anon_sym_decltype] = ACTIONS(5368),
    [anon_sym_explicit] = ACTIONS(5368),
    [anon_sym_typename] = ACTIONS(5368),
    [anon_sym_template] = ACTIONS(5368),
    [anon_sym_operator] = ACTIONS(5368),
    [anon_sym_friend] = ACTIONS(5368),
    [anon_sym_public] = ACTIONS(5368),
    [anon_sym_private] = ACTIONS(5368),
    [anon_sym_protected] = ACTIONS(5368),
    [anon_sym_using] = ACTIONS(5368),
    [anon_sym_static_assert] = ACTIONS(5368),
    [anon_sym_precise] = ACTIONS(5368),
    [anon_sym_shared] = ACTIONS(5368),
    [anon_sym_groupshared] = ACTIONS(5368),
    [anon_sym_uniform] = ACTIONS(5368),
    [anon_sym_row_major] = ACTIONS(5368),
    [anon_sym_column_major] = ACTIONS(5368),
    [anon_sym_globallycoherent] = ACTIONS(5368),
    [anon_sym_centroid] = ACTIONS(5368),
    [anon_sym_noperspective] = ACTIONS(5368),
    [anon_sym_nointerpolation] = ACTIONS(5368),
    [anon_sym_sample] = ACTIONS(5368),
    [anon_sym_linear] = ACTIONS(5368),
    [anon_sym_snorm] = ACTIONS(5368),
    [anon_sym_unorm] = ACTIONS(5368),
    [anon_sym_point] = ACTIONS(5368),
    [anon_sym_line] = ACTIONS(5368),
    [anon_sym_triangleadj] = ACTIONS(5368),
    [anon_sym_lineadj] = ACTIONS(5368),
    [anon_sym_triangle] = ACTIONS(5368),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token2] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_friend] = ACTIONS(2201),
    [anon_sym_public] = ACTIONS(2201),
    [anon_sym_private] = ACTIONS(2201),
    [anon_sym_protected] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(2201),
    [aux_sym_preproc_def_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token1] = ACTIONS(2201),
    [aux_sym_preproc_if_token2] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2201),
    [sym_preproc_directive] = ACTIONS(2201),
    [anon_sym_LPAREN2] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_AMP_AMP] = ACTIONS(2203),
    [anon_sym_AMP] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym___extension__] = ACTIONS(2201),
    [anon_sym_typedef] = ACTIONS(2201),
    [anon_sym_in] = ACTIONS(2201),
    [anon_sym_out] = ACTIONS(2201),
    [anon_sym_inout] = ACTIONS(2201),
    [anon_sym_virtual] = ACTIONS(2201),
    [anon_sym_extern] = ACTIONS(2201),
    [anon_sym___attribute__] = ACTIONS(2201),
    [anon_sym___attribute] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2203),
    [anon_sym___declspec] = ACTIONS(2201),
    [anon_sym___based] = ACTIONS(2201),
    [anon_sym_signed] = ACTIONS(2201),
    [anon_sym_unsigned] = ACTIONS(2201),
    [anon_sym_long] = ACTIONS(2201),
    [anon_sym_short] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_register] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(2201),
    [anon_sym___inline] = ACTIONS(2201),
    [anon_sym___inline__] = ACTIONS(2201),
    [anon_sym___forceinline] = ACTIONS(2201),
    [anon_sym_thread_local] = ACTIONS(2201),
    [anon_sym___thread] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_constexpr] = ACTIONS(2201),
    [anon_sym_volatile] = ACTIONS(2201),
    [anon_sym_restrict] = ACTIONS(2201),
    [anon_sym___restrict__] = ACTIONS(2201),
    [anon_sym__Atomic] = ACTIONS(2201),
    [anon_sym__Noreturn] = ACTIONS(2201),
    [anon_sym_noreturn] = ACTIONS(2201),
    [anon_sym__Nonnull] = ACTIONS(2201),
    [anon_sym_mutable] = ACTIONS(2201),
    [anon_sym_constinit] = ACTIONS(2201),
    [anon_sym_consteval] = ACTIONS(2201),
    [anon_sym_alignas] = ACTIONS(2201),
    [anon_sym__Alignas] = ACTIONS(2201),
    [sym_primitive_type] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_struct] = ACTIONS(2201),
    [anon_sym_union] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2201),
    [anon_sym_decltype] = ACTIONS(2201),
    [anon_sym_explicit] = ACTIONS(2201),
    [anon_sym_typename] = ACTIONS(2201),
    [anon_sym_template] = ACTIONS(2201),
    [anon_sym_operator] = ACTIONS(2201),
    [anon_sym_friend] = ACTIONS(2201),
    [anon_sym_public] = ACTIONS(2201),
    [anon_sym_private] = ACTIONS(2201),
    [anon_sym_protected] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(2201),
    [anon_sym_static_assert] = ACTIONS(2201),
    [anon_sym_precise] = ACTIONS(2201),
    [anon_sym_shared] = ACTIONS(2201),
    [anon_sym_groupshared] = ACTIONS(2201),
    [anon_sym_uniform] = ACTIONS(2201),
    [anon_sym_row_major] = ACTIONS(2201),
    [anon_sym_column_major] = ACTIONS(2201),
    [anon_sym_globallycoherent] = ACTIONS(2201),
    [anon_sym_centroid] = ACTIONS(2201),
    [anon_sym_noperspective] = ACTIONS(2201),
    [anon_sym_nointerpolation] = ACTIONS(2201),
    [anon_sym_sample] = ACTIONS(2201),
    [anon_sym_linear] = ACTIONS(2201),
    [anon_sym_snorm] = ACTIONS(2201),
    [anon_sym_unorm] = ACTIONS(2201),
    [anon_sym_point] = ACTIONS(2201),
    [anon_sym_line] = ACTIONS(2201),
    [anon_sym_triangleadj] = ACTIONS(2201),
    [anon_sym_lineadj] = ACTIONS(2201),
    [anon_sym_triangle] = ACTIONS(2201),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(2169),
    [aux_sym_preproc_def_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token2] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2169),
    [sym_preproc_directive] = ACTIONS(2169),
    [anon_sym_LPAREN2] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym___extension__] = ACTIONS(2169),
    [anon_sym_typedef] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_out] = ACTIONS(2169),
    [anon_sym_inout] = ACTIONS(2169),
    [anon_sym_virtual] = ACTIONS(2169),
    [anon_sym_extern] = ACTIONS(2169),
    [anon_sym___attribute__] = ACTIONS(2169),
    [anon_sym___attribute] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2171),
    [anon_sym___declspec] = ACTIONS(2169),
    [anon_sym___based] = ACTIONS(2169),
    [anon_sym_signed] = ACTIONS(2169),
    [anon_sym_unsigned] = ACTIONS(2169),
    [anon_sym_long] = ACTIONS(2169),
    [anon_sym_short] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_register] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(2169),
    [anon_sym___inline] = ACTIONS(2169),
    [anon_sym___inline__] = ACTIONS(2169),
    [anon_sym___forceinline] = ACTIONS(2169),
    [anon_sym_thread_local] = ACTIONS(2169),
    [anon_sym___thread] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_constexpr] = ACTIONS(2169),
    [anon_sym_volatile] = ACTIONS(2169),
    [anon_sym_restrict] = ACTIONS(2169),
    [anon_sym___restrict__] = ACTIONS(2169),
    [anon_sym__Atomic] = ACTIONS(2169),
    [anon_sym__Noreturn] = ACTIONS(2169),
    [anon_sym_noreturn] = ACTIONS(2169),
    [anon_sym__Nonnull] = ACTIONS(2169),
    [anon_sym_mutable] = ACTIONS(2169),
    [anon_sym_constinit] = ACTIONS(2169),
    [anon_sym_consteval] = ACTIONS(2169),
    [anon_sym_alignas] = ACTIONS(2169),
    [anon_sym__Alignas] = ACTIONS(2169),
    [sym_primitive_type] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_struct] = ACTIONS(2169),
    [anon_sym_union] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2169),
    [anon_sym_decltype] = ACTIONS(2169),
    [anon_sym_explicit] = ACTIONS(2169),
    [anon_sym_typename] = ACTIONS(2169),
    [anon_sym_template] = ACTIONS(2169),
    [anon_sym_operator] = ACTIONS(2169),
    [anon_sym_friend] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_static_assert] = ACTIONS(2169),
    [anon_sym_precise] = ACTIONS(2169),
    [anon_sym_shared] = ACTIONS(2169),
    [anon_sym_groupshared] = ACTIONS(2169),
    [anon_sym_uniform] = ACTIONS(2169),
    [anon_sym_row_major] = ACTIONS(2169),
    [anon_sym_column_major] = ACTIONS(2169),
    [anon_sym_globallycoherent] = ACTIONS(2169),
    [anon_sym_centroid] = ACTIONS(2169),
    [anon_sym_noperspective] = ACTIONS(2169),
    [anon_sym_nointerpolation] = ACTIONS(2169),
    [anon_sym_sample] = ACTIONS(2169),
    [anon_sym_linear] = ACTIONS(2169),
    [anon_sym_snorm] = ACTIONS(2169),
    [anon_sym_unorm] = ACTIONS(2169),
    [anon_sym_point] = ACTIONS(2169),
    [anon_sym_line] = ACTIONS(2169),
    [anon_sym_triangleadj] = ACTIONS(2169),
    [anon_sym_lineadj] = ACTIONS(2169),
    [anon_sym_triangle] = ACTIONS(2169),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(5376),
    [aux_sym_preproc_def_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token1] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5376),
    [sym_preproc_directive] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_TILDE] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym_typedef] = ACTIONS(5376),
    [anon_sym_in] = ACTIONS(5376),
    [anon_sym_out] = ACTIONS(5376),
    [anon_sym_inout] = ACTIONS(5376),
    [anon_sym_virtual] = ACTIONS(5376),
    [anon_sym_extern] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___attribute] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(5378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5378),
    [anon_sym___declspec] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_static] = ACTIONS(5376),
    [anon_sym_register] = ACTIONS(5376),
    [anon_sym_inline] = ACTIONS(5376),
    [anon_sym___inline] = ACTIONS(5376),
    [anon_sym___inline__] = ACTIONS(5376),
    [anon_sym___forceinline] = ACTIONS(5376),
    [anon_sym_thread_local] = ACTIONS(5376),
    [anon_sym___thread] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [sym_primitive_type] = ACTIONS(5376),
    [anon_sym_enum] = ACTIONS(5376),
    [anon_sym_class] = ACTIONS(5376),
    [anon_sym_struct] = ACTIONS(5376),
    [anon_sym_union] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_explicit] = ACTIONS(5376),
    [anon_sym_typename] = ACTIONS(5376),
    [anon_sym_template] = ACTIONS(5376),
    [anon_sym_operator] = ACTIONS(5376),
    [anon_sym_friend] = ACTIONS(5376),
    [anon_sym_public] = ACTIONS(5376),
    [anon_sym_private] = ACTIONS(5376),
    [anon_sym_protected] = ACTIONS(5376),
    [anon_sym_using] = ACTIONS(5376),
    [anon_sym_static_assert] = ACTIONS(5376),
    [anon_sym_precise] = ACTIONS(5376),
    [anon_sym_shared] = ACTIONS(5376),
    [anon_sym_groupshared] = ACTIONS(5376),
    [anon_sym_uniform] = ACTIONS(5376),
    [anon_sym_row_major] = ACTIONS(5376),
    [anon_sym_column_major] = ACTIONS(5376),
    [anon_sym_globallycoherent] = ACTIONS(5376),
    [anon_sym_centroid] = ACTIONS(5376),
    [anon_sym_noperspective] = ACTIONS(5376),
    [anon_sym_nointerpolation] = ACTIONS(5376),
    [anon_sym_sample] = ACTIONS(5376),
    [anon_sym_linear] = ACTIONS(5376),
    [anon_sym_snorm] = ACTIONS(5376),
    [anon_sym_unorm] = ACTIONS(5376),
    [anon_sym_point] = ACTIONS(5376),
    [anon_sym_line] = ACTIONS(5376),
    [anon_sym_triangleadj] = ACTIONS(5376),
    [anon_sym_lineadj] = ACTIONS(5376),
    [anon_sym_triangle] = ACTIONS(5376),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token2] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_friend] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(2205),
    [aux_sym_preproc_def_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token1] = ACTIONS(2205),
    [aux_sym_preproc_if_token2] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2205),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym___extension__] = ACTIONS(2205),
    [anon_sym_typedef] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2205),
    [anon_sym_out] = ACTIONS(2205),
    [anon_sym_inout] = ACTIONS(2205),
    [anon_sym_virtual] = ACTIONS(2205),
    [anon_sym_extern] = ACTIONS(2205),
    [anon_sym___attribute__] = ACTIONS(2205),
    [anon_sym___attribute] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2207),
    [anon_sym___declspec] = ACTIONS(2205),
    [anon_sym___based] = ACTIONS(2205),
    [anon_sym_signed] = ACTIONS(2205),
    [anon_sym_unsigned] = ACTIONS(2205),
    [anon_sym_long] = ACTIONS(2205),
    [anon_sym_short] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_register] = ACTIONS(2205),
    [anon_sym_inline] = ACTIONS(2205),
    [anon_sym___inline] = ACTIONS(2205),
    [anon_sym___inline__] = ACTIONS(2205),
    [anon_sym___forceinline] = ACTIONS(2205),
    [anon_sym_thread_local] = ACTIONS(2205),
    [anon_sym___thread] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_constexpr] = ACTIONS(2205),
    [anon_sym_volatile] = ACTIONS(2205),
    [anon_sym_restrict] = ACTIONS(2205),
    [anon_sym___restrict__] = ACTIONS(2205),
    [anon_sym__Atomic] = ACTIONS(2205),
    [anon_sym__Noreturn] = ACTIONS(2205),
    [anon_sym_noreturn] = ACTIONS(2205),
    [anon_sym__Nonnull] = ACTIONS(2205),
    [anon_sym_mutable] = ACTIONS(2205),
    [anon_sym_constinit] = ACTIONS(2205),
    [anon_sym_consteval] = ACTIONS(2205),
    [anon_sym_alignas] = ACTIONS(2205),
    [anon_sym__Alignas] = ACTIONS(2205),
    [sym_primitive_type] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_struct] = ACTIONS(2205),
    [anon_sym_union] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2205),
    [anon_sym_decltype] = ACTIONS(2205),
    [anon_sym_explicit] = ACTIONS(2205),
    [anon_sym_typename] = ACTIONS(2205),
    [anon_sym_template] = ACTIONS(2205),
    [anon_sym_operator] = ACTIONS(2205),
    [anon_sym_friend] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_static_assert] = ACTIONS(2205),
    [anon_sym_precise] = ACTIONS(2205),
    [anon_sym_shared] = ACTIONS(2205),
    [anon_sym_groupshared] = ACTIONS(2205),
    [anon_sym_uniform] = ACTIONS(2205),
    [anon_sym_row_major] = ACTIONS(2205),
    [anon_sym_column_major] = ACTIONS(2205),
    [anon_sym_globallycoherent] = ACTIONS(2205),
    [anon_sym_centroid] = ACTIONS(2205),
    [anon_sym_noperspective] = ACTIONS(2205),
    [anon_sym_nointerpolation] = ACTIONS(2205),
    [anon_sym_sample] = ACTIONS(2205),
    [anon_sym_linear] = ACTIONS(2205),
    [anon_sym_snorm] = ACTIONS(2205),
    [anon_sym_unorm] = ACTIONS(2205),
    [anon_sym_point] = ACTIONS(2205),
    [anon_sym_line] = ACTIONS(2205),
    [anon_sym_triangleadj] = ACTIONS(2205),
    [anon_sym_lineadj] = ACTIONS(2205),
    [anon_sym_triangle] = ACTIONS(2205),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_virtual] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_friend] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_groupshared] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_row_major] = ACTIONS(2524),
    [anon_sym_column_major] = ACTIONS(2524),
    [anon_sym_globallycoherent] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym_nointerpolation] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_linear] = ACTIONS(2524),
    [anon_sym_snorm] = ACTIONS(2524),
    [anon_sym_unorm] = ACTIONS(2524),
    [anon_sym_point] = ACTIONS(2524),
    [anon_sym_line] = ACTIONS(2524),
    [anon_sym_triangleadj] = ACTIONS(2524),
    [anon_sym_lineadj] = ACTIONS(2524),
    [anon_sym_triangle] = ACTIONS(2524),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(2209),
    [aux_sym_preproc_def_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token1] = ACTIONS(2209),
    [aux_sym_preproc_if_token2] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2209),
    [sym_preproc_directive] = ACTIONS(2209),
    [anon_sym_LPAREN2] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_AMP_AMP] = ACTIONS(2211),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym___extension__] = ACTIONS(2209),
    [anon_sym_typedef] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_out] = ACTIONS(2209),
    [anon_sym_inout] = ACTIONS(2209),
    [anon_sym_virtual] = ACTIONS(2209),
    [anon_sym_extern] = ACTIONS(2209),
    [anon_sym___attribute__] = ACTIONS(2209),
    [anon_sym___attribute] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2211),
    [anon_sym___declspec] = ACTIONS(2209),
    [anon_sym___based] = ACTIONS(2209),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_register] = ACTIONS(2209),
    [anon_sym_inline] = ACTIONS(2209),
    [anon_sym___inline] = ACTIONS(2209),
    [anon_sym___inline__] = ACTIONS(2209),
    [anon_sym___forceinline] = ACTIONS(2209),
    [anon_sym_thread_local] = ACTIONS(2209),
    [anon_sym___thread] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_constexpr] = ACTIONS(2209),
    [anon_sym_volatile] = ACTIONS(2209),
    [anon_sym_restrict] = ACTIONS(2209),
    [anon_sym___restrict__] = ACTIONS(2209),
    [anon_sym__Atomic] = ACTIONS(2209),
    [anon_sym__Noreturn] = ACTIONS(2209),
    [anon_sym_noreturn] = ACTIONS(2209),
    [anon_sym__Nonnull] = ACTIONS(2209),
    [anon_sym_mutable] = ACTIONS(2209),
    [anon_sym_constinit] = ACTIONS(2209),
    [anon_sym_consteval] = ACTIONS(2209),
    [anon_sym_alignas] = ACTIONS(2209),
    [anon_sym__Alignas] = ACTIONS(2209),
    [sym_primitive_type] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_struct] = ACTIONS(2209),
    [anon_sym_union] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2209),
    [anon_sym_decltype] = ACTIONS(2209),
    [anon_sym_explicit] = ACTIONS(2209),
    [anon_sym_typename] = ACTIONS(2209),
    [anon_sym_template] = ACTIONS(2209),
    [anon_sym_operator] = ACTIONS(2209),
    [anon_sym_friend] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(2209),
    [anon_sym_static_assert] = ACTIONS(2209),
    [anon_sym_precise] = ACTIONS(2209),
    [anon_sym_shared] = ACTIONS(2209),
    [anon_sym_groupshared] = ACTIONS(2209),
    [anon_sym_uniform] = ACTIONS(2209),
    [anon_sym_row_major] = ACTIONS(2209),
    [anon_sym_column_major] = ACTIONS(2209),
    [anon_sym_globallycoherent] = ACTIONS(2209),
    [anon_sym_centroid] = ACTIONS(2209),
    [anon_sym_noperspective] = ACTIONS(2209),
    [anon_sym_nointerpolation] = ACTIONS(2209),
    [anon_sym_sample] = ACTIONS(2209),
    [anon_sym_linear] = ACTIONS(2209),
    [anon_sym_snorm] = ACTIONS(2209),
    [anon_sym_unorm] = ACTIONS(2209),
    [anon_sym_point] = ACTIONS(2209),
    [anon_sym_line] = ACTIONS(2209),
    [anon_sym_triangleadj] = ACTIONS(2209),
    [anon_sym_lineadj] = ACTIONS(2209),
    [anon_sym_triangle] = ACTIONS(2209),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(2221),
    [aux_sym_preproc_def_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token1] = ACTIONS(2221),
    [aux_sym_preproc_if_token2] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2221),
    [sym_preproc_directive] = ACTIONS(2221),
    [anon_sym_LPAREN2] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2223),
    [anon_sym_AMP] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym___extension__] = ACTIONS(2221),
    [anon_sym_typedef] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_out] = ACTIONS(2221),
    [anon_sym_inout] = ACTIONS(2221),
    [anon_sym_virtual] = ACTIONS(2221),
    [anon_sym_extern] = ACTIONS(2221),
    [anon_sym___attribute__] = ACTIONS(2221),
    [anon_sym___attribute] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2223),
    [anon_sym___declspec] = ACTIONS(2221),
    [anon_sym___based] = ACTIONS(2221),
    [anon_sym_signed] = ACTIONS(2221),
    [anon_sym_unsigned] = ACTIONS(2221),
    [anon_sym_long] = ACTIONS(2221),
    [anon_sym_short] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_register] = ACTIONS(2221),
    [anon_sym_inline] = ACTIONS(2221),
    [anon_sym___inline] = ACTIONS(2221),
    [anon_sym___inline__] = ACTIONS(2221),
    [anon_sym___forceinline] = ACTIONS(2221),
    [anon_sym_thread_local] = ACTIONS(2221),
    [anon_sym___thread] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_constexpr] = ACTIONS(2221),
    [anon_sym_volatile] = ACTIONS(2221),
    [anon_sym_restrict] = ACTIONS(2221),
    [anon_sym___restrict__] = ACTIONS(2221),
    [anon_sym__Atomic] = ACTIONS(2221),
    [anon_sym__Noreturn] = ACTIONS(2221),
    [anon_sym_noreturn] = ACTIONS(2221),
    [anon_sym__Nonnull] = ACTIONS(2221),
    [anon_sym_mutable] = ACTIONS(2221),
    [anon_sym_constinit] = ACTIONS(2221),
    [anon_sym_consteval] = ACTIONS(2221),
    [anon_sym_alignas] = ACTIONS(2221),
    [anon_sym__Alignas] = ACTIONS(2221),
    [sym_primitive_type] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_union] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2221),
    [anon_sym_decltype] = ACTIONS(2221),
    [anon_sym_explicit] = ACTIONS(2221),
    [anon_sym_typename] = ACTIONS(2221),
    [anon_sym_template] = ACTIONS(2221),
    [anon_sym_operator] = ACTIONS(2221),
    [anon_sym_friend] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_using] = ACTIONS(2221),
    [anon_sym_static_assert] = ACTIONS(2221),
    [anon_sym_precise] = ACTIONS(2221),
    [anon_sym_shared] = ACTIONS(2221),
    [anon_sym_groupshared] = ACTIONS(2221),
    [anon_sym_uniform] = ACTIONS(2221),
    [anon_sym_row_major] = ACTIONS(2221),
    [anon_sym_column_major] = ACTIONS(2221),
    [anon_sym_globallycoherent] = ACTIONS(2221),
    [anon_sym_centroid] = ACTIONS(2221),
    [anon_sym_noperspective] = ACTIONS(2221),
    [anon_sym_nointerpolation] = ACTIONS(2221),
    [anon_sym_sample] = ACTIONS(2221),
    [anon_sym_linear] = ACTIONS(2221),
    [anon_sym_snorm] = ACTIONS(2221),
    [anon_sym_unorm] = ACTIONS(2221),
    [anon_sym_point] = ACTIONS(2221),
    [anon_sym_line] = ACTIONS(2221),
    [anon_sym_triangleadj] = ACTIONS(2221),
    [anon_sym_lineadj] = ACTIONS(2221),
    [anon_sym_triangle] = ACTIONS(2221),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(2647),
    [aux_sym_preproc_def_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token2] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2647),
    [sym_preproc_directive] = ACTIONS(2647),
    [anon_sym_LPAREN2] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2647),
    [anon_sym_typedef] = ACTIONS(2647),
    [anon_sym_in] = ACTIONS(2647),
    [anon_sym_out] = ACTIONS(2647),
    [anon_sym_inout] = ACTIONS(2647),
    [anon_sym_virtual] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym___attribute__] = ACTIONS(2647),
    [anon_sym___attribute] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2649),
    [anon_sym___declspec] = ACTIONS(2647),
    [anon_sym___based] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2647),
    [anon_sym_unsigned] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_register] = ACTIONS(2647),
    [anon_sym_inline] = ACTIONS(2647),
    [anon_sym___inline] = ACTIONS(2647),
    [anon_sym___inline__] = ACTIONS(2647),
    [anon_sym___forceinline] = ACTIONS(2647),
    [anon_sym_thread_local] = ACTIONS(2647),
    [anon_sym___thread] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_constexpr] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_restrict] = ACTIONS(2647),
    [anon_sym___restrict__] = ACTIONS(2647),
    [anon_sym__Atomic] = ACTIONS(2647),
    [anon_sym__Noreturn] = ACTIONS(2647),
    [anon_sym_noreturn] = ACTIONS(2647),
    [anon_sym__Nonnull] = ACTIONS(2647),
    [anon_sym_mutable] = ACTIONS(2647),
    [anon_sym_constinit] = ACTIONS(2647),
    [anon_sym_consteval] = ACTIONS(2647),
    [anon_sym_alignas] = ACTIONS(2647),
    [anon_sym__Alignas] = ACTIONS(2647),
    [sym_primitive_type] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2647),
    [anon_sym_decltype] = ACTIONS(2647),
    [anon_sym_explicit] = ACTIONS(2647),
    [anon_sym_typename] = ACTIONS(2647),
    [anon_sym_template] = ACTIONS(2647),
    [anon_sym_operator] = ACTIONS(2647),
    [anon_sym_friend] = ACTIONS(2647),
    [anon_sym_public] = ACTIONS(2647),
    [anon_sym_private] = ACTIONS(2647),
    [anon_sym_protected] = ACTIONS(2647),
    [anon_sym_using] = ACTIONS(2647),
    [anon_sym_static_assert] = ACTIONS(2647),
    [anon_sym_precise] = ACTIONS(2647),
    [anon_sym_shared] = ACTIONS(2647),
    [anon_sym_groupshared] = ACTIONS(2647),
    [anon_sym_uniform] = ACTIONS(2647),
    [anon_sym_row_major] = ACTIONS(2647),
    [anon_sym_column_major] = ACTIONS(2647),
    [anon_sym_globallycoherent] = ACTIONS(2647),
    [anon_sym_centroid] = ACTIONS(2647),
    [anon_sym_noperspective] = ACTIONS(2647),
    [anon_sym_nointerpolation] = ACTIONS(2647),
    [anon_sym_sample] = ACTIONS(2647),
    [anon_sym_linear] = ACTIONS(2647),
    [anon_sym_snorm] = ACTIONS(2647),
    [anon_sym_unorm] = ACTIONS(2647),
    [anon_sym_point] = ACTIONS(2647),
    [anon_sym_line] = ACTIONS(2647),
    [anon_sym_triangleadj] = ACTIONS(2647),
    [anon_sym_lineadj] = ACTIONS(2647),
    [anon_sym_triangle] = ACTIONS(2647),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_virtual] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___based] = ACTIONS(2360),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_mutable] = ACTIONS(2360),
    [anon_sym_constinit] = ACTIONS(2360),
    [anon_sym_consteval] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2360),
    [anon_sym_decltype] = ACTIONS(2360),
    [anon_sym_explicit] = ACTIONS(2360),
    [anon_sym_typename] = ACTIONS(2360),
    [anon_sym_template] = ACTIONS(2360),
    [anon_sym_operator] = ACTIONS(2360),
    [anon_sym_friend] = ACTIONS(2360),
    [anon_sym_public] = ACTIONS(2360),
    [anon_sym_private] = ACTIONS(2360),
    [anon_sym_protected] = ACTIONS(2360),
    [anon_sym_using] = ACTIONS(2360),
    [anon_sym_static_assert] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_groupshared] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_row_major] = ACTIONS(2360),
    [anon_sym_column_major] = ACTIONS(2360),
    [anon_sym_globallycoherent] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym_nointerpolation] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_linear] = ACTIONS(2360),
    [anon_sym_snorm] = ACTIONS(2360),
    [anon_sym_unorm] = ACTIONS(2360),
    [anon_sym_point] = ACTIONS(2360),
    [anon_sym_line] = ACTIONS(2360),
    [anon_sym_triangleadj] = ACTIONS(2360),
    [anon_sym_lineadj] = ACTIONS(2360),
    [anon_sym_triangle] = ACTIONS(2360),
  },
  [2179] = {
    [sym_identifier] = ACTIONS(2127),
    [aux_sym_preproc_def_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token1] = ACTIONS(2127),
    [aux_sym_preproc_if_token2] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2127),
    [sym_preproc_directive] = ACTIONS(2127),
    [anon_sym_LPAREN2] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_STAR] = ACTIONS(2129),
    [anon_sym_AMP_AMP] = ACTIONS(2129),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym___extension__] = ACTIONS(2127),
    [anon_sym_typedef] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_out] = ACTIONS(2127),
    [anon_sym_inout] = ACTIONS(2127),
    [anon_sym_virtual] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2127),
    [anon_sym___attribute__] = ACTIONS(2127),
    [anon_sym___attribute] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2129),
    [anon_sym___declspec] = ACTIONS(2127),
    [anon_sym___based] = ACTIONS(2127),
    [anon_sym_signed] = ACTIONS(2127),
    [anon_sym_unsigned] = ACTIONS(2127),
    [anon_sym_long] = ACTIONS(2127),
    [anon_sym_short] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_register] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(2127),
    [anon_sym___inline] = ACTIONS(2127),
    [anon_sym___inline__] = ACTIONS(2127),
    [anon_sym___forceinline] = ACTIONS(2127),
    [anon_sym_thread_local] = ACTIONS(2127),
    [anon_sym___thread] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_constexpr] = ACTIONS(2127),
    [anon_sym_volatile] = ACTIONS(2127),
    [anon_sym_restrict] = ACTIONS(2127),
    [anon_sym___restrict__] = ACTIONS(2127),
    [anon_sym__Atomic] = ACTIONS(2127),
    [anon_sym__Noreturn] = ACTIONS(2127),
    [anon_sym_noreturn] = ACTIONS(2127),
    [anon_sym__Nonnull] = ACTIONS(2127),
    [anon_sym_mutable] = ACTIONS(2127),
    [anon_sym_constinit] = ACTIONS(2127),
    [anon_sym_consteval] = ACTIONS(2127),
    [anon_sym_alignas] = ACTIONS(2127),
    [anon_sym__Alignas] = ACTIONS(2127),
    [sym_primitive_type] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_struct] = ACTIONS(2127),
    [anon_sym_union] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2127),
    [anon_sym_decltype] = ACTIONS(2127),
    [anon_sym_explicit] = ACTIONS(2127),
    [anon_sym_typename] = ACTIONS(2127),
    [anon_sym_template] = ACTIONS(2127),
    [anon_sym_operator] = ACTIONS(2127),
    [anon_sym_friend] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_static_assert] = ACTIONS(2127),
    [anon_sym_precise] = ACTIONS(2127),
    [anon_sym_shared] = ACTIONS(2127),
    [anon_sym_groupshared] = ACTIONS(2127),
    [anon_sym_uniform] = ACTIONS(2127),
    [anon_sym_row_major] = ACTIONS(2127),
    [anon_sym_column_major] = ACTIONS(2127),
    [anon_sym_globallycoherent] = ACTIONS(2127),
    [anon_sym_centroid] = ACTIONS(2127),
    [anon_sym_noperspective] = ACTIONS(2127),
    [anon_sym_nointerpolation] = ACTIONS(2127),
    [anon_sym_sample] = ACTIONS(2127),
    [anon_sym_linear] = ACTIONS(2127),
    [anon_sym_snorm] = ACTIONS(2127),
    [anon_sym_unorm] = ACTIONS(2127),
    [anon_sym_point] = ACTIONS(2127),
    [anon_sym_line] = ACTIONS(2127),
    [anon_sym_triangleadj] = ACTIONS(2127),
    [anon_sym_lineadj] = ACTIONS(2127),
    [anon_sym_triangle] = ACTIONS(2127),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(2378),
    [aux_sym_preproc_def_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token1] = ACTIONS(2378),
    [aux_sym_preproc_if_token2] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2378),
    [sym_preproc_directive] = ACTIONS(2378),
    [anon_sym_LPAREN2] = ACTIONS(2380),
    [anon_sym_TILDE] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2380),
    [anon_sym___extension__] = ACTIONS(2378),
    [anon_sym_typedef] = ACTIONS(2378),
    [anon_sym_in] = ACTIONS(2378),
    [anon_sym_out] = ACTIONS(2378),
    [anon_sym_inout] = ACTIONS(2378),
    [anon_sym_virtual] = ACTIONS(2378),
    [anon_sym_extern] = ACTIONS(2378),
    [anon_sym___attribute__] = ACTIONS(2378),
    [anon_sym___attribute] = ACTIONS(2378),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2380),
    [anon_sym___declspec] = ACTIONS(2378),
    [anon_sym___based] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2378),
    [anon_sym_unsigned] = ACTIONS(2378),
    [anon_sym_long] = ACTIONS(2378),
    [anon_sym_short] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_register] = ACTIONS(2378),
    [anon_sym_inline] = ACTIONS(2378),
    [anon_sym___inline] = ACTIONS(2378),
    [anon_sym___inline__] = ACTIONS(2378),
    [anon_sym___forceinline] = ACTIONS(2378),
    [anon_sym_thread_local] = ACTIONS(2378),
    [anon_sym___thread] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_constexpr] = ACTIONS(2378),
    [anon_sym_volatile] = ACTIONS(2378),
    [anon_sym_restrict] = ACTIONS(2378),
    [anon_sym___restrict__] = ACTIONS(2378),
    [anon_sym__Atomic] = ACTIONS(2378),
    [anon_sym__Noreturn] = ACTIONS(2378),
    [anon_sym_noreturn] = ACTIONS(2378),
    [anon_sym__Nonnull] = ACTIONS(2378),
    [anon_sym_mutable] = ACTIONS(2378),
    [anon_sym_constinit] = ACTIONS(2378),
    [anon_sym_consteval] = ACTIONS(2378),
    [anon_sym_alignas] = ACTIONS(2378),
    [anon_sym__Alignas] = ACTIONS(2378),
    [sym_primitive_type] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_struct] = ACTIONS(2378),
    [anon_sym_union] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2378),
    [anon_sym_decltype] = ACTIONS(2378),
    [anon_sym_explicit] = ACTIONS(2378),
    [anon_sym_typename] = ACTIONS(2378),
    [anon_sym_template] = ACTIONS(2378),
    [anon_sym_operator] = ACTIONS(2378),
    [anon_sym_friend] = ACTIONS(2378),
    [anon_sym_public] = ACTIONS(2378),
    [anon_sym_private] = ACTIONS(2378),
    [anon_sym_protected] = ACTIONS(2378),
    [anon_sym_using] = ACTIONS(2378),
    [anon_sym_static_assert] = ACTIONS(2378),
    [anon_sym_precise] = ACTIONS(2378),
    [anon_sym_shared] = ACTIONS(2378),
    [anon_sym_groupshared] = ACTIONS(2378),
    [anon_sym_uniform] = ACTIONS(2378),
    [anon_sym_row_major] = ACTIONS(2378),
    [anon_sym_column_major] = ACTIONS(2378),
    [anon_sym_globallycoherent] = ACTIONS(2378),
    [anon_sym_centroid] = ACTIONS(2378),
    [anon_sym_noperspective] = ACTIONS(2378),
    [anon_sym_nointerpolation] = ACTIONS(2378),
    [anon_sym_sample] = ACTIONS(2378),
    [anon_sym_linear] = ACTIONS(2378),
    [anon_sym_snorm] = ACTIONS(2378),
    [anon_sym_unorm] = ACTIONS(2378),
    [anon_sym_point] = ACTIONS(2378),
    [anon_sym_line] = ACTIONS(2378),
    [anon_sym_triangleadj] = ACTIONS(2378),
    [anon_sym_lineadj] = ACTIONS(2378),
    [anon_sym_triangle] = ACTIONS(2378),
  },
  [2181] = {
    [sym_identifier] = ACTIONS(2147),
    [aux_sym_preproc_def_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token1] = ACTIONS(2147),
    [aux_sym_preproc_if_token2] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2147),
    [sym_preproc_directive] = ACTIONS(2147),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___extension__] = ACTIONS(2147),
    [anon_sym_typedef] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2147),
    [anon_sym_out] = ACTIONS(2147),
    [anon_sym_inout] = ACTIONS(2147),
    [anon_sym_virtual] = ACTIONS(2147),
    [anon_sym_extern] = ACTIONS(2147),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym___attribute] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2149),
    [anon_sym___declspec] = ACTIONS(2147),
    [anon_sym___based] = ACTIONS(2147),
    [anon_sym_signed] = ACTIONS(2147),
    [anon_sym_unsigned] = ACTIONS(2147),
    [anon_sym_long] = ACTIONS(2147),
    [anon_sym_short] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_register] = ACTIONS(2147),
    [anon_sym_inline] = ACTIONS(2147),
    [anon_sym___inline] = ACTIONS(2147),
    [anon_sym___inline__] = ACTIONS(2147),
    [anon_sym___forceinline] = ACTIONS(2147),
    [anon_sym_thread_local] = ACTIONS(2147),
    [anon_sym___thread] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_constexpr] = ACTIONS(2147),
    [anon_sym_volatile] = ACTIONS(2147),
    [anon_sym_restrict] = ACTIONS(2147),
    [anon_sym___restrict__] = ACTIONS(2147),
    [anon_sym__Atomic] = ACTIONS(2147),
    [anon_sym__Noreturn] = ACTIONS(2147),
    [anon_sym_noreturn] = ACTIONS(2147),
    [anon_sym__Nonnull] = ACTIONS(2147),
    [anon_sym_mutable] = ACTIONS(2147),
    [anon_sym_constinit] = ACTIONS(2147),
    [anon_sym_consteval] = ACTIONS(2147),
    [anon_sym_alignas] = ACTIONS(2147),
    [anon_sym__Alignas] = ACTIONS(2147),
    [sym_primitive_type] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_struct] = ACTIONS(2147),
    [anon_sym_union] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2147),
    [anon_sym_decltype] = ACTIONS(2147),
    [anon_sym_explicit] = ACTIONS(2147),
    [anon_sym_typename] = ACTIONS(2147),
    [anon_sym_template] = ACTIONS(2147),
    [anon_sym_operator] = ACTIONS(2147),
    [anon_sym_friend] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_static_assert] = ACTIONS(2147),
    [anon_sym_precise] = ACTIONS(2147),
    [anon_sym_shared] = ACTIONS(2147),
    [anon_sym_groupshared] = ACTIONS(2147),
    [anon_sym_uniform] = ACTIONS(2147),
    [anon_sym_row_major] = ACTIONS(2147),
    [anon_sym_column_major] = ACTIONS(2147),
    [anon_sym_globallycoherent] = ACTIONS(2147),
    [anon_sym_centroid] = ACTIONS(2147),
    [anon_sym_noperspective] = ACTIONS(2147),
    [anon_sym_nointerpolation] = ACTIONS(2147),
    [anon_sym_sample] = ACTIONS(2147),
    [anon_sym_linear] = ACTIONS(2147),
    [anon_sym_snorm] = ACTIONS(2147),
    [anon_sym_unorm] = ACTIONS(2147),
    [anon_sym_point] = ACTIONS(2147),
    [anon_sym_line] = ACTIONS(2147),
    [anon_sym_triangleadj] = ACTIONS(2147),
    [anon_sym_lineadj] = ACTIONS(2147),
    [anon_sym_triangle] = ACTIONS(2147),
  },
  [2182] = {
    [sym_template_argument_list] = STATE(2227),
    [sym_identifier] = ACTIONS(1964),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(5524),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_out] = ACTIONS(1964),
    [anon_sym_inout] = ACTIONS(1964),
    [anon_sym_virtual] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1964),
    [anon_sym___based] = ACTIONS(1964),
    [anon_sym___cdecl] = ACTIONS(1964),
    [anon_sym___clrcall] = ACTIONS(1964),
    [anon_sym___stdcall] = ACTIONS(1964),
    [anon_sym___fastcall] = ACTIONS(1964),
    [anon_sym___thiscall] = ACTIONS(1964),
    [anon_sym___vectorcall] = ACTIONS(1964),
    [anon_sym_signed] = ACTIONS(1964),
    [anon_sym_unsigned] = ACTIONS(1964),
    [anon_sym_long] = ACTIONS(1964),
    [anon_sym_short] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_register] = ACTIONS(1964),
    [anon_sym_inline] = ACTIONS(1964),
    [anon_sym___inline] = ACTIONS(1964),
    [anon_sym___inline__] = ACTIONS(1964),
    [anon_sym___forceinline] = ACTIONS(1964),
    [anon_sym_thread_local] = ACTIONS(1964),
    [anon_sym___thread] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_constexpr] = ACTIONS(1964),
    [anon_sym_volatile] = ACTIONS(1964),
    [anon_sym_restrict] = ACTIONS(1964),
    [anon_sym___restrict__] = ACTIONS(1964),
    [anon_sym__Atomic] = ACTIONS(1964),
    [anon_sym__Noreturn] = ACTIONS(1964),
    [anon_sym_noreturn] = ACTIONS(1964),
    [anon_sym__Nonnull] = ACTIONS(1964),
    [anon_sym_mutable] = ACTIONS(1964),
    [anon_sym_constinit] = ACTIONS(1964),
    [anon_sym_consteval] = ACTIONS(1964),
    [anon_sym_alignas] = ACTIONS(1964),
    [anon_sym__Alignas] = ACTIONS(1964),
    [sym_primitive_type] = ACTIONS(1964),
    [anon_sym_enum] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1964),
    [anon_sym_struct] = ACTIONS(1964),
    [anon_sym_union] = ACTIONS(1964),
    [anon_sym_or] = ACTIONS(1964),
    [anon_sym_and] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_explicit] = ACTIONS(1964),
    [anon_sym_typename] = ACTIONS(1964),
    [anon_sym_template] = ACTIONS(1964),
    [anon_sym_operator] = ACTIONS(1964),
    [anon_sym_friend] = ACTIONS(1964),
    [anon_sym_using] = ACTIONS(1964),
    [anon_sym_concept] = ACTIONS(1964),
    [anon_sym_precise] = ACTIONS(1964),
    [anon_sym_shared] = ACTIONS(1964),
    [anon_sym_groupshared] = ACTIONS(1964),
    [anon_sym_uniform] = ACTIONS(1964),
    [anon_sym_row_major] = ACTIONS(1964),
    [anon_sym_column_major] = ACTIONS(1964),
    [anon_sym_globallycoherent] = ACTIONS(1964),
    [anon_sym_centroid] = ACTIONS(1964),
    [anon_sym_noperspective] = ACTIONS(1964),
    [anon_sym_nointerpolation] = ACTIONS(1964),
    [anon_sym_sample] = ACTIONS(1964),
    [anon_sym_linear] = ACTIONS(1964),
    [anon_sym_snorm] = ACTIONS(1964),
    [anon_sym_unorm] = ACTIONS(1964),
    [anon_sym_point] = ACTIONS(1964),
    [anon_sym_line] = ACTIONS(1964),
    [anon_sym_triangleadj] = ACTIONS(1964),
    [anon_sym_lineadj] = ACTIONS(1964),
    [anon_sym_triangle] = ACTIONS(1964),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(2169),
    [aux_sym_preproc_def_token1] = ACTIONS(2169),
    [aux_sym_preproc_if_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2169),
    [sym_preproc_directive] = ACTIONS(2169),
    [anon_sym_LPAREN2] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym___extension__] = ACTIONS(2169),
    [anon_sym_typedef] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_out] = ACTIONS(2169),
    [anon_sym_inout] = ACTIONS(2169),
    [anon_sym_virtual] = ACTIONS(2169),
    [anon_sym_extern] = ACTIONS(2169),
    [anon_sym___attribute__] = ACTIONS(2169),
    [anon_sym___attribute] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2171),
    [anon_sym___declspec] = ACTIONS(2169),
    [anon_sym___based] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_signed] = ACTIONS(2169),
    [anon_sym_unsigned] = ACTIONS(2169),
    [anon_sym_long] = ACTIONS(2169),
    [anon_sym_short] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_register] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(2169),
    [anon_sym___inline] = ACTIONS(2169),
    [anon_sym___inline__] = ACTIONS(2169),
    [anon_sym___forceinline] = ACTIONS(2169),
    [anon_sym_thread_local] = ACTIONS(2169),
    [anon_sym___thread] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_constexpr] = ACTIONS(2169),
    [anon_sym_volatile] = ACTIONS(2169),
    [anon_sym_restrict] = ACTIONS(2169),
    [anon_sym___restrict__] = ACTIONS(2169),
    [anon_sym__Atomic] = ACTIONS(2169),
    [anon_sym__Noreturn] = ACTIONS(2169),
    [anon_sym_noreturn] = ACTIONS(2169),
    [anon_sym__Nonnull] = ACTIONS(2169),
    [anon_sym_mutable] = ACTIONS(2169),
    [anon_sym_constinit] = ACTIONS(2169),
    [anon_sym_consteval] = ACTIONS(2169),
    [anon_sym_alignas] = ACTIONS(2169),
    [anon_sym__Alignas] = ACTIONS(2169),
    [sym_primitive_type] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_struct] = ACTIONS(2169),
    [anon_sym_union] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2169),
    [anon_sym_decltype] = ACTIONS(2169),
    [anon_sym_explicit] = ACTIONS(2169),
    [anon_sym_typename] = ACTIONS(2169),
    [anon_sym_template] = ACTIONS(2169),
    [anon_sym_operator] = ACTIONS(2169),
    [anon_sym_friend] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_static_assert] = ACTIONS(2169),
    [anon_sym_precise] = ACTIONS(2169),
    [anon_sym_shared] = ACTIONS(2169),
    [anon_sym_groupshared] = ACTIONS(2169),
    [anon_sym_uniform] = ACTIONS(2169),
    [anon_sym_row_major] = ACTIONS(2169),
    [anon_sym_column_major] = ACTIONS(2169),
    [anon_sym_globallycoherent] = ACTIONS(2169),
    [anon_sym_centroid] = ACTIONS(2169),
    [anon_sym_noperspective] = ACTIONS(2169),
    [anon_sym_nointerpolation] = ACTIONS(2169),
    [anon_sym_sample] = ACTIONS(2169),
    [anon_sym_linear] = ACTIONS(2169),
    [anon_sym_snorm] = ACTIONS(2169),
    [anon_sym_unorm] = ACTIONS(2169),
    [anon_sym_point] = ACTIONS(2169),
    [anon_sym_line] = ACTIONS(2169),
    [anon_sym_triangleadj] = ACTIONS(2169),
    [anon_sym_lineadj] = ACTIONS(2169),
    [anon_sym_triangle] = ACTIONS(2169),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(5380),
    [aux_sym_preproc_def_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token2] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5380),
    [sym_preproc_directive] = ACTIONS(5380),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_TILDE] = ACTIONS(5382),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___extension__] = ACTIONS(5380),
    [anon_sym_typedef] = ACTIONS(5380),
    [anon_sym_in] = ACTIONS(5380),
    [anon_sym_out] = ACTIONS(5380),
    [anon_sym_inout] = ACTIONS(5380),
    [anon_sym_virtual] = ACTIONS(5380),
    [anon_sym_extern] = ACTIONS(5380),
    [anon_sym___attribute__] = ACTIONS(5380),
    [anon_sym___attribute] = ACTIONS(5380),
    [anon_sym_COLON_COLON] = ACTIONS(5382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5382),
    [anon_sym___declspec] = ACTIONS(5380),
    [anon_sym___based] = ACTIONS(5380),
    [anon_sym_signed] = ACTIONS(5380),
    [anon_sym_unsigned] = ACTIONS(5380),
    [anon_sym_long] = ACTIONS(5380),
    [anon_sym_short] = ACTIONS(5380),
    [anon_sym_LBRACK] = ACTIONS(5380),
    [anon_sym_static] = ACTIONS(5380),
    [anon_sym_register] = ACTIONS(5380),
    [anon_sym_inline] = ACTIONS(5380),
    [anon_sym___inline] = ACTIONS(5380),
    [anon_sym___inline__] = ACTIONS(5380),
    [anon_sym___forceinline] = ACTIONS(5380),
    [anon_sym_thread_local] = ACTIONS(5380),
    [anon_sym___thread] = ACTIONS(5380),
    [anon_sym_const] = ACTIONS(5380),
    [anon_sym_constexpr] = ACTIONS(5380),
    [anon_sym_volatile] = ACTIONS(5380),
    [anon_sym_restrict] = ACTIONS(5380),
    [anon_sym___restrict__] = ACTIONS(5380),
    [anon_sym__Atomic] = ACTIONS(5380),
    [anon_sym__Noreturn] = ACTIONS(5380),
    [anon_sym_noreturn] = ACTIONS(5380),
    [anon_sym__Nonnull] = ACTIONS(5380),
    [anon_sym_mutable] = ACTIONS(5380),
    [anon_sym_constinit] = ACTIONS(5380),
    [anon_sym_consteval] = ACTIONS(5380),
    [anon_sym_alignas] = ACTIONS(5380),
    [anon_sym__Alignas] = ACTIONS(5380),
    [sym_primitive_type] = ACTIONS(5380),
    [anon_sym_enum] = ACTIONS(5380),
    [anon_sym_class] = ACTIONS(5380),
    [anon_sym_struct] = ACTIONS(5380),
    [anon_sym_union] = ACTIONS(5380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5380),
    [anon_sym_decltype] = ACTIONS(5380),
    [anon_sym_explicit] = ACTIONS(5380),
    [anon_sym_typename] = ACTIONS(5380),
    [anon_sym_template] = ACTIONS(5380),
    [anon_sym_operator] = ACTIONS(5380),
    [anon_sym_friend] = ACTIONS(5380),
    [anon_sym_public] = ACTIONS(5380),
    [anon_sym_private] = ACTIONS(5380),
    [anon_sym_protected] = ACTIONS(5380),
    [anon_sym_using] = ACTIONS(5380),
    [anon_sym_static_assert] = ACTIONS(5380),
    [anon_sym_precise] = ACTIONS(5380),
    [anon_sym_shared] = ACTIONS(5380),
    [anon_sym_groupshared] = ACTIONS(5380),
    [anon_sym_uniform] = ACTIONS(5380),
    [anon_sym_row_major] = ACTIONS(5380),
    [anon_sym_column_major] = ACTIONS(5380),
    [anon_sym_globallycoherent] = ACTIONS(5380),
    [anon_sym_centroid] = ACTIONS(5380),
    [anon_sym_noperspective] = ACTIONS(5380),
    [anon_sym_nointerpolation] = ACTIONS(5380),
    [anon_sym_sample] = ACTIONS(5380),
    [anon_sym_linear] = ACTIONS(5380),
    [anon_sym_snorm] = ACTIONS(5380),
    [anon_sym_unorm] = ACTIONS(5380),
    [anon_sym_point] = ACTIONS(5380),
    [anon_sym_line] = ACTIONS(5380),
    [anon_sym_triangleadj] = ACTIONS(5380),
    [anon_sym_lineadj] = ACTIONS(5380),
    [anon_sym_triangle] = ACTIONS(5380),
  },
  [2185] = {
    [sym_identifier] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token2] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_TILDE] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym___extension__] = ACTIONS(5384),
    [anon_sym_typedef] = ACTIONS(5384),
    [anon_sym_in] = ACTIONS(5384),
    [anon_sym_out] = ACTIONS(5384),
    [anon_sym_inout] = ACTIONS(5384),
    [anon_sym_virtual] = ACTIONS(5384),
    [anon_sym_extern] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym___attribute] = ACTIONS(5384),
    [anon_sym_COLON_COLON] = ACTIONS(5386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5386),
    [anon_sym___declspec] = ACTIONS(5384),
    [anon_sym___based] = ACTIONS(5384),
    [anon_sym_signed] = ACTIONS(5384),
    [anon_sym_unsigned] = ACTIONS(5384),
    [anon_sym_long] = ACTIONS(5384),
    [anon_sym_short] = ACTIONS(5384),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_static] = ACTIONS(5384),
    [anon_sym_register] = ACTIONS(5384),
    [anon_sym_inline] = ACTIONS(5384),
    [anon_sym___inline] = ACTIONS(5384),
    [anon_sym___inline__] = ACTIONS(5384),
    [anon_sym___forceinline] = ACTIONS(5384),
    [anon_sym_thread_local] = ACTIONS(5384),
    [anon_sym___thread] = ACTIONS(5384),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5384),
    [anon_sym_volatile] = ACTIONS(5384),
    [anon_sym_restrict] = ACTIONS(5384),
    [anon_sym___restrict__] = ACTIONS(5384),
    [anon_sym__Atomic] = ACTIONS(5384),
    [anon_sym__Noreturn] = ACTIONS(5384),
    [anon_sym_noreturn] = ACTIONS(5384),
    [anon_sym__Nonnull] = ACTIONS(5384),
    [anon_sym_mutable] = ACTIONS(5384),
    [anon_sym_constinit] = ACTIONS(5384),
    [anon_sym_consteval] = ACTIONS(5384),
    [anon_sym_alignas] = ACTIONS(5384),
    [anon_sym__Alignas] = ACTIONS(5384),
    [sym_primitive_type] = ACTIONS(5384),
    [anon_sym_enum] = ACTIONS(5384),
    [anon_sym_class] = ACTIONS(5384),
    [anon_sym_struct] = ACTIONS(5384),
    [anon_sym_union] = ACTIONS(5384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
    [anon_sym_explicit] = ACTIONS(5384),
    [anon_sym_typename] = ACTIONS(5384),
    [anon_sym_template] = ACTIONS(5384),
    [anon_sym_operator] = ACTIONS(5384),
    [anon_sym_friend] = ACTIONS(5384),
    [anon_sym_public] = ACTIONS(5384),
    [anon_sym_private] = ACTIONS(5384),
    [anon_sym_protected] = ACTIONS(5384),
    [anon_sym_using] = ACTIONS(5384),
    [anon_sym_static_assert] = ACTIONS(5384),
    [anon_sym_precise] = ACTIONS(5384),
    [anon_sym_shared] = ACTIONS(5384),
    [anon_sym_groupshared] = ACTIONS(5384),
    [anon_sym_uniform] = ACTIONS(5384),
    [anon_sym_row_major] = ACTIONS(5384),
    [anon_sym_column_major] = ACTIONS(5384),
    [anon_sym_globallycoherent] = ACTIONS(5384),
    [anon_sym_centroid] = ACTIONS(5384),
    [anon_sym_noperspective] = ACTIONS(5384),
    [anon_sym_nointerpolation] = ACTIONS(5384),
    [anon_sym_sample] = ACTIONS(5384),
    [anon_sym_linear] = ACTIONS(5384),
    [anon_sym_snorm] = ACTIONS(5384),
    [anon_sym_unorm] = ACTIONS(5384),
    [anon_sym_point] = ACTIONS(5384),
    [anon_sym_line] = ACTIONS(5384),
    [anon_sym_triangleadj] = ACTIONS(5384),
    [anon_sym_lineadj] = ACTIONS(5384),
    [anon_sym_triangle] = ACTIONS(5384),
  },
  [2186] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_friend] = ACTIONS(2528),
    [anon_sym_public] = ACTIONS(2528),
    [anon_sym_private] = ACTIONS(2528),
    [anon_sym_protected] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_groupshared] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_row_major] = ACTIONS(2528),
    [anon_sym_column_major] = ACTIONS(2528),
    [anon_sym_globallycoherent] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym_nointerpolation] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_linear] = ACTIONS(2528),
    [anon_sym_snorm] = ACTIONS(2528),
    [anon_sym_unorm] = ACTIONS(2528),
    [anon_sym_point] = ACTIONS(2528),
    [anon_sym_line] = ACTIONS(2528),
    [anon_sym_triangleadj] = ACTIONS(2528),
    [anon_sym_lineadj] = ACTIONS(2528),
    [anon_sym_triangle] = ACTIONS(2528),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(2655),
    [aux_sym_preproc_def_token1] = ACTIONS(2655),
    [aux_sym_preproc_if_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2655),
    [sym_preproc_directive] = ACTIONS(2655),
    [anon_sym_LPAREN2] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym___extension__] = ACTIONS(2655),
    [anon_sym_typedef] = ACTIONS(2655),
    [anon_sym_in] = ACTIONS(2655),
    [anon_sym_out] = ACTIONS(2655),
    [anon_sym_inout] = ACTIONS(2655),
    [anon_sym_virtual] = ACTIONS(2655),
    [anon_sym_extern] = ACTIONS(2655),
    [anon_sym___attribute__] = ACTIONS(2655),
    [anon_sym___attribute] = ACTIONS(2655),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2657),
    [anon_sym___declspec] = ACTIONS(2655),
    [anon_sym___based] = ACTIONS(2655),
    [anon_sym_RBRACE] = ACTIONS(2657),
    [anon_sym_signed] = ACTIONS(2655),
    [anon_sym_unsigned] = ACTIONS(2655),
    [anon_sym_long] = ACTIONS(2655),
    [anon_sym_short] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_register] = ACTIONS(2655),
    [anon_sym_inline] = ACTIONS(2655),
    [anon_sym___inline] = ACTIONS(2655),
    [anon_sym___inline__] = ACTIONS(2655),
    [anon_sym___forceinline] = ACTIONS(2655),
    [anon_sym_thread_local] = ACTIONS(2655),
    [anon_sym___thread] = ACTIONS(2655),
    [anon_sym_const] = ACTIONS(2655),
    [anon_sym_constexpr] = ACTIONS(2655),
    [anon_sym_volatile] = ACTIONS(2655),
    [anon_sym_restrict] = ACTIONS(2655),
    [anon_sym___restrict__] = ACTIONS(2655),
    [anon_sym__Atomic] = ACTIONS(2655),
    [anon_sym__Noreturn] = ACTIONS(2655),
    [anon_sym_noreturn] = ACTIONS(2655),
    [anon_sym__Nonnull] = ACTIONS(2655),
    [anon_sym_mutable] = ACTIONS(2655),
    [anon_sym_constinit] = ACTIONS(2655),
    [anon_sym_consteval] = ACTIONS(2655),
    [anon_sym_alignas] = ACTIONS(2655),
    [anon_sym__Alignas] = ACTIONS(2655),
    [sym_primitive_type] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2655),
    [anon_sym_struct] = ACTIONS(2655),
    [anon_sym_union] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2655),
    [anon_sym_decltype] = ACTIONS(2655),
    [anon_sym_explicit] = ACTIONS(2655),
    [anon_sym_typename] = ACTIONS(2655),
    [anon_sym_template] = ACTIONS(2655),
    [anon_sym_operator] = ACTIONS(2655),
    [anon_sym_friend] = ACTIONS(2655),
    [anon_sym_public] = ACTIONS(2655),
    [anon_sym_private] = ACTIONS(2655),
    [anon_sym_protected] = ACTIONS(2655),
    [anon_sym_using] = ACTIONS(2655),
    [anon_sym_static_assert] = ACTIONS(2655),
    [anon_sym_precise] = ACTIONS(2655),
    [anon_sym_shared] = ACTIONS(2655),
    [anon_sym_groupshared] = ACTIONS(2655),
    [anon_sym_uniform] = ACTIONS(2655),
    [anon_sym_row_major] = ACTIONS(2655),
    [anon_sym_column_major] = ACTIONS(2655),
    [anon_sym_globallycoherent] = ACTIONS(2655),
    [anon_sym_centroid] = ACTIONS(2655),
    [anon_sym_noperspective] = ACTIONS(2655),
    [anon_sym_nointerpolation] = ACTIONS(2655),
    [anon_sym_sample] = ACTIONS(2655),
    [anon_sym_linear] = ACTIONS(2655),
    [anon_sym_snorm] = ACTIONS(2655),
    [anon_sym_unorm] = ACTIONS(2655),
    [anon_sym_point] = ACTIONS(2655),
    [anon_sym_line] = ACTIONS(2655),
    [anon_sym_triangleadj] = ACTIONS(2655),
    [anon_sym_lineadj] = ACTIONS(2655),
    [anon_sym_triangle] = ACTIONS(2655),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [2189] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [2190] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(2374),
    [aux_sym_preproc_def_token1] = ACTIONS(2374),
    [aux_sym_preproc_if_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2374),
    [anon_sym_LPAREN2] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym___extension__] = ACTIONS(2374),
    [anon_sym_typedef] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2374),
    [anon_sym_out] = ACTIONS(2374),
    [anon_sym_inout] = ACTIONS(2374),
    [anon_sym_virtual] = ACTIONS(2374),
    [anon_sym_extern] = ACTIONS(2374),
    [anon_sym___attribute__] = ACTIONS(2374),
    [anon_sym___attribute] = ACTIONS(2374),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2376),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___based] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_signed] = ACTIONS(2374),
    [anon_sym_unsigned] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_register] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2374),
    [anon_sym___inline] = ACTIONS(2374),
    [anon_sym___inline__] = ACTIONS(2374),
    [anon_sym___forceinline] = ACTIONS(2374),
    [anon_sym_thread_local] = ACTIONS(2374),
    [anon_sym___thread] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_constexpr] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_restrict] = ACTIONS(2374),
    [anon_sym___restrict__] = ACTIONS(2374),
    [anon_sym__Atomic] = ACTIONS(2374),
    [anon_sym__Noreturn] = ACTIONS(2374),
    [anon_sym_noreturn] = ACTIONS(2374),
    [anon_sym__Nonnull] = ACTIONS(2374),
    [anon_sym_mutable] = ACTIONS(2374),
    [anon_sym_constinit] = ACTIONS(2374),
    [anon_sym_consteval] = ACTIONS(2374),
    [anon_sym_alignas] = ACTIONS(2374),
    [anon_sym__Alignas] = ACTIONS(2374),
    [sym_primitive_type] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_struct] = ACTIONS(2374),
    [anon_sym_union] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2374),
    [anon_sym_decltype] = ACTIONS(2374),
    [anon_sym_explicit] = ACTIONS(2374),
    [anon_sym_typename] = ACTIONS(2374),
    [anon_sym_template] = ACTIONS(2374),
    [anon_sym_operator] = ACTIONS(2374),
    [anon_sym_friend] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_static_assert] = ACTIONS(2374),
    [anon_sym_precise] = ACTIONS(2374),
    [anon_sym_shared] = ACTIONS(2374),
    [anon_sym_groupshared] = ACTIONS(2374),
    [anon_sym_uniform] = ACTIONS(2374),
    [anon_sym_row_major] = ACTIONS(2374),
    [anon_sym_column_major] = ACTIONS(2374),
    [anon_sym_globallycoherent] = ACTIONS(2374),
    [anon_sym_centroid] = ACTIONS(2374),
    [anon_sym_noperspective] = ACTIONS(2374),
    [anon_sym_nointerpolation] = ACTIONS(2374),
    [anon_sym_sample] = ACTIONS(2374),
    [anon_sym_linear] = ACTIONS(2374),
    [anon_sym_snorm] = ACTIONS(2374),
    [anon_sym_unorm] = ACTIONS(2374),
    [anon_sym_point] = ACTIONS(2374),
    [anon_sym_line] = ACTIONS(2374),
    [anon_sym_triangleadj] = ACTIONS(2374),
    [anon_sym_lineadj] = ACTIONS(2374),
    [anon_sym_triangle] = ACTIONS(2374),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_friend] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(2382),
    [aux_sym_preproc_def_token1] = ACTIONS(2382),
    [aux_sym_preproc_if_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2382),
    [sym_preproc_directive] = ACTIONS(2382),
    [anon_sym_LPAREN2] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym___extension__] = ACTIONS(2382),
    [anon_sym_typedef] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_out] = ACTIONS(2382),
    [anon_sym_inout] = ACTIONS(2382),
    [anon_sym_virtual] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym___attribute__] = ACTIONS(2382),
    [anon_sym___attribute] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2384),
    [anon_sym___declspec] = ACTIONS(2382),
    [anon_sym___based] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2384),
    [anon_sym_signed] = ACTIONS(2382),
    [anon_sym_unsigned] = ACTIONS(2382),
    [anon_sym_long] = ACTIONS(2382),
    [anon_sym_short] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_register] = ACTIONS(2382),
    [anon_sym_inline] = ACTIONS(2382),
    [anon_sym___inline] = ACTIONS(2382),
    [anon_sym___inline__] = ACTIONS(2382),
    [anon_sym___forceinline] = ACTIONS(2382),
    [anon_sym_thread_local] = ACTIONS(2382),
    [anon_sym___thread] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_constexpr] = ACTIONS(2382),
    [anon_sym_volatile] = ACTIONS(2382),
    [anon_sym_restrict] = ACTIONS(2382),
    [anon_sym___restrict__] = ACTIONS(2382),
    [anon_sym__Atomic] = ACTIONS(2382),
    [anon_sym__Noreturn] = ACTIONS(2382),
    [anon_sym_noreturn] = ACTIONS(2382),
    [anon_sym__Nonnull] = ACTIONS(2382),
    [anon_sym_mutable] = ACTIONS(2382),
    [anon_sym_constinit] = ACTIONS(2382),
    [anon_sym_consteval] = ACTIONS(2382),
    [anon_sym_alignas] = ACTIONS(2382),
    [anon_sym__Alignas] = ACTIONS(2382),
    [sym_primitive_type] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2382),
    [anon_sym_decltype] = ACTIONS(2382),
    [anon_sym_explicit] = ACTIONS(2382),
    [anon_sym_typename] = ACTIONS(2382),
    [anon_sym_template] = ACTIONS(2382),
    [anon_sym_operator] = ACTIONS(2382),
    [anon_sym_friend] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_static_assert] = ACTIONS(2382),
    [anon_sym_precise] = ACTIONS(2382),
    [anon_sym_shared] = ACTIONS(2382),
    [anon_sym_groupshared] = ACTIONS(2382),
    [anon_sym_uniform] = ACTIONS(2382),
    [anon_sym_row_major] = ACTIONS(2382),
    [anon_sym_column_major] = ACTIONS(2382),
    [anon_sym_globallycoherent] = ACTIONS(2382),
    [anon_sym_centroid] = ACTIONS(2382),
    [anon_sym_noperspective] = ACTIONS(2382),
    [anon_sym_nointerpolation] = ACTIONS(2382),
    [anon_sym_sample] = ACTIONS(2382),
    [anon_sym_linear] = ACTIONS(2382),
    [anon_sym_snorm] = ACTIONS(2382),
    [anon_sym_unorm] = ACTIONS(2382),
    [anon_sym_point] = ACTIONS(2382),
    [anon_sym_line] = ACTIONS(2382),
    [anon_sym_triangleadj] = ACTIONS(2382),
    [anon_sym_lineadj] = ACTIONS(2382),
    [anon_sym_triangle] = ACTIONS(2382),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_friend] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_out] = ACTIONS(2402),
    [anon_sym_inout] = ACTIONS(2402),
    [anon_sym_virtual] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___based] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_mutable] = ACTIONS(2402),
    [anon_sym_constinit] = ACTIONS(2402),
    [anon_sym_consteval] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2402),
    [anon_sym_decltype] = ACTIONS(2402),
    [anon_sym_explicit] = ACTIONS(2402),
    [anon_sym_typename] = ACTIONS(2402),
    [anon_sym_template] = ACTIONS(2402),
    [anon_sym_operator] = ACTIONS(2402),
    [anon_sym_friend] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_static_assert] = ACTIONS(2402),
    [anon_sym_precise] = ACTIONS(2402),
    [anon_sym_shared] = ACTIONS(2402),
    [anon_sym_groupshared] = ACTIONS(2402),
    [anon_sym_uniform] = ACTIONS(2402),
    [anon_sym_row_major] = ACTIONS(2402),
    [anon_sym_column_major] = ACTIONS(2402),
    [anon_sym_globallycoherent] = ACTIONS(2402),
    [anon_sym_centroid] = ACTIONS(2402),
    [anon_sym_noperspective] = ACTIONS(2402),
    [anon_sym_nointerpolation] = ACTIONS(2402),
    [anon_sym_sample] = ACTIONS(2402),
    [anon_sym_linear] = ACTIONS(2402),
    [anon_sym_snorm] = ACTIONS(2402),
    [anon_sym_unorm] = ACTIONS(2402),
    [anon_sym_point] = ACTIONS(2402),
    [anon_sym_line] = ACTIONS(2402),
    [anon_sym_triangleadj] = ACTIONS(2402),
    [anon_sym_lineadj] = ACTIONS(2402),
    [anon_sym_triangle] = ACTIONS(2402),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(5360),
    [aux_sym_preproc_def_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token1] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5360),
    [sym_preproc_directive] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5362),
    [anon_sym_TILDE] = ACTIONS(5362),
    [anon_sym_STAR] = ACTIONS(5362),
    [anon_sym_AMP_AMP] = ACTIONS(5362),
    [anon_sym_AMP] = ACTIONS(5360),
    [anon_sym_SEMI] = ACTIONS(5362),
    [anon_sym___extension__] = ACTIONS(5360),
    [anon_sym_typedef] = ACTIONS(5360),
    [anon_sym_in] = ACTIONS(5360),
    [anon_sym_out] = ACTIONS(5360),
    [anon_sym_inout] = ACTIONS(5360),
    [anon_sym_virtual] = ACTIONS(5360),
    [anon_sym_extern] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(5360),
    [anon_sym___attribute] = ACTIONS(5360),
    [anon_sym_COLON_COLON] = ACTIONS(5362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5362),
    [anon_sym___declspec] = ACTIONS(5360),
    [anon_sym___based] = ACTIONS(5360),
    [anon_sym_RBRACE] = ACTIONS(5362),
    [anon_sym_signed] = ACTIONS(5360),
    [anon_sym_unsigned] = ACTIONS(5360),
    [anon_sym_long] = ACTIONS(5360),
    [anon_sym_short] = ACTIONS(5360),
    [anon_sym_LBRACK] = ACTIONS(5360),
    [anon_sym_static] = ACTIONS(5360),
    [anon_sym_register] = ACTIONS(5360),
    [anon_sym_inline] = ACTIONS(5360),
    [anon_sym___inline] = ACTIONS(5360),
    [anon_sym___inline__] = ACTIONS(5360),
    [anon_sym___forceinline] = ACTIONS(5360),
    [anon_sym_thread_local] = ACTIONS(5360),
    [anon_sym___thread] = ACTIONS(5360),
    [anon_sym_const] = ACTIONS(5360),
    [anon_sym_constexpr] = ACTIONS(5360),
    [anon_sym_volatile] = ACTIONS(5360),
    [anon_sym_restrict] = ACTIONS(5360),
    [anon_sym___restrict__] = ACTIONS(5360),
    [anon_sym__Atomic] = ACTIONS(5360),
    [anon_sym__Noreturn] = ACTIONS(5360),
    [anon_sym_noreturn] = ACTIONS(5360),
    [anon_sym__Nonnull] = ACTIONS(5360),
    [anon_sym_mutable] = ACTIONS(5360),
    [anon_sym_constinit] = ACTIONS(5360),
    [anon_sym_consteval] = ACTIONS(5360),
    [anon_sym_alignas] = ACTIONS(5360),
    [anon_sym__Alignas] = ACTIONS(5360),
    [sym_primitive_type] = ACTIONS(5360),
    [anon_sym_enum] = ACTIONS(5360),
    [anon_sym_class] = ACTIONS(5360),
    [anon_sym_struct] = ACTIONS(5360),
    [anon_sym_union] = ACTIONS(5360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5360),
    [anon_sym_decltype] = ACTIONS(5360),
    [anon_sym_explicit] = ACTIONS(5360),
    [anon_sym_typename] = ACTIONS(5360),
    [anon_sym_template] = ACTIONS(5360),
    [anon_sym_operator] = ACTIONS(5360),
    [anon_sym_friend] = ACTIONS(5360),
    [anon_sym_public] = ACTIONS(5360),
    [anon_sym_private] = ACTIONS(5360),
    [anon_sym_protected] = ACTIONS(5360),
    [anon_sym_using] = ACTIONS(5360),
    [anon_sym_static_assert] = ACTIONS(5360),
    [anon_sym_precise] = ACTIONS(5360),
    [anon_sym_shared] = ACTIONS(5360),
    [anon_sym_groupshared] = ACTIONS(5360),
    [anon_sym_uniform] = ACTIONS(5360),
    [anon_sym_row_major] = ACTIONS(5360),
    [anon_sym_column_major] = ACTIONS(5360),
    [anon_sym_globallycoherent] = ACTIONS(5360),
    [anon_sym_centroid] = ACTIONS(5360),
    [anon_sym_noperspective] = ACTIONS(5360),
    [anon_sym_nointerpolation] = ACTIONS(5360),
    [anon_sym_sample] = ACTIONS(5360),
    [anon_sym_linear] = ACTIONS(5360),
    [anon_sym_snorm] = ACTIONS(5360),
    [anon_sym_unorm] = ACTIONS(5360),
    [anon_sym_point] = ACTIONS(5360),
    [anon_sym_line] = ACTIONS(5360),
    [anon_sym_triangleadj] = ACTIONS(5360),
    [anon_sym_lineadj] = ACTIONS(5360),
    [anon_sym_triangle] = ACTIONS(5360),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_virtual] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_friend] = ACTIONS(2536),
    [anon_sym_public] = ACTIONS(2536),
    [anon_sym_private] = ACTIONS(2536),
    [anon_sym_protected] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_groupshared] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_row_major] = ACTIONS(2536),
    [anon_sym_column_major] = ACTIONS(2536),
    [anon_sym_globallycoherent] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym_nointerpolation] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_linear] = ACTIONS(2536),
    [anon_sym_snorm] = ACTIONS(2536),
    [anon_sym_unorm] = ACTIONS(2536),
    [anon_sym_point] = ACTIONS(2536),
    [anon_sym_line] = ACTIONS(2536),
    [anon_sym_triangleadj] = ACTIONS(2536),
    [anon_sym_lineadj] = ACTIONS(2536),
    [anon_sym_triangle] = ACTIONS(2536),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(5364),
    [aux_sym_preproc_def_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5364),
    [sym_preproc_directive] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [anon_sym_TILDE] = ACTIONS(5366),
    [anon_sym_STAR] = ACTIONS(5366),
    [anon_sym_AMP_AMP] = ACTIONS(5366),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [anon_sym___extension__] = ACTIONS(5364),
    [anon_sym_typedef] = ACTIONS(5364),
    [anon_sym_in] = ACTIONS(5364),
    [anon_sym_out] = ACTIONS(5364),
    [anon_sym_inout] = ACTIONS(5364),
    [anon_sym_virtual] = ACTIONS(5364),
    [anon_sym_extern] = ACTIONS(5364),
    [anon_sym___attribute__] = ACTIONS(5364),
    [anon_sym___attribute] = ACTIONS(5364),
    [anon_sym_COLON_COLON] = ACTIONS(5366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5366),
    [anon_sym___declspec] = ACTIONS(5364),
    [anon_sym___based] = ACTIONS(5364),
    [anon_sym_RBRACE] = ACTIONS(5366),
    [anon_sym_signed] = ACTIONS(5364),
    [anon_sym_unsigned] = ACTIONS(5364),
    [anon_sym_long] = ACTIONS(5364),
    [anon_sym_short] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5364),
    [anon_sym_static] = ACTIONS(5364),
    [anon_sym_register] = ACTIONS(5364),
    [anon_sym_inline] = ACTIONS(5364),
    [anon_sym___inline] = ACTIONS(5364),
    [anon_sym___inline__] = ACTIONS(5364),
    [anon_sym___forceinline] = ACTIONS(5364),
    [anon_sym_thread_local] = ACTIONS(5364),
    [anon_sym___thread] = ACTIONS(5364),
    [anon_sym_const] = ACTIONS(5364),
    [anon_sym_constexpr] = ACTIONS(5364),
    [anon_sym_volatile] = ACTIONS(5364),
    [anon_sym_restrict] = ACTIONS(5364),
    [anon_sym___restrict__] = ACTIONS(5364),
    [anon_sym__Atomic] = ACTIONS(5364),
    [anon_sym__Noreturn] = ACTIONS(5364),
    [anon_sym_noreturn] = ACTIONS(5364),
    [anon_sym__Nonnull] = ACTIONS(5364),
    [anon_sym_mutable] = ACTIONS(5364),
    [anon_sym_constinit] = ACTIONS(5364),
    [anon_sym_consteval] = ACTIONS(5364),
    [anon_sym_alignas] = ACTIONS(5364),
    [anon_sym__Alignas] = ACTIONS(5364),
    [sym_primitive_type] = ACTIONS(5364),
    [anon_sym_enum] = ACTIONS(5364),
    [anon_sym_class] = ACTIONS(5364),
    [anon_sym_struct] = ACTIONS(5364),
    [anon_sym_union] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5364),
    [anon_sym_explicit] = ACTIONS(5364),
    [anon_sym_typename] = ACTIONS(5364),
    [anon_sym_template] = ACTIONS(5364),
    [anon_sym_operator] = ACTIONS(5364),
    [anon_sym_friend] = ACTIONS(5364),
    [anon_sym_public] = ACTIONS(5364),
    [anon_sym_private] = ACTIONS(5364),
    [anon_sym_protected] = ACTIONS(5364),
    [anon_sym_using] = ACTIONS(5364),
    [anon_sym_static_assert] = ACTIONS(5364),
    [anon_sym_precise] = ACTIONS(5364),
    [anon_sym_shared] = ACTIONS(5364),
    [anon_sym_groupshared] = ACTIONS(5364),
    [anon_sym_uniform] = ACTIONS(5364),
    [anon_sym_row_major] = ACTIONS(5364),
    [anon_sym_column_major] = ACTIONS(5364),
    [anon_sym_globallycoherent] = ACTIONS(5364),
    [anon_sym_centroid] = ACTIONS(5364),
    [anon_sym_noperspective] = ACTIONS(5364),
    [anon_sym_nointerpolation] = ACTIONS(5364),
    [anon_sym_sample] = ACTIONS(5364),
    [anon_sym_linear] = ACTIONS(5364),
    [anon_sym_snorm] = ACTIONS(5364),
    [anon_sym_unorm] = ACTIONS(5364),
    [anon_sym_point] = ACTIONS(5364),
    [anon_sym_line] = ACTIONS(5364),
    [anon_sym_triangleadj] = ACTIONS(5364),
    [anon_sym_lineadj] = ACTIONS(5364),
    [anon_sym_triangle] = ACTIONS(5364),
  },
  [2199] = {
    [sym_identifier] = ACTIONS(5388),
    [aux_sym_preproc_def_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token2] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5388),
    [sym_preproc_directive] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_TILDE] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym_typedef] = ACTIONS(5388),
    [anon_sym_in] = ACTIONS(5388),
    [anon_sym_out] = ACTIONS(5388),
    [anon_sym_inout] = ACTIONS(5388),
    [anon_sym_virtual] = ACTIONS(5388),
    [anon_sym_extern] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym___attribute] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5390),
    [anon_sym___declspec] = ACTIONS(5388),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [anon_sym_static] = ACTIONS(5388),
    [anon_sym_register] = ACTIONS(5388),
    [anon_sym_inline] = ACTIONS(5388),
    [anon_sym___inline] = ACTIONS(5388),
    [anon_sym___inline__] = ACTIONS(5388),
    [anon_sym___forceinline] = ACTIONS(5388),
    [anon_sym_thread_local] = ACTIONS(5388),
    [anon_sym___thread] = ACTIONS(5388),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [sym_primitive_type] = ACTIONS(5388),
    [anon_sym_enum] = ACTIONS(5388),
    [anon_sym_class] = ACTIONS(5388),
    [anon_sym_struct] = ACTIONS(5388),
    [anon_sym_union] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_explicit] = ACTIONS(5388),
    [anon_sym_typename] = ACTIONS(5388),
    [anon_sym_template] = ACTIONS(5388),
    [anon_sym_operator] = ACTIONS(5388),
    [anon_sym_friend] = ACTIONS(5388),
    [anon_sym_public] = ACTIONS(5388),
    [anon_sym_private] = ACTIONS(5388),
    [anon_sym_protected] = ACTIONS(5388),
    [anon_sym_using] = ACTIONS(5388),
    [anon_sym_static_assert] = ACTIONS(5388),
    [anon_sym_precise] = ACTIONS(5388),
    [anon_sym_shared] = ACTIONS(5388),
    [anon_sym_groupshared] = ACTIONS(5388),
    [anon_sym_uniform] = ACTIONS(5388),
    [anon_sym_row_major] = ACTIONS(5388),
    [anon_sym_column_major] = ACTIONS(5388),
    [anon_sym_globallycoherent] = ACTIONS(5388),
    [anon_sym_centroid] = ACTIONS(5388),
    [anon_sym_noperspective] = ACTIONS(5388),
    [anon_sym_nointerpolation] = ACTIONS(5388),
    [anon_sym_sample] = ACTIONS(5388),
    [anon_sym_linear] = ACTIONS(5388),
    [anon_sym_snorm] = ACTIONS(5388),
    [anon_sym_unorm] = ACTIONS(5388),
    [anon_sym_point] = ACTIONS(5388),
    [anon_sym_line] = ACTIONS(5388),
    [anon_sym_triangleadj] = ACTIONS(5388),
    [anon_sym_lineadj] = ACTIONS(5388),
    [anon_sym_triangle] = ACTIONS(5388),
  },
  [2200] = {
    [sym_template_argument_list] = STATE(2227),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_PIPE_PIPE] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(5524),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_primitive_type] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_or] = ACTIONS(1972),
    [anon_sym_and] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_friend] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(2647),
    [aux_sym_preproc_def_token1] = ACTIONS(2647),
    [aux_sym_preproc_if_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2647),
    [sym_preproc_directive] = ACTIONS(2647),
    [anon_sym_LPAREN2] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym___extension__] = ACTIONS(2647),
    [anon_sym_typedef] = ACTIONS(2647),
    [anon_sym_in] = ACTIONS(2647),
    [anon_sym_out] = ACTIONS(2647),
    [anon_sym_inout] = ACTIONS(2647),
    [anon_sym_virtual] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym___attribute__] = ACTIONS(2647),
    [anon_sym___attribute] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2649),
    [anon_sym___declspec] = ACTIONS(2647),
    [anon_sym___based] = ACTIONS(2647),
    [anon_sym_RBRACE] = ACTIONS(2649),
    [anon_sym_signed] = ACTIONS(2647),
    [anon_sym_unsigned] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_register] = ACTIONS(2647),
    [anon_sym_inline] = ACTIONS(2647),
    [anon_sym___inline] = ACTIONS(2647),
    [anon_sym___inline__] = ACTIONS(2647),
    [anon_sym___forceinline] = ACTIONS(2647),
    [anon_sym_thread_local] = ACTIONS(2647),
    [anon_sym___thread] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_constexpr] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_restrict] = ACTIONS(2647),
    [anon_sym___restrict__] = ACTIONS(2647),
    [anon_sym__Atomic] = ACTIONS(2647),
    [anon_sym__Noreturn] = ACTIONS(2647),
    [anon_sym_noreturn] = ACTIONS(2647),
    [anon_sym__Nonnull] = ACTIONS(2647),
    [anon_sym_mutable] = ACTIONS(2647),
    [anon_sym_constinit] = ACTIONS(2647),
    [anon_sym_consteval] = ACTIONS(2647),
    [anon_sym_alignas] = ACTIONS(2647),
    [anon_sym__Alignas] = ACTIONS(2647),
    [sym_primitive_type] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2647),
    [anon_sym_decltype] = ACTIONS(2647),
    [anon_sym_explicit] = ACTIONS(2647),
    [anon_sym_typename] = ACTIONS(2647),
    [anon_sym_template] = ACTIONS(2647),
    [anon_sym_operator] = ACTIONS(2647),
    [anon_sym_friend] = ACTIONS(2647),
    [anon_sym_public] = ACTIONS(2647),
    [anon_sym_private] = ACTIONS(2647),
    [anon_sym_protected] = ACTIONS(2647),
    [anon_sym_using] = ACTIONS(2647),
    [anon_sym_static_assert] = ACTIONS(2647),
    [anon_sym_precise] = ACTIONS(2647),
    [anon_sym_shared] = ACTIONS(2647),
    [anon_sym_groupshared] = ACTIONS(2647),
    [anon_sym_uniform] = ACTIONS(2647),
    [anon_sym_row_major] = ACTIONS(2647),
    [anon_sym_column_major] = ACTIONS(2647),
    [anon_sym_globallycoherent] = ACTIONS(2647),
    [anon_sym_centroid] = ACTIONS(2647),
    [anon_sym_noperspective] = ACTIONS(2647),
    [anon_sym_nointerpolation] = ACTIONS(2647),
    [anon_sym_sample] = ACTIONS(2647),
    [anon_sym_linear] = ACTIONS(2647),
    [anon_sym_snorm] = ACTIONS(2647),
    [anon_sym_unorm] = ACTIONS(2647),
    [anon_sym_point] = ACTIONS(2647),
    [anon_sym_line] = ACTIONS(2647),
    [anon_sym_triangleadj] = ACTIONS(2647),
    [anon_sym_lineadj] = ACTIONS(2647),
    [anon_sym_triangle] = ACTIONS(2647),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(2651),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2651),
    [sym_preproc_directive] = ACTIONS(2651),
    [anon_sym_LPAREN2] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym___extension__] = ACTIONS(2651),
    [anon_sym_typedef] = ACTIONS(2651),
    [anon_sym_in] = ACTIONS(2651),
    [anon_sym_out] = ACTIONS(2651),
    [anon_sym_inout] = ACTIONS(2651),
    [anon_sym_virtual] = ACTIONS(2651),
    [anon_sym_extern] = ACTIONS(2651),
    [anon_sym___attribute__] = ACTIONS(2651),
    [anon_sym___attribute] = ACTIONS(2651),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2653),
    [anon_sym___declspec] = ACTIONS(2651),
    [anon_sym___based] = ACTIONS(2651),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [anon_sym_signed] = ACTIONS(2651),
    [anon_sym_unsigned] = ACTIONS(2651),
    [anon_sym_long] = ACTIONS(2651),
    [anon_sym_short] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_register] = ACTIONS(2651),
    [anon_sym_inline] = ACTIONS(2651),
    [anon_sym___inline] = ACTIONS(2651),
    [anon_sym___inline__] = ACTIONS(2651),
    [anon_sym___forceinline] = ACTIONS(2651),
    [anon_sym_thread_local] = ACTIONS(2651),
    [anon_sym___thread] = ACTIONS(2651),
    [anon_sym_const] = ACTIONS(2651),
    [anon_sym_constexpr] = ACTIONS(2651),
    [anon_sym_volatile] = ACTIONS(2651),
    [anon_sym_restrict] = ACTIONS(2651),
    [anon_sym___restrict__] = ACTIONS(2651),
    [anon_sym__Atomic] = ACTIONS(2651),
    [anon_sym__Noreturn] = ACTIONS(2651),
    [anon_sym_noreturn] = ACTIONS(2651),
    [anon_sym__Nonnull] = ACTIONS(2651),
    [anon_sym_mutable] = ACTIONS(2651),
    [anon_sym_constinit] = ACTIONS(2651),
    [anon_sym_consteval] = ACTIONS(2651),
    [anon_sym_alignas] = ACTIONS(2651),
    [anon_sym__Alignas] = ACTIONS(2651),
    [sym_primitive_type] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2651),
    [anon_sym_struct] = ACTIONS(2651),
    [anon_sym_union] = ACTIONS(2651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2651),
    [anon_sym_decltype] = ACTIONS(2651),
    [anon_sym_explicit] = ACTIONS(2651),
    [anon_sym_typename] = ACTIONS(2651),
    [anon_sym_template] = ACTIONS(2651),
    [anon_sym_operator] = ACTIONS(2651),
    [anon_sym_friend] = ACTIONS(2651),
    [anon_sym_public] = ACTIONS(2651),
    [anon_sym_private] = ACTIONS(2651),
    [anon_sym_protected] = ACTIONS(2651),
    [anon_sym_using] = ACTIONS(2651),
    [anon_sym_static_assert] = ACTIONS(2651),
    [anon_sym_precise] = ACTIONS(2651),
    [anon_sym_shared] = ACTIONS(2651),
    [anon_sym_groupshared] = ACTIONS(2651),
    [anon_sym_uniform] = ACTIONS(2651),
    [anon_sym_row_major] = ACTIONS(2651),
    [anon_sym_column_major] = ACTIONS(2651),
    [anon_sym_globallycoherent] = ACTIONS(2651),
    [anon_sym_centroid] = ACTIONS(2651),
    [anon_sym_noperspective] = ACTIONS(2651),
    [anon_sym_nointerpolation] = ACTIONS(2651),
    [anon_sym_sample] = ACTIONS(2651),
    [anon_sym_linear] = ACTIONS(2651),
    [anon_sym_snorm] = ACTIONS(2651),
    [anon_sym_unorm] = ACTIONS(2651),
    [anon_sym_point] = ACTIONS(2651),
    [anon_sym_line] = ACTIONS(2651),
    [anon_sym_triangleadj] = ACTIONS(2651),
    [anon_sym_lineadj] = ACTIONS(2651),
    [anon_sym_triangle] = ACTIONS(2651),
  },
  [2203] = {
    [sym_identifier] = ACTIONS(5380),
    [aux_sym_preproc_def_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token1] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5380),
    [sym_preproc_directive] = ACTIONS(5380),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_TILDE] = ACTIONS(5382),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___extension__] = ACTIONS(5380),
    [anon_sym_typedef] = ACTIONS(5380),
    [anon_sym_in] = ACTIONS(5380),
    [anon_sym_out] = ACTIONS(5380),
    [anon_sym_inout] = ACTIONS(5380),
    [anon_sym_virtual] = ACTIONS(5380),
    [anon_sym_extern] = ACTIONS(5380),
    [anon_sym___attribute__] = ACTIONS(5380),
    [anon_sym___attribute] = ACTIONS(5380),
    [anon_sym_COLON_COLON] = ACTIONS(5382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5382),
    [anon_sym___declspec] = ACTIONS(5380),
    [anon_sym___based] = ACTIONS(5380),
    [anon_sym_RBRACE] = ACTIONS(5382),
    [anon_sym_signed] = ACTIONS(5380),
    [anon_sym_unsigned] = ACTIONS(5380),
    [anon_sym_long] = ACTIONS(5380),
    [anon_sym_short] = ACTIONS(5380),
    [anon_sym_LBRACK] = ACTIONS(5380),
    [anon_sym_static] = ACTIONS(5380),
    [anon_sym_register] = ACTIONS(5380),
    [anon_sym_inline] = ACTIONS(5380),
    [anon_sym___inline] = ACTIONS(5380),
    [anon_sym___inline__] = ACTIONS(5380),
    [anon_sym___forceinline] = ACTIONS(5380),
    [anon_sym_thread_local] = ACTIONS(5380),
    [anon_sym___thread] = ACTIONS(5380),
    [anon_sym_const] = ACTIONS(5380),
    [anon_sym_constexpr] = ACTIONS(5380),
    [anon_sym_volatile] = ACTIONS(5380),
    [anon_sym_restrict] = ACTIONS(5380),
    [anon_sym___restrict__] = ACTIONS(5380),
    [anon_sym__Atomic] = ACTIONS(5380),
    [anon_sym__Noreturn] = ACTIONS(5380),
    [anon_sym_noreturn] = ACTIONS(5380),
    [anon_sym__Nonnull] = ACTIONS(5380),
    [anon_sym_mutable] = ACTIONS(5380),
    [anon_sym_constinit] = ACTIONS(5380),
    [anon_sym_consteval] = ACTIONS(5380),
    [anon_sym_alignas] = ACTIONS(5380),
    [anon_sym__Alignas] = ACTIONS(5380),
    [sym_primitive_type] = ACTIONS(5380),
    [anon_sym_enum] = ACTIONS(5380),
    [anon_sym_class] = ACTIONS(5380),
    [anon_sym_struct] = ACTIONS(5380),
    [anon_sym_union] = ACTIONS(5380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5380),
    [anon_sym_decltype] = ACTIONS(5380),
    [anon_sym_explicit] = ACTIONS(5380),
    [anon_sym_typename] = ACTIONS(5380),
    [anon_sym_template] = ACTIONS(5380),
    [anon_sym_operator] = ACTIONS(5380),
    [anon_sym_friend] = ACTIONS(5380),
    [anon_sym_public] = ACTIONS(5380),
    [anon_sym_private] = ACTIONS(5380),
    [anon_sym_protected] = ACTIONS(5380),
    [anon_sym_using] = ACTIONS(5380),
    [anon_sym_static_assert] = ACTIONS(5380),
    [anon_sym_precise] = ACTIONS(5380),
    [anon_sym_shared] = ACTIONS(5380),
    [anon_sym_groupshared] = ACTIONS(5380),
    [anon_sym_uniform] = ACTIONS(5380),
    [anon_sym_row_major] = ACTIONS(5380),
    [anon_sym_column_major] = ACTIONS(5380),
    [anon_sym_globallycoherent] = ACTIONS(5380),
    [anon_sym_centroid] = ACTIONS(5380),
    [anon_sym_noperspective] = ACTIONS(5380),
    [anon_sym_nointerpolation] = ACTIONS(5380),
    [anon_sym_sample] = ACTIONS(5380),
    [anon_sym_linear] = ACTIONS(5380),
    [anon_sym_snorm] = ACTIONS(5380),
    [anon_sym_unorm] = ACTIONS(5380),
    [anon_sym_point] = ACTIONS(5380),
    [anon_sym_line] = ACTIONS(5380),
    [anon_sym_triangleadj] = ACTIONS(5380),
    [anon_sym_lineadj] = ACTIONS(5380),
    [anon_sym_triangle] = ACTIONS(5380),
  },
  [2204] = {
    [sym_identifier] = ACTIONS(5388),
    [aux_sym_preproc_def_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token2] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5388),
    [sym_preproc_directive] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_TILDE] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym_typedef] = ACTIONS(5388),
    [anon_sym_in] = ACTIONS(5388),
    [anon_sym_out] = ACTIONS(5388),
    [anon_sym_inout] = ACTIONS(5388),
    [anon_sym_virtual] = ACTIONS(5388),
    [anon_sym_extern] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym___attribute] = ACTIONS(5388),
    [anon_sym_COLON_COLON] = ACTIONS(5390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5390),
    [anon_sym___declspec] = ACTIONS(5388),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [anon_sym_static] = ACTIONS(5388),
    [anon_sym_register] = ACTIONS(5388),
    [anon_sym_inline] = ACTIONS(5388),
    [anon_sym___inline] = ACTIONS(5388),
    [anon_sym___inline__] = ACTIONS(5388),
    [anon_sym___forceinline] = ACTIONS(5388),
    [anon_sym_thread_local] = ACTIONS(5388),
    [anon_sym___thread] = ACTIONS(5388),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [sym_primitive_type] = ACTIONS(5388),
    [anon_sym_enum] = ACTIONS(5388),
    [anon_sym_class] = ACTIONS(5388),
    [anon_sym_struct] = ACTIONS(5388),
    [anon_sym_union] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_explicit] = ACTIONS(5388),
    [anon_sym_typename] = ACTIONS(5388),
    [anon_sym_template] = ACTIONS(5388),
    [anon_sym_operator] = ACTIONS(5388),
    [anon_sym_friend] = ACTIONS(5388),
    [anon_sym_public] = ACTIONS(5388),
    [anon_sym_private] = ACTIONS(5388),
    [anon_sym_protected] = ACTIONS(5388),
    [anon_sym_using] = ACTIONS(5388),
    [anon_sym_static_assert] = ACTIONS(5388),
    [anon_sym_precise] = ACTIONS(5388),
    [anon_sym_shared] = ACTIONS(5388),
    [anon_sym_groupshared] = ACTIONS(5388),
    [anon_sym_uniform] = ACTIONS(5388),
    [anon_sym_row_major] = ACTIONS(5388),
    [anon_sym_column_major] = ACTIONS(5388),
    [anon_sym_globallycoherent] = ACTIONS(5388),
    [anon_sym_centroid] = ACTIONS(5388),
    [anon_sym_noperspective] = ACTIONS(5388),
    [anon_sym_nointerpolation] = ACTIONS(5388),
    [anon_sym_sample] = ACTIONS(5388),
    [anon_sym_linear] = ACTIONS(5388),
    [anon_sym_snorm] = ACTIONS(5388),
    [anon_sym_unorm] = ACTIONS(5388),
    [anon_sym_point] = ACTIONS(5388),
    [anon_sym_line] = ACTIONS(5388),
    [anon_sym_triangleadj] = ACTIONS(5388),
    [anon_sym_lineadj] = ACTIONS(5388),
    [anon_sym_triangle] = ACTIONS(5388),
  },
  [2205] = {
    [sym_identifier] = ACTIONS(5372),
    [aux_sym_preproc_def_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token1] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5372),
    [sym_preproc_directive] = ACTIONS(5372),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_TILDE] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___extension__] = ACTIONS(5372),
    [anon_sym_typedef] = ACTIONS(5372),
    [anon_sym_in] = ACTIONS(5372),
    [anon_sym_out] = ACTIONS(5372),
    [anon_sym_inout] = ACTIONS(5372),
    [anon_sym_virtual] = ACTIONS(5372),
    [anon_sym_extern] = ACTIONS(5372),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym___attribute] = ACTIONS(5372),
    [anon_sym_COLON_COLON] = ACTIONS(5374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5374),
    [anon_sym___declspec] = ACTIONS(5372),
    [anon_sym___based] = ACTIONS(5372),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(5372),
    [anon_sym_unsigned] = ACTIONS(5372),
    [anon_sym_long] = ACTIONS(5372),
    [anon_sym_short] = ACTIONS(5372),
    [anon_sym_LBRACK] = ACTIONS(5372),
    [anon_sym_static] = ACTIONS(5372),
    [anon_sym_register] = ACTIONS(5372),
    [anon_sym_inline] = ACTIONS(5372),
    [anon_sym___inline] = ACTIONS(5372),
    [anon_sym___inline__] = ACTIONS(5372),
    [anon_sym___forceinline] = ACTIONS(5372),
    [anon_sym_thread_local] = ACTIONS(5372),
    [anon_sym___thread] = ACTIONS(5372),
    [anon_sym_const] = ACTIONS(5372),
    [anon_sym_constexpr] = ACTIONS(5372),
    [anon_sym_volatile] = ACTIONS(5372),
    [anon_sym_restrict] = ACTIONS(5372),
    [anon_sym___restrict__] = ACTIONS(5372),
    [anon_sym__Atomic] = ACTIONS(5372),
    [anon_sym__Noreturn] = ACTIONS(5372),
    [anon_sym_noreturn] = ACTIONS(5372),
    [anon_sym__Nonnull] = ACTIONS(5372),
    [anon_sym_mutable] = ACTIONS(5372),
    [anon_sym_constinit] = ACTIONS(5372),
    [anon_sym_consteval] = ACTIONS(5372),
    [anon_sym_alignas] = ACTIONS(5372),
    [anon_sym__Alignas] = ACTIONS(5372),
    [sym_primitive_type] = ACTIONS(5372),
    [anon_sym_enum] = ACTIONS(5372),
    [anon_sym_class] = ACTIONS(5372),
    [anon_sym_struct] = ACTIONS(5372),
    [anon_sym_union] = ACTIONS(5372),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5372),
    [anon_sym_decltype] = ACTIONS(5372),
    [anon_sym_explicit] = ACTIONS(5372),
    [anon_sym_typename] = ACTIONS(5372),
    [anon_sym_template] = ACTIONS(5372),
    [anon_sym_operator] = ACTIONS(5372),
    [anon_sym_friend] = ACTIONS(5372),
    [anon_sym_public] = ACTIONS(5372),
    [anon_sym_private] = ACTIONS(5372),
    [anon_sym_protected] = ACTIONS(5372),
    [anon_sym_using] = ACTIONS(5372),
    [anon_sym_static_assert] = ACTIONS(5372),
    [anon_sym_precise] = ACTIONS(5372),
    [anon_sym_shared] = ACTIONS(5372),
    [anon_sym_groupshared] = ACTIONS(5372),
    [anon_sym_uniform] = ACTIONS(5372),
    [anon_sym_row_major] = ACTIONS(5372),
    [anon_sym_column_major] = ACTIONS(5372),
    [anon_sym_globallycoherent] = ACTIONS(5372),
    [anon_sym_centroid] = ACTIONS(5372),
    [anon_sym_noperspective] = ACTIONS(5372),
    [anon_sym_nointerpolation] = ACTIONS(5372),
    [anon_sym_sample] = ACTIONS(5372),
    [anon_sym_linear] = ACTIONS(5372),
    [anon_sym_snorm] = ACTIONS(5372),
    [anon_sym_unorm] = ACTIONS(5372),
    [anon_sym_point] = ACTIONS(5372),
    [anon_sym_line] = ACTIONS(5372),
    [anon_sym_triangleadj] = ACTIONS(5372),
    [anon_sym_lineadj] = ACTIONS(5372),
    [anon_sym_triangle] = ACTIONS(5372),
  },
  [2206] = {
    [sym_identifier] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5354),
    [anon_sym_TILDE] = ACTIONS(5354),
    [anon_sym_STAR] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5354),
    [anon_sym___extension__] = ACTIONS(5352),
    [anon_sym_typedef] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_out] = ACTIONS(5352),
    [anon_sym_inout] = ACTIONS(5352),
    [anon_sym_virtual] = ACTIONS(5352),
    [anon_sym_extern] = ACTIONS(5352),
    [anon_sym___attribute__] = ACTIONS(5352),
    [anon_sym___attribute] = ACTIONS(5352),
    [anon_sym_COLON_COLON] = ACTIONS(5354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5354),
    [anon_sym___declspec] = ACTIONS(5352),
    [anon_sym___based] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5354),
    [anon_sym_signed] = ACTIONS(5352),
    [anon_sym_unsigned] = ACTIONS(5352),
    [anon_sym_long] = ACTIONS(5352),
    [anon_sym_short] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_static] = ACTIONS(5352),
    [anon_sym_register] = ACTIONS(5352),
    [anon_sym_inline] = ACTIONS(5352),
    [anon_sym___inline] = ACTIONS(5352),
    [anon_sym___inline__] = ACTIONS(5352),
    [anon_sym___forceinline] = ACTIONS(5352),
    [anon_sym_thread_local] = ACTIONS(5352),
    [anon_sym___thread] = ACTIONS(5352),
    [anon_sym_const] = ACTIONS(5352),
    [anon_sym_constexpr] = ACTIONS(5352),
    [anon_sym_volatile] = ACTIONS(5352),
    [anon_sym_restrict] = ACTIONS(5352),
    [anon_sym___restrict__] = ACTIONS(5352),
    [anon_sym__Atomic] = ACTIONS(5352),
    [anon_sym__Noreturn] = ACTIONS(5352),
    [anon_sym_noreturn] = ACTIONS(5352),
    [anon_sym__Nonnull] = ACTIONS(5352),
    [anon_sym_mutable] = ACTIONS(5352),
    [anon_sym_constinit] = ACTIONS(5352),
    [anon_sym_consteval] = ACTIONS(5352),
    [anon_sym_alignas] = ACTIONS(5352),
    [anon_sym__Alignas] = ACTIONS(5352),
    [sym_primitive_type] = ACTIONS(5352),
    [anon_sym_enum] = ACTIONS(5352),
    [anon_sym_class] = ACTIONS(5352),
    [anon_sym_struct] = ACTIONS(5352),
    [anon_sym_union] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5352),
    [anon_sym_decltype] = ACTIONS(5352),
    [anon_sym_explicit] = ACTIONS(5352),
    [anon_sym_typename] = ACTIONS(5352),
    [anon_sym_template] = ACTIONS(5352),
    [anon_sym_operator] = ACTIONS(5352),
    [anon_sym_friend] = ACTIONS(5352),
    [anon_sym_public] = ACTIONS(5352),
    [anon_sym_private] = ACTIONS(5352),
    [anon_sym_protected] = ACTIONS(5352),
    [anon_sym_using] = ACTIONS(5352),
    [anon_sym_static_assert] = ACTIONS(5352),
    [anon_sym_precise] = ACTIONS(5352),
    [anon_sym_shared] = ACTIONS(5352),
    [anon_sym_groupshared] = ACTIONS(5352),
    [anon_sym_uniform] = ACTIONS(5352),
    [anon_sym_row_major] = ACTIONS(5352),
    [anon_sym_column_major] = ACTIONS(5352),
    [anon_sym_globallycoherent] = ACTIONS(5352),
    [anon_sym_centroid] = ACTIONS(5352),
    [anon_sym_noperspective] = ACTIONS(5352),
    [anon_sym_nointerpolation] = ACTIONS(5352),
    [anon_sym_sample] = ACTIONS(5352),
    [anon_sym_linear] = ACTIONS(5352),
    [anon_sym_snorm] = ACTIONS(5352),
    [anon_sym_unorm] = ACTIONS(5352),
    [anon_sym_point] = ACTIONS(5352),
    [anon_sym_line] = ACTIONS(5352),
    [anon_sym_triangleadj] = ACTIONS(5352),
    [anon_sym_lineadj] = ACTIONS(5352),
    [anon_sym_triangle] = ACTIONS(5352),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(5428),
    [aux_sym_preproc_def_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token2] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5428),
    [sym_preproc_directive] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_TILDE] = ACTIONS(5430),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___extension__] = ACTIONS(5428),
    [anon_sym_typedef] = ACTIONS(5428),
    [anon_sym_in] = ACTIONS(5428),
    [anon_sym_out] = ACTIONS(5428),
    [anon_sym_inout] = ACTIONS(5428),
    [anon_sym_virtual] = ACTIONS(5428),
    [anon_sym_extern] = ACTIONS(5428),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym___attribute] = ACTIONS(5428),
    [anon_sym_COLON_COLON] = ACTIONS(5430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5430),
    [anon_sym___declspec] = ACTIONS(5428),
    [anon_sym___based] = ACTIONS(5428),
    [anon_sym_signed] = ACTIONS(5428),
    [anon_sym_unsigned] = ACTIONS(5428),
    [anon_sym_long] = ACTIONS(5428),
    [anon_sym_short] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5428),
    [anon_sym_static] = ACTIONS(5428),
    [anon_sym_register] = ACTIONS(5428),
    [anon_sym_inline] = ACTIONS(5428),
    [anon_sym___inline] = ACTIONS(5428),
    [anon_sym___inline__] = ACTIONS(5428),
    [anon_sym___forceinline] = ACTIONS(5428),
    [anon_sym_thread_local] = ACTIONS(5428),
    [anon_sym___thread] = ACTIONS(5428),
    [anon_sym_const] = ACTIONS(5428),
    [anon_sym_constexpr] = ACTIONS(5428),
    [anon_sym_volatile] = ACTIONS(5428),
    [anon_sym_restrict] = ACTIONS(5428),
    [anon_sym___restrict__] = ACTIONS(5428),
    [anon_sym__Atomic] = ACTIONS(5428),
    [anon_sym__Noreturn] = ACTIONS(5428),
    [anon_sym_noreturn] = ACTIONS(5428),
    [anon_sym__Nonnull] = ACTIONS(5428),
    [anon_sym_mutable] = ACTIONS(5428),
    [anon_sym_constinit] = ACTIONS(5428),
    [anon_sym_consteval] = ACTIONS(5428),
    [anon_sym_alignas] = ACTIONS(5428),
    [anon_sym__Alignas] = ACTIONS(5428),
    [sym_primitive_type] = ACTIONS(5428),
    [anon_sym_enum] = ACTIONS(5428),
    [anon_sym_class] = ACTIONS(5428),
    [anon_sym_struct] = ACTIONS(5428),
    [anon_sym_union] = ACTIONS(5428),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
    [anon_sym_explicit] = ACTIONS(5428),
    [anon_sym_typename] = ACTIONS(5428),
    [anon_sym_template] = ACTIONS(5428),
    [anon_sym_operator] = ACTIONS(5428),
    [anon_sym_friend] = ACTIONS(5428),
    [anon_sym_public] = ACTIONS(5428),
    [anon_sym_private] = ACTIONS(5428),
    [anon_sym_protected] = ACTIONS(5428),
    [anon_sym_using] = ACTIONS(5428),
    [anon_sym_static_assert] = ACTIONS(5428),
    [anon_sym_precise] = ACTIONS(5428),
    [anon_sym_shared] = ACTIONS(5428),
    [anon_sym_groupshared] = ACTIONS(5428),
    [anon_sym_uniform] = ACTIONS(5428),
    [anon_sym_row_major] = ACTIONS(5428),
    [anon_sym_column_major] = ACTIONS(5428),
    [anon_sym_globallycoherent] = ACTIONS(5428),
    [anon_sym_centroid] = ACTIONS(5428),
    [anon_sym_noperspective] = ACTIONS(5428),
    [anon_sym_nointerpolation] = ACTIONS(5428),
    [anon_sym_sample] = ACTIONS(5428),
    [anon_sym_linear] = ACTIONS(5428),
    [anon_sym_snorm] = ACTIONS(5428),
    [anon_sym_unorm] = ACTIONS(5428),
    [anon_sym_point] = ACTIONS(5428),
    [anon_sym_line] = ACTIONS(5428),
    [anon_sym_triangleadj] = ACTIONS(5428),
    [anon_sym_lineadj] = ACTIONS(5428),
    [anon_sym_triangle] = ACTIONS(5428),
  },
  [2208] = {
    [sym_string_literal] = STATE(2620),
    [sym_template_argument_list] = STATE(2471),
    [sym_raw_string_literal] = STATE(2620),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(4072),
    [anon_sym_LPAREN2] = ACTIONS(4072),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5526),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym___extension__] = ACTIONS(4076),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5529),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(5531),
    [anon_sym_unsigned] = ACTIONS(5531),
    [anon_sym_long] = ACTIONS(5531),
    [anon_sym_short] = ACTIONS(5531),
    [anon_sym_LBRACK] = ACTIONS(4096),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4076),
    [anon_sym_volatile] = ACTIONS(4076),
    [anon_sym_restrict] = ACTIONS(4076),
    [anon_sym___restrict__] = ACTIONS(4076),
    [anon_sym__Atomic] = ACTIONS(4076),
    [anon_sym__Noreturn] = ACTIONS(4076),
    [anon_sym_noreturn] = ACTIONS(4076),
    [anon_sym__Nonnull] = ACTIONS(4076),
    [anon_sym_mutable] = ACTIONS(4076),
    [anon_sym_constinit] = ACTIONS(4076),
    [anon_sym_consteval] = ACTIONS(4076),
    [anon_sym_alignas] = ACTIONS(4076),
    [anon_sym__Alignas] = ACTIONS(4076),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4078),
    [anon_sym_L_DQUOTE] = ACTIONS(5533),
    [anon_sym_u_DQUOTE] = ACTIONS(5533),
    [anon_sym_U_DQUOTE] = ACTIONS(5533),
    [anon_sym_u8_DQUOTE] = ACTIONS(5533),
    [anon_sym_DQUOTE] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4076),
    [anon_sym_decltype] = ACTIONS(4076),
    [anon_sym_R_DQUOTE] = ACTIONS(5535),
    [anon_sym_LR_DQUOTE] = ACTIONS(5535),
    [anon_sym_uR_DQUOTE] = ACTIONS(5535),
    [anon_sym_UR_DQUOTE] = ACTIONS(5535),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5535),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4070),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token2] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5354),
    [anon_sym_TILDE] = ACTIONS(5354),
    [anon_sym_STAR] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5354),
    [anon_sym___extension__] = ACTIONS(5352),
    [anon_sym_typedef] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_out] = ACTIONS(5352),
    [anon_sym_inout] = ACTIONS(5352),
    [anon_sym_virtual] = ACTIONS(5352),
    [anon_sym_extern] = ACTIONS(5352),
    [anon_sym___attribute__] = ACTIONS(5352),
    [anon_sym___attribute] = ACTIONS(5352),
    [anon_sym_COLON_COLON] = ACTIONS(5354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5354),
    [anon_sym___declspec] = ACTIONS(5352),
    [anon_sym___based] = ACTIONS(5352),
    [anon_sym_signed] = ACTIONS(5352),
    [anon_sym_unsigned] = ACTIONS(5352),
    [anon_sym_long] = ACTIONS(5352),
    [anon_sym_short] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_static] = ACTIONS(5352),
    [anon_sym_register] = ACTIONS(5352),
    [anon_sym_inline] = ACTIONS(5352),
    [anon_sym___inline] = ACTIONS(5352),
    [anon_sym___inline__] = ACTIONS(5352),
    [anon_sym___forceinline] = ACTIONS(5352),
    [anon_sym_thread_local] = ACTIONS(5352),
    [anon_sym___thread] = ACTIONS(5352),
    [anon_sym_const] = ACTIONS(5352),
    [anon_sym_constexpr] = ACTIONS(5352),
    [anon_sym_volatile] = ACTIONS(5352),
    [anon_sym_restrict] = ACTIONS(5352),
    [anon_sym___restrict__] = ACTIONS(5352),
    [anon_sym__Atomic] = ACTIONS(5352),
    [anon_sym__Noreturn] = ACTIONS(5352),
    [anon_sym_noreturn] = ACTIONS(5352),
    [anon_sym__Nonnull] = ACTIONS(5352),
    [anon_sym_mutable] = ACTIONS(5352),
    [anon_sym_constinit] = ACTIONS(5352),
    [anon_sym_consteval] = ACTIONS(5352),
    [anon_sym_alignas] = ACTIONS(5352),
    [anon_sym__Alignas] = ACTIONS(5352),
    [sym_primitive_type] = ACTIONS(5352),
    [anon_sym_enum] = ACTIONS(5352),
    [anon_sym_class] = ACTIONS(5352),
    [anon_sym_struct] = ACTIONS(5352),
    [anon_sym_union] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5352),
    [anon_sym_decltype] = ACTIONS(5352),
    [anon_sym_explicit] = ACTIONS(5352),
    [anon_sym_typename] = ACTIONS(5352),
    [anon_sym_template] = ACTIONS(5352),
    [anon_sym_operator] = ACTIONS(5352),
    [anon_sym_friend] = ACTIONS(5352),
    [anon_sym_public] = ACTIONS(5352),
    [anon_sym_private] = ACTIONS(5352),
    [anon_sym_protected] = ACTIONS(5352),
    [anon_sym_using] = ACTIONS(5352),
    [anon_sym_static_assert] = ACTIONS(5352),
    [anon_sym_precise] = ACTIONS(5352),
    [anon_sym_shared] = ACTIONS(5352),
    [anon_sym_groupshared] = ACTIONS(5352),
    [anon_sym_uniform] = ACTIONS(5352),
    [anon_sym_row_major] = ACTIONS(5352),
    [anon_sym_column_major] = ACTIONS(5352),
    [anon_sym_globallycoherent] = ACTIONS(5352),
    [anon_sym_centroid] = ACTIONS(5352),
    [anon_sym_noperspective] = ACTIONS(5352),
    [anon_sym_nointerpolation] = ACTIONS(5352),
    [anon_sym_sample] = ACTIONS(5352),
    [anon_sym_linear] = ACTIONS(5352),
    [anon_sym_snorm] = ACTIONS(5352),
    [anon_sym_unorm] = ACTIONS(5352),
    [anon_sym_point] = ACTIONS(5352),
    [anon_sym_line] = ACTIONS(5352),
    [anon_sym_triangleadj] = ACTIONS(5352),
    [anon_sym_lineadj] = ACTIONS(5352),
    [anon_sym_triangle] = ACTIONS(5352),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token2] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_in] = ACTIONS(2583),
    [anon_sym_out] = ACTIONS(2583),
    [anon_sym_inout] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [sym_primitive_type] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_friend] = ACTIONS(2583),
    [anon_sym_public] = ACTIONS(2583),
    [anon_sym_private] = ACTIONS(2583),
    [anon_sym_protected] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_precise] = ACTIONS(2583),
    [anon_sym_shared] = ACTIONS(2583),
    [anon_sym_groupshared] = ACTIONS(2583),
    [anon_sym_uniform] = ACTIONS(2583),
    [anon_sym_row_major] = ACTIONS(2583),
    [anon_sym_column_major] = ACTIONS(2583),
    [anon_sym_globallycoherent] = ACTIONS(2583),
    [anon_sym_centroid] = ACTIONS(2583),
    [anon_sym_noperspective] = ACTIONS(2583),
    [anon_sym_nointerpolation] = ACTIONS(2583),
    [anon_sym_sample] = ACTIONS(2583),
    [anon_sym_linear] = ACTIONS(2583),
    [anon_sym_snorm] = ACTIONS(2583),
    [anon_sym_unorm] = ACTIONS(2583),
    [anon_sym_point] = ACTIONS(2583),
    [anon_sym_line] = ACTIONS(2583),
    [anon_sym_triangleadj] = ACTIONS(2583),
    [anon_sym_lineadj] = ACTIONS(2583),
    [anon_sym_triangle] = ACTIONS(2583),
  },
  [2211] = {
    [sym_type_qualifier] = STATE(2211),
    [sym_alignas_qualifier] = STATE(2250),
    [aux_sym__type_definition_type_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [aux_sym_preproc_if_token2] = ACTIONS(4891),
    [aux_sym_preproc_else_token1] = ACTIONS(4891),
    [aux_sym_preproc_elif_token1] = ACTIONS(4889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4889),
    [anon_sym_PLUS] = ACTIONS(4889),
    [anon_sym_STAR] = ACTIONS(4889),
    [anon_sym_SLASH] = ACTIONS(4889),
    [anon_sym_PERCENT] = ACTIONS(4889),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4889),
    [anon_sym_CARET] = ACTIONS(4889),
    [anon_sym_AMP] = ACTIONS(4889),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4889),
    [anon_sym_GT_EQ] = ACTIONS(4891),
    [anon_sym_LT_EQ] = ACTIONS(4889),
    [anon_sym_LT] = ACTIONS(4889),
    [anon_sym_LT_LT] = ACTIONS(4889),
    [anon_sym_GT_GT] = ACTIONS(4889),
    [anon_sym_COLON] = ACTIONS(4891),
    [anon_sym_SEMI] = ACTIONS(4891),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(4889),
    [anon_sym___attribute] = ACTIONS(4889),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4891),
    [anon_sym_signed] = ACTIONS(4889),
    [anon_sym_unsigned] = ACTIONS(4889),
    [anon_sym_long] = ACTIONS(4889),
    [anon_sym_short] = ACTIONS(4889),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_RBRACK] = ACTIONS(4891),
    [anon_sym_EQ] = ACTIONS(4889),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym__Nonnull] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5540),
    [anon_sym__Alignas] = ACTIONS(5540),
    [sym_primitive_type] = ACTIONS(4889),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_STAR_EQ] = ACTIONS(4891),
    [anon_sym_SLASH_EQ] = ACTIONS(4891),
    [anon_sym_PERCENT_EQ] = ACTIONS(4891),
    [anon_sym_PLUS_EQ] = ACTIONS(4891),
    [anon_sym_DASH_EQ] = ACTIONS(4891),
    [anon_sym_LT_LT_EQ] = ACTIONS(4891),
    [anon_sym_GT_GT_EQ] = ACTIONS(4891),
    [anon_sym_AMP_EQ] = ACTIONS(4891),
    [anon_sym_CARET_EQ] = ACTIONS(4891),
    [anon_sym_PIPE_EQ] = ACTIONS(4891),
    [anon_sym_and_eq] = ACTIONS(4889),
    [anon_sym_or_eq] = ACTIONS(4889),
    [anon_sym_xor_eq] = ACTIONS(4889),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4889),
    [anon_sym_and] = ACTIONS(4889),
    [anon_sym_bitor] = ACTIONS(4889),
    [anon_sym_xor] = ACTIONS(4889),
    [anon_sym_bitand] = ACTIONS(4889),
    [anon_sym_not_eq] = ACTIONS(4889),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4889),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4889),
    [anon_sym_decltype] = ACTIONS(4889),
  },
  [2212] = {
    [sym_string_literal] = STATE(2620),
    [sym_template_argument_list] = STATE(2509),
    [sym_raw_string_literal] = STATE(2620),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(4083),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym___extension__] = ACTIONS(4076),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(5531),
    [anon_sym_unsigned] = ACTIONS(5531),
    [anon_sym_long] = ACTIONS(5531),
    [anon_sym_short] = ACTIONS(5531),
    [anon_sym_LBRACK] = ACTIONS(4083),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4076),
    [anon_sym_volatile] = ACTIONS(4076),
    [anon_sym_restrict] = ACTIONS(4076),
    [anon_sym___restrict__] = ACTIONS(4076),
    [anon_sym__Atomic] = ACTIONS(4076),
    [anon_sym__Noreturn] = ACTIONS(4076),
    [anon_sym_noreturn] = ACTIONS(4076),
    [anon_sym__Nonnull] = ACTIONS(4076),
    [anon_sym_mutable] = ACTIONS(4076),
    [anon_sym_constinit] = ACTIONS(4076),
    [anon_sym_consteval] = ACTIONS(4076),
    [anon_sym_alignas] = ACTIONS(4076),
    [anon_sym__Alignas] = ACTIONS(4076),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4078),
    [anon_sym_L_DQUOTE] = ACTIONS(5533),
    [anon_sym_u_DQUOTE] = ACTIONS(5533),
    [anon_sym_U_DQUOTE] = ACTIONS(5533),
    [anon_sym_u8_DQUOTE] = ACTIONS(5533),
    [anon_sym_DQUOTE] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4076),
    [anon_sym_decltype] = ACTIONS(4076),
    [anon_sym_R_DQUOTE] = ACTIONS(5535),
    [anon_sym_LR_DQUOTE] = ACTIONS(5535),
    [anon_sym_uR_DQUOTE] = ACTIONS(5535),
    [anon_sym_UR_DQUOTE] = ACTIONS(5535),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5535),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4070),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(1978),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_PIPE_PIPE] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1976),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym___extension__] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1978),
    [anon_sym_out] = ACTIONS(1978),
    [anon_sym_inout] = ACTIONS(1978),
    [anon_sym_virtual] = ACTIONS(1978),
    [anon_sym_extern] = ACTIONS(1978),
    [anon_sym___attribute__] = ACTIONS(1978),
    [anon_sym___attribute] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1976),
    [anon_sym___declspec] = ACTIONS(1978),
    [anon_sym___based] = ACTIONS(1978),
    [anon_sym___cdecl] = ACTIONS(1978),
    [anon_sym___clrcall] = ACTIONS(1978),
    [anon_sym___stdcall] = ACTIONS(1978),
    [anon_sym___fastcall] = ACTIONS(1978),
    [anon_sym___thiscall] = ACTIONS(1978),
    [anon_sym___vectorcall] = ACTIONS(1978),
    [anon_sym_signed] = ACTIONS(1978),
    [anon_sym_unsigned] = ACTIONS(1978),
    [anon_sym_long] = ACTIONS(1978),
    [anon_sym_short] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1978),
    [anon_sym_register] = ACTIONS(1978),
    [anon_sym_inline] = ACTIONS(1978),
    [anon_sym___inline] = ACTIONS(1978),
    [anon_sym___inline__] = ACTIONS(1978),
    [anon_sym___forceinline] = ACTIONS(1978),
    [anon_sym_thread_local] = ACTIONS(1978),
    [anon_sym___thread] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(1978),
    [anon_sym_constexpr] = ACTIONS(1978),
    [anon_sym_volatile] = ACTIONS(1978),
    [anon_sym_restrict] = ACTIONS(1978),
    [anon_sym___restrict__] = ACTIONS(1978),
    [anon_sym__Atomic] = ACTIONS(1978),
    [anon_sym__Noreturn] = ACTIONS(1978),
    [anon_sym_noreturn] = ACTIONS(1978),
    [anon_sym__Nonnull] = ACTIONS(1978),
    [anon_sym_mutable] = ACTIONS(1978),
    [anon_sym_constinit] = ACTIONS(1978),
    [anon_sym_consteval] = ACTIONS(1978),
    [anon_sym_alignas] = ACTIONS(1978),
    [anon_sym__Alignas] = ACTIONS(1978),
    [sym_primitive_type] = ACTIONS(1978),
    [anon_sym_enum] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1978),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_union] = ACTIONS(1978),
    [anon_sym_or] = ACTIONS(1978),
    [anon_sym_and] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1978),
    [anon_sym_decltype] = ACTIONS(1978),
    [anon_sym_explicit] = ACTIONS(1978),
    [anon_sym_typename] = ACTIONS(1978),
    [anon_sym_template] = ACTIONS(1978),
    [anon_sym_operator] = ACTIONS(1978),
    [anon_sym_friend] = ACTIONS(1978),
    [anon_sym_using] = ACTIONS(1978),
    [anon_sym_concept] = ACTIONS(1978),
    [anon_sym_precise] = ACTIONS(1978),
    [anon_sym_shared] = ACTIONS(1978),
    [anon_sym_groupshared] = ACTIONS(1978),
    [anon_sym_uniform] = ACTIONS(1978),
    [anon_sym_row_major] = ACTIONS(1978),
    [anon_sym_column_major] = ACTIONS(1978),
    [anon_sym_globallycoherent] = ACTIONS(1978),
    [anon_sym_centroid] = ACTIONS(1978),
    [anon_sym_noperspective] = ACTIONS(1978),
    [anon_sym_nointerpolation] = ACTIONS(1978),
    [anon_sym_sample] = ACTIONS(1978),
    [anon_sym_linear] = ACTIONS(1978),
    [anon_sym_snorm] = ACTIONS(1978),
    [anon_sym_unorm] = ACTIONS(1978),
    [anon_sym_point] = ACTIONS(1978),
    [anon_sym_line] = ACTIONS(1978),
    [anon_sym_triangleadj] = ACTIONS(1978),
    [anon_sym_lineadj] = ACTIONS(1978),
    [anon_sym_triangle] = ACTIONS(1978),
  },
  [2214] = {
    [sym_type_qualifier] = STATE(2226),
    [sym_alignas_qualifier] = STATE(1334),
    [aux_sym__type_definition_type_repeat1] = STATE(2226),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2259),
    [sym_identifier] = ACTIONS(5546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [anon_sym_RPAREN] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_TILDE] = ACTIONS(5549),
    [anon_sym_STAR] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5553),
    [anon_sym_in] = ACTIONS(5551),
    [anon_sym_out] = ACTIONS(5551),
    [anon_sym_inout] = ACTIONS(5551),
    [anon_sym_virtual] = ACTIONS(5551),
    [anon_sym_extern] = ACTIONS(5551),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5549),
    [anon_sym___declspec] = ACTIONS(5551),
    [anon_sym___based] = ACTIONS(5551),
    [anon_sym___cdecl] = ACTIONS(5551),
    [anon_sym___clrcall] = ACTIONS(5551),
    [anon_sym___stdcall] = ACTIONS(5551),
    [anon_sym___fastcall] = ACTIONS(5551),
    [anon_sym___thiscall] = ACTIONS(5551),
    [anon_sym___vectorcall] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(5556),
    [anon_sym_unsigned] = ACTIONS(5556),
    [anon_sym_long] = ACTIONS(5556),
    [anon_sym_short] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_static] = ACTIONS(5551),
    [anon_sym_EQ] = ACTIONS(5549),
    [anon_sym_register] = ACTIONS(5551),
    [anon_sym_inline] = ACTIONS(5551),
    [anon_sym___inline] = ACTIONS(5551),
    [anon_sym___inline__] = ACTIONS(5551),
    [anon_sym___forceinline] = ACTIONS(5551),
    [anon_sym_thread_local] = ACTIONS(5551),
    [anon_sym___thread] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5553),
    [anon_sym_constexpr] = ACTIONS(5553),
    [anon_sym_volatile] = ACTIONS(5553),
    [anon_sym_restrict] = ACTIONS(5553),
    [anon_sym___restrict__] = ACTIONS(5553),
    [anon_sym__Atomic] = ACTIONS(5553),
    [anon_sym__Noreturn] = ACTIONS(5553),
    [anon_sym_noreturn] = ACTIONS(5553),
    [anon_sym__Nonnull] = ACTIONS(5553),
    [anon_sym_mutable] = ACTIONS(5553),
    [anon_sym_constinit] = ACTIONS(5553),
    [anon_sym_consteval] = ACTIONS(5553),
    [anon_sym_alignas] = ACTIONS(5558),
    [anon_sym__Alignas] = ACTIONS(5558),
    [sym_primitive_type] = ACTIONS(5561),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
    [anon_sym_template] = ACTIONS(5551),
    [anon_sym_GT2] = ACTIONS(5549),
    [anon_sym_operator] = ACTIONS(5551),
    [anon_sym_precise] = ACTIONS(5551),
    [anon_sym_shared] = ACTIONS(5551),
    [anon_sym_groupshared] = ACTIONS(5551),
    [anon_sym_uniform] = ACTIONS(5551),
    [anon_sym_row_major] = ACTIONS(5551),
    [anon_sym_column_major] = ACTIONS(5551),
    [anon_sym_globallycoherent] = ACTIONS(5551),
    [anon_sym_centroid] = ACTIONS(5551),
    [anon_sym_noperspective] = ACTIONS(5551),
    [anon_sym_nointerpolation] = ACTIONS(5551),
    [anon_sym_sample] = ACTIONS(5551),
    [anon_sym_linear] = ACTIONS(5551),
    [anon_sym_snorm] = ACTIONS(5551),
    [anon_sym_unorm] = ACTIONS(5551),
    [anon_sym_point] = ACTIONS(5551),
    [anon_sym_line] = ACTIONS(5551),
    [anon_sym_triangleadj] = ACTIONS(5551),
    [anon_sym_lineadj] = ACTIONS(5551),
    [anon_sym_triangle] = ACTIONS(5551),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_GT2] = ACTIONS(1989),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym___cdecl] = ACTIONS(1918),
    [anon_sym___clrcall] = ACTIONS(1918),
    [anon_sym___stdcall] = ACTIONS(1918),
    [anon_sym___fastcall] = ACTIONS(1918),
    [anon_sym___thiscall] = ACTIONS(1918),
    [anon_sym___vectorcall] = ACTIONS(1918),
    [anon_sym_signed] = ACTIONS(1918),
    [anon_sym_unsigned] = ACTIONS(1918),
    [anon_sym_long] = ACTIONS(1918),
    [anon_sym_short] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [sym_primitive_type] = ACTIONS(1918),
    [anon_sym_enum] = ACTIONS(1918),
    [anon_sym_class] = ACTIONS(1918),
    [anon_sym_struct] = ACTIONS(1918),
    [anon_sym_union] = ACTIONS(1918),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_explicit] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_friend] = ACTIONS(1918),
    [anon_sym_using] = ACTIONS(1918),
    [anon_sym_concept] = ACTIONS(1918),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_TILDE] = ACTIONS(5565),
    [anon_sym_STAR] = ACTIONS(5565),
    [anon_sym_PIPE_PIPE] = ACTIONS(5567),
    [anon_sym_AMP_AMP] = ACTIONS(5569),
    [anon_sym_AMP] = ACTIONS(5563),
    [anon_sym___extension__] = ACTIONS(5563),
    [anon_sym_in] = ACTIONS(5563),
    [anon_sym_out] = ACTIONS(5563),
    [anon_sym_inout] = ACTIONS(5563),
    [anon_sym_virtual] = ACTIONS(5563),
    [anon_sym_extern] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(5563),
    [anon_sym___attribute] = ACTIONS(5563),
    [anon_sym_COLON_COLON] = ACTIONS(5565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5565),
    [anon_sym___declspec] = ACTIONS(5563),
    [anon_sym___based] = ACTIONS(5563),
    [anon_sym___cdecl] = ACTIONS(5563),
    [anon_sym___clrcall] = ACTIONS(5563),
    [anon_sym___stdcall] = ACTIONS(5563),
    [anon_sym___fastcall] = ACTIONS(5563),
    [anon_sym___thiscall] = ACTIONS(5563),
    [anon_sym___vectorcall] = ACTIONS(5563),
    [anon_sym_signed] = ACTIONS(5563),
    [anon_sym_unsigned] = ACTIONS(5563),
    [anon_sym_long] = ACTIONS(5563),
    [anon_sym_short] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5563),
    [anon_sym_static] = ACTIONS(5563),
    [anon_sym_register] = ACTIONS(5563),
    [anon_sym_inline] = ACTIONS(5563),
    [anon_sym___inline] = ACTIONS(5563),
    [anon_sym___inline__] = ACTIONS(5563),
    [anon_sym___forceinline] = ACTIONS(5563),
    [anon_sym_thread_local] = ACTIONS(5563),
    [anon_sym___thread] = ACTIONS(5563),
    [anon_sym_const] = ACTIONS(5563),
    [anon_sym_constexpr] = ACTIONS(5563),
    [anon_sym_volatile] = ACTIONS(5563),
    [anon_sym_restrict] = ACTIONS(5563),
    [anon_sym___restrict__] = ACTIONS(5563),
    [anon_sym__Atomic] = ACTIONS(5563),
    [anon_sym__Noreturn] = ACTIONS(5563),
    [anon_sym_noreturn] = ACTIONS(5563),
    [anon_sym__Nonnull] = ACTIONS(5563),
    [anon_sym_mutable] = ACTIONS(5563),
    [anon_sym_constinit] = ACTIONS(5563),
    [anon_sym_consteval] = ACTIONS(5563),
    [anon_sym_alignas] = ACTIONS(5563),
    [anon_sym__Alignas] = ACTIONS(5563),
    [sym_primitive_type] = ACTIONS(5563),
    [anon_sym_enum] = ACTIONS(5563),
    [anon_sym_class] = ACTIONS(5563),
    [anon_sym_struct] = ACTIONS(5563),
    [anon_sym_union] = ACTIONS(5563),
    [anon_sym_or] = ACTIONS(5571),
    [anon_sym_and] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5563),
    [anon_sym_decltype] = ACTIONS(5563),
    [anon_sym_explicit] = ACTIONS(5563),
    [anon_sym_typename] = ACTIONS(5563),
    [anon_sym_template] = ACTIONS(5563),
    [anon_sym_operator] = ACTIONS(5563),
    [anon_sym_friend] = ACTIONS(5563),
    [anon_sym_using] = ACTIONS(5563),
    [anon_sym_concept] = ACTIONS(5563),
    [anon_sym_precise] = ACTIONS(5563),
    [anon_sym_shared] = ACTIONS(5563),
    [anon_sym_groupshared] = ACTIONS(5563),
    [anon_sym_uniform] = ACTIONS(5563),
    [anon_sym_row_major] = ACTIONS(5563),
    [anon_sym_column_major] = ACTIONS(5563),
    [anon_sym_globallycoherent] = ACTIONS(5563),
    [anon_sym_centroid] = ACTIONS(5563),
    [anon_sym_noperspective] = ACTIONS(5563),
    [anon_sym_nointerpolation] = ACTIONS(5563),
    [anon_sym_sample] = ACTIONS(5563),
    [anon_sym_linear] = ACTIONS(5563),
    [anon_sym_snorm] = ACTIONS(5563),
    [anon_sym_unorm] = ACTIONS(5563),
    [anon_sym_point] = ACTIONS(5563),
    [anon_sym_line] = ACTIONS(5563),
    [anon_sym_triangleadj] = ACTIONS(5563),
    [anon_sym_lineadj] = ACTIONS(5563),
    [anon_sym_triangle] = ACTIONS(5563),
  },
  [2219] = {
    [sym_string_literal] = STATE(3712),
    [sym_template_argument_list] = STATE(3257),
    [sym_raw_string_literal] = STATE(3712),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4083),
    [anon_sym_COMMA] = ACTIONS(4083),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4078),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5575),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym___extension__] = ACTIONS(4076),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(5578),
    [anon_sym_unsigned] = ACTIONS(5578),
    [anon_sym_long] = ACTIONS(5578),
    [anon_sym_short] = ACTIONS(5578),
    [anon_sym_LBRACK] = ACTIONS(4083),
    [anon_sym_EQ] = ACTIONS(5580),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4076),
    [anon_sym_volatile] = ACTIONS(4076),
    [anon_sym_restrict] = ACTIONS(4076),
    [anon_sym___restrict__] = ACTIONS(4076),
    [anon_sym__Atomic] = ACTIONS(4076),
    [anon_sym__Noreturn] = ACTIONS(4076),
    [anon_sym_noreturn] = ACTIONS(4076),
    [anon_sym__Nonnull] = ACTIONS(4076),
    [anon_sym_mutable] = ACTIONS(4076),
    [anon_sym_constinit] = ACTIONS(4076),
    [anon_sym_consteval] = ACTIONS(4076),
    [anon_sym_alignas] = ACTIONS(4076),
    [anon_sym__Alignas] = ACTIONS(4076),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(5582),
    [anon_sym_SLASH_EQ] = ACTIONS(5582),
    [anon_sym_PERCENT_EQ] = ACTIONS(5582),
    [anon_sym_PLUS_EQ] = ACTIONS(5582),
    [anon_sym_DASH_EQ] = ACTIONS(5582),
    [anon_sym_LT_LT_EQ] = ACTIONS(5582),
    [anon_sym_GT_GT_EQ] = ACTIONS(5580),
    [anon_sym_AMP_EQ] = ACTIONS(5582),
    [anon_sym_CARET_EQ] = ACTIONS(5582),
    [anon_sym_PIPE_EQ] = ACTIONS(5582),
    [anon_sym_and_eq] = ACTIONS(5582),
    [anon_sym_or_eq] = ACTIONS(5582),
    [anon_sym_xor_eq] = ACTIONS(5582),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(5584),
    [anon_sym_u_DQUOTE] = ACTIONS(5584),
    [anon_sym_U_DQUOTE] = ACTIONS(5584),
    [anon_sym_u8_DQUOTE] = ACTIONS(5584),
    [anon_sym_DQUOTE] = ACTIONS(5584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4076),
    [anon_sym_decltype] = ACTIONS(4076),
    [anon_sym_GT2] = ACTIONS(4083),
    [anon_sym_R_DQUOTE] = ACTIONS(5586),
    [anon_sym_LR_DQUOTE] = ACTIONS(5586),
    [anon_sym_uR_DQUOTE] = ACTIONS(5586),
    [anon_sym_UR_DQUOTE] = ACTIONS(5586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5586),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym___cdecl] = ACTIONS(1938),
    [anon_sym___clrcall] = ACTIONS(1938),
    [anon_sym___stdcall] = ACTIONS(1938),
    [anon_sym___fastcall] = ACTIONS(1938),
    [anon_sym___thiscall] = ACTIONS(1938),
    [anon_sym___vectorcall] = ACTIONS(1938),
    [anon_sym_signed] = ACTIONS(1938),
    [anon_sym_unsigned] = ACTIONS(1938),
    [anon_sym_long] = ACTIONS(1938),
    [anon_sym_short] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [sym_primitive_type] = ACTIONS(1938),
    [anon_sym_enum] = ACTIONS(1938),
    [anon_sym_class] = ACTIONS(1938),
    [anon_sym_struct] = ACTIONS(1938),
    [anon_sym_union] = ACTIONS(1938),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_friend] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(1938),
    [anon_sym_concept] = ACTIONS(1938),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_GT2] = ACTIONS(1989),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
  },
  [2222] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2222),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_TILDE] = ACTIONS(5590),
    [anon_sym_STAR] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym_in] = ACTIONS(5588),
    [anon_sym_out] = ACTIONS(5588),
    [anon_sym_inout] = ACTIONS(5588),
    [anon_sym_virtual] = ACTIONS(5588),
    [anon_sym_extern] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym___attribute] = ACTIONS(5588),
    [anon_sym_COLON_COLON] = ACTIONS(5590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5590),
    [anon_sym___declspec] = ACTIONS(5588),
    [anon_sym___based] = ACTIONS(5588),
    [anon_sym___cdecl] = ACTIONS(5588),
    [anon_sym___clrcall] = ACTIONS(5588),
    [anon_sym___stdcall] = ACTIONS(5588),
    [anon_sym___fastcall] = ACTIONS(5588),
    [anon_sym___thiscall] = ACTIONS(5588),
    [anon_sym___vectorcall] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(5592),
    [anon_sym_unsigned] = ACTIONS(5592),
    [anon_sym_long] = ACTIONS(5592),
    [anon_sym_short] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym_static] = ACTIONS(5588),
    [anon_sym_EQ] = ACTIONS(5590),
    [anon_sym_register] = ACTIONS(5588),
    [anon_sym_inline] = ACTIONS(5588),
    [anon_sym___inline] = ACTIONS(5588),
    [anon_sym___inline__] = ACTIONS(5588),
    [anon_sym___forceinline] = ACTIONS(5588),
    [anon_sym_thread_local] = ACTIONS(5588),
    [anon_sym___thread] = ACTIONS(5588),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5588),
    [anon_sym_decltype] = ACTIONS(5588),
    [anon_sym_final] = ACTIONS(5588),
    [anon_sym_override] = ACTIONS(5588),
    [anon_sym_template] = ACTIONS(5588),
    [anon_sym_GT2] = ACTIONS(5590),
    [anon_sym_operator] = ACTIONS(5588),
    [anon_sym_requires] = ACTIONS(5588),
    [anon_sym_precise] = ACTIONS(5588),
    [anon_sym_shared] = ACTIONS(5588),
    [anon_sym_groupshared] = ACTIONS(5588),
    [anon_sym_uniform] = ACTIONS(5588),
    [anon_sym_row_major] = ACTIONS(5588),
    [anon_sym_column_major] = ACTIONS(5588),
    [anon_sym_globallycoherent] = ACTIONS(5588),
    [anon_sym_centroid] = ACTIONS(5588),
    [anon_sym_noperspective] = ACTIONS(5588),
    [anon_sym_nointerpolation] = ACTIONS(5588),
    [anon_sym_sample] = ACTIONS(5588),
    [anon_sym_linear] = ACTIONS(5588),
    [anon_sym_snorm] = ACTIONS(5588),
    [anon_sym_unorm] = ACTIONS(5588),
    [anon_sym_point] = ACTIONS(5588),
    [anon_sym_line] = ACTIONS(5588),
    [anon_sym_triangleadj] = ACTIONS(5588),
    [anon_sym_lineadj] = ACTIONS(5588),
    [anon_sym_triangle] = ACTIONS(5588),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_STAR] = ACTIONS(1993),
    [anon_sym_PIPE_PIPE] = ACTIONS(1993),
    [anon_sym_AMP_AMP] = ACTIONS(1993),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym___extension__] = ACTIONS(1991),
    [anon_sym_in] = ACTIONS(1991),
    [anon_sym_out] = ACTIONS(1991),
    [anon_sym_inout] = ACTIONS(1991),
    [anon_sym_virtual] = ACTIONS(1991),
    [anon_sym_extern] = ACTIONS(1991),
    [anon_sym___attribute__] = ACTIONS(1991),
    [anon_sym___attribute] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1993),
    [anon_sym___declspec] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(1991),
    [anon_sym___cdecl] = ACTIONS(1991),
    [anon_sym___clrcall] = ACTIONS(1991),
    [anon_sym___stdcall] = ACTIONS(1991),
    [anon_sym___fastcall] = ACTIONS(1991),
    [anon_sym___thiscall] = ACTIONS(1991),
    [anon_sym___vectorcall] = ACTIONS(1991),
    [anon_sym_signed] = ACTIONS(1991),
    [anon_sym_unsigned] = ACTIONS(1991),
    [anon_sym_long] = ACTIONS(1991),
    [anon_sym_short] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_static] = ACTIONS(1991),
    [anon_sym_register] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1991),
    [anon_sym___inline] = ACTIONS(1991),
    [anon_sym___inline__] = ACTIONS(1991),
    [anon_sym___forceinline] = ACTIONS(1991),
    [anon_sym_thread_local] = ACTIONS(1991),
    [anon_sym___thread] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_constexpr] = ACTIONS(1991),
    [anon_sym_volatile] = ACTIONS(1991),
    [anon_sym_restrict] = ACTIONS(1991),
    [anon_sym___restrict__] = ACTIONS(1991),
    [anon_sym__Atomic] = ACTIONS(1991),
    [anon_sym__Noreturn] = ACTIONS(1991),
    [anon_sym_noreturn] = ACTIONS(1991),
    [anon_sym__Nonnull] = ACTIONS(1991),
    [anon_sym_mutable] = ACTIONS(1991),
    [anon_sym_constinit] = ACTIONS(1991),
    [anon_sym_consteval] = ACTIONS(1991),
    [anon_sym_alignas] = ACTIONS(1991),
    [anon_sym__Alignas] = ACTIONS(1991),
    [sym_primitive_type] = ACTIONS(1991),
    [anon_sym_enum] = ACTIONS(1991),
    [anon_sym_class] = ACTIONS(1991),
    [anon_sym_struct] = ACTIONS(1991),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_or] = ACTIONS(1991),
    [anon_sym_and] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1991),
    [anon_sym_decltype] = ACTIONS(1991),
    [anon_sym_explicit] = ACTIONS(1991),
    [anon_sym_typename] = ACTIONS(1991),
    [anon_sym_template] = ACTIONS(1991),
    [anon_sym_operator] = ACTIONS(1991),
    [anon_sym_friend] = ACTIONS(1991),
    [anon_sym_using] = ACTIONS(1991),
    [anon_sym_concept] = ACTIONS(1991),
    [anon_sym_precise] = ACTIONS(1991),
    [anon_sym_shared] = ACTIONS(1991),
    [anon_sym_groupshared] = ACTIONS(1991),
    [anon_sym_uniform] = ACTIONS(1991),
    [anon_sym_row_major] = ACTIONS(1991),
    [anon_sym_column_major] = ACTIONS(1991),
    [anon_sym_globallycoherent] = ACTIONS(1991),
    [anon_sym_centroid] = ACTIONS(1991),
    [anon_sym_noperspective] = ACTIONS(1991),
    [anon_sym_nointerpolation] = ACTIONS(1991),
    [anon_sym_sample] = ACTIONS(1991),
    [anon_sym_linear] = ACTIONS(1991),
    [anon_sym_snorm] = ACTIONS(1991),
    [anon_sym_unorm] = ACTIONS(1991),
    [anon_sym_point] = ACTIONS(1991),
    [anon_sym_line] = ACTIONS(1991),
    [anon_sym_triangleadj] = ACTIONS(1991),
    [anon_sym_lineadj] = ACTIONS(1991),
    [anon_sym_triangle] = ACTIONS(1991),
  },
  [2224] = {
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_PIPE_PIPE] = ACTIONS(1956),
    [anon_sym_AMP_AMP] = ACTIONS(1956),
    [anon_sym_AMP] = ACTIONS(1958),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1958),
    [anon_sym_out] = ACTIONS(1958),
    [anon_sym_inout] = ACTIONS(1958),
    [anon_sym_virtual] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym___attribute] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1956),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1956),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym___based] = ACTIONS(1958),
    [anon_sym___cdecl] = ACTIONS(1958),
    [anon_sym___clrcall] = ACTIONS(1958),
    [anon_sym___stdcall] = ACTIONS(1958),
    [anon_sym___fastcall] = ACTIONS(1958),
    [anon_sym___thiscall] = ACTIONS(1958),
    [anon_sym___vectorcall] = ACTIONS(1958),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [anon_sym__Nonnull] = ACTIONS(1958),
    [anon_sym_mutable] = ACTIONS(1958),
    [anon_sym_constinit] = ACTIONS(1958),
    [anon_sym_consteval] = ACTIONS(1958),
    [anon_sym_alignas] = ACTIONS(1958),
    [anon_sym__Alignas] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_class] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [anon_sym_or] = ACTIONS(1958),
    [anon_sym_and] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1958),
    [anon_sym_decltype] = ACTIONS(1958),
    [anon_sym_explicit] = ACTIONS(1958),
    [anon_sym_typename] = ACTIONS(1958),
    [anon_sym_template] = ACTIONS(1958),
    [anon_sym_operator] = ACTIONS(1958),
    [anon_sym_friend] = ACTIONS(1958),
    [anon_sym_using] = ACTIONS(1958),
    [anon_sym_concept] = ACTIONS(1958),
    [anon_sym_precise] = ACTIONS(1958),
    [anon_sym_shared] = ACTIONS(1958),
    [anon_sym_groupshared] = ACTIONS(1958),
    [anon_sym_uniform] = ACTIONS(1958),
    [anon_sym_row_major] = ACTIONS(1958),
    [anon_sym_column_major] = ACTIONS(1958),
    [anon_sym_globallycoherent] = ACTIONS(1958),
    [anon_sym_centroid] = ACTIONS(1958),
    [anon_sym_noperspective] = ACTIONS(1958),
    [anon_sym_nointerpolation] = ACTIONS(1958),
    [anon_sym_sample] = ACTIONS(1958),
    [anon_sym_linear] = ACTIONS(1958),
    [anon_sym_snorm] = ACTIONS(1958),
    [anon_sym_unorm] = ACTIONS(1958),
    [anon_sym_point] = ACTIONS(1958),
    [anon_sym_line] = ACTIONS(1958),
    [anon_sym_triangleadj] = ACTIONS(1958),
    [anon_sym_lineadj] = ACTIONS(1958),
    [anon_sym_triangle] = ACTIONS(1958),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_friend] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
  },
  [2226] = {
    [sym_type_qualifier] = STATE(1261),
    [sym_alignas_qualifier] = STATE(1334),
    [aux_sym__type_definition_type_repeat1] = STATE(1261),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(5595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5598),
    [anon_sym_COMMA] = ACTIONS(5598),
    [anon_sym_RPAREN] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_TILDE] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym_COLON] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(5602),
    [anon_sym_in] = ACTIONS(5600),
    [anon_sym_out] = ACTIONS(5600),
    [anon_sym_inout] = ACTIONS(5600),
    [anon_sym_virtual] = ACTIONS(5600),
    [anon_sym_extern] = ACTIONS(5600),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_COLON_COLON] = ACTIONS(5598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5598),
    [anon_sym___declspec] = ACTIONS(5600),
    [anon_sym___based] = ACTIONS(5600),
    [anon_sym___cdecl] = ACTIONS(5600),
    [anon_sym___clrcall] = ACTIONS(5600),
    [anon_sym___stdcall] = ACTIONS(5600),
    [anon_sym___fastcall] = ACTIONS(5600),
    [anon_sym___thiscall] = ACTIONS(5600),
    [anon_sym___vectorcall] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5605),
    [anon_sym_unsigned] = ACTIONS(5605),
    [anon_sym_long] = ACTIONS(5605),
    [anon_sym_short] = ACTIONS(5605),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_static] = ACTIONS(5600),
    [anon_sym_EQ] = ACTIONS(5598),
    [anon_sym_register] = ACTIONS(5600),
    [anon_sym_inline] = ACTIONS(5600),
    [anon_sym___inline] = ACTIONS(5600),
    [anon_sym___inline__] = ACTIONS(5600),
    [anon_sym___forceinline] = ACTIONS(5600),
    [anon_sym_thread_local] = ACTIONS(5600),
    [anon_sym___thread] = ACTIONS(5600),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5602),
    [anon_sym_volatile] = ACTIONS(5602),
    [anon_sym_restrict] = ACTIONS(5602),
    [anon_sym___restrict__] = ACTIONS(5602),
    [anon_sym__Atomic] = ACTIONS(5602),
    [anon_sym__Noreturn] = ACTIONS(5602),
    [anon_sym_noreturn] = ACTIONS(5602),
    [anon_sym__Nonnull] = ACTIONS(5602),
    [anon_sym_mutable] = ACTIONS(5602),
    [anon_sym_constinit] = ACTIONS(5602),
    [anon_sym_consteval] = ACTIONS(5602),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym__Alignas] = ACTIONS(5607),
    [sym_primitive_type] = ACTIONS(5610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
    [anon_sym_template] = ACTIONS(5600),
    [anon_sym_GT2] = ACTIONS(5598),
    [anon_sym_operator] = ACTIONS(5600),
    [anon_sym_precise] = ACTIONS(5600),
    [anon_sym_shared] = ACTIONS(5600),
    [anon_sym_groupshared] = ACTIONS(5600),
    [anon_sym_uniform] = ACTIONS(5600),
    [anon_sym_row_major] = ACTIONS(5600),
    [anon_sym_column_major] = ACTIONS(5600),
    [anon_sym_globallycoherent] = ACTIONS(5600),
    [anon_sym_centroid] = ACTIONS(5600),
    [anon_sym_noperspective] = ACTIONS(5600),
    [anon_sym_nointerpolation] = ACTIONS(5600),
    [anon_sym_sample] = ACTIONS(5600),
    [anon_sym_linear] = ACTIONS(5600),
    [anon_sym_snorm] = ACTIONS(5600),
    [anon_sym_unorm] = ACTIONS(5600),
    [anon_sym_point] = ACTIONS(5600),
    [anon_sym_line] = ACTIONS(5600),
    [anon_sym_triangleadj] = ACTIONS(5600),
    [anon_sym_lineadj] = ACTIONS(5600),
    [anon_sym_triangle] = ACTIONS(5600),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_PIPE_PIPE] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym___cdecl] = ACTIONS(2007),
    [anon_sym___clrcall] = ACTIONS(2007),
    [anon_sym___stdcall] = ACTIONS(2007),
    [anon_sym___fastcall] = ACTIONS(2007),
    [anon_sym___thiscall] = ACTIONS(2007),
    [anon_sym___vectorcall] = ACTIONS(2007),
    [anon_sym_signed] = ACTIONS(2007),
    [anon_sym_unsigned] = ACTIONS(2007),
    [anon_sym_long] = ACTIONS(2007),
    [anon_sym_short] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [sym_primitive_type] = ACTIONS(2007),
    [anon_sym_enum] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_struct] = ACTIONS(2007),
    [anon_sym_union] = ACTIONS(2007),
    [anon_sym_or] = ACTIONS(2007),
    [anon_sym_and] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_explicit] = ACTIONS(2007),
    [anon_sym_typename] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_friend] = ACTIONS(2007),
    [anon_sym_using] = ACTIONS(2007),
    [anon_sym_concept] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [2228] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_friend] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1987),
    [anon_sym_class] = ACTIONS(1987),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_union] = ACTIONS(1987),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_explicit] = ACTIONS(1987),
    [anon_sym_typename] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_friend] = ACTIONS(1987),
    [anon_sym_using] = ACTIONS(1987),
    [anon_sym_concept] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_PIPE_PIPE] = ACTIONS(2005),
    [anon_sym_AMP_AMP] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(2003),
    [anon_sym_out] = ACTIONS(2003),
    [anon_sym_inout] = ACTIONS(2003),
    [anon_sym_virtual] = ACTIONS(2003),
    [anon_sym_extern] = ACTIONS(2003),
    [anon_sym___attribute__] = ACTIONS(2003),
    [anon_sym___attribute] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2005),
    [anon_sym___declspec] = ACTIONS(2003),
    [anon_sym___based] = ACTIONS(2003),
    [anon_sym___cdecl] = ACTIONS(2003),
    [anon_sym___clrcall] = ACTIONS(2003),
    [anon_sym___stdcall] = ACTIONS(2003),
    [anon_sym___fastcall] = ACTIONS(2003),
    [anon_sym___thiscall] = ACTIONS(2003),
    [anon_sym___vectorcall] = ACTIONS(2003),
    [anon_sym_signed] = ACTIONS(2003),
    [anon_sym_unsigned] = ACTIONS(2003),
    [anon_sym_long] = ACTIONS(2003),
    [anon_sym_short] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_static] = ACTIONS(2003),
    [anon_sym_register] = ACTIONS(2003),
    [anon_sym_inline] = ACTIONS(2003),
    [anon_sym___inline] = ACTIONS(2003),
    [anon_sym___inline__] = ACTIONS(2003),
    [anon_sym___forceinline] = ACTIONS(2003),
    [anon_sym_thread_local] = ACTIONS(2003),
    [anon_sym___thread] = ACTIONS(2003),
    [anon_sym_const] = ACTIONS(2003),
    [anon_sym_constexpr] = ACTIONS(2003),
    [anon_sym_volatile] = ACTIONS(2003),
    [anon_sym_restrict] = ACTIONS(2003),
    [anon_sym___restrict__] = ACTIONS(2003),
    [anon_sym__Atomic] = ACTIONS(2003),
    [anon_sym__Noreturn] = ACTIONS(2003),
    [anon_sym_noreturn] = ACTIONS(2003),
    [anon_sym__Nonnull] = ACTIONS(2003),
    [anon_sym_mutable] = ACTIONS(2003),
    [anon_sym_constinit] = ACTIONS(2003),
    [anon_sym_consteval] = ACTIONS(2003),
    [anon_sym_alignas] = ACTIONS(2003),
    [anon_sym__Alignas] = ACTIONS(2003),
    [sym_primitive_type] = ACTIONS(2003),
    [anon_sym_enum] = ACTIONS(2003),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_struct] = ACTIONS(2003),
    [anon_sym_union] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2003),
    [anon_sym_and] = ACTIONS(2003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2003),
    [anon_sym_decltype] = ACTIONS(2003),
    [anon_sym_explicit] = ACTIONS(2003),
    [anon_sym_typename] = ACTIONS(2003),
    [anon_sym_template] = ACTIONS(2003),
    [anon_sym_operator] = ACTIONS(2003),
    [anon_sym_friend] = ACTIONS(2003),
    [anon_sym_using] = ACTIONS(2003),
    [anon_sym_concept] = ACTIONS(2003),
    [anon_sym_precise] = ACTIONS(2003),
    [anon_sym_shared] = ACTIONS(2003),
    [anon_sym_groupshared] = ACTIONS(2003),
    [anon_sym_uniform] = ACTIONS(2003),
    [anon_sym_row_major] = ACTIONS(2003),
    [anon_sym_column_major] = ACTIONS(2003),
    [anon_sym_globallycoherent] = ACTIONS(2003),
    [anon_sym_centroid] = ACTIONS(2003),
    [anon_sym_noperspective] = ACTIONS(2003),
    [anon_sym_nointerpolation] = ACTIONS(2003),
    [anon_sym_sample] = ACTIONS(2003),
    [anon_sym_linear] = ACTIONS(2003),
    [anon_sym_snorm] = ACTIONS(2003),
    [anon_sym_unorm] = ACTIONS(2003),
    [anon_sym_point] = ACTIONS(2003),
    [anon_sym_line] = ACTIONS(2003),
    [anon_sym_triangleadj] = ACTIONS(2003),
    [anon_sym_lineadj] = ACTIONS(2003),
    [anon_sym_triangle] = ACTIONS(2003),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym___cdecl] = ACTIONS(1934),
    [anon_sym___clrcall] = ACTIONS(1934),
    [anon_sym___stdcall] = ACTIONS(1934),
    [anon_sym___fastcall] = ACTIONS(1934),
    [anon_sym___thiscall] = ACTIONS(1934),
    [anon_sym___vectorcall] = ACTIONS(1934),
    [anon_sym_signed] = ACTIONS(1934),
    [anon_sym_unsigned] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [sym_primitive_type] = ACTIONS(1934),
    [anon_sym_enum] = ACTIONS(1934),
    [anon_sym_class] = ACTIONS(1934),
    [anon_sym_struct] = ACTIONS(1934),
    [anon_sym_union] = ACTIONS(1934),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_explicit] = ACTIONS(1934),
    [anon_sym_typename] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_friend] = ACTIONS(1934),
    [anon_sym_using] = ACTIONS(1934),
    [anon_sym_concept] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
  },
  [2232] = {
    [sym__declaration_modifiers] = STATE(2246),
    [sym_attribute_specifier] = STATE(2246),
    [sym_attribute_declaration] = STATE(2246),
    [sym_ms_declspec_modifier] = STATE(2246),
    [sym_storage_class_specifier] = STATE(2246),
    [sym_type_qualifier] = STATE(2246),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype_auto] = STATE(2314),
    [sym_qualifiers] = STATE(2246),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2246),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5614),
    [anon_sym_COMMA] = ACTIONS(5614),
    [anon_sym_RPAREN] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_COLON] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_out] = ACTIONS(5616),
    [anon_sym_inout] = ACTIONS(5616),
    [anon_sym_virtual] = ACTIONS(5616),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5612),
    [anon_sym___cdecl] = ACTIONS(5612),
    [anon_sym___clrcall] = ACTIONS(5612),
    [anon_sym___stdcall] = ACTIONS(5612),
    [anon_sym___fastcall] = ACTIONS(5612),
    [anon_sym___thiscall] = ACTIONS(5612),
    [anon_sym___vectorcall] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_EQ] = ACTIONS(5614),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_template] = ACTIONS(5612),
    [anon_sym_GT2] = ACTIONS(5614),
    [anon_sym_operator] = ACTIONS(5612),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_TILDE] = ACTIONS(5624),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5569),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym___extension__] = ACTIONS(5622),
    [anon_sym_in] = ACTIONS(5622),
    [anon_sym_out] = ACTIONS(5622),
    [anon_sym_inout] = ACTIONS(5622),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5622),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym___attribute] = ACTIONS(5622),
    [anon_sym_COLON_COLON] = ACTIONS(5624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5624),
    [anon_sym___declspec] = ACTIONS(5622),
    [anon_sym___based] = ACTIONS(5622),
    [anon_sym___cdecl] = ACTIONS(5622),
    [anon_sym___clrcall] = ACTIONS(5622),
    [anon_sym___stdcall] = ACTIONS(5622),
    [anon_sym___fastcall] = ACTIONS(5622),
    [anon_sym___thiscall] = ACTIONS(5622),
    [anon_sym___vectorcall] = ACTIONS(5622),
    [anon_sym_signed] = ACTIONS(5622),
    [anon_sym_unsigned] = ACTIONS(5622),
    [anon_sym_long] = ACTIONS(5622),
    [anon_sym_short] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [anon_sym_static] = ACTIONS(5622),
    [anon_sym_register] = ACTIONS(5622),
    [anon_sym_inline] = ACTIONS(5622),
    [anon_sym___inline] = ACTIONS(5622),
    [anon_sym___inline__] = ACTIONS(5622),
    [anon_sym___forceinline] = ACTIONS(5622),
    [anon_sym_thread_local] = ACTIONS(5622),
    [anon_sym___thread] = ACTIONS(5622),
    [anon_sym_const] = ACTIONS(5622),
    [anon_sym_constexpr] = ACTIONS(5622),
    [anon_sym_volatile] = ACTIONS(5622),
    [anon_sym_restrict] = ACTIONS(5622),
    [anon_sym___restrict__] = ACTIONS(5622),
    [anon_sym__Atomic] = ACTIONS(5622),
    [anon_sym__Noreturn] = ACTIONS(5622),
    [anon_sym_noreturn] = ACTIONS(5622),
    [anon_sym__Nonnull] = ACTIONS(5622),
    [anon_sym_mutable] = ACTIONS(5622),
    [anon_sym_constinit] = ACTIONS(5622),
    [anon_sym_consteval] = ACTIONS(5622),
    [anon_sym_alignas] = ACTIONS(5622),
    [anon_sym__Alignas] = ACTIONS(5622),
    [sym_primitive_type] = ACTIONS(5622),
    [anon_sym_enum] = ACTIONS(5622),
    [anon_sym_class] = ACTIONS(5622),
    [anon_sym_struct] = ACTIONS(5622),
    [anon_sym_union] = ACTIONS(5622),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_and] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
    [anon_sym_explicit] = ACTIONS(5622),
    [anon_sym_typename] = ACTIONS(5622),
    [anon_sym_template] = ACTIONS(5622),
    [anon_sym_operator] = ACTIONS(5622),
    [anon_sym_friend] = ACTIONS(5622),
    [anon_sym_using] = ACTIONS(5622),
    [anon_sym_concept] = ACTIONS(5622),
    [anon_sym_precise] = ACTIONS(5622),
    [anon_sym_shared] = ACTIONS(5622),
    [anon_sym_groupshared] = ACTIONS(5622),
    [anon_sym_uniform] = ACTIONS(5622),
    [anon_sym_row_major] = ACTIONS(5622),
    [anon_sym_column_major] = ACTIONS(5622),
    [anon_sym_globallycoherent] = ACTIONS(5622),
    [anon_sym_centroid] = ACTIONS(5622),
    [anon_sym_noperspective] = ACTIONS(5622),
    [anon_sym_nointerpolation] = ACTIONS(5622),
    [anon_sym_sample] = ACTIONS(5622),
    [anon_sym_linear] = ACTIONS(5622),
    [anon_sym_snorm] = ACTIONS(5622),
    [anon_sym_unorm] = ACTIONS(5622),
    [anon_sym_point] = ACTIONS(5622),
    [anon_sym_line] = ACTIONS(5622),
    [anon_sym_triangleadj] = ACTIONS(5622),
    [anon_sym_lineadj] = ACTIONS(5622),
    [anon_sym_triangle] = ACTIONS(5622),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1993),
    [anon_sym_COMMA] = ACTIONS(1993),
    [anon_sym_RPAREN] = ACTIONS(1993),
    [anon_sym_LPAREN2] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1993),
    [anon_sym_STAR] = ACTIONS(1993),
    [anon_sym_PIPE_PIPE] = ACTIONS(1993),
    [anon_sym_AMP_AMP] = ACTIONS(1993),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1991),
    [anon_sym_in] = ACTIONS(1991),
    [anon_sym_out] = ACTIONS(1991),
    [anon_sym_inout] = ACTIONS(1991),
    [anon_sym_virtual] = ACTIONS(1991),
    [anon_sym_extern] = ACTIONS(1991),
    [anon_sym___attribute__] = ACTIONS(1991),
    [anon_sym___attribute] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1993),
    [anon_sym___declspec] = ACTIONS(1991),
    [anon_sym___based] = ACTIONS(1991),
    [anon_sym___cdecl] = ACTIONS(1991),
    [anon_sym___clrcall] = ACTIONS(1991),
    [anon_sym___stdcall] = ACTIONS(1991),
    [anon_sym___fastcall] = ACTIONS(1991),
    [anon_sym___thiscall] = ACTIONS(1991),
    [anon_sym___vectorcall] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_static] = ACTIONS(1991),
    [anon_sym_EQ] = ACTIONS(1993),
    [anon_sym_register] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1991),
    [anon_sym___inline] = ACTIONS(1991),
    [anon_sym___inline__] = ACTIONS(1991),
    [anon_sym___forceinline] = ACTIONS(1991),
    [anon_sym_thread_local] = ACTIONS(1991),
    [anon_sym___thread] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_constexpr] = ACTIONS(1991),
    [anon_sym_volatile] = ACTIONS(1991),
    [anon_sym_restrict] = ACTIONS(1991),
    [anon_sym___restrict__] = ACTIONS(1991),
    [anon_sym__Atomic] = ACTIONS(1991),
    [anon_sym__Noreturn] = ACTIONS(1991),
    [anon_sym_noreturn] = ACTIONS(1991),
    [anon_sym__Nonnull] = ACTIONS(1991),
    [anon_sym_mutable] = ACTIONS(1991),
    [anon_sym_constinit] = ACTIONS(1991),
    [anon_sym_consteval] = ACTIONS(1991),
    [anon_sym_alignas] = ACTIONS(1991),
    [anon_sym__Alignas] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(1991),
    [anon_sym_while] = ACTIONS(1991),
    [anon_sym_or] = ACTIONS(1991),
    [anon_sym_and] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1991),
    [anon_sym_decltype] = ACTIONS(1991),
    [anon_sym_final] = ACTIONS(1991),
    [anon_sym_override] = ACTIONS(1991),
    [anon_sym_template] = ACTIONS(1991),
    [anon_sym_GT2] = ACTIONS(1993),
    [anon_sym_operator] = ACTIONS(1991),
    [anon_sym_try] = ACTIONS(1991),
    [anon_sym_requires] = ACTIONS(1991),
    [anon_sym_precise] = ACTIONS(1991),
    [anon_sym_shared] = ACTIONS(1991),
    [anon_sym_groupshared] = ACTIONS(1991),
    [anon_sym_uniform] = ACTIONS(1991),
    [anon_sym_row_major] = ACTIONS(1991),
    [anon_sym_column_major] = ACTIONS(1991),
    [anon_sym_globallycoherent] = ACTIONS(1991),
    [anon_sym_centroid] = ACTIONS(1991),
    [anon_sym_noperspective] = ACTIONS(1991),
    [anon_sym_nointerpolation] = ACTIONS(1991),
    [anon_sym_sample] = ACTIONS(1991),
    [anon_sym_linear] = ACTIONS(1991),
    [anon_sym_snorm] = ACTIONS(1991),
    [anon_sym_unorm] = ACTIONS(1991),
    [anon_sym_point] = ACTIONS(1991),
    [anon_sym_line] = ACTIONS(1991),
    [anon_sym_triangleadj] = ACTIONS(1991),
    [anon_sym_lineadj] = ACTIONS(1991),
    [anon_sym_triangle] = ACTIONS(1991),
  },
  [2235] = {
    [sym__declaration_modifiers] = STATE(2248),
    [sym_attribute_specifier] = STATE(2248),
    [sym_attribute_declaration] = STATE(2248),
    [sym_ms_declspec_modifier] = STATE(2248),
    [sym_storage_class_specifier] = STATE(2248),
    [sym_type_qualifier] = STATE(2248),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype_auto] = STATE(2314),
    [sym_qualifiers] = STATE(2248),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2248),
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_TILDE] = ACTIONS(5628),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5630),
    [anon_sym_out] = ACTIONS(5630),
    [anon_sym_inout] = ACTIONS(5630),
    [anon_sym_virtual] = ACTIONS(5630),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5626),
    [anon_sym___cdecl] = ACTIONS(5626),
    [anon_sym___clrcall] = ACTIONS(5626),
    [anon_sym___stdcall] = ACTIONS(5626),
    [anon_sym___fastcall] = ACTIONS(5626),
    [anon_sym___thiscall] = ACTIONS(5626),
    [anon_sym___vectorcall] = ACTIONS(5626),
    [anon_sym_LBRACK] = ACTIONS(5626),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_EQ] = ACTIONS(5628),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_template] = ACTIONS(5626),
    [anon_sym_GT2] = ACTIONS(5628),
    [anon_sym_operator] = ACTIONS(5626),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym___cdecl] = ACTIONS(1930),
    [anon_sym___clrcall] = ACTIONS(1930),
    [anon_sym___stdcall] = ACTIONS(1930),
    [anon_sym___fastcall] = ACTIONS(1930),
    [anon_sym___thiscall] = ACTIONS(1930),
    [anon_sym___vectorcall] = ACTIONS(1930),
    [anon_sym_signed] = ACTIONS(1930),
    [anon_sym_unsigned] = ACTIONS(1930),
    [anon_sym_long] = ACTIONS(1930),
    [anon_sym_short] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [sym_primitive_type] = ACTIONS(1930),
    [anon_sym_enum] = ACTIONS(1930),
    [anon_sym_class] = ACTIONS(1930),
    [anon_sym_struct] = ACTIONS(1930),
    [anon_sym_union] = ACTIONS(1930),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_explicit] = ACTIONS(1930),
    [anon_sym_typename] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_friend] = ACTIONS(1930),
    [anon_sym_using] = ACTIONS(1930),
    [anon_sym_concept] = ACTIONS(1930),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym___cdecl] = ACTIONS(1960),
    [anon_sym___clrcall] = ACTIONS(1960),
    [anon_sym___stdcall] = ACTIONS(1960),
    [anon_sym___fastcall] = ACTIONS(1960),
    [anon_sym___thiscall] = ACTIONS(1960),
    [anon_sym___vectorcall] = ACTIONS(1960),
    [anon_sym_signed] = ACTIONS(1960),
    [anon_sym_unsigned] = ACTIONS(1960),
    [anon_sym_long] = ACTIONS(1960),
    [anon_sym_short] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_enum] = ACTIONS(1960),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_struct] = ACTIONS(1960),
    [anon_sym_union] = ACTIONS(1960),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_explicit] = ACTIONS(1960),
    [anon_sym_typename] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_friend] = ACTIONS(1960),
    [anon_sym_using] = ACTIONS(1960),
    [anon_sym_concept] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2005),
    [anon_sym_COMMA] = ACTIONS(2005),
    [anon_sym_RPAREN] = ACTIONS(2005),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_PIPE_PIPE] = ACTIONS(2005),
    [anon_sym_AMP_AMP] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_SEMI] = ACTIONS(2005),
    [anon_sym___extension__] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(2003),
    [anon_sym_out] = ACTIONS(2003),
    [anon_sym_inout] = ACTIONS(2003),
    [anon_sym_virtual] = ACTIONS(2003),
    [anon_sym_extern] = ACTIONS(2003),
    [anon_sym___attribute__] = ACTIONS(2003),
    [anon_sym___attribute] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2005),
    [anon_sym___declspec] = ACTIONS(2003),
    [anon_sym___based] = ACTIONS(2003),
    [anon_sym___cdecl] = ACTIONS(2003),
    [anon_sym___clrcall] = ACTIONS(2003),
    [anon_sym___stdcall] = ACTIONS(2003),
    [anon_sym___fastcall] = ACTIONS(2003),
    [anon_sym___thiscall] = ACTIONS(2003),
    [anon_sym___vectorcall] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_static] = ACTIONS(2003),
    [anon_sym_EQ] = ACTIONS(2005),
    [anon_sym_register] = ACTIONS(2003),
    [anon_sym_inline] = ACTIONS(2003),
    [anon_sym___inline] = ACTIONS(2003),
    [anon_sym___inline__] = ACTIONS(2003),
    [anon_sym___forceinline] = ACTIONS(2003),
    [anon_sym_thread_local] = ACTIONS(2003),
    [anon_sym___thread] = ACTIONS(2003),
    [anon_sym_const] = ACTIONS(2003),
    [anon_sym_constexpr] = ACTIONS(2003),
    [anon_sym_volatile] = ACTIONS(2003),
    [anon_sym_restrict] = ACTIONS(2003),
    [anon_sym___restrict__] = ACTIONS(2003),
    [anon_sym__Atomic] = ACTIONS(2003),
    [anon_sym__Noreturn] = ACTIONS(2003),
    [anon_sym_noreturn] = ACTIONS(2003),
    [anon_sym__Nonnull] = ACTIONS(2003),
    [anon_sym_mutable] = ACTIONS(2003),
    [anon_sym_constinit] = ACTIONS(2003),
    [anon_sym_consteval] = ACTIONS(2003),
    [anon_sym_alignas] = ACTIONS(2003),
    [anon_sym__Alignas] = ACTIONS(2003),
    [anon_sym_else] = ACTIONS(2003),
    [anon_sym_while] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2003),
    [anon_sym_and] = ACTIONS(2003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2003),
    [anon_sym_decltype] = ACTIONS(2003),
    [anon_sym_final] = ACTIONS(2003),
    [anon_sym_override] = ACTIONS(2003),
    [anon_sym_template] = ACTIONS(2003),
    [anon_sym_GT2] = ACTIONS(2005),
    [anon_sym_operator] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2003),
    [anon_sym_requires] = ACTIONS(2003),
    [anon_sym_precise] = ACTIONS(2003),
    [anon_sym_shared] = ACTIONS(2003),
    [anon_sym_groupshared] = ACTIONS(2003),
    [anon_sym_uniform] = ACTIONS(2003),
    [anon_sym_row_major] = ACTIONS(2003),
    [anon_sym_column_major] = ACTIONS(2003),
    [anon_sym_globallycoherent] = ACTIONS(2003),
    [anon_sym_centroid] = ACTIONS(2003),
    [anon_sym_noperspective] = ACTIONS(2003),
    [anon_sym_nointerpolation] = ACTIONS(2003),
    [anon_sym_sample] = ACTIONS(2003),
    [anon_sym_linear] = ACTIONS(2003),
    [anon_sym_snorm] = ACTIONS(2003),
    [anon_sym_unorm] = ACTIONS(2003),
    [anon_sym_point] = ACTIONS(2003),
    [anon_sym_line] = ACTIONS(2003),
    [anon_sym_triangleadj] = ACTIONS(2003),
    [anon_sym_lineadj] = ACTIONS(2003),
    [anon_sym_triangle] = ACTIONS(2003),
  },
  [2239] = {
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym___cdecl] = ACTIONS(1926),
    [anon_sym___clrcall] = ACTIONS(1926),
    [anon_sym___stdcall] = ACTIONS(1926),
    [anon_sym___fastcall] = ACTIONS(1926),
    [anon_sym___thiscall] = ACTIONS(1926),
    [anon_sym___vectorcall] = ACTIONS(1926),
    [anon_sym_signed] = ACTIONS(1926),
    [anon_sym_unsigned] = ACTIONS(1926),
    [anon_sym_long] = ACTIONS(1926),
    [anon_sym_short] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [sym_primitive_type] = ACTIONS(1926),
    [anon_sym_enum] = ACTIONS(1926),
    [anon_sym_class] = ACTIONS(1926),
    [anon_sym_struct] = ACTIONS(1926),
    [anon_sym_union] = ACTIONS(1926),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_explicit] = ACTIONS(1926),
    [anon_sym_typename] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_friend] = ACTIONS(1926),
    [anon_sym_using] = ACTIONS(1926),
    [anon_sym_concept] = ACTIONS(1926),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
  },
  [2240] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3370),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(4083),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4080),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym___extension__] = ACTIONS(4076),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(5531),
    [anon_sym_unsigned] = ACTIONS(5531),
    [anon_sym_long] = ACTIONS(5531),
    [anon_sym_short] = ACTIONS(5531),
    [anon_sym_LBRACK] = ACTIONS(4083),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4076),
    [anon_sym_volatile] = ACTIONS(4076),
    [anon_sym_restrict] = ACTIONS(4076),
    [anon_sym___restrict__] = ACTIONS(4076),
    [anon_sym__Atomic] = ACTIONS(4076),
    [anon_sym__Noreturn] = ACTIONS(4076),
    [anon_sym_noreturn] = ACTIONS(4076),
    [anon_sym__Nonnull] = ACTIONS(4076),
    [anon_sym_mutable] = ACTIONS(4076),
    [anon_sym_constinit] = ACTIONS(4076),
    [anon_sym_consteval] = ACTIONS(4076),
    [anon_sym_alignas] = ACTIONS(4076),
    [anon_sym__Alignas] = ACTIONS(4076),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4076),
    [anon_sym_decltype] = ACTIONS(4076),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2241] = {
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3767),
    [anon_sym_COMMA] = ACTIONS(3767),
    [anon_sym_RPAREN] = ACTIONS(3767),
    [anon_sym_LPAREN2] = ACTIONS(3767),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_STAR] = ACTIONS(3767),
    [anon_sym_AMP_AMP] = ACTIONS(3767),
    [anon_sym_AMP] = ACTIONS(3765),
    [anon_sym_COLON] = ACTIONS(3765),
    [anon_sym_SEMI] = ACTIONS(3767),
    [anon_sym___extension__] = ACTIONS(3765),
    [anon_sym_in] = ACTIONS(3765),
    [anon_sym_out] = ACTIONS(3765),
    [anon_sym_inout] = ACTIONS(3765),
    [anon_sym_virtual] = ACTIONS(3765),
    [anon_sym_extern] = ACTIONS(3765),
    [anon_sym___attribute__] = ACTIONS(3765),
    [anon_sym___attribute] = ACTIONS(3765),
    [anon_sym_COLON_COLON] = ACTIONS(3767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3767),
    [anon_sym___declspec] = ACTIONS(3765),
    [anon_sym___based] = ACTIONS(3765),
    [anon_sym___cdecl] = ACTIONS(3765),
    [anon_sym___clrcall] = ACTIONS(3765),
    [anon_sym___stdcall] = ACTIONS(3765),
    [anon_sym___fastcall] = ACTIONS(3765),
    [anon_sym___thiscall] = ACTIONS(3765),
    [anon_sym___vectorcall] = ACTIONS(3765),
    [anon_sym_LBRACE] = ACTIONS(3767),
    [anon_sym_LBRACK] = ACTIONS(3765),
    [anon_sym_static] = ACTIONS(3765),
    [anon_sym_EQ] = ACTIONS(3767),
    [anon_sym_register] = ACTIONS(3765),
    [anon_sym_inline] = ACTIONS(3765),
    [anon_sym___inline] = ACTIONS(3765),
    [anon_sym___inline__] = ACTIONS(3765),
    [anon_sym___forceinline] = ACTIONS(3765),
    [anon_sym_thread_local] = ACTIONS(3765),
    [anon_sym___thread] = ACTIONS(3765),
    [anon_sym_const] = ACTIONS(3765),
    [anon_sym_constexpr] = ACTIONS(3765),
    [anon_sym_volatile] = ACTIONS(3765),
    [anon_sym_restrict] = ACTIONS(3765),
    [anon_sym___restrict__] = ACTIONS(3765),
    [anon_sym__Atomic] = ACTIONS(3765),
    [anon_sym__Noreturn] = ACTIONS(3765),
    [anon_sym_noreturn] = ACTIONS(3765),
    [anon_sym__Nonnull] = ACTIONS(3765),
    [anon_sym_mutable] = ACTIONS(3765),
    [anon_sym_constinit] = ACTIONS(3765),
    [anon_sym_consteval] = ACTIONS(3765),
    [anon_sym_alignas] = ACTIONS(3765),
    [anon_sym__Alignas] = ACTIONS(3765),
    [anon_sym_DASH_GT] = ACTIONS(3767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3765),
    [anon_sym_final] = ACTIONS(3765),
    [anon_sym_override] = ACTIONS(3765),
    [anon_sym_explicit] = ACTIONS(3765),
    [anon_sym_template] = ACTIONS(3765),
    [anon_sym_GT2] = ACTIONS(3767),
    [anon_sym_operator] = ACTIONS(3765),
    [anon_sym_try] = ACTIONS(3765),
    [anon_sym_public] = ACTIONS(3765),
    [anon_sym_private] = ACTIONS(3765),
    [anon_sym_protected] = ACTIONS(3765),
    [anon_sym_requires] = ACTIONS(3765),
    [anon_sym_precise] = ACTIONS(3765),
    [anon_sym_shared] = ACTIONS(3765),
    [anon_sym_groupshared] = ACTIONS(3765),
    [anon_sym_uniform] = ACTIONS(3765),
    [anon_sym_row_major] = ACTIONS(3765),
    [anon_sym_column_major] = ACTIONS(3765),
    [anon_sym_globallycoherent] = ACTIONS(3765),
    [anon_sym_centroid] = ACTIONS(3765),
    [anon_sym_noperspective] = ACTIONS(3765),
    [anon_sym_nointerpolation] = ACTIONS(3765),
    [anon_sym_sample] = ACTIONS(3765),
    [anon_sym_linear] = ACTIONS(3765),
    [anon_sym_snorm] = ACTIONS(3765),
    [anon_sym_unorm] = ACTIONS(3765),
    [anon_sym_point] = ACTIONS(3765),
    [anon_sym_line] = ACTIONS(3765),
    [anon_sym_triangleadj] = ACTIONS(3765),
    [anon_sym_lineadj] = ACTIONS(3765),
    [anon_sym_triangle] = ACTIONS(3765),
  },
  [2242] = {
    [sym_identifier] = ACTIONS(3769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3771),
    [anon_sym_COMMA] = ACTIONS(3771),
    [anon_sym_RPAREN] = ACTIONS(3771),
    [anon_sym_LPAREN2] = ACTIONS(3771),
    [anon_sym_TILDE] = ACTIONS(3771),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_AMP_AMP] = ACTIONS(3771),
    [anon_sym_AMP] = ACTIONS(3769),
    [anon_sym_COLON] = ACTIONS(3769),
    [anon_sym_SEMI] = ACTIONS(3771),
    [anon_sym___extension__] = ACTIONS(3769),
    [anon_sym_in] = ACTIONS(3769),
    [anon_sym_out] = ACTIONS(3769),
    [anon_sym_inout] = ACTIONS(3769),
    [anon_sym_virtual] = ACTIONS(3769),
    [anon_sym_extern] = ACTIONS(3769),
    [anon_sym___attribute__] = ACTIONS(3769),
    [anon_sym___attribute] = ACTIONS(3769),
    [anon_sym_COLON_COLON] = ACTIONS(3771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3771),
    [anon_sym___declspec] = ACTIONS(3769),
    [anon_sym___based] = ACTIONS(3769),
    [anon_sym___cdecl] = ACTIONS(3769),
    [anon_sym___clrcall] = ACTIONS(3769),
    [anon_sym___stdcall] = ACTIONS(3769),
    [anon_sym___fastcall] = ACTIONS(3769),
    [anon_sym___thiscall] = ACTIONS(3769),
    [anon_sym___vectorcall] = ACTIONS(3769),
    [anon_sym_LBRACE] = ACTIONS(3771),
    [anon_sym_LBRACK] = ACTIONS(3769),
    [anon_sym_static] = ACTIONS(3769),
    [anon_sym_EQ] = ACTIONS(3771),
    [anon_sym_register] = ACTIONS(3769),
    [anon_sym_inline] = ACTIONS(3769),
    [anon_sym___inline] = ACTIONS(3769),
    [anon_sym___inline__] = ACTIONS(3769),
    [anon_sym___forceinline] = ACTIONS(3769),
    [anon_sym_thread_local] = ACTIONS(3769),
    [anon_sym___thread] = ACTIONS(3769),
    [anon_sym_const] = ACTIONS(3769),
    [anon_sym_constexpr] = ACTIONS(3769),
    [anon_sym_volatile] = ACTIONS(3769),
    [anon_sym_restrict] = ACTIONS(3769),
    [anon_sym___restrict__] = ACTIONS(3769),
    [anon_sym__Atomic] = ACTIONS(3769),
    [anon_sym__Noreturn] = ACTIONS(3769),
    [anon_sym_noreturn] = ACTIONS(3769),
    [anon_sym__Nonnull] = ACTIONS(3769),
    [anon_sym_mutable] = ACTIONS(3769),
    [anon_sym_constinit] = ACTIONS(3769),
    [anon_sym_consteval] = ACTIONS(3769),
    [anon_sym_alignas] = ACTIONS(3769),
    [anon_sym__Alignas] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3769),
    [anon_sym_final] = ACTIONS(3769),
    [anon_sym_override] = ACTIONS(3769),
    [anon_sym_explicit] = ACTIONS(3769),
    [anon_sym_template] = ACTIONS(3769),
    [anon_sym_GT2] = ACTIONS(3771),
    [anon_sym_operator] = ACTIONS(3769),
    [anon_sym_try] = ACTIONS(3769),
    [anon_sym_public] = ACTIONS(3769),
    [anon_sym_private] = ACTIONS(3769),
    [anon_sym_protected] = ACTIONS(3769),
    [anon_sym_requires] = ACTIONS(3769),
    [anon_sym_precise] = ACTIONS(3769),
    [anon_sym_shared] = ACTIONS(3769),
    [anon_sym_groupshared] = ACTIONS(3769),
    [anon_sym_uniform] = ACTIONS(3769),
    [anon_sym_row_major] = ACTIONS(3769),
    [anon_sym_column_major] = ACTIONS(3769),
    [anon_sym_globallycoherent] = ACTIONS(3769),
    [anon_sym_centroid] = ACTIONS(3769),
    [anon_sym_noperspective] = ACTIONS(3769),
    [anon_sym_nointerpolation] = ACTIONS(3769),
    [anon_sym_sample] = ACTIONS(3769),
    [anon_sym_linear] = ACTIONS(3769),
    [anon_sym_snorm] = ACTIONS(3769),
    [anon_sym_unorm] = ACTIONS(3769),
    [anon_sym_point] = ACTIONS(3769),
    [anon_sym_line] = ACTIONS(3769),
    [anon_sym_triangleadj] = ACTIONS(3769),
    [anon_sym_lineadj] = ACTIONS(3769),
    [anon_sym_triangle] = ACTIONS(3769),
  },
  [2243] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [aux_sym_preproc_if_token2] = ACTIONS(5590),
    [aux_sym_preproc_else_token1] = ACTIONS(5590),
    [aux_sym_preproc_elif_token1] = ACTIONS(5588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5590),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym___attribute] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_RBRACE] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_RBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5588),
    [anon_sym_decltype] = ACTIONS(5588),
  },
  [2244] = {
    [sym_identifier] = ACTIONS(5638),
    [anon_sym_LPAREN2] = ACTIONS(5640),
    [anon_sym_TILDE] = ACTIONS(5640),
    [anon_sym_STAR] = ACTIONS(5640),
    [anon_sym_AMP_AMP] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(5638),
    [anon_sym___extension__] = ACTIONS(5638),
    [anon_sym_in] = ACTIONS(5638),
    [anon_sym_out] = ACTIONS(5638),
    [anon_sym_inout] = ACTIONS(5638),
    [anon_sym_virtual] = ACTIONS(5638),
    [anon_sym_extern] = ACTIONS(5638),
    [anon_sym___attribute__] = ACTIONS(5638),
    [anon_sym___attribute] = ACTIONS(5638),
    [anon_sym_COLON_COLON] = ACTIONS(5640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5640),
    [anon_sym___declspec] = ACTIONS(5638),
    [anon_sym___based] = ACTIONS(5638),
    [anon_sym___cdecl] = ACTIONS(5638),
    [anon_sym___clrcall] = ACTIONS(5638),
    [anon_sym___stdcall] = ACTIONS(5638),
    [anon_sym___fastcall] = ACTIONS(5638),
    [anon_sym___thiscall] = ACTIONS(5638),
    [anon_sym___vectorcall] = ACTIONS(5638),
    [anon_sym_signed] = ACTIONS(5638),
    [anon_sym_unsigned] = ACTIONS(5638),
    [anon_sym_long] = ACTIONS(5638),
    [anon_sym_short] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [anon_sym_static] = ACTIONS(5638),
    [anon_sym_register] = ACTIONS(5638),
    [anon_sym_inline] = ACTIONS(5638),
    [anon_sym___inline] = ACTIONS(5638),
    [anon_sym___inline__] = ACTIONS(5638),
    [anon_sym___forceinline] = ACTIONS(5638),
    [anon_sym_thread_local] = ACTIONS(5638),
    [anon_sym___thread] = ACTIONS(5638),
    [anon_sym_const] = ACTIONS(5638),
    [anon_sym_constexpr] = ACTIONS(5638),
    [anon_sym_volatile] = ACTIONS(5638),
    [anon_sym_restrict] = ACTIONS(5638),
    [anon_sym___restrict__] = ACTIONS(5638),
    [anon_sym__Atomic] = ACTIONS(5638),
    [anon_sym__Noreturn] = ACTIONS(5638),
    [anon_sym_noreturn] = ACTIONS(5638),
    [anon_sym__Nonnull] = ACTIONS(5638),
    [anon_sym_mutable] = ACTIONS(5638),
    [anon_sym_constinit] = ACTIONS(5638),
    [anon_sym_consteval] = ACTIONS(5638),
    [anon_sym_alignas] = ACTIONS(5638),
    [anon_sym__Alignas] = ACTIONS(5638),
    [sym_primitive_type] = ACTIONS(5638),
    [anon_sym_enum] = ACTIONS(5638),
    [anon_sym_class] = ACTIONS(5638),
    [anon_sym_struct] = ACTIONS(5638),
    [anon_sym_union] = ACTIONS(5638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5638),
    [anon_sym_decltype] = ACTIONS(5638),
    [anon_sym_explicit] = ACTIONS(5638),
    [anon_sym_typename] = ACTIONS(5638),
    [anon_sym_template] = ACTIONS(5638),
    [anon_sym_operator] = ACTIONS(5638),
    [anon_sym_friend] = ACTIONS(5638),
    [anon_sym_using] = ACTIONS(5638),
    [anon_sym_concept] = ACTIONS(5638),
    [anon_sym_requires] = ACTIONS(5638),
    [anon_sym_precise] = ACTIONS(5638),
    [anon_sym_shared] = ACTIONS(5638),
    [anon_sym_groupshared] = ACTIONS(5638),
    [anon_sym_uniform] = ACTIONS(5638),
    [anon_sym_row_major] = ACTIONS(5638),
    [anon_sym_column_major] = ACTIONS(5638),
    [anon_sym_globallycoherent] = ACTIONS(5638),
    [anon_sym_centroid] = ACTIONS(5638),
    [anon_sym_noperspective] = ACTIONS(5638),
    [anon_sym_nointerpolation] = ACTIONS(5638),
    [anon_sym_sample] = ACTIONS(5638),
    [anon_sym_linear] = ACTIONS(5638),
    [anon_sym_snorm] = ACTIONS(5638),
    [anon_sym_unorm] = ACTIONS(5638),
    [anon_sym_point] = ACTIONS(5638),
    [anon_sym_line] = ACTIONS(5638),
    [anon_sym_triangleadj] = ACTIONS(5638),
    [anon_sym_lineadj] = ACTIONS(5638),
    [anon_sym_triangle] = ACTIONS(5638),
  },
  [2245] = {
    [sym__declaration_modifiers] = STATE(2245),
    [sym_attribute_specifier] = STATE(2245),
    [sym_attribute_declaration] = STATE(2245),
    [sym_ms_declspec_modifier] = STATE(2245),
    [sym_storage_class_specifier] = STATE(2245),
    [sym_type_qualifier] = STATE(2245),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_qualifiers] = STATE(2245),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2245),
    [sym_identifier] = ACTIONS(5642),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5644),
    [anon_sym_COMMA] = ACTIONS(5644),
    [anon_sym_RPAREN] = ACTIONS(5644),
    [anon_sym_LPAREN2] = ACTIONS(5644),
    [anon_sym_TILDE] = ACTIONS(5644),
    [anon_sym_STAR] = ACTIONS(5644),
    [anon_sym_AMP_AMP] = ACTIONS(5644),
    [anon_sym_AMP] = ACTIONS(5642),
    [anon_sym_COLON] = ACTIONS(5642),
    [anon_sym_SEMI] = ACTIONS(5644),
    [anon_sym___extension__] = ACTIONS(5646),
    [anon_sym_in] = ACTIONS(5649),
    [anon_sym_out] = ACTIONS(5649),
    [anon_sym_inout] = ACTIONS(5649),
    [anon_sym_virtual] = ACTIONS(5649),
    [anon_sym_extern] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym___attribute] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5644),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5658),
    [anon_sym___declspec] = ACTIONS(5661),
    [anon_sym___based] = ACTIONS(5642),
    [anon_sym___cdecl] = ACTIONS(5642),
    [anon_sym___clrcall] = ACTIONS(5642),
    [anon_sym___stdcall] = ACTIONS(5642),
    [anon_sym___fastcall] = ACTIONS(5642),
    [anon_sym___thiscall] = ACTIONS(5642),
    [anon_sym___vectorcall] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5642),
    [anon_sym_static] = ACTIONS(5652),
    [anon_sym_EQ] = ACTIONS(5644),
    [anon_sym_register] = ACTIONS(5652),
    [anon_sym_inline] = ACTIONS(5652),
    [anon_sym___inline] = ACTIONS(5652),
    [anon_sym___inline__] = ACTIONS(5652),
    [anon_sym___forceinline] = ACTIONS(5652),
    [anon_sym_thread_local] = ACTIONS(5652),
    [anon_sym___thread] = ACTIONS(5652),
    [anon_sym_const] = ACTIONS(5646),
    [anon_sym_constexpr] = ACTIONS(5646),
    [anon_sym_volatile] = ACTIONS(5646),
    [anon_sym_restrict] = ACTIONS(5646),
    [anon_sym___restrict__] = ACTIONS(5646),
    [anon_sym__Atomic] = ACTIONS(5646),
    [anon_sym__Noreturn] = ACTIONS(5646),
    [anon_sym_noreturn] = ACTIONS(5646),
    [anon_sym__Nonnull] = ACTIONS(5646),
    [anon_sym_mutable] = ACTIONS(5646),
    [anon_sym_constinit] = ACTIONS(5646),
    [anon_sym_consteval] = ACTIONS(5646),
    [anon_sym_alignas] = ACTIONS(5664),
    [anon_sym__Alignas] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5642),
    [anon_sym_template] = ACTIONS(5642),
    [anon_sym_GT2] = ACTIONS(5644),
    [anon_sym_operator] = ACTIONS(5642),
    [anon_sym_precise] = ACTIONS(5667),
    [anon_sym_shared] = ACTIONS(5667),
    [anon_sym_groupshared] = ACTIONS(5667),
    [anon_sym_uniform] = ACTIONS(5667),
    [anon_sym_row_major] = ACTIONS(5667),
    [anon_sym_column_major] = ACTIONS(5667),
    [anon_sym_globallycoherent] = ACTIONS(5667),
    [anon_sym_centroid] = ACTIONS(5667),
    [anon_sym_noperspective] = ACTIONS(5667),
    [anon_sym_nointerpolation] = ACTIONS(5667),
    [anon_sym_sample] = ACTIONS(5667),
    [anon_sym_linear] = ACTIONS(5667),
    [anon_sym_snorm] = ACTIONS(5667),
    [anon_sym_unorm] = ACTIONS(5667),
    [anon_sym_point] = ACTIONS(5667),
    [anon_sym_line] = ACTIONS(5667),
    [anon_sym_triangleadj] = ACTIONS(5667),
    [anon_sym_lineadj] = ACTIONS(5667),
    [anon_sym_triangle] = ACTIONS(5667),
  },
  [2246] = {
    [sym__declaration_modifiers] = STATE(2245),
    [sym_attribute_specifier] = STATE(2245),
    [sym_attribute_declaration] = STATE(2245),
    [sym_ms_declspec_modifier] = STATE(2245),
    [sym_storage_class_specifier] = STATE(2245),
    [sym_type_qualifier] = STATE(2245),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_qualifiers] = STATE(2245),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2245),
    [sym_identifier] = ACTIONS(5670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_LPAREN2] = ACTIONS(5672),
    [anon_sym_TILDE] = ACTIONS(5672),
    [anon_sym_STAR] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_COLON] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5674),
    [anon_sym_out] = ACTIONS(5674),
    [anon_sym_inout] = ACTIONS(5674),
    [anon_sym_virtual] = ACTIONS(5674),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5672),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5670),
    [anon_sym___cdecl] = ACTIONS(5670),
    [anon_sym___clrcall] = ACTIONS(5670),
    [anon_sym___stdcall] = ACTIONS(5670),
    [anon_sym___fastcall] = ACTIONS(5670),
    [anon_sym___thiscall] = ACTIONS(5670),
    [anon_sym___vectorcall] = ACTIONS(5670),
    [anon_sym_LBRACK] = ACTIONS(5670),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5670),
    [anon_sym_template] = ACTIONS(5670),
    [anon_sym_GT2] = ACTIONS(5672),
    [anon_sym_operator] = ACTIONS(5670),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2247] = {
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4976),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_RPAREN] = ACTIONS(4976),
    [aux_sym_preproc_if_token2] = ACTIONS(4976),
    [aux_sym_preproc_else_token1] = ACTIONS(4976),
    [aux_sym_preproc_elif_token1] = ACTIONS(4974),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4974),
    [anon_sym_STAR] = ACTIONS(4974),
    [anon_sym_SLASH] = ACTIONS(4974),
    [anon_sym_PERCENT] = ACTIONS(4974),
    [anon_sym_PIPE_PIPE] = ACTIONS(4976),
    [anon_sym_AMP_AMP] = ACTIONS(4976),
    [anon_sym_PIPE] = ACTIONS(4974),
    [anon_sym_CARET] = ACTIONS(4974),
    [anon_sym_AMP] = ACTIONS(4974),
    [anon_sym_EQ_EQ] = ACTIONS(4976),
    [anon_sym_BANG_EQ] = ACTIONS(4976),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4976),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_LT_LT] = ACTIONS(4974),
    [anon_sym_GT_GT] = ACTIONS(4974),
    [anon_sym_COLON] = ACTIONS(4976),
    [anon_sym_SEMI] = ACTIONS(4976),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym___attribute__] = ACTIONS(4974),
    [anon_sym___attribute] = ACTIONS(4974),
    [anon_sym_LBRACE] = ACTIONS(4976),
    [anon_sym_RBRACE] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4974),
    [anon_sym_unsigned] = ACTIONS(4974),
    [anon_sym_long] = ACTIONS(4974),
    [anon_sym_short] = ACTIONS(4974),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym_RBRACK] = ACTIONS(4976),
    [anon_sym_EQ] = ACTIONS(4974),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_mutable] = ACTIONS(4974),
    [anon_sym_constinit] = ACTIONS(4974),
    [anon_sym_consteval] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(4974),
    [anon_sym_QMARK] = ACTIONS(4976),
    [anon_sym_STAR_EQ] = ACTIONS(4976),
    [anon_sym_SLASH_EQ] = ACTIONS(4976),
    [anon_sym_PERCENT_EQ] = ACTIONS(4976),
    [anon_sym_PLUS_EQ] = ACTIONS(4976),
    [anon_sym_DASH_EQ] = ACTIONS(4976),
    [anon_sym_LT_LT_EQ] = ACTIONS(4976),
    [anon_sym_GT_GT_EQ] = ACTIONS(4976),
    [anon_sym_AMP_EQ] = ACTIONS(4976),
    [anon_sym_CARET_EQ] = ACTIONS(4976),
    [anon_sym_PIPE_EQ] = ACTIONS(4976),
    [anon_sym_and_eq] = ACTIONS(4974),
    [anon_sym_or_eq] = ACTIONS(4974),
    [anon_sym_xor_eq] = ACTIONS(4974),
    [anon_sym_LT_EQ_GT] = ACTIONS(4976),
    [anon_sym_or] = ACTIONS(4974),
    [anon_sym_and] = ACTIONS(4974),
    [anon_sym_bitor] = ACTIONS(4974),
    [anon_sym_xor] = ACTIONS(4974),
    [anon_sym_bitand] = ACTIONS(4974),
    [anon_sym_not_eq] = ACTIONS(4974),
    [anon_sym_DASH_DASH] = ACTIONS(4976),
    [anon_sym_PLUS_PLUS] = ACTIONS(4976),
    [anon_sym_DOT] = ACTIONS(4974),
    [anon_sym_DOT_STAR] = ACTIONS(4976),
    [anon_sym_DASH_GT] = ACTIONS(4976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4974),
    [anon_sym_decltype] = ACTIONS(4974),
  },
  [2248] = {
    [sym__declaration_modifiers] = STATE(2245),
    [sym_attribute_specifier] = STATE(2245),
    [sym_attribute_declaration] = STATE(2245),
    [sym_ms_declspec_modifier] = STATE(2245),
    [sym_storage_class_specifier] = STATE(2245),
    [sym_type_qualifier] = STATE(2245),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_qualifiers] = STATE(2245),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2245),
    [sym_identifier] = ACTIONS(5676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5674),
    [anon_sym_out] = ACTIONS(5674),
    [anon_sym_inout] = ACTIONS(5674),
    [anon_sym_virtual] = ACTIONS(5674),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5676),
    [anon_sym___cdecl] = ACTIONS(5676),
    [anon_sym___clrcall] = ACTIONS(5676),
    [anon_sym___stdcall] = ACTIONS(5676),
    [anon_sym___fastcall] = ACTIONS(5676),
    [anon_sym___thiscall] = ACTIONS(5676),
    [anon_sym___vectorcall] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5676),
    [anon_sym_template] = ACTIONS(5676),
    [anon_sym_GT2] = ACTIONS(5678),
    [anon_sym_operator] = ACTIONS(5676),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5682),
    [anon_sym_TILDE] = ACTIONS(5682),
    [anon_sym_STAR] = ACTIONS(5682),
    [anon_sym_AMP_AMP] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(5680),
    [anon_sym___extension__] = ACTIONS(5680),
    [anon_sym_in] = ACTIONS(5680),
    [anon_sym_out] = ACTIONS(5680),
    [anon_sym_inout] = ACTIONS(5680),
    [anon_sym_virtual] = ACTIONS(5680),
    [anon_sym_extern] = ACTIONS(5680),
    [anon_sym___attribute__] = ACTIONS(5680),
    [anon_sym___attribute] = ACTIONS(5680),
    [anon_sym_COLON_COLON] = ACTIONS(5682),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5682),
    [anon_sym___declspec] = ACTIONS(5680),
    [anon_sym___based] = ACTIONS(5680),
    [anon_sym___cdecl] = ACTIONS(5680),
    [anon_sym___clrcall] = ACTIONS(5680),
    [anon_sym___stdcall] = ACTIONS(5680),
    [anon_sym___fastcall] = ACTIONS(5680),
    [anon_sym___thiscall] = ACTIONS(5680),
    [anon_sym___vectorcall] = ACTIONS(5680),
    [anon_sym_signed] = ACTIONS(5680),
    [anon_sym_unsigned] = ACTIONS(5680),
    [anon_sym_long] = ACTIONS(5680),
    [anon_sym_short] = ACTIONS(5680),
    [anon_sym_LBRACK] = ACTIONS(5680),
    [anon_sym_static] = ACTIONS(5680),
    [anon_sym_register] = ACTIONS(5680),
    [anon_sym_inline] = ACTIONS(5680),
    [anon_sym___inline] = ACTIONS(5680),
    [anon_sym___inline__] = ACTIONS(5680),
    [anon_sym___forceinline] = ACTIONS(5680),
    [anon_sym_thread_local] = ACTIONS(5680),
    [anon_sym___thread] = ACTIONS(5680),
    [anon_sym_const] = ACTIONS(5680),
    [anon_sym_constexpr] = ACTIONS(5680),
    [anon_sym_volatile] = ACTIONS(5680),
    [anon_sym_restrict] = ACTIONS(5680),
    [anon_sym___restrict__] = ACTIONS(5680),
    [anon_sym__Atomic] = ACTIONS(5680),
    [anon_sym__Noreturn] = ACTIONS(5680),
    [anon_sym_noreturn] = ACTIONS(5680),
    [anon_sym__Nonnull] = ACTIONS(5680),
    [anon_sym_mutable] = ACTIONS(5680),
    [anon_sym_constinit] = ACTIONS(5680),
    [anon_sym_consteval] = ACTIONS(5680),
    [anon_sym_alignas] = ACTIONS(5680),
    [anon_sym__Alignas] = ACTIONS(5680),
    [sym_primitive_type] = ACTIONS(5680),
    [anon_sym_enum] = ACTIONS(5680),
    [anon_sym_class] = ACTIONS(5680),
    [anon_sym_struct] = ACTIONS(5680),
    [anon_sym_union] = ACTIONS(5680),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5680),
    [anon_sym_decltype] = ACTIONS(5680),
    [anon_sym_explicit] = ACTIONS(5680),
    [anon_sym_typename] = ACTIONS(5680),
    [anon_sym_template] = ACTIONS(5680),
    [anon_sym_operator] = ACTIONS(5680),
    [anon_sym_friend] = ACTIONS(5680),
    [anon_sym_using] = ACTIONS(5680),
    [anon_sym_concept] = ACTIONS(5680),
    [anon_sym_requires] = ACTIONS(5680),
    [anon_sym_precise] = ACTIONS(5680),
    [anon_sym_shared] = ACTIONS(5680),
    [anon_sym_groupshared] = ACTIONS(5680),
    [anon_sym_uniform] = ACTIONS(5680),
    [anon_sym_row_major] = ACTIONS(5680),
    [anon_sym_column_major] = ACTIONS(5680),
    [anon_sym_globallycoherent] = ACTIONS(5680),
    [anon_sym_centroid] = ACTIONS(5680),
    [anon_sym_noperspective] = ACTIONS(5680),
    [anon_sym_nointerpolation] = ACTIONS(5680),
    [anon_sym_sample] = ACTIONS(5680),
    [anon_sym_linear] = ACTIONS(5680),
    [anon_sym_snorm] = ACTIONS(5680),
    [anon_sym_unorm] = ACTIONS(5680),
    [anon_sym_point] = ACTIONS(5680),
    [anon_sym_line] = ACTIONS(5680),
    [anon_sym_triangleadj] = ACTIONS(5680),
    [anon_sym_lineadj] = ACTIONS(5680),
    [anon_sym_triangle] = ACTIONS(5680),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_COMMA] = ACTIONS(2241),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [aux_sym_preproc_if_token2] = ACTIONS(2241),
    [aux_sym_preproc_else_token1] = ACTIONS(2241),
    [aux_sym_preproc_elif_token1] = ACTIONS(2251),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2241),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2241),
    [anon_sym_BANG_EQ] = ACTIONS(2241),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2241),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_COLON] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(2241),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_RBRACK] = ACTIONS(2241),
    [anon_sym_EQ] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_QMARK] = ACTIONS(2241),
    [anon_sym_STAR_EQ] = ACTIONS(2241),
    [anon_sym_SLASH_EQ] = ACTIONS(2241),
    [anon_sym_PERCENT_EQ] = ACTIONS(2241),
    [anon_sym_PLUS_EQ] = ACTIONS(2241),
    [anon_sym_DASH_EQ] = ACTIONS(2241),
    [anon_sym_LT_LT_EQ] = ACTIONS(2241),
    [anon_sym_GT_GT_EQ] = ACTIONS(2241),
    [anon_sym_AMP_EQ] = ACTIONS(2241),
    [anon_sym_CARET_EQ] = ACTIONS(2241),
    [anon_sym_PIPE_EQ] = ACTIONS(2241),
    [anon_sym_and_eq] = ACTIONS(2251),
    [anon_sym_or_eq] = ACTIONS(2251),
    [anon_sym_xor_eq] = ACTIONS(2251),
    [anon_sym_LT_EQ_GT] = ACTIONS(2241),
    [anon_sym_or] = ACTIONS(2251),
    [anon_sym_and] = ACTIONS(2251),
    [anon_sym_bitor] = ACTIONS(2251),
    [anon_sym_xor] = ACTIONS(2251),
    [anon_sym_bitand] = ACTIONS(2251),
    [anon_sym_not_eq] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DOT_STAR] = ACTIONS(2241),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2009),
    [anon_sym_COMMA] = ACTIONS(2009),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_PIPE_PIPE] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2009),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2009),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym___cdecl] = ACTIONS(2007),
    [anon_sym___clrcall] = ACTIONS(2007),
    [anon_sym___stdcall] = ACTIONS(2007),
    [anon_sym___fastcall] = ACTIONS(2007),
    [anon_sym___thiscall] = ACTIONS(2007),
    [anon_sym___vectorcall] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(2009),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [anon_sym_or] = ACTIONS(2007),
    [anon_sym_and] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_final] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_GT2] = ACTIONS(2009),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_requires] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [2252] = {
    [sym_identifier] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5686),
    [anon_sym_TILDE] = ACTIONS(5686),
    [anon_sym_STAR] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5684),
    [anon_sym___extension__] = ACTIONS(5684),
    [anon_sym_in] = ACTIONS(5684),
    [anon_sym_out] = ACTIONS(5684),
    [anon_sym_inout] = ACTIONS(5684),
    [anon_sym_virtual] = ACTIONS(5684),
    [anon_sym_extern] = ACTIONS(5684),
    [anon_sym___attribute__] = ACTIONS(5684),
    [anon_sym___attribute] = ACTIONS(5684),
    [anon_sym_COLON_COLON] = ACTIONS(5686),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5686),
    [anon_sym___declspec] = ACTIONS(5684),
    [anon_sym___based] = ACTIONS(5684),
    [anon_sym___cdecl] = ACTIONS(5684),
    [anon_sym___clrcall] = ACTIONS(5684),
    [anon_sym___stdcall] = ACTIONS(5684),
    [anon_sym___fastcall] = ACTIONS(5684),
    [anon_sym___thiscall] = ACTIONS(5684),
    [anon_sym___vectorcall] = ACTIONS(5684),
    [anon_sym_signed] = ACTIONS(5684),
    [anon_sym_unsigned] = ACTIONS(5684),
    [anon_sym_long] = ACTIONS(5684),
    [anon_sym_short] = ACTIONS(5684),
    [anon_sym_LBRACK] = ACTIONS(5684),
    [anon_sym_static] = ACTIONS(5684),
    [anon_sym_register] = ACTIONS(5684),
    [anon_sym_inline] = ACTIONS(5684),
    [anon_sym___inline] = ACTIONS(5684),
    [anon_sym___inline__] = ACTIONS(5684),
    [anon_sym___forceinline] = ACTIONS(5684),
    [anon_sym_thread_local] = ACTIONS(5684),
    [anon_sym___thread] = ACTIONS(5684),
    [anon_sym_const] = ACTIONS(5684),
    [anon_sym_constexpr] = ACTIONS(5684),
    [anon_sym_volatile] = ACTIONS(5684),
    [anon_sym_restrict] = ACTIONS(5684),
    [anon_sym___restrict__] = ACTIONS(5684),
    [anon_sym__Atomic] = ACTIONS(5684),
    [anon_sym__Noreturn] = ACTIONS(5684),
    [anon_sym_noreturn] = ACTIONS(5684),
    [anon_sym__Nonnull] = ACTIONS(5684),
    [anon_sym_mutable] = ACTIONS(5684),
    [anon_sym_constinit] = ACTIONS(5684),
    [anon_sym_consteval] = ACTIONS(5684),
    [anon_sym_alignas] = ACTIONS(5684),
    [anon_sym__Alignas] = ACTIONS(5684),
    [sym_primitive_type] = ACTIONS(5684),
    [anon_sym_enum] = ACTIONS(5684),
    [anon_sym_class] = ACTIONS(5684),
    [anon_sym_struct] = ACTIONS(5684),
    [anon_sym_union] = ACTIONS(5684),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5684),
    [anon_sym_decltype] = ACTIONS(5684),
    [anon_sym_explicit] = ACTIONS(5684),
    [anon_sym_typename] = ACTIONS(5684),
    [anon_sym_template] = ACTIONS(5684),
    [anon_sym_operator] = ACTIONS(5684),
    [anon_sym_friend] = ACTIONS(5684),
    [anon_sym_using] = ACTIONS(5684),
    [anon_sym_concept] = ACTIONS(5684),
    [anon_sym_requires] = ACTIONS(5684),
    [anon_sym_precise] = ACTIONS(5684),
    [anon_sym_shared] = ACTIONS(5684),
    [anon_sym_groupshared] = ACTIONS(5684),
    [anon_sym_uniform] = ACTIONS(5684),
    [anon_sym_row_major] = ACTIONS(5684),
    [anon_sym_column_major] = ACTIONS(5684),
    [anon_sym_globallycoherent] = ACTIONS(5684),
    [anon_sym_centroid] = ACTIONS(5684),
    [anon_sym_noperspective] = ACTIONS(5684),
    [anon_sym_nointerpolation] = ACTIONS(5684),
    [anon_sym_sample] = ACTIONS(5684),
    [anon_sym_linear] = ACTIONS(5684),
    [anon_sym_snorm] = ACTIONS(5684),
    [anon_sym_unorm] = ACTIONS(5684),
    [anon_sym_point] = ACTIONS(5684),
    [anon_sym_line] = ACTIONS(5684),
    [anon_sym_triangleadj] = ACTIONS(5684),
    [anon_sym_lineadj] = ACTIONS(5684),
    [anon_sym_triangle] = ACTIONS(5684),
  },
  [2253] = {
    [sym_template_argument_list] = STATE(2465),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(5688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5690),
    [anon_sym_COMMA] = ACTIONS(5690),
    [anon_sym_RPAREN] = ACTIONS(5690),
    [anon_sym_LPAREN2] = ACTIONS(5690),
    [anon_sym_TILDE] = ACTIONS(5690),
    [anon_sym_STAR] = ACTIONS(5690),
    [anon_sym_AMP_AMP] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(5688),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_COLON] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [anon_sym___extension__] = ACTIONS(5688),
    [anon_sym_in] = ACTIONS(5688),
    [anon_sym_out] = ACTIONS(5688),
    [anon_sym_inout] = ACTIONS(5688),
    [anon_sym_virtual] = ACTIONS(5688),
    [anon_sym_extern] = ACTIONS(5688),
    [anon_sym___attribute__] = ACTIONS(5688),
    [anon_sym___attribute] = ACTIONS(5688),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5690),
    [anon_sym___declspec] = ACTIONS(5688),
    [anon_sym___based] = ACTIONS(5688),
    [anon_sym___cdecl] = ACTIONS(5688),
    [anon_sym___clrcall] = ACTIONS(5688),
    [anon_sym___stdcall] = ACTIONS(5688),
    [anon_sym___fastcall] = ACTIONS(5688),
    [anon_sym___thiscall] = ACTIONS(5688),
    [anon_sym___vectorcall] = ACTIONS(5688),
    [anon_sym_LBRACE] = ACTIONS(5690),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(5688),
    [anon_sym_static] = ACTIONS(5688),
    [anon_sym_EQ] = ACTIONS(5690),
    [anon_sym_register] = ACTIONS(5688),
    [anon_sym_inline] = ACTIONS(5688),
    [anon_sym___inline] = ACTIONS(5688),
    [anon_sym___inline__] = ACTIONS(5688),
    [anon_sym___forceinline] = ACTIONS(5688),
    [anon_sym_thread_local] = ACTIONS(5688),
    [anon_sym___thread] = ACTIONS(5688),
    [anon_sym_const] = ACTIONS(5688),
    [anon_sym_constexpr] = ACTIONS(5688),
    [anon_sym_volatile] = ACTIONS(5688),
    [anon_sym_restrict] = ACTIONS(5688),
    [anon_sym___restrict__] = ACTIONS(5688),
    [anon_sym__Atomic] = ACTIONS(5688),
    [anon_sym__Noreturn] = ACTIONS(5688),
    [anon_sym_noreturn] = ACTIONS(5688),
    [anon_sym__Nonnull] = ACTIONS(5688),
    [anon_sym_mutable] = ACTIONS(5688),
    [anon_sym_constinit] = ACTIONS(5688),
    [anon_sym_consteval] = ACTIONS(5688),
    [anon_sym_alignas] = ACTIONS(5688),
    [anon_sym__Alignas] = ACTIONS(5688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5688),
    [anon_sym_decltype] = ACTIONS(5688),
    [anon_sym_template] = ACTIONS(5688),
    [anon_sym_GT2] = ACTIONS(5690),
    [anon_sym_operator] = ACTIONS(5688),
    [anon_sym_precise] = ACTIONS(5688),
    [anon_sym_shared] = ACTIONS(5688),
    [anon_sym_groupshared] = ACTIONS(5688),
    [anon_sym_uniform] = ACTIONS(5688),
    [anon_sym_row_major] = ACTIONS(5688),
    [anon_sym_column_major] = ACTIONS(5688),
    [anon_sym_globallycoherent] = ACTIONS(5688),
    [anon_sym_centroid] = ACTIONS(5688),
    [anon_sym_noperspective] = ACTIONS(5688),
    [anon_sym_nointerpolation] = ACTIONS(5688),
    [anon_sym_sample] = ACTIONS(5688),
    [anon_sym_linear] = ACTIONS(5688),
    [anon_sym_snorm] = ACTIONS(5688),
    [anon_sym_unorm] = ACTIONS(5688),
    [anon_sym_point] = ACTIONS(5688),
    [anon_sym_line] = ACTIONS(5688),
    [anon_sym_triangleadj] = ACTIONS(5688),
    [anon_sym_lineadj] = ACTIONS(5688),
    [anon_sym_triangle] = ACTIONS(5688),
  },
  [2254] = {
    [sym_type_qualifier] = STATE(2258),
    [sym_alignas_qualifier] = STATE(2250),
    [aux_sym__type_definition_type_repeat1] = STATE(2258),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2291),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [anon_sym_RPAREN] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5551),
    [anon_sym_PLUS] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5551),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5551),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5551),
    [anon_sym_GT_EQ] = ACTIONS(5549),
    [anon_sym_LT_EQ] = ACTIONS(5551),
    [anon_sym_LT] = ACTIONS(5551),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym_COLON] = ACTIONS(5549),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_RBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(5698),
    [anon_sym_unsigned] = ACTIONS(5698),
    [anon_sym_long] = ACTIONS(5698),
    [anon_sym_short] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_RBRACK] = ACTIONS(5549),
    [anon_sym_EQ] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5696),
    [anon_sym_constexpr] = ACTIONS(5696),
    [anon_sym_volatile] = ACTIONS(5696),
    [anon_sym_restrict] = ACTIONS(5696),
    [anon_sym___restrict__] = ACTIONS(5696),
    [anon_sym__Atomic] = ACTIONS(5696),
    [anon_sym__Noreturn] = ACTIONS(5696),
    [anon_sym_noreturn] = ACTIONS(5696),
    [anon_sym__Nonnull] = ACTIONS(5696),
    [anon_sym_mutable] = ACTIONS(5696),
    [anon_sym_constinit] = ACTIONS(5696),
    [anon_sym_consteval] = ACTIONS(5696),
    [anon_sym_alignas] = ACTIONS(5700),
    [anon_sym__Alignas] = ACTIONS(5700),
    [sym_primitive_type] = ACTIONS(5702),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_STAR_EQ] = ACTIONS(5549),
    [anon_sym_SLASH_EQ] = ACTIONS(5549),
    [anon_sym_PERCENT_EQ] = ACTIONS(5549),
    [anon_sym_PLUS_EQ] = ACTIONS(5549),
    [anon_sym_DASH_EQ] = ACTIONS(5549),
    [anon_sym_LT_LT_EQ] = ACTIONS(5549),
    [anon_sym_GT_GT_EQ] = ACTIONS(5549),
    [anon_sym_AMP_EQ] = ACTIONS(5549),
    [anon_sym_CARET_EQ] = ACTIONS(5549),
    [anon_sym_PIPE_EQ] = ACTIONS(5549),
    [anon_sym_and_eq] = ACTIONS(5551),
    [anon_sym_or_eq] = ACTIONS(5551),
    [anon_sym_xor_eq] = ACTIONS(5551),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5551),
    [anon_sym_and] = ACTIONS(5551),
    [anon_sym_bitor] = ACTIONS(5551),
    [anon_sym_xor] = ACTIONS(5551),
    [anon_sym_bitand] = ACTIONS(5551),
    [anon_sym_not_eq] = ACTIONS(5551),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5551),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
  },
  [2255] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5706),
    [anon_sym_COMMA] = ACTIONS(5706),
    [anon_sym_RPAREN] = ACTIONS(5706),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(5706),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_EQ] = ACTIONS(5706),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_GT2] = ACTIONS(5706),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym___cdecl] = ACTIONS(1987),
    [anon_sym___clrcall] = ACTIONS(1987),
    [anon_sym___stdcall] = ACTIONS(1987),
    [anon_sym___fastcall] = ACTIONS(1987),
    [anon_sym___thiscall] = ACTIONS(1987),
    [anon_sym___vectorcall] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_template] = ACTIONS(1987),
    [anon_sym_GT2] = ACTIONS(1989),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
  },
  [2257] = {
    [sym_argument_list] = STATE(2900),
    [sym_initializer_list] = STATE(4090),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2280),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5714),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(5712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym___cdecl] = ACTIONS(5710),
    [anon_sym___clrcall] = ACTIONS(5710),
    [anon_sym___stdcall] = ACTIONS(5710),
    [anon_sym___fastcall] = ACTIONS(5710),
    [anon_sym___thiscall] = ACTIONS(5710),
    [anon_sym___vectorcall] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_signed] = ACTIONS(5717),
    [anon_sym_unsigned] = ACTIONS(5717),
    [anon_sym_long] = ACTIONS(5717),
    [anon_sym_short] = ACTIONS(5717),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2258] = {
    [sym_type_qualifier] = STATE(2211),
    [sym_alignas_qualifier] = STATE(2250),
    [aux_sym__type_definition_type_repeat1] = STATE(2211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2797),
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5598),
    [anon_sym_COMMA] = ACTIONS(5598),
    [anon_sym_RPAREN] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5600),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_PIPE] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5598),
    [anon_sym_BANG_EQ] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5598),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5600),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5600),
    [anon_sym_COLON] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_RBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5721),
    [anon_sym_unsigned] = ACTIONS(5721),
    [anon_sym_long] = ACTIONS(5721),
    [anon_sym_short] = ACTIONS(5721),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_RBRACK] = ACTIONS(5598),
    [anon_sym_EQ] = ACTIONS(5600),
    [anon_sym_const] = ACTIONS(5696),
    [anon_sym_constexpr] = ACTIONS(5696),
    [anon_sym_volatile] = ACTIONS(5696),
    [anon_sym_restrict] = ACTIONS(5696),
    [anon_sym___restrict__] = ACTIONS(5696),
    [anon_sym__Atomic] = ACTIONS(5696),
    [anon_sym__Noreturn] = ACTIONS(5696),
    [anon_sym_noreturn] = ACTIONS(5696),
    [anon_sym__Nonnull] = ACTIONS(5696),
    [anon_sym_mutable] = ACTIONS(5696),
    [anon_sym_constinit] = ACTIONS(5696),
    [anon_sym_consteval] = ACTIONS(5696),
    [anon_sym_alignas] = ACTIONS(5700),
    [anon_sym__Alignas] = ACTIONS(5700),
    [sym_primitive_type] = ACTIONS(5723),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_STAR_EQ] = ACTIONS(5598),
    [anon_sym_SLASH_EQ] = ACTIONS(5598),
    [anon_sym_PERCENT_EQ] = ACTIONS(5598),
    [anon_sym_PLUS_EQ] = ACTIONS(5598),
    [anon_sym_DASH_EQ] = ACTIONS(5598),
    [anon_sym_LT_LT_EQ] = ACTIONS(5598),
    [anon_sym_GT_GT_EQ] = ACTIONS(5598),
    [anon_sym_AMP_EQ] = ACTIONS(5598),
    [anon_sym_CARET_EQ] = ACTIONS(5598),
    [anon_sym_PIPE_EQ] = ACTIONS(5598),
    [anon_sym_and_eq] = ACTIONS(5600),
    [anon_sym_or_eq] = ACTIONS(5600),
    [anon_sym_xor_eq] = ACTIONS(5600),
    [anon_sym_LT_EQ_GT] = ACTIONS(5598),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_bitor] = ACTIONS(5600),
    [anon_sym_xor] = ACTIONS(5600),
    [anon_sym_bitand] = ACTIONS(5600),
    [anon_sym_not_eq] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_DOT_STAR] = ACTIONS(5598),
    [anon_sym_DASH_GT] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
  },
  [2259] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2222),
    [sym_identifier] = ACTIONS(5725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_TILDE] = ACTIONS(5728),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(5725),
    [anon_sym_COLON] = ACTIONS(5725),
    [anon_sym_SEMI] = ACTIONS(5728),
    [anon_sym___extension__] = ACTIONS(5725),
    [anon_sym_in] = ACTIONS(5725),
    [anon_sym_out] = ACTIONS(5725),
    [anon_sym_inout] = ACTIONS(5725),
    [anon_sym_virtual] = ACTIONS(5725),
    [anon_sym_extern] = ACTIONS(5725),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_COLON_COLON] = ACTIONS(5728),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5728),
    [anon_sym___declspec] = ACTIONS(5725),
    [anon_sym___based] = ACTIONS(5725),
    [anon_sym___cdecl] = ACTIONS(5725),
    [anon_sym___clrcall] = ACTIONS(5725),
    [anon_sym___stdcall] = ACTIONS(5725),
    [anon_sym___fastcall] = ACTIONS(5725),
    [anon_sym___thiscall] = ACTIONS(5725),
    [anon_sym___vectorcall] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(5592),
    [anon_sym_unsigned] = ACTIONS(5592),
    [anon_sym_long] = ACTIONS(5592),
    [anon_sym_short] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5725),
    [anon_sym_static] = ACTIONS(5725),
    [anon_sym_EQ] = ACTIONS(5728),
    [anon_sym_register] = ACTIONS(5725),
    [anon_sym_inline] = ACTIONS(5725),
    [anon_sym___inline] = ACTIONS(5725),
    [anon_sym___inline__] = ACTIONS(5725),
    [anon_sym___forceinline] = ACTIONS(5725),
    [anon_sym_thread_local] = ACTIONS(5725),
    [anon_sym___thread] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5725),
    [anon_sym_constexpr] = ACTIONS(5725),
    [anon_sym_volatile] = ACTIONS(5725),
    [anon_sym_restrict] = ACTIONS(5725),
    [anon_sym___restrict__] = ACTIONS(5725),
    [anon_sym__Atomic] = ACTIONS(5725),
    [anon_sym__Noreturn] = ACTIONS(5725),
    [anon_sym_noreturn] = ACTIONS(5725),
    [anon_sym__Nonnull] = ACTIONS(5725),
    [anon_sym_mutable] = ACTIONS(5725),
    [anon_sym_constinit] = ACTIONS(5725),
    [anon_sym_consteval] = ACTIONS(5725),
    [anon_sym_alignas] = ACTIONS(5725),
    [anon_sym__Alignas] = ACTIONS(5725),
    [sym_primitive_type] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5725),
    [anon_sym_decltype] = ACTIONS(5725),
    [anon_sym_template] = ACTIONS(5725),
    [anon_sym_GT2] = ACTIONS(5728),
    [anon_sym_operator] = ACTIONS(5725),
    [anon_sym_precise] = ACTIONS(5725),
    [anon_sym_shared] = ACTIONS(5725),
    [anon_sym_groupshared] = ACTIONS(5725),
    [anon_sym_uniform] = ACTIONS(5725),
    [anon_sym_row_major] = ACTIONS(5725),
    [anon_sym_column_major] = ACTIONS(5725),
    [anon_sym_globallycoherent] = ACTIONS(5725),
    [anon_sym_centroid] = ACTIONS(5725),
    [anon_sym_noperspective] = ACTIONS(5725),
    [anon_sym_nointerpolation] = ACTIONS(5725),
    [anon_sym_sample] = ACTIONS(5725),
    [anon_sym_linear] = ACTIONS(5725),
    [anon_sym_snorm] = ACTIONS(5725),
    [anon_sym_unorm] = ACTIONS(5725),
    [anon_sym_point] = ACTIONS(5725),
    [anon_sym_line] = ACTIONS(5725),
    [anon_sym_triangleadj] = ACTIONS(5725),
    [anon_sym_lineadj] = ACTIONS(5725),
    [anon_sym_triangle] = ACTIONS(5725),
  },
  [2260] = {
    [sym_type_qualifier] = STATE(2261),
    [sym_alignas_qualifier] = STATE(2250),
    [aux_sym__type_definition_type_repeat1] = STATE(2261),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2290),
    [sym_identifier] = ACTIONS(5731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [aux_sym_preproc_if_token2] = ACTIONS(5549),
    [aux_sym_preproc_else_token1] = ACTIONS(5549),
    [aux_sym_preproc_elif_token1] = ACTIONS(5551),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5551),
    [anon_sym_PLUS] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5551),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5551),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5551),
    [anon_sym_GT_EQ] = ACTIONS(5549),
    [anon_sym_LT_EQ] = ACTIONS(5551),
    [anon_sym_LT] = ACTIONS(5551),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(5734),
    [anon_sym_unsigned] = ACTIONS(5734),
    [anon_sym_long] = ACTIONS(5734),
    [anon_sym_short] = ACTIONS(5734),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_EQ] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5696),
    [anon_sym_constexpr] = ACTIONS(5696),
    [anon_sym_volatile] = ACTIONS(5696),
    [anon_sym_restrict] = ACTIONS(5696),
    [anon_sym___restrict__] = ACTIONS(5696),
    [anon_sym__Atomic] = ACTIONS(5696),
    [anon_sym__Noreturn] = ACTIONS(5696),
    [anon_sym_noreturn] = ACTIONS(5696),
    [anon_sym__Nonnull] = ACTIONS(5696),
    [anon_sym_mutable] = ACTIONS(5696),
    [anon_sym_constinit] = ACTIONS(5696),
    [anon_sym_consteval] = ACTIONS(5696),
    [anon_sym_alignas] = ACTIONS(5700),
    [anon_sym__Alignas] = ACTIONS(5700),
    [sym_primitive_type] = ACTIONS(5736),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_STAR_EQ] = ACTIONS(5549),
    [anon_sym_SLASH_EQ] = ACTIONS(5549),
    [anon_sym_PERCENT_EQ] = ACTIONS(5549),
    [anon_sym_PLUS_EQ] = ACTIONS(5549),
    [anon_sym_DASH_EQ] = ACTIONS(5549),
    [anon_sym_LT_LT_EQ] = ACTIONS(5549),
    [anon_sym_GT_GT_EQ] = ACTIONS(5549),
    [anon_sym_AMP_EQ] = ACTIONS(5549),
    [anon_sym_CARET_EQ] = ACTIONS(5549),
    [anon_sym_PIPE_EQ] = ACTIONS(5549),
    [anon_sym_and_eq] = ACTIONS(5551),
    [anon_sym_or_eq] = ACTIONS(5551),
    [anon_sym_xor_eq] = ACTIONS(5551),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5551),
    [anon_sym_and] = ACTIONS(5551),
    [anon_sym_bitor] = ACTIONS(5551),
    [anon_sym_xor] = ACTIONS(5551),
    [anon_sym_bitand] = ACTIONS(5551),
    [anon_sym_not_eq] = ACTIONS(5551),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5551),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
  },
  [2261] = {
    [sym_type_qualifier] = STATE(2211),
    [sym_alignas_qualifier] = STATE(2250),
    [aux_sym__type_definition_type_repeat1] = STATE(2211),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2666),
    [sym_identifier] = ACTIONS(5738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5598),
    [anon_sym_COMMA] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5600),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_PIPE] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5598),
    [anon_sym_BANG_EQ] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5598),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5600),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5741),
    [anon_sym_unsigned] = ACTIONS(5741),
    [anon_sym_long] = ACTIONS(5741),
    [anon_sym_short] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_EQ] = ACTIONS(5600),
    [anon_sym_const] = ACTIONS(5696),
    [anon_sym_constexpr] = ACTIONS(5696),
    [anon_sym_volatile] = ACTIONS(5696),
    [anon_sym_restrict] = ACTIONS(5696),
    [anon_sym___restrict__] = ACTIONS(5696),
    [anon_sym__Atomic] = ACTIONS(5696),
    [anon_sym__Noreturn] = ACTIONS(5696),
    [anon_sym_noreturn] = ACTIONS(5696),
    [anon_sym__Nonnull] = ACTIONS(5696),
    [anon_sym_mutable] = ACTIONS(5696),
    [anon_sym_constinit] = ACTIONS(5696),
    [anon_sym_consteval] = ACTIONS(5696),
    [anon_sym_alignas] = ACTIONS(5700),
    [anon_sym__Alignas] = ACTIONS(5700),
    [sym_primitive_type] = ACTIONS(5743),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_STAR_EQ] = ACTIONS(5598),
    [anon_sym_SLASH_EQ] = ACTIONS(5598),
    [anon_sym_PERCENT_EQ] = ACTIONS(5598),
    [anon_sym_PLUS_EQ] = ACTIONS(5598),
    [anon_sym_DASH_EQ] = ACTIONS(5598),
    [anon_sym_LT_LT_EQ] = ACTIONS(5598),
    [anon_sym_GT_GT_EQ] = ACTIONS(5598),
    [anon_sym_AMP_EQ] = ACTIONS(5598),
    [anon_sym_CARET_EQ] = ACTIONS(5598),
    [anon_sym_PIPE_EQ] = ACTIONS(5598),
    [anon_sym_and_eq] = ACTIONS(5600),
    [anon_sym_or_eq] = ACTIONS(5600),
    [anon_sym_xor_eq] = ACTIONS(5600),
    [anon_sym_LT_EQ_GT] = ACTIONS(5598),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_bitor] = ACTIONS(5600),
    [anon_sym_xor] = ACTIONS(5600),
    [anon_sym_bitand] = ACTIONS(5600),
    [anon_sym_not_eq] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_DOT_STAR] = ACTIONS(5598),
    [anon_sym_DASH_GT] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
  },
  [2262] = {
    [sym_template_argument_list] = STATE(2251),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_RPAREN] = ACTIONS(1974),
    [anon_sym_LPAREN2] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_PIPE_PIPE] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [anon_sym_or] = ACTIONS(1972),
    [anon_sym_and] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_final] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [2263] = {
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [aux_sym_preproc_if_token2] = ACTIONS(1962),
    [aux_sym_preproc_else_token1] = ACTIONS(1962),
    [aux_sym_preproc_elif_token1] = ACTIONS(1960),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1962),
    [anon_sym_BANG_EQ] = ACTIONS(1962),
    [anon_sym_GT] = ACTIONS(1960),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_RBRACK] = ACTIONS(1962),
    [anon_sym_EQ] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_STAR_EQ] = ACTIONS(1962),
    [anon_sym_SLASH_EQ] = ACTIONS(1962),
    [anon_sym_PERCENT_EQ] = ACTIONS(1962),
    [anon_sym_PLUS_EQ] = ACTIONS(1962),
    [anon_sym_DASH_EQ] = ACTIONS(1962),
    [anon_sym_LT_LT_EQ] = ACTIONS(1962),
    [anon_sym_GT_GT_EQ] = ACTIONS(1962),
    [anon_sym_AMP_EQ] = ACTIONS(1962),
    [anon_sym_CARET_EQ] = ACTIONS(1962),
    [anon_sym_PIPE_EQ] = ACTIONS(1962),
    [anon_sym_and_eq] = ACTIONS(1960),
    [anon_sym_or_eq] = ACTIONS(1960),
    [anon_sym_xor_eq] = ACTIONS(1960),
    [anon_sym_LT_EQ_GT] = ACTIONS(1962),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [anon_sym_bitor] = ACTIONS(1960),
    [anon_sym_xor] = ACTIONS(1960),
    [anon_sym_bitand] = ACTIONS(1960),
    [anon_sym_not_eq] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_DOT_STAR] = ACTIONS(1962),
    [anon_sym_DASH_GT] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_final] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
  },
  [2264] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [sym_identifier] = ACTIONS(5745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_TILDE] = ACTIONS(5747),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_COLON] = ACTIONS(5745),
    [anon_sym_SEMI] = ACTIONS(5747),
    [anon_sym___extension__] = ACTIONS(5745),
    [anon_sym_in] = ACTIONS(5745),
    [anon_sym_out] = ACTIONS(5745),
    [anon_sym_inout] = ACTIONS(5745),
    [anon_sym_virtual] = ACTIONS(5745),
    [anon_sym_extern] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5745),
    [anon_sym___attribute] = ACTIONS(5745),
    [anon_sym_COLON_COLON] = ACTIONS(5747),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5747),
    [anon_sym___declspec] = ACTIONS(5745),
    [anon_sym___based] = ACTIONS(5745),
    [anon_sym___cdecl] = ACTIONS(5745),
    [anon_sym___clrcall] = ACTIONS(5745),
    [anon_sym___stdcall] = ACTIONS(5745),
    [anon_sym___fastcall] = ACTIONS(5745),
    [anon_sym___thiscall] = ACTIONS(5745),
    [anon_sym___vectorcall] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5745),
    [anon_sym_static] = ACTIONS(5745),
    [anon_sym_EQ] = ACTIONS(5747),
    [anon_sym_register] = ACTIONS(5745),
    [anon_sym_inline] = ACTIONS(5745),
    [anon_sym___inline] = ACTIONS(5745),
    [anon_sym___inline__] = ACTIONS(5745),
    [anon_sym___forceinline] = ACTIONS(5745),
    [anon_sym_thread_local] = ACTIONS(5745),
    [anon_sym___thread] = ACTIONS(5745),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5745),
    [anon_sym_volatile] = ACTIONS(5745),
    [anon_sym_restrict] = ACTIONS(5745),
    [anon_sym___restrict__] = ACTIONS(5745),
    [anon_sym__Atomic] = ACTIONS(5745),
    [anon_sym__Noreturn] = ACTIONS(5745),
    [anon_sym_noreturn] = ACTIONS(5745),
    [anon_sym__Nonnull] = ACTIONS(5745),
    [anon_sym_mutable] = ACTIONS(5745),
    [anon_sym_constinit] = ACTIONS(5745),
    [anon_sym_consteval] = ACTIONS(5745),
    [anon_sym_alignas] = ACTIONS(5745),
    [anon_sym__Alignas] = ACTIONS(5745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5745),
    [anon_sym_decltype] = ACTIONS(5745),
    [anon_sym_template] = ACTIONS(5745),
    [anon_sym_GT2] = ACTIONS(5747),
    [anon_sym_operator] = ACTIONS(5745),
    [anon_sym_precise] = ACTIONS(5745),
    [anon_sym_shared] = ACTIONS(5745),
    [anon_sym_groupshared] = ACTIONS(5745),
    [anon_sym_uniform] = ACTIONS(5745),
    [anon_sym_row_major] = ACTIONS(5745),
    [anon_sym_column_major] = ACTIONS(5745),
    [anon_sym_globallycoherent] = ACTIONS(5745),
    [anon_sym_centroid] = ACTIONS(5745),
    [anon_sym_noperspective] = ACTIONS(5745),
    [anon_sym_nointerpolation] = ACTIONS(5745),
    [anon_sym_sample] = ACTIONS(5745),
    [anon_sym_linear] = ACTIONS(5745),
    [anon_sym_snorm] = ACTIONS(5745),
    [anon_sym_unorm] = ACTIONS(5745),
    [anon_sym_point] = ACTIONS(5745),
    [anon_sym_line] = ACTIONS(5745),
    [anon_sym_triangleadj] = ACTIONS(5745),
    [anon_sym_lineadj] = ACTIONS(5745),
    [anon_sym_triangle] = ACTIONS(5745),
  },
  [2265] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_TILDE] = ACTIONS(5590),
    [anon_sym_STAR] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym_in] = ACTIONS(5588),
    [anon_sym_out] = ACTIONS(5588),
    [anon_sym_inout] = ACTIONS(5588),
    [anon_sym_virtual] = ACTIONS(5588),
    [anon_sym_extern] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym___attribute] = ACTIONS(5588),
    [anon_sym_COLON_COLON] = ACTIONS(5590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5590),
    [anon_sym___declspec] = ACTIONS(5588),
    [anon_sym___based] = ACTIONS(5588),
    [anon_sym___cdecl] = ACTIONS(5588),
    [anon_sym___clrcall] = ACTIONS(5588),
    [anon_sym___stdcall] = ACTIONS(5588),
    [anon_sym___fastcall] = ACTIONS(5588),
    [anon_sym___thiscall] = ACTIONS(5588),
    [anon_sym___vectorcall] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(5751),
    [anon_sym_unsigned] = ACTIONS(5751),
    [anon_sym_long] = ACTIONS(5751),
    [anon_sym_short] = ACTIONS(5751),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym_static] = ACTIONS(5588),
    [anon_sym_EQ] = ACTIONS(5590),
    [anon_sym_register] = ACTIONS(5588),
    [anon_sym_inline] = ACTIONS(5588),
    [anon_sym___inline] = ACTIONS(5588),
    [anon_sym___inline__] = ACTIONS(5588),
    [anon_sym___forceinline] = ACTIONS(5588),
    [anon_sym_thread_local] = ACTIONS(5588),
    [anon_sym___thread] = ACTIONS(5588),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5588),
    [anon_sym_decltype] = ACTIONS(5588),
    [anon_sym_template] = ACTIONS(5588),
    [anon_sym_GT2] = ACTIONS(5590),
    [anon_sym_operator] = ACTIONS(5588),
    [anon_sym_precise] = ACTIONS(5588),
    [anon_sym_shared] = ACTIONS(5588),
    [anon_sym_groupshared] = ACTIONS(5588),
    [anon_sym_uniform] = ACTIONS(5588),
    [anon_sym_row_major] = ACTIONS(5588),
    [anon_sym_column_major] = ACTIONS(5588),
    [anon_sym_globallycoherent] = ACTIONS(5588),
    [anon_sym_centroid] = ACTIONS(5588),
    [anon_sym_noperspective] = ACTIONS(5588),
    [anon_sym_nointerpolation] = ACTIONS(5588),
    [anon_sym_sample] = ACTIONS(5588),
    [anon_sym_linear] = ACTIONS(5588),
    [anon_sym_snorm] = ACTIONS(5588),
    [anon_sym_unorm] = ACTIONS(5588),
    [anon_sym_point] = ACTIONS(5588),
    [anon_sym_line] = ACTIONS(5588),
    [anon_sym_triangleadj] = ACTIONS(5588),
    [anon_sym_lineadj] = ACTIONS(5588),
    [anon_sym_triangle] = ACTIONS(5588),
  },
  [2266] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [aux_sym_preproc_if_token2] = ACTIONS(1924),
    [aux_sym_preproc_else_token1] = ACTIONS(1924),
    [aux_sym_preproc_elif_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_PERCENT] = ACTIONS(1922),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_PIPE] = ACTIONS(1922),
    [anon_sym_CARET] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_GT] = ACTIONS(1922),
    [anon_sym_GT_EQ] = ACTIONS(1924),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_LT_LT] = ACTIONS(1922),
    [anon_sym_GT_GT] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_RBRACK] = ACTIONS(1924),
    [anon_sym_EQ] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [anon_sym_QMARK] = ACTIONS(1924),
    [anon_sym_STAR_EQ] = ACTIONS(1924),
    [anon_sym_SLASH_EQ] = ACTIONS(1924),
    [anon_sym_PERCENT_EQ] = ACTIONS(1924),
    [anon_sym_PLUS_EQ] = ACTIONS(1924),
    [anon_sym_DASH_EQ] = ACTIONS(1924),
    [anon_sym_LT_LT_EQ] = ACTIONS(1924),
    [anon_sym_GT_GT_EQ] = ACTIONS(1924),
    [anon_sym_AMP_EQ] = ACTIONS(1924),
    [anon_sym_CARET_EQ] = ACTIONS(1924),
    [anon_sym_PIPE_EQ] = ACTIONS(1924),
    [anon_sym_and_eq] = ACTIONS(1922),
    [anon_sym_or_eq] = ACTIONS(1922),
    [anon_sym_xor_eq] = ACTIONS(1922),
    [anon_sym_LT_EQ_GT] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_bitor] = ACTIONS(1922),
    [anon_sym_xor] = ACTIONS(1922),
    [anon_sym_bitand] = ACTIONS(1922),
    [anon_sym_not_eq] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DOT] = ACTIONS(1922),
    [anon_sym_DOT_STAR] = ACTIONS(1924),
    [anon_sym_DASH_GT] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
  },
  [2267] = {
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [aux_sym_preproc_if_token2] = ACTIONS(1932),
    [aux_sym_preproc_else_token1] = ACTIONS(1932),
    [aux_sym_preproc_elif_token1] = ACTIONS(1930),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1932),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1930),
    [anon_sym_SLASH] = ACTIONS(1930),
    [anon_sym_PERCENT] = ACTIONS(1930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(1930),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_LT_LT] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1932),
    [anon_sym_RBRACK] = ACTIONS(1932),
    [anon_sym_EQ] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [anon_sym_QMARK] = ACTIONS(1932),
    [anon_sym_STAR_EQ] = ACTIONS(1932),
    [anon_sym_SLASH_EQ] = ACTIONS(1932),
    [anon_sym_PERCENT_EQ] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1932),
    [anon_sym_DASH_EQ] = ACTIONS(1932),
    [anon_sym_LT_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT_GT_EQ] = ACTIONS(1932),
    [anon_sym_AMP_EQ] = ACTIONS(1932),
    [anon_sym_CARET_EQ] = ACTIONS(1932),
    [anon_sym_PIPE_EQ] = ACTIONS(1932),
    [anon_sym_and_eq] = ACTIONS(1930),
    [anon_sym_or_eq] = ACTIONS(1930),
    [anon_sym_xor_eq] = ACTIONS(1930),
    [anon_sym_LT_EQ_GT] = ACTIONS(1932),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [anon_sym_bitor] = ACTIONS(1930),
    [anon_sym_xor] = ACTIONS(1930),
    [anon_sym_bitand] = ACTIONS(1930),
    [anon_sym_not_eq] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_DOT_STAR] = ACTIONS(1932),
    [anon_sym_DASH_GT] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_final] = ACTIONS(1930),
    [anon_sym_override] = ACTIONS(1930),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [aux_sym_preproc_if_token2] = ACTIONS(1936),
    [aux_sym_preproc_else_token1] = ACTIONS(1936),
    [aux_sym_preproc_elif_token1] = ACTIONS(1934),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1936),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1934),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_RBRACK] = ACTIONS(1936),
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_and_eq] = ACTIONS(1934),
    [anon_sym_or_eq] = ACTIONS(1934),
    [anon_sym_xor_eq] = ACTIONS(1934),
    [anon_sym_LT_EQ_GT] = ACTIONS(1936),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [anon_sym_bitor] = ACTIONS(1934),
    [anon_sym_xor] = ACTIONS(1934),
    [anon_sym_bitand] = ACTIONS(1934),
    [anon_sym_not_eq] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_DOT_STAR] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_final] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
  },
  [2269] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [sym_identifier] = ACTIONS(5754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [anon_sym_RPAREN] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_TILDE] = ACTIONS(5756),
    [anon_sym_STAR] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_COLON] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [anon_sym___extension__] = ACTIONS(5754),
    [anon_sym_in] = ACTIONS(5754),
    [anon_sym_out] = ACTIONS(5754),
    [anon_sym_inout] = ACTIONS(5754),
    [anon_sym_virtual] = ACTIONS(5754),
    [anon_sym_extern] = ACTIONS(5754),
    [anon_sym___attribute__] = ACTIONS(5754),
    [anon_sym___attribute] = ACTIONS(5754),
    [anon_sym_COLON_COLON] = ACTIONS(5756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5756),
    [anon_sym___declspec] = ACTIONS(5754),
    [anon_sym___based] = ACTIONS(5754),
    [anon_sym___cdecl] = ACTIONS(5754),
    [anon_sym___clrcall] = ACTIONS(5754),
    [anon_sym___stdcall] = ACTIONS(5754),
    [anon_sym___fastcall] = ACTIONS(5754),
    [anon_sym___thiscall] = ACTIONS(5754),
    [anon_sym___vectorcall] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5754),
    [anon_sym_static] = ACTIONS(5754),
    [anon_sym_EQ] = ACTIONS(5756),
    [anon_sym_register] = ACTIONS(5754),
    [anon_sym_inline] = ACTIONS(5754),
    [anon_sym___inline] = ACTIONS(5754),
    [anon_sym___inline__] = ACTIONS(5754),
    [anon_sym___forceinline] = ACTIONS(5754),
    [anon_sym_thread_local] = ACTIONS(5754),
    [anon_sym___thread] = ACTIONS(5754),
    [anon_sym_const] = ACTIONS(5754),
    [anon_sym_constexpr] = ACTIONS(5754),
    [anon_sym_volatile] = ACTIONS(5754),
    [anon_sym_restrict] = ACTIONS(5754),
    [anon_sym___restrict__] = ACTIONS(5754),
    [anon_sym__Atomic] = ACTIONS(5754),
    [anon_sym__Noreturn] = ACTIONS(5754),
    [anon_sym_noreturn] = ACTIONS(5754),
    [anon_sym__Nonnull] = ACTIONS(5754),
    [anon_sym_mutable] = ACTIONS(5754),
    [anon_sym_constinit] = ACTIONS(5754),
    [anon_sym_consteval] = ACTIONS(5754),
    [anon_sym_alignas] = ACTIONS(5754),
    [anon_sym__Alignas] = ACTIONS(5754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5754),
    [anon_sym_decltype] = ACTIONS(5754),
    [anon_sym_template] = ACTIONS(5754),
    [anon_sym_GT2] = ACTIONS(5756),
    [anon_sym_operator] = ACTIONS(5754),
    [anon_sym_precise] = ACTIONS(5754),
    [anon_sym_shared] = ACTIONS(5754),
    [anon_sym_groupshared] = ACTIONS(5754),
    [anon_sym_uniform] = ACTIONS(5754),
    [anon_sym_row_major] = ACTIONS(5754),
    [anon_sym_column_major] = ACTIONS(5754),
    [anon_sym_globallycoherent] = ACTIONS(5754),
    [anon_sym_centroid] = ACTIONS(5754),
    [anon_sym_noperspective] = ACTIONS(5754),
    [anon_sym_nointerpolation] = ACTIONS(5754),
    [anon_sym_sample] = ACTIONS(5754),
    [anon_sym_linear] = ACTIONS(5754),
    [anon_sym_snorm] = ACTIONS(5754),
    [anon_sym_unorm] = ACTIONS(5754),
    [anon_sym_point] = ACTIONS(5754),
    [anon_sym_line] = ACTIONS(5754),
    [anon_sym_triangleadj] = ACTIONS(5754),
    [anon_sym_lineadj] = ACTIONS(5754),
    [anon_sym_triangle] = ACTIONS(5754),
  },
  [2270] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [sym_identifier] = ACTIONS(5758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_TILDE] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_COLON] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym___extension__] = ACTIONS(5758),
    [anon_sym_in] = ACTIONS(5758),
    [anon_sym_out] = ACTIONS(5758),
    [anon_sym_inout] = ACTIONS(5758),
    [anon_sym_virtual] = ACTIONS(5758),
    [anon_sym_extern] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___attribute] = ACTIONS(5758),
    [anon_sym_COLON_COLON] = ACTIONS(5760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5760),
    [anon_sym___declspec] = ACTIONS(5758),
    [anon_sym___based] = ACTIONS(5758),
    [anon_sym___cdecl] = ACTIONS(5758),
    [anon_sym___clrcall] = ACTIONS(5758),
    [anon_sym___stdcall] = ACTIONS(5758),
    [anon_sym___fastcall] = ACTIONS(5758),
    [anon_sym___thiscall] = ACTIONS(5758),
    [anon_sym___vectorcall] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_static] = ACTIONS(5758),
    [anon_sym_EQ] = ACTIONS(5760),
    [anon_sym_register] = ACTIONS(5758),
    [anon_sym_inline] = ACTIONS(5758),
    [anon_sym___inline] = ACTIONS(5758),
    [anon_sym___inline__] = ACTIONS(5758),
    [anon_sym___forceinline] = ACTIONS(5758),
    [anon_sym_thread_local] = ACTIONS(5758),
    [anon_sym___thread] = ACTIONS(5758),
    [anon_sym_const] = ACTIONS(5758),
    [anon_sym_constexpr] = ACTIONS(5758),
    [anon_sym_volatile] = ACTIONS(5758),
    [anon_sym_restrict] = ACTIONS(5758),
    [anon_sym___restrict__] = ACTIONS(5758),
    [anon_sym__Atomic] = ACTIONS(5758),
    [anon_sym__Noreturn] = ACTIONS(5758),
    [anon_sym_noreturn] = ACTIONS(5758),
    [anon_sym__Nonnull] = ACTIONS(5758),
    [anon_sym_mutable] = ACTIONS(5758),
    [anon_sym_constinit] = ACTIONS(5758),
    [anon_sym_consteval] = ACTIONS(5758),
    [anon_sym_alignas] = ACTIONS(5758),
    [anon_sym__Alignas] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
    [anon_sym_template] = ACTIONS(5758),
    [anon_sym_GT2] = ACTIONS(5760),
    [anon_sym_operator] = ACTIONS(5758),
    [anon_sym_precise] = ACTIONS(5758),
    [anon_sym_shared] = ACTIONS(5758),
    [anon_sym_groupshared] = ACTIONS(5758),
    [anon_sym_uniform] = ACTIONS(5758),
    [anon_sym_row_major] = ACTIONS(5758),
    [anon_sym_column_major] = ACTIONS(5758),
    [anon_sym_globallycoherent] = ACTIONS(5758),
    [anon_sym_centroid] = ACTIONS(5758),
    [anon_sym_noperspective] = ACTIONS(5758),
    [anon_sym_nointerpolation] = ACTIONS(5758),
    [anon_sym_sample] = ACTIONS(5758),
    [anon_sym_linear] = ACTIONS(5758),
    [anon_sym_snorm] = ACTIONS(5758),
    [anon_sym_unorm] = ACTIONS(5758),
    [anon_sym_point] = ACTIONS(5758),
    [anon_sym_line] = ACTIONS(5758),
    [anon_sym_triangleadj] = ACTIONS(5758),
    [anon_sym_lineadj] = ACTIONS(5758),
    [anon_sym_triangle] = ACTIONS(5758),
  },
  [2271] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2282),
    [sym_identifier] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5764),
    [anon_sym_COMMA] = ACTIONS(5764),
    [anon_sym_RPAREN] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_TILDE] = ACTIONS(5764),
    [anon_sym_STAR] = ACTIONS(5764),
    [anon_sym_AMP_AMP] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_COLON] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [anon_sym___extension__] = ACTIONS(5762),
    [anon_sym_in] = ACTIONS(5762),
    [anon_sym_out] = ACTIONS(5762),
    [anon_sym_inout] = ACTIONS(5762),
    [anon_sym_virtual] = ACTIONS(5762),
    [anon_sym_extern] = ACTIONS(5762),
    [anon_sym___attribute__] = ACTIONS(5762),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_COLON_COLON] = ACTIONS(5764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5764),
    [anon_sym___declspec] = ACTIONS(5762),
    [anon_sym___based] = ACTIONS(5762),
    [anon_sym___cdecl] = ACTIONS(5762),
    [anon_sym___clrcall] = ACTIONS(5762),
    [anon_sym___stdcall] = ACTIONS(5762),
    [anon_sym___fastcall] = ACTIONS(5762),
    [anon_sym___thiscall] = ACTIONS(5762),
    [anon_sym___vectorcall] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(5764),
    [anon_sym_signed] = ACTIONS(5766),
    [anon_sym_unsigned] = ACTIONS(5766),
    [anon_sym_long] = ACTIONS(5766),
    [anon_sym_short] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [anon_sym_static] = ACTIONS(5762),
    [anon_sym_EQ] = ACTIONS(5764),
    [anon_sym_register] = ACTIONS(5762),
    [anon_sym_inline] = ACTIONS(5762),
    [anon_sym___inline] = ACTIONS(5762),
    [anon_sym___inline__] = ACTIONS(5762),
    [anon_sym___forceinline] = ACTIONS(5762),
    [anon_sym_thread_local] = ACTIONS(5762),
    [anon_sym___thread] = ACTIONS(5762),
    [anon_sym_const] = ACTIONS(5762),
    [anon_sym_constexpr] = ACTIONS(5762),
    [anon_sym_volatile] = ACTIONS(5762),
    [anon_sym_restrict] = ACTIONS(5762),
    [anon_sym___restrict__] = ACTIONS(5762),
    [anon_sym__Atomic] = ACTIONS(5762),
    [anon_sym__Noreturn] = ACTIONS(5762),
    [anon_sym_noreturn] = ACTIONS(5762),
    [anon_sym__Nonnull] = ACTIONS(5762),
    [anon_sym_mutable] = ACTIONS(5762),
    [anon_sym_constinit] = ACTIONS(5762),
    [anon_sym_consteval] = ACTIONS(5762),
    [anon_sym_alignas] = ACTIONS(5762),
    [anon_sym__Alignas] = ACTIONS(5762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5762),
    [anon_sym_decltype] = ACTIONS(5762),
    [anon_sym_template] = ACTIONS(5762),
    [anon_sym_GT2] = ACTIONS(5764),
    [anon_sym_operator] = ACTIONS(5762),
    [anon_sym_precise] = ACTIONS(5762),
    [anon_sym_shared] = ACTIONS(5762),
    [anon_sym_groupshared] = ACTIONS(5762),
    [anon_sym_uniform] = ACTIONS(5762),
    [anon_sym_row_major] = ACTIONS(5762),
    [anon_sym_column_major] = ACTIONS(5762),
    [anon_sym_globallycoherent] = ACTIONS(5762),
    [anon_sym_centroid] = ACTIONS(5762),
    [anon_sym_noperspective] = ACTIONS(5762),
    [anon_sym_nointerpolation] = ACTIONS(5762),
    [anon_sym_sample] = ACTIONS(5762),
    [anon_sym_linear] = ACTIONS(5762),
    [anon_sym_snorm] = ACTIONS(5762),
    [anon_sym_unorm] = ACTIONS(5762),
    [anon_sym_point] = ACTIONS(5762),
    [anon_sym_line] = ACTIONS(5762),
    [anon_sym_triangleadj] = ACTIONS(5762),
    [anon_sym_lineadj] = ACTIONS(5762),
    [anon_sym_triangle] = ACTIONS(5762),
  },
  [2272] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2283),
    [sym_identifier] = ACTIONS(5768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_TILDE] = ACTIONS(5770),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_COLON] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(5770),
    [anon_sym___extension__] = ACTIONS(5768),
    [anon_sym_in] = ACTIONS(5768),
    [anon_sym_out] = ACTIONS(5768),
    [anon_sym_inout] = ACTIONS(5768),
    [anon_sym_virtual] = ACTIONS(5768),
    [anon_sym_extern] = ACTIONS(5768),
    [anon_sym___attribute__] = ACTIONS(5768),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_COLON_COLON] = ACTIONS(5770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5770),
    [anon_sym___declspec] = ACTIONS(5768),
    [anon_sym___based] = ACTIONS(5768),
    [anon_sym___cdecl] = ACTIONS(5768),
    [anon_sym___clrcall] = ACTIONS(5768),
    [anon_sym___stdcall] = ACTIONS(5768),
    [anon_sym___fastcall] = ACTIONS(5768),
    [anon_sym___thiscall] = ACTIONS(5768),
    [anon_sym___vectorcall] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(5772),
    [anon_sym_unsigned] = ACTIONS(5772),
    [anon_sym_long] = ACTIONS(5772),
    [anon_sym_short] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_static] = ACTIONS(5768),
    [anon_sym_EQ] = ACTIONS(5770),
    [anon_sym_register] = ACTIONS(5768),
    [anon_sym_inline] = ACTIONS(5768),
    [anon_sym___inline] = ACTIONS(5768),
    [anon_sym___inline__] = ACTIONS(5768),
    [anon_sym___forceinline] = ACTIONS(5768),
    [anon_sym_thread_local] = ACTIONS(5768),
    [anon_sym___thread] = ACTIONS(5768),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5768),
    [anon_sym_volatile] = ACTIONS(5768),
    [anon_sym_restrict] = ACTIONS(5768),
    [anon_sym___restrict__] = ACTIONS(5768),
    [anon_sym__Atomic] = ACTIONS(5768),
    [anon_sym__Noreturn] = ACTIONS(5768),
    [anon_sym_noreturn] = ACTIONS(5768),
    [anon_sym__Nonnull] = ACTIONS(5768),
    [anon_sym_mutable] = ACTIONS(5768),
    [anon_sym_constinit] = ACTIONS(5768),
    [anon_sym_consteval] = ACTIONS(5768),
    [anon_sym_alignas] = ACTIONS(5768),
    [anon_sym__Alignas] = ACTIONS(5768),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5768),
    [anon_sym_decltype] = ACTIONS(5768),
    [anon_sym_template] = ACTIONS(5768),
    [anon_sym_GT2] = ACTIONS(5770),
    [anon_sym_operator] = ACTIONS(5768),
    [anon_sym_precise] = ACTIONS(5768),
    [anon_sym_shared] = ACTIONS(5768),
    [anon_sym_groupshared] = ACTIONS(5768),
    [anon_sym_uniform] = ACTIONS(5768),
    [anon_sym_row_major] = ACTIONS(5768),
    [anon_sym_column_major] = ACTIONS(5768),
    [anon_sym_globallycoherent] = ACTIONS(5768),
    [anon_sym_centroid] = ACTIONS(5768),
    [anon_sym_noperspective] = ACTIONS(5768),
    [anon_sym_nointerpolation] = ACTIONS(5768),
    [anon_sym_sample] = ACTIONS(5768),
    [anon_sym_linear] = ACTIONS(5768),
    [anon_sym_snorm] = ACTIONS(5768),
    [anon_sym_unorm] = ACTIONS(5768),
    [anon_sym_point] = ACTIONS(5768),
    [anon_sym_line] = ACTIONS(5768),
    [anon_sym_triangleadj] = ACTIONS(5768),
    [anon_sym_lineadj] = ACTIONS(5768),
    [anon_sym_triangle] = ACTIONS(5768),
  },
  [2273] = {
    [sym_template_argument_list] = STATE(2251),
    [sym_identifier] = ACTIONS(1964),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_out] = ACTIONS(1964),
    [anon_sym_inout] = ACTIONS(1964),
    [anon_sym_virtual] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1964),
    [anon_sym___based] = ACTIONS(1964),
    [anon_sym___cdecl] = ACTIONS(1964),
    [anon_sym___clrcall] = ACTIONS(1964),
    [anon_sym___stdcall] = ACTIONS(1964),
    [anon_sym___fastcall] = ACTIONS(1964),
    [anon_sym___thiscall] = ACTIONS(1964),
    [anon_sym___vectorcall] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_register] = ACTIONS(1964),
    [anon_sym_inline] = ACTIONS(1964),
    [anon_sym___inline] = ACTIONS(1964),
    [anon_sym___inline__] = ACTIONS(1964),
    [anon_sym___forceinline] = ACTIONS(1964),
    [anon_sym_thread_local] = ACTIONS(1964),
    [anon_sym___thread] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_constexpr] = ACTIONS(1964),
    [anon_sym_volatile] = ACTIONS(1964),
    [anon_sym_restrict] = ACTIONS(1964),
    [anon_sym___restrict__] = ACTIONS(1964),
    [anon_sym__Atomic] = ACTIONS(1964),
    [anon_sym__Noreturn] = ACTIONS(1964),
    [anon_sym_noreturn] = ACTIONS(1964),
    [anon_sym__Nonnull] = ACTIONS(1964),
    [anon_sym_mutable] = ACTIONS(1964),
    [anon_sym_constinit] = ACTIONS(1964),
    [anon_sym_consteval] = ACTIONS(1964),
    [anon_sym_alignas] = ACTIONS(1964),
    [anon_sym__Alignas] = ACTIONS(1964),
    [anon_sym_or] = ACTIONS(1964),
    [anon_sym_and] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_final] = ACTIONS(1964),
    [anon_sym_override] = ACTIONS(1964),
    [anon_sym_template] = ACTIONS(1964),
    [anon_sym_operator] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1964),
    [anon_sym_requires] = ACTIONS(1964),
    [anon_sym_precise] = ACTIONS(1964),
    [anon_sym_shared] = ACTIONS(1964),
    [anon_sym_groupshared] = ACTIONS(1964),
    [anon_sym_uniform] = ACTIONS(1964),
    [anon_sym_row_major] = ACTIONS(1964),
    [anon_sym_column_major] = ACTIONS(1964),
    [anon_sym_globallycoherent] = ACTIONS(1964),
    [anon_sym_centroid] = ACTIONS(1964),
    [anon_sym_noperspective] = ACTIONS(1964),
    [anon_sym_nointerpolation] = ACTIONS(1964),
    [anon_sym_sample] = ACTIONS(1964),
    [anon_sym_linear] = ACTIONS(1964),
    [anon_sym_snorm] = ACTIONS(1964),
    [anon_sym_unorm] = ACTIONS(1964),
    [anon_sym_point] = ACTIONS(1964),
    [anon_sym_line] = ACTIONS(1964),
    [anon_sym_triangleadj] = ACTIONS(1964),
    [anon_sym_lineadj] = ACTIONS(1964),
    [anon_sym_triangle] = ACTIONS(1964),
  },
  [2274] = {
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_else_token1] = ACTIONS(1920),
    [aux_sym_preproc_elif_token1] = ACTIONS(1918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_RBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1918),
    [anon_sym_or_eq] = ACTIONS(1918),
    [anon_sym_xor_eq] = ACTIONS(1918),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_final] = ACTIONS(1918),
    [anon_sym_override] = ACTIONS(1918),
  },
  [2275] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [aux_sym_preproc_if_token2] = ACTIONS(1940),
    [aux_sym_preproc_else_token1] = ACTIONS(1940),
    [aux_sym_preproc_elif_token1] = ACTIONS(1938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1940),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_RBRACK] = ACTIONS(1940),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_STAR_EQ] = ACTIONS(1940),
    [anon_sym_SLASH_EQ] = ACTIONS(1940),
    [anon_sym_PERCENT_EQ] = ACTIONS(1940),
    [anon_sym_PLUS_EQ] = ACTIONS(1940),
    [anon_sym_DASH_EQ] = ACTIONS(1940),
    [anon_sym_LT_LT_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_AMP_EQ] = ACTIONS(1940),
    [anon_sym_CARET_EQ] = ACTIONS(1940),
    [anon_sym_PIPE_EQ] = ACTIONS(1940),
    [anon_sym_and_eq] = ACTIONS(1938),
    [anon_sym_or_eq] = ACTIONS(1938),
    [anon_sym_xor_eq] = ACTIONS(1938),
    [anon_sym_LT_EQ_GT] = ACTIONS(1940),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [anon_sym_bitor] = ACTIONS(1938),
    [anon_sym_xor] = ACTIONS(1938),
    [anon_sym_bitand] = ACTIONS(1938),
    [anon_sym_not_eq] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_DOT_STAR] = ACTIONS(1940),
    [anon_sym_DASH_GT] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_final] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
  },
  [2276] = {
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [aux_sym_preproc_if_token2] = ACTIONS(1928),
    [aux_sym_preproc_else_token1] = ACTIONS(1928),
    [aux_sym_preproc_elif_token1] = ACTIONS(1926),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_RBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_RBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1926),
    [anon_sym_or_eq] = ACTIONS(1926),
    [anon_sym_xor_eq] = ACTIONS(1926),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_final] = ACTIONS(1926),
    [anon_sym_override] = ACTIONS(1926),
  },
  [2277] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [sym_identifier] = ACTIONS(5774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_RPAREN] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_TILDE] = ACTIONS(5776),
    [anon_sym_STAR] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_COLON] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [anon_sym___extension__] = ACTIONS(5774),
    [anon_sym_in] = ACTIONS(5774),
    [anon_sym_out] = ACTIONS(5774),
    [anon_sym_inout] = ACTIONS(5774),
    [anon_sym_virtual] = ACTIONS(5774),
    [anon_sym_extern] = ACTIONS(5774),
    [anon_sym___attribute__] = ACTIONS(5774),
    [anon_sym___attribute] = ACTIONS(5774),
    [anon_sym_COLON_COLON] = ACTIONS(5776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5776),
    [anon_sym___declspec] = ACTIONS(5774),
    [anon_sym___based] = ACTIONS(5774),
    [anon_sym___cdecl] = ACTIONS(5774),
    [anon_sym___clrcall] = ACTIONS(5774),
    [anon_sym___stdcall] = ACTIONS(5774),
    [anon_sym___fastcall] = ACTIONS(5774),
    [anon_sym___thiscall] = ACTIONS(5774),
    [anon_sym___vectorcall] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5774),
    [anon_sym_static] = ACTIONS(5774),
    [anon_sym_EQ] = ACTIONS(5776),
    [anon_sym_register] = ACTIONS(5774),
    [anon_sym_inline] = ACTIONS(5774),
    [anon_sym___inline] = ACTIONS(5774),
    [anon_sym___inline__] = ACTIONS(5774),
    [anon_sym___forceinline] = ACTIONS(5774),
    [anon_sym_thread_local] = ACTIONS(5774),
    [anon_sym___thread] = ACTIONS(5774),
    [anon_sym_const] = ACTIONS(5774),
    [anon_sym_constexpr] = ACTIONS(5774),
    [anon_sym_volatile] = ACTIONS(5774),
    [anon_sym_restrict] = ACTIONS(5774),
    [anon_sym___restrict__] = ACTIONS(5774),
    [anon_sym__Atomic] = ACTIONS(5774),
    [anon_sym__Noreturn] = ACTIONS(5774),
    [anon_sym_noreturn] = ACTIONS(5774),
    [anon_sym__Nonnull] = ACTIONS(5774),
    [anon_sym_mutable] = ACTIONS(5774),
    [anon_sym_constinit] = ACTIONS(5774),
    [anon_sym_consteval] = ACTIONS(5774),
    [anon_sym_alignas] = ACTIONS(5774),
    [anon_sym__Alignas] = ACTIONS(5774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5774),
    [anon_sym_decltype] = ACTIONS(5774),
    [anon_sym_template] = ACTIONS(5774),
    [anon_sym_GT2] = ACTIONS(5776),
    [anon_sym_operator] = ACTIONS(5774),
    [anon_sym_precise] = ACTIONS(5774),
    [anon_sym_shared] = ACTIONS(5774),
    [anon_sym_groupshared] = ACTIONS(5774),
    [anon_sym_uniform] = ACTIONS(5774),
    [anon_sym_row_major] = ACTIONS(5774),
    [anon_sym_column_major] = ACTIONS(5774),
    [anon_sym_globallycoherent] = ACTIONS(5774),
    [anon_sym_centroid] = ACTIONS(5774),
    [anon_sym_noperspective] = ACTIONS(5774),
    [anon_sym_nointerpolation] = ACTIONS(5774),
    [anon_sym_sample] = ACTIONS(5774),
    [anon_sym_linear] = ACTIONS(5774),
    [anon_sym_snorm] = ACTIONS(5774),
    [anon_sym_unorm] = ACTIONS(5774),
    [anon_sym_point] = ACTIONS(5774),
    [anon_sym_line] = ACTIONS(5774),
    [anon_sym_triangleadj] = ACTIONS(5774),
    [anon_sym_lineadj] = ACTIONS(5774),
    [anon_sym_triangle] = ACTIONS(5774),
  },
  [2278] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2270),
    [sym_identifier] = ACTIONS(5778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5780),
    [anon_sym_COMMA] = ACTIONS(5780),
    [anon_sym_RPAREN] = ACTIONS(5780),
    [anon_sym_LPAREN2] = ACTIONS(5780),
    [anon_sym_TILDE] = ACTIONS(5780),
    [anon_sym_STAR] = ACTIONS(5780),
    [anon_sym_AMP_AMP] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_COLON] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym___extension__] = ACTIONS(5778),
    [anon_sym_in] = ACTIONS(5778),
    [anon_sym_out] = ACTIONS(5778),
    [anon_sym_inout] = ACTIONS(5778),
    [anon_sym_virtual] = ACTIONS(5778),
    [anon_sym_extern] = ACTIONS(5778),
    [anon_sym___attribute__] = ACTIONS(5778),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_COLON_COLON] = ACTIONS(5780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5780),
    [anon_sym___declspec] = ACTIONS(5778),
    [anon_sym___based] = ACTIONS(5778),
    [anon_sym___cdecl] = ACTIONS(5778),
    [anon_sym___clrcall] = ACTIONS(5778),
    [anon_sym___stdcall] = ACTIONS(5778),
    [anon_sym___fastcall] = ACTIONS(5778),
    [anon_sym___thiscall] = ACTIONS(5778),
    [anon_sym___vectorcall] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5780),
    [anon_sym_signed] = ACTIONS(5782),
    [anon_sym_unsigned] = ACTIONS(5782),
    [anon_sym_long] = ACTIONS(5782),
    [anon_sym_short] = ACTIONS(5782),
    [anon_sym_LBRACK] = ACTIONS(5778),
    [anon_sym_static] = ACTIONS(5778),
    [anon_sym_EQ] = ACTIONS(5780),
    [anon_sym_register] = ACTIONS(5778),
    [anon_sym_inline] = ACTIONS(5778),
    [anon_sym___inline] = ACTIONS(5778),
    [anon_sym___inline__] = ACTIONS(5778),
    [anon_sym___forceinline] = ACTIONS(5778),
    [anon_sym_thread_local] = ACTIONS(5778),
    [anon_sym___thread] = ACTIONS(5778),
    [anon_sym_const] = ACTIONS(5778),
    [anon_sym_constexpr] = ACTIONS(5778),
    [anon_sym_volatile] = ACTIONS(5778),
    [anon_sym_restrict] = ACTIONS(5778),
    [anon_sym___restrict__] = ACTIONS(5778),
    [anon_sym__Atomic] = ACTIONS(5778),
    [anon_sym__Noreturn] = ACTIONS(5778),
    [anon_sym_noreturn] = ACTIONS(5778),
    [anon_sym__Nonnull] = ACTIONS(5778),
    [anon_sym_mutable] = ACTIONS(5778),
    [anon_sym_constinit] = ACTIONS(5778),
    [anon_sym_consteval] = ACTIONS(5778),
    [anon_sym_alignas] = ACTIONS(5778),
    [anon_sym__Alignas] = ACTIONS(5778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5778),
    [anon_sym_decltype] = ACTIONS(5778),
    [anon_sym_template] = ACTIONS(5778),
    [anon_sym_GT2] = ACTIONS(5780),
    [anon_sym_operator] = ACTIONS(5778),
    [anon_sym_precise] = ACTIONS(5778),
    [anon_sym_shared] = ACTIONS(5778),
    [anon_sym_groupshared] = ACTIONS(5778),
    [anon_sym_uniform] = ACTIONS(5778),
    [anon_sym_row_major] = ACTIONS(5778),
    [anon_sym_column_major] = ACTIONS(5778),
    [anon_sym_globallycoherent] = ACTIONS(5778),
    [anon_sym_centroid] = ACTIONS(5778),
    [anon_sym_noperspective] = ACTIONS(5778),
    [anon_sym_nointerpolation] = ACTIONS(5778),
    [anon_sym_sample] = ACTIONS(5778),
    [anon_sym_linear] = ACTIONS(5778),
    [anon_sym_snorm] = ACTIONS(5778),
    [anon_sym_unorm] = ACTIONS(5778),
    [anon_sym_point] = ACTIONS(5778),
    [anon_sym_line] = ACTIONS(5778),
    [anon_sym_triangleadj] = ACTIONS(5778),
    [anon_sym_lineadj] = ACTIONS(5778),
    [anon_sym_triangle] = ACTIONS(5778),
  },
  [2279] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2269),
    [sym_identifier] = ACTIONS(5784),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_RPAREN] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_TILDE] = ACTIONS(5786),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_COLON] = ACTIONS(5784),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym___extension__] = ACTIONS(5784),
    [anon_sym_in] = ACTIONS(5784),
    [anon_sym_out] = ACTIONS(5784),
    [anon_sym_inout] = ACTIONS(5784),
    [anon_sym_virtual] = ACTIONS(5784),
    [anon_sym_extern] = ACTIONS(5784),
    [anon_sym___attribute__] = ACTIONS(5784),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_COLON_COLON] = ACTIONS(5786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5786),
    [anon_sym___declspec] = ACTIONS(5784),
    [anon_sym___based] = ACTIONS(5784),
    [anon_sym___cdecl] = ACTIONS(5784),
    [anon_sym___clrcall] = ACTIONS(5784),
    [anon_sym___stdcall] = ACTIONS(5784),
    [anon_sym___fastcall] = ACTIONS(5784),
    [anon_sym___thiscall] = ACTIONS(5784),
    [anon_sym___vectorcall] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(5788),
    [anon_sym_unsigned] = ACTIONS(5788),
    [anon_sym_long] = ACTIONS(5788),
    [anon_sym_short] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [anon_sym_static] = ACTIONS(5784),
    [anon_sym_EQ] = ACTIONS(5786),
    [anon_sym_register] = ACTIONS(5784),
    [anon_sym_inline] = ACTIONS(5784),
    [anon_sym___inline] = ACTIONS(5784),
    [anon_sym___inline__] = ACTIONS(5784),
    [anon_sym___forceinline] = ACTIONS(5784),
    [anon_sym_thread_local] = ACTIONS(5784),
    [anon_sym___thread] = ACTIONS(5784),
    [anon_sym_const] = ACTIONS(5784),
    [anon_sym_constexpr] = ACTIONS(5784),
    [anon_sym_volatile] = ACTIONS(5784),
    [anon_sym_restrict] = ACTIONS(5784),
    [anon_sym___restrict__] = ACTIONS(5784),
    [anon_sym__Atomic] = ACTIONS(5784),
    [anon_sym__Noreturn] = ACTIONS(5784),
    [anon_sym_noreturn] = ACTIONS(5784),
    [anon_sym__Nonnull] = ACTIONS(5784),
    [anon_sym_mutable] = ACTIONS(5784),
    [anon_sym_constinit] = ACTIONS(5784),
    [anon_sym_consteval] = ACTIONS(5784),
    [anon_sym_alignas] = ACTIONS(5784),
    [anon_sym__Alignas] = ACTIONS(5784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5784),
    [anon_sym_decltype] = ACTIONS(5784),
    [anon_sym_template] = ACTIONS(5784),
    [anon_sym_GT2] = ACTIONS(5786),
    [anon_sym_operator] = ACTIONS(5784),
    [anon_sym_precise] = ACTIONS(5784),
    [anon_sym_shared] = ACTIONS(5784),
    [anon_sym_groupshared] = ACTIONS(5784),
    [anon_sym_uniform] = ACTIONS(5784),
    [anon_sym_row_major] = ACTIONS(5784),
    [anon_sym_column_major] = ACTIONS(5784),
    [anon_sym_globallycoherent] = ACTIONS(5784),
    [anon_sym_centroid] = ACTIONS(5784),
    [anon_sym_noperspective] = ACTIONS(5784),
    [anon_sym_nointerpolation] = ACTIONS(5784),
    [anon_sym_sample] = ACTIONS(5784),
    [anon_sym_linear] = ACTIONS(5784),
    [anon_sym_snorm] = ACTIONS(5784),
    [anon_sym_unorm] = ACTIONS(5784),
    [anon_sym_point] = ACTIONS(5784),
    [anon_sym_line] = ACTIONS(5784),
    [anon_sym_triangleadj] = ACTIONS(5784),
    [anon_sym_lineadj] = ACTIONS(5784),
    [anon_sym_triangle] = ACTIONS(5784),
  },
  [2280] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [sym_identifier] = ACTIONS(5790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5792),
    [anon_sym_RPAREN] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_TILDE] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [anon_sym___extension__] = ACTIONS(5790),
    [anon_sym_in] = ACTIONS(5790),
    [anon_sym_out] = ACTIONS(5790),
    [anon_sym_inout] = ACTIONS(5790),
    [anon_sym_virtual] = ACTIONS(5790),
    [anon_sym_extern] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5790),
    [anon_sym_COLON_COLON] = ACTIONS(5792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5792),
    [anon_sym___declspec] = ACTIONS(5790),
    [anon_sym___based] = ACTIONS(5790),
    [anon_sym___cdecl] = ACTIONS(5790),
    [anon_sym___clrcall] = ACTIONS(5790),
    [anon_sym___stdcall] = ACTIONS(5790),
    [anon_sym___fastcall] = ACTIONS(5790),
    [anon_sym___thiscall] = ACTIONS(5790),
    [anon_sym___vectorcall] = ACTIONS(5790),
    [anon_sym_LBRACE] = ACTIONS(5792),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_static] = ACTIONS(5790),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_register] = ACTIONS(5790),
    [anon_sym_inline] = ACTIONS(5790),
    [anon_sym___inline] = ACTIONS(5790),
    [anon_sym___inline__] = ACTIONS(5790),
    [anon_sym___forceinline] = ACTIONS(5790),
    [anon_sym_thread_local] = ACTIONS(5790),
    [anon_sym___thread] = ACTIONS(5790),
    [anon_sym_const] = ACTIONS(5790),
    [anon_sym_constexpr] = ACTIONS(5790),
    [anon_sym_volatile] = ACTIONS(5790),
    [anon_sym_restrict] = ACTIONS(5790),
    [anon_sym___restrict__] = ACTIONS(5790),
    [anon_sym__Atomic] = ACTIONS(5790),
    [anon_sym__Noreturn] = ACTIONS(5790),
    [anon_sym_noreturn] = ACTIONS(5790),
    [anon_sym__Nonnull] = ACTIONS(5790),
    [anon_sym_mutable] = ACTIONS(5790),
    [anon_sym_constinit] = ACTIONS(5790),
    [anon_sym_consteval] = ACTIONS(5790),
    [anon_sym_alignas] = ACTIONS(5790),
    [anon_sym__Alignas] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
    [anon_sym_template] = ACTIONS(5790),
    [anon_sym_GT2] = ACTIONS(5792),
    [anon_sym_operator] = ACTIONS(5790),
    [anon_sym_precise] = ACTIONS(5790),
    [anon_sym_shared] = ACTIONS(5790),
    [anon_sym_groupshared] = ACTIONS(5790),
    [anon_sym_uniform] = ACTIONS(5790),
    [anon_sym_row_major] = ACTIONS(5790),
    [anon_sym_column_major] = ACTIONS(5790),
    [anon_sym_globallycoherent] = ACTIONS(5790),
    [anon_sym_centroid] = ACTIONS(5790),
    [anon_sym_noperspective] = ACTIONS(5790),
    [anon_sym_nointerpolation] = ACTIONS(5790),
    [anon_sym_sample] = ACTIONS(5790),
    [anon_sym_linear] = ACTIONS(5790),
    [anon_sym_snorm] = ACTIONS(5790),
    [anon_sym_unorm] = ACTIONS(5790),
    [anon_sym_point] = ACTIONS(5790),
    [anon_sym_line] = ACTIONS(5790),
    [anon_sym_triangleadj] = ACTIONS(5790),
    [anon_sym_lineadj] = ACTIONS(5790),
    [anon_sym_triangle] = ACTIONS(5790),
  },
  [2281] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2280),
    [sym_identifier] = ACTIONS(5794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5796),
    [anon_sym_RPAREN] = ACTIONS(5796),
    [anon_sym_LPAREN2] = ACTIONS(5796),
    [anon_sym_TILDE] = ACTIONS(5796),
    [anon_sym_STAR] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [anon_sym___extension__] = ACTIONS(5794),
    [anon_sym_in] = ACTIONS(5794),
    [anon_sym_out] = ACTIONS(5794),
    [anon_sym_inout] = ACTIONS(5794),
    [anon_sym_virtual] = ACTIONS(5794),
    [anon_sym_extern] = ACTIONS(5794),
    [anon_sym___attribute__] = ACTIONS(5794),
    [anon_sym___attribute] = ACTIONS(5794),
    [anon_sym_COLON_COLON] = ACTIONS(5796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5796),
    [anon_sym___declspec] = ACTIONS(5794),
    [anon_sym___based] = ACTIONS(5794),
    [anon_sym___cdecl] = ACTIONS(5794),
    [anon_sym___clrcall] = ACTIONS(5794),
    [anon_sym___stdcall] = ACTIONS(5794),
    [anon_sym___fastcall] = ACTIONS(5794),
    [anon_sym___thiscall] = ACTIONS(5794),
    [anon_sym___vectorcall] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_signed] = ACTIONS(5717),
    [anon_sym_unsigned] = ACTIONS(5717),
    [anon_sym_long] = ACTIONS(5717),
    [anon_sym_short] = ACTIONS(5717),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [anon_sym_static] = ACTIONS(5794),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_register] = ACTIONS(5794),
    [anon_sym_inline] = ACTIONS(5794),
    [anon_sym___inline] = ACTIONS(5794),
    [anon_sym___inline__] = ACTIONS(5794),
    [anon_sym___forceinline] = ACTIONS(5794),
    [anon_sym_thread_local] = ACTIONS(5794),
    [anon_sym___thread] = ACTIONS(5794),
    [anon_sym_const] = ACTIONS(5794),
    [anon_sym_constexpr] = ACTIONS(5794),
    [anon_sym_volatile] = ACTIONS(5794),
    [anon_sym_restrict] = ACTIONS(5794),
    [anon_sym___restrict__] = ACTIONS(5794),
    [anon_sym__Atomic] = ACTIONS(5794),
    [anon_sym__Noreturn] = ACTIONS(5794),
    [anon_sym_noreturn] = ACTIONS(5794),
    [anon_sym__Nonnull] = ACTIONS(5794),
    [anon_sym_mutable] = ACTIONS(5794),
    [anon_sym_constinit] = ACTIONS(5794),
    [anon_sym_consteval] = ACTIONS(5794),
    [anon_sym_alignas] = ACTIONS(5794),
    [anon_sym__Alignas] = ACTIONS(5794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5794),
    [anon_sym_decltype] = ACTIONS(5794),
    [anon_sym_template] = ACTIONS(5794),
    [anon_sym_GT2] = ACTIONS(5796),
    [anon_sym_operator] = ACTIONS(5794),
    [anon_sym_precise] = ACTIONS(5794),
    [anon_sym_shared] = ACTIONS(5794),
    [anon_sym_groupshared] = ACTIONS(5794),
    [anon_sym_uniform] = ACTIONS(5794),
    [anon_sym_row_major] = ACTIONS(5794),
    [anon_sym_column_major] = ACTIONS(5794),
    [anon_sym_globallycoherent] = ACTIONS(5794),
    [anon_sym_centroid] = ACTIONS(5794),
    [anon_sym_noperspective] = ACTIONS(5794),
    [anon_sym_nointerpolation] = ACTIONS(5794),
    [anon_sym_sample] = ACTIONS(5794),
    [anon_sym_linear] = ACTIONS(5794),
    [anon_sym_snorm] = ACTIONS(5794),
    [anon_sym_unorm] = ACTIONS(5794),
    [anon_sym_point] = ACTIONS(5794),
    [anon_sym_line] = ACTIONS(5794),
    [anon_sym_triangleadj] = ACTIONS(5794),
    [anon_sym_lineadj] = ACTIONS(5794),
    [anon_sym_triangle] = ACTIONS(5794),
  },
  [2282] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [sym_identifier] = ACTIONS(5798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_RPAREN] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_TILDE] = ACTIONS(5800),
    [anon_sym_STAR] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [anon_sym___extension__] = ACTIONS(5798),
    [anon_sym_in] = ACTIONS(5798),
    [anon_sym_out] = ACTIONS(5798),
    [anon_sym_inout] = ACTIONS(5798),
    [anon_sym_virtual] = ACTIONS(5798),
    [anon_sym_extern] = ACTIONS(5798),
    [anon_sym___attribute__] = ACTIONS(5798),
    [anon_sym___attribute] = ACTIONS(5798),
    [anon_sym_COLON_COLON] = ACTIONS(5800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5800),
    [anon_sym___declspec] = ACTIONS(5798),
    [anon_sym___based] = ACTIONS(5798),
    [anon_sym___cdecl] = ACTIONS(5798),
    [anon_sym___clrcall] = ACTIONS(5798),
    [anon_sym___stdcall] = ACTIONS(5798),
    [anon_sym___fastcall] = ACTIONS(5798),
    [anon_sym___thiscall] = ACTIONS(5798),
    [anon_sym___vectorcall] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5798),
    [anon_sym_static] = ACTIONS(5798),
    [anon_sym_EQ] = ACTIONS(5800),
    [anon_sym_register] = ACTIONS(5798),
    [anon_sym_inline] = ACTIONS(5798),
    [anon_sym___inline] = ACTIONS(5798),
    [anon_sym___inline__] = ACTIONS(5798),
    [anon_sym___forceinline] = ACTIONS(5798),
    [anon_sym_thread_local] = ACTIONS(5798),
    [anon_sym___thread] = ACTIONS(5798),
    [anon_sym_const] = ACTIONS(5798),
    [anon_sym_constexpr] = ACTIONS(5798),
    [anon_sym_volatile] = ACTIONS(5798),
    [anon_sym_restrict] = ACTIONS(5798),
    [anon_sym___restrict__] = ACTIONS(5798),
    [anon_sym__Atomic] = ACTIONS(5798),
    [anon_sym__Noreturn] = ACTIONS(5798),
    [anon_sym_noreturn] = ACTIONS(5798),
    [anon_sym__Nonnull] = ACTIONS(5798),
    [anon_sym_mutable] = ACTIONS(5798),
    [anon_sym_constinit] = ACTIONS(5798),
    [anon_sym_consteval] = ACTIONS(5798),
    [anon_sym_alignas] = ACTIONS(5798),
    [anon_sym__Alignas] = ACTIONS(5798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5798),
    [anon_sym_decltype] = ACTIONS(5798),
    [anon_sym_template] = ACTIONS(5798),
    [anon_sym_GT2] = ACTIONS(5800),
    [anon_sym_operator] = ACTIONS(5798),
    [anon_sym_precise] = ACTIONS(5798),
    [anon_sym_shared] = ACTIONS(5798),
    [anon_sym_groupshared] = ACTIONS(5798),
    [anon_sym_uniform] = ACTIONS(5798),
    [anon_sym_row_major] = ACTIONS(5798),
    [anon_sym_column_major] = ACTIONS(5798),
    [anon_sym_globallycoherent] = ACTIONS(5798),
    [anon_sym_centroid] = ACTIONS(5798),
    [anon_sym_noperspective] = ACTIONS(5798),
    [anon_sym_nointerpolation] = ACTIONS(5798),
    [anon_sym_sample] = ACTIONS(5798),
    [anon_sym_linear] = ACTIONS(5798),
    [anon_sym_snorm] = ACTIONS(5798),
    [anon_sym_unorm] = ACTIONS(5798),
    [anon_sym_point] = ACTIONS(5798),
    [anon_sym_line] = ACTIONS(5798),
    [anon_sym_triangleadj] = ACTIONS(5798),
    [anon_sym_lineadj] = ACTIONS(5798),
    [anon_sym_triangle] = ACTIONS(5798),
  },
  [2283] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2265),
    [sym_identifier] = ACTIONS(5802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_RPAREN] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_TILDE] = ACTIONS(5804),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_COLON] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [anon_sym___extension__] = ACTIONS(5802),
    [anon_sym_in] = ACTIONS(5802),
    [anon_sym_out] = ACTIONS(5802),
    [anon_sym_inout] = ACTIONS(5802),
    [anon_sym_virtual] = ACTIONS(5802),
    [anon_sym_extern] = ACTIONS(5802),
    [anon_sym___attribute__] = ACTIONS(5802),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_COLON_COLON] = ACTIONS(5804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5804),
    [anon_sym___declspec] = ACTIONS(5802),
    [anon_sym___based] = ACTIONS(5802),
    [anon_sym___cdecl] = ACTIONS(5802),
    [anon_sym___clrcall] = ACTIONS(5802),
    [anon_sym___stdcall] = ACTIONS(5802),
    [anon_sym___fastcall] = ACTIONS(5802),
    [anon_sym___thiscall] = ACTIONS(5802),
    [anon_sym___vectorcall] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5802),
    [anon_sym_static] = ACTIONS(5802),
    [anon_sym_EQ] = ACTIONS(5804),
    [anon_sym_register] = ACTIONS(5802),
    [anon_sym_inline] = ACTIONS(5802),
    [anon_sym___inline] = ACTIONS(5802),
    [anon_sym___inline__] = ACTIONS(5802),
    [anon_sym___forceinline] = ACTIONS(5802),
    [anon_sym_thread_local] = ACTIONS(5802),
    [anon_sym___thread] = ACTIONS(5802),
    [anon_sym_const] = ACTIONS(5802),
    [anon_sym_constexpr] = ACTIONS(5802),
    [anon_sym_volatile] = ACTIONS(5802),
    [anon_sym_restrict] = ACTIONS(5802),
    [anon_sym___restrict__] = ACTIONS(5802),
    [anon_sym__Atomic] = ACTIONS(5802),
    [anon_sym__Noreturn] = ACTIONS(5802),
    [anon_sym_noreturn] = ACTIONS(5802),
    [anon_sym__Nonnull] = ACTIONS(5802),
    [anon_sym_mutable] = ACTIONS(5802),
    [anon_sym_constinit] = ACTIONS(5802),
    [anon_sym_consteval] = ACTIONS(5802),
    [anon_sym_alignas] = ACTIONS(5802),
    [anon_sym__Alignas] = ACTIONS(5802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5802),
    [anon_sym_decltype] = ACTIONS(5802),
    [anon_sym_template] = ACTIONS(5802),
    [anon_sym_GT2] = ACTIONS(5804),
    [anon_sym_operator] = ACTIONS(5802),
    [anon_sym_precise] = ACTIONS(5802),
    [anon_sym_shared] = ACTIONS(5802),
    [anon_sym_groupshared] = ACTIONS(5802),
    [anon_sym_uniform] = ACTIONS(5802),
    [anon_sym_row_major] = ACTIONS(5802),
    [anon_sym_column_major] = ACTIONS(5802),
    [anon_sym_globallycoherent] = ACTIONS(5802),
    [anon_sym_centroid] = ACTIONS(5802),
    [anon_sym_noperspective] = ACTIONS(5802),
    [anon_sym_nointerpolation] = ACTIONS(5802),
    [anon_sym_sample] = ACTIONS(5802),
    [anon_sym_linear] = ACTIONS(5802),
    [anon_sym_snorm] = ACTIONS(5802),
    [anon_sym_unorm] = ACTIONS(5802),
    [anon_sym_point] = ACTIONS(5802),
    [anon_sym_line] = ACTIONS(5802),
    [anon_sym_triangleadj] = ACTIONS(5802),
    [anon_sym_lineadj] = ACTIONS(5802),
    [anon_sym_triangle] = ACTIONS(5802),
  },
  [2284] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym___cdecl] = ACTIONS(5710),
    [anon_sym___clrcall] = ACTIONS(5710),
    [anon_sym___stdcall] = ACTIONS(5710),
    [anon_sym___fastcall] = ACTIONS(5710),
    [anon_sym___thiscall] = ACTIONS(5710),
    [anon_sym___vectorcall] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_GT2] = ACTIONS(5712),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_try] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2285] = {
    [sym_identifier] = ACTIONS(5806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5808),
    [anon_sym_COMMA] = ACTIONS(5808),
    [anon_sym_RPAREN] = ACTIONS(5808),
    [anon_sym_LPAREN2] = ACTIONS(5808),
    [anon_sym_TILDE] = ACTIONS(5808),
    [anon_sym_STAR] = ACTIONS(5808),
    [anon_sym_AMP_AMP] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(5806),
    [anon_sym_COLON] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [anon_sym___extension__] = ACTIONS(5806),
    [anon_sym_in] = ACTIONS(5806),
    [anon_sym_out] = ACTIONS(5806),
    [anon_sym_inout] = ACTIONS(5806),
    [anon_sym_virtual] = ACTIONS(5806),
    [anon_sym_extern] = ACTIONS(5806),
    [anon_sym___attribute__] = ACTIONS(5806),
    [anon_sym___attribute] = ACTIONS(5806),
    [anon_sym_COLON_COLON] = ACTIONS(5808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5808),
    [anon_sym___declspec] = ACTIONS(5806),
    [anon_sym___based] = ACTIONS(5806),
    [anon_sym___cdecl] = ACTIONS(5806),
    [anon_sym___clrcall] = ACTIONS(5806),
    [anon_sym___stdcall] = ACTIONS(5806),
    [anon_sym___fastcall] = ACTIONS(5806),
    [anon_sym___thiscall] = ACTIONS(5806),
    [anon_sym___vectorcall] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5806),
    [anon_sym_static] = ACTIONS(5806),
    [anon_sym_EQ] = ACTIONS(5808),
    [anon_sym_register] = ACTIONS(5806),
    [anon_sym_inline] = ACTIONS(5806),
    [anon_sym___inline] = ACTIONS(5806),
    [anon_sym___inline__] = ACTIONS(5806),
    [anon_sym___forceinline] = ACTIONS(5806),
    [anon_sym_thread_local] = ACTIONS(5806),
    [anon_sym___thread] = ACTIONS(5806),
    [anon_sym_const] = ACTIONS(5806),
    [anon_sym_constexpr] = ACTIONS(5806),
    [anon_sym_volatile] = ACTIONS(5806),
    [anon_sym_restrict] = ACTIONS(5806),
    [anon_sym___restrict__] = ACTIONS(5806),
    [anon_sym__Atomic] = ACTIONS(5806),
    [anon_sym__Noreturn] = ACTIONS(5806),
    [anon_sym_noreturn] = ACTIONS(5806),
    [anon_sym__Nonnull] = ACTIONS(5806),
    [anon_sym_mutable] = ACTIONS(5806),
    [anon_sym_constinit] = ACTIONS(5806),
    [anon_sym_consteval] = ACTIONS(5806),
    [anon_sym_alignas] = ACTIONS(5806),
    [anon_sym__Alignas] = ACTIONS(5806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5806),
    [anon_sym_final] = ACTIONS(5806),
    [anon_sym_override] = ACTIONS(5806),
    [anon_sym_template] = ACTIONS(5806),
    [anon_sym_GT2] = ACTIONS(5808),
    [anon_sym_operator] = ACTIONS(5806),
    [anon_sym_try] = ACTIONS(5806),
    [anon_sym_requires] = ACTIONS(5806),
    [anon_sym_precise] = ACTIONS(5806),
    [anon_sym_shared] = ACTIONS(5806),
    [anon_sym_groupshared] = ACTIONS(5806),
    [anon_sym_uniform] = ACTIONS(5806),
    [anon_sym_row_major] = ACTIONS(5806),
    [anon_sym_column_major] = ACTIONS(5806),
    [anon_sym_globallycoherent] = ACTIONS(5806),
    [anon_sym_centroid] = ACTIONS(5806),
    [anon_sym_noperspective] = ACTIONS(5806),
    [anon_sym_nointerpolation] = ACTIONS(5806),
    [anon_sym_sample] = ACTIONS(5806),
    [anon_sym_linear] = ACTIONS(5806),
    [anon_sym_snorm] = ACTIONS(5806),
    [anon_sym_unorm] = ACTIONS(5806),
    [anon_sym_point] = ACTIONS(5806),
    [anon_sym_line] = ACTIONS(5806),
    [anon_sym_triangleadj] = ACTIONS(5806),
    [anon_sym_lineadj] = ACTIONS(5806),
    [anon_sym_triangle] = ACTIONS(5806),
  },
  [2286] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2280),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(5712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym___cdecl] = ACTIONS(5710),
    [anon_sym___clrcall] = ACTIONS(5710),
    [anon_sym___stdcall] = ACTIONS(5710),
    [anon_sym___fastcall] = ACTIONS(5710),
    [anon_sym___thiscall] = ACTIONS(5710),
    [anon_sym___vectorcall] = ACTIONS(5710),
    [anon_sym_signed] = ACTIONS(5717),
    [anon_sym_unsigned] = ACTIONS(5717),
    [anon_sym_long] = ACTIONS(5717),
    [anon_sym_short] = ACTIONS(5717),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_GT2] = ACTIONS(5712),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2287] = {
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2175),
    [anon_sym_COMMA] = ACTIONS(2175),
    [anon_sym_RPAREN] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_COLON] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym___extension__] = ACTIONS(2173),
    [anon_sym_in] = ACTIONS(2173),
    [anon_sym_out] = ACTIONS(2173),
    [anon_sym_inout] = ACTIONS(2173),
    [anon_sym_virtual] = ACTIONS(2173),
    [anon_sym_extern] = ACTIONS(2173),
    [anon_sym___attribute__] = ACTIONS(2173),
    [anon_sym___attribute] = ACTIONS(2173),
    [anon_sym_COLON_COLON] = ACTIONS(2175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2175),
    [anon_sym___declspec] = ACTIONS(2173),
    [anon_sym___based] = ACTIONS(2173),
    [anon_sym___cdecl] = ACTIONS(2173),
    [anon_sym___clrcall] = ACTIONS(2173),
    [anon_sym___stdcall] = ACTIONS(2173),
    [anon_sym___fastcall] = ACTIONS(2173),
    [anon_sym___thiscall] = ACTIONS(2173),
    [anon_sym___vectorcall] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_EQ] = ACTIONS(2175),
    [anon_sym_register] = ACTIONS(2173),
    [anon_sym_inline] = ACTIONS(2173),
    [anon_sym___inline] = ACTIONS(2173),
    [anon_sym___inline__] = ACTIONS(2173),
    [anon_sym___forceinline] = ACTIONS(2173),
    [anon_sym_thread_local] = ACTIONS(2173),
    [anon_sym___thread] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_constexpr] = ACTIONS(2173),
    [anon_sym_volatile] = ACTIONS(2173),
    [anon_sym_restrict] = ACTIONS(2173),
    [anon_sym___restrict__] = ACTIONS(2173),
    [anon_sym__Atomic] = ACTIONS(2173),
    [anon_sym__Noreturn] = ACTIONS(2173),
    [anon_sym_noreturn] = ACTIONS(2173),
    [anon_sym__Nonnull] = ACTIONS(2173),
    [anon_sym_mutable] = ACTIONS(2173),
    [anon_sym_constinit] = ACTIONS(2173),
    [anon_sym_consteval] = ACTIONS(2173),
    [anon_sym_alignas] = ACTIONS(2173),
    [anon_sym__Alignas] = ACTIONS(2173),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2173),
    [anon_sym_decltype] = ACTIONS(2173),
    [anon_sym_final] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_template] = ACTIONS(2173),
    [anon_sym_GT2] = ACTIONS(2175),
    [anon_sym_operator] = ACTIONS(2173),
    [anon_sym_requires] = ACTIONS(2173),
    [anon_sym_precise] = ACTIONS(2173),
    [anon_sym_shared] = ACTIONS(2173),
    [anon_sym_groupshared] = ACTIONS(2173),
    [anon_sym_uniform] = ACTIONS(2173),
    [anon_sym_row_major] = ACTIONS(2173),
    [anon_sym_column_major] = ACTIONS(2173),
    [anon_sym_globallycoherent] = ACTIONS(2173),
    [anon_sym_centroid] = ACTIONS(2173),
    [anon_sym_noperspective] = ACTIONS(2173),
    [anon_sym_nointerpolation] = ACTIONS(2173),
    [anon_sym_sample] = ACTIONS(2173),
    [anon_sym_linear] = ACTIONS(2173),
    [anon_sym_snorm] = ACTIONS(2173),
    [anon_sym_unorm] = ACTIONS(2173),
    [anon_sym_point] = ACTIONS(2173),
    [anon_sym_line] = ACTIONS(2173),
    [anon_sym_triangleadj] = ACTIONS(2173),
    [anon_sym_lineadj] = ACTIONS(2173),
    [anon_sym_triangle] = ACTIONS(2173),
  },
  [2288] = {
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2167),
    [anon_sym_COMMA] = ACTIONS(2167),
    [anon_sym_RPAREN] = ACTIONS(2167),
    [anon_sym_LPAREN2] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2167),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_COLON] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym___extension__] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_out] = ACTIONS(2165),
    [anon_sym_inout] = ACTIONS(2165),
    [anon_sym_virtual] = ACTIONS(2165),
    [anon_sym_extern] = ACTIONS(2165),
    [anon_sym___attribute__] = ACTIONS(2165),
    [anon_sym___attribute] = ACTIONS(2165),
    [anon_sym_COLON_COLON] = ACTIONS(2167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2167),
    [anon_sym___declspec] = ACTIONS(2165),
    [anon_sym___based] = ACTIONS(2165),
    [anon_sym___cdecl] = ACTIONS(2165),
    [anon_sym___clrcall] = ACTIONS(2165),
    [anon_sym___stdcall] = ACTIONS(2165),
    [anon_sym___fastcall] = ACTIONS(2165),
    [anon_sym___thiscall] = ACTIONS(2165),
    [anon_sym___vectorcall] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_EQ] = ACTIONS(2167),
    [anon_sym_register] = ACTIONS(2165),
    [anon_sym_inline] = ACTIONS(2165),
    [anon_sym___inline] = ACTIONS(2165),
    [anon_sym___inline__] = ACTIONS(2165),
    [anon_sym___forceinline] = ACTIONS(2165),
    [anon_sym_thread_local] = ACTIONS(2165),
    [anon_sym___thread] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_constexpr] = ACTIONS(2165),
    [anon_sym_volatile] = ACTIONS(2165),
    [anon_sym_restrict] = ACTIONS(2165),
    [anon_sym___restrict__] = ACTIONS(2165),
    [anon_sym__Atomic] = ACTIONS(2165),
    [anon_sym__Noreturn] = ACTIONS(2165),
    [anon_sym_noreturn] = ACTIONS(2165),
    [anon_sym__Nonnull] = ACTIONS(2165),
    [anon_sym_mutable] = ACTIONS(2165),
    [anon_sym_constinit] = ACTIONS(2165),
    [anon_sym_consteval] = ACTIONS(2165),
    [anon_sym_alignas] = ACTIONS(2165),
    [anon_sym__Alignas] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2165),
    [anon_sym_decltype] = ACTIONS(2165),
    [anon_sym_final] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_template] = ACTIONS(2165),
    [anon_sym_GT2] = ACTIONS(2167),
    [anon_sym_operator] = ACTIONS(2165),
    [anon_sym_requires] = ACTIONS(2165),
    [anon_sym_precise] = ACTIONS(2165),
    [anon_sym_shared] = ACTIONS(2165),
    [anon_sym_groupshared] = ACTIONS(2165),
    [anon_sym_uniform] = ACTIONS(2165),
    [anon_sym_row_major] = ACTIONS(2165),
    [anon_sym_column_major] = ACTIONS(2165),
    [anon_sym_globallycoherent] = ACTIONS(2165),
    [anon_sym_centroid] = ACTIONS(2165),
    [anon_sym_noperspective] = ACTIONS(2165),
    [anon_sym_nointerpolation] = ACTIONS(2165),
    [anon_sym_sample] = ACTIONS(2165),
    [anon_sym_linear] = ACTIONS(2165),
    [anon_sym_snorm] = ACTIONS(2165),
    [anon_sym_unorm] = ACTIONS(2165),
    [anon_sym_point] = ACTIONS(2165),
    [anon_sym_line] = ACTIONS(2165),
    [anon_sym_triangleadj] = ACTIONS(2165),
    [anon_sym_lineadj] = ACTIONS(2165),
    [anon_sym_triangle] = ACTIONS(2165),
  },
  [2289] = {
    [sym_identifier] = ACTIONS(5794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5796),
    [anon_sym_RPAREN] = ACTIONS(5796),
    [anon_sym_LPAREN2] = ACTIONS(5796),
    [anon_sym_TILDE] = ACTIONS(5796),
    [anon_sym_STAR] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [anon_sym___extension__] = ACTIONS(5794),
    [anon_sym_in] = ACTIONS(5794),
    [anon_sym_out] = ACTIONS(5794),
    [anon_sym_inout] = ACTIONS(5794),
    [anon_sym_virtual] = ACTIONS(5794),
    [anon_sym_extern] = ACTIONS(5794),
    [anon_sym___attribute__] = ACTIONS(5794),
    [anon_sym___attribute] = ACTIONS(5794),
    [anon_sym_COLON_COLON] = ACTIONS(5796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5796),
    [anon_sym___declspec] = ACTIONS(5794),
    [anon_sym___based] = ACTIONS(5794),
    [anon_sym___cdecl] = ACTIONS(5794),
    [anon_sym___clrcall] = ACTIONS(5794),
    [anon_sym___stdcall] = ACTIONS(5794),
    [anon_sym___fastcall] = ACTIONS(5794),
    [anon_sym___thiscall] = ACTIONS(5794),
    [anon_sym___vectorcall] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [anon_sym_static] = ACTIONS(5794),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_register] = ACTIONS(5794),
    [anon_sym_inline] = ACTIONS(5794),
    [anon_sym___inline] = ACTIONS(5794),
    [anon_sym___inline__] = ACTIONS(5794),
    [anon_sym___forceinline] = ACTIONS(5794),
    [anon_sym_thread_local] = ACTIONS(5794),
    [anon_sym___thread] = ACTIONS(5794),
    [anon_sym_const] = ACTIONS(5794),
    [anon_sym_constexpr] = ACTIONS(5794),
    [anon_sym_volatile] = ACTIONS(5794),
    [anon_sym_restrict] = ACTIONS(5794),
    [anon_sym___restrict__] = ACTIONS(5794),
    [anon_sym__Atomic] = ACTIONS(5794),
    [anon_sym__Noreturn] = ACTIONS(5794),
    [anon_sym_noreturn] = ACTIONS(5794),
    [anon_sym__Nonnull] = ACTIONS(5794),
    [anon_sym_mutable] = ACTIONS(5794),
    [anon_sym_constinit] = ACTIONS(5794),
    [anon_sym_consteval] = ACTIONS(5794),
    [anon_sym_alignas] = ACTIONS(5794),
    [anon_sym__Alignas] = ACTIONS(5794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5794),
    [anon_sym_decltype] = ACTIONS(5794),
    [anon_sym_final] = ACTIONS(5794),
    [anon_sym_override] = ACTIONS(5794),
    [anon_sym_template] = ACTIONS(5794),
    [anon_sym_GT2] = ACTIONS(5796),
    [anon_sym_operator] = ACTIONS(5794),
    [anon_sym_requires] = ACTIONS(5794),
    [anon_sym_precise] = ACTIONS(5794),
    [anon_sym_shared] = ACTIONS(5794),
    [anon_sym_groupshared] = ACTIONS(5794),
    [anon_sym_uniform] = ACTIONS(5794),
    [anon_sym_row_major] = ACTIONS(5794),
    [anon_sym_column_major] = ACTIONS(5794),
    [anon_sym_globallycoherent] = ACTIONS(5794),
    [anon_sym_centroid] = ACTIONS(5794),
    [anon_sym_noperspective] = ACTIONS(5794),
    [anon_sym_nointerpolation] = ACTIONS(5794),
    [anon_sym_sample] = ACTIONS(5794),
    [anon_sym_linear] = ACTIONS(5794),
    [anon_sym_snorm] = ACTIONS(5794),
    [anon_sym_unorm] = ACTIONS(5794),
    [anon_sym_point] = ACTIONS(5794),
    [anon_sym_line] = ACTIONS(5794),
    [anon_sym_triangleadj] = ACTIONS(5794),
    [anon_sym_lineadj] = ACTIONS(5794),
    [anon_sym_triangle] = ACTIONS(5794),
  },
  [2290] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [sym_identifier] = ACTIONS(5725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [aux_sym_preproc_if_token2] = ACTIONS(5728),
    [aux_sym_preproc_else_token1] = ACTIONS(5728),
    [aux_sym_preproc_elif_token1] = ACTIONS(5725),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5725),
    [anon_sym_SLASH] = ACTIONS(5725),
    [anon_sym_PERCENT] = ACTIONS(5725),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5725),
    [anon_sym_CARET] = ACTIONS(5725),
    [anon_sym_AMP] = ACTIONS(5725),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5725),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5725),
    [anon_sym_LT] = ACTIONS(5725),
    [anon_sym_LT_LT] = ACTIONS(5725),
    [anon_sym_GT_GT] = ACTIONS(5725),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_EQ] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_STAR_EQ] = ACTIONS(5728),
    [anon_sym_SLASH_EQ] = ACTIONS(5728),
    [anon_sym_PERCENT_EQ] = ACTIONS(5728),
    [anon_sym_PLUS_EQ] = ACTIONS(5728),
    [anon_sym_DASH_EQ] = ACTIONS(5728),
    [anon_sym_LT_LT_EQ] = ACTIONS(5728),
    [anon_sym_GT_GT_EQ] = ACTIONS(5728),
    [anon_sym_AMP_EQ] = ACTIONS(5728),
    [anon_sym_CARET_EQ] = ACTIONS(5728),
    [anon_sym_PIPE_EQ] = ACTIONS(5728),
    [anon_sym_and_eq] = ACTIONS(5725),
    [anon_sym_or_eq] = ACTIONS(5725),
    [anon_sym_xor_eq] = ACTIONS(5725),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5725),
    [anon_sym_and] = ACTIONS(5725),
    [anon_sym_bitor] = ACTIONS(5725),
    [anon_sym_xor] = ACTIONS(5725),
    [anon_sym_bitand] = ACTIONS(5725),
    [anon_sym_not_eq] = ACTIONS(5725),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5725),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5725),
    [anon_sym_decltype] = ACTIONS(5725),
  },
  [2291] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5725),
    [anon_sym_SLASH] = ACTIONS(5725),
    [anon_sym_PERCENT] = ACTIONS(5725),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5725),
    [anon_sym_CARET] = ACTIONS(5725),
    [anon_sym_AMP] = ACTIONS(5725),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5725),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5725),
    [anon_sym_LT] = ACTIONS(5725),
    [anon_sym_LT_LT] = ACTIONS(5725),
    [anon_sym_GT_GT] = ACTIONS(5725),
    [anon_sym_COLON] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5728),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_RBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(5635),
    [anon_sym_unsigned] = ACTIONS(5635),
    [anon_sym_long] = ACTIONS(5635),
    [anon_sym_short] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_RBRACK] = ACTIONS(5728),
    [anon_sym_EQ] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_STAR_EQ] = ACTIONS(5728),
    [anon_sym_SLASH_EQ] = ACTIONS(5728),
    [anon_sym_PERCENT_EQ] = ACTIONS(5728),
    [anon_sym_PLUS_EQ] = ACTIONS(5728),
    [anon_sym_DASH_EQ] = ACTIONS(5728),
    [anon_sym_LT_LT_EQ] = ACTIONS(5728),
    [anon_sym_GT_GT_EQ] = ACTIONS(5728),
    [anon_sym_AMP_EQ] = ACTIONS(5728),
    [anon_sym_CARET_EQ] = ACTIONS(5728),
    [anon_sym_PIPE_EQ] = ACTIONS(5728),
    [anon_sym_and_eq] = ACTIONS(5725),
    [anon_sym_or_eq] = ACTIONS(5725),
    [anon_sym_xor_eq] = ACTIONS(5725),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5725),
    [anon_sym_and] = ACTIONS(5725),
    [anon_sym_bitor] = ACTIONS(5725),
    [anon_sym_xor] = ACTIONS(5725),
    [anon_sym_bitand] = ACTIONS(5725),
    [anon_sym_not_eq] = ACTIONS(5725),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5725),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5725),
    [anon_sym_decltype] = ACTIONS(5725),
  },
  [2292] = {
    [sym_decltype_auto] = STATE(2314),
    [sym_identifier] = ACTIONS(5810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5812),
    [anon_sym_COMMA] = ACTIONS(5812),
    [anon_sym_RPAREN] = ACTIONS(5812),
    [anon_sym_LPAREN2] = ACTIONS(5812),
    [anon_sym_TILDE] = ACTIONS(5812),
    [anon_sym_STAR] = ACTIONS(5812),
    [anon_sym_AMP_AMP] = ACTIONS(5812),
    [anon_sym_AMP] = ACTIONS(5810),
    [anon_sym_COLON] = ACTIONS(5810),
    [anon_sym_SEMI] = ACTIONS(5812),
    [anon_sym___extension__] = ACTIONS(5810),
    [anon_sym_in] = ACTIONS(5810),
    [anon_sym_out] = ACTIONS(5810),
    [anon_sym_inout] = ACTIONS(5810),
    [anon_sym_virtual] = ACTIONS(5810),
    [anon_sym_extern] = ACTIONS(5810),
    [anon_sym___attribute__] = ACTIONS(5810),
    [anon_sym___attribute] = ACTIONS(5810),
    [anon_sym_COLON_COLON] = ACTIONS(5812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5812),
    [anon_sym___declspec] = ACTIONS(5810),
    [anon_sym___based] = ACTIONS(5810),
    [anon_sym___cdecl] = ACTIONS(5810),
    [anon_sym___clrcall] = ACTIONS(5810),
    [anon_sym___stdcall] = ACTIONS(5810),
    [anon_sym___fastcall] = ACTIONS(5810),
    [anon_sym___thiscall] = ACTIONS(5810),
    [anon_sym___vectorcall] = ACTIONS(5810),
    [anon_sym_LBRACK] = ACTIONS(5810),
    [anon_sym_static] = ACTIONS(5810),
    [anon_sym_EQ] = ACTIONS(5812),
    [anon_sym_register] = ACTIONS(5810),
    [anon_sym_inline] = ACTIONS(5810),
    [anon_sym___inline] = ACTIONS(5810),
    [anon_sym___inline__] = ACTIONS(5810),
    [anon_sym___forceinline] = ACTIONS(5810),
    [anon_sym_thread_local] = ACTIONS(5810),
    [anon_sym___thread] = ACTIONS(5810),
    [anon_sym_const] = ACTIONS(5810),
    [anon_sym_constexpr] = ACTIONS(5810),
    [anon_sym_volatile] = ACTIONS(5810),
    [anon_sym_restrict] = ACTIONS(5810),
    [anon_sym___restrict__] = ACTIONS(5810),
    [anon_sym__Atomic] = ACTIONS(5810),
    [anon_sym__Noreturn] = ACTIONS(5810),
    [anon_sym_noreturn] = ACTIONS(5810),
    [anon_sym__Nonnull] = ACTIONS(5810),
    [anon_sym_mutable] = ACTIONS(5810),
    [anon_sym_constinit] = ACTIONS(5810),
    [anon_sym_consteval] = ACTIONS(5810),
    [anon_sym_alignas] = ACTIONS(5810),
    [anon_sym__Alignas] = ACTIONS(5810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_final] = ACTIONS(5810),
    [anon_sym_override] = ACTIONS(5810),
    [anon_sym_template] = ACTIONS(5810),
    [anon_sym_GT2] = ACTIONS(5812),
    [anon_sym_operator] = ACTIONS(5810),
    [anon_sym_requires] = ACTIONS(5810),
    [anon_sym_precise] = ACTIONS(5810),
    [anon_sym_shared] = ACTIONS(5810),
    [anon_sym_groupshared] = ACTIONS(5810),
    [anon_sym_uniform] = ACTIONS(5810),
    [anon_sym_row_major] = ACTIONS(5810),
    [anon_sym_column_major] = ACTIONS(5810),
    [anon_sym_globallycoherent] = ACTIONS(5810),
    [anon_sym_centroid] = ACTIONS(5810),
    [anon_sym_noperspective] = ACTIONS(5810),
    [anon_sym_nointerpolation] = ACTIONS(5810),
    [anon_sym_sample] = ACTIONS(5810),
    [anon_sym_linear] = ACTIONS(5810),
    [anon_sym_snorm] = ACTIONS(5810),
    [anon_sym_unorm] = ACTIONS(5810),
    [anon_sym_point] = ACTIONS(5810),
    [anon_sym_line] = ACTIONS(5810),
    [anon_sym_triangleadj] = ACTIONS(5810),
    [anon_sym_lineadj] = ACTIONS(5810),
    [anon_sym_triangle] = ACTIONS(5810),
  },
  [2293] = {
    [sym_identifier] = ACTIONS(5456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5458),
    [anon_sym_COMMA] = ACTIONS(5458),
    [anon_sym_RPAREN] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_COLON] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_in] = ACTIONS(5456),
    [anon_sym_out] = ACTIONS(5456),
    [anon_sym_inout] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym___cdecl] = ACTIONS(5456),
    [anon_sym___clrcall] = ACTIONS(5456),
    [anon_sym___stdcall] = ACTIONS(5456),
    [anon_sym___fastcall] = ACTIONS(5456),
    [anon_sym___thiscall] = ACTIONS(5456),
    [anon_sym___vectorcall] = ACTIONS(5456),
    [anon_sym_LBRACE] = ACTIONS(5458),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_EQ] = ACTIONS(5458),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_final] = ACTIONS(5456),
    [anon_sym_override] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_GT2] = ACTIONS(5458),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_precise] = ACTIONS(5456),
    [anon_sym_shared] = ACTIONS(5456),
    [anon_sym_groupshared] = ACTIONS(5456),
    [anon_sym_uniform] = ACTIONS(5456),
    [anon_sym_row_major] = ACTIONS(5456),
    [anon_sym_column_major] = ACTIONS(5456),
    [anon_sym_globallycoherent] = ACTIONS(5456),
    [anon_sym_centroid] = ACTIONS(5456),
    [anon_sym_noperspective] = ACTIONS(5456),
    [anon_sym_nointerpolation] = ACTIONS(5456),
    [anon_sym_sample] = ACTIONS(5456),
    [anon_sym_linear] = ACTIONS(5456),
    [anon_sym_snorm] = ACTIONS(5456),
    [anon_sym_unorm] = ACTIONS(5456),
    [anon_sym_point] = ACTIONS(5456),
    [anon_sym_line] = ACTIONS(5456),
    [anon_sym_triangleadj] = ACTIONS(5456),
    [anon_sym_lineadj] = ACTIONS(5456),
    [anon_sym_triangle] = ACTIONS(5456),
  },
  [2294] = {
    [sym_string_literal] = STATE(1220),
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym_signed] = ACTIONS(5814),
    [anon_sym_unsigned] = ACTIONS(5814),
    [anon_sym_long] = ACTIONS(5814),
    [anon_sym_short] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_primitive_type] = ACTIONS(5814),
    [anon_sym_enum] = ACTIONS(5814),
    [anon_sym_class] = ACTIONS(5814),
    [anon_sym_struct] = ACTIONS(5814),
    [anon_sym_union] = ACTIONS(5814),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_typename] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2295] = {
    [sym__declaration_modifiers] = STATE(2246),
    [sym_attribute_specifier] = STATE(2246),
    [sym_attribute_declaration] = STATE(2246),
    [sym_ms_declspec_modifier] = STATE(2246),
    [sym_storage_class_specifier] = STATE(2246),
    [sym_type_qualifier] = STATE(2246),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype_auto] = STATE(2314),
    [sym_qualifiers] = STATE(2246),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2246),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5820),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_out] = ACTIONS(5616),
    [anon_sym_inout] = ACTIONS(5616),
    [anon_sym_virtual] = ACTIONS(5616),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5612),
    [anon_sym___cdecl] = ACTIONS(5612),
    [anon_sym___clrcall] = ACTIONS(5612),
    [anon_sym___stdcall] = ACTIONS(5612),
    [anon_sym___fastcall] = ACTIONS(5612),
    [anon_sym___thiscall] = ACTIONS(5612),
    [anon_sym___vectorcall] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_template] = ACTIONS(5612),
    [anon_sym_operator] = ACTIONS(5612),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2296] = {
    [sym_string_literal] = STATE(1218),
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym_signed] = ACTIONS(5814),
    [anon_sym_unsigned] = ACTIONS(5814),
    [anon_sym_long] = ACTIONS(5814),
    [anon_sym_short] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_primitive_type] = ACTIONS(5814),
    [anon_sym_enum] = ACTIONS(5814),
    [anon_sym_class] = ACTIONS(5814),
    [anon_sym_struct] = ACTIONS(5814),
    [anon_sym_union] = ACTIONS(5814),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_typename] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2297] = {
    [sym__declaration_modifiers] = STATE(2246),
    [sym_attribute_specifier] = STATE(2246),
    [sym_attribute_declaration] = STATE(2246),
    [sym_ms_declspec_modifier] = STATE(2246),
    [sym_storage_class_specifier] = STATE(2246),
    [sym_type_qualifier] = STATE(2246),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype_auto] = STATE(2314),
    [sym_qualifiers] = STATE(2246),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2246),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5822),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_out] = ACTIONS(5616),
    [anon_sym_inout] = ACTIONS(5616),
    [anon_sym_virtual] = ACTIONS(5616),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5612),
    [anon_sym___cdecl] = ACTIONS(5612),
    [anon_sym___clrcall] = ACTIONS(5612),
    [anon_sym___stdcall] = ACTIONS(5612),
    [anon_sym___fastcall] = ACTIONS(5612),
    [anon_sym___thiscall] = ACTIONS(5612),
    [anon_sym___vectorcall] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_template] = ACTIONS(5612),
    [anon_sym_operator] = ACTIONS(5612),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2298] = {
    [sym_type_qualifier] = STATE(2300),
    [sym_alignas_qualifier] = STATE(2395),
    [aux_sym__type_definition_type_repeat1] = STATE(2300),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2375),
    [sym_identifier] = ACTIONS(5824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [anon_sym_RPAREN] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5551),
    [anon_sym_PLUS] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5551),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5551),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5551),
    [anon_sym_GT_EQ] = ACTIONS(5549),
    [anon_sym_LT_EQ] = ACTIONS(5551),
    [anon_sym_LT] = ACTIONS(5551),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5826),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(5828),
    [anon_sym_unsigned] = ACTIONS(5828),
    [anon_sym_long] = ACTIONS(5828),
    [anon_sym_short] = ACTIONS(5828),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_EQ] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5826),
    [anon_sym_constexpr] = ACTIONS(5826),
    [anon_sym_volatile] = ACTIONS(5826),
    [anon_sym_restrict] = ACTIONS(5826),
    [anon_sym___restrict__] = ACTIONS(5826),
    [anon_sym__Atomic] = ACTIONS(5826),
    [anon_sym__Noreturn] = ACTIONS(5826),
    [anon_sym_noreturn] = ACTIONS(5826),
    [anon_sym__Nonnull] = ACTIONS(5826),
    [anon_sym_mutable] = ACTIONS(5826),
    [anon_sym_constinit] = ACTIONS(5826),
    [anon_sym_consteval] = ACTIONS(5826),
    [anon_sym_alignas] = ACTIONS(5830),
    [anon_sym__Alignas] = ACTIONS(5830),
    [sym_primitive_type] = ACTIONS(5832),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_STAR_EQ] = ACTIONS(5549),
    [anon_sym_SLASH_EQ] = ACTIONS(5549),
    [anon_sym_PERCENT_EQ] = ACTIONS(5549),
    [anon_sym_PLUS_EQ] = ACTIONS(5549),
    [anon_sym_DASH_EQ] = ACTIONS(5549),
    [anon_sym_LT_LT_EQ] = ACTIONS(5549),
    [anon_sym_GT_GT_EQ] = ACTIONS(5549),
    [anon_sym_AMP_EQ] = ACTIONS(5549),
    [anon_sym_CARET_EQ] = ACTIONS(5549),
    [anon_sym_PIPE_EQ] = ACTIONS(5549),
    [anon_sym_and_eq] = ACTIONS(5551),
    [anon_sym_or_eq] = ACTIONS(5551),
    [anon_sym_xor_eq] = ACTIONS(5551),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5551),
    [anon_sym_and] = ACTIONS(5551),
    [anon_sym_bitor] = ACTIONS(5551),
    [anon_sym_xor] = ACTIONS(5551),
    [anon_sym_bitand] = ACTIONS(5551),
    [anon_sym_not_eq] = ACTIONS(5551),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5551),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5549),
  },
  [2299] = {
    [sym_string_literal] = STATE(1221),
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym_signed] = ACTIONS(5814),
    [anon_sym_unsigned] = ACTIONS(5814),
    [anon_sym_long] = ACTIONS(5814),
    [anon_sym_short] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_primitive_type] = ACTIONS(5814),
    [anon_sym_enum] = ACTIONS(5814),
    [anon_sym_class] = ACTIONS(5814),
    [anon_sym_struct] = ACTIONS(5814),
    [anon_sym_union] = ACTIONS(5814),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_typename] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2300] = {
    [sym_type_qualifier] = STATE(2344),
    [sym_alignas_qualifier] = STATE(2395),
    [aux_sym__type_definition_type_repeat1] = STATE(2344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2958),
    [sym_identifier] = ACTIONS(5834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5598),
    [anon_sym_COMMA] = ACTIONS(5598),
    [anon_sym_RPAREN] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5600),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_PIPE] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5598),
    [anon_sym_BANG_EQ] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5598),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5600),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(5826),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5836),
    [anon_sym_unsigned] = ACTIONS(5836),
    [anon_sym_long] = ACTIONS(5836),
    [anon_sym_short] = ACTIONS(5836),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_EQ] = ACTIONS(5600),
    [anon_sym_const] = ACTIONS(5826),
    [anon_sym_constexpr] = ACTIONS(5826),
    [anon_sym_volatile] = ACTIONS(5826),
    [anon_sym_restrict] = ACTIONS(5826),
    [anon_sym___restrict__] = ACTIONS(5826),
    [anon_sym__Atomic] = ACTIONS(5826),
    [anon_sym__Noreturn] = ACTIONS(5826),
    [anon_sym_noreturn] = ACTIONS(5826),
    [anon_sym__Nonnull] = ACTIONS(5826),
    [anon_sym_mutable] = ACTIONS(5826),
    [anon_sym_constinit] = ACTIONS(5826),
    [anon_sym_consteval] = ACTIONS(5826),
    [anon_sym_alignas] = ACTIONS(5830),
    [anon_sym__Alignas] = ACTIONS(5830),
    [sym_primitive_type] = ACTIONS(5838),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_STAR_EQ] = ACTIONS(5598),
    [anon_sym_SLASH_EQ] = ACTIONS(5598),
    [anon_sym_PERCENT_EQ] = ACTIONS(5598),
    [anon_sym_PLUS_EQ] = ACTIONS(5598),
    [anon_sym_DASH_EQ] = ACTIONS(5598),
    [anon_sym_LT_LT_EQ] = ACTIONS(5598),
    [anon_sym_GT_GT_EQ] = ACTIONS(5598),
    [anon_sym_AMP_EQ] = ACTIONS(5598),
    [anon_sym_CARET_EQ] = ACTIONS(5598),
    [anon_sym_PIPE_EQ] = ACTIONS(5598),
    [anon_sym_and_eq] = ACTIONS(5600),
    [anon_sym_or_eq] = ACTIONS(5600),
    [anon_sym_xor_eq] = ACTIONS(5600),
    [anon_sym_LT_EQ_GT] = ACTIONS(5598),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_bitor] = ACTIONS(5600),
    [anon_sym_xor] = ACTIONS(5600),
    [anon_sym_bitand] = ACTIONS(5600),
    [anon_sym_not_eq] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_DOT_STAR] = ACTIONS(5598),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5598),
  },
  [2301] = {
    [sym_string_literal] = STATE(1219),
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym_signed] = ACTIONS(5814),
    [anon_sym_unsigned] = ACTIONS(5814),
    [anon_sym_long] = ACTIONS(5814),
    [anon_sym_short] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_primitive_type] = ACTIONS(5814),
    [anon_sym_enum] = ACTIONS(5814),
    [anon_sym_class] = ACTIONS(5814),
    [anon_sym_struct] = ACTIONS(5814),
    [anon_sym_union] = ACTIONS(5814),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_typename] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2302] = {
    [sym__declaration_modifiers] = STATE(2246),
    [sym_attribute_specifier] = STATE(2246),
    [sym_attribute_declaration] = STATE(2246),
    [sym_ms_declspec_modifier] = STATE(2246),
    [sym_storage_class_specifier] = STATE(2246),
    [sym_type_qualifier] = STATE(2246),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype_auto] = STATE(2314),
    [sym_qualifiers] = STATE(2246),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2246),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5840),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_out] = ACTIONS(5616),
    [anon_sym_inout] = ACTIONS(5616),
    [anon_sym_virtual] = ACTIONS(5616),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5612),
    [anon_sym___cdecl] = ACTIONS(5612),
    [anon_sym___clrcall] = ACTIONS(5612),
    [anon_sym___stdcall] = ACTIONS(5612),
    [anon_sym___fastcall] = ACTIONS(5612),
    [anon_sym___thiscall] = ACTIONS(5612),
    [anon_sym___vectorcall] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_template] = ACTIONS(5612),
    [anon_sym_operator] = ACTIONS(5612),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2303] = {
    [sym__declaration_modifiers] = STATE(2246),
    [sym_attribute_specifier] = STATE(2246),
    [sym_attribute_declaration] = STATE(2246),
    [sym_ms_declspec_modifier] = STATE(2246),
    [sym_storage_class_specifier] = STATE(2246),
    [sym_type_qualifier] = STATE(2246),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype_auto] = STATE(2314),
    [sym_qualifiers] = STATE(2246),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2246),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5842),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_out] = ACTIONS(5616),
    [anon_sym_inout] = ACTIONS(5616),
    [anon_sym_virtual] = ACTIONS(5616),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5612),
    [anon_sym___cdecl] = ACTIONS(5612),
    [anon_sym___clrcall] = ACTIONS(5612),
    [anon_sym___stdcall] = ACTIONS(5612),
    [anon_sym___fastcall] = ACTIONS(5612),
    [anon_sym___thiscall] = ACTIONS(5612),
    [anon_sym___vectorcall] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_template] = ACTIONS(5612),
    [anon_sym_operator] = ACTIONS(5612),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2304] = {
    [sym__declaration_modifiers] = STATE(2246),
    [sym_attribute_specifier] = STATE(2246),
    [sym_attribute_declaration] = STATE(2246),
    [sym_ms_declspec_modifier] = STATE(2246),
    [sym_storage_class_specifier] = STATE(2246),
    [sym_type_qualifier] = STATE(2246),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype_auto] = STATE(2314),
    [sym_qualifiers] = STATE(2246),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2246),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5844),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_out] = ACTIONS(5616),
    [anon_sym_inout] = ACTIONS(5616),
    [anon_sym_virtual] = ACTIONS(5616),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5612),
    [anon_sym___cdecl] = ACTIONS(5612),
    [anon_sym___clrcall] = ACTIONS(5612),
    [anon_sym___stdcall] = ACTIONS(5612),
    [anon_sym___fastcall] = ACTIONS(5612),
    [anon_sym___thiscall] = ACTIONS(5612),
    [anon_sym___vectorcall] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_template] = ACTIONS(5612),
    [anon_sym_operator] = ACTIONS(5612),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2305] = {
    [sym__declaration_modifiers] = STATE(2246),
    [sym_attribute_specifier] = STATE(2246),
    [sym_attribute_declaration] = STATE(2246),
    [sym_ms_declspec_modifier] = STATE(2246),
    [sym_storage_class_specifier] = STATE(2246),
    [sym_type_qualifier] = STATE(2246),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype_auto] = STATE(2314),
    [sym_qualifiers] = STATE(2246),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2246),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5846),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_out] = ACTIONS(5616),
    [anon_sym_inout] = ACTIONS(5616),
    [anon_sym_virtual] = ACTIONS(5616),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5612),
    [anon_sym___cdecl] = ACTIONS(5612),
    [anon_sym___clrcall] = ACTIONS(5612),
    [anon_sym___stdcall] = ACTIONS(5612),
    [anon_sym___fastcall] = ACTIONS(5612),
    [anon_sym___thiscall] = ACTIONS(5612),
    [anon_sym___vectorcall] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_template] = ACTIONS(5612),
    [anon_sym_operator] = ACTIONS(5612),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2306] = {
    [sym__declaration_modifiers] = STATE(2246),
    [sym_attribute_specifier] = STATE(2246),
    [sym_attribute_declaration] = STATE(2246),
    [sym_ms_declspec_modifier] = STATE(2246),
    [sym_storage_class_specifier] = STATE(2246),
    [sym_type_qualifier] = STATE(2246),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_decltype_auto] = STATE(2314),
    [sym_qualifiers] = STATE(2246),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2246),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5848),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_out] = ACTIONS(5616),
    [anon_sym_inout] = ACTIONS(5616),
    [anon_sym_virtual] = ACTIONS(5616),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5334),
    [anon_sym___declspec] = ACTIONS(5336),
    [anon_sym___based] = ACTIONS(5612),
    [anon_sym___cdecl] = ACTIONS(5612),
    [anon_sym___clrcall] = ACTIONS(5612),
    [anon_sym___stdcall] = ACTIONS(5612),
    [anon_sym___fastcall] = ACTIONS(5612),
    [anon_sym___thiscall] = ACTIONS(5612),
    [anon_sym___vectorcall] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5324),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym__Nonnull] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5618),
    [anon_sym_decltype] = ACTIONS(5620),
    [anon_sym_template] = ACTIONS(5612),
    [anon_sym_operator] = ACTIONS(5612),
    [anon_sym_precise] = ACTIONS(5340),
    [anon_sym_shared] = ACTIONS(5340),
    [anon_sym_groupshared] = ACTIONS(5340),
    [anon_sym_uniform] = ACTIONS(5340),
    [anon_sym_row_major] = ACTIONS(5340),
    [anon_sym_column_major] = ACTIONS(5340),
    [anon_sym_globallycoherent] = ACTIONS(5340),
    [anon_sym_centroid] = ACTIONS(5340),
    [anon_sym_noperspective] = ACTIONS(5340),
    [anon_sym_nointerpolation] = ACTIONS(5340),
    [anon_sym_sample] = ACTIONS(5340),
    [anon_sym_linear] = ACTIONS(5340),
    [anon_sym_snorm] = ACTIONS(5340),
    [anon_sym_unorm] = ACTIONS(5340),
    [anon_sym_point] = ACTIONS(5340),
    [anon_sym_line] = ACTIONS(5340),
    [anon_sym_triangleadj] = ACTIONS(5340),
    [anon_sym_lineadj] = ACTIONS(5340),
    [anon_sym_triangle] = ACTIONS(5340),
  },
  [2307] = {
    [sym_identifier] = ACTIONS(5850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5852),
    [anon_sym_COMMA] = ACTIONS(5852),
    [anon_sym_RPAREN] = ACTIONS(5852),
    [anon_sym_LPAREN2] = ACTIONS(5852),
    [anon_sym_TILDE] = ACTIONS(5852),
    [anon_sym_STAR] = ACTIONS(5852),
    [anon_sym_AMP_AMP] = ACTIONS(5852),
    [anon_sym_AMP] = ACTIONS(5850),
    [anon_sym_COLON] = ACTIONS(5850),
    [anon_sym_SEMI] = ACTIONS(5852),
    [anon_sym___extension__] = ACTIONS(5850),
    [anon_sym_in] = ACTIONS(5850),
    [anon_sym_out] = ACTIONS(5850),
    [anon_sym_inout] = ACTIONS(5850),
    [anon_sym_virtual] = ACTIONS(5850),
    [anon_sym_extern] = ACTIONS(5850),
    [anon_sym___attribute__] = ACTIONS(5850),
    [anon_sym___attribute] = ACTIONS(5850),
    [anon_sym_COLON_COLON] = ACTIONS(5852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5852),
    [anon_sym___declspec] = ACTIONS(5850),
    [anon_sym___based] = ACTIONS(5850),
    [anon_sym___cdecl] = ACTIONS(5850),
    [anon_sym___clrcall] = ACTIONS(5850),
    [anon_sym___stdcall] = ACTIONS(5850),
    [anon_sym___fastcall] = ACTIONS(5850),
    [anon_sym___thiscall] = ACTIONS(5850),
    [anon_sym___vectorcall] = ACTIONS(5850),
    [anon_sym_LBRACK] = ACTIONS(5850),
    [anon_sym_static] = ACTIONS(5850),
    [anon_sym_EQ] = ACTIONS(5852),
    [anon_sym_register] = ACTIONS(5850),
    [anon_sym_inline] = ACTIONS(5850),
    [anon_sym___inline] = ACTIONS(5850),
    [anon_sym___inline__] = ACTIONS(5850),
    [anon_sym___forceinline] = ACTIONS(5850),
    [anon_sym_thread_local] = ACTIONS(5850),
    [anon_sym___thread] = ACTIONS(5850),
    [anon_sym_const] = ACTIONS(5850),
    [anon_sym_constexpr] = ACTIONS(5850),
    [anon_sym_volatile] = ACTIONS(5850),
    [anon_sym_restrict] = ACTIONS(5850),
    [anon_sym___restrict__] = ACTIONS(5850),
    [anon_sym__Atomic] = ACTIONS(5850),
    [anon_sym__Noreturn] = ACTIONS(5850),
    [anon_sym_noreturn] = ACTIONS(5850),
    [anon_sym__Nonnull] = ACTIONS(5850),
    [anon_sym_mutable] = ACTIONS(5850),
    [anon_sym_constinit] = ACTIONS(5850),
    [anon_sym_consteval] = ACTIONS(5850),
    [anon_sym_alignas] = ACTIONS(5850),
    [anon_sym__Alignas] = ACTIONS(5850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5850),
    [anon_sym_decltype] = ACTIONS(5850),
    [anon_sym_final] = ACTIONS(5850),
    [anon_sym_override] = ACTIONS(5850),
    [anon_sym_template] = ACTIONS(5850),
    [anon_sym_GT2] = ACTIONS(5852),
    [anon_sym_operator] = ACTIONS(5850),
    [anon_sym_requires] = ACTIONS(5850),
    [anon_sym_precise] = ACTIONS(5850),
    [anon_sym_shared] = ACTIONS(5850),
    [anon_sym_groupshared] = ACTIONS(5850),
    [anon_sym_uniform] = ACTIONS(5850),
    [anon_sym_row_major] = ACTIONS(5850),
    [anon_sym_column_major] = ACTIONS(5850),
    [anon_sym_globallycoherent] = ACTIONS(5850),
    [anon_sym_centroid] = ACTIONS(5850),
    [anon_sym_noperspective] = ACTIONS(5850),
    [anon_sym_nointerpolation] = ACTIONS(5850),
    [anon_sym_sample] = ACTIONS(5850),
    [anon_sym_linear] = ACTIONS(5850),
    [anon_sym_snorm] = ACTIONS(5850),
    [anon_sym_unorm] = ACTIONS(5850),
    [anon_sym_point] = ACTIONS(5850),
    [anon_sym_line] = ACTIONS(5850),
    [anon_sym_triangleadj] = ACTIONS(5850),
    [anon_sym_lineadj] = ACTIONS(5850),
    [anon_sym_triangle] = ACTIONS(5850),
  },
  [2308] = {
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5856),
    [anon_sym_COMMA] = ACTIONS(5856),
    [anon_sym_RPAREN] = ACTIONS(5856),
    [anon_sym_LPAREN2] = ACTIONS(5856),
    [anon_sym_TILDE] = ACTIONS(5856),
    [anon_sym_STAR] = ACTIONS(5856),
    [anon_sym_AMP_AMP] = ACTIONS(5856),
    [anon_sym_AMP] = ACTIONS(5854),
    [anon_sym_COLON] = ACTIONS(5854),
    [anon_sym_SEMI] = ACTIONS(5856),
    [anon_sym___extension__] = ACTIONS(5854),
    [anon_sym_in] = ACTIONS(5854),
    [anon_sym_out] = ACTIONS(5854),
    [anon_sym_inout] = ACTIONS(5854),
    [anon_sym_virtual] = ACTIONS(5854),
    [anon_sym_extern] = ACTIONS(5854),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5854),
    [anon_sym_COLON_COLON] = ACTIONS(5856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5856),
    [anon_sym___declspec] = ACTIONS(5854),
    [anon_sym___based] = ACTIONS(5854),
    [anon_sym___cdecl] = ACTIONS(5854),
    [anon_sym___clrcall] = ACTIONS(5854),
    [anon_sym___stdcall] = ACTIONS(5854),
    [anon_sym___fastcall] = ACTIONS(5854),
    [anon_sym___thiscall] = ACTIONS(5854),
    [anon_sym___vectorcall] = ACTIONS(5854),
    [anon_sym_LBRACK] = ACTIONS(5854),
    [anon_sym_static] = ACTIONS(5854),
    [anon_sym_EQ] = ACTIONS(5856),
    [anon_sym_register] = ACTIONS(5854),
    [anon_sym_inline] = ACTIONS(5854),
    [anon_sym___inline] = ACTIONS(5854),
    [anon_sym___inline__] = ACTIONS(5854),
    [anon_sym___forceinline] = ACTIONS(5854),
    [anon_sym_thread_local] = ACTIONS(5854),
    [anon_sym___thread] = ACTIONS(5854),
    [anon_sym_const] = ACTIONS(5854),
    [anon_sym_constexpr] = ACTIONS(5854),
    [anon_sym_volatile] = ACTIONS(5854),
    [anon_sym_restrict] = ACTIONS(5854),
    [anon_sym___restrict__] = ACTIONS(5854),
    [anon_sym__Atomic] = ACTIONS(5854),
    [anon_sym__Noreturn] = ACTIONS(5854),
    [anon_sym_noreturn] = ACTIONS(5854),
    [anon_sym__Nonnull] = ACTIONS(5854),
    [anon_sym_mutable] = ACTIONS(5854),
    [anon_sym_constinit] = ACTIONS(5854),
    [anon_sym_consteval] = ACTIONS(5854),
    [anon_sym_alignas] = ACTIONS(5854),
    [anon_sym__Alignas] = ACTIONS(5854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5854),
    [anon_sym_decltype] = ACTIONS(5854),
    [anon_sym_final] = ACTIONS(5854),
    [anon_sym_override] = ACTIONS(5854),
    [anon_sym_template] = ACTIONS(5854),
    [anon_sym_GT2] = ACTIONS(5856),
    [anon_sym_operator] = ACTIONS(5854),
    [anon_sym_requires] = ACTIONS(5854),
    [anon_sym_precise] = ACTIONS(5854),
    [anon_sym_shared] = ACTIONS(5854),
    [anon_sym_groupshared] = ACTIONS(5854),
    [anon_sym_uniform] = ACTIONS(5854),
    [anon_sym_row_major] = ACTIONS(5854),
    [anon_sym_column_major] = ACTIONS(5854),
    [anon_sym_globallycoherent] = ACTIONS(5854),
    [anon_sym_centroid] = ACTIONS(5854),
    [anon_sym_noperspective] = ACTIONS(5854),
    [anon_sym_nointerpolation] = ACTIONS(5854),
    [anon_sym_sample] = ACTIONS(5854),
    [anon_sym_linear] = ACTIONS(5854),
    [anon_sym_snorm] = ACTIONS(5854),
    [anon_sym_unorm] = ACTIONS(5854),
    [anon_sym_point] = ACTIONS(5854),
    [anon_sym_line] = ACTIONS(5854),
    [anon_sym_triangleadj] = ACTIONS(5854),
    [anon_sym_lineadj] = ACTIONS(5854),
    [anon_sym_triangle] = ACTIONS(5854),
  },
  [2309] = {
    [sym_identifier] = ACTIONS(5858),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5860),
    [anon_sym_COMMA] = ACTIONS(5860),
    [anon_sym_RPAREN] = ACTIONS(5860),
    [anon_sym_LPAREN2] = ACTIONS(5860),
    [anon_sym_TILDE] = ACTIONS(5860),
    [anon_sym_STAR] = ACTIONS(5860),
    [anon_sym_AMP_AMP] = ACTIONS(5860),
    [anon_sym_AMP] = ACTIONS(5858),
    [anon_sym_COLON] = ACTIONS(5858),
    [anon_sym_SEMI] = ACTIONS(5860),
    [anon_sym___extension__] = ACTIONS(5858),
    [anon_sym_in] = ACTIONS(5858),
    [anon_sym_out] = ACTIONS(5858),
    [anon_sym_inout] = ACTIONS(5858),
    [anon_sym_virtual] = ACTIONS(5858),
    [anon_sym_extern] = ACTIONS(5858),
    [anon_sym___attribute__] = ACTIONS(5858),
    [anon_sym___attribute] = ACTIONS(5858),
    [anon_sym_COLON_COLON] = ACTIONS(5860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5860),
    [anon_sym___declspec] = ACTIONS(5858),
    [anon_sym___based] = ACTIONS(5858),
    [anon_sym___cdecl] = ACTIONS(5858),
    [anon_sym___clrcall] = ACTIONS(5858),
    [anon_sym___stdcall] = ACTIONS(5858),
    [anon_sym___fastcall] = ACTIONS(5858),
    [anon_sym___thiscall] = ACTIONS(5858),
    [anon_sym___vectorcall] = ACTIONS(5858),
    [anon_sym_LBRACK] = ACTIONS(5858),
    [anon_sym_static] = ACTIONS(5858),
    [anon_sym_EQ] = ACTIONS(5860),
    [anon_sym_register] = ACTIONS(5858),
    [anon_sym_inline] = ACTIONS(5858),
    [anon_sym___inline] = ACTIONS(5858),
    [anon_sym___inline__] = ACTIONS(5858),
    [anon_sym___forceinline] = ACTIONS(5858),
    [anon_sym_thread_local] = ACTIONS(5858),
    [anon_sym___thread] = ACTIONS(5858),
    [anon_sym_const] = ACTIONS(5858),
    [anon_sym_constexpr] = ACTIONS(5858),
    [anon_sym_volatile] = ACTIONS(5858),
    [anon_sym_restrict] = ACTIONS(5858),
    [anon_sym___restrict__] = ACTIONS(5858),
    [anon_sym__Atomic] = ACTIONS(5858),
    [anon_sym__Noreturn] = ACTIONS(5858),
    [anon_sym_noreturn] = ACTIONS(5858),
    [anon_sym__Nonnull] = ACTIONS(5858),
    [anon_sym_mutable] = ACTIONS(5858),
    [anon_sym_constinit] = ACTIONS(5858),
    [anon_sym_consteval] = ACTIONS(5858),
    [anon_sym_alignas] = ACTIONS(5858),
    [anon_sym__Alignas] = ACTIONS(5858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5858),
    [anon_sym_decltype] = ACTIONS(5858),
    [anon_sym_final] = ACTIONS(5858),
    [anon_sym_override] = ACTIONS(5858),
    [anon_sym_template] = ACTIONS(5858),
    [anon_sym_GT2] = ACTIONS(5860),
    [anon_sym_operator] = ACTIONS(5858),
    [anon_sym_requires] = ACTIONS(5858),
    [anon_sym_precise] = ACTIONS(5858),
    [anon_sym_shared] = ACTIONS(5858),
    [anon_sym_groupshared] = ACTIONS(5858),
    [anon_sym_uniform] = ACTIONS(5858),
    [anon_sym_row_major] = ACTIONS(5858),
    [anon_sym_column_major] = ACTIONS(5858),
    [anon_sym_globallycoherent] = ACTIONS(5858),
    [anon_sym_centroid] = ACTIONS(5858),
    [anon_sym_noperspective] = ACTIONS(5858),
    [anon_sym_nointerpolation] = ACTIONS(5858),
    [anon_sym_sample] = ACTIONS(5858),
    [anon_sym_linear] = ACTIONS(5858),
    [anon_sym_snorm] = ACTIONS(5858),
    [anon_sym_unorm] = ACTIONS(5858),
    [anon_sym_point] = ACTIONS(5858),
    [anon_sym_line] = ACTIONS(5858),
    [anon_sym_triangleadj] = ACTIONS(5858),
    [anon_sym_lineadj] = ACTIONS(5858),
    [anon_sym_triangle] = ACTIONS(5858),
  },
  [2310] = {
    [sym_attribute_specifier] = STATE(2347),
    [sym_enumerator_list] = STATE(2365),
    [sym_identifier] = ACTIONS(5862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5864),
    [anon_sym_COMMA] = ACTIONS(5864),
    [anon_sym_RPAREN] = ACTIONS(5864),
    [anon_sym_LPAREN2] = ACTIONS(5864),
    [anon_sym_TILDE] = ACTIONS(5864),
    [anon_sym_STAR] = ACTIONS(5864),
    [anon_sym_AMP_AMP] = ACTIONS(5864),
    [anon_sym_AMP] = ACTIONS(5862),
    [anon_sym_COLON] = ACTIONS(5862),
    [anon_sym_SEMI] = ACTIONS(5864),
    [anon_sym___extension__] = ACTIONS(5862),
    [anon_sym_in] = ACTIONS(5862),
    [anon_sym_out] = ACTIONS(5862),
    [anon_sym_inout] = ACTIONS(5862),
    [anon_sym_virtual] = ACTIONS(5862),
    [anon_sym_extern] = ACTIONS(5862),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5864),
    [anon_sym___declspec] = ACTIONS(5862),
    [anon_sym___based] = ACTIONS(5862),
    [anon_sym___cdecl] = ACTIONS(5862),
    [anon_sym___clrcall] = ACTIONS(5862),
    [anon_sym___stdcall] = ACTIONS(5862),
    [anon_sym___fastcall] = ACTIONS(5862),
    [anon_sym___thiscall] = ACTIONS(5862),
    [anon_sym___vectorcall] = ACTIONS(5862),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_LBRACK] = ACTIONS(5862),
    [anon_sym_static] = ACTIONS(5862),
    [anon_sym_EQ] = ACTIONS(5864),
    [anon_sym_register] = ACTIONS(5862),
    [anon_sym_inline] = ACTIONS(5862),
    [anon_sym___inline] = ACTIONS(5862),
    [anon_sym___inline__] = ACTIONS(5862),
    [anon_sym___forceinline] = ACTIONS(5862),
    [anon_sym_thread_local] = ACTIONS(5862),
    [anon_sym___thread] = ACTIONS(5862),
    [anon_sym_const] = ACTIONS(5862),
    [anon_sym_constexpr] = ACTIONS(5862),
    [anon_sym_volatile] = ACTIONS(5862),
    [anon_sym_restrict] = ACTIONS(5862),
    [anon_sym___restrict__] = ACTIONS(5862),
    [anon_sym__Atomic] = ACTIONS(5862),
    [anon_sym__Noreturn] = ACTIONS(5862),
    [anon_sym_noreturn] = ACTIONS(5862),
    [anon_sym__Nonnull] = ACTIONS(5862),
    [anon_sym_mutable] = ACTIONS(5862),
    [anon_sym_constinit] = ACTIONS(5862),
    [anon_sym_consteval] = ACTIONS(5862),
    [anon_sym_alignas] = ACTIONS(5862),
    [anon_sym__Alignas] = ACTIONS(5862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5862),
    [anon_sym_decltype] = ACTIONS(5862),
    [anon_sym_template] = ACTIONS(5862),
    [anon_sym_GT2] = ACTIONS(5864),
    [anon_sym_operator] = ACTIONS(5862),
    [anon_sym_precise] = ACTIONS(5862),
    [anon_sym_shared] = ACTIONS(5862),
    [anon_sym_groupshared] = ACTIONS(5862),
    [anon_sym_uniform] = ACTIONS(5862),
    [anon_sym_row_major] = ACTIONS(5862),
    [anon_sym_column_major] = ACTIONS(5862),
    [anon_sym_globallycoherent] = ACTIONS(5862),
    [anon_sym_centroid] = ACTIONS(5862),
    [anon_sym_noperspective] = ACTIONS(5862),
    [anon_sym_nointerpolation] = ACTIONS(5862),
    [anon_sym_sample] = ACTIONS(5862),
    [anon_sym_linear] = ACTIONS(5862),
    [anon_sym_snorm] = ACTIONS(5862),
    [anon_sym_unorm] = ACTIONS(5862),
    [anon_sym_point] = ACTIONS(5862),
    [anon_sym_line] = ACTIONS(5862),
    [anon_sym_triangleadj] = ACTIONS(5862),
    [anon_sym_lineadj] = ACTIONS(5862),
    [anon_sym_triangle] = ACTIONS(5862),
  },
  [2311] = {
    [sym_identifier] = ACTIONS(5868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5870),
    [anon_sym_COMMA] = ACTIONS(5870),
    [anon_sym_RPAREN] = ACTIONS(5870),
    [anon_sym_LPAREN2] = ACTIONS(5870),
    [anon_sym_TILDE] = ACTIONS(5870),
    [anon_sym_STAR] = ACTIONS(5870),
    [anon_sym_AMP_AMP] = ACTIONS(5870),
    [anon_sym_AMP] = ACTIONS(5868),
    [anon_sym_COLON] = ACTIONS(5868),
    [anon_sym_SEMI] = ACTIONS(5870),
    [anon_sym___extension__] = ACTIONS(5868),
    [anon_sym_in] = ACTIONS(5868),
    [anon_sym_out] = ACTIONS(5868),
    [anon_sym_inout] = ACTIONS(5868),
    [anon_sym_virtual] = ACTIONS(5868),
    [anon_sym_extern] = ACTIONS(5868),
    [anon_sym___attribute__] = ACTIONS(5868),
    [anon_sym___attribute] = ACTIONS(5868),
    [anon_sym_COLON_COLON] = ACTIONS(5870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5870),
    [anon_sym___declspec] = ACTIONS(5868),
    [anon_sym___based] = ACTIONS(5868),
    [anon_sym___cdecl] = ACTIONS(5868),
    [anon_sym___clrcall] = ACTIONS(5868),
    [anon_sym___stdcall] = ACTIONS(5868),
    [anon_sym___fastcall] = ACTIONS(5868),
    [anon_sym___thiscall] = ACTIONS(5868),
    [anon_sym___vectorcall] = ACTIONS(5868),
    [anon_sym_LBRACK] = ACTIONS(5868),
    [anon_sym_static] = ACTIONS(5868),
    [anon_sym_EQ] = ACTIONS(5870),
    [anon_sym_register] = ACTIONS(5868),
    [anon_sym_inline] = ACTIONS(5868),
    [anon_sym___inline] = ACTIONS(5868),
    [anon_sym___inline__] = ACTIONS(5868),
    [anon_sym___forceinline] = ACTIONS(5868),
    [anon_sym_thread_local] = ACTIONS(5868),
    [anon_sym___thread] = ACTIONS(5868),
    [anon_sym_const] = ACTIONS(5868),
    [anon_sym_constexpr] = ACTIONS(5868),
    [anon_sym_volatile] = ACTIONS(5868),
    [anon_sym_restrict] = ACTIONS(5868),
    [anon_sym___restrict__] = ACTIONS(5868),
    [anon_sym__Atomic] = ACTIONS(5868),
    [anon_sym__Noreturn] = ACTIONS(5868),
    [anon_sym_noreturn] = ACTIONS(5868),
    [anon_sym__Nonnull] = ACTIONS(5868),
    [anon_sym_mutable] = ACTIONS(5868),
    [anon_sym_constinit] = ACTIONS(5868),
    [anon_sym_consteval] = ACTIONS(5868),
    [anon_sym_alignas] = ACTIONS(5868),
    [anon_sym__Alignas] = ACTIONS(5868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5868),
    [anon_sym_decltype] = ACTIONS(5868),
    [anon_sym_final] = ACTIONS(5868),
    [anon_sym_override] = ACTIONS(5868),
    [anon_sym_template] = ACTIONS(5868),
    [anon_sym_GT2] = ACTIONS(5870),
    [anon_sym_operator] = ACTIONS(5868),
    [anon_sym_requires] = ACTIONS(5868),
    [anon_sym_precise] = ACTIONS(5868),
    [anon_sym_shared] = ACTIONS(5868),
    [anon_sym_groupshared] = ACTIONS(5868),
    [anon_sym_uniform] = ACTIONS(5868),
    [anon_sym_row_major] = ACTIONS(5868),
    [anon_sym_column_major] = ACTIONS(5868),
    [anon_sym_globallycoherent] = ACTIONS(5868),
    [anon_sym_centroid] = ACTIONS(5868),
    [anon_sym_noperspective] = ACTIONS(5868),
    [anon_sym_nointerpolation] = ACTIONS(5868),
    [anon_sym_sample] = ACTIONS(5868),
    [anon_sym_linear] = ACTIONS(5868),
    [anon_sym_snorm] = ACTIONS(5868),
    [anon_sym_unorm] = ACTIONS(5868),
    [anon_sym_point] = ACTIONS(5868),
    [anon_sym_line] = ACTIONS(5868),
    [anon_sym_triangleadj] = ACTIONS(5868),
    [anon_sym_lineadj] = ACTIONS(5868),
    [anon_sym_triangle] = ACTIONS(5868),
  },
  [2312] = {
    [sym_identifier] = ACTIONS(5872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5874),
    [anon_sym_COMMA] = ACTIONS(5874),
    [anon_sym_RPAREN] = ACTIONS(5874),
    [anon_sym_LPAREN2] = ACTIONS(5874),
    [anon_sym_TILDE] = ACTIONS(5874),
    [anon_sym_STAR] = ACTIONS(5874),
    [anon_sym_AMP_AMP] = ACTIONS(5874),
    [anon_sym_AMP] = ACTIONS(5872),
    [anon_sym_COLON] = ACTIONS(5872),
    [anon_sym_SEMI] = ACTIONS(5874),
    [anon_sym___extension__] = ACTIONS(5872),
    [anon_sym_in] = ACTIONS(5872),
    [anon_sym_out] = ACTIONS(5872),
    [anon_sym_inout] = ACTIONS(5872),
    [anon_sym_virtual] = ACTIONS(5872),
    [anon_sym_extern] = ACTIONS(5872),
    [anon_sym___attribute__] = ACTIONS(5872),
    [anon_sym___attribute] = ACTIONS(5872),
    [anon_sym_COLON_COLON] = ACTIONS(5874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5874),
    [anon_sym___declspec] = ACTIONS(5872),
    [anon_sym___based] = ACTIONS(5872),
    [anon_sym___cdecl] = ACTIONS(5872),
    [anon_sym___clrcall] = ACTIONS(5872),
    [anon_sym___stdcall] = ACTIONS(5872),
    [anon_sym___fastcall] = ACTIONS(5872),
    [anon_sym___thiscall] = ACTIONS(5872),
    [anon_sym___vectorcall] = ACTIONS(5872),
    [anon_sym_LBRACK] = ACTIONS(5872),
    [anon_sym_static] = ACTIONS(5872),
    [anon_sym_EQ] = ACTIONS(5874),
    [anon_sym_register] = ACTIONS(5872),
    [anon_sym_inline] = ACTIONS(5872),
    [anon_sym___inline] = ACTIONS(5872),
    [anon_sym___inline__] = ACTIONS(5872),
    [anon_sym___forceinline] = ACTIONS(5872),
    [anon_sym_thread_local] = ACTIONS(5872),
    [anon_sym___thread] = ACTIONS(5872),
    [anon_sym_const] = ACTIONS(5872),
    [anon_sym_constexpr] = ACTIONS(5872),
    [anon_sym_volatile] = ACTIONS(5872),
    [anon_sym_restrict] = ACTIONS(5872),
    [anon_sym___restrict__] = ACTIONS(5872),
    [anon_sym__Atomic] = ACTIONS(5872),
    [anon_sym__Noreturn] = ACTIONS(5872),
    [anon_sym_noreturn] = ACTIONS(5872),
    [anon_sym__Nonnull] = ACTIONS(5872),
    [anon_sym_mutable] = ACTIONS(5872),
    [anon_sym_constinit] = ACTIONS(5872),
    [anon_sym_consteval] = ACTIONS(5872),
    [anon_sym_alignas] = ACTIONS(5872),
    [anon_sym__Alignas] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5872),
    [anon_sym_decltype] = ACTIONS(5872),
    [anon_sym_final] = ACTIONS(5872),
    [anon_sym_override] = ACTIONS(5872),
    [anon_sym_template] = ACTIONS(5872),
    [anon_sym_GT2] = ACTIONS(5874),
    [anon_sym_operator] = ACTIONS(5872),
    [anon_sym_requires] = ACTIONS(5872),
    [anon_sym_precise] = ACTIONS(5872),
    [anon_sym_shared] = ACTIONS(5872),
    [anon_sym_groupshared] = ACTIONS(5872),
    [anon_sym_uniform] = ACTIONS(5872),
    [anon_sym_row_major] = ACTIONS(5872),
    [anon_sym_column_major] = ACTIONS(5872),
    [anon_sym_globallycoherent] = ACTIONS(5872),
    [anon_sym_centroid] = ACTIONS(5872),
    [anon_sym_noperspective] = ACTIONS(5872),
    [anon_sym_nointerpolation] = ACTIONS(5872),
    [anon_sym_sample] = ACTIONS(5872),
    [anon_sym_linear] = ACTIONS(5872),
    [anon_sym_snorm] = ACTIONS(5872),
    [anon_sym_unorm] = ACTIONS(5872),
    [anon_sym_point] = ACTIONS(5872),
    [anon_sym_line] = ACTIONS(5872),
    [anon_sym_triangleadj] = ACTIONS(5872),
    [anon_sym_lineadj] = ACTIONS(5872),
    [anon_sym_triangle] = ACTIONS(5872),
  },
  [2313] = {
    [sym_identifier] = ACTIONS(5876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5878),
    [anon_sym_COMMA] = ACTIONS(5878),
    [anon_sym_RPAREN] = ACTIONS(5878),
    [anon_sym_LPAREN2] = ACTIONS(5878),
    [anon_sym_TILDE] = ACTIONS(5878),
    [anon_sym_STAR] = ACTIONS(5878),
    [anon_sym_AMP_AMP] = ACTIONS(5878),
    [anon_sym_AMP] = ACTIONS(5876),
    [anon_sym_COLON] = ACTIONS(5876),
    [anon_sym_SEMI] = ACTIONS(5878),
    [anon_sym___extension__] = ACTIONS(5876),
    [anon_sym_in] = ACTIONS(5876),
    [anon_sym_out] = ACTIONS(5876),
    [anon_sym_inout] = ACTIONS(5876),
    [anon_sym_virtual] = ACTIONS(5876),
    [anon_sym_extern] = ACTIONS(5876),
    [anon_sym___attribute__] = ACTIONS(5876),
    [anon_sym___attribute] = ACTIONS(5876),
    [anon_sym_COLON_COLON] = ACTIONS(5878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5878),
    [anon_sym___declspec] = ACTIONS(5876),
    [anon_sym___based] = ACTIONS(5876),
    [anon_sym___cdecl] = ACTIONS(5876),
    [anon_sym___clrcall] = ACTIONS(5876),
    [anon_sym___stdcall] = ACTIONS(5876),
    [anon_sym___fastcall] = ACTIONS(5876),
    [anon_sym___thiscall] = ACTIONS(5876),
    [anon_sym___vectorcall] = ACTIONS(5876),
    [anon_sym_LBRACE] = ACTIONS(5878),
    [anon_sym_LBRACK] = ACTIONS(5876),
    [anon_sym_static] = ACTIONS(5876),
    [anon_sym_EQ] = ACTIONS(5878),
    [anon_sym_register] = ACTIONS(5876),
    [anon_sym_inline] = ACTIONS(5876),
    [anon_sym___inline] = ACTIONS(5876),
    [anon_sym___inline__] = ACTIONS(5876),
    [anon_sym___forceinline] = ACTIONS(5876),
    [anon_sym_thread_local] = ACTIONS(5876),
    [anon_sym___thread] = ACTIONS(5876),
    [anon_sym_const] = ACTIONS(5876),
    [anon_sym_constexpr] = ACTIONS(5876),
    [anon_sym_volatile] = ACTIONS(5876),
    [anon_sym_restrict] = ACTIONS(5876),
    [anon_sym___restrict__] = ACTIONS(5876),
    [anon_sym__Atomic] = ACTIONS(5876),
    [anon_sym__Noreturn] = ACTIONS(5876),
    [anon_sym_noreturn] = ACTIONS(5876),
    [anon_sym__Nonnull] = ACTIONS(5876),
    [anon_sym_mutable] = ACTIONS(5876),
    [anon_sym_constinit] = ACTIONS(5876),
    [anon_sym_consteval] = ACTIONS(5876),
    [anon_sym_alignas] = ACTIONS(5876),
    [anon_sym__Alignas] = ACTIONS(5876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5876),
    [anon_sym_final] = ACTIONS(5876),
    [anon_sym_override] = ACTIONS(5876),
    [anon_sym_explicit] = ACTIONS(5876),
    [anon_sym_template] = ACTIONS(5876),
    [anon_sym_GT2] = ACTIONS(5878),
    [anon_sym_operator] = ACTIONS(5876),
    [anon_sym_precise] = ACTIONS(5876),
    [anon_sym_shared] = ACTIONS(5876),
    [anon_sym_groupshared] = ACTIONS(5876),
    [anon_sym_uniform] = ACTIONS(5876),
    [anon_sym_row_major] = ACTIONS(5876),
    [anon_sym_column_major] = ACTIONS(5876),
    [anon_sym_globallycoherent] = ACTIONS(5876),
    [anon_sym_centroid] = ACTIONS(5876),
    [anon_sym_noperspective] = ACTIONS(5876),
    [anon_sym_nointerpolation] = ACTIONS(5876),
    [anon_sym_sample] = ACTIONS(5876),
    [anon_sym_linear] = ACTIONS(5876),
    [anon_sym_snorm] = ACTIONS(5876),
    [anon_sym_unorm] = ACTIONS(5876),
    [anon_sym_point] = ACTIONS(5876),
    [anon_sym_line] = ACTIONS(5876),
    [anon_sym_triangleadj] = ACTIONS(5876),
    [anon_sym_lineadj] = ACTIONS(5876),
    [anon_sym_triangle] = ACTIONS(5876),
  },
  [2314] = {
    [sym_identifier] = ACTIONS(5880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5882),
    [anon_sym_COMMA] = ACTIONS(5882),
    [anon_sym_RPAREN] = ACTIONS(5882),
    [anon_sym_LPAREN2] = ACTIONS(5882),
    [anon_sym_TILDE] = ACTIONS(5882),
    [anon_sym_STAR] = ACTIONS(5882),
    [anon_sym_AMP_AMP] = ACTIONS(5882),
    [anon_sym_AMP] = ACTIONS(5880),
    [anon_sym_COLON] = ACTIONS(5880),
    [anon_sym_SEMI] = ACTIONS(5882),
    [anon_sym___extension__] = ACTIONS(5880),
    [anon_sym_in] = ACTIONS(5880),
    [anon_sym_out] = ACTIONS(5880),
    [anon_sym_inout] = ACTIONS(5880),
    [anon_sym_virtual] = ACTIONS(5880),
    [anon_sym_extern] = ACTIONS(5880),
    [anon_sym___attribute__] = ACTIONS(5880),
    [anon_sym___attribute] = ACTIONS(5880),
    [anon_sym_COLON_COLON] = ACTIONS(5882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5882),
    [anon_sym___declspec] = ACTIONS(5880),
    [anon_sym___based] = ACTIONS(5880),
    [anon_sym___cdecl] = ACTIONS(5880),
    [anon_sym___clrcall] = ACTIONS(5880),
    [anon_sym___stdcall] = ACTIONS(5880),
    [anon_sym___fastcall] = ACTIONS(5880),
    [anon_sym___thiscall] = ACTIONS(5880),
    [anon_sym___vectorcall] = ACTIONS(5880),
    [anon_sym_LBRACK] = ACTIONS(5880),
    [anon_sym_static] = ACTIONS(5880),
    [anon_sym_EQ] = ACTIONS(5882),
    [anon_sym_register] = ACTIONS(5880),
    [anon_sym_inline] = ACTIONS(5880),
    [anon_sym___inline] = ACTIONS(5880),
    [anon_sym___inline__] = ACTIONS(5880),
    [anon_sym___forceinline] = ACTIONS(5880),
    [anon_sym_thread_local] = ACTIONS(5880),
    [anon_sym___thread] = ACTIONS(5880),
    [anon_sym_const] = ACTIONS(5880),
    [anon_sym_constexpr] = ACTIONS(5880),
    [anon_sym_volatile] = ACTIONS(5880),
    [anon_sym_restrict] = ACTIONS(5880),
    [anon_sym___restrict__] = ACTIONS(5880),
    [anon_sym__Atomic] = ACTIONS(5880),
    [anon_sym__Noreturn] = ACTIONS(5880),
    [anon_sym_noreturn] = ACTIONS(5880),
    [anon_sym__Nonnull] = ACTIONS(5880),
    [anon_sym_mutable] = ACTIONS(5880),
    [anon_sym_constinit] = ACTIONS(5880),
    [anon_sym_consteval] = ACTIONS(5880),
    [anon_sym_alignas] = ACTIONS(5880),
    [anon_sym__Alignas] = ACTIONS(5880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5880),
    [anon_sym_decltype] = ACTIONS(5880),
    [anon_sym_final] = ACTIONS(5880),
    [anon_sym_override] = ACTIONS(5880),
    [anon_sym_template] = ACTIONS(5880),
    [anon_sym_GT2] = ACTIONS(5882),
    [anon_sym_operator] = ACTIONS(5880),
    [anon_sym_requires] = ACTIONS(5880),
    [anon_sym_precise] = ACTIONS(5880),
    [anon_sym_shared] = ACTIONS(5880),
    [anon_sym_groupshared] = ACTIONS(5880),
    [anon_sym_uniform] = ACTIONS(5880),
    [anon_sym_row_major] = ACTIONS(5880),
    [anon_sym_column_major] = ACTIONS(5880),
    [anon_sym_globallycoherent] = ACTIONS(5880),
    [anon_sym_centroid] = ACTIONS(5880),
    [anon_sym_noperspective] = ACTIONS(5880),
    [anon_sym_nointerpolation] = ACTIONS(5880),
    [anon_sym_sample] = ACTIONS(5880),
    [anon_sym_linear] = ACTIONS(5880),
    [anon_sym_snorm] = ACTIONS(5880),
    [anon_sym_unorm] = ACTIONS(5880),
    [anon_sym_point] = ACTIONS(5880),
    [anon_sym_line] = ACTIONS(5880),
    [anon_sym_triangleadj] = ACTIONS(5880),
    [anon_sym_lineadj] = ACTIONS(5880),
    [anon_sym_triangle] = ACTIONS(5880),
  },
  [2315] = {
    [sym_identifier] = ACTIONS(5884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5886),
    [anon_sym_COMMA] = ACTIONS(5886),
    [anon_sym_RPAREN] = ACTIONS(5886),
    [anon_sym_LPAREN2] = ACTIONS(5886),
    [anon_sym_TILDE] = ACTIONS(5886),
    [anon_sym_STAR] = ACTIONS(5886),
    [anon_sym_AMP_AMP] = ACTIONS(5886),
    [anon_sym_AMP] = ACTIONS(5884),
    [anon_sym_COLON] = ACTIONS(5884),
    [anon_sym_SEMI] = ACTIONS(5886),
    [anon_sym___extension__] = ACTIONS(5884),
    [anon_sym_in] = ACTIONS(5884),
    [anon_sym_out] = ACTIONS(5884),
    [anon_sym_inout] = ACTIONS(5884),
    [anon_sym_virtual] = ACTIONS(5884),
    [anon_sym_extern] = ACTIONS(5884),
    [anon_sym___attribute__] = ACTIONS(5884),
    [anon_sym___attribute] = ACTIONS(5884),
    [anon_sym_COLON_COLON] = ACTIONS(5886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5886),
    [anon_sym___declspec] = ACTIONS(5884),
    [anon_sym___based] = ACTIONS(5884),
    [anon_sym___cdecl] = ACTIONS(5884),
    [anon_sym___clrcall] = ACTIONS(5884),
    [anon_sym___stdcall] = ACTIONS(5884),
    [anon_sym___fastcall] = ACTIONS(5884),
    [anon_sym___thiscall] = ACTIONS(5884),
    [anon_sym___vectorcall] = ACTIONS(5884),
    [anon_sym_LBRACK] = ACTIONS(5884),
    [anon_sym_static] = ACTIONS(5884),
    [anon_sym_EQ] = ACTIONS(5886),
    [anon_sym_register] = ACTIONS(5884),
    [anon_sym_inline] = ACTIONS(5884),
    [anon_sym___inline] = ACTIONS(5884),
    [anon_sym___inline__] = ACTIONS(5884),
    [anon_sym___forceinline] = ACTIONS(5884),
    [anon_sym_thread_local] = ACTIONS(5884),
    [anon_sym___thread] = ACTIONS(5884),
    [anon_sym_const] = ACTIONS(5884),
    [anon_sym_constexpr] = ACTIONS(5884),
    [anon_sym_volatile] = ACTIONS(5884),
    [anon_sym_restrict] = ACTIONS(5884),
    [anon_sym___restrict__] = ACTIONS(5884),
    [anon_sym__Atomic] = ACTIONS(5884),
    [anon_sym__Noreturn] = ACTIONS(5884),
    [anon_sym_noreturn] = ACTIONS(5884),
    [anon_sym__Nonnull] = ACTIONS(5884),
    [anon_sym_mutable] = ACTIONS(5884),
    [anon_sym_constinit] = ACTIONS(5884),
    [anon_sym_consteval] = ACTIONS(5884),
    [anon_sym_alignas] = ACTIONS(5884),
    [anon_sym__Alignas] = ACTIONS(5884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5884),
    [anon_sym_decltype] = ACTIONS(5884),
    [anon_sym_final] = ACTIONS(5884),
    [anon_sym_override] = ACTIONS(5884),
    [anon_sym_template] = ACTIONS(5884),
    [anon_sym_GT2] = ACTIONS(5886),
    [anon_sym_operator] = ACTIONS(5884),
    [anon_sym_requires] = ACTIONS(5884),
    [anon_sym_precise] = ACTIONS(5884),
    [anon_sym_shared] = ACTIONS(5884),
    [anon_sym_groupshared] = ACTIONS(5884),
    [anon_sym_uniform] = ACTIONS(5884),
    [anon_sym_row_major] = ACTIONS(5884),
    [anon_sym_column_major] = ACTIONS(5884),
    [anon_sym_globallycoherent] = ACTIONS(5884),
    [anon_sym_centroid] = ACTIONS(5884),
    [anon_sym_noperspective] = ACTIONS(5884),
    [anon_sym_nointerpolation] = ACTIONS(5884),
    [anon_sym_sample] = ACTIONS(5884),
    [anon_sym_linear] = ACTIONS(5884),
    [anon_sym_snorm] = ACTIONS(5884),
    [anon_sym_unorm] = ACTIONS(5884),
    [anon_sym_point] = ACTIONS(5884),
    [anon_sym_line] = ACTIONS(5884),
    [anon_sym_triangleadj] = ACTIONS(5884),
    [anon_sym_lineadj] = ACTIONS(5884),
    [anon_sym_triangle] = ACTIONS(5884),
  },
  [2316] = {
    [sym_identifier] = ACTIONS(5888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5890),
    [anon_sym_COMMA] = ACTIONS(5890),
    [anon_sym_RPAREN] = ACTIONS(5890),
    [anon_sym_LPAREN2] = ACTIONS(5890),
    [anon_sym_TILDE] = ACTIONS(5890),
    [anon_sym_STAR] = ACTIONS(5890),
    [anon_sym_AMP_AMP] = ACTIONS(5890),
    [anon_sym_AMP] = ACTIONS(5888),
    [anon_sym_COLON] = ACTIONS(5888),
    [anon_sym_SEMI] = ACTIONS(5890),
    [anon_sym___extension__] = ACTIONS(5888),
    [anon_sym_in] = ACTIONS(5888),
    [anon_sym_out] = ACTIONS(5888),
    [anon_sym_inout] = ACTIONS(5888),
    [anon_sym_virtual] = ACTIONS(5888),
    [anon_sym_extern] = ACTIONS(5888),
    [anon_sym___attribute__] = ACTIONS(5888),
    [anon_sym___attribute] = ACTIONS(5888),
    [anon_sym_COLON_COLON] = ACTIONS(5890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5890),
    [anon_sym___declspec] = ACTIONS(5888),
    [anon_sym___based] = ACTIONS(5888),
    [anon_sym___cdecl] = ACTIONS(5888),
    [anon_sym___clrcall] = ACTIONS(5888),
    [anon_sym___stdcall] = ACTIONS(5888),
    [anon_sym___fastcall] = ACTIONS(5888),
    [anon_sym___thiscall] = ACTIONS(5888),
    [anon_sym___vectorcall] = ACTIONS(5888),
    [anon_sym_LBRACK] = ACTIONS(5888),
    [anon_sym_static] = ACTIONS(5888),
    [anon_sym_EQ] = ACTIONS(5890),
    [anon_sym_register] = ACTIONS(5888),
    [anon_sym_inline] = ACTIONS(5888),
    [anon_sym___inline] = ACTIONS(5888),
    [anon_sym___inline__] = ACTIONS(5888),
    [anon_sym___forceinline] = ACTIONS(5888),
    [anon_sym_thread_local] = ACTIONS(5888),
    [anon_sym___thread] = ACTIONS(5888),
    [anon_sym_const] = ACTIONS(5888),
    [anon_sym_constexpr] = ACTIONS(5888),
    [anon_sym_volatile] = ACTIONS(5888),
    [anon_sym_restrict] = ACTIONS(5888),
    [anon_sym___restrict__] = ACTIONS(5888),
    [anon_sym__Atomic] = ACTIONS(5888),
    [anon_sym__Noreturn] = ACTIONS(5888),
    [anon_sym_noreturn] = ACTIONS(5888),
    [anon_sym__Nonnull] = ACTIONS(5888),
    [anon_sym_mutable] = ACTIONS(5888),
    [anon_sym_constinit] = ACTIONS(5888),
    [anon_sym_consteval] = ACTIONS(5888),
    [anon_sym_alignas] = ACTIONS(5888),
    [anon_sym__Alignas] = ACTIONS(5888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5888),
    [anon_sym_decltype] = ACTIONS(5888),
    [anon_sym_final] = ACTIONS(5888),
    [anon_sym_override] = ACTIONS(5888),
    [anon_sym_template] = ACTIONS(5888),
    [anon_sym_GT2] = ACTIONS(5890),
    [anon_sym_operator] = ACTIONS(5888),
    [anon_sym_requires] = ACTIONS(5888),
    [anon_sym_precise] = ACTIONS(5888),
    [anon_sym_shared] = ACTIONS(5888),
    [anon_sym_groupshared] = ACTIONS(5888),
    [anon_sym_uniform] = ACTIONS(5888),
    [anon_sym_row_major] = ACTIONS(5888),
    [anon_sym_column_major] = ACTIONS(5888),
    [anon_sym_globallycoherent] = ACTIONS(5888),
    [anon_sym_centroid] = ACTIONS(5888),
    [anon_sym_noperspective] = ACTIONS(5888),
    [anon_sym_nointerpolation] = ACTIONS(5888),
    [anon_sym_sample] = ACTIONS(5888),
    [anon_sym_linear] = ACTIONS(5888),
    [anon_sym_snorm] = ACTIONS(5888),
    [anon_sym_unorm] = ACTIONS(5888),
    [anon_sym_point] = ACTIONS(5888),
    [anon_sym_line] = ACTIONS(5888),
    [anon_sym_triangleadj] = ACTIONS(5888),
    [anon_sym_lineadj] = ACTIONS(5888),
    [anon_sym_triangle] = ACTIONS(5888),
  },
  [2317] = {
    [sym_identifier] = ACTIONS(5892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5894),
    [anon_sym_COMMA] = ACTIONS(5894),
    [anon_sym_RPAREN] = ACTIONS(5894),
    [anon_sym_LPAREN2] = ACTIONS(5894),
    [anon_sym_TILDE] = ACTIONS(5894),
    [anon_sym_STAR] = ACTIONS(5894),
    [anon_sym_AMP_AMP] = ACTIONS(5894),
    [anon_sym_AMP] = ACTIONS(5892),
    [anon_sym_COLON] = ACTIONS(5892),
    [anon_sym_SEMI] = ACTIONS(5894),
    [anon_sym___extension__] = ACTIONS(5892),
    [anon_sym_in] = ACTIONS(5892),
    [anon_sym_out] = ACTIONS(5892),
    [anon_sym_inout] = ACTIONS(5892),
    [anon_sym_virtual] = ACTIONS(5892),
    [anon_sym_extern] = ACTIONS(5892),
    [anon_sym___attribute__] = ACTIONS(5892),
    [anon_sym___attribute] = ACTIONS(5892),
    [anon_sym_COLON_COLON] = ACTIONS(5894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5894),
    [anon_sym___declspec] = ACTIONS(5892),
    [anon_sym___based] = ACTIONS(5892),
    [anon_sym___cdecl] = ACTIONS(5892),
    [anon_sym___clrcall] = ACTIONS(5892),
    [anon_sym___stdcall] = ACTIONS(5892),
    [anon_sym___fastcall] = ACTIONS(5892),
    [anon_sym___thiscall] = ACTIONS(5892),
    [anon_sym___vectorcall] = ACTIONS(5892),
    [anon_sym_LBRACK] = ACTIONS(5892),
    [anon_sym_static] = ACTIONS(5892),
    [anon_sym_EQ] = ACTIONS(5894),
    [anon_sym_register] = ACTIONS(5892),
    [anon_sym_inline] = ACTIONS(5892),
    [anon_sym___inline] = ACTIONS(5892),
    [anon_sym___inline__] = ACTIONS(5892),
    [anon_sym___forceinline] = ACTIONS(5892),
    [anon_sym_thread_local] = ACTIONS(5892),
    [anon_sym___thread] = ACTIONS(5892),
    [anon_sym_const] = ACTIONS(5892),
    [anon_sym_constexpr] = ACTIONS(5892),
    [anon_sym_volatile] = ACTIONS(5892),
    [anon_sym_restrict] = ACTIONS(5892),
    [anon_sym___restrict__] = ACTIONS(5892),
    [anon_sym__Atomic] = ACTIONS(5892),
    [anon_sym__Noreturn] = ACTIONS(5892),
    [anon_sym_noreturn] = ACTIONS(5892),
    [anon_sym__Nonnull] = ACTIONS(5892),
    [anon_sym_mutable] = ACTIONS(5892),
    [anon_sym_constinit] = ACTIONS(5892),
    [anon_sym_consteval] = ACTIONS(5892),
    [anon_sym_alignas] = ACTIONS(5892),
    [anon_sym__Alignas] = ACTIONS(5892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5892),
    [anon_sym_decltype] = ACTIONS(5892),
    [anon_sym_final] = ACTIONS(5892),
    [anon_sym_override] = ACTIONS(5892),
    [anon_sym_template] = ACTIONS(5892),
    [anon_sym_GT2] = ACTIONS(5894),
    [anon_sym_operator] = ACTIONS(5892),
    [anon_sym_requires] = ACTIONS(5892),
    [anon_sym_precise] = ACTIONS(5892),
    [anon_sym_shared] = ACTIONS(5892),
    [anon_sym_groupshared] = ACTIONS(5892),
    [anon_sym_uniform] = ACTIONS(5892),
    [anon_sym_row_major] = ACTIONS(5892),
    [anon_sym_column_major] = ACTIONS(5892),
    [anon_sym_globallycoherent] = ACTIONS(5892),
    [anon_sym_centroid] = ACTIONS(5892),
    [anon_sym_noperspective] = ACTIONS(5892),
    [anon_sym_nointerpolation] = ACTIONS(5892),
    [anon_sym_sample] = ACTIONS(5892),
    [anon_sym_linear] = ACTIONS(5892),
    [anon_sym_snorm] = ACTIONS(5892),
    [anon_sym_unorm] = ACTIONS(5892),
    [anon_sym_point] = ACTIONS(5892),
    [anon_sym_line] = ACTIONS(5892),
    [anon_sym_triangleadj] = ACTIONS(5892),
    [anon_sym_lineadj] = ACTIONS(5892),
    [anon_sym_triangle] = ACTIONS(5892),
  },
  [2318] = {
    [sym_identifier] = ACTIONS(5896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5898),
    [anon_sym_COMMA] = ACTIONS(5898),
    [anon_sym_RPAREN] = ACTIONS(5898),
    [anon_sym_LPAREN2] = ACTIONS(5898),
    [anon_sym_TILDE] = ACTIONS(5898),
    [anon_sym_STAR] = ACTIONS(5898),
    [anon_sym_AMP_AMP] = ACTIONS(5898),
    [anon_sym_AMP] = ACTIONS(5896),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_SEMI] = ACTIONS(5898),
    [anon_sym___extension__] = ACTIONS(5896),
    [anon_sym_in] = ACTIONS(5896),
    [anon_sym_out] = ACTIONS(5896),
    [anon_sym_inout] = ACTIONS(5896),
    [anon_sym_virtual] = ACTIONS(5896),
    [anon_sym_extern] = ACTIONS(5896),
    [anon_sym___attribute__] = ACTIONS(5896),
    [anon_sym___attribute] = ACTIONS(5896),
    [anon_sym_COLON_COLON] = ACTIONS(5898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5898),
    [anon_sym___declspec] = ACTIONS(5896),
    [anon_sym___based] = ACTIONS(5896),
    [anon_sym___cdecl] = ACTIONS(5896),
    [anon_sym___clrcall] = ACTIONS(5896),
    [anon_sym___stdcall] = ACTIONS(5896),
    [anon_sym___fastcall] = ACTIONS(5896),
    [anon_sym___thiscall] = ACTIONS(5896),
    [anon_sym___vectorcall] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_static] = ACTIONS(5896),
    [anon_sym_EQ] = ACTIONS(5898),
    [anon_sym_register] = ACTIONS(5896),
    [anon_sym_inline] = ACTIONS(5896),
    [anon_sym___inline] = ACTIONS(5896),
    [anon_sym___inline__] = ACTIONS(5896),
    [anon_sym___forceinline] = ACTIONS(5896),
    [anon_sym_thread_local] = ACTIONS(5896),
    [anon_sym___thread] = ACTIONS(5896),
    [anon_sym_const] = ACTIONS(5896),
    [anon_sym_constexpr] = ACTIONS(5896),
    [anon_sym_volatile] = ACTIONS(5896),
    [anon_sym_restrict] = ACTIONS(5896),
    [anon_sym___restrict__] = ACTIONS(5896),
    [anon_sym__Atomic] = ACTIONS(5896),
    [anon_sym__Noreturn] = ACTIONS(5896),
    [anon_sym_noreturn] = ACTIONS(5896),
    [anon_sym__Nonnull] = ACTIONS(5896),
    [anon_sym_mutable] = ACTIONS(5896),
    [anon_sym_constinit] = ACTIONS(5896),
    [anon_sym_consteval] = ACTIONS(5896),
    [anon_sym_alignas] = ACTIONS(5896),
    [anon_sym__Alignas] = ACTIONS(5896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5896),
    [anon_sym_decltype] = ACTIONS(5896),
    [anon_sym_final] = ACTIONS(5896),
    [anon_sym_override] = ACTIONS(5896),
    [anon_sym_template] = ACTIONS(5896),
    [anon_sym_GT2] = ACTIONS(5898),
    [anon_sym_operator] = ACTIONS(5896),
    [anon_sym_requires] = ACTIONS(5896),
    [anon_sym_precise] = ACTIONS(5896),
    [anon_sym_shared] = ACTIONS(5896),
    [anon_sym_groupshared] = ACTIONS(5896),
    [anon_sym_uniform] = ACTIONS(5896),
    [anon_sym_row_major] = ACTIONS(5896),
    [anon_sym_column_major] = ACTIONS(5896),
    [anon_sym_globallycoherent] = ACTIONS(5896),
    [anon_sym_centroid] = ACTIONS(5896),
    [anon_sym_noperspective] = ACTIONS(5896),
    [anon_sym_nointerpolation] = ACTIONS(5896),
    [anon_sym_sample] = ACTIONS(5896),
    [anon_sym_linear] = ACTIONS(5896),
    [anon_sym_snorm] = ACTIONS(5896),
    [anon_sym_unorm] = ACTIONS(5896),
    [anon_sym_point] = ACTIONS(5896),
    [anon_sym_line] = ACTIONS(5896),
    [anon_sym_triangleadj] = ACTIONS(5896),
    [anon_sym_lineadj] = ACTIONS(5896),
    [anon_sym_triangle] = ACTIONS(5896),
  },
  [2319] = {
    [sym_identifier] = ACTIONS(5900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_LPAREN2] = ACTIONS(5902),
    [anon_sym_TILDE] = ACTIONS(5902),
    [anon_sym_STAR] = ACTIONS(5902),
    [anon_sym_AMP_AMP] = ACTIONS(5902),
    [anon_sym_AMP] = ACTIONS(5900),
    [anon_sym_COLON] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym___extension__] = ACTIONS(5900),
    [anon_sym_in] = ACTIONS(5900),
    [anon_sym_out] = ACTIONS(5900),
    [anon_sym_inout] = ACTIONS(5900),
    [anon_sym_virtual] = ACTIONS(5900),
    [anon_sym_extern] = ACTIONS(5900),
    [anon_sym___attribute__] = ACTIONS(5900),
    [anon_sym___attribute] = ACTIONS(5900),
    [anon_sym_COLON_COLON] = ACTIONS(5902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5902),
    [anon_sym___declspec] = ACTIONS(5900),
    [anon_sym___based] = ACTIONS(5900),
    [anon_sym___cdecl] = ACTIONS(5900),
    [anon_sym___clrcall] = ACTIONS(5900),
    [anon_sym___stdcall] = ACTIONS(5900),
    [anon_sym___fastcall] = ACTIONS(5900),
    [anon_sym___thiscall] = ACTIONS(5900),
    [anon_sym___vectorcall] = ACTIONS(5900),
    [anon_sym_LBRACK] = ACTIONS(5900),
    [anon_sym_static] = ACTIONS(5900),
    [anon_sym_EQ] = ACTIONS(5902),
    [anon_sym_register] = ACTIONS(5900),
    [anon_sym_inline] = ACTIONS(5900),
    [anon_sym___inline] = ACTIONS(5900),
    [anon_sym___inline__] = ACTIONS(5900),
    [anon_sym___forceinline] = ACTIONS(5900),
    [anon_sym_thread_local] = ACTIONS(5900),
    [anon_sym___thread] = ACTIONS(5900),
    [anon_sym_const] = ACTIONS(5900),
    [anon_sym_constexpr] = ACTIONS(5900),
    [anon_sym_volatile] = ACTIONS(5900),
    [anon_sym_restrict] = ACTIONS(5900),
    [anon_sym___restrict__] = ACTIONS(5900),
    [anon_sym__Atomic] = ACTIONS(5900),
    [anon_sym__Noreturn] = ACTIONS(5900),
    [anon_sym_noreturn] = ACTIONS(5900),
    [anon_sym__Nonnull] = ACTIONS(5900),
    [anon_sym_mutable] = ACTIONS(5900),
    [anon_sym_constinit] = ACTIONS(5900),
    [anon_sym_consteval] = ACTIONS(5900),
    [anon_sym_alignas] = ACTIONS(5900),
    [anon_sym__Alignas] = ACTIONS(5900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5900),
    [anon_sym_decltype] = ACTIONS(5900),
    [anon_sym_final] = ACTIONS(5900),
    [anon_sym_override] = ACTIONS(5900),
    [anon_sym_template] = ACTIONS(5900),
    [anon_sym_GT2] = ACTIONS(5902),
    [anon_sym_operator] = ACTIONS(5900),
    [anon_sym_requires] = ACTIONS(5900),
    [anon_sym_precise] = ACTIONS(5900),
    [anon_sym_shared] = ACTIONS(5900),
    [anon_sym_groupshared] = ACTIONS(5900),
    [anon_sym_uniform] = ACTIONS(5900),
    [anon_sym_row_major] = ACTIONS(5900),
    [anon_sym_column_major] = ACTIONS(5900),
    [anon_sym_globallycoherent] = ACTIONS(5900),
    [anon_sym_centroid] = ACTIONS(5900),
    [anon_sym_noperspective] = ACTIONS(5900),
    [anon_sym_nointerpolation] = ACTIONS(5900),
    [anon_sym_sample] = ACTIONS(5900),
    [anon_sym_linear] = ACTIONS(5900),
    [anon_sym_snorm] = ACTIONS(5900),
    [anon_sym_unorm] = ACTIONS(5900),
    [anon_sym_point] = ACTIONS(5900),
    [anon_sym_line] = ACTIONS(5900),
    [anon_sym_triangleadj] = ACTIONS(5900),
    [anon_sym_lineadj] = ACTIONS(5900),
    [anon_sym_triangle] = ACTIONS(5900),
  },
  [2320] = {
    [sym_identifier] = ACTIONS(5904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5906),
    [anon_sym_COMMA] = ACTIONS(5906),
    [anon_sym_RPAREN] = ACTIONS(5906),
    [anon_sym_LPAREN2] = ACTIONS(5906),
    [anon_sym_TILDE] = ACTIONS(5906),
    [anon_sym_STAR] = ACTIONS(5906),
    [anon_sym_AMP_AMP] = ACTIONS(5906),
    [anon_sym_AMP] = ACTIONS(5904),
    [anon_sym_COLON] = ACTIONS(5904),
    [anon_sym_SEMI] = ACTIONS(5906),
    [anon_sym___extension__] = ACTIONS(5904),
    [anon_sym_in] = ACTIONS(5904),
    [anon_sym_out] = ACTIONS(5904),
    [anon_sym_inout] = ACTIONS(5904),
    [anon_sym_virtual] = ACTIONS(5904),
    [anon_sym_extern] = ACTIONS(5904),
    [anon_sym___attribute__] = ACTIONS(5904),
    [anon_sym___attribute] = ACTIONS(5904),
    [anon_sym_COLON_COLON] = ACTIONS(5906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5906),
    [anon_sym___declspec] = ACTIONS(5904),
    [anon_sym___based] = ACTIONS(5904),
    [anon_sym___cdecl] = ACTIONS(5904),
    [anon_sym___clrcall] = ACTIONS(5904),
    [anon_sym___stdcall] = ACTIONS(5904),
    [anon_sym___fastcall] = ACTIONS(5904),
    [anon_sym___thiscall] = ACTIONS(5904),
    [anon_sym___vectorcall] = ACTIONS(5904),
    [anon_sym_LBRACK] = ACTIONS(5904),
    [anon_sym_static] = ACTIONS(5904),
    [anon_sym_EQ] = ACTIONS(5906),
    [anon_sym_register] = ACTIONS(5904),
    [anon_sym_inline] = ACTIONS(5904),
    [anon_sym___inline] = ACTIONS(5904),
    [anon_sym___inline__] = ACTIONS(5904),
    [anon_sym___forceinline] = ACTIONS(5904),
    [anon_sym_thread_local] = ACTIONS(5904),
    [anon_sym___thread] = ACTIONS(5904),
    [anon_sym_const] = ACTIONS(5904),
    [anon_sym_constexpr] = ACTIONS(5904),
    [anon_sym_volatile] = ACTIONS(5904),
    [anon_sym_restrict] = ACTIONS(5904),
    [anon_sym___restrict__] = ACTIONS(5904),
    [anon_sym__Atomic] = ACTIONS(5904),
    [anon_sym__Noreturn] = ACTIONS(5904),
    [anon_sym_noreturn] = ACTIONS(5904),
    [anon_sym__Nonnull] = ACTIONS(5904),
    [anon_sym_mutable] = ACTIONS(5904),
    [anon_sym_constinit] = ACTIONS(5904),
    [anon_sym_consteval] = ACTIONS(5904),
    [anon_sym_alignas] = ACTIONS(5904),
    [anon_sym__Alignas] = ACTIONS(5904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5904),
    [anon_sym_decltype] = ACTIONS(5904),
    [anon_sym_final] = ACTIONS(5904),
    [anon_sym_override] = ACTIONS(5904),
    [anon_sym_template] = ACTIONS(5904),
    [anon_sym_GT2] = ACTIONS(5906),
    [anon_sym_operator] = ACTIONS(5904),
    [anon_sym_requires] = ACTIONS(5904),
    [anon_sym_precise] = ACTIONS(5904),
    [anon_sym_shared] = ACTIONS(5904),
    [anon_sym_groupshared] = ACTIONS(5904),
    [anon_sym_uniform] = ACTIONS(5904),
    [anon_sym_row_major] = ACTIONS(5904),
    [anon_sym_column_major] = ACTIONS(5904),
    [anon_sym_globallycoherent] = ACTIONS(5904),
    [anon_sym_centroid] = ACTIONS(5904),
    [anon_sym_noperspective] = ACTIONS(5904),
    [anon_sym_nointerpolation] = ACTIONS(5904),
    [anon_sym_sample] = ACTIONS(5904),
    [anon_sym_linear] = ACTIONS(5904),
    [anon_sym_snorm] = ACTIONS(5904),
    [anon_sym_unorm] = ACTIONS(5904),
    [anon_sym_point] = ACTIONS(5904),
    [anon_sym_line] = ACTIONS(5904),
    [anon_sym_triangleadj] = ACTIONS(5904),
    [anon_sym_lineadj] = ACTIONS(5904),
    [anon_sym_triangle] = ACTIONS(5904),
  },
  [2321] = {
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4976),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_RPAREN] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_TILDE] = ACTIONS(4976),
    [anon_sym_STAR] = ACTIONS(4976),
    [anon_sym_AMP_AMP] = ACTIONS(4976),
    [anon_sym_AMP] = ACTIONS(4974),
    [anon_sym_COLON] = ACTIONS(4974),
    [anon_sym_SEMI] = ACTIONS(4976),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym_in] = ACTIONS(4974),
    [anon_sym_out] = ACTIONS(4974),
    [anon_sym_inout] = ACTIONS(4974),
    [anon_sym_virtual] = ACTIONS(4974),
    [anon_sym_extern] = ACTIONS(4974),
    [anon_sym___attribute__] = ACTIONS(4974),
    [anon_sym___attribute] = ACTIONS(4974),
    [anon_sym_COLON_COLON] = ACTIONS(4976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4976),
    [anon_sym___declspec] = ACTIONS(4974),
    [anon_sym___based] = ACTIONS(4974),
    [anon_sym___cdecl] = ACTIONS(4974),
    [anon_sym___clrcall] = ACTIONS(4974),
    [anon_sym___stdcall] = ACTIONS(4974),
    [anon_sym___fastcall] = ACTIONS(4974),
    [anon_sym___thiscall] = ACTIONS(4974),
    [anon_sym___vectorcall] = ACTIONS(4974),
    [anon_sym_LBRACE] = ACTIONS(4976),
    [anon_sym_LBRACK] = ACTIONS(4974),
    [anon_sym_static] = ACTIONS(4974),
    [anon_sym_EQ] = ACTIONS(4976),
    [anon_sym_register] = ACTIONS(4974),
    [anon_sym_inline] = ACTIONS(4974),
    [anon_sym___inline] = ACTIONS(4974),
    [anon_sym___inline__] = ACTIONS(4974),
    [anon_sym___forceinline] = ACTIONS(4974),
    [anon_sym_thread_local] = ACTIONS(4974),
    [anon_sym___thread] = ACTIONS(4974),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_mutable] = ACTIONS(4974),
    [anon_sym_constinit] = ACTIONS(4974),
    [anon_sym_consteval] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4974),
    [anon_sym_final] = ACTIONS(4974),
    [anon_sym_override] = ACTIONS(4974),
    [anon_sym_explicit] = ACTIONS(4974),
    [anon_sym_template] = ACTIONS(4974),
    [anon_sym_GT2] = ACTIONS(4976),
    [anon_sym_operator] = ACTIONS(4974),
    [anon_sym_precise] = ACTIONS(4974),
    [anon_sym_shared] = ACTIONS(4974),
    [anon_sym_groupshared] = ACTIONS(4974),
    [anon_sym_uniform] = ACTIONS(4974),
    [anon_sym_row_major] = ACTIONS(4974),
    [anon_sym_column_major] = ACTIONS(4974),
    [anon_sym_globallycoherent] = ACTIONS(4974),
    [anon_sym_centroid] = ACTIONS(4974),
    [anon_sym_noperspective] = ACTIONS(4974),
    [anon_sym_nointerpolation] = ACTIONS(4974),
    [anon_sym_sample] = ACTIONS(4974),
    [anon_sym_linear] = ACTIONS(4974),
    [anon_sym_snorm] = ACTIONS(4974),
    [anon_sym_unorm] = ACTIONS(4974),
    [anon_sym_point] = ACTIONS(4974),
    [anon_sym_line] = ACTIONS(4974),
    [anon_sym_triangleadj] = ACTIONS(4974),
    [anon_sym_lineadj] = ACTIONS(4974),
    [anon_sym_triangle] = ACTIONS(4974),
  },
  [2322] = {
    [sym_identifier] = ACTIONS(5908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_LPAREN2] = ACTIONS(5910),
    [anon_sym_TILDE] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5910),
    [anon_sym_AMP_AMP] = ACTIONS(5910),
    [anon_sym_AMP] = ACTIONS(5908),
    [anon_sym_COLON] = ACTIONS(5908),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym___extension__] = ACTIONS(5908),
    [anon_sym_in] = ACTIONS(5908),
    [anon_sym_out] = ACTIONS(5908),
    [anon_sym_inout] = ACTIONS(5908),
    [anon_sym_virtual] = ACTIONS(5908),
    [anon_sym_extern] = ACTIONS(5908),
    [anon_sym___attribute__] = ACTIONS(5908),
    [anon_sym___attribute] = ACTIONS(5908),
    [anon_sym_COLON_COLON] = ACTIONS(5910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5910),
    [anon_sym___declspec] = ACTIONS(5908),
    [anon_sym___based] = ACTIONS(5908),
    [anon_sym___cdecl] = ACTIONS(5908),
    [anon_sym___clrcall] = ACTIONS(5908),
    [anon_sym___stdcall] = ACTIONS(5908),
    [anon_sym___fastcall] = ACTIONS(5908),
    [anon_sym___thiscall] = ACTIONS(5908),
    [anon_sym___vectorcall] = ACTIONS(5908),
    [anon_sym_LBRACK] = ACTIONS(5908),
    [anon_sym_static] = ACTIONS(5908),
    [anon_sym_EQ] = ACTIONS(5910),
    [anon_sym_register] = ACTIONS(5908),
    [anon_sym_inline] = ACTIONS(5908),
    [anon_sym___inline] = ACTIONS(5908),
    [anon_sym___inline__] = ACTIONS(5908),
    [anon_sym___forceinline] = ACTIONS(5908),
    [anon_sym_thread_local] = ACTIONS(5908),
    [anon_sym___thread] = ACTIONS(5908),
    [anon_sym_const] = ACTIONS(5908),
    [anon_sym_constexpr] = ACTIONS(5908),
    [anon_sym_volatile] = ACTIONS(5908),
    [anon_sym_restrict] = ACTIONS(5908),
    [anon_sym___restrict__] = ACTIONS(5908),
    [anon_sym__Atomic] = ACTIONS(5908),
    [anon_sym__Noreturn] = ACTIONS(5908),
    [anon_sym_noreturn] = ACTIONS(5908),
    [anon_sym__Nonnull] = ACTIONS(5908),
    [anon_sym_mutable] = ACTIONS(5908),
    [anon_sym_constinit] = ACTIONS(5908),
    [anon_sym_consteval] = ACTIONS(5908),
    [anon_sym_alignas] = ACTIONS(5908),
    [anon_sym__Alignas] = ACTIONS(5908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5908),
    [anon_sym_decltype] = ACTIONS(5908),
    [anon_sym_final] = ACTIONS(5908),
    [anon_sym_override] = ACTIONS(5908),
    [anon_sym_template] = ACTIONS(5908),
    [anon_sym_GT2] = ACTIONS(5910),
    [anon_sym_operator] = ACTIONS(5908),
    [anon_sym_requires] = ACTIONS(5908),
    [anon_sym_precise] = ACTIONS(5908),
    [anon_sym_shared] = ACTIONS(5908),
    [anon_sym_groupshared] = ACTIONS(5908),
    [anon_sym_uniform] = ACTIONS(5908),
    [anon_sym_row_major] = ACTIONS(5908),
    [anon_sym_column_major] = ACTIONS(5908),
    [anon_sym_globallycoherent] = ACTIONS(5908),
    [anon_sym_centroid] = ACTIONS(5908),
    [anon_sym_noperspective] = ACTIONS(5908),
    [anon_sym_nointerpolation] = ACTIONS(5908),
    [anon_sym_sample] = ACTIONS(5908),
    [anon_sym_linear] = ACTIONS(5908),
    [anon_sym_snorm] = ACTIONS(5908),
    [anon_sym_unorm] = ACTIONS(5908),
    [anon_sym_point] = ACTIONS(5908),
    [anon_sym_line] = ACTIONS(5908),
    [anon_sym_triangleadj] = ACTIONS(5908),
    [anon_sym_lineadj] = ACTIONS(5908),
    [anon_sym_triangle] = ACTIONS(5908),
  },
  [2323] = {
    [sym_identifier] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5914),
    [anon_sym_COMMA] = ACTIONS(5914),
    [anon_sym_RPAREN] = ACTIONS(5914),
    [anon_sym_LPAREN2] = ACTIONS(5914),
    [anon_sym_TILDE] = ACTIONS(5914),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP_AMP] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_COLON] = ACTIONS(5912),
    [anon_sym_SEMI] = ACTIONS(5914),
    [anon_sym___extension__] = ACTIONS(5912),
    [anon_sym_in] = ACTIONS(5912),
    [anon_sym_out] = ACTIONS(5912),
    [anon_sym_inout] = ACTIONS(5912),
    [anon_sym_virtual] = ACTIONS(5912),
    [anon_sym_extern] = ACTIONS(5912),
    [anon_sym___attribute__] = ACTIONS(5912),
    [anon_sym___attribute] = ACTIONS(5912),
    [anon_sym_COLON_COLON] = ACTIONS(5914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5914),
    [anon_sym___declspec] = ACTIONS(5912),
    [anon_sym___based] = ACTIONS(5912),
    [anon_sym___cdecl] = ACTIONS(5912),
    [anon_sym___clrcall] = ACTIONS(5912),
    [anon_sym___stdcall] = ACTIONS(5912),
    [anon_sym___fastcall] = ACTIONS(5912),
    [anon_sym___thiscall] = ACTIONS(5912),
    [anon_sym___vectorcall] = ACTIONS(5912),
    [anon_sym_LBRACK] = ACTIONS(5912),
    [anon_sym_static] = ACTIONS(5912),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_register] = ACTIONS(5912),
    [anon_sym_inline] = ACTIONS(5912),
    [anon_sym___inline] = ACTIONS(5912),
    [anon_sym___inline__] = ACTIONS(5912),
    [anon_sym___forceinline] = ACTIONS(5912),
    [anon_sym_thread_local] = ACTIONS(5912),
    [anon_sym___thread] = ACTIONS(5912),
    [anon_sym_const] = ACTIONS(5912),
    [anon_sym_constexpr] = ACTIONS(5912),
    [anon_sym_volatile] = ACTIONS(5912),
    [anon_sym_restrict] = ACTIONS(5912),
    [anon_sym___restrict__] = ACTIONS(5912),
    [anon_sym__Atomic] = ACTIONS(5912),
    [anon_sym__Noreturn] = ACTIONS(5912),
    [anon_sym_noreturn] = ACTIONS(5912),
    [anon_sym__Nonnull] = ACTIONS(5912),
    [anon_sym_mutable] = ACTIONS(5912),
    [anon_sym_constinit] = ACTIONS(5912),
    [anon_sym_consteval] = ACTIONS(5912),
    [anon_sym_alignas] = ACTIONS(5912),
    [anon_sym__Alignas] = ACTIONS(5912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5912),
    [anon_sym_decltype] = ACTIONS(5912),
    [anon_sym_final] = ACTIONS(5912),
    [anon_sym_override] = ACTIONS(5912),
    [anon_sym_template] = ACTIONS(5912),
    [anon_sym_GT2] = ACTIONS(5914),
    [anon_sym_operator] = ACTIONS(5912),
    [anon_sym_requires] = ACTIONS(5912),
    [anon_sym_precise] = ACTIONS(5912),
    [anon_sym_shared] = ACTIONS(5912),
    [anon_sym_groupshared] = ACTIONS(5912),
    [anon_sym_uniform] = ACTIONS(5912),
    [anon_sym_row_major] = ACTIONS(5912),
    [anon_sym_column_major] = ACTIONS(5912),
    [anon_sym_globallycoherent] = ACTIONS(5912),
    [anon_sym_centroid] = ACTIONS(5912),
    [anon_sym_noperspective] = ACTIONS(5912),
    [anon_sym_nointerpolation] = ACTIONS(5912),
    [anon_sym_sample] = ACTIONS(5912),
    [anon_sym_linear] = ACTIONS(5912),
    [anon_sym_snorm] = ACTIONS(5912),
    [anon_sym_unorm] = ACTIONS(5912),
    [anon_sym_point] = ACTIONS(5912),
    [anon_sym_line] = ACTIONS(5912),
    [anon_sym_triangleadj] = ACTIONS(5912),
    [anon_sym_lineadj] = ACTIONS(5912),
    [anon_sym_triangle] = ACTIONS(5912),
  },
  [2324] = {
    [sym_identifier] = ACTIONS(5916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5918),
    [anon_sym_COMMA] = ACTIONS(5918),
    [anon_sym_RPAREN] = ACTIONS(5918),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_TILDE] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5918),
    [anon_sym_AMP_AMP] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5916),
    [anon_sym_COLON] = ACTIONS(5916),
    [anon_sym_SEMI] = ACTIONS(5918),
    [anon_sym___extension__] = ACTIONS(5916),
    [anon_sym_in] = ACTIONS(5916),
    [anon_sym_out] = ACTIONS(5916),
    [anon_sym_inout] = ACTIONS(5916),
    [anon_sym_virtual] = ACTIONS(5916),
    [anon_sym_extern] = ACTIONS(5916),
    [anon_sym___attribute__] = ACTIONS(5916),
    [anon_sym___attribute] = ACTIONS(5916),
    [anon_sym_COLON_COLON] = ACTIONS(5918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5918),
    [anon_sym___declspec] = ACTIONS(5916),
    [anon_sym___based] = ACTIONS(5916),
    [anon_sym___cdecl] = ACTIONS(5916),
    [anon_sym___clrcall] = ACTIONS(5916),
    [anon_sym___stdcall] = ACTIONS(5916),
    [anon_sym___fastcall] = ACTIONS(5916),
    [anon_sym___thiscall] = ACTIONS(5916),
    [anon_sym___vectorcall] = ACTIONS(5916),
    [anon_sym_LBRACK] = ACTIONS(5916),
    [anon_sym_static] = ACTIONS(5916),
    [anon_sym_EQ] = ACTIONS(5918),
    [anon_sym_register] = ACTIONS(5916),
    [anon_sym_inline] = ACTIONS(5916),
    [anon_sym___inline] = ACTIONS(5916),
    [anon_sym___inline__] = ACTIONS(5916),
    [anon_sym___forceinline] = ACTIONS(5916),
    [anon_sym_thread_local] = ACTIONS(5916),
    [anon_sym___thread] = ACTIONS(5916),
    [anon_sym_const] = ACTIONS(5916),
    [anon_sym_constexpr] = ACTIONS(5916),
    [anon_sym_volatile] = ACTIONS(5916),
    [anon_sym_restrict] = ACTIONS(5916),
    [anon_sym___restrict__] = ACTIONS(5916),
    [anon_sym__Atomic] = ACTIONS(5916),
    [anon_sym__Noreturn] = ACTIONS(5916),
    [anon_sym_noreturn] = ACTIONS(5916),
    [anon_sym__Nonnull] = ACTIONS(5916),
    [anon_sym_mutable] = ACTIONS(5916),
    [anon_sym_constinit] = ACTIONS(5916),
    [anon_sym_consteval] = ACTIONS(5916),
    [anon_sym_alignas] = ACTIONS(5916),
    [anon_sym__Alignas] = ACTIONS(5916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5916),
    [anon_sym_decltype] = ACTIONS(5916),
    [anon_sym_final] = ACTIONS(5916),
    [anon_sym_override] = ACTIONS(5916),
    [anon_sym_template] = ACTIONS(5916),
    [anon_sym_GT2] = ACTIONS(5918),
    [anon_sym_operator] = ACTIONS(5916),
    [anon_sym_requires] = ACTIONS(5916),
    [anon_sym_precise] = ACTIONS(5916),
    [anon_sym_shared] = ACTIONS(5916),
    [anon_sym_groupshared] = ACTIONS(5916),
    [anon_sym_uniform] = ACTIONS(5916),
    [anon_sym_row_major] = ACTIONS(5916),
    [anon_sym_column_major] = ACTIONS(5916),
    [anon_sym_globallycoherent] = ACTIONS(5916),
    [anon_sym_centroid] = ACTIONS(5916),
    [anon_sym_noperspective] = ACTIONS(5916),
    [anon_sym_nointerpolation] = ACTIONS(5916),
    [anon_sym_sample] = ACTIONS(5916),
    [anon_sym_linear] = ACTIONS(5916),
    [anon_sym_snorm] = ACTIONS(5916),
    [anon_sym_unorm] = ACTIONS(5916),
    [anon_sym_point] = ACTIONS(5916),
    [anon_sym_line] = ACTIONS(5916),
    [anon_sym_triangleadj] = ACTIONS(5916),
    [anon_sym_lineadj] = ACTIONS(5916),
    [anon_sym_triangle] = ACTIONS(5916),
  },
  [2325] = {
    [sym_identifier] = ACTIONS(5920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5922),
    [anon_sym_COMMA] = ACTIONS(5922),
    [anon_sym_RPAREN] = ACTIONS(5922),
    [anon_sym_LPAREN2] = ACTIONS(5922),
    [anon_sym_TILDE] = ACTIONS(5922),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_AMP] = ACTIONS(5920),
    [anon_sym_COLON] = ACTIONS(5920),
    [anon_sym_SEMI] = ACTIONS(5922),
    [anon_sym___extension__] = ACTIONS(5920),
    [anon_sym_in] = ACTIONS(5920),
    [anon_sym_out] = ACTIONS(5920),
    [anon_sym_inout] = ACTIONS(5920),
    [anon_sym_virtual] = ACTIONS(5920),
    [anon_sym_extern] = ACTIONS(5920),
    [anon_sym___attribute__] = ACTIONS(5920),
    [anon_sym___attribute] = ACTIONS(5920),
    [anon_sym_COLON_COLON] = ACTIONS(5922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5922),
    [anon_sym___declspec] = ACTIONS(5920),
    [anon_sym___based] = ACTIONS(5920),
    [anon_sym___cdecl] = ACTIONS(5920),
    [anon_sym___clrcall] = ACTIONS(5920),
    [anon_sym___stdcall] = ACTIONS(5920),
    [anon_sym___fastcall] = ACTIONS(5920),
    [anon_sym___thiscall] = ACTIONS(5920),
    [anon_sym___vectorcall] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_static] = ACTIONS(5920),
    [anon_sym_EQ] = ACTIONS(5922),
    [anon_sym_register] = ACTIONS(5920),
    [anon_sym_inline] = ACTIONS(5920),
    [anon_sym___inline] = ACTIONS(5920),
    [anon_sym___inline__] = ACTIONS(5920),
    [anon_sym___forceinline] = ACTIONS(5920),
    [anon_sym_thread_local] = ACTIONS(5920),
    [anon_sym___thread] = ACTIONS(5920),
    [anon_sym_const] = ACTIONS(5920),
    [anon_sym_constexpr] = ACTIONS(5920),
    [anon_sym_volatile] = ACTIONS(5920),
    [anon_sym_restrict] = ACTIONS(5920),
    [anon_sym___restrict__] = ACTIONS(5920),
    [anon_sym__Atomic] = ACTIONS(5920),
    [anon_sym__Noreturn] = ACTIONS(5920),
    [anon_sym_noreturn] = ACTIONS(5920),
    [anon_sym__Nonnull] = ACTIONS(5920),
    [anon_sym_mutable] = ACTIONS(5920),
    [anon_sym_constinit] = ACTIONS(5920),
    [anon_sym_consteval] = ACTIONS(5920),
    [anon_sym_alignas] = ACTIONS(5920),
    [anon_sym__Alignas] = ACTIONS(5920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5920),
    [anon_sym_decltype] = ACTIONS(5920),
    [anon_sym_final] = ACTIONS(5920),
    [anon_sym_override] = ACTIONS(5920),
    [anon_sym_template] = ACTIONS(5920),
    [anon_sym_GT2] = ACTIONS(5922),
    [anon_sym_operator] = ACTIONS(5920),
    [anon_sym_requires] = ACTIONS(5920),
    [anon_sym_precise] = ACTIONS(5920),
    [anon_sym_shared] = ACTIONS(5920),
    [anon_sym_groupshared] = ACTIONS(5920),
    [anon_sym_uniform] = ACTIONS(5920),
    [anon_sym_row_major] = ACTIONS(5920),
    [anon_sym_column_major] = ACTIONS(5920),
    [anon_sym_globallycoherent] = ACTIONS(5920),
    [anon_sym_centroid] = ACTIONS(5920),
    [anon_sym_noperspective] = ACTIONS(5920),
    [anon_sym_nointerpolation] = ACTIONS(5920),
    [anon_sym_sample] = ACTIONS(5920),
    [anon_sym_linear] = ACTIONS(5920),
    [anon_sym_snorm] = ACTIONS(5920),
    [anon_sym_unorm] = ACTIONS(5920),
    [anon_sym_point] = ACTIONS(5920),
    [anon_sym_line] = ACTIONS(5920),
    [anon_sym_triangleadj] = ACTIONS(5920),
    [anon_sym_lineadj] = ACTIONS(5920),
    [anon_sym_triangle] = ACTIONS(5920),
  },
  [2326] = {
    [sym_identifier] = ACTIONS(5924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5926),
    [anon_sym_COMMA] = ACTIONS(5926),
    [anon_sym_RPAREN] = ACTIONS(5926),
    [anon_sym_LPAREN2] = ACTIONS(5926),
    [anon_sym_TILDE] = ACTIONS(5926),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5924),
    [anon_sym_COLON] = ACTIONS(5924),
    [anon_sym_SEMI] = ACTIONS(5926),
    [anon_sym___extension__] = ACTIONS(5924),
    [anon_sym_in] = ACTIONS(5924),
    [anon_sym_out] = ACTIONS(5924),
    [anon_sym_inout] = ACTIONS(5924),
    [anon_sym_virtual] = ACTIONS(5924),
    [anon_sym_extern] = ACTIONS(5924),
    [anon_sym___attribute__] = ACTIONS(5924),
    [anon_sym___attribute] = ACTIONS(5924),
    [anon_sym_COLON_COLON] = ACTIONS(5926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5926),
    [anon_sym___declspec] = ACTIONS(5924),
    [anon_sym___based] = ACTIONS(5924),
    [anon_sym___cdecl] = ACTIONS(5924),
    [anon_sym___clrcall] = ACTIONS(5924),
    [anon_sym___stdcall] = ACTIONS(5924),
    [anon_sym___fastcall] = ACTIONS(5924),
    [anon_sym___thiscall] = ACTIONS(5924),
    [anon_sym___vectorcall] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5924),
    [anon_sym_static] = ACTIONS(5924),
    [anon_sym_EQ] = ACTIONS(5926),
    [anon_sym_register] = ACTIONS(5924),
    [anon_sym_inline] = ACTIONS(5924),
    [anon_sym___inline] = ACTIONS(5924),
    [anon_sym___inline__] = ACTIONS(5924),
    [anon_sym___forceinline] = ACTIONS(5924),
    [anon_sym_thread_local] = ACTIONS(5924),
    [anon_sym___thread] = ACTIONS(5924),
    [anon_sym_const] = ACTIONS(5924),
    [anon_sym_constexpr] = ACTIONS(5924),
    [anon_sym_volatile] = ACTIONS(5924),
    [anon_sym_restrict] = ACTIONS(5924),
    [anon_sym___restrict__] = ACTIONS(5924),
    [anon_sym__Atomic] = ACTIONS(5924),
    [anon_sym__Noreturn] = ACTIONS(5924),
    [anon_sym_noreturn] = ACTIONS(5924),
    [anon_sym__Nonnull] = ACTIONS(5924),
    [anon_sym_mutable] = ACTIONS(5924),
    [anon_sym_constinit] = ACTIONS(5924),
    [anon_sym_consteval] = ACTIONS(5924),
    [anon_sym_alignas] = ACTIONS(5924),
    [anon_sym__Alignas] = ACTIONS(5924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5924),
    [anon_sym_decltype] = ACTIONS(5924),
    [anon_sym_final] = ACTIONS(5924),
    [anon_sym_override] = ACTIONS(5924),
    [anon_sym_template] = ACTIONS(5924),
    [anon_sym_GT2] = ACTIONS(5926),
    [anon_sym_operator] = ACTIONS(5924),
    [anon_sym_requires] = ACTIONS(5924),
    [anon_sym_precise] = ACTIONS(5924),
    [anon_sym_shared] = ACTIONS(5924),
    [anon_sym_groupshared] = ACTIONS(5924),
    [anon_sym_uniform] = ACTIONS(5924),
    [anon_sym_row_major] = ACTIONS(5924),
    [anon_sym_column_major] = ACTIONS(5924),
    [anon_sym_globallycoherent] = ACTIONS(5924),
    [anon_sym_centroid] = ACTIONS(5924),
    [anon_sym_noperspective] = ACTIONS(5924),
    [anon_sym_nointerpolation] = ACTIONS(5924),
    [anon_sym_sample] = ACTIONS(5924),
    [anon_sym_linear] = ACTIONS(5924),
    [anon_sym_snorm] = ACTIONS(5924),
    [anon_sym_unorm] = ACTIONS(5924),
    [anon_sym_point] = ACTIONS(5924),
    [anon_sym_line] = ACTIONS(5924),
    [anon_sym_triangleadj] = ACTIONS(5924),
    [anon_sym_lineadj] = ACTIONS(5924),
    [anon_sym_triangle] = ACTIONS(5924),
  },
  [2327] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(5712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym___cdecl] = ACTIONS(5710),
    [anon_sym___clrcall] = ACTIONS(5710),
    [anon_sym___stdcall] = ACTIONS(5710),
    [anon_sym___fastcall] = ACTIONS(5710),
    [anon_sym___thiscall] = ACTIONS(5710),
    [anon_sym___vectorcall] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_GT2] = ACTIONS(5712),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2328] = {
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_TILDE] = ACTIONS(5930),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_COLON] = ACTIONS(5928),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___extension__] = ACTIONS(5928),
    [anon_sym_in] = ACTIONS(5928),
    [anon_sym_out] = ACTIONS(5928),
    [anon_sym_inout] = ACTIONS(5928),
    [anon_sym_virtual] = ACTIONS(5928),
    [anon_sym_extern] = ACTIONS(5928),
    [anon_sym___attribute__] = ACTIONS(5928),
    [anon_sym___attribute] = ACTIONS(5928),
    [anon_sym_COLON_COLON] = ACTIONS(5930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5930),
    [anon_sym___declspec] = ACTIONS(5928),
    [anon_sym___based] = ACTIONS(5928),
    [anon_sym___cdecl] = ACTIONS(5928),
    [anon_sym___clrcall] = ACTIONS(5928),
    [anon_sym___stdcall] = ACTIONS(5928),
    [anon_sym___fastcall] = ACTIONS(5928),
    [anon_sym___thiscall] = ACTIONS(5928),
    [anon_sym___vectorcall] = ACTIONS(5928),
    [anon_sym_LBRACK] = ACTIONS(5928),
    [anon_sym_static] = ACTIONS(5928),
    [anon_sym_EQ] = ACTIONS(5930),
    [anon_sym_register] = ACTIONS(5928),
    [anon_sym_inline] = ACTIONS(5928),
    [anon_sym___inline] = ACTIONS(5928),
    [anon_sym___inline__] = ACTIONS(5928),
    [anon_sym___forceinline] = ACTIONS(5928),
    [anon_sym_thread_local] = ACTIONS(5928),
    [anon_sym___thread] = ACTIONS(5928),
    [anon_sym_const] = ACTIONS(5928),
    [anon_sym_constexpr] = ACTIONS(5928),
    [anon_sym_volatile] = ACTIONS(5928),
    [anon_sym_restrict] = ACTIONS(5928),
    [anon_sym___restrict__] = ACTIONS(5928),
    [anon_sym__Atomic] = ACTIONS(5928),
    [anon_sym__Noreturn] = ACTIONS(5928),
    [anon_sym_noreturn] = ACTIONS(5928),
    [anon_sym__Nonnull] = ACTIONS(5928),
    [anon_sym_mutable] = ACTIONS(5928),
    [anon_sym_constinit] = ACTIONS(5928),
    [anon_sym_consteval] = ACTIONS(5928),
    [anon_sym_alignas] = ACTIONS(5928),
    [anon_sym__Alignas] = ACTIONS(5928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
    [anon_sym_final] = ACTIONS(5928),
    [anon_sym_override] = ACTIONS(5928),
    [anon_sym_template] = ACTIONS(5928),
    [anon_sym_GT2] = ACTIONS(5930),
    [anon_sym_operator] = ACTIONS(5928),
    [anon_sym_requires] = ACTIONS(5928),
    [anon_sym_precise] = ACTIONS(5928),
    [anon_sym_shared] = ACTIONS(5928),
    [anon_sym_groupshared] = ACTIONS(5928),
    [anon_sym_uniform] = ACTIONS(5928),
    [anon_sym_row_major] = ACTIONS(5928),
    [anon_sym_column_major] = ACTIONS(5928),
    [anon_sym_globallycoherent] = ACTIONS(5928),
    [anon_sym_centroid] = ACTIONS(5928),
    [anon_sym_noperspective] = ACTIONS(5928),
    [anon_sym_nointerpolation] = ACTIONS(5928),
    [anon_sym_sample] = ACTIONS(5928),
    [anon_sym_linear] = ACTIONS(5928),
    [anon_sym_snorm] = ACTIONS(5928),
    [anon_sym_unorm] = ACTIONS(5928),
    [anon_sym_point] = ACTIONS(5928),
    [anon_sym_line] = ACTIONS(5928),
    [anon_sym_triangleadj] = ACTIONS(5928),
    [anon_sym_lineadj] = ACTIONS(5928),
    [anon_sym_triangle] = ACTIONS(5928),
  },
  [2329] = {
    [sym_identifier] = ACTIONS(5932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5934),
    [anon_sym_COMMA] = ACTIONS(5934),
    [anon_sym_RPAREN] = ACTIONS(5934),
    [anon_sym_LPAREN2] = ACTIONS(5934),
    [anon_sym_TILDE] = ACTIONS(5934),
    [anon_sym_STAR] = ACTIONS(5934),
    [anon_sym_AMP_AMP] = ACTIONS(5934),
    [anon_sym_AMP] = ACTIONS(5932),
    [anon_sym_COLON] = ACTIONS(5932),
    [anon_sym_SEMI] = ACTIONS(5934),
    [anon_sym___extension__] = ACTIONS(5932),
    [anon_sym_in] = ACTIONS(5932),
    [anon_sym_out] = ACTIONS(5932),
    [anon_sym_inout] = ACTIONS(5932),
    [anon_sym_virtual] = ACTIONS(5932),
    [anon_sym_extern] = ACTIONS(5932),
    [anon_sym___attribute__] = ACTIONS(5932),
    [anon_sym___attribute] = ACTIONS(5932),
    [anon_sym_COLON_COLON] = ACTIONS(5934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5934),
    [anon_sym___declspec] = ACTIONS(5932),
    [anon_sym___based] = ACTIONS(5932),
    [anon_sym___cdecl] = ACTIONS(5932),
    [anon_sym___clrcall] = ACTIONS(5932),
    [anon_sym___stdcall] = ACTIONS(5932),
    [anon_sym___fastcall] = ACTIONS(5932),
    [anon_sym___thiscall] = ACTIONS(5932),
    [anon_sym___vectorcall] = ACTIONS(5932),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_static] = ACTIONS(5932),
    [anon_sym_EQ] = ACTIONS(5934),
    [anon_sym_register] = ACTIONS(5932),
    [anon_sym_inline] = ACTIONS(5932),
    [anon_sym___inline] = ACTIONS(5932),
    [anon_sym___inline__] = ACTIONS(5932),
    [anon_sym___forceinline] = ACTIONS(5932),
    [anon_sym_thread_local] = ACTIONS(5932),
    [anon_sym___thread] = ACTIONS(5932),
    [anon_sym_const] = ACTIONS(5932),
    [anon_sym_constexpr] = ACTIONS(5932),
    [anon_sym_volatile] = ACTIONS(5932),
    [anon_sym_restrict] = ACTIONS(5932),
    [anon_sym___restrict__] = ACTIONS(5932),
    [anon_sym__Atomic] = ACTIONS(5932),
    [anon_sym__Noreturn] = ACTIONS(5932),
    [anon_sym_noreturn] = ACTIONS(5932),
    [anon_sym__Nonnull] = ACTIONS(5932),
    [anon_sym_mutable] = ACTIONS(5932),
    [anon_sym_constinit] = ACTIONS(5932),
    [anon_sym_consteval] = ACTIONS(5932),
    [anon_sym_alignas] = ACTIONS(5932),
    [anon_sym__Alignas] = ACTIONS(5932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5932),
    [anon_sym_decltype] = ACTIONS(5932),
    [anon_sym_final] = ACTIONS(5932),
    [anon_sym_override] = ACTIONS(5932),
    [anon_sym_template] = ACTIONS(5932),
    [anon_sym_GT2] = ACTIONS(5934),
    [anon_sym_operator] = ACTIONS(5932),
    [anon_sym_requires] = ACTIONS(5932),
    [anon_sym_precise] = ACTIONS(5932),
    [anon_sym_shared] = ACTIONS(5932),
    [anon_sym_groupshared] = ACTIONS(5932),
    [anon_sym_uniform] = ACTIONS(5932),
    [anon_sym_row_major] = ACTIONS(5932),
    [anon_sym_column_major] = ACTIONS(5932),
    [anon_sym_globallycoherent] = ACTIONS(5932),
    [anon_sym_centroid] = ACTIONS(5932),
    [anon_sym_noperspective] = ACTIONS(5932),
    [anon_sym_nointerpolation] = ACTIONS(5932),
    [anon_sym_sample] = ACTIONS(5932),
    [anon_sym_linear] = ACTIONS(5932),
    [anon_sym_snorm] = ACTIONS(5932),
    [anon_sym_unorm] = ACTIONS(5932),
    [anon_sym_point] = ACTIONS(5932),
    [anon_sym_line] = ACTIONS(5932),
    [anon_sym_triangleadj] = ACTIONS(5932),
    [anon_sym_lineadj] = ACTIONS(5932),
    [anon_sym_triangle] = ACTIONS(5932),
  },
  [2330] = {
    [sym_identifier] = ACTIONS(5936),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5938),
    [anon_sym_COMMA] = ACTIONS(5938),
    [anon_sym_RPAREN] = ACTIONS(5938),
    [anon_sym_LPAREN2] = ACTIONS(5938),
    [anon_sym_TILDE] = ACTIONS(5938),
    [anon_sym_STAR] = ACTIONS(5938),
    [anon_sym_AMP_AMP] = ACTIONS(5938),
    [anon_sym_AMP] = ACTIONS(5936),
    [anon_sym_COLON] = ACTIONS(5936),
    [anon_sym_SEMI] = ACTIONS(5938),
    [anon_sym___extension__] = ACTIONS(5936),
    [anon_sym_in] = ACTIONS(5936),
    [anon_sym_out] = ACTIONS(5936),
    [anon_sym_inout] = ACTIONS(5936),
    [anon_sym_virtual] = ACTIONS(5936),
    [anon_sym_extern] = ACTIONS(5936),
    [anon_sym___attribute__] = ACTIONS(5936),
    [anon_sym___attribute] = ACTIONS(5936),
    [anon_sym_COLON_COLON] = ACTIONS(5938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5938),
    [anon_sym___declspec] = ACTIONS(5936),
    [anon_sym___based] = ACTIONS(5936),
    [anon_sym___cdecl] = ACTIONS(5936),
    [anon_sym___clrcall] = ACTIONS(5936),
    [anon_sym___stdcall] = ACTIONS(5936),
    [anon_sym___fastcall] = ACTIONS(5936),
    [anon_sym___thiscall] = ACTIONS(5936),
    [anon_sym___vectorcall] = ACTIONS(5936),
    [anon_sym_LBRACK] = ACTIONS(5936),
    [anon_sym_static] = ACTIONS(5936),
    [anon_sym_EQ] = ACTIONS(5938),
    [anon_sym_register] = ACTIONS(5936),
    [anon_sym_inline] = ACTIONS(5936),
    [anon_sym___inline] = ACTIONS(5936),
    [anon_sym___inline__] = ACTIONS(5936),
    [anon_sym___forceinline] = ACTIONS(5936),
    [anon_sym_thread_local] = ACTIONS(5936),
    [anon_sym___thread] = ACTIONS(5936),
    [anon_sym_const] = ACTIONS(5936),
    [anon_sym_constexpr] = ACTIONS(5936),
    [anon_sym_volatile] = ACTIONS(5936),
    [anon_sym_restrict] = ACTIONS(5936),
    [anon_sym___restrict__] = ACTIONS(5936),
    [anon_sym__Atomic] = ACTIONS(5936),
    [anon_sym__Noreturn] = ACTIONS(5936),
    [anon_sym_noreturn] = ACTIONS(5936),
    [anon_sym__Nonnull] = ACTIONS(5936),
    [anon_sym_mutable] = ACTIONS(5936),
    [anon_sym_constinit] = ACTIONS(5936),
    [anon_sym_consteval] = ACTIONS(5936),
    [anon_sym_alignas] = ACTIONS(5936),
    [anon_sym__Alignas] = ACTIONS(5936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5936),
    [anon_sym_decltype] = ACTIONS(5936),
    [anon_sym_final] = ACTIONS(5936),
    [anon_sym_override] = ACTIONS(5936),
    [anon_sym_template] = ACTIONS(5936),
    [anon_sym_GT2] = ACTIONS(5938),
    [anon_sym_operator] = ACTIONS(5936),
    [anon_sym_requires] = ACTIONS(5936),
    [anon_sym_precise] = ACTIONS(5936),
    [anon_sym_shared] = ACTIONS(5936),
    [anon_sym_groupshared] = ACTIONS(5936),
    [anon_sym_uniform] = ACTIONS(5936),
    [anon_sym_row_major] = ACTIONS(5936),
    [anon_sym_column_major] = ACTIONS(5936),
    [anon_sym_globallycoherent] = ACTIONS(5936),
    [anon_sym_centroid] = ACTIONS(5936),
    [anon_sym_noperspective] = ACTIONS(5936),
    [anon_sym_nointerpolation] = ACTIONS(5936),
    [anon_sym_sample] = ACTIONS(5936),
    [anon_sym_linear] = ACTIONS(5936),
    [anon_sym_snorm] = ACTIONS(5936),
    [anon_sym_unorm] = ACTIONS(5936),
    [anon_sym_point] = ACTIONS(5936),
    [anon_sym_line] = ACTIONS(5936),
    [anon_sym_triangleadj] = ACTIONS(5936),
    [anon_sym_lineadj] = ACTIONS(5936),
    [anon_sym_triangle] = ACTIONS(5936),
  },
  [2331] = {
    [sym_identifier] = ACTIONS(5940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5942),
    [anon_sym_COMMA] = ACTIONS(5942),
    [anon_sym_RPAREN] = ACTIONS(5942),
    [anon_sym_LPAREN2] = ACTIONS(5942),
    [anon_sym_TILDE] = ACTIONS(5942),
    [anon_sym_STAR] = ACTIONS(5942),
    [anon_sym_AMP_AMP] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_SEMI] = ACTIONS(5942),
    [anon_sym___extension__] = ACTIONS(5940),
    [anon_sym_in] = ACTIONS(5940),
    [anon_sym_out] = ACTIONS(5940),
    [anon_sym_inout] = ACTIONS(5940),
    [anon_sym_virtual] = ACTIONS(5940),
    [anon_sym_extern] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5940),
    [anon_sym___attribute] = ACTIONS(5940),
    [anon_sym_COLON_COLON] = ACTIONS(5942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5942),
    [anon_sym___declspec] = ACTIONS(5940),
    [anon_sym___based] = ACTIONS(5940),
    [anon_sym___cdecl] = ACTIONS(5940),
    [anon_sym___clrcall] = ACTIONS(5940),
    [anon_sym___stdcall] = ACTIONS(5940),
    [anon_sym___fastcall] = ACTIONS(5940),
    [anon_sym___thiscall] = ACTIONS(5940),
    [anon_sym___vectorcall] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5940),
    [anon_sym_static] = ACTIONS(5940),
    [anon_sym_EQ] = ACTIONS(5942),
    [anon_sym_register] = ACTIONS(5940),
    [anon_sym_inline] = ACTIONS(5940),
    [anon_sym___inline] = ACTIONS(5940),
    [anon_sym___inline__] = ACTIONS(5940),
    [anon_sym___forceinline] = ACTIONS(5940),
    [anon_sym_thread_local] = ACTIONS(5940),
    [anon_sym___thread] = ACTIONS(5940),
    [anon_sym_const] = ACTIONS(5940),
    [anon_sym_constexpr] = ACTIONS(5940),
    [anon_sym_volatile] = ACTIONS(5940),
    [anon_sym_restrict] = ACTIONS(5940),
    [anon_sym___restrict__] = ACTIONS(5940),
    [anon_sym__Atomic] = ACTIONS(5940),
    [anon_sym__Noreturn] = ACTIONS(5940),
    [anon_sym_noreturn] = ACTIONS(5940),
    [anon_sym__Nonnull] = ACTIONS(5940),
    [anon_sym_mutable] = ACTIONS(5940),
    [anon_sym_constinit] = ACTIONS(5940),
    [anon_sym_consteval] = ACTIONS(5940),
    [anon_sym_alignas] = ACTIONS(5940),
    [anon_sym__Alignas] = ACTIONS(5940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
    [anon_sym_final] = ACTIONS(5940),
    [anon_sym_override] = ACTIONS(5940),
    [anon_sym_template] = ACTIONS(5940),
    [anon_sym_GT2] = ACTIONS(5942),
    [anon_sym_operator] = ACTIONS(5940),
    [anon_sym_requires] = ACTIONS(5940),
    [anon_sym_precise] = ACTIONS(5940),
    [anon_sym_shared] = ACTIONS(5940),
    [anon_sym_groupshared] = ACTIONS(5940),
    [anon_sym_uniform] = ACTIONS(5940),
    [anon_sym_row_major] = ACTIONS(5940),
    [anon_sym_column_major] = ACTIONS(5940),
    [anon_sym_globallycoherent] = ACTIONS(5940),
    [anon_sym_centroid] = ACTIONS(5940),
    [anon_sym_noperspective] = ACTIONS(5940),
    [anon_sym_nointerpolation] = ACTIONS(5940),
    [anon_sym_sample] = ACTIONS(5940),
    [anon_sym_linear] = ACTIONS(5940),
    [anon_sym_snorm] = ACTIONS(5940),
    [anon_sym_unorm] = ACTIONS(5940),
    [anon_sym_point] = ACTIONS(5940),
    [anon_sym_line] = ACTIONS(5940),
    [anon_sym_triangleadj] = ACTIONS(5940),
    [anon_sym_lineadj] = ACTIONS(5940),
    [anon_sym_triangle] = ACTIONS(5940),
  },
  [2332] = {
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_TILDE] = ACTIONS(5930),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_COLON] = ACTIONS(5928),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___extension__] = ACTIONS(5928),
    [anon_sym_in] = ACTIONS(5928),
    [anon_sym_out] = ACTIONS(5928),
    [anon_sym_inout] = ACTIONS(5928),
    [anon_sym_virtual] = ACTIONS(5928),
    [anon_sym_extern] = ACTIONS(5928),
    [anon_sym___attribute__] = ACTIONS(5928),
    [anon_sym___attribute] = ACTIONS(5928),
    [anon_sym_COLON_COLON] = ACTIONS(5930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5930),
    [anon_sym___declspec] = ACTIONS(5928),
    [anon_sym___based] = ACTIONS(5928),
    [anon_sym___cdecl] = ACTIONS(5928),
    [anon_sym___clrcall] = ACTIONS(5928),
    [anon_sym___stdcall] = ACTIONS(5928),
    [anon_sym___fastcall] = ACTIONS(5928),
    [anon_sym___thiscall] = ACTIONS(5928),
    [anon_sym___vectorcall] = ACTIONS(5928),
    [anon_sym_LBRACK] = ACTIONS(5928),
    [anon_sym_static] = ACTIONS(5928),
    [anon_sym_EQ] = ACTIONS(5930),
    [anon_sym_register] = ACTIONS(5928),
    [anon_sym_inline] = ACTIONS(5928),
    [anon_sym___inline] = ACTIONS(5928),
    [anon_sym___inline__] = ACTIONS(5928),
    [anon_sym___forceinline] = ACTIONS(5928),
    [anon_sym_thread_local] = ACTIONS(5928),
    [anon_sym___thread] = ACTIONS(5928),
    [anon_sym_const] = ACTIONS(5928),
    [anon_sym_constexpr] = ACTIONS(5928),
    [anon_sym_volatile] = ACTIONS(5928),
    [anon_sym_restrict] = ACTIONS(5928),
    [anon_sym___restrict__] = ACTIONS(5928),
    [anon_sym__Atomic] = ACTIONS(5928),
    [anon_sym__Noreturn] = ACTIONS(5928),
    [anon_sym_noreturn] = ACTIONS(5928),
    [anon_sym__Nonnull] = ACTIONS(5928),
    [anon_sym_mutable] = ACTIONS(5928),
    [anon_sym_constinit] = ACTIONS(5928),
    [anon_sym_consteval] = ACTIONS(5928),
    [anon_sym_alignas] = ACTIONS(5928),
    [anon_sym__Alignas] = ACTIONS(5928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
    [anon_sym_final] = ACTIONS(5928),
    [anon_sym_override] = ACTIONS(5928),
    [anon_sym_template] = ACTIONS(5928),
    [anon_sym_GT2] = ACTIONS(5930),
    [anon_sym_operator] = ACTIONS(5928),
    [anon_sym_requires] = ACTIONS(5928),
    [anon_sym_precise] = ACTIONS(5928),
    [anon_sym_shared] = ACTIONS(5928),
    [anon_sym_groupshared] = ACTIONS(5928),
    [anon_sym_uniform] = ACTIONS(5928),
    [anon_sym_row_major] = ACTIONS(5928),
    [anon_sym_column_major] = ACTIONS(5928),
    [anon_sym_globallycoherent] = ACTIONS(5928),
    [anon_sym_centroid] = ACTIONS(5928),
    [anon_sym_noperspective] = ACTIONS(5928),
    [anon_sym_nointerpolation] = ACTIONS(5928),
    [anon_sym_sample] = ACTIONS(5928),
    [anon_sym_linear] = ACTIONS(5928),
    [anon_sym_snorm] = ACTIONS(5928),
    [anon_sym_unorm] = ACTIONS(5928),
    [anon_sym_point] = ACTIONS(5928),
    [anon_sym_line] = ACTIONS(5928),
    [anon_sym_triangleadj] = ACTIONS(5928),
    [anon_sym_lineadj] = ACTIONS(5928),
    [anon_sym_triangle] = ACTIONS(5928),
  },
  [2333] = {
    [sym_identifier] = ACTIONS(5944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5946),
    [anon_sym_COMMA] = ACTIONS(5946),
    [anon_sym_RPAREN] = ACTIONS(5946),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_TILDE] = ACTIONS(5946),
    [anon_sym_STAR] = ACTIONS(5946),
    [anon_sym_AMP_AMP] = ACTIONS(5946),
    [anon_sym_AMP] = ACTIONS(5944),
    [anon_sym_COLON] = ACTIONS(5944),
    [anon_sym_SEMI] = ACTIONS(5946),
    [anon_sym___extension__] = ACTIONS(5944),
    [anon_sym_in] = ACTIONS(5944),
    [anon_sym_out] = ACTIONS(5944),
    [anon_sym_inout] = ACTIONS(5944),
    [anon_sym_virtual] = ACTIONS(5944),
    [anon_sym_extern] = ACTIONS(5944),
    [anon_sym___attribute__] = ACTIONS(5944),
    [anon_sym___attribute] = ACTIONS(5944),
    [anon_sym_COLON_COLON] = ACTIONS(5946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5946),
    [anon_sym___declspec] = ACTIONS(5944),
    [anon_sym___based] = ACTIONS(5944),
    [anon_sym___cdecl] = ACTIONS(5944),
    [anon_sym___clrcall] = ACTIONS(5944),
    [anon_sym___stdcall] = ACTIONS(5944),
    [anon_sym___fastcall] = ACTIONS(5944),
    [anon_sym___thiscall] = ACTIONS(5944),
    [anon_sym___vectorcall] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5944),
    [anon_sym_static] = ACTIONS(5944),
    [anon_sym_EQ] = ACTIONS(5946),
    [anon_sym_register] = ACTIONS(5944),
    [anon_sym_inline] = ACTIONS(5944),
    [anon_sym___inline] = ACTIONS(5944),
    [anon_sym___inline__] = ACTIONS(5944),
    [anon_sym___forceinline] = ACTIONS(5944),
    [anon_sym_thread_local] = ACTIONS(5944),
    [anon_sym___thread] = ACTIONS(5944),
    [anon_sym_const] = ACTIONS(5944),
    [anon_sym_constexpr] = ACTIONS(5944),
    [anon_sym_volatile] = ACTIONS(5944),
    [anon_sym_restrict] = ACTIONS(5944),
    [anon_sym___restrict__] = ACTIONS(5944),
    [anon_sym__Atomic] = ACTIONS(5944),
    [anon_sym__Noreturn] = ACTIONS(5944),
    [anon_sym_noreturn] = ACTIONS(5944),
    [anon_sym__Nonnull] = ACTIONS(5944),
    [anon_sym_mutable] = ACTIONS(5944),
    [anon_sym_constinit] = ACTIONS(5944),
    [anon_sym_consteval] = ACTIONS(5944),
    [anon_sym_alignas] = ACTIONS(5944),
    [anon_sym__Alignas] = ACTIONS(5944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5944),
    [anon_sym_decltype] = ACTIONS(5944),
    [anon_sym_final] = ACTIONS(5944),
    [anon_sym_override] = ACTIONS(5944),
    [anon_sym_template] = ACTIONS(5944),
    [anon_sym_GT2] = ACTIONS(5946),
    [anon_sym_operator] = ACTIONS(5944),
    [anon_sym_requires] = ACTIONS(5944),
    [anon_sym_precise] = ACTIONS(5944),
    [anon_sym_shared] = ACTIONS(5944),
    [anon_sym_groupshared] = ACTIONS(5944),
    [anon_sym_uniform] = ACTIONS(5944),
    [anon_sym_row_major] = ACTIONS(5944),
    [anon_sym_column_major] = ACTIONS(5944),
    [anon_sym_globallycoherent] = ACTIONS(5944),
    [anon_sym_centroid] = ACTIONS(5944),
    [anon_sym_noperspective] = ACTIONS(5944),
    [anon_sym_nointerpolation] = ACTIONS(5944),
    [anon_sym_sample] = ACTIONS(5944),
    [anon_sym_linear] = ACTIONS(5944),
    [anon_sym_snorm] = ACTIONS(5944),
    [anon_sym_unorm] = ACTIONS(5944),
    [anon_sym_point] = ACTIONS(5944),
    [anon_sym_line] = ACTIONS(5944),
    [anon_sym_triangleadj] = ACTIONS(5944),
    [anon_sym_lineadj] = ACTIONS(5944),
    [anon_sym_triangle] = ACTIONS(5944),
  },
  [2334] = {
    [sym_identifier] = ACTIONS(5948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5950),
    [anon_sym_COMMA] = ACTIONS(5950),
    [anon_sym_RPAREN] = ACTIONS(5950),
    [anon_sym_LPAREN2] = ACTIONS(5950),
    [anon_sym_TILDE] = ACTIONS(5950),
    [anon_sym_STAR] = ACTIONS(5950),
    [anon_sym_AMP_AMP] = ACTIONS(5950),
    [anon_sym_AMP] = ACTIONS(5948),
    [anon_sym_COLON] = ACTIONS(5948),
    [anon_sym_SEMI] = ACTIONS(5950),
    [anon_sym___extension__] = ACTIONS(5948),
    [anon_sym_in] = ACTIONS(5948),
    [anon_sym_out] = ACTIONS(5948),
    [anon_sym_inout] = ACTIONS(5948),
    [anon_sym_virtual] = ACTIONS(5948),
    [anon_sym_extern] = ACTIONS(5948),
    [anon_sym___attribute__] = ACTIONS(5948),
    [anon_sym___attribute] = ACTIONS(5948),
    [anon_sym_COLON_COLON] = ACTIONS(5950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5950),
    [anon_sym___declspec] = ACTIONS(5948),
    [anon_sym___based] = ACTIONS(5948),
    [anon_sym___cdecl] = ACTIONS(5948),
    [anon_sym___clrcall] = ACTIONS(5948),
    [anon_sym___stdcall] = ACTIONS(5948),
    [anon_sym___fastcall] = ACTIONS(5948),
    [anon_sym___thiscall] = ACTIONS(5948),
    [anon_sym___vectorcall] = ACTIONS(5948),
    [anon_sym_LBRACK] = ACTIONS(5948),
    [anon_sym_static] = ACTIONS(5948),
    [anon_sym_EQ] = ACTIONS(5950),
    [anon_sym_register] = ACTIONS(5948),
    [anon_sym_inline] = ACTIONS(5948),
    [anon_sym___inline] = ACTIONS(5948),
    [anon_sym___inline__] = ACTIONS(5948),
    [anon_sym___forceinline] = ACTIONS(5948),
    [anon_sym_thread_local] = ACTIONS(5948),
    [anon_sym___thread] = ACTIONS(5948),
    [anon_sym_const] = ACTIONS(5948),
    [anon_sym_constexpr] = ACTIONS(5948),
    [anon_sym_volatile] = ACTIONS(5948),
    [anon_sym_restrict] = ACTIONS(5948),
    [anon_sym___restrict__] = ACTIONS(5948),
    [anon_sym__Atomic] = ACTIONS(5948),
    [anon_sym__Noreturn] = ACTIONS(5948),
    [anon_sym_noreturn] = ACTIONS(5948),
    [anon_sym__Nonnull] = ACTIONS(5948),
    [anon_sym_mutable] = ACTIONS(5948),
    [anon_sym_constinit] = ACTIONS(5948),
    [anon_sym_consteval] = ACTIONS(5948),
    [anon_sym_alignas] = ACTIONS(5948),
    [anon_sym__Alignas] = ACTIONS(5948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5948),
    [anon_sym_decltype] = ACTIONS(5948),
    [anon_sym_final] = ACTIONS(5948),
    [anon_sym_override] = ACTIONS(5948),
    [anon_sym_template] = ACTIONS(5948),
    [anon_sym_GT2] = ACTIONS(5950),
    [anon_sym_operator] = ACTIONS(5948),
    [anon_sym_requires] = ACTIONS(5948),
    [anon_sym_precise] = ACTIONS(5948),
    [anon_sym_shared] = ACTIONS(5948),
    [anon_sym_groupshared] = ACTIONS(5948),
    [anon_sym_uniform] = ACTIONS(5948),
    [anon_sym_row_major] = ACTIONS(5948),
    [anon_sym_column_major] = ACTIONS(5948),
    [anon_sym_globallycoherent] = ACTIONS(5948),
    [anon_sym_centroid] = ACTIONS(5948),
    [anon_sym_noperspective] = ACTIONS(5948),
    [anon_sym_nointerpolation] = ACTIONS(5948),
    [anon_sym_sample] = ACTIONS(5948),
    [anon_sym_linear] = ACTIONS(5948),
    [anon_sym_snorm] = ACTIONS(5948),
    [anon_sym_unorm] = ACTIONS(5948),
    [anon_sym_point] = ACTIONS(5948),
    [anon_sym_line] = ACTIONS(5948),
    [anon_sym_triangleadj] = ACTIONS(5948),
    [anon_sym_lineadj] = ACTIONS(5948),
    [anon_sym_triangle] = ACTIONS(5948),
  },
  [2335] = {
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5954),
    [anon_sym_COMMA] = ACTIONS(5954),
    [anon_sym_RPAREN] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(5954),
    [anon_sym_TILDE] = ACTIONS(5954),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_AMP_AMP] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5952),
    [anon_sym_COLON] = ACTIONS(5952),
    [anon_sym_SEMI] = ACTIONS(5954),
    [anon_sym___extension__] = ACTIONS(5952),
    [anon_sym_in] = ACTIONS(5952),
    [anon_sym_out] = ACTIONS(5952),
    [anon_sym_inout] = ACTIONS(5952),
    [anon_sym_virtual] = ACTIONS(5952),
    [anon_sym_extern] = ACTIONS(5952),
    [anon_sym___attribute__] = ACTIONS(5952),
    [anon_sym___attribute] = ACTIONS(5952),
    [anon_sym_COLON_COLON] = ACTIONS(5954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5954),
    [anon_sym___declspec] = ACTIONS(5952),
    [anon_sym___based] = ACTIONS(5952),
    [anon_sym___cdecl] = ACTIONS(5952),
    [anon_sym___clrcall] = ACTIONS(5952),
    [anon_sym___stdcall] = ACTIONS(5952),
    [anon_sym___fastcall] = ACTIONS(5952),
    [anon_sym___thiscall] = ACTIONS(5952),
    [anon_sym___vectorcall] = ACTIONS(5952),
    [anon_sym_LBRACK] = ACTIONS(5952),
    [anon_sym_static] = ACTIONS(5952),
    [anon_sym_EQ] = ACTIONS(5954),
    [anon_sym_register] = ACTIONS(5952),
    [anon_sym_inline] = ACTIONS(5952),
    [anon_sym___inline] = ACTIONS(5952),
    [anon_sym___inline__] = ACTIONS(5952),
    [anon_sym___forceinline] = ACTIONS(5952),
    [anon_sym_thread_local] = ACTIONS(5952),
    [anon_sym___thread] = ACTIONS(5952),
    [anon_sym_const] = ACTIONS(5952),
    [anon_sym_constexpr] = ACTIONS(5952),
    [anon_sym_volatile] = ACTIONS(5952),
    [anon_sym_restrict] = ACTIONS(5952),
    [anon_sym___restrict__] = ACTIONS(5952),
    [anon_sym__Atomic] = ACTIONS(5952),
    [anon_sym__Noreturn] = ACTIONS(5952),
    [anon_sym_noreturn] = ACTIONS(5952),
    [anon_sym__Nonnull] = ACTIONS(5952),
    [anon_sym_mutable] = ACTIONS(5952),
    [anon_sym_constinit] = ACTIONS(5952),
    [anon_sym_consteval] = ACTIONS(5952),
    [anon_sym_alignas] = ACTIONS(5952),
    [anon_sym__Alignas] = ACTIONS(5952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5952),
    [anon_sym_decltype] = ACTIONS(5952),
    [anon_sym_final] = ACTIONS(5952),
    [anon_sym_override] = ACTIONS(5952),
    [anon_sym_template] = ACTIONS(5952),
    [anon_sym_GT2] = ACTIONS(5954),
    [anon_sym_operator] = ACTIONS(5952),
    [anon_sym_requires] = ACTIONS(5952),
    [anon_sym_precise] = ACTIONS(5952),
    [anon_sym_shared] = ACTIONS(5952),
    [anon_sym_groupshared] = ACTIONS(5952),
    [anon_sym_uniform] = ACTIONS(5952),
    [anon_sym_row_major] = ACTIONS(5952),
    [anon_sym_column_major] = ACTIONS(5952),
    [anon_sym_globallycoherent] = ACTIONS(5952),
    [anon_sym_centroid] = ACTIONS(5952),
    [anon_sym_noperspective] = ACTIONS(5952),
    [anon_sym_nointerpolation] = ACTIONS(5952),
    [anon_sym_sample] = ACTIONS(5952),
    [anon_sym_linear] = ACTIONS(5952),
    [anon_sym_snorm] = ACTIONS(5952),
    [anon_sym_unorm] = ACTIONS(5952),
    [anon_sym_point] = ACTIONS(5952),
    [anon_sym_line] = ACTIONS(5952),
    [anon_sym_triangleadj] = ACTIONS(5952),
    [anon_sym_lineadj] = ACTIONS(5952),
    [anon_sym_triangle] = ACTIONS(5952),
  },
  [2336] = {
    [sym_identifier] = ACTIONS(5956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5958),
    [anon_sym_COMMA] = ACTIONS(5958),
    [anon_sym_RPAREN] = ACTIONS(5958),
    [anon_sym_LPAREN2] = ACTIONS(5958),
    [anon_sym_TILDE] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5958),
    [anon_sym_AMP_AMP] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5956),
    [anon_sym_COLON] = ACTIONS(5956),
    [anon_sym_SEMI] = ACTIONS(5958),
    [anon_sym___extension__] = ACTIONS(5956),
    [anon_sym_in] = ACTIONS(5956),
    [anon_sym_out] = ACTIONS(5956),
    [anon_sym_inout] = ACTIONS(5956),
    [anon_sym_virtual] = ACTIONS(5956),
    [anon_sym_extern] = ACTIONS(5956),
    [anon_sym___attribute__] = ACTIONS(5956),
    [anon_sym___attribute] = ACTIONS(5956),
    [anon_sym_COLON_COLON] = ACTIONS(5958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5958),
    [anon_sym___declspec] = ACTIONS(5956),
    [anon_sym___based] = ACTIONS(5956),
    [anon_sym___cdecl] = ACTIONS(5956),
    [anon_sym___clrcall] = ACTIONS(5956),
    [anon_sym___stdcall] = ACTIONS(5956),
    [anon_sym___fastcall] = ACTIONS(5956),
    [anon_sym___thiscall] = ACTIONS(5956),
    [anon_sym___vectorcall] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5956),
    [anon_sym_static] = ACTIONS(5956),
    [anon_sym_EQ] = ACTIONS(5958),
    [anon_sym_register] = ACTIONS(5956),
    [anon_sym_inline] = ACTIONS(5956),
    [anon_sym___inline] = ACTIONS(5956),
    [anon_sym___inline__] = ACTIONS(5956),
    [anon_sym___forceinline] = ACTIONS(5956),
    [anon_sym_thread_local] = ACTIONS(5956),
    [anon_sym___thread] = ACTIONS(5956),
    [anon_sym_const] = ACTIONS(5956),
    [anon_sym_constexpr] = ACTIONS(5956),
    [anon_sym_volatile] = ACTIONS(5956),
    [anon_sym_restrict] = ACTIONS(5956),
    [anon_sym___restrict__] = ACTIONS(5956),
    [anon_sym__Atomic] = ACTIONS(5956),
    [anon_sym__Noreturn] = ACTIONS(5956),
    [anon_sym_noreturn] = ACTIONS(5956),
    [anon_sym__Nonnull] = ACTIONS(5956),
    [anon_sym_mutable] = ACTIONS(5956),
    [anon_sym_constinit] = ACTIONS(5956),
    [anon_sym_consteval] = ACTIONS(5956),
    [anon_sym_alignas] = ACTIONS(5956),
    [anon_sym__Alignas] = ACTIONS(5956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5956),
    [anon_sym_decltype] = ACTIONS(5956),
    [anon_sym_final] = ACTIONS(5956),
    [anon_sym_override] = ACTIONS(5956),
    [anon_sym_template] = ACTIONS(5956),
    [anon_sym_GT2] = ACTIONS(5958),
    [anon_sym_operator] = ACTIONS(5956),
    [anon_sym_requires] = ACTIONS(5956),
    [anon_sym_precise] = ACTIONS(5956),
    [anon_sym_shared] = ACTIONS(5956),
    [anon_sym_groupshared] = ACTIONS(5956),
    [anon_sym_uniform] = ACTIONS(5956),
    [anon_sym_row_major] = ACTIONS(5956),
    [anon_sym_column_major] = ACTIONS(5956),
    [anon_sym_globallycoherent] = ACTIONS(5956),
    [anon_sym_centroid] = ACTIONS(5956),
    [anon_sym_noperspective] = ACTIONS(5956),
    [anon_sym_nointerpolation] = ACTIONS(5956),
    [anon_sym_sample] = ACTIONS(5956),
    [anon_sym_linear] = ACTIONS(5956),
    [anon_sym_snorm] = ACTIONS(5956),
    [anon_sym_unorm] = ACTIONS(5956),
    [anon_sym_point] = ACTIONS(5956),
    [anon_sym_line] = ACTIONS(5956),
    [anon_sym_triangleadj] = ACTIONS(5956),
    [anon_sym_lineadj] = ACTIONS(5956),
    [anon_sym_triangle] = ACTIONS(5956),
  },
  [2337] = {
    [sym_identifier] = ACTIONS(5960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5962),
    [anon_sym_COMMA] = ACTIONS(5962),
    [anon_sym_RPAREN] = ACTIONS(5962),
    [anon_sym_LPAREN2] = ACTIONS(5962),
    [anon_sym_TILDE] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5962),
    [anon_sym_AMP_AMP] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5960),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_SEMI] = ACTIONS(5962),
    [anon_sym___extension__] = ACTIONS(5960),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_out] = ACTIONS(5960),
    [anon_sym_inout] = ACTIONS(5960),
    [anon_sym_virtual] = ACTIONS(5960),
    [anon_sym_extern] = ACTIONS(5960),
    [anon_sym___attribute__] = ACTIONS(5960),
    [anon_sym___attribute] = ACTIONS(5960),
    [anon_sym_COLON_COLON] = ACTIONS(5962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5962),
    [anon_sym___declspec] = ACTIONS(5960),
    [anon_sym___based] = ACTIONS(5960),
    [anon_sym___cdecl] = ACTIONS(5960),
    [anon_sym___clrcall] = ACTIONS(5960),
    [anon_sym___stdcall] = ACTIONS(5960),
    [anon_sym___fastcall] = ACTIONS(5960),
    [anon_sym___thiscall] = ACTIONS(5960),
    [anon_sym___vectorcall] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_static] = ACTIONS(5960),
    [anon_sym_EQ] = ACTIONS(5962),
    [anon_sym_register] = ACTIONS(5960),
    [anon_sym_inline] = ACTIONS(5960),
    [anon_sym___inline] = ACTIONS(5960),
    [anon_sym___inline__] = ACTIONS(5960),
    [anon_sym___forceinline] = ACTIONS(5960),
    [anon_sym_thread_local] = ACTIONS(5960),
    [anon_sym___thread] = ACTIONS(5960),
    [anon_sym_const] = ACTIONS(5960),
    [anon_sym_constexpr] = ACTIONS(5960),
    [anon_sym_volatile] = ACTIONS(5960),
    [anon_sym_restrict] = ACTIONS(5960),
    [anon_sym___restrict__] = ACTIONS(5960),
    [anon_sym__Atomic] = ACTIONS(5960),
    [anon_sym__Noreturn] = ACTIONS(5960),
    [anon_sym_noreturn] = ACTIONS(5960),
    [anon_sym__Nonnull] = ACTIONS(5960),
    [anon_sym_mutable] = ACTIONS(5960),
    [anon_sym_constinit] = ACTIONS(5960),
    [anon_sym_consteval] = ACTIONS(5960),
    [anon_sym_alignas] = ACTIONS(5960),
    [anon_sym__Alignas] = ACTIONS(5960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5960),
    [anon_sym_decltype] = ACTIONS(5960),
    [anon_sym_final] = ACTIONS(5960),
    [anon_sym_override] = ACTIONS(5960),
    [anon_sym_template] = ACTIONS(5960),
    [anon_sym_GT2] = ACTIONS(5962),
    [anon_sym_operator] = ACTIONS(5960),
    [anon_sym_requires] = ACTIONS(5960),
    [anon_sym_precise] = ACTIONS(5960),
    [anon_sym_shared] = ACTIONS(5960),
    [anon_sym_groupshared] = ACTIONS(5960),
    [anon_sym_uniform] = ACTIONS(5960),
    [anon_sym_row_major] = ACTIONS(5960),
    [anon_sym_column_major] = ACTIONS(5960),
    [anon_sym_globallycoherent] = ACTIONS(5960),
    [anon_sym_centroid] = ACTIONS(5960),
    [anon_sym_noperspective] = ACTIONS(5960),
    [anon_sym_nointerpolation] = ACTIONS(5960),
    [anon_sym_sample] = ACTIONS(5960),
    [anon_sym_linear] = ACTIONS(5960),
    [anon_sym_snorm] = ACTIONS(5960),
    [anon_sym_unorm] = ACTIONS(5960),
    [anon_sym_point] = ACTIONS(5960),
    [anon_sym_line] = ACTIONS(5960),
    [anon_sym_triangleadj] = ACTIONS(5960),
    [anon_sym_lineadj] = ACTIONS(5960),
    [anon_sym_triangle] = ACTIONS(5960),
  },
  [2338] = {
    [sym_identifier] = ACTIONS(5964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5966),
    [anon_sym_COMMA] = ACTIONS(5966),
    [anon_sym_RPAREN] = ACTIONS(5966),
    [anon_sym_LPAREN2] = ACTIONS(5966),
    [anon_sym_TILDE] = ACTIONS(5966),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5964),
    [anon_sym_COLON] = ACTIONS(5964),
    [anon_sym_SEMI] = ACTIONS(5966),
    [anon_sym___extension__] = ACTIONS(5964),
    [anon_sym_in] = ACTIONS(5964),
    [anon_sym_out] = ACTIONS(5964),
    [anon_sym_inout] = ACTIONS(5964),
    [anon_sym_virtual] = ACTIONS(5964),
    [anon_sym_extern] = ACTIONS(5964),
    [anon_sym___attribute__] = ACTIONS(5964),
    [anon_sym___attribute] = ACTIONS(5964),
    [anon_sym_COLON_COLON] = ACTIONS(5966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5966),
    [anon_sym___declspec] = ACTIONS(5964),
    [anon_sym___based] = ACTIONS(5964),
    [anon_sym___cdecl] = ACTIONS(5964),
    [anon_sym___clrcall] = ACTIONS(5964),
    [anon_sym___stdcall] = ACTIONS(5964),
    [anon_sym___fastcall] = ACTIONS(5964),
    [anon_sym___thiscall] = ACTIONS(5964),
    [anon_sym___vectorcall] = ACTIONS(5964),
    [anon_sym_LBRACK] = ACTIONS(5964),
    [anon_sym_static] = ACTIONS(5964),
    [anon_sym_EQ] = ACTIONS(5966),
    [anon_sym_register] = ACTIONS(5964),
    [anon_sym_inline] = ACTIONS(5964),
    [anon_sym___inline] = ACTIONS(5964),
    [anon_sym___inline__] = ACTIONS(5964),
    [anon_sym___forceinline] = ACTIONS(5964),
    [anon_sym_thread_local] = ACTIONS(5964),
    [anon_sym___thread] = ACTIONS(5964),
    [anon_sym_const] = ACTIONS(5964),
    [anon_sym_constexpr] = ACTIONS(5964),
    [anon_sym_volatile] = ACTIONS(5964),
    [anon_sym_restrict] = ACTIONS(5964),
    [anon_sym___restrict__] = ACTIONS(5964),
    [anon_sym__Atomic] = ACTIONS(5964),
    [anon_sym__Noreturn] = ACTIONS(5964),
    [anon_sym_noreturn] = ACTIONS(5964),
    [anon_sym__Nonnull] = ACTIONS(5964),
    [anon_sym_mutable] = ACTIONS(5964),
    [anon_sym_constinit] = ACTIONS(5964),
    [anon_sym_consteval] = ACTIONS(5964),
    [anon_sym_alignas] = ACTIONS(5964),
    [anon_sym__Alignas] = ACTIONS(5964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5964),
    [anon_sym_decltype] = ACTIONS(5964),
    [anon_sym_final] = ACTIONS(5964),
    [anon_sym_override] = ACTIONS(5964),
    [anon_sym_template] = ACTIONS(5964),
    [anon_sym_GT2] = ACTIONS(5966),
    [anon_sym_operator] = ACTIONS(5964),
    [anon_sym_requires] = ACTIONS(5964),
    [anon_sym_precise] = ACTIONS(5964),
    [anon_sym_shared] = ACTIONS(5964),
    [anon_sym_groupshared] = ACTIONS(5964),
    [anon_sym_uniform] = ACTIONS(5964),
    [anon_sym_row_major] = ACTIONS(5964),
    [anon_sym_column_major] = ACTIONS(5964),
    [anon_sym_globallycoherent] = ACTIONS(5964),
    [anon_sym_centroid] = ACTIONS(5964),
    [anon_sym_noperspective] = ACTIONS(5964),
    [anon_sym_nointerpolation] = ACTIONS(5964),
    [anon_sym_sample] = ACTIONS(5964),
    [anon_sym_linear] = ACTIONS(5964),
    [anon_sym_snorm] = ACTIONS(5964),
    [anon_sym_unorm] = ACTIONS(5964),
    [anon_sym_point] = ACTIONS(5964),
    [anon_sym_line] = ACTIONS(5964),
    [anon_sym_triangleadj] = ACTIONS(5964),
    [anon_sym_lineadj] = ACTIONS(5964),
    [anon_sym_triangle] = ACTIONS(5964),
  },
  [2339] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(5712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym___cdecl] = ACTIONS(5710),
    [anon_sym___clrcall] = ACTIONS(5710),
    [anon_sym___stdcall] = ACTIONS(5710),
    [anon_sym___fastcall] = ACTIONS(5710),
    [anon_sym___thiscall] = ACTIONS(5710),
    [anon_sym___vectorcall] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_GT2] = ACTIONS(5712),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2340] = {
    [sym_type_qualifier] = STATE(2342),
    [sym_alignas_qualifier] = STATE(2398),
    [aux_sym__type_definition_type_repeat1] = STATE(2342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2393),
    [sym_identifier] = ACTIONS(5968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5551),
    [anon_sym_PLUS] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5551),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5551),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5551),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5551),
    [anon_sym_LT] = ACTIONS(5551),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5970),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(5972),
    [anon_sym_unsigned] = ACTIONS(5972),
    [anon_sym_long] = ACTIONS(5972),
    [anon_sym_short] = ACTIONS(5972),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_EQ] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5970),
    [anon_sym_constexpr] = ACTIONS(5970),
    [anon_sym_volatile] = ACTIONS(5970),
    [anon_sym_restrict] = ACTIONS(5970),
    [anon_sym___restrict__] = ACTIONS(5970),
    [anon_sym__Atomic] = ACTIONS(5970),
    [anon_sym__Noreturn] = ACTIONS(5970),
    [anon_sym_noreturn] = ACTIONS(5970),
    [anon_sym__Nonnull] = ACTIONS(5970),
    [anon_sym_mutable] = ACTIONS(5970),
    [anon_sym_constinit] = ACTIONS(5970),
    [anon_sym_consteval] = ACTIONS(5970),
    [anon_sym_alignas] = ACTIONS(5974),
    [anon_sym__Alignas] = ACTIONS(5974),
    [sym_primitive_type] = ACTIONS(5976),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_STAR_EQ] = ACTIONS(5549),
    [anon_sym_SLASH_EQ] = ACTIONS(5549),
    [anon_sym_PERCENT_EQ] = ACTIONS(5549),
    [anon_sym_PLUS_EQ] = ACTIONS(5549),
    [anon_sym_DASH_EQ] = ACTIONS(5549),
    [anon_sym_LT_LT_EQ] = ACTIONS(5549),
    [anon_sym_GT_GT_EQ] = ACTIONS(5551),
    [anon_sym_AMP_EQ] = ACTIONS(5549),
    [anon_sym_CARET_EQ] = ACTIONS(5549),
    [anon_sym_PIPE_EQ] = ACTIONS(5549),
    [anon_sym_and_eq] = ACTIONS(5551),
    [anon_sym_or_eq] = ACTIONS(5551),
    [anon_sym_xor_eq] = ACTIONS(5551),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5551),
    [anon_sym_and] = ACTIONS(5551),
    [anon_sym_bitor] = ACTIONS(5551),
    [anon_sym_xor] = ACTIONS(5551),
    [anon_sym_bitand] = ACTIONS(5551),
    [anon_sym_not_eq] = ACTIONS(5551),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5551),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
    [anon_sym_GT2] = ACTIONS(5549),
  },
  [2341] = {
    [sym_attribute_specifier] = STATE(2307),
    [sym_enumerator_list] = STATE(2366),
    [sym_identifier] = ACTIONS(5978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5980),
    [anon_sym_COMMA] = ACTIONS(5980),
    [anon_sym_RPAREN] = ACTIONS(5980),
    [anon_sym_LPAREN2] = ACTIONS(5980),
    [anon_sym_TILDE] = ACTIONS(5980),
    [anon_sym_STAR] = ACTIONS(5980),
    [anon_sym_AMP_AMP] = ACTIONS(5980),
    [anon_sym_AMP] = ACTIONS(5978),
    [anon_sym_COLON] = ACTIONS(5978),
    [anon_sym_SEMI] = ACTIONS(5980),
    [anon_sym___extension__] = ACTIONS(5978),
    [anon_sym_in] = ACTIONS(5978),
    [anon_sym_out] = ACTIONS(5978),
    [anon_sym_inout] = ACTIONS(5978),
    [anon_sym_virtual] = ACTIONS(5978),
    [anon_sym_extern] = ACTIONS(5978),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5980),
    [anon_sym___declspec] = ACTIONS(5978),
    [anon_sym___based] = ACTIONS(5978),
    [anon_sym___cdecl] = ACTIONS(5978),
    [anon_sym___clrcall] = ACTIONS(5978),
    [anon_sym___stdcall] = ACTIONS(5978),
    [anon_sym___fastcall] = ACTIONS(5978),
    [anon_sym___thiscall] = ACTIONS(5978),
    [anon_sym___vectorcall] = ACTIONS(5978),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_LBRACK] = ACTIONS(5978),
    [anon_sym_static] = ACTIONS(5978),
    [anon_sym_EQ] = ACTIONS(5980),
    [anon_sym_register] = ACTIONS(5978),
    [anon_sym_inline] = ACTIONS(5978),
    [anon_sym___inline] = ACTIONS(5978),
    [anon_sym___inline__] = ACTIONS(5978),
    [anon_sym___forceinline] = ACTIONS(5978),
    [anon_sym_thread_local] = ACTIONS(5978),
    [anon_sym___thread] = ACTIONS(5978),
    [anon_sym_const] = ACTIONS(5978),
    [anon_sym_constexpr] = ACTIONS(5978),
    [anon_sym_volatile] = ACTIONS(5978),
    [anon_sym_restrict] = ACTIONS(5978),
    [anon_sym___restrict__] = ACTIONS(5978),
    [anon_sym__Atomic] = ACTIONS(5978),
    [anon_sym__Noreturn] = ACTIONS(5978),
    [anon_sym_noreturn] = ACTIONS(5978),
    [anon_sym__Nonnull] = ACTIONS(5978),
    [anon_sym_mutable] = ACTIONS(5978),
    [anon_sym_constinit] = ACTIONS(5978),
    [anon_sym_consteval] = ACTIONS(5978),
    [anon_sym_alignas] = ACTIONS(5978),
    [anon_sym__Alignas] = ACTIONS(5978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5978),
    [anon_sym_decltype] = ACTIONS(5978),
    [anon_sym_template] = ACTIONS(5978),
    [anon_sym_GT2] = ACTIONS(5980),
    [anon_sym_operator] = ACTIONS(5978),
    [anon_sym_precise] = ACTIONS(5978),
    [anon_sym_shared] = ACTIONS(5978),
    [anon_sym_groupshared] = ACTIONS(5978),
    [anon_sym_uniform] = ACTIONS(5978),
    [anon_sym_row_major] = ACTIONS(5978),
    [anon_sym_column_major] = ACTIONS(5978),
    [anon_sym_globallycoherent] = ACTIONS(5978),
    [anon_sym_centroid] = ACTIONS(5978),
    [anon_sym_noperspective] = ACTIONS(5978),
    [anon_sym_nointerpolation] = ACTIONS(5978),
    [anon_sym_sample] = ACTIONS(5978),
    [anon_sym_linear] = ACTIONS(5978),
    [anon_sym_snorm] = ACTIONS(5978),
    [anon_sym_unorm] = ACTIONS(5978),
    [anon_sym_point] = ACTIONS(5978),
    [anon_sym_line] = ACTIONS(5978),
    [anon_sym_triangleadj] = ACTIONS(5978),
    [anon_sym_lineadj] = ACTIONS(5978),
    [anon_sym_triangle] = ACTIONS(5978),
  },
  [2342] = {
    [sym_type_qualifier] = STATE(2351),
    [sym_alignas_qualifier] = STATE(2398),
    [aux_sym__type_definition_type_repeat1] = STATE(2351),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2984),
    [sym_identifier] = ACTIONS(5982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5598),
    [anon_sym_COMMA] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5600),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_PIPE] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5598),
    [anon_sym_BANG_EQ] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5600),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(5970),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5984),
    [anon_sym_unsigned] = ACTIONS(5984),
    [anon_sym_long] = ACTIONS(5984),
    [anon_sym_short] = ACTIONS(5984),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_EQ] = ACTIONS(5600),
    [anon_sym_const] = ACTIONS(5970),
    [anon_sym_constexpr] = ACTIONS(5970),
    [anon_sym_volatile] = ACTIONS(5970),
    [anon_sym_restrict] = ACTIONS(5970),
    [anon_sym___restrict__] = ACTIONS(5970),
    [anon_sym__Atomic] = ACTIONS(5970),
    [anon_sym__Noreturn] = ACTIONS(5970),
    [anon_sym_noreturn] = ACTIONS(5970),
    [anon_sym__Nonnull] = ACTIONS(5970),
    [anon_sym_mutable] = ACTIONS(5970),
    [anon_sym_constinit] = ACTIONS(5970),
    [anon_sym_consteval] = ACTIONS(5970),
    [anon_sym_alignas] = ACTIONS(5974),
    [anon_sym__Alignas] = ACTIONS(5974),
    [sym_primitive_type] = ACTIONS(5986),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_STAR_EQ] = ACTIONS(5598),
    [anon_sym_SLASH_EQ] = ACTIONS(5598),
    [anon_sym_PERCENT_EQ] = ACTIONS(5598),
    [anon_sym_PLUS_EQ] = ACTIONS(5598),
    [anon_sym_DASH_EQ] = ACTIONS(5598),
    [anon_sym_LT_LT_EQ] = ACTIONS(5598),
    [anon_sym_GT_GT_EQ] = ACTIONS(5600),
    [anon_sym_AMP_EQ] = ACTIONS(5598),
    [anon_sym_CARET_EQ] = ACTIONS(5598),
    [anon_sym_PIPE_EQ] = ACTIONS(5598),
    [anon_sym_and_eq] = ACTIONS(5600),
    [anon_sym_or_eq] = ACTIONS(5600),
    [anon_sym_xor_eq] = ACTIONS(5600),
    [anon_sym_LT_EQ_GT] = ACTIONS(5598),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_bitor] = ACTIONS(5600),
    [anon_sym_xor] = ACTIONS(5600),
    [anon_sym_bitand] = ACTIONS(5600),
    [anon_sym_not_eq] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_DOT_STAR] = ACTIONS(5598),
    [anon_sym_DASH_GT] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
    [anon_sym_GT2] = ACTIONS(5598),
  },
  [2343] = {
    [sym_identifier] = ACTIONS(5916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5918),
    [anon_sym_COMMA] = ACTIONS(5918),
    [anon_sym_RPAREN] = ACTIONS(5918),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_TILDE] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5918),
    [anon_sym_AMP_AMP] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5916),
    [anon_sym_COLON] = ACTIONS(5916),
    [anon_sym_SEMI] = ACTIONS(5918),
    [anon_sym___extension__] = ACTIONS(5916),
    [anon_sym_in] = ACTIONS(5916),
    [anon_sym_out] = ACTIONS(5916),
    [anon_sym_inout] = ACTIONS(5916),
    [anon_sym_virtual] = ACTIONS(5916),
    [anon_sym_extern] = ACTIONS(5916),
    [anon_sym___attribute__] = ACTIONS(5916),
    [anon_sym___attribute] = ACTIONS(5916),
    [anon_sym_COLON_COLON] = ACTIONS(5918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5918),
    [anon_sym___declspec] = ACTIONS(5916),
    [anon_sym___based] = ACTIONS(5916),
    [anon_sym___cdecl] = ACTIONS(5916),
    [anon_sym___clrcall] = ACTIONS(5916),
    [anon_sym___stdcall] = ACTIONS(5916),
    [anon_sym___fastcall] = ACTIONS(5916),
    [anon_sym___thiscall] = ACTIONS(5916),
    [anon_sym___vectorcall] = ACTIONS(5916),
    [anon_sym_LBRACK] = ACTIONS(5916),
    [anon_sym_static] = ACTIONS(5916),
    [anon_sym_EQ] = ACTIONS(5918),
    [anon_sym_register] = ACTIONS(5916),
    [anon_sym_inline] = ACTIONS(5916),
    [anon_sym___inline] = ACTIONS(5916),
    [anon_sym___inline__] = ACTIONS(5916),
    [anon_sym___forceinline] = ACTIONS(5916),
    [anon_sym_thread_local] = ACTIONS(5916),
    [anon_sym___thread] = ACTIONS(5916),
    [anon_sym_const] = ACTIONS(5916),
    [anon_sym_constexpr] = ACTIONS(5916),
    [anon_sym_volatile] = ACTIONS(5916),
    [anon_sym_restrict] = ACTIONS(5916),
    [anon_sym___restrict__] = ACTIONS(5916),
    [anon_sym__Atomic] = ACTIONS(5916),
    [anon_sym__Noreturn] = ACTIONS(5916),
    [anon_sym_noreturn] = ACTIONS(5916),
    [anon_sym__Nonnull] = ACTIONS(5916),
    [anon_sym_mutable] = ACTIONS(5916),
    [anon_sym_constinit] = ACTIONS(5916),
    [anon_sym_consteval] = ACTIONS(5916),
    [anon_sym_alignas] = ACTIONS(5916),
    [anon_sym__Alignas] = ACTIONS(5916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5916),
    [anon_sym_decltype] = ACTIONS(5916),
    [anon_sym_final] = ACTIONS(5916),
    [anon_sym_override] = ACTIONS(5916),
    [anon_sym_template] = ACTIONS(5916),
    [anon_sym_GT2] = ACTIONS(5918),
    [anon_sym_operator] = ACTIONS(5916),
    [anon_sym_requires] = ACTIONS(5916),
    [anon_sym_precise] = ACTIONS(5916),
    [anon_sym_shared] = ACTIONS(5916),
    [anon_sym_groupshared] = ACTIONS(5916),
    [anon_sym_uniform] = ACTIONS(5916),
    [anon_sym_row_major] = ACTIONS(5916),
    [anon_sym_column_major] = ACTIONS(5916),
    [anon_sym_globallycoherent] = ACTIONS(5916),
    [anon_sym_centroid] = ACTIONS(5916),
    [anon_sym_noperspective] = ACTIONS(5916),
    [anon_sym_nointerpolation] = ACTIONS(5916),
    [anon_sym_sample] = ACTIONS(5916),
    [anon_sym_linear] = ACTIONS(5916),
    [anon_sym_snorm] = ACTIONS(5916),
    [anon_sym_unorm] = ACTIONS(5916),
    [anon_sym_point] = ACTIONS(5916),
    [anon_sym_line] = ACTIONS(5916),
    [anon_sym_triangleadj] = ACTIONS(5916),
    [anon_sym_lineadj] = ACTIONS(5916),
    [anon_sym_triangle] = ACTIONS(5916),
  },
  [2344] = {
    [sym_type_qualifier] = STATE(2344),
    [sym_alignas_qualifier] = STATE(2395),
    [aux_sym__type_definition_type_repeat1] = STATE(2344),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4889),
    [anon_sym_PLUS] = ACTIONS(4889),
    [anon_sym_STAR] = ACTIONS(4889),
    [anon_sym_SLASH] = ACTIONS(4889),
    [anon_sym_PERCENT] = ACTIONS(4889),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4889),
    [anon_sym_CARET] = ACTIONS(4889),
    [anon_sym_AMP] = ACTIONS(4889),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4889),
    [anon_sym_GT_EQ] = ACTIONS(4891),
    [anon_sym_LT_EQ] = ACTIONS(4889),
    [anon_sym_LT] = ACTIONS(4889),
    [anon_sym_LT_LT] = ACTIONS(4889),
    [anon_sym_GT_GT] = ACTIONS(4889),
    [anon_sym___extension__] = ACTIONS(5988),
    [anon_sym___attribute__] = ACTIONS(4889),
    [anon_sym___attribute] = ACTIONS(4889),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_signed] = ACTIONS(4889),
    [anon_sym_unsigned] = ACTIONS(4889),
    [anon_sym_long] = ACTIONS(4889),
    [anon_sym_short] = ACTIONS(4889),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_EQ] = ACTIONS(4889),
    [anon_sym_const] = ACTIONS(5988),
    [anon_sym_constexpr] = ACTIONS(5988),
    [anon_sym_volatile] = ACTIONS(5988),
    [anon_sym_restrict] = ACTIONS(5988),
    [anon_sym___restrict__] = ACTIONS(5988),
    [anon_sym__Atomic] = ACTIONS(5988),
    [anon_sym__Noreturn] = ACTIONS(5988),
    [anon_sym_noreturn] = ACTIONS(5988),
    [anon_sym__Nonnull] = ACTIONS(5988),
    [anon_sym_mutable] = ACTIONS(5988),
    [anon_sym_constinit] = ACTIONS(5988),
    [anon_sym_consteval] = ACTIONS(5988),
    [anon_sym_alignas] = ACTIONS(5991),
    [anon_sym__Alignas] = ACTIONS(5991),
    [sym_primitive_type] = ACTIONS(4889),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_STAR_EQ] = ACTIONS(4891),
    [anon_sym_SLASH_EQ] = ACTIONS(4891),
    [anon_sym_PERCENT_EQ] = ACTIONS(4891),
    [anon_sym_PLUS_EQ] = ACTIONS(4891),
    [anon_sym_DASH_EQ] = ACTIONS(4891),
    [anon_sym_LT_LT_EQ] = ACTIONS(4891),
    [anon_sym_GT_GT_EQ] = ACTIONS(4891),
    [anon_sym_AMP_EQ] = ACTIONS(4891),
    [anon_sym_CARET_EQ] = ACTIONS(4891),
    [anon_sym_PIPE_EQ] = ACTIONS(4891),
    [anon_sym_and_eq] = ACTIONS(4889),
    [anon_sym_or_eq] = ACTIONS(4889),
    [anon_sym_xor_eq] = ACTIONS(4889),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4889),
    [anon_sym_and] = ACTIONS(4889),
    [anon_sym_bitor] = ACTIONS(4889),
    [anon_sym_xor] = ACTIONS(4889),
    [anon_sym_bitand] = ACTIONS(4889),
    [anon_sym_not_eq] = ACTIONS(4889),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4889),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4889),
    [anon_sym_decltype] = ACTIONS(4889),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4891),
  },
  [2345] = {
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_TILDE] = ACTIONS(5930),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_COLON] = ACTIONS(5928),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___extension__] = ACTIONS(5928),
    [anon_sym_in] = ACTIONS(5928),
    [anon_sym_out] = ACTIONS(5928),
    [anon_sym_inout] = ACTIONS(5928),
    [anon_sym_virtual] = ACTIONS(5928),
    [anon_sym_extern] = ACTIONS(5928),
    [anon_sym___attribute__] = ACTIONS(5928),
    [anon_sym___attribute] = ACTIONS(5928),
    [anon_sym_COLON_COLON] = ACTIONS(5930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5930),
    [anon_sym___declspec] = ACTIONS(5928),
    [anon_sym___based] = ACTIONS(5928),
    [anon_sym___cdecl] = ACTIONS(5928),
    [anon_sym___clrcall] = ACTIONS(5928),
    [anon_sym___stdcall] = ACTIONS(5928),
    [anon_sym___fastcall] = ACTIONS(5928),
    [anon_sym___thiscall] = ACTIONS(5928),
    [anon_sym___vectorcall] = ACTIONS(5928),
    [anon_sym_LBRACK] = ACTIONS(5928),
    [anon_sym_static] = ACTIONS(5928),
    [anon_sym_EQ] = ACTIONS(5930),
    [anon_sym_register] = ACTIONS(5928),
    [anon_sym_inline] = ACTIONS(5928),
    [anon_sym___inline] = ACTIONS(5928),
    [anon_sym___inline__] = ACTIONS(5928),
    [anon_sym___forceinline] = ACTIONS(5928),
    [anon_sym_thread_local] = ACTIONS(5928),
    [anon_sym___thread] = ACTIONS(5928),
    [anon_sym_const] = ACTIONS(5928),
    [anon_sym_constexpr] = ACTIONS(5928),
    [anon_sym_volatile] = ACTIONS(5928),
    [anon_sym_restrict] = ACTIONS(5928),
    [anon_sym___restrict__] = ACTIONS(5928),
    [anon_sym__Atomic] = ACTIONS(5928),
    [anon_sym__Noreturn] = ACTIONS(5928),
    [anon_sym_noreturn] = ACTIONS(5928),
    [anon_sym__Nonnull] = ACTIONS(5928),
    [anon_sym_mutable] = ACTIONS(5928),
    [anon_sym_constinit] = ACTIONS(5928),
    [anon_sym_consteval] = ACTIONS(5928),
    [anon_sym_alignas] = ACTIONS(5928),
    [anon_sym__Alignas] = ACTIONS(5928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
    [anon_sym_final] = ACTIONS(5928),
    [anon_sym_override] = ACTIONS(5928),
    [anon_sym_template] = ACTIONS(5928),
    [anon_sym_GT2] = ACTIONS(5930),
    [anon_sym_operator] = ACTIONS(5928),
    [anon_sym_requires] = ACTIONS(5928),
    [anon_sym_precise] = ACTIONS(5928),
    [anon_sym_shared] = ACTIONS(5928),
    [anon_sym_groupshared] = ACTIONS(5928),
    [anon_sym_uniform] = ACTIONS(5928),
    [anon_sym_row_major] = ACTIONS(5928),
    [anon_sym_column_major] = ACTIONS(5928),
    [anon_sym_globallycoherent] = ACTIONS(5928),
    [anon_sym_centroid] = ACTIONS(5928),
    [anon_sym_noperspective] = ACTIONS(5928),
    [anon_sym_nointerpolation] = ACTIONS(5928),
    [anon_sym_sample] = ACTIONS(5928),
    [anon_sym_linear] = ACTIONS(5928),
    [anon_sym_snorm] = ACTIONS(5928),
    [anon_sym_unorm] = ACTIONS(5928),
    [anon_sym_point] = ACTIONS(5928),
    [anon_sym_line] = ACTIONS(5928),
    [anon_sym_triangleadj] = ACTIONS(5928),
    [anon_sym_lineadj] = ACTIONS(5928),
    [anon_sym_triangle] = ACTIONS(5928),
  },
  [2346] = {
    [sym_identifier] = ACTIONS(5994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [anon_sym_RPAREN] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_TILDE] = ACTIONS(5996),
    [anon_sym_STAR] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_COLON] = ACTIONS(5994),
    [anon_sym_SEMI] = ACTIONS(5996),
    [anon_sym___extension__] = ACTIONS(5994),
    [anon_sym_in] = ACTIONS(5994),
    [anon_sym_out] = ACTIONS(5994),
    [anon_sym_inout] = ACTIONS(5994),
    [anon_sym_virtual] = ACTIONS(5994),
    [anon_sym_extern] = ACTIONS(5994),
    [anon_sym___attribute__] = ACTIONS(5994),
    [anon_sym___attribute] = ACTIONS(5994),
    [anon_sym_COLON_COLON] = ACTIONS(5996),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5996),
    [anon_sym___declspec] = ACTIONS(5994),
    [anon_sym___based] = ACTIONS(5994),
    [anon_sym___cdecl] = ACTIONS(5994),
    [anon_sym___clrcall] = ACTIONS(5994),
    [anon_sym___stdcall] = ACTIONS(5994),
    [anon_sym___fastcall] = ACTIONS(5994),
    [anon_sym___thiscall] = ACTIONS(5994),
    [anon_sym___vectorcall] = ACTIONS(5994),
    [anon_sym_LBRACK] = ACTIONS(5994),
    [anon_sym_static] = ACTIONS(5994),
    [anon_sym_EQ] = ACTIONS(5996),
    [anon_sym_register] = ACTIONS(5994),
    [anon_sym_inline] = ACTIONS(5994),
    [anon_sym___inline] = ACTIONS(5994),
    [anon_sym___inline__] = ACTIONS(5994),
    [anon_sym___forceinline] = ACTIONS(5994),
    [anon_sym_thread_local] = ACTIONS(5994),
    [anon_sym___thread] = ACTIONS(5994),
    [anon_sym_const] = ACTIONS(5994),
    [anon_sym_constexpr] = ACTIONS(5994),
    [anon_sym_volatile] = ACTIONS(5994),
    [anon_sym_restrict] = ACTIONS(5994),
    [anon_sym___restrict__] = ACTIONS(5994),
    [anon_sym__Atomic] = ACTIONS(5994),
    [anon_sym__Noreturn] = ACTIONS(5994),
    [anon_sym_noreturn] = ACTIONS(5994),
    [anon_sym__Nonnull] = ACTIONS(5994),
    [anon_sym_mutable] = ACTIONS(5994),
    [anon_sym_constinit] = ACTIONS(5994),
    [anon_sym_consteval] = ACTIONS(5994),
    [anon_sym_alignas] = ACTIONS(5994),
    [anon_sym__Alignas] = ACTIONS(5994),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5994),
    [anon_sym_decltype] = ACTIONS(5994),
    [anon_sym_final] = ACTIONS(5994),
    [anon_sym_override] = ACTIONS(5994),
    [anon_sym_template] = ACTIONS(5994),
    [anon_sym_GT2] = ACTIONS(5996),
    [anon_sym_operator] = ACTIONS(5994),
    [anon_sym_requires] = ACTIONS(5994),
    [anon_sym_precise] = ACTIONS(5994),
    [anon_sym_shared] = ACTIONS(5994),
    [anon_sym_groupshared] = ACTIONS(5994),
    [anon_sym_uniform] = ACTIONS(5994),
    [anon_sym_row_major] = ACTIONS(5994),
    [anon_sym_column_major] = ACTIONS(5994),
    [anon_sym_globallycoherent] = ACTIONS(5994),
    [anon_sym_centroid] = ACTIONS(5994),
    [anon_sym_noperspective] = ACTIONS(5994),
    [anon_sym_nointerpolation] = ACTIONS(5994),
    [anon_sym_sample] = ACTIONS(5994),
    [anon_sym_linear] = ACTIONS(5994),
    [anon_sym_snorm] = ACTIONS(5994),
    [anon_sym_unorm] = ACTIONS(5994),
    [anon_sym_point] = ACTIONS(5994),
    [anon_sym_line] = ACTIONS(5994),
    [anon_sym_triangleadj] = ACTIONS(5994),
    [anon_sym_lineadj] = ACTIONS(5994),
    [anon_sym_triangle] = ACTIONS(5994),
  },
  [2347] = {
    [sym_identifier] = ACTIONS(5998),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6000),
    [anon_sym_COMMA] = ACTIONS(6000),
    [anon_sym_RPAREN] = ACTIONS(6000),
    [anon_sym_LPAREN2] = ACTIONS(6000),
    [anon_sym_TILDE] = ACTIONS(6000),
    [anon_sym_STAR] = ACTIONS(6000),
    [anon_sym_AMP_AMP] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(5998),
    [anon_sym_COLON] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(6000),
    [anon_sym___extension__] = ACTIONS(5998),
    [anon_sym_in] = ACTIONS(5998),
    [anon_sym_out] = ACTIONS(5998),
    [anon_sym_inout] = ACTIONS(5998),
    [anon_sym_virtual] = ACTIONS(5998),
    [anon_sym_extern] = ACTIONS(5998),
    [anon_sym___attribute__] = ACTIONS(5998),
    [anon_sym___attribute] = ACTIONS(5998),
    [anon_sym_COLON_COLON] = ACTIONS(6000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6000),
    [anon_sym___declspec] = ACTIONS(5998),
    [anon_sym___based] = ACTIONS(5998),
    [anon_sym___cdecl] = ACTIONS(5998),
    [anon_sym___clrcall] = ACTIONS(5998),
    [anon_sym___stdcall] = ACTIONS(5998),
    [anon_sym___fastcall] = ACTIONS(5998),
    [anon_sym___thiscall] = ACTIONS(5998),
    [anon_sym___vectorcall] = ACTIONS(5998),
    [anon_sym_LBRACK] = ACTIONS(5998),
    [anon_sym_static] = ACTIONS(5998),
    [anon_sym_EQ] = ACTIONS(6000),
    [anon_sym_register] = ACTIONS(5998),
    [anon_sym_inline] = ACTIONS(5998),
    [anon_sym___inline] = ACTIONS(5998),
    [anon_sym___inline__] = ACTIONS(5998),
    [anon_sym___forceinline] = ACTIONS(5998),
    [anon_sym_thread_local] = ACTIONS(5998),
    [anon_sym___thread] = ACTIONS(5998),
    [anon_sym_const] = ACTIONS(5998),
    [anon_sym_constexpr] = ACTIONS(5998),
    [anon_sym_volatile] = ACTIONS(5998),
    [anon_sym_restrict] = ACTIONS(5998),
    [anon_sym___restrict__] = ACTIONS(5998),
    [anon_sym__Atomic] = ACTIONS(5998),
    [anon_sym__Noreturn] = ACTIONS(5998),
    [anon_sym_noreturn] = ACTIONS(5998),
    [anon_sym__Nonnull] = ACTIONS(5998),
    [anon_sym_mutable] = ACTIONS(5998),
    [anon_sym_constinit] = ACTIONS(5998),
    [anon_sym_consteval] = ACTIONS(5998),
    [anon_sym_alignas] = ACTIONS(5998),
    [anon_sym__Alignas] = ACTIONS(5998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5998),
    [anon_sym_decltype] = ACTIONS(5998),
    [anon_sym_final] = ACTIONS(5998),
    [anon_sym_override] = ACTIONS(5998),
    [anon_sym_template] = ACTIONS(5998),
    [anon_sym_GT2] = ACTIONS(6000),
    [anon_sym_operator] = ACTIONS(5998),
    [anon_sym_requires] = ACTIONS(5998),
    [anon_sym_precise] = ACTIONS(5998),
    [anon_sym_shared] = ACTIONS(5998),
    [anon_sym_groupshared] = ACTIONS(5998),
    [anon_sym_uniform] = ACTIONS(5998),
    [anon_sym_row_major] = ACTIONS(5998),
    [anon_sym_column_major] = ACTIONS(5998),
    [anon_sym_globallycoherent] = ACTIONS(5998),
    [anon_sym_centroid] = ACTIONS(5998),
    [anon_sym_noperspective] = ACTIONS(5998),
    [anon_sym_nointerpolation] = ACTIONS(5998),
    [anon_sym_sample] = ACTIONS(5998),
    [anon_sym_linear] = ACTIONS(5998),
    [anon_sym_snorm] = ACTIONS(5998),
    [anon_sym_unorm] = ACTIONS(5998),
    [anon_sym_point] = ACTIONS(5998),
    [anon_sym_line] = ACTIONS(5998),
    [anon_sym_triangleadj] = ACTIONS(5998),
    [anon_sym_lineadj] = ACTIONS(5998),
    [anon_sym_triangle] = ACTIONS(5998),
  },
  [2348] = {
    [sym_identifier] = ACTIONS(6002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6004),
    [anon_sym_COMMA] = ACTIONS(6004),
    [anon_sym_RPAREN] = ACTIONS(6004),
    [anon_sym_LPAREN2] = ACTIONS(6004),
    [anon_sym_TILDE] = ACTIONS(6004),
    [anon_sym_STAR] = ACTIONS(6004),
    [anon_sym_AMP_AMP] = ACTIONS(6004),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_COLON] = ACTIONS(6002),
    [anon_sym_SEMI] = ACTIONS(6004),
    [anon_sym___extension__] = ACTIONS(6002),
    [anon_sym_in] = ACTIONS(6002),
    [anon_sym_out] = ACTIONS(6002),
    [anon_sym_inout] = ACTIONS(6002),
    [anon_sym_virtual] = ACTIONS(6002),
    [anon_sym_extern] = ACTIONS(6002),
    [anon_sym___attribute__] = ACTIONS(6002),
    [anon_sym___attribute] = ACTIONS(6002),
    [anon_sym_COLON_COLON] = ACTIONS(6004),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6004),
    [anon_sym___declspec] = ACTIONS(6002),
    [anon_sym___based] = ACTIONS(6002),
    [anon_sym___cdecl] = ACTIONS(6002),
    [anon_sym___clrcall] = ACTIONS(6002),
    [anon_sym___stdcall] = ACTIONS(6002),
    [anon_sym___fastcall] = ACTIONS(6002),
    [anon_sym___thiscall] = ACTIONS(6002),
    [anon_sym___vectorcall] = ACTIONS(6002),
    [anon_sym_LBRACK] = ACTIONS(6002),
    [anon_sym_static] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(6004),
    [anon_sym_register] = ACTIONS(6002),
    [anon_sym_inline] = ACTIONS(6002),
    [anon_sym___inline] = ACTIONS(6002),
    [anon_sym___inline__] = ACTIONS(6002),
    [anon_sym___forceinline] = ACTIONS(6002),
    [anon_sym_thread_local] = ACTIONS(6002),
    [anon_sym___thread] = ACTIONS(6002),
    [anon_sym_const] = ACTIONS(6002),
    [anon_sym_constexpr] = ACTIONS(6002),
    [anon_sym_volatile] = ACTIONS(6002),
    [anon_sym_restrict] = ACTIONS(6002),
    [anon_sym___restrict__] = ACTIONS(6002),
    [anon_sym__Atomic] = ACTIONS(6002),
    [anon_sym__Noreturn] = ACTIONS(6002),
    [anon_sym_noreturn] = ACTIONS(6002),
    [anon_sym__Nonnull] = ACTIONS(6002),
    [anon_sym_mutable] = ACTIONS(6002),
    [anon_sym_constinit] = ACTIONS(6002),
    [anon_sym_consteval] = ACTIONS(6002),
    [anon_sym_alignas] = ACTIONS(6002),
    [anon_sym__Alignas] = ACTIONS(6002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6002),
    [anon_sym_decltype] = ACTIONS(6002),
    [anon_sym_final] = ACTIONS(6002),
    [anon_sym_override] = ACTIONS(6002),
    [anon_sym_template] = ACTIONS(6002),
    [anon_sym_GT2] = ACTIONS(6004),
    [anon_sym_operator] = ACTIONS(6002),
    [anon_sym_requires] = ACTIONS(6002),
    [anon_sym_precise] = ACTIONS(6002),
    [anon_sym_shared] = ACTIONS(6002),
    [anon_sym_groupshared] = ACTIONS(6002),
    [anon_sym_uniform] = ACTIONS(6002),
    [anon_sym_row_major] = ACTIONS(6002),
    [anon_sym_column_major] = ACTIONS(6002),
    [anon_sym_globallycoherent] = ACTIONS(6002),
    [anon_sym_centroid] = ACTIONS(6002),
    [anon_sym_noperspective] = ACTIONS(6002),
    [anon_sym_nointerpolation] = ACTIONS(6002),
    [anon_sym_sample] = ACTIONS(6002),
    [anon_sym_linear] = ACTIONS(6002),
    [anon_sym_snorm] = ACTIONS(6002),
    [anon_sym_unorm] = ACTIONS(6002),
    [anon_sym_point] = ACTIONS(6002),
    [anon_sym_line] = ACTIONS(6002),
    [anon_sym_triangleadj] = ACTIONS(6002),
    [anon_sym_lineadj] = ACTIONS(6002),
    [anon_sym_triangle] = ACTIONS(6002),
  },
  [2349] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6006),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2350] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6008),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2351] = {
    [sym_type_qualifier] = STATE(2351),
    [sym_alignas_qualifier] = STATE(2398),
    [aux_sym__type_definition_type_repeat1] = STATE(2351),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4889),
    [anon_sym_PLUS] = ACTIONS(4889),
    [anon_sym_STAR] = ACTIONS(4889),
    [anon_sym_SLASH] = ACTIONS(4889),
    [anon_sym_PERCENT] = ACTIONS(4889),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4889),
    [anon_sym_CARET] = ACTIONS(4889),
    [anon_sym_AMP] = ACTIONS(4889),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4889),
    [anon_sym_GT_EQ] = ACTIONS(4889),
    [anon_sym_LT_EQ] = ACTIONS(4889),
    [anon_sym_LT] = ACTIONS(4889),
    [anon_sym_LT_LT] = ACTIONS(4889),
    [anon_sym_GT_GT] = ACTIONS(4889),
    [anon_sym___extension__] = ACTIONS(6010),
    [anon_sym___attribute__] = ACTIONS(4889),
    [anon_sym___attribute] = ACTIONS(4889),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_signed] = ACTIONS(4889),
    [anon_sym_unsigned] = ACTIONS(4889),
    [anon_sym_long] = ACTIONS(4889),
    [anon_sym_short] = ACTIONS(4889),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_EQ] = ACTIONS(4889),
    [anon_sym_const] = ACTIONS(6010),
    [anon_sym_constexpr] = ACTIONS(6010),
    [anon_sym_volatile] = ACTIONS(6010),
    [anon_sym_restrict] = ACTIONS(6010),
    [anon_sym___restrict__] = ACTIONS(6010),
    [anon_sym__Atomic] = ACTIONS(6010),
    [anon_sym__Noreturn] = ACTIONS(6010),
    [anon_sym_noreturn] = ACTIONS(6010),
    [anon_sym__Nonnull] = ACTIONS(6010),
    [anon_sym_mutable] = ACTIONS(6010),
    [anon_sym_constinit] = ACTIONS(6010),
    [anon_sym_consteval] = ACTIONS(6010),
    [anon_sym_alignas] = ACTIONS(6013),
    [anon_sym__Alignas] = ACTIONS(6013),
    [sym_primitive_type] = ACTIONS(4889),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_STAR_EQ] = ACTIONS(4891),
    [anon_sym_SLASH_EQ] = ACTIONS(4891),
    [anon_sym_PERCENT_EQ] = ACTIONS(4891),
    [anon_sym_PLUS_EQ] = ACTIONS(4891),
    [anon_sym_DASH_EQ] = ACTIONS(4891),
    [anon_sym_LT_LT_EQ] = ACTIONS(4891),
    [anon_sym_GT_GT_EQ] = ACTIONS(4889),
    [anon_sym_AMP_EQ] = ACTIONS(4891),
    [anon_sym_CARET_EQ] = ACTIONS(4891),
    [anon_sym_PIPE_EQ] = ACTIONS(4891),
    [anon_sym_and_eq] = ACTIONS(4889),
    [anon_sym_or_eq] = ACTIONS(4889),
    [anon_sym_xor_eq] = ACTIONS(4889),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4889),
    [anon_sym_and] = ACTIONS(4889),
    [anon_sym_bitor] = ACTIONS(4889),
    [anon_sym_xor] = ACTIONS(4889),
    [anon_sym_bitand] = ACTIONS(4889),
    [anon_sym_not_eq] = ACTIONS(4889),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4889),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4889),
    [anon_sym_decltype] = ACTIONS(4889),
    [anon_sym_GT2] = ACTIONS(4891),
  },
  [2352] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6016),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2353] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6018),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2354] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6020),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2355] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6022),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2356] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6024),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2357] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6026),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2358] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6028),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2359] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6030),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2360] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6032),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2361] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6034),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2362] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6036),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2363] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_TILDE] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(6038),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym___cdecl] = ACTIONS(5704),
    [anon_sym___clrcall] = ACTIONS(5704),
    [anon_sym___stdcall] = ACTIONS(5704),
    [anon_sym___fastcall] = ACTIONS(5704),
    [anon_sym___thiscall] = ACTIONS(5704),
    [anon_sym___vectorcall] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(5704),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2364] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2364),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym___attribute] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(6040),
    [anon_sym_unsigned] = ACTIONS(6040),
    [anon_sym_long] = ACTIONS(6040),
    [anon_sym_short] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5588),
    [anon_sym_decltype] = ACTIONS(5588),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5590),
  },
  [2365] = {
    [sym_attribute_specifier] = STATE(2318),
    [sym_identifier] = ACTIONS(6043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6045),
    [anon_sym_COMMA] = ACTIONS(6045),
    [anon_sym_RPAREN] = ACTIONS(6045),
    [anon_sym_LPAREN2] = ACTIONS(6045),
    [anon_sym_TILDE] = ACTIONS(6045),
    [anon_sym_STAR] = ACTIONS(6045),
    [anon_sym_AMP_AMP] = ACTIONS(6045),
    [anon_sym_AMP] = ACTIONS(6043),
    [anon_sym_COLON] = ACTIONS(6043),
    [anon_sym_SEMI] = ACTIONS(6045),
    [anon_sym___extension__] = ACTIONS(6043),
    [anon_sym_in] = ACTIONS(6043),
    [anon_sym_out] = ACTIONS(6043),
    [anon_sym_inout] = ACTIONS(6043),
    [anon_sym_virtual] = ACTIONS(6043),
    [anon_sym_extern] = ACTIONS(6043),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6045),
    [anon_sym___declspec] = ACTIONS(6043),
    [anon_sym___based] = ACTIONS(6043),
    [anon_sym___cdecl] = ACTIONS(6043),
    [anon_sym___clrcall] = ACTIONS(6043),
    [anon_sym___stdcall] = ACTIONS(6043),
    [anon_sym___fastcall] = ACTIONS(6043),
    [anon_sym___thiscall] = ACTIONS(6043),
    [anon_sym___vectorcall] = ACTIONS(6043),
    [anon_sym_LBRACK] = ACTIONS(6043),
    [anon_sym_static] = ACTIONS(6043),
    [anon_sym_EQ] = ACTIONS(6045),
    [anon_sym_register] = ACTIONS(6043),
    [anon_sym_inline] = ACTIONS(6043),
    [anon_sym___inline] = ACTIONS(6043),
    [anon_sym___inline__] = ACTIONS(6043),
    [anon_sym___forceinline] = ACTIONS(6043),
    [anon_sym_thread_local] = ACTIONS(6043),
    [anon_sym___thread] = ACTIONS(6043),
    [anon_sym_const] = ACTIONS(6043),
    [anon_sym_constexpr] = ACTIONS(6043),
    [anon_sym_volatile] = ACTIONS(6043),
    [anon_sym_restrict] = ACTIONS(6043),
    [anon_sym___restrict__] = ACTIONS(6043),
    [anon_sym__Atomic] = ACTIONS(6043),
    [anon_sym__Noreturn] = ACTIONS(6043),
    [anon_sym_noreturn] = ACTIONS(6043),
    [anon_sym__Nonnull] = ACTIONS(6043),
    [anon_sym_mutable] = ACTIONS(6043),
    [anon_sym_constinit] = ACTIONS(6043),
    [anon_sym_consteval] = ACTIONS(6043),
    [anon_sym_alignas] = ACTIONS(6043),
    [anon_sym__Alignas] = ACTIONS(6043),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6043),
    [anon_sym_decltype] = ACTIONS(6043),
    [anon_sym_template] = ACTIONS(6043),
    [anon_sym_GT2] = ACTIONS(6045),
    [anon_sym_operator] = ACTIONS(6043),
    [anon_sym_precise] = ACTIONS(6043),
    [anon_sym_shared] = ACTIONS(6043),
    [anon_sym_groupshared] = ACTIONS(6043),
    [anon_sym_uniform] = ACTIONS(6043),
    [anon_sym_row_major] = ACTIONS(6043),
    [anon_sym_column_major] = ACTIONS(6043),
    [anon_sym_globallycoherent] = ACTIONS(6043),
    [anon_sym_centroid] = ACTIONS(6043),
    [anon_sym_noperspective] = ACTIONS(6043),
    [anon_sym_nointerpolation] = ACTIONS(6043),
    [anon_sym_sample] = ACTIONS(6043),
    [anon_sym_linear] = ACTIONS(6043),
    [anon_sym_snorm] = ACTIONS(6043),
    [anon_sym_unorm] = ACTIONS(6043),
    [anon_sym_point] = ACTIONS(6043),
    [anon_sym_line] = ACTIONS(6043),
    [anon_sym_triangleadj] = ACTIONS(6043),
    [anon_sym_lineadj] = ACTIONS(6043),
    [anon_sym_triangle] = ACTIONS(6043),
  },
  [2366] = {
    [sym_attribute_specifier] = STATE(2346),
    [sym_identifier] = ACTIONS(6047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6049),
    [anon_sym_COMMA] = ACTIONS(6049),
    [anon_sym_RPAREN] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [anon_sym_TILDE] = ACTIONS(6049),
    [anon_sym_STAR] = ACTIONS(6049),
    [anon_sym_AMP_AMP] = ACTIONS(6049),
    [anon_sym_AMP] = ACTIONS(6047),
    [anon_sym_COLON] = ACTIONS(6047),
    [anon_sym_SEMI] = ACTIONS(6049),
    [anon_sym___extension__] = ACTIONS(6047),
    [anon_sym_in] = ACTIONS(6047),
    [anon_sym_out] = ACTIONS(6047),
    [anon_sym_inout] = ACTIONS(6047),
    [anon_sym_virtual] = ACTIONS(6047),
    [anon_sym_extern] = ACTIONS(6047),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6049),
    [anon_sym___declspec] = ACTIONS(6047),
    [anon_sym___based] = ACTIONS(6047),
    [anon_sym___cdecl] = ACTIONS(6047),
    [anon_sym___clrcall] = ACTIONS(6047),
    [anon_sym___stdcall] = ACTIONS(6047),
    [anon_sym___fastcall] = ACTIONS(6047),
    [anon_sym___thiscall] = ACTIONS(6047),
    [anon_sym___vectorcall] = ACTIONS(6047),
    [anon_sym_LBRACK] = ACTIONS(6047),
    [anon_sym_static] = ACTIONS(6047),
    [anon_sym_EQ] = ACTIONS(6049),
    [anon_sym_register] = ACTIONS(6047),
    [anon_sym_inline] = ACTIONS(6047),
    [anon_sym___inline] = ACTIONS(6047),
    [anon_sym___inline__] = ACTIONS(6047),
    [anon_sym___forceinline] = ACTIONS(6047),
    [anon_sym_thread_local] = ACTIONS(6047),
    [anon_sym___thread] = ACTIONS(6047),
    [anon_sym_const] = ACTIONS(6047),
    [anon_sym_constexpr] = ACTIONS(6047),
    [anon_sym_volatile] = ACTIONS(6047),
    [anon_sym_restrict] = ACTIONS(6047),
    [anon_sym___restrict__] = ACTIONS(6047),
    [anon_sym__Atomic] = ACTIONS(6047),
    [anon_sym__Noreturn] = ACTIONS(6047),
    [anon_sym_noreturn] = ACTIONS(6047),
    [anon_sym__Nonnull] = ACTIONS(6047),
    [anon_sym_mutable] = ACTIONS(6047),
    [anon_sym_constinit] = ACTIONS(6047),
    [anon_sym_consteval] = ACTIONS(6047),
    [anon_sym_alignas] = ACTIONS(6047),
    [anon_sym__Alignas] = ACTIONS(6047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6047),
    [anon_sym_decltype] = ACTIONS(6047),
    [anon_sym_template] = ACTIONS(6047),
    [anon_sym_GT2] = ACTIONS(6049),
    [anon_sym_operator] = ACTIONS(6047),
    [anon_sym_precise] = ACTIONS(6047),
    [anon_sym_shared] = ACTIONS(6047),
    [anon_sym_groupshared] = ACTIONS(6047),
    [anon_sym_uniform] = ACTIONS(6047),
    [anon_sym_row_major] = ACTIONS(6047),
    [anon_sym_column_major] = ACTIONS(6047),
    [anon_sym_globallycoherent] = ACTIONS(6047),
    [anon_sym_centroid] = ACTIONS(6047),
    [anon_sym_noperspective] = ACTIONS(6047),
    [anon_sym_nointerpolation] = ACTIONS(6047),
    [anon_sym_sample] = ACTIONS(6047),
    [anon_sym_linear] = ACTIONS(6047),
    [anon_sym_snorm] = ACTIONS(6047),
    [anon_sym_unorm] = ACTIONS(6047),
    [anon_sym_point] = ACTIONS(6047),
    [anon_sym_line] = ACTIONS(6047),
    [anon_sym_triangleadj] = ACTIONS(6047),
    [anon_sym_lineadj] = ACTIONS(6047),
    [anon_sym_triangle] = ACTIONS(6047),
  },
  [2367] = {
    [sym_attribute_specifier] = STATE(2329),
    [sym_identifier] = ACTIONS(6051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6053),
    [anon_sym_COMMA] = ACTIONS(6053),
    [anon_sym_RPAREN] = ACTIONS(6053),
    [anon_sym_LPAREN2] = ACTIONS(6053),
    [anon_sym_TILDE] = ACTIONS(6053),
    [anon_sym_STAR] = ACTIONS(6053),
    [anon_sym_AMP_AMP] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(6051),
    [anon_sym_COLON] = ACTIONS(6051),
    [anon_sym_SEMI] = ACTIONS(6053),
    [anon_sym___extension__] = ACTIONS(6051),
    [anon_sym_in] = ACTIONS(6051),
    [anon_sym_out] = ACTIONS(6051),
    [anon_sym_inout] = ACTIONS(6051),
    [anon_sym_virtual] = ACTIONS(6051),
    [anon_sym_extern] = ACTIONS(6051),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6053),
    [anon_sym___declspec] = ACTIONS(6051),
    [anon_sym___based] = ACTIONS(6051),
    [anon_sym___cdecl] = ACTIONS(6051),
    [anon_sym___clrcall] = ACTIONS(6051),
    [anon_sym___stdcall] = ACTIONS(6051),
    [anon_sym___fastcall] = ACTIONS(6051),
    [anon_sym___thiscall] = ACTIONS(6051),
    [anon_sym___vectorcall] = ACTIONS(6051),
    [anon_sym_LBRACK] = ACTIONS(6051),
    [anon_sym_static] = ACTIONS(6051),
    [anon_sym_EQ] = ACTIONS(6053),
    [anon_sym_register] = ACTIONS(6051),
    [anon_sym_inline] = ACTIONS(6051),
    [anon_sym___inline] = ACTIONS(6051),
    [anon_sym___inline__] = ACTIONS(6051),
    [anon_sym___forceinline] = ACTIONS(6051),
    [anon_sym_thread_local] = ACTIONS(6051),
    [anon_sym___thread] = ACTIONS(6051),
    [anon_sym_const] = ACTIONS(6051),
    [anon_sym_constexpr] = ACTIONS(6051),
    [anon_sym_volatile] = ACTIONS(6051),
    [anon_sym_restrict] = ACTIONS(6051),
    [anon_sym___restrict__] = ACTIONS(6051),
    [anon_sym__Atomic] = ACTIONS(6051),
    [anon_sym__Noreturn] = ACTIONS(6051),
    [anon_sym_noreturn] = ACTIONS(6051),
    [anon_sym__Nonnull] = ACTIONS(6051),
    [anon_sym_mutable] = ACTIONS(6051),
    [anon_sym_constinit] = ACTIONS(6051),
    [anon_sym_consteval] = ACTIONS(6051),
    [anon_sym_alignas] = ACTIONS(6051),
    [anon_sym__Alignas] = ACTIONS(6051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6051),
    [anon_sym_decltype] = ACTIONS(6051),
    [anon_sym_template] = ACTIONS(6051),
    [anon_sym_GT2] = ACTIONS(6053),
    [anon_sym_operator] = ACTIONS(6051),
    [anon_sym_precise] = ACTIONS(6051),
    [anon_sym_shared] = ACTIONS(6051),
    [anon_sym_groupshared] = ACTIONS(6051),
    [anon_sym_uniform] = ACTIONS(6051),
    [anon_sym_row_major] = ACTIONS(6051),
    [anon_sym_column_major] = ACTIONS(6051),
    [anon_sym_globallycoherent] = ACTIONS(6051),
    [anon_sym_centroid] = ACTIONS(6051),
    [anon_sym_noperspective] = ACTIONS(6051),
    [anon_sym_nointerpolation] = ACTIONS(6051),
    [anon_sym_sample] = ACTIONS(6051),
    [anon_sym_linear] = ACTIONS(6051),
    [anon_sym_snorm] = ACTIONS(6051),
    [anon_sym_unorm] = ACTIONS(6051),
    [anon_sym_point] = ACTIONS(6051),
    [anon_sym_line] = ACTIONS(6051),
    [anon_sym_triangleadj] = ACTIONS(6051),
    [anon_sym_lineadj] = ACTIONS(6051),
    [anon_sym_triangle] = ACTIONS(6051),
  },
  [2368] = {
    [sym_attribute_specifier] = STATE(2325),
    [sym_identifier] = ACTIONS(6055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6057),
    [anon_sym_COMMA] = ACTIONS(6057),
    [anon_sym_RPAREN] = ACTIONS(6057),
    [anon_sym_LPAREN2] = ACTIONS(6057),
    [anon_sym_TILDE] = ACTIONS(6057),
    [anon_sym_STAR] = ACTIONS(6057),
    [anon_sym_AMP_AMP] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(6055),
    [anon_sym_COLON] = ACTIONS(6055),
    [anon_sym_SEMI] = ACTIONS(6057),
    [anon_sym___extension__] = ACTIONS(6055),
    [anon_sym_in] = ACTIONS(6055),
    [anon_sym_out] = ACTIONS(6055),
    [anon_sym_inout] = ACTIONS(6055),
    [anon_sym_virtual] = ACTIONS(6055),
    [anon_sym_extern] = ACTIONS(6055),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6057),
    [anon_sym___declspec] = ACTIONS(6055),
    [anon_sym___based] = ACTIONS(6055),
    [anon_sym___cdecl] = ACTIONS(6055),
    [anon_sym___clrcall] = ACTIONS(6055),
    [anon_sym___stdcall] = ACTIONS(6055),
    [anon_sym___fastcall] = ACTIONS(6055),
    [anon_sym___thiscall] = ACTIONS(6055),
    [anon_sym___vectorcall] = ACTIONS(6055),
    [anon_sym_LBRACK] = ACTIONS(6055),
    [anon_sym_static] = ACTIONS(6055),
    [anon_sym_EQ] = ACTIONS(6057),
    [anon_sym_register] = ACTIONS(6055),
    [anon_sym_inline] = ACTIONS(6055),
    [anon_sym___inline] = ACTIONS(6055),
    [anon_sym___inline__] = ACTIONS(6055),
    [anon_sym___forceinline] = ACTIONS(6055),
    [anon_sym_thread_local] = ACTIONS(6055),
    [anon_sym___thread] = ACTIONS(6055),
    [anon_sym_const] = ACTIONS(6055),
    [anon_sym_constexpr] = ACTIONS(6055),
    [anon_sym_volatile] = ACTIONS(6055),
    [anon_sym_restrict] = ACTIONS(6055),
    [anon_sym___restrict__] = ACTIONS(6055),
    [anon_sym__Atomic] = ACTIONS(6055),
    [anon_sym__Noreturn] = ACTIONS(6055),
    [anon_sym_noreturn] = ACTIONS(6055),
    [anon_sym__Nonnull] = ACTIONS(6055),
    [anon_sym_mutable] = ACTIONS(6055),
    [anon_sym_constinit] = ACTIONS(6055),
    [anon_sym_consteval] = ACTIONS(6055),
    [anon_sym_alignas] = ACTIONS(6055),
    [anon_sym__Alignas] = ACTIONS(6055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6055),
    [anon_sym_decltype] = ACTIONS(6055),
    [anon_sym_template] = ACTIONS(6055),
    [anon_sym_GT2] = ACTIONS(6057),
    [anon_sym_operator] = ACTIONS(6055),
    [anon_sym_precise] = ACTIONS(6055),
    [anon_sym_shared] = ACTIONS(6055),
    [anon_sym_groupshared] = ACTIONS(6055),
    [anon_sym_uniform] = ACTIONS(6055),
    [anon_sym_row_major] = ACTIONS(6055),
    [anon_sym_column_major] = ACTIONS(6055),
    [anon_sym_globallycoherent] = ACTIONS(6055),
    [anon_sym_centroid] = ACTIONS(6055),
    [anon_sym_noperspective] = ACTIONS(6055),
    [anon_sym_nointerpolation] = ACTIONS(6055),
    [anon_sym_sample] = ACTIONS(6055),
    [anon_sym_linear] = ACTIONS(6055),
    [anon_sym_snorm] = ACTIONS(6055),
    [anon_sym_unorm] = ACTIONS(6055),
    [anon_sym_point] = ACTIONS(6055),
    [anon_sym_line] = ACTIONS(6055),
    [anon_sym_triangleadj] = ACTIONS(6055),
    [anon_sym_lineadj] = ACTIONS(6055),
    [anon_sym_triangle] = ACTIONS(6055),
  },
  [2369] = {
    [sym_type_qualifier] = STATE(2389),
    [sym_alignas_qualifier] = STATE(2445),
    [aux_sym__type_definition_type_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3096),
    [sym_identifier] = ACTIONS(6059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5598),
    [anon_sym_COMMA] = ACTIONS(5598),
    [anon_sym_RPAREN] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5600),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_PIPE] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5598),
    [anon_sym_BANG_EQ] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5598),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5600),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(6061),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(6063),
    [anon_sym_unsigned] = ACTIONS(6063),
    [anon_sym_long] = ACTIONS(6063),
    [anon_sym_short] = ACTIONS(6063),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_EQ] = ACTIONS(5600),
    [anon_sym_const] = ACTIONS(6061),
    [anon_sym_constexpr] = ACTIONS(6061),
    [anon_sym_volatile] = ACTIONS(6061),
    [anon_sym_restrict] = ACTIONS(6061),
    [anon_sym___restrict__] = ACTIONS(6061),
    [anon_sym__Atomic] = ACTIONS(6061),
    [anon_sym__Noreturn] = ACTIONS(6061),
    [anon_sym_noreturn] = ACTIONS(6061),
    [anon_sym__Nonnull] = ACTIONS(6061),
    [anon_sym_mutable] = ACTIONS(6061),
    [anon_sym_constinit] = ACTIONS(6061),
    [anon_sym_consteval] = ACTIONS(6061),
    [anon_sym_alignas] = ACTIONS(6065),
    [anon_sym__Alignas] = ACTIONS(6065),
    [sym_primitive_type] = ACTIONS(6067),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_STAR_EQ] = ACTIONS(5598),
    [anon_sym_SLASH_EQ] = ACTIONS(5598),
    [anon_sym_PERCENT_EQ] = ACTIONS(5598),
    [anon_sym_PLUS_EQ] = ACTIONS(5598),
    [anon_sym_DASH_EQ] = ACTIONS(5598),
    [anon_sym_LT_LT_EQ] = ACTIONS(5598),
    [anon_sym_GT_GT_EQ] = ACTIONS(5598),
    [anon_sym_AMP_EQ] = ACTIONS(5598),
    [anon_sym_CARET_EQ] = ACTIONS(5598),
    [anon_sym_PIPE_EQ] = ACTIONS(5598),
    [anon_sym_LT_EQ_GT] = ACTIONS(5598),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_bitor] = ACTIONS(5600),
    [anon_sym_xor] = ACTIONS(5600),
    [anon_sym_bitand] = ACTIONS(5600),
    [anon_sym_not_eq] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_DOT_STAR] = ACTIONS(5598),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5598),
  },
  [2370] = {
    [sym_attribute_specifier] = STATE(2311),
    [sym_identifier] = ACTIONS(6069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6071),
    [anon_sym_COMMA] = ACTIONS(6071),
    [anon_sym_RPAREN] = ACTIONS(6071),
    [anon_sym_LPAREN2] = ACTIONS(6071),
    [anon_sym_TILDE] = ACTIONS(6071),
    [anon_sym_STAR] = ACTIONS(6071),
    [anon_sym_AMP_AMP] = ACTIONS(6071),
    [anon_sym_AMP] = ACTIONS(6069),
    [anon_sym_COLON] = ACTIONS(6069),
    [anon_sym_SEMI] = ACTIONS(6071),
    [anon_sym___extension__] = ACTIONS(6069),
    [anon_sym_in] = ACTIONS(6069),
    [anon_sym_out] = ACTIONS(6069),
    [anon_sym_inout] = ACTIONS(6069),
    [anon_sym_virtual] = ACTIONS(6069),
    [anon_sym_extern] = ACTIONS(6069),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6071),
    [anon_sym___declspec] = ACTIONS(6069),
    [anon_sym___based] = ACTIONS(6069),
    [anon_sym___cdecl] = ACTIONS(6069),
    [anon_sym___clrcall] = ACTIONS(6069),
    [anon_sym___stdcall] = ACTIONS(6069),
    [anon_sym___fastcall] = ACTIONS(6069),
    [anon_sym___thiscall] = ACTIONS(6069),
    [anon_sym___vectorcall] = ACTIONS(6069),
    [anon_sym_LBRACK] = ACTIONS(6069),
    [anon_sym_static] = ACTIONS(6069),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_register] = ACTIONS(6069),
    [anon_sym_inline] = ACTIONS(6069),
    [anon_sym___inline] = ACTIONS(6069),
    [anon_sym___inline__] = ACTIONS(6069),
    [anon_sym___forceinline] = ACTIONS(6069),
    [anon_sym_thread_local] = ACTIONS(6069),
    [anon_sym___thread] = ACTIONS(6069),
    [anon_sym_const] = ACTIONS(6069),
    [anon_sym_constexpr] = ACTIONS(6069),
    [anon_sym_volatile] = ACTIONS(6069),
    [anon_sym_restrict] = ACTIONS(6069),
    [anon_sym___restrict__] = ACTIONS(6069),
    [anon_sym__Atomic] = ACTIONS(6069),
    [anon_sym__Noreturn] = ACTIONS(6069),
    [anon_sym_noreturn] = ACTIONS(6069),
    [anon_sym__Nonnull] = ACTIONS(6069),
    [anon_sym_mutable] = ACTIONS(6069),
    [anon_sym_constinit] = ACTIONS(6069),
    [anon_sym_consteval] = ACTIONS(6069),
    [anon_sym_alignas] = ACTIONS(6069),
    [anon_sym__Alignas] = ACTIONS(6069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6069),
    [anon_sym_decltype] = ACTIONS(6069),
    [anon_sym_template] = ACTIONS(6069),
    [anon_sym_GT2] = ACTIONS(6071),
    [anon_sym_operator] = ACTIONS(6069),
    [anon_sym_precise] = ACTIONS(6069),
    [anon_sym_shared] = ACTIONS(6069),
    [anon_sym_groupshared] = ACTIONS(6069),
    [anon_sym_uniform] = ACTIONS(6069),
    [anon_sym_row_major] = ACTIONS(6069),
    [anon_sym_column_major] = ACTIONS(6069),
    [anon_sym_globallycoherent] = ACTIONS(6069),
    [anon_sym_centroid] = ACTIONS(6069),
    [anon_sym_noperspective] = ACTIONS(6069),
    [anon_sym_nointerpolation] = ACTIONS(6069),
    [anon_sym_sample] = ACTIONS(6069),
    [anon_sym_linear] = ACTIONS(6069),
    [anon_sym_snorm] = ACTIONS(6069),
    [anon_sym_unorm] = ACTIONS(6069),
    [anon_sym_point] = ACTIONS(6069),
    [anon_sym_line] = ACTIONS(6069),
    [anon_sym_triangleadj] = ACTIONS(6069),
    [anon_sym_lineadj] = ACTIONS(6069),
    [anon_sym_triangle] = ACTIONS(6069),
  },
  [2371] = {
    [sym_attribute_specifier] = STATE(2320),
    [sym_identifier] = ACTIONS(6073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6075),
    [anon_sym_COMMA] = ACTIONS(6075),
    [anon_sym_RPAREN] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_STAR] = ACTIONS(6075),
    [anon_sym_AMP_AMP] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6073),
    [anon_sym_COLON] = ACTIONS(6073),
    [anon_sym_SEMI] = ACTIONS(6075),
    [anon_sym___extension__] = ACTIONS(6073),
    [anon_sym_in] = ACTIONS(6073),
    [anon_sym_out] = ACTIONS(6073),
    [anon_sym_inout] = ACTIONS(6073),
    [anon_sym_virtual] = ACTIONS(6073),
    [anon_sym_extern] = ACTIONS(6073),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6075),
    [anon_sym___declspec] = ACTIONS(6073),
    [anon_sym___based] = ACTIONS(6073),
    [anon_sym___cdecl] = ACTIONS(6073),
    [anon_sym___clrcall] = ACTIONS(6073),
    [anon_sym___stdcall] = ACTIONS(6073),
    [anon_sym___fastcall] = ACTIONS(6073),
    [anon_sym___thiscall] = ACTIONS(6073),
    [anon_sym___vectorcall] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [anon_sym_static] = ACTIONS(6073),
    [anon_sym_EQ] = ACTIONS(6075),
    [anon_sym_register] = ACTIONS(6073),
    [anon_sym_inline] = ACTIONS(6073),
    [anon_sym___inline] = ACTIONS(6073),
    [anon_sym___inline__] = ACTIONS(6073),
    [anon_sym___forceinline] = ACTIONS(6073),
    [anon_sym_thread_local] = ACTIONS(6073),
    [anon_sym___thread] = ACTIONS(6073),
    [anon_sym_const] = ACTIONS(6073),
    [anon_sym_constexpr] = ACTIONS(6073),
    [anon_sym_volatile] = ACTIONS(6073),
    [anon_sym_restrict] = ACTIONS(6073),
    [anon_sym___restrict__] = ACTIONS(6073),
    [anon_sym__Atomic] = ACTIONS(6073),
    [anon_sym__Noreturn] = ACTIONS(6073),
    [anon_sym_noreturn] = ACTIONS(6073),
    [anon_sym__Nonnull] = ACTIONS(6073),
    [anon_sym_mutable] = ACTIONS(6073),
    [anon_sym_constinit] = ACTIONS(6073),
    [anon_sym_consteval] = ACTIONS(6073),
    [anon_sym_alignas] = ACTIONS(6073),
    [anon_sym__Alignas] = ACTIONS(6073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6073),
    [anon_sym_decltype] = ACTIONS(6073),
    [anon_sym_template] = ACTIONS(6073),
    [anon_sym_GT2] = ACTIONS(6075),
    [anon_sym_operator] = ACTIONS(6073),
    [anon_sym_precise] = ACTIONS(6073),
    [anon_sym_shared] = ACTIONS(6073),
    [anon_sym_groupshared] = ACTIONS(6073),
    [anon_sym_uniform] = ACTIONS(6073),
    [anon_sym_row_major] = ACTIONS(6073),
    [anon_sym_column_major] = ACTIONS(6073),
    [anon_sym_globallycoherent] = ACTIONS(6073),
    [anon_sym_centroid] = ACTIONS(6073),
    [anon_sym_noperspective] = ACTIONS(6073),
    [anon_sym_nointerpolation] = ACTIONS(6073),
    [anon_sym_sample] = ACTIONS(6073),
    [anon_sym_linear] = ACTIONS(6073),
    [anon_sym_snorm] = ACTIONS(6073),
    [anon_sym_unorm] = ACTIONS(6073),
    [anon_sym_point] = ACTIONS(6073),
    [anon_sym_line] = ACTIONS(6073),
    [anon_sym_triangleadj] = ACTIONS(6073),
    [anon_sym_lineadj] = ACTIONS(6073),
    [anon_sym_triangle] = ACTIONS(6073),
  },
  [2372] = {
    [sym_type_qualifier] = STATE(2369),
    [sym_alignas_qualifier] = STATE(2445),
    [aux_sym__type_definition_type_repeat1] = STATE(2369),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2432),
    [sym_identifier] = ACTIONS(6077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [anon_sym_RPAREN] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5551),
    [anon_sym_PLUS] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5551),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5551),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5551),
    [anon_sym_GT_EQ] = ACTIONS(5549),
    [anon_sym_LT_EQ] = ACTIONS(5551),
    [anon_sym_LT] = ACTIONS(5551),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(6061),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(6079),
    [anon_sym_unsigned] = ACTIONS(6079),
    [anon_sym_long] = ACTIONS(6079),
    [anon_sym_short] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_EQ] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(6061),
    [anon_sym_constexpr] = ACTIONS(6061),
    [anon_sym_volatile] = ACTIONS(6061),
    [anon_sym_restrict] = ACTIONS(6061),
    [anon_sym___restrict__] = ACTIONS(6061),
    [anon_sym__Atomic] = ACTIONS(6061),
    [anon_sym__Noreturn] = ACTIONS(6061),
    [anon_sym_noreturn] = ACTIONS(6061),
    [anon_sym__Nonnull] = ACTIONS(6061),
    [anon_sym_mutable] = ACTIONS(6061),
    [anon_sym_constinit] = ACTIONS(6061),
    [anon_sym_consteval] = ACTIONS(6061),
    [anon_sym_alignas] = ACTIONS(6065),
    [anon_sym__Alignas] = ACTIONS(6065),
    [sym_primitive_type] = ACTIONS(6081),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_STAR_EQ] = ACTIONS(5549),
    [anon_sym_SLASH_EQ] = ACTIONS(5549),
    [anon_sym_PERCENT_EQ] = ACTIONS(5549),
    [anon_sym_PLUS_EQ] = ACTIONS(5549),
    [anon_sym_DASH_EQ] = ACTIONS(5549),
    [anon_sym_LT_LT_EQ] = ACTIONS(5549),
    [anon_sym_GT_GT_EQ] = ACTIONS(5549),
    [anon_sym_AMP_EQ] = ACTIONS(5549),
    [anon_sym_CARET_EQ] = ACTIONS(5549),
    [anon_sym_PIPE_EQ] = ACTIONS(5549),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5551),
    [anon_sym_and] = ACTIONS(5551),
    [anon_sym_bitor] = ACTIONS(5551),
    [anon_sym_xor] = ACTIONS(5551),
    [anon_sym_bitand] = ACTIONS(5551),
    [anon_sym_not_eq] = ACTIONS(5551),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5551),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5549),
  },
  [2373] = {
    [sym_attribute_specifier] = STATE(2317),
    [sym_identifier] = ACTIONS(6083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6085),
    [anon_sym_COMMA] = ACTIONS(6085),
    [anon_sym_RPAREN] = ACTIONS(6085),
    [anon_sym_LPAREN2] = ACTIONS(6085),
    [anon_sym_TILDE] = ACTIONS(6085),
    [anon_sym_STAR] = ACTIONS(6085),
    [anon_sym_AMP_AMP] = ACTIONS(6085),
    [anon_sym_AMP] = ACTIONS(6083),
    [anon_sym_COLON] = ACTIONS(6083),
    [anon_sym_SEMI] = ACTIONS(6085),
    [anon_sym___extension__] = ACTIONS(6083),
    [anon_sym_in] = ACTIONS(6083),
    [anon_sym_out] = ACTIONS(6083),
    [anon_sym_inout] = ACTIONS(6083),
    [anon_sym_virtual] = ACTIONS(6083),
    [anon_sym_extern] = ACTIONS(6083),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6085),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6085),
    [anon_sym___declspec] = ACTIONS(6083),
    [anon_sym___based] = ACTIONS(6083),
    [anon_sym___cdecl] = ACTIONS(6083),
    [anon_sym___clrcall] = ACTIONS(6083),
    [anon_sym___stdcall] = ACTIONS(6083),
    [anon_sym___fastcall] = ACTIONS(6083),
    [anon_sym___thiscall] = ACTIONS(6083),
    [anon_sym___vectorcall] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(6083),
    [anon_sym_static] = ACTIONS(6083),
    [anon_sym_EQ] = ACTIONS(6085),
    [anon_sym_register] = ACTIONS(6083),
    [anon_sym_inline] = ACTIONS(6083),
    [anon_sym___inline] = ACTIONS(6083),
    [anon_sym___inline__] = ACTIONS(6083),
    [anon_sym___forceinline] = ACTIONS(6083),
    [anon_sym_thread_local] = ACTIONS(6083),
    [anon_sym___thread] = ACTIONS(6083),
    [anon_sym_const] = ACTIONS(6083),
    [anon_sym_constexpr] = ACTIONS(6083),
    [anon_sym_volatile] = ACTIONS(6083),
    [anon_sym_restrict] = ACTIONS(6083),
    [anon_sym___restrict__] = ACTIONS(6083),
    [anon_sym__Atomic] = ACTIONS(6083),
    [anon_sym__Noreturn] = ACTIONS(6083),
    [anon_sym_noreturn] = ACTIONS(6083),
    [anon_sym__Nonnull] = ACTIONS(6083),
    [anon_sym_mutable] = ACTIONS(6083),
    [anon_sym_constinit] = ACTIONS(6083),
    [anon_sym_consteval] = ACTIONS(6083),
    [anon_sym_alignas] = ACTIONS(6083),
    [anon_sym__Alignas] = ACTIONS(6083),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6083),
    [anon_sym_decltype] = ACTIONS(6083),
    [anon_sym_template] = ACTIONS(6083),
    [anon_sym_GT2] = ACTIONS(6085),
    [anon_sym_operator] = ACTIONS(6083),
    [anon_sym_precise] = ACTIONS(6083),
    [anon_sym_shared] = ACTIONS(6083),
    [anon_sym_groupshared] = ACTIONS(6083),
    [anon_sym_uniform] = ACTIONS(6083),
    [anon_sym_row_major] = ACTIONS(6083),
    [anon_sym_column_major] = ACTIONS(6083),
    [anon_sym_globallycoherent] = ACTIONS(6083),
    [anon_sym_centroid] = ACTIONS(6083),
    [anon_sym_noperspective] = ACTIONS(6083),
    [anon_sym_nointerpolation] = ACTIONS(6083),
    [anon_sym_sample] = ACTIONS(6083),
    [anon_sym_linear] = ACTIONS(6083),
    [anon_sym_snorm] = ACTIONS(6083),
    [anon_sym_unorm] = ACTIONS(6083),
    [anon_sym_point] = ACTIONS(6083),
    [anon_sym_line] = ACTIONS(6083),
    [anon_sym_triangleadj] = ACTIONS(6083),
    [anon_sym_lineadj] = ACTIONS(6083),
    [anon_sym_triangle] = ACTIONS(6083),
  },
  [2374] = {
    [sym_attribute_specifier] = STATE(2308),
    [sym_identifier] = ACTIONS(6087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6089),
    [anon_sym_COMMA] = ACTIONS(6089),
    [anon_sym_RPAREN] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [anon_sym_TILDE] = ACTIONS(6089),
    [anon_sym_STAR] = ACTIONS(6089),
    [anon_sym_AMP_AMP] = ACTIONS(6089),
    [anon_sym_AMP] = ACTIONS(6087),
    [anon_sym_COLON] = ACTIONS(6087),
    [anon_sym_SEMI] = ACTIONS(6089),
    [anon_sym___extension__] = ACTIONS(6087),
    [anon_sym_in] = ACTIONS(6087),
    [anon_sym_out] = ACTIONS(6087),
    [anon_sym_inout] = ACTIONS(6087),
    [anon_sym_virtual] = ACTIONS(6087),
    [anon_sym_extern] = ACTIONS(6087),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6089),
    [anon_sym___declspec] = ACTIONS(6087),
    [anon_sym___based] = ACTIONS(6087),
    [anon_sym___cdecl] = ACTIONS(6087),
    [anon_sym___clrcall] = ACTIONS(6087),
    [anon_sym___stdcall] = ACTIONS(6087),
    [anon_sym___fastcall] = ACTIONS(6087),
    [anon_sym___thiscall] = ACTIONS(6087),
    [anon_sym___vectorcall] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [anon_sym_static] = ACTIONS(6087),
    [anon_sym_EQ] = ACTIONS(6089),
    [anon_sym_register] = ACTIONS(6087),
    [anon_sym_inline] = ACTIONS(6087),
    [anon_sym___inline] = ACTIONS(6087),
    [anon_sym___inline__] = ACTIONS(6087),
    [anon_sym___forceinline] = ACTIONS(6087),
    [anon_sym_thread_local] = ACTIONS(6087),
    [anon_sym___thread] = ACTIONS(6087),
    [anon_sym_const] = ACTIONS(6087),
    [anon_sym_constexpr] = ACTIONS(6087),
    [anon_sym_volatile] = ACTIONS(6087),
    [anon_sym_restrict] = ACTIONS(6087),
    [anon_sym___restrict__] = ACTIONS(6087),
    [anon_sym__Atomic] = ACTIONS(6087),
    [anon_sym__Noreturn] = ACTIONS(6087),
    [anon_sym_noreturn] = ACTIONS(6087),
    [anon_sym__Nonnull] = ACTIONS(6087),
    [anon_sym_mutable] = ACTIONS(6087),
    [anon_sym_constinit] = ACTIONS(6087),
    [anon_sym_consteval] = ACTIONS(6087),
    [anon_sym_alignas] = ACTIONS(6087),
    [anon_sym__Alignas] = ACTIONS(6087),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6087),
    [anon_sym_decltype] = ACTIONS(6087),
    [anon_sym_template] = ACTIONS(6087),
    [anon_sym_GT2] = ACTIONS(6089),
    [anon_sym_operator] = ACTIONS(6087),
    [anon_sym_precise] = ACTIONS(6087),
    [anon_sym_shared] = ACTIONS(6087),
    [anon_sym_groupshared] = ACTIONS(6087),
    [anon_sym_uniform] = ACTIONS(6087),
    [anon_sym_row_major] = ACTIONS(6087),
    [anon_sym_column_major] = ACTIONS(6087),
    [anon_sym_globallycoherent] = ACTIONS(6087),
    [anon_sym_centroid] = ACTIONS(6087),
    [anon_sym_noperspective] = ACTIONS(6087),
    [anon_sym_nointerpolation] = ACTIONS(6087),
    [anon_sym_sample] = ACTIONS(6087),
    [anon_sym_linear] = ACTIONS(6087),
    [anon_sym_snorm] = ACTIONS(6087),
    [anon_sym_unorm] = ACTIONS(6087),
    [anon_sym_point] = ACTIONS(6087),
    [anon_sym_line] = ACTIONS(6087),
    [anon_sym_triangleadj] = ACTIONS(6087),
    [anon_sym_lineadj] = ACTIONS(6087),
    [anon_sym_triangle] = ACTIONS(6087),
  },
  [2375] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2364),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5725),
    [anon_sym_SLASH] = ACTIONS(5725),
    [anon_sym_PERCENT] = ACTIONS(5725),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5725),
    [anon_sym_CARET] = ACTIONS(5725),
    [anon_sym_AMP] = ACTIONS(5725),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5725),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5725),
    [anon_sym_LT] = ACTIONS(5725),
    [anon_sym_LT_LT] = ACTIONS(5725),
    [anon_sym_GT_GT] = ACTIONS(5725),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(6040),
    [anon_sym_unsigned] = ACTIONS(6040),
    [anon_sym_long] = ACTIONS(6040),
    [anon_sym_short] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_EQ] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_STAR_EQ] = ACTIONS(5728),
    [anon_sym_SLASH_EQ] = ACTIONS(5728),
    [anon_sym_PERCENT_EQ] = ACTIONS(5728),
    [anon_sym_PLUS_EQ] = ACTIONS(5728),
    [anon_sym_DASH_EQ] = ACTIONS(5728),
    [anon_sym_LT_LT_EQ] = ACTIONS(5728),
    [anon_sym_GT_GT_EQ] = ACTIONS(5728),
    [anon_sym_AMP_EQ] = ACTIONS(5728),
    [anon_sym_CARET_EQ] = ACTIONS(5728),
    [anon_sym_PIPE_EQ] = ACTIONS(5728),
    [anon_sym_and_eq] = ACTIONS(5725),
    [anon_sym_or_eq] = ACTIONS(5725),
    [anon_sym_xor_eq] = ACTIONS(5725),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5725),
    [anon_sym_and] = ACTIONS(5725),
    [anon_sym_bitor] = ACTIONS(5725),
    [anon_sym_xor] = ACTIONS(5725),
    [anon_sym_bitand] = ACTIONS(5725),
    [anon_sym_not_eq] = ACTIONS(5725),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5725),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5725),
    [anon_sym_decltype] = ACTIONS(5725),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5728),
  },
  [2376] = {
    [sym_template_argument_list] = STATE(2251),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym___cdecl] = ACTIONS(4068),
    [anon_sym___clrcall] = ACTIONS(4068),
    [anon_sym___stdcall] = ACTIONS(4068),
    [anon_sym___fastcall] = ACTIONS(4068),
    [anon_sym___thiscall] = ACTIONS(4068),
    [anon_sym___vectorcall] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [2377] = {
    [sym_attribute_specifier] = STATE(2315),
    [sym_identifier] = ACTIONS(6091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6093),
    [anon_sym_COMMA] = ACTIONS(6093),
    [anon_sym_RPAREN] = ACTIONS(6093),
    [anon_sym_LPAREN2] = ACTIONS(6093),
    [anon_sym_TILDE] = ACTIONS(6093),
    [anon_sym_STAR] = ACTIONS(6093),
    [anon_sym_AMP_AMP] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(6091),
    [anon_sym_COLON] = ACTIONS(6091),
    [anon_sym_SEMI] = ACTIONS(6093),
    [anon_sym___extension__] = ACTIONS(6091),
    [anon_sym_in] = ACTIONS(6091),
    [anon_sym_out] = ACTIONS(6091),
    [anon_sym_inout] = ACTIONS(6091),
    [anon_sym_virtual] = ACTIONS(6091),
    [anon_sym_extern] = ACTIONS(6091),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6093),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6093),
    [anon_sym___declspec] = ACTIONS(6091),
    [anon_sym___based] = ACTIONS(6091),
    [anon_sym___cdecl] = ACTIONS(6091),
    [anon_sym___clrcall] = ACTIONS(6091),
    [anon_sym___stdcall] = ACTIONS(6091),
    [anon_sym___fastcall] = ACTIONS(6091),
    [anon_sym___thiscall] = ACTIONS(6091),
    [anon_sym___vectorcall] = ACTIONS(6091),
    [anon_sym_LBRACK] = ACTIONS(6091),
    [anon_sym_static] = ACTIONS(6091),
    [anon_sym_EQ] = ACTIONS(6093),
    [anon_sym_register] = ACTIONS(6091),
    [anon_sym_inline] = ACTIONS(6091),
    [anon_sym___inline] = ACTIONS(6091),
    [anon_sym___inline__] = ACTIONS(6091),
    [anon_sym___forceinline] = ACTIONS(6091),
    [anon_sym_thread_local] = ACTIONS(6091),
    [anon_sym___thread] = ACTIONS(6091),
    [anon_sym_const] = ACTIONS(6091),
    [anon_sym_constexpr] = ACTIONS(6091),
    [anon_sym_volatile] = ACTIONS(6091),
    [anon_sym_restrict] = ACTIONS(6091),
    [anon_sym___restrict__] = ACTIONS(6091),
    [anon_sym__Atomic] = ACTIONS(6091),
    [anon_sym__Noreturn] = ACTIONS(6091),
    [anon_sym_noreturn] = ACTIONS(6091),
    [anon_sym__Nonnull] = ACTIONS(6091),
    [anon_sym_mutable] = ACTIONS(6091),
    [anon_sym_constinit] = ACTIONS(6091),
    [anon_sym_consteval] = ACTIONS(6091),
    [anon_sym_alignas] = ACTIONS(6091),
    [anon_sym__Alignas] = ACTIONS(6091),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6091),
    [anon_sym_decltype] = ACTIONS(6091),
    [anon_sym_template] = ACTIONS(6091),
    [anon_sym_GT2] = ACTIONS(6093),
    [anon_sym_operator] = ACTIONS(6091),
    [anon_sym_precise] = ACTIONS(6091),
    [anon_sym_shared] = ACTIONS(6091),
    [anon_sym_groupshared] = ACTIONS(6091),
    [anon_sym_uniform] = ACTIONS(6091),
    [anon_sym_row_major] = ACTIONS(6091),
    [anon_sym_column_major] = ACTIONS(6091),
    [anon_sym_globallycoherent] = ACTIONS(6091),
    [anon_sym_centroid] = ACTIONS(6091),
    [anon_sym_noperspective] = ACTIONS(6091),
    [anon_sym_nointerpolation] = ACTIONS(6091),
    [anon_sym_sample] = ACTIONS(6091),
    [anon_sym_linear] = ACTIONS(6091),
    [anon_sym_snorm] = ACTIONS(6091),
    [anon_sym_unorm] = ACTIONS(6091),
    [anon_sym_point] = ACTIONS(6091),
    [anon_sym_line] = ACTIONS(6091),
    [anon_sym_triangleadj] = ACTIONS(6091),
    [anon_sym_lineadj] = ACTIONS(6091),
    [anon_sym_triangle] = ACTIONS(6091),
  },
  [2378] = {
    [sym_attribute_specifier] = STATE(2348),
    [sym_identifier] = ACTIONS(6095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6097),
    [anon_sym_COMMA] = ACTIONS(6097),
    [anon_sym_RPAREN] = ACTIONS(6097),
    [anon_sym_LPAREN2] = ACTIONS(6097),
    [anon_sym_TILDE] = ACTIONS(6097),
    [anon_sym_STAR] = ACTIONS(6097),
    [anon_sym_AMP_AMP] = ACTIONS(6097),
    [anon_sym_AMP] = ACTIONS(6095),
    [anon_sym_COLON] = ACTIONS(6095),
    [anon_sym_SEMI] = ACTIONS(6097),
    [anon_sym___extension__] = ACTIONS(6095),
    [anon_sym_in] = ACTIONS(6095),
    [anon_sym_out] = ACTIONS(6095),
    [anon_sym_inout] = ACTIONS(6095),
    [anon_sym_virtual] = ACTIONS(6095),
    [anon_sym_extern] = ACTIONS(6095),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6097),
    [anon_sym___declspec] = ACTIONS(6095),
    [anon_sym___based] = ACTIONS(6095),
    [anon_sym___cdecl] = ACTIONS(6095),
    [anon_sym___clrcall] = ACTIONS(6095),
    [anon_sym___stdcall] = ACTIONS(6095),
    [anon_sym___fastcall] = ACTIONS(6095),
    [anon_sym___thiscall] = ACTIONS(6095),
    [anon_sym___vectorcall] = ACTIONS(6095),
    [anon_sym_LBRACK] = ACTIONS(6095),
    [anon_sym_static] = ACTIONS(6095),
    [anon_sym_EQ] = ACTIONS(6097),
    [anon_sym_register] = ACTIONS(6095),
    [anon_sym_inline] = ACTIONS(6095),
    [anon_sym___inline] = ACTIONS(6095),
    [anon_sym___inline__] = ACTIONS(6095),
    [anon_sym___forceinline] = ACTIONS(6095),
    [anon_sym_thread_local] = ACTIONS(6095),
    [anon_sym___thread] = ACTIONS(6095),
    [anon_sym_const] = ACTIONS(6095),
    [anon_sym_constexpr] = ACTIONS(6095),
    [anon_sym_volatile] = ACTIONS(6095),
    [anon_sym_restrict] = ACTIONS(6095),
    [anon_sym___restrict__] = ACTIONS(6095),
    [anon_sym__Atomic] = ACTIONS(6095),
    [anon_sym__Noreturn] = ACTIONS(6095),
    [anon_sym_noreturn] = ACTIONS(6095),
    [anon_sym__Nonnull] = ACTIONS(6095),
    [anon_sym_mutable] = ACTIONS(6095),
    [anon_sym_constinit] = ACTIONS(6095),
    [anon_sym_consteval] = ACTIONS(6095),
    [anon_sym_alignas] = ACTIONS(6095),
    [anon_sym__Alignas] = ACTIONS(6095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6095),
    [anon_sym_decltype] = ACTIONS(6095),
    [anon_sym_template] = ACTIONS(6095),
    [anon_sym_GT2] = ACTIONS(6097),
    [anon_sym_operator] = ACTIONS(6095),
    [anon_sym_precise] = ACTIONS(6095),
    [anon_sym_shared] = ACTIONS(6095),
    [anon_sym_groupshared] = ACTIONS(6095),
    [anon_sym_uniform] = ACTIONS(6095),
    [anon_sym_row_major] = ACTIONS(6095),
    [anon_sym_column_major] = ACTIONS(6095),
    [anon_sym_globallycoherent] = ACTIONS(6095),
    [anon_sym_centroid] = ACTIONS(6095),
    [anon_sym_noperspective] = ACTIONS(6095),
    [anon_sym_nointerpolation] = ACTIONS(6095),
    [anon_sym_sample] = ACTIONS(6095),
    [anon_sym_linear] = ACTIONS(6095),
    [anon_sym_snorm] = ACTIONS(6095),
    [anon_sym_unorm] = ACTIONS(6095),
    [anon_sym_point] = ACTIONS(6095),
    [anon_sym_line] = ACTIONS(6095),
    [anon_sym_triangleadj] = ACTIONS(6095),
    [anon_sym_lineadj] = ACTIONS(6095),
    [anon_sym_triangle] = ACTIONS(6095),
  },
  [2379] = {
    [sym_attribute_specifier] = STATE(2331),
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_TILDE] = ACTIONS(6101),
    [anon_sym_STAR] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_COLON] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___extension__] = ACTIONS(6099),
    [anon_sym_in] = ACTIONS(6099),
    [anon_sym_out] = ACTIONS(6099),
    [anon_sym_inout] = ACTIONS(6099),
    [anon_sym_virtual] = ACTIONS(6099),
    [anon_sym_extern] = ACTIONS(6099),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6101),
    [anon_sym___declspec] = ACTIONS(6099),
    [anon_sym___based] = ACTIONS(6099),
    [anon_sym___cdecl] = ACTIONS(6099),
    [anon_sym___clrcall] = ACTIONS(6099),
    [anon_sym___stdcall] = ACTIONS(6099),
    [anon_sym___fastcall] = ACTIONS(6099),
    [anon_sym___thiscall] = ACTIONS(6099),
    [anon_sym___vectorcall] = ACTIONS(6099),
    [anon_sym_LBRACK] = ACTIONS(6099),
    [anon_sym_static] = ACTIONS(6099),
    [anon_sym_EQ] = ACTIONS(6101),
    [anon_sym_register] = ACTIONS(6099),
    [anon_sym_inline] = ACTIONS(6099),
    [anon_sym___inline] = ACTIONS(6099),
    [anon_sym___inline__] = ACTIONS(6099),
    [anon_sym___forceinline] = ACTIONS(6099),
    [anon_sym_thread_local] = ACTIONS(6099),
    [anon_sym___thread] = ACTIONS(6099),
    [anon_sym_const] = ACTIONS(6099),
    [anon_sym_constexpr] = ACTIONS(6099),
    [anon_sym_volatile] = ACTIONS(6099),
    [anon_sym_restrict] = ACTIONS(6099),
    [anon_sym___restrict__] = ACTIONS(6099),
    [anon_sym__Atomic] = ACTIONS(6099),
    [anon_sym__Noreturn] = ACTIONS(6099),
    [anon_sym_noreturn] = ACTIONS(6099),
    [anon_sym__Nonnull] = ACTIONS(6099),
    [anon_sym_mutable] = ACTIONS(6099),
    [anon_sym_constinit] = ACTIONS(6099),
    [anon_sym_consteval] = ACTIONS(6099),
    [anon_sym_alignas] = ACTIONS(6099),
    [anon_sym__Alignas] = ACTIONS(6099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6099),
    [anon_sym_decltype] = ACTIONS(6099),
    [anon_sym_template] = ACTIONS(6099),
    [anon_sym_GT2] = ACTIONS(6101),
    [anon_sym_operator] = ACTIONS(6099),
    [anon_sym_precise] = ACTIONS(6099),
    [anon_sym_shared] = ACTIONS(6099),
    [anon_sym_groupshared] = ACTIONS(6099),
    [anon_sym_uniform] = ACTIONS(6099),
    [anon_sym_row_major] = ACTIONS(6099),
    [anon_sym_column_major] = ACTIONS(6099),
    [anon_sym_globallycoherent] = ACTIONS(6099),
    [anon_sym_centroid] = ACTIONS(6099),
    [anon_sym_noperspective] = ACTIONS(6099),
    [anon_sym_nointerpolation] = ACTIONS(6099),
    [anon_sym_sample] = ACTIONS(6099),
    [anon_sym_linear] = ACTIONS(6099),
    [anon_sym_snorm] = ACTIONS(6099),
    [anon_sym_unorm] = ACTIONS(6099),
    [anon_sym_point] = ACTIONS(6099),
    [anon_sym_line] = ACTIONS(6099),
    [anon_sym_triangleadj] = ACTIONS(6099),
    [anon_sym_lineadj] = ACTIONS(6099),
    [anon_sym_triangle] = ACTIONS(6099),
  },
  [2380] = {
    [sym_template_argument_list] = STATE(2489),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(4091),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4091),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym___cdecl] = ACTIONS(4068),
    [anon_sym___clrcall] = ACTIONS(4068),
    [anon_sym___stdcall] = ACTIONS(4068),
    [anon_sym___fastcall] = ACTIONS(4068),
    [anon_sym___thiscall] = ACTIONS(4068),
    [anon_sym___vectorcall] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [2381] = {
    [sym_template_argument_list] = STATE(2251),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym___cdecl] = ACTIONS(4068),
    [anon_sym___clrcall] = ACTIONS(4068),
    [anon_sym___stdcall] = ACTIONS(4068),
    [anon_sym___fastcall] = ACTIONS(4068),
    [anon_sym___thiscall] = ACTIONS(4068),
    [anon_sym___vectorcall] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [2382] = {
    [sym_attribute_specifier] = STATE(2336),
    [sym_identifier] = ACTIONS(6106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6108),
    [anon_sym_COMMA] = ACTIONS(6108),
    [anon_sym_RPAREN] = ACTIONS(6108),
    [anon_sym_LPAREN2] = ACTIONS(6108),
    [anon_sym_TILDE] = ACTIONS(6108),
    [anon_sym_STAR] = ACTIONS(6108),
    [anon_sym_AMP_AMP] = ACTIONS(6108),
    [anon_sym_AMP] = ACTIONS(6106),
    [anon_sym_COLON] = ACTIONS(6106),
    [anon_sym_SEMI] = ACTIONS(6108),
    [anon_sym___extension__] = ACTIONS(6106),
    [anon_sym_in] = ACTIONS(6106),
    [anon_sym_out] = ACTIONS(6106),
    [anon_sym_inout] = ACTIONS(6106),
    [anon_sym_virtual] = ACTIONS(6106),
    [anon_sym_extern] = ACTIONS(6106),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6108),
    [anon_sym___declspec] = ACTIONS(6106),
    [anon_sym___based] = ACTIONS(6106),
    [anon_sym___cdecl] = ACTIONS(6106),
    [anon_sym___clrcall] = ACTIONS(6106),
    [anon_sym___stdcall] = ACTIONS(6106),
    [anon_sym___fastcall] = ACTIONS(6106),
    [anon_sym___thiscall] = ACTIONS(6106),
    [anon_sym___vectorcall] = ACTIONS(6106),
    [anon_sym_LBRACK] = ACTIONS(6106),
    [anon_sym_static] = ACTIONS(6106),
    [anon_sym_EQ] = ACTIONS(6108),
    [anon_sym_register] = ACTIONS(6106),
    [anon_sym_inline] = ACTIONS(6106),
    [anon_sym___inline] = ACTIONS(6106),
    [anon_sym___inline__] = ACTIONS(6106),
    [anon_sym___forceinline] = ACTIONS(6106),
    [anon_sym_thread_local] = ACTIONS(6106),
    [anon_sym___thread] = ACTIONS(6106),
    [anon_sym_const] = ACTIONS(6106),
    [anon_sym_constexpr] = ACTIONS(6106),
    [anon_sym_volatile] = ACTIONS(6106),
    [anon_sym_restrict] = ACTIONS(6106),
    [anon_sym___restrict__] = ACTIONS(6106),
    [anon_sym__Atomic] = ACTIONS(6106),
    [anon_sym__Noreturn] = ACTIONS(6106),
    [anon_sym_noreturn] = ACTIONS(6106),
    [anon_sym__Nonnull] = ACTIONS(6106),
    [anon_sym_mutable] = ACTIONS(6106),
    [anon_sym_constinit] = ACTIONS(6106),
    [anon_sym_consteval] = ACTIONS(6106),
    [anon_sym_alignas] = ACTIONS(6106),
    [anon_sym__Alignas] = ACTIONS(6106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6106),
    [anon_sym_decltype] = ACTIONS(6106),
    [anon_sym_template] = ACTIONS(6106),
    [anon_sym_GT2] = ACTIONS(6108),
    [anon_sym_operator] = ACTIONS(6106),
    [anon_sym_precise] = ACTIONS(6106),
    [anon_sym_shared] = ACTIONS(6106),
    [anon_sym_groupshared] = ACTIONS(6106),
    [anon_sym_uniform] = ACTIONS(6106),
    [anon_sym_row_major] = ACTIONS(6106),
    [anon_sym_column_major] = ACTIONS(6106),
    [anon_sym_globallycoherent] = ACTIONS(6106),
    [anon_sym_centroid] = ACTIONS(6106),
    [anon_sym_noperspective] = ACTIONS(6106),
    [anon_sym_nointerpolation] = ACTIONS(6106),
    [anon_sym_sample] = ACTIONS(6106),
    [anon_sym_linear] = ACTIONS(6106),
    [anon_sym_snorm] = ACTIONS(6106),
    [anon_sym_unorm] = ACTIONS(6106),
    [anon_sym_point] = ACTIONS(6106),
    [anon_sym_line] = ACTIONS(6106),
    [anon_sym_triangleadj] = ACTIONS(6106),
    [anon_sym_lineadj] = ACTIONS(6106),
    [anon_sym_triangle] = ACTIONS(6106),
  },
  [2383] = {
    [sym_identifier] = ACTIONS(6110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6112),
    [anon_sym_COMMA] = ACTIONS(6112),
    [anon_sym_RPAREN] = ACTIONS(6112),
    [anon_sym_LPAREN2] = ACTIONS(6112),
    [anon_sym_TILDE] = ACTIONS(6112),
    [anon_sym_STAR] = ACTIONS(6112),
    [anon_sym_AMP_AMP] = ACTIONS(6112),
    [anon_sym_AMP] = ACTIONS(6110),
    [anon_sym_COLON] = ACTIONS(6110),
    [anon_sym_SEMI] = ACTIONS(6112),
    [anon_sym___extension__] = ACTIONS(6110),
    [anon_sym_in] = ACTIONS(6110),
    [anon_sym_out] = ACTIONS(6110),
    [anon_sym_inout] = ACTIONS(6110),
    [anon_sym_virtual] = ACTIONS(6110),
    [anon_sym_extern] = ACTIONS(6110),
    [anon_sym___attribute__] = ACTIONS(6110),
    [anon_sym___attribute] = ACTIONS(6110),
    [anon_sym_COLON_COLON] = ACTIONS(6112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6112),
    [anon_sym___declspec] = ACTIONS(6110),
    [anon_sym___based] = ACTIONS(6110),
    [anon_sym___cdecl] = ACTIONS(6110),
    [anon_sym___clrcall] = ACTIONS(6110),
    [anon_sym___stdcall] = ACTIONS(6110),
    [anon_sym___fastcall] = ACTIONS(6110),
    [anon_sym___thiscall] = ACTIONS(6110),
    [anon_sym___vectorcall] = ACTIONS(6110),
    [anon_sym_LBRACK] = ACTIONS(6110),
    [anon_sym_static] = ACTIONS(6110),
    [anon_sym_EQ] = ACTIONS(6112),
    [anon_sym_register] = ACTIONS(6110),
    [anon_sym_inline] = ACTIONS(6110),
    [anon_sym___inline] = ACTIONS(6110),
    [anon_sym___inline__] = ACTIONS(6110),
    [anon_sym___forceinline] = ACTIONS(6110),
    [anon_sym_thread_local] = ACTIONS(6110),
    [anon_sym___thread] = ACTIONS(6110),
    [anon_sym_const] = ACTIONS(6110),
    [anon_sym_constexpr] = ACTIONS(6110),
    [anon_sym_volatile] = ACTIONS(6110),
    [anon_sym_restrict] = ACTIONS(6110),
    [anon_sym___restrict__] = ACTIONS(6110),
    [anon_sym__Atomic] = ACTIONS(6110),
    [anon_sym__Noreturn] = ACTIONS(6110),
    [anon_sym_noreturn] = ACTIONS(6110),
    [anon_sym__Nonnull] = ACTIONS(6110),
    [anon_sym_mutable] = ACTIONS(6110),
    [anon_sym_constinit] = ACTIONS(6110),
    [anon_sym_consteval] = ACTIONS(6110),
    [anon_sym_alignas] = ACTIONS(6110),
    [anon_sym__Alignas] = ACTIONS(6110),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6110),
    [anon_sym_explicit] = ACTIONS(6110),
    [anon_sym_template] = ACTIONS(6110),
    [anon_sym_GT2] = ACTIONS(6112),
    [anon_sym_operator] = ACTIONS(6110),
    [anon_sym_precise] = ACTIONS(6110),
    [anon_sym_shared] = ACTIONS(6110),
    [anon_sym_groupshared] = ACTIONS(6110),
    [anon_sym_uniform] = ACTIONS(6110),
    [anon_sym_row_major] = ACTIONS(6110),
    [anon_sym_column_major] = ACTIONS(6110),
    [anon_sym_globallycoherent] = ACTIONS(6110),
    [anon_sym_centroid] = ACTIONS(6110),
    [anon_sym_noperspective] = ACTIONS(6110),
    [anon_sym_nointerpolation] = ACTIONS(6110),
    [anon_sym_sample] = ACTIONS(6110),
    [anon_sym_linear] = ACTIONS(6110),
    [anon_sym_snorm] = ACTIONS(6110),
    [anon_sym_unorm] = ACTIONS(6110),
    [anon_sym_point] = ACTIONS(6110),
    [anon_sym_line] = ACTIONS(6110),
    [anon_sym_triangleadj] = ACTIONS(6110),
    [anon_sym_lineadj] = ACTIONS(6110),
    [anon_sym_triangle] = ACTIONS(6110),
  },
  [2384] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2384),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5588),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym___attribute] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(6114),
    [anon_sym_unsigned] = ACTIONS(6114),
    [anon_sym_long] = ACTIONS(6114),
    [anon_sym_short] = ACTIONS(6114),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5588),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5588),
    [anon_sym_decltype] = ACTIONS(5588),
    [anon_sym_GT2] = ACTIONS(5590),
  },
  [2385] = {
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4976),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_RPAREN] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4974),
    [anon_sym_STAR] = ACTIONS(4974),
    [anon_sym_SLASH] = ACTIONS(4974),
    [anon_sym_PERCENT] = ACTIONS(4974),
    [anon_sym_PIPE_PIPE] = ACTIONS(4976),
    [anon_sym_AMP_AMP] = ACTIONS(4976),
    [anon_sym_PIPE] = ACTIONS(4974),
    [anon_sym_CARET] = ACTIONS(4974),
    [anon_sym_AMP] = ACTIONS(4974),
    [anon_sym_EQ_EQ] = ACTIONS(4976),
    [anon_sym_BANG_EQ] = ACTIONS(4976),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4976),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_LT_LT] = ACTIONS(4974),
    [anon_sym_GT_GT] = ACTIONS(4974),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym___attribute__] = ACTIONS(4974),
    [anon_sym___attribute] = ACTIONS(4974),
    [anon_sym_LBRACE] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4974),
    [anon_sym_unsigned] = ACTIONS(4974),
    [anon_sym_long] = ACTIONS(4974),
    [anon_sym_short] = ACTIONS(4974),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym_EQ] = ACTIONS(4974),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_mutable] = ACTIONS(4974),
    [anon_sym_constinit] = ACTIONS(4974),
    [anon_sym_consteval] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(4974),
    [anon_sym_QMARK] = ACTIONS(4976),
    [anon_sym_STAR_EQ] = ACTIONS(4976),
    [anon_sym_SLASH_EQ] = ACTIONS(4976),
    [anon_sym_PERCENT_EQ] = ACTIONS(4976),
    [anon_sym_PLUS_EQ] = ACTIONS(4976),
    [anon_sym_DASH_EQ] = ACTIONS(4976),
    [anon_sym_LT_LT_EQ] = ACTIONS(4976),
    [anon_sym_GT_GT_EQ] = ACTIONS(4976),
    [anon_sym_AMP_EQ] = ACTIONS(4976),
    [anon_sym_CARET_EQ] = ACTIONS(4976),
    [anon_sym_PIPE_EQ] = ACTIONS(4976),
    [anon_sym_and_eq] = ACTIONS(4974),
    [anon_sym_or_eq] = ACTIONS(4974),
    [anon_sym_xor_eq] = ACTIONS(4974),
    [anon_sym_LT_EQ_GT] = ACTIONS(4976),
    [anon_sym_or] = ACTIONS(4974),
    [anon_sym_and] = ACTIONS(4974),
    [anon_sym_bitor] = ACTIONS(4974),
    [anon_sym_xor] = ACTIONS(4974),
    [anon_sym_bitand] = ACTIONS(4974),
    [anon_sym_not_eq] = ACTIONS(4974),
    [anon_sym_DASH_DASH] = ACTIONS(4976),
    [anon_sym_PLUS_PLUS] = ACTIONS(4976),
    [anon_sym_DOT] = ACTIONS(4974),
    [anon_sym_DOT_STAR] = ACTIONS(4976),
    [anon_sym_DASH_GT] = ACTIONS(4974),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4974),
    [anon_sym_decltype] = ACTIONS(4974),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4976),
  },
  [2386] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym___cdecl] = ACTIONS(5710),
    [anon_sym___clrcall] = ACTIONS(5710),
    [anon_sym___stdcall] = ACTIONS(5710),
    [anon_sym___fastcall] = ACTIONS(5710),
    [anon_sym___thiscall] = ACTIONS(5710),
    [anon_sym___vectorcall] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2387] = {
    [sym_type_qualifier] = STATE(2387),
    [sym_alignas_qualifier] = STATE(2458),
    [aux_sym__type_definition_type_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [aux_sym_preproc_if_token2] = ACTIONS(4891),
    [aux_sym_preproc_else_token1] = ACTIONS(4891),
    [aux_sym_preproc_elif_token1] = ACTIONS(4889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4889),
    [anon_sym_PLUS] = ACTIONS(4889),
    [anon_sym_STAR] = ACTIONS(4891),
    [anon_sym_SLASH] = ACTIONS(4889),
    [anon_sym_PERCENT] = ACTIONS(4891),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4889),
    [anon_sym_CARET] = ACTIONS(4891),
    [anon_sym_AMP] = ACTIONS(4889),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4889),
    [anon_sym_GT_EQ] = ACTIONS(4891),
    [anon_sym_LT_EQ] = ACTIONS(4889),
    [anon_sym_LT] = ACTIONS(4889),
    [anon_sym_LT_LT] = ACTIONS(4891),
    [anon_sym_GT_GT] = ACTIONS(4891),
    [anon_sym_COLON] = ACTIONS(4891),
    [anon_sym_SEMI] = ACTIONS(4891),
    [anon_sym___extension__] = ACTIONS(6117),
    [anon_sym___attribute__] = ACTIONS(4889),
    [anon_sym___attribute] = ACTIONS(4889),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4891),
    [anon_sym_signed] = ACTIONS(4889),
    [anon_sym_unsigned] = ACTIONS(4889),
    [anon_sym_long] = ACTIONS(4889),
    [anon_sym_short] = ACTIONS(4889),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_RBRACK] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(6117),
    [anon_sym_constexpr] = ACTIONS(6117),
    [anon_sym_volatile] = ACTIONS(6117),
    [anon_sym_restrict] = ACTIONS(6117),
    [anon_sym___restrict__] = ACTIONS(6117),
    [anon_sym__Atomic] = ACTIONS(6117),
    [anon_sym__Noreturn] = ACTIONS(6117),
    [anon_sym_noreturn] = ACTIONS(6117),
    [anon_sym__Nonnull] = ACTIONS(6117),
    [anon_sym_mutable] = ACTIONS(6117),
    [anon_sym_constinit] = ACTIONS(6117),
    [anon_sym_consteval] = ACTIONS(6117),
    [anon_sym_alignas] = ACTIONS(6120),
    [anon_sym__Alignas] = ACTIONS(6120),
    [sym_primitive_type] = ACTIONS(4889),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4889),
    [anon_sym_and] = ACTIONS(4889),
    [anon_sym_bitor] = ACTIONS(4889),
    [anon_sym_xor] = ACTIONS(4889),
    [anon_sym_bitand] = ACTIONS(4889),
    [anon_sym_not_eq] = ACTIONS(4889),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4889),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4889),
    [anon_sym_decltype] = ACTIONS(4889),
    [anon_sym_final] = ACTIONS(4889),
    [anon_sym_override] = ACTIONS(4889),
    [anon_sym_requires] = ACTIONS(4889),
  },
  [2388] = {
    [sym_template_argument_list] = STATE(2251),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(4076),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(4068),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4076),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_GT2] = ACTIONS(4076),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [2389] = {
    [sym_type_qualifier] = STATE(2389),
    [sym_alignas_qualifier] = STATE(2445),
    [aux_sym__type_definition_type_repeat1] = STATE(2389),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4889),
    [anon_sym_PLUS] = ACTIONS(4889),
    [anon_sym_STAR] = ACTIONS(4889),
    [anon_sym_SLASH] = ACTIONS(4889),
    [anon_sym_PERCENT] = ACTIONS(4889),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4889),
    [anon_sym_CARET] = ACTIONS(4889),
    [anon_sym_AMP] = ACTIONS(4889),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4889),
    [anon_sym_GT_EQ] = ACTIONS(4891),
    [anon_sym_LT_EQ] = ACTIONS(4889),
    [anon_sym_LT] = ACTIONS(4889),
    [anon_sym_LT_LT] = ACTIONS(4889),
    [anon_sym_GT_GT] = ACTIONS(4889),
    [anon_sym___extension__] = ACTIONS(6125),
    [anon_sym___attribute__] = ACTIONS(4889),
    [anon_sym___attribute] = ACTIONS(4889),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_signed] = ACTIONS(4889),
    [anon_sym_unsigned] = ACTIONS(4889),
    [anon_sym_long] = ACTIONS(4889),
    [anon_sym_short] = ACTIONS(4889),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_EQ] = ACTIONS(4889),
    [anon_sym_const] = ACTIONS(6125),
    [anon_sym_constexpr] = ACTIONS(6125),
    [anon_sym_volatile] = ACTIONS(6125),
    [anon_sym_restrict] = ACTIONS(6125),
    [anon_sym___restrict__] = ACTIONS(6125),
    [anon_sym__Atomic] = ACTIONS(6125),
    [anon_sym__Noreturn] = ACTIONS(6125),
    [anon_sym_noreturn] = ACTIONS(6125),
    [anon_sym__Nonnull] = ACTIONS(6125),
    [anon_sym_mutable] = ACTIONS(6125),
    [anon_sym_constinit] = ACTIONS(6125),
    [anon_sym_consteval] = ACTIONS(6125),
    [anon_sym_alignas] = ACTIONS(6128),
    [anon_sym__Alignas] = ACTIONS(6128),
    [sym_primitive_type] = ACTIONS(4889),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_STAR_EQ] = ACTIONS(4891),
    [anon_sym_SLASH_EQ] = ACTIONS(4891),
    [anon_sym_PERCENT_EQ] = ACTIONS(4891),
    [anon_sym_PLUS_EQ] = ACTIONS(4891),
    [anon_sym_DASH_EQ] = ACTIONS(4891),
    [anon_sym_LT_LT_EQ] = ACTIONS(4891),
    [anon_sym_GT_GT_EQ] = ACTIONS(4891),
    [anon_sym_AMP_EQ] = ACTIONS(4891),
    [anon_sym_CARET_EQ] = ACTIONS(4891),
    [anon_sym_PIPE_EQ] = ACTIONS(4891),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4889),
    [anon_sym_and] = ACTIONS(4889),
    [anon_sym_bitor] = ACTIONS(4889),
    [anon_sym_xor] = ACTIONS(4889),
    [anon_sym_bitand] = ACTIONS(4889),
    [anon_sym_not_eq] = ACTIONS(4889),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4889),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4889),
    [anon_sym_decltype] = ACTIONS(4889),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4891),
  },
  [2390] = {
    [sym_argument_list] = STATE(3746),
    [sym_initializer_list] = STATE(4074),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2280),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(6131),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(5712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(3923),
    [anon_sym_signed] = ACTIONS(5717),
    [anon_sym_unsigned] = ACTIONS(5717),
    [anon_sym_long] = ACTIONS(5717),
    [anon_sym_short] = ACTIONS(5717),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2391] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_COMMA] = ACTIONS(2241),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_COLON] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym___cdecl] = ACTIONS(2251),
    [anon_sym___clrcall] = ACTIONS(2251),
    [anon_sym___stdcall] = ACTIONS(2251),
    [anon_sym___fastcall] = ACTIONS(2251),
    [anon_sym___thiscall] = ACTIONS(2251),
    [anon_sym___vectorcall] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_EQ] = ACTIONS(2241),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_GT2] = ACTIONS(2241),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2392] = {
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5816),
    [anon_sym_COMMA] = ACTIONS(5816),
    [anon_sym_RPAREN] = ACTIONS(5816),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym_COLON] = ACTIONS(5814),
    [anon_sym_SEMI] = ACTIONS(5816),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym___cdecl] = ACTIONS(5814),
    [anon_sym___clrcall] = ACTIONS(5814),
    [anon_sym___stdcall] = ACTIONS(5814),
    [anon_sym___fastcall] = ACTIONS(5814),
    [anon_sym___thiscall] = ACTIONS(5814),
    [anon_sym___vectorcall] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_EQ] = ACTIONS(5816),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_GT2] = ACTIONS(5816),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2393] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2384),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5725),
    [anon_sym_SLASH] = ACTIONS(5725),
    [anon_sym_PERCENT] = ACTIONS(5725),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5725),
    [anon_sym_CARET] = ACTIONS(5725),
    [anon_sym_AMP] = ACTIONS(5725),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5725),
    [anon_sym_GT_EQ] = ACTIONS(5725),
    [anon_sym_LT_EQ] = ACTIONS(5725),
    [anon_sym_LT] = ACTIONS(5725),
    [anon_sym_LT_LT] = ACTIONS(5725),
    [anon_sym_GT_GT] = ACTIONS(5725),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(6114),
    [anon_sym_unsigned] = ACTIONS(6114),
    [anon_sym_long] = ACTIONS(6114),
    [anon_sym_short] = ACTIONS(6114),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_EQ] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_STAR_EQ] = ACTIONS(5728),
    [anon_sym_SLASH_EQ] = ACTIONS(5728),
    [anon_sym_PERCENT_EQ] = ACTIONS(5728),
    [anon_sym_PLUS_EQ] = ACTIONS(5728),
    [anon_sym_DASH_EQ] = ACTIONS(5728),
    [anon_sym_LT_LT_EQ] = ACTIONS(5728),
    [anon_sym_GT_GT_EQ] = ACTIONS(5725),
    [anon_sym_AMP_EQ] = ACTIONS(5728),
    [anon_sym_CARET_EQ] = ACTIONS(5728),
    [anon_sym_PIPE_EQ] = ACTIONS(5728),
    [anon_sym_and_eq] = ACTIONS(5725),
    [anon_sym_or_eq] = ACTIONS(5725),
    [anon_sym_xor_eq] = ACTIONS(5725),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5725),
    [anon_sym_and] = ACTIONS(5725),
    [anon_sym_bitor] = ACTIONS(5725),
    [anon_sym_xor] = ACTIONS(5725),
    [anon_sym_bitand] = ACTIONS(5725),
    [anon_sym_not_eq] = ACTIONS(5725),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5725),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5725),
    [anon_sym_decltype] = ACTIONS(5725),
    [anon_sym_GT2] = ACTIONS(5728),
  },
  [2394] = {
    [sym_identifier] = ACTIONS(6134),
    [anon_sym___extension__] = ACTIONS(6134),
    [anon_sym_in] = ACTIONS(6134),
    [anon_sym_out] = ACTIONS(6134),
    [anon_sym_inout] = ACTIONS(6134),
    [anon_sym_virtual] = ACTIONS(6134),
    [anon_sym_extern] = ACTIONS(6134),
    [anon_sym___attribute__] = ACTIONS(6134),
    [anon_sym___attribute] = ACTIONS(6134),
    [anon_sym_COLON_COLON] = ACTIONS(6136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6136),
    [anon_sym___declspec] = ACTIONS(6134),
    [anon_sym___cdecl] = ACTIONS(6134),
    [anon_sym___clrcall] = ACTIONS(6134),
    [anon_sym___stdcall] = ACTIONS(6134),
    [anon_sym___fastcall] = ACTIONS(6134),
    [anon_sym___thiscall] = ACTIONS(6134),
    [anon_sym___vectorcall] = ACTIONS(6134),
    [anon_sym_signed] = ACTIONS(6134),
    [anon_sym_unsigned] = ACTIONS(6134),
    [anon_sym_long] = ACTIONS(6134),
    [anon_sym_short] = ACTIONS(6134),
    [anon_sym_LBRACK] = ACTIONS(6138),
    [anon_sym_static] = ACTIONS(6134),
    [anon_sym_EQ] = ACTIONS(6140),
    [anon_sym_register] = ACTIONS(6134),
    [anon_sym_inline] = ACTIONS(6134),
    [anon_sym___inline] = ACTIONS(6134),
    [anon_sym___inline__] = ACTIONS(6134),
    [anon_sym___forceinline] = ACTIONS(6134),
    [anon_sym_thread_local] = ACTIONS(6134),
    [anon_sym___thread] = ACTIONS(6134),
    [anon_sym_const] = ACTIONS(6134),
    [anon_sym_constexpr] = ACTIONS(6134),
    [anon_sym_volatile] = ACTIONS(6134),
    [anon_sym_restrict] = ACTIONS(6134),
    [anon_sym___restrict__] = ACTIONS(6134),
    [anon_sym__Atomic] = ACTIONS(6134),
    [anon_sym__Noreturn] = ACTIONS(6134),
    [anon_sym_noreturn] = ACTIONS(6134),
    [anon_sym__Nonnull] = ACTIONS(6134),
    [anon_sym_mutable] = ACTIONS(6134),
    [anon_sym_constinit] = ACTIONS(6134),
    [anon_sym_consteval] = ACTIONS(6134),
    [anon_sym_alignas] = ACTIONS(6134),
    [anon_sym__Alignas] = ACTIONS(6134),
    [sym_primitive_type] = ACTIONS(6134),
    [anon_sym_enum] = ACTIONS(6134),
    [anon_sym_class] = ACTIONS(6134),
    [anon_sym_struct] = ACTIONS(6134),
    [anon_sym_union] = ACTIONS(6134),
    [anon_sym_if] = ACTIONS(6134),
    [anon_sym_for] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6134),
    [anon_sym_decltype] = ACTIONS(6134),
    [anon_sym_typename] = ACTIONS(6134),
    [anon_sym_template] = ACTIONS(6134),
    [anon_sym_precise] = ACTIONS(6134),
    [anon_sym_shared] = ACTIONS(6134),
    [anon_sym_groupshared] = ACTIONS(6134),
    [anon_sym_uniform] = ACTIONS(6134),
    [anon_sym_row_major] = ACTIONS(6134),
    [anon_sym_column_major] = ACTIONS(6134),
    [anon_sym_globallycoherent] = ACTIONS(6134),
    [anon_sym_centroid] = ACTIONS(6134),
    [anon_sym_noperspective] = ACTIONS(6134),
    [anon_sym_nointerpolation] = ACTIONS(6134),
    [anon_sym_sample] = ACTIONS(6134),
    [anon_sym_linear] = ACTIONS(6134),
    [anon_sym_snorm] = ACTIONS(6134),
    [anon_sym_unorm] = ACTIONS(6134),
    [anon_sym_point] = ACTIONS(6134),
    [anon_sym_line] = ACTIONS(6134),
    [anon_sym_triangleadj] = ACTIONS(6134),
    [anon_sym_lineadj] = ACTIONS(6134),
    [anon_sym_triangle] = ACTIONS(6134),
  },
  [2395] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_COMMA] = ACTIONS(2241),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2241),
    [anon_sym_BANG_EQ] = ACTIONS(2241),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2241),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_EQ] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_QMARK] = ACTIONS(2241),
    [anon_sym_STAR_EQ] = ACTIONS(2241),
    [anon_sym_SLASH_EQ] = ACTIONS(2241),
    [anon_sym_PERCENT_EQ] = ACTIONS(2241),
    [anon_sym_PLUS_EQ] = ACTIONS(2241),
    [anon_sym_DASH_EQ] = ACTIONS(2241),
    [anon_sym_LT_LT_EQ] = ACTIONS(2241),
    [anon_sym_GT_GT_EQ] = ACTIONS(2241),
    [anon_sym_AMP_EQ] = ACTIONS(2241),
    [anon_sym_CARET_EQ] = ACTIONS(2241),
    [anon_sym_PIPE_EQ] = ACTIONS(2241),
    [anon_sym_and_eq] = ACTIONS(2251),
    [anon_sym_or_eq] = ACTIONS(2251),
    [anon_sym_xor_eq] = ACTIONS(2251),
    [anon_sym_LT_EQ_GT] = ACTIONS(2241),
    [anon_sym_or] = ACTIONS(2251),
    [anon_sym_and] = ACTIONS(2251),
    [anon_sym_bitor] = ACTIONS(2251),
    [anon_sym_xor] = ACTIONS(2251),
    [anon_sym_bitand] = ACTIONS(2251),
    [anon_sym_not_eq] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DOT_STAR] = ACTIONS(2241),
    [anon_sym_DASH_GT] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2241),
  },
  [2396] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(5712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym___cdecl] = ACTIONS(5710),
    [anon_sym___clrcall] = ACTIONS(5710),
    [anon_sym___stdcall] = ACTIONS(5710),
    [anon_sym___fastcall] = ACTIONS(5710),
    [anon_sym___thiscall] = ACTIONS(5710),
    [anon_sym___vectorcall] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2397] = {
    [sym_identifier] = ACTIONS(6142),
    [anon_sym_LPAREN2] = ACTIONS(6144),
    [anon_sym_BANG] = ACTIONS(6144),
    [anon_sym_TILDE] = ACTIONS(6144),
    [anon_sym_DASH] = ACTIONS(6142),
    [anon_sym_PLUS] = ACTIONS(6142),
    [anon_sym_STAR] = ACTIONS(6144),
    [anon_sym_AMP] = ACTIONS(6144),
    [anon_sym_SEMI] = ACTIONS(6144),
    [anon_sym___extension__] = ACTIONS(6142),
    [anon_sym_COLON_COLON] = ACTIONS(6144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6144),
    [anon_sym_LBRACE] = ACTIONS(6144),
    [anon_sym_LBRACK] = ACTIONS(6142),
    [sym_primitive_type] = ACTIONS(6142),
    [anon_sym_if] = ACTIONS(6142),
    [anon_sym_switch] = ACTIONS(6142),
    [anon_sym_case] = ACTIONS(6142),
    [anon_sym_default] = ACTIONS(6142),
    [anon_sym_while] = ACTIONS(6142),
    [anon_sym_do] = ACTIONS(6142),
    [anon_sym_for] = ACTIONS(6142),
    [anon_sym_return] = ACTIONS(6142),
    [anon_sym_break] = ACTIONS(6142),
    [anon_sym_continue] = ACTIONS(6142),
    [anon_sym_goto] = ACTIONS(6142),
    [anon_sym___try] = ACTIONS(6142),
    [anon_sym___leave] = ACTIONS(6142),
    [anon_sym_not] = ACTIONS(6142),
    [anon_sym_compl] = ACTIONS(6142),
    [anon_sym_DASH_DASH] = ACTIONS(6144),
    [anon_sym_PLUS_PLUS] = ACTIONS(6144),
    [anon_sym_sizeof] = ACTIONS(6142),
    [anon_sym___alignof__] = ACTIONS(6142),
    [anon_sym___alignof] = ACTIONS(6142),
    [anon_sym__alignof] = ACTIONS(6142),
    [anon_sym_alignof] = ACTIONS(6142),
    [anon_sym__Alignof] = ACTIONS(6142),
    [anon_sym_offsetof] = ACTIONS(6142),
    [anon_sym__Generic] = ACTIONS(6142),
    [anon_sym_asm] = ACTIONS(6142),
    [anon_sym___asm__] = ACTIONS(6142),
    [anon_sym___asm] = ACTIONS(6142),
    [sym_number_literal] = ACTIONS(6144),
    [anon_sym_L_SQUOTE] = ACTIONS(6144),
    [anon_sym_u_SQUOTE] = ACTIONS(6144),
    [anon_sym_U_SQUOTE] = ACTIONS(6144),
    [anon_sym_u8_SQUOTE] = ACTIONS(6144),
    [anon_sym_SQUOTE] = ACTIONS(6144),
    [anon_sym_L_DQUOTE] = ACTIONS(6144),
    [anon_sym_u_DQUOTE] = ACTIONS(6144),
    [anon_sym_U_DQUOTE] = ACTIONS(6144),
    [anon_sym_u8_DQUOTE] = ACTIONS(6144),
    [anon_sym_DQUOTE] = ACTIONS(6144),
    [sym_true] = ACTIONS(6142),
    [sym_false] = ACTIONS(6142),
    [anon_sym_NULL] = ACTIONS(6142),
    [anon_sym_nullptr] = ACTIONS(6142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6142),
    [anon_sym_template] = ACTIONS(6142),
    [anon_sym_try] = ACTIONS(6142),
    [anon_sym_delete] = ACTIONS(6142),
    [anon_sym_throw] = ACTIONS(6142),
    [anon_sym_co_return] = ACTIONS(6142),
    [anon_sym_co_yield] = ACTIONS(6142),
    [anon_sym_R_DQUOTE] = ACTIONS(6144),
    [anon_sym_LR_DQUOTE] = ACTIONS(6144),
    [anon_sym_uR_DQUOTE] = ACTIONS(6144),
    [anon_sym_UR_DQUOTE] = ACTIONS(6144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6144),
    [anon_sym_co_await] = ACTIONS(6142),
    [anon_sym_new] = ACTIONS(6142),
    [anon_sym_requires] = ACTIONS(6142),
    [sym_this] = ACTIONS(6142),
    [anon_sym_discard] = ACTIONS(6142),
    [anon_sym_cbuffer] = ACTIONS(6142),
  },
  [2398] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_COMMA] = ACTIONS(2241),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2241),
    [anon_sym_BANG_EQ] = ACTIONS(2241),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_EQ] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_QMARK] = ACTIONS(2241),
    [anon_sym_STAR_EQ] = ACTIONS(2241),
    [anon_sym_SLASH_EQ] = ACTIONS(2241),
    [anon_sym_PERCENT_EQ] = ACTIONS(2241),
    [anon_sym_PLUS_EQ] = ACTIONS(2241),
    [anon_sym_DASH_EQ] = ACTIONS(2241),
    [anon_sym_LT_LT_EQ] = ACTIONS(2241),
    [anon_sym_GT_GT_EQ] = ACTIONS(2251),
    [anon_sym_AMP_EQ] = ACTIONS(2241),
    [anon_sym_CARET_EQ] = ACTIONS(2241),
    [anon_sym_PIPE_EQ] = ACTIONS(2241),
    [anon_sym_and_eq] = ACTIONS(2251),
    [anon_sym_or_eq] = ACTIONS(2251),
    [anon_sym_xor_eq] = ACTIONS(2251),
    [anon_sym_LT_EQ_GT] = ACTIONS(2241),
    [anon_sym_or] = ACTIONS(2251),
    [anon_sym_and] = ACTIONS(2251),
    [anon_sym_bitor] = ACTIONS(2251),
    [anon_sym_xor] = ACTIONS(2251),
    [anon_sym_bitand] = ACTIONS(2251),
    [anon_sym_not_eq] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DOT_STAR] = ACTIONS(2241),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_GT2] = ACTIONS(2241),
  },
  [2399] = {
    [sym_template_argument_list] = STATE(2251),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(6146),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(4068),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(6148),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_GT2] = ACTIONS(6146),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [2400] = {
    [sym_template_argument_list] = STATE(2549),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(4076),
    [anon_sym_RPAREN] = ACTIONS(4091),
    [anon_sym_LPAREN2] = ACTIONS(4091),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(4068),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4091),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_EQ] = ACTIONS(4076),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [2401] = {
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4976),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4974),
    [anon_sym_STAR] = ACTIONS(4974),
    [anon_sym_SLASH] = ACTIONS(4974),
    [anon_sym_PERCENT] = ACTIONS(4974),
    [anon_sym_PIPE_PIPE] = ACTIONS(4976),
    [anon_sym_AMP_AMP] = ACTIONS(4976),
    [anon_sym_PIPE] = ACTIONS(4974),
    [anon_sym_CARET] = ACTIONS(4974),
    [anon_sym_AMP] = ACTIONS(4974),
    [anon_sym_EQ_EQ] = ACTIONS(4976),
    [anon_sym_BANG_EQ] = ACTIONS(4976),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4974),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_LT_LT] = ACTIONS(4974),
    [anon_sym_GT_GT] = ACTIONS(4974),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym___attribute__] = ACTIONS(4974),
    [anon_sym___attribute] = ACTIONS(4974),
    [anon_sym_LBRACE] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4974),
    [anon_sym_unsigned] = ACTIONS(4974),
    [anon_sym_long] = ACTIONS(4974),
    [anon_sym_short] = ACTIONS(4974),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym_EQ] = ACTIONS(4974),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_mutable] = ACTIONS(4974),
    [anon_sym_constinit] = ACTIONS(4974),
    [anon_sym_consteval] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(4974),
    [anon_sym_QMARK] = ACTIONS(4976),
    [anon_sym_STAR_EQ] = ACTIONS(4976),
    [anon_sym_SLASH_EQ] = ACTIONS(4976),
    [anon_sym_PERCENT_EQ] = ACTIONS(4976),
    [anon_sym_PLUS_EQ] = ACTIONS(4976),
    [anon_sym_DASH_EQ] = ACTIONS(4976),
    [anon_sym_LT_LT_EQ] = ACTIONS(4976),
    [anon_sym_GT_GT_EQ] = ACTIONS(4974),
    [anon_sym_AMP_EQ] = ACTIONS(4976),
    [anon_sym_CARET_EQ] = ACTIONS(4976),
    [anon_sym_PIPE_EQ] = ACTIONS(4976),
    [anon_sym_and_eq] = ACTIONS(4974),
    [anon_sym_or_eq] = ACTIONS(4974),
    [anon_sym_xor_eq] = ACTIONS(4974),
    [anon_sym_LT_EQ_GT] = ACTIONS(4976),
    [anon_sym_or] = ACTIONS(4974),
    [anon_sym_and] = ACTIONS(4974),
    [anon_sym_bitor] = ACTIONS(4974),
    [anon_sym_xor] = ACTIONS(4974),
    [anon_sym_bitand] = ACTIONS(4974),
    [anon_sym_not_eq] = ACTIONS(4974),
    [anon_sym_DASH_DASH] = ACTIONS(4976),
    [anon_sym_PLUS_PLUS] = ACTIONS(4976),
    [anon_sym_DOT] = ACTIONS(4974),
    [anon_sym_DOT_STAR] = ACTIONS(4976),
    [anon_sym_DASH_GT] = ACTIONS(4976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4974),
    [anon_sym_decltype] = ACTIONS(4974),
    [anon_sym_GT2] = ACTIONS(4976),
  },
  [2402] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_friend] = ACTIONS(6150),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2403] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_typedef] = ACTIONS(6152),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2404] = {
    [sym_attribute_specifier] = STATE(2319),
    [sym_enumerator_list] = STATE(2379),
    [sym__enum_base_clause] = STATE(2310),
    [sym_identifier] = ACTIONS(6154),
    [anon_sym_LPAREN2] = ACTIONS(6156),
    [anon_sym_TILDE] = ACTIONS(6156),
    [anon_sym_STAR] = ACTIONS(6156),
    [anon_sym_AMP_AMP] = ACTIONS(6156),
    [anon_sym_AMP] = ACTIONS(6154),
    [anon_sym_COLON] = ACTIONS(6158),
    [anon_sym_SEMI] = ACTIONS(6156),
    [anon_sym___extension__] = ACTIONS(6154),
    [anon_sym_in] = ACTIONS(6154),
    [anon_sym_out] = ACTIONS(6154),
    [anon_sym_inout] = ACTIONS(6154),
    [anon_sym_virtual] = ACTIONS(6154),
    [anon_sym_extern] = ACTIONS(6154),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6156),
    [anon_sym___declspec] = ACTIONS(6154),
    [anon_sym___based] = ACTIONS(6154),
    [anon_sym___cdecl] = ACTIONS(6154),
    [anon_sym___clrcall] = ACTIONS(6154),
    [anon_sym___stdcall] = ACTIONS(6154),
    [anon_sym___fastcall] = ACTIONS(6154),
    [anon_sym___thiscall] = ACTIONS(6154),
    [anon_sym___vectorcall] = ACTIONS(6154),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_LBRACK] = ACTIONS(6154),
    [anon_sym_static] = ACTIONS(6154),
    [anon_sym_register] = ACTIONS(6154),
    [anon_sym_inline] = ACTIONS(6154),
    [anon_sym___inline] = ACTIONS(6154),
    [anon_sym___inline__] = ACTIONS(6154),
    [anon_sym___forceinline] = ACTIONS(6154),
    [anon_sym_thread_local] = ACTIONS(6154),
    [anon_sym___thread] = ACTIONS(6154),
    [anon_sym_const] = ACTIONS(6154),
    [anon_sym_constexpr] = ACTIONS(6154),
    [anon_sym_volatile] = ACTIONS(6154),
    [anon_sym_restrict] = ACTIONS(6154),
    [anon_sym___restrict__] = ACTIONS(6154),
    [anon_sym__Atomic] = ACTIONS(6154),
    [anon_sym__Noreturn] = ACTIONS(6154),
    [anon_sym_noreturn] = ACTIONS(6154),
    [anon_sym__Nonnull] = ACTIONS(6154),
    [anon_sym_mutable] = ACTIONS(6154),
    [anon_sym_constinit] = ACTIONS(6154),
    [anon_sym_consteval] = ACTIONS(6154),
    [anon_sym_alignas] = ACTIONS(6154),
    [anon_sym__Alignas] = ACTIONS(6154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6154),
    [anon_sym_decltype] = ACTIONS(6154),
    [anon_sym_template] = ACTIONS(6154),
    [anon_sym_operator] = ACTIONS(6154),
    [anon_sym_precise] = ACTIONS(6154),
    [anon_sym_shared] = ACTIONS(6154),
    [anon_sym_groupshared] = ACTIONS(6154),
    [anon_sym_uniform] = ACTIONS(6154),
    [anon_sym_row_major] = ACTIONS(6154),
    [anon_sym_column_major] = ACTIONS(6154),
    [anon_sym_globallycoherent] = ACTIONS(6154),
    [anon_sym_centroid] = ACTIONS(6154),
    [anon_sym_noperspective] = ACTIONS(6154),
    [anon_sym_nointerpolation] = ACTIONS(6154),
    [anon_sym_sample] = ACTIONS(6154),
    [anon_sym_linear] = ACTIONS(6154),
    [anon_sym_snorm] = ACTIONS(6154),
    [anon_sym_unorm] = ACTIONS(6154),
    [anon_sym_point] = ACTIONS(6154),
    [anon_sym_line] = ACTIONS(6154),
    [anon_sym_triangleadj] = ACTIONS(6154),
    [anon_sym_lineadj] = ACTIONS(6154),
    [anon_sym_triangle] = ACTIONS(6154),
  },
  [2405] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_friend] = ACTIONS(6160),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2406] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_friend] = ACTIONS(6162),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2407] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_friend] = ACTIONS(6164),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2408] = {
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym_signed] = ACTIONS(5814),
    [anon_sym_unsigned] = ACTIONS(5814),
    [anon_sym_long] = ACTIONS(5814),
    [anon_sym_short] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_primitive_type] = ACTIONS(5814),
    [anon_sym_enum] = ACTIONS(5814),
    [anon_sym_class] = ACTIONS(5814),
    [anon_sym_struct] = ACTIONS(5814),
    [anon_sym_union] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_typename] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_namespace] = ACTIONS(6166),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2409] = {
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym_signed] = ACTIONS(5814),
    [anon_sym_unsigned] = ACTIONS(5814),
    [anon_sym_long] = ACTIONS(5814),
    [anon_sym_short] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_primitive_type] = ACTIONS(5814),
    [anon_sym_enum] = ACTIONS(5814),
    [anon_sym_class] = ACTIONS(5814),
    [anon_sym_struct] = ACTIONS(5814),
    [anon_sym_union] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_typename] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_namespace] = ACTIONS(6168),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2410] = {
    [sym_attribute_specifier] = STATE(2337),
    [sym_enumerator_list] = STATE(2377),
    [sym__enum_base_clause] = STATE(2341),
    [sym_identifier] = ACTIONS(6170),
    [anon_sym_LPAREN2] = ACTIONS(6172),
    [anon_sym_TILDE] = ACTIONS(6172),
    [anon_sym_STAR] = ACTIONS(6172),
    [anon_sym_AMP_AMP] = ACTIONS(6172),
    [anon_sym_AMP] = ACTIONS(6170),
    [anon_sym_COLON] = ACTIONS(6158),
    [anon_sym_SEMI] = ACTIONS(6172),
    [anon_sym___extension__] = ACTIONS(6170),
    [anon_sym_in] = ACTIONS(6170),
    [anon_sym_out] = ACTIONS(6170),
    [anon_sym_inout] = ACTIONS(6170),
    [anon_sym_virtual] = ACTIONS(6170),
    [anon_sym_extern] = ACTIONS(6170),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6172),
    [anon_sym___declspec] = ACTIONS(6170),
    [anon_sym___based] = ACTIONS(6170),
    [anon_sym___cdecl] = ACTIONS(6170),
    [anon_sym___clrcall] = ACTIONS(6170),
    [anon_sym___stdcall] = ACTIONS(6170),
    [anon_sym___fastcall] = ACTIONS(6170),
    [anon_sym___thiscall] = ACTIONS(6170),
    [anon_sym___vectorcall] = ACTIONS(6170),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_LBRACK] = ACTIONS(6170),
    [anon_sym_static] = ACTIONS(6170),
    [anon_sym_register] = ACTIONS(6170),
    [anon_sym_inline] = ACTIONS(6170),
    [anon_sym___inline] = ACTIONS(6170),
    [anon_sym___inline__] = ACTIONS(6170),
    [anon_sym___forceinline] = ACTIONS(6170),
    [anon_sym_thread_local] = ACTIONS(6170),
    [anon_sym___thread] = ACTIONS(6170),
    [anon_sym_const] = ACTIONS(6170),
    [anon_sym_constexpr] = ACTIONS(6170),
    [anon_sym_volatile] = ACTIONS(6170),
    [anon_sym_restrict] = ACTIONS(6170),
    [anon_sym___restrict__] = ACTIONS(6170),
    [anon_sym__Atomic] = ACTIONS(6170),
    [anon_sym__Noreturn] = ACTIONS(6170),
    [anon_sym_noreturn] = ACTIONS(6170),
    [anon_sym__Nonnull] = ACTIONS(6170),
    [anon_sym_mutable] = ACTIONS(6170),
    [anon_sym_constinit] = ACTIONS(6170),
    [anon_sym_consteval] = ACTIONS(6170),
    [anon_sym_alignas] = ACTIONS(6170),
    [anon_sym__Alignas] = ACTIONS(6170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6170),
    [anon_sym_decltype] = ACTIONS(6170),
    [anon_sym_template] = ACTIONS(6170),
    [anon_sym_operator] = ACTIONS(6170),
    [anon_sym_precise] = ACTIONS(6170),
    [anon_sym_shared] = ACTIONS(6170),
    [anon_sym_groupshared] = ACTIONS(6170),
    [anon_sym_uniform] = ACTIONS(6170),
    [anon_sym_row_major] = ACTIONS(6170),
    [anon_sym_column_major] = ACTIONS(6170),
    [anon_sym_globallycoherent] = ACTIONS(6170),
    [anon_sym_centroid] = ACTIONS(6170),
    [anon_sym_noperspective] = ACTIONS(6170),
    [anon_sym_nointerpolation] = ACTIONS(6170),
    [anon_sym_sample] = ACTIONS(6170),
    [anon_sym_linear] = ACTIONS(6170),
    [anon_sym_snorm] = ACTIONS(6170),
    [anon_sym_unorm] = ACTIONS(6170),
    [anon_sym_point] = ACTIONS(6170),
    [anon_sym_line] = ACTIONS(6170),
    [anon_sym_triangleadj] = ACTIONS(6170),
    [anon_sym_lineadj] = ACTIONS(6170),
    [anon_sym_triangle] = ACTIONS(6170),
  },
  [2411] = {
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym_signed] = ACTIONS(5814),
    [anon_sym_unsigned] = ACTIONS(5814),
    [anon_sym_long] = ACTIONS(5814),
    [anon_sym_short] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_primitive_type] = ACTIONS(5814),
    [anon_sym_enum] = ACTIONS(5814),
    [anon_sym_class] = ACTIONS(5814),
    [anon_sym_struct] = ACTIONS(5814),
    [anon_sym_union] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_typename] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_namespace] = ACTIONS(6174),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2412] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_friend] = ACTIONS(6176),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2413] = {
    [sym_identifier] = ACTIONS(6178),
    [anon_sym_LPAREN2] = ACTIONS(6180),
    [anon_sym_BANG] = ACTIONS(6180),
    [anon_sym_TILDE] = ACTIONS(6180),
    [anon_sym_DASH] = ACTIONS(6178),
    [anon_sym_PLUS] = ACTIONS(6178),
    [anon_sym_STAR] = ACTIONS(6180),
    [anon_sym_AMP] = ACTIONS(6180),
    [anon_sym_SEMI] = ACTIONS(6180),
    [anon_sym___extension__] = ACTIONS(6178),
    [anon_sym_COLON_COLON] = ACTIONS(6180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6180),
    [anon_sym_LBRACE] = ACTIONS(6180),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [sym_primitive_type] = ACTIONS(6178),
    [anon_sym_if] = ACTIONS(6178),
    [anon_sym_switch] = ACTIONS(6178),
    [anon_sym_case] = ACTIONS(6178),
    [anon_sym_default] = ACTIONS(6178),
    [anon_sym_while] = ACTIONS(6178),
    [anon_sym_do] = ACTIONS(6178),
    [anon_sym_for] = ACTIONS(6178),
    [anon_sym_return] = ACTIONS(6178),
    [anon_sym_break] = ACTIONS(6178),
    [anon_sym_continue] = ACTIONS(6178),
    [anon_sym_goto] = ACTIONS(6178),
    [anon_sym___try] = ACTIONS(6178),
    [anon_sym___leave] = ACTIONS(6178),
    [anon_sym_not] = ACTIONS(6178),
    [anon_sym_compl] = ACTIONS(6178),
    [anon_sym_DASH_DASH] = ACTIONS(6180),
    [anon_sym_PLUS_PLUS] = ACTIONS(6180),
    [anon_sym_sizeof] = ACTIONS(6178),
    [anon_sym___alignof__] = ACTIONS(6178),
    [anon_sym___alignof] = ACTIONS(6178),
    [anon_sym__alignof] = ACTIONS(6178),
    [anon_sym_alignof] = ACTIONS(6178),
    [anon_sym__Alignof] = ACTIONS(6178),
    [anon_sym_offsetof] = ACTIONS(6178),
    [anon_sym__Generic] = ACTIONS(6178),
    [anon_sym_asm] = ACTIONS(6178),
    [anon_sym___asm__] = ACTIONS(6178),
    [anon_sym___asm] = ACTIONS(6178),
    [sym_number_literal] = ACTIONS(6180),
    [anon_sym_L_SQUOTE] = ACTIONS(6180),
    [anon_sym_u_SQUOTE] = ACTIONS(6180),
    [anon_sym_U_SQUOTE] = ACTIONS(6180),
    [anon_sym_u8_SQUOTE] = ACTIONS(6180),
    [anon_sym_SQUOTE] = ACTIONS(6180),
    [anon_sym_L_DQUOTE] = ACTIONS(6180),
    [anon_sym_u_DQUOTE] = ACTIONS(6180),
    [anon_sym_U_DQUOTE] = ACTIONS(6180),
    [anon_sym_u8_DQUOTE] = ACTIONS(6180),
    [anon_sym_DQUOTE] = ACTIONS(6180),
    [sym_true] = ACTIONS(6178),
    [sym_false] = ACTIONS(6178),
    [anon_sym_NULL] = ACTIONS(6178),
    [anon_sym_nullptr] = ACTIONS(6178),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6178),
    [anon_sym_template] = ACTIONS(6178),
    [anon_sym_try] = ACTIONS(6178),
    [anon_sym_delete] = ACTIONS(6178),
    [anon_sym_throw] = ACTIONS(6178),
    [anon_sym_co_return] = ACTIONS(6178),
    [anon_sym_co_yield] = ACTIONS(6178),
    [anon_sym_R_DQUOTE] = ACTIONS(6180),
    [anon_sym_LR_DQUOTE] = ACTIONS(6180),
    [anon_sym_uR_DQUOTE] = ACTIONS(6180),
    [anon_sym_UR_DQUOTE] = ACTIONS(6180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6180),
    [anon_sym_co_await] = ACTIONS(6178),
    [anon_sym_new] = ACTIONS(6178),
    [anon_sym_requires] = ACTIONS(6178),
    [sym_this] = ACTIONS(6178),
    [anon_sym_discard] = ACTIONS(6178),
    [anon_sym_cbuffer] = ACTIONS(6178),
  },
  [2414] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_typedef] = ACTIONS(6182),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2415] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_typedef] = ACTIONS(6184),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2416] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_friend] = ACTIONS(6186),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2417] = {
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym_signed] = ACTIONS(5814),
    [anon_sym_unsigned] = ACTIONS(5814),
    [anon_sym_long] = ACTIONS(5814),
    [anon_sym_short] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_primitive_type] = ACTIONS(5814),
    [anon_sym_enum] = ACTIONS(5814),
    [anon_sym_class] = ACTIONS(5814),
    [anon_sym_struct] = ACTIONS(5814),
    [anon_sym_union] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_typename] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_namespace] = ACTIONS(6188),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2418] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_out] = ACTIONS(2251),
    [anon_sym_inout] = ACTIONS(2251),
    [anon_sym_virtual] = ACTIONS(2251),
    [anon_sym_extern] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2241),
    [anon_sym___declspec] = ACTIONS(2251),
    [anon_sym___based] = ACTIONS(2251),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_register] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2251),
    [anon_sym___inline] = ACTIONS(2251),
    [anon_sym___inline__] = ACTIONS(2251),
    [anon_sym___forceinline] = ACTIONS(2251),
    [anon_sym_thread_local] = ACTIONS(2251),
    [anon_sym___thread] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_struct] = ACTIONS(2251),
    [anon_sym_union] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_explicit] = ACTIONS(2251),
    [anon_sym_typename] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_operator] = ACTIONS(2251),
    [anon_sym_friend] = ACTIONS(6190),
    [anon_sym_precise] = ACTIONS(2251),
    [anon_sym_shared] = ACTIONS(2251),
    [anon_sym_groupshared] = ACTIONS(2251),
    [anon_sym_uniform] = ACTIONS(2251),
    [anon_sym_row_major] = ACTIONS(2251),
    [anon_sym_column_major] = ACTIONS(2251),
    [anon_sym_globallycoherent] = ACTIONS(2251),
    [anon_sym_centroid] = ACTIONS(2251),
    [anon_sym_noperspective] = ACTIONS(2251),
    [anon_sym_nointerpolation] = ACTIONS(2251),
    [anon_sym_sample] = ACTIONS(2251),
    [anon_sym_linear] = ACTIONS(2251),
    [anon_sym_snorm] = ACTIONS(2251),
    [anon_sym_unorm] = ACTIONS(2251),
    [anon_sym_point] = ACTIONS(2251),
    [anon_sym_line] = ACTIONS(2251),
    [anon_sym_triangleadj] = ACTIONS(2251),
    [anon_sym_lineadj] = ACTIONS(2251),
    [anon_sym_triangle] = ACTIONS(2251),
  },
  [2419] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [aux_sym_preproc_if_token2] = ACTIONS(5590),
    [aux_sym_preproc_else_token1] = ACTIONS(5590),
    [aux_sym_preproc_elif_token1] = ACTIONS(5588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5590),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5590),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5590),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5590),
    [anon_sym_GT_GT] = ACTIONS(5590),
    [anon_sym_COLON] = ACTIONS(5590),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym___attribute] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_RBRACE] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(6192),
    [anon_sym_unsigned] = ACTIONS(6192),
    [anon_sym_long] = ACTIONS(6192),
    [anon_sym_short] = ACTIONS(6192),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_RBRACK] = ACTIONS(5590),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5588),
    [anon_sym_decltype] = ACTIONS(5588),
    [anon_sym_final] = ACTIONS(5588),
    [anon_sym_override] = ACTIONS(5588),
    [anon_sym_requires] = ACTIONS(5588),
  },
  [2420] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(1928),
    [anon_sym___attribute__] = ACTIONS(1928),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1928),
    [anon_sym_volatile] = ACTIONS(1928),
    [anon_sym_restrict] = ACTIONS(1928),
    [anon_sym___restrict__] = ACTIONS(1928),
    [anon_sym__Atomic] = ACTIONS(1928),
    [anon_sym__Noreturn] = ACTIONS(1928),
    [anon_sym_noreturn] = ACTIONS(1928),
    [anon_sym__Nonnull] = ACTIONS(1928),
    [anon_sym_mutable] = ACTIONS(1928),
    [anon_sym_constinit] = ACTIONS(1928),
    [anon_sym_consteval] = ACTIONS(1928),
    [anon_sym_alignas] = ACTIONS(1928),
    [anon_sym__Alignas] = ACTIONS(1928),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1928),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1928),
    [anon_sym_or_eq] = ACTIONS(1928),
    [anon_sym_xor_eq] = ACTIONS(1928),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1928),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1928),
    [anon_sym_not_eq] = ACTIONS(1928),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1928),
    [anon_sym_decltype] = ACTIONS(1928),
    [anon_sym_final] = ACTIONS(1928),
    [anon_sym_override] = ACTIONS(1928),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1928),
  },
  [2421] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(1987),
    [anon_sym_out] = ACTIONS(1987),
    [anon_sym_inout] = ACTIONS(1987),
    [anon_sym_virtual] = ACTIONS(1987),
    [anon_sym_extern] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1989),
    [anon_sym___declspec] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1987),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_register] = ACTIONS(1987),
    [anon_sym_inline] = ACTIONS(1987),
    [anon_sym___inline] = ACTIONS(1987),
    [anon_sym___inline__] = ACTIONS(1987),
    [anon_sym___forceinline] = ACTIONS(1987),
    [anon_sym_thread_local] = ACTIONS(1987),
    [anon_sym___thread] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_GT2] = ACTIONS(1989),
    [anon_sym_operator] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
    [anon_sym_precise] = ACTIONS(1987),
    [anon_sym_shared] = ACTIONS(1987),
    [anon_sym_groupshared] = ACTIONS(1987),
    [anon_sym_uniform] = ACTIONS(1987),
    [anon_sym_row_major] = ACTIONS(1987),
    [anon_sym_column_major] = ACTIONS(1987),
    [anon_sym_globallycoherent] = ACTIONS(1987),
    [anon_sym_centroid] = ACTIONS(1987),
    [anon_sym_noperspective] = ACTIONS(1987),
    [anon_sym_nointerpolation] = ACTIONS(1987),
    [anon_sym_sample] = ACTIONS(1987),
    [anon_sym_linear] = ACTIONS(1987),
    [anon_sym_snorm] = ACTIONS(1987),
    [anon_sym_unorm] = ACTIONS(1987),
    [anon_sym_point] = ACTIONS(1987),
    [anon_sym_line] = ACTIONS(1987),
    [anon_sym_triangleadj] = ACTIONS(1987),
    [anon_sym_lineadj] = ACTIONS(1987),
    [anon_sym_triangle] = ACTIONS(1987),
  },
  [2422] = {
    [sym__declaration_modifiers] = STATE(2422),
    [sym_attribute_specifier] = STATE(2422),
    [sym_attribute_declaration] = STATE(2422),
    [sym_ms_declspec_modifier] = STATE(2422),
    [sym_storage_class_specifier] = STATE(2422),
    [sym_type_qualifier] = STATE(2422),
    [sym_alignas_qualifier] = STATE(1334),
    [sym_qualifiers] = STATE(2422),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2422),
    [sym_identifier] = ACTIONS(5642),
    [anon_sym___extension__] = ACTIONS(6195),
    [anon_sym_in] = ACTIONS(6198),
    [anon_sym_out] = ACTIONS(6198),
    [anon_sym_inout] = ACTIONS(6198),
    [anon_sym_virtual] = ACTIONS(6198),
    [anon_sym_extern] = ACTIONS(6201),
    [anon_sym___attribute__] = ACTIONS(6204),
    [anon_sym___attribute] = ACTIONS(6204),
    [anon_sym_COLON_COLON] = ACTIONS(5644),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6207),
    [anon_sym___declspec] = ACTIONS(6210),
    [anon_sym_signed] = ACTIONS(5642),
    [anon_sym_unsigned] = ACTIONS(5642),
    [anon_sym_long] = ACTIONS(5642),
    [anon_sym_short] = ACTIONS(5642),
    [anon_sym_static] = ACTIONS(6201),
    [anon_sym_register] = ACTIONS(6201),
    [anon_sym_inline] = ACTIONS(6201),
    [anon_sym___inline] = ACTIONS(6201),
    [anon_sym___inline__] = ACTIONS(6201),
    [anon_sym___forceinline] = ACTIONS(6201),
    [anon_sym_thread_local] = ACTIONS(6201),
    [anon_sym___thread] = ACTIONS(6201),
    [anon_sym_const] = ACTIONS(6195),
    [anon_sym_constexpr] = ACTIONS(6195),
    [anon_sym_volatile] = ACTIONS(6195),
    [anon_sym_restrict] = ACTIONS(6195),
    [anon_sym___restrict__] = ACTIONS(6195),
    [anon_sym__Atomic] = ACTIONS(6195),
    [anon_sym__Noreturn] = ACTIONS(6195),
    [anon_sym_noreturn] = ACTIONS(6195),
    [anon_sym__Nonnull] = ACTIONS(6195),
    [anon_sym_mutable] = ACTIONS(6195),
    [anon_sym_constinit] = ACTIONS(6195),
    [anon_sym_consteval] = ACTIONS(6195),
    [anon_sym_alignas] = ACTIONS(6213),
    [anon_sym__Alignas] = ACTIONS(6213),
    [sym_primitive_type] = ACTIONS(5642),
    [anon_sym_enum] = ACTIONS(5642),
    [anon_sym_class] = ACTIONS(5642),
    [anon_sym_struct] = ACTIONS(5642),
    [anon_sym_union] = ACTIONS(5642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5642),
    [anon_sym_decltype] = ACTIONS(5642),
    [anon_sym_typename] = ACTIONS(5642),
    [anon_sym_template] = ACTIONS(5642),
    [anon_sym_precise] = ACTIONS(6216),
    [anon_sym_shared] = ACTIONS(6216),
    [anon_sym_groupshared] = ACTIONS(6216),
    [anon_sym_uniform] = ACTIONS(6216),
    [anon_sym_row_major] = ACTIONS(6216),
    [anon_sym_column_major] = ACTIONS(6216),
    [anon_sym_globallycoherent] = ACTIONS(6216),
    [anon_sym_centroid] = ACTIONS(6216),
    [anon_sym_noperspective] = ACTIONS(6216),
    [anon_sym_nointerpolation] = ACTIONS(6216),
    [anon_sym_sample] = ACTIONS(6216),
    [anon_sym_linear] = ACTIONS(6216),
    [anon_sym_snorm] = ACTIONS(6216),
    [anon_sym_unorm] = ACTIONS(6216),
    [anon_sym_point] = ACTIONS(6216),
    [anon_sym_line] = ACTIONS(6216),
    [anon_sym_triangleadj] = ACTIONS(6216),
    [anon_sym_lineadj] = ACTIONS(6216),
    [anon_sym_triangle] = ACTIONS(6216),
  },
  [2423] = {
    [sym__declaration_modifiers] = STATE(2423),
    [sym_attribute_specifier] = STATE(2423),
    [sym_attribute_declaration] = STATE(2423),
    [sym_ms_declspec_modifier] = STATE(2423),
    [sym_storage_class_specifier] = STATE(2423),
    [sym_type_qualifier] = STATE(2423),
    [sym_alignas_qualifier] = STATE(2391),
    [sym_explicit_function_specifier] = STATE(2423),
    [sym__constructor_specifiers] = STATE(2423),
    [sym_qualifiers] = STATE(2423),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2423),
    [sym_identifier] = ACTIONS(6219),
    [anon_sym_LPAREN2] = ACTIONS(6221),
    [anon_sym_TILDE] = ACTIONS(6221),
    [anon_sym_STAR] = ACTIONS(6221),
    [anon_sym_AMP_AMP] = ACTIONS(6221),
    [anon_sym_AMP] = ACTIONS(6219),
    [anon_sym___extension__] = ACTIONS(6223),
    [anon_sym_in] = ACTIONS(6226),
    [anon_sym_out] = ACTIONS(6226),
    [anon_sym_inout] = ACTIONS(6226),
    [anon_sym_virtual] = ACTIONS(6226),
    [anon_sym_extern] = ACTIONS(6229),
    [anon_sym___attribute__] = ACTIONS(6232),
    [anon_sym___attribute] = ACTIONS(6232),
    [anon_sym_COLON_COLON] = ACTIONS(6221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6235),
    [anon_sym___declspec] = ACTIONS(6238),
    [anon_sym___based] = ACTIONS(6219),
    [anon_sym_LBRACK] = ACTIONS(6219),
    [anon_sym_static] = ACTIONS(6229),
    [anon_sym_register] = ACTIONS(6229),
    [anon_sym_inline] = ACTIONS(6229),
    [anon_sym___inline] = ACTIONS(6229),
    [anon_sym___inline__] = ACTIONS(6229),
    [anon_sym___forceinline] = ACTIONS(6229),
    [anon_sym_thread_local] = ACTIONS(6229),
    [anon_sym___thread] = ACTIONS(6229),
    [anon_sym_const] = ACTIONS(6223),
    [anon_sym_constexpr] = ACTIONS(6223),
    [anon_sym_volatile] = ACTIONS(6223),
    [anon_sym_restrict] = ACTIONS(6223),
    [anon_sym___restrict__] = ACTIONS(6223),
    [anon_sym__Atomic] = ACTIONS(6223),
    [anon_sym__Noreturn] = ACTIONS(6223),
    [anon_sym_noreturn] = ACTIONS(6223),
    [anon_sym__Nonnull] = ACTIONS(6223),
    [anon_sym_mutable] = ACTIONS(6223),
    [anon_sym_constinit] = ACTIONS(6223),
    [anon_sym_consteval] = ACTIONS(6223),
    [anon_sym_alignas] = ACTIONS(6241),
    [anon_sym__Alignas] = ACTIONS(6241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6219),
    [anon_sym_explicit] = ACTIONS(6244),
    [anon_sym_template] = ACTIONS(6219),
    [anon_sym_operator] = ACTIONS(6219),
    [anon_sym_precise] = ACTIONS(6247),
    [anon_sym_shared] = ACTIONS(6247),
    [anon_sym_groupshared] = ACTIONS(6247),
    [anon_sym_uniform] = ACTIONS(6247),
    [anon_sym_row_major] = ACTIONS(6247),
    [anon_sym_column_major] = ACTIONS(6247),
    [anon_sym_globallycoherent] = ACTIONS(6247),
    [anon_sym_centroid] = ACTIONS(6247),
    [anon_sym_noperspective] = ACTIONS(6247),
    [anon_sym_nointerpolation] = ACTIONS(6247),
    [anon_sym_sample] = ACTIONS(6247),
    [anon_sym_linear] = ACTIONS(6247),
    [anon_sym_snorm] = ACTIONS(6247),
    [anon_sym_unorm] = ACTIONS(6247),
    [anon_sym_point] = ACTIONS(6247),
    [anon_sym_line] = ACTIONS(6247),
    [anon_sym_triangleadj] = ACTIONS(6247),
    [anon_sym_lineadj] = ACTIONS(6247),
    [anon_sym_triangle] = ACTIONS(6247),
  },
  [2424] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym___attribute] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(6250),
    [anon_sym_unsigned] = ACTIONS(6250),
    [anon_sym_long] = ACTIONS(6250),
    [anon_sym_short] = ACTIONS(6250),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5588),
    [anon_sym_decltype] = ACTIONS(5588),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5590),
  },
  [2425] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1962),
    [anon_sym_BANG_EQ] = ACTIONS(1962),
    [anon_sym_GT] = ACTIONS(1960),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym___extension__] = ACTIONS(1962),
    [anon_sym___attribute__] = ACTIONS(1962),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_EQ] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1962),
    [anon_sym_volatile] = ACTIONS(1962),
    [anon_sym_restrict] = ACTIONS(1962),
    [anon_sym___restrict__] = ACTIONS(1962),
    [anon_sym__Atomic] = ACTIONS(1962),
    [anon_sym__Noreturn] = ACTIONS(1962),
    [anon_sym_noreturn] = ACTIONS(1962),
    [anon_sym__Nonnull] = ACTIONS(1962),
    [anon_sym_mutable] = ACTIONS(1962),
    [anon_sym_constinit] = ACTIONS(1962),
    [anon_sym_consteval] = ACTIONS(1962),
    [anon_sym_alignas] = ACTIONS(1962),
    [anon_sym__Alignas] = ACTIONS(1962),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_STAR_EQ] = ACTIONS(1962),
    [anon_sym_SLASH_EQ] = ACTIONS(1962),
    [anon_sym_PERCENT_EQ] = ACTIONS(1962),
    [anon_sym_PLUS_EQ] = ACTIONS(1962),
    [anon_sym_DASH_EQ] = ACTIONS(1962),
    [anon_sym_LT_LT_EQ] = ACTIONS(1962),
    [anon_sym_GT_GT_EQ] = ACTIONS(1962),
    [anon_sym_AMP_EQ] = ACTIONS(1962),
    [anon_sym_CARET_EQ] = ACTIONS(1962),
    [anon_sym_PIPE_EQ] = ACTIONS(1962),
    [anon_sym_and_eq] = ACTIONS(1962),
    [anon_sym_or_eq] = ACTIONS(1962),
    [anon_sym_xor_eq] = ACTIONS(1962),
    [anon_sym_LT_EQ_GT] = ACTIONS(1962),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [anon_sym_bitor] = ACTIONS(1962),
    [anon_sym_xor] = ACTIONS(1960),
    [anon_sym_bitand] = ACTIONS(1962),
    [anon_sym_not_eq] = ACTIONS(1962),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_DOT_STAR] = ACTIONS(1962),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1962),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_final] = ACTIONS(1962),
    [anon_sym_override] = ACTIONS(1962),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1962),
  },
  [2426] = {
    [sym_template_argument_list] = STATE(2251),
    [sym_identifier] = ACTIONS(1964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_out] = ACTIONS(1964),
    [anon_sym_inout] = ACTIONS(1964),
    [anon_sym_virtual] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1964),
    [anon_sym___based] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_register] = ACTIONS(1964),
    [anon_sym_inline] = ACTIONS(1964),
    [anon_sym___inline] = ACTIONS(1964),
    [anon_sym___inline__] = ACTIONS(1964),
    [anon_sym___forceinline] = ACTIONS(1964),
    [anon_sym_thread_local] = ACTIONS(1964),
    [anon_sym___thread] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_constexpr] = ACTIONS(1964),
    [anon_sym_volatile] = ACTIONS(1964),
    [anon_sym_restrict] = ACTIONS(1964),
    [anon_sym___restrict__] = ACTIONS(1964),
    [anon_sym__Atomic] = ACTIONS(1964),
    [anon_sym__Noreturn] = ACTIONS(1964),
    [anon_sym_noreturn] = ACTIONS(1964),
    [anon_sym__Nonnull] = ACTIONS(1964),
    [anon_sym_mutable] = ACTIONS(1964),
    [anon_sym_constinit] = ACTIONS(1964),
    [anon_sym_consteval] = ACTIONS(1964),
    [anon_sym_alignas] = ACTIONS(1964),
    [anon_sym__Alignas] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_final] = ACTIONS(1964),
    [anon_sym_override] = ACTIONS(1964),
    [anon_sym_template] = ACTIONS(1964),
    [anon_sym_GT2] = ACTIONS(1966),
    [anon_sym_operator] = ACTIONS(1964),
    [anon_sym_precise] = ACTIONS(1964),
    [anon_sym_shared] = ACTIONS(1964),
    [anon_sym_groupshared] = ACTIONS(1964),
    [anon_sym_uniform] = ACTIONS(1964),
    [anon_sym_row_major] = ACTIONS(1964),
    [anon_sym_column_major] = ACTIONS(1964),
    [anon_sym_globallycoherent] = ACTIONS(1964),
    [anon_sym_centroid] = ACTIONS(1964),
    [anon_sym_noperspective] = ACTIONS(1964),
    [anon_sym_nointerpolation] = ACTIONS(1964),
    [anon_sym_sample] = ACTIONS(1964),
    [anon_sym_linear] = ACTIONS(1964),
    [anon_sym_snorm] = ACTIONS(1964),
    [anon_sym_unorm] = ACTIONS(1964),
    [anon_sym_point] = ACTIONS(1964),
    [anon_sym_line] = ACTIONS(1964),
    [anon_sym_triangleadj] = ACTIONS(1964),
    [anon_sym_lineadj] = ACTIONS(1964),
    [anon_sym_triangle] = ACTIONS(1964),
  },
  [2427] = {
    [sym_identifier] = ACTIONS(6110),
    [anon_sym_LPAREN2] = ACTIONS(6112),
    [anon_sym_TILDE] = ACTIONS(6112),
    [anon_sym_STAR] = ACTIONS(6112),
    [anon_sym_AMP_AMP] = ACTIONS(6112),
    [anon_sym_AMP] = ACTIONS(6110),
    [anon_sym___extension__] = ACTIONS(6110),
    [anon_sym_in] = ACTIONS(6110),
    [anon_sym_out] = ACTIONS(6110),
    [anon_sym_inout] = ACTIONS(6110),
    [anon_sym_virtual] = ACTIONS(6110),
    [anon_sym_extern] = ACTIONS(6110),
    [anon_sym___attribute__] = ACTIONS(6110),
    [anon_sym___attribute] = ACTIONS(6110),
    [anon_sym_COLON_COLON] = ACTIONS(6112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6112),
    [anon_sym___declspec] = ACTIONS(6110),
    [anon_sym___based] = ACTIONS(6110),
    [anon_sym_signed] = ACTIONS(6110),
    [anon_sym_unsigned] = ACTIONS(6110),
    [anon_sym_long] = ACTIONS(6110),
    [anon_sym_short] = ACTIONS(6110),
    [anon_sym_LBRACK] = ACTIONS(6110),
    [anon_sym_static] = ACTIONS(6110),
    [anon_sym_register] = ACTIONS(6110),
    [anon_sym_inline] = ACTIONS(6110),
    [anon_sym___inline] = ACTIONS(6110),
    [anon_sym___inline__] = ACTIONS(6110),
    [anon_sym___forceinline] = ACTIONS(6110),
    [anon_sym_thread_local] = ACTIONS(6110),
    [anon_sym___thread] = ACTIONS(6110),
    [anon_sym_const] = ACTIONS(6110),
    [anon_sym_constexpr] = ACTIONS(6110),
    [anon_sym_volatile] = ACTIONS(6110),
    [anon_sym_restrict] = ACTIONS(6110),
    [anon_sym___restrict__] = ACTIONS(6110),
    [anon_sym__Atomic] = ACTIONS(6110),
    [anon_sym__Noreturn] = ACTIONS(6110),
    [anon_sym_noreturn] = ACTIONS(6110),
    [anon_sym__Nonnull] = ACTIONS(6110),
    [anon_sym_mutable] = ACTIONS(6110),
    [anon_sym_constinit] = ACTIONS(6110),
    [anon_sym_consteval] = ACTIONS(6110),
    [anon_sym_alignas] = ACTIONS(6110),
    [anon_sym__Alignas] = ACTIONS(6110),
    [sym_primitive_type] = ACTIONS(6110),
    [anon_sym_enum] = ACTIONS(6110),
    [anon_sym_class] = ACTIONS(6110),
    [anon_sym_struct] = ACTIONS(6110),
    [anon_sym_union] = ACTIONS(6110),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6110),
    [anon_sym_decltype] = ACTIONS(6110),
    [anon_sym_explicit] = ACTIONS(6110),
    [anon_sym_typename] = ACTIONS(6110),
    [anon_sym_template] = ACTIONS(6110),
    [anon_sym_operator] = ACTIONS(6110),
    [anon_sym_precise] = ACTIONS(6110),
    [anon_sym_shared] = ACTIONS(6110),
    [anon_sym_groupshared] = ACTIONS(6110),
    [anon_sym_uniform] = ACTIONS(6110),
    [anon_sym_row_major] = ACTIONS(6110),
    [anon_sym_column_major] = ACTIONS(6110),
    [anon_sym_globallycoherent] = ACTIONS(6110),
    [anon_sym_centroid] = ACTIONS(6110),
    [anon_sym_noperspective] = ACTIONS(6110),
    [anon_sym_nointerpolation] = ACTIONS(6110),
    [anon_sym_sample] = ACTIONS(6110),
    [anon_sym_linear] = ACTIONS(6110),
    [anon_sym_snorm] = ACTIONS(6110),
    [anon_sym_unorm] = ACTIONS(6110),
    [anon_sym_point] = ACTIONS(6110),
    [anon_sym_line] = ACTIONS(6110),
    [anon_sym_triangleadj] = ACTIONS(6110),
    [anon_sym_lineadj] = ACTIONS(6110),
    [anon_sym_triangle] = ACTIONS(6110),
  },
  [2428] = {
    [sym_identifier] = ACTIONS(6253),
    [anon_sym_LPAREN2] = ACTIONS(6256),
    [anon_sym_TILDE] = ACTIONS(6256),
    [anon_sym_STAR] = ACTIONS(6256),
    [anon_sym_AMP_AMP] = ACTIONS(6256),
    [anon_sym_AMP] = ACTIONS(6258),
    [anon_sym___extension__] = ACTIONS(6253),
    [anon_sym_in] = ACTIONS(6253),
    [anon_sym_out] = ACTIONS(6253),
    [anon_sym_inout] = ACTIONS(6253),
    [anon_sym_virtual] = ACTIONS(6253),
    [anon_sym_extern] = ACTIONS(6253),
    [anon_sym___attribute__] = ACTIONS(6253),
    [anon_sym___attribute] = ACTIONS(6253),
    [anon_sym_COLON_COLON] = ACTIONS(6260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6260),
    [anon_sym___declspec] = ACTIONS(6253),
    [anon_sym___based] = ACTIONS(6258),
    [anon_sym_signed] = ACTIONS(6263),
    [anon_sym_unsigned] = ACTIONS(6263),
    [anon_sym_long] = ACTIONS(6263),
    [anon_sym_short] = ACTIONS(6263),
    [anon_sym_LBRACK] = ACTIONS(6258),
    [anon_sym_static] = ACTIONS(6253),
    [anon_sym_register] = ACTIONS(6253),
    [anon_sym_inline] = ACTIONS(6253),
    [anon_sym___inline] = ACTIONS(6253),
    [anon_sym___inline__] = ACTIONS(6253),
    [anon_sym___forceinline] = ACTIONS(6253),
    [anon_sym_thread_local] = ACTIONS(6253),
    [anon_sym___thread] = ACTIONS(6253),
    [anon_sym_const] = ACTIONS(6253),
    [anon_sym_constexpr] = ACTIONS(6253),
    [anon_sym_volatile] = ACTIONS(6253),
    [anon_sym_restrict] = ACTIONS(6253),
    [anon_sym___restrict__] = ACTIONS(6253),
    [anon_sym__Atomic] = ACTIONS(6253),
    [anon_sym__Noreturn] = ACTIONS(6253),
    [anon_sym_noreturn] = ACTIONS(6253),
    [anon_sym__Nonnull] = ACTIONS(6253),
    [anon_sym_mutable] = ACTIONS(6253),
    [anon_sym_constinit] = ACTIONS(6253),
    [anon_sym_consteval] = ACTIONS(6253),
    [anon_sym_alignas] = ACTIONS(6253),
    [anon_sym__Alignas] = ACTIONS(6253),
    [sym_primitive_type] = ACTIONS(6263),
    [anon_sym_enum] = ACTIONS(6263),
    [anon_sym_class] = ACTIONS(6263),
    [anon_sym_struct] = ACTIONS(6263),
    [anon_sym_union] = ACTIONS(6263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6263),
    [anon_sym_decltype] = ACTIONS(6253),
    [anon_sym_explicit] = ACTIONS(6258),
    [anon_sym_typename] = ACTIONS(6263),
    [anon_sym_template] = ACTIONS(6253),
    [anon_sym_operator] = ACTIONS(6258),
    [anon_sym_precise] = ACTIONS(6253),
    [anon_sym_shared] = ACTIONS(6253),
    [anon_sym_groupshared] = ACTIONS(6253),
    [anon_sym_uniform] = ACTIONS(6253),
    [anon_sym_row_major] = ACTIONS(6253),
    [anon_sym_column_major] = ACTIONS(6253),
    [anon_sym_globallycoherent] = ACTIONS(6253),
    [anon_sym_centroid] = ACTIONS(6253),
    [anon_sym_noperspective] = ACTIONS(6253),
    [anon_sym_nointerpolation] = ACTIONS(6253),
    [anon_sym_sample] = ACTIONS(6253),
    [anon_sym_linear] = ACTIONS(6253),
    [anon_sym_snorm] = ACTIONS(6253),
    [anon_sym_unorm] = ACTIONS(6253),
    [anon_sym_point] = ACTIONS(6253),
    [anon_sym_line] = ACTIONS(6253),
    [anon_sym_triangleadj] = ACTIONS(6253),
    [anon_sym_lineadj] = ACTIONS(6253),
    [anon_sym_triangle] = ACTIONS(6253),
  },
  [2429] = {
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_TILDE] = ACTIONS(5816),
    [anon_sym_STAR] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym___extension__] = ACTIONS(5814),
    [anon_sym_in] = ACTIONS(5814),
    [anon_sym_out] = ACTIONS(5814),
    [anon_sym_inout] = ACTIONS(5814),
    [anon_sym_virtual] = ACTIONS(5814),
    [anon_sym_extern] = ACTIONS(5814),
    [anon_sym___attribute__] = ACTIONS(5814),
    [anon_sym___attribute] = ACTIONS(5814),
    [anon_sym_COLON_COLON] = ACTIONS(5816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5816),
    [anon_sym___declspec] = ACTIONS(5814),
    [anon_sym___based] = ACTIONS(5814),
    [anon_sym_signed] = ACTIONS(5814),
    [anon_sym_unsigned] = ACTIONS(5814),
    [anon_sym_long] = ACTIONS(5814),
    [anon_sym_short] = ACTIONS(5814),
    [anon_sym_LBRACK] = ACTIONS(5814),
    [anon_sym_static] = ACTIONS(5814),
    [anon_sym_register] = ACTIONS(5814),
    [anon_sym_inline] = ACTIONS(5814),
    [anon_sym___inline] = ACTIONS(5814),
    [anon_sym___inline__] = ACTIONS(5814),
    [anon_sym___forceinline] = ACTIONS(5814),
    [anon_sym_thread_local] = ACTIONS(5814),
    [anon_sym___thread] = ACTIONS(5814),
    [anon_sym_const] = ACTIONS(5814),
    [anon_sym_constexpr] = ACTIONS(5814),
    [anon_sym_volatile] = ACTIONS(5814),
    [anon_sym_restrict] = ACTIONS(5814),
    [anon_sym___restrict__] = ACTIONS(5814),
    [anon_sym__Atomic] = ACTIONS(5814),
    [anon_sym__Noreturn] = ACTIONS(5814),
    [anon_sym_noreturn] = ACTIONS(5814),
    [anon_sym__Nonnull] = ACTIONS(5814),
    [anon_sym_mutable] = ACTIONS(5814),
    [anon_sym_constinit] = ACTIONS(5814),
    [anon_sym_consteval] = ACTIONS(5814),
    [anon_sym_alignas] = ACTIONS(5814),
    [anon_sym__Alignas] = ACTIONS(5814),
    [sym_primitive_type] = ACTIONS(5814),
    [anon_sym_enum] = ACTIONS(5814),
    [anon_sym_class] = ACTIONS(5814),
    [anon_sym_struct] = ACTIONS(5814),
    [anon_sym_union] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
    [anon_sym_explicit] = ACTIONS(5814),
    [anon_sym_typename] = ACTIONS(5814),
    [anon_sym_template] = ACTIONS(5814),
    [anon_sym_operator] = ACTIONS(5814),
    [anon_sym_precise] = ACTIONS(5814),
    [anon_sym_shared] = ACTIONS(5814),
    [anon_sym_groupshared] = ACTIONS(5814),
    [anon_sym_uniform] = ACTIONS(5814),
    [anon_sym_row_major] = ACTIONS(5814),
    [anon_sym_column_major] = ACTIONS(5814),
    [anon_sym_globallycoherent] = ACTIONS(5814),
    [anon_sym_centroid] = ACTIONS(5814),
    [anon_sym_noperspective] = ACTIONS(5814),
    [anon_sym_nointerpolation] = ACTIONS(5814),
    [anon_sym_sample] = ACTIONS(5814),
    [anon_sym_linear] = ACTIONS(5814),
    [anon_sym_snorm] = ACTIONS(5814),
    [anon_sym_unorm] = ACTIONS(5814),
    [anon_sym_point] = ACTIONS(5814),
    [anon_sym_line] = ACTIONS(5814),
    [anon_sym_triangleadj] = ACTIONS(5814),
    [anon_sym_lineadj] = ACTIONS(5814),
    [anon_sym_triangle] = ACTIONS(5814),
  },
  [2430] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_PERCENT] = ACTIONS(1922),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_PIPE] = ACTIONS(1922),
    [anon_sym_CARET] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_GT] = ACTIONS(1922),
    [anon_sym_GT_EQ] = ACTIONS(1924),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_LT_LT] = ACTIONS(1922),
    [anon_sym_GT_GT] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_EQ] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [anon_sym_QMARK] = ACTIONS(1924),
    [anon_sym_STAR_EQ] = ACTIONS(1924),
    [anon_sym_SLASH_EQ] = ACTIONS(1924),
    [anon_sym_PERCENT_EQ] = ACTIONS(1924),
    [anon_sym_PLUS_EQ] = ACTIONS(1924),
    [anon_sym_DASH_EQ] = ACTIONS(1924),
    [anon_sym_LT_LT_EQ] = ACTIONS(1924),
    [anon_sym_GT_GT_EQ] = ACTIONS(1924),
    [anon_sym_AMP_EQ] = ACTIONS(1924),
    [anon_sym_CARET_EQ] = ACTIONS(1924),
    [anon_sym_PIPE_EQ] = ACTIONS(1924),
    [anon_sym_and_eq] = ACTIONS(1924),
    [anon_sym_or_eq] = ACTIONS(1924),
    [anon_sym_xor_eq] = ACTIONS(1924),
    [anon_sym_LT_EQ_GT] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_bitor] = ACTIONS(1924),
    [anon_sym_xor] = ACTIONS(1922),
    [anon_sym_bitand] = ACTIONS(1924),
    [anon_sym_not_eq] = ACTIONS(1924),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DOT] = ACTIONS(1922),
    [anon_sym_DOT_STAR] = ACTIONS(1924),
    [anon_sym_DASH_GT] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_final] = ACTIONS(1924),
    [anon_sym_override] = ACTIONS(1924),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1924),
  },
  [2431] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1930),
    [anon_sym_SLASH] = ACTIONS(1930),
    [anon_sym_PERCENT] = ACTIONS(1930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(1930),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_LT_LT] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym___extension__] = ACTIONS(1932),
    [anon_sym___attribute__] = ACTIONS(1932),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1932),
    [anon_sym_EQ] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1932),
    [anon_sym_volatile] = ACTIONS(1932),
    [anon_sym_restrict] = ACTIONS(1932),
    [anon_sym___restrict__] = ACTIONS(1932),
    [anon_sym__Atomic] = ACTIONS(1932),
    [anon_sym__Noreturn] = ACTIONS(1932),
    [anon_sym_noreturn] = ACTIONS(1932),
    [anon_sym__Nonnull] = ACTIONS(1932),
    [anon_sym_mutable] = ACTIONS(1932),
    [anon_sym_constinit] = ACTIONS(1932),
    [anon_sym_consteval] = ACTIONS(1932),
    [anon_sym_alignas] = ACTIONS(1932),
    [anon_sym__Alignas] = ACTIONS(1932),
    [anon_sym_QMARK] = ACTIONS(1932),
    [anon_sym_STAR_EQ] = ACTIONS(1932),
    [anon_sym_SLASH_EQ] = ACTIONS(1932),
    [anon_sym_PERCENT_EQ] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1932),
    [anon_sym_DASH_EQ] = ACTIONS(1932),
    [anon_sym_LT_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT_GT_EQ] = ACTIONS(1932),
    [anon_sym_AMP_EQ] = ACTIONS(1932),
    [anon_sym_CARET_EQ] = ACTIONS(1932),
    [anon_sym_PIPE_EQ] = ACTIONS(1932),
    [anon_sym_and_eq] = ACTIONS(1932),
    [anon_sym_or_eq] = ACTIONS(1932),
    [anon_sym_xor_eq] = ACTIONS(1932),
    [anon_sym_LT_EQ_GT] = ACTIONS(1932),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [anon_sym_bitor] = ACTIONS(1932),
    [anon_sym_xor] = ACTIONS(1930),
    [anon_sym_bitand] = ACTIONS(1932),
    [anon_sym_not_eq] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_DOT_STAR] = ACTIONS(1932),
    [anon_sym_DASH_GT] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1932),
    [anon_sym_decltype] = ACTIONS(1932),
    [anon_sym_final] = ACTIONS(1932),
    [anon_sym_override] = ACTIONS(1932),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1932),
  },
  [2432] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2424),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5725),
    [anon_sym_SLASH] = ACTIONS(5725),
    [anon_sym_PERCENT] = ACTIONS(5725),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5725),
    [anon_sym_CARET] = ACTIONS(5725),
    [anon_sym_AMP] = ACTIONS(5725),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5725),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5725),
    [anon_sym_LT] = ACTIONS(5725),
    [anon_sym_LT_LT] = ACTIONS(5725),
    [anon_sym_GT_GT] = ACTIONS(5725),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(6250),
    [anon_sym_unsigned] = ACTIONS(6250),
    [anon_sym_long] = ACTIONS(6250),
    [anon_sym_short] = ACTIONS(6250),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_EQ] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_STAR_EQ] = ACTIONS(5728),
    [anon_sym_SLASH_EQ] = ACTIONS(5728),
    [anon_sym_PERCENT_EQ] = ACTIONS(5728),
    [anon_sym_PLUS_EQ] = ACTIONS(5728),
    [anon_sym_DASH_EQ] = ACTIONS(5728),
    [anon_sym_LT_LT_EQ] = ACTIONS(5728),
    [anon_sym_GT_GT_EQ] = ACTIONS(5728),
    [anon_sym_AMP_EQ] = ACTIONS(5728),
    [anon_sym_CARET_EQ] = ACTIONS(5728),
    [anon_sym_PIPE_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5725),
    [anon_sym_and] = ACTIONS(5725),
    [anon_sym_bitor] = ACTIONS(5725),
    [anon_sym_xor] = ACTIONS(5725),
    [anon_sym_bitand] = ACTIONS(5725),
    [anon_sym_not_eq] = ACTIONS(5725),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5725),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5725),
    [anon_sym_decltype] = ACTIONS(5725),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5728),
  },
  [2433] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1934),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(1936),
    [anon_sym___attribute__] = ACTIONS(1936),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1936),
    [anon_sym_volatile] = ACTIONS(1936),
    [anon_sym_restrict] = ACTIONS(1936),
    [anon_sym___restrict__] = ACTIONS(1936),
    [anon_sym__Atomic] = ACTIONS(1936),
    [anon_sym__Noreturn] = ACTIONS(1936),
    [anon_sym_noreturn] = ACTIONS(1936),
    [anon_sym__Nonnull] = ACTIONS(1936),
    [anon_sym_mutable] = ACTIONS(1936),
    [anon_sym_constinit] = ACTIONS(1936),
    [anon_sym_consteval] = ACTIONS(1936),
    [anon_sym_alignas] = ACTIONS(1936),
    [anon_sym__Alignas] = ACTIONS(1936),
    [anon_sym_QMARK] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1936),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_and_eq] = ACTIONS(1936),
    [anon_sym_or_eq] = ACTIONS(1936),
    [anon_sym_xor_eq] = ACTIONS(1936),
    [anon_sym_LT_EQ_GT] = ACTIONS(1936),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [anon_sym_bitor] = ACTIONS(1936),
    [anon_sym_xor] = ACTIONS(1934),
    [anon_sym_bitand] = ACTIONS(1936),
    [anon_sym_not_eq] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_DOT_STAR] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1936),
    [anon_sym_decltype] = ACTIONS(1936),
    [anon_sym_final] = ACTIONS(1936),
    [anon_sym_override] = ACTIONS(1936),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1936),
  },
  [2434] = {
    [sym_identifier] = ACTIONS(3769),
    [anon_sym_LPAREN2] = ACTIONS(3771),
    [anon_sym_TILDE] = ACTIONS(3771),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_AMP_AMP] = ACTIONS(3771),
    [anon_sym_AMP] = ACTIONS(3769),
    [anon_sym___extension__] = ACTIONS(3769),
    [anon_sym_in] = ACTIONS(3769),
    [anon_sym_out] = ACTIONS(3769),
    [anon_sym_inout] = ACTIONS(3769),
    [anon_sym_virtual] = ACTIONS(3769),
    [anon_sym_extern] = ACTIONS(3769),
    [anon_sym___attribute__] = ACTIONS(3769),
    [anon_sym___attribute] = ACTIONS(3769),
    [anon_sym_COLON_COLON] = ACTIONS(3771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3771),
    [anon_sym___declspec] = ACTIONS(3769),
    [anon_sym___based] = ACTIONS(3769),
    [anon_sym_signed] = ACTIONS(3769),
    [anon_sym_unsigned] = ACTIONS(3769),
    [anon_sym_long] = ACTIONS(3769),
    [anon_sym_short] = ACTIONS(3769),
    [anon_sym_LBRACK] = ACTIONS(3769),
    [anon_sym_static] = ACTIONS(3769),
    [anon_sym_register] = ACTIONS(3769),
    [anon_sym_inline] = ACTIONS(3769),
    [anon_sym___inline] = ACTIONS(3769),
    [anon_sym___inline__] = ACTIONS(3769),
    [anon_sym___forceinline] = ACTIONS(3769),
    [anon_sym_thread_local] = ACTIONS(3769),
    [anon_sym___thread] = ACTIONS(3769),
    [anon_sym_const] = ACTIONS(3769),
    [anon_sym_constexpr] = ACTIONS(3769),
    [anon_sym_volatile] = ACTIONS(3769),
    [anon_sym_restrict] = ACTIONS(3769),
    [anon_sym___restrict__] = ACTIONS(3769),
    [anon_sym__Atomic] = ACTIONS(3769),
    [anon_sym__Noreturn] = ACTIONS(3769),
    [anon_sym_noreturn] = ACTIONS(3769),
    [anon_sym__Nonnull] = ACTIONS(3769),
    [anon_sym_mutable] = ACTIONS(3769),
    [anon_sym_constinit] = ACTIONS(3769),
    [anon_sym_consteval] = ACTIONS(3769),
    [anon_sym_alignas] = ACTIONS(3769),
    [anon_sym__Alignas] = ACTIONS(3769),
    [sym_primitive_type] = ACTIONS(3769),
    [anon_sym_enum] = ACTIONS(3769),
    [anon_sym_class] = ACTIONS(3769),
    [anon_sym_struct] = ACTIONS(3769),
    [anon_sym_union] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3769),
    [anon_sym_decltype] = ACTIONS(3769),
    [anon_sym_explicit] = ACTIONS(3769),
    [anon_sym_typename] = ACTIONS(3769),
    [anon_sym_template] = ACTIONS(3769),
    [anon_sym_operator] = ACTIONS(3769),
    [anon_sym_precise] = ACTIONS(3769),
    [anon_sym_shared] = ACTIONS(3769),
    [anon_sym_groupshared] = ACTIONS(3769),
    [anon_sym_uniform] = ACTIONS(3769),
    [anon_sym_row_major] = ACTIONS(3769),
    [anon_sym_column_major] = ACTIONS(3769),
    [anon_sym_globallycoherent] = ACTIONS(3769),
    [anon_sym_centroid] = ACTIONS(3769),
    [anon_sym_noperspective] = ACTIONS(3769),
    [anon_sym_nointerpolation] = ACTIONS(3769),
    [anon_sym_sample] = ACTIONS(3769),
    [anon_sym_linear] = ACTIONS(3769),
    [anon_sym_snorm] = ACTIONS(3769),
    [anon_sym_unorm] = ACTIONS(3769),
    [anon_sym_point] = ACTIONS(3769),
    [anon_sym_line] = ACTIONS(3769),
    [anon_sym_triangleadj] = ACTIONS(3769),
    [anon_sym_lineadj] = ACTIONS(3769),
    [anon_sym_triangle] = ACTIONS(3769),
  },
  [2435] = {
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_LPAREN2] = ACTIONS(3767),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_STAR] = ACTIONS(3767),
    [anon_sym_AMP_AMP] = ACTIONS(3767),
    [anon_sym_AMP] = ACTIONS(3765),
    [anon_sym___extension__] = ACTIONS(3765),
    [anon_sym_in] = ACTIONS(3765),
    [anon_sym_out] = ACTIONS(3765),
    [anon_sym_inout] = ACTIONS(3765),
    [anon_sym_virtual] = ACTIONS(3765),
    [anon_sym_extern] = ACTIONS(3765),
    [anon_sym___attribute__] = ACTIONS(3765),
    [anon_sym___attribute] = ACTIONS(3765),
    [anon_sym_COLON_COLON] = ACTIONS(3767),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3767),
    [anon_sym___declspec] = ACTIONS(3765),
    [anon_sym___based] = ACTIONS(3765),
    [anon_sym_signed] = ACTIONS(3765),
    [anon_sym_unsigned] = ACTIONS(3765),
    [anon_sym_long] = ACTIONS(3765),
    [anon_sym_short] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3765),
    [anon_sym_static] = ACTIONS(3765),
    [anon_sym_register] = ACTIONS(3765),
    [anon_sym_inline] = ACTIONS(3765),
    [anon_sym___inline] = ACTIONS(3765),
    [anon_sym___inline__] = ACTIONS(3765),
    [anon_sym___forceinline] = ACTIONS(3765),
    [anon_sym_thread_local] = ACTIONS(3765),
    [anon_sym___thread] = ACTIONS(3765),
    [anon_sym_const] = ACTIONS(3765),
    [anon_sym_constexpr] = ACTIONS(3765),
    [anon_sym_volatile] = ACTIONS(3765),
    [anon_sym_restrict] = ACTIONS(3765),
    [anon_sym___restrict__] = ACTIONS(3765),
    [anon_sym__Atomic] = ACTIONS(3765),
    [anon_sym__Noreturn] = ACTIONS(3765),
    [anon_sym_noreturn] = ACTIONS(3765),
    [anon_sym__Nonnull] = ACTIONS(3765),
    [anon_sym_mutable] = ACTIONS(3765),
    [anon_sym_constinit] = ACTIONS(3765),
    [anon_sym_consteval] = ACTIONS(3765),
    [anon_sym_alignas] = ACTIONS(3765),
    [anon_sym__Alignas] = ACTIONS(3765),
    [sym_primitive_type] = ACTIONS(3765),
    [anon_sym_enum] = ACTIONS(3765),
    [anon_sym_class] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3765),
    [anon_sym_union] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3765),
    [anon_sym_decltype] = ACTIONS(3765),
    [anon_sym_explicit] = ACTIONS(3765),
    [anon_sym_typename] = ACTIONS(3765),
    [anon_sym_template] = ACTIONS(3765),
    [anon_sym_operator] = ACTIONS(3765),
    [anon_sym_precise] = ACTIONS(3765),
    [anon_sym_shared] = ACTIONS(3765),
    [anon_sym_groupshared] = ACTIONS(3765),
    [anon_sym_uniform] = ACTIONS(3765),
    [anon_sym_row_major] = ACTIONS(3765),
    [anon_sym_column_major] = ACTIONS(3765),
    [anon_sym_globallycoherent] = ACTIONS(3765),
    [anon_sym_centroid] = ACTIONS(3765),
    [anon_sym_noperspective] = ACTIONS(3765),
    [anon_sym_nointerpolation] = ACTIONS(3765),
    [anon_sym_sample] = ACTIONS(3765),
    [anon_sym_linear] = ACTIONS(3765),
    [anon_sym_snorm] = ACTIONS(3765),
    [anon_sym_unorm] = ACTIONS(3765),
    [anon_sym_point] = ACTIONS(3765),
    [anon_sym_line] = ACTIONS(3765),
    [anon_sym_triangleadj] = ACTIONS(3765),
    [anon_sym_lineadj] = ACTIONS(3765),
    [anon_sym_triangle] = ACTIONS(3765),
  },
  [2436] = {
    [sym_string_literal] = STATE(2442),
    [sym_template_argument_list] = STATE(2778),
    [sym_raw_string_literal] = STATE(2442),
    [sym_identifier] = ACTIONS(4078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(4070),
    [aux_sym_preproc_if_token2] = ACTIONS(4070),
    [aux_sym_preproc_else_token1] = ACTIONS(4070),
    [aux_sym_preproc_elif_token1] = ACTIONS(4078),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(6265),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(4070),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_RBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4078),
    [anon_sym_or_eq] = ACTIONS(4078),
    [anon_sym_xor_eq] = ACTIONS(4078),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
  },
  [2437] = {
    [sym_identifier] = ACTIONS(5876),
    [anon_sym_LPAREN2] = ACTIONS(5878),
    [anon_sym_TILDE] = ACTIONS(5878),
    [anon_sym_STAR] = ACTIONS(5878),
    [anon_sym_AMP_AMP] = ACTIONS(5878),
    [anon_sym_AMP] = ACTIONS(5876),
    [anon_sym___extension__] = ACTIONS(5876),
    [anon_sym_in] = ACTIONS(5876),
    [anon_sym_out] = ACTIONS(5876),
    [anon_sym_inout] = ACTIONS(5876),
    [anon_sym_virtual] = ACTIONS(5876),
    [anon_sym_extern] = ACTIONS(5876),
    [anon_sym___attribute__] = ACTIONS(5876),
    [anon_sym___attribute] = ACTIONS(5876),
    [anon_sym_COLON_COLON] = ACTIONS(5878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5878),
    [anon_sym___declspec] = ACTIONS(5876),
    [anon_sym___based] = ACTIONS(5876),
    [anon_sym_signed] = ACTIONS(5876),
    [anon_sym_unsigned] = ACTIONS(5876),
    [anon_sym_long] = ACTIONS(5876),
    [anon_sym_short] = ACTIONS(5876),
    [anon_sym_LBRACK] = ACTIONS(5876),
    [anon_sym_static] = ACTIONS(5876),
    [anon_sym_register] = ACTIONS(5876),
    [anon_sym_inline] = ACTIONS(5876),
    [anon_sym___inline] = ACTIONS(5876),
    [anon_sym___inline__] = ACTIONS(5876),
    [anon_sym___forceinline] = ACTIONS(5876),
    [anon_sym_thread_local] = ACTIONS(5876),
    [anon_sym___thread] = ACTIONS(5876),
    [anon_sym_const] = ACTIONS(5876),
    [anon_sym_constexpr] = ACTIONS(5876),
    [anon_sym_volatile] = ACTIONS(5876),
    [anon_sym_restrict] = ACTIONS(5876),
    [anon_sym___restrict__] = ACTIONS(5876),
    [anon_sym__Atomic] = ACTIONS(5876),
    [anon_sym__Noreturn] = ACTIONS(5876),
    [anon_sym_noreturn] = ACTIONS(5876),
    [anon_sym__Nonnull] = ACTIONS(5876),
    [anon_sym_mutable] = ACTIONS(5876),
    [anon_sym_constinit] = ACTIONS(5876),
    [anon_sym_consteval] = ACTIONS(5876),
    [anon_sym_alignas] = ACTIONS(5876),
    [anon_sym__Alignas] = ACTIONS(5876),
    [sym_primitive_type] = ACTIONS(5876),
    [anon_sym_enum] = ACTIONS(5876),
    [anon_sym_class] = ACTIONS(5876),
    [anon_sym_struct] = ACTIONS(5876),
    [anon_sym_union] = ACTIONS(5876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5876),
    [anon_sym_decltype] = ACTIONS(5876),
    [anon_sym_explicit] = ACTIONS(5876),
    [anon_sym_typename] = ACTIONS(5876),
    [anon_sym_template] = ACTIONS(5876),
    [anon_sym_operator] = ACTIONS(5876),
    [anon_sym_precise] = ACTIONS(5876),
    [anon_sym_shared] = ACTIONS(5876),
    [anon_sym_groupshared] = ACTIONS(5876),
    [anon_sym_uniform] = ACTIONS(5876),
    [anon_sym_row_major] = ACTIONS(5876),
    [anon_sym_column_major] = ACTIONS(5876),
    [anon_sym_globallycoherent] = ACTIONS(5876),
    [anon_sym_centroid] = ACTIONS(5876),
    [anon_sym_noperspective] = ACTIONS(5876),
    [anon_sym_nointerpolation] = ACTIONS(5876),
    [anon_sym_sample] = ACTIONS(5876),
    [anon_sym_linear] = ACTIONS(5876),
    [anon_sym_snorm] = ACTIONS(5876),
    [anon_sym_unorm] = ACTIONS(5876),
    [anon_sym_point] = ACTIONS(5876),
    [anon_sym_line] = ACTIONS(5876),
    [anon_sym_triangleadj] = ACTIONS(5876),
    [anon_sym_lineadj] = ACTIONS(5876),
    [anon_sym_triangle] = ACTIONS(5876),
  },
  [2438] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1920),
    [anon_sym_or_eq] = ACTIONS(1920),
    [anon_sym_xor_eq] = ACTIONS(1920),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1920),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1920),
    [anon_sym_not_eq] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_final] = ACTIONS(1920),
    [anon_sym_override] = ACTIONS(1920),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1920),
  },
  [2439] = {
    [sym_template_argument_list] = STATE(2251),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1974),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_RPAREN] = ACTIONS(1974),
    [anon_sym_LPAREN2] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1974),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_EQ] = ACTIONS(1974),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_final] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_GT2] = ACTIONS(1974),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [2440] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym___extension__] = ACTIONS(1940),
    [anon_sym___attribute__] = ACTIONS(1940),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1940),
    [anon_sym_volatile] = ACTIONS(1940),
    [anon_sym_restrict] = ACTIONS(1940),
    [anon_sym___restrict__] = ACTIONS(1940),
    [anon_sym__Atomic] = ACTIONS(1940),
    [anon_sym__Noreturn] = ACTIONS(1940),
    [anon_sym_noreturn] = ACTIONS(1940),
    [anon_sym__Nonnull] = ACTIONS(1940),
    [anon_sym_mutable] = ACTIONS(1940),
    [anon_sym_constinit] = ACTIONS(1940),
    [anon_sym_consteval] = ACTIONS(1940),
    [anon_sym_alignas] = ACTIONS(1940),
    [anon_sym__Alignas] = ACTIONS(1940),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_STAR_EQ] = ACTIONS(1940),
    [anon_sym_SLASH_EQ] = ACTIONS(1940),
    [anon_sym_PERCENT_EQ] = ACTIONS(1940),
    [anon_sym_PLUS_EQ] = ACTIONS(1940),
    [anon_sym_DASH_EQ] = ACTIONS(1940),
    [anon_sym_LT_LT_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_AMP_EQ] = ACTIONS(1940),
    [anon_sym_CARET_EQ] = ACTIONS(1940),
    [anon_sym_PIPE_EQ] = ACTIONS(1940),
    [anon_sym_and_eq] = ACTIONS(1940),
    [anon_sym_or_eq] = ACTIONS(1940),
    [anon_sym_xor_eq] = ACTIONS(1940),
    [anon_sym_LT_EQ_GT] = ACTIONS(1940),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [anon_sym_bitor] = ACTIONS(1940),
    [anon_sym_xor] = ACTIONS(1938),
    [anon_sym_bitand] = ACTIONS(1940),
    [anon_sym_not_eq] = ACTIONS(1940),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_DOT_STAR] = ACTIONS(1940),
    [anon_sym_DASH_GT] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1940),
    [anon_sym_decltype] = ACTIONS(1940),
    [anon_sym_final] = ACTIONS(1940),
    [anon_sym_override] = ACTIONS(1940),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1940),
  },
  [2441] = {
    [sym_string_literal] = STATE(2460),
    [sym_raw_string_literal] = STATE(2460),
    [aux_sym_concatenated_string_repeat1] = STATE(2460),
    [sym_identifier] = ACTIONS(6268),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6270),
    [anon_sym_COMMA] = ACTIONS(6270),
    [anon_sym_RPAREN] = ACTIONS(6270),
    [aux_sym_preproc_if_token2] = ACTIONS(6270),
    [aux_sym_preproc_else_token1] = ACTIONS(6270),
    [aux_sym_preproc_elif_token1] = ACTIONS(6272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6270),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6270),
    [anon_sym_LPAREN2] = ACTIONS(6270),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(6272),
    [anon_sym_SLASH] = ACTIONS(6272),
    [anon_sym_PERCENT] = ACTIONS(6272),
    [anon_sym_PIPE_PIPE] = ACTIONS(6270),
    [anon_sym_AMP_AMP] = ACTIONS(6270),
    [anon_sym_PIPE] = ACTIONS(6272),
    [anon_sym_CARET] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(6272),
    [anon_sym_EQ_EQ] = ACTIONS(6270),
    [anon_sym_BANG_EQ] = ACTIONS(6270),
    [anon_sym_GT] = ACTIONS(6272),
    [anon_sym_GT_EQ] = ACTIONS(6270),
    [anon_sym_LT_EQ] = ACTIONS(6272),
    [anon_sym_LT] = ACTIONS(6272),
    [anon_sym_LT_LT] = ACTIONS(6272),
    [anon_sym_GT_GT] = ACTIONS(6272),
    [anon_sym_COLON] = ACTIONS(6270),
    [anon_sym_SEMI] = ACTIONS(6270),
    [anon_sym_RBRACE] = ACTIONS(6270),
    [anon_sym_LBRACK] = ACTIONS(6270),
    [anon_sym_RBRACK] = ACTIONS(6270),
    [anon_sym_EQ] = ACTIONS(6272),
    [anon_sym_QMARK] = ACTIONS(6270),
    [anon_sym_STAR_EQ] = ACTIONS(6270),
    [anon_sym_SLASH_EQ] = ACTIONS(6270),
    [anon_sym_PERCENT_EQ] = ACTIONS(6270),
    [anon_sym_PLUS_EQ] = ACTIONS(6270),
    [anon_sym_DASH_EQ] = ACTIONS(6270),
    [anon_sym_LT_LT_EQ] = ACTIONS(6270),
    [anon_sym_GT_GT_EQ] = ACTIONS(6270),
    [anon_sym_AMP_EQ] = ACTIONS(6270),
    [anon_sym_CARET_EQ] = ACTIONS(6270),
    [anon_sym_PIPE_EQ] = ACTIONS(6270),
    [anon_sym_and_eq] = ACTIONS(6272),
    [anon_sym_or_eq] = ACTIONS(6272),
    [anon_sym_xor_eq] = ACTIONS(6272),
    [anon_sym_LT_EQ_GT] = ACTIONS(6270),
    [anon_sym_or] = ACTIONS(6272),
    [anon_sym_and] = ACTIONS(6272),
    [anon_sym_bitor] = ACTIONS(6272),
    [anon_sym_xor] = ACTIONS(6272),
    [anon_sym_bitand] = ACTIONS(6272),
    [anon_sym_not_eq] = ACTIONS(6272),
    [anon_sym_DASH_DASH] = ACTIONS(6270),
    [anon_sym_PLUS_PLUS] = ACTIONS(6270),
    [anon_sym_DOT] = ACTIONS(6272),
    [anon_sym_DOT_STAR] = ACTIONS(6270),
    [anon_sym_DASH_GT] = ACTIONS(6270),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [sym_literal_suffix] = ACTIONS(6272),
  },
  [2442] = {
    [sym_string_literal] = STATE(2441),
    [sym_raw_string_literal] = STATE(2441),
    [aux_sym_concatenated_string_repeat1] = STATE(2441),
    [sym_identifier] = ACTIONS(6274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6276),
    [anon_sym_COMMA] = ACTIONS(6276),
    [anon_sym_RPAREN] = ACTIONS(6276),
    [aux_sym_preproc_if_token2] = ACTIONS(6276),
    [aux_sym_preproc_else_token1] = ACTIONS(6276),
    [aux_sym_preproc_elif_token1] = ACTIONS(6278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6276),
    [anon_sym_LPAREN2] = ACTIONS(6276),
    [anon_sym_DASH] = ACTIONS(6278),
    [anon_sym_PLUS] = ACTIONS(6278),
    [anon_sym_STAR] = ACTIONS(6278),
    [anon_sym_SLASH] = ACTIONS(6278),
    [anon_sym_PERCENT] = ACTIONS(6278),
    [anon_sym_PIPE_PIPE] = ACTIONS(6276),
    [anon_sym_AMP_AMP] = ACTIONS(6276),
    [anon_sym_PIPE] = ACTIONS(6278),
    [anon_sym_CARET] = ACTIONS(6278),
    [anon_sym_AMP] = ACTIONS(6278),
    [anon_sym_EQ_EQ] = ACTIONS(6276),
    [anon_sym_BANG_EQ] = ACTIONS(6276),
    [anon_sym_GT] = ACTIONS(6278),
    [anon_sym_GT_EQ] = ACTIONS(6276),
    [anon_sym_LT_EQ] = ACTIONS(6278),
    [anon_sym_LT] = ACTIONS(6278),
    [anon_sym_LT_LT] = ACTIONS(6278),
    [anon_sym_GT_GT] = ACTIONS(6278),
    [anon_sym_COLON] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(6276),
    [anon_sym_RBRACE] = ACTIONS(6276),
    [anon_sym_LBRACK] = ACTIONS(6276),
    [anon_sym_RBRACK] = ACTIONS(6276),
    [anon_sym_EQ] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(6276),
    [anon_sym_STAR_EQ] = ACTIONS(6276),
    [anon_sym_SLASH_EQ] = ACTIONS(6276),
    [anon_sym_PERCENT_EQ] = ACTIONS(6276),
    [anon_sym_PLUS_EQ] = ACTIONS(6276),
    [anon_sym_DASH_EQ] = ACTIONS(6276),
    [anon_sym_LT_LT_EQ] = ACTIONS(6276),
    [anon_sym_GT_GT_EQ] = ACTIONS(6276),
    [anon_sym_AMP_EQ] = ACTIONS(6276),
    [anon_sym_CARET_EQ] = ACTIONS(6276),
    [anon_sym_PIPE_EQ] = ACTIONS(6276),
    [anon_sym_and_eq] = ACTIONS(6278),
    [anon_sym_or_eq] = ACTIONS(6278),
    [anon_sym_xor_eq] = ACTIONS(6278),
    [anon_sym_LT_EQ_GT] = ACTIONS(6276),
    [anon_sym_or] = ACTIONS(6278),
    [anon_sym_and] = ACTIONS(6278),
    [anon_sym_bitor] = ACTIONS(6278),
    [anon_sym_xor] = ACTIONS(6278),
    [anon_sym_bitand] = ACTIONS(6278),
    [anon_sym_not_eq] = ACTIONS(6278),
    [anon_sym_DASH_DASH] = ACTIONS(6276),
    [anon_sym_PLUS_PLUS] = ACTIONS(6276),
    [anon_sym_DOT] = ACTIONS(6278),
    [anon_sym_DOT_STAR] = ACTIONS(6276),
    [anon_sym_DASH_GT] = ACTIONS(6276),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [sym_literal_suffix] = ACTIONS(6278),
  },
  [2443] = {
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4976),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_RPAREN] = ACTIONS(4976),
    [aux_sym_preproc_if_token2] = ACTIONS(4976),
    [aux_sym_preproc_else_token1] = ACTIONS(4976),
    [aux_sym_preproc_elif_token1] = ACTIONS(4974),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4974),
    [anon_sym_STAR] = ACTIONS(4976),
    [anon_sym_SLASH] = ACTIONS(4974),
    [anon_sym_PERCENT] = ACTIONS(4976),
    [anon_sym_PIPE_PIPE] = ACTIONS(4976),
    [anon_sym_AMP_AMP] = ACTIONS(4976),
    [anon_sym_PIPE] = ACTIONS(4974),
    [anon_sym_CARET] = ACTIONS(4976),
    [anon_sym_AMP] = ACTIONS(4974),
    [anon_sym_EQ_EQ] = ACTIONS(4976),
    [anon_sym_BANG_EQ] = ACTIONS(4976),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4976),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_LT_LT] = ACTIONS(4976),
    [anon_sym_GT_GT] = ACTIONS(4976),
    [anon_sym_COLON] = ACTIONS(4976),
    [anon_sym_SEMI] = ACTIONS(4976),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym___attribute__] = ACTIONS(4974),
    [anon_sym___attribute] = ACTIONS(4974),
    [anon_sym_LBRACE] = ACTIONS(4976),
    [anon_sym_RBRACE] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4974),
    [anon_sym_unsigned] = ACTIONS(4974),
    [anon_sym_long] = ACTIONS(4974),
    [anon_sym_short] = ACTIONS(4974),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym_RBRACK] = ACTIONS(4976),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_mutable] = ACTIONS(4974),
    [anon_sym_constinit] = ACTIONS(4974),
    [anon_sym_consteval] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(4974),
    [anon_sym_QMARK] = ACTIONS(4976),
    [anon_sym_LT_EQ_GT] = ACTIONS(4976),
    [anon_sym_or] = ACTIONS(4974),
    [anon_sym_and] = ACTIONS(4974),
    [anon_sym_bitor] = ACTIONS(4974),
    [anon_sym_xor] = ACTIONS(4974),
    [anon_sym_bitand] = ACTIONS(4974),
    [anon_sym_not_eq] = ACTIONS(4974),
    [anon_sym_DASH_DASH] = ACTIONS(4976),
    [anon_sym_PLUS_PLUS] = ACTIONS(4976),
    [anon_sym_DOT] = ACTIONS(4974),
    [anon_sym_DOT_STAR] = ACTIONS(4976),
    [anon_sym_DASH_GT] = ACTIONS(4976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4974),
    [anon_sym_decltype] = ACTIONS(4974),
    [anon_sym_final] = ACTIONS(4974),
    [anon_sym_override] = ACTIONS(4974),
    [anon_sym_requires] = ACTIONS(4974),
  },
  [2444] = {
    [sym_identifier] = ACTIONS(6134),
    [anon_sym___extension__] = ACTIONS(6134),
    [anon_sym_in] = ACTIONS(6134),
    [anon_sym_out] = ACTIONS(6134),
    [anon_sym_inout] = ACTIONS(6134),
    [anon_sym_virtual] = ACTIONS(6134),
    [anon_sym_extern] = ACTIONS(6134),
    [anon_sym___attribute__] = ACTIONS(6134),
    [anon_sym___attribute] = ACTIONS(6134),
    [anon_sym_COLON_COLON] = ACTIONS(6136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6136),
    [anon_sym___declspec] = ACTIONS(6134),
    [anon_sym___cdecl] = ACTIONS(6134),
    [anon_sym___clrcall] = ACTIONS(6134),
    [anon_sym___stdcall] = ACTIONS(6134),
    [anon_sym___fastcall] = ACTIONS(6134),
    [anon_sym___thiscall] = ACTIONS(6134),
    [anon_sym___vectorcall] = ACTIONS(6134),
    [anon_sym_signed] = ACTIONS(6134),
    [anon_sym_unsigned] = ACTIONS(6134),
    [anon_sym_long] = ACTIONS(6134),
    [anon_sym_short] = ACTIONS(6134),
    [anon_sym_static] = ACTIONS(6134),
    [anon_sym_register] = ACTIONS(6134),
    [anon_sym_inline] = ACTIONS(6134),
    [anon_sym___inline] = ACTIONS(6134),
    [anon_sym___inline__] = ACTIONS(6134),
    [anon_sym___forceinline] = ACTIONS(6134),
    [anon_sym_thread_local] = ACTIONS(6134),
    [anon_sym___thread] = ACTIONS(6134),
    [anon_sym_const] = ACTIONS(6134),
    [anon_sym_constexpr] = ACTIONS(6134),
    [anon_sym_volatile] = ACTIONS(6134),
    [anon_sym_restrict] = ACTIONS(6134),
    [anon_sym___restrict__] = ACTIONS(6134),
    [anon_sym__Atomic] = ACTIONS(6134),
    [anon_sym__Noreturn] = ACTIONS(6134),
    [anon_sym_noreturn] = ACTIONS(6134),
    [anon_sym__Nonnull] = ACTIONS(6134),
    [anon_sym_mutable] = ACTIONS(6134),
    [anon_sym_constinit] = ACTIONS(6134),
    [anon_sym_consteval] = ACTIONS(6134),
    [anon_sym_alignas] = ACTIONS(6134),
    [anon_sym__Alignas] = ACTIONS(6134),
    [sym_primitive_type] = ACTIONS(6134),
    [anon_sym_enum] = ACTIONS(6134),
    [anon_sym_class] = ACTIONS(6134),
    [anon_sym_struct] = ACTIONS(6134),
    [anon_sym_union] = ACTIONS(6134),
    [anon_sym_if] = ACTIONS(6134),
    [anon_sym_for] = ACTIONS(6134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6134),
    [anon_sym_decltype] = ACTIONS(6134),
    [anon_sym_typename] = ACTIONS(6134),
    [anon_sym_template] = ACTIONS(6134),
    [anon_sym_precise] = ACTIONS(6134),
    [anon_sym_shared] = ACTIONS(6134),
    [anon_sym_groupshared] = ACTIONS(6134),
    [anon_sym_uniform] = ACTIONS(6134),
    [anon_sym_row_major] = ACTIONS(6134),
    [anon_sym_column_major] = ACTIONS(6134),
    [anon_sym_globallycoherent] = ACTIONS(6134),
    [anon_sym_centroid] = ACTIONS(6134),
    [anon_sym_noperspective] = ACTIONS(6134),
    [anon_sym_nointerpolation] = ACTIONS(6134),
    [anon_sym_sample] = ACTIONS(6134),
    [anon_sym_linear] = ACTIONS(6134),
    [anon_sym_snorm] = ACTIONS(6134),
    [anon_sym_unorm] = ACTIONS(6134),
    [anon_sym_point] = ACTIONS(6134),
    [anon_sym_line] = ACTIONS(6134),
    [anon_sym_triangleadj] = ACTIONS(6134),
    [anon_sym_lineadj] = ACTIONS(6134),
    [anon_sym_triangle] = ACTIONS(6134),
  },
  [2445] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_COMMA] = ACTIONS(2241),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2241),
    [anon_sym_BANG_EQ] = ACTIONS(2241),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2241),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_EQ] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_QMARK] = ACTIONS(2241),
    [anon_sym_STAR_EQ] = ACTIONS(2241),
    [anon_sym_SLASH_EQ] = ACTIONS(2241),
    [anon_sym_PERCENT_EQ] = ACTIONS(2241),
    [anon_sym_PLUS_EQ] = ACTIONS(2241),
    [anon_sym_DASH_EQ] = ACTIONS(2241),
    [anon_sym_LT_LT_EQ] = ACTIONS(2241),
    [anon_sym_GT_GT_EQ] = ACTIONS(2241),
    [anon_sym_AMP_EQ] = ACTIONS(2241),
    [anon_sym_CARET_EQ] = ACTIONS(2241),
    [anon_sym_PIPE_EQ] = ACTIONS(2241),
    [anon_sym_LT_EQ_GT] = ACTIONS(2241),
    [anon_sym_or] = ACTIONS(2251),
    [anon_sym_and] = ACTIONS(2251),
    [anon_sym_bitor] = ACTIONS(2251),
    [anon_sym_xor] = ACTIONS(2251),
    [anon_sym_bitand] = ACTIONS(2251),
    [anon_sym_not_eq] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DOT_STAR] = ACTIONS(2241),
    [anon_sym_DASH_GT] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2241),
  },
  [2446] = {
    [sym_attribute_specifier] = STATE(2319),
    [sym_enumerator_list] = STATE(2379),
    [sym__enum_base_clause] = STATE(2310),
    [sym_identifier] = ACTIONS(6154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6156),
    [anon_sym_COMMA] = ACTIONS(6156),
    [anon_sym_RPAREN] = ACTIONS(6156),
    [anon_sym_LPAREN2] = ACTIONS(6156),
    [anon_sym_TILDE] = ACTIONS(6156),
    [anon_sym_STAR] = ACTIONS(6156),
    [anon_sym_AMP_AMP] = ACTIONS(6156),
    [anon_sym_AMP] = ACTIONS(6154),
    [anon_sym_COLON] = ACTIONS(6280),
    [anon_sym___extension__] = ACTIONS(6154),
    [anon_sym_in] = ACTIONS(6154),
    [anon_sym_out] = ACTIONS(6154),
    [anon_sym_inout] = ACTIONS(6154),
    [anon_sym_virtual] = ACTIONS(6154),
    [anon_sym_extern] = ACTIONS(6154),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6156),
    [anon_sym___declspec] = ACTIONS(6154),
    [anon_sym___based] = ACTIONS(6154),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_LBRACK] = ACTIONS(6154),
    [anon_sym_static] = ACTIONS(6154),
    [anon_sym_EQ] = ACTIONS(6156),
    [anon_sym_register] = ACTIONS(6154),
    [anon_sym_inline] = ACTIONS(6154),
    [anon_sym___inline] = ACTIONS(6154),
    [anon_sym___inline__] = ACTIONS(6154),
    [anon_sym___forceinline] = ACTIONS(6154),
    [anon_sym_thread_local] = ACTIONS(6154),
    [anon_sym___thread] = ACTIONS(6154),
    [anon_sym_const] = ACTIONS(6154),
    [anon_sym_constexpr] = ACTIONS(6154),
    [anon_sym_volatile] = ACTIONS(6154),
    [anon_sym_restrict] = ACTIONS(6154),
    [anon_sym___restrict__] = ACTIONS(6154),
    [anon_sym__Atomic] = ACTIONS(6154),
    [anon_sym__Noreturn] = ACTIONS(6154),
    [anon_sym_noreturn] = ACTIONS(6154),
    [anon_sym__Nonnull] = ACTIONS(6154),
    [anon_sym_mutable] = ACTIONS(6154),
    [anon_sym_constinit] = ACTIONS(6154),
    [anon_sym_consteval] = ACTIONS(6154),
    [anon_sym_alignas] = ACTIONS(6154),
    [anon_sym__Alignas] = ACTIONS(6154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6154),
    [anon_sym_decltype] = ACTIONS(6154),
    [anon_sym_template] = ACTIONS(6154),
    [anon_sym_GT2] = ACTIONS(6156),
    [anon_sym_operator] = ACTIONS(6154),
    [anon_sym_precise] = ACTIONS(6154),
    [anon_sym_shared] = ACTIONS(6154),
    [anon_sym_groupshared] = ACTIONS(6154),
    [anon_sym_uniform] = ACTIONS(6154),
    [anon_sym_row_major] = ACTIONS(6154),
    [anon_sym_column_major] = ACTIONS(6154),
    [anon_sym_globallycoherent] = ACTIONS(6154),
    [anon_sym_centroid] = ACTIONS(6154),
    [anon_sym_noperspective] = ACTIONS(6154),
    [anon_sym_nointerpolation] = ACTIONS(6154),
    [anon_sym_sample] = ACTIONS(6154),
    [anon_sym_linear] = ACTIONS(6154),
    [anon_sym_snorm] = ACTIONS(6154),
    [anon_sym_unorm] = ACTIONS(6154),
    [anon_sym_point] = ACTIONS(6154),
    [anon_sym_line] = ACTIONS(6154),
    [anon_sym_triangleadj] = ACTIONS(6154),
    [anon_sym_lineadj] = ACTIONS(6154),
    [anon_sym_triangle] = ACTIONS(6154),
  },
  [2447] = {
    [sym_attribute_specifier] = STATE(2337),
    [sym_enumerator_list] = STATE(2377),
    [sym__enum_base_clause] = STATE(2341),
    [sym_identifier] = ACTIONS(6170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6172),
    [anon_sym_COMMA] = ACTIONS(6172),
    [anon_sym_RPAREN] = ACTIONS(6172),
    [anon_sym_LPAREN2] = ACTIONS(6172),
    [anon_sym_TILDE] = ACTIONS(6172),
    [anon_sym_STAR] = ACTIONS(6172),
    [anon_sym_AMP_AMP] = ACTIONS(6172),
    [anon_sym_AMP] = ACTIONS(6170),
    [anon_sym_COLON] = ACTIONS(6280),
    [anon_sym___extension__] = ACTIONS(6170),
    [anon_sym_in] = ACTIONS(6170),
    [anon_sym_out] = ACTIONS(6170),
    [anon_sym_inout] = ACTIONS(6170),
    [anon_sym_virtual] = ACTIONS(6170),
    [anon_sym_extern] = ACTIONS(6170),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(6172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6172),
    [anon_sym___declspec] = ACTIONS(6170),
    [anon_sym___based] = ACTIONS(6170),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_LBRACK] = ACTIONS(6170),
    [anon_sym_static] = ACTIONS(6170),
    [anon_sym_EQ] = ACTIONS(6172),
    [anon_sym_register] = ACTIONS(6170),
    [anon_sym_inline] = ACTIONS(6170),
    [anon_sym___inline] = ACTIONS(6170),
    [anon_sym___inline__] = ACTIONS(6170),
    [anon_sym___forceinline] = ACTIONS(6170),
    [anon_sym_thread_local] = ACTIONS(6170),
    [anon_sym___thread] = ACTIONS(6170),
    [anon_sym_const] = ACTIONS(6170),
    [anon_sym_constexpr] = ACTIONS(6170),
    [anon_sym_volatile] = ACTIONS(6170),
    [anon_sym_restrict] = ACTIONS(6170),
    [anon_sym___restrict__] = ACTIONS(6170),
    [anon_sym__Atomic] = ACTIONS(6170),
    [anon_sym__Noreturn] = ACTIONS(6170),
    [anon_sym_noreturn] = ACTIONS(6170),
    [anon_sym__Nonnull] = ACTIONS(6170),
    [anon_sym_mutable] = ACTIONS(6170),
    [anon_sym_constinit] = ACTIONS(6170),
    [anon_sym_consteval] = ACTIONS(6170),
    [anon_sym_alignas] = ACTIONS(6170),
    [anon_sym__Alignas] = ACTIONS(6170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6170),
    [anon_sym_decltype] = ACTIONS(6170),
    [anon_sym_template] = ACTIONS(6170),
    [anon_sym_GT2] = ACTIONS(6172),
    [anon_sym_operator] = ACTIONS(6170),
    [anon_sym_precise] = ACTIONS(6170),
    [anon_sym_shared] = ACTIONS(6170),
    [anon_sym_groupshared] = ACTIONS(6170),
    [anon_sym_uniform] = ACTIONS(6170),
    [anon_sym_row_major] = ACTIONS(6170),
    [anon_sym_column_major] = ACTIONS(6170),
    [anon_sym_globallycoherent] = ACTIONS(6170),
    [anon_sym_centroid] = ACTIONS(6170),
    [anon_sym_noperspective] = ACTIONS(6170),
    [anon_sym_nointerpolation] = ACTIONS(6170),
    [anon_sym_sample] = ACTIONS(6170),
    [anon_sym_linear] = ACTIONS(6170),
    [anon_sym_snorm] = ACTIONS(6170),
    [anon_sym_unorm] = ACTIONS(6170),
    [anon_sym_point] = ACTIONS(6170),
    [anon_sym_line] = ACTIONS(6170),
    [anon_sym_triangleadj] = ACTIONS(6170),
    [anon_sym_lineadj] = ACTIONS(6170),
    [anon_sym_triangle] = ACTIONS(6170),
  },
  [2448] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1962),
    [anon_sym_BANG_EQ] = ACTIONS(1962),
    [anon_sym_GT] = ACTIONS(1960),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym___extension__] = ACTIONS(1962),
    [anon_sym___attribute__] = ACTIONS(1962),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_EQ] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1962),
    [anon_sym_volatile] = ACTIONS(1962),
    [anon_sym_restrict] = ACTIONS(1962),
    [anon_sym___restrict__] = ACTIONS(1962),
    [anon_sym__Atomic] = ACTIONS(1962),
    [anon_sym__Noreturn] = ACTIONS(1962),
    [anon_sym_noreturn] = ACTIONS(1962),
    [anon_sym__Nonnull] = ACTIONS(1962),
    [anon_sym_mutable] = ACTIONS(1962),
    [anon_sym_constinit] = ACTIONS(1962),
    [anon_sym_consteval] = ACTIONS(1962),
    [anon_sym_alignas] = ACTIONS(1962),
    [anon_sym__Alignas] = ACTIONS(1962),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_STAR_EQ] = ACTIONS(1962),
    [anon_sym_SLASH_EQ] = ACTIONS(1962),
    [anon_sym_PERCENT_EQ] = ACTIONS(1962),
    [anon_sym_PLUS_EQ] = ACTIONS(1962),
    [anon_sym_DASH_EQ] = ACTIONS(1962),
    [anon_sym_LT_LT_EQ] = ACTIONS(1962),
    [anon_sym_GT_GT_EQ] = ACTIONS(1960),
    [anon_sym_AMP_EQ] = ACTIONS(1962),
    [anon_sym_CARET_EQ] = ACTIONS(1962),
    [anon_sym_PIPE_EQ] = ACTIONS(1962),
    [anon_sym_and_eq] = ACTIONS(1962),
    [anon_sym_or_eq] = ACTIONS(1962),
    [anon_sym_xor_eq] = ACTIONS(1962),
    [anon_sym_LT_EQ_GT] = ACTIONS(1962),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [anon_sym_bitor] = ACTIONS(1962),
    [anon_sym_xor] = ACTIONS(1960),
    [anon_sym_bitand] = ACTIONS(1962),
    [anon_sym_not_eq] = ACTIONS(1962),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_DOT_STAR] = ACTIONS(1962),
    [anon_sym_DASH_GT] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1962),
    [anon_sym_decltype] = ACTIONS(1962),
    [anon_sym_final] = ACTIONS(1962),
    [anon_sym_override] = ACTIONS(1962),
    [anon_sym_GT2] = ACTIONS(1962),
  },
  [2449] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_PERCENT] = ACTIONS(1922),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_PIPE] = ACTIONS(1922),
    [anon_sym_CARET] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_GT] = ACTIONS(1922),
    [anon_sym_GT_EQ] = ACTIONS(1922),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_LT_LT] = ACTIONS(1922),
    [anon_sym_GT_GT] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym___attribute__] = ACTIONS(1924),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_EQ] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1924),
    [anon_sym_volatile] = ACTIONS(1924),
    [anon_sym_restrict] = ACTIONS(1924),
    [anon_sym___restrict__] = ACTIONS(1924),
    [anon_sym__Atomic] = ACTIONS(1924),
    [anon_sym__Noreturn] = ACTIONS(1924),
    [anon_sym_noreturn] = ACTIONS(1924),
    [anon_sym__Nonnull] = ACTIONS(1924),
    [anon_sym_mutable] = ACTIONS(1924),
    [anon_sym_constinit] = ACTIONS(1924),
    [anon_sym_consteval] = ACTIONS(1924),
    [anon_sym_alignas] = ACTIONS(1924),
    [anon_sym__Alignas] = ACTIONS(1924),
    [anon_sym_QMARK] = ACTIONS(1924),
    [anon_sym_STAR_EQ] = ACTIONS(1924),
    [anon_sym_SLASH_EQ] = ACTIONS(1924),
    [anon_sym_PERCENT_EQ] = ACTIONS(1924),
    [anon_sym_PLUS_EQ] = ACTIONS(1924),
    [anon_sym_DASH_EQ] = ACTIONS(1924),
    [anon_sym_LT_LT_EQ] = ACTIONS(1924),
    [anon_sym_GT_GT_EQ] = ACTIONS(1922),
    [anon_sym_AMP_EQ] = ACTIONS(1924),
    [anon_sym_CARET_EQ] = ACTIONS(1924),
    [anon_sym_PIPE_EQ] = ACTIONS(1924),
    [anon_sym_and_eq] = ACTIONS(1924),
    [anon_sym_or_eq] = ACTIONS(1924),
    [anon_sym_xor_eq] = ACTIONS(1924),
    [anon_sym_LT_EQ_GT] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_bitor] = ACTIONS(1924),
    [anon_sym_xor] = ACTIONS(1922),
    [anon_sym_bitand] = ACTIONS(1924),
    [anon_sym_not_eq] = ACTIONS(1924),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DOT] = ACTIONS(1922),
    [anon_sym_DOT_STAR] = ACTIONS(1924),
    [anon_sym_DASH_GT] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1924),
    [anon_sym_decltype] = ACTIONS(1924),
    [anon_sym_final] = ACTIONS(1924),
    [anon_sym_override] = ACTIONS(1924),
    [anon_sym_GT2] = ACTIONS(1924),
  },
  [2450] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1930),
    [anon_sym_SLASH] = ACTIONS(1930),
    [anon_sym_PERCENT] = ACTIONS(1930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(1930),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1930),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_LT_LT] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym___extension__] = ACTIONS(1932),
    [anon_sym___attribute__] = ACTIONS(1932),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1932),
    [anon_sym_EQ] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1932),
    [anon_sym_volatile] = ACTIONS(1932),
    [anon_sym_restrict] = ACTIONS(1932),
    [anon_sym___restrict__] = ACTIONS(1932),
    [anon_sym__Atomic] = ACTIONS(1932),
    [anon_sym__Noreturn] = ACTIONS(1932),
    [anon_sym_noreturn] = ACTIONS(1932),
    [anon_sym__Nonnull] = ACTIONS(1932),
    [anon_sym_mutable] = ACTIONS(1932),
    [anon_sym_constinit] = ACTIONS(1932),
    [anon_sym_consteval] = ACTIONS(1932),
    [anon_sym_alignas] = ACTIONS(1932),
    [anon_sym__Alignas] = ACTIONS(1932),
    [anon_sym_QMARK] = ACTIONS(1932),
    [anon_sym_STAR_EQ] = ACTIONS(1932),
    [anon_sym_SLASH_EQ] = ACTIONS(1932),
    [anon_sym_PERCENT_EQ] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1932),
    [anon_sym_DASH_EQ] = ACTIONS(1932),
    [anon_sym_LT_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT_GT_EQ] = ACTIONS(1930),
    [anon_sym_AMP_EQ] = ACTIONS(1932),
    [anon_sym_CARET_EQ] = ACTIONS(1932),
    [anon_sym_PIPE_EQ] = ACTIONS(1932),
    [anon_sym_and_eq] = ACTIONS(1932),
    [anon_sym_or_eq] = ACTIONS(1932),
    [anon_sym_xor_eq] = ACTIONS(1932),
    [anon_sym_LT_EQ_GT] = ACTIONS(1932),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [anon_sym_bitor] = ACTIONS(1932),
    [anon_sym_xor] = ACTIONS(1930),
    [anon_sym_bitand] = ACTIONS(1932),
    [anon_sym_not_eq] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_DOT_STAR] = ACTIONS(1932),
    [anon_sym_DASH_GT] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1932),
    [anon_sym_decltype] = ACTIONS(1932),
    [anon_sym_final] = ACTIONS(1932),
    [anon_sym_override] = ACTIONS(1932),
    [anon_sym_GT2] = ACTIONS(1932),
  },
  [2451] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1934),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1934),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(1936),
    [anon_sym___attribute__] = ACTIONS(1936),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_EQ] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1936),
    [anon_sym_volatile] = ACTIONS(1936),
    [anon_sym_restrict] = ACTIONS(1936),
    [anon_sym___restrict__] = ACTIONS(1936),
    [anon_sym__Atomic] = ACTIONS(1936),
    [anon_sym__Noreturn] = ACTIONS(1936),
    [anon_sym_noreturn] = ACTIONS(1936),
    [anon_sym__Nonnull] = ACTIONS(1936),
    [anon_sym_mutable] = ACTIONS(1936),
    [anon_sym_constinit] = ACTIONS(1936),
    [anon_sym_consteval] = ACTIONS(1936),
    [anon_sym_alignas] = ACTIONS(1936),
    [anon_sym__Alignas] = ACTIONS(1936),
    [anon_sym_QMARK] = ACTIONS(1936),
    [anon_sym_STAR_EQ] = ACTIONS(1936),
    [anon_sym_SLASH_EQ] = ACTIONS(1936),
    [anon_sym_PERCENT_EQ] = ACTIONS(1936),
    [anon_sym_PLUS_EQ] = ACTIONS(1936),
    [anon_sym_DASH_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT_EQ] = ACTIONS(1936),
    [anon_sym_GT_GT_EQ] = ACTIONS(1934),
    [anon_sym_AMP_EQ] = ACTIONS(1936),
    [anon_sym_CARET_EQ] = ACTIONS(1936),
    [anon_sym_PIPE_EQ] = ACTIONS(1936),
    [anon_sym_and_eq] = ACTIONS(1936),
    [anon_sym_or_eq] = ACTIONS(1936),
    [anon_sym_xor_eq] = ACTIONS(1936),
    [anon_sym_LT_EQ_GT] = ACTIONS(1936),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [anon_sym_bitor] = ACTIONS(1936),
    [anon_sym_xor] = ACTIONS(1934),
    [anon_sym_bitand] = ACTIONS(1936),
    [anon_sym_not_eq] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_DOT_STAR] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1936),
    [anon_sym_decltype] = ACTIONS(1936),
    [anon_sym_final] = ACTIONS(1936),
    [anon_sym_override] = ACTIONS(1936),
    [anon_sym_GT2] = ACTIONS(1936),
  },
  [2452] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1918),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1920),
    [anon_sym___attribute__] = ACTIONS(1920),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1920),
    [anon_sym_volatile] = ACTIONS(1920),
    [anon_sym_restrict] = ACTIONS(1920),
    [anon_sym___restrict__] = ACTIONS(1920),
    [anon_sym__Atomic] = ACTIONS(1920),
    [anon_sym__Noreturn] = ACTIONS(1920),
    [anon_sym_noreturn] = ACTIONS(1920),
    [anon_sym__Nonnull] = ACTIONS(1920),
    [anon_sym_mutable] = ACTIONS(1920),
    [anon_sym_constinit] = ACTIONS(1920),
    [anon_sym_consteval] = ACTIONS(1920),
    [anon_sym_alignas] = ACTIONS(1920),
    [anon_sym__Alignas] = ACTIONS(1920),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1918),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1920),
    [anon_sym_or_eq] = ACTIONS(1920),
    [anon_sym_xor_eq] = ACTIONS(1920),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1920),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1920),
    [anon_sym_not_eq] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1920),
    [anon_sym_decltype] = ACTIONS(1920),
    [anon_sym_final] = ACTIONS(1920),
    [anon_sym_override] = ACTIONS(1920),
    [anon_sym_GT2] = ACTIONS(1920),
  },
  [2453] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym___extension__] = ACTIONS(1940),
    [anon_sym___attribute__] = ACTIONS(1940),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1940),
    [anon_sym_volatile] = ACTIONS(1940),
    [anon_sym_restrict] = ACTIONS(1940),
    [anon_sym___restrict__] = ACTIONS(1940),
    [anon_sym__Atomic] = ACTIONS(1940),
    [anon_sym__Noreturn] = ACTIONS(1940),
    [anon_sym_noreturn] = ACTIONS(1940),
    [anon_sym__Nonnull] = ACTIONS(1940),
    [anon_sym_mutable] = ACTIONS(1940),
    [anon_sym_constinit] = ACTIONS(1940),
    [anon_sym_consteval] = ACTIONS(1940),
    [anon_sym_alignas] = ACTIONS(1940),
    [anon_sym__Alignas] = ACTIONS(1940),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_STAR_EQ] = ACTIONS(1940),
    [anon_sym_SLASH_EQ] = ACTIONS(1940),
    [anon_sym_PERCENT_EQ] = ACTIONS(1940),
    [anon_sym_PLUS_EQ] = ACTIONS(1940),
    [anon_sym_DASH_EQ] = ACTIONS(1940),
    [anon_sym_LT_LT_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_EQ] = ACTIONS(1938),
    [anon_sym_AMP_EQ] = ACTIONS(1940),
    [anon_sym_CARET_EQ] = ACTIONS(1940),
    [anon_sym_PIPE_EQ] = ACTIONS(1940),
    [anon_sym_and_eq] = ACTIONS(1940),
    [anon_sym_or_eq] = ACTIONS(1940),
    [anon_sym_xor_eq] = ACTIONS(1940),
    [anon_sym_LT_EQ_GT] = ACTIONS(1940),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [anon_sym_bitor] = ACTIONS(1940),
    [anon_sym_xor] = ACTIONS(1938),
    [anon_sym_bitand] = ACTIONS(1940),
    [anon_sym_not_eq] = ACTIONS(1940),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_DOT_STAR] = ACTIONS(1940),
    [anon_sym_DASH_GT] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1940),
    [anon_sym_decltype] = ACTIONS(1940),
    [anon_sym_final] = ACTIONS(1940),
    [anon_sym_override] = ACTIONS(1940),
    [anon_sym_GT2] = ACTIONS(1940),
  },
  [2454] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1926),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1926),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(1928),
    [anon_sym___attribute__] = ACTIONS(1928),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1928),
    [anon_sym_volatile] = ACTIONS(1928),
    [anon_sym_restrict] = ACTIONS(1928),
    [anon_sym___restrict__] = ACTIONS(1928),
    [anon_sym__Atomic] = ACTIONS(1928),
    [anon_sym__Noreturn] = ACTIONS(1928),
    [anon_sym_noreturn] = ACTIONS(1928),
    [anon_sym__Nonnull] = ACTIONS(1928),
    [anon_sym_mutable] = ACTIONS(1928),
    [anon_sym_constinit] = ACTIONS(1928),
    [anon_sym_consteval] = ACTIONS(1928),
    [anon_sym_alignas] = ACTIONS(1928),
    [anon_sym__Alignas] = ACTIONS(1928),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_STAR_EQ] = ACTIONS(1928),
    [anon_sym_SLASH_EQ] = ACTIONS(1928),
    [anon_sym_PERCENT_EQ] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1928),
    [anon_sym_DASH_EQ] = ACTIONS(1928),
    [anon_sym_LT_LT_EQ] = ACTIONS(1928),
    [anon_sym_GT_GT_EQ] = ACTIONS(1926),
    [anon_sym_AMP_EQ] = ACTIONS(1928),
    [anon_sym_CARET_EQ] = ACTIONS(1928),
    [anon_sym_PIPE_EQ] = ACTIONS(1928),
    [anon_sym_and_eq] = ACTIONS(1928),
    [anon_sym_or_eq] = ACTIONS(1928),
    [anon_sym_xor_eq] = ACTIONS(1928),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1928),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1928),
    [anon_sym_not_eq] = ACTIONS(1928),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1928),
    [anon_sym_decltype] = ACTIONS(1928),
    [anon_sym_final] = ACTIONS(1928),
    [anon_sym_override] = ACTIONS(1928),
    [anon_sym_GT2] = ACTIONS(1928),
  },
  [2455] = {
    [sym_template_argument_list] = STATE(2251),
    [sym_identifier] = ACTIONS(1964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(6146),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_out] = ACTIONS(1964),
    [anon_sym_inout] = ACTIONS(1964),
    [anon_sym_virtual] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1964),
    [anon_sym___based] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_EQ] = ACTIONS(6148),
    [anon_sym_register] = ACTIONS(1964),
    [anon_sym_inline] = ACTIONS(1964),
    [anon_sym___inline] = ACTIONS(1964),
    [anon_sym___inline__] = ACTIONS(1964),
    [anon_sym___forceinline] = ACTIONS(1964),
    [anon_sym_thread_local] = ACTIONS(1964),
    [anon_sym___thread] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_constexpr] = ACTIONS(1964),
    [anon_sym_volatile] = ACTIONS(1964),
    [anon_sym_restrict] = ACTIONS(1964),
    [anon_sym___restrict__] = ACTIONS(1964),
    [anon_sym__Atomic] = ACTIONS(1964),
    [anon_sym__Noreturn] = ACTIONS(1964),
    [anon_sym_noreturn] = ACTIONS(1964),
    [anon_sym__Nonnull] = ACTIONS(1964),
    [anon_sym_mutable] = ACTIONS(1964),
    [anon_sym_constinit] = ACTIONS(1964),
    [anon_sym_consteval] = ACTIONS(1964),
    [anon_sym_alignas] = ACTIONS(1964),
    [anon_sym__Alignas] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_final] = ACTIONS(1964),
    [anon_sym_override] = ACTIONS(1964),
    [anon_sym_template] = ACTIONS(1964),
    [anon_sym_GT2] = ACTIONS(6146),
    [anon_sym_operator] = ACTIONS(1964),
    [anon_sym_precise] = ACTIONS(1964),
    [anon_sym_shared] = ACTIONS(1964),
    [anon_sym_groupshared] = ACTIONS(1964),
    [anon_sym_uniform] = ACTIONS(1964),
    [anon_sym_row_major] = ACTIONS(1964),
    [anon_sym_column_major] = ACTIONS(1964),
    [anon_sym_globallycoherent] = ACTIONS(1964),
    [anon_sym_centroid] = ACTIONS(1964),
    [anon_sym_noperspective] = ACTIONS(1964),
    [anon_sym_nointerpolation] = ACTIONS(1964),
    [anon_sym_sample] = ACTIONS(1964),
    [anon_sym_linear] = ACTIONS(1964),
    [anon_sym_snorm] = ACTIONS(1964),
    [anon_sym_unorm] = ACTIONS(1964),
    [anon_sym_point] = ACTIONS(1964),
    [anon_sym_line] = ACTIONS(1964),
    [anon_sym_triangleadj] = ACTIONS(1964),
    [anon_sym_lineadj] = ACTIONS(1964),
    [anon_sym_triangle] = ACTIONS(1964),
  },
  [2456] = {
    [sym_identifier] = ACTIONS(6282),
    [anon_sym___extension__] = ACTIONS(6282),
    [anon_sym_in] = ACTIONS(6282),
    [anon_sym_out] = ACTIONS(6282),
    [anon_sym_inout] = ACTIONS(6282),
    [anon_sym_virtual] = ACTIONS(6282),
    [anon_sym_extern] = ACTIONS(6282),
    [anon_sym___attribute__] = ACTIONS(6282),
    [anon_sym___attribute] = ACTIONS(6282),
    [anon_sym_COLON_COLON] = ACTIONS(6284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6284),
    [anon_sym___declspec] = ACTIONS(6282),
    [anon_sym___cdecl] = ACTIONS(6282),
    [anon_sym___clrcall] = ACTIONS(6282),
    [anon_sym___stdcall] = ACTIONS(6282),
    [anon_sym___fastcall] = ACTIONS(6282),
    [anon_sym___thiscall] = ACTIONS(6282),
    [anon_sym___vectorcall] = ACTIONS(6282),
    [anon_sym_LBRACE] = ACTIONS(6284),
    [anon_sym_signed] = ACTIONS(6282),
    [anon_sym_unsigned] = ACTIONS(6282),
    [anon_sym_long] = ACTIONS(6282),
    [anon_sym_short] = ACTIONS(6282),
    [anon_sym_LBRACK] = ACTIONS(6282),
    [anon_sym_static] = ACTIONS(6282),
    [anon_sym_register] = ACTIONS(6282),
    [anon_sym_inline] = ACTIONS(6282),
    [anon_sym___inline] = ACTIONS(6282),
    [anon_sym___inline__] = ACTIONS(6282),
    [anon_sym___forceinline] = ACTIONS(6282),
    [anon_sym_thread_local] = ACTIONS(6282),
    [anon_sym___thread] = ACTIONS(6282),
    [anon_sym_const] = ACTIONS(6282),
    [anon_sym_constexpr] = ACTIONS(6282),
    [anon_sym_volatile] = ACTIONS(6282),
    [anon_sym_restrict] = ACTIONS(6282),
    [anon_sym___restrict__] = ACTIONS(6282),
    [anon_sym__Atomic] = ACTIONS(6282),
    [anon_sym__Noreturn] = ACTIONS(6282),
    [anon_sym_noreturn] = ACTIONS(6282),
    [anon_sym__Nonnull] = ACTIONS(6282),
    [anon_sym_mutable] = ACTIONS(6282),
    [anon_sym_constinit] = ACTIONS(6282),
    [anon_sym_consteval] = ACTIONS(6282),
    [anon_sym_alignas] = ACTIONS(6282),
    [anon_sym__Alignas] = ACTIONS(6282),
    [sym_primitive_type] = ACTIONS(6282),
    [anon_sym_enum] = ACTIONS(6282),
    [anon_sym_class] = ACTIONS(6282),
    [anon_sym_struct] = ACTIONS(6282),
    [anon_sym_union] = ACTIONS(6282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6282),
    [anon_sym_decltype] = ACTIONS(6282),
    [anon_sym_typename] = ACTIONS(6282),
    [anon_sym_template] = ACTIONS(6282),
    [anon_sym_precise] = ACTIONS(6282),
    [anon_sym_shared] = ACTIONS(6282),
    [anon_sym_groupshared] = ACTIONS(6282),
    [anon_sym_uniform] = ACTIONS(6282),
    [anon_sym_row_major] = ACTIONS(6282),
    [anon_sym_column_major] = ACTIONS(6282),
    [anon_sym_globallycoherent] = ACTIONS(6282),
    [anon_sym_centroid] = ACTIONS(6282),
    [anon_sym_noperspective] = ACTIONS(6282),
    [anon_sym_nointerpolation] = ACTIONS(6282),
    [anon_sym_sample] = ACTIONS(6282),
    [anon_sym_linear] = ACTIONS(6282),
    [anon_sym_snorm] = ACTIONS(6282),
    [anon_sym_unorm] = ACTIONS(6282),
    [anon_sym_point] = ACTIONS(6282),
    [anon_sym_line] = ACTIONS(6282),
    [anon_sym_triangleadj] = ACTIONS(6282),
    [anon_sym_lineadj] = ACTIONS(6282),
    [anon_sym_triangle] = ACTIONS(6282),
  },
  [2457] = {
    [sym_identifier] = ACTIONS(6286),
    [anon_sym___extension__] = ACTIONS(6286),
    [anon_sym_in] = ACTIONS(6286),
    [anon_sym_out] = ACTIONS(6286),
    [anon_sym_inout] = ACTIONS(6286),
    [anon_sym_virtual] = ACTIONS(6286),
    [anon_sym_extern] = ACTIONS(6286),
    [anon_sym___attribute__] = ACTIONS(6286),
    [anon_sym___attribute] = ACTIONS(6286),
    [anon_sym_COLON_COLON] = ACTIONS(6288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6288),
    [anon_sym___declspec] = ACTIONS(6286),
    [anon_sym___cdecl] = ACTIONS(6286),
    [anon_sym___clrcall] = ACTIONS(6286),
    [anon_sym___stdcall] = ACTIONS(6286),
    [anon_sym___fastcall] = ACTIONS(6286),
    [anon_sym___thiscall] = ACTIONS(6286),
    [anon_sym___vectorcall] = ACTIONS(6286),
    [anon_sym_LBRACE] = ACTIONS(6288),
    [anon_sym_signed] = ACTIONS(6286),
    [anon_sym_unsigned] = ACTIONS(6286),
    [anon_sym_long] = ACTIONS(6286),
    [anon_sym_short] = ACTIONS(6286),
    [anon_sym_LBRACK] = ACTIONS(6286),
    [anon_sym_static] = ACTIONS(6286),
    [anon_sym_register] = ACTIONS(6286),
    [anon_sym_inline] = ACTIONS(6286),
    [anon_sym___inline] = ACTIONS(6286),
    [anon_sym___inline__] = ACTIONS(6286),
    [anon_sym___forceinline] = ACTIONS(6286),
    [anon_sym_thread_local] = ACTIONS(6286),
    [anon_sym___thread] = ACTIONS(6286),
    [anon_sym_const] = ACTIONS(6286),
    [anon_sym_constexpr] = ACTIONS(6286),
    [anon_sym_volatile] = ACTIONS(6286),
    [anon_sym_restrict] = ACTIONS(6286),
    [anon_sym___restrict__] = ACTIONS(6286),
    [anon_sym__Atomic] = ACTIONS(6286),
    [anon_sym__Noreturn] = ACTIONS(6286),
    [anon_sym_noreturn] = ACTIONS(6286),
    [anon_sym__Nonnull] = ACTIONS(6286),
    [anon_sym_mutable] = ACTIONS(6286),
    [anon_sym_constinit] = ACTIONS(6286),
    [anon_sym_consteval] = ACTIONS(6286),
    [anon_sym_alignas] = ACTIONS(6286),
    [anon_sym__Alignas] = ACTIONS(6286),
    [sym_primitive_type] = ACTIONS(6286),
    [anon_sym_enum] = ACTIONS(6286),
    [anon_sym_class] = ACTIONS(6286),
    [anon_sym_struct] = ACTIONS(6286),
    [anon_sym_union] = ACTIONS(6286),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6286),
    [anon_sym_decltype] = ACTIONS(6286),
    [anon_sym_typename] = ACTIONS(6286),
    [anon_sym_template] = ACTIONS(6286),
    [anon_sym_precise] = ACTIONS(6286),
    [anon_sym_shared] = ACTIONS(6286),
    [anon_sym_groupshared] = ACTIONS(6286),
    [anon_sym_uniform] = ACTIONS(6286),
    [anon_sym_row_major] = ACTIONS(6286),
    [anon_sym_column_major] = ACTIONS(6286),
    [anon_sym_globallycoherent] = ACTIONS(6286),
    [anon_sym_centroid] = ACTIONS(6286),
    [anon_sym_noperspective] = ACTIONS(6286),
    [anon_sym_nointerpolation] = ACTIONS(6286),
    [anon_sym_sample] = ACTIONS(6286),
    [anon_sym_linear] = ACTIONS(6286),
    [anon_sym_snorm] = ACTIONS(6286),
    [anon_sym_unorm] = ACTIONS(6286),
    [anon_sym_point] = ACTIONS(6286),
    [anon_sym_line] = ACTIONS(6286),
    [anon_sym_triangleadj] = ACTIONS(6286),
    [anon_sym_lineadj] = ACTIONS(6286),
    [anon_sym_triangle] = ACTIONS(6286),
  },
  [2458] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_COMMA] = ACTIONS(2241),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [aux_sym_preproc_if_token2] = ACTIONS(2241),
    [aux_sym_preproc_else_token1] = ACTIONS(2241),
    [aux_sym_preproc_elif_token1] = ACTIONS(2251),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2241),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2241),
    [anon_sym_PIPE_PIPE] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2241),
    [anon_sym_BANG_EQ] = ACTIONS(2241),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2241),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2241),
    [anon_sym_GT_GT] = ACTIONS(2241),
    [anon_sym_COLON] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(2241),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_RBRACK] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_QMARK] = ACTIONS(2241),
    [anon_sym_LT_EQ_GT] = ACTIONS(2241),
    [anon_sym_or] = ACTIONS(2251),
    [anon_sym_and] = ACTIONS(2251),
    [anon_sym_bitor] = ACTIONS(2251),
    [anon_sym_xor] = ACTIONS(2251),
    [anon_sym_bitand] = ACTIONS(2251),
    [anon_sym_not_eq] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DOT_STAR] = ACTIONS(2241),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_final] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_requires] = ACTIONS(2251),
  },
  [2459] = {
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4976),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_RPAREN] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4974),
    [anon_sym_STAR] = ACTIONS(4974),
    [anon_sym_SLASH] = ACTIONS(4974),
    [anon_sym_PERCENT] = ACTIONS(4974),
    [anon_sym_PIPE_PIPE] = ACTIONS(4976),
    [anon_sym_AMP_AMP] = ACTIONS(4976),
    [anon_sym_PIPE] = ACTIONS(4974),
    [anon_sym_CARET] = ACTIONS(4974),
    [anon_sym_AMP] = ACTIONS(4974),
    [anon_sym_EQ_EQ] = ACTIONS(4976),
    [anon_sym_BANG_EQ] = ACTIONS(4976),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4976),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_LT_LT] = ACTIONS(4974),
    [anon_sym_GT_GT] = ACTIONS(4974),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym___attribute__] = ACTIONS(4974),
    [anon_sym___attribute] = ACTIONS(4974),
    [anon_sym_LBRACE] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4974),
    [anon_sym_unsigned] = ACTIONS(4974),
    [anon_sym_long] = ACTIONS(4974),
    [anon_sym_short] = ACTIONS(4974),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym_EQ] = ACTIONS(4974),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_mutable] = ACTIONS(4974),
    [anon_sym_constinit] = ACTIONS(4974),
    [anon_sym_consteval] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(4974),
    [anon_sym_QMARK] = ACTIONS(4976),
    [anon_sym_STAR_EQ] = ACTIONS(4976),
    [anon_sym_SLASH_EQ] = ACTIONS(4976),
    [anon_sym_PERCENT_EQ] = ACTIONS(4976),
    [anon_sym_PLUS_EQ] = ACTIONS(4976),
    [anon_sym_DASH_EQ] = ACTIONS(4976),
    [anon_sym_LT_LT_EQ] = ACTIONS(4976),
    [anon_sym_GT_GT_EQ] = ACTIONS(4976),
    [anon_sym_AMP_EQ] = ACTIONS(4976),
    [anon_sym_CARET_EQ] = ACTIONS(4976),
    [anon_sym_PIPE_EQ] = ACTIONS(4976),
    [anon_sym_LT_EQ_GT] = ACTIONS(4976),
    [anon_sym_or] = ACTIONS(4974),
    [anon_sym_and] = ACTIONS(4974),
    [anon_sym_bitor] = ACTIONS(4974),
    [anon_sym_xor] = ACTIONS(4974),
    [anon_sym_bitand] = ACTIONS(4974),
    [anon_sym_not_eq] = ACTIONS(4974),
    [anon_sym_DASH_DASH] = ACTIONS(4976),
    [anon_sym_PLUS_PLUS] = ACTIONS(4976),
    [anon_sym_DOT] = ACTIONS(4974),
    [anon_sym_DOT_STAR] = ACTIONS(4976),
    [anon_sym_DASH_GT] = ACTIONS(4974),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4974),
    [anon_sym_decltype] = ACTIONS(4974),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4976),
  },
  [2460] = {
    [sym_string_literal] = STATE(2460),
    [sym_raw_string_literal] = STATE(2460),
    [aux_sym_concatenated_string_repeat1] = STATE(2460),
    [sym_identifier] = ACTIONS(6290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6293),
    [anon_sym_COMMA] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6293),
    [aux_sym_preproc_if_token2] = ACTIONS(6293),
    [aux_sym_preproc_else_token1] = ACTIONS(6293),
    [aux_sym_preproc_elif_token1] = ACTIONS(6295),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6293),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6293),
    [anon_sym_LPAREN2] = ACTIONS(6293),
    [anon_sym_DASH] = ACTIONS(6295),
    [anon_sym_PLUS] = ACTIONS(6295),
    [anon_sym_STAR] = ACTIONS(6295),
    [anon_sym_SLASH] = ACTIONS(6295),
    [anon_sym_PERCENT] = ACTIONS(6295),
    [anon_sym_PIPE_PIPE] = ACTIONS(6293),
    [anon_sym_AMP_AMP] = ACTIONS(6293),
    [anon_sym_PIPE] = ACTIONS(6295),
    [anon_sym_CARET] = ACTIONS(6295),
    [anon_sym_AMP] = ACTIONS(6295),
    [anon_sym_EQ_EQ] = ACTIONS(6293),
    [anon_sym_BANG_EQ] = ACTIONS(6293),
    [anon_sym_GT] = ACTIONS(6295),
    [anon_sym_GT_EQ] = ACTIONS(6293),
    [anon_sym_LT_EQ] = ACTIONS(6295),
    [anon_sym_LT] = ACTIONS(6295),
    [anon_sym_LT_LT] = ACTIONS(6295),
    [anon_sym_GT_GT] = ACTIONS(6295),
    [anon_sym_COLON] = ACTIONS(6293),
    [anon_sym_SEMI] = ACTIONS(6293),
    [anon_sym_RBRACE] = ACTIONS(6293),
    [anon_sym_LBRACK] = ACTIONS(6293),
    [anon_sym_RBRACK] = ACTIONS(6293),
    [anon_sym_EQ] = ACTIONS(6295),
    [anon_sym_QMARK] = ACTIONS(6293),
    [anon_sym_STAR_EQ] = ACTIONS(6293),
    [anon_sym_SLASH_EQ] = ACTIONS(6293),
    [anon_sym_PERCENT_EQ] = ACTIONS(6293),
    [anon_sym_PLUS_EQ] = ACTIONS(6293),
    [anon_sym_DASH_EQ] = ACTIONS(6293),
    [anon_sym_LT_LT_EQ] = ACTIONS(6293),
    [anon_sym_GT_GT_EQ] = ACTIONS(6293),
    [anon_sym_AMP_EQ] = ACTIONS(6293),
    [anon_sym_CARET_EQ] = ACTIONS(6293),
    [anon_sym_PIPE_EQ] = ACTIONS(6293),
    [anon_sym_and_eq] = ACTIONS(6295),
    [anon_sym_or_eq] = ACTIONS(6295),
    [anon_sym_xor_eq] = ACTIONS(6295),
    [anon_sym_LT_EQ_GT] = ACTIONS(6293),
    [anon_sym_or] = ACTIONS(6295),
    [anon_sym_and] = ACTIONS(6295),
    [anon_sym_bitor] = ACTIONS(6295),
    [anon_sym_xor] = ACTIONS(6295),
    [anon_sym_bitand] = ACTIONS(6295),
    [anon_sym_not_eq] = ACTIONS(6295),
    [anon_sym_DASH_DASH] = ACTIONS(6293),
    [anon_sym_PLUS_PLUS] = ACTIONS(6293),
    [anon_sym_DOT] = ACTIONS(6295),
    [anon_sym_DOT_STAR] = ACTIONS(6293),
    [anon_sym_DASH_GT] = ACTIONS(6293),
    [anon_sym_L_DQUOTE] = ACTIONS(6297),
    [anon_sym_u_DQUOTE] = ACTIONS(6297),
    [anon_sym_U_DQUOTE] = ACTIONS(6297),
    [anon_sym_u8_DQUOTE] = ACTIONS(6297),
    [anon_sym_DQUOTE] = ACTIONS(6297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6300),
    [anon_sym_LR_DQUOTE] = ACTIONS(6300),
    [anon_sym_uR_DQUOTE] = ACTIONS(6300),
    [anon_sym_UR_DQUOTE] = ACTIONS(6300),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6300),
    [sym_literal_suffix] = ACTIONS(6295),
  },
  [2461] = {
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym_in] = ACTIONS(1960),
    [anon_sym_out] = ACTIONS(1960),
    [anon_sym_inout] = ACTIONS(1960),
    [anon_sym_virtual] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1962),
    [anon_sym___declspec] = ACTIONS(1960),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1962),
    [anon_sym_register] = ACTIONS(1960),
    [anon_sym_inline] = ACTIONS(1960),
    [anon_sym___inline] = ACTIONS(1960),
    [anon_sym___inline__] = ACTIONS(1960),
    [anon_sym___forceinline] = ACTIONS(1960),
    [anon_sym_thread_local] = ACTIONS(1960),
    [anon_sym___thread] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_final] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
    [anon_sym_template] = ACTIONS(1960),
    [anon_sym_GT2] = ACTIONS(1962),
    [anon_sym_operator] = ACTIONS(1960),
    [anon_sym_precise] = ACTIONS(1960),
    [anon_sym_shared] = ACTIONS(1960),
    [anon_sym_groupshared] = ACTIONS(1960),
    [anon_sym_uniform] = ACTIONS(1960),
    [anon_sym_row_major] = ACTIONS(1960),
    [anon_sym_column_major] = ACTIONS(1960),
    [anon_sym_globallycoherent] = ACTIONS(1960),
    [anon_sym_centroid] = ACTIONS(1960),
    [anon_sym_noperspective] = ACTIONS(1960),
    [anon_sym_nointerpolation] = ACTIONS(1960),
    [anon_sym_sample] = ACTIONS(1960),
    [anon_sym_linear] = ACTIONS(1960),
    [anon_sym_snorm] = ACTIONS(1960),
    [anon_sym_unorm] = ACTIONS(1960),
    [anon_sym_point] = ACTIONS(1960),
    [anon_sym_line] = ACTIONS(1960),
    [anon_sym_triangleadj] = ACTIONS(1960),
    [anon_sym_lineadj] = ACTIONS(1960),
    [anon_sym_triangle] = ACTIONS(1960),
  },
  [2462] = {
    [sym_type_qualifier] = STATE(2462),
    [sym_alignas_qualifier] = STATE(2547),
    [aux_sym_array_declarator_repeat1] = STATE(2462),
    [sym_identifier] = ACTIONS(6303),
    [anon_sym_LPAREN2] = ACTIONS(6305),
    [anon_sym_BANG] = ACTIONS(6305),
    [anon_sym_TILDE] = ACTIONS(6305),
    [anon_sym_DASH] = ACTIONS(6303),
    [anon_sym_PLUS] = ACTIONS(6303),
    [anon_sym_STAR] = ACTIONS(6305),
    [anon_sym_AMP] = ACTIONS(6305),
    [anon_sym___extension__] = ACTIONS(6307),
    [anon_sym_COLON_COLON] = ACTIONS(6305),
    [anon_sym_LBRACK] = ACTIONS(6305),
    [anon_sym_static] = ACTIONS(6310),
    [anon_sym_RBRACK] = ACTIONS(6305),
    [anon_sym_const] = ACTIONS(6307),
    [anon_sym_constexpr] = ACTIONS(6307),
    [anon_sym_volatile] = ACTIONS(6307),
    [anon_sym_restrict] = ACTIONS(6307),
    [anon_sym___restrict__] = ACTIONS(6307),
    [anon_sym__Atomic] = ACTIONS(6307),
    [anon_sym__Noreturn] = ACTIONS(6307),
    [anon_sym_noreturn] = ACTIONS(6307),
    [anon_sym__Nonnull] = ACTIONS(6307),
    [anon_sym_mutable] = ACTIONS(6307),
    [anon_sym_constinit] = ACTIONS(6307),
    [anon_sym_consteval] = ACTIONS(6307),
    [anon_sym_alignas] = ACTIONS(6313),
    [anon_sym__Alignas] = ACTIONS(6313),
    [sym_primitive_type] = ACTIONS(6303),
    [anon_sym_not] = ACTIONS(6303),
    [anon_sym_compl] = ACTIONS(6303),
    [anon_sym_DASH_DASH] = ACTIONS(6305),
    [anon_sym_PLUS_PLUS] = ACTIONS(6305),
    [anon_sym_sizeof] = ACTIONS(6303),
    [anon_sym___alignof__] = ACTIONS(6303),
    [anon_sym___alignof] = ACTIONS(6303),
    [anon_sym__alignof] = ACTIONS(6303),
    [anon_sym_alignof] = ACTIONS(6303),
    [anon_sym__Alignof] = ACTIONS(6303),
    [anon_sym_offsetof] = ACTIONS(6303),
    [anon_sym__Generic] = ACTIONS(6303),
    [anon_sym_asm] = ACTIONS(6303),
    [anon_sym___asm__] = ACTIONS(6303),
    [anon_sym___asm] = ACTIONS(6303),
    [sym_number_literal] = ACTIONS(6305),
    [anon_sym_L_SQUOTE] = ACTIONS(6305),
    [anon_sym_u_SQUOTE] = ACTIONS(6305),
    [anon_sym_U_SQUOTE] = ACTIONS(6305),
    [anon_sym_u8_SQUOTE] = ACTIONS(6305),
    [anon_sym_SQUOTE] = ACTIONS(6305),
    [anon_sym_L_DQUOTE] = ACTIONS(6305),
    [anon_sym_u_DQUOTE] = ACTIONS(6305),
    [anon_sym_U_DQUOTE] = ACTIONS(6305),
    [anon_sym_u8_DQUOTE] = ACTIONS(6305),
    [anon_sym_DQUOTE] = ACTIONS(6305),
    [sym_true] = ACTIONS(6303),
    [sym_false] = ACTIONS(6303),
    [anon_sym_NULL] = ACTIONS(6303),
    [anon_sym_nullptr] = ACTIONS(6303),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6303),
    [anon_sym_template] = ACTIONS(6303),
    [anon_sym_delete] = ACTIONS(6303),
    [anon_sym_R_DQUOTE] = ACTIONS(6305),
    [anon_sym_LR_DQUOTE] = ACTIONS(6305),
    [anon_sym_uR_DQUOTE] = ACTIONS(6305),
    [anon_sym_UR_DQUOTE] = ACTIONS(6305),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6305),
    [anon_sym_co_await] = ACTIONS(6303),
    [anon_sym_new] = ACTIONS(6303),
    [anon_sym_requires] = ACTIONS(6303),
    [sym_this] = ACTIONS(6303),
  },
  [2463] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_out] = ACTIONS(1938),
    [anon_sym_inout] = ACTIONS(1938),
    [anon_sym_virtual] = ACTIONS(1938),
    [anon_sym_extern] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1940),
    [anon_sym___declspec] = ACTIONS(1938),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_EQ] = ACTIONS(1940),
    [anon_sym_register] = ACTIONS(1938),
    [anon_sym_inline] = ACTIONS(1938),
    [anon_sym___inline] = ACTIONS(1938),
    [anon_sym___inline__] = ACTIONS(1938),
    [anon_sym___forceinline] = ACTIONS(1938),
    [anon_sym_thread_local] = ACTIONS(1938),
    [anon_sym___thread] = ACTIONS(1938),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_final] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1938),
    [anon_sym_GT2] = ACTIONS(1940),
    [anon_sym_operator] = ACTIONS(1938),
    [anon_sym_precise] = ACTIONS(1938),
    [anon_sym_shared] = ACTIONS(1938),
    [anon_sym_groupshared] = ACTIONS(1938),
    [anon_sym_uniform] = ACTIONS(1938),
    [anon_sym_row_major] = ACTIONS(1938),
    [anon_sym_column_major] = ACTIONS(1938),
    [anon_sym_globallycoherent] = ACTIONS(1938),
    [anon_sym_centroid] = ACTIONS(1938),
    [anon_sym_noperspective] = ACTIONS(1938),
    [anon_sym_nointerpolation] = ACTIONS(1938),
    [anon_sym_sample] = ACTIONS(1938),
    [anon_sym_linear] = ACTIONS(1938),
    [anon_sym_snorm] = ACTIONS(1938),
    [anon_sym_unorm] = ACTIONS(1938),
    [anon_sym_point] = ACTIONS(1938),
    [anon_sym_line] = ACTIONS(1938),
    [anon_sym_triangleadj] = ACTIONS(1938),
    [anon_sym_lineadj] = ACTIONS(1938),
    [anon_sym_triangle] = ACTIONS(1938),
  },
  [2464] = {
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1918),
    [anon_sym_out] = ACTIONS(1918),
    [anon_sym_inout] = ACTIONS(1918),
    [anon_sym_virtual] = ACTIONS(1918),
    [anon_sym_extern] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1918),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_EQ] = ACTIONS(1920),
    [anon_sym_register] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(1918),
    [anon_sym___inline] = ACTIONS(1918),
    [anon_sym___inline__] = ACTIONS(1918),
    [anon_sym___forceinline] = ACTIONS(1918),
    [anon_sym_thread_local] = ACTIONS(1918),
    [anon_sym___thread] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_final] = ACTIONS(1918),
    [anon_sym_override] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1918),
    [anon_sym_GT2] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1918),
    [anon_sym_precise] = ACTIONS(1918),
    [anon_sym_shared] = ACTIONS(1918),
    [anon_sym_groupshared] = ACTIONS(1918),
    [anon_sym_uniform] = ACTIONS(1918),
    [anon_sym_row_major] = ACTIONS(1918),
    [anon_sym_column_major] = ACTIONS(1918),
    [anon_sym_globallycoherent] = ACTIONS(1918),
    [anon_sym_centroid] = ACTIONS(1918),
    [anon_sym_noperspective] = ACTIONS(1918),
    [anon_sym_nointerpolation] = ACTIONS(1918),
    [anon_sym_sample] = ACTIONS(1918),
    [anon_sym_linear] = ACTIONS(1918),
    [anon_sym_snorm] = ACTIONS(1918),
    [anon_sym_unorm] = ACTIONS(1918),
    [anon_sym_point] = ACTIONS(1918),
    [anon_sym_line] = ACTIONS(1918),
    [anon_sym_triangleadj] = ACTIONS(1918),
    [anon_sym_lineadj] = ACTIONS(1918),
    [anon_sym_triangle] = ACTIONS(1918),
  },
  [2465] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2009),
    [anon_sym_COMMA] = ACTIONS(2009),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_SLASH] = ACTIONS(2007),
    [anon_sym_PERCENT] = ACTIONS(2009),
    [anon_sym_PIPE_PIPE] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_PIPE] = ACTIONS(2007),
    [anon_sym_CARET] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym_EQ_EQ] = ACTIONS(2009),
    [anon_sym_BANG_EQ] = ACTIONS(2009),
    [anon_sym_GT] = ACTIONS(2007),
    [anon_sym_GT_EQ] = ACTIONS(2009),
    [anon_sym_LT_EQ] = ACTIONS(2007),
    [anon_sym_LT] = ACTIONS(2007),
    [anon_sym_LT_LT] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(2009),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2009),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(2009),
    [anon_sym_signed] = ACTIONS(2007),
    [anon_sym_unsigned] = ACTIONS(2007),
    [anon_sym_long] = ACTIONS(2007),
    [anon_sym_short] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2009),
    [anon_sym_RBRACK] = ACTIONS(2009),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [sym_primitive_type] = ACTIONS(2007),
    [anon_sym_else] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(2009),
    [anon_sym_LT_EQ_GT] = ACTIONS(2009),
    [anon_sym_or] = ACTIONS(2007),
    [anon_sym_and] = ACTIONS(2007),
    [anon_sym_bitor] = ACTIONS(2007),
    [anon_sym_xor] = ACTIONS(2007),
    [anon_sym_bitand] = ACTIONS(2007),
    [anon_sym_not_eq] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_DOT] = ACTIONS(2007),
    [anon_sym_DOT_STAR] = ACTIONS(2009),
    [anon_sym_DASH_GT] = ACTIONS(2009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_final] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
    [anon_sym_requires] = ACTIONS(2007),
  },
  [2466] = {
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_in] = ACTIONS(1926),
    [anon_sym_out] = ACTIONS(1926),
    [anon_sym_inout] = ACTIONS(1926),
    [anon_sym_virtual] = ACTIONS(1926),
    [anon_sym_extern] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1928),
    [anon_sym___declspec] = ACTIONS(1926),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1926),
    [anon_sym_EQ] = ACTIONS(1928),
    [anon_sym_register] = ACTIONS(1926),
    [anon_sym_inline] = ACTIONS(1926),
    [anon_sym___inline] = ACTIONS(1926),
    [anon_sym___inline__] = ACTIONS(1926),
    [anon_sym___forceinline] = ACTIONS(1926),
    [anon_sym_thread_local] = ACTIONS(1926),
    [anon_sym___thread] = ACTIONS(1926),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_final] = ACTIONS(1926),
    [anon_sym_override] = ACTIONS(1926),
    [anon_sym_template] = ACTIONS(1926),
    [anon_sym_GT2] = ACTIONS(1928),
    [anon_sym_operator] = ACTIONS(1926),
    [anon_sym_precise] = ACTIONS(1926),
    [anon_sym_shared] = ACTIONS(1926),
    [anon_sym_groupshared] = ACTIONS(1926),
    [anon_sym_uniform] = ACTIONS(1926),
    [anon_sym_row_major] = ACTIONS(1926),
    [anon_sym_column_major] = ACTIONS(1926),
    [anon_sym_globallycoherent] = ACTIONS(1926),
    [anon_sym_centroid] = ACTIONS(1926),
    [anon_sym_noperspective] = ACTIONS(1926),
    [anon_sym_nointerpolation] = ACTIONS(1926),
    [anon_sym_sample] = ACTIONS(1926),
    [anon_sym_linear] = ACTIONS(1926),
    [anon_sym_snorm] = ACTIONS(1926),
    [anon_sym_unorm] = ACTIONS(1926),
    [anon_sym_point] = ACTIONS(1926),
    [anon_sym_line] = ACTIONS(1926),
    [anon_sym_triangleadj] = ACTIONS(1926),
    [anon_sym_lineadj] = ACTIONS(1926),
    [anon_sym_triangle] = ACTIONS(1926),
  },
  [2467] = {
    [sym_template_argument_list] = STATE(2489),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4289),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [2468] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1922),
    [anon_sym_out] = ACTIONS(1922),
    [anon_sym_inout] = ACTIONS(1922),
    [anon_sym_virtual] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1924),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_EQ] = ACTIONS(1924),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_GT2] = ACTIONS(1924),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_precise] = ACTIONS(1922),
    [anon_sym_shared] = ACTIONS(1922),
    [anon_sym_groupshared] = ACTIONS(1922),
    [anon_sym_uniform] = ACTIONS(1922),
    [anon_sym_row_major] = ACTIONS(1922),
    [anon_sym_column_major] = ACTIONS(1922),
    [anon_sym_globallycoherent] = ACTIONS(1922),
    [anon_sym_centroid] = ACTIONS(1922),
    [anon_sym_noperspective] = ACTIONS(1922),
    [anon_sym_nointerpolation] = ACTIONS(1922),
    [anon_sym_sample] = ACTIONS(1922),
    [anon_sym_linear] = ACTIONS(1922),
    [anon_sym_snorm] = ACTIONS(1922),
    [anon_sym_unorm] = ACTIONS(1922),
    [anon_sym_point] = ACTIONS(1922),
    [anon_sym_line] = ACTIONS(1922),
    [anon_sym_triangleadj] = ACTIONS(1922),
    [anon_sym_lineadj] = ACTIONS(1922),
    [anon_sym_triangle] = ACTIONS(1922),
  },
  [2469] = {
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_out] = ACTIONS(1930),
    [anon_sym_inout] = ACTIONS(1930),
    [anon_sym_virtual] = ACTIONS(1930),
    [anon_sym_extern] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1932),
    [anon_sym___declspec] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1930),
    [anon_sym_EQ] = ACTIONS(1932),
    [anon_sym_register] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1930),
    [anon_sym___inline] = ACTIONS(1930),
    [anon_sym___inline__] = ACTIONS(1930),
    [anon_sym___forceinline] = ACTIONS(1930),
    [anon_sym_thread_local] = ACTIONS(1930),
    [anon_sym___thread] = ACTIONS(1930),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_final] = ACTIONS(1930),
    [anon_sym_override] = ACTIONS(1930),
    [anon_sym_template] = ACTIONS(1930),
    [anon_sym_GT2] = ACTIONS(1932),
    [anon_sym_operator] = ACTIONS(1930),
    [anon_sym_precise] = ACTIONS(1930),
    [anon_sym_shared] = ACTIONS(1930),
    [anon_sym_groupshared] = ACTIONS(1930),
    [anon_sym_uniform] = ACTIONS(1930),
    [anon_sym_row_major] = ACTIONS(1930),
    [anon_sym_column_major] = ACTIONS(1930),
    [anon_sym_globallycoherent] = ACTIONS(1930),
    [anon_sym_centroid] = ACTIONS(1930),
    [anon_sym_noperspective] = ACTIONS(1930),
    [anon_sym_nointerpolation] = ACTIONS(1930),
    [anon_sym_sample] = ACTIONS(1930),
    [anon_sym_linear] = ACTIONS(1930),
    [anon_sym_snorm] = ACTIONS(1930),
    [anon_sym_unorm] = ACTIONS(1930),
    [anon_sym_point] = ACTIONS(1930),
    [anon_sym_line] = ACTIONS(1930),
    [anon_sym_triangleadj] = ACTIONS(1930),
    [anon_sym_lineadj] = ACTIONS(1930),
    [anon_sym_triangle] = ACTIONS(1930),
  },
  [2470] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_virtual] = ACTIONS(1934),
    [anon_sym_extern] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1936),
    [anon_sym___declspec] = ACTIONS(1934),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1934),
    [anon_sym_EQ] = ACTIONS(1936),
    [anon_sym_register] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1934),
    [anon_sym___inline] = ACTIONS(1934),
    [anon_sym___inline__] = ACTIONS(1934),
    [anon_sym___forceinline] = ACTIONS(1934),
    [anon_sym_thread_local] = ACTIONS(1934),
    [anon_sym___thread] = ACTIONS(1934),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_final] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_template] = ACTIONS(1934),
    [anon_sym_GT2] = ACTIONS(1936),
    [anon_sym_operator] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_groupshared] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_row_major] = ACTIONS(1934),
    [anon_sym_column_major] = ACTIONS(1934),
    [anon_sym_globallycoherent] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym_nointerpolation] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_linear] = ACTIONS(1934),
    [anon_sym_snorm] = ACTIONS(1934),
    [anon_sym_unorm] = ACTIONS(1934),
    [anon_sym_point] = ACTIONS(1934),
    [anon_sym_line] = ACTIONS(1934),
    [anon_sym_triangleadj] = ACTIONS(1934),
    [anon_sym_lineadj] = ACTIONS(1934),
    [anon_sym_triangle] = ACTIONS(1934),
  },
  [2471] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_COMMA] = ACTIONS(4300),
    [anon_sym_RPAREN] = ACTIONS(4302),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4307),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4300),
    [anon_sym___extension__] = ACTIONS(2009),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4300),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2009),
    [anon_sym_volatile] = ACTIONS(2009),
    [anon_sym_restrict] = ACTIONS(2009),
    [anon_sym___restrict__] = ACTIONS(2009),
    [anon_sym__Atomic] = ACTIONS(2009),
    [anon_sym__Noreturn] = ACTIONS(2009),
    [anon_sym_noreturn] = ACTIONS(2009),
    [anon_sym__Nonnull] = ACTIONS(2009),
    [anon_sym_mutable] = ACTIONS(2009),
    [anon_sym_constinit] = ACTIONS(2009),
    [anon_sym_consteval] = ACTIONS(2009),
    [anon_sym_alignas] = ACTIONS(2009),
    [anon_sym__Alignas] = ACTIONS(2009),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4300),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_and_eq] = ACTIONS(4300),
    [anon_sym_or_eq] = ACTIONS(4300),
    [anon_sym_xor_eq] = ACTIONS(4300),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4300),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4300),
    [anon_sym_not_eq] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2009),
    [anon_sym_decltype] = ACTIONS(2009),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4300),
  },
  [2472] = {
    [sym_template_argument_list] = STATE(2549),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(4091),
    [anon_sym_TILDE] = ACTIONS(4076),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5529),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4091),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_template] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [2473] = {
    [sym_template_argument_list] = STATE(2471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4287),
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_RPAREN] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4294),
    [anon_sym_SLASH] = ACTIONS(4292),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_AMP_AMP] = ACTIONS(4289),
    [anon_sym_PIPE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4294),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_BANG_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(4536),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym___extension__] = ACTIONS(1974),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4287),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_EQ] = ACTIONS(4292),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1974),
    [anon_sym_volatile] = ACTIONS(1974),
    [anon_sym_restrict] = ACTIONS(1974),
    [anon_sym___restrict__] = ACTIONS(1974),
    [anon_sym__Atomic] = ACTIONS(1974),
    [anon_sym__Noreturn] = ACTIONS(1974),
    [anon_sym_noreturn] = ACTIONS(1974),
    [anon_sym__Nonnull] = ACTIONS(1974),
    [anon_sym_mutable] = ACTIONS(1974),
    [anon_sym_constinit] = ACTIONS(1974),
    [anon_sym_consteval] = ACTIONS(1974),
    [anon_sym_alignas] = ACTIONS(1974),
    [anon_sym__Alignas] = ACTIONS(1974),
    [anon_sym_QMARK] = ACTIONS(4287),
    [anon_sym_STAR_EQ] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [anon_sym_PERCENT_EQ] = ACTIONS(4287),
    [anon_sym_PLUS_EQ] = ACTIONS(4287),
    [anon_sym_DASH_EQ] = ACTIONS(4287),
    [anon_sym_LT_LT_EQ] = ACTIONS(4287),
    [anon_sym_GT_GT_EQ] = ACTIONS(4287),
    [anon_sym_AMP_EQ] = ACTIONS(4287),
    [anon_sym_CARET_EQ] = ACTIONS(4287),
    [anon_sym_PIPE_EQ] = ACTIONS(4287),
    [anon_sym_and_eq] = ACTIONS(4287),
    [anon_sym_or_eq] = ACTIONS(4287),
    [anon_sym_xor_eq] = ACTIONS(4287),
    [anon_sym_LT_EQ_GT] = ACTIONS(4287),
    [anon_sym_or] = ACTIONS(4292),
    [anon_sym_and] = ACTIONS(4292),
    [anon_sym_bitor] = ACTIONS(4287),
    [anon_sym_xor] = ACTIONS(4292),
    [anon_sym_bitand] = ACTIONS(4287),
    [anon_sym_not_eq] = ACTIONS(4287),
    [anon_sym_DASH_DASH] = ACTIONS(4287),
    [anon_sym_PLUS_PLUS] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4292),
    [anon_sym_DOT_STAR] = ACTIONS(4287),
    [anon_sym_DASH_GT] = ACTIONS(4292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1974),
    [anon_sym_decltype] = ACTIONS(1974),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4287),
  },
  [2474] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_SLASH] = ACTIONS(1987),
    [anon_sym_PERCENT] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_PIPE] = ACTIONS(1987),
    [anon_sym_CARET] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_EQ_EQ] = ACTIONS(1989),
    [anon_sym_BANG_EQ] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(1987),
    [anon_sym_GT_EQ] = ACTIONS(1989),
    [anon_sym_LT_EQ] = ACTIONS(1987),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_LT_LT] = ACTIONS(1989),
    [anon_sym_GT_GT] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1987),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_QMARK] = ACTIONS(1989),
    [anon_sym_LT_EQ_GT] = ACTIONS(1989),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [anon_sym_bitor] = ACTIONS(1987),
    [anon_sym_xor] = ACTIONS(1987),
    [anon_sym_bitand] = ACTIONS(1987),
    [anon_sym_not_eq] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DOT] = ACTIONS(1987),
    [anon_sym_DOT_STAR] = ACTIONS(1989),
    [anon_sym_DASH_GT] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
  },
  [2475] = {
    [sym_identifier] = ACTIONS(6316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6318),
    [anon_sym_COMMA] = ACTIONS(6318),
    [anon_sym_RPAREN] = ACTIONS(6318),
    [aux_sym_preproc_if_token2] = ACTIONS(6318),
    [aux_sym_preproc_else_token1] = ACTIONS(6318),
    [aux_sym_preproc_elif_token1] = ACTIONS(6316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6318),
    [anon_sym_LPAREN2] = ACTIONS(6318),
    [anon_sym_DASH] = ACTIONS(6316),
    [anon_sym_PLUS] = ACTIONS(6316),
    [anon_sym_STAR] = ACTIONS(6316),
    [anon_sym_SLASH] = ACTIONS(6316),
    [anon_sym_PERCENT] = ACTIONS(6316),
    [anon_sym_PIPE_PIPE] = ACTIONS(6318),
    [anon_sym_AMP_AMP] = ACTIONS(6318),
    [anon_sym_PIPE] = ACTIONS(6316),
    [anon_sym_CARET] = ACTIONS(6316),
    [anon_sym_AMP] = ACTIONS(6316),
    [anon_sym_EQ_EQ] = ACTIONS(6318),
    [anon_sym_BANG_EQ] = ACTIONS(6318),
    [anon_sym_GT] = ACTIONS(6316),
    [anon_sym_GT_EQ] = ACTIONS(6318),
    [anon_sym_LT_EQ] = ACTIONS(6316),
    [anon_sym_LT] = ACTIONS(6316),
    [anon_sym_LT_LT] = ACTIONS(6316),
    [anon_sym_GT_GT] = ACTIONS(6316),
    [anon_sym_COLON] = ACTIONS(6318),
    [anon_sym_SEMI] = ACTIONS(6318),
    [anon_sym_RBRACE] = ACTIONS(6318),
    [anon_sym_LBRACK] = ACTIONS(6318),
    [anon_sym_RBRACK] = ACTIONS(6318),
    [anon_sym_EQ] = ACTIONS(6316),
    [anon_sym_QMARK] = ACTIONS(6318),
    [anon_sym_STAR_EQ] = ACTIONS(6318),
    [anon_sym_SLASH_EQ] = ACTIONS(6318),
    [anon_sym_PERCENT_EQ] = ACTIONS(6318),
    [anon_sym_PLUS_EQ] = ACTIONS(6318),
    [anon_sym_DASH_EQ] = ACTIONS(6318),
    [anon_sym_LT_LT_EQ] = ACTIONS(6318),
    [anon_sym_GT_GT_EQ] = ACTIONS(6318),
    [anon_sym_AMP_EQ] = ACTIONS(6318),
    [anon_sym_CARET_EQ] = ACTIONS(6318),
    [anon_sym_PIPE_EQ] = ACTIONS(6318),
    [anon_sym_and_eq] = ACTIONS(6316),
    [anon_sym_or_eq] = ACTIONS(6316),
    [anon_sym_xor_eq] = ACTIONS(6316),
    [anon_sym_LT_EQ_GT] = ACTIONS(6318),
    [anon_sym_or] = ACTIONS(6316),
    [anon_sym_and] = ACTIONS(6316),
    [anon_sym_bitor] = ACTIONS(6316),
    [anon_sym_xor] = ACTIONS(6316),
    [anon_sym_bitand] = ACTIONS(6316),
    [anon_sym_not_eq] = ACTIONS(6316),
    [anon_sym_DASH_DASH] = ACTIONS(6318),
    [anon_sym_PLUS_PLUS] = ACTIONS(6318),
    [anon_sym_DOT] = ACTIONS(6316),
    [anon_sym_DOT_STAR] = ACTIONS(6318),
    [anon_sym_DASH_GT] = ACTIONS(6318),
    [anon_sym_L_DQUOTE] = ACTIONS(6318),
    [anon_sym_u_DQUOTE] = ACTIONS(6318),
    [anon_sym_U_DQUOTE] = ACTIONS(6318),
    [anon_sym_u8_DQUOTE] = ACTIONS(6318),
    [anon_sym_DQUOTE] = ACTIONS(6318),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6318),
    [anon_sym_LR_DQUOTE] = ACTIONS(6318),
    [anon_sym_uR_DQUOTE] = ACTIONS(6318),
    [anon_sym_UR_DQUOTE] = ACTIONS(6318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6318),
    [sym_literal_suffix] = ACTIONS(6316),
  },
  [2476] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_LPAREN2] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1940),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1940),
    [anon_sym_GT_GT] = ACTIONS(1940),
    [anon_sym_COLON] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym___extension__] = ACTIONS(1938),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym___attribute] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym___based] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_signed] = ACTIONS(1938),
    [anon_sym_unsigned] = ACTIONS(1938),
    [anon_sym_long] = ACTIONS(1938),
    [anon_sym_short] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_RBRACK] = ACTIONS(1940),
    [anon_sym_const] = ACTIONS(1938),
    [anon_sym_constexpr] = ACTIONS(1938),
    [anon_sym_volatile] = ACTIONS(1938),
    [anon_sym_restrict] = ACTIONS(1938),
    [anon_sym___restrict__] = ACTIONS(1938),
    [anon_sym__Atomic] = ACTIONS(1938),
    [anon_sym__Noreturn] = ACTIONS(1938),
    [anon_sym_noreturn] = ACTIONS(1938),
    [anon_sym__Nonnull] = ACTIONS(1938),
    [anon_sym_mutable] = ACTIONS(1938),
    [anon_sym_constinit] = ACTIONS(1938),
    [anon_sym_consteval] = ACTIONS(1938),
    [anon_sym_alignas] = ACTIONS(1938),
    [anon_sym__Alignas] = ACTIONS(1938),
    [sym_primitive_type] = ACTIONS(1938),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_LT_EQ_GT] = ACTIONS(1940),
    [anon_sym_or] = ACTIONS(1938),
    [anon_sym_and] = ACTIONS(1938),
    [anon_sym_bitor] = ACTIONS(1938),
    [anon_sym_xor] = ACTIONS(1938),
    [anon_sym_bitand] = ACTIONS(1938),
    [anon_sym_not_eq] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_DOT_STAR] = ACTIONS(1940),
    [anon_sym_DASH_GT] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1938),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_final] = ACTIONS(1938),
    [anon_sym_override] = ACTIONS(1938),
    [anon_sym_requires] = ACTIONS(1938),
  },
  [2477] = {
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RPAREN] = ACTIONS(1928),
    [anon_sym_LPAREN2] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_COLON] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym___attribute__] = ACTIONS(1926),
    [anon_sym___attribute] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym___based] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_RBRACE] = ACTIONS(1928),
    [anon_sym_signed] = ACTIONS(1926),
    [anon_sym_unsigned] = ACTIONS(1926),
    [anon_sym_long] = ACTIONS(1926),
    [anon_sym_short] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_RBRACK] = ACTIONS(1928),
    [anon_sym_const] = ACTIONS(1926),
    [anon_sym_constexpr] = ACTIONS(1926),
    [anon_sym_volatile] = ACTIONS(1926),
    [anon_sym_restrict] = ACTIONS(1926),
    [anon_sym___restrict__] = ACTIONS(1926),
    [anon_sym__Atomic] = ACTIONS(1926),
    [anon_sym__Noreturn] = ACTIONS(1926),
    [anon_sym_noreturn] = ACTIONS(1926),
    [anon_sym__Nonnull] = ACTIONS(1926),
    [anon_sym_mutable] = ACTIONS(1926),
    [anon_sym_constinit] = ACTIONS(1926),
    [anon_sym_consteval] = ACTIONS(1926),
    [anon_sym_alignas] = ACTIONS(1926),
    [anon_sym__Alignas] = ACTIONS(1926),
    [sym_primitive_type] = ACTIONS(1926),
    [anon_sym_QMARK] = ACTIONS(1928),
    [anon_sym_LT_EQ_GT] = ACTIONS(1928),
    [anon_sym_or] = ACTIONS(1926),
    [anon_sym_and] = ACTIONS(1926),
    [anon_sym_bitor] = ACTIONS(1926),
    [anon_sym_xor] = ACTIONS(1926),
    [anon_sym_bitand] = ACTIONS(1926),
    [anon_sym_not_eq] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1926),
    [anon_sym_DOT_STAR] = ACTIONS(1928),
    [anon_sym_DASH_GT] = ACTIONS(1928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1926),
    [anon_sym_decltype] = ACTIONS(1926),
    [anon_sym_final] = ACTIONS(1926),
    [anon_sym_override] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1926),
  },
  [2478] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_signed] = ACTIONS(5710),
    [anon_sym_unsigned] = ACTIONS(5710),
    [anon_sym_long] = ACTIONS(5710),
    [anon_sym_short] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_primitive_type] = ACTIONS(5710),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5710),
  },
  [2479] = {
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(1960),
    [anon_sym_PERCENT] = ACTIONS(1962),
    [anon_sym_PIPE_PIPE] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1960),
    [anon_sym_EQ_EQ] = ACTIONS(1962),
    [anon_sym_BANG_EQ] = ACTIONS(1962),
    [anon_sym_GT] = ACTIONS(1960),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1962),
    [anon_sym_GT_GT] = ACTIONS(1962),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym___extension__] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1960),
    [anon_sym___attribute] = ACTIONS(1960),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym___based] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_signed] = ACTIONS(1960),
    [anon_sym_unsigned] = ACTIONS(1960),
    [anon_sym_long] = ACTIONS(1960),
    [anon_sym_short] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_RBRACK] = ACTIONS(1962),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_constexpr] = ACTIONS(1960),
    [anon_sym_volatile] = ACTIONS(1960),
    [anon_sym_restrict] = ACTIONS(1960),
    [anon_sym___restrict__] = ACTIONS(1960),
    [anon_sym__Atomic] = ACTIONS(1960),
    [anon_sym__Noreturn] = ACTIONS(1960),
    [anon_sym_noreturn] = ACTIONS(1960),
    [anon_sym__Nonnull] = ACTIONS(1960),
    [anon_sym_mutable] = ACTIONS(1960),
    [anon_sym_constinit] = ACTIONS(1960),
    [anon_sym_consteval] = ACTIONS(1960),
    [anon_sym_alignas] = ACTIONS(1960),
    [anon_sym__Alignas] = ACTIONS(1960),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_LT_EQ_GT] = ACTIONS(1962),
    [anon_sym_or] = ACTIONS(1960),
    [anon_sym_and] = ACTIONS(1960),
    [anon_sym_bitor] = ACTIONS(1960),
    [anon_sym_xor] = ACTIONS(1960),
    [anon_sym_bitand] = ACTIONS(1960),
    [anon_sym_not_eq] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1960),
    [anon_sym_DOT_STAR] = ACTIONS(1962),
    [anon_sym_DASH_GT] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1960),
    [anon_sym_decltype] = ACTIONS(1960),
    [anon_sym_final] = ACTIONS(1960),
    [anon_sym_override] = ACTIONS(1960),
    [anon_sym_requires] = ACTIONS(1960),
  },
  [2480] = {
    [sym_attribute_specifier] = STATE(2707),
    [sym_field_declaration_list] = STATE(2639),
    [sym_virtual_specifier] = STATE(7153),
    [sym_base_class_clause] = STATE(8072),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5706),
    [anon_sym_COMMA] = ACTIONS(5706),
    [anon_sym_RPAREN] = ACTIONS(5706),
    [aux_sym_preproc_if_token2] = ACTIONS(5706),
    [aux_sym_preproc_else_token1] = ACTIONS(5706),
    [aux_sym_preproc_elif_token1] = ACTIONS(5704),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5706),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5706),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5704),
    [anon_sym_STAR] = ACTIONS(5704),
    [anon_sym_SLASH] = ACTIONS(5704),
    [anon_sym_PERCENT] = ACTIONS(5704),
    [anon_sym_PIPE_PIPE] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_PIPE] = ACTIONS(5704),
    [anon_sym_CARET] = ACTIONS(5704),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_EQ_EQ] = ACTIONS(5706),
    [anon_sym_BANG_EQ] = ACTIONS(5706),
    [anon_sym_GT] = ACTIONS(5704),
    [anon_sym_GT_EQ] = ACTIONS(5706),
    [anon_sym_LT_EQ] = ACTIONS(5704),
    [anon_sym_LT] = ACTIONS(5704),
    [anon_sym_LT_LT] = ACTIONS(5704),
    [anon_sym_GT_GT] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(6320),
    [anon_sym_SEMI] = ACTIONS(5706),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6324),
    [anon_sym_RBRACE] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [anon_sym_RBRACK] = ACTIONS(5706),
    [anon_sym_EQ] = ACTIONS(5704),
    [anon_sym_QMARK] = ACTIONS(5706),
    [anon_sym_STAR_EQ] = ACTIONS(5706),
    [anon_sym_SLASH_EQ] = ACTIONS(5706),
    [anon_sym_PERCENT_EQ] = ACTIONS(5706),
    [anon_sym_PLUS_EQ] = ACTIONS(5706),
    [anon_sym_DASH_EQ] = ACTIONS(5706),
    [anon_sym_LT_LT_EQ] = ACTIONS(5706),
    [anon_sym_GT_GT_EQ] = ACTIONS(5706),
    [anon_sym_AMP_EQ] = ACTIONS(5706),
    [anon_sym_CARET_EQ] = ACTIONS(5706),
    [anon_sym_PIPE_EQ] = ACTIONS(5706),
    [anon_sym_and_eq] = ACTIONS(5704),
    [anon_sym_or_eq] = ACTIONS(5704),
    [anon_sym_xor_eq] = ACTIONS(5704),
    [anon_sym_LT_EQ_GT] = ACTIONS(5706),
    [anon_sym_or] = ACTIONS(5704),
    [anon_sym_and] = ACTIONS(5704),
    [anon_sym_bitor] = ACTIONS(5704),
    [anon_sym_xor] = ACTIONS(5704),
    [anon_sym_bitand] = ACTIONS(5704),
    [anon_sym_not_eq] = ACTIONS(5704),
    [anon_sym_DASH_DASH] = ACTIONS(5706),
    [anon_sym_PLUS_PLUS] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_DOT_STAR] = ACTIONS(5706),
    [anon_sym_DASH_GT] = ACTIONS(5706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
  },
  [2481] = {
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6288),
    [anon_sym_COMMA] = ACTIONS(6288),
    [anon_sym_RPAREN] = ACTIONS(6288),
    [aux_sym_preproc_if_token2] = ACTIONS(6288),
    [aux_sym_preproc_else_token1] = ACTIONS(6288),
    [aux_sym_preproc_elif_token1] = ACTIONS(6286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6288),
    [anon_sym_LPAREN2] = ACTIONS(6288),
    [anon_sym_DASH] = ACTIONS(6286),
    [anon_sym_PLUS] = ACTIONS(6286),
    [anon_sym_STAR] = ACTIONS(6286),
    [anon_sym_SLASH] = ACTIONS(6286),
    [anon_sym_PERCENT] = ACTIONS(6286),
    [anon_sym_PIPE_PIPE] = ACTIONS(6288),
    [anon_sym_AMP_AMP] = ACTIONS(6288),
    [anon_sym_PIPE] = ACTIONS(6286),
    [anon_sym_CARET] = ACTIONS(6286),
    [anon_sym_AMP] = ACTIONS(6286),
    [anon_sym_EQ_EQ] = ACTIONS(6288),
    [anon_sym_BANG_EQ] = ACTIONS(6288),
    [anon_sym_GT] = ACTIONS(6286),
    [anon_sym_GT_EQ] = ACTIONS(6288),
    [anon_sym_LT_EQ] = ACTIONS(6286),
    [anon_sym_LT] = ACTIONS(6286),
    [anon_sym_LT_LT] = ACTIONS(6286),
    [anon_sym_GT_GT] = ACTIONS(6286),
    [anon_sym_COLON] = ACTIONS(6288),
    [anon_sym_SEMI] = ACTIONS(6288),
    [anon_sym_RBRACE] = ACTIONS(6288),
    [anon_sym_LBRACK] = ACTIONS(6288),
    [anon_sym_RBRACK] = ACTIONS(6288),
    [anon_sym_EQ] = ACTIONS(6286),
    [anon_sym_QMARK] = ACTIONS(6288),
    [anon_sym_STAR_EQ] = ACTIONS(6288),
    [anon_sym_SLASH_EQ] = ACTIONS(6288),
    [anon_sym_PERCENT_EQ] = ACTIONS(6288),
    [anon_sym_PLUS_EQ] = ACTIONS(6288),
    [anon_sym_DASH_EQ] = ACTIONS(6288),
    [anon_sym_LT_LT_EQ] = ACTIONS(6288),
    [anon_sym_GT_GT_EQ] = ACTIONS(6288),
    [anon_sym_AMP_EQ] = ACTIONS(6288),
    [anon_sym_CARET_EQ] = ACTIONS(6288),
    [anon_sym_PIPE_EQ] = ACTIONS(6288),
    [anon_sym_and_eq] = ACTIONS(6286),
    [anon_sym_or_eq] = ACTIONS(6286),
    [anon_sym_xor_eq] = ACTIONS(6286),
    [anon_sym_LT_EQ_GT] = ACTIONS(6288),
    [anon_sym_or] = ACTIONS(6286),
    [anon_sym_and] = ACTIONS(6286),
    [anon_sym_bitor] = ACTIONS(6286),
    [anon_sym_xor] = ACTIONS(6286),
    [anon_sym_bitand] = ACTIONS(6286),
    [anon_sym_not_eq] = ACTIONS(6286),
    [anon_sym_DASH_DASH] = ACTIONS(6288),
    [anon_sym_PLUS_PLUS] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(6286),
    [anon_sym_DOT_STAR] = ACTIONS(6288),
    [anon_sym_DASH_GT] = ACTIONS(6288),
    [anon_sym_L_DQUOTE] = ACTIONS(6288),
    [anon_sym_u_DQUOTE] = ACTIONS(6288),
    [anon_sym_U_DQUOTE] = ACTIONS(6288),
    [anon_sym_u8_DQUOTE] = ACTIONS(6288),
    [anon_sym_DQUOTE] = ACTIONS(6288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6288),
    [anon_sym_LR_DQUOTE] = ACTIONS(6288),
    [anon_sym_uR_DQUOTE] = ACTIONS(6288),
    [anon_sym_UR_DQUOTE] = ACTIONS(6288),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6288),
    [sym_literal_suffix] = ACTIONS(6286),
  },
  [2482] = {
    [sym_template_argument_list] = STATE(2549),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1974),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_RPAREN] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4289),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_EQ] = ACTIONS(1974),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [2483] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_PERCENT] = ACTIONS(1924),
    [anon_sym_PIPE_PIPE] = ACTIONS(1924),
    [anon_sym_AMP_AMP] = ACTIONS(1924),
    [anon_sym_PIPE] = ACTIONS(1922),
    [anon_sym_CARET] = ACTIONS(1924),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_GT] = ACTIONS(1922),
    [anon_sym_GT_EQ] = ACTIONS(1924),
    [anon_sym_LT_EQ] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_LT_LT] = ACTIONS(1924),
    [anon_sym_GT_GT] = ACTIONS(1924),
    [anon_sym_COLON] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym___attribute] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(1924),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_RBRACK] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym__Nonnull] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym__Alignas] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_QMARK] = ACTIONS(1924),
    [anon_sym_LT_EQ_GT] = ACTIONS(1924),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_bitor] = ACTIONS(1922),
    [anon_sym_xor] = ACTIONS(1922),
    [anon_sym_bitand] = ACTIONS(1922),
    [anon_sym_not_eq] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DOT] = ACTIONS(1922),
    [anon_sym_DOT_STAR] = ACTIONS(1924),
    [anon_sym_DASH_GT] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
  },
  [2484] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_SLASH] = ACTIONS(1987),
    [anon_sym_PERCENT] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_PIPE] = ACTIONS(1987),
    [anon_sym_CARET] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_EQ_EQ] = ACTIONS(1989),
    [anon_sym_BANG_EQ] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(1987),
    [anon_sym_GT_EQ] = ACTIONS(1989),
    [anon_sym_LT_EQ] = ACTIONS(1987),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_LT_LT] = ACTIONS(1989),
    [anon_sym_GT_GT] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_QMARK] = ACTIONS(1989),
    [anon_sym_LT_EQ_GT] = ACTIONS(1989),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [anon_sym_bitor] = ACTIONS(1987),
    [anon_sym_xor] = ACTIONS(1987),
    [anon_sym_bitand] = ACTIONS(1987),
    [anon_sym_not_eq] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DOT] = ACTIONS(1987),
    [anon_sym_DOT_STAR] = ACTIONS(1989),
    [anon_sym_DASH_GT] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
  },
  [2485] = {
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1993),
    [anon_sym_COMMA] = ACTIONS(1993),
    [anon_sym_RPAREN] = ACTIONS(1993),
    [anon_sym_LPAREN2] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_STAR] = ACTIONS(1993),
    [anon_sym_SLASH] = ACTIONS(1991),
    [anon_sym_PERCENT] = ACTIONS(1993),
    [anon_sym_PIPE_PIPE] = ACTIONS(1993),
    [anon_sym_AMP_AMP] = ACTIONS(1993),
    [anon_sym_PIPE] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1993),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym_EQ_EQ] = ACTIONS(1993),
    [anon_sym_BANG_EQ] = ACTIONS(1993),
    [anon_sym_GT] = ACTIONS(1991),
    [anon_sym_GT_EQ] = ACTIONS(1993),
    [anon_sym_LT_EQ] = ACTIONS(1991),
    [anon_sym_LT] = ACTIONS(1991),
    [anon_sym_LT_LT] = ACTIONS(1993),
    [anon_sym_GT_GT] = ACTIONS(1993),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1991),
    [anon_sym___attribute__] = ACTIONS(1991),
    [anon_sym___attribute] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym___based] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_RBRACE] = ACTIONS(1993),
    [anon_sym_signed] = ACTIONS(1991),
    [anon_sym_unsigned] = ACTIONS(1991),
    [anon_sym_long] = ACTIONS(1991),
    [anon_sym_short] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_constexpr] = ACTIONS(1991),
    [anon_sym_volatile] = ACTIONS(1991),
    [anon_sym_restrict] = ACTIONS(1991),
    [anon_sym___restrict__] = ACTIONS(1991),
    [anon_sym__Atomic] = ACTIONS(1991),
    [anon_sym__Noreturn] = ACTIONS(1991),
    [anon_sym_noreturn] = ACTIONS(1991),
    [anon_sym__Nonnull] = ACTIONS(1991),
    [anon_sym_mutable] = ACTIONS(1991),
    [anon_sym_constinit] = ACTIONS(1991),
    [anon_sym_consteval] = ACTIONS(1991),
    [anon_sym_alignas] = ACTIONS(1991),
    [anon_sym__Alignas] = ACTIONS(1991),
    [sym_primitive_type] = ACTIONS(1991),
    [anon_sym_QMARK] = ACTIONS(1993),
    [anon_sym_LT_EQ_GT] = ACTIONS(1993),
    [anon_sym_or] = ACTIONS(1991),
    [anon_sym_and] = ACTIONS(1991),
    [anon_sym_bitor] = ACTIONS(1991),
    [anon_sym_xor] = ACTIONS(1991),
    [anon_sym_bitand] = ACTIONS(1991),
    [anon_sym_not_eq] = ACTIONS(1991),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DOT] = ACTIONS(1991),
    [anon_sym_DOT_STAR] = ACTIONS(1993),
    [anon_sym_DASH_GT] = ACTIONS(1993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1991),
    [anon_sym_decltype] = ACTIONS(1991),
    [anon_sym_final] = ACTIONS(1991),
    [anon_sym_override] = ACTIONS(1991),
    [anon_sym_requires] = ACTIONS(1991),
  },
  [2486] = {
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [anon_sym_LPAREN2] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_SLASH] = ACTIONS(1930),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_PIPE_PIPE] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_LT_LT] = ACTIONS(1932),
    [anon_sym_GT_GT] = ACTIONS(1932),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym___attribute__] = ACTIONS(1930),
    [anon_sym___attribute] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym___based] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1930),
    [anon_sym_unsigned] = ACTIONS(1930),
    [anon_sym_long] = ACTIONS(1930),
    [anon_sym_short] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1932),
    [anon_sym_RBRACK] = ACTIONS(1932),
    [anon_sym_const] = ACTIONS(1930),
    [anon_sym_constexpr] = ACTIONS(1930),
    [anon_sym_volatile] = ACTIONS(1930),
    [anon_sym_restrict] = ACTIONS(1930),
    [anon_sym___restrict__] = ACTIONS(1930),
    [anon_sym__Atomic] = ACTIONS(1930),
    [anon_sym__Noreturn] = ACTIONS(1930),
    [anon_sym_noreturn] = ACTIONS(1930),
    [anon_sym__Nonnull] = ACTIONS(1930),
    [anon_sym_mutable] = ACTIONS(1930),
    [anon_sym_constinit] = ACTIONS(1930),
    [anon_sym_consteval] = ACTIONS(1930),
    [anon_sym_alignas] = ACTIONS(1930),
    [anon_sym__Alignas] = ACTIONS(1930),
    [sym_primitive_type] = ACTIONS(1930),
    [anon_sym_QMARK] = ACTIONS(1932),
    [anon_sym_LT_EQ_GT] = ACTIONS(1932),
    [anon_sym_or] = ACTIONS(1930),
    [anon_sym_and] = ACTIONS(1930),
    [anon_sym_bitor] = ACTIONS(1930),
    [anon_sym_xor] = ACTIONS(1930),
    [anon_sym_bitand] = ACTIONS(1930),
    [anon_sym_not_eq] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_DOT_STAR] = ACTIONS(1932),
    [anon_sym_DASH_GT] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1930),
    [anon_sym_decltype] = ACTIONS(1930),
    [anon_sym_final] = ACTIONS(1930),
    [anon_sym_override] = ACTIONS(1930),
    [anon_sym_requires] = ACTIONS(1930),
  },
  [2487] = {
    [sym_identifier] = ACTIONS(6326),
    [anon_sym_LPAREN2] = ACTIONS(6328),
    [anon_sym_STAR] = ACTIONS(6328),
    [anon_sym_AMP_AMP] = ACTIONS(6328),
    [anon_sym_AMP] = ACTIONS(6326),
    [anon_sym___extension__] = ACTIONS(6326),
    [anon_sym_in] = ACTIONS(6326),
    [anon_sym_out] = ACTIONS(6326),
    [anon_sym_inout] = ACTIONS(6326),
    [anon_sym_virtual] = ACTIONS(6326),
    [anon_sym_extern] = ACTIONS(6326),
    [anon_sym___attribute__] = ACTIONS(6326),
    [anon_sym___attribute] = ACTIONS(6326),
    [anon_sym_COLON_COLON] = ACTIONS(6328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6328),
    [anon_sym___declspec] = ACTIONS(6326),
    [anon_sym___based] = ACTIONS(6326),
    [anon_sym_signed] = ACTIONS(6326),
    [anon_sym_unsigned] = ACTIONS(6326),
    [anon_sym_long] = ACTIONS(6326),
    [anon_sym_short] = ACTIONS(6326),
    [anon_sym_static] = ACTIONS(6326),
    [anon_sym_register] = ACTIONS(6326),
    [anon_sym_inline] = ACTIONS(6326),
    [anon_sym___inline] = ACTIONS(6326),
    [anon_sym___inline__] = ACTIONS(6326),
    [anon_sym___forceinline] = ACTIONS(6326),
    [anon_sym_thread_local] = ACTIONS(6326),
    [anon_sym___thread] = ACTIONS(6326),
    [anon_sym_const] = ACTIONS(6326),
    [anon_sym_constexpr] = ACTIONS(6326),
    [anon_sym_volatile] = ACTIONS(6326),
    [anon_sym_restrict] = ACTIONS(6326),
    [anon_sym___restrict__] = ACTIONS(6326),
    [anon_sym__Atomic] = ACTIONS(6326),
    [anon_sym__Noreturn] = ACTIONS(6326),
    [anon_sym_noreturn] = ACTIONS(6326),
    [anon_sym__Nonnull] = ACTIONS(6326),
    [anon_sym_mutable] = ACTIONS(6326),
    [anon_sym_constinit] = ACTIONS(6326),
    [anon_sym_consteval] = ACTIONS(6326),
    [anon_sym_alignas] = ACTIONS(6326),
    [anon_sym__Alignas] = ACTIONS(6326),
    [sym_primitive_type] = ACTIONS(6326),
    [anon_sym_enum] = ACTIONS(6326),
    [anon_sym_class] = ACTIONS(6326),
    [anon_sym_struct] = ACTIONS(6326),
    [anon_sym_union] = ACTIONS(6326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6326),
    [anon_sym_decltype] = ACTIONS(6326),
    [anon_sym_typename] = ACTIONS(6326),
    [anon_sym_template] = ACTIONS(6326),
    [anon_sym_precise] = ACTIONS(6326),
    [anon_sym_shared] = ACTIONS(6326),
    [anon_sym_groupshared] = ACTIONS(6326),
    [anon_sym_uniform] = ACTIONS(6326),
    [anon_sym_row_major] = ACTIONS(6326),
    [anon_sym_column_major] = ACTIONS(6326),
    [anon_sym_globallycoherent] = ACTIONS(6326),
    [anon_sym_centroid] = ACTIONS(6326),
    [anon_sym_noperspective] = ACTIONS(6326),
    [anon_sym_nointerpolation] = ACTIONS(6326),
    [anon_sym_sample] = ACTIONS(6326),
    [anon_sym_linear] = ACTIONS(6326),
    [anon_sym_snorm] = ACTIONS(6326),
    [anon_sym_unorm] = ACTIONS(6326),
    [anon_sym_point] = ACTIONS(6326),
    [anon_sym_line] = ACTIONS(6326),
    [anon_sym_triangleadj] = ACTIONS(6326),
    [anon_sym_lineadj] = ACTIONS(6326),
    [anon_sym_triangle] = ACTIONS(6326),
  },
  [2488] = {
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2005),
    [anon_sym_COMMA] = ACTIONS(2005),
    [anon_sym_RPAREN] = ACTIONS(2005),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2003),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_PIPE_PIPE] = ACTIONS(2005),
    [anon_sym_AMP_AMP] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(2003),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym_EQ_EQ] = ACTIONS(2005),
    [anon_sym_BANG_EQ] = ACTIONS(2005),
    [anon_sym_GT] = ACTIONS(2003),
    [anon_sym_GT_EQ] = ACTIONS(2005),
    [anon_sym_LT_EQ] = ACTIONS(2003),
    [anon_sym_LT] = ACTIONS(2003),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_SEMI] = ACTIONS(2005),
    [anon_sym___extension__] = ACTIONS(2003),
    [anon_sym___attribute__] = ACTIONS(2003),
    [anon_sym___attribute] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym___based] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_RBRACE] = ACTIONS(2005),
    [anon_sym_signed] = ACTIONS(2003),
    [anon_sym_unsigned] = ACTIONS(2003),
    [anon_sym_long] = ACTIONS(2003),
    [anon_sym_short] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2005),
    [anon_sym_const] = ACTIONS(2003),
    [anon_sym_constexpr] = ACTIONS(2003),
    [anon_sym_volatile] = ACTIONS(2003),
    [anon_sym_restrict] = ACTIONS(2003),
    [anon_sym___restrict__] = ACTIONS(2003),
    [anon_sym__Atomic] = ACTIONS(2003),
    [anon_sym__Noreturn] = ACTIONS(2003),
    [anon_sym_noreturn] = ACTIONS(2003),
    [anon_sym__Nonnull] = ACTIONS(2003),
    [anon_sym_mutable] = ACTIONS(2003),
    [anon_sym_constinit] = ACTIONS(2003),
    [anon_sym_consteval] = ACTIONS(2003),
    [anon_sym_alignas] = ACTIONS(2003),
    [anon_sym__Alignas] = ACTIONS(2003),
    [sym_primitive_type] = ACTIONS(2003),
    [anon_sym_QMARK] = ACTIONS(2005),
    [anon_sym_LT_EQ_GT] = ACTIONS(2005),
    [anon_sym_or] = ACTIONS(2003),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_bitor] = ACTIONS(2003),
    [anon_sym_xor] = ACTIONS(2003),
    [anon_sym_bitand] = ACTIONS(2003),
    [anon_sym_not_eq] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DOT] = ACTIONS(2003),
    [anon_sym_DOT_STAR] = ACTIONS(2005),
    [anon_sym_DASH_GT] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2003),
    [anon_sym_decltype] = ACTIONS(2003),
    [anon_sym_final] = ACTIONS(2003),
    [anon_sym_override] = ACTIONS(2003),
    [anon_sym_requires] = ACTIONS(2003),
  },
  [2489] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2009),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4302),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym___cdecl] = ACTIONS(2007),
    [anon_sym___clrcall] = ACTIONS(2007),
    [anon_sym___stdcall] = ACTIONS(2007),
    [anon_sym___fastcall] = ACTIONS(2007),
    [anon_sym___thiscall] = ACTIONS(2007),
    [anon_sym___vectorcall] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [2490] = {
    [sym_decltype_auto] = STATE(2502),
    [sym_identifier] = ACTIONS(5810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5812),
    [anon_sym_COMMA] = ACTIONS(5812),
    [anon_sym_RPAREN] = ACTIONS(5812),
    [anon_sym_LPAREN2] = ACTIONS(5812),
    [anon_sym_DASH] = ACTIONS(5810),
    [anon_sym_PLUS] = ACTIONS(5810),
    [anon_sym_STAR] = ACTIONS(5812),
    [anon_sym_SLASH] = ACTIONS(5810),
    [anon_sym_PERCENT] = ACTIONS(5812),
    [anon_sym_PIPE_PIPE] = ACTIONS(5812),
    [anon_sym_AMP_AMP] = ACTIONS(5812),
    [anon_sym_PIPE] = ACTIONS(5810),
    [anon_sym_CARET] = ACTIONS(5812),
    [anon_sym_AMP] = ACTIONS(5810),
    [anon_sym_EQ_EQ] = ACTIONS(5812),
    [anon_sym_BANG_EQ] = ACTIONS(5812),
    [anon_sym_GT] = ACTIONS(5810),
    [anon_sym_GT_EQ] = ACTIONS(5812),
    [anon_sym_LT_EQ] = ACTIONS(5810),
    [anon_sym_LT] = ACTIONS(5810),
    [anon_sym_LT_LT] = ACTIONS(5812),
    [anon_sym_GT_GT] = ACTIONS(5812),
    [anon_sym_COLON] = ACTIONS(5812),
    [anon_sym_SEMI] = ACTIONS(5812),
    [anon_sym___extension__] = ACTIONS(5810),
    [anon_sym___attribute__] = ACTIONS(5810),
    [anon_sym___attribute] = ACTIONS(5810),
    [anon_sym___based] = ACTIONS(5810),
    [anon_sym_LBRACE] = ACTIONS(5812),
    [anon_sym_RBRACE] = ACTIONS(5812),
    [anon_sym_signed] = ACTIONS(5810),
    [anon_sym_unsigned] = ACTIONS(5810),
    [anon_sym_long] = ACTIONS(5810),
    [anon_sym_short] = ACTIONS(5810),
    [anon_sym_LBRACK] = ACTIONS(5812),
    [anon_sym_RBRACK] = ACTIONS(5812),
    [anon_sym_const] = ACTIONS(5810),
    [anon_sym_constexpr] = ACTIONS(5810),
    [anon_sym_volatile] = ACTIONS(5810),
    [anon_sym_restrict] = ACTIONS(5810),
    [anon_sym___restrict__] = ACTIONS(5810),
    [anon_sym__Atomic] = ACTIONS(5810),
    [anon_sym__Noreturn] = ACTIONS(5810),
    [anon_sym_noreturn] = ACTIONS(5810),
    [anon_sym__Nonnull] = ACTIONS(5810),
    [anon_sym_mutable] = ACTIONS(5810),
    [anon_sym_constinit] = ACTIONS(5810),
    [anon_sym_consteval] = ACTIONS(5810),
    [anon_sym_alignas] = ACTIONS(5810),
    [anon_sym__Alignas] = ACTIONS(5810),
    [sym_primitive_type] = ACTIONS(5810),
    [anon_sym_QMARK] = ACTIONS(5812),
    [anon_sym_LT_EQ_GT] = ACTIONS(5812),
    [anon_sym_or] = ACTIONS(5810),
    [anon_sym_and] = ACTIONS(5810),
    [anon_sym_bitor] = ACTIONS(5810),
    [anon_sym_xor] = ACTIONS(5810),
    [anon_sym_bitand] = ACTIONS(5810),
    [anon_sym_not_eq] = ACTIONS(5810),
    [anon_sym_DASH_DASH] = ACTIONS(5812),
    [anon_sym_PLUS_PLUS] = ACTIONS(5812),
    [anon_sym_DOT] = ACTIONS(5810),
    [anon_sym_DOT_STAR] = ACTIONS(5812),
    [anon_sym_DASH_GT] = ACTIONS(5812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6330),
    [anon_sym_decltype] = ACTIONS(6332),
    [anon_sym_final] = ACTIONS(5810),
    [anon_sym_override] = ACTIONS(5810),
    [anon_sym_requires] = ACTIONS(5810),
  },
  [2491] = {
    [sym_identifier] = ACTIONS(5806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5808),
    [anon_sym_COMMA] = ACTIONS(5808),
    [anon_sym_RPAREN] = ACTIONS(5808),
    [anon_sym_LPAREN2] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(5808),
    [anon_sym_SLASH] = ACTIONS(5806),
    [anon_sym_PERCENT] = ACTIONS(5808),
    [anon_sym_PIPE_PIPE] = ACTIONS(5808),
    [anon_sym_AMP_AMP] = ACTIONS(5808),
    [anon_sym_PIPE] = ACTIONS(5806),
    [anon_sym_CARET] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(5806),
    [anon_sym_EQ_EQ] = ACTIONS(5808),
    [anon_sym_BANG_EQ] = ACTIONS(5808),
    [anon_sym_GT] = ACTIONS(5806),
    [anon_sym_GT_EQ] = ACTIONS(5808),
    [anon_sym_LT_EQ] = ACTIONS(5806),
    [anon_sym_LT] = ACTIONS(5806),
    [anon_sym_LT_LT] = ACTIONS(5808),
    [anon_sym_GT_GT] = ACTIONS(5808),
    [anon_sym_COLON] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [anon_sym___extension__] = ACTIONS(5806),
    [anon_sym___attribute__] = ACTIONS(5806),
    [anon_sym___attribute] = ACTIONS(5806),
    [anon_sym_COLON_COLON] = ACTIONS(5808),
    [anon_sym___based] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(5808),
    [anon_sym_RBRACE] = ACTIONS(5808),
    [anon_sym_signed] = ACTIONS(5806),
    [anon_sym_unsigned] = ACTIONS(5806),
    [anon_sym_long] = ACTIONS(5806),
    [anon_sym_short] = ACTIONS(5806),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [anon_sym_RBRACK] = ACTIONS(5808),
    [anon_sym_const] = ACTIONS(5806),
    [anon_sym_constexpr] = ACTIONS(5806),
    [anon_sym_volatile] = ACTIONS(5806),
    [anon_sym_restrict] = ACTIONS(5806),
    [anon_sym___restrict__] = ACTIONS(5806),
    [anon_sym__Atomic] = ACTIONS(5806),
    [anon_sym__Noreturn] = ACTIONS(5806),
    [anon_sym_noreturn] = ACTIONS(5806),
    [anon_sym__Nonnull] = ACTIONS(5806),
    [anon_sym_mutable] = ACTIONS(5806),
    [anon_sym_constinit] = ACTIONS(5806),
    [anon_sym_consteval] = ACTIONS(5806),
    [anon_sym_alignas] = ACTIONS(5806),
    [anon_sym__Alignas] = ACTIONS(5806),
    [sym_primitive_type] = ACTIONS(5806),
    [anon_sym_QMARK] = ACTIONS(5808),
    [anon_sym_LT_EQ_GT] = ACTIONS(5808),
    [anon_sym_or] = ACTIONS(5806),
    [anon_sym_and] = ACTIONS(5806),
    [anon_sym_bitor] = ACTIONS(5806),
    [anon_sym_xor] = ACTIONS(5806),
    [anon_sym_bitand] = ACTIONS(5806),
    [anon_sym_not_eq] = ACTIONS(5806),
    [anon_sym_DASH_DASH] = ACTIONS(5808),
    [anon_sym_PLUS_PLUS] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_DOT_STAR] = ACTIONS(5808),
    [anon_sym_DASH_GT] = ACTIONS(5808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5806),
    [anon_sym_final] = ACTIONS(5806),
    [anon_sym_override] = ACTIONS(5806),
    [anon_sym_requires] = ACTIONS(5806),
  },
  [2492] = {
    [sym_identifier] = ACTIONS(1934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1936),
    [anon_sym_RPAREN] = ACTIONS(1936),
    [anon_sym_LPAREN2] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1936),
    [anon_sym_AMP_AMP] = ACTIONS(1936),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1936),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_LT_LT] = ACTIONS(1936),
    [anon_sym_GT_GT] = ACTIONS(1936),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym___extension__] = ACTIONS(1934),
    [anon_sym___attribute__] = ACTIONS(1934),
    [anon_sym___attribute] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym___based] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_signed] = ACTIONS(1934),
    [anon_sym_unsigned] = ACTIONS(1934),
    [anon_sym_long] = ACTIONS(1934),
    [anon_sym_short] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_RBRACK] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(1934),
    [anon_sym_constexpr] = ACTIONS(1934),
    [anon_sym_volatile] = ACTIONS(1934),
    [anon_sym_restrict] = ACTIONS(1934),
    [anon_sym___restrict__] = ACTIONS(1934),
    [anon_sym__Atomic] = ACTIONS(1934),
    [anon_sym__Noreturn] = ACTIONS(1934),
    [anon_sym_noreturn] = ACTIONS(1934),
    [anon_sym__Nonnull] = ACTIONS(1934),
    [anon_sym_mutable] = ACTIONS(1934),
    [anon_sym_constinit] = ACTIONS(1934),
    [anon_sym_consteval] = ACTIONS(1934),
    [anon_sym_alignas] = ACTIONS(1934),
    [anon_sym__Alignas] = ACTIONS(1934),
    [sym_primitive_type] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1936),
    [anon_sym_LT_EQ_GT] = ACTIONS(1936),
    [anon_sym_or] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(1934),
    [anon_sym_bitor] = ACTIONS(1934),
    [anon_sym_xor] = ACTIONS(1934),
    [anon_sym_bitand] = ACTIONS(1934),
    [anon_sym_not_eq] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_DOT_STAR] = ACTIONS(1936),
    [anon_sym_DASH_GT] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1934),
    [anon_sym_decltype] = ACTIONS(1934),
    [anon_sym_final] = ACTIONS(1934),
    [anon_sym_override] = ACTIONS(1934),
    [anon_sym_requires] = ACTIONS(1934),
  },
  [2493] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_SLASH] = ACTIONS(1987),
    [anon_sym_PERCENT] = ACTIONS(1989),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_PIPE] = ACTIONS(1987),
    [anon_sym_CARET] = ACTIONS(1989),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_EQ_EQ] = ACTIONS(1989),
    [anon_sym_BANG_EQ] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(1987),
    [anon_sym_GT_EQ] = ACTIONS(1989),
    [anon_sym_LT_EQ] = ACTIONS(1987),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_LT_LT] = ACTIONS(1989),
    [anon_sym_GT_GT] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___extension__] = ACTIONS(1987),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym___based] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_signed] = ACTIONS(1987),
    [anon_sym_unsigned] = ACTIONS(1987),
    [anon_sym_long] = ACTIONS(1987),
    [anon_sym_short] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_constexpr] = ACTIONS(1987),
    [anon_sym_volatile] = ACTIONS(1987),
    [anon_sym_restrict] = ACTIONS(1987),
    [anon_sym___restrict__] = ACTIONS(1987),
    [anon_sym__Atomic] = ACTIONS(1987),
    [anon_sym__Noreturn] = ACTIONS(1987),
    [anon_sym_noreturn] = ACTIONS(1987),
    [anon_sym__Nonnull] = ACTIONS(1987),
    [anon_sym_mutable] = ACTIONS(1987),
    [anon_sym_constinit] = ACTIONS(1987),
    [anon_sym_consteval] = ACTIONS(1987),
    [anon_sym_alignas] = ACTIONS(1987),
    [anon_sym__Alignas] = ACTIONS(1987),
    [sym_primitive_type] = ACTIONS(1987),
    [anon_sym_QMARK] = ACTIONS(1989),
    [anon_sym_LT_EQ_GT] = ACTIONS(1989),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [anon_sym_bitor] = ACTIONS(1987),
    [anon_sym_xor] = ACTIONS(1987),
    [anon_sym_bitand] = ACTIONS(1987),
    [anon_sym_not_eq] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DOT] = ACTIONS(1987),
    [anon_sym_DOT_STAR] = ACTIONS(1989),
    [anon_sym_DASH_GT] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
    [anon_sym_requires] = ACTIONS(1987),
  },
  [2494] = {
    [sym_identifier] = ACTIONS(6282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6284),
    [anon_sym_COMMA] = ACTIONS(6284),
    [anon_sym_RPAREN] = ACTIONS(6284),
    [aux_sym_preproc_if_token2] = ACTIONS(6284),
    [aux_sym_preproc_else_token1] = ACTIONS(6284),
    [aux_sym_preproc_elif_token1] = ACTIONS(6282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6284),
    [anon_sym_LPAREN2] = ACTIONS(6284),
    [anon_sym_DASH] = ACTIONS(6282),
    [anon_sym_PLUS] = ACTIONS(6282),
    [anon_sym_STAR] = ACTIONS(6282),
    [anon_sym_SLASH] = ACTIONS(6282),
    [anon_sym_PERCENT] = ACTIONS(6282),
    [anon_sym_PIPE_PIPE] = ACTIONS(6284),
    [anon_sym_AMP_AMP] = ACTIONS(6284),
    [anon_sym_PIPE] = ACTIONS(6282),
    [anon_sym_CARET] = ACTIONS(6282),
    [anon_sym_AMP] = ACTIONS(6282),
    [anon_sym_EQ_EQ] = ACTIONS(6284),
    [anon_sym_BANG_EQ] = ACTIONS(6284),
    [anon_sym_GT] = ACTIONS(6282),
    [anon_sym_GT_EQ] = ACTIONS(6284),
    [anon_sym_LT_EQ] = ACTIONS(6282),
    [anon_sym_LT] = ACTIONS(6282),
    [anon_sym_LT_LT] = ACTIONS(6282),
    [anon_sym_GT_GT] = ACTIONS(6282),
    [anon_sym_COLON] = ACTIONS(6284),
    [anon_sym_SEMI] = ACTIONS(6284),
    [anon_sym_RBRACE] = ACTIONS(6284),
    [anon_sym_LBRACK] = ACTIONS(6284),
    [anon_sym_RBRACK] = ACTIONS(6284),
    [anon_sym_EQ] = ACTIONS(6282),
    [anon_sym_QMARK] = ACTIONS(6284),
    [anon_sym_STAR_EQ] = ACTIONS(6284),
    [anon_sym_SLASH_EQ] = ACTIONS(6284),
    [anon_sym_PERCENT_EQ] = ACTIONS(6284),
    [anon_sym_PLUS_EQ] = ACTIONS(6284),
    [anon_sym_DASH_EQ] = ACTIONS(6284),
    [anon_sym_LT_LT_EQ] = ACTIONS(6284),
    [anon_sym_GT_GT_EQ] = ACTIONS(6284),
    [anon_sym_AMP_EQ] = ACTIONS(6284),
    [anon_sym_CARET_EQ] = ACTIONS(6284),
    [anon_sym_PIPE_EQ] = ACTIONS(6284),
    [anon_sym_and_eq] = ACTIONS(6282),
    [anon_sym_or_eq] = ACTIONS(6282),
    [anon_sym_xor_eq] = ACTIONS(6282),
    [anon_sym_LT_EQ_GT] = ACTIONS(6284),
    [anon_sym_or] = ACTIONS(6282),
    [anon_sym_and] = ACTIONS(6282),
    [anon_sym_bitor] = ACTIONS(6282),
    [anon_sym_xor] = ACTIONS(6282),
    [anon_sym_bitand] = ACTIONS(6282),
    [anon_sym_not_eq] = ACTIONS(6282),
    [anon_sym_DASH_DASH] = ACTIONS(6284),
    [anon_sym_PLUS_PLUS] = ACTIONS(6284),
    [anon_sym_DOT] = ACTIONS(6282),
    [anon_sym_DOT_STAR] = ACTIONS(6284),
    [anon_sym_DASH_GT] = ACTIONS(6284),
    [anon_sym_L_DQUOTE] = ACTIONS(6284),
    [anon_sym_u_DQUOTE] = ACTIONS(6284),
    [anon_sym_U_DQUOTE] = ACTIONS(6284),
    [anon_sym_u8_DQUOTE] = ACTIONS(6284),
    [anon_sym_DQUOTE] = ACTIONS(6284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6284),
    [anon_sym_LR_DQUOTE] = ACTIONS(6284),
    [anon_sym_uR_DQUOTE] = ACTIONS(6284),
    [anon_sym_UR_DQUOTE] = ACTIONS(6284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6284),
    [sym_literal_suffix] = ACTIONS(6282),
  },
  [2495] = {
    [sym_template_argument_list] = STATE(2509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4287),
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_RPAREN] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4294),
    [anon_sym_SLASH] = ACTIONS(4292),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_AMP_AMP] = ACTIONS(4289),
    [anon_sym_PIPE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4294),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_BANG_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(6334),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym___extension__] = ACTIONS(1974),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(4289),
    [anon_sym_EQ] = ACTIONS(4292),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1974),
    [anon_sym_volatile] = ACTIONS(1974),
    [anon_sym_restrict] = ACTIONS(1974),
    [anon_sym___restrict__] = ACTIONS(1974),
    [anon_sym__Atomic] = ACTIONS(1974),
    [anon_sym__Noreturn] = ACTIONS(1974),
    [anon_sym_noreturn] = ACTIONS(1974),
    [anon_sym__Nonnull] = ACTIONS(1974),
    [anon_sym_mutable] = ACTIONS(1974),
    [anon_sym_constinit] = ACTIONS(1974),
    [anon_sym_consteval] = ACTIONS(1974),
    [anon_sym_alignas] = ACTIONS(1974),
    [anon_sym__Alignas] = ACTIONS(1974),
    [anon_sym_QMARK] = ACTIONS(4287),
    [anon_sym_STAR_EQ] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [anon_sym_PERCENT_EQ] = ACTIONS(4287),
    [anon_sym_PLUS_EQ] = ACTIONS(4287),
    [anon_sym_DASH_EQ] = ACTIONS(4287),
    [anon_sym_LT_LT_EQ] = ACTIONS(4287),
    [anon_sym_GT_GT_EQ] = ACTIONS(4287),
    [anon_sym_AMP_EQ] = ACTIONS(4287),
    [anon_sym_CARET_EQ] = ACTIONS(4287),
    [anon_sym_PIPE_EQ] = ACTIONS(4287),
    [anon_sym_and_eq] = ACTIONS(4287),
    [anon_sym_or_eq] = ACTIONS(4287),
    [anon_sym_xor_eq] = ACTIONS(4287),
    [anon_sym_LT_EQ_GT] = ACTIONS(4287),
    [anon_sym_or] = ACTIONS(4292),
    [anon_sym_and] = ACTIONS(4292),
    [anon_sym_bitor] = ACTIONS(4287),
    [anon_sym_xor] = ACTIONS(4292),
    [anon_sym_bitand] = ACTIONS(4287),
    [anon_sym_not_eq] = ACTIONS(4287),
    [anon_sym_DASH_DASH] = ACTIONS(4287),
    [anon_sym_PLUS_PLUS] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4292),
    [anon_sym_DOT_STAR] = ACTIONS(4287),
    [anon_sym_DASH_GT] = ACTIONS(4292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1974),
    [anon_sym_decltype] = ACTIONS(1974),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4287),
  },
  [2496] = {
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_GT_GT] = ACTIONS(1920),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1918),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym___based] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1918),
    [anon_sym_unsigned] = ACTIONS(1918),
    [anon_sym_long] = ACTIONS(1918),
    [anon_sym_short] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_RBRACK] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_constexpr] = ACTIONS(1918),
    [anon_sym_volatile] = ACTIONS(1918),
    [anon_sym_restrict] = ACTIONS(1918),
    [anon_sym___restrict__] = ACTIONS(1918),
    [anon_sym__Atomic] = ACTIONS(1918),
    [anon_sym__Noreturn] = ACTIONS(1918),
    [anon_sym_noreturn] = ACTIONS(1918),
    [anon_sym__Nonnull] = ACTIONS(1918),
    [anon_sym_mutable] = ACTIONS(1918),
    [anon_sym_constinit] = ACTIONS(1918),
    [anon_sym_consteval] = ACTIONS(1918),
    [anon_sym_alignas] = ACTIONS(1918),
    [anon_sym__Alignas] = ACTIONS(1918),
    [sym_primitive_type] = ACTIONS(1918),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1918),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_final] = ACTIONS(1918),
    [anon_sym_override] = ACTIONS(1918),
    [anon_sym_requires] = ACTIONS(1918),
  },
  [2497] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym___cdecl] = ACTIONS(5710),
    [anon_sym___clrcall] = ACTIONS(5710),
    [anon_sym___stdcall] = ACTIONS(5710),
    [anon_sym___fastcall] = ACTIONS(5710),
    [anon_sym___thiscall] = ACTIONS(5710),
    [anon_sym___vectorcall] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2498] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(5712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym___cdecl] = ACTIONS(5710),
    [anon_sym___clrcall] = ACTIONS(5710),
    [anon_sym___stdcall] = ACTIONS(5710),
    [anon_sym___fastcall] = ACTIONS(5710),
    [anon_sym___thiscall] = ACTIONS(5710),
    [anon_sym___vectorcall] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2499] = {
    [sym_identifier] = ACTIONS(6337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6339),
    [anon_sym_COMMA] = ACTIONS(6339),
    [anon_sym_RPAREN] = ACTIONS(6339),
    [aux_sym_preproc_if_token2] = ACTIONS(6339),
    [aux_sym_preproc_else_token1] = ACTIONS(6339),
    [aux_sym_preproc_elif_token1] = ACTIONS(6337),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6339),
    [anon_sym_LPAREN2] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6337),
    [anon_sym_STAR] = ACTIONS(6337),
    [anon_sym_SLASH] = ACTIONS(6337),
    [anon_sym_PERCENT] = ACTIONS(6337),
    [anon_sym_PIPE_PIPE] = ACTIONS(6339),
    [anon_sym_AMP_AMP] = ACTIONS(6339),
    [anon_sym_PIPE] = ACTIONS(6337),
    [anon_sym_CARET] = ACTIONS(6337),
    [anon_sym_AMP] = ACTIONS(6337),
    [anon_sym_EQ_EQ] = ACTIONS(6339),
    [anon_sym_BANG_EQ] = ACTIONS(6339),
    [anon_sym_GT] = ACTIONS(6337),
    [anon_sym_GT_EQ] = ACTIONS(6339),
    [anon_sym_LT_EQ] = ACTIONS(6337),
    [anon_sym_LT] = ACTIONS(6337),
    [anon_sym_LT_LT] = ACTIONS(6337),
    [anon_sym_GT_GT] = ACTIONS(6337),
    [anon_sym_COLON] = ACTIONS(6339),
    [anon_sym_SEMI] = ACTIONS(6339),
    [anon_sym_RBRACE] = ACTIONS(6339),
    [anon_sym_LBRACK] = ACTIONS(6339),
    [anon_sym_RBRACK] = ACTIONS(6339),
    [anon_sym_EQ] = ACTIONS(6337),
    [anon_sym_QMARK] = ACTIONS(6339),
    [anon_sym_STAR_EQ] = ACTIONS(6339),
    [anon_sym_SLASH_EQ] = ACTIONS(6339),
    [anon_sym_PERCENT_EQ] = ACTIONS(6339),
    [anon_sym_PLUS_EQ] = ACTIONS(6339),
    [anon_sym_DASH_EQ] = ACTIONS(6339),
    [anon_sym_LT_LT_EQ] = ACTIONS(6339),
    [anon_sym_GT_GT_EQ] = ACTIONS(6339),
    [anon_sym_AMP_EQ] = ACTIONS(6339),
    [anon_sym_CARET_EQ] = ACTIONS(6339),
    [anon_sym_PIPE_EQ] = ACTIONS(6339),
    [anon_sym_and_eq] = ACTIONS(6337),
    [anon_sym_or_eq] = ACTIONS(6337),
    [anon_sym_xor_eq] = ACTIONS(6337),
    [anon_sym_LT_EQ_GT] = ACTIONS(6339),
    [anon_sym_or] = ACTIONS(6337),
    [anon_sym_and] = ACTIONS(6337),
    [anon_sym_bitor] = ACTIONS(6337),
    [anon_sym_xor] = ACTIONS(6337),
    [anon_sym_bitand] = ACTIONS(6337),
    [anon_sym_not_eq] = ACTIONS(6337),
    [anon_sym_DASH_DASH] = ACTIONS(6339),
    [anon_sym_PLUS_PLUS] = ACTIONS(6339),
    [anon_sym_DOT] = ACTIONS(6337),
    [anon_sym_DOT_STAR] = ACTIONS(6339),
    [anon_sym_DASH_GT] = ACTIONS(6339),
    [anon_sym_L_DQUOTE] = ACTIONS(6339),
    [anon_sym_u_DQUOTE] = ACTIONS(6339),
    [anon_sym_U_DQUOTE] = ACTIONS(6339),
    [anon_sym_u8_DQUOTE] = ACTIONS(6339),
    [anon_sym_DQUOTE] = ACTIONS(6339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6339),
    [anon_sym_LR_DQUOTE] = ACTIONS(6339),
    [anon_sym_uR_DQUOTE] = ACTIONS(6339),
    [anon_sym_UR_DQUOTE] = ACTIONS(6339),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6339),
    [sym_literal_suffix] = ACTIONS(6337),
  },
  [2500] = {
    [sym_identifier] = ACTIONS(5998),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6000),
    [anon_sym_COMMA] = ACTIONS(6000),
    [anon_sym_RPAREN] = ACTIONS(6000),
    [anon_sym_LPAREN2] = ACTIONS(6000),
    [anon_sym_DASH] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(5998),
    [anon_sym_STAR] = ACTIONS(6000),
    [anon_sym_SLASH] = ACTIONS(5998),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [anon_sym_PIPE_PIPE] = ACTIONS(6000),
    [anon_sym_AMP_AMP] = ACTIONS(6000),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_CARET] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(5998),
    [anon_sym_EQ_EQ] = ACTIONS(6000),
    [anon_sym_BANG_EQ] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(5998),
    [anon_sym_GT_EQ] = ACTIONS(6000),
    [anon_sym_LT_EQ] = ACTIONS(5998),
    [anon_sym_LT] = ACTIONS(5998),
    [anon_sym_LT_LT] = ACTIONS(6000),
    [anon_sym_GT_GT] = ACTIONS(6000),
    [anon_sym_COLON] = ACTIONS(6000),
    [anon_sym_SEMI] = ACTIONS(6000),
    [anon_sym___extension__] = ACTIONS(5998),
    [anon_sym___attribute__] = ACTIONS(5998),
    [anon_sym___attribute] = ACTIONS(5998),
    [anon_sym___based] = ACTIONS(5998),
    [anon_sym_LBRACE] = ACTIONS(6000),
    [anon_sym_RBRACE] = ACTIONS(6000),
    [anon_sym_signed] = ACTIONS(5998),
    [anon_sym_unsigned] = ACTIONS(5998),
    [anon_sym_long] = ACTIONS(5998),
    [anon_sym_short] = ACTIONS(5998),
    [anon_sym_LBRACK] = ACTIONS(6000),
    [anon_sym_RBRACK] = ACTIONS(6000),
    [anon_sym_const] = ACTIONS(5998),
    [anon_sym_constexpr] = ACTIONS(5998),
    [anon_sym_volatile] = ACTIONS(5998),
    [anon_sym_restrict] = ACTIONS(5998),
    [anon_sym___restrict__] = ACTIONS(5998),
    [anon_sym__Atomic] = ACTIONS(5998),
    [anon_sym__Noreturn] = ACTIONS(5998),
    [anon_sym_noreturn] = ACTIONS(5998),
    [anon_sym__Nonnull] = ACTIONS(5998),
    [anon_sym_mutable] = ACTIONS(5998),
    [anon_sym_constinit] = ACTIONS(5998),
    [anon_sym_consteval] = ACTIONS(5998),
    [anon_sym_alignas] = ACTIONS(5998),
    [anon_sym__Alignas] = ACTIONS(5998),
    [sym_primitive_type] = ACTIONS(5998),
    [anon_sym_QMARK] = ACTIONS(6000),
    [anon_sym_LT_EQ_GT] = ACTIONS(6000),
    [anon_sym_or] = ACTIONS(5998),
    [anon_sym_and] = ACTIONS(5998),
    [anon_sym_bitor] = ACTIONS(5998),
    [anon_sym_xor] = ACTIONS(5998),
    [anon_sym_bitand] = ACTIONS(5998),
    [anon_sym_not_eq] = ACTIONS(5998),
    [anon_sym_DASH_DASH] = ACTIONS(6000),
    [anon_sym_PLUS_PLUS] = ACTIONS(6000),
    [anon_sym_DOT] = ACTIONS(5998),
    [anon_sym_DOT_STAR] = ACTIONS(6000),
    [anon_sym_DASH_GT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5998),
    [anon_sym_decltype] = ACTIONS(5998),
    [anon_sym_final] = ACTIONS(5998),
    [anon_sym_override] = ACTIONS(5998),
    [anon_sym_requires] = ACTIONS(5998),
  },
  [2501] = {
    [sym_identifier] = ACTIONS(5858),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5860),
    [anon_sym_COMMA] = ACTIONS(5860),
    [anon_sym_RPAREN] = ACTIONS(5860),
    [anon_sym_LPAREN2] = ACTIONS(5860),
    [anon_sym_DASH] = ACTIONS(5858),
    [anon_sym_PLUS] = ACTIONS(5858),
    [anon_sym_STAR] = ACTIONS(5860),
    [anon_sym_SLASH] = ACTIONS(5858),
    [anon_sym_PERCENT] = ACTIONS(5860),
    [anon_sym_PIPE_PIPE] = ACTIONS(5860),
    [anon_sym_AMP_AMP] = ACTIONS(5860),
    [anon_sym_PIPE] = ACTIONS(5858),
    [anon_sym_CARET] = ACTIONS(5860),
    [anon_sym_AMP] = ACTIONS(5858),
    [anon_sym_EQ_EQ] = ACTIONS(5860),
    [anon_sym_BANG_EQ] = ACTIONS(5860),
    [anon_sym_GT] = ACTIONS(5858),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_LT_EQ] = ACTIONS(5858),
    [anon_sym_LT] = ACTIONS(5858),
    [anon_sym_LT_LT] = ACTIONS(5860),
    [anon_sym_GT_GT] = ACTIONS(5860),
    [anon_sym_COLON] = ACTIONS(5860),
    [anon_sym_SEMI] = ACTIONS(5860),
    [anon_sym___extension__] = ACTIONS(5858),
    [anon_sym___attribute__] = ACTIONS(5858),
    [anon_sym___attribute] = ACTIONS(5858),
    [anon_sym___based] = ACTIONS(5858),
    [anon_sym_LBRACE] = ACTIONS(5860),
    [anon_sym_RBRACE] = ACTIONS(5860),
    [anon_sym_signed] = ACTIONS(5858),
    [anon_sym_unsigned] = ACTIONS(5858),
    [anon_sym_long] = ACTIONS(5858),
    [anon_sym_short] = ACTIONS(5858),
    [anon_sym_LBRACK] = ACTIONS(5860),
    [anon_sym_RBRACK] = ACTIONS(5860),
    [anon_sym_const] = ACTIONS(5858),
    [anon_sym_constexpr] = ACTIONS(5858),
    [anon_sym_volatile] = ACTIONS(5858),
    [anon_sym_restrict] = ACTIONS(5858),
    [anon_sym___restrict__] = ACTIONS(5858),
    [anon_sym__Atomic] = ACTIONS(5858),
    [anon_sym__Noreturn] = ACTIONS(5858),
    [anon_sym_noreturn] = ACTIONS(5858),
    [anon_sym__Nonnull] = ACTIONS(5858),
    [anon_sym_mutable] = ACTIONS(5858),
    [anon_sym_constinit] = ACTIONS(5858),
    [anon_sym_consteval] = ACTIONS(5858),
    [anon_sym_alignas] = ACTIONS(5858),
    [anon_sym__Alignas] = ACTIONS(5858),
    [sym_primitive_type] = ACTIONS(5858),
    [anon_sym_QMARK] = ACTIONS(5860),
    [anon_sym_LT_EQ_GT] = ACTIONS(5860),
    [anon_sym_or] = ACTIONS(5858),
    [anon_sym_and] = ACTIONS(5858),
    [anon_sym_bitor] = ACTIONS(5858),
    [anon_sym_xor] = ACTIONS(5858),
    [anon_sym_bitand] = ACTIONS(5858),
    [anon_sym_not_eq] = ACTIONS(5858),
    [anon_sym_DASH_DASH] = ACTIONS(5860),
    [anon_sym_PLUS_PLUS] = ACTIONS(5860),
    [anon_sym_DOT] = ACTIONS(5858),
    [anon_sym_DOT_STAR] = ACTIONS(5860),
    [anon_sym_DASH_GT] = ACTIONS(5860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5858),
    [anon_sym_decltype] = ACTIONS(5858),
    [anon_sym_final] = ACTIONS(5858),
    [anon_sym_override] = ACTIONS(5858),
    [anon_sym_requires] = ACTIONS(5858),
  },
  [2502] = {
    [sym_identifier] = ACTIONS(5880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5882),
    [anon_sym_COMMA] = ACTIONS(5882),
    [anon_sym_RPAREN] = ACTIONS(5882),
    [anon_sym_LPAREN2] = ACTIONS(5882),
    [anon_sym_DASH] = ACTIONS(5880),
    [anon_sym_PLUS] = ACTIONS(5880),
    [anon_sym_STAR] = ACTIONS(5882),
    [anon_sym_SLASH] = ACTIONS(5880),
    [anon_sym_PERCENT] = ACTIONS(5882),
    [anon_sym_PIPE_PIPE] = ACTIONS(5882),
    [anon_sym_AMP_AMP] = ACTIONS(5882),
    [anon_sym_PIPE] = ACTIONS(5880),
    [anon_sym_CARET] = ACTIONS(5882),
    [anon_sym_AMP] = ACTIONS(5880),
    [anon_sym_EQ_EQ] = ACTIONS(5882),
    [anon_sym_BANG_EQ] = ACTIONS(5882),
    [anon_sym_GT] = ACTIONS(5880),
    [anon_sym_GT_EQ] = ACTIONS(5882),
    [anon_sym_LT_EQ] = ACTIONS(5880),
    [anon_sym_LT] = ACTIONS(5880),
    [anon_sym_LT_LT] = ACTIONS(5882),
    [anon_sym_GT_GT] = ACTIONS(5882),
    [anon_sym_COLON] = ACTIONS(5882),
    [anon_sym_SEMI] = ACTIONS(5882),
    [anon_sym___extension__] = ACTIONS(5880),
    [anon_sym___attribute__] = ACTIONS(5880),
    [anon_sym___attribute] = ACTIONS(5880),
    [anon_sym___based] = ACTIONS(5880),
    [anon_sym_LBRACE] = ACTIONS(5882),
    [anon_sym_RBRACE] = ACTIONS(5882),
    [anon_sym_signed] = ACTIONS(5880),
    [anon_sym_unsigned] = ACTIONS(5880),
    [anon_sym_long] = ACTIONS(5880),
    [anon_sym_short] = ACTIONS(5880),
    [anon_sym_LBRACK] = ACTIONS(5882),
    [anon_sym_RBRACK] = ACTIONS(5882),
    [anon_sym_const] = ACTIONS(5880),
    [anon_sym_constexpr] = ACTIONS(5880),
    [anon_sym_volatile] = ACTIONS(5880),
    [anon_sym_restrict] = ACTIONS(5880),
    [anon_sym___restrict__] = ACTIONS(5880),
    [anon_sym__Atomic] = ACTIONS(5880),
    [anon_sym__Noreturn] = ACTIONS(5880),
    [anon_sym_noreturn] = ACTIONS(5880),
    [anon_sym__Nonnull] = ACTIONS(5880),
    [anon_sym_mutable] = ACTIONS(5880),
    [anon_sym_constinit] = ACTIONS(5880),
    [anon_sym_consteval] = ACTIONS(5880),
    [anon_sym_alignas] = ACTIONS(5880),
    [anon_sym__Alignas] = ACTIONS(5880),
    [sym_primitive_type] = ACTIONS(5880),
    [anon_sym_QMARK] = ACTIONS(5882),
    [anon_sym_LT_EQ_GT] = ACTIONS(5882),
    [anon_sym_or] = ACTIONS(5880),
    [anon_sym_and] = ACTIONS(5880),
    [anon_sym_bitor] = ACTIONS(5880),
    [anon_sym_xor] = ACTIONS(5880),
    [anon_sym_bitand] = ACTIONS(5880),
    [anon_sym_not_eq] = ACTIONS(5880),
    [anon_sym_DASH_DASH] = ACTIONS(5882),
    [anon_sym_PLUS_PLUS] = ACTIONS(5882),
    [anon_sym_DOT] = ACTIONS(5880),
    [anon_sym_DOT_STAR] = ACTIONS(5882),
    [anon_sym_DASH_GT] = ACTIONS(5882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5880),
    [anon_sym_decltype] = ACTIONS(5880),
    [anon_sym_final] = ACTIONS(5880),
    [anon_sym_override] = ACTIONS(5880),
    [anon_sym_requires] = ACTIONS(5880),
  },
  [2503] = {
    [sym_ms_based_modifier] = STATE(8130),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(2504),
    [sym__declarator] = STATE(6297),
    [sym__abstract_declarator] = STATE(6514),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_function_declarator] = STATE(6411),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_array_declarator] = STATE(6411),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_type_qualifier] = STATE(2920),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_parameter_list] = STATE(3253),
    [sym_decltype] = STATE(8312),
    [sym_reference_declarator] = STATE(6411),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5971),
    [sym_qualified_identifier] = STATE(6411),
    [sym_operator_name] = STATE(6411),
    [aux_sym__type_definition_type_repeat1] = STATE(2920),
    [aux_sym_pointer_declarator_repeat1] = STATE(2504),
    [sym_identifier] = ACTIONS(6341),
    [anon_sym_COMMA] = ACTIONS(6343),
    [anon_sym_RPAREN] = ACTIONS(6343),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(6345),
    [anon_sym_AMP_AMP] = ACTIONS(6347),
    [anon_sym_AMP] = ACTIONS(6349),
    [anon_sym_COLON] = ACTIONS(6351),
    [anon_sym___extension__] = ACTIONS(4064),
    [anon_sym___attribute__] = ACTIONS(6351),
    [anon_sym___attribute] = ACTIONS(6351),
    [anon_sym_COLON_COLON] = ACTIONS(6353),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(6355),
    [anon_sym_EQ] = ACTIONS(6343),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(6343),
    [anon_sym_operator] = ACTIONS(2083),
  },
  [2504] = {
    [sym_ms_based_modifier] = STATE(8130),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(3972),
    [sym__declarator] = STATE(6326),
    [sym__abstract_declarator] = STATE(6515),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_function_declarator] = STATE(6411),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_array_declarator] = STATE(6411),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_type_qualifier] = STATE(2844),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_parameter_list] = STATE(3253),
    [sym_decltype] = STATE(8312),
    [sym_reference_declarator] = STATE(6411),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5971),
    [sym_qualified_identifier] = STATE(6411),
    [sym_operator_name] = STATE(6411),
    [aux_sym__type_definition_type_repeat1] = STATE(2844),
    [aux_sym_pointer_declarator_repeat1] = STATE(3972),
    [sym_identifier] = ACTIONS(6341),
    [anon_sym_COMMA] = ACTIONS(6357),
    [anon_sym_RPAREN] = ACTIONS(6357),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(6345),
    [anon_sym_AMP_AMP] = ACTIONS(6347),
    [anon_sym_AMP] = ACTIONS(6349),
    [anon_sym_COLON] = ACTIONS(6359),
    [anon_sym___extension__] = ACTIONS(4064),
    [anon_sym___attribute__] = ACTIONS(6359),
    [anon_sym___attribute] = ACTIONS(6359),
    [anon_sym_COLON_COLON] = ACTIONS(6353),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(6355),
    [anon_sym_EQ] = ACTIONS(6357),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(6357),
    [anon_sym_operator] = ACTIONS(2083),
  },
  [2505] = {
    [sym_identifier] = ACTIONS(5948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5950),
    [anon_sym_COMMA] = ACTIONS(5950),
    [anon_sym_RPAREN] = ACTIONS(5950),
    [anon_sym_LPAREN2] = ACTIONS(5950),
    [anon_sym_DASH] = ACTIONS(5948),
    [anon_sym_PLUS] = ACTIONS(5948),
    [anon_sym_STAR] = ACTIONS(5950),
    [anon_sym_SLASH] = ACTIONS(5948),
    [anon_sym_PERCENT] = ACTIONS(5950),
    [anon_sym_PIPE_PIPE] = ACTIONS(5950),
    [anon_sym_AMP_AMP] = ACTIONS(5950),
    [anon_sym_PIPE] = ACTIONS(5948),
    [anon_sym_CARET] = ACTIONS(5950),
    [anon_sym_AMP] = ACTIONS(5948),
    [anon_sym_EQ_EQ] = ACTIONS(5950),
    [anon_sym_BANG_EQ] = ACTIONS(5950),
    [anon_sym_GT] = ACTIONS(5948),
    [anon_sym_GT_EQ] = ACTIONS(5950),
    [anon_sym_LT_EQ] = ACTIONS(5948),
    [anon_sym_LT] = ACTIONS(5948),
    [anon_sym_LT_LT] = ACTIONS(5950),
    [anon_sym_GT_GT] = ACTIONS(5950),
    [anon_sym_COLON] = ACTIONS(5950),
    [anon_sym_SEMI] = ACTIONS(5950),
    [anon_sym___extension__] = ACTIONS(5948),
    [anon_sym___attribute__] = ACTIONS(5948),
    [anon_sym___attribute] = ACTIONS(5948),
    [anon_sym___based] = ACTIONS(5948),
    [anon_sym_LBRACE] = ACTIONS(5950),
    [anon_sym_RBRACE] = ACTIONS(5950),
    [anon_sym_signed] = ACTIONS(5948),
    [anon_sym_unsigned] = ACTIONS(5948),
    [anon_sym_long] = ACTIONS(5948),
    [anon_sym_short] = ACTIONS(5948),
    [anon_sym_LBRACK] = ACTIONS(5950),
    [anon_sym_RBRACK] = ACTIONS(5950),
    [anon_sym_const] = ACTIONS(5948),
    [anon_sym_constexpr] = ACTIONS(5948),
    [anon_sym_volatile] = ACTIONS(5948),
    [anon_sym_restrict] = ACTIONS(5948),
    [anon_sym___restrict__] = ACTIONS(5948),
    [anon_sym__Atomic] = ACTIONS(5948),
    [anon_sym__Noreturn] = ACTIONS(5948),
    [anon_sym_noreturn] = ACTIONS(5948),
    [anon_sym__Nonnull] = ACTIONS(5948),
    [anon_sym_mutable] = ACTIONS(5948),
    [anon_sym_constinit] = ACTIONS(5948),
    [anon_sym_consteval] = ACTIONS(5948),
    [anon_sym_alignas] = ACTIONS(5948),
    [anon_sym__Alignas] = ACTIONS(5948),
    [sym_primitive_type] = ACTIONS(5948),
    [anon_sym_QMARK] = ACTIONS(5950),
    [anon_sym_LT_EQ_GT] = ACTIONS(5950),
    [anon_sym_or] = ACTIONS(5948),
    [anon_sym_and] = ACTIONS(5948),
    [anon_sym_bitor] = ACTIONS(5948),
    [anon_sym_xor] = ACTIONS(5948),
    [anon_sym_bitand] = ACTIONS(5948),
    [anon_sym_not_eq] = ACTIONS(5948),
    [anon_sym_DASH_DASH] = ACTIONS(5950),
    [anon_sym_PLUS_PLUS] = ACTIONS(5950),
    [anon_sym_DOT] = ACTIONS(5948),
    [anon_sym_DOT_STAR] = ACTIONS(5950),
    [anon_sym_DASH_GT] = ACTIONS(5950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5948),
    [anon_sym_decltype] = ACTIONS(5948),
    [anon_sym_final] = ACTIONS(5948),
    [anon_sym_override] = ACTIONS(5948),
    [anon_sym_requires] = ACTIONS(5948),
  },
  [2506] = {
    [sym_identifier] = ACTIONS(5956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5958),
    [anon_sym_COMMA] = ACTIONS(5958),
    [anon_sym_RPAREN] = ACTIONS(5958),
    [anon_sym_LPAREN2] = ACTIONS(5958),
    [anon_sym_DASH] = ACTIONS(5956),
    [anon_sym_PLUS] = ACTIONS(5956),
    [anon_sym_STAR] = ACTIONS(5958),
    [anon_sym_SLASH] = ACTIONS(5956),
    [anon_sym_PERCENT] = ACTIONS(5958),
    [anon_sym_PIPE_PIPE] = ACTIONS(5958),
    [anon_sym_AMP_AMP] = ACTIONS(5958),
    [anon_sym_PIPE] = ACTIONS(5956),
    [anon_sym_CARET] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5956),
    [anon_sym_EQ_EQ] = ACTIONS(5958),
    [anon_sym_BANG_EQ] = ACTIONS(5958),
    [anon_sym_GT] = ACTIONS(5956),
    [anon_sym_GT_EQ] = ACTIONS(5958),
    [anon_sym_LT_EQ] = ACTIONS(5956),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_LT_LT] = ACTIONS(5958),
    [anon_sym_GT_GT] = ACTIONS(5958),
    [anon_sym_COLON] = ACTIONS(5958),
    [anon_sym_SEMI] = ACTIONS(5958),
    [anon_sym___extension__] = ACTIONS(5956),
    [anon_sym___attribute__] = ACTIONS(5956),
    [anon_sym___attribute] = ACTIONS(5956),
    [anon_sym___based] = ACTIONS(5956),
    [anon_sym_LBRACE] = ACTIONS(5958),
    [anon_sym_RBRACE] = ACTIONS(5958),
    [anon_sym_signed] = ACTIONS(5956),
    [anon_sym_unsigned] = ACTIONS(5956),
    [anon_sym_long] = ACTIONS(5956),
    [anon_sym_short] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5958),
    [anon_sym_RBRACK] = ACTIONS(5958),
    [anon_sym_const] = ACTIONS(5956),
    [anon_sym_constexpr] = ACTIONS(5956),
    [anon_sym_volatile] = ACTIONS(5956),
    [anon_sym_restrict] = ACTIONS(5956),
    [anon_sym___restrict__] = ACTIONS(5956),
    [anon_sym__Atomic] = ACTIONS(5956),
    [anon_sym__Noreturn] = ACTIONS(5956),
    [anon_sym_noreturn] = ACTIONS(5956),
    [anon_sym__Nonnull] = ACTIONS(5956),
    [anon_sym_mutable] = ACTIONS(5956),
    [anon_sym_constinit] = ACTIONS(5956),
    [anon_sym_consteval] = ACTIONS(5956),
    [anon_sym_alignas] = ACTIONS(5956),
    [anon_sym__Alignas] = ACTIONS(5956),
    [sym_primitive_type] = ACTIONS(5956),
    [anon_sym_QMARK] = ACTIONS(5958),
    [anon_sym_LT_EQ_GT] = ACTIONS(5958),
    [anon_sym_or] = ACTIONS(5956),
    [anon_sym_and] = ACTIONS(5956),
    [anon_sym_bitor] = ACTIONS(5956),
    [anon_sym_xor] = ACTIONS(5956),
    [anon_sym_bitand] = ACTIONS(5956),
    [anon_sym_not_eq] = ACTIONS(5956),
    [anon_sym_DASH_DASH] = ACTIONS(5958),
    [anon_sym_PLUS_PLUS] = ACTIONS(5958),
    [anon_sym_DOT] = ACTIONS(5956),
    [anon_sym_DOT_STAR] = ACTIONS(5958),
    [anon_sym_DASH_GT] = ACTIONS(5958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5956),
    [anon_sym_decltype] = ACTIONS(5956),
    [anon_sym_final] = ACTIONS(5956),
    [anon_sym_override] = ACTIONS(5956),
    [anon_sym_requires] = ACTIONS(5956),
  },
  [2507] = {
    [sym_identifier] = ACTIONS(5960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5962),
    [anon_sym_COMMA] = ACTIONS(5962),
    [anon_sym_RPAREN] = ACTIONS(5962),
    [anon_sym_LPAREN2] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5960),
    [anon_sym_STAR] = ACTIONS(5962),
    [anon_sym_SLASH] = ACTIONS(5960),
    [anon_sym_PERCENT] = ACTIONS(5962),
    [anon_sym_PIPE_PIPE] = ACTIONS(5962),
    [anon_sym_AMP_AMP] = ACTIONS(5962),
    [anon_sym_PIPE] = ACTIONS(5960),
    [anon_sym_CARET] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5960),
    [anon_sym_EQ_EQ] = ACTIONS(5962),
    [anon_sym_BANG_EQ] = ACTIONS(5962),
    [anon_sym_GT] = ACTIONS(5960),
    [anon_sym_GT_EQ] = ACTIONS(5962),
    [anon_sym_LT_EQ] = ACTIONS(5960),
    [anon_sym_LT] = ACTIONS(5960),
    [anon_sym_LT_LT] = ACTIONS(5962),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_COLON] = ACTIONS(5962),
    [anon_sym_SEMI] = ACTIONS(5962),
    [anon_sym___extension__] = ACTIONS(5960),
    [anon_sym___attribute__] = ACTIONS(5960),
    [anon_sym___attribute] = ACTIONS(5960),
    [anon_sym___based] = ACTIONS(5960),
    [anon_sym_LBRACE] = ACTIONS(5962),
    [anon_sym_RBRACE] = ACTIONS(5962),
    [anon_sym_signed] = ACTIONS(5960),
    [anon_sym_unsigned] = ACTIONS(5960),
    [anon_sym_long] = ACTIONS(5960),
    [anon_sym_short] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5962),
    [anon_sym_RBRACK] = ACTIONS(5962),
    [anon_sym_const] = ACTIONS(5960),
    [anon_sym_constexpr] = ACTIONS(5960),
    [anon_sym_volatile] = ACTIONS(5960),
    [anon_sym_restrict] = ACTIONS(5960),
    [anon_sym___restrict__] = ACTIONS(5960),
    [anon_sym__Atomic] = ACTIONS(5960),
    [anon_sym__Noreturn] = ACTIONS(5960),
    [anon_sym_noreturn] = ACTIONS(5960),
    [anon_sym__Nonnull] = ACTIONS(5960),
    [anon_sym_mutable] = ACTIONS(5960),
    [anon_sym_constinit] = ACTIONS(5960),
    [anon_sym_consteval] = ACTIONS(5960),
    [anon_sym_alignas] = ACTIONS(5960),
    [anon_sym__Alignas] = ACTIONS(5960),
    [sym_primitive_type] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5962),
    [anon_sym_LT_EQ_GT] = ACTIONS(5962),
    [anon_sym_or] = ACTIONS(5960),
    [anon_sym_and] = ACTIONS(5960),
    [anon_sym_bitor] = ACTIONS(5960),
    [anon_sym_xor] = ACTIONS(5960),
    [anon_sym_bitand] = ACTIONS(5960),
    [anon_sym_not_eq] = ACTIONS(5960),
    [anon_sym_DASH_DASH] = ACTIONS(5962),
    [anon_sym_PLUS_PLUS] = ACTIONS(5962),
    [anon_sym_DOT] = ACTIONS(5960),
    [anon_sym_DOT_STAR] = ACTIONS(5962),
    [anon_sym_DASH_GT] = ACTIONS(5962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5960),
    [anon_sym_decltype] = ACTIONS(5960),
    [anon_sym_final] = ACTIONS(5960),
    [anon_sym_override] = ACTIONS(5960),
    [anon_sym_requires] = ACTIONS(5960),
  },
  [2508] = {
    [sym_identifier] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5914),
    [anon_sym_COMMA] = ACTIONS(5914),
    [anon_sym_RPAREN] = ACTIONS(5914),
    [anon_sym_LPAREN2] = ACTIONS(5914),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5914),
    [anon_sym_PIPE_PIPE] = ACTIONS(5914),
    [anon_sym_AMP_AMP] = ACTIONS(5914),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_CARET] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5914),
    [anon_sym_BANG_EQ] = ACTIONS(5914),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5914),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5914),
    [anon_sym_GT_GT] = ACTIONS(5914),
    [anon_sym_COLON] = ACTIONS(5914),
    [anon_sym_SEMI] = ACTIONS(5914),
    [anon_sym___extension__] = ACTIONS(5912),
    [anon_sym___attribute__] = ACTIONS(5912),
    [anon_sym___attribute] = ACTIONS(5912),
    [anon_sym___based] = ACTIONS(5912),
    [anon_sym_LBRACE] = ACTIONS(5914),
    [anon_sym_RBRACE] = ACTIONS(5914),
    [anon_sym_signed] = ACTIONS(5912),
    [anon_sym_unsigned] = ACTIONS(5912),
    [anon_sym_long] = ACTIONS(5912),
    [anon_sym_short] = ACTIONS(5912),
    [anon_sym_LBRACK] = ACTIONS(5914),
    [anon_sym_RBRACK] = ACTIONS(5914),
    [anon_sym_const] = ACTIONS(5912),
    [anon_sym_constexpr] = ACTIONS(5912),
    [anon_sym_volatile] = ACTIONS(5912),
    [anon_sym_restrict] = ACTIONS(5912),
    [anon_sym___restrict__] = ACTIONS(5912),
    [anon_sym__Atomic] = ACTIONS(5912),
    [anon_sym__Noreturn] = ACTIONS(5912),
    [anon_sym_noreturn] = ACTIONS(5912),
    [anon_sym__Nonnull] = ACTIONS(5912),
    [anon_sym_mutable] = ACTIONS(5912),
    [anon_sym_constinit] = ACTIONS(5912),
    [anon_sym_consteval] = ACTIONS(5912),
    [anon_sym_alignas] = ACTIONS(5912),
    [anon_sym__Alignas] = ACTIONS(5912),
    [sym_primitive_type] = ACTIONS(5912),
    [anon_sym_QMARK] = ACTIONS(5914),
    [anon_sym_LT_EQ_GT] = ACTIONS(5914),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_bitor] = ACTIONS(5912),
    [anon_sym_xor] = ACTIONS(5912),
    [anon_sym_bitand] = ACTIONS(5912),
    [anon_sym_not_eq] = ACTIONS(5912),
    [anon_sym_DASH_DASH] = ACTIONS(5914),
    [anon_sym_PLUS_PLUS] = ACTIONS(5914),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_DOT_STAR] = ACTIONS(5914),
    [anon_sym_DASH_GT] = ACTIONS(5914),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5912),
    [anon_sym_decltype] = ACTIONS(5912),
    [anon_sym_final] = ACTIONS(5912),
    [anon_sym_override] = ACTIONS(5912),
    [anon_sym_requires] = ACTIONS(5912),
  },
  [2509] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_COMMA] = ACTIONS(4300),
    [anon_sym_RPAREN] = ACTIONS(4302),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4307),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym___extension__] = ACTIONS(2009),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(4302),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2009),
    [anon_sym_volatile] = ACTIONS(2009),
    [anon_sym_restrict] = ACTIONS(2009),
    [anon_sym___restrict__] = ACTIONS(2009),
    [anon_sym__Atomic] = ACTIONS(2009),
    [anon_sym__Noreturn] = ACTIONS(2009),
    [anon_sym_noreturn] = ACTIONS(2009),
    [anon_sym__Nonnull] = ACTIONS(2009),
    [anon_sym_mutable] = ACTIONS(2009),
    [anon_sym_constinit] = ACTIONS(2009),
    [anon_sym_consteval] = ACTIONS(2009),
    [anon_sym_alignas] = ACTIONS(2009),
    [anon_sym__Alignas] = ACTIONS(2009),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4300),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_and_eq] = ACTIONS(4300),
    [anon_sym_or_eq] = ACTIONS(4300),
    [anon_sym_xor_eq] = ACTIONS(4300),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4300),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4300),
    [anon_sym_not_eq] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2009),
    [anon_sym_decltype] = ACTIONS(2009),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4300),
  },
  [2510] = {
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2175),
    [anon_sym_COMMA] = ACTIONS(2175),
    [anon_sym_RPAREN] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_PERCENT] = ACTIONS(2175),
    [anon_sym_PIPE_PIPE] = ACTIONS(2175),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_PIPE] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2175),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2173),
    [anon_sym_GT_EQ] = ACTIONS(2175),
    [anon_sym_LT_EQ] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2175),
    [anon_sym_GT_GT] = ACTIONS(2175),
    [anon_sym_COLON] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym___extension__] = ACTIONS(2173),
    [anon_sym___attribute__] = ACTIONS(2173),
    [anon_sym___attribute] = ACTIONS(2173),
    [anon_sym___based] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2175),
    [anon_sym_signed] = ACTIONS(2173),
    [anon_sym_unsigned] = ACTIONS(2173),
    [anon_sym_long] = ACTIONS(2173),
    [anon_sym_short] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2175),
    [anon_sym_RBRACK] = ACTIONS(2175),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_constexpr] = ACTIONS(2173),
    [anon_sym_volatile] = ACTIONS(2173),
    [anon_sym_restrict] = ACTIONS(2173),
    [anon_sym___restrict__] = ACTIONS(2173),
    [anon_sym__Atomic] = ACTIONS(2173),
    [anon_sym__Noreturn] = ACTIONS(2173),
    [anon_sym_noreturn] = ACTIONS(2173),
    [anon_sym__Nonnull] = ACTIONS(2173),
    [anon_sym_mutable] = ACTIONS(2173),
    [anon_sym_constinit] = ACTIONS(2173),
    [anon_sym_consteval] = ACTIONS(2173),
    [anon_sym_alignas] = ACTIONS(2173),
    [anon_sym__Alignas] = ACTIONS(2173),
    [sym_primitive_type] = ACTIONS(2173),
    [anon_sym_QMARK] = ACTIONS(2175),
    [anon_sym_LT_EQ_GT] = ACTIONS(2175),
    [anon_sym_or] = ACTIONS(2173),
    [anon_sym_and] = ACTIONS(2173),
    [anon_sym_bitor] = ACTIONS(2173),
    [anon_sym_xor] = ACTIONS(2173),
    [anon_sym_bitand] = ACTIONS(2173),
    [anon_sym_not_eq] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_DOT] = ACTIONS(2173),
    [anon_sym_DOT_STAR] = ACTIONS(2175),
    [anon_sym_DASH_GT] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2173),
    [anon_sym_decltype] = ACTIONS(2173),
    [anon_sym_final] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_requires] = ACTIONS(2173),
  },
  [2511] = {
    [sym_identifier] = ACTIONS(5920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5922),
    [anon_sym_COMMA] = ACTIONS(5922),
    [anon_sym_RPAREN] = ACTIONS(5922),
    [anon_sym_LPAREN2] = ACTIONS(5922),
    [anon_sym_DASH] = ACTIONS(5920),
    [anon_sym_PLUS] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_SLASH] = ACTIONS(5920),
    [anon_sym_PERCENT] = ACTIONS(5922),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_PIPE] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_AMP] = ACTIONS(5920),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5920),
    [anon_sym_GT_EQ] = ACTIONS(5922),
    [anon_sym_LT_EQ] = ACTIONS(5920),
    [anon_sym_LT] = ACTIONS(5920),
    [anon_sym_LT_LT] = ACTIONS(5922),
    [anon_sym_GT_GT] = ACTIONS(5922),
    [anon_sym_COLON] = ACTIONS(5922),
    [anon_sym_SEMI] = ACTIONS(5922),
    [anon_sym___extension__] = ACTIONS(5920),
    [anon_sym___attribute__] = ACTIONS(5920),
    [anon_sym___attribute] = ACTIONS(5920),
    [anon_sym___based] = ACTIONS(5920),
    [anon_sym_LBRACE] = ACTIONS(5922),
    [anon_sym_RBRACE] = ACTIONS(5922),
    [anon_sym_signed] = ACTIONS(5920),
    [anon_sym_unsigned] = ACTIONS(5920),
    [anon_sym_long] = ACTIONS(5920),
    [anon_sym_short] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym_RBRACK] = ACTIONS(5922),
    [anon_sym_const] = ACTIONS(5920),
    [anon_sym_constexpr] = ACTIONS(5920),
    [anon_sym_volatile] = ACTIONS(5920),
    [anon_sym_restrict] = ACTIONS(5920),
    [anon_sym___restrict__] = ACTIONS(5920),
    [anon_sym__Atomic] = ACTIONS(5920),
    [anon_sym__Noreturn] = ACTIONS(5920),
    [anon_sym_noreturn] = ACTIONS(5920),
    [anon_sym__Nonnull] = ACTIONS(5920),
    [anon_sym_mutable] = ACTIONS(5920),
    [anon_sym_constinit] = ACTIONS(5920),
    [anon_sym_consteval] = ACTIONS(5920),
    [anon_sym_alignas] = ACTIONS(5920),
    [anon_sym__Alignas] = ACTIONS(5920),
    [sym_primitive_type] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_LT_EQ_GT] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5920),
    [anon_sym_bitor] = ACTIONS(5920),
    [anon_sym_xor] = ACTIONS(5920),
    [anon_sym_bitand] = ACTIONS(5920),
    [anon_sym_not_eq] = ACTIONS(5920),
    [anon_sym_DASH_DASH] = ACTIONS(5922),
    [anon_sym_PLUS_PLUS] = ACTIONS(5922),
    [anon_sym_DOT] = ACTIONS(5920),
    [anon_sym_DOT_STAR] = ACTIONS(5922),
    [anon_sym_DASH_GT] = ACTIONS(5922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5920),
    [anon_sym_decltype] = ACTIONS(5920),
    [anon_sym_final] = ACTIONS(5920),
    [anon_sym_override] = ACTIONS(5920),
    [anon_sym_requires] = ACTIONS(5920),
  },
  [2512] = {
    [sym_identifier] = ACTIONS(5994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [anon_sym_RPAREN] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_DASH] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5994),
    [anon_sym_STAR] = ACTIONS(5996),
    [anon_sym_SLASH] = ACTIONS(5994),
    [anon_sym_PERCENT] = ACTIONS(5996),
    [anon_sym_PIPE_PIPE] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_PIPE] = ACTIONS(5994),
    [anon_sym_CARET] = ACTIONS(5996),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_EQ_EQ] = ACTIONS(5996),
    [anon_sym_BANG_EQ] = ACTIONS(5996),
    [anon_sym_GT] = ACTIONS(5994),
    [anon_sym_GT_EQ] = ACTIONS(5996),
    [anon_sym_LT_EQ] = ACTIONS(5994),
    [anon_sym_LT] = ACTIONS(5994),
    [anon_sym_LT_LT] = ACTIONS(5996),
    [anon_sym_GT_GT] = ACTIONS(5996),
    [anon_sym_COLON] = ACTIONS(5996),
    [anon_sym_SEMI] = ACTIONS(5996),
    [anon_sym___extension__] = ACTIONS(5994),
    [anon_sym___attribute__] = ACTIONS(5994),
    [anon_sym___attribute] = ACTIONS(5994),
    [anon_sym___based] = ACTIONS(5994),
    [anon_sym_LBRACE] = ACTIONS(5996),
    [anon_sym_RBRACE] = ACTIONS(5996),
    [anon_sym_signed] = ACTIONS(5994),
    [anon_sym_unsigned] = ACTIONS(5994),
    [anon_sym_long] = ACTIONS(5994),
    [anon_sym_short] = ACTIONS(5994),
    [anon_sym_LBRACK] = ACTIONS(5996),
    [anon_sym_RBRACK] = ACTIONS(5996),
    [anon_sym_const] = ACTIONS(5994),
    [anon_sym_constexpr] = ACTIONS(5994),
    [anon_sym_volatile] = ACTIONS(5994),
    [anon_sym_restrict] = ACTIONS(5994),
    [anon_sym___restrict__] = ACTIONS(5994),
    [anon_sym__Atomic] = ACTIONS(5994),
    [anon_sym__Noreturn] = ACTIONS(5994),
    [anon_sym_noreturn] = ACTIONS(5994),
    [anon_sym__Nonnull] = ACTIONS(5994),
    [anon_sym_mutable] = ACTIONS(5994),
    [anon_sym_constinit] = ACTIONS(5994),
    [anon_sym_consteval] = ACTIONS(5994),
    [anon_sym_alignas] = ACTIONS(5994),
    [anon_sym__Alignas] = ACTIONS(5994),
    [sym_primitive_type] = ACTIONS(5994),
    [anon_sym_QMARK] = ACTIONS(5996),
    [anon_sym_LT_EQ_GT] = ACTIONS(5996),
    [anon_sym_or] = ACTIONS(5994),
    [anon_sym_and] = ACTIONS(5994),
    [anon_sym_bitor] = ACTIONS(5994),
    [anon_sym_xor] = ACTIONS(5994),
    [anon_sym_bitand] = ACTIONS(5994),
    [anon_sym_not_eq] = ACTIONS(5994),
    [anon_sym_DASH_DASH] = ACTIONS(5996),
    [anon_sym_PLUS_PLUS] = ACTIONS(5996),
    [anon_sym_DOT] = ACTIONS(5994),
    [anon_sym_DOT_STAR] = ACTIONS(5996),
    [anon_sym_DASH_GT] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5994),
    [anon_sym_decltype] = ACTIONS(5994),
    [anon_sym_final] = ACTIONS(5994),
    [anon_sym_override] = ACTIONS(5994),
    [anon_sym_requires] = ACTIONS(5994),
  },
  [2513] = {
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_BANG] = ACTIONS(4976),
    [anon_sym_TILDE] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4974),
    [anon_sym_STAR] = ACTIONS(4976),
    [anon_sym_AMP] = ACTIONS(4976),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym_COLON_COLON] = ACTIONS(4976),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym_static] = ACTIONS(4974),
    [anon_sym_RBRACK] = ACTIONS(4976),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_mutable] = ACTIONS(4974),
    [anon_sym_constinit] = ACTIONS(4974),
    [anon_sym_consteval] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(4974),
    [anon_sym_not] = ACTIONS(4974),
    [anon_sym_compl] = ACTIONS(4974),
    [anon_sym_DASH_DASH] = ACTIONS(4976),
    [anon_sym_PLUS_PLUS] = ACTIONS(4976),
    [anon_sym_sizeof] = ACTIONS(4974),
    [anon_sym___alignof__] = ACTIONS(4974),
    [anon_sym___alignof] = ACTIONS(4974),
    [anon_sym__alignof] = ACTIONS(4974),
    [anon_sym_alignof] = ACTIONS(4974),
    [anon_sym__Alignof] = ACTIONS(4974),
    [anon_sym_offsetof] = ACTIONS(4974),
    [anon_sym__Generic] = ACTIONS(4974),
    [anon_sym_asm] = ACTIONS(4974),
    [anon_sym___asm__] = ACTIONS(4974),
    [anon_sym___asm] = ACTIONS(4974),
    [sym_number_literal] = ACTIONS(4976),
    [anon_sym_L_SQUOTE] = ACTIONS(4976),
    [anon_sym_u_SQUOTE] = ACTIONS(4976),
    [anon_sym_U_SQUOTE] = ACTIONS(4976),
    [anon_sym_u8_SQUOTE] = ACTIONS(4976),
    [anon_sym_SQUOTE] = ACTIONS(4976),
    [anon_sym_L_DQUOTE] = ACTIONS(4976),
    [anon_sym_u_DQUOTE] = ACTIONS(4976),
    [anon_sym_U_DQUOTE] = ACTIONS(4976),
    [anon_sym_u8_DQUOTE] = ACTIONS(4976),
    [anon_sym_DQUOTE] = ACTIONS(4976),
    [sym_true] = ACTIONS(4974),
    [sym_false] = ACTIONS(4974),
    [anon_sym_NULL] = ACTIONS(4974),
    [anon_sym_nullptr] = ACTIONS(4974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4974),
    [anon_sym_template] = ACTIONS(4974),
    [anon_sym_delete] = ACTIONS(4974),
    [anon_sym_R_DQUOTE] = ACTIONS(4976),
    [anon_sym_LR_DQUOTE] = ACTIONS(4976),
    [anon_sym_uR_DQUOTE] = ACTIONS(4976),
    [anon_sym_UR_DQUOTE] = ACTIONS(4976),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4976),
    [anon_sym_co_await] = ACTIONS(4974),
    [anon_sym_new] = ACTIONS(4974),
    [anon_sym_requires] = ACTIONS(4974),
    [sym_this] = ACTIONS(4974),
  },
  [2514] = {
    [sym_identifier] = ACTIONS(5900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [anon_sym_LPAREN2] = ACTIONS(5902),
    [anon_sym_DASH] = ACTIONS(5900),
    [anon_sym_PLUS] = ACTIONS(5900),
    [anon_sym_STAR] = ACTIONS(5902),
    [anon_sym_SLASH] = ACTIONS(5900),
    [anon_sym_PERCENT] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5902),
    [anon_sym_AMP_AMP] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(5900),
    [anon_sym_CARET] = ACTIONS(5902),
    [anon_sym_AMP] = ACTIONS(5900),
    [anon_sym_EQ_EQ] = ACTIONS(5902),
    [anon_sym_BANG_EQ] = ACTIONS(5902),
    [anon_sym_GT] = ACTIONS(5900),
    [anon_sym_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_EQ] = ACTIONS(5900),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_LT_LT] = ACTIONS(5902),
    [anon_sym_GT_GT] = ACTIONS(5902),
    [anon_sym_COLON] = ACTIONS(5902),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym___extension__] = ACTIONS(5900),
    [anon_sym___attribute__] = ACTIONS(5900),
    [anon_sym___attribute] = ACTIONS(5900),
    [anon_sym___based] = ACTIONS(5900),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_signed] = ACTIONS(5900),
    [anon_sym_unsigned] = ACTIONS(5900),
    [anon_sym_long] = ACTIONS(5900),
    [anon_sym_short] = ACTIONS(5900),
    [anon_sym_LBRACK] = ACTIONS(5902),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_const] = ACTIONS(5900),
    [anon_sym_constexpr] = ACTIONS(5900),
    [anon_sym_volatile] = ACTIONS(5900),
    [anon_sym_restrict] = ACTIONS(5900),
    [anon_sym___restrict__] = ACTIONS(5900),
    [anon_sym__Atomic] = ACTIONS(5900),
    [anon_sym__Noreturn] = ACTIONS(5900),
    [anon_sym_noreturn] = ACTIONS(5900),
    [anon_sym__Nonnull] = ACTIONS(5900),
    [anon_sym_mutable] = ACTIONS(5900),
    [anon_sym_constinit] = ACTIONS(5900),
    [anon_sym_consteval] = ACTIONS(5900),
    [anon_sym_alignas] = ACTIONS(5900),
    [anon_sym__Alignas] = ACTIONS(5900),
    [sym_primitive_type] = ACTIONS(5900),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_LT_EQ_GT] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5900),
    [anon_sym_and] = ACTIONS(5900),
    [anon_sym_bitor] = ACTIONS(5900),
    [anon_sym_xor] = ACTIONS(5900),
    [anon_sym_bitand] = ACTIONS(5900),
    [anon_sym_not_eq] = ACTIONS(5900),
    [anon_sym_DASH_DASH] = ACTIONS(5902),
    [anon_sym_PLUS_PLUS] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(5900),
    [anon_sym_DOT_STAR] = ACTIONS(5902),
    [anon_sym_DASH_GT] = ACTIONS(5902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5900),
    [anon_sym_decltype] = ACTIONS(5900),
    [anon_sym_final] = ACTIONS(5900),
    [anon_sym_override] = ACTIONS(5900),
    [anon_sym_requires] = ACTIONS(5900),
  },
  [2515] = {
    [sym_identifier] = ACTIONS(5794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5796),
    [anon_sym_RPAREN] = ACTIONS(5796),
    [anon_sym_LPAREN2] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_STAR] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_PIPE] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5794),
    [anon_sym_GT_EQ] = ACTIONS(5796),
    [anon_sym_LT_EQ] = ACTIONS(5794),
    [anon_sym_LT] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_COLON] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5796),
    [anon_sym___extension__] = ACTIONS(5794),
    [anon_sym___attribute__] = ACTIONS(5794),
    [anon_sym___attribute] = ACTIONS(5794),
    [anon_sym___based] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_RBRACE] = ACTIONS(5796),
    [anon_sym_signed] = ACTIONS(5794),
    [anon_sym_unsigned] = ACTIONS(5794),
    [anon_sym_long] = ACTIONS(5794),
    [anon_sym_short] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [anon_sym_RBRACK] = ACTIONS(5796),
    [anon_sym_const] = ACTIONS(5794),
    [anon_sym_constexpr] = ACTIONS(5794),
    [anon_sym_volatile] = ACTIONS(5794),
    [anon_sym_restrict] = ACTIONS(5794),
    [anon_sym___restrict__] = ACTIONS(5794),
    [anon_sym__Atomic] = ACTIONS(5794),
    [anon_sym__Noreturn] = ACTIONS(5794),
    [anon_sym_noreturn] = ACTIONS(5794),
    [anon_sym__Nonnull] = ACTIONS(5794),
    [anon_sym_mutable] = ACTIONS(5794),
    [anon_sym_constinit] = ACTIONS(5794),
    [anon_sym_consteval] = ACTIONS(5794),
    [anon_sym_alignas] = ACTIONS(5794),
    [anon_sym__Alignas] = ACTIONS(5794),
    [sym_primitive_type] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_LT_EQ_GT] = ACTIONS(5796),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_bitor] = ACTIONS(5794),
    [anon_sym_xor] = ACTIONS(5794),
    [anon_sym_bitand] = ACTIONS(5794),
    [anon_sym_not_eq] = ACTIONS(5794),
    [anon_sym_DASH_DASH] = ACTIONS(5796),
    [anon_sym_PLUS_PLUS] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_DOT_STAR] = ACTIONS(5796),
    [anon_sym_DASH_GT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5794),
    [anon_sym_decltype] = ACTIONS(5794),
    [anon_sym_final] = ACTIONS(5794),
    [anon_sym_override] = ACTIONS(5794),
    [anon_sym_requires] = ACTIONS(5794),
  },
  [2516] = {
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2167),
    [anon_sym_COMMA] = ACTIONS(2167),
    [anon_sym_RPAREN] = ACTIONS(2167),
    [anon_sym_LPAREN2] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_PERCENT] = ACTIONS(2167),
    [anon_sym_PIPE_PIPE] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2167),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2167),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2167),
    [anon_sym_BANG_EQ] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2167),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2167),
    [anon_sym_GT_GT] = ACTIONS(2167),
    [anon_sym_COLON] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym___extension__] = ACTIONS(2165),
    [anon_sym___attribute__] = ACTIONS(2165),
    [anon_sym___attribute] = ACTIONS(2165),
    [anon_sym___based] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_signed] = ACTIONS(2165),
    [anon_sym_unsigned] = ACTIONS(2165),
    [anon_sym_long] = ACTIONS(2165),
    [anon_sym_short] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_RBRACK] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_constexpr] = ACTIONS(2165),
    [anon_sym_volatile] = ACTIONS(2165),
    [anon_sym_restrict] = ACTIONS(2165),
    [anon_sym___restrict__] = ACTIONS(2165),
    [anon_sym__Atomic] = ACTIONS(2165),
    [anon_sym__Noreturn] = ACTIONS(2165),
    [anon_sym_noreturn] = ACTIONS(2165),
    [anon_sym__Nonnull] = ACTIONS(2165),
    [anon_sym_mutable] = ACTIONS(2165),
    [anon_sym_constinit] = ACTIONS(2165),
    [anon_sym_consteval] = ACTIONS(2165),
    [anon_sym_alignas] = ACTIONS(2165),
    [anon_sym__Alignas] = ACTIONS(2165),
    [sym_primitive_type] = ACTIONS(2165),
    [anon_sym_QMARK] = ACTIONS(2167),
    [anon_sym_LT_EQ_GT] = ACTIONS(2167),
    [anon_sym_or] = ACTIONS(2165),
    [anon_sym_and] = ACTIONS(2165),
    [anon_sym_bitor] = ACTIONS(2165),
    [anon_sym_xor] = ACTIONS(2165),
    [anon_sym_bitand] = ACTIONS(2165),
    [anon_sym_not_eq] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_DOT_STAR] = ACTIONS(2167),
    [anon_sym_DASH_GT] = ACTIONS(2167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2165),
    [anon_sym_decltype] = ACTIONS(2165),
    [anon_sym_final] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_requires] = ACTIONS(2165),
  },
  [2517] = {
    [sym_identifier] = ACTIONS(5944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5946),
    [anon_sym_COMMA] = ACTIONS(5946),
    [anon_sym_RPAREN] = ACTIONS(5946),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(5944),
    [anon_sym_PLUS] = ACTIONS(5944),
    [anon_sym_STAR] = ACTIONS(5946),
    [anon_sym_SLASH] = ACTIONS(5944),
    [anon_sym_PERCENT] = ACTIONS(5946),
    [anon_sym_PIPE_PIPE] = ACTIONS(5946),
    [anon_sym_AMP_AMP] = ACTIONS(5946),
    [anon_sym_PIPE] = ACTIONS(5944),
    [anon_sym_CARET] = ACTIONS(5946),
    [anon_sym_AMP] = ACTIONS(5944),
    [anon_sym_EQ_EQ] = ACTIONS(5946),
    [anon_sym_BANG_EQ] = ACTIONS(5946),
    [anon_sym_GT] = ACTIONS(5944),
    [anon_sym_GT_EQ] = ACTIONS(5946),
    [anon_sym_LT_EQ] = ACTIONS(5944),
    [anon_sym_LT] = ACTIONS(5944),
    [anon_sym_LT_LT] = ACTIONS(5946),
    [anon_sym_GT_GT] = ACTIONS(5946),
    [anon_sym_COLON] = ACTIONS(5946),
    [anon_sym_SEMI] = ACTIONS(5946),
    [anon_sym___extension__] = ACTIONS(5944),
    [anon_sym___attribute__] = ACTIONS(5944),
    [anon_sym___attribute] = ACTIONS(5944),
    [anon_sym___based] = ACTIONS(5944),
    [anon_sym_LBRACE] = ACTIONS(5946),
    [anon_sym_RBRACE] = ACTIONS(5946),
    [anon_sym_signed] = ACTIONS(5944),
    [anon_sym_unsigned] = ACTIONS(5944),
    [anon_sym_long] = ACTIONS(5944),
    [anon_sym_short] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5946),
    [anon_sym_RBRACK] = ACTIONS(5946),
    [anon_sym_const] = ACTIONS(5944),
    [anon_sym_constexpr] = ACTIONS(5944),
    [anon_sym_volatile] = ACTIONS(5944),
    [anon_sym_restrict] = ACTIONS(5944),
    [anon_sym___restrict__] = ACTIONS(5944),
    [anon_sym__Atomic] = ACTIONS(5944),
    [anon_sym__Noreturn] = ACTIONS(5944),
    [anon_sym_noreturn] = ACTIONS(5944),
    [anon_sym__Nonnull] = ACTIONS(5944),
    [anon_sym_mutable] = ACTIONS(5944),
    [anon_sym_constinit] = ACTIONS(5944),
    [anon_sym_consteval] = ACTIONS(5944),
    [anon_sym_alignas] = ACTIONS(5944),
    [anon_sym__Alignas] = ACTIONS(5944),
    [sym_primitive_type] = ACTIONS(5944),
    [anon_sym_QMARK] = ACTIONS(5946),
    [anon_sym_LT_EQ_GT] = ACTIONS(5946),
    [anon_sym_or] = ACTIONS(5944),
    [anon_sym_and] = ACTIONS(5944),
    [anon_sym_bitor] = ACTIONS(5944),
    [anon_sym_xor] = ACTIONS(5944),
    [anon_sym_bitand] = ACTIONS(5944),
    [anon_sym_not_eq] = ACTIONS(5944),
    [anon_sym_DASH_DASH] = ACTIONS(5946),
    [anon_sym_PLUS_PLUS] = ACTIONS(5946),
    [anon_sym_DOT] = ACTIONS(5944),
    [anon_sym_DOT_STAR] = ACTIONS(5946),
    [anon_sym_DASH_GT] = ACTIONS(5946),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5944),
    [anon_sym_decltype] = ACTIONS(5944),
    [anon_sym_final] = ACTIONS(5944),
    [anon_sym_override] = ACTIONS(5944),
    [anon_sym_requires] = ACTIONS(5944),
  },
  [2518] = {
    [sym_identifier] = ACTIONS(5940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5942),
    [anon_sym_COMMA] = ACTIONS(5942),
    [anon_sym_RPAREN] = ACTIONS(5942),
    [anon_sym_LPAREN2] = ACTIONS(5942),
    [anon_sym_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5940),
    [anon_sym_STAR] = ACTIONS(5942),
    [anon_sym_SLASH] = ACTIONS(5940),
    [anon_sym_PERCENT] = ACTIONS(5942),
    [anon_sym_PIPE_PIPE] = ACTIONS(5942),
    [anon_sym_AMP_AMP] = ACTIONS(5942),
    [anon_sym_PIPE] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5942),
    [anon_sym_BANG_EQ] = ACTIONS(5942),
    [anon_sym_GT] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5942),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_LT_LT] = ACTIONS(5942),
    [anon_sym_GT_GT] = ACTIONS(5942),
    [anon_sym_COLON] = ACTIONS(5942),
    [anon_sym_SEMI] = ACTIONS(5942),
    [anon_sym___extension__] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5940),
    [anon_sym___attribute] = ACTIONS(5940),
    [anon_sym___based] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(5942),
    [anon_sym_RBRACE] = ACTIONS(5942),
    [anon_sym_signed] = ACTIONS(5940),
    [anon_sym_unsigned] = ACTIONS(5940),
    [anon_sym_long] = ACTIONS(5940),
    [anon_sym_short] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5942),
    [anon_sym_RBRACK] = ACTIONS(5942),
    [anon_sym_const] = ACTIONS(5940),
    [anon_sym_constexpr] = ACTIONS(5940),
    [anon_sym_volatile] = ACTIONS(5940),
    [anon_sym_restrict] = ACTIONS(5940),
    [anon_sym___restrict__] = ACTIONS(5940),
    [anon_sym__Atomic] = ACTIONS(5940),
    [anon_sym__Noreturn] = ACTIONS(5940),
    [anon_sym_noreturn] = ACTIONS(5940),
    [anon_sym__Nonnull] = ACTIONS(5940),
    [anon_sym_mutable] = ACTIONS(5940),
    [anon_sym_constinit] = ACTIONS(5940),
    [anon_sym_consteval] = ACTIONS(5940),
    [anon_sym_alignas] = ACTIONS(5940),
    [anon_sym__Alignas] = ACTIONS(5940),
    [sym_primitive_type] = ACTIONS(5940),
    [anon_sym_QMARK] = ACTIONS(5942),
    [anon_sym_LT_EQ_GT] = ACTIONS(5942),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_bitor] = ACTIONS(5940),
    [anon_sym_xor] = ACTIONS(5940),
    [anon_sym_bitand] = ACTIONS(5940),
    [anon_sym_not_eq] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5942),
    [anon_sym_PLUS_PLUS] = ACTIONS(5942),
    [anon_sym_DOT] = ACTIONS(5940),
    [anon_sym_DOT_STAR] = ACTIONS(5942),
    [anon_sym_DASH_GT] = ACTIONS(5942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
    [anon_sym_final] = ACTIONS(5940),
    [anon_sym_override] = ACTIONS(5940),
    [anon_sym_requires] = ACTIONS(5940),
  },
  [2519] = {
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5928),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_SLASH] = ACTIONS(5928),
    [anon_sym_PERCENT] = ACTIONS(5930),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_EQ_EQ] = ACTIONS(5930),
    [anon_sym_BANG_EQ] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5928),
    [anon_sym_GT_EQ] = ACTIONS(5930),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_LT_LT] = ACTIONS(5930),
    [anon_sym_GT_GT] = ACTIONS(5930),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___extension__] = ACTIONS(5928),
    [anon_sym___attribute__] = ACTIONS(5928),
    [anon_sym___attribute] = ACTIONS(5928),
    [anon_sym___based] = ACTIONS(5928),
    [anon_sym_LBRACE] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_signed] = ACTIONS(5928),
    [anon_sym_unsigned] = ACTIONS(5928),
    [anon_sym_long] = ACTIONS(5928),
    [anon_sym_short] = ACTIONS(5928),
    [anon_sym_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACK] = ACTIONS(5930),
    [anon_sym_const] = ACTIONS(5928),
    [anon_sym_constexpr] = ACTIONS(5928),
    [anon_sym_volatile] = ACTIONS(5928),
    [anon_sym_restrict] = ACTIONS(5928),
    [anon_sym___restrict__] = ACTIONS(5928),
    [anon_sym__Atomic] = ACTIONS(5928),
    [anon_sym__Noreturn] = ACTIONS(5928),
    [anon_sym_noreturn] = ACTIONS(5928),
    [anon_sym__Nonnull] = ACTIONS(5928),
    [anon_sym_mutable] = ACTIONS(5928),
    [anon_sym_constinit] = ACTIONS(5928),
    [anon_sym_consteval] = ACTIONS(5928),
    [anon_sym_alignas] = ACTIONS(5928),
    [anon_sym__Alignas] = ACTIONS(5928),
    [sym_primitive_type] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5930),
    [anon_sym_LT_EQ_GT] = ACTIONS(5930),
    [anon_sym_or] = ACTIONS(5928),
    [anon_sym_and] = ACTIONS(5928),
    [anon_sym_bitor] = ACTIONS(5928),
    [anon_sym_xor] = ACTIONS(5928),
    [anon_sym_bitand] = ACTIONS(5928),
    [anon_sym_not_eq] = ACTIONS(5928),
    [anon_sym_DASH_DASH] = ACTIONS(5930),
    [anon_sym_PLUS_PLUS] = ACTIONS(5930),
    [anon_sym_DOT] = ACTIONS(5928),
    [anon_sym_DOT_STAR] = ACTIONS(5930),
    [anon_sym_DASH_GT] = ACTIONS(5930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
    [anon_sym_final] = ACTIONS(5928),
    [anon_sym_override] = ACTIONS(5928),
    [anon_sym_requires] = ACTIONS(5928),
  },
  [2520] = {
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5954),
    [anon_sym_COMMA] = ACTIONS(5954),
    [anon_sym_RPAREN] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(5954),
    [anon_sym_DASH] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5952),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_SLASH] = ACTIONS(5952),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5954),
    [anon_sym_AMP_AMP] = ACTIONS(5954),
    [anon_sym_PIPE] = ACTIONS(5952),
    [anon_sym_CARET] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5952),
    [anon_sym_EQ_EQ] = ACTIONS(5954),
    [anon_sym_BANG_EQ] = ACTIONS(5954),
    [anon_sym_GT] = ACTIONS(5952),
    [anon_sym_GT_EQ] = ACTIONS(5954),
    [anon_sym_LT_EQ] = ACTIONS(5952),
    [anon_sym_LT] = ACTIONS(5952),
    [anon_sym_LT_LT] = ACTIONS(5954),
    [anon_sym_GT_GT] = ACTIONS(5954),
    [anon_sym_COLON] = ACTIONS(5954),
    [anon_sym_SEMI] = ACTIONS(5954),
    [anon_sym___extension__] = ACTIONS(5952),
    [anon_sym___attribute__] = ACTIONS(5952),
    [anon_sym___attribute] = ACTIONS(5952),
    [anon_sym___based] = ACTIONS(5952),
    [anon_sym_LBRACE] = ACTIONS(5954),
    [anon_sym_RBRACE] = ACTIONS(5954),
    [anon_sym_signed] = ACTIONS(5952),
    [anon_sym_unsigned] = ACTIONS(5952),
    [anon_sym_long] = ACTIONS(5952),
    [anon_sym_short] = ACTIONS(5952),
    [anon_sym_LBRACK] = ACTIONS(5954),
    [anon_sym_RBRACK] = ACTIONS(5954),
    [anon_sym_const] = ACTIONS(5952),
    [anon_sym_constexpr] = ACTIONS(5952),
    [anon_sym_volatile] = ACTIONS(5952),
    [anon_sym_restrict] = ACTIONS(5952),
    [anon_sym___restrict__] = ACTIONS(5952),
    [anon_sym__Atomic] = ACTIONS(5952),
    [anon_sym__Noreturn] = ACTIONS(5952),
    [anon_sym_noreturn] = ACTIONS(5952),
    [anon_sym__Nonnull] = ACTIONS(5952),
    [anon_sym_mutable] = ACTIONS(5952),
    [anon_sym_constinit] = ACTIONS(5952),
    [anon_sym_consteval] = ACTIONS(5952),
    [anon_sym_alignas] = ACTIONS(5952),
    [anon_sym__Alignas] = ACTIONS(5952),
    [sym_primitive_type] = ACTIONS(5952),
    [anon_sym_QMARK] = ACTIONS(5954),
    [anon_sym_LT_EQ_GT] = ACTIONS(5954),
    [anon_sym_or] = ACTIONS(5952),
    [anon_sym_and] = ACTIONS(5952),
    [anon_sym_bitor] = ACTIONS(5952),
    [anon_sym_xor] = ACTIONS(5952),
    [anon_sym_bitand] = ACTIONS(5952),
    [anon_sym_not_eq] = ACTIONS(5952),
    [anon_sym_DASH_DASH] = ACTIONS(5954),
    [anon_sym_PLUS_PLUS] = ACTIONS(5954),
    [anon_sym_DOT] = ACTIONS(5952),
    [anon_sym_DOT_STAR] = ACTIONS(5954),
    [anon_sym_DASH_GT] = ACTIONS(5954),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5952),
    [anon_sym_decltype] = ACTIONS(5952),
    [anon_sym_final] = ACTIONS(5952),
    [anon_sym_override] = ACTIONS(5952),
    [anon_sym_requires] = ACTIONS(5952),
  },
  [2521] = {
    [sym_template_argument_list] = STATE(2843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2264),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___extension__] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_out] = ACTIONS(4068),
    [anon_sym_inout] = ACTIONS(4068),
    [anon_sym_virtual] = ACTIONS(4068),
    [anon_sym_extern] = ACTIONS(4068),
    [anon_sym___attribute__] = ACTIONS(4068),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4091),
    [anon_sym___declspec] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4094),
    [anon_sym_unsigned] = ACTIONS(4094),
    [anon_sym_long] = ACTIONS(4094),
    [anon_sym_short] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(6361),
    [anon_sym_static] = ACTIONS(4068),
    [anon_sym_register] = ACTIONS(4068),
    [anon_sym_inline] = ACTIONS(4068),
    [anon_sym___inline] = ACTIONS(4068),
    [anon_sym___inline__] = ACTIONS(4068),
    [anon_sym___forceinline] = ACTIONS(4068),
    [anon_sym_thread_local] = ACTIONS(4068),
    [anon_sym___thread] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4068),
    [anon_sym_constexpr] = ACTIONS(4068),
    [anon_sym_volatile] = ACTIONS(4068),
    [anon_sym_restrict] = ACTIONS(4068),
    [anon_sym___restrict__] = ACTIONS(4068),
    [anon_sym__Atomic] = ACTIONS(4068),
    [anon_sym__Noreturn] = ACTIONS(4068),
    [anon_sym_noreturn] = ACTIONS(4068),
    [anon_sym__Nonnull] = ACTIONS(4068),
    [anon_sym_mutable] = ACTIONS(4068),
    [anon_sym_constinit] = ACTIONS(4068),
    [anon_sym_consteval] = ACTIONS(4068),
    [anon_sym_alignas] = ACTIONS(4068),
    [anon_sym__Alignas] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
    [anon_sym_operator] = ACTIONS(4068),
    [anon_sym_precise] = ACTIONS(4068),
    [anon_sym_shared] = ACTIONS(4068),
    [anon_sym_groupshared] = ACTIONS(4068),
    [anon_sym_uniform] = ACTIONS(4068),
    [anon_sym_row_major] = ACTIONS(4068),
    [anon_sym_column_major] = ACTIONS(4068),
    [anon_sym_globallycoherent] = ACTIONS(4068),
    [anon_sym_centroid] = ACTIONS(4068),
    [anon_sym_noperspective] = ACTIONS(4068),
    [anon_sym_nointerpolation] = ACTIONS(4068),
    [anon_sym_sample] = ACTIONS(4068),
    [anon_sym_linear] = ACTIONS(4068),
    [anon_sym_snorm] = ACTIONS(4068),
    [anon_sym_unorm] = ACTIONS(4068),
    [anon_sym_point] = ACTIONS(4068),
    [anon_sym_line] = ACTIONS(4068),
    [anon_sym_triangleadj] = ACTIONS(4068),
    [anon_sym_lineadj] = ACTIONS(4068),
    [anon_sym_triangle] = ACTIONS(4068),
  },
  [2522] = {
    [sym_type_qualifier] = STATE(2387),
    [sym_alignas_qualifier] = STATE(2458),
    [aux_sym__type_definition_type_repeat1] = STATE(2387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2566),
    [sym_identifier] = ACTIONS(6363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5598),
    [anon_sym_COMMA] = ACTIONS(5598),
    [anon_sym_RPAREN] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_SLASH] = ACTIONS(5600),
    [anon_sym_PERCENT] = ACTIONS(5598),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_PIPE] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5598),
    [anon_sym_BANG_EQ] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5598),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5600),
    [anon_sym_LT_LT] = ACTIONS(5598),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym_COLON] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(6365),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_RBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(6367),
    [anon_sym_unsigned] = ACTIONS(6367),
    [anon_sym_long] = ACTIONS(6367),
    [anon_sym_short] = ACTIONS(6367),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_RBRACK] = ACTIONS(5598),
    [anon_sym_const] = ACTIONS(6365),
    [anon_sym_constexpr] = ACTIONS(6365),
    [anon_sym_volatile] = ACTIONS(6365),
    [anon_sym_restrict] = ACTIONS(6365),
    [anon_sym___restrict__] = ACTIONS(6365),
    [anon_sym__Atomic] = ACTIONS(6365),
    [anon_sym__Noreturn] = ACTIONS(6365),
    [anon_sym_noreturn] = ACTIONS(6365),
    [anon_sym__Nonnull] = ACTIONS(6365),
    [anon_sym_mutable] = ACTIONS(6365),
    [anon_sym_constinit] = ACTIONS(6365),
    [anon_sym_consteval] = ACTIONS(6365),
    [anon_sym_alignas] = ACTIONS(6369),
    [anon_sym__Alignas] = ACTIONS(6369),
    [sym_primitive_type] = ACTIONS(6371),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_LT_EQ_GT] = ACTIONS(5598),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_bitor] = ACTIONS(5600),
    [anon_sym_xor] = ACTIONS(5600),
    [anon_sym_bitand] = ACTIONS(5600),
    [anon_sym_not_eq] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_DOT_STAR] = ACTIONS(5598),
    [anon_sym_DASH_GT] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
  },
  [2523] = {
    [sym_template_argument_list] = STATE(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4289),
    [anon_sym_COMMA] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4294),
    [anon_sym_SLASH] = ACTIONS(4292),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_AMP_AMP] = ACTIONS(4289),
    [anon_sym_PIPE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4294),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_BANG_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_GT_EQ] = ACTIONS(4292),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(6373),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym___extension__] = ACTIONS(1974),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(4289),
    [anon_sym_EQ] = ACTIONS(4292),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1974),
    [anon_sym_volatile] = ACTIONS(1974),
    [anon_sym_restrict] = ACTIONS(1974),
    [anon_sym___restrict__] = ACTIONS(1974),
    [anon_sym__Atomic] = ACTIONS(1974),
    [anon_sym__Noreturn] = ACTIONS(1974),
    [anon_sym_noreturn] = ACTIONS(1974),
    [anon_sym__Nonnull] = ACTIONS(1974),
    [anon_sym_mutable] = ACTIONS(1974),
    [anon_sym_constinit] = ACTIONS(1974),
    [anon_sym_consteval] = ACTIONS(1974),
    [anon_sym_alignas] = ACTIONS(1974),
    [anon_sym__Alignas] = ACTIONS(1974),
    [anon_sym_QMARK] = ACTIONS(4287),
    [anon_sym_STAR_EQ] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [anon_sym_PERCENT_EQ] = ACTIONS(4287),
    [anon_sym_PLUS_EQ] = ACTIONS(4287),
    [anon_sym_DASH_EQ] = ACTIONS(4287),
    [anon_sym_LT_LT_EQ] = ACTIONS(4287),
    [anon_sym_GT_GT_EQ] = ACTIONS(4292),
    [anon_sym_AMP_EQ] = ACTIONS(4287),
    [anon_sym_CARET_EQ] = ACTIONS(4287),
    [anon_sym_PIPE_EQ] = ACTIONS(4287),
    [anon_sym_and_eq] = ACTIONS(4287),
    [anon_sym_or_eq] = ACTIONS(4287),
    [anon_sym_xor_eq] = ACTIONS(4287),
    [anon_sym_LT_EQ_GT] = ACTIONS(4287),
    [anon_sym_or] = ACTIONS(4292),
    [anon_sym_and] = ACTIONS(4292),
    [anon_sym_bitor] = ACTIONS(4287),
    [anon_sym_xor] = ACTIONS(4292),
    [anon_sym_bitand] = ACTIONS(4287),
    [anon_sym_not_eq] = ACTIONS(4287),
    [anon_sym_DASH_DASH] = ACTIONS(4287),
    [anon_sym_PLUS_PLUS] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4292),
    [anon_sym_DOT_STAR] = ACTIONS(4287),
    [anon_sym_DASH_GT] = ACTIONS(4287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1974),
    [anon_sym_decltype] = ACTIONS(1974),
    [anon_sym_GT2] = ACTIONS(4289),
  },
  [2524] = {
    [sym_identifier] = ACTIONS(5932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5934),
    [anon_sym_COMMA] = ACTIONS(5934),
    [anon_sym_RPAREN] = ACTIONS(5934),
    [anon_sym_LPAREN2] = ACTIONS(5934),
    [anon_sym_DASH] = ACTIONS(5932),
    [anon_sym_PLUS] = ACTIONS(5932),
    [anon_sym_STAR] = ACTIONS(5934),
    [anon_sym_SLASH] = ACTIONS(5932),
    [anon_sym_PERCENT] = ACTIONS(5934),
    [anon_sym_PIPE_PIPE] = ACTIONS(5934),
    [anon_sym_AMP_AMP] = ACTIONS(5934),
    [anon_sym_PIPE] = ACTIONS(5932),
    [anon_sym_CARET] = ACTIONS(5934),
    [anon_sym_AMP] = ACTIONS(5932),
    [anon_sym_EQ_EQ] = ACTIONS(5934),
    [anon_sym_BANG_EQ] = ACTIONS(5934),
    [anon_sym_GT] = ACTIONS(5932),
    [anon_sym_GT_EQ] = ACTIONS(5934),
    [anon_sym_LT_EQ] = ACTIONS(5932),
    [anon_sym_LT] = ACTIONS(5932),
    [anon_sym_LT_LT] = ACTIONS(5934),
    [anon_sym_GT_GT] = ACTIONS(5934),
    [anon_sym_COLON] = ACTIONS(5934),
    [anon_sym_SEMI] = ACTIONS(5934),
    [anon_sym___extension__] = ACTIONS(5932),
    [anon_sym___attribute__] = ACTIONS(5932),
    [anon_sym___attribute] = ACTIONS(5932),
    [anon_sym___based] = ACTIONS(5932),
    [anon_sym_LBRACE] = ACTIONS(5934),
    [anon_sym_RBRACE] = ACTIONS(5934),
    [anon_sym_signed] = ACTIONS(5932),
    [anon_sym_unsigned] = ACTIONS(5932),
    [anon_sym_long] = ACTIONS(5932),
    [anon_sym_short] = ACTIONS(5932),
    [anon_sym_LBRACK] = ACTIONS(5934),
    [anon_sym_RBRACK] = ACTIONS(5934),
    [anon_sym_const] = ACTIONS(5932),
    [anon_sym_constexpr] = ACTIONS(5932),
    [anon_sym_volatile] = ACTIONS(5932),
    [anon_sym_restrict] = ACTIONS(5932),
    [anon_sym___restrict__] = ACTIONS(5932),
    [anon_sym__Atomic] = ACTIONS(5932),
    [anon_sym__Noreturn] = ACTIONS(5932),
    [anon_sym_noreturn] = ACTIONS(5932),
    [anon_sym__Nonnull] = ACTIONS(5932),
    [anon_sym_mutable] = ACTIONS(5932),
    [anon_sym_constinit] = ACTIONS(5932),
    [anon_sym_consteval] = ACTIONS(5932),
    [anon_sym_alignas] = ACTIONS(5932),
    [anon_sym__Alignas] = ACTIONS(5932),
    [sym_primitive_type] = ACTIONS(5932),
    [anon_sym_QMARK] = ACTIONS(5934),
    [anon_sym_LT_EQ_GT] = ACTIONS(5934),
    [anon_sym_or] = ACTIONS(5932),
    [anon_sym_and] = ACTIONS(5932),
    [anon_sym_bitor] = ACTIONS(5932),
    [anon_sym_xor] = ACTIONS(5932),
    [anon_sym_bitand] = ACTIONS(5932),
    [anon_sym_not_eq] = ACTIONS(5932),
    [anon_sym_DASH_DASH] = ACTIONS(5934),
    [anon_sym_PLUS_PLUS] = ACTIONS(5934),
    [anon_sym_DOT] = ACTIONS(5932),
    [anon_sym_DOT_STAR] = ACTIONS(5934),
    [anon_sym_DASH_GT] = ACTIONS(5934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5932),
    [anon_sym_decltype] = ACTIONS(5932),
    [anon_sym_final] = ACTIONS(5932),
    [anon_sym_override] = ACTIONS(5932),
    [anon_sym_requires] = ACTIONS(5932),
  },
  [2525] = {
    [sym_identifier] = ACTIONS(5908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_LPAREN2] = ACTIONS(5910),
    [anon_sym_DASH] = ACTIONS(5908),
    [anon_sym_PLUS] = ACTIONS(5908),
    [anon_sym_STAR] = ACTIONS(5910),
    [anon_sym_SLASH] = ACTIONS(5908),
    [anon_sym_PERCENT] = ACTIONS(5910),
    [anon_sym_PIPE_PIPE] = ACTIONS(5910),
    [anon_sym_AMP_AMP] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5908),
    [anon_sym_CARET] = ACTIONS(5910),
    [anon_sym_AMP] = ACTIONS(5908),
    [anon_sym_EQ_EQ] = ACTIONS(5910),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_GT] = ACTIONS(5908),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5908),
    [anon_sym_LT] = ACTIONS(5908),
    [anon_sym_LT_LT] = ACTIONS(5910),
    [anon_sym_GT_GT] = ACTIONS(5910),
    [anon_sym_COLON] = ACTIONS(5910),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym___extension__] = ACTIONS(5908),
    [anon_sym___attribute__] = ACTIONS(5908),
    [anon_sym___attribute] = ACTIONS(5908),
    [anon_sym___based] = ACTIONS(5908),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_signed] = ACTIONS(5908),
    [anon_sym_unsigned] = ACTIONS(5908),
    [anon_sym_long] = ACTIONS(5908),
    [anon_sym_short] = ACTIONS(5908),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_RBRACK] = ACTIONS(5910),
    [anon_sym_const] = ACTIONS(5908),
    [anon_sym_constexpr] = ACTIONS(5908),
    [anon_sym_volatile] = ACTIONS(5908),
    [anon_sym_restrict] = ACTIONS(5908),
    [anon_sym___restrict__] = ACTIONS(5908),
    [anon_sym__Atomic] = ACTIONS(5908),
    [anon_sym__Noreturn] = ACTIONS(5908),
    [anon_sym_noreturn] = ACTIONS(5908),
    [anon_sym__Nonnull] = ACTIONS(5908),
    [anon_sym_mutable] = ACTIONS(5908),
    [anon_sym_constinit] = ACTIONS(5908),
    [anon_sym_consteval] = ACTIONS(5908),
    [anon_sym_alignas] = ACTIONS(5908),
    [anon_sym__Alignas] = ACTIONS(5908),
    [sym_primitive_type] = ACTIONS(5908),
    [anon_sym_QMARK] = ACTIONS(5910),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_or] = ACTIONS(5908),
    [anon_sym_and] = ACTIONS(5908),
    [anon_sym_bitor] = ACTIONS(5908),
    [anon_sym_xor] = ACTIONS(5908),
    [anon_sym_bitand] = ACTIONS(5908),
    [anon_sym_not_eq] = ACTIONS(5908),
    [anon_sym_DASH_DASH] = ACTIONS(5910),
    [anon_sym_PLUS_PLUS] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5908),
    [anon_sym_DOT_STAR] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5908),
    [anon_sym_decltype] = ACTIONS(5908),
    [anon_sym_final] = ACTIONS(5908),
    [anon_sym_override] = ACTIONS(5908),
    [anon_sym_requires] = ACTIONS(5908),
  },
  [2526] = {
    [sym_identifier] = ACTIONS(5872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5874),
    [anon_sym_COMMA] = ACTIONS(5874),
    [anon_sym_RPAREN] = ACTIONS(5874),
    [anon_sym_LPAREN2] = ACTIONS(5874),
    [anon_sym_DASH] = ACTIONS(5872),
    [anon_sym_PLUS] = ACTIONS(5872),
    [anon_sym_STAR] = ACTIONS(5874),
    [anon_sym_SLASH] = ACTIONS(5872),
    [anon_sym_PERCENT] = ACTIONS(5874),
    [anon_sym_PIPE_PIPE] = ACTIONS(5874),
    [anon_sym_AMP_AMP] = ACTIONS(5874),
    [anon_sym_PIPE] = ACTIONS(5872),
    [anon_sym_CARET] = ACTIONS(5874),
    [anon_sym_AMP] = ACTIONS(5872),
    [anon_sym_EQ_EQ] = ACTIONS(5874),
    [anon_sym_BANG_EQ] = ACTIONS(5874),
    [anon_sym_GT] = ACTIONS(5872),
    [anon_sym_GT_EQ] = ACTIONS(5874),
    [anon_sym_LT_EQ] = ACTIONS(5872),
    [anon_sym_LT] = ACTIONS(5872),
    [anon_sym_LT_LT] = ACTIONS(5874),
    [anon_sym_GT_GT] = ACTIONS(5874),
    [anon_sym_COLON] = ACTIONS(5874),
    [anon_sym_SEMI] = ACTIONS(5874),
    [anon_sym___extension__] = ACTIONS(5872),
    [anon_sym___attribute__] = ACTIONS(5872),
    [anon_sym___attribute] = ACTIONS(5872),
    [anon_sym___based] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(5874),
    [anon_sym_RBRACE] = ACTIONS(5874),
    [anon_sym_signed] = ACTIONS(5872),
    [anon_sym_unsigned] = ACTIONS(5872),
    [anon_sym_long] = ACTIONS(5872),
    [anon_sym_short] = ACTIONS(5872),
    [anon_sym_LBRACK] = ACTIONS(5874),
    [anon_sym_RBRACK] = ACTIONS(5874),
    [anon_sym_const] = ACTIONS(5872),
    [anon_sym_constexpr] = ACTIONS(5872),
    [anon_sym_volatile] = ACTIONS(5872),
    [anon_sym_restrict] = ACTIONS(5872),
    [anon_sym___restrict__] = ACTIONS(5872),
    [anon_sym__Atomic] = ACTIONS(5872),
    [anon_sym__Noreturn] = ACTIONS(5872),
    [anon_sym_noreturn] = ACTIONS(5872),
    [anon_sym__Nonnull] = ACTIONS(5872),
    [anon_sym_mutable] = ACTIONS(5872),
    [anon_sym_constinit] = ACTIONS(5872),
    [anon_sym_consteval] = ACTIONS(5872),
    [anon_sym_alignas] = ACTIONS(5872),
    [anon_sym__Alignas] = ACTIONS(5872),
    [sym_primitive_type] = ACTIONS(5872),
    [anon_sym_QMARK] = ACTIONS(5874),
    [anon_sym_LT_EQ_GT] = ACTIONS(5874),
    [anon_sym_or] = ACTIONS(5872),
    [anon_sym_and] = ACTIONS(5872),
    [anon_sym_bitor] = ACTIONS(5872),
    [anon_sym_xor] = ACTIONS(5872),
    [anon_sym_bitand] = ACTIONS(5872),
    [anon_sym_not_eq] = ACTIONS(5872),
    [anon_sym_DASH_DASH] = ACTIONS(5874),
    [anon_sym_PLUS_PLUS] = ACTIONS(5874),
    [anon_sym_DOT] = ACTIONS(5872),
    [anon_sym_DOT_STAR] = ACTIONS(5874),
    [anon_sym_DASH_GT] = ACTIONS(5874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5872),
    [anon_sym_decltype] = ACTIONS(5872),
    [anon_sym_final] = ACTIONS(5872),
    [anon_sym_override] = ACTIONS(5872),
    [anon_sym_requires] = ACTIONS(5872),
  },
  [2527] = {
    [sym_identifier] = ACTIONS(5884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5886),
    [anon_sym_COMMA] = ACTIONS(5886),
    [anon_sym_RPAREN] = ACTIONS(5886),
    [anon_sym_LPAREN2] = ACTIONS(5886),
    [anon_sym_DASH] = ACTIONS(5884),
    [anon_sym_PLUS] = ACTIONS(5884),
    [anon_sym_STAR] = ACTIONS(5886),
    [anon_sym_SLASH] = ACTIONS(5884),
    [anon_sym_PERCENT] = ACTIONS(5886),
    [anon_sym_PIPE_PIPE] = ACTIONS(5886),
    [anon_sym_AMP_AMP] = ACTIONS(5886),
    [anon_sym_PIPE] = ACTIONS(5884),
    [anon_sym_CARET] = ACTIONS(5886),
    [anon_sym_AMP] = ACTIONS(5884),
    [anon_sym_EQ_EQ] = ACTIONS(5886),
    [anon_sym_BANG_EQ] = ACTIONS(5886),
    [anon_sym_GT] = ACTIONS(5884),
    [anon_sym_GT_EQ] = ACTIONS(5886),
    [anon_sym_LT_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(5884),
    [anon_sym_LT_LT] = ACTIONS(5886),
    [anon_sym_GT_GT] = ACTIONS(5886),
    [anon_sym_COLON] = ACTIONS(5886),
    [anon_sym_SEMI] = ACTIONS(5886),
    [anon_sym___extension__] = ACTIONS(5884),
    [anon_sym___attribute__] = ACTIONS(5884),
    [anon_sym___attribute] = ACTIONS(5884),
    [anon_sym___based] = ACTIONS(5884),
    [anon_sym_LBRACE] = ACTIONS(5886),
    [anon_sym_RBRACE] = ACTIONS(5886),
    [anon_sym_signed] = ACTIONS(5884),
    [anon_sym_unsigned] = ACTIONS(5884),
    [anon_sym_long] = ACTIONS(5884),
    [anon_sym_short] = ACTIONS(5884),
    [anon_sym_LBRACK] = ACTIONS(5886),
    [anon_sym_RBRACK] = ACTIONS(5886),
    [anon_sym_const] = ACTIONS(5884),
    [anon_sym_constexpr] = ACTIONS(5884),
    [anon_sym_volatile] = ACTIONS(5884),
    [anon_sym_restrict] = ACTIONS(5884),
    [anon_sym___restrict__] = ACTIONS(5884),
    [anon_sym__Atomic] = ACTIONS(5884),
    [anon_sym__Noreturn] = ACTIONS(5884),
    [anon_sym_noreturn] = ACTIONS(5884),
    [anon_sym__Nonnull] = ACTIONS(5884),
    [anon_sym_mutable] = ACTIONS(5884),
    [anon_sym_constinit] = ACTIONS(5884),
    [anon_sym_consteval] = ACTIONS(5884),
    [anon_sym_alignas] = ACTIONS(5884),
    [anon_sym__Alignas] = ACTIONS(5884),
    [sym_primitive_type] = ACTIONS(5884),
    [anon_sym_QMARK] = ACTIONS(5886),
    [anon_sym_LT_EQ_GT] = ACTIONS(5886),
    [anon_sym_or] = ACTIONS(5884),
    [anon_sym_and] = ACTIONS(5884),
    [anon_sym_bitor] = ACTIONS(5884),
    [anon_sym_xor] = ACTIONS(5884),
    [anon_sym_bitand] = ACTIONS(5884),
    [anon_sym_not_eq] = ACTIONS(5884),
    [anon_sym_DASH_DASH] = ACTIONS(5886),
    [anon_sym_PLUS_PLUS] = ACTIONS(5886),
    [anon_sym_DOT] = ACTIONS(5884),
    [anon_sym_DOT_STAR] = ACTIONS(5886),
    [anon_sym_DASH_GT] = ACTIONS(5886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5884),
    [anon_sym_decltype] = ACTIONS(5884),
    [anon_sym_final] = ACTIONS(5884),
    [anon_sym_override] = ACTIONS(5884),
    [anon_sym_requires] = ACTIONS(5884),
  },
  [2528] = {
    [sym_identifier] = ACTIONS(5850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5852),
    [anon_sym_COMMA] = ACTIONS(5852),
    [anon_sym_RPAREN] = ACTIONS(5852),
    [anon_sym_LPAREN2] = ACTIONS(5852),
    [anon_sym_DASH] = ACTIONS(5850),
    [anon_sym_PLUS] = ACTIONS(5850),
    [anon_sym_STAR] = ACTIONS(5852),
    [anon_sym_SLASH] = ACTIONS(5850),
    [anon_sym_PERCENT] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5852),
    [anon_sym_AMP_AMP] = ACTIONS(5852),
    [anon_sym_PIPE] = ACTIONS(5850),
    [anon_sym_CARET] = ACTIONS(5852),
    [anon_sym_AMP] = ACTIONS(5850),
    [anon_sym_EQ_EQ] = ACTIONS(5852),
    [anon_sym_BANG_EQ] = ACTIONS(5852),
    [anon_sym_GT] = ACTIONS(5850),
    [anon_sym_GT_EQ] = ACTIONS(5852),
    [anon_sym_LT_EQ] = ACTIONS(5850),
    [anon_sym_LT] = ACTIONS(5850),
    [anon_sym_LT_LT] = ACTIONS(5852),
    [anon_sym_GT_GT] = ACTIONS(5852),
    [anon_sym_COLON] = ACTIONS(5852),
    [anon_sym_SEMI] = ACTIONS(5852),
    [anon_sym___extension__] = ACTIONS(5850),
    [anon_sym___attribute__] = ACTIONS(5850),
    [anon_sym___attribute] = ACTIONS(5850),
    [anon_sym___based] = ACTIONS(5850),
    [anon_sym_LBRACE] = ACTIONS(5852),
    [anon_sym_RBRACE] = ACTIONS(5852),
    [anon_sym_signed] = ACTIONS(5850),
    [anon_sym_unsigned] = ACTIONS(5850),
    [anon_sym_long] = ACTIONS(5850),
    [anon_sym_short] = ACTIONS(5850),
    [anon_sym_LBRACK] = ACTIONS(5852),
    [anon_sym_RBRACK] = ACTIONS(5852),
    [anon_sym_const] = ACTIONS(5850),
    [anon_sym_constexpr] = ACTIONS(5850),
    [anon_sym_volatile] = ACTIONS(5850),
    [anon_sym_restrict] = ACTIONS(5850),
    [anon_sym___restrict__] = ACTIONS(5850),
    [anon_sym__Atomic] = ACTIONS(5850),
    [anon_sym__Noreturn] = ACTIONS(5850),
    [anon_sym_noreturn] = ACTIONS(5850),
    [anon_sym__Nonnull] = ACTIONS(5850),
    [anon_sym_mutable] = ACTIONS(5850),
    [anon_sym_constinit] = ACTIONS(5850),
    [anon_sym_consteval] = ACTIONS(5850),
    [anon_sym_alignas] = ACTIONS(5850),
    [anon_sym__Alignas] = ACTIONS(5850),
    [sym_primitive_type] = ACTIONS(5850),
    [anon_sym_QMARK] = ACTIONS(5852),
    [anon_sym_LT_EQ_GT] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5850),
    [anon_sym_bitor] = ACTIONS(5850),
    [anon_sym_xor] = ACTIONS(5850),
    [anon_sym_bitand] = ACTIONS(5850),
    [anon_sym_not_eq] = ACTIONS(5850),
    [anon_sym_DASH_DASH] = ACTIONS(5852),
    [anon_sym_PLUS_PLUS] = ACTIONS(5852),
    [anon_sym_DOT] = ACTIONS(5850),
    [anon_sym_DOT_STAR] = ACTIONS(5852),
    [anon_sym_DASH_GT] = ACTIONS(5852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5850),
    [anon_sym_decltype] = ACTIONS(5850),
    [anon_sym_final] = ACTIONS(5850),
    [anon_sym_override] = ACTIONS(5850),
    [anon_sym_requires] = ACTIONS(5850),
  },
  [2529] = {
    [sym_identifier] = ACTIONS(5936),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5938),
    [anon_sym_COMMA] = ACTIONS(5938),
    [anon_sym_RPAREN] = ACTIONS(5938),
    [anon_sym_LPAREN2] = ACTIONS(5938),
    [anon_sym_DASH] = ACTIONS(5936),
    [anon_sym_PLUS] = ACTIONS(5936),
    [anon_sym_STAR] = ACTIONS(5938),
    [anon_sym_SLASH] = ACTIONS(5936),
    [anon_sym_PERCENT] = ACTIONS(5938),
    [anon_sym_PIPE_PIPE] = ACTIONS(5938),
    [anon_sym_AMP_AMP] = ACTIONS(5938),
    [anon_sym_PIPE] = ACTIONS(5936),
    [anon_sym_CARET] = ACTIONS(5938),
    [anon_sym_AMP] = ACTIONS(5936),
    [anon_sym_EQ_EQ] = ACTIONS(5938),
    [anon_sym_BANG_EQ] = ACTIONS(5938),
    [anon_sym_GT] = ACTIONS(5936),
    [anon_sym_GT_EQ] = ACTIONS(5938),
    [anon_sym_LT_EQ] = ACTIONS(5936),
    [anon_sym_LT] = ACTIONS(5936),
    [anon_sym_LT_LT] = ACTIONS(5938),
    [anon_sym_GT_GT] = ACTIONS(5938),
    [anon_sym_COLON] = ACTIONS(5938),
    [anon_sym_SEMI] = ACTIONS(5938),
    [anon_sym___extension__] = ACTIONS(5936),
    [anon_sym___attribute__] = ACTIONS(5936),
    [anon_sym___attribute] = ACTIONS(5936),
    [anon_sym___based] = ACTIONS(5936),
    [anon_sym_LBRACE] = ACTIONS(5938),
    [anon_sym_RBRACE] = ACTIONS(5938),
    [anon_sym_signed] = ACTIONS(5936),
    [anon_sym_unsigned] = ACTIONS(5936),
    [anon_sym_long] = ACTIONS(5936),
    [anon_sym_short] = ACTIONS(5936),
    [anon_sym_LBRACK] = ACTIONS(5938),
    [anon_sym_RBRACK] = ACTIONS(5938),
    [anon_sym_const] = ACTIONS(5936),
    [anon_sym_constexpr] = ACTIONS(5936),
    [anon_sym_volatile] = ACTIONS(5936),
    [anon_sym_restrict] = ACTIONS(5936),
    [anon_sym___restrict__] = ACTIONS(5936),
    [anon_sym__Atomic] = ACTIONS(5936),
    [anon_sym__Noreturn] = ACTIONS(5936),
    [anon_sym_noreturn] = ACTIONS(5936),
    [anon_sym__Nonnull] = ACTIONS(5936),
    [anon_sym_mutable] = ACTIONS(5936),
    [anon_sym_constinit] = ACTIONS(5936),
    [anon_sym_consteval] = ACTIONS(5936),
    [anon_sym_alignas] = ACTIONS(5936),
    [anon_sym__Alignas] = ACTIONS(5936),
    [sym_primitive_type] = ACTIONS(5936),
    [anon_sym_QMARK] = ACTIONS(5938),
    [anon_sym_LT_EQ_GT] = ACTIONS(5938),
    [anon_sym_or] = ACTIONS(5936),
    [anon_sym_and] = ACTIONS(5936),
    [anon_sym_bitor] = ACTIONS(5936),
    [anon_sym_xor] = ACTIONS(5936),
    [anon_sym_bitand] = ACTIONS(5936),
    [anon_sym_not_eq] = ACTIONS(5936),
    [anon_sym_DASH_DASH] = ACTIONS(5938),
    [anon_sym_PLUS_PLUS] = ACTIONS(5938),
    [anon_sym_DOT] = ACTIONS(5936),
    [anon_sym_DOT_STAR] = ACTIONS(5938),
    [anon_sym_DASH_GT] = ACTIONS(5938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5936),
    [anon_sym_decltype] = ACTIONS(5936),
    [anon_sym_final] = ACTIONS(5936),
    [anon_sym_override] = ACTIONS(5936),
    [anon_sym_requires] = ACTIONS(5936),
  },
  [2530] = {
    [sym_identifier] = ACTIONS(5888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5890),
    [anon_sym_COMMA] = ACTIONS(5890),
    [anon_sym_RPAREN] = ACTIONS(5890),
    [anon_sym_LPAREN2] = ACTIONS(5890),
    [anon_sym_DASH] = ACTIONS(5888),
    [anon_sym_PLUS] = ACTIONS(5888),
    [anon_sym_STAR] = ACTIONS(5890),
    [anon_sym_SLASH] = ACTIONS(5888),
    [anon_sym_PERCENT] = ACTIONS(5890),
    [anon_sym_PIPE_PIPE] = ACTIONS(5890),
    [anon_sym_AMP_AMP] = ACTIONS(5890),
    [anon_sym_PIPE] = ACTIONS(5888),
    [anon_sym_CARET] = ACTIONS(5890),
    [anon_sym_AMP] = ACTIONS(5888),
    [anon_sym_EQ_EQ] = ACTIONS(5890),
    [anon_sym_BANG_EQ] = ACTIONS(5890),
    [anon_sym_GT] = ACTIONS(5888),
    [anon_sym_GT_EQ] = ACTIONS(5890),
    [anon_sym_LT_EQ] = ACTIONS(5888),
    [anon_sym_LT] = ACTIONS(5888),
    [anon_sym_LT_LT] = ACTIONS(5890),
    [anon_sym_GT_GT] = ACTIONS(5890),
    [anon_sym_COLON] = ACTIONS(5890),
    [anon_sym_SEMI] = ACTIONS(5890),
    [anon_sym___extension__] = ACTIONS(5888),
    [anon_sym___attribute__] = ACTIONS(5888),
    [anon_sym___attribute] = ACTIONS(5888),
    [anon_sym___based] = ACTIONS(5888),
    [anon_sym_LBRACE] = ACTIONS(5890),
    [anon_sym_RBRACE] = ACTIONS(5890),
    [anon_sym_signed] = ACTIONS(5888),
    [anon_sym_unsigned] = ACTIONS(5888),
    [anon_sym_long] = ACTIONS(5888),
    [anon_sym_short] = ACTIONS(5888),
    [anon_sym_LBRACK] = ACTIONS(5890),
    [anon_sym_RBRACK] = ACTIONS(5890),
    [anon_sym_const] = ACTIONS(5888),
    [anon_sym_constexpr] = ACTIONS(5888),
    [anon_sym_volatile] = ACTIONS(5888),
    [anon_sym_restrict] = ACTIONS(5888),
    [anon_sym___restrict__] = ACTIONS(5888),
    [anon_sym__Atomic] = ACTIONS(5888),
    [anon_sym__Noreturn] = ACTIONS(5888),
    [anon_sym_noreturn] = ACTIONS(5888),
    [anon_sym__Nonnull] = ACTIONS(5888),
    [anon_sym_mutable] = ACTIONS(5888),
    [anon_sym_constinit] = ACTIONS(5888),
    [anon_sym_consteval] = ACTIONS(5888),
    [anon_sym_alignas] = ACTIONS(5888),
    [anon_sym__Alignas] = ACTIONS(5888),
    [sym_primitive_type] = ACTIONS(5888),
    [anon_sym_QMARK] = ACTIONS(5890),
    [anon_sym_LT_EQ_GT] = ACTIONS(5890),
    [anon_sym_or] = ACTIONS(5888),
    [anon_sym_and] = ACTIONS(5888),
    [anon_sym_bitor] = ACTIONS(5888),
    [anon_sym_xor] = ACTIONS(5888),
    [anon_sym_bitand] = ACTIONS(5888),
    [anon_sym_not_eq] = ACTIONS(5888),
    [anon_sym_DASH_DASH] = ACTIONS(5890),
    [anon_sym_PLUS_PLUS] = ACTIONS(5890),
    [anon_sym_DOT] = ACTIONS(5888),
    [anon_sym_DOT_STAR] = ACTIONS(5890),
    [anon_sym_DASH_GT] = ACTIONS(5890),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5888),
    [anon_sym_decltype] = ACTIONS(5888),
    [anon_sym_final] = ACTIONS(5888),
    [anon_sym_override] = ACTIONS(5888),
    [anon_sym_requires] = ACTIONS(5888),
  },
  [2531] = {
    [sym_identifier] = ACTIONS(5896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5898),
    [anon_sym_COMMA] = ACTIONS(5898),
    [anon_sym_RPAREN] = ACTIONS(5898),
    [anon_sym_LPAREN2] = ACTIONS(5898),
    [anon_sym_DASH] = ACTIONS(5896),
    [anon_sym_PLUS] = ACTIONS(5896),
    [anon_sym_STAR] = ACTIONS(5898),
    [anon_sym_SLASH] = ACTIONS(5896),
    [anon_sym_PERCENT] = ACTIONS(5898),
    [anon_sym_PIPE_PIPE] = ACTIONS(5898),
    [anon_sym_AMP_AMP] = ACTIONS(5898),
    [anon_sym_PIPE] = ACTIONS(5896),
    [anon_sym_CARET] = ACTIONS(5898),
    [anon_sym_AMP] = ACTIONS(5896),
    [anon_sym_EQ_EQ] = ACTIONS(5898),
    [anon_sym_BANG_EQ] = ACTIONS(5898),
    [anon_sym_GT] = ACTIONS(5896),
    [anon_sym_GT_EQ] = ACTIONS(5898),
    [anon_sym_LT_EQ] = ACTIONS(5896),
    [anon_sym_LT] = ACTIONS(5896),
    [anon_sym_LT_LT] = ACTIONS(5898),
    [anon_sym_GT_GT] = ACTIONS(5898),
    [anon_sym_COLON] = ACTIONS(5898),
    [anon_sym_SEMI] = ACTIONS(5898),
    [anon_sym___extension__] = ACTIONS(5896),
    [anon_sym___attribute__] = ACTIONS(5896),
    [anon_sym___attribute] = ACTIONS(5896),
    [anon_sym___based] = ACTIONS(5896),
    [anon_sym_LBRACE] = ACTIONS(5898),
    [anon_sym_RBRACE] = ACTIONS(5898),
    [anon_sym_signed] = ACTIONS(5896),
    [anon_sym_unsigned] = ACTIONS(5896),
    [anon_sym_long] = ACTIONS(5896),
    [anon_sym_short] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5898),
    [anon_sym_RBRACK] = ACTIONS(5898),
    [anon_sym_const] = ACTIONS(5896),
    [anon_sym_constexpr] = ACTIONS(5896),
    [anon_sym_volatile] = ACTIONS(5896),
    [anon_sym_restrict] = ACTIONS(5896),
    [anon_sym___restrict__] = ACTIONS(5896),
    [anon_sym__Atomic] = ACTIONS(5896),
    [anon_sym__Noreturn] = ACTIONS(5896),
    [anon_sym_noreturn] = ACTIONS(5896),
    [anon_sym__Nonnull] = ACTIONS(5896),
    [anon_sym_mutable] = ACTIONS(5896),
    [anon_sym_constinit] = ACTIONS(5896),
    [anon_sym_consteval] = ACTIONS(5896),
    [anon_sym_alignas] = ACTIONS(5896),
    [anon_sym__Alignas] = ACTIONS(5896),
    [sym_primitive_type] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5898),
    [anon_sym_LT_EQ_GT] = ACTIONS(5898),
    [anon_sym_or] = ACTIONS(5896),
    [anon_sym_and] = ACTIONS(5896),
    [anon_sym_bitor] = ACTIONS(5896),
    [anon_sym_xor] = ACTIONS(5896),
    [anon_sym_bitand] = ACTIONS(5896),
    [anon_sym_not_eq] = ACTIONS(5896),
    [anon_sym_DASH_DASH] = ACTIONS(5898),
    [anon_sym_PLUS_PLUS] = ACTIONS(5898),
    [anon_sym_DOT] = ACTIONS(5896),
    [anon_sym_DOT_STAR] = ACTIONS(5898),
    [anon_sym_DASH_GT] = ACTIONS(5898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5896),
    [anon_sym_decltype] = ACTIONS(5896),
    [anon_sym_final] = ACTIONS(5896),
    [anon_sym_override] = ACTIONS(5896),
    [anon_sym_requires] = ACTIONS(5896),
  },
  [2532] = {
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5928),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_SLASH] = ACTIONS(5928),
    [anon_sym_PERCENT] = ACTIONS(5930),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_EQ_EQ] = ACTIONS(5930),
    [anon_sym_BANG_EQ] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5928),
    [anon_sym_GT_EQ] = ACTIONS(5930),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_LT_LT] = ACTIONS(5930),
    [anon_sym_GT_GT] = ACTIONS(5930),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___extension__] = ACTIONS(5928),
    [anon_sym___attribute__] = ACTIONS(5928),
    [anon_sym___attribute] = ACTIONS(5928),
    [anon_sym___based] = ACTIONS(5928),
    [anon_sym_LBRACE] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_signed] = ACTIONS(5928),
    [anon_sym_unsigned] = ACTIONS(5928),
    [anon_sym_long] = ACTIONS(5928),
    [anon_sym_short] = ACTIONS(5928),
    [anon_sym_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACK] = ACTIONS(5930),
    [anon_sym_const] = ACTIONS(5928),
    [anon_sym_constexpr] = ACTIONS(5928),
    [anon_sym_volatile] = ACTIONS(5928),
    [anon_sym_restrict] = ACTIONS(5928),
    [anon_sym___restrict__] = ACTIONS(5928),
    [anon_sym__Atomic] = ACTIONS(5928),
    [anon_sym__Noreturn] = ACTIONS(5928),
    [anon_sym_noreturn] = ACTIONS(5928),
    [anon_sym__Nonnull] = ACTIONS(5928),
    [anon_sym_mutable] = ACTIONS(5928),
    [anon_sym_constinit] = ACTIONS(5928),
    [anon_sym_consteval] = ACTIONS(5928),
    [anon_sym_alignas] = ACTIONS(5928),
    [anon_sym__Alignas] = ACTIONS(5928),
    [sym_primitive_type] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5930),
    [anon_sym_LT_EQ_GT] = ACTIONS(5930),
    [anon_sym_or] = ACTIONS(5928),
    [anon_sym_and] = ACTIONS(5928),
    [anon_sym_bitor] = ACTIONS(5928),
    [anon_sym_xor] = ACTIONS(5928),
    [anon_sym_bitand] = ACTIONS(5928),
    [anon_sym_not_eq] = ACTIONS(5928),
    [anon_sym_DASH_DASH] = ACTIONS(5930),
    [anon_sym_PLUS_PLUS] = ACTIONS(5930),
    [anon_sym_DOT] = ACTIONS(5928),
    [anon_sym_DOT_STAR] = ACTIONS(5930),
    [anon_sym_DASH_GT] = ACTIONS(5930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
    [anon_sym_final] = ACTIONS(5928),
    [anon_sym_override] = ACTIONS(5928),
    [anon_sym_requires] = ACTIONS(5928),
  },
  [2533] = {
    [sym_identifier] = ACTIONS(5916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5918),
    [anon_sym_COMMA] = ACTIONS(5918),
    [anon_sym_RPAREN] = ACTIONS(5918),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_DASH] = ACTIONS(5916),
    [anon_sym_PLUS] = ACTIONS(5916),
    [anon_sym_STAR] = ACTIONS(5918),
    [anon_sym_SLASH] = ACTIONS(5916),
    [anon_sym_PERCENT] = ACTIONS(5918),
    [anon_sym_PIPE_PIPE] = ACTIONS(5918),
    [anon_sym_AMP_AMP] = ACTIONS(5918),
    [anon_sym_PIPE] = ACTIONS(5916),
    [anon_sym_CARET] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5916),
    [anon_sym_EQ_EQ] = ACTIONS(5918),
    [anon_sym_BANG_EQ] = ACTIONS(5918),
    [anon_sym_GT] = ACTIONS(5916),
    [anon_sym_GT_EQ] = ACTIONS(5918),
    [anon_sym_LT_EQ] = ACTIONS(5916),
    [anon_sym_LT] = ACTIONS(5916),
    [anon_sym_LT_LT] = ACTIONS(5918),
    [anon_sym_GT_GT] = ACTIONS(5918),
    [anon_sym_COLON] = ACTIONS(5918),
    [anon_sym_SEMI] = ACTIONS(5918),
    [anon_sym___extension__] = ACTIONS(5916),
    [anon_sym___attribute__] = ACTIONS(5916),
    [anon_sym___attribute] = ACTIONS(5916),
    [anon_sym___based] = ACTIONS(5916),
    [anon_sym_LBRACE] = ACTIONS(5918),
    [anon_sym_RBRACE] = ACTIONS(5918),
    [anon_sym_signed] = ACTIONS(5916),
    [anon_sym_unsigned] = ACTIONS(5916),
    [anon_sym_long] = ACTIONS(5916),
    [anon_sym_short] = ACTIONS(5916),
    [anon_sym_LBRACK] = ACTIONS(5918),
    [anon_sym_RBRACK] = ACTIONS(5918),
    [anon_sym_const] = ACTIONS(5916),
    [anon_sym_constexpr] = ACTIONS(5916),
    [anon_sym_volatile] = ACTIONS(5916),
    [anon_sym_restrict] = ACTIONS(5916),
    [anon_sym___restrict__] = ACTIONS(5916),
    [anon_sym__Atomic] = ACTIONS(5916),
    [anon_sym__Noreturn] = ACTIONS(5916),
    [anon_sym_noreturn] = ACTIONS(5916),
    [anon_sym__Nonnull] = ACTIONS(5916),
    [anon_sym_mutable] = ACTIONS(5916),
    [anon_sym_constinit] = ACTIONS(5916),
    [anon_sym_consteval] = ACTIONS(5916),
    [anon_sym_alignas] = ACTIONS(5916),
    [anon_sym__Alignas] = ACTIONS(5916),
    [sym_primitive_type] = ACTIONS(5916),
    [anon_sym_QMARK] = ACTIONS(5918),
    [anon_sym_LT_EQ_GT] = ACTIONS(5918),
    [anon_sym_or] = ACTIONS(5916),
    [anon_sym_and] = ACTIONS(5916),
    [anon_sym_bitor] = ACTIONS(5916),
    [anon_sym_xor] = ACTIONS(5916),
    [anon_sym_bitand] = ACTIONS(5916),
    [anon_sym_not_eq] = ACTIONS(5916),
    [anon_sym_DASH_DASH] = ACTIONS(5918),
    [anon_sym_PLUS_PLUS] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(5916),
    [anon_sym_DOT_STAR] = ACTIONS(5918),
    [anon_sym_DASH_GT] = ACTIONS(5918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5916),
    [anon_sym_decltype] = ACTIONS(5916),
    [anon_sym_final] = ACTIONS(5916),
    [anon_sym_override] = ACTIONS(5916),
    [anon_sym_requires] = ACTIONS(5916),
  },
  [2534] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [sym_identifier] = ACTIONS(4078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [aux_sym_preproc_if_token2] = ACTIONS(4070),
    [aux_sym_preproc_else_token1] = ACTIONS(4070),
    [aux_sym_preproc_elif_token1] = ACTIONS(4078),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(6376),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(6379),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(6381),
    [anon_sym_SLASH_EQ] = ACTIONS(6381),
    [anon_sym_PERCENT_EQ] = ACTIONS(6381),
    [anon_sym_PLUS_EQ] = ACTIONS(6381),
    [anon_sym_DASH_EQ] = ACTIONS(6381),
    [anon_sym_LT_LT_EQ] = ACTIONS(6381),
    [anon_sym_GT_GT_EQ] = ACTIONS(6381),
    [anon_sym_AMP_EQ] = ACTIONS(6381),
    [anon_sym_CARET_EQ] = ACTIONS(6381),
    [anon_sym_PIPE_EQ] = ACTIONS(6381),
    [anon_sym_and_eq] = ACTIONS(6379),
    [anon_sym_or_eq] = ACTIONS(6379),
    [anon_sym_xor_eq] = ACTIONS(6379),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4078),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4078),
    [anon_sym_not_eq] = ACTIONS(4078),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2535] = {
    [sym_identifier] = ACTIONS(5868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5870),
    [anon_sym_COMMA] = ACTIONS(5870),
    [anon_sym_RPAREN] = ACTIONS(5870),
    [anon_sym_LPAREN2] = ACTIONS(5870),
    [anon_sym_DASH] = ACTIONS(5868),
    [anon_sym_PLUS] = ACTIONS(5868),
    [anon_sym_STAR] = ACTIONS(5870),
    [anon_sym_SLASH] = ACTIONS(5868),
    [anon_sym_PERCENT] = ACTIONS(5870),
    [anon_sym_PIPE_PIPE] = ACTIONS(5870),
    [anon_sym_AMP_AMP] = ACTIONS(5870),
    [anon_sym_PIPE] = ACTIONS(5868),
    [anon_sym_CARET] = ACTIONS(5870),
    [anon_sym_AMP] = ACTIONS(5868),
    [anon_sym_EQ_EQ] = ACTIONS(5870),
    [anon_sym_BANG_EQ] = ACTIONS(5870),
    [anon_sym_GT] = ACTIONS(5868),
    [anon_sym_GT_EQ] = ACTIONS(5870),
    [anon_sym_LT_EQ] = ACTIONS(5868),
    [anon_sym_LT] = ACTIONS(5868),
    [anon_sym_LT_LT] = ACTIONS(5870),
    [anon_sym_GT_GT] = ACTIONS(5870),
    [anon_sym_COLON] = ACTIONS(5870),
    [anon_sym_SEMI] = ACTIONS(5870),
    [anon_sym___extension__] = ACTIONS(5868),
    [anon_sym___attribute__] = ACTIONS(5868),
    [anon_sym___attribute] = ACTIONS(5868),
    [anon_sym___based] = ACTIONS(5868),
    [anon_sym_LBRACE] = ACTIONS(5870),
    [anon_sym_RBRACE] = ACTIONS(5870),
    [anon_sym_signed] = ACTIONS(5868),
    [anon_sym_unsigned] = ACTIONS(5868),
    [anon_sym_long] = ACTIONS(5868),
    [anon_sym_short] = ACTIONS(5868),
    [anon_sym_LBRACK] = ACTIONS(5870),
    [anon_sym_RBRACK] = ACTIONS(5870),
    [anon_sym_const] = ACTIONS(5868),
    [anon_sym_constexpr] = ACTIONS(5868),
    [anon_sym_volatile] = ACTIONS(5868),
    [anon_sym_restrict] = ACTIONS(5868),
    [anon_sym___restrict__] = ACTIONS(5868),
    [anon_sym__Atomic] = ACTIONS(5868),
    [anon_sym__Noreturn] = ACTIONS(5868),
    [anon_sym_noreturn] = ACTIONS(5868),
    [anon_sym__Nonnull] = ACTIONS(5868),
    [anon_sym_mutable] = ACTIONS(5868),
    [anon_sym_constinit] = ACTIONS(5868),
    [anon_sym_consteval] = ACTIONS(5868),
    [anon_sym_alignas] = ACTIONS(5868),
    [anon_sym__Alignas] = ACTIONS(5868),
    [sym_primitive_type] = ACTIONS(5868),
    [anon_sym_QMARK] = ACTIONS(5870),
    [anon_sym_LT_EQ_GT] = ACTIONS(5870),
    [anon_sym_or] = ACTIONS(5868),
    [anon_sym_and] = ACTIONS(5868),
    [anon_sym_bitor] = ACTIONS(5868),
    [anon_sym_xor] = ACTIONS(5868),
    [anon_sym_bitand] = ACTIONS(5868),
    [anon_sym_not_eq] = ACTIONS(5868),
    [anon_sym_DASH_DASH] = ACTIONS(5870),
    [anon_sym_PLUS_PLUS] = ACTIONS(5870),
    [anon_sym_DOT] = ACTIONS(5868),
    [anon_sym_DOT_STAR] = ACTIONS(5870),
    [anon_sym_DASH_GT] = ACTIONS(5870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5868),
    [anon_sym_decltype] = ACTIONS(5868),
    [anon_sym_final] = ACTIONS(5868),
    [anon_sym_override] = ACTIONS(5868),
    [anon_sym_requires] = ACTIONS(5868),
  },
  [2536] = {
    [sym_identifier] = ACTIONS(5904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5906),
    [anon_sym_COMMA] = ACTIONS(5906),
    [anon_sym_RPAREN] = ACTIONS(5906),
    [anon_sym_LPAREN2] = ACTIONS(5906),
    [anon_sym_DASH] = ACTIONS(5904),
    [anon_sym_PLUS] = ACTIONS(5904),
    [anon_sym_STAR] = ACTIONS(5906),
    [anon_sym_SLASH] = ACTIONS(5904),
    [anon_sym_PERCENT] = ACTIONS(5906),
    [anon_sym_PIPE_PIPE] = ACTIONS(5906),
    [anon_sym_AMP_AMP] = ACTIONS(5906),
    [anon_sym_PIPE] = ACTIONS(5904),
    [anon_sym_CARET] = ACTIONS(5906),
    [anon_sym_AMP] = ACTIONS(5904),
    [anon_sym_EQ_EQ] = ACTIONS(5906),
    [anon_sym_BANG_EQ] = ACTIONS(5906),
    [anon_sym_GT] = ACTIONS(5904),
    [anon_sym_GT_EQ] = ACTIONS(5906),
    [anon_sym_LT_EQ] = ACTIONS(5904),
    [anon_sym_LT] = ACTIONS(5904),
    [anon_sym_LT_LT] = ACTIONS(5906),
    [anon_sym_GT_GT] = ACTIONS(5906),
    [anon_sym_COLON] = ACTIONS(5906),
    [anon_sym_SEMI] = ACTIONS(5906),
    [anon_sym___extension__] = ACTIONS(5904),
    [anon_sym___attribute__] = ACTIONS(5904),
    [anon_sym___attribute] = ACTIONS(5904),
    [anon_sym___based] = ACTIONS(5904),
    [anon_sym_LBRACE] = ACTIONS(5906),
    [anon_sym_RBRACE] = ACTIONS(5906),
    [anon_sym_signed] = ACTIONS(5904),
    [anon_sym_unsigned] = ACTIONS(5904),
    [anon_sym_long] = ACTIONS(5904),
    [anon_sym_short] = ACTIONS(5904),
    [anon_sym_LBRACK] = ACTIONS(5906),
    [anon_sym_RBRACK] = ACTIONS(5906),
    [anon_sym_const] = ACTIONS(5904),
    [anon_sym_constexpr] = ACTIONS(5904),
    [anon_sym_volatile] = ACTIONS(5904),
    [anon_sym_restrict] = ACTIONS(5904),
    [anon_sym___restrict__] = ACTIONS(5904),
    [anon_sym__Atomic] = ACTIONS(5904),
    [anon_sym__Noreturn] = ACTIONS(5904),
    [anon_sym_noreturn] = ACTIONS(5904),
    [anon_sym__Nonnull] = ACTIONS(5904),
    [anon_sym_mutable] = ACTIONS(5904),
    [anon_sym_constinit] = ACTIONS(5904),
    [anon_sym_consteval] = ACTIONS(5904),
    [anon_sym_alignas] = ACTIONS(5904),
    [anon_sym__Alignas] = ACTIONS(5904),
    [sym_primitive_type] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5906),
    [anon_sym_LT_EQ_GT] = ACTIONS(5906),
    [anon_sym_or] = ACTIONS(5904),
    [anon_sym_and] = ACTIONS(5904),
    [anon_sym_bitor] = ACTIONS(5904),
    [anon_sym_xor] = ACTIONS(5904),
    [anon_sym_bitand] = ACTIONS(5904),
    [anon_sym_not_eq] = ACTIONS(5904),
    [anon_sym_DASH_DASH] = ACTIONS(5906),
    [anon_sym_PLUS_PLUS] = ACTIONS(5906),
    [anon_sym_DOT] = ACTIONS(5904),
    [anon_sym_DOT_STAR] = ACTIONS(5906),
    [anon_sym_DASH_GT] = ACTIONS(5906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5904),
    [anon_sym_decltype] = ACTIONS(5904),
    [anon_sym_final] = ACTIONS(5904),
    [anon_sym_override] = ACTIONS(5904),
    [anon_sym_requires] = ACTIONS(5904),
  },
  [2537] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2222),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(5725),
    [anon_sym___extension__] = ACTIONS(5725),
    [anon_sym_in] = ACTIONS(5725),
    [anon_sym_out] = ACTIONS(5725),
    [anon_sym_inout] = ACTIONS(5725),
    [anon_sym_virtual] = ACTIONS(5725),
    [anon_sym_extern] = ACTIONS(5725),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5728),
    [anon_sym___declspec] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(5592),
    [anon_sym_unsigned] = ACTIONS(5592),
    [anon_sym_long] = ACTIONS(5592),
    [anon_sym_short] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5725),
    [anon_sym_static] = ACTIONS(5725),
    [anon_sym_register] = ACTIONS(5725),
    [anon_sym_inline] = ACTIONS(5725),
    [anon_sym___inline] = ACTIONS(5725),
    [anon_sym___inline__] = ACTIONS(5725),
    [anon_sym___forceinline] = ACTIONS(5725),
    [anon_sym_thread_local] = ACTIONS(5725),
    [anon_sym___thread] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5725),
    [anon_sym_constexpr] = ACTIONS(5725),
    [anon_sym_volatile] = ACTIONS(5725),
    [anon_sym_restrict] = ACTIONS(5725),
    [anon_sym___restrict__] = ACTIONS(5725),
    [anon_sym__Atomic] = ACTIONS(5725),
    [anon_sym__Noreturn] = ACTIONS(5725),
    [anon_sym_noreturn] = ACTIONS(5725),
    [anon_sym__Nonnull] = ACTIONS(5725),
    [anon_sym_mutable] = ACTIONS(5725),
    [anon_sym_constinit] = ACTIONS(5725),
    [anon_sym_consteval] = ACTIONS(5725),
    [anon_sym_alignas] = ACTIONS(5725),
    [anon_sym__Alignas] = ACTIONS(5725),
    [sym_primitive_type] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5725),
    [anon_sym_decltype] = ACTIONS(5725),
    [anon_sym_final] = ACTIONS(5725),
    [anon_sym_override] = ACTIONS(5725),
    [anon_sym_requires] = ACTIONS(5725),
    [anon_sym_precise] = ACTIONS(5725),
    [anon_sym_shared] = ACTIONS(5725),
    [anon_sym_groupshared] = ACTIONS(5725),
    [anon_sym_uniform] = ACTIONS(5725),
    [anon_sym_row_major] = ACTIONS(5725),
    [anon_sym_column_major] = ACTIONS(5725),
    [anon_sym_globallycoherent] = ACTIONS(5725),
    [anon_sym_centroid] = ACTIONS(5725),
    [anon_sym_noperspective] = ACTIONS(5725),
    [anon_sym_nointerpolation] = ACTIONS(5725),
    [anon_sym_sample] = ACTIONS(5725),
    [anon_sym_linear] = ACTIONS(5725),
    [anon_sym_snorm] = ACTIONS(5725),
    [anon_sym_unorm] = ACTIONS(5725),
    [anon_sym_point] = ACTIONS(5725),
    [anon_sym_line] = ACTIONS(5725),
    [anon_sym_triangleadj] = ACTIONS(5725),
    [anon_sym_lineadj] = ACTIONS(5725),
    [anon_sym_triangle] = ACTIONS(5725),
  },
  [2538] = {
    [sym_type_qualifier] = STATE(2540),
    [sym_alignas_qualifier] = STATE(2458),
    [aux_sym__type_definition_type_repeat1] = STATE(2540),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2595),
    [sym_identifier] = ACTIONS(6383),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [aux_sym_preproc_if_token2] = ACTIONS(5549),
    [aux_sym_preproc_else_token1] = ACTIONS(5549),
    [aux_sym_preproc_elif_token1] = ACTIONS(5551),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5551),
    [anon_sym_PLUS] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5549),
    [anon_sym_SLASH] = ACTIONS(5551),
    [anon_sym_PERCENT] = ACTIONS(5549),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5551),
    [anon_sym_CARET] = ACTIONS(5549),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5551),
    [anon_sym_GT_EQ] = ACTIONS(5549),
    [anon_sym_LT_EQ] = ACTIONS(5551),
    [anon_sym_LT] = ACTIONS(5551),
    [anon_sym_LT_LT] = ACTIONS(5549),
    [anon_sym_GT_GT] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(6365),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(6386),
    [anon_sym_unsigned] = ACTIONS(6386),
    [anon_sym_long] = ACTIONS(6386),
    [anon_sym_short] = ACTIONS(6386),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_const] = ACTIONS(6365),
    [anon_sym_constexpr] = ACTIONS(6365),
    [anon_sym_volatile] = ACTIONS(6365),
    [anon_sym_restrict] = ACTIONS(6365),
    [anon_sym___restrict__] = ACTIONS(6365),
    [anon_sym__Atomic] = ACTIONS(6365),
    [anon_sym__Noreturn] = ACTIONS(6365),
    [anon_sym_noreturn] = ACTIONS(6365),
    [anon_sym__Nonnull] = ACTIONS(6365),
    [anon_sym_mutable] = ACTIONS(6365),
    [anon_sym_constinit] = ACTIONS(6365),
    [anon_sym_consteval] = ACTIONS(6365),
    [anon_sym_alignas] = ACTIONS(6369),
    [anon_sym__Alignas] = ACTIONS(6369),
    [sym_primitive_type] = ACTIONS(6388),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5551),
    [anon_sym_and] = ACTIONS(5551),
    [anon_sym_bitor] = ACTIONS(5551),
    [anon_sym_xor] = ACTIONS(5551),
    [anon_sym_bitand] = ACTIONS(5551),
    [anon_sym_not_eq] = ACTIONS(5551),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5551),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
  },
  [2539] = {
    [sym_identifier] = ACTIONS(5924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5926),
    [anon_sym_COMMA] = ACTIONS(5926),
    [anon_sym_RPAREN] = ACTIONS(5926),
    [anon_sym_LPAREN2] = ACTIONS(5926),
    [anon_sym_DASH] = ACTIONS(5924),
    [anon_sym_PLUS] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5924),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_PIPE] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5924),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5924),
    [anon_sym_GT_EQ] = ACTIONS(5926),
    [anon_sym_LT_EQ] = ACTIONS(5924),
    [anon_sym_LT] = ACTIONS(5924),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_COLON] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5926),
    [anon_sym___extension__] = ACTIONS(5924),
    [anon_sym___attribute__] = ACTIONS(5924),
    [anon_sym___attribute] = ACTIONS(5924),
    [anon_sym___based] = ACTIONS(5924),
    [anon_sym_LBRACE] = ACTIONS(5926),
    [anon_sym_RBRACE] = ACTIONS(5926),
    [anon_sym_signed] = ACTIONS(5924),
    [anon_sym_unsigned] = ACTIONS(5924),
    [anon_sym_long] = ACTIONS(5924),
    [anon_sym_short] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5926),
    [anon_sym_RBRACK] = ACTIONS(5926),
    [anon_sym_const] = ACTIONS(5924),
    [anon_sym_constexpr] = ACTIONS(5924),
    [anon_sym_volatile] = ACTIONS(5924),
    [anon_sym_restrict] = ACTIONS(5924),
    [anon_sym___restrict__] = ACTIONS(5924),
    [anon_sym__Atomic] = ACTIONS(5924),
    [anon_sym__Noreturn] = ACTIONS(5924),
    [anon_sym_noreturn] = ACTIONS(5924),
    [anon_sym__Nonnull] = ACTIONS(5924),
    [anon_sym_mutable] = ACTIONS(5924),
    [anon_sym_constinit] = ACTIONS(5924),
    [anon_sym_consteval] = ACTIONS(5924),
    [anon_sym_alignas] = ACTIONS(5924),
    [anon_sym__Alignas] = ACTIONS(5924),
    [sym_primitive_type] = ACTIONS(5924),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_LT_EQ_GT] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5924),
    [anon_sym_bitor] = ACTIONS(5924),
    [anon_sym_xor] = ACTIONS(5924),
    [anon_sym_bitand] = ACTIONS(5924),
    [anon_sym_not_eq] = ACTIONS(5924),
    [anon_sym_DASH_DASH] = ACTIONS(5926),
    [anon_sym_PLUS_PLUS] = ACTIONS(5926),
    [anon_sym_DOT] = ACTIONS(5924),
    [anon_sym_DOT_STAR] = ACTIONS(5926),
    [anon_sym_DASH_GT] = ACTIONS(5926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5924),
    [anon_sym_decltype] = ACTIONS(5924),
    [anon_sym_final] = ACTIONS(5924),
    [anon_sym_override] = ACTIONS(5924),
    [anon_sym_requires] = ACTIONS(5924),
  },
  [2540] = {
    [sym_type_qualifier] = STATE(2387),
    [sym_alignas_qualifier] = STATE(2458),
    [aux_sym__type_definition_type_repeat1] = STATE(2387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3774),
    [sym_identifier] = ACTIONS(6390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5598),
    [anon_sym_COMMA] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_SLASH] = ACTIONS(5600),
    [anon_sym_PERCENT] = ACTIONS(5598),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_PIPE] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5598),
    [anon_sym_BANG_EQ] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5598),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5600),
    [anon_sym_LT_LT] = ACTIONS(5598),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(6365),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(6393),
    [anon_sym_unsigned] = ACTIONS(6393),
    [anon_sym_long] = ACTIONS(6393),
    [anon_sym_short] = ACTIONS(6393),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_const] = ACTIONS(6365),
    [anon_sym_constexpr] = ACTIONS(6365),
    [anon_sym_volatile] = ACTIONS(6365),
    [anon_sym_restrict] = ACTIONS(6365),
    [anon_sym___restrict__] = ACTIONS(6365),
    [anon_sym__Atomic] = ACTIONS(6365),
    [anon_sym__Noreturn] = ACTIONS(6365),
    [anon_sym_noreturn] = ACTIONS(6365),
    [anon_sym__Nonnull] = ACTIONS(6365),
    [anon_sym_mutable] = ACTIONS(6365),
    [anon_sym_constinit] = ACTIONS(6365),
    [anon_sym_consteval] = ACTIONS(6365),
    [anon_sym_alignas] = ACTIONS(6369),
    [anon_sym__Alignas] = ACTIONS(6369),
    [sym_primitive_type] = ACTIONS(6395),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_LT_EQ_GT] = ACTIONS(5598),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_bitor] = ACTIONS(5600),
    [anon_sym_xor] = ACTIONS(5600),
    [anon_sym_bitand] = ACTIONS(5600),
    [anon_sym_not_eq] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_DOT_STAR] = ACTIONS(5598),
    [anon_sym_DASH_GT] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
  },
  [2541] = {
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5928),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_SLASH] = ACTIONS(5928),
    [anon_sym_PERCENT] = ACTIONS(5930),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_EQ_EQ] = ACTIONS(5930),
    [anon_sym_BANG_EQ] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5928),
    [anon_sym_GT_EQ] = ACTIONS(5930),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_LT_LT] = ACTIONS(5930),
    [anon_sym_GT_GT] = ACTIONS(5930),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___extension__] = ACTIONS(5928),
    [anon_sym___attribute__] = ACTIONS(5928),
    [anon_sym___attribute] = ACTIONS(5928),
    [anon_sym___based] = ACTIONS(5928),
    [anon_sym_LBRACE] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_signed] = ACTIONS(5928),
    [anon_sym_unsigned] = ACTIONS(5928),
    [anon_sym_long] = ACTIONS(5928),
    [anon_sym_short] = ACTIONS(5928),
    [anon_sym_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACK] = ACTIONS(5930),
    [anon_sym_const] = ACTIONS(5928),
    [anon_sym_constexpr] = ACTIONS(5928),
    [anon_sym_volatile] = ACTIONS(5928),
    [anon_sym_restrict] = ACTIONS(5928),
    [anon_sym___restrict__] = ACTIONS(5928),
    [anon_sym__Atomic] = ACTIONS(5928),
    [anon_sym__Noreturn] = ACTIONS(5928),
    [anon_sym_noreturn] = ACTIONS(5928),
    [anon_sym__Nonnull] = ACTIONS(5928),
    [anon_sym_mutable] = ACTIONS(5928),
    [anon_sym_constinit] = ACTIONS(5928),
    [anon_sym_consteval] = ACTIONS(5928),
    [anon_sym_alignas] = ACTIONS(5928),
    [anon_sym__Alignas] = ACTIONS(5928),
    [sym_primitive_type] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5930),
    [anon_sym_LT_EQ_GT] = ACTIONS(5930),
    [anon_sym_or] = ACTIONS(5928),
    [anon_sym_and] = ACTIONS(5928),
    [anon_sym_bitor] = ACTIONS(5928),
    [anon_sym_xor] = ACTIONS(5928),
    [anon_sym_bitand] = ACTIONS(5928),
    [anon_sym_not_eq] = ACTIONS(5928),
    [anon_sym_DASH_DASH] = ACTIONS(5930),
    [anon_sym_PLUS_PLUS] = ACTIONS(5930),
    [anon_sym_DOT] = ACTIONS(5928),
    [anon_sym_DOT_STAR] = ACTIONS(5930),
    [anon_sym_DASH_GT] = ACTIONS(5930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
    [anon_sym_final] = ACTIONS(5928),
    [anon_sym_override] = ACTIONS(5928),
    [anon_sym_requires] = ACTIONS(5928),
  },
  [2542] = {
    [sym_identifier] = ACTIONS(5964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5966),
    [anon_sym_COMMA] = ACTIONS(5966),
    [anon_sym_RPAREN] = ACTIONS(5966),
    [anon_sym_LPAREN2] = ACTIONS(5966),
    [anon_sym_DASH] = ACTIONS(5964),
    [anon_sym_PLUS] = ACTIONS(5964),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5966),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5966),
    [anon_sym_PIPE] = ACTIONS(5964),
    [anon_sym_CARET] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5964),
    [anon_sym_EQ_EQ] = ACTIONS(5966),
    [anon_sym_BANG_EQ] = ACTIONS(5966),
    [anon_sym_GT] = ACTIONS(5964),
    [anon_sym_GT_EQ] = ACTIONS(5966),
    [anon_sym_LT_EQ] = ACTIONS(5964),
    [anon_sym_LT] = ACTIONS(5964),
    [anon_sym_LT_LT] = ACTIONS(5966),
    [anon_sym_GT_GT] = ACTIONS(5966),
    [anon_sym_COLON] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5966),
    [anon_sym___extension__] = ACTIONS(5964),
    [anon_sym___attribute__] = ACTIONS(5964),
    [anon_sym___attribute] = ACTIONS(5964),
    [anon_sym___based] = ACTIONS(5964),
    [anon_sym_LBRACE] = ACTIONS(5966),
    [anon_sym_RBRACE] = ACTIONS(5966),
    [anon_sym_signed] = ACTIONS(5964),
    [anon_sym_unsigned] = ACTIONS(5964),
    [anon_sym_long] = ACTIONS(5964),
    [anon_sym_short] = ACTIONS(5964),
    [anon_sym_LBRACK] = ACTIONS(5966),
    [anon_sym_RBRACK] = ACTIONS(5966),
    [anon_sym_const] = ACTIONS(5964),
    [anon_sym_constexpr] = ACTIONS(5964),
    [anon_sym_volatile] = ACTIONS(5964),
    [anon_sym_restrict] = ACTIONS(5964),
    [anon_sym___restrict__] = ACTIONS(5964),
    [anon_sym__Atomic] = ACTIONS(5964),
    [anon_sym__Noreturn] = ACTIONS(5964),
    [anon_sym_noreturn] = ACTIONS(5964),
    [anon_sym__Nonnull] = ACTIONS(5964),
    [anon_sym_mutable] = ACTIONS(5964),
    [anon_sym_constinit] = ACTIONS(5964),
    [anon_sym_consteval] = ACTIONS(5964),
    [anon_sym_alignas] = ACTIONS(5964),
    [anon_sym__Alignas] = ACTIONS(5964),
    [sym_primitive_type] = ACTIONS(5964),
    [anon_sym_QMARK] = ACTIONS(5966),
    [anon_sym_LT_EQ_GT] = ACTIONS(5966),
    [anon_sym_or] = ACTIONS(5964),
    [anon_sym_and] = ACTIONS(5964),
    [anon_sym_bitor] = ACTIONS(5964),
    [anon_sym_xor] = ACTIONS(5964),
    [anon_sym_bitand] = ACTIONS(5964),
    [anon_sym_not_eq] = ACTIONS(5964),
    [anon_sym_DASH_DASH] = ACTIONS(5966),
    [anon_sym_PLUS_PLUS] = ACTIONS(5966),
    [anon_sym_DOT] = ACTIONS(5964),
    [anon_sym_DOT_STAR] = ACTIONS(5966),
    [anon_sym_DASH_GT] = ACTIONS(5966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5964),
    [anon_sym_decltype] = ACTIONS(5964),
    [anon_sym_final] = ACTIONS(5964),
    [anon_sym_override] = ACTIONS(5964),
    [anon_sym_requires] = ACTIONS(5964),
  },
  [2543] = {
    [sym_type_qualifier] = STATE(2522),
    [sym_alignas_qualifier] = STATE(2458),
    [aux_sym__type_definition_type_repeat1] = STATE(2522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2597),
    [sym_identifier] = ACTIONS(6397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [anon_sym_RPAREN] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5551),
    [anon_sym_PLUS] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5549),
    [anon_sym_SLASH] = ACTIONS(5551),
    [anon_sym_PERCENT] = ACTIONS(5549),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5551),
    [anon_sym_CARET] = ACTIONS(5549),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5551),
    [anon_sym_GT_EQ] = ACTIONS(5549),
    [anon_sym_LT_EQ] = ACTIONS(5551),
    [anon_sym_LT] = ACTIONS(5551),
    [anon_sym_LT_LT] = ACTIONS(5549),
    [anon_sym_GT_GT] = ACTIONS(5549),
    [anon_sym_COLON] = ACTIONS(5549),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(6365),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_RBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(6399),
    [anon_sym_unsigned] = ACTIONS(6399),
    [anon_sym_long] = ACTIONS(6399),
    [anon_sym_short] = ACTIONS(6399),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_RBRACK] = ACTIONS(5549),
    [anon_sym_const] = ACTIONS(6365),
    [anon_sym_constexpr] = ACTIONS(6365),
    [anon_sym_volatile] = ACTIONS(6365),
    [anon_sym_restrict] = ACTIONS(6365),
    [anon_sym___restrict__] = ACTIONS(6365),
    [anon_sym__Atomic] = ACTIONS(6365),
    [anon_sym__Noreturn] = ACTIONS(6365),
    [anon_sym_noreturn] = ACTIONS(6365),
    [anon_sym__Nonnull] = ACTIONS(6365),
    [anon_sym_mutable] = ACTIONS(6365),
    [anon_sym_constinit] = ACTIONS(6365),
    [anon_sym_consteval] = ACTIONS(6365),
    [anon_sym_alignas] = ACTIONS(6369),
    [anon_sym__Alignas] = ACTIONS(6369),
    [sym_primitive_type] = ACTIONS(6401),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5551),
    [anon_sym_and] = ACTIONS(5551),
    [anon_sym_bitor] = ACTIONS(5551),
    [anon_sym_xor] = ACTIONS(5551),
    [anon_sym_bitand] = ACTIONS(5551),
    [anon_sym_not_eq] = ACTIONS(5551),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5551),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
  },
  [2544] = {
    [sym_identifier] = ACTIONS(5916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5918),
    [anon_sym_COMMA] = ACTIONS(5918),
    [anon_sym_RPAREN] = ACTIONS(5918),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_DASH] = ACTIONS(5916),
    [anon_sym_PLUS] = ACTIONS(5916),
    [anon_sym_STAR] = ACTIONS(5918),
    [anon_sym_SLASH] = ACTIONS(5916),
    [anon_sym_PERCENT] = ACTIONS(5918),
    [anon_sym_PIPE_PIPE] = ACTIONS(5918),
    [anon_sym_AMP_AMP] = ACTIONS(5918),
    [anon_sym_PIPE] = ACTIONS(5916),
    [anon_sym_CARET] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5916),
    [anon_sym_EQ_EQ] = ACTIONS(5918),
    [anon_sym_BANG_EQ] = ACTIONS(5918),
    [anon_sym_GT] = ACTIONS(5916),
    [anon_sym_GT_EQ] = ACTIONS(5918),
    [anon_sym_LT_EQ] = ACTIONS(5916),
    [anon_sym_LT] = ACTIONS(5916),
    [anon_sym_LT_LT] = ACTIONS(5918),
    [anon_sym_GT_GT] = ACTIONS(5918),
    [anon_sym_COLON] = ACTIONS(5918),
    [anon_sym_SEMI] = ACTIONS(5918),
    [anon_sym___extension__] = ACTIONS(5916),
    [anon_sym___attribute__] = ACTIONS(5916),
    [anon_sym___attribute] = ACTIONS(5916),
    [anon_sym___based] = ACTIONS(5916),
    [anon_sym_LBRACE] = ACTIONS(5918),
    [anon_sym_RBRACE] = ACTIONS(5918),
    [anon_sym_signed] = ACTIONS(5916),
    [anon_sym_unsigned] = ACTIONS(5916),
    [anon_sym_long] = ACTIONS(5916),
    [anon_sym_short] = ACTIONS(5916),
    [anon_sym_LBRACK] = ACTIONS(5918),
    [anon_sym_RBRACK] = ACTIONS(5918),
    [anon_sym_const] = ACTIONS(5916),
    [anon_sym_constexpr] = ACTIONS(5916),
    [anon_sym_volatile] = ACTIONS(5916),
    [anon_sym_restrict] = ACTIONS(5916),
    [anon_sym___restrict__] = ACTIONS(5916),
    [anon_sym__Atomic] = ACTIONS(5916),
    [anon_sym__Noreturn] = ACTIONS(5916),
    [anon_sym_noreturn] = ACTIONS(5916),
    [anon_sym__Nonnull] = ACTIONS(5916),
    [anon_sym_mutable] = ACTIONS(5916),
    [anon_sym_constinit] = ACTIONS(5916),
    [anon_sym_consteval] = ACTIONS(5916),
    [anon_sym_alignas] = ACTIONS(5916),
    [anon_sym__Alignas] = ACTIONS(5916),
    [sym_primitive_type] = ACTIONS(5916),
    [anon_sym_QMARK] = ACTIONS(5918),
    [anon_sym_LT_EQ_GT] = ACTIONS(5918),
    [anon_sym_or] = ACTIONS(5916),
    [anon_sym_and] = ACTIONS(5916),
    [anon_sym_bitor] = ACTIONS(5916),
    [anon_sym_xor] = ACTIONS(5916),
    [anon_sym_bitand] = ACTIONS(5916),
    [anon_sym_not_eq] = ACTIONS(5916),
    [anon_sym_DASH_DASH] = ACTIONS(5918),
    [anon_sym_PLUS_PLUS] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(5916),
    [anon_sym_DOT_STAR] = ACTIONS(5918),
    [anon_sym_DASH_GT] = ACTIONS(5918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5916),
    [anon_sym_decltype] = ACTIONS(5916),
    [anon_sym_final] = ACTIONS(5916),
    [anon_sym_override] = ACTIONS(5916),
    [anon_sym_requires] = ACTIONS(5916),
  },
  [2545] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_signed] = ACTIONS(5710),
    [anon_sym_unsigned] = ACTIONS(5710),
    [anon_sym_long] = ACTIONS(5710),
    [anon_sym_short] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_primitive_type] = ACTIONS(5710),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5710),
  },
  [2546] = {
    [sym_attribute_specifier] = STATE(2330),
    [sym_field_declaration_list] = STATE(2370),
    [sym_virtual_specifier] = STATE(7107),
    [sym_base_class_clause] = STATE(7992),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(6320),
    [anon_sym_SEMI] = ACTIONS(5706),
    [anon_sym___extension__] = ACTIONS(5704),
    [anon_sym_in] = ACTIONS(5704),
    [anon_sym_out] = ACTIONS(5704),
    [anon_sym_inout] = ACTIONS(5704),
    [anon_sym_virtual] = ACTIONS(5704),
    [anon_sym_extern] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5706),
    [anon_sym___declspec] = ACTIONS(5704),
    [anon_sym___based] = ACTIONS(5704),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_static] = ACTIONS(5704),
    [anon_sym_register] = ACTIONS(5704),
    [anon_sym_inline] = ACTIONS(5704),
    [anon_sym___inline] = ACTIONS(5704),
    [anon_sym___inline__] = ACTIONS(5704),
    [anon_sym___forceinline] = ACTIONS(5704),
    [anon_sym_thread_local] = ACTIONS(5704),
    [anon_sym___thread] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5704),
    [anon_sym_volatile] = ACTIONS(5704),
    [anon_sym_restrict] = ACTIONS(5704),
    [anon_sym___restrict__] = ACTIONS(5704),
    [anon_sym__Atomic] = ACTIONS(5704),
    [anon_sym__Noreturn] = ACTIONS(5704),
    [anon_sym_noreturn] = ACTIONS(5704),
    [anon_sym__Nonnull] = ACTIONS(5704),
    [anon_sym_mutable] = ACTIONS(5704),
    [anon_sym_constinit] = ACTIONS(5704),
    [anon_sym_consteval] = ACTIONS(5704),
    [anon_sym_alignas] = ACTIONS(5704),
    [anon_sym__Alignas] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5704),
    [anon_sym_decltype] = ACTIONS(5704),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [anon_sym_operator] = ACTIONS(5704),
    [anon_sym_precise] = ACTIONS(5704),
    [anon_sym_shared] = ACTIONS(5704),
    [anon_sym_groupshared] = ACTIONS(5704),
    [anon_sym_uniform] = ACTIONS(5704),
    [anon_sym_row_major] = ACTIONS(5704),
    [anon_sym_column_major] = ACTIONS(5704),
    [anon_sym_globallycoherent] = ACTIONS(5704),
    [anon_sym_centroid] = ACTIONS(5704),
    [anon_sym_noperspective] = ACTIONS(5704),
    [anon_sym_nointerpolation] = ACTIONS(5704),
    [anon_sym_sample] = ACTIONS(5704),
    [anon_sym_linear] = ACTIONS(5704),
    [anon_sym_snorm] = ACTIONS(5704),
    [anon_sym_unorm] = ACTIONS(5704),
    [anon_sym_point] = ACTIONS(5704),
    [anon_sym_line] = ACTIONS(5704),
    [anon_sym_triangleadj] = ACTIONS(5704),
    [anon_sym_lineadj] = ACTIONS(5704),
    [anon_sym_triangle] = ACTIONS(5704),
  },
  [2547] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2241),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_static] = ACTIONS(2251),
    [anon_sym_RBRACK] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_not] = ACTIONS(2251),
    [anon_sym_compl] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_sizeof] = ACTIONS(2251),
    [anon_sym___alignof__] = ACTIONS(2251),
    [anon_sym___alignof] = ACTIONS(2251),
    [anon_sym__alignof] = ACTIONS(2251),
    [anon_sym_alignof] = ACTIONS(2251),
    [anon_sym__Alignof] = ACTIONS(2251),
    [anon_sym_offsetof] = ACTIONS(2251),
    [anon_sym__Generic] = ACTIONS(2251),
    [anon_sym_asm] = ACTIONS(2251),
    [anon_sym___asm__] = ACTIONS(2251),
    [anon_sym___asm] = ACTIONS(2251),
    [sym_number_literal] = ACTIONS(2241),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2241),
    [anon_sym_u_DQUOTE] = ACTIONS(2241),
    [anon_sym_U_DQUOTE] = ACTIONS(2241),
    [anon_sym_u8_DQUOTE] = ACTIONS(2241),
    [anon_sym_DQUOTE] = ACTIONS(2241),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [anon_sym_NULL] = ACTIONS(2251),
    [anon_sym_nullptr] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_template] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_R_DQUOTE] = ACTIONS(2241),
    [anon_sym_LR_DQUOTE] = ACTIONS(2241),
    [anon_sym_uR_DQUOTE] = ACTIONS(2241),
    [anon_sym_UR_DQUOTE] = ACTIONS(2241),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2241),
    [anon_sym_co_await] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_requires] = ACTIONS(2251),
    [sym_this] = ACTIONS(2251),
  },
  [2548] = {
    [sym_identifier] = ACTIONS(5892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5894),
    [anon_sym_COMMA] = ACTIONS(5894),
    [anon_sym_RPAREN] = ACTIONS(5894),
    [anon_sym_LPAREN2] = ACTIONS(5894),
    [anon_sym_DASH] = ACTIONS(5892),
    [anon_sym_PLUS] = ACTIONS(5892),
    [anon_sym_STAR] = ACTIONS(5894),
    [anon_sym_SLASH] = ACTIONS(5892),
    [anon_sym_PERCENT] = ACTIONS(5894),
    [anon_sym_PIPE_PIPE] = ACTIONS(5894),
    [anon_sym_AMP_AMP] = ACTIONS(5894),
    [anon_sym_PIPE] = ACTIONS(5892),
    [anon_sym_CARET] = ACTIONS(5894),
    [anon_sym_AMP] = ACTIONS(5892),
    [anon_sym_EQ_EQ] = ACTIONS(5894),
    [anon_sym_BANG_EQ] = ACTIONS(5894),
    [anon_sym_GT] = ACTIONS(5892),
    [anon_sym_GT_EQ] = ACTIONS(5894),
    [anon_sym_LT_EQ] = ACTIONS(5892),
    [anon_sym_LT] = ACTIONS(5892),
    [anon_sym_LT_LT] = ACTIONS(5894),
    [anon_sym_GT_GT] = ACTIONS(5894),
    [anon_sym_COLON] = ACTIONS(5894),
    [anon_sym_SEMI] = ACTIONS(5894),
    [anon_sym___extension__] = ACTIONS(5892),
    [anon_sym___attribute__] = ACTIONS(5892),
    [anon_sym___attribute] = ACTIONS(5892),
    [anon_sym___based] = ACTIONS(5892),
    [anon_sym_LBRACE] = ACTIONS(5894),
    [anon_sym_RBRACE] = ACTIONS(5894),
    [anon_sym_signed] = ACTIONS(5892),
    [anon_sym_unsigned] = ACTIONS(5892),
    [anon_sym_long] = ACTIONS(5892),
    [anon_sym_short] = ACTIONS(5892),
    [anon_sym_LBRACK] = ACTIONS(5894),
    [anon_sym_RBRACK] = ACTIONS(5894),
    [anon_sym_const] = ACTIONS(5892),
    [anon_sym_constexpr] = ACTIONS(5892),
    [anon_sym_volatile] = ACTIONS(5892),
    [anon_sym_restrict] = ACTIONS(5892),
    [anon_sym___restrict__] = ACTIONS(5892),
    [anon_sym__Atomic] = ACTIONS(5892),
    [anon_sym__Noreturn] = ACTIONS(5892),
    [anon_sym_noreturn] = ACTIONS(5892),
    [anon_sym__Nonnull] = ACTIONS(5892),
    [anon_sym_mutable] = ACTIONS(5892),
    [anon_sym_constinit] = ACTIONS(5892),
    [anon_sym_consteval] = ACTIONS(5892),
    [anon_sym_alignas] = ACTIONS(5892),
    [anon_sym__Alignas] = ACTIONS(5892),
    [sym_primitive_type] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(5894),
    [anon_sym_LT_EQ_GT] = ACTIONS(5894),
    [anon_sym_or] = ACTIONS(5892),
    [anon_sym_and] = ACTIONS(5892),
    [anon_sym_bitor] = ACTIONS(5892),
    [anon_sym_xor] = ACTIONS(5892),
    [anon_sym_bitand] = ACTIONS(5892),
    [anon_sym_not_eq] = ACTIONS(5892),
    [anon_sym_DASH_DASH] = ACTIONS(5894),
    [anon_sym_PLUS_PLUS] = ACTIONS(5894),
    [anon_sym_DOT] = ACTIONS(5892),
    [anon_sym_DOT_STAR] = ACTIONS(5894),
    [anon_sym_DASH_GT] = ACTIONS(5894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5892),
    [anon_sym_decltype] = ACTIONS(5892),
    [anon_sym_final] = ACTIONS(5892),
    [anon_sym_override] = ACTIONS(5892),
    [anon_sym_requires] = ACTIONS(5892),
  },
  [2549] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2009),
    [anon_sym_COMMA] = ACTIONS(2009),
    [anon_sym_RPAREN] = ACTIONS(4302),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(4300),
    [anon_sym___extension__] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(2007),
    [anon_sym_out] = ACTIONS(2007),
    [anon_sym_inout] = ACTIONS(2007),
    [anon_sym_virtual] = ACTIONS(2007),
    [anon_sym_extern] = ACTIONS(2007),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4302),
    [anon_sym___declspec] = ACTIONS(2007),
    [anon_sym___based] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(4307),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(2009),
    [anon_sym_register] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(2007),
    [anon_sym___inline] = ACTIONS(2007),
    [anon_sym___inline__] = ACTIONS(2007),
    [anon_sym___forceinline] = ACTIONS(2007),
    [anon_sym_thread_local] = ACTIONS(2007),
    [anon_sym___thread] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_restrict] = ACTIONS(2007),
    [anon_sym___restrict__] = ACTIONS(2007),
    [anon_sym__Atomic] = ACTIONS(2007),
    [anon_sym__Noreturn] = ACTIONS(2007),
    [anon_sym_noreturn] = ACTIONS(2007),
    [anon_sym__Nonnull] = ACTIONS(2007),
    [anon_sym_mutable] = ACTIONS(2007),
    [anon_sym_constinit] = ACTIONS(2007),
    [anon_sym_consteval] = ACTIONS(2007),
    [anon_sym_alignas] = ACTIONS(2007),
    [anon_sym__Alignas] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_template] = ACTIONS(2007),
    [anon_sym_operator] = ACTIONS(2007),
    [anon_sym_precise] = ACTIONS(2007),
    [anon_sym_shared] = ACTIONS(2007),
    [anon_sym_groupshared] = ACTIONS(2007),
    [anon_sym_uniform] = ACTIONS(2007),
    [anon_sym_row_major] = ACTIONS(2007),
    [anon_sym_column_major] = ACTIONS(2007),
    [anon_sym_globallycoherent] = ACTIONS(2007),
    [anon_sym_centroid] = ACTIONS(2007),
    [anon_sym_noperspective] = ACTIONS(2007),
    [anon_sym_nointerpolation] = ACTIONS(2007),
    [anon_sym_sample] = ACTIONS(2007),
    [anon_sym_linear] = ACTIONS(2007),
    [anon_sym_snorm] = ACTIONS(2007),
    [anon_sym_unorm] = ACTIONS(2007),
    [anon_sym_point] = ACTIONS(2007),
    [anon_sym_line] = ACTIONS(2007),
    [anon_sym_triangleadj] = ACTIONS(2007),
    [anon_sym_lineadj] = ACTIONS(2007),
    [anon_sym_triangle] = ACTIONS(2007),
  },
  [2550] = {
    [sym_identifier] = ACTIONS(6002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6004),
    [anon_sym_COMMA] = ACTIONS(6004),
    [anon_sym_RPAREN] = ACTIONS(6004),
    [anon_sym_LPAREN2] = ACTIONS(6004),
    [anon_sym_DASH] = ACTIONS(6002),
    [anon_sym_PLUS] = ACTIONS(6002),
    [anon_sym_STAR] = ACTIONS(6004),
    [anon_sym_SLASH] = ACTIONS(6002),
    [anon_sym_PERCENT] = ACTIONS(6004),
    [anon_sym_PIPE_PIPE] = ACTIONS(6004),
    [anon_sym_AMP_AMP] = ACTIONS(6004),
    [anon_sym_PIPE] = ACTIONS(6002),
    [anon_sym_CARET] = ACTIONS(6004),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ_EQ] = ACTIONS(6004),
    [anon_sym_BANG_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_GT_EQ] = ACTIONS(6004),
    [anon_sym_LT_EQ] = ACTIONS(6002),
    [anon_sym_LT] = ACTIONS(6002),
    [anon_sym_LT_LT] = ACTIONS(6004),
    [anon_sym_GT_GT] = ACTIONS(6004),
    [anon_sym_COLON] = ACTIONS(6004),
    [anon_sym_SEMI] = ACTIONS(6004),
    [anon_sym___extension__] = ACTIONS(6002),
    [anon_sym___attribute__] = ACTIONS(6002),
    [anon_sym___attribute] = ACTIONS(6002),
    [anon_sym___based] = ACTIONS(6002),
    [anon_sym_LBRACE] = ACTIONS(6004),
    [anon_sym_RBRACE] = ACTIONS(6004),
    [anon_sym_signed] = ACTIONS(6002),
    [anon_sym_unsigned] = ACTIONS(6002),
    [anon_sym_long] = ACTIONS(6002),
    [anon_sym_short] = ACTIONS(6002),
    [anon_sym_LBRACK] = ACTIONS(6004),
    [anon_sym_RBRACK] = ACTIONS(6004),
    [anon_sym_const] = ACTIONS(6002),
    [anon_sym_constexpr] = ACTIONS(6002),
    [anon_sym_volatile] = ACTIONS(6002),
    [anon_sym_restrict] = ACTIONS(6002),
    [anon_sym___restrict__] = ACTIONS(6002),
    [anon_sym__Atomic] = ACTIONS(6002),
    [anon_sym__Noreturn] = ACTIONS(6002),
    [anon_sym_noreturn] = ACTIONS(6002),
    [anon_sym__Nonnull] = ACTIONS(6002),
    [anon_sym_mutable] = ACTIONS(6002),
    [anon_sym_constinit] = ACTIONS(6002),
    [anon_sym_consteval] = ACTIONS(6002),
    [anon_sym_alignas] = ACTIONS(6002),
    [anon_sym__Alignas] = ACTIONS(6002),
    [sym_primitive_type] = ACTIONS(6002),
    [anon_sym_QMARK] = ACTIONS(6004),
    [anon_sym_LT_EQ_GT] = ACTIONS(6004),
    [anon_sym_or] = ACTIONS(6002),
    [anon_sym_and] = ACTIONS(6002),
    [anon_sym_bitor] = ACTIONS(6002),
    [anon_sym_xor] = ACTIONS(6002),
    [anon_sym_bitand] = ACTIONS(6002),
    [anon_sym_not_eq] = ACTIONS(6002),
    [anon_sym_DASH_DASH] = ACTIONS(6004),
    [anon_sym_PLUS_PLUS] = ACTIONS(6004),
    [anon_sym_DOT] = ACTIONS(6002),
    [anon_sym_DOT_STAR] = ACTIONS(6004),
    [anon_sym_DASH_GT] = ACTIONS(6004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6002),
    [anon_sym_decltype] = ACTIONS(6002),
    [anon_sym_final] = ACTIONS(6002),
    [anon_sym_override] = ACTIONS(6002),
    [anon_sym_requires] = ACTIONS(6002),
  },
  [2551] = {
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5856),
    [anon_sym_COMMA] = ACTIONS(5856),
    [anon_sym_RPAREN] = ACTIONS(5856),
    [anon_sym_LPAREN2] = ACTIONS(5856),
    [anon_sym_DASH] = ACTIONS(5854),
    [anon_sym_PLUS] = ACTIONS(5854),
    [anon_sym_STAR] = ACTIONS(5856),
    [anon_sym_SLASH] = ACTIONS(5854),
    [anon_sym_PERCENT] = ACTIONS(5856),
    [anon_sym_PIPE_PIPE] = ACTIONS(5856),
    [anon_sym_AMP_AMP] = ACTIONS(5856),
    [anon_sym_PIPE] = ACTIONS(5854),
    [anon_sym_CARET] = ACTIONS(5856),
    [anon_sym_AMP] = ACTIONS(5854),
    [anon_sym_EQ_EQ] = ACTIONS(5856),
    [anon_sym_BANG_EQ] = ACTIONS(5856),
    [anon_sym_GT] = ACTIONS(5854),
    [anon_sym_GT_EQ] = ACTIONS(5856),
    [anon_sym_LT_EQ] = ACTIONS(5854),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_COLON] = ACTIONS(5856),
    [anon_sym_SEMI] = ACTIONS(5856),
    [anon_sym___extension__] = ACTIONS(5854),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5854),
    [anon_sym___based] = ACTIONS(5854),
    [anon_sym_LBRACE] = ACTIONS(5856),
    [anon_sym_RBRACE] = ACTIONS(5856),
    [anon_sym_signed] = ACTIONS(5854),
    [anon_sym_unsigned] = ACTIONS(5854),
    [anon_sym_long] = ACTIONS(5854),
    [anon_sym_short] = ACTIONS(5854),
    [anon_sym_LBRACK] = ACTIONS(5856),
    [anon_sym_RBRACK] = ACTIONS(5856),
    [anon_sym_const] = ACTIONS(5854),
    [anon_sym_constexpr] = ACTIONS(5854),
    [anon_sym_volatile] = ACTIONS(5854),
    [anon_sym_restrict] = ACTIONS(5854),
    [anon_sym___restrict__] = ACTIONS(5854),
    [anon_sym__Atomic] = ACTIONS(5854),
    [anon_sym__Noreturn] = ACTIONS(5854),
    [anon_sym_noreturn] = ACTIONS(5854),
    [anon_sym__Nonnull] = ACTIONS(5854),
    [anon_sym_mutable] = ACTIONS(5854),
    [anon_sym_constinit] = ACTIONS(5854),
    [anon_sym_consteval] = ACTIONS(5854),
    [anon_sym_alignas] = ACTIONS(5854),
    [anon_sym__Alignas] = ACTIONS(5854),
    [sym_primitive_type] = ACTIONS(5854),
    [anon_sym_QMARK] = ACTIONS(5856),
    [anon_sym_LT_EQ_GT] = ACTIONS(5856),
    [anon_sym_or] = ACTIONS(5854),
    [anon_sym_and] = ACTIONS(5854),
    [anon_sym_bitor] = ACTIONS(5854),
    [anon_sym_xor] = ACTIONS(5854),
    [anon_sym_bitand] = ACTIONS(5854),
    [anon_sym_not_eq] = ACTIONS(5854),
    [anon_sym_DASH_DASH] = ACTIONS(5856),
    [anon_sym_PLUS_PLUS] = ACTIONS(5856),
    [anon_sym_DOT] = ACTIONS(5854),
    [anon_sym_DOT_STAR] = ACTIONS(5856),
    [anon_sym_DASH_GT] = ACTIONS(5856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5854),
    [anon_sym_decltype] = ACTIONS(5854),
    [anon_sym_final] = ACTIONS(5854),
    [anon_sym_override] = ACTIONS(5854),
    [anon_sym_requires] = ACTIONS(5854),
  },
  [2552] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_signed] = ACTIONS(5710),
    [anon_sym_unsigned] = ACTIONS(5710),
    [anon_sym_long] = ACTIONS(5710),
    [anon_sym_short] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_primitive_type] = ACTIONS(5710),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5710),
  },
  [2553] = {
    [sym_template_argument_list] = STATE(2574),
    [sym_identifier] = ACTIONS(1964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [aux_sym_preproc_if_token2] = ACTIONS(1966),
    [aux_sym_preproc_else_token1] = ACTIONS(1966),
    [aux_sym_preproc_elif_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1966),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1966),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1964),
    [anon_sym_SLASH] = ACTIONS(1964),
    [anon_sym_PERCENT] = ACTIONS(1964),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1964),
    [anon_sym_CARET] = ACTIONS(1964),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1966),
    [anon_sym_GT] = ACTIONS(1964),
    [anon_sym_GT_EQ] = ACTIONS(1966),
    [anon_sym_LT_EQ] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(6403),
    [anon_sym_LT_LT] = ACTIONS(1964),
    [anon_sym_GT_GT] = ACTIONS(1964),
    [anon_sym_COLON] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___attribute__] = ACTIONS(1964),
    [anon_sym___attribute] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1966),
    [anon_sym_RBRACK] = ACTIONS(1966),
    [anon_sym_EQ] = ACTIONS(1964),
    [anon_sym_QMARK] = ACTIONS(1966),
    [anon_sym_STAR_EQ] = ACTIONS(1966),
    [anon_sym_SLASH_EQ] = ACTIONS(1966),
    [anon_sym_PERCENT_EQ] = ACTIONS(1966),
    [anon_sym_PLUS_EQ] = ACTIONS(1966),
    [anon_sym_DASH_EQ] = ACTIONS(1966),
    [anon_sym_LT_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_GT_EQ] = ACTIONS(1966),
    [anon_sym_AMP_EQ] = ACTIONS(1966),
    [anon_sym_CARET_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_EQ] = ACTIONS(1966),
    [anon_sym_and_eq] = ACTIONS(1964),
    [anon_sym_or_eq] = ACTIONS(1964),
    [anon_sym_xor_eq] = ACTIONS(1964),
    [anon_sym_LT_EQ_GT] = ACTIONS(1966),
    [anon_sym_or] = ACTIONS(1964),
    [anon_sym_and] = ACTIONS(1964),
    [anon_sym_bitor] = ACTIONS(1964),
    [anon_sym_xor] = ACTIONS(1964),
    [anon_sym_bitand] = ACTIONS(1964),
    [anon_sym_not_eq] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1964),
    [anon_sym_DOT_STAR] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1964),
    [anon_sym_decltype] = ACTIONS(1964),
    [anon_sym_final] = ACTIONS(1964),
    [anon_sym_override] = ACTIONS(1964),
  },
  [2554] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4302),
    [anon_sym_COMMA] = ACTIONS(4302),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4307),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4305),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym___extension__] = ACTIONS(2009),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(4302),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2009),
    [anon_sym_volatile] = ACTIONS(2009),
    [anon_sym_restrict] = ACTIONS(2009),
    [anon_sym___restrict__] = ACTIONS(2009),
    [anon_sym__Atomic] = ACTIONS(2009),
    [anon_sym__Noreturn] = ACTIONS(2009),
    [anon_sym_noreturn] = ACTIONS(2009),
    [anon_sym__Nonnull] = ACTIONS(2009),
    [anon_sym_mutable] = ACTIONS(2009),
    [anon_sym_constinit] = ACTIONS(2009),
    [anon_sym_consteval] = ACTIONS(2009),
    [anon_sym_alignas] = ACTIONS(2009),
    [anon_sym__Alignas] = ACTIONS(2009),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4305),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_and_eq] = ACTIONS(4300),
    [anon_sym_or_eq] = ACTIONS(4300),
    [anon_sym_xor_eq] = ACTIONS(4300),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4300),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4300),
    [anon_sym_not_eq] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2009),
    [anon_sym_decltype] = ACTIONS(2009),
    [anon_sym_GT2] = ACTIONS(4302),
  },
  [2555] = {
    [sym_argument_list] = STATE(2874),
    [sym_initializer_list] = STATE(2874),
    [sym_decltype_auto] = STATE(2696),
    [sym_new_declarator] = STATE(2747),
    [sym_identifier] = ACTIONS(6405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6407),
    [anon_sym_COMMA] = ACTIONS(6407),
    [anon_sym_RPAREN] = ACTIONS(6407),
    [aux_sym_preproc_if_token2] = ACTIONS(6407),
    [aux_sym_preproc_else_token1] = ACTIONS(6407),
    [aux_sym_preproc_elif_token1] = ACTIONS(6405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6407),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6407),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6405),
    [anon_sym_PLUS] = ACTIONS(6405),
    [anon_sym_STAR] = ACTIONS(6405),
    [anon_sym_SLASH] = ACTIONS(6405),
    [anon_sym_PERCENT] = ACTIONS(6405),
    [anon_sym_PIPE_PIPE] = ACTIONS(6407),
    [anon_sym_AMP_AMP] = ACTIONS(6407),
    [anon_sym_PIPE] = ACTIONS(6405),
    [anon_sym_CARET] = ACTIONS(6405),
    [anon_sym_AMP] = ACTIONS(6405),
    [anon_sym_EQ_EQ] = ACTIONS(6407),
    [anon_sym_BANG_EQ] = ACTIONS(6407),
    [anon_sym_GT] = ACTIONS(6405),
    [anon_sym_GT_EQ] = ACTIONS(6407),
    [anon_sym_LT_EQ] = ACTIONS(6405),
    [anon_sym_LT] = ACTIONS(6405),
    [anon_sym_LT_LT] = ACTIONS(6405),
    [anon_sym_GT_GT] = ACTIONS(6405),
    [anon_sym_COLON] = ACTIONS(6407),
    [anon_sym_SEMI] = ACTIONS(6407),
    [anon_sym___attribute__] = ACTIONS(6405),
    [anon_sym___attribute] = ACTIONS(6405),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_RBRACE] = ACTIONS(6407),
    [anon_sym_LBRACK] = ACTIONS(6411),
    [anon_sym_RBRACK] = ACTIONS(6407),
    [anon_sym_EQ] = ACTIONS(6405),
    [anon_sym_QMARK] = ACTIONS(6407),
    [anon_sym_STAR_EQ] = ACTIONS(6407),
    [anon_sym_SLASH_EQ] = ACTIONS(6407),
    [anon_sym_PERCENT_EQ] = ACTIONS(6407),
    [anon_sym_PLUS_EQ] = ACTIONS(6407),
    [anon_sym_DASH_EQ] = ACTIONS(6407),
    [anon_sym_LT_LT_EQ] = ACTIONS(6407),
    [anon_sym_GT_GT_EQ] = ACTIONS(6407),
    [anon_sym_AMP_EQ] = ACTIONS(6407),
    [anon_sym_CARET_EQ] = ACTIONS(6407),
    [anon_sym_PIPE_EQ] = ACTIONS(6407),
    [anon_sym_and_eq] = ACTIONS(6405),
    [anon_sym_or_eq] = ACTIONS(6405),
    [anon_sym_xor_eq] = ACTIONS(6405),
    [anon_sym_LT_EQ_GT] = ACTIONS(6407),
    [anon_sym_or] = ACTIONS(6405),
    [anon_sym_and] = ACTIONS(6405),
    [anon_sym_bitor] = ACTIONS(6405),
    [anon_sym_xor] = ACTIONS(6405),
    [anon_sym_bitand] = ACTIONS(6405),
    [anon_sym_not_eq] = ACTIONS(6405),
    [anon_sym_DASH_DASH] = ACTIONS(6407),
    [anon_sym_PLUS_PLUS] = ACTIONS(6407),
    [anon_sym_DOT] = ACTIONS(6405),
    [anon_sym_DOT_STAR] = ACTIONS(6407),
    [anon_sym_DASH_GT] = ACTIONS(6407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6413),
    [anon_sym_decltype] = ACTIONS(6415),
  },
  [2556] = {
    [sym_identifier] = ACTIONS(5456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5458),
    [anon_sym_COMMA] = ACTIONS(5458),
    [anon_sym_RPAREN] = ACTIONS(5458),
    [aux_sym_preproc_if_token2] = ACTIONS(5458),
    [aux_sym_preproc_else_token1] = ACTIONS(5458),
    [aux_sym_preproc_elif_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5458),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_DASH] = ACTIONS(5456),
    [anon_sym_PLUS] = ACTIONS(5456),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_SLASH] = ACTIONS(5456),
    [anon_sym_PERCENT] = ACTIONS(5458),
    [anon_sym_PIPE_PIPE] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_PIPE] = ACTIONS(5456),
    [anon_sym_CARET] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_EQ_EQ] = ACTIONS(5458),
    [anon_sym_BANG_EQ] = ACTIONS(5458),
    [anon_sym_GT] = ACTIONS(5456),
    [anon_sym_GT_EQ] = ACTIONS(5458),
    [anon_sym_LT_EQ] = ACTIONS(5456),
    [anon_sym_LT] = ACTIONS(5456),
    [anon_sym_LT_LT] = ACTIONS(5458),
    [anon_sym_GT_GT] = ACTIONS(5458),
    [anon_sym_COLON] = ACTIONS(5458),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_LBRACE] = ACTIONS(5458),
    [anon_sym_RBRACE] = ACTIONS(5458),
    [anon_sym_LBRACK] = ACTIONS(5458),
    [anon_sym_RBRACK] = ACTIONS(5458),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5458),
    [anon_sym_LT_EQ_GT] = ACTIONS(5458),
    [anon_sym_or] = ACTIONS(5456),
    [anon_sym_and] = ACTIONS(5456),
    [anon_sym_bitor] = ACTIONS(5456),
    [anon_sym_xor] = ACTIONS(5456),
    [anon_sym_bitand] = ACTIONS(5456),
    [anon_sym_not_eq] = ACTIONS(5456),
    [anon_sym_DASH_DASH] = ACTIONS(5458),
    [anon_sym_PLUS_PLUS] = ACTIONS(5458),
    [anon_sym_DOT] = ACTIONS(5456),
    [anon_sym_DOT_STAR] = ACTIONS(5458),
    [anon_sym_DASH_GT] = ACTIONS(5458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_final] = ACTIONS(5456),
    [anon_sym_override] = ACTIONS(5456),
    [anon_sym_requires] = ACTIONS(5456),
  },
  [2557] = {
    [sym_type_qualifier] = STATE(2563),
    [sym_alignas_qualifier] = STATE(1334),
    [aux_sym__type_definition_type_repeat1] = STATE(2563),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(6417),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_STAR] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5553),
    [anon_sym_in] = ACTIONS(5551),
    [anon_sym_out] = ACTIONS(5551),
    [anon_sym_inout] = ACTIONS(5551),
    [anon_sym_virtual] = ACTIONS(5551),
    [anon_sym_extern] = ACTIONS(5551),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5549),
    [anon_sym___declspec] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(6419),
    [anon_sym_unsigned] = ACTIONS(6419),
    [anon_sym_long] = ACTIONS(6419),
    [anon_sym_short] = ACTIONS(6419),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_static] = ACTIONS(5551),
    [anon_sym_register] = ACTIONS(5551),
    [anon_sym_inline] = ACTIONS(5551),
    [anon_sym___inline] = ACTIONS(5551),
    [anon_sym___inline__] = ACTIONS(5551),
    [anon_sym___forceinline] = ACTIONS(5551),
    [anon_sym_thread_local] = ACTIONS(5551),
    [anon_sym___thread] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5553),
    [anon_sym_constexpr] = ACTIONS(5553),
    [anon_sym_volatile] = ACTIONS(5553),
    [anon_sym_restrict] = ACTIONS(5553),
    [anon_sym___restrict__] = ACTIONS(5553),
    [anon_sym__Atomic] = ACTIONS(5553),
    [anon_sym__Noreturn] = ACTIONS(5553),
    [anon_sym_noreturn] = ACTIONS(5553),
    [anon_sym__Nonnull] = ACTIONS(5553),
    [anon_sym_mutable] = ACTIONS(5553),
    [anon_sym_constinit] = ACTIONS(5553),
    [anon_sym_consteval] = ACTIONS(5553),
    [anon_sym_alignas] = ACTIONS(5558),
    [anon_sym__Alignas] = ACTIONS(5558),
    [sym_primitive_type] = ACTIONS(5561),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
    [anon_sym_precise] = ACTIONS(5551),
    [anon_sym_shared] = ACTIONS(5551),
    [anon_sym_groupshared] = ACTIONS(5551),
    [anon_sym_uniform] = ACTIONS(5551),
    [anon_sym_row_major] = ACTIONS(5551),
    [anon_sym_column_major] = ACTIONS(5551),
    [anon_sym_globallycoherent] = ACTIONS(5551),
    [anon_sym_centroid] = ACTIONS(5551),
    [anon_sym_noperspective] = ACTIONS(5551),
    [anon_sym_nointerpolation] = ACTIONS(5551),
    [anon_sym_sample] = ACTIONS(5551),
    [anon_sym_linear] = ACTIONS(5551),
    [anon_sym_snorm] = ACTIONS(5551),
    [anon_sym_unorm] = ACTIONS(5551),
    [anon_sym_point] = ACTIONS(5551),
    [anon_sym_line] = ACTIONS(5551),
    [anon_sym_triangleadj] = ACTIONS(5551),
    [anon_sym_lineadj] = ACTIONS(5551),
    [anon_sym_triangle] = ACTIONS(5551),
  },
  [2558] = {
    [sym_argument_list] = STATE(2930),
    [sym_initializer_list] = STATE(2930),
    [sym_decltype_auto] = STATE(2696),
    [sym_new_declarator] = STATE(2730),
    [sym_identifier] = ACTIONS(6421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6423),
    [anon_sym_COMMA] = ACTIONS(6423),
    [anon_sym_RPAREN] = ACTIONS(6423),
    [aux_sym_preproc_if_token2] = ACTIONS(6423),
    [aux_sym_preproc_else_token1] = ACTIONS(6423),
    [aux_sym_preproc_elif_token1] = ACTIONS(6421),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6423),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6423),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6421),
    [anon_sym_PLUS] = ACTIONS(6421),
    [anon_sym_STAR] = ACTIONS(6421),
    [anon_sym_SLASH] = ACTIONS(6421),
    [anon_sym_PERCENT] = ACTIONS(6421),
    [anon_sym_PIPE_PIPE] = ACTIONS(6423),
    [anon_sym_AMP_AMP] = ACTIONS(6423),
    [anon_sym_PIPE] = ACTIONS(6421),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym_AMP] = ACTIONS(6421),
    [anon_sym_EQ_EQ] = ACTIONS(6423),
    [anon_sym_BANG_EQ] = ACTIONS(6423),
    [anon_sym_GT] = ACTIONS(6421),
    [anon_sym_GT_EQ] = ACTIONS(6423),
    [anon_sym_LT_EQ] = ACTIONS(6421),
    [anon_sym_LT] = ACTIONS(6421),
    [anon_sym_LT_LT] = ACTIONS(6421),
    [anon_sym_GT_GT] = ACTIONS(6421),
    [anon_sym_COLON] = ACTIONS(6423),
    [anon_sym_SEMI] = ACTIONS(6423),
    [anon_sym___attribute__] = ACTIONS(6421),
    [anon_sym___attribute] = ACTIONS(6421),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_RBRACE] = ACTIONS(6423),
    [anon_sym_LBRACK] = ACTIONS(6411),
    [anon_sym_RBRACK] = ACTIONS(6423),
    [anon_sym_EQ] = ACTIONS(6421),
    [anon_sym_QMARK] = ACTIONS(6423),
    [anon_sym_STAR_EQ] = ACTIONS(6423),
    [anon_sym_SLASH_EQ] = ACTIONS(6423),
    [anon_sym_PERCENT_EQ] = ACTIONS(6423),
    [anon_sym_PLUS_EQ] = ACTIONS(6423),
    [anon_sym_DASH_EQ] = ACTIONS(6423),
    [anon_sym_LT_LT_EQ] = ACTIONS(6423),
    [anon_sym_GT_GT_EQ] = ACTIONS(6423),
    [anon_sym_AMP_EQ] = ACTIONS(6423),
    [anon_sym_CARET_EQ] = ACTIONS(6423),
    [anon_sym_PIPE_EQ] = ACTIONS(6423),
    [anon_sym_and_eq] = ACTIONS(6421),
    [anon_sym_or_eq] = ACTIONS(6421),
    [anon_sym_xor_eq] = ACTIONS(6421),
    [anon_sym_LT_EQ_GT] = ACTIONS(6423),
    [anon_sym_or] = ACTIONS(6421),
    [anon_sym_and] = ACTIONS(6421),
    [anon_sym_bitor] = ACTIONS(6421),
    [anon_sym_xor] = ACTIONS(6421),
    [anon_sym_bitand] = ACTIONS(6421),
    [anon_sym_not_eq] = ACTIONS(6421),
    [anon_sym_DASH_DASH] = ACTIONS(6423),
    [anon_sym_PLUS_PLUS] = ACTIONS(6423),
    [anon_sym_DOT] = ACTIONS(6421),
    [anon_sym_DOT_STAR] = ACTIONS(6423),
    [anon_sym_DASH_GT] = ACTIONS(6423),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6413),
    [anon_sym_decltype] = ACTIONS(6415),
  },
  [2559] = {
    [sym_template_argument_list] = STATE(2574),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1974),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_RPAREN] = ACTIONS(1974),
    [aux_sym_preproc_if_token2] = ACTIONS(1974),
    [aux_sym_preproc_else_token1] = ACTIONS(1974),
    [aux_sym_preproc_elif_token1] = ACTIONS(1972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1974),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1974),
    [anon_sym_LPAREN2] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SLASH] = ACTIONS(1972),
    [anon_sym_PERCENT] = ACTIONS(1972),
    [anon_sym_PIPE_PIPE] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1972),
    [anon_sym_CARET] = ACTIONS(1972),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_EQ_EQ] = ACTIONS(1974),
    [anon_sym_BANG_EQ] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(1972),
    [anon_sym_GT_EQ] = ACTIONS(1974),
    [anon_sym_LT_EQ] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(6425),
    [anon_sym_LT_LT] = ACTIONS(1972),
    [anon_sym_GT_GT] = ACTIONS(1972),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_RBRACK] = ACTIONS(1974),
    [anon_sym_EQ] = ACTIONS(1972),
    [anon_sym_QMARK] = ACTIONS(1974),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_and_eq] = ACTIONS(1972),
    [anon_sym_or_eq] = ACTIONS(1972),
    [anon_sym_xor_eq] = ACTIONS(1972),
    [anon_sym_LT_EQ_GT] = ACTIONS(1974),
    [anon_sym_or] = ACTIONS(1972),
    [anon_sym_and] = ACTIONS(1972),
    [anon_sym_bitor] = ACTIONS(1972),
    [anon_sym_xor] = ACTIONS(1972),
    [anon_sym_bitand] = ACTIONS(1972),
    [anon_sym_not_eq] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_DOT] = ACTIONS(1972),
    [anon_sym_DOT_STAR] = ACTIONS(1974),
    [anon_sym_DASH_GT] = ACTIONS(1974),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_final] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
  },
  [2560] = {
    [sym_argument_list] = STATE(2878),
    [sym_initializer_list] = STATE(2878),
    [sym_decltype_auto] = STATE(2696),
    [sym_new_declarator] = STATE(2704),
    [sym_identifier] = ACTIONS(6428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6430),
    [anon_sym_COMMA] = ACTIONS(6430),
    [anon_sym_RPAREN] = ACTIONS(6430),
    [aux_sym_preproc_if_token2] = ACTIONS(6430),
    [aux_sym_preproc_else_token1] = ACTIONS(6430),
    [aux_sym_preproc_elif_token1] = ACTIONS(6428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6430),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6428),
    [anon_sym_PLUS] = ACTIONS(6428),
    [anon_sym_STAR] = ACTIONS(6428),
    [anon_sym_SLASH] = ACTIONS(6428),
    [anon_sym_PERCENT] = ACTIONS(6428),
    [anon_sym_PIPE_PIPE] = ACTIONS(6430),
    [anon_sym_AMP_AMP] = ACTIONS(6430),
    [anon_sym_PIPE] = ACTIONS(6428),
    [anon_sym_CARET] = ACTIONS(6428),
    [anon_sym_AMP] = ACTIONS(6428),
    [anon_sym_EQ_EQ] = ACTIONS(6430),
    [anon_sym_BANG_EQ] = ACTIONS(6430),
    [anon_sym_GT] = ACTIONS(6428),
    [anon_sym_GT_EQ] = ACTIONS(6430),
    [anon_sym_LT_EQ] = ACTIONS(6428),
    [anon_sym_LT] = ACTIONS(6428),
    [anon_sym_LT_LT] = ACTIONS(6428),
    [anon_sym_GT_GT] = ACTIONS(6428),
    [anon_sym_COLON] = ACTIONS(6430),
    [anon_sym_SEMI] = ACTIONS(6430),
    [anon_sym___attribute__] = ACTIONS(6428),
    [anon_sym___attribute] = ACTIONS(6428),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_RBRACE] = ACTIONS(6430),
    [anon_sym_LBRACK] = ACTIONS(6411),
    [anon_sym_RBRACK] = ACTIONS(6430),
    [anon_sym_EQ] = ACTIONS(6428),
    [anon_sym_QMARK] = ACTIONS(6430),
    [anon_sym_STAR_EQ] = ACTIONS(6430),
    [anon_sym_SLASH_EQ] = ACTIONS(6430),
    [anon_sym_PERCENT_EQ] = ACTIONS(6430),
    [anon_sym_PLUS_EQ] = ACTIONS(6430),
    [anon_sym_DASH_EQ] = ACTIONS(6430),
    [anon_sym_LT_LT_EQ] = ACTIONS(6430),
    [anon_sym_GT_GT_EQ] = ACTIONS(6430),
    [anon_sym_AMP_EQ] = ACTIONS(6430),
    [anon_sym_CARET_EQ] = ACTIONS(6430),
    [anon_sym_PIPE_EQ] = ACTIONS(6430),
    [anon_sym_and_eq] = ACTIONS(6428),
    [anon_sym_or_eq] = ACTIONS(6428),
    [anon_sym_xor_eq] = ACTIONS(6428),
    [anon_sym_LT_EQ_GT] = ACTIONS(6430),
    [anon_sym_or] = ACTIONS(6428),
    [anon_sym_and] = ACTIONS(6428),
    [anon_sym_bitor] = ACTIONS(6428),
    [anon_sym_xor] = ACTIONS(6428),
    [anon_sym_bitand] = ACTIONS(6428),
    [anon_sym_not_eq] = ACTIONS(6428),
    [anon_sym_DASH_DASH] = ACTIONS(6430),
    [anon_sym_PLUS_PLUS] = ACTIONS(6430),
    [anon_sym_DOT] = ACTIONS(6428),
    [anon_sym_DOT_STAR] = ACTIONS(6430),
    [anon_sym_DASH_GT] = ACTIONS(6430),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6413),
    [anon_sym_decltype] = ACTIONS(6415),
  },
  [2561] = {
    [sym_template_argument_list] = STATE(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4287),
    [anon_sym_RPAREN] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4294),
    [anon_sym_SLASH] = ACTIONS(4292),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_AMP_AMP] = ACTIONS(4289),
    [anon_sym_PIPE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4294),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_BANG_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(6432),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym___extension__] = ACTIONS(1974),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(4289),
    [anon_sym_EQ] = ACTIONS(4292),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1974),
    [anon_sym_volatile] = ACTIONS(1974),
    [anon_sym_restrict] = ACTIONS(1974),
    [anon_sym___restrict__] = ACTIONS(1974),
    [anon_sym__Atomic] = ACTIONS(1974),
    [anon_sym__Noreturn] = ACTIONS(1974),
    [anon_sym_noreturn] = ACTIONS(1974),
    [anon_sym__Nonnull] = ACTIONS(1974),
    [anon_sym_mutable] = ACTIONS(1974),
    [anon_sym_constinit] = ACTIONS(1974),
    [anon_sym_consteval] = ACTIONS(1974),
    [anon_sym_alignas] = ACTIONS(1974),
    [anon_sym__Alignas] = ACTIONS(1974),
    [anon_sym_QMARK] = ACTIONS(4287),
    [anon_sym_STAR_EQ] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [anon_sym_PERCENT_EQ] = ACTIONS(4287),
    [anon_sym_PLUS_EQ] = ACTIONS(4287),
    [anon_sym_DASH_EQ] = ACTIONS(4287),
    [anon_sym_LT_LT_EQ] = ACTIONS(4287),
    [anon_sym_GT_GT_EQ] = ACTIONS(4287),
    [anon_sym_AMP_EQ] = ACTIONS(4287),
    [anon_sym_CARET_EQ] = ACTIONS(4287),
    [anon_sym_PIPE_EQ] = ACTIONS(4287),
    [anon_sym_and_eq] = ACTIONS(4287),
    [anon_sym_or_eq] = ACTIONS(4287),
    [anon_sym_xor_eq] = ACTIONS(4287),
    [anon_sym_LT_EQ_GT] = ACTIONS(4287),
    [anon_sym_or] = ACTIONS(4292),
    [anon_sym_and] = ACTIONS(4292),
    [anon_sym_bitor] = ACTIONS(4287),
    [anon_sym_xor] = ACTIONS(4292),
    [anon_sym_bitand] = ACTIONS(4287),
    [anon_sym_not_eq] = ACTIONS(4287),
    [anon_sym_DASH_DASH] = ACTIONS(4287),
    [anon_sym_PLUS_PLUS] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4292),
    [anon_sym_DOT_STAR] = ACTIONS(4287),
    [anon_sym_DASH_GT] = ACTIONS(4287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1974),
    [anon_sym_decltype] = ACTIONS(1974),
  },
  [2562] = {
    [sym_argument_list] = STATE(2917),
    [sym_initializer_list] = STATE(2917),
    [sym_decltype_auto] = STATE(2696),
    [sym_new_declarator] = STATE(2718),
    [sym_identifier] = ACTIONS(6435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6437),
    [anon_sym_COMMA] = ACTIONS(6437),
    [anon_sym_RPAREN] = ACTIONS(6437),
    [aux_sym_preproc_if_token2] = ACTIONS(6437),
    [aux_sym_preproc_else_token1] = ACTIONS(6437),
    [aux_sym_preproc_elif_token1] = ACTIONS(6435),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6437),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6437),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6435),
    [anon_sym_PLUS] = ACTIONS(6435),
    [anon_sym_STAR] = ACTIONS(6435),
    [anon_sym_SLASH] = ACTIONS(6435),
    [anon_sym_PERCENT] = ACTIONS(6435),
    [anon_sym_PIPE_PIPE] = ACTIONS(6437),
    [anon_sym_AMP_AMP] = ACTIONS(6437),
    [anon_sym_PIPE] = ACTIONS(6435),
    [anon_sym_CARET] = ACTIONS(6435),
    [anon_sym_AMP] = ACTIONS(6435),
    [anon_sym_EQ_EQ] = ACTIONS(6437),
    [anon_sym_BANG_EQ] = ACTIONS(6437),
    [anon_sym_GT] = ACTIONS(6435),
    [anon_sym_GT_EQ] = ACTIONS(6437),
    [anon_sym_LT_EQ] = ACTIONS(6435),
    [anon_sym_LT] = ACTIONS(6435),
    [anon_sym_LT_LT] = ACTIONS(6435),
    [anon_sym_GT_GT] = ACTIONS(6435),
    [anon_sym_COLON] = ACTIONS(6437),
    [anon_sym_SEMI] = ACTIONS(6437),
    [anon_sym___attribute__] = ACTIONS(6435),
    [anon_sym___attribute] = ACTIONS(6435),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_RBRACE] = ACTIONS(6437),
    [anon_sym_LBRACK] = ACTIONS(6411),
    [anon_sym_RBRACK] = ACTIONS(6437),
    [anon_sym_EQ] = ACTIONS(6435),
    [anon_sym_QMARK] = ACTIONS(6437),
    [anon_sym_STAR_EQ] = ACTIONS(6437),
    [anon_sym_SLASH_EQ] = ACTIONS(6437),
    [anon_sym_PERCENT_EQ] = ACTIONS(6437),
    [anon_sym_PLUS_EQ] = ACTIONS(6437),
    [anon_sym_DASH_EQ] = ACTIONS(6437),
    [anon_sym_LT_LT_EQ] = ACTIONS(6437),
    [anon_sym_GT_GT_EQ] = ACTIONS(6437),
    [anon_sym_AMP_EQ] = ACTIONS(6437),
    [anon_sym_CARET_EQ] = ACTIONS(6437),
    [anon_sym_PIPE_EQ] = ACTIONS(6437),
    [anon_sym_and_eq] = ACTIONS(6435),
    [anon_sym_or_eq] = ACTIONS(6435),
    [anon_sym_xor_eq] = ACTIONS(6435),
    [anon_sym_LT_EQ_GT] = ACTIONS(6437),
    [anon_sym_or] = ACTIONS(6435),
    [anon_sym_and] = ACTIONS(6435),
    [anon_sym_bitor] = ACTIONS(6435),
    [anon_sym_xor] = ACTIONS(6435),
    [anon_sym_bitand] = ACTIONS(6435),
    [anon_sym_not_eq] = ACTIONS(6435),
    [anon_sym_DASH_DASH] = ACTIONS(6437),
    [anon_sym_PLUS_PLUS] = ACTIONS(6437),
    [anon_sym_DOT] = ACTIONS(6435),
    [anon_sym_DOT_STAR] = ACTIONS(6437),
    [anon_sym_DASH_GT] = ACTIONS(6437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6413),
    [anon_sym_decltype] = ACTIONS(6415),
  },
  [2563] = {
    [sym_type_qualifier] = STATE(1261),
    [sym_alignas_qualifier] = STATE(1334),
    [aux_sym__type_definition_type_repeat1] = STATE(1261),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(6439),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(5602),
    [anon_sym_in] = ACTIONS(5600),
    [anon_sym_out] = ACTIONS(5600),
    [anon_sym_inout] = ACTIONS(5600),
    [anon_sym_virtual] = ACTIONS(5600),
    [anon_sym_extern] = ACTIONS(5600),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5598),
    [anon_sym___declspec] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5605),
    [anon_sym_unsigned] = ACTIONS(5605),
    [anon_sym_long] = ACTIONS(5605),
    [anon_sym_short] = ACTIONS(5605),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_static] = ACTIONS(5600),
    [anon_sym_register] = ACTIONS(5600),
    [anon_sym_inline] = ACTIONS(5600),
    [anon_sym___inline] = ACTIONS(5600),
    [anon_sym___inline__] = ACTIONS(5600),
    [anon_sym___forceinline] = ACTIONS(5600),
    [anon_sym_thread_local] = ACTIONS(5600),
    [anon_sym___thread] = ACTIONS(5600),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5602),
    [anon_sym_volatile] = ACTIONS(5602),
    [anon_sym_restrict] = ACTIONS(5602),
    [anon_sym___restrict__] = ACTIONS(5602),
    [anon_sym__Atomic] = ACTIONS(5602),
    [anon_sym__Noreturn] = ACTIONS(5602),
    [anon_sym_noreturn] = ACTIONS(5602),
    [anon_sym__Nonnull] = ACTIONS(5602),
    [anon_sym_mutable] = ACTIONS(5602),
    [anon_sym_constinit] = ACTIONS(5602),
    [anon_sym_consteval] = ACTIONS(5602),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym__Alignas] = ACTIONS(5607),
    [sym_primitive_type] = ACTIONS(5610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
    [anon_sym_precise] = ACTIONS(5600),
    [anon_sym_shared] = ACTIONS(5600),
    [anon_sym_groupshared] = ACTIONS(5600),
    [anon_sym_uniform] = ACTIONS(5600),
    [anon_sym_row_major] = ACTIONS(5600),
    [anon_sym_column_major] = ACTIONS(5600),
    [anon_sym_globallycoherent] = ACTIONS(5600),
    [anon_sym_centroid] = ACTIONS(5600),
    [anon_sym_noperspective] = ACTIONS(5600),
    [anon_sym_nointerpolation] = ACTIONS(5600),
    [anon_sym_sample] = ACTIONS(5600),
    [anon_sym_linear] = ACTIONS(5600),
    [anon_sym_snorm] = ACTIONS(5600),
    [anon_sym_unorm] = ACTIONS(5600),
    [anon_sym_point] = ACTIONS(5600),
    [anon_sym_line] = ACTIONS(5600),
    [anon_sym_triangleadj] = ACTIONS(5600),
    [anon_sym_lineadj] = ACTIONS(5600),
    [anon_sym_triangle] = ACTIONS(5600),
  },
  [2564] = {
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2005),
    [anon_sym_COMMA] = ACTIONS(2005),
    [anon_sym_RPAREN] = ACTIONS(2005),
    [aux_sym_preproc_if_token2] = ACTIONS(2005),
    [aux_sym_preproc_else_token1] = ACTIONS(2005),
    [aux_sym_preproc_elif_token1] = ACTIONS(2003),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2005),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(2003),
    [anon_sym_SLASH] = ACTIONS(2003),
    [anon_sym_PERCENT] = ACTIONS(2003),
    [anon_sym_PIPE_PIPE] = ACTIONS(2005),
    [anon_sym_AMP_AMP] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(2003),
    [anon_sym_CARET] = ACTIONS(2003),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym_EQ_EQ] = ACTIONS(2005),
    [anon_sym_BANG_EQ] = ACTIONS(2005),
    [anon_sym_GT] = ACTIONS(2003),
    [anon_sym_GT_EQ] = ACTIONS(2005),
    [anon_sym_LT_EQ] = ACTIONS(2003),
    [anon_sym_LT] = ACTIONS(2003),
    [anon_sym_LT_LT] = ACTIONS(2003),
    [anon_sym_GT_GT] = ACTIONS(2003),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_SEMI] = ACTIONS(2005),
    [anon_sym___attribute__] = ACTIONS(2003),
    [anon_sym___attribute] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_RBRACE] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2005),
    [anon_sym_EQ] = ACTIONS(2003),
    [anon_sym_QMARK] = ACTIONS(2005),
    [anon_sym_STAR_EQ] = ACTIONS(2005),
    [anon_sym_SLASH_EQ] = ACTIONS(2005),
    [anon_sym_PERCENT_EQ] = ACTIONS(2005),
    [anon_sym_PLUS_EQ] = ACTIONS(2005),
    [anon_sym_DASH_EQ] = ACTIONS(2005),
    [anon_sym_LT_LT_EQ] = ACTIONS(2005),
    [anon_sym_GT_GT_EQ] = ACTIONS(2005),
    [anon_sym_AMP_EQ] = ACTIONS(2005),
    [anon_sym_CARET_EQ] = ACTIONS(2005),
    [anon_sym_PIPE_EQ] = ACTIONS(2005),
    [anon_sym_and_eq] = ACTIONS(2003),
    [anon_sym_or_eq] = ACTIONS(2003),
    [anon_sym_xor_eq] = ACTIONS(2003),
    [anon_sym_LT_EQ_GT] = ACTIONS(2005),
    [anon_sym_or] = ACTIONS(2003),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_bitor] = ACTIONS(2003),
    [anon_sym_xor] = ACTIONS(2003),
    [anon_sym_bitand] = ACTIONS(2003),
    [anon_sym_not_eq] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DOT] = ACTIONS(2003),
    [anon_sym_DOT_STAR] = ACTIONS(2005),
    [anon_sym_DASH_GT] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2003),
    [anon_sym_decltype] = ACTIONS(2003),
    [anon_sym_final] = ACTIONS(2003),
    [anon_sym_override] = ACTIONS(2003),
  },
  [2565] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym___extension__] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym___attribute] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(6441),
    [anon_sym_unsigned] = ACTIONS(6441),
    [anon_sym_long] = ACTIONS(6441),
    [anon_sym_short] = ACTIONS(6441),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_RBRACK] = ACTIONS(5760),
    [anon_sym_const] = ACTIONS(5758),
    [anon_sym_constexpr] = ACTIONS(5760),
    [anon_sym_volatile] = ACTIONS(5760),
    [anon_sym_restrict] = ACTIONS(5760),
    [anon_sym___restrict__] = ACTIONS(5760),
    [anon_sym__Atomic] = ACTIONS(5760),
    [anon_sym__Noreturn] = ACTIONS(5760),
    [anon_sym_noreturn] = ACTIONS(5760),
    [anon_sym__Nonnull] = ACTIONS(5760),
    [anon_sym_mutable] = ACTIONS(5760),
    [anon_sym_constinit] = ACTIONS(5760),
    [anon_sym_consteval] = ACTIONS(5760),
    [anon_sym_alignas] = ACTIONS(5760),
    [anon_sym__Alignas] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
    [anon_sym_final] = ACTIONS(5760),
    [anon_sym_override] = ACTIONS(5760),
    [anon_sym_requires] = ACTIONS(5760),
  },
  [2566] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_RPAREN] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5776),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5776),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5776),
    [anon_sym_GT_GT] = ACTIONS(5776),
    [anon_sym_COLON] = ACTIONS(5776),
    [anon_sym_SEMI] = ACTIONS(5776),
    [anon_sym___extension__] = ACTIONS(5776),
    [anon_sym___attribute__] = ACTIONS(5776),
    [anon_sym___attribute] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_RBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(6441),
    [anon_sym_unsigned] = ACTIONS(6441),
    [anon_sym_long] = ACTIONS(6441),
    [anon_sym_short] = ACTIONS(6441),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_const] = ACTIONS(5774),
    [anon_sym_constexpr] = ACTIONS(5776),
    [anon_sym_volatile] = ACTIONS(5776),
    [anon_sym_restrict] = ACTIONS(5776),
    [anon_sym___restrict__] = ACTIONS(5776),
    [anon_sym__Atomic] = ACTIONS(5776),
    [anon_sym__Noreturn] = ACTIONS(5776),
    [anon_sym_noreturn] = ACTIONS(5776),
    [anon_sym__Nonnull] = ACTIONS(5776),
    [anon_sym_mutable] = ACTIONS(5776),
    [anon_sym_constinit] = ACTIONS(5776),
    [anon_sym_consteval] = ACTIONS(5776),
    [anon_sym_alignas] = ACTIONS(5776),
    [anon_sym__Alignas] = ACTIONS(5776),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5776),
    [anon_sym_and] = ACTIONS(5776),
    [anon_sym_bitor] = ACTIONS(5776),
    [anon_sym_xor] = ACTIONS(5776),
    [anon_sym_bitand] = ACTIONS(5776),
    [anon_sym_not_eq] = ACTIONS(5776),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5776),
    [anon_sym_decltype] = ACTIONS(5776),
    [anon_sym_final] = ACTIONS(5776),
    [anon_sym_override] = ACTIONS(5776),
    [anon_sym_requires] = ACTIONS(5776),
  },
  [2567] = {
    [sym_ms_based_modifier] = STATE(8130),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(2569),
    [sym__declarator] = STATE(6297),
    [sym__abstract_declarator] = STATE(6665),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_function_declarator] = STATE(6411),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_array_declarator] = STATE(6411),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_type_qualifier] = STATE(3047),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_parameter_list] = STATE(3478),
    [sym_decltype] = STATE(8312),
    [sym_reference_declarator] = STATE(6411),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5971),
    [sym_qualified_identifier] = STATE(6411),
    [sym_operator_name] = STATE(6411),
    [aux_sym__type_definition_type_repeat1] = STATE(3047),
    [aux_sym_pointer_declarator_repeat1] = STATE(2569),
    [sym_identifier] = ACTIONS(6341),
    [anon_sym_COMMA] = ACTIONS(6343),
    [anon_sym_RPAREN] = ACTIONS(6343),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(6443),
    [anon_sym_AMP_AMP] = ACTIONS(6445),
    [anon_sym_AMP] = ACTIONS(6447),
    [anon_sym_COLON] = ACTIONS(6351),
    [anon_sym___extension__] = ACTIONS(4064),
    [anon_sym___attribute__] = ACTIONS(6351),
    [anon_sym___attribute] = ACTIONS(6351),
    [anon_sym_COLON_COLON] = ACTIONS(6353),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(6355),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
  },
  [2568] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5764),
    [anon_sym_COMMA] = ACTIONS(5764),
    [anon_sym_RPAREN] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5764),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5764),
    [anon_sym_PIPE_PIPE] = ACTIONS(5764),
    [anon_sym_AMP_AMP] = ACTIONS(5764),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5764),
    [anon_sym_BANG_EQ] = ACTIONS(5764),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5764),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5764),
    [anon_sym_GT_GT] = ACTIONS(5764),
    [anon_sym_COLON] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5764),
    [anon_sym___extension__] = ACTIONS(5764),
    [anon_sym___attribute__] = ACTIONS(5764),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(5764),
    [anon_sym_RBRACE] = ACTIONS(5764),
    [anon_sym_signed] = ACTIONS(6449),
    [anon_sym_unsigned] = ACTIONS(6449),
    [anon_sym_long] = ACTIONS(6449),
    [anon_sym_short] = ACTIONS(6449),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [anon_sym_RBRACK] = ACTIONS(5764),
    [anon_sym_const] = ACTIONS(5762),
    [anon_sym_constexpr] = ACTIONS(5764),
    [anon_sym_volatile] = ACTIONS(5764),
    [anon_sym_restrict] = ACTIONS(5764),
    [anon_sym___restrict__] = ACTIONS(5764),
    [anon_sym__Atomic] = ACTIONS(5764),
    [anon_sym__Noreturn] = ACTIONS(5764),
    [anon_sym_noreturn] = ACTIONS(5764),
    [anon_sym__Nonnull] = ACTIONS(5764),
    [anon_sym_mutable] = ACTIONS(5764),
    [anon_sym_constinit] = ACTIONS(5764),
    [anon_sym_consteval] = ACTIONS(5764),
    [anon_sym_alignas] = ACTIONS(5764),
    [anon_sym__Alignas] = ACTIONS(5764),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_LT_EQ_GT] = ACTIONS(5764),
    [anon_sym_or] = ACTIONS(5764),
    [anon_sym_and] = ACTIONS(5764),
    [anon_sym_bitor] = ACTIONS(5764),
    [anon_sym_xor] = ACTIONS(5764),
    [anon_sym_bitand] = ACTIONS(5764),
    [anon_sym_not_eq] = ACTIONS(5764),
    [anon_sym_DASH_DASH] = ACTIONS(5764),
    [anon_sym_PLUS_PLUS] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5764),
    [anon_sym_DASH_GT] = ACTIONS(5764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5764),
    [anon_sym_decltype] = ACTIONS(5764),
    [anon_sym_final] = ACTIONS(5764),
    [anon_sym_override] = ACTIONS(5764),
    [anon_sym_requires] = ACTIONS(5764),
  },
  [2569] = {
    [sym_ms_based_modifier] = STATE(8130),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(3972),
    [sym__declarator] = STATE(6326),
    [sym__abstract_declarator] = STATE(6675),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_function_declarator] = STATE(6411),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_array_declarator] = STATE(6411),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_type_qualifier] = STATE(3055),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_parameter_list] = STATE(3478),
    [sym_decltype] = STATE(8312),
    [sym_reference_declarator] = STATE(6411),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5971),
    [sym_qualified_identifier] = STATE(6411),
    [sym_operator_name] = STATE(6411),
    [aux_sym__type_definition_type_repeat1] = STATE(3055),
    [aux_sym_pointer_declarator_repeat1] = STATE(3972),
    [sym_identifier] = ACTIONS(6341),
    [anon_sym_COMMA] = ACTIONS(6357),
    [anon_sym_RPAREN] = ACTIONS(6357),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(6443),
    [anon_sym_AMP_AMP] = ACTIONS(6445),
    [anon_sym_AMP] = ACTIONS(6447),
    [anon_sym_COLON] = ACTIONS(6359),
    [anon_sym___extension__] = ACTIONS(4064),
    [anon_sym___attribute__] = ACTIONS(6359),
    [anon_sym___attribute] = ACTIONS(6359),
    [anon_sym_COLON_COLON] = ACTIONS(6353),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(6355),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
  },
  [2570] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5745),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_SLASH] = ACTIONS(5745),
    [anon_sym_PERCENT] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_PIPE] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_EQ_EQ] = ACTIONS(5747),
    [anon_sym_BANG_EQ] = ACTIONS(5747),
    [anon_sym_GT] = ACTIONS(5745),
    [anon_sym_GT_EQ] = ACTIONS(5747),
    [anon_sym_LT_EQ] = ACTIONS(5745),
    [anon_sym_LT] = ACTIONS(5745),
    [anon_sym_LT_LT] = ACTIONS(5747),
    [anon_sym_GT_GT] = ACTIONS(5747),
    [anon_sym_COLON] = ACTIONS(5747),
    [anon_sym_SEMI] = ACTIONS(5747),
    [anon_sym___extension__] = ACTIONS(5747),
    [anon_sym___attribute__] = ACTIONS(5747),
    [anon_sym___attribute] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_RBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(6441),
    [anon_sym_unsigned] = ACTIONS(6441),
    [anon_sym_long] = ACTIONS(6441),
    [anon_sym_short] = ACTIONS(6441),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_RBRACK] = ACTIONS(5747),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5747),
    [anon_sym_volatile] = ACTIONS(5747),
    [anon_sym_restrict] = ACTIONS(5747),
    [anon_sym___restrict__] = ACTIONS(5747),
    [anon_sym__Atomic] = ACTIONS(5747),
    [anon_sym__Noreturn] = ACTIONS(5747),
    [anon_sym_noreturn] = ACTIONS(5747),
    [anon_sym__Nonnull] = ACTIONS(5747),
    [anon_sym_mutable] = ACTIONS(5747),
    [anon_sym_constinit] = ACTIONS(5747),
    [anon_sym_consteval] = ACTIONS(5747),
    [anon_sym_alignas] = ACTIONS(5747),
    [anon_sym__Alignas] = ACTIONS(5747),
    [anon_sym_QMARK] = ACTIONS(5747),
    [anon_sym_LT_EQ_GT] = ACTIONS(5747),
    [anon_sym_or] = ACTIONS(5747),
    [anon_sym_and] = ACTIONS(5747),
    [anon_sym_bitor] = ACTIONS(5747),
    [anon_sym_xor] = ACTIONS(5747),
    [anon_sym_bitand] = ACTIONS(5747),
    [anon_sym_not_eq] = ACTIONS(5747),
    [anon_sym_DASH_DASH] = ACTIONS(5747),
    [anon_sym_PLUS_PLUS] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5745),
    [anon_sym_DOT_STAR] = ACTIONS(5747),
    [anon_sym_DASH_GT] = ACTIONS(5747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5747),
    [anon_sym_decltype] = ACTIONS(5747),
    [anon_sym_final] = ACTIONS(5747),
    [anon_sym_override] = ACTIONS(5747),
    [anon_sym_requires] = ACTIONS(5747),
  },
  [2571] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2575),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5712),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_signed] = ACTIONS(6451),
    [anon_sym_unsigned] = ACTIONS(6451),
    [anon_sym_long] = ACTIONS(6451),
    [anon_sym_short] = ACTIONS(6451),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5712),
    [anon_sym_volatile] = ACTIONS(5712),
    [anon_sym_restrict] = ACTIONS(5712),
    [anon_sym___restrict__] = ACTIONS(5712),
    [anon_sym__Atomic] = ACTIONS(5712),
    [anon_sym__Noreturn] = ACTIONS(5712),
    [anon_sym_noreturn] = ACTIONS(5712),
    [anon_sym__Nonnull] = ACTIONS(5712),
    [anon_sym_mutable] = ACTIONS(5712),
    [anon_sym_constinit] = ACTIONS(5712),
    [anon_sym_consteval] = ACTIONS(5712),
    [anon_sym_alignas] = ACTIONS(5712),
    [anon_sym__Alignas] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5712),
    [anon_sym_and] = ACTIONS(5712),
    [anon_sym_bitor] = ACTIONS(5712),
    [anon_sym_xor] = ACTIONS(5712),
    [anon_sym_bitand] = ACTIONS(5712),
    [anon_sym_not_eq] = ACTIONS(5712),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5712),
    [anon_sym_decltype] = ACTIONS(5712),
    [anon_sym_final] = ACTIONS(5712),
    [anon_sym_override] = ACTIONS(5712),
    [anon_sym_requires] = ACTIONS(5712),
  },
  [2572] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_RPAREN] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5786),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5786),
    [anon_sym_GT_GT] = ACTIONS(5786),
    [anon_sym_COLON] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym___extension__] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6453),
    [anon_sym_unsigned] = ACTIONS(6453),
    [anon_sym_long] = ACTIONS(6453),
    [anon_sym_short] = ACTIONS(6453),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_RBRACK] = ACTIONS(5786),
    [anon_sym_const] = ACTIONS(5784),
    [anon_sym_constexpr] = ACTIONS(5786),
    [anon_sym_volatile] = ACTIONS(5786),
    [anon_sym_restrict] = ACTIONS(5786),
    [anon_sym___restrict__] = ACTIONS(5786),
    [anon_sym__Atomic] = ACTIONS(5786),
    [anon_sym__Noreturn] = ACTIONS(5786),
    [anon_sym_noreturn] = ACTIONS(5786),
    [anon_sym__Nonnull] = ACTIONS(5786),
    [anon_sym_mutable] = ACTIONS(5786),
    [anon_sym_constinit] = ACTIONS(5786),
    [anon_sym_consteval] = ACTIONS(5786),
    [anon_sym_alignas] = ACTIONS(5786),
    [anon_sym__Alignas] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5786),
    [anon_sym_and] = ACTIONS(5786),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5786),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
    [anon_sym_final] = ACTIONS(5786),
    [anon_sym_override] = ACTIONS(5786),
    [anon_sym_requires] = ACTIONS(5786),
  },
  [2573] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5770),
    [anon_sym_GT_GT] = ACTIONS(5770),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5770),
    [anon_sym___extension__] = ACTIONS(5770),
    [anon_sym___attribute__] = ACTIONS(5770),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_RBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(6455),
    [anon_sym_unsigned] = ACTIONS(6455),
    [anon_sym_long] = ACTIONS(6455),
    [anon_sym_short] = ACTIONS(6455),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(5770),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5770),
    [anon_sym_volatile] = ACTIONS(5770),
    [anon_sym_restrict] = ACTIONS(5770),
    [anon_sym___restrict__] = ACTIONS(5770),
    [anon_sym__Atomic] = ACTIONS(5770),
    [anon_sym__Noreturn] = ACTIONS(5770),
    [anon_sym_noreturn] = ACTIONS(5770),
    [anon_sym__Nonnull] = ACTIONS(5770),
    [anon_sym_mutable] = ACTIONS(5770),
    [anon_sym_constinit] = ACTIONS(5770),
    [anon_sym_consteval] = ACTIONS(5770),
    [anon_sym_alignas] = ACTIONS(5770),
    [anon_sym__Alignas] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5770),
    [anon_sym_and] = ACTIONS(5770),
    [anon_sym_bitor] = ACTIONS(5770),
    [anon_sym_xor] = ACTIONS(5770),
    [anon_sym_bitand] = ACTIONS(5770),
    [anon_sym_not_eq] = ACTIONS(5770),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5770),
    [anon_sym_final] = ACTIONS(5770),
    [anon_sym_override] = ACTIONS(5770),
    [anon_sym_requires] = ACTIONS(5770),
  },
  [2574] = {
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2009),
    [anon_sym_COMMA] = ACTIONS(2009),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [aux_sym_preproc_if_token2] = ACTIONS(2009),
    [aux_sym_preproc_else_token1] = ACTIONS(2009),
    [aux_sym_preproc_elif_token1] = ACTIONS(2007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_SLASH] = ACTIONS(2007),
    [anon_sym_PERCENT] = ACTIONS(2007),
    [anon_sym_PIPE_PIPE] = ACTIONS(2009),
    [anon_sym_AMP_AMP] = ACTIONS(2009),
    [anon_sym_PIPE] = ACTIONS(2007),
    [anon_sym_CARET] = ACTIONS(2007),
    [anon_sym_AMP] = ACTIONS(2007),
    [anon_sym_EQ_EQ] = ACTIONS(2009),
    [anon_sym_BANG_EQ] = ACTIONS(2009),
    [anon_sym_GT] = ACTIONS(2007),
    [anon_sym_GT_EQ] = ACTIONS(2009),
    [anon_sym_LT_EQ] = ACTIONS(2007),
    [anon_sym_LT] = ACTIONS(2007),
    [anon_sym_LT_LT] = ACTIONS(2007),
    [anon_sym_GT_GT] = ACTIONS(2007),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2009),
    [anon_sym___attribute__] = ACTIONS(2007),
    [anon_sym___attribute] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(2009),
    [anon_sym_RBRACK] = ACTIONS(2009),
    [anon_sym_EQ] = ACTIONS(2007),
    [anon_sym_QMARK] = ACTIONS(2009),
    [anon_sym_STAR_EQ] = ACTIONS(2009),
    [anon_sym_SLASH_EQ] = ACTIONS(2009),
    [anon_sym_PERCENT_EQ] = ACTIONS(2009),
    [anon_sym_PLUS_EQ] = ACTIONS(2009),
    [anon_sym_DASH_EQ] = ACTIONS(2009),
    [anon_sym_LT_LT_EQ] = ACTIONS(2009),
    [anon_sym_GT_GT_EQ] = ACTIONS(2009),
    [anon_sym_AMP_EQ] = ACTIONS(2009),
    [anon_sym_CARET_EQ] = ACTIONS(2009),
    [anon_sym_PIPE_EQ] = ACTIONS(2009),
    [anon_sym_and_eq] = ACTIONS(2007),
    [anon_sym_or_eq] = ACTIONS(2007),
    [anon_sym_xor_eq] = ACTIONS(2007),
    [anon_sym_LT_EQ_GT] = ACTIONS(2009),
    [anon_sym_or] = ACTIONS(2007),
    [anon_sym_and] = ACTIONS(2007),
    [anon_sym_bitor] = ACTIONS(2007),
    [anon_sym_xor] = ACTIONS(2007),
    [anon_sym_bitand] = ACTIONS(2007),
    [anon_sym_not_eq] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_DOT] = ACTIONS(2007),
    [anon_sym_DOT_STAR] = ACTIONS(2009),
    [anon_sym_DASH_GT] = ACTIONS(2009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2007),
    [anon_sym_decltype] = ACTIONS(2007),
    [anon_sym_final] = ACTIONS(2007),
    [anon_sym_override] = ACTIONS(2007),
  },
  [2575] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5792),
    [anon_sym_RPAREN] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_STAR] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5790),
    [anon_sym_PERCENT] = ACTIONS(5792),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_PIPE] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5790),
    [anon_sym_GT_EQ] = ACTIONS(5792),
    [anon_sym_LT_EQ] = ACTIONS(5790),
    [anon_sym_LT] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_COLON] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5792),
    [anon_sym___extension__] = ACTIONS(5792),
    [anon_sym___attribute__] = ACTIONS(5792),
    [anon_sym___attribute] = ACTIONS(5790),
    [anon_sym_LBRACE] = ACTIONS(5792),
    [anon_sym_RBRACE] = ACTIONS(5792),
    [anon_sym_signed] = ACTIONS(6441),
    [anon_sym_unsigned] = ACTIONS(6441),
    [anon_sym_long] = ACTIONS(6441),
    [anon_sym_short] = ACTIONS(6441),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [anon_sym_RBRACK] = ACTIONS(5792),
    [anon_sym_const] = ACTIONS(5790),
    [anon_sym_constexpr] = ACTIONS(5792),
    [anon_sym_volatile] = ACTIONS(5792),
    [anon_sym_restrict] = ACTIONS(5792),
    [anon_sym___restrict__] = ACTIONS(5792),
    [anon_sym__Atomic] = ACTIONS(5792),
    [anon_sym__Noreturn] = ACTIONS(5792),
    [anon_sym_noreturn] = ACTIONS(5792),
    [anon_sym__Nonnull] = ACTIONS(5792),
    [anon_sym_mutable] = ACTIONS(5792),
    [anon_sym_constinit] = ACTIONS(5792),
    [anon_sym_consteval] = ACTIONS(5792),
    [anon_sym_alignas] = ACTIONS(5792),
    [anon_sym__Alignas] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5792),
    [anon_sym_LT_EQ_GT] = ACTIONS(5792),
    [anon_sym_or] = ACTIONS(5792),
    [anon_sym_and] = ACTIONS(5792),
    [anon_sym_bitor] = ACTIONS(5792),
    [anon_sym_xor] = ACTIONS(5792),
    [anon_sym_bitand] = ACTIONS(5792),
    [anon_sym_not_eq] = ACTIONS(5792),
    [anon_sym_DASH_DASH] = ACTIONS(5792),
    [anon_sym_PLUS_PLUS] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_DOT_STAR] = ACTIONS(5792),
    [anon_sym_DASH_GT] = ACTIONS(5792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5792),
    [anon_sym_decltype] = ACTIONS(5792),
    [anon_sym_final] = ACTIONS(5792),
    [anon_sym_override] = ACTIONS(5792),
    [anon_sym_requires] = ACTIONS(5792),
  },
  [2576] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_RPAREN] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_STAR] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5798),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5798),
    [anon_sym_LT] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_COLON] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5800),
    [anon_sym___extension__] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5800),
    [anon_sym___attribute] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_RBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6441),
    [anon_sym_unsigned] = ACTIONS(6441),
    [anon_sym_long] = ACTIONS(6441),
    [anon_sym_short] = ACTIONS(6441),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5800),
    [anon_sym_const] = ACTIONS(5798),
    [anon_sym_constexpr] = ACTIONS(5800),
    [anon_sym_volatile] = ACTIONS(5800),
    [anon_sym_restrict] = ACTIONS(5800),
    [anon_sym___restrict__] = ACTIONS(5800),
    [anon_sym__Atomic] = ACTIONS(5800),
    [anon_sym__Noreturn] = ACTIONS(5800),
    [anon_sym_noreturn] = ACTIONS(5800),
    [anon_sym__Nonnull] = ACTIONS(5800),
    [anon_sym_mutable] = ACTIONS(5800),
    [anon_sym_constinit] = ACTIONS(5800),
    [anon_sym_consteval] = ACTIONS(5800),
    [anon_sym_alignas] = ACTIONS(5800),
    [anon_sym__Alignas] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5800),
    [anon_sym_and] = ACTIONS(5800),
    [anon_sym_bitor] = ACTIONS(5800),
    [anon_sym_xor] = ACTIONS(5800),
    [anon_sym_bitand] = ACTIONS(5800),
    [anon_sym_not_eq] = ACTIONS(5800),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5800),
    [anon_sym_decltype] = ACTIONS(5800),
    [anon_sym_final] = ACTIONS(5800),
    [anon_sym_override] = ACTIONS(5800),
    [anon_sym_requires] = ACTIONS(5800),
  },
  [2577] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [anon_sym_RPAREN] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5756),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5756),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5756),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5756),
    [anon_sym_GT_GT] = ACTIONS(5756),
    [anon_sym_COLON] = ACTIONS(5756),
    [anon_sym_SEMI] = ACTIONS(5756),
    [anon_sym___extension__] = ACTIONS(5756),
    [anon_sym___attribute__] = ACTIONS(5756),
    [anon_sym___attribute] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_RBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(6441),
    [anon_sym_unsigned] = ACTIONS(6441),
    [anon_sym_long] = ACTIONS(6441),
    [anon_sym_short] = ACTIONS(6441),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_RBRACK] = ACTIONS(5756),
    [anon_sym_const] = ACTIONS(5754),
    [anon_sym_constexpr] = ACTIONS(5756),
    [anon_sym_volatile] = ACTIONS(5756),
    [anon_sym_restrict] = ACTIONS(5756),
    [anon_sym___restrict__] = ACTIONS(5756),
    [anon_sym__Atomic] = ACTIONS(5756),
    [anon_sym__Noreturn] = ACTIONS(5756),
    [anon_sym_noreturn] = ACTIONS(5756),
    [anon_sym__Nonnull] = ACTIONS(5756),
    [anon_sym_mutable] = ACTIONS(5756),
    [anon_sym_constinit] = ACTIONS(5756),
    [anon_sym_consteval] = ACTIONS(5756),
    [anon_sym_alignas] = ACTIONS(5756),
    [anon_sym__Alignas] = ACTIONS(5756),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5756),
    [anon_sym_and] = ACTIONS(5756),
    [anon_sym_bitor] = ACTIONS(5756),
    [anon_sym_xor] = ACTIONS(5756),
    [anon_sym_bitand] = ACTIONS(5756),
    [anon_sym_not_eq] = ACTIONS(5756),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5756),
    [anon_sym_decltype] = ACTIONS(5756),
    [anon_sym_final] = ACTIONS(5756),
    [anon_sym_override] = ACTIONS(5756),
    [anon_sym_requires] = ACTIONS(5756),
  },
  [2578] = {
    [sym_ms_based_modifier] = STATE(8130),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(3972),
    [sym__declarator] = STATE(6326),
    [sym__abstract_declarator] = STATE(6678),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_function_declarator] = STATE(6411),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_array_declarator] = STATE(6411),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_type_qualifier] = STATE(3030),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_parameter_list] = STATE(3475),
    [sym_decltype] = STATE(8312),
    [sym_reference_declarator] = STATE(6411),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5971),
    [sym_qualified_identifier] = STATE(6411),
    [sym_operator_name] = STATE(6411),
    [aux_sym__type_definition_type_repeat1] = STATE(3030),
    [aux_sym_pointer_declarator_repeat1] = STATE(3972),
    [sym_identifier] = ACTIONS(6341),
    [anon_sym_COMMA] = ACTIONS(6357),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(6457),
    [anon_sym_AMP_AMP] = ACTIONS(6459),
    [anon_sym_AMP] = ACTIONS(6461),
    [anon_sym_COLON] = ACTIONS(6359),
    [anon_sym___extension__] = ACTIONS(4064),
    [anon_sym___attribute__] = ACTIONS(6359),
    [anon_sym___attribute] = ACTIONS(6359),
    [anon_sym_COLON_COLON] = ACTIONS(6353),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(6355),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(6357),
    [anon_sym_operator] = ACTIONS(2083),
  },
  [2579] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [aux_sym_preproc_if_token2] = ACTIONS(1989),
    [aux_sym_preproc_else_token1] = ACTIONS(1989),
    [aux_sym_preproc_elif_token1] = ACTIONS(1987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_SLASH] = ACTIONS(1987),
    [anon_sym_PERCENT] = ACTIONS(1987),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_PIPE] = ACTIONS(1987),
    [anon_sym_CARET] = ACTIONS(1987),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_EQ_EQ] = ACTIONS(1989),
    [anon_sym_BANG_EQ] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(1987),
    [anon_sym_GT_EQ] = ACTIONS(1989),
    [anon_sym_LT_EQ] = ACTIONS(1987),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_LT_LT] = ACTIONS(1987),
    [anon_sym_GT_GT] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_EQ] = ACTIONS(1987),
    [anon_sym_QMARK] = ACTIONS(1989),
    [anon_sym_STAR_EQ] = ACTIONS(1989),
    [anon_sym_SLASH_EQ] = ACTIONS(1989),
    [anon_sym_PERCENT_EQ] = ACTIONS(1989),
    [anon_sym_PLUS_EQ] = ACTIONS(1989),
    [anon_sym_DASH_EQ] = ACTIONS(1989),
    [anon_sym_LT_LT_EQ] = ACTIONS(1989),
    [anon_sym_GT_GT_EQ] = ACTIONS(1989),
    [anon_sym_AMP_EQ] = ACTIONS(1989),
    [anon_sym_CARET_EQ] = ACTIONS(1989),
    [anon_sym_PIPE_EQ] = ACTIONS(1989),
    [anon_sym_and_eq] = ACTIONS(1987),
    [anon_sym_or_eq] = ACTIONS(1987),
    [anon_sym_xor_eq] = ACTIONS(1987),
    [anon_sym_LT_EQ_GT] = ACTIONS(1989),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [anon_sym_bitor] = ACTIONS(1987),
    [anon_sym_xor] = ACTIONS(1987),
    [anon_sym_bitand] = ACTIONS(1987),
    [anon_sym_not_eq] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DOT] = ACTIONS(1987),
    [anon_sym_DOT_STAR] = ACTIONS(1989),
    [anon_sym_DASH_GT] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
  },
  [2580] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_RPAREN] = ACTIONS(4302),
    [anon_sym_LPAREN2] = ACTIONS(4302),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4307),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4302),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4307),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym___extension__] = ACTIONS(2009),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(4302),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_constexpr] = ACTIONS(2009),
    [anon_sym_volatile] = ACTIONS(2009),
    [anon_sym_restrict] = ACTIONS(2009),
    [anon_sym___restrict__] = ACTIONS(2009),
    [anon_sym__Atomic] = ACTIONS(2009),
    [anon_sym__Noreturn] = ACTIONS(2009),
    [anon_sym_noreturn] = ACTIONS(2009),
    [anon_sym__Nonnull] = ACTIONS(2009),
    [anon_sym_mutable] = ACTIONS(2009),
    [anon_sym_constinit] = ACTIONS(2009),
    [anon_sym_consteval] = ACTIONS(2009),
    [anon_sym_alignas] = ACTIONS(2009),
    [anon_sym__Alignas] = ACTIONS(2009),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4300),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_and_eq] = ACTIONS(4300),
    [anon_sym_or_eq] = ACTIONS(4300),
    [anon_sym_xor_eq] = ACTIONS(4300),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4300),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4300),
    [anon_sym_not_eq] = ACTIONS(4300),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2009),
    [anon_sym_decltype] = ACTIONS(2009),
  },
  [2581] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5780),
    [anon_sym_COMMA] = ACTIONS(5780),
    [anon_sym_RPAREN] = ACTIONS(5780),
    [anon_sym_LPAREN2] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5780),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5780),
    [anon_sym_PIPE_PIPE] = ACTIONS(5780),
    [anon_sym_AMP_AMP] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5780),
    [anon_sym_BANG_EQ] = ACTIONS(5780),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5780),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5780),
    [anon_sym_GT_GT] = ACTIONS(5780),
    [anon_sym_COLON] = ACTIONS(5780),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym___extension__] = ACTIONS(5780),
    [anon_sym___attribute__] = ACTIONS(5780),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5780),
    [anon_sym_RBRACE] = ACTIONS(5780),
    [anon_sym_signed] = ACTIONS(6463),
    [anon_sym_unsigned] = ACTIONS(6463),
    [anon_sym_long] = ACTIONS(6463),
    [anon_sym_short] = ACTIONS(6463),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [anon_sym_RBRACK] = ACTIONS(5780),
    [anon_sym_const] = ACTIONS(5778),
    [anon_sym_constexpr] = ACTIONS(5780),
    [anon_sym_volatile] = ACTIONS(5780),
    [anon_sym_restrict] = ACTIONS(5780),
    [anon_sym___restrict__] = ACTIONS(5780),
    [anon_sym__Atomic] = ACTIONS(5780),
    [anon_sym__Noreturn] = ACTIONS(5780),
    [anon_sym_noreturn] = ACTIONS(5780),
    [anon_sym__Nonnull] = ACTIONS(5780),
    [anon_sym_mutable] = ACTIONS(5780),
    [anon_sym_constinit] = ACTIONS(5780),
    [anon_sym_consteval] = ACTIONS(5780),
    [anon_sym_alignas] = ACTIONS(5780),
    [anon_sym__Alignas] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5780),
    [anon_sym_LT_EQ_GT] = ACTIONS(5780),
    [anon_sym_or] = ACTIONS(5780),
    [anon_sym_and] = ACTIONS(5780),
    [anon_sym_bitor] = ACTIONS(5780),
    [anon_sym_xor] = ACTIONS(5780),
    [anon_sym_bitand] = ACTIONS(5780),
    [anon_sym_not_eq] = ACTIONS(5780),
    [anon_sym_DASH_DASH] = ACTIONS(5780),
    [anon_sym_PLUS_PLUS] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5780),
    [anon_sym_DASH_GT] = ACTIONS(5780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5780),
    [anon_sym_decltype] = ACTIONS(5780),
    [anon_sym_final] = ACTIONS(5780),
    [anon_sym_override] = ACTIONS(5780),
    [anon_sym_requires] = ACTIONS(5780),
  },
  [2582] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [aux_sym_preproc_if_token2] = ACTIONS(1989),
    [aux_sym_preproc_else_token1] = ACTIONS(1989),
    [aux_sym_preproc_elif_token1] = ACTIONS(1987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_SLASH] = ACTIONS(1987),
    [anon_sym_PERCENT] = ACTIONS(1987),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_PIPE] = ACTIONS(1987),
    [anon_sym_CARET] = ACTIONS(1987),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_EQ_EQ] = ACTIONS(1989),
    [anon_sym_BANG_EQ] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(1987),
    [anon_sym_GT_EQ] = ACTIONS(1989),
    [anon_sym_LT_EQ] = ACTIONS(1987),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_LT_LT] = ACTIONS(1987),
    [anon_sym_GT_GT] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_EQ] = ACTIONS(1987),
    [anon_sym_QMARK] = ACTIONS(1989),
    [anon_sym_STAR_EQ] = ACTIONS(1989),
    [anon_sym_SLASH_EQ] = ACTIONS(1989),
    [anon_sym_PERCENT_EQ] = ACTIONS(1989),
    [anon_sym_PLUS_EQ] = ACTIONS(1989),
    [anon_sym_DASH_EQ] = ACTIONS(1989),
    [anon_sym_LT_LT_EQ] = ACTIONS(1989),
    [anon_sym_GT_GT_EQ] = ACTIONS(1989),
    [anon_sym_AMP_EQ] = ACTIONS(1989),
    [anon_sym_CARET_EQ] = ACTIONS(1989),
    [anon_sym_PIPE_EQ] = ACTIONS(1989),
    [anon_sym_and_eq] = ACTIONS(1987),
    [anon_sym_or_eq] = ACTIONS(1987),
    [anon_sym_xor_eq] = ACTIONS(1987),
    [anon_sym_LT_EQ_GT] = ACTIONS(1989),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [anon_sym_bitor] = ACTIONS(1987),
    [anon_sym_xor] = ACTIONS(1987),
    [anon_sym_bitand] = ACTIONS(1987),
    [anon_sym_not_eq] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DOT] = ACTIONS(1987),
    [anon_sym_DOT_STAR] = ACTIONS(1989),
    [anon_sym_DASH_GT] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
  },
  [2583] = {
    [sym_ms_based_modifier] = STATE(8130),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(2578),
    [sym__declarator] = STATE(6297),
    [sym__abstract_declarator] = STATE(6667),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_function_declarator] = STATE(6411),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_array_declarator] = STATE(6411),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_type_qualifier] = STATE(2993),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_parameter_list] = STATE(3475),
    [sym_decltype] = STATE(8312),
    [sym_reference_declarator] = STATE(6411),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5971),
    [sym_qualified_identifier] = STATE(6411),
    [sym_operator_name] = STATE(6411),
    [aux_sym__type_definition_type_repeat1] = STATE(2993),
    [aux_sym_pointer_declarator_repeat1] = STATE(2578),
    [sym_identifier] = ACTIONS(6341),
    [anon_sym_COMMA] = ACTIONS(6343),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(6457),
    [anon_sym_AMP_AMP] = ACTIONS(6459),
    [anon_sym_AMP] = ACTIONS(6461),
    [anon_sym_COLON] = ACTIONS(6351),
    [anon_sym___extension__] = ACTIONS(4064),
    [anon_sym___attribute__] = ACTIONS(6351),
    [anon_sym___attribute] = ACTIONS(6351),
    [anon_sym_COLON_COLON] = ACTIONS(6353),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(6355),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_GT2] = ACTIONS(6343),
    [anon_sym_operator] = ACTIONS(2083),
  },
  [2584] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_RPAREN] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5804),
    [anon_sym_COLON] = ACTIONS(5804),
    [anon_sym_SEMI] = ACTIONS(5804),
    [anon_sym___extension__] = ACTIONS(5804),
    [anon_sym___attribute__] = ACTIONS(5804),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_RBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(6441),
    [anon_sym_unsigned] = ACTIONS(6441),
    [anon_sym_long] = ACTIONS(6441),
    [anon_sym_short] = ACTIONS(6441),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_RBRACK] = ACTIONS(5804),
    [anon_sym_const] = ACTIONS(5802),
    [anon_sym_constexpr] = ACTIONS(5804),
    [anon_sym_volatile] = ACTIONS(5804),
    [anon_sym_restrict] = ACTIONS(5804),
    [anon_sym___restrict__] = ACTIONS(5804),
    [anon_sym__Atomic] = ACTIONS(5804),
    [anon_sym__Noreturn] = ACTIONS(5804),
    [anon_sym_noreturn] = ACTIONS(5804),
    [anon_sym__Nonnull] = ACTIONS(5804),
    [anon_sym_mutable] = ACTIONS(5804),
    [anon_sym_constinit] = ACTIONS(5804),
    [anon_sym_consteval] = ACTIONS(5804),
    [anon_sym_alignas] = ACTIONS(5804),
    [anon_sym__Alignas] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5804),
    [anon_sym_decltype] = ACTIONS(5804),
    [anon_sym_final] = ACTIONS(5804),
    [anon_sym_override] = ACTIONS(5804),
    [anon_sym_requires] = ACTIONS(5804),
  },
  [2585] = {
    [sym_string_literal] = STATE(2442),
    [sym_raw_string_literal] = STATE(2442),
    [sym_identifier] = ACTIONS(6465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6467),
    [aux_sym_preproc_if_token2] = ACTIONS(6467),
    [aux_sym_preproc_else_token1] = ACTIONS(6467),
    [aux_sym_preproc_elif_token1] = ACTIONS(6465),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6467),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6467),
    [anon_sym_LPAREN2] = ACTIONS(6467),
    [anon_sym_DASH] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_STAR] = ACTIONS(6465),
    [anon_sym_SLASH] = ACTIONS(6465),
    [anon_sym_PERCENT] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6467),
    [anon_sym_AMP_AMP] = ACTIONS(6467),
    [anon_sym_PIPE] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6465),
    [anon_sym_AMP] = ACTIONS(6465),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6465),
    [anon_sym_GT_EQ] = ACTIONS(6467),
    [anon_sym_LT_EQ] = ACTIONS(6465),
    [anon_sym_LT] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(6465),
    [anon_sym_GT_GT] = ACTIONS(6465),
    [anon_sym_LBRACK] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6467),
    [anon_sym_STAR_EQ] = ACTIONS(6467),
    [anon_sym_SLASH_EQ] = ACTIONS(6467),
    [anon_sym_PERCENT_EQ] = ACTIONS(6467),
    [anon_sym_PLUS_EQ] = ACTIONS(6467),
    [anon_sym_DASH_EQ] = ACTIONS(6467),
    [anon_sym_LT_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT_GT_EQ] = ACTIONS(6467),
    [anon_sym_AMP_EQ] = ACTIONS(6467),
    [anon_sym_CARET_EQ] = ACTIONS(6467),
    [anon_sym_PIPE_EQ] = ACTIONS(6467),
    [anon_sym_and_eq] = ACTIONS(6465),
    [anon_sym_or_eq] = ACTIONS(6465),
    [anon_sym_xor_eq] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6467),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_bitor] = ACTIONS(6465),
    [anon_sym_xor] = ACTIONS(6465),
    [anon_sym_bitand] = ACTIONS(6465),
    [anon_sym_not_eq] = ACTIONS(6465),
    [anon_sym_DASH_DASH] = ACTIONS(6467),
    [anon_sym_PLUS_PLUS] = ACTIONS(6467),
    [anon_sym_DOT] = ACTIONS(6465),
    [anon_sym_DOT_STAR] = ACTIONS(6467),
    [anon_sym_DASH_GT] = ACTIONS(6467),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [sym_literal_suffix] = ACTIONS(6465),
  },
  [2586] = {
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1993),
    [anon_sym_COMMA] = ACTIONS(1993),
    [anon_sym_RPAREN] = ACTIONS(1993),
    [aux_sym_preproc_if_token2] = ACTIONS(1993),
    [aux_sym_preproc_else_token1] = ACTIONS(1993),
    [aux_sym_preproc_elif_token1] = ACTIONS(1991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1993),
    [anon_sym_LPAREN2] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_STAR] = ACTIONS(1991),
    [anon_sym_SLASH] = ACTIONS(1991),
    [anon_sym_PERCENT] = ACTIONS(1991),
    [anon_sym_PIPE_PIPE] = ACTIONS(1993),
    [anon_sym_AMP_AMP] = ACTIONS(1993),
    [anon_sym_PIPE] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [anon_sym_EQ_EQ] = ACTIONS(1993),
    [anon_sym_BANG_EQ] = ACTIONS(1993),
    [anon_sym_GT] = ACTIONS(1991),
    [anon_sym_GT_EQ] = ACTIONS(1993),
    [anon_sym_LT_EQ] = ACTIONS(1991),
    [anon_sym_LT] = ACTIONS(1991),
    [anon_sym_LT_LT] = ACTIONS(1991),
    [anon_sym_GT_GT] = ACTIONS(1991),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___attribute__] = ACTIONS(1991),
    [anon_sym___attribute] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_RBRACE] = ACTIONS(1993),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_RBRACK] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_QMARK] = ACTIONS(1993),
    [anon_sym_STAR_EQ] = ACTIONS(1993),
    [anon_sym_SLASH_EQ] = ACTIONS(1993),
    [anon_sym_PERCENT_EQ] = ACTIONS(1993),
    [anon_sym_PLUS_EQ] = ACTIONS(1993),
    [anon_sym_DASH_EQ] = ACTIONS(1993),
    [anon_sym_LT_LT_EQ] = ACTIONS(1993),
    [anon_sym_GT_GT_EQ] = ACTIONS(1993),
    [anon_sym_AMP_EQ] = ACTIONS(1993),
    [anon_sym_CARET_EQ] = ACTIONS(1993),
    [anon_sym_PIPE_EQ] = ACTIONS(1993),
    [anon_sym_and_eq] = ACTIONS(1991),
    [anon_sym_or_eq] = ACTIONS(1991),
    [anon_sym_xor_eq] = ACTIONS(1991),
    [anon_sym_LT_EQ_GT] = ACTIONS(1993),
    [anon_sym_or] = ACTIONS(1991),
    [anon_sym_and] = ACTIONS(1991),
    [anon_sym_bitor] = ACTIONS(1991),
    [anon_sym_xor] = ACTIONS(1991),
    [anon_sym_bitand] = ACTIONS(1991),
    [anon_sym_not_eq] = ACTIONS(1991),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DOT] = ACTIONS(1991),
    [anon_sym_DOT_STAR] = ACTIONS(1993),
    [anon_sym_DASH_GT] = ACTIONS(1993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1991),
    [anon_sym_decltype] = ACTIONS(1991),
    [anon_sym_final] = ACTIONS(1991),
    [anon_sym_override] = ACTIONS(1991),
  },
  [2587] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2575),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5796),
    [anon_sym_RPAREN] = ACTIONS(5796),
    [anon_sym_LPAREN2] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_STAR] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_PIPE] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5794),
    [anon_sym_GT_EQ] = ACTIONS(5796),
    [anon_sym_LT_EQ] = ACTIONS(5794),
    [anon_sym_LT] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_COLON] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5796),
    [anon_sym___extension__] = ACTIONS(5796),
    [anon_sym___attribute__] = ACTIONS(5796),
    [anon_sym___attribute] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_RBRACE] = ACTIONS(5796),
    [anon_sym_signed] = ACTIONS(6451),
    [anon_sym_unsigned] = ACTIONS(6451),
    [anon_sym_long] = ACTIONS(6451),
    [anon_sym_short] = ACTIONS(6451),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [anon_sym_RBRACK] = ACTIONS(5796),
    [anon_sym_const] = ACTIONS(5794),
    [anon_sym_constexpr] = ACTIONS(5796),
    [anon_sym_volatile] = ACTIONS(5796),
    [anon_sym_restrict] = ACTIONS(5796),
    [anon_sym___restrict__] = ACTIONS(5796),
    [anon_sym__Atomic] = ACTIONS(5796),
    [anon_sym__Noreturn] = ACTIONS(5796),
    [anon_sym_noreturn] = ACTIONS(5796),
    [anon_sym__Nonnull] = ACTIONS(5796),
    [anon_sym_mutable] = ACTIONS(5796),
    [anon_sym_constinit] = ACTIONS(5796),
    [anon_sym_consteval] = ACTIONS(5796),
    [anon_sym_alignas] = ACTIONS(5796),
    [anon_sym__Alignas] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_LT_EQ_GT] = ACTIONS(5796),
    [anon_sym_or] = ACTIONS(5796),
    [anon_sym_and] = ACTIONS(5796),
    [anon_sym_bitor] = ACTIONS(5796),
    [anon_sym_xor] = ACTIONS(5796),
    [anon_sym_bitand] = ACTIONS(5796),
    [anon_sym_not_eq] = ACTIONS(5796),
    [anon_sym_DASH_DASH] = ACTIONS(5796),
    [anon_sym_PLUS_PLUS] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_DOT_STAR] = ACTIONS(5796),
    [anon_sym_DASH_GT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5796),
    [anon_sym_decltype] = ACTIONS(5796),
    [anon_sym_final] = ACTIONS(5796),
    [anon_sym_override] = ACTIONS(5796),
    [anon_sym_requires] = ACTIONS(5796),
  },
  [2588] = {
    [sym_attribute_specifier] = STATE(2743),
    [sym_enumerator_list] = STATE(2652),
    [sym_identifier] = ACTIONS(5978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5980),
    [anon_sym_COMMA] = ACTIONS(5980),
    [anon_sym_RPAREN] = ACTIONS(5980),
    [aux_sym_preproc_if_token2] = ACTIONS(5980),
    [aux_sym_preproc_else_token1] = ACTIONS(5980),
    [aux_sym_preproc_elif_token1] = ACTIONS(5978),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5980),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5980),
    [anon_sym_LPAREN2] = ACTIONS(5980),
    [anon_sym_DASH] = ACTIONS(5978),
    [anon_sym_PLUS] = ACTIONS(5978),
    [anon_sym_STAR] = ACTIONS(5978),
    [anon_sym_SLASH] = ACTIONS(5978),
    [anon_sym_PERCENT] = ACTIONS(5978),
    [anon_sym_PIPE_PIPE] = ACTIONS(5980),
    [anon_sym_AMP_AMP] = ACTIONS(5980),
    [anon_sym_PIPE] = ACTIONS(5978),
    [anon_sym_CARET] = ACTIONS(5978),
    [anon_sym_AMP] = ACTIONS(5978),
    [anon_sym_EQ_EQ] = ACTIONS(5980),
    [anon_sym_BANG_EQ] = ACTIONS(5980),
    [anon_sym_GT] = ACTIONS(5978),
    [anon_sym_GT_EQ] = ACTIONS(5980),
    [anon_sym_LT_EQ] = ACTIONS(5978),
    [anon_sym_LT] = ACTIONS(5978),
    [anon_sym_LT_LT] = ACTIONS(5978),
    [anon_sym_GT_GT] = ACTIONS(5978),
    [anon_sym_COLON] = ACTIONS(5980),
    [anon_sym_SEMI] = ACTIONS(5980),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6469),
    [anon_sym_RBRACE] = ACTIONS(5980),
    [anon_sym_LBRACK] = ACTIONS(5980),
    [anon_sym_RBRACK] = ACTIONS(5980),
    [anon_sym_EQ] = ACTIONS(5978),
    [anon_sym_QMARK] = ACTIONS(5980),
    [anon_sym_STAR_EQ] = ACTIONS(5980),
    [anon_sym_SLASH_EQ] = ACTIONS(5980),
    [anon_sym_PERCENT_EQ] = ACTIONS(5980),
    [anon_sym_PLUS_EQ] = ACTIONS(5980),
    [anon_sym_DASH_EQ] = ACTIONS(5980),
    [anon_sym_LT_LT_EQ] = ACTIONS(5980),
    [anon_sym_GT_GT_EQ] = ACTIONS(5980),
    [anon_sym_AMP_EQ] = ACTIONS(5980),
    [anon_sym_CARET_EQ] = ACTIONS(5980),
    [anon_sym_PIPE_EQ] = ACTIONS(5980),
    [anon_sym_and_eq] = ACTIONS(5978),
    [anon_sym_or_eq] = ACTIONS(5978),
    [anon_sym_xor_eq] = ACTIONS(5978),
    [anon_sym_LT_EQ_GT] = ACTIONS(5980),
    [anon_sym_or] = ACTIONS(5978),
    [anon_sym_and] = ACTIONS(5978),
    [anon_sym_bitor] = ACTIONS(5978),
    [anon_sym_xor] = ACTIONS(5978),
    [anon_sym_bitand] = ACTIONS(5978),
    [anon_sym_not_eq] = ACTIONS(5978),
    [anon_sym_DASH_DASH] = ACTIONS(5980),
    [anon_sym_PLUS_PLUS] = ACTIONS(5980),
    [anon_sym_DOT] = ACTIONS(5978),
    [anon_sym_DOT_STAR] = ACTIONS(5980),
    [anon_sym_DASH_GT] = ACTIONS(5980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5978),
    [anon_sym_decltype] = ACTIONS(5978),
  },
  [2589] = {
    [sym_string_literal] = STATE(2601),
    [sym_template_argument_list] = STATE(2778),
    [sym_raw_string_literal] = STATE(2601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(6265),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym___attribute__] = ACTIONS(4070),
    [anon_sym___attribute] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(6471),
    [anon_sym_u_DQUOTE] = ACTIONS(6471),
    [anon_sym_U_DQUOTE] = ACTIONS(6471),
    [anon_sym_u8_DQUOTE] = ACTIONS(6471),
    [anon_sym_DQUOTE] = ACTIONS(6471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6473),
    [anon_sym_LR_DQUOTE] = ACTIONS(6473),
    [anon_sym_uR_DQUOTE] = ACTIONS(6473),
    [anon_sym_UR_DQUOTE] = ACTIONS(6473),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6473),
  },
  [2590] = {
    [sym_attribute_specifier] = STATE(2726),
    [sym_enumerator_list] = STATE(2646),
    [sym_identifier] = ACTIONS(5862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5864),
    [anon_sym_COMMA] = ACTIONS(5864),
    [anon_sym_RPAREN] = ACTIONS(5864),
    [aux_sym_preproc_if_token2] = ACTIONS(5864),
    [aux_sym_preproc_else_token1] = ACTIONS(5864),
    [aux_sym_preproc_elif_token1] = ACTIONS(5862),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5864),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5864),
    [anon_sym_LPAREN2] = ACTIONS(5864),
    [anon_sym_DASH] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5862),
    [anon_sym_STAR] = ACTIONS(5862),
    [anon_sym_SLASH] = ACTIONS(5862),
    [anon_sym_PERCENT] = ACTIONS(5862),
    [anon_sym_PIPE_PIPE] = ACTIONS(5864),
    [anon_sym_AMP_AMP] = ACTIONS(5864),
    [anon_sym_PIPE] = ACTIONS(5862),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_AMP] = ACTIONS(5862),
    [anon_sym_EQ_EQ] = ACTIONS(5864),
    [anon_sym_BANG_EQ] = ACTIONS(5864),
    [anon_sym_GT] = ACTIONS(5862),
    [anon_sym_GT_EQ] = ACTIONS(5864),
    [anon_sym_LT_EQ] = ACTIONS(5862),
    [anon_sym_LT] = ACTIONS(5862),
    [anon_sym_LT_LT] = ACTIONS(5862),
    [anon_sym_GT_GT] = ACTIONS(5862),
    [anon_sym_COLON] = ACTIONS(5864),
    [anon_sym_SEMI] = ACTIONS(5864),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6469),
    [anon_sym_RBRACE] = ACTIONS(5864),
    [anon_sym_LBRACK] = ACTIONS(5864),
    [anon_sym_RBRACK] = ACTIONS(5864),
    [anon_sym_EQ] = ACTIONS(5862),
    [anon_sym_QMARK] = ACTIONS(5864),
    [anon_sym_STAR_EQ] = ACTIONS(5864),
    [anon_sym_SLASH_EQ] = ACTIONS(5864),
    [anon_sym_PERCENT_EQ] = ACTIONS(5864),
    [anon_sym_PLUS_EQ] = ACTIONS(5864),
    [anon_sym_DASH_EQ] = ACTIONS(5864),
    [anon_sym_LT_LT_EQ] = ACTIONS(5864),
    [anon_sym_GT_GT_EQ] = ACTIONS(5864),
    [anon_sym_AMP_EQ] = ACTIONS(5864),
    [anon_sym_CARET_EQ] = ACTIONS(5864),
    [anon_sym_PIPE_EQ] = ACTIONS(5864),
    [anon_sym_and_eq] = ACTIONS(5862),
    [anon_sym_or_eq] = ACTIONS(5862),
    [anon_sym_xor_eq] = ACTIONS(5862),
    [anon_sym_LT_EQ_GT] = ACTIONS(5864),
    [anon_sym_or] = ACTIONS(5862),
    [anon_sym_and] = ACTIONS(5862),
    [anon_sym_bitor] = ACTIONS(5862),
    [anon_sym_xor] = ACTIONS(5862),
    [anon_sym_bitand] = ACTIONS(5862),
    [anon_sym_not_eq] = ACTIONS(5862),
    [anon_sym_DASH_DASH] = ACTIONS(5864),
    [anon_sym_PLUS_PLUS] = ACTIONS(5864),
    [anon_sym_DOT] = ACTIONS(5862),
    [anon_sym_DOT_STAR] = ACTIONS(5864),
    [anon_sym_DASH_GT] = ACTIONS(5864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5862),
    [anon_sym_decltype] = ACTIONS(5862),
  },
  [2591] = {
    [sym_string_literal] = STATE(2442),
    [sym_raw_string_literal] = STATE(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6467),
    [anon_sym_RPAREN] = ACTIONS(6467),
    [anon_sym_LPAREN2] = ACTIONS(6467),
    [anon_sym_DASH] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_STAR] = ACTIONS(6465),
    [anon_sym_SLASH] = ACTIONS(6465),
    [anon_sym_PERCENT] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6467),
    [anon_sym_AMP_AMP] = ACTIONS(6467),
    [anon_sym_PIPE] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6465),
    [anon_sym_AMP] = ACTIONS(6465),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6465),
    [anon_sym_GT_EQ] = ACTIONS(6467),
    [anon_sym_LT_EQ] = ACTIONS(6465),
    [anon_sym_LT] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(6465),
    [anon_sym_GT_GT] = ACTIONS(6465),
    [anon_sym_COLON] = ACTIONS(6467),
    [anon_sym_SEMI] = ACTIONS(6467),
    [anon_sym_RBRACE] = ACTIONS(6467),
    [anon_sym_LBRACK] = ACTIONS(6467),
    [anon_sym_RBRACK] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6467),
    [anon_sym_STAR_EQ] = ACTIONS(6467),
    [anon_sym_SLASH_EQ] = ACTIONS(6467),
    [anon_sym_PERCENT_EQ] = ACTIONS(6467),
    [anon_sym_PLUS_EQ] = ACTIONS(6467),
    [anon_sym_DASH_EQ] = ACTIONS(6467),
    [anon_sym_LT_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT_GT_EQ] = ACTIONS(6467),
    [anon_sym_AMP_EQ] = ACTIONS(6467),
    [anon_sym_CARET_EQ] = ACTIONS(6467),
    [anon_sym_PIPE_EQ] = ACTIONS(6467),
    [anon_sym_and_eq] = ACTIONS(6465),
    [anon_sym_or_eq] = ACTIONS(6465),
    [anon_sym_xor_eq] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6467),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_bitor] = ACTIONS(6465),
    [anon_sym_xor] = ACTIONS(6465),
    [anon_sym_bitand] = ACTIONS(6465),
    [anon_sym_not_eq] = ACTIONS(6465),
    [anon_sym_DASH_DASH] = ACTIONS(6467),
    [anon_sym_PLUS_PLUS] = ACTIONS(6467),
    [anon_sym_DOT] = ACTIONS(6465),
    [anon_sym_DOT_STAR] = ACTIONS(6467),
    [anon_sym_DASH_GT] = ACTIONS(6467),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
    [sym_literal_suffix] = ACTIONS(6465),
  },
  [2592] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(4070),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2593] = {
    [sym_string_literal] = STATE(2593),
    [sym_raw_string_literal] = STATE(2593),
    [aux_sym_concatenated_string_repeat1] = STATE(2593),
    [sym_identifier] = ACTIONS(6475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6293),
    [anon_sym_COMMA] = ACTIONS(6293),
    [anon_sym_LPAREN2] = ACTIONS(6293),
    [anon_sym_DASH] = ACTIONS(6295),
    [anon_sym_PLUS] = ACTIONS(6295),
    [anon_sym_STAR] = ACTIONS(6295),
    [anon_sym_SLASH] = ACTIONS(6295),
    [anon_sym_PERCENT] = ACTIONS(6295),
    [anon_sym_PIPE_PIPE] = ACTIONS(6293),
    [anon_sym_AMP_AMP] = ACTIONS(6293),
    [anon_sym_PIPE] = ACTIONS(6295),
    [anon_sym_CARET] = ACTIONS(6295),
    [anon_sym_AMP] = ACTIONS(6295),
    [anon_sym_EQ_EQ] = ACTIONS(6293),
    [anon_sym_BANG_EQ] = ACTIONS(6293),
    [anon_sym_GT] = ACTIONS(6295),
    [anon_sym_GT_EQ] = ACTIONS(6293),
    [anon_sym_LT_EQ] = ACTIONS(6295),
    [anon_sym_LT] = ACTIONS(6295),
    [anon_sym_LT_LT] = ACTIONS(6295),
    [anon_sym_GT_GT] = ACTIONS(6295),
    [anon_sym_SEMI] = ACTIONS(6293),
    [anon_sym___attribute__] = ACTIONS(6295),
    [anon_sym___attribute] = ACTIONS(6295),
    [anon_sym_LBRACK] = ACTIONS(6293),
    [anon_sym_EQ] = ACTIONS(6295),
    [anon_sym_QMARK] = ACTIONS(6293),
    [anon_sym_STAR_EQ] = ACTIONS(6293),
    [anon_sym_SLASH_EQ] = ACTIONS(6293),
    [anon_sym_PERCENT_EQ] = ACTIONS(6293),
    [anon_sym_PLUS_EQ] = ACTIONS(6293),
    [anon_sym_DASH_EQ] = ACTIONS(6293),
    [anon_sym_LT_LT_EQ] = ACTIONS(6293),
    [anon_sym_GT_GT_EQ] = ACTIONS(6293),
    [anon_sym_AMP_EQ] = ACTIONS(6293),
    [anon_sym_CARET_EQ] = ACTIONS(6293),
    [anon_sym_PIPE_EQ] = ACTIONS(6293),
    [anon_sym_and_eq] = ACTIONS(6295),
    [anon_sym_or_eq] = ACTIONS(6295),
    [anon_sym_xor_eq] = ACTIONS(6295),
    [anon_sym_LT_EQ_GT] = ACTIONS(6293),
    [anon_sym_or] = ACTIONS(6295),
    [anon_sym_and] = ACTIONS(6295),
    [anon_sym_bitor] = ACTIONS(6295),
    [anon_sym_xor] = ACTIONS(6295),
    [anon_sym_bitand] = ACTIONS(6295),
    [anon_sym_not_eq] = ACTIONS(6295),
    [anon_sym_DASH_DASH] = ACTIONS(6293),
    [anon_sym_PLUS_PLUS] = ACTIONS(6293),
    [anon_sym_DOT] = ACTIONS(6295),
    [anon_sym_DOT_STAR] = ACTIONS(6293),
    [anon_sym_DASH_GT] = ACTIONS(6293),
    [anon_sym_L_DQUOTE] = ACTIONS(6478),
    [anon_sym_u_DQUOTE] = ACTIONS(6478),
    [anon_sym_U_DQUOTE] = ACTIONS(6478),
    [anon_sym_u8_DQUOTE] = ACTIONS(6478),
    [anon_sym_DQUOTE] = ACTIONS(6478),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6481),
    [anon_sym_LR_DQUOTE] = ACTIONS(6481),
    [anon_sym_uR_DQUOTE] = ACTIONS(6481),
    [anon_sym_UR_DQUOTE] = ACTIONS(6481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6481),
    [sym_literal_suffix] = ACTIONS(6295),
  },
  [2594] = {
    [sym_string_literal] = STATE(2442),
    [sym_template_argument_list] = STATE(3195),
    [sym_raw_string_literal] = STATE(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(6484),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(6487),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5529),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(4070),
    [anon_sym_LBRACK] = ACTIONS(6490),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
  },
  [2595] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [aux_sym_preproc_if_token2] = ACTIONS(5728),
    [aux_sym_preproc_else_token1] = ACTIONS(5728),
    [aux_sym_preproc_elif_token1] = ACTIONS(5725),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_SLASH] = ACTIONS(5725),
    [anon_sym_PERCENT] = ACTIONS(5728),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5725),
    [anon_sym_CARET] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(5725),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5725),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5725),
    [anon_sym_LT] = ACTIONS(5725),
    [anon_sym_LT_LT] = ACTIONS(5728),
    [anon_sym_GT_GT] = ACTIONS(5728),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(6192),
    [anon_sym_unsigned] = ACTIONS(6192),
    [anon_sym_long] = ACTIONS(6192),
    [anon_sym_short] = ACTIONS(6192),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5725),
    [anon_sym_and] = ACTIONS(5725),
    [anon_sym_bitor] = ACTIONS(5725),
    [anon_sym_xor] = ACTIONS(5725),
    [anon_sym_bitand] = ACTIONS(5725),
    [anon_sym_not_eq] = ACTIONS(5725),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5725),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5725),
    [anon_sym_decltype] = ACTIONS(5725),
  },
  [2596] = {
    [sym_string_literal] = STATE(2620),
    [sym_template_argument_list] = STATE(3308),
    [sym_raw_string_literal] = STATE(2620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(6484),
    [anon_sym_LPAREN2] = ACTIONS(6484),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5526),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5529),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(6490),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4078),
    [anon_sym_L_DQUOTE] = ACTIONS(5533),
    [anon_sym_u_DQUOTE] = ACTIONS(5533),
    [anon_sym_U_DQUOTE] = ACTIONS(5533),
    [anon_sym_u8_DQUOTE] = ACTIONS(5533),
    [anon_sym_DQUOTE] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5535),
    [anon_sym_LR_DQUOTE] = ACTIONS(5535),
    [anon_sym_uR_DQUOTE] = ACTIONS(5535),
    [anon_sym_UR_DQUOTE] = ACTIONS(5535),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5535),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4070),
  },
  [2597] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2419),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_SLASH] = ACTIONS(5725),
    [anon_sym_PERCENT] = ACTIONS(5728),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5725),
    [anon_sym_CARET] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(5725),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5725),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5725),
    [anon_sym_LT] = ACTIONS(5725),
    [anon_sym_LT_LT] = ACTIONS(5728),
    [anon_sym_GT_GT] = ACTIONS(5728),
    [anon_sym_COLON] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5728),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5725),
    [anon_sym___attribute] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_RBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(6192),
    [anon_sym_unsigned] = ACTIONS(6192),
    [anon_sym_long] = ACTIONS(6192),
    [anon_sym_short] = ACTIONS(6192),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_RBRACK] = ACTIONS(5728),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5725),
    [anon_sym_and] = ACTIONS(5725),
    [anon_sym_bitor] = ACTIONS(5725),
    [anon_sym_xor] = ACTIONS(5725),
    [anon_sym_bitand] = ACTIONS(5725),
    [anon_sym_not_eq] = ACTIONS(5725),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5725),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5725),
    [anon_sym_decltype] = ACTIONS(5725),
  },
  [2598] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(6493),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(4070),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2599] = {
    [sym_string_literal] = STATE(2593),
    [sym_raw_string_literal] = STATE(2593),
    [aux_sym_concatenated_string_repeat1] = STATE(2593),
    [sym_identifier] = ACTIONS(6495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6270),
    [anon_sym_COMMA] = ACTIONS(6270),
    [anon_sym_LPAREN2] = ACTIONS(6270),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(6272),
    [anon_sym_SLASH] = ACTIONS(6272),
    [anon_sym_PERCENT] = ACTIONS(6272),
    [anon_sym_PIPE_PIPE] = ACTIONS(6270),
    [anon_sym_AMP_AMP] = ACTIONS(6270),
    [anon_sym_PIPE] = ACTIONS(6272),
    [anon_sym_CARET] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(6272),
    [anon_sym_EQ_EQ] = ACTIONS(6270),
    [anon_sym_BANG_EQ] = ACTIONS(6270),
    [anon_sym_GT] = ACTIONS(6272),
    [anon_sym_GT_EQ] = ACTIONS(6270),
    [anon_sym_LT_EQ] = ACTIONS(6272),
    [anon_sym_LT] = ACTIONS(6272),
    [anon_sym_LT_LT] = ACTIONS(6272),
    [anon_sym_GT_GT] = ACTIONS(6272),
    [anon_sym_SEMI] = ACTIONS(6270),
    [anon_sym___attribute__] = ACTIONS(6272),
    [anon_sym___attribute] = ACTIONS(6272),
    [anon_sym_LBRACK] = ACTIONS(6270),
    [anon_sym_EQ] = ACTIONS(6272),
    [anon_sym_QMARK] = ACTIONS(6270),
    [anon_sym_STAR_EQ] = ACTIONS(6270),
    [anon_sym_SLASH_EQ] = ACTIONS(6270),
    [anon_sym_PERCENT_EQ] = ACTIONS(6270),
    [anon_sym_PLUS_EQ] = ACTIONS(6270),
    [anon_sym_DASH_EQ] = ACTIONS(6270),
    [anon_sym_LT_LT_EQ] = ACTIONS(6270),
    [anon_sym_GT_GT_EQ] = ACTIONS(6270),
    [anon_sym_AMP_EQ] = ACTIONS(6270),
    [anon_sym_CARET_EQ] = ACTIONS(6270),
    [anon_sym_PIPE_EQ] = ACTIONS(6270),
    [anon_sym_and_eq] = ACTIONS(6272),
    [anon_sym_or_eq] = ACTIONS(6272),
    [anon_sym_xor_eq] = ACTIONS(6272),
    [anon_sym_LT_EQ_GT] = ACTIONS(6270),
    [anon_sym_or] = ACTIONS(6272),
    [anon_sym_and] = ACTIONS(6272),
    [anon_sym_bitor] = ACTIONS(6272),
    [anon_sym_xor] = ACTIONS(6272),
    [anon_sym_bitand] = ACTIONS(6272),
    [anon_sym_not_eq] = ACTIONS(6272),
    [anon_sym_DASH_DASH] = ACTIONS(6270),
    [anon_sym_PLUS_PLUS] = ACTIONS(6270),
    [anon_sym_DOT] = ACTIONS(6272),
    [anon_sym_DOT_STAR] = ACTIONS(6270),
    [anon_sym_DASH_GT] = ACTIONS(6270),
    [anon_sym_L_DQUOTE] = ACTIONS(6471),
    [anon_sym_u_DQUOTE] = ACTIONS(6471),
    [anon_sym_U_DQUOTE] = ACTIONS(6471),
    [anon_sym_u8_DQUOTE] = ACTIONS(6471),
    [anon_sym_DQUOTE] = ACTIONS(6471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6473),
    [anon_sym_LR_DQUOTE] = ACTIONS(6473),
    [anon_sym_uR_DQUOTE] = ACTIONS(6473),
    [anon_sym_UR_DQUOTE] = ACTIONS(6473),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6473),
    [sym_literal_suffix] = ACTIONS(6272),
  },
  [2600] = {
    [sym_string_literal] = STATE(3389),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym___attribute__] = ACTIONS(4070),
    [anon_sym___attribute] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(6497),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(6499),
    [anon_sym_SLASH_EQ] = ACTIONS(6499),
    [anon_sym_PERCENT_EQ] = ACTIONS(6499),
    [anon_sym_PLUS_EQ] = ACTIONS(6499),
    [anon_sym_DASH_EQ] = ACTIONS(6499),
    [anon_sym_LT_LT_EQ] = ACTIONS(6499),
    [anon_sym_GT_GT_EQ] = ACTIONS(6499),
    [anon_sym_AMP_EQ] = ACTIONS(6499),
    [anon_sym_CARET_EQ] = ACTIONS(6499),
    [anon_sym_PIPE_EQ] = ACTIONS(6499),
    [anon_sym_and_eq] = ACTIONS(6499),
    [anon_sym_or_eq] = ACTIONS(6499),
    [anon_sym_xor_eq] = ACTIONS(6499),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(6501),
    [anon_sym_u_DQUOTE] = ACTIONS(6501),
    [anon_sym_U_DQUOTE] = ACTIONS(6501),
    [anon_sym_u8_DQUOTE] = ACTIONS(6501),
    [anon_sym_DQUOTE] = ACTIONS(6501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6503),
    [anon_sym_LR_DQUOTE] = ACTIONS(6503),
    [anon_sym_uR_DQUOTE] = ACTIONS(6503),
    [anon_sym_UR_DQUOTE] = ACTIONS(6503),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6503),
  },
  [2601] = {
    [sym_string_literal] = STATE(2599),
    [sym_raw_string_literal] = STATE(2599),
    [aux_sym_concatenated_string_repeat1] = STATE(2599),
    [sym_identifier] = ACTIONS(6505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6276),
    [anon_sym_COMMA] = ACTIONS(6276),
    [anon_sym_LPAREN2] = ACTIONS(6276),
    [anon_sym_DASH] = ACTIONS(6278),
    [anon_sym_PLUS] = ACTIONS(6278),
    [anon_sym_STAR] = ACTIONS(6278),
    [anon_sym_SLASH] = ACTIONS(6278),
    [anon_sym_PERCENT] = ACTIONS(6278),
    [anon_sym_PIPE_PIPE] = ACTIONS(6276),
    [anon_sym_AMP_AMP] = ACTIONS(6276),
    [anon_sym_PIPE] = ACTIONS(6278),
    [anon_sym_CARET] = ACTIONS(6278),
    [anon_sym_AMP] = ACTIONS(6278),
    [anon_sym_EQ_EQ] = ACTIONS(6276),
    [anon_sym_BANG_EQ] = ACTIONS(6276),
    [anon_sym_GT] = ACTIONS(6278),
    [anon_sym_GT_EQ] = ACTIONS(6276),
    [anon_sym_LT_EQ] = ACTIONS(6278),
    [anon_sym_LT] = ACTIONS(6278),
    [anon_sym_LT_LT] = ACTIONS(6278),
    [anon_sym_GT_GT] = ACTIONS(6278),
    [anon_sym_SEMI] = ACTIONS(6276),
    [anon_sym___attribute__] = ACTIONS(6278),
    [anon_sym___attribute] = ACTIONS(6278),
    [anon_sym_LBRACK] = ACTIONS(6276),
    [anon_sym_EQ] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(6276),
    [anon_sym_STAR_EQ] = ACTIONS(6276),
    [anon_sym_SLASH_EQ] = ACTIONS(6276),
    [anon_sym_PERCENT_EQ] = ACTIONS(6276),
    [anon_sym_PLUS_EQ] = ACTIONS(6276),
    [anon_sym_DASH_EQ] = ACTIONS(6276),
    [anon_sym_LT_LT_EQ] = ACTIONS(6276),
    [anon_sym_GT_GT_EQ] = ACTIONS(6276),
    [anon_sym_AMP_EQ] = ACTIONS(6276),
    [anon_sym_CARET_EQ] = ACTIONS(6276),
    [anon_sym_PIPE_EQ] = ACTIONS(6276),
    [anon_sym_and_eq] = ACTIONS(6278),
    [anon_sym_or_eq] = ACTIONS(6278),
    [anon_sym_xor_eq] = ACTIONS(6278),
    [anon_sym_LT_EQ_GT] = ACTIONS(6276),
    [anon_sym_or] = ACTIONS(6278),
    [anon_sym_and] = ACTIONS(6278),
    [anon_sym_bitor] = ACTIONS(6278),
    [anon_sym_xor] = ACTIONS(6278),
    [anon_sym_bitand] = ACTIONS(6278),
    [anon_sym_not_eq] = ACTIONS(6278),
    [anon_sym_DASH_DASH] = ACTIONS(6276),
    [anon_sym_PLUS_PLUS] = ACTIONS(6276),
    [anon_sym_DOT] = ACTIONS(6278),
    [anon_sym_DOT_STAR] = ACTIONS(6276),
    [anon_sym_DASH_GT] = ACTIONS(6276),
    [anon_sym_L_DQUOTE] = ACTIONS(6471),
    [anon_sym_u_DQUOTE] = ACTIONS(6471),
    [anon_sym_U_DQUOTE] = ACTIONS(6471),
    [anon_sym_u8_DQUOTE] = ACTIONS(6471),
    [anon_sym_DQUOTE] = ACTIONS(6471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6473),
    [anon_sym_LR_DQUOTE] = ACTIONS(6473),
    [anon_sym_uR_DQUOTE] = ACTIONS(6473),
    [anon_sym_UR_DQUOTE] = ACTIONS(6473),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6473),
    [sym_literal_suffix] = ACTIONS(6278),
  },
  [2602] = {
    [sym_attribute_specifier] = STATE(2529),
    [sym_field_declaration_list] = STATE(2768),
    [sym_virtual_specifier] = STATE(7199),
    [sym_base_class_clause] = STATE(7899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5706),
    [anon_sym_COMMA] = ACTIONS(5706),
    [anon_sym_RPAREN] = ACTIONS(5706),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5704),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_SLASH] = ACTIONS(5704),
    [anon_sym_PERCENT] = ACTIONS(5706),
    [anon_sym_PIPE_PIPE] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_PIPE] = ACTIONS(5704),
    [anon_sym_CARET] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_EQ_EQ] = ACTIONS(5706),
    [anon_sym_BANG_EQ] = ACTIONS(5706),
    [anon_sym_GT] = ACTIONS(5704),
    [anon_sym_GT_EQ] = ACTIONS(5706),
    [anon_sym_LT_EQ] = ACTIONS(5704),
    [anon_sym_LT] = ACTIONS(5704),
    [anon_sym_LT_LT] = ACTIONS(5706),
    [anon_sym_GT_GT] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(6320),
    [anon_sym_SEMI] = ACTIONS(5706),
    [anon_sym___extension__] = ACTIONS(5706),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6511),
    [anon_sym_RBRACE] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [anon_sym_RBRACK] = ACTIONS(5706),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5706),
    [anon_sym_volatile] = ACTIONS(5706),
    [anon_sym_restrict] = ACTIONS(5706),
    [anon_sym___restrict__] = ACTIONS(5706),
    [anon_sym__Atomic] = ACTIONS(5706),
    [anon_sym__Noreturn] = ACTIONS(5706),
    [anon_sym_noreturn] = ACTIONS(5706),
    [anon_sym__Nonnull] = ACTIONS(5706),
    [anon_sym_mutable] = ACTIONS(5706),
    [anon_sym_constinit] = ACTIONS(5706),
    [anon_sym_consteval] = ACTIONS(5706),
    [anon_sym_alignas] = ACTIONS(5706),
    [anon_sym__Alignas] = ACTIONS(5706),
    [anon_sym_QMARK] = ACTIONS(5706),
    [anon_sym_LT_EQ_GT] = ACTIONS(5706),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5706),
    [anon_sym_PLUS_PLUS] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_DOT_STAR] = ACTIONS(5706),
    [anon_sym_DASH_GT] = ACTIONS(5706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
    [anon_sym_final] = ACTIONS(6513),
    [anon_sym_override] = ACTIONS(6513),
    [anon_sym_requires] = ACTIONS(5706),
  },
  [2603] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2603),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5590),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5590),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5590),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5588),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5590),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5590),
    [anon_sym___extension__] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym___attribute] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(6515),
    [anon_sym_unsigned] = ACTIONS(6515),
    [anon_sym_long] = ACTIONS(6515),
    [anon_sym_short] = ACTIONS(6515),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_const] = ACTIONS(5588),
    [anon_sym_constexpr] = ACTIONS(5588),
    [anon_sym_volatile] = ACTIONS(5588),
    [anon_sym_restrict] = ACTIONS(5588),
    [anon_sym___restrict__] = ACTIONS(5588),
    [anon_sym__Atomic] = ACTIONS(5588),
    [anon_sym__Noreturn] = ACTIONS(5588),
    [anon_sym_noreturn] = ACTIONS(5588),
    [anon_sym__Nonnull] = ACTIONS(5588),
    [anon_sym_mutable] = ACTIONS(5588),
    [anon_sym_constinit] = ACTIONS(5588),
    [anon_sym_consteval] = ACTIONS(5588),
    [anon_sym_alignas] = ACTIONS(5588),
    [anon_sym__Alignas] = ACTIONS(5588),
    [sym_primitive_type] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5588),
    [anon_sym_decltype] = ACTIONS(5588),
    [anon_sym_final] = ACTIONS(5588),
    [anon_sym_override] = ACTIONS(5588),
    [anon_sym_GT2] = ACTIONS(5590),
    [anon_sym_requires] = ACTIONS(5588),
  },
  [2604] = {
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [aux_sym_preproc_if_token2] = ACTIONS(1989),
    [aux_sym_preproc_else_token1] = ACTIONS(1989),
    [aux_sym_preproc_elif_token1] = ACTIONS(1987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1987),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_SLASH] = ACTIONS(1987),
    [anon_sym_PERCENT] = ACTIONS(1987),
    [anon_sym_PIPE_PIPE] = ACTIONS(1989),
    [anon_sym_AMP_AMP] = ACTIONS(1989),
    [anon_sym_PIPE] = ACTIONS(1987),
    [anon_sym_CARET] = ACTIONS(1987),
    [anon_sym_AMP] = ACTIONS(1987),
    [anon_sym_EQ_EQ] = ACTIONS(1989),
    [anon_sym_BANG_EQ] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(1987),
    [anon_sym_GT_EQ] = ACTIONS(1989),
    [anon_sym_LT_EQ] = ACTIONS(1987),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_LT_LT] = ACTIONS(1987),
    [anon_sym_GT_GT] = ACTIONS(1987),
    [anon_sym_COLON] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym___attribute__] = ACTIONS(1987),
    [anon_sym___attribute] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_EQ] = ACTIONS(1987),
    [anon_sym_QMARK] = ACTIONS(1989),
    [anon_sym_STAR_EQ] = ACTIONS(1989),
    [anon_sym_SLASH_EQ] = ACTIONS(1989),
    [anon_sym_PERCENT_EQ] = ACTIONS(1989),
    [anon_sym_PLUS_EQ] = ACTIONS(1989),
    [anon_sym_DASH_EQ] = ACTIONS(1989),
    [anon_sym_LT_LT_EQ] = ACTIONS(1989),
    [anon_sym_GT_GT_EQ] = ACTIONS(1989),
    [anon_sym_AMP_EQ] = ACTIONS(1989),
    [anon_sym_CARET_EQ] = ACTIONS(1989),
    [anon_sym_PIPE_EQ] = ACTIONS(1989),
    [anon_sym_and_eq] = ACTIONS(1987),
    [anon_sym_or_eq] = ACTIONS(1987),
    [anon_sym_xor_eq] = ACTIONS(1987),
    [anon_sym_LT_EQ_GT] = ACTIONS(1989),
    [anon_sym_or] = ACTIONS(1987),
    [anon_sym_and] = ACTIONS(1987),
    [anon_sym_bitor] = ACTIONS(1987),
    [anon_sym_xor] = ACTIONS(1987),
    [anon_sym_bitand] = ACTIONS(1987),
    [anon_sym_not_eq] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DOT] = ACTIONS(1987),
    [anon_sym_DOT_STAR] = ACTIONS(1989),
    [anon_sym_DASH_GT] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1987),
    [anon_sym_decltype] = ACTIONS(1987),
    [anon_sym_final] = ACTIONS(1987),
    [anon_sym_override] = ACTIONS(1987),
  },
  [2605] = {
    [sym_template_argument_list] = STATE(2465),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2659),
    [sym_identifier] = ACTIONS(5688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5690),
    [anon_sym_COMMA] = ACTIONS(5690),
    [aux_sym_preproc_if_token2] = ACTIONS(5690),
    [aux_sym_preproc_else_token1] = ACTIONS(5690),
    [aux_sym_preproc_elif_token1] = ACTIONS(5688),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5690),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5690),
    [anon_sym_LPAREN2] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5688),
    [anon_sym_STAR] = ACTIONS(5688),
    [anon_sym_SLASH] = ACTIONS(5688),
    [anon_sym_PERCENT] = ACTIONS(5688),
    [anon_sym_PIPE_PIPE] = ACTIONS(5690),
    [anon_sym_AMP_AMP] = ACTIONS(5690),
    [anon_sym_PIPE] = ACTIONS(5688),
    [anon_sym_CARET] = ACTIONS(5688),
    [anon_sym_AMP] = ACTIONS(5688),
    [anon_sym_EQ_EQ] = ACTIONS(5690),
    [anon_sym_BANG_EQ] = ACTIONS(5690),
    [anon_sym_GT] = ACTIONS(5688),
    [anon_sym_GT_EQ] = ACTIONS(5690),
    [anon_sym_LT_EQ] = ACTIONS(5688),
    [anon_sym_LT] = ACTIONS(5688),
    [anon_sym_LT_LT] = ACTIONS(5688),
    [anon_sym_GT_GT] = ACTIONS(5688),
    [anon_sym___attribute__] = ACTIONS(5688),
    [anon_sym___attribute] = ACTIONS(5688),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(5690),
    [anon_sym_signed] = ACTIONS(6518),
    [anon_sym_unsigned] = ACTIONS(6518),
    [anon_sym_long] = ACTIONS(6518),
    [anon_sym_short] = ACTIONS(6518),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [anon_sym_EQ] = ACTIONS(5688),
    [anon_sym_QMARK] = ACTIONS(5690),
    [anon_sym_STAR_EQ] = ACTIONS(5690),
    [anon_sym_SLASH_EQ] = ACTIONS(5690),
    [anon_sym_PERCENT_EQ] = ACTIONS(5690),
    [anon_sym_PLUS_EQ] = ACTIONS(5690),
    [anon_sym_DASH_EQ] = ACTIONS(5690),
    [anon_sym_LT_LT_EQ] = ACTIONS(5690),
    [anon_sym_GT_GT_EQ] = ACTIONS(5690),
    [anon_sym_AMP_EQ] = ACTIONS(5690),
    [anon_sym_CARET_EQ] = ACTIONS(5690),
    [anon_sym_PIPE_EQ] = ACTIONS(5690),
    [anon_sym_and_eq] = ACTIONS(5688),
    [anon_sym_or_eq] = ACTIONS(5688),
    [anon_sym_xor_eq] = ACTIONS(5688),
    [anon_sym_LT_EQ_GT] = ACTIONS(5690),
    [anon_sym_or] = ACTIONS(5688),
    [anon_sym_and] = ACTIONS(5688),
    [anon_sym_bitor] = ACTIONS(5688),
    [anon_sym_xor] = ACTIONS(5688),
    [anon_sym_bitand] = ACTIONS(5688),
    [anon_sym_not_eq] = ACTIONS(5688),
    [anon_sym_DASH_DASH] = ACTIONS(5690),
    [anon_sym_PLUS_PLUS] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_DOT_STAR] = ACTIONS(5690),
    [anon_sym_DASH_GT] = ACTIONS(5690),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5688),
    [anon_sym_decltype] = ACTIONS(5688),
  },
  [2606] = {
    [sym_template_argument_list] = STATE(2549),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(4287),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4289),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [2607] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(6520),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6520),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(4070),
    [anon_sym_LBRACK] = ACTIONS(6522),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2608] = {
    [sym_string_literal] = STATE(2620),
    [sym_template_argument_list] = STATE(3393),
    [sym_raw_string_literal] = STATE(2620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(6520),
    [anon_sym_LPAREN2] = ACTIONS(6520),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6520),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(6522),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4078),
    [anon_sym_L_DQUOTE] = ACTIONS(5533),
    [anon_sym_u_DQUOTE] = ACTIONS(5533),
    [anon_sym_U_DQUOTE] = ACTIONS(5533),
    [anon_sym_u8_DQUOTE] = ACTIONS(5533),
    [anon_sym_DQUOTE] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5535),
    [anon_sym_LR_DQUOTE] = ACTIONS(5535),
    [anon_sym_uR_DQUOTE] = ACTIONS(5535),
    [anon_sym_UR_DQUOTE] = ACTIONS(5535),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5535),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4070),
  },
  [2609] = {
    [sym_string_literal] = STATE(2442),
    [sym_template_argument_list] = STATE(2778),
    [sym_raw_string_literal] = STATE(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(6520),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(6265),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6520),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(4070),
    [anon_sym_LBRACK] = ACTIONS(6522),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
  },
  [2610] = {
    [sym_identifier] = ACTIONS(2127),
    [anon_sym___extension__] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_out] = ACTIONS(2127),
    [anon_sym_inout] = ACTIONS(2127),
    [anon_sym_virtual] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2127),
    [anon_sym___attribute__] = ACTIONS(2127),
    [anon_sym___attribute] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2129),
    [anon_sym___declspec] = ACTIONS(2127),
    [anon_sym_signed] = ACTIONS(2127),
    [anon_sym_unsigned] = ACTIONS(2127),
    [anon_sym_long] = ACTIONS(2127),
    [anon_sym_short] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_register] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(2127),
    [anon_sym___inline] = ACTIONS(2127),
    [anon_sym___inline__] = ACTIONS(2127),
    [anon_sym___forceinline] = ACTIONS(2127),
    [anon_sym_thread_local] = ACTIONS(2127),
    [anon_sym___thread] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_constexpr] = ACTIONS(2127),
    [anon_sym_volatile] = ACTIONS(2127),
    [anon_sym_restrict] = ACTIONS(2127),
    [anon_sym___restrict__] = ACTIONS(2127),
    [anon_sym__Atomic] = ACTIONS(2127),
    [anon_sym__Noreturn] = ACTIONS(2127),
    [anon_sym_noreturn] = ACTIONS(2127),
    [anon_sym__Nonnull] = ACTIONS(2127),
    [anon_sym_mutable] = ACTIONS(2127),
    [anon_sym_constinit] = ACTIONS(2127),
    [anon_sym_consteval] = ACTIONS(2127),
    [anon_sym_alignas] = ACTIONS(2127),
    [anon_sym__Alignas] = ACTIONS(2127),
    [sym_primitive_type] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_struct] = ACTIONS(2127),
    [anon_sym_union] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2127),
    [anon_sym_decltype] = ACTIONS(2127),
    [anon_sym_typename] = ACTIONS(2127),
    [anon_sym_template] = ACTIONS(2127),
    [anon_sym_precise] = ACTIONS(2127),
    [anon_sym_shared] = ACTIONS(2127),
    [anon_sym_groupshared] = ACTIONS(2127),
    [anon_sym_uniform] = ACTIONS(2127),
    [anon_sym_row_major] = ACTIONS(2127),
    [anon_sym_column_major] = ACTIONS(2127),
    [anon_sym_globallycoherent] = ACTIONS(2127),
    [anon_sym_centroid] = ACTIONS(2127),
    [anon_sym_noperspective] = ACTIONS(2127),
    [anon_sym_nointerpolation] = ACTIONS(2127),
    [anon_sym_sample] = ACTIONS(2127),
    [anon_sym_linear] = ACTIONS(2127),
    [anon_sym_snorm] = ACTIONS(2127),
    [anon_sym_unorm] = ACTIONS(2127),
    [anon_sym_point] = ACTIONS(2127),
    [anon_sym_line] = ACTIONS(2127),
    [anon_sym_triangleadj] = ACTIONS(2127),
    [anon_sym_lineadj] = ACTIONS(2127),
    [anon_sym_triangle] = ACTIONS(2127),
  },
  [2611] = {
    [sym_template_argument_list] = STATE(2574),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(4076),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4068),
    [anon_sym_PLUS] = ACTIONS(4068),
    [anon_sym_STAR] = ACTIONS(4068),
    [anon_sym_SLASH] = ACTIONS(4068),
    [anon_sym_PERCENT] = ACTIONS(4068),
    [anon_sym_PIPE_PIPE] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4068),
    [anon_sym_CARET] = ACTIONS(4068),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_EQ_EQ] = ACTIONS(4076),
    [anon_sym_BANG_EQ] = ACTIONS(4076),
    [anon_sym_GT] = ACTIONS(4068),
    [anon_sym_GT_EQ] = ACTIONS(4076),
    [anon_sym_LT_EQ] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(6403),
    [anon_sym_LT_LT] = ACTIONS(4068),
    [anon_sym_GT_GT] = ACTIONS(4068),
    [anon_sym_COLON] = ACTIONS(4068),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___attribute__] = ACTIONS(4076),
    [anon_sym___attribute] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(4076),
    [anon_sym_RBRACE] = ACTIONS(4076),
    [anon_sym_signed] = ACTIONS(6524),
    [anon_sym_unsigned] = ACTIONS(6524),
    [anon_sym_long] = ACTIONS(6524),
    [anon_sym_short] = ACTIONS(6524),
    [anon_sym_LBRACK] = ACTIONS(4076),
    [anon_sym_RBRACK] = ACTIONS(4076),
    [anon_sym_EQ] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4076),
    [anon_sym_STAR_EQ] = ACTIONS(4076),
    [anon_sym_SLASH_EQ] = ACTIONS(4076),
    [anon_sym_PERCENT_EQ] = ACTIONS(4076),
    [anon_sym_PLUS_EQ] = ACTIONS(4076),
    [anon_sym_DASH_EQ] = ACTIONS(4076),
    [anon_sym_LT_LT_EQ] = ACTIONS(4076),
    [anon_sym_GT_GT_EQ] = ACTIONS(4076),
    [anon_sym_AMP_EQ] = ACTIONS(4076),
    [anon_sym_CARET_EQ] = ACTIONS(4076),
    [anon_sym_PIPE_EQ] = ACTIONS(4076),
    [anon_sym_and_eq] = ACTIONS(4076),
    [anon_sym_or_eq] = ACTIONS(4076),
    [anon_sym_xor_eq] = ACTIONS(4076),
    [anon_sym_LT_EQ_GT] = ACTIONS(4076),
    [anon_sym_or] = ACTIONS(4068),
    [anon_sym_and] = ACTIONS(4068),
    [anon_sym_bitor] = ACTIONS(4076),
    [anon_sym_xor] = ACTIONS(4068),
    [anon_sym_bitand] = ACTIONS(4076),
    [anon_sym_not_eq] = ACTIONS(4076),
    [anon_sym_DASH_DASH] = ACTIONS(4076),
    [anon_sym_PLUS_PLUS] = ACTIONS(4076),
    [anon_sym_DOT] = ACTIONS(4068),
    [anon_sym_DOT_STAR] = ACTIONS(4076),
    [anon_sym_DASH_GT] = ACTIONS(4076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4076),
    [anon_sym_decltype] = ACTIONS(4076),
  },
  [2612] = {
    [sym_string_literal] = STATE(2620),
    [sym_template_argument_list] = STATE(3393),
    [sym_raw_string_literal] = STATE(2620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4078),
    [anon_sym_L_DQUOTE] = ACTIONS(5533),
    [anon_sym_u_DQUOTE] = ACTIONS(5533),
    [anon_sym_U_DQUOTE] = ACTIONS(5533),
    [anon_sym_u8_DQUOTE] = ACTIONS(5533),
    [anon_sym_DQUOTE] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5535),
    [anon_sym_LR_DQUOTE] = ACTIONS(5535),
    [anon_sym_uR_DQUOTE] = ACTIONS(5535),
    [anon_sym_UR_DQUOTE] = ACTIONS(5535),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5535),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4070),
  },
  [2613] = {
    [sym_identifier] = ACTIONS(2169),
    [anon_sym___extension__] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2169),
    [anon_sym_out] = ACTIONS(2169),
    [anon_sym_inout] = ACTIONS(2169),
    [anon_sym_virtual] = ACTIONS(2169),
    [anon_sym_extern] = ACTIONS(2169),
    [anon_sym___attribute__] = ACTIONS(2169),
    [anon_sym___attribute] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2171),
    [anon_sym___declspec] = ACTIONS(2169),
    [anon_sym_signed] = ACTIONS(2169),
    [anon_sym_unsigned] = ACTIONS(2169),
    [anon_sym_long] = ACTIONS(2169),
    [anon_sym_short] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_register] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(2169),
    [anon_sym___inline] = ACTIONS(2169),
    [anon_sym___inline__] = ACTIONS(2169),
    [anon_sym___forceinline] = ACTIONS(2169),
    [anon_sym_thread_local] = ACTIONS(2169),
    [anon_sym___thread] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_constexpr] = ACTIONS(2169),
    [anon_sym_volatile] = ACTIONS(2169),
    [anon_sym_restrict] = ACTIONS(2169),
    [anon_sym___restrict__] = ACTIONS(2169),
    [anon_sym__Atomic] = ACTIONS(2169),
    [anon_sym__Noreturn] = ACTIONS(2169),
    [anon_sym_noreturn] = ACTIONS(2169),
    [anon_sym__Nonnull] = ACTIONS(2169),
    [anon_sym_mutable] = ACTIONS(2169),
    [anon_sym_constinit] = ACTIONS(2169),
    [anon_sym_consteval] = ACTIONS(2169),
    [anon_sym_alignas] = ACTIONS(2169),
    [anon_sym__Alignas] = ACTIONS(2169),
    [sym_primitive_type] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_struct] = ACTIONS(2169),
    [anon_sym_union] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2169),
    [anon_sym_decltype] = ACTIONS(2169),
    [anon_sym_typename] = ACTIONS(2169),
    [anon_sym_template] = ACTIONS(2169),
    [anon_sym_precise] = ACTIONS(2169),
    [anon_sym_shared] = ACTIONS(2169),
    [anon_sym_groupshared] = ACTIONS(2169),
    [anon_sym_uniform] = ACTIONS(2169),
    [anon_sym_row_major] = ACTIONS(2169),
    [anon_sym_column_major] = ACTIONS(2169),
    [anon_sym_globallycoherent] = ACTIONS(2169),
    [anon_sym_centroid] = ACTIONS(2169),
    [anon_sym_noperspective] = ACTIONS(2169),
    [anon_sym_nointerpolation] = ACTIONS(2169),
    [anon_sym_sample] = ACTIONS(2169),
    [anon_sym_linear] = ACTIONS(2169),
    [anon_sym_snorm] = ACTIONS(2169),
    [anon_sym_unorm] = ACTIONS(2169),
    [anon_sym_point] = ACTIONS(2169),
    [anon_sym_line] = ACTIONS(2169),
    [anon_sym_triangleadj] = ACTIONS(2169),
    [anon_sym_lineadj] = ACTIONS(2169),
    [anon_sym_triangle] = ACTIONS(2169),
  },
  [2614] = {
    [sym_template_argument_list] = STATE(2465),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5690),
    [anon_sym_COMMA] = ACTIONS(5690),
    [anon_sym_RPAREN] = ACTIONS(5690),
    [anon_sym_LPAREN2] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5688),
    [anon_sym_STAR] = ACTIONS(5688),
    [anon_sym_SLASH] = ACTIONS(5688),
    [anon_sym_PERCENT] = ACTIONS(5688),
    [anon_sym_PIPE_PIPE] = ACTIONS(5690),
    [anon_sym_AMP_AMP] = ACTIONS(5690),
    [anon_sym_PIPE] = ACTIONS(5688),
    [anon_sym_CARET] = ACTIONS(5688),
    [anon_sym_AMP] = ACTIONS(5688),
    [anon_sym_EQ_EQ] = ACTIONS(5690),
    [anon_sym_BANG_EQ] = ACTIONS(5690),
    [anon_sym_GT] = ACTIONS(5688),
    [anon_sym_GT_EQ] = ACTIONS(5690),
    [anon_sym_LT_EQ] = ACTIONS(5688),
    [anon_sym_LT] = ACTIONS(5688),
    [anon_sym_LT_LT] = ACTIONS(5688),
    [anon_sym_GT_GT] = ACTIONS(5688),
    [anon_sym_COLON] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [anon_sym___attribute__] = ACTIONS(5690),
    [anon_sym___attribute] = ACTIONS(5688),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(5690),
    [anon_sym_RBRACE] = ACTIONS(5690),
    [anon_sym_signed] = ACTIONS(6524),
    [anon_sym_unsigned] = ACTIONS(6524),
    [anon_sym_long] = ACTIONS(6524),
    [anon_sym_short] = ACTIONS(6524),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [anon_sym_RBRACK] = ACTIONS(5690),
    [anon_sym_EQ] = ACTIONS(5688),
    [anon_sym_QMARK] = ACTIONS(5690),
    [anon_sym_STAR_EQ] = ACTIONS(5690),
    [anon_sym_SLASH_EQ] = ACTIONS(5690),
    [anon_sym_PERCENT_EQ] = ACTIONS(5690),
    [anon_sym_PLUS_EQ] = ACTIONS(5690),
    [anon_sym_DASH_EQ] = ACTIONS(5690),
    [anon_sym_LT_LT_EQ] = ACTIONS(5690),
    [anon_sym_GT_GT_EQ] = ACTIONS(5690),
    [anon_sym_AMP_EQ] = ACTIONS(5690),
    [anon_sym_CARET_EQ] = ACTIONS(5690),
    [anon_sym_PIPE_EQ] = ACTIONS(5690),
    [anon_sym_and_eq] = ACTIONS(5690),
    [anon_sym_or_eq] = ACTIONS(5690),
    [anon_sym_xor_eq] = ACTIONS(5690),
    [anon_sym_LT_EQ_GT] = ACTIONS(5690),
    [anon_sym_or] = ACTIONS(5688),
    [anon_sym_and] = ACTIONS(5688),
    [anon_sym_bitor] = ACTIONS(5690),
    [anon_sym_xor] = ACTIONS(5688),
    [anon_sym_bitand] = ACTIONS(5690),
    [anon_sym_not_eq] = ACTIONS(5690),
    [anon_sym_DASH_DASH] = ACTIONS(5690),
    [anon_sym_PLUS_PLUS] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_DOT_STAR] = ACTIONS(5690),
    [anon_sym_DASH_GT] = ACTIONS(5690),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5690),
    [anon_sym_decltype] = ACTIONS(5690),
  },
  [2615] = {
    [sym_identifier] = ACTIONS(2209),
    [anon_sym___extension__] = ACTIONS(2209),
    [anon_sym_in] = ACTIONS(2209),
    [anon_sym_out] = ACTIONS(2209),
    [anon_sym_inout] = ACTIONS(2209),
    [anon_sym_virtual] = ACTIONS(2209),
    [anon_sym_extern] = ACTIONS(2209),
    [anon_sym___attribute__] = ACTIONS(2209),
    [anon_sym___attribute] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2211),
    [anon_sym___declspec] = ACTIONS(2209),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_register] = ACTIONS(2209),
    [anon_sym_inline] = ACTIONS(2209),
    [anon_sym___inline] = ACTIONS(2209),
    [anon_sym___inline__] = ACTIONS(2209),
    [anon_sym___forceinline] = ACTIONS(2209),
    [anon_sym_thread_local] = ACTIONS(2209),
    [anon_sym___thread] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_constexpr] = ACTIONS(2209),
    [anon_sym_volatile] = ACTIONS(2209),
    [anon_sym_restrict] = ACTIONS(2209),
    [anon_sym___restrict__] = ACTIONS(2209),
    [anon_sym__Atomic] = ACTIONS(2209),
    [anon_sym__Noreturn] = ACTIONS(2209),
    [anon_sym_noreturn] = ACTIONS(2209),
    [anon_sym__Nonnull] = ACTIONS(2209),
    [anon_sym_mutable] = ACTIONS(2209),
    [anon_sym_constinit] = ACTIONS(2209),
    [anon_sym_consteval] = ACTIONS(2209),
    [anon_sym_alignas] = ACTIONS(2209),
    [anon_sym__Alignas] = ACTIONS(2209),
    [sym_primitive_type] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_struct] = ACTIONS(2209),
    [anon_sym_union] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2209),
    [anon_sym_decltype] = ACTIONS(2209),
    [anon_sym_typename] = ACTIONS(2209),
    [anon_sym_template] = ACTIONS(2209),
    [anon_sym_precise] = ACTIONS(2209),
    [anon_sym_shared] = ACTIONS(2209),
    [anon_sym_groupshared] = ACTIONS(2209),
    [anon_sym_uniform] = ACTIONS(2209),
    [anon_sym_row_major] = ACTIONS(2209),
    [anon_sym_column_major] = ACTIONS(2209),
    [anon_sym_globallycoherent] = ACTIONS(2209),
    [anon_sym_centroid] = ACTIONS(2209),
    [anon_sym_noperspective] = ACTIONS(2209),
    [anon_sym_nointerpolation] = ACTIONS(2209),
    [anon_sym_sample] = ACTIONS(2209),
    [anon_sym_linear] = ACTIONS(2209),
    [anon_sym_snorm] = ACTIONS(2209),
    [anon_sym_unorm] = ACTIONS(2209),
    [anon_sym_point] = ACTIONS(2209),
    [anon_sym_line] = ACTIONS(2209),
    [anon_sym_triangleadj] = ACTIONS(2209),
    [anon_sym_lineadj] = ACTIONS(2209),
    [anon_sym_triangle] = ACTIONS(2209),
  },
  [2616] = {
    [sym_identifier] = ACTIONS(2221),
    [anon_sym___extension__] = ACTIONS(2221),
    [anon_sym_in] = ACTIONS(2221),
    [anon_sym_out] = ACTIONS(2221),
    [anon_sym_inout] = ACTIONS(2221),
    [anon_sym_virtual] = ACTIONS(2221),
    [anon_sym_extern] = ACTIONS(2221),
    [anon_sym___attribute__] = ACTIONS(2221),
    [anon_sym___attribute] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2223),
    [anon_sym___declspec] = ACTIONS(2221),
    [anon_sym_signed] = ACTIONS(2221),
    [anon_sym_unsigned] = ACTIONS(2221),
    [anon_sym_long] = ACTIONS(2221),
    [anon_sym_short] = ACTIONS(2221),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_register] = ACTIONS(2221),
    [anon_sym_inline] = ACTIONS(2221),
    [anon_sym___inline] = ACTIONS(2221),
    [anon_sym___inline__] = ACTIONS(2221),
    [anon_sym___forceinline] = ACTIONS(2221),
    [anon_sym_thread_local] = ACTIONS(2221),
    [anon_sym___thread] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_constexpr] = ACTIONS(2221),
    [anon_sym_volatile] = ACTIONS(2221),
    [anon_sym_restrict] = ACTIONS(2221),
    [anon_sym___restrict__] = ACTIONS(2221),
    [anon_sym__Atomic] = ACTIONS(2221),
    [anon_sym__Noreturn] = ACTIONS(2221),
    [anon_sym_noreturn] = ACTIONS(2221),
    [anon_sym__Nonnull] = ACTIONS(2221),
    [anon_sym_mutable] = ACTIONS(2221),
    [anon_sym_constinit] = ACTIONS(2221),
    [anon_sym_consteval] = ACTIONS(2221),
    [anon_sym_alignas] = ACTIONS(2221),
    [anon_sym__Alignas] = ACTIONS(2221),
    [sym_primitive_type] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_union] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2221),
    [anon_sym_decltype] = ACTIONS(2221),
    [anon_sym_typename] = ACTIONS(2221),
    [anon_sym_template] = ACTIONS(2221),
    [anon_sym_precise] = ACTIONS(2221),
    [anon_sym_shared] = ACTIONS(2221),
    [anon_sym_groupshared] = ACTIONS(2221),
    [anon_sym_uniform] = ACTIONS(2221),
    [anon_sym_row_major] = ACTIONS(2221),
    [anon_sym_column_major] = ACTIONS(2221),
    [anon_sym_globallycoherent] = ACTIONS(2221),
    [anon_sym_centroid] = ACTIONS(2221),
    [anon_sym_noperspective] = ACTIONS(2221),
    [anon_sym_nointerpolation] = ACTIONS(2221),
    [anon_sym_sample] = ACTIONS(2221),
    [anon_sym_linear] = ACTIONS(2221),
    [anon_sym_snorm] = ACTIONS(2221),
    [anon_sym_unorm] = ACTIONS(2221),
    [anon_sym_point] = ACTIONS(2221),
    [anon_sym_line] = ACTIONS(2221),
    [anon_sym_triangleadj] = ACTIONS(2221),
    [anon_sym_lineadj] = ACTIONS(2221),
    [anon_sym_triangle] = ACTIONS(2221),
  },
  [2617] = {
    [sym_identifier] = ACTIONS(2647),
    [anon_sym___extension__] = ACTIONS(2647),
    [anon_sym_in] = ACTIONS(2647),
    [anon_sym_out] = ACTIONS(2647),
    [anon_sym_inout] = ACTIONS(2647),
    [anon_sym_virtual] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym___attribute__] = ACTIONS(2647),
    [anon_sym___attribute] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2649),
    [anon_sym___declspec] = ACTIONS(2647),
    [anon_sym_signed] = ACTIONS(2647),
    [anon_sym_unsigned] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_register] = ACTIONS(2647),
    [anon_sym_inline] = ACTIONS(2647),
    [anon_sym___inline] = ACTIONS(2647),
    [anon_sym___inline__] = ACTIONS(2647),
    [anon_sym___forceinline] = ACTIONS(2647),
    [anon_sym_thread_local] = ACTIONS(2647),
    [anon_sym___thread] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_constexpr] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_restrict] = ACTIONS(2647),
    [anon_sym___restrict__] = ACTIONS(2647),
    [anon_sym__Atomic] = ACTIONS(2647),
    [anon_sym__Noreturn] = ACTIONS(2647),
    [anon_sym_noreturn] = ACTIONS(2647),
    [anon_sym__Nonnull] = ACTIONS(2647),
    [anon_sym_mutable] = ACTIONS(2647),
    [anon_sym_constinit] = ACTIONS(2647),
    [anon_sym_consteval] = ACTIONS(2647),
    [anon_sym_alignas] = ACTIONS(2647),
    [anon_sym__Alignas] = ACTIONS(2647),
    [sym_primitive_type] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2647),
    [anon_sym_decltype] = ACTIONS(2647),
    [anon_sym_typename] = ACTIONS(2647),
    [anon_sym_template] = ACTIONS(2647),
    [anon_sym_precise] = ACTIONS(2647),
    [anon_sym_shared] = ACTIONS(2647),
    [anon_sym_groupshared] = ACTIONS(2647),
    [anon_sym_uniform] = ACTIONS(2647),
    [anon_sym_row_major] = ACTIONS(2647),
    [anon_sym_column_major] = ACTIONS(2647),
    [anon_sym_globallycoherent] = ACTIONS(2647),
    [anon_sym_centroid] = ACTIONS(2647),
    [anon_sym_noperspective] = ACTIONS(2647),
    [anon_sym_nointerpolation] = ACTIONS(2647),
    [anon_sym_sample] = ACTIONS(2647),
    [anon_sym_linear] = ACTIONS(2647),
    [anon_sym_snorm] = ACTIONS(2647),
    [anon_sym_unorm] = ACTIONS(2647),
    [anon_sym_point] = ACTIONS(2647),
    [anon_sym_line] = ACTIONS(2647),
    [anon_sym_triangleadj] = ACTIONS(2647),
    [anon_sym_lineadj] = ACTIONS(2647),
    [anon_sym_triangle] = ACTIONS(2647),
  },
  [2618] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4211),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2619] = {
    [sym_identifier] = ACTIONS(2378),
    [anon_sym___extension__] = ACTIONS(2378),
    [anon_sym_in] = ACTIONS(2378),
    [anon_sym_out] = ACTIONS(2378),
    [anon_sym_inout] = ACTIONS(2378),
    [anon_sym_virtual] = ACTIONS(2378),
    [anon_sym_extern] = ACTIONS(2378),
    [anon_sym___attribute__] = ACTIONS(2378),
    [anon_sym___attribute] = ACTIONS(2378),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2380),
    [anon_sym___declspec] = ACTIONS(2378),
    [anon_sym_signed] = ACTIONS(2378),
    [anon_sym_unsigned] = ACTIONS(2378),
    [anon_sym_long] = ACTIONS(2378),
    [anon_sym_short] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_register] = ACTIONS(2378),
    [anon_sym_inline] = ACTIONS(2378),
    [anon_sym___inline] = ACTIONS(2378),
    [anon_sym___inline__] = ACTIONS(2378),
    [anon_sym___forceinline] = ACTIONS(2378),
    [anon_sym_thread_local] = ACTIONS(2378),
    [anon_sym___thread] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_constexpr] = ACTIONS(2378),
    [anon_sym_volatile] = ACTIONS(2378),
    [anon_sym_restrict] = ACTIONS(2378),
    [anon_sym___restrict__] = ACTIONS(2378),
    [anon_sym__Atomic] = ACTIONS(2378),
    [anon_sym__Noreturn] = ACTIONS(2378),
    [anon_sym_noreturn] = ACTIONS(2378),
    [anon_sym__Nonnull] = ACTIONS(2378),
    [anon_sym_mutable] = ACTIONS(2378),
    [anon_sym_constinit] = ACTIONS(2378),
    [anon_sym_consteval] = ACTIONS(2378),
    [anon_sym_alignas] = ACTIONS(2378),
    [anon_sym__Alignas] = ACTIONS(2378),
    [sym_primitive_type] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_struct] = ACTIONS(2378),
    [anon_sym_union] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2378),
    [anon_sym_decltype] = ACTIONS(2378),
    [anon_sym_typename] = ACTIONS(2378),
    [anon_sym_template] = ACTIONS(2378),
    [anon_sym_precise] = ACTIONS(2378),
    [anon_sym_shared] = ACTIONS(2378),
    [anon_sym_groupshared] = ACTIONS(2378),
    [anon_sym_uniform] = ACTIONS(2378),
    [anon_sym_row_major] = ACTIONS(2378),
    [anon_sym_column_major] = ACTIONS(2378),
    [anon_sym_globallycoherent] = ACTIONS(2378),
    [anon_sym_centroid] = ACTIONS(2378),
    [anon_sym_noperspective] = ACTIONS(2378),
    [anon_sym_nointerpolation] = ACTIONS(2378),
    [anon_sym_sample] = ACTIONS(2378),
    [anon_sym_linear] = ACTIONS(2378),
    [anon_sym_snorm] = ACTIONS(2378),
    [anon_sym_unorm] = ACTIONS(2378),
    [anon_sym_point] = ACTIONS(2378),
    [anon_sym_line] = ACTIONS(2378),
    [anon_sym_triangleadj] = ACTIONS(2378),
    [anon_sym_lineadj] = ACTIONS(2378),
    [anon_sym_triangle] = ACTIONS(2378),
  },
  [2620] = {
    [sym_string_literal] = STATE(2628),
    [sym_raw_string_literal] = STATE(2628),
    [aux_sym_concatenated_string_repeat1] = STATE(2628),
    [sym_identifier] = ACTIONS(6526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6276),
    [anon_sym_COMMA] = ACTIONS(6276),
    [anon_sym_RPAREN] = ACTIONS(6276),
    [anon_sym_LPAREN2] = ACTIONS(6276),
    [anon_sym_DASH] = ACTIONS(6278),
    [anon_sym_PLUS] = ACTIONS(6278),
    [anon_sym_STAR] = ACTIONS(6278),
    [anon_sym_SLASH] = ACTIONS(6278),
    [anon_sym_PERCENT] = ACTIONS(6278),
    [anon_sym_PIPE_PIPE] = ACTIONS(6276),
    [anon_sym_AMP_AMP] = ACTIONS(6276),
    [anon_sym_PIPE] = ACTIONS(6278),
    [anon_sym_CARET] = ACTIONS(6278),
    [anon_sym_AMP] = ACTIONS(6278),
    [anon_sym_EQ_EQ] = ACTIONS(6276),
    [anon_sym_BANG_EQ] = ACTIONS(6276),
    [anon_sym_GT] = ACTIONS(6278),
    [anon_sym_GT_EQ] = ACTIONS(6276),
    [anon_sym_LT_EQ] = ACTIONS(6278),
    [anon_sym_LT] = ACTIONS(6278),
    [anon_sym_LT_LT] = ACTIONS(6278),
    [anon_sym_GT_GT] = ACTIONS(6278),
    [anon_sym_LBRACK] = ACTIONS(6276),
    [anon_sym_EQ] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(6276),
    [anon_sym_STAR_EQ] = ACTIONS(6276),
    [anon_sym_SLASH_EQ] = ACTIONS(6276),
    [anon_sym_PERCENT_EQ] = ACTIONS(6276),
    [anon_sym_PLUS_EQ] = ACTIONS(6276),
    [anon_sym_DASH_EQ] = ACTIONS(6276),
    [anon_sym_LT_LT_EQ] = ACTIONS(6276),
    [anon_sym_GT_GT_EQ] = ACTIONS(6276),
    [anon_sym_AMP_EQ] = ACTIONS(6276),
    [anon_sym_CARET_EQ] = ACTIONS(6276),
    [anon_sym_PIPE_EQ] = ACTIONS(6276),
    [anon_sym_and_eq] = ACTIONS(6278),
    [anon_sym_or_eq] = ACTIONS(6278),
    [anon_sym_xor_eq] = ACTIONS(6278),
    [anon_sym_LT_EQ_GT] = ACTIONS(6276),
    [anon_sym_or] = ACTIONS(6278),
    [anon_sym_and] = ACTIONS(6278),
    [anon_sym_bitor] = ACTIONS(6278),
    [anon_sym_xor] = ACTIONS(6278),
    [anon_sym_bitand] = ACTIONS(6278),
    [anon_sym_not_eq] = ACTIONS(6278),
    [anon_sym_DASH_DASH] = ACTIONS(6276),
    [anon_sym_PLUS_PLUS] = ACTIONS(6276),
    [anon_sym_DOT] = ACTIONS(6278),
    [anon_sym_DOT_STAR] = ACTIONS(6276),
    [anon_sym_DASH_GT] = ACTIONS(6278),
    [anon_sym_L_DQUOTE] = ACTIONS(5533),
    [anon_sym_u_DQUOTE] = ACTIONS(5533),
    [anon_sym_U_DQUOTE] = ACTIONS(5533),
    [anon_sym_u8_DQUOTE] = ACTIONS(5533),
    [anon_sym_DQUOTE] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5535),
    [anon_sym_LR_DQUOTE] = ACTIONS(5535),
    [anon_sym_uR_DQUOTE] = ACTIONS(5535),
    [anon_sym_UR_DQUOTE] = ACTIONS(5535),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5535),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6276),
    [sym_literal_suffix] = ACTIONS(6278),
  },
  [2621] = {
    [sym_attribute_declaration] = STATE(2695),
    [sym_parameter_list] = STATE(2713),
    [aux_sym_attributed_declarator_repeat1] = STATE(2695),
    [sym_identifier] = ACTIONS(6528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6530),
    [anon_sym_COMMA] = ACTIONS(6530),
    [anon_sym_RPAREN] = ACTIONS(6530),
    [aux_sym_preproc_if_token2] = ACTIONS(6530),
    [aux_sym_preproc_else_token1] = ACTIONS(6530),
    [aux_sym_preproc_elif_token1] = ACTIONS(6528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6530),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6530),
    [anon_sym_LPAREN2] = ACTIONS(6532),
    [anon_sym_DASH] = ACTIONS(6528),
    [anon_sym_PLUS] = ACTIONS(6528),
    [anon_sym_STAR] = ACTIONS(6528),
    [anon_sym_SLASH] = ACTIONS(6528),
    [anon_sym_PERCENT] = ACTIONS(6528),
    [anon_sym_PIPE_PIPE] = ACTIONS(6530),
    [anon_sym_AMP_AMP] = ACTIONS(6530),
    [anon_sym_PIPE] = ACTIONS(6528),
    [anon_sym_CARET] = ACTIONS(6528),
    [anon_sym_AMP] = ACTIONS(6528),
    [anon_sym_EQ_EQ] = ACTIONS(6530),
    [anon_sym_BANG_EQ] = ACTIONS(6530),
    [anon_sym_GT] = ACTIONS(6528),
    [anon_sym_GT_EQ] = ACTIONS(6530),
    [anon_sym_LT_EQ] = ACTIONS(6528),
    [anon_sym_LT] = ACTIONS(6528),
    [anon_sym_LT_LT] = ACTIONS(6528),
    [anon_sym_GT_GT] = ACTIONS(6528),
    [anon_sym_COLON] = ACTIONS(6530),
    [anon_sym_SEMI] = ACTIONS(6530),
    [anon_sym___attribute__] = ACTIONS(6528),
    [anon_sym___attribute] = ACTIONS(6528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6534),
    [anon_sym_RBRACE] = ACTIONS(6530),
    [anon_sym_LBRACK] = ACTIONS(6536),
    [anon_sym_RBRACK] = ACTIONS(6530),
    [anon_sym_EQ] = ACTIONS(6528),
    [anon_sym_QMARK] = ACTIONS(6530),
    [anon_sym_STAR_EQ] = ACTIONS(6530),
    [anon_sym_SLASH_EQ] = ACTIONS(6530),
    [anon_sym_PERCENT_EQ] = ACTIONS(6530),
    [anon_sym_PLUS_EQ] = ACTIONS(6530),
    [anon_sym_DASH_EQ] = ACTIONS(6530),
    [anon_sym_LT_LT_EQ] = ACTIONS(6530),
    [anon_sym_GT_GT_EQ] = ACTIONS(6530),
    [anon_sym_AMP_EQ] = ACTIONS(6530),
    [anon_sym_CARET_EQ] = ACTIONS(6530),
    [anon_sym_PIPE_EQ] = ACTIONS(6530),
    [anon_sym_and_eq] = ACTIONS(6528),
    [anon_sym_or_eq] = ACTIONS(6528),
    [anon_sym_xor_eq] = ACTIONS(6528),
    [anon_sym_LT_EQ_GT] = ACTIONS(6530),
    [anon_sym_or] = ACTIONS(6528),
    [anon_sym_and] = ACTIONS(6528),
    [anon_sym_bitor] = ACTIONS(6528),
    [anon_sym_xor] = ACTIONS(6528),
    [anon_sym_bitand] = ACTIONS(6528),
    [anon_sym_not_eq] = ACTIONS(6528),
    [anon_sym_DASH_DASH] = ACTIONS(6530),
    [anon_sym_PLUS_PLUS] = ACTIONS(6530),
    [anon_sym_DOT] = ACTIONS(6528),
    [anon_sym_DOT_STAR] = ACTIONS(6530),
    [anon_sym_DASH_GT] = ACTIONS(6530),
    [sym_comment] = ACTIONS(3),
  },
  [2622] = {
    [sym_type_qualifier] = STATE(2623),
    [sym_alignas_qualifier] = STATE(2624),
    [aux_sym__type_definition_type_repeat1] = STATE(2623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2842),
    [sym_identifier] = ACTIONS(6538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5551),
    [anon_sym_PLUS] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5549),
    [anon_sym_SLASH] = ACTIONS(5551),
    [anon_sym_PERCENT] = ACTIONS(5549),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5551),
    [anon_sym_CARET] = ACTIONS(5549),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5551),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5551),
    [anon_sym_LT] = ACTIONS(5551),
    [anon_sym_LT_LT] = ACTIONS(5549),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(6540),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym___attribute] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(6542),
    [anon_sym_unsigned] = ACTIONS(6542),
    [anon_sym_long] = ACTIONS(6542),
    [anon_sym_short] = ACTIONS(6542),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_const] = ACTIONS(6540),
    [anon_sym_constexpr] = ACTIONS(6540),
    [anon_sym_volatile] = ACTIONS(6540),
    [anon_sym_restrict] = ACTIONS(6540),
    [anon_sym___restrict__] = ACTIONS(6540),
    [anon_sym__Atomic] = ACTIONS(6540),
    [anon_sym__Noreturn] = ACTIONS(6540),
    [anon_sym_noreturn] = ACTIONS(6540),
    [anon_sym__Nonnull] = ACTIONS(6540),
    [anon_sym_mutable] = ACTIONS(6540),
    [anon_sym_constinit] = ACTIONS(6540),
    [anon_sym_consteval] = ACTIONS(6540),
    [anon_sym_alignas] = ACTIONS(6544),
    [anon_sym__Alignas] = ACTIONS(6544),
    [sym_primitive_type] = ACTIONS(6546),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5551),
    [anon_sym_and] = ACTIONS(5551),
    [anon_sym_bitor] = ACTIONS(5551),
    [anon_sym_xor] = ACTIONS(5551),
    [anon_sym_bitand] = ACTIONS(5551),
    [anon_sym_not_eq] = ACTIONS(5551),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5551),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
    [anon_sym_GT2] = ACTIONS(5549),
  },
  [2623] = {
    [sym_type_qualifier] = STATE(2699),
    [sym_alignas_qualifier] = STATE(2624),
    [aux_sym__type_definition_type_repeat1] = STATE(2699),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2732),
    [sym_identifier] = ACTIONS(6548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5598),
    [anon_sym_COMMA] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_SLASH] = ACTIONS(5600),
    [anon_sym_PERCENT] = ACTIONS(5598),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_PIPE] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5598),
    [anon_sym_BANG_EQ] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5600),
    [anon_sym_LT_LT] = ACTIONS(5598),
    [anon_sym_GT_GT] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(6540),
    [anon_sym___attribute__] = ACTIONS(5600),
    [anon_sym___attribute] = ACTIONS(5600),
    [anon_sym_LBRACE] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(6550),
    [anon_sym_unsigned] = ACTIONS(6550),
    [anon_sym_long] = ACTIONS(6550),
    [anon_sym_short] = ACTIONS(6550),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_const] = ACTIONS(6540),
    [anon_sym_constexpr] = ACTIONS(6540),
    [anon_sym_volatile] = ACTIONS(6540),
    [anon_sym_restrict] = ACTIONS(6540),
    [anon_sym___restrict__] = ACTIONS(6540),
    [anon_sym__Atomic] = ACTIONS(6540),
    [anon_sym__Noreturn] = ACTIONS(6540),
    [anon_sym_noreturn] = ACTIONS(6540),
    [anon_sym__Nonnull] = ACTIONS(6540),
    [anon_sym_mutable] = ACTIONS(6540),
    [anon_sym_constinit] = ACTIONS(6540),
    [anon_sym_consteval] = ACTIONS(6540),
    [anon_sym_alignas] = ACTIONS(6544),
    [anon_sym__Alignas] = ACTIONS(6544),
    [sym_primitive_type] = ACTIONS(6552),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_LT_EQ_GT] = ACTIONS(5598),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_bitor] = ACTIONS(5600),
    [anon_sym_xor] = ACTIONS(5600),
    [anon_sym_bitand] = ACTIONS(5600),
    [anon_sym_not_eq] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_DOT_STAR] = ACTIONS(5598),
    [anon_sym_DASH_GT] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5600),
    [anon_sym_decltype] = ACTIONS(5600),
    [anon_sym_GT2] = ACTIONS(5598),
  },
  [2624] = {
    [sym_identifier] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_COMMA] = ACTIONS(2241),
    [anon_sym_LPAREN2] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2241),
    [anon_sym_PIPE_PIPE] = ACTIONS(2241),
    [anon_sym_AMP_AMP] = ACTIONS(2241),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2241),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2241),
    [anon_sym_BANG_EQ] = ACTIONS(2241),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2241),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_COLON] = ACTIONS(2241),
    [anon_sym___extension__] = ACTIONS(2251),
    [anon_sym___attribute__] = ACTIONS(2251),
    [anon_sym___attribute] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_signed] = ACTIONS(2251),
    [anon_sym_unsigned] = ACTIONS(2251),
    [anon_sym_long] = ACTIONS(2251),
    [anon_sym_short] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2251),
    [anon_sym_constexpr] = ACTIONS(2251),
    [anon_sym_volatile] = ACTIONS(2251),
    [anon_sym_restrict] = ACTIONS(2251),
    [anon_sym___restrict__] = ACTIONS(2251),
    [anon_sym__Atomic] = ACTIONS(2251),
    [anon_sym__Noreturn] = ACTIONS(2251),
    [anon_sym_noreturn] = ACTIONS(2251),
    [anon_sym__Nonnull] = ACTIONS(2251),
    [anon_sym_mutable] = ACTIONS(2251),
    [anon_sym_constinit] = ACTIONS(2251),
    [anon_sym_consteval] = ACTIONS(2251),
    [anon_sym_alignas] = ACTIONS(2251),
    [anon_sym__Alignas] = ACTIONS(2251),
    [sym_primitive_type] = ACTIONS(2251),
    [anon_sym_QMARK] = ACTIONS(2241),
    [anon_sym_LT_EQ_GT] = ACTIONS(2241),
    [anon_sym_or] = ACTIONS(2251),
    [anon_sym_and] = ACTIONS(2251),
    [anon_sym_bitor] = ACTIONS(2251),
    [anon_sym_xor] = ACTIONS(2251),
    [anon_sym_bitand] = ACTIONS(2251),
    [anon_sym_not_eq] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_DOT_STAR] = ACTIONS(2241),
    [anon_sym_DASH_GT] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2251),
    [anon_sym_decltype] = ACTIONS(2251),
    [anon_sym_final] = ACTIONS(2251),
    [anon_sym_override] = ACTIONS(2251),
    [anon_sym_GT2] = ACTIONS(2241),
    [anon_sym_requires] = ACTIONS(2251),
  },
  [2625] = {
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4976),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(4974),
    [anon_sym_STAR] = ACTIONS(4976),
    [anon_sym_SLASH] = ACTIONS(4974),
    [anon_sym_PERCENT] = ACTIONS(4976),
    [anon_sym_PIPE_PIPE] = ACTIONS(4976),
    [anon_sym_AMP_AMP] = ACTIONS(4976),
    [anon_sym_PIPE] = ACTIONS(4974),
    [anon_sym_CARET] = ACTIONS(4976),
    [anon_sym_AMP] = ACTIONS(4974),
    [anon_sym_EQ_EQ] = ACTIONS(4976),
    [anon_sym_BANG_EQ] = ACTIONS(4976),
    [anon_sym_GT] = ACTIONS(4974),
    [anon_sym_GT_EQ] = ACTIONS(4974),
    [anon_sym_LT_EQ] = ACTIONS(4974),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_LT_LT] = ACTIONS(4976),
    [anon_sym_GT_GT] = ACTIONS(4974),
    [anon_sym_COLON] = ACTIONS(4976),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym___attribute__] = ACTIONS(4974),
    [anon_sym___attribute] = ACTIONS(4974),
    [anon_sym_LBRACE] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4974),
    [anon_sym_unsigned] = ACTIONS(4974),
    [anon_sym_long] = ACTIONS(4974),
    [anon_sym_short] = ACTIONS(4974),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_mutable] = ACTIONS(4974),
    [anon_sym_constinit] = ACTIONS(4974),
    [anon_sym_consteval] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(4974),
    [anon_sym_QMARK] = ACTIONS(4976),
    [anon_sym_LT_EQ_GT] = ACTIONS(4976),
    [anon_sym_or] = ACTIONS(4974),
    [anon_sym_and] = ACTIONS(4974),
    [anon_sym_bitor] = ACTIONS(4974),
    [anon_sym_xor] = ACTIONS(4974),
    [anon_sym_bitand] = ACTIONS(4974),
    [anon_sym_not_eq] = ACTIONS(4974),
    [anon_sym_DASH_DASH] = ACTIONS(4976),
    [anon_sym_PLUS_PLUS] = ACTIONS(4976),
    [anon_sym_DOT] = ACTIONS(4974),
    [anon_sym_DOT_STAR] = ACTIONS(4976),
    [anon_sym_DASH_GT] = ACTIONS(4976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4974),
    [anon_sym_decltype] = ACTIONS(4974),
    [anon_sym_final] = ACTIONS(4974),
    [anon_sym_override] = ACTIONS(4974),
    [anon_sym_GT2] = ACTIONS(4976),
    [anon_sym_requires] = ACTIONS(4974),
  },
  [2626] = {
    [sym_identifier] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_out] = ACTIONS(2773),
    [anon_sym_inout] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym___attribute] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2778),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2778),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym__Nonnull] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym__Alignas] = ACTIONS(2773),
    [sym_primitive_type] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_precise] = ACTIONS(2773),
    [anon_sym_shared] = ACTIONS(2773),
    [anon_sym_groupshared] = ACTIONS(2773),
    [anon_sym_uniform] = ACTIONS(2773),
    [anon_sym_row_major] = ACTIONS(2773),
    [anon_sym_column_major] = ACTIONS(2773),
    [anon_sym_globallycoherent] = ACTIONS(2773),
    [anon_sym_centroid] = ACTIONS(2773),
    [anon_sym_noperspective] = ACTIONS(2773),
    [anon_sym_nointerpolation] = ACTIONS(2773),
    [anon_sym_sample] = ACTIONS(2773),
    [anon_sym_linear] = ACTIONS(2773),
    [anon_sym_snorm] = ACTIONS(2773),
    [anon_sym_unorm] = ACTIONS(2773),
    [anon_sym_point] = ACTIONS(2773),
    [anon_sym_line] = ACTIONS(2773),
    [anon_sym_triangleadj] = ACTIONS(2773),
    [anon_sym_lineadj] = ACTIONS(2773),
    [anon_sym_triangle] = ACTIONS(2773),
  },
  [2627] = {
    [sym_attribute_declaration] = STATE(2695),
    [sym_parameter_list] = STATE(2713),
    [aux_sym_attributed_declarator_repeat1] = STATE(2695),
    [sym_identifier] = ACTIONS(6554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6556),
    [anon_sym_COMMA] = ACTIONS(6556),
    [anon_sym_RPAREN] = ACTIONS(6556),
    [aux_sym_preproc_if_token2] = ACTIONS(6556),
    [aux_sym_preproc_else_token1] = ACTIONS(6556),
    [aux_sym_preproc_elif_token1] = ACTIONS(6554),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6556),
    [anon_sym_LPAREN2] = ACTIONS(6532),
    [anon_sym_DASH] = ACTIONS(6554),
    [anon_sym_PLUS] = ACTIONS(6554),
    [anon_sym_STAR] = ACTIONS(6554),
    [anon_sym_SLASH] = ACTIONS(6554),
    [anon_sym_PERCENT] = ACTIONS(6554),
    [anon_sym_PIPE_PIPE] = ACTIONS(6556),
    [anon_sym_AMP_AMP] = ACTIONS(6556),
    [anon_sym_PIPE] = ACTIONS(6554),
    [anon_sym_CARET] = ACTIONS(6554),
    [anon_sym_AMP] = ACTIONS(6554),
    [anon_sym_EQ_EQ] = ACTIONS(6556),
    [anon_sym_BANG_EQ] = ACTIONS(6556),
    [anon_sym_GT] = ACTIONS(6554),
    [anon_sym_GT_EQ] = ACTIONS(6556),
    [anon_sym_LT_EQ] = ACTIONS(6554),
    [anon_sym_LT] = ACTIONS(6554),
    [anon_sym_LT_LT] = ACTIONS(6554),
    [anon_sym_GT_GT] = ACTIONS(6554),
    [anon_sym_COLON] = ACTIONS(6556),
    [anon_sym_SEMI] = ACTIONS(6556),
    [anon_sym___attribute__] = ACTIONS(6554),
    [anon_sym___attribute] = ACTIONS(6554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6534),
    [anon_sym_RBRACE] = ACTIONS(6556),
    [anon_sym_LBRACK] = ACTIONS(6536),
    [anon_sym_RBRACK] = ACTIONS(6556),
    [anon_sym_EQ] = ACTIONS(6554),
    [anon_sym_QMARK] = ACTIONS(6556),
    [anon_sym_STAR_EQ] = ACTIONS(6556),
    [anon_sym_SLASH_EQ] = ACTIONS(6556),
    [anon_sym_PERCENT_EQ] = ACTIONS(6556),
    [anon_sym_PLUS_EQ] = ACTIONS(6556),
    [anon_sym_DASH_EQ] = ACTIONS(6556),
    [anon_sym_LT_LT_EQ] = ACTIONS(6556),
    [anon_sym_GT_GT_EQ] = ACTIONS(6556),
    [anon_sym_AMP_EQ] = ACTIONS(6556),
    [anon_sym_CARET_EQ] = ACTIONS(6556),
    [anon_sym_PIPE_EQ] = ACTIONS(6556),
    [anon_sym_and_eq] = ACTIONS(6554),
    [anon_sym_or_eq] = ACTIONS(6554),
    [anon_sym_xor_eq] = ACTIONS(6554),
    [anon_sym_LT_EQ_GT] = ACTIONS(6556),
    [anon_sym_or] = ACTIONS(6554),
    [anon_sym_and] = ACTIONS(6554),
    [anon_sym_bitor] = ACTIONS(6554),
    [anon_sym_xor] = ACTIONS(6554),
    [anon_sym_bitand] = ACTIONS(6554),
    [anon_sym_not_eq] = ACTIONS(6554),
    [anon_sym_DASH_DASH] = ACTIONS(6556),
    [anon_sym_PLUS_PLUS] = ACTIONS(6556),
    [anon_sym_DOT] = ACTIONS(6554),
    [anon_sym_DOT_STAR] = ACTIONS(6556),
    [anon_sym_DASH_GT] = ACTIONS(6556),
    [sym_comment] = ACTIONS(3),
  },
  [2628] = {
    [sym_string_literal] = STATE(2643),
    [sym_raw_string_literal] = STATE(2643),
    [aux_sym_concatenated_string_repeat1] = STATE(2643),
    [sym_identifier] = ACTIONS(6558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6270),
    [anon_sym_COMMA] = ACTIONS(6270),
    [anon_sym_RPAREN] = ACTIONS(6270),
    [anon_sym_LPAREN2] = ACTIONS(6270),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(6272),
    [anon_sym_SLASH] = ACTIONS(6272),
    [anon_sym_PERCENT] = ACTIONS(6272),
    [anon_sym_PIPE_PIPE] = ACTIONS(6270),
    [anon_sym_AMP_AMP] = ACTIONS(6270),
    [anon_sym_PIPE] = ACTIONS(6272),
    [anon_sym_CARET] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(6272),
    [anon_sym_EQ_EQ] = ACTIONS(6270),
    [anon_sym_BANG_EQ] = ACTIONS(6270),
    [anon_sym_GT] = ACTIONS(6272),
    [anon_sym_GT_EQ] = ACTIONS(6270),
    [anon_sym_LT_EQ] = ACTIONS(6272),
    [anon_sym_LT] = ACTIONS(6272),
    [anon_sym_LT_LT] = ACTIONS(6272),
    [anon_sym_GT_GT] = ACTIONS(6272),
    [anon_sym_LBRACK] = ACTIONS(6270),
    [anon_sym_EQ] = ACTIONS(6272),
    [anon_sym_QMARK] = ACTIONS(6270),
    [anon_sym_STAR_EQ] = ACTIONS(6270),
    [anon_sym_SLASH_EQ] = ACTIONS(6270),
    [anon_sym_PERCENT_EQ] = ACTIONS(6270),
    [anon_sym_PLUS_EQ] = ACTIONS(6270),
    [anon_sym_DASH_EQ] = ACTIONS(6270),
    [anon_sym_LT_LT_EQ] = ACTIONS(6270),
    [anon_sym_GT_GT_EQ] = ACTIONS(6270),
    [anon_sym_AMP_EQ] = ACTIONS(6270),
    [anon_sym_CARET_EQ] = ACTIONS(6270),
    [anon_sym_PIPE_EQ] = ACTIONS(6270),
    [anon_sym_and_eq] = ACTIONS(6272),
    [anon_sym_or_eq] = ACTIONS(6272),
    [anon_sym_xor_eq] = ACTIONS(6272),
    [anon_sym_LT_EQ_GT] = ACTIONS(6270),
    [anon_sym_or] = ACTIONS(6272),
    [anon_sym_and] = ACTIONS(6272),
    [anon_sym_bitor] = ACTIONS(6272),
    [anon_sym_xor] = ACTIONS(6272),
    [anon_sym_bitand] = ACTIONS(6272),
    [anon_sym_not_eq] = ACTIONS(6272),
    [anon_sym_DASH_DASH] = ACTIONS(6270),
    [anon_sym_PLUS_PLUS] = ACTIONS(6270),
    [anon_sym_DOT] = ACTIONS(6272),
    [anon_sym_DOT_STAR] = ACTIONS(6270),
    [anon_sym_DASH_GT] = ACTIONS(6272),
    [anon_sym_L_DQUOTE] = ACTIONS(5533),
    [anon_sym_u_DQUOTE] = ACTIONS(5533),
    [anon_sym_U_DQUOTE] = ACTIONS(5533),
    [anon_sym_u8_DQUOTE] = ACTIONS(5533),
    [anon_sym_DQUOTE] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5535),
    [anon_sym_LR_DQUOTE] = ACTIONS(5535),
    [anon_sym_uR_DQUOTE] = ACTIONS(5535),
    [anon_sym_UR_DQUOTE] = ACTIONS(5535),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5535),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6270),
    [sym_literal_suffix] = ACTIONS(6272),
  },
  [2629] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2630] = {
    [sym_string_literal] = STATE(2832),
    [sym_template_argument_list] = STATE(3800),
    [sym_raw_string_literal] = STATE(2832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_RPAREN] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(6560),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(6563),
    [anon_sym_or_eq] = ACTIONS(6563),
    [anon_sym_xor_eq] = ACTIONS(6563),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4078),
    [anon_sym_L_DQUOTE] = ACTIONS(4179),
    [anon_sym_u_DQUOTE] = ACTIONS(4179),
    [anon_sym_U_DQUOTE] = ACTIONS(4179),
    [anon_sym_u8_DQUOTE] = ACTIONS(4179),
    [anon_sym_DQUOTE] = ACTIONS(4179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4181),
    [anon_sym_LR_DQUOTE] = ACTIONS(4181),
    [anon_sym_uR_DQUOTE] = ACTIONS(4181),
    [anon_sym_UR_DQUOTE] = ACTIONS(4181),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4181),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4070),
  },
  [2631] = {
    [sym_attribute_specifier] = STATE(2702),
    [sym_identifier] = ACTIONS(6083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6085),
    [anon_sym_COMMA] = ACTIONS(6085),
    [anon_sym_RPAREN] = ACTIONS(6085),
    [aux_sym_preproc_if_token2] = ACTIONS(6085),
    [aux_sym_preproc_else_token1] = ACTIONS(6085),
    [aux_sym_preproc_elif_token1] = ACTIONS(6083),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6085),
    [anon_sym_LPAREN2] = ACTIONS(6085),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_STAR] = ACTIONS(6083),
    [anon_sym_SLASH] = ACTIONS(6083),
    [anon_sym_PERCENT] = ACTIONS(6083),
    [anon_sym_PIPE_PIPE] = ACTIONS(6085),
    [anon_sym_AMP_AMP] = ACTIONS(6085),
    [anon_sym_PIPE] = ACTIONS(6083),
    [anon_sym_CARET] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(6083),
    [anon_sym_EQ_EQ] = ACTIONS(6085),
    [anon_sym_BANG_EQ] = ACTIONS(6085),
    [anon_sym_GT] = ACTIONS(6083),
    [anon_sym_GT_EQ] = ACTIONS(6085),
    [anon_sym_LT_EQ] = ACTIONS(6083),
    [anon_sym_LT] = ACTIONS(6083),
    [anon_sym_LT_LT] = ACTIONS(6083),
    [anon_sym_GT_GT] = ACTIONS(6083),
    [anon_sym_COLON] = ACTIONS(6085),
    [anon_sym_SEMI] = ACTIONS(6085),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6085),
    [anon_sym_RBRACE] = ACTIONS(6085),
    [anon_sym_LBRACK] = ACTIONS(6085),
    [anon_sym_RBRACK] = ACTIONS(6085),
    [anon_sym_EQ] = ACTIONS(6083),
    [anon_sym_QMARK] = ACTIONS(6085),
    [anon_sym_STAR_EQ] = ACTIONS(6085),
    [anon_sym_SLASH_EQ] = ACTIONS(6085),
    [anon_sym_PERCENT_EQ] = ACTIONS(6085),
    [anon_sym_PLUS_EQ] = ACTIONS(6085),
    [anon_sym_DASH_EQ] = ACTIONS(6085),
    [anon_sym_LT_LT_EQ] = ACTIONS(6085),
    [anon_sym_GT_GT_EQ] = ACTIONS(6085),
    [anon_sym_AMP_EQ] = ACTIONS(6085),
    [anon_sym_CARET_EQ] = ACTIONS(6085),
    [anon_sym_PIPE_EQ] = ACTIONS(6085),
    [anon_sym_and_eq] = ACTIONS(6083),
    [anon_sym_or_eq] = ACTIONS(6083),
    [anon_sym_xor_eq] = ACTIONS(6083),
    [anon_sym_LT_EQ_GT] = ACTIONS(6085),
    [anon_sym_or] = ACTIONS(6083),
    [anon_sym_and] = ACTIONS(6083),
    [anon_sym_bitor] = ACTIONS(6083),
    [anon_sym_xor] = ACTIONS(6083),
    [anon_sym_bitand] = ACTIONS(6083),
    [anon_sym_not_eq] = ACTIONS(6083),
    [anon_sym_DASH_DASH] = ACTIONS(6085),
    [anon_sym_PLUS_PLUS] = ACTIONS(6085),
    [anon_sym_DOT] = ACTIONS(6083),
    [anon_sym_DOT_STAR] = ACTIONS(6085),
    [anon_sym_DASH_GT] = ACTIONS(6085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6083),
    [anon_sym_decltype] = ACTIONS(6083),
  },
  [2632] = {
    [sym_attribute_specifier] = STATE(2706),
    [sym_identifier] = ACTIONS(6051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6053),
    [anon_sym_COMMA] = ACTIONS(6053),
    [anon_sym_RPAREN] = ACTIONS(6053),
    [aux_sym_preproc_if_token2] = ACTIONS(6053),
    [aux_sym_preproc_else_token1] = ACTIONS(6053),
    [aux_sym_preproc_elif_token1] = ACTIONS(6051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6053),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6053),
    [anon_sym_LPAREN2] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6051),
    [anon_sym_PLUS] = ACTIONS(6051),
    [anon_sym_STAR] = ACTIONS(6051),
    [anon_sym_SLASH] = ACTIONS(6051),
    [anon_sym_PERCENT] = ACTIONS(6051),
    [anon_sym_PIPE_PIPE] = ACTIONS(6053),
    [anon_sym_AMP_AMP] = ACTIONS(6053),
    [anon_sym_PIPE] = ACTIONS(6051),
    [anon_sym_CARET] = ACTIONS(6051),
    [anon_sym_AMP] = ACTIONS(6051),
    [anon_sym_EQ_EQ] = ACTIONS(6053),
    [anon_sym_BANG_EQ] = ACTIONS(6053),
    [anon_sym_GT] = ACTIONS(6051),
    [anon_sym_GT_EQ] = ACTIONS(6053),
    [anon_sym_LT_EQ] = ACTIONS(6051),
    [anon_sym_LT] = ACTIONS(6051),
    [anon_sym_LT_LT] = ACTIONS(6051),
    [anon_sym_GT_GT] = ACTIONS(6051),
    [anon_sym_COLON] = ACTIONS(6053),
    [anon_sym_SEMI] = ACTIONS(6053),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6053),
    [anon_sym_RBRACE] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [anon_sym_RBRACK] = ACTIONS(6053),
    [anon_sym_EQ] = ACTIONS(6051),
    [anon_sym_QMARK] = ACTIONS(6053),
    [anon_sym_STAR_EQ] = ACTIONS(6053),
    [anon_sym_SLASH_EQ] = ACTIONS(6053),
    [anon_sym_PERCENT_EQ] = ACTIONS(6053),
    [anon_sym_PLUS_EQ] = ACTIONS(6053),
    [anon_sym_DASH_EQ] = ACTIONS(6053),
    [anon_sym_LT_LT_EQ] = ACTIONS(6053),
    [anon_sym_GT_GT_EQ] = ACTIONS(6053),
    [anon_sym_AMP_EQ] = ACTIONS(6053),
    [anon_sym_CARET_EQ] = ACTIONS(6053),
    [anon_sym_PIPE_EQ] = ACTIONS(6053),
    [anon_sym_and_eq] = ACTIONS(6051),
    [anon_sym_or_eq] = ACTIONS(6051),
    [anon_sym_xor_eq] = ACTIONS(6051),
    [anon_sym_LT_EQ_GT] = ACTIONS(6053),
    [anon_sym_or] = ACTIONS(6051),
    [anon_sym_and] = ACTIONS(6051),
    [anon_sym_bitor] = ACTIONS(6051),
    [anon_sym_xor] = ACTIONS(6051),
    [anon_sym_bitand] = ACTIONS(6051),
    [anon_sym_not_eq] = ACTIONS(6051),
    [anon_sym_DASH_DASH] = ACTIONS(6053),
    [anon_sym_PLUS_PLUS] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6051),
    [anon_sym_DOT_STAR] = ACTIONS(6053),
    [anon_sym_DASH_GT] = ACTIONS(6053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6051),
    [anon_sym_decltype] = ACTIONS(6051),
  },
  [2633] = {
    [sym_decltype_auto] = STATE(2696),
    [sym_identifier] = ACTIONS(5810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5812),
    [anon_sym_COMMA] = ACTIONS(5812),
    [anon_sym_RPAREN] = ACTIONS(5812),
    [aux_sym_preproc_if_token2] = ACTIONS(5812),
    [aux_sym_preproc_else_token1] = ACTIONS(5812),
    [aux_sym_preproc_elif_token1] = ACTIONS(5810),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5812),
    [anon_sym_LPAREN2] = ACTIONS(5812),
    [anon_sym_DASH] = ACTIONS(5810),
    [anon_sym_PLUS] = ACTIONS(5810),
    [anon_sym_STAR] = ACTIONS(5810),
    [anon_sym_SLASH] = ACTIONS(5810),
    [anon_sym_PERCENT] = ACTIONS(5810),
    [anon_sym_PIPE_PIPE] = ACTIONS(5812),
    [anon_sym_AMP_AMP] = ACTIONS(5812),
    [anon_sym_PIPE] = ACTIONS(5810),
    [anon_sym_CARET] = ACTIONS(5810),
    [anon_sym_AMP] = ACTIONS(5810),
    [anon_sym_EQ_EQ] = ACTIONS(5812),
    [anon_sym_BANG_EQ] = ACTIONS(5812),
    [anon_sym_GT] = ACTIONS(5810),
    [anon_sym_GT_EQ] = ACTIONS(5812),
    [anon_sym_LT_EQ] = ACTIONS(5810),
    [anon_sym_LT] = ACTIONS(5810),
    [anon_sym_LT_LT] = ACTIONS(5810),
    [anon_sym_GT_GT] = ACTIONS(5810),
    [anon_sym_COLON] = ACTIONS(5812),
    [anon_sym_SEMI] = ACTIONS(5812),
    [anon_sym___attribute__] = ACTIONS(5810),
    [anon_sym___attribute] = ACTIONS(5810),
    [anon_sym_LBRACE] = ACTIONS(5812),
    [anon_sym_RBRACE] = ACTIONS(5812),
    [anon_sym_LBRACK] = ACTIONS(5812),
    [anon_sym_RBRACK] = ACTIONS(5812),
    [anon_sym_EQ] = ACTIONS(5810),
    [anon_sym_QMARK] = ACTIONS(5812),
    [anon_sym_STAR_EQ] = ACTIONS(5812),
    [anon_sym_SLASH_EQ] = ACTIONS(5812),
    [anon_sym_PERCENT_EQ] = ACTIONS(5812),
    [anon_sym_PLUS_EQ] = ACTIONS(5812),
    [anon_sym_DASH_EQ] = ACTIONS(5812),
    [anon_sym_LT_LT_EQ] = ACTIONS(5812),
    [anon_sym_GT_GT_EQ] = ACTIONS(5812),
    [anon_sym_AMP_EQ] = ACTIONS(5812),
    [anon_sym_CARET_EQ] = ACTIONS(5812),
    [anon_sym_PIPE_EQ] = ACTIONS(5812),
    [anon_sym_and_eq] = ACTIONS(5810),
    [anon_sym_or_eq] = ACTIONS(5810),
    [anon_sym_xor_eq] = ACTIONS(5810),
    [anon_sym_LT_EQ_GT] = ACTIONS(5812),
    [anon_sym_or] = ACTIONS(5810),
    [anon_sym_and] = ACTIONS(5810),
    [anon_sym_bitor] = ACTIONS(5810),
    [anon_sym_xor] = ACTIONS(5810),
    [anon_sym_bitand] = ACTIONS(5810),
    [anon_sym_not_eq] = ACTIONS(5810),
    [anon_sym_DASH_DASH] = ACTIONS(5812),
    [anon_sym_PLUS_PLUS] = ACTIONS(5812),
    [anon_sym_DOT] = ACTIONS(5810),
    [anon_sym_DOT_STAR] = ACTIONS(5812),
    [anon_sym_DASH_GT] = ACTIONS(5812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6413),
    [anon_sym_decltype] = ACTIONS(6415),
  },
  [2634] = {
    [sym_attribute_declaration] = STATE(2695),
    [sym_parameter_list] = STATE(2713),
    [aux_sym_attributed_declarator_repeat1] = STATE(2695),
    [sym_identifier] = ACTIONS(6565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6567),
    [anon_sym_COMMA] = ACTIONS(6567),
    [anon_sym_RPAREN] = ACTIONS(6567),
    [aux_sym_preproc_if_token2] = ACTIONS(6567),
    [aux_sym_preproc_else_token1] = ACTIONS(6567),
    [aux_sym_preproc_elif_token1] = ACTIONS(6565),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6567),
    [anon_sym_LPAREN2] = ACTIONS(6532),
    [anon_sym_DASH] = ACTIONS(6565),
    [anon_sym_PLUS] = ACTIONS(6565),
    [anon_sym_STAR] = ACTIONS(6565),
    [anon_sym_SLASH] = ACTIONS(6565),
    [anon_sym_PERCENT] = ACTIONS(6565),
    [anon_sym_PIPE_PIPE] = ACTIONS(6567),
    [anon_sym_AMP_AMP] = ACTIONS(6567),
    [anon_sym_PIPE] = ACTIONS(6565),
    [anon_sym_CARET] = ACTIONS(6565),
    [anon_sym_AMP] = ACTIONS(6565),
    [anon_sym_EQ_EQ] = ACTIONS(6567),
    [anon_sym_BANG_EQ] = ACTIONS(6567),
    [anon_sym_GT] = ACTIONS(6565),
    [anon_sym_GT_EQ] = ACTIONS(6567),
    [anon_sym_LT_EQ] = ACTIONS(6565),
    [anon_sym_LT] = ACTIONS(6565),
    [anon_sym_LT_LT] = ACTIONS(6565),
    [anon_sym_GT_GT] = ACTIONS(6565),
    [anon_sym_COLON] = ACTIONS(6567),
    [anon_sym_SEMI] = ACTIONS(6567),
    [anon_sym___attribute__] = ACTIONS(6565),
    [anon_sym___attribute] = ACTIONS(6565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6534),
    [anon_sym_RBRACE] = ACTIONS(6567),
    [anon_sym_LBRACK] = ACTIONS(6536),
    [anon_sym_RBRACK] = ACTIONS(6567),
    [anon_sym_EQ] = ACTIONS(6565),
    [anon_sym_QMARK] = ACTIONS(6567),
    [anon_sym_STAR_EQ] = ACTIONS(6567),
    [anon_sym_SLASH_EQ] = ACTIONS(6567),
    [anon_sym_PERCENT_EQ] = ACTIONS(6567),
    [anon_sym_PLUS_EQ] = ACTIONS(6567),
    [anon_sym_DASH_EQ] = ACTIONS(6567),
    [anon_sym_LT_LT_EQ] = ACTIONS(6567),
    [anon_sym_GT_GT_EQ] = ACTIONS(6567),
    [anon_sym_AMP_EQ] = ACTIONS(6567),
    [anon_sym_CARET_EQ] = ACTIONS(6567),
    [anon_sym_PIPE_EQ] = ACTIONS(6567),
    [anon_sym_and_eq] = ACTIONS(6565),
    [anon_sym_or_eq] = ACTIONS(6565),
    [anon_sym_xor_eq] = ACTIONS(6565),
    [anon_sym_LT_EQ_GT] = ACTIONS(6567),
    [anon_sym_or] = ACTIONS(6565),
    [anon_sym_and] = ACTIONS(6565),
    [anon_sym_bitor] = ACTIONS(6565),
    [anon_sym_xor] = ACTIONS(6565),
    [anon_sym_bitand] = ACTIONS(6565),
    [anon_sym_not_eq] = ACTIONS(6565),
    [anon_sym_DASH_DASH] = ACTIONS(6567),
    [anon_sym_PLUS_PLUS] = ACTIONS(6567),
    [anon_sym_DOT] = ACTIONS(6565),
    [anon_sym_DOT_STAR] = ACTIONS(6567),
    [anon_sym_DASH_GT] = ACTIONS(6567),
    [sym_comment] = ACTIONS(3),
  },
  [2635] = {
    [sym_attribute_specifier] = STATE(2319),
    [sym_enumerator_list] = STATE(2379),
    [sym__enum_base_clause] = STATE(2310),
    [sym_identifier] = ACTIONS(6154),
    [anon_sym_LPAREN2] = ACTIONS(6156),
    [anon_sym_STAR] = ACTIONS(6156),
    [anon_sym_AMP_AMP] = ACTIONS(6156),
    [anon_sym_AMP] = ACTIONS(6154),
    [anon_sym_COLON] = ACTIONS(6569),
    [anon_sym_SEMI] = ACTIONS(6156),
    [anon_sym___extension__] = ACTIONS(6154),
    [anon_sym_in] = ACTIONS(6154),
    [anon_sym_out] = ACTIONS(6154),
    [anon_sym_inout] = ACTIONS(6154),
    [anon_sym_virtual] = ACTIONS(6154),
    [anon_sym_extern] = ACTIONS(6154),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6156),
    [anon_sym___declspec] = ACTIONS(6154),
    [anon_sym___based] = ACTIONS(6154),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_static] = ACTIONS(6154),
    [anon_sym_register] = ACTIONS(6154),
    [anon_sym_inline] = ACTIONS(6154),
    [anon_sym___inline] = ACTIONS(6154),
    [anon_sym___inline__] = ACTIONS(6154),
    [anon_sym___forceinline] = ACTIONS(6154),
    [anon_sym_thread_local] = ACTIONS(6154),
    [anon_sym___thread] = ACTIONS(6154),
    [anon_sym_const] = ACTIONS(6154),
    [anon_sym_constexpr] = ACTIONS(6154),
    [anon_sym_volatile] = ACTIONS(6154),
    [anon_sym_restrict] = ACTIONS(6154),
    [anon_sym___restrict__] = ACTIONS(6154),
    [anon_sym__Atomic] = ACTIONS(6154),
    [anon_sym__Noreturn] = ACTIONS(6154),
    [anon_sym_noreturn] = ACTIONS(6154),
    [anon_sym__Nonnull] = ACTIONS(6154),
    [anon_sym_mutable] = ACTIONS(6154),
    [anon_sym_constinit] = ACTIONS(6154),
    [anon_sym_consteval] = ACTIONS(6154),
    [anon_sym_alignas] = ACTIONS(6154),
    [anon_sym__Alignas] = ACTIONS(6154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6154),
    [anon_sym_decltype] = ACTIONS(6154),
    [anon_sym_operator] = ACTIONS(6154),
    [anon_sym_precise] = ACTIONS(6154),
    [anon_sym_shared] = ACTIONS(6154),
    [anon_sym_groupshared] = ACTIONS(6154),
    [anon_sym_uniform] = ACTIONS(6154),
    [anon_sym_row_major] = ACTIONS(6154),
    [anon_sym_column_major] = ACTIONS(6154),
    [anon_sym_globallycoherent] = ACTIONS(6154),
    [anon_sym_centroid] = ACTIONS(6154),
    [anon_sym_noperspective] = ACTIONS(6154),
    [anon_sym_nointerpolation] = ACTIONS(6154),
    [anon_sym_sample] = ACTIONS(6154),
    [anon_sym_linear] = ACTIONS(6154),
    [anon_sym_snorm] = ACTIONS(6154),
    [anon_sym_unorm] = ACTIONS(6154),
    [anon_sym_point] = ACTIONS(6154),
    [anon_sym_line] = ACTIONS(6154),
    [anon_sym_triangleadj] = ACTIONS(6154),
    [anon_sym_lineadj] = ACTIONS(6154),
    [anon_sym_triangle] = ACTIONS(6154),
  },
  [2636] = {
    [sym_attribute_specifier] = STATE(2337),
    [sym_enumerator_list] = STATE(2377),
    [sym__enum_base_clause] = STATE(2341),
    [sym_identifier] = ACTIONS(6170),
    [anon_sym_LPAREN2] = ACTIONS(6172),
    [anon_sym_STAR] = ACTIONS(6172),
    [anon_sym_AMP_AMP] = ACTIONS(6172),
    [anon_sym_AMP] = ACTIONS(6170),
    [anon_sym_COLON] = ACTIONS(6569),
    [anon_sym_SEMI] = ACTIONS(6172),
    [anon_sym___extension__] = ACTIONS(6170),
    [anon_sym_in] = ACTIONS(6170),
    [anon_sym_out] = ACTIONS(6170),
    [anon_sym_inout] = ACTIONS(6170),
    [anon_sym_virtual] = ACTIONS(6170),
    [anon_sym_extern] = ACTIONS(6170),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym___attribute] = ACTIONS(5330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6172),
    [anon_sym___declspec] = ACTIONS(6170),
    [anon_sym___based] = ACTIONS(6170),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_static] = ACTIONS(6170),
    [anon_sym_register] = ACTIONS(6170),
    [anon_sym_inline] = ACTIONS(6170),
    [anon_sym___inline] = ACTIONS(6170),
    [anon_sym___inline__] = ACTIONS(6170),
    [anon_sym___forceinline] = ACTIONS(6170),
    [anon_sym_thread_local] = ACTIONS(6170),
    [anon_sym___thread] = ACTIONS(6170),
    [anon_sym_const] = ACTIONS(6170),
    [anon_sym_constexpr] = ACTIONS(6170),
    [anon_sym_volatile] = ACTIONS(6170),
    [anon_sym_restrict] = ACTIONS(6170),
    [anon_sym___restrict__] = ACTIONS(6170),
    [anon_sym__Atomic] = ACTIONS(6170),
    [anon_sym__Noreturn] = ACTIONS(6170),
    [anon_sym_noreturn] = ACTIONS(6170),
    [anon_sym__Nonnull] = ACTIONS(6170),
    [anon_sym_mutable] = ACTIONS(6170),
    [anon_sym_constinit] = ACTIONS(6170),
    [anon_sym_consteval] = ACTIONS(6170),
    [anon_sym_alignas] = ACTIONS(6170),
    [anon_sym__Alignas] = ACTIONS(6170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6170),
    [anon_sym_decltype] = ACTIONS(6170),
    [anon_sym_operator] = ACTIONS(6170),
    [anon_sym_precise] = ACTIONS(6170),
    [anon_sym_shared] = ACTIONS(6170),
    [anon_sym_groupshared] = ACTIONS(6170),
    [anon_sym_uniform] = ACTIONS(6170),
    [anon_sym_row_major] = ACTIONS(6170),
    [anon_sym_column_major] = ACTIONS(6170),
    [anon_sym_globallycoherent] = ACTIONS(6170),
    [anon_sym_centroid] = ACTIONS(6170),
    [anon_sym_noperspective] = ACTIONS(6170),
    [anon_sym_nointerpolation] = ACTIONS(6170),
    [anon_sym_sample] = ACTIONS(6170),
    [anon_sym_linear] = ACTIONS(6170),
    [anon_sym_snorm] = ACTIONS(6170),
    [anon_sym_unorm] = ACTIONS(6170),
    [anon_sym_point] = ACTIONS(6170),
    [anon_sym_line] = ACTIONS(6170),
    [anon_sym_triangleadj] = ACTIONS(6170),
    [anon_sym_lineadj] = ACTIONS(6170),
    [anon_sym_triangle] = ACTIONS(6170),
  },
  [2637] = {
    [sym_attribute_specifier] = STATE(2721),
    [sym_identifier] = ACTIONS(6106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6108),
    [anon_sym_COMMA] = ACTIONS(6108),
    [anon_sym_RPAREN] = ACTIONS(6108),
    [aux_sym_preproc_if_token2] = ACTIONS(6108),
    [aux_sym_preproc_else_token1] = ACTIONS(6108),
    [aux_sym_preproc_elif_token1] = ACTIONS(6106),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6108),
    [anon_sym_LPAREN2] = ACTIONS(6108),
    [anon_sym_DASH] = ACTIONS(6106),
    [anon_sym_PLUS] = ACTIONS(6106),
    [anon_sym_STAR] = ACTIONS(6106),
    [anon_sym_SLASH] = ACTIONS(6106),
    [anon_sym_PERCENT] = ACTIONS(6106),
    [anon_sym_PIPE_PIPE] = ACTIONS(6108),
    [anon_sym_AMP_AMP] = ACTIONS(6108),
    [anon_sym_PIPE] = ACTIONS(6106),
    [anon_sym_CARET] = ACTIONS(6106),
    [anon_sym_AMP] = ACTIONS(6106),
    [anon_sym_EQ_EQ] = ACTIONS(6108),
    [anon_sym_BANG_EQ] = ACTIONS(6108),
    [anon_sym_GT] = ACTIONS(6106),
    [anon_sym_GT_EQ] = ACTIONS(6108),
    [anon_sym_LT_EQ] = ACTIONS(6106),
    [anon_sym_LT] = ACTIONS(6106),
    [anon_sym_LT_LT] = ACTIONS(6106),
    [anon_sym_GT_GT] = ACTIONS(6106),
    [anon_sym_COLON] = ACTIONS(6108),
    [anon_sym_SEMI] = ACTIONS(6108),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6108),
    [anon_sym_RBRACE] = ACTIONS(6108),
    [anon_sym_LBRACK] = ACTIONS(6108),
    [anon_sym_RBRACK] = ACTIONS(6108),
    [anon_sym_EQ] = ACTIONS(6106),
    [anon_sym_QMARK] = ACTIONS(6108),
    [anon_sym_STAR_EQ] = ACTIONS(6108),
    [anon_sym_SLASH_EQ] = ACTIONS(6108),
    [anon_sym_PERCENT_EQ] = ACTIONS(6108),
    [anon_sym_PLUS_EQ] = ACTIONS(6108),
    [anon_sym_DASH_EQ] = ACTIONS(6108),
    [anon_sym_LT_LT_EQ] = ACTIONS(6108),
    [anon_sym_GT_GT_EQ] = ACTIONS(6108),
    [anon_sym_AMP_EQ] = ACTIONS(6108),
    [anon_sym_CARET_EQ] = ACTIONS(6108),
    [anon_sym_PIPE_EQ] = ACTIONS(6108),
    [anon_sym_and_eq] = ACTIONS(6106),
    [anon_sym_or_eq] = ACTIONS(6106),
    [anon_sym_xor_eq] = ACTIONS(6106),
    [anon_sym_LT_EQ_GT] = ACTIONS(6108),
    [anon_sym_or] = ACTIONS(6106),
    [anon_sym_and] = ACTIONS(6106),
    [anon_sym_bitor] = ACTIONS(6106),
    [anon_sym_xor] = ACTIONS(6106),
    [anon_sym_bitand] = ACTIONS(6106),
    [anon_sym_not_eq] = ACTIONS(6106),
    [anon_sym_DASH_DASH] = ACTIONS(6108),
    [anon_sym_PLUS_PLUS] = ACTIONS(6108),
    [anon_sym_DOT] = ACTIONS(6106),
    [anon_sym_DOT_STAR] = ACTIONS(6108),
    [anon_sym_DASH_GT] = ACTIONS(6108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6106),
    [anon_sym_decltype] = ACTIONS(6106),
  },
  [2638] = {
    [sym_attribute_specifier] = STATE(2725),
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [aux_sym_preproc_if_token2] = ACTIONS(6101),
    [aux_sym_preproc_else_token1] = ACTIONS(6101),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6099),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6099),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6099),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6099),
    [anon_sym_GT_GT] = ACTIONS(6099),
    [anon_sym_COLON] = ACTIONS(6101),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6101),
    [anon_sym_RBRACE] = ACTIONS(6101),
    [anon_sym_LBRACK] = ACTIONS(6101),
    [anon_sym_RBRACK] = ACTIONS(6101),
    [anon_sym_EQ] = ACTIONS(6099),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_STAR_EQ] = ACTIONS(6101),
    [anon_sym_SLASH_EQ] = ACTIONS(6101),
    [anon_sym_PERCENT_EQ] = ACTIONS(6101),
    [anon_sym_PLUS_EQ] = ACTIONS(6101),
    [anon_sym_DASH_EQ] = ACTIONS(6101),
    [anon_sym_LT_LT_EQ] = ACTIONS(6101),
    [anon_sym_GT_GT_EQ] = ACTIONS(6101),
    [anon_sym_AMP_EQ] = ACTIONS(6101),
    [anon_sym_CARET_EQ] = ACTIONS(6101),
    [anon_sym_PIPE_EQ] = ACTIONS(6101),
    [anon_sym_and_eq] = ACTIONS(6099),
    [anon_sym_or_eq] = ACTIONS(6099),
    [anon_sym_xor_eq] = ACTIONS(6099),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6099),
    [anon_sym_and] = ACTIONS(6099),
    [anon_sym_bitor] = ACTIONS(6099),
    [anon_sym_xor] = ACTIONS(6099),
    [anon_sym_bitand] = ACTIONS(6099),
    [anon_sym_not_eq] = ACTIONS(6099),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6099),
    [anon_sym_decltype] = ACTIONS(6099),
  },
  [2639] = {
    [sym_attribute_specifier] = STATE(2729),
    [sym_identifier] = ACTIONS(6069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6071),
    [anon_sym_COMMA] = ACTIONS(6071),
    [anon_sym_RPAREN] = ACTIONS(6071),
    [aux_sym_preproc_if_token2] = ACTIONS(6071),
    [aux_sym_preproc_else_token1] = ACTIONS(6071),
    [aux_sym_preproc_elif_token1] = ACTIONS(6069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6071),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6071),
    [anon_sym_LPAREN2] = ACTIONS(6071),
    [anon_sym_DASH] = ACTIONS(6069),
    [anon_sym_PLUS] = ACTIONS(6069),
    [anon_sym_STAR] = ACTIONS(6069),
    [anon_sym_SLASH] = ACTIONS(6069),
    [anon_sym_PERCENT] = ACTIONS(6069),
    [anon_sym_PIPE_PIPE] = ACTIONS(6071),
    [anon_sym_AMP_AMP] = ACTIONS(6071),
    [anon_sym_PIPE] = ACTIONS(6069),
    [anon_sym_CARET] = ACTIONS(6069),
    [anon_sym_AMP] = ACTIONS(6069),
    [anon_sym_EQ_EQ] = ACTIONS(6071),
    [anon_sym_BANG_EQ] = ACTIONS(6071),
    [anon_sym_GT] = ACTIONS(6069),
    [anon_sym_GT_EQ] = ACTIONS(6071),
    [anon_sym_LT_EQ] = ACTIONS(6069),
    [anon_sym_LT] = ACTIONS(6069),
    [anon_sym_LT_LT] = ACTIONS(6069),
    [anon_sym_GT_GT] = ACTIONS(6069),
    [anon_sym_COLON] = ACTIONS(6071),
    [anon_sym_SEMI] = ACTIONS(6071),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6071),
    [anon_sym_RBRACE] = ACTIONS(6071),
    [anon_sym_LBRACK] = ACTIONS(6071),
    [anon_sym_RBRACK] = ACTIONS(6071),
    [anon_sym_EQ] = ACTIONS(6069),
    [anon_sym_QMARK] = ACTIONS(6071),
    [anon_sym_STAR_EQ] = ACTIONS(6071),
    [anon_sym_SLASH_EQ] = ACTIONS(6071),
    [anon_sym_PERCENT_EQ] = ACTIONS(6071),
    [anon_sym_PLUS_EQ] = ACTIONS(6071),
    [anon_sym_DASH_EQ] = ACTIONS(6071),
    [anon_sym_LT_LT_EQ] = ACTIONS(6071),
    [anon_sym_GT_GT_EQ] = ACTIONS(6071),
    [anon_sym_AMP_EQ] = ACTIONS(6071),
    [anon_sym_CARET_EQ] = ACTIONS(6071),
    [anon_sym_PIPE_EQ] = ACTIONS(6071),
    [anon_sym_and_eq] = ACTIONS(6069),
    [anon_sym_or_eq] = ACTIONS(6069),
    [anon_sym_xor_eq] = ACTIONS(6069),
    [anon_sym_LT_EQ_GT] = ACTIONS(6071),
    [anon_sym_or] = ACTIONS(6069),
    [anon_sym_and] = ACTIONS(6069),
    [anon_sym_bitor] = ACTIONS(6069),
    [anon_sym_xor] = ACTIONS(6069),
    [anon_sym_bitand] = ACTIONS(6069),
    [anon_sym_not_eq] = ACTIONS(6069),
    [anon_sym_DASH_DASH] = ACTIONS(6071),
    [anon_sym_PLUS_PLUS] = ACTIONS(6071),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_DOT_STAR] = ACTIONS(6071),
    [anon_sym_DASH_GT] = ACTIONS(6071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6069),
    [anon_sym_decltype] = ACTIONS(6069),
  },
  [2640] = {
    [sym_attribute_specifier] = STATE(2731),
    [sym_identifier] = ACTIONS(6073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6075),
    [anon_sym_COMMA] = ACTIONS(6075),
    [anon_sym_RPAREN] = ACTIONS(6075),
    [aux_sym_preproc_if_token2] = ACTIONS(6075),
    [aux_sym_preproc_else_token1] = ACTIONS(6075),
    [aux_sym_preproc_elif_token1] = ACTIONS(6073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6075),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_STAR] = ACTIONS(6073),
    [anon_sym_SLASH] = ACTIONS(6073),
    [anon_sym_PERCENT] = ACTIONS(6073),
    [anon_sym_PIPE_PIPE] = ACTIONS(6075),
    [anon_sym_AMP_AMP] = ACTIONS(6075),
    [anon_sym_PIPE] = ACTIONS(6073),
    [anon_sym_CARET] = ACTIONS(6073),
    [anon_sym_AMP] = ACTIONS(6073),
    [anon_sym_EQ_EQ] = ACTIONS(6075),
    [anon_sym_BANG_EQ] = ACTIONS(6075),
    [anon_sym_GT] = ACTIONS(6073),
    [anon_sym_GT_EQ] = ACTIONS(6075),
    [anon_sym_LT_EQ] = ACTIONS(6073),
    [anon_sym_LT] = ACTIONS(6073),
    [anon_sym_LT_LT] = ACTIONS(6073),
    [anon_sym_GT_GT] = ACTIONS(6073),
    [anon_sym_COLON] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6075),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6075),
    [anon_sym_RBRACE] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(6075),
    [anon_sym_RBRACK] = ACTIONS(6075),
    [anon_sym_EQ] = ACTIONS(6073),
    [anon_sym_QMARK] = ACTIONS(6075),
    [anon_sym_STAR_EQ] = ACTIONS(6075),
    [anon_sym_SLASH_EQ] = ACTIONS(6075),
    [anon_sym_PERCENT_EQ] = ACTIONS(6075),
    [anon_sym_PLUS_EQ] = ACTIONS(6075),
    [anon_sym_DASH_EQ] = ACTIONS(6075),
    [anon_sym_LT_LT_EQ] = ACTIONS(6075),
    [anon_sym_GT_GT_EQ] = ACTIONS(6075),
    [anon_sym_AMP_EQ] = ACTIONS(6075),
    [anon_sym_CARET_EQ] = ACTIONS(6075),
    [anon_sym_PIPE_EQ] = ACTIONS(6075),
    [anon_sym_and_eq] = ACTIONS(6073),
    [anon_sym_or_eq] = ACTIONS(6073),
    [anon_sym_xor_eq] = ACTIONS(6073),
    [anon_sym_LT_EQ_GT] = ACTIONS(6075),
    [anon_sym_or] = ACTIONS(6073),
    [anon_sym_and] = ACTIONS(6073),
    [anon_sym_bitor] = ACTIONS(6073),
    [anon_sym_xor] = ACTIONS(6073),
    [anon_sym_bitand] = ACTIONS(6073),
    [anon_sym_not_eq] = ACTIONS(6073),
    [anon_sym_DASH_DASH] = ACTIONS(6075),
    [anon_sym_PLUS_PLUS] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(6073),
    [anon_sym_DOT_STAR] = ACTIONS(6075),
    [anon_sym_DASH_GT] = ACTIONS(6075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6073),
    [anon_sym_decltype] = ACTIONS(6073),
  },
  [2641] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4128),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2642] = {
    [sym_attribute_declaration] = STATE(2695),
    [sym_parameter_list] = STATE(2713),
    [aux_sym_attributed_declarator_repeat1] = STATE(2695),
    [sym_identifier] = ACTIONS(6571),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6573),
    [anon_sym_COMMA] = ACTIONS(6573),
    [anon_sym_RPAREN] = ACTIONS(6573),
    [aux_sym_preproc_if_token2] = ACTIONS(6573),
    [aux_sym_preproc_else_token1] = ACTIONS(6573),
    [aux_sym_preproc_elif_token1] = ACTIONS(6571),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6573),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6573),
    [anon_sym_LPAREN2] = ACTIONS(6532),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_STAR] = ACTIONS(6571),
    [anon_sym_SLASH] = ACTIONS(6571),
    [anon_sym_PERCENT] = ACTIONS(6571),
    [anon_sym_PIPE_PIPE] = ACTIONS(6573),
    [anon_sym_AMP_AMP] = ACTIONS(6573),
    [anon_sym_PIPE] = ACTIONS(6571),
    [anon_sym_CARET] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(6571),
    [anon_sym_EQ_EQ] = ACTIONS(6573),
    [anon_sym_BANG_EQ] = ACTIONS(6573),
    [anon_sym_GT] = ACTIONS(6571),
    [anon_sym_GT_EQ] = ACTIONS(6573),
    [anon_sym_LT_EQ] = ACTIONS(6571),
    [anon_sym_LT] = ACTIONS(6571),
    [anon_sym_LT_LT] = ACTIONS(6571),
    [anon_sym_GT_GT] = ACTIONS(6571),
    [anon_sym_COLON] = ACTIONS(6573),
    [anon_sym_SEMI] = ACTIONS(6573),
    [anon_sym___attribute__] = ACTIONS(6571),
    [anon_sym___attribute] = ACTIONS(6571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6534),
    [anon_sym_RBRACE] = ACTIONS(6573),
    [anon_sym_LBRACK] = ACTIONS(6536),
    [anon_sym_RBRACK] = ACTIONS(6573),
    [anon_sym_EQ] = ACTIONS(6571),
    [anon_sym_QMARK] = ACTIONS(6573),
    [anon_sym_STAR_EQ] = ACTIONS(6573),
    [anon_sym_SLASH_EQ] = ACTIONS(6573),
    [anon_sym_PERCENT_EQ] = ACTIONS(6573),
    [anon_sym_PLUS_EQ] = ACTIONS(6573),
    [anon_sym_DASH_EQ] = ACTIONS(6573),
    [anon_sym_LT_LT_EQ] = ACTIONS(6573),
    [anon_sym_GT_GT_EQ] = ACTIONS(6573),
    [anon_sym_AMP_EQ] = ACTIONS(6573),
    [anon_sym_CARET_EQ] = ACTIONS(6573),
    [anon_sym_PIPE_EQ] = ACTIONS(6573),
    [anon_sym_and_eq] = ACTIONS(6571),
    [anon_sym_or_eq] = ACTIONS(6571),
    [anon_sym_xor_eq] = ACTIONS(6571),
    [anon_sym_LT_EQ_GT] = ACTIONS(6573),
    [anon_sym_or] = ACTIONS(6571),
    [anon_sym_and] = ACTIONS(6571),
    [anon_sym_bitor] = ACTIONS(6571),
    [anon_sym_xor] = ACTIONS(6571),
    [anon_sym_bitand] = ACTIONS(6571),
    [anon_sym_not_eq] = ACTIONS(6571),
    [anon_sym_DASH_DASH] = ACTIONS(6573),
    [anon_sym_PLUS_PLUS] = ACTIONS(6573),
    [anon_sym_DOT] = ACTIONS(6571),
    [anon_sym_DOT_STAR] = ACTIONS(6573),
    [anon_sym_DASH_GT] = ACTIONS(6573),
    [sym_comment] = ACTIONS(3),
  },
  [2643] = {
    [sym_string_literal] = STATE(2643),
    [sym_raw_string_literal] = STATE(2643),
    [aux_sym_concatenated_string_repeat1] = STATE(2643),
    [sym_identifier] = ACTIONS(6575),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6293),
    [anon_sym_COMMA] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6293),
    [anon_sym_LPAREN2] = ACTIONS(6293),
    [anon_sym_DASH] = ACTIONS(6295),
    [anon_sym_PLUS] = ACTIONS(6295),
    [anon_sym_STAR] = ACTIONS(6295),
    [anon_sym_SLASH] = ACTIONS(6295),
    [anon_sym_PERCENT] = ACTIONS(6295),
    [anon_sym_PIPE_PIPE] = ACTIONS(6293),
    [anon_sym_AMP_AMP] = ACTIONS(6293),
    [anon_sym_PIPE] = ACTIONS(6295),
    [anon_sym_CARET] = ACTIONS(6295),
    [anon_sym_AMP] = ACTIONS(6295),
    [anon_sym_EQ_EQ] = ACTIONS(6293),
    [anon_sym_BANG_EQ] = ACTIONS(6293),
    [anon_sym_GT] = ACTIONS(6295),
    [anon_sym_GT_EQ] = ACTIONS(6293),
    [anon_sym_LT_EQ] = ACTIONS(6295),
    [anon_sym_LT] = ACTIONS(6295),
    [anon_sym_LT_LT] = ACTIONS(6295),
    [anon_sym_GT_GT] = ACTIONS(6295),
    [anon_sym_LBRACK] = ACTIONS(6293),
    [anon_sym_EQ] = ACTIONS(6295),
    [anon_sym_QMARK] = ACTIONS(6293),
    [anon_sym_STAR_EQ] = ACTIONS(6293),
    [anon_sym_SLASH_EQ] = ACTIONS(6293),
    [anon_sym_PERCENT_EQ] = ACTIONS(6293),
    [anon_sym_PLUS_EQ] = ACTIONS(6293),
    [anon_sym_DASH_EQ] = ACTIONS(6293),
    [anon_sym_LT_LT_EQ] = ACTIONS(6293),
    [anon_sym_GT_GT_EQ] = ACTIONS(6293),
    [anon_sym_AMP_EQ] = ACTIONS(6293),
    [anon_sym_CARET_EQ] = ACTIONS(6293),
    [anon_sym_PIPE_EQ] = ACTIONS(6293),
    [anon_sym_and_eq] = ACTIONS(6295),
    [anon_sym_or_eq] = ACTIONS(6295),
    [anon_sym_xor_eq] = ACTIONS(6295),
    [anon_sym_LT_EQ_GT] = ACTIONS(6293),
    [anon_sym_or] = ACTIONS(6295),
    [anon_sym_and] = ACTIONS(6295),
    [anon_sym_bitor] = ACTIONS(6295),
    [anon_sym_xor] = ACTIONS(6295),
    [anon_sym_bitand] = ACTIONS(6295),
    [anon_sym_not_eq] = ACTIONS(6295),
    [anon_sym_DASH_DASH] = ACTIONS(6293),
    [anon_sym_PLUS_PLUS] = ACTIONS(6293),
    [anon_sym_DOT] = ACTIONS(6295),
    [anon_sym_DOT_STAR] = ACTIONS(6293),
    [anon_sym_DASH_GT] = ACTIONS(6295),
    [anon_sym_L_DQUOTE] = ACTIONS(6578),
    [anon_sym_u_DQUOTE] = ACTIONS(6578),
    [anon_sym_U_DQUOTE] = ACTIONS(6578),
    [anon_sym_u8_DQUOTE] = ACTIONS(6578),
    [anon_sym_DQUOTE] = ACTIONS(6578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6581),
    [anon_sym_LR_DQUOTE] = ACTIONS(6581),
    [anon_sym_uR_DQUOTE] = ACTIONS(6581),
    [anon_sym_UR_DQUOTE] = ACTIONS(6581),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6581),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6293),
    [sym_literal_suffix] = ACTIONS(6295),
  },
  [2644] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2645] = {
    [sym_attribute_specifier] = STATE(2742),
    [sym_identifier] = ACTIONS(6091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6093),
    [anon_sym_COMMA] = ACTIONS(6093),
    [anon_sym_RPAREN] = ACTIONS(6093),
    [aux_sym_preproc_if_token2] = ACTIONS(6093),
    [aux_sym_preproc_else_token1] = ACTIONS(6093),
    [aux_sym_preproc_elif_token1] = ACTIONS(6091),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6093),
    [anon_sym_LPAREN2] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6091),
    [anon_sym_PLUS] = ACTIONS(6091),
    [anon_sym_STAR] = ACTIONS(6091),
    [anon_sym_SLASH] = ACTIONS(6091),
    [anon_sym_PERCENT] = ACTIONS(6091),
    [anon_sym_PIPE_PIPE] = ACTIONS(6093),
    [anon_sym_AMP_AMP] = ACTIONS(6093),
    [anon_sym_PIPE] = ACTIONS(6091),
    [anon_sym_CARET] = ACTIONS(6091),
    [anon_sym_AMP] = ACTIONS(6091),
    [anon_sym_EQ_EQ] = ACTIONS(6093),
    [anon_sym_BANG_EQ] = ACTIONS(6093),
    [anon_sym_GT] = ACTIONS(6091),
    [anon_sym_GT_EQ] = ACTIONS(6093),
    [anon_sym_LT_EQ] = ACTIONS(6091),
    [anon_sym_LT] = ACTIONS(6091),
    [anon_sym_LT_LT] = ACTIONS(6091),
    [anon_sym_GT_GT] = ACTIONS(6091),
    [anon_sym_COLON] = ACTIONS(6093),
    [anon_sym_SEMI] = ACTIONS(6093),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6093),
    [anon_sym_RBRACE] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [anon_sym_RBRACK] = ACTIONS(6093),
    [anon_sym_EQ] = ACTIONS(6091),
    [anon_sym_QMARK] = ACTIONS(6093),
    [anon_sym_STAR_EQ] = ACTIONS(6093),
    [anon_sym_SLASH_EQ] = ACTIONS(6093),
    [anon_sym_PERCENT_EQ] = ACTIONS(6093),
    [anon_sym_PLUS_EQ] = ACTIONS(6093),
    [anon_sym_DASH_EQ] = ACTIONS(6093),
    [anon_sym_LT_LT_EQ] = ACTIONS(6093),
    [anon_sym_GT_GT_EQ] = ACTIONS(6093),
    [anon_sym_AMP_EQ] = ACTIONS(6093),
    [anon_sym_CARET_EQ] = ACTIONS(6093),
    [anon_sym_PIPE_EQ] = ACTIONS(6093),
    [anon_sym_and_eq] = ACTIONS(6091),
    [anon_sym_or_eq] = ACTIONS(6091),
    [anon_sym_xor_eq] = ACTIONS(6091),
    [anon_sym_LT_EQ_GT] = ACTIONS(6093),
    [anon_sym_or] = ACTIONS(6091),
    [anon_sym_and] = ACTIONS(6091),
    [anon_sym_bitor] = ACTIONS(6091),
    [anon_sym_xor] = ACTIONS(6091),
    [anon_sym_bitand] = ACTIONS(6091),
    [anon_sym_not_eq] = ACTIONS(6091),
    [anon_sym_DASH_DASH] = ACTIONS(6093),
    [anon_sym_PLUS_PLUS] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6091),
    [anon_sym_DOT_STAR] = ACTIONS(6093),
    [anon_sym_DASH_GT] = ACTIONS(6093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6091),
    [anon_sym_decltype] = ACTIONS(6091),
  },
  [2646] = {
    [sym_attribute_specifier] = STATE(2745),
    [sym_identifier] = ACTIONS(6043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6045),
    [anon_sym_COMMA] = ACTIONS(6045),
    [anon_sym_RPAREN] = ACTIONS(6045),
    [aux_sym_preproc_if_token2] = ACTIONS(6045),
    [aux_sym_preproc_else_token1] = ACTIONS(6045),
    [aux_sym_preproc_elif_token1] = ACTIONS(6043),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6045),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6045),
    [anon_sym_LPAREN2] = ACTIONS(6045),
    [anon_sym_DASH] = ACTIONS(6043),
    [anon_sym_PLUS] = ACTIONS(6043),
    [anon_sym_STAR] = ACTIONS(6043),
    [anon_sym_SLASH] = ACTIONS(6043),
    [anon_sym_PERCENT] = ACTIONS(6043),
    [anon_sym_PIPE_PIPE] = ACTIONS(6045),
    [anon_sym_AMP_AMP] = ACTIONS(6045),
    [anon_sym_PIPE] = ACTIONS(6043),
    [anon_sym_CARET] = ACTIONS(6043),
    [anon_sym_AMP] = ACTIONS(6043),
    [anon_sym_EQ_EQ] = ACTIONS(6045),
    [anon_sym_BANG_EQ] = ACTIONS(6045),
    [anon_sym_GT] = ACTIONS(6043),
    [anon_sym_GT_EQ] = ACTIONS(6045),
    [anon_sym_LT_EQ] = ACTIONS(6043),
    [anon_sym_LT] = ACTIONS(6043),
    [anon_sym_LT_LT] = ACTIONS(6043),
    [anon_sym_GT_GT] = ACTIONS(6043),
    [anon_sym_COLON] = ACTIONS(6045),
    [anon_sym_SEMI] = ACTIONS(6045),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6045),
    [anon_sym_RBRACE] = ACTIONS(6045),
    [anon_sym_LBRACK] = ACTIONS(6045),
    [anon_sym_RBRACK] = ACTIONS(6045),
    [anon_sym_EQ] = ACTIONS(6043),
    [anon_sym_QMARK] = ACTIONS(6045),
    [anon_sym_STAR_EQ] = ACTIONS(6045),
    [anon_sym_SLASH_EQ] = ACTIONS(6045),
    [anon_sym_PERCENT_EQ] = ACTIONS(6045),
    [anon_sym_PLUS_EQ] = ACTIONS(6045),
    [anon_sym_DASH_EQ] = ACTIONS(6045),
    [anon_sym_LT_LT_EQ] = ACTIONS(6045),
    [anon_sym_GT_GT_EQ] = ACTIONS(6045),
    [anon_sym_AMP_EQ] = ACTIONS(6045),
    [anon_sym_CARET_EQ] = ACTIONS(6045),
    [anon_sym_PIPE_EQ] = ACTIONS(6045),
    [anon_sym_and_eq] = ACTIONS(6043),
    [anon_sym_or_eq] = ACTIONS(6043),
    [anon_sym_xor_eq] = ACTIONS(6043),
    [anon_sym_LT_EQ_GT] = ACTIONS(6045),
    [anon_sym_or] = ACTIONS(6043),
    [anon_sym_and] = ACTIONS(6043),
    [anon_sym_bitor] = ACTIONS(6043),
    [anon_sym_xor] = ACTIONS(6043),
    [anon_sym_bitand] = ACTIONS(6043),
    [anon_sym_not_eq] = ACTIONS(6043),
    [anon_sym_DASH_DASH] = ACTIONS(6045),
    [anon_sym_PLUS_PLUS] = ACTIONS(6045),
    [anon_sym_DOT] = ACTIONS(6043),
    [anon_sym_DOT_STAR] = ACTIONS(6045),
    [anon_sym_DASH_GT] = ACTIONS(6045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6043),
    [anon_sym_decltype] = ACTIONS(6043),
  },
  [2647] = {
    [sym_attribute_specifier] = STATE(2746),
    [sym_identifier] = ACTIONS(6095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6097),
    [anon_sym_COMMA] = ACTIONS(6097),
    [anon_sym_RPAREN] = ACTIONS(6097),
    [aux_sym_preproc_if_token2] = ACTIONS(6097),
    [aux_sym_preproc_else_token1] = ACTIONS(6097),
    [aux_sym_preproc_elif_token1] = ACTIONS(6095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6097),
    [anon_sym_LPAREN2] = ACTIONS(6097),
    [anon_sym_DASH] = ACTIONS(6095),
    [anon_sym_PLUS] = ACTIONS(6095),
    [anon_sym_STAR] = ACTIONS(6095),
    [anon_sym_SLASH] = ACTIONS(6095),
    [anon_sym_PERCENT] = ACTIONS(6095),
    [anon_sym_PIPE_PIPE] = ACTIONS(6097),
    [anon_sym_AMP_AMP] = ACTIONS(6097),
    [anon_sym_PIPE] = ACTIONS(6095),
    [anon_sym_CARET] = ACTIONS(6095),
    [anon_sym_AMP] = ACTIONS(6095),
    [anon_sym_EQ_EQ] = ACTIONS(6097),
    [anon_sym_BANG_EQ] = ACTIONS(6097),
    [anon_sym_GT] = ACTIONS(6095),
    [anon_sym_GT_EQ] = ACTIONS(6097),
    [anon_sym_LT_EQ] = ACTIONS(6095),
    [anon_sym_LT] = ACTIONS(6095),
    [anon_sym_LT_LT] = ACTIONS(6095),
    [anon_sym_GT_GT] = ACTIONS(6095),
    [anon_sym_COLON] = ACTIONS(6097),
    [anon_sym_SEMI] = ACTIONS(6097),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6097),
    [anon_sym_RBRACE] = ACTIONS(6097),
    [anon_sym_LBRACK] = ACTIONS(6097),
    [anon_sym_RBRACK] = ACTIONS(6097),
    [anon_sym_EQ] = ACTIONS(6095),
    [anon_sym_QMARK] = ACTIONS(6097),
    [anon_sym_STAR_EQ] = ACTIONS(6097),
    [anon_sym_SLASH_EQ] = ACTIONS(6097),
    [anon_sym_PERCENT_EQ] = ACTIONS(6097),
    [anon_sym_PLUS_EQ] = ACTIONS(6097),
    [anon_sym_DASH_EQ] = ACTIONS(6097),
    [anon_sym_LT_LT_EQ] = ACTIONS(6097),
    [anon_sym_GT_GT_EQ] = ACTIONS(6097),
    [anon_sym_AMP_EQ] = ACTIONS(6097),
    [anon_sym_CARET_EQ] = ACTIONS(6097),
    [anon_sym_PIPE_EQ] = ACTIONS(6097),
    [anon_sym_and_eq] = ACTIONS(6095),
    [anon_sym_or_eq] = ACTIONS(6095),
    [anon_sym_xor_eq] = ACTIONS(6095),
    [anon_sym_LT_EQ_GT] = ACTIONS(6097),
    [anon_sym_or] = ACTIONS(6095),
    [anon_sym_and] = ACTIONS(6095),
    [anon_sym_bitor] = ACTIONS(6095),
    [anon_sym_xor] = ACTIONS(6095),
    [anon_sym_bitand] = ACTIONS(6095),
    [anon_sym_not_eq] = ACTIONS(6095),
    [anon_sym_DASH_DASH] = ACTIONS(6097),
    [anon_sym_PLUS_PLUS] = ACTIONS(6097),
    [anon_sym_DOT] = ACTIONS(6095),
    [anon_sym_DOT_STAR] = ACTIONS(6097),
    [anon_sym_DASH_GT] = ACTIONS(6097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6095),
    [anon_sym_decltype] = ACTIONS(6095),
  },
  [2648] = {
    [sym_attribute_specifier] = STATE(2748),
    [sym_identifier] = ACTIONS(6087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6089),
    [anon_sym_COMMA] = ACTIONS(6089),
    [anon_sym_RPAREN] = ACTIONS(6089),
    [aux_sym_preproc_if_token2] = ACTIONS(6089),
    [aux_sym_preproc_else_token1] = ACTIONS(6089),
    [aux_sym_preproc_elif_token1] = ACTIONS(6087),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_STAR] = ACTIONS(6087),
    [anon_sym_SLASH] = ACTIONS(6087),
    [anon_sym_PERCENT] = ACTIONS(6087),
    [anon_sym_PIPE_PIPE] = ACTIONS(6089),
    [anon_sym_AMP_AMP] = ACTIONS(6089),
    [anon_sym_PIPE] = ACTIONS(6087),
    [anon_sym_CARET] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(6087),
    [anon_sym_EQ_EQ] = ACTIONS(6089),
    [anon_sym_BANG_EQ] = ACTIONS(6089),
    [anon_sym_GT] = ACTIONS(6087),
    [anon_sym_GT_EQ] = ACTIONS(6089),
    [anon_sym_LT_EQ] = ACTIONS(6087),
    [anon_sym_LT] = ACTIONS(6087),
    [anon_sym_LT_LT] = ACTIONS(6087),
    [anon_sym_GT_GT] = ACTIONS(6087),
    [anon_sym_COLON] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6089),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6089),
    [anon_sym_RBRACE] = ACTIONS(6089),
    [anon_sym_LBRACK] = ACTIONS(6089),
    [anon_sym_RBRACK] = ACTIONS(6089),
    [anon_sym_EQ] = ACTIONS(6087),
    [anon_sym_QMARK] = ACTIONS(6089),
    [anon_sym_STAR_EQ] = ACTIONS(6089),
    [anon_sym_SLASH_EQ] = ACTIONS(6089),
    [anon_sym_PERCENT_EQ] = ACTIONS(6089),
    [anon_sym_PLUS_EQ] = ACTIONS(6089),
    [anon_sym_DASH_EQ] = ACTIONS(6089),
    [anon_sym_LT_LT_EQ] = ACTIONS(6089),
    [anon_sym_GT_GT_EQ] = ACTIONS(6089),
    [anon_sym_AMP_EQ] = ACTIONS(6089),
    [anon_sym_CARET_EQ] = ACTIONS(6089),
    [anon_sym_PIPE_EQ] = ACTIONS(6089),
    [anon_sym_and_eq] = ACTIONS(6087),
    [anon_sym_or_eq] = ACTIONS(6087),
    [anon_sym_xor_eq] = ACTIONS(6087),
    [anon_sym_LT_EQ_GT] = ACTIONS(6089),
    [anon_sym_or] = ACTIONS(6087),
    [anon_sym_and] = ACTIONS(6087),
    [anon_sym_bitor] = ACTIONS(6087),
    [anon_sym_xor] = ACTIONS(6087),
    [anon_sym_bitand] = ACTIONS(6087),
    [anon_sym_not_eq] = ACTIONS(6087),
    [anon_sym_DASH_DASH] = ACTIONS(6089),
    [anon_sym_PLUS_PLUS] = ACTIONS(6089),
    [anon_sym_DOT] = ACTIONS(6087),
    [anon_sym_DOT_STAR] = ACTIONS(6089),
    [anon_sym_DASH_GT] = ACTIONS(6089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6087),
    [anon_sym_decltype] = ACTIONS(6087),
  },
  [2649] = {
    [sym_identifier] = ACTIONS(5806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5808),
    [anon_sym_COMMA] = ACTIONS(5808),
    [anon_sym_RPAREN] = ACTIONS(5808),
    [aux_sym_preproc_if_token2] = ACTIONS(5808),
    [aux_sym_preproc_else_token1] = ACTIONS(5808),
    [aux_sym_preproc_elif_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5808),
    [anon_sym_LPAREN2] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(5806),
    [anon_sym_SLASH] = ACTIONS(5806),
    [anon_sym_PERCENT] = ACTIONS(5806),
    [anon_sym_PIPE_PIPE] = ACTIONS(5808),
    [anon_sym_AMP_AMP] = ACTIONS(5808),
    [anon_sym_PIPE] = ACTIONS(5806),
    [anon_sym_CARET] = ACTIONS(5806),
    [anon_sym_AMP] = ACTIONS(5806),
    [anon_sym_EQ_EQ] = ACTIONS(5808),
    [anon_sym_BANG_EQ] = ACTIONS(5808),
    [anon_sym_GT] = ACTIONS(5806),
    [anon_sym_GT_EQ] = ACTIONS(5808),
    [anon_sym_LT_EQ] = ACTIONS(5806),
    [anon_sym_LT] = ACTIONS(5806),
    [anon_sym_LT_LT] = ACTIONS(5806),
    [anon_sym_GT_GT] = ACTIONS(5806),
    [anon_sym_COLON] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [anon_sym___attribute__] = ACTIONS(5806),
    [anon_sym___attribute] = ACTIONS(5806),
    [anon_sym_COLON_COLON] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(5808),
    [anon_sym_RBRACE] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [anon_sym_RBRACK] = ACTIONS(5808),
    [anon_sym_EQ] = ACTIONS(5806),
    [anon_sym_QMARK] = ACTIONS(5808),
    [anon_sym_STAR_EQ] = ACTIONS(5808),
    [anon_sym_SLASH_EQ] = ACTIONS(5808),
    [anon_sym_PERCENT_EQ] = ACTIONS(5808),
    [anon_sym_PLUS_EQ] = ACTIONS(5808),
    [anon_sym_DASH_EQ] = ACTIONS(5808),
    [anon_sym_LT_LT_EQ] = ACTIONS(5808),
    [anon_sym_GT_GT_EQ] = ACTIONS(5808),
    [anon_sym_AMP_EQ] = ACTIONS(5808),
    [anon_sym_CARET_EQ] = ACTIONS(5808),
    [anon_sym_PIPE_EQ] = ACTIONS(5808),
    [anon_sym_and_eq] = ACTIONS(5806),
    [anon_sym_or_eq] = ACTIONS(5806),
    [anon_sym_xor_eq] = ACTIONS(5806),
    [anon_sym_LT_EQ_GT] = ACTIONS(5808),
    [anon_sym_or] = ACTIONS(5806),
    [anon_sym_and] = ACTIONS(5806),
    [anon_sym_bitor] = ACTIONS(5806),
    [anon_sym_xor] = ACTIONS(5806),
    [anon_sym_bitand] = ACTIONS(5806),
    [anon_sym_not_eq] = ACTIONS(5806),
    [anon_sym_DASH_DASH] = ACTIONS(5808),
    [anon_sym_PLUS_PLUS] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_DOT_STAR] = ACTIONS(5808),
    [anon_sym_DASH_GT] = ACTIONS(5808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5806),
  },
  [2650] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4209),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2651] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(6584),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_RBRACK] = ACTIONS(6586),
    [anon_sym_EQ] = ACTIONS(6589),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(6591),
    [anon_sym_SLASH_EQ] = ACTIONS(6591),
    [anon_sym_PERCENT_EQ] = ACTIONS(6591),
    [anon_sym_PLUS_EQ] = ACTIONS(6591),
    [anon_sym_DASH_EQ] = ACTIONS(6591),
    [anon_sym_LT_LT_EQ] = ACTIONS(6591),
    [anon_sym_GT_GT_EQ] = ACTIONS(6591),
    [anon_sym_AMP_EQ] = ACTIONS(6591),
    [anon_sym_CARET_EQ] = ACTIONS(6591),
    [anon_sym_PIPE_EQ] = ACTIONS(6591),
    [anon_sym_and_eq] = ACTIONS(6591),
    [anon_sym_or_eq] = ACTIONS(6591),
    [anon_sym_xor_eq] = ACTIONS(6591),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2652] = {
    [sym_attribute_specifier] = STATE(2751),
    [sym_identifier] = ACTIONS(6047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6049),
    [anon_sym_COMMA] = ACTIONS(6049),
    [anon_sym_RPAREN] = ACTIONS(6049),
    [aux_sym_preproc_if_token2] = ACTIONS(6049),
    [aux_sym_preproc_else_token1] = ACTIONS(6049),
    [aux_sym_preproc_elif_token1] = ACTIONS(6047),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [anon_sym_DASH] = ACTIONS(6047),
    [anon_sym_PLUS] = ACTIONS(6047),
    [anon_sym_STAR] = ACTIONS(6047),
    [anon_sym_SLASH] = ACTIONS(6047),
    [anon_sym_PERCENT] = ACTIONS(6047),
    [anon_sym_PIPE_PIPE] = ACTIONS(6049),
    [anon_sym_AMP_AMP] = ACTIONS(6049),
    [anon_sym_PIPE] = ACTIONS(6047),
    [anon_sym_CARET] = ACTIONS(6047),
    [anon_sym_AMP] = ACTIONS(6047),
    [anon_sym_EQ_EQ] = ACTIONS(6049),
    [anon_sym_BANG_EQ] = ACTIONS(6049),
    [anon_sym_GT] = ACTIONS(6047),
    [anon_sym_GT_EQ] = ACTIONS(6049),
    [anon_sym_LT_EQ] = ACTIONS(6047),
    [anon_sym_LT] = ACTIONS(6047),
    [anon_sym_LT_LT] = ACTIONS(6047),
    [anon_sym_GT_GT] = ACTIONS(6047),
    [anon_sym_COLON] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6049),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6049),
    [anon_sym_RBRACE] = ACTIONS(6049),
    [anon_sym_LBRACK] = ACTIONS(6049),
    [anon_sym_RBRACK] = ACTIONS(6049),
    [anon_sym_EQ] = ACTIONS(6047),
    [anon_sym_QMARK] = ACTIONS(6049),
    [anon_sym_STAR_EQ] = ACTIONS(6049),
    [anon_sym_SLASH_EQ] = ACTIONS(6049),
    [anon_sym_PERCENT_EQ] = ACTIONS(6049),
    [anon_sym_PLUS_EQ] = ACTIONS(6049),
    [anon_sym_DASH_EQ] = ACTIONS(6049),
    [anon_sym_LT_LT_EQ] = ACTIONS(6049),
    [anon_sym_GT_GT_EQ] = ACTIONS(6049),
    [anon_sym_AMP_EQ] = ACTIONS(6049),
    [anon_sym_CARET_EQ] = ACTIONS(6049),
    [anon_sym_PIPE_EQ] = ACTIONS(6049),
    [anon_sym_and_eq] = ACTIONS(6047),
    [anon_sym_or_eq] = ACTIONS(6047),
    [anon_sym_xor_eq] = ACTIONS(6047),
    [anon_sym_LT_EQ_GT] = ACTIONS(6049),
    [anon_sym_or] = ACTIONS(6047),
    [anon_sym_and] = ACTIONS(6047),
    [anon_sym_bitor] = ACTIONS(6047),
    [anon_sym_xor] = ACTIONS(6047),
    [anon_sym_bitand] = ACTIONS(6047),
    [anon_sym_not_eq] = ACTIONS(6047),
    [anon_sym_DASH_DASH] = ACTIONS(6049),
    [anon_sym_PLUS_PLUS] = ACTIONS(6049),
    [anon_sym_DOT] = ACTIONS(6047),
    [anon_sym_DOT_STAR] = ACTIONS(6049),
    [anon_sym_DASH_GT] = ACTIONS(6049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6047),
    [anon_sym_decltype] = ACTIONS(6047),
  },
  [2653] = {
    [sym_attribute_specifier] = STATE(2752),
    [sym_identifier] = ACTIONS(6055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6057),
    [anon_sym_COMMA] = ACTIONS(6057),
    [anon_sym_RPAREN] = ACTIONS(6057),
    [aux_sym_preproc_if_token2] = ACTIONS(6057),
    [aux_sym_preproc_else_token1] = ACTIONS(6057),
    [aux_sym_preproc_elif_token1] = ACTIONS(6055),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6057),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6057),
    [anon_sym_LPAREN2] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6055),
    [anon_sym_PLUS] = ACTIONS(6055),
    [anon_sym_STAR] = ACTIONS(6055),
    [anon_sym_SLASH] = ACTIONS(6055),
    [anon_sym_PERCENT] = ACTIONS(6055),
    [anon_sym_PIPE_PIPE] = ACTIONS(6057),
    [anon_sym_AMP_AMP] = ACTIONS(6057),
    [anon_sym_PIPE] = ACTIONS(6055),
    [anon_sym_CARET] = ACTIONS(6055),
    [anon_sym_AMP] = ACTIONS(6055),
    [anon_sym_EQ_EQ] = ACTIONS(6057),
    [anon_sym_BANG_EQ] = ACTIONS(6057),
    [anon_sym_GT] = ACTIONS(6055),
    [anon_sym_GT_EQ] = ACTIONS(6057),
    [anon_sym_LT_EQ] = ACTIONS(6055),
    [anon_sym_LT] = ACTIONS(6055),
    [anon_sym_LT_LT] = ACTIONS(6055),
    [anon_sym_GT_GT] = ACTIONS(6055),
    [anon_sym_COLON] = ACTIONS(6057),
    [anon_sym_SEMI] = ACTIONS(6057),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6057),
    [anon_sym_RBRACE] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [anon_sym_RBRACK] = ACTIONS(6057),
    [anon_sym_EQ] = ACTIONS(6055),
    [anon_sym_QMARK] = ACTIONS(6057),
    [anon_sym_STAR_EQ] = ACTIONS(6057),
    [anon_sym_SLASH_EQ] = ACTIONS(6057),
    [anon_sym_PERCENT_EQ] = ACTIONS(6057),
    [anon_sym_PLUS_EQ] = ACTIONS(6057),
    [anon_sym_DASH_EQ] = ACTIONS(6057),
    [anon_sym_LT_LT_EQ] = ACTIONS(6057),
    [anon_sym_GT_GT_EQ] = ACTIONS(6057),
    [anon_sym_AMP_EQ] = ACTIONS(6057),
    [anon_sym_CARET_EQ] = ACTIONS(6057),
    [anon_sym_PIPE_EQ] = ACTIONS(6057),
    [anon_sym_and_eq] = ACTIONS(6055),
    [anon_sym_or_eq] = ACTIONS(6055),
    [anon_sym_xor_eq] = ACTIONS(6055),
    [anon_sym_LT_EQ_GT] = ACTIONS(6057),
    [anon_sym_or] = ACTIONS(6055),
    [anon_sym_and] = ACTIONS(6055),
    [anon_sym_bitor] = ACTIONS(6055),
    [anon_sym_xor] = ACTIONS(6055),
    [anon_sym_bitand] = ACTIONS(6055),
    [anon_sym_not_eq] = ACTIONS(6055),
    [anon_sym_DASH_DASH] = ACTIONS(6057),
    [anon_sym_PLUS_PLUS] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(6055),
    [anon_sym_DOT_STAR] = ACTIONS(6057),
    [anon_sym_DASH_GT] = ACTIONS(6057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6055),
    [anon_sym_decltype] = ACTIONS(6055),
  },
  [2654] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6593),
    [anon_sym_COMMA] = ACTIONS(6596),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_RBRACK] = ACTIONS(6599),
    [anon_sym_EQ] = ACTIONS(6603),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(6591),
    [anon_sym_SLASH_EQ] = ACTIONS(6591),
    [anon_sym_PERCENT_EQ] = ACTIONS(6591),
    [anon_sym_PLUS_EQ] = ACTIONS(6591),
    [anon_sym_DASH_EQ] = ACTIONS(6591),
    [anon_sym_LT_LT_EQ] = ACTIONS(6591),
    [anon_sym_GT_GT_EQ] = ACTIONS(6591),
    [anon_sym_AMP_EQ] = ACTIONS(6591),
    [anon_sym_CARET_EQ] = ACTIONS(6591),
    [anon_sym_PIPE_EQ] = ACTIONS(6591),
    [anon_sym_and_eq] = ACTIONS(6591),
    [anon_sym_or_eq] = ACTIONS(6591),
    [anon_sym_xor_eq] = ACTIONS(6591),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2655] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4118),
    [anon_sym_SEMI] = ACTIONS(4070),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2656] = {
    [sym_attribute_declaration] = STATE(2695),
    [sym_parameter_list] = STATE(2713),
    [aux_sym_attributed_declarator_repeat1] = STATE(2695),
    [sym_identifier] = ACTIONS(6605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6607),
    [anon_sym_COMMA] = ACTIONS(6607),
    [anon_sym_RPAREN] = ACTIONS(6607),
    [aux_sym_preproc_if_token2] = ACTIONS(6607),
    [aux_sym_preproc_else_token1] = ACTIONS(6607),
    [aux_sym_preproc_elif_token1] = ACTIONS(6605),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6607),
    [anon_sym_LPAREN2] = ACTIONS(6532),
    [anon_sym_DASH] = ACTIONS(6605),
    [anon_sym_PLUS] = ACTIONS(6605),
    [anon_sym_STAR] = ACTIONS(6605),
    [anon_sym_SLASH] = ACTIONS(6605),
    [anon_sym_PERCENT] = ACTIONS(6605),
    [anon_sym_PIPE_PIPE] = ACTIONS(6607),
    [anon_sym_AMP_AMP] = ACTIONS(6607),
    [anon_sym_PIPE] = ACTIONS(6605),
    [anon_sym_CARET] = ACTIONS(6605),
    [anon_sym_AMP] = ACTIONS(6605),
    [anon_sym_EQ_EQ] = ACTIONS(6607),
    [anon_sym_BANG_EQ] = ACTIONS(6607),
    [anon_sym_GT] = ACTIONS(6605),
    [anon_sym_GT_EQ] = ACTIONS(6607),
    [anon_sym_LT_EQ] = ACTIONS(6605),
    [anon_sym_LT] = ACTIONS(6605),
    [anon_sym_LT_LT] = ACTIONS(6605),
    [anon_sym_GT_GT] = ACTIONS(6605),
    [anon_sym_COLON] = ACTIONS(6607),
    [anon_sym_SEMI] = ACTIONS(6607),
    [anon_sym___attribute__] = ACTIONS(6605),
    [anon_sym___attribute] = ACTIONS(6605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6534),
    [anon_sym_RBRACE] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6536),
    [anon_sym_RBRACK] = ACTIONS(6607),
    [anon_sym_EQ] = ACTIONS(6605),
    [anon_sym_QMARK] = ACTIONS(6607),
    [anon_sym_STAR_EQ] = ACTIONS(6607),
    [anon_sym_SLASH_EQ] = ACTIONS(6607),
    [anon_sym_PERCENT_EQ] = ACTIONS(6607),
    [anon_sym_PLUS_EQ] = ACTIONS(6607),
    [anon_sym_DASH_EQ] = ACTIONS(6607),
    [anon_sym_LT_LT_EQ] = ACTIONS(6607),
    [anon_sym_GT_GT_EQ] = ACTIONS(6607),
    [anon_sym_AMP_EQ] = ACTIONS(6607),
    [anon_sym_CARET_EQ] = ACTIONS(6607),
    [anon_sym_PIPE_EQ] = ACTIONS(6607),
    [anon_sym_and_eq] = ACTIONS(6605),
    [anon_sym_or_eq] = ACTIONS(6605),
    [anon_sym_xor_eq] = ACTIONS(6605),
    [anon_sym_LT_EQ_GT] = ACTIONS(6607),
    [anon_sym_or] = ACTIONS(6605),
    [anon_sym_and] = ACTIONS(6605),
    [anon_sym_bitor] = ACTIONS(6605),
    [anon_sym_xor] = ACTIONS(6605),
    [anon_sym_bitand] = ACTIONS(6605),
    [anon_sym_not_eq] = ACTIONS(6605),
    [anon_sym_DASH_DASH] = ACTIONS(6607),
    [anon_sym_PLUS_PLUS] = ACTIONS(6607),
    [anon_sym_DOT] = ACTIONS(6605),
    [anon_sym_DOT_STAR] = ACTIONS(6607),
    [anon_sym_DASH_GT] = ACTIONS(6607),
    [sym_comment] = ACTIONS(3),
  },
  [2657] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [aux_sym_preproc_if_token2] = ACTIONS(5712),
    [aux_sym_preproc_else_token1] = ACTIONS(5712),
    [aux_sym_preproc_elif_token1] = ACTIONS(5710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5710),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5710),
    [anon_sym_GT_GT] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_EQ] = ACTIONS(5710),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_STAR_EQ] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [anon_sym_PERCENT_EQ] = ACTIONS(5712),
    [anon_sym_PLUS_EQ] = ACTIONS(5712),
    [anon_sym_DASH_EQ] = ACTIONS(5712),
    [anon_sym_LT_LT_EQ] = ACTIONS(5712),
    [anon_sym_GT_GT_EQ] = ACTIONS(5712),
    [anon_sym_AMP_EQ] = ACTIONS(5712),
    [anon_sym_CARET_EQ] = ACTIONS(5712),
    [anon_sym_PIPE_EQ] = ACTIONS(5712),
    [anon_sym_and_eq] = ACTIONS(5710),
    [anon_sym_or_eq] = ACTIONS(5710),
    [anon_sym_xor_eq] = ACTIONS(5710),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
  },
  [2658] = {
    [sym_identifier] = ACTIONS(5924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5926),
    [anon_sym_COMMA] = ACTIONS(5926),
    [anon_sym_RPAREN] = ACTIONS(5926),
    [aux_sym_preproc_if_token2] = ACTIONS(5926),
    [aux_sym_preproc_else_token1] = ACTIONS(5926),
    [aux_sym_preproc_elif_token1] = ACTIONS(5924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5926),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5926),
    [anon_sym_LPAREN2] = ACTIONS(5926),
    [anon_sym_DASH] = ACTIONS(5924),
    [anon_sym_PLUS] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5924),
    [anon_sym_SLASH] = ACTIONS(5924),
    [anon_sym_PERCENT] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_PIPE] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5924),
    [anon_sym_AMP] = ACTIONS(5924),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5924),
    [anon_sym_GT_EQ] = ACTIONS(5926),
    [anon_sym_LT_EQ] = ACTIONS(5924),
    [anon_sym_LT] = ACTIONS(5924),
    [anon_sym_LT_LT] = ACTIONS(5924),
    [anon_sym_GT_GT] = ACTIONS(5924),
    [anon_sym_COLON] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5926),
    [anon_sym___attribute__] = ACTIONS(5924),
    [anon_sym___attribute] = ACTIONS(5924),
    [anon_sym_LBRACE] = ACTIONS(5926),
    [anon_sym_RBRACE] = ACTIONS(5926),
    [anon_sym_LBRACK] = ACTIONS(5926),
    [anon_sym_RBRACK] = ACTIONS(5926),
    [anon_sym_EQ] = ACTIONS(5924),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_STAR_EQ] = ACTIONS(5926),
    [anon_sym_SLASH_EQ] = ACTIONS(5926),
    [anon_sym_PERCENT_EQ] = ACTIONS(5926),
    [anon_sym_PLUS_EQ] = ACTIONS(5926),
    [anon_sym_DASH_EQ] = ACTIONS(5926),
    [anon_sym_LT_LT_EQ] = ACTIONS(5926),
    [anon_sym_GT_GT_EQ] = ACTIONS(5926),
    [anon_sym_AMP_EQ] = ACTIONS(5926),
    [anon_sym_CARET_EQ] = ACTIONS(5926),
    [anon_sym_PIPE_EQ] = ACTIONS(5926),
    [anon_sym_and_eq] = ACTIONS(5924),
    [anon_sym_or_eq] = ACTIONS(5924),
    [anon_sym_xor_eq] = ACTIONS(5924),
    [anon_sym_LT_EQ_GT] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5924),
    [anon_sym_bitor] = ACTIONS(5924),
    [anon_sym_xor] = ACTIONS(5924),
    [anon_sym_bitand] = ACTIONS(5924),
    [anon_sym_not_eq] = ACTIONS(5924),
    [anon_sym_DASH_DASH] = ACTIONS(5926),
    [anon_sym_PLUS_PLUS] = ACTIONS(5926),
    [anon_sym_DOT] = ACTIONS(5924),
    [anon_sym_DOT_STAR] = ACTIONS(5926),
    [anon_sym_DASH_GT] = ACTIONS(5926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5924),
    [anon_sym_decltype] = ACTIONS(5924),
  },
  [2659] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2750),
    [sym_identifier] = ACTIONS(5745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [aux_sym_preproc_if_token2] = ACTIONS(5747),
    [aux_sym_preproc_else_token1] = ACTIONS(5747),
    [aux_sym_preproc_elif_token1] = ACTIONS(5745),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5747),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5745),
    [anon_sym_STAR] = ACTIONS(5745),
    [anon_sym_SLASH] = ACTIONS(5745),
    [anon_sym_PERCENT] = ACTIONS(5745),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_PIPE] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5745),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_EQ_EQ] = ACTIONS(5747),
    [anon_sym_BANG_EQ] = ACTIONS(5747),
    [anon_sym_GT] = ACTIONS(5745),
    [anon_sym_GT_EQ] = ACTIONS(5747),
    [anon_sym_LT_EQ] = ACTIONS(5745),
    [anon_sym_LT] = ACTIONS(5745),
    [anon_sym_LT_LT] = ACTIONS(5745),
    [anon_sym_GT_GT] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5745),
    [anon_sym___attribute] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(6609),
    [anon_sym_unsigned] = ACTIONS(6609),
    [anon_sym_long] = ACTIONS(6609),
    [anon_sym_short] = ACTIONS(6609),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_EQ] = ACTIONS(5745),
    [anon_sym_QMARK] = ACTIONS(5747),
    [anon_sym_STAR_EQ] = ACTIONS(5747),
    [anon_sym_SLASH_EQ] = ACTIONS(5747),
    [anon_sym_PERCENT_EQ] = ACTIONS(5747),
    [anon_sym_PLUS_EQ] = ACTIONS(5747),
    [anon_sym_DASH_EQ] = ACTIONS(5747),
    [anon_sym_LT_LT_EQ] = ACTIONS(5747),
    [anon_sym_GT_GT_EQ] = ACTIONS(5747),
    [anon_sym_AMP_EQ] = ACTIONS(5747),
    [anon_sym_CARET_EQ] = ACTIONS(5747),
    [anon_sym_PIPE_EQ] = ACTIONS(5747),
    [anon_sym_and_eq] = ACTIONS(5745),
    [anon_sym_or_eq] = ACTIONS(5745),
    [anon_sym_xor_eq] = ACTIONS(5745),
    [anon_sym_LT_EQ_GT] = ACTIONS(5747),
    [anon_sym_or] = ACTIONS(5745),
    [anon_sym_and] = ACTIONS(5745),
    [anon_sym_bitor] = ACTIONS(5745),
    [anon_sym_xor] = ACTIONS(5745),
    [anon_sym_bitand] = ACTIONS(5745),
    [anon_sym_not_eq] = ACTIONS(5745),
    [anon_sym_DASH_DASH] = ACTIONS(5747),
    [anon_sym_PLUS_PLUS] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5745),
    [anon_sym_DOT_STAR] = ACTIONS(5747),
    [anon_sym_DASH_GT] = ACTIONS(5747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5745),
    [anon_sym_decltype] = ACTIONS(5745),
  },
  [2660] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(5784),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [aux_sym_preproc_if_token2] = ACTIONS(5786),
    [aux_sym_preproc_else_token1] = ACTIONS(5786),
    [aux_sym_preproc_elif_token1] = ACTIONS(5784),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym___attribute__] = ACTIONS(5784),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6611),
    [anon_sym_unsigned] = ACTIONS(6611),
    [anon_sym_long] = ACTIONS(6611),
    [anon_sym_short] = ACTIONS(6611),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_EQ] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_STAR_EQ] = ACTIONS(5786),
    [anon_sym_SLASH_EQ] = ACTIONS(5786),
    [anon_sym_PERCENT_EQ] = ACTIONS(5786),
    [anon_sym_PLUS_EQ] = ACTIONS(5786),
    [anon_sym_DASH_EQ] = ACTIONS(5786),
    [anon_sym_LT_LT_EQ] = ACTIONS(5786),
    [anon_sym_GT_GT_EQ] = ACTIONS(5786),
    [anon_sym_AMP_EQ] = ACTIONS(5786),
    [anon_sym_CARET_EQ] = ACTIONS(5786),
    [anon_sym_PIPE_EQ] = ACTIONS(5786),
    [anon_sym_and_eq] = ACTIONS(5784),
    [anon_sym_or_eq] = ACTIONS(5784),
    [anon_sym_xor_eq] = ACTIONS(5784),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5784),
    [anon_sym_and] = ACTIONS(5784),
    [anon_sym_bitor] = ACTIONS(5784),
    [anon_sym_xor] = ACTIONS(5784),
    [anon_sym_bitand] = ACTIONS(5784),
    [anon_sym_not_eq] = ACTIONS(5784),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5784),
    [anon_sym_decltype] = ACTIONS(5784),
  },
  [2661] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(5778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5780),
    [anon_sym_COMMA] = ACTIONS(5780),
    [aux_sym_preproc_if_token2] = ACTIONS(5780),
    [aux_sym_preproc_else_token1] = ACTIONS(5780),
    [aux_sym_preproc_elif_token1] = ACTIONS(5778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5780),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5780),
    [anon_sym_LPAREN2] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5778),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5778),
    [anon_sym_PIPE_PIPE] = ACTIONS(5780),
    [anon_sym_AMP_AMP] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5778),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5780),
    [anon_sym_BANG_EQ] = ACTIONS(5780),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5780),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5778),
    [anon_sym_GT_GT] = ACTIONS(5778),
    [anon_sym___attribute__] = ACTIONS(5778),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5780),
    [anon_sym_signed] = ACTIONS(6613),
    [anon_sym_unsigned] = ACTIONS(6613),
    [anon_sym_long] = ACTIONS(6613),
    [anon_sym_short] = ACTIONS(6613),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [anon_sym_EQ] = ACTIONS(5778),
    [anon_sym_QMARK] = ACTIONS(5780),
    [anon_sym_STAR_EQ] = ACTIONS(5780),
    [anon_sym_SLASH_EQ] = ACTIONS(5780),
    [anon_sym_PERCENT_EQ] = ACTIONS(5780),
    [anon_sym_PLUS_EQ] = ACTIONS(5780),
    [anon_sym_DASH_EQ] = ACTIONS(5780),
    [anon_sym_LT_LT_EQ] = ACTIONS(5780),
    [anon_sym_GT_GT_EQ] = ACTIONS(5780),
    [anon_sym_AMP_EQ] = ACTIONS(5780),
    [anon_sym_CARET_EQ] = ACTIONS(5780),
    [anon_sym_PIPE_EQ] = ACTIONS(5780),
    [anon_sym_and_eq] = ACTIONS(5778),
    [anon_sym_or_eq] = ACTIONS(5778),
    [anon_sym_xor_eq] = ACTIONS(5778),
    [anon_sym_LT_EQ_GT] = ACTIONS(5780),
    [anon_sym_or] = ACTIONS(5778),
    [anon_sym_and] = ACTIONS(5778),
    [anon_sym_bitor] = ACTIONS(5778),
    [anon_sym_xor] = ACTIONS(5778),
    [anon_sym_bitand] = ACTIONS(5778),
    [anon_sym_not_eq] = ACTIONS(5778),
    [anon_sym_DASH_DASH] = ACTIONS(5780),
    [anon_sym_PLUS_PLUS] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5780),
    [anon_sym_DASH_GT] = ACTIONS(5780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5778),
    [anon_sym_decltype] = ACTIONS(5778),
  },
  [2662] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2750),
    [sym_identifier] = ACTIONS(5754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [aux_sym_preproc_if_token2] = ACTIONS(5756),
    [aux_sym_preproc_else_token1] = ACTIONS(5756),
    [aux_sym_preproc_elif_token1] = ACTIONS(5754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5756),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5754),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5754),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5754),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5756),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5754),
    [anon_sym_GT_GT] = ACTIONS(5754),
    [anon_sym___attribute__] = ACTIONS(5754),
    [anon_sym___attribute] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(6609),
    [anon_sym_unsigned] = ACTIONS(6609),
    [anon_sym_long] = ACTIONS(6609),
    [anon_sym_short] = ACTIONS(6609),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_EQ] = ACTIONS(5754),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_STAR_EQ] = ACTIONS(5756),
    [anon_sym_SLASH_EQ] = ACTIONS(5756),
    [anon_sym_PERCENT_EQ] = ACTIONS(5756),
    [anon_sym_PLUS_EQ] = ACTIONS(5756),
    [anon_sym_DASH_EQ] = ACTIONS(5756),
    [anon_sym_LT_LT_EQ] = ACTIONS(5756),
    [anon_sym_GT_GT_EQ] = ACTIONS(5756),
    [anon_sym_AMP_EQ] = ACTIONS(5756),
    [anon_sym_CARET_EQ] = ACTIONS(5756),
    [anon_sym_PIPE_EQ] = ACTIONS(5756),
    [anon_sym_and_eq] = ACTIONS(5754),
    [anon_sym_or_eq] = ACTIONS(5754),
    [anon_sym_xor_eq] = ACTIONS(5754),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5754),
    [anon_sym_and] = ACTIONS(5754),
    [anon_sym_bitor] = ACTIONS(5754),
    [anon_sym_xor] = ACTIONS(5754),
    [anon_sym_bitand] = ACTIONS(5754),
    [anon_sym_not_eq] = ACTIONS(5754),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5754),
    [anon_sym_decltype] = ACTIONS(5754),
  },
  [2663] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2750),
    [sym_identifier] = ACTIONS(5758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [aux_sym_preproc_if_token2] = ACTIONS(5760),
    [aux_sym_preproc_else_token1] = ACTIONS(5760),
    [aux_sym_preproc_elif_token1] = ACTIONS(5758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5758),
    [anon_sym_GT_GT] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___attribute] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(6609),
    [anon_sym_unsigned] = ACTIONS(6609),
    [anon_sym_long] = ACTIONS(6609),
    [anon_sym_short] = ACTIONS(6609),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_EQ] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_STAR_EQ] = ACTIONS(5760),
    [anon_sym_SLASH_EQ] = ACTIONS(5760),
    [anon_sym_PERCENT_EQ] = ACTIONS(5760),
    [anon_sym_PLUS_EQ] = ACTIONS(5760),
    [anon_sym_DASH_EQ] = ACTIONS(5760),
    [anon_sym_LT_LT_EQ] = ACTIONS(5760),
    [anon_sym_GT_GT_EQ] = ACTIONS(5760),
    [anon_sym_AMP_EQ] = ACTIONS(5760),
    [anon_sym_CARET_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_and_eq] = ACTIONS(5758),
    [anon_sym_or_eq] = ACTIONS(5758),
    [anon_sym_xor_eq] = ACTIONS(5758),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
  },
  [2664] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2668),
    [sym_identifier] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5764),
    [anon_sym_COMMA] = ACTIONS(5764),
    [aux_sym_preproc_if_token2] = ACTIONS(5764),
    [aux_sym_preproc_else_token1] = ACTIONS(5764),
    [aux_sym_preproc_elif_token1] = ACTIONS(5762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [anon_sym_PIPE_PIPE] = ACTIONS(5764),
    [anon_sym_AMP_AMP] = ACTIONS(5764),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5764),
    [anon_sym_BANG_EQ] = ACTIONS(5764),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5764),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym___attribute__] = ACTIONS(5762),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(5764),
    [anon_sym_signed] = ACTIONS(6615),
    [anon_sym_unsigned] = ACTIONS(6615),
    [anon_sym_long] = ACTIONS(6615),
    [anon_sym_short] = ACTIONS(6615),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_STAR_EQ] = ACTIONS(5764),
    [anon_sym_SLASH_EQ] = ACTIONS(5764),
    [anon_sym_PERCENT_EQ] = ACTIONS(5764),
    [anon_sym_PLUS_EQ] = ACTIONS(5764),
    [anon_sym_DASH_EQ] = ACTIONS(5764),
    [anon_sym_LT_LT_EQ] = ACTIONS(5764),
    [anon_sym_GT_GT_EQ] = ACTIONS(5764),
    [anon_sym_AMP_EQ] = ACTIONS(5764),
    [anon_sym_CARET_EQ] = ACTIONS(5764),
    [anon_sym_PIPE_EQ] = ACTIONS(5764),
    [anon_sym_and_eq] = ACTIONS(5762),
    [anon_sym_or_eq] = ACTIONS(5762),
    [anon_sym_xor_eq] = ACTIONS(5762),
    [anon_sym_LT_EQ_GT] = ACTIONS(5764),
    [anon_sym_or] = ACTIONS(5762),
    [anon_sym_and] = ACTIONS(5762),
    [anon_sym_bitor] = ACTIONS(5762),
    [anon_sym_xor] = ACTIONS(5762),
    [anon_sym_bitand] = ACTIONS(5762),
    [anon_sym_not_eq] = ACTIONS(5762),
    [anon_sym_DASH_DASH] = ACTIONS(5764),
    [anon_sym_PLUS_PLUS] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5764),
    [anon_sym_DASH_GT] = ACTIONS(5764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5762),
    [anon_sym_decltype] = ACTIONS(5762),
  },
  [2665] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2669),
    [sym_identifier] = ACTIONS(5768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [aux_sym_preproc_if_token2] = ACTIONS(5770),
    [aux_sym_preproc_else_token1] = ACTIONS(5770),
    [aux_sym_preproc_elif_token1] = ACTIONS(5768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5768),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym___attribute__] = ACTIONS(5768),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(6617),
    [anon_sym_unsigned] = ACTIONS(6617),
    [anon_sym_long] = ACTIONS(6617),
    [anon_sym_short] = ACTIONS(6617),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_EQ] = ACTIONS(5768),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_STAR_EQ] = ACTIONS(5770),
    [anon_sym_SLASH_EQ] = ACTIONS(5770),
    [anon_sym_PERCENT_EQ] = ACTIONS(5770),
    [anon_sym_PLUS_EQ] = ACTIONS(5770),
    [anon_sym_DASH_EQ] = ACTIONS(5770),
    [anon_sym_LT_LT_EQ] = ACTIONS(5770),
    [anon_sym_GT_GT_EQ] = ACTIONS(5770),
    [anon_sym_AMP_EQ] = ACTIONS(5770),
    [anon_sym_CARET_EQ] = ACTIONS(5770),
    [anon_sym_PIPE_EQ] = ACTIONS(5770),
    [anon_sym_and_eq] = ACTIONS(5768),
    [anon_sym_or_eq] = ACTIONS(5768),
    [anon_sym_xor_eq] = ACTIONS(5768),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [anon_sym_bitor] = ACTIONS(5768),
    [anon_sym_xor] = ACTIONS(5768),
    [anon_sym_bitand] = ACTIONS(5768),
    [anon_sym_not_eq] = ACTIONS(5768),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5768),
    [anon_sym_decltype] = ACTIONS(5768),
  },
  [2666] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2750),
    [sym_identifier] = ACTIONS(5774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [aux_sym_preproc_if_token2] = ACTIONS(5776),
    [aux_sym_preproc_else_token1] = ACTIONS(5776),
    [aux_sym_preproc_elif_token1] = ACTIONS(5774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5776),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5774),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5774),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5774),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5774),
    [anon_sym_GT_GT] = ACTIONS(5774),
    [anon_sym___attribute__] = ACTIONS(5774),
    [anon_sym___attribute] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(6609),
    [anon_sym_unsigned] = ACTIONS(6609),
    [anon_sym_long] = ACTIONS(6609),
    [anon_sym_short] = ACTIONS(6609),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_EQ] = ACTIONS(5774),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_STAR_EQ] = ACTIONS(5776),
    [anon_sym_SLASH_EQ] = ACTIONS(5776),
    [anon_sym_PERCENT_EQ] = ACTIONS(5776),
    [anon_sym_PLUS_EQ] = ACTIONS(5776),
    [anon_sym_DASH_EQ] = ACTIONS(5776),
    [anon_sym_LT_LT_EQ] = ACTIONS(5776),
    [anon_sym_GT_GT_EQ] = ACTIONS(5776),
    [anon_sym_AMP_EQ] = ACTIONS(5776),
    [anon_sym_CARET_EQ] = ACTIONS(5776),
    [anon_sym_PIPE_EQ] = ACTIONS(5776),
    [anon_sym_and_eq] = ACTIONS(5774),
    [anon_sym_or_eq] = ACTIONS(5774),
    [anon_sym_xor_eq] = ACTIONS(5774),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5774),
    [anon_sym_and] = ACTIONS(5774),
    [anon_sym_bitor] = ACTIONS(5774),
    [anon_sym_xor] = ACTIONS(5774),
    [anon_sym_bitand] = ACTIONS(5774),
    [anon_sym_not_eq] = ACTIONS(5774),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5774),
    [anon_sym_decltype] = ACTIONS(5774),
  },
  [2667] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2710),
    [sym_identifier] = ACTIONS(5794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5796),
    [aux_sym_preproc_if_token2] = ACTIONS(5796),
    [aux_sym_preproc_else_token1] = ACTIONS(5796),
    [aux_sym_preproc_elif_token1] = ACTIONS(5794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5796),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5796),
    [anon_sym_LPAREN2] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_STAR] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_PIPE] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5794),
    [anon_sym_GT_EQ] = ACTIONS(5796),
    [anon_sym_LT_EQ] = ACTIONS(5794),
    [anon_sym_LT] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym___attribute__] = ACTIONS(5794),
    [anon_sym___attribute] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_signed] = ACTIONS(6619),
    [anon_sym_unsigned] = ACTIONS(6619),
    [anon_sym_long] = ACTIONS(6619),
    [anon_sym_short] = ACTIONS(6619),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_STAR_EQ] = ACTIONS(5796),
    [anon_sym_SLASH_EQ] = ACTIONS(5796),
    [anon_sym_PERCENT_EQ] = ACTIONS(5796),
    [anon_sym_PLUS_EQ] = ACTIONS(5796),
    [anon_sym_DASH_EQ] = ACTIONS(5796),
    [anon_sym_LT_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT_GT_EQ] = ACTIONS(5796),
    [anon_sym_AMP_EQ] = ACTIONS(5796),
    [anon_sym_CARET_EQ] = ACTIONS(5796),
    [anon_sym_PIPE_EQ] = ACTIONS(5796),
    [anon_sym_and_eq] = ACTIONS(5794),
    [anon_sym_or_eq] = ACTIONS(5794),
    [anon_sym_xor_eq] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5796),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_bitor] = ACTIONS(5794),
    [anon_sym_xor] = ACTIONS(5794),
    [anon_sym_bitand] = ACTIONS(5794),
    [anon_sym_not_eq] = ACTIONS(5794),
    [anon_sym_DASH_DASH] = ACTIONS(5796),
    [anon_sym_PLUS_PLUS] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_DOT_STAR] = ACTIONS(5796),
    [anon_sym_DASH_GT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5794),
    [anon_sym_decltype] = ACTIONS(5794),
  },
  [2668] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2750),
    [sym_identifier] = ACTIONS(5798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [aux_sym_preproc_if_token2] = ACTIONS(5800),
    [aux_sym_preproc_else_token1] = ACTIONS(5800),
    [aux_sym_preproc_elif_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5800),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_STAR] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_AMP] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5798),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5798),
    [anon_sym_LT] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym___attribute__] = ACTIONS(5798),
    [anon_sym___attribute] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6609),
    [anon_sym_unsigned] = ACTIONS(6609),
    [anon_sym_long] = ACTIONS(6609),
    [anon_sym_short] = ACTIONS(6609),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_STAR_EQ] = ACTIONS(5800),
    [anon_sym_SLASH_EQ] = ACTIONS(5800),
    [anon_sym_PERCENT_EQ] = ACTIONS(5800),
    [anon_sym_PLUS_EQ] = ACTIONS(5800),
    [anon_sym_DASH_EQ] = ACTIONS(5800),
    [anon_sym_LT_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT_GT_EQ] = ACTIONS(5800),
    [anon_sym_AMP_EQ] = ACTIONS(5800),
    [anon_sym_CARET_EQ] = ACTIONS(5800),
    [anon_sym_PIPE_EQ] = ACTIONS(5800),
    [anon_sym_and_eq] = ACTIONS(5798),
    [anon_sym_or_eq] = ACTIONS(5798),
    [anon_sym_xor_eq] = ACTIONS(5798),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_bitor] = ACTIONS(5798),
    [anon_sym_xor] = ACTIONS(5798),
    [anon_sym_bitand] = ACTIONS(5798),
    [anon_sym_not_eq] = ACTIONS(5798),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5798),
    [anon_sym_decltype] = ACTIONS(5798),
  },
  [2669] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2750),
    [sym_identifier] = ACTIONS(5802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [aux_sym_preproc_if_token2] = ACTIONS(5804),
    [aux_sym_preproc_else_token1] = ACTIONS(5804),
    [aux_sym_preproc_elif_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5804),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym___attribute__] = ACTIONS(5802),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(6609),
    [anon_sym_unsigned] = ACTIONS(6609),
    [anon_sym_long] = ACTIONS(6609),
    [anon_sym_short] = ACTIONS(6609),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_STAR_EQ] = ACTIONS(5804),
    [anon_sym_SLASH_EQ] = ACTIONS(5804),
    [anon_sym_PERCENT_EQ] = ACTIONS(5804),
    [anon_sym_PLUS_EQ] = ACTIONS(5804),
    [anon_sym_DASH_EQ] = ACTIONS(5804),
    [anon_sym_LT_LT_EQ] = ACTIONS(5804),
    [anon_sym_GT_GT_EQ] = ACTIONS(5804),
    [anon_sym_AMP_EQ] = ACTIONS(5804),
    [anon_sym_CARET_EQ] = ACTIONS(5804),
    [anon_sym_PIPE_EQ] = ACTIONS(5804),
    [anon_sym_and_eq] = ACTIONS(5802),
    [anon_sym_or_eq] = ACTIONS(5802),
    [anon_sym_xor_eq] = ACTIONS(5802),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5802),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5802),
    [anon_sym_not_eq] = ACTIONS(5802),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5802),
    [anon_sym_decltype] = ACTIONS(5802),
  },
  [2670] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6339),
    [anon_sym_COMMA] = ACTIONS(6339),
    [anon_sym_RPAREN] = ACTIONS(6339),
    [anon_sym_LPAREN2] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6337),
    [anon_sym_STAR] = ACTIONS(6337),
    [anon_sym_SLASH] = ACTIONS(6337),
    [anon_sym_PERCENT] = ACTIONS(6337),
    [anon_sym_PIPE_PIPE] = ACTIONS(6339),
    [anon_sym_AMP_AMP] = ACTIONS(6339),
    [anon_sym_PIPE] = ACTIONS(6337),
    [anon_sym_CARET] = ACTIONS(6337),
    [anon_sym_AMP] = ACTIONS(6337),
    [anon_sym_EQ_EQ] = ACTIONS(6339),
    [anon_sym_BANG_EQ] = ACTIONS(6339),
    [anon_sym_GT] = ACTIONS(6337),
    [anon_sym_GT_EQ] = ACTIONS(6339),
    [anon_sym_LT_EQ] = ACTIONS(6337),
    [anon_sym_LT] = ACTIONS(6337),
    [anon_sym_LT_LT] = ACTIONS(6337),
    [anon_sym_GT_GT] = ACTIONS(6337),
    [anon_sym_COLON] = ACTIONS(6339),
    [anon_sym_SEMI] = ACTIONS(6339),
    [anon_sym_RBRACE] = ACTIONS(6339),
    [anon_sym_LBRACK] = ACTIONS(6339),
    [anon_sym_RBRACK] = ACTIONS(6339),
    [anon_sym_EQ] = ACTIONS(6337),
    [anon_sym_QMARK] = ACTIONS(6339),
    [anon_sym_STAR_EQ] = ACTIONS(6339),
    [anon_sym_SLASH_EQ] = ACTIONS(6339),
    [anon_sym_PERCENT_EQ] = ACTIONS(6339),
    [anon_sym_PLUS_EQ] = ACTIONS(6339),
    [anon_sym_DASH_EQ] = ACTIONS(6339),
    [anon_sym_LT_LT_EQ] = ACTIONS(6339),
    [anon_sym_GT_GT_EQ] = ACTIONS(6339),
    [anon_sym_AMP_EQ] = ACTIONS(6339),
    [anon_sym_CARET_EQ] = ACTIONS(6339),
    [anon_sym_PIPE_EQ] = ACTIONS(6339),
    [anon_sym_and_eq] = ACTIONS(6337),
    [anon_sym_or_eq] = ACTIONS(6337),
    [anon_sym_xor_eq] = ACTIONS(6337),
    [anon_sym_LT_EQ_GT] = ACTIONS(6339),
    [anon_sym_or] = ACTIONS(6337),
    [anon_sym_and] = ACTIONS(6337),
    [anon_sym_bitor] = ACTIONS(6337),
    [anon_sym_xor] = ACTIONS(6337),
    [anon_sym_bitand] = ACTIONS(6337),
    [anon_sym_not_eq] = ACTIONS(6337),
    [anon_sym_DASH_DASH] = ACTIONS(6339),
    [anon_sym_PLUS_PLUS] = ACTIONS(6339),
    [anon_sym_DOT] = ACTIONS(6337),
    [anon_sym_DOT_STAR] = ACTIONS(6339),
    [anon_sym_DASH_GT] = ACTIONS(6339),
    [anon_sym_L_DQUOTE] = ACTIONS(6339),
    [anon_sym_u_DQUOTE] = ACTIONS(6339),
    [anon_sym_U_DQUOTE] = ACTIONS(6339),
    [anon_sym_u8_DQUOTE] = ACTIONS(6339),
    [anon_sym_DQUOTE] = ACTIONS(6339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6339),
    [anon_sym_LR_DQUOTE] = ACTIONS(6339),
    [anon_sym_uR_DQUOTE] = ACTIONS(6339),
    [anon_sym_UR_DQUOTE] = ACTIONS(6339),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6339),
    [sym_literal_suffix] = ACTIONS(6337),
  },
  [2671] = {
    [sym_attribute_specifier] = STATE(2500),
    [sym_enumerator_list] = STATE(2772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5864),
    [anon_sym_COMMA] = ACTIONS(5864),
    [anon_sym_RPAREN] = ACTIONS(5864),
    [anon_sym_LPAREN2] = ACTIONS(5864),
    [anon_sym_DASH] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5862),
    [anon_sym_STAR] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5862),
    [anon_sym_PERCENT] = ACTIONS(5864),
    [anon_sym_PIPE_PIPE] = ACTIONS(5864),
    [anon_sym_AMP_AMP] = ACTIONS(5864),
    [anon_sym_PIPE] = ACTIONS(5862),
    [anon_sym_CARET] = ACTIONS(5864),
    [anon_sym_AMP] = ACTIONS(5862),
    [anon_sym_EQ_EQ] = ACTIONS(5864),
    [anon_sym_BANG_EQ] = ACTIONS(5864),
    [anon_sym_GT] = ACTIONS(5862),
    [anon_sym_GT_EQ] = ACTIONS(5864),
    [anon_sym_LT_EQ] = ACTIONS(5862),
    [anon_sym_LT] = ACTIONS(5862),
    [anon_sym_LT_LT] = ACTIONS(5864),
    [anon_sym_GT_GT] = ACTIONS(5864),
    [anon_sym_COLON] = ACTIONS(5864),
    [anon_sym_SEMI] = ACTIONS(5864),
    [anon_sym___extension__] = ACTIONS(5864),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6621),
    [anon_sym_RBRACE] = ACTIONS(5864),
    [anon_sym_LBRACK] = ACTIONS(5864),
    [anon_sym_RBRACK] = ACTIONS(5864),
    [anon_sym_const] = ACTIONS(5862),
    [anon_sym_constexpr] = ACTIONS(5864),
    [anon_sym_volatile] = ACTIONS(5864),
    [anon_sym_restrict] = ACTIONS(5864),
    [anon_sym___restrict__] = ACTIONS(5864),
    [anon_sym__Atomic] = ACTIONS(5864),
    [anon_sym__Noreturn] = ACTIONS(5864),
    [anon_sym_noreturn] = ACTIONS(5864),
    [anon_sym__Nonnull] = ACTIONS(5864),
    [anon_sym_mutable] = ACTIONS(5864),
    [anon_sym_constinit] = ACTIONS(5864),
    [anon_sym_consteval] = ACTIONS(5864),
    [anon_sym_alignas] = ACTIONS(5864),
    [anon_sym__Alignas] = ACTIONS(5864),
    [anon_sym_QMARK] = ACTIONS(5864),
    [anon_sym_LT_EQ_GT] = ACTIONS(5864),
    [anon_sym_or] = ACTIONS(5864),
    [anon_sym_and] = ACTIONS(5864),
    [anon_sym_bitor] = ACTIONS(5864),
    [anon_sym_xor] = ACTIONS(5864),
    [anon_sym_bitand] = ACTIONS(5864),
    [anon_sym_not_eq] = ACTIONS(5864),
    [anon_sym_DASH_DASH] = ACTIONS(5864),
    [anon_sym_PLUS_PLUS] = ACTIONS(5864),
    [anon_sym_DOT] = ACTIONS(5862),
    [anon_sym_DOT_STAR] = ACTIONS(5864),
    [anon_sym_DASH_GT] = ACTIONS(5864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5864),
    [anon_sym_decltype] = ACTIONS(5864),
    [anon_sym_final] = ACTIONS(5864),
    [anon_sym_override] = ACTIONS(5864),
    [anon_sym_requires] = ACTIONS(5864),
  },
  [2672] = {
    [sym_identifier] = ACTIONS(6623),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6625),
    [anon_sym_COMMA] = ACTIONS(6625),
    [anon_sym_RPAREN] = ACTIONS(6625),
    [aux_sym_preproc_if_token2] = ACTIONS(6625),
    [aux_sym_preproc_else_token1] = ACTIONS(6625),
    [aux_sym_preproc_elif_token1] = ACTIONS(6623),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6625),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6625),
    [anon_sym_LPAREN2] = ACTIONS(6625),
    [anon_sym_DASH] = ACTIONS(6623),
    [anon_sym_PLUS] = ACTIONS(6623),
    [anon_sym_STAR] = ACTIONS(6623),
    [anon_sym_SLASH] = ACTIONS(6623),
    [anon_sym_PERCENT] = ACTIONS(6623),
    [anon_sym_PIPE_PIPE] = ACTIONS(6625),
    [anon_sym_AMP_AMP] = ACTIONS(6625),
    [anon_sym_PIPE] = ACTIONS(6623),
    [anon_sym_CARET] = ACTIONS(6623),
    [anon_sym_AMP] = ACTIONS(6623),
    [anon_sym_EQ_EQ] = ACTIONS(6625),
    [anon_sym_BANG_EQ] = ACTIONS(6625),
    [anon_sym_GT] = ACTIONS(6623),
    [anon_sym_GT_EQ] = ACTIONS(6625),
    [anon_sym_LT_EQ] = ACTIONS(6623),
    [anon_sym_LT] = ACTIONS(6623),
    [anon_sym_LT_LT] = ACTIONS(6623),
    [anon_sym_GT_GT] = ACTIONS(6623),
    [anon_sym_COLON] = ACTIONS(6625),
    [anon_sym_SEMI] = ACTIONS(6625),
    [anon_sym___attribute__] = ACTIONS(6623),
    [anon_sym___attribute] = ACTIONS(6623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6625),
    [anon_sym_LBRACE] = ACTIONS(6625),
    [anon_sym_RBRACE] = ACTIONS(6625),
    [anon_sym_LBRACK] = ACTIONS(6623),
    [anon_sym_RBRACK] = ACTIONS(6625),
    [anon_sym_EQ] = ACTIONS(6623),
    [anon_sym_QMARK] = ACTIONS(6625),
    [anon_sym_STAR_EQ] = ACTIONS(6625),
    [anon_sym_SLASH_EQ] = ACTIONS(6625),
    [anon_sym_PERCENT_EQ] = ACTIONS(6625),
    [anon_sym_PLUS_EQ] = ACTIONS(6625),
    [anon_sym_DASH_EQ] = ACTIONS(6625),
    [anon_sym_LT_LT_EQ] = ACTIONS(6625),
    [anon_sym_GT_GT_EQ] = ACTIONS(6625),
    [anon_sym_AMP_EQ] = ACTIONS(6625),
    [anon_sym_CARET_EQ] = ACTIONS(6625),
    [anon_sym_PIPE_EQ] = ACTIONS(6625),
    [anon_sym_and_eq] = ACTIONS(6623),
    [anon_sym_or_eq] = ACTIONS(6623),
    [anon_sym_xor_eq] = ACTIONS(6623),
    [anon_sym_LT_EQ_GT] = ACTIONS(6625),
    [anon_sym_or] = ACTIONS(6623),
    [anon_sym_and] = ACTIONS(6623),
    [anon_sym_bitor] = ACTIONS(6623),
    [anon_sym_xor] = ACTIONS(6623),
    [anon_sym_bitand] = ACTIONS(6623),
    [anon_sym_not_eq] = ACTIONS(6623),
    [anon_sym_DASH_DASH] = ACTIONS(6625),
    [anon_sym_PLUS_PLUS] = ACTIONS(6625),
    [anon_sym_DOT] = ACTIONS(6623),
    [anon_sym_DOT_STAR] = ACTIONS(6625),
    [anon_sym_DASH_GT] = ACTIONS(6625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6623),
  },
  [2673] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5796),
    [anon_sym_LPAREN2] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_STAR] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_PIPE] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5794),
    [anon_sym_GT_EQ] = ACTIONS(5794),
    [anon_sym_LT_EQ] = ACTIONS(5794),
    [anon_sym_LT] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5796),
    [anon_sym___extension__] = ACTIONS(5796),
    [anon_sym___attribute__] = ACTIONS(5796),
    [anon_sym___attribute] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_signed] = ACTIONS(6627),
    [anon_sym_unsigned] = ACTIONS(6627),
    [anon_sym_long] = ACTIONS(6627),
    [anon_sym_short] = ACTIONS(6627),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [anon_sym_const] = ACTIONS(5794),
    [anon_sym_constexpr] = ACTIONS(5796),
    [anon_sym_volatile] = ACTIONS(5796),
    [anon_sym_restrict] = ACTIONS(5796),
    [anon_sym___restrict__] = ACTIONS(5796),
    [anon_sym__Atomic] = ACTIONS(5796),
    [anon_sym__Noreturn] = ACTIONS(5796),
    [anon_sym_noreturn] = ACTIONS(5796),
    [anon_sym__Nonnull] = ACTIONS(5796),
    [anon_sym_mutable] = ACTIONS(5796),
    [anon_sym_constinit] = ACTIONS(5796),
    [anon_sym_consteval] = ACTIONS(5796),
    [anon_sym_alignas] = ACTIONS(5796),
    [anon_sym__Alignas] = ACTIONS(5796),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_LT_EQ_GT] = ACTIONS(5796),
    [anon_sym_or] = ACTIONS(5796),
    [anon_sym_and] = ACTIONS(5796),
    [anon_sym_bitor] = ACTIONS(5796),
    [anon_sym_xor] = ACTIONS(5796),
    [anon_sym_bitand] = ACTIONS(5796),
    [anon_sym_not_eq] = ACTIONS(5796),
    [anon_sym_DASH_DASH] = ACTIONS(5796),
    [anon_sym_PLUS_PLUS] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_DOT_STAR] = ACTIONS(5796),
    [anon_sym_DASH_GT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5796),
    [anon_sym_decltype] = ACTIONS(5796),
    [anon_sym_final] = ACTIONS(5796),
    [anon_sym_override] = ACTIONS(5796),
    [anon_sym_GT2] = ACTIONS(5796),
    [anon_sym_requires] = ACTIONS(5796),
  },
  [2674] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5745),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_SLASH] = ACTIONS(5745),
    [anon_sym_PERCENT] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_PIPE] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_EQ_EQ] = ACTIONS(5747),
    [anon_sym_BANG_EQ] = ACTIONS(5747),
    [anon_sym_GT] = ACTIONS(5745),
    [anon_sym_GT_EQ] = ACTIONS(5745),
    [anon_sym_LT_EQ] = ACTIONS(5745),
    [anon_sym_LT] = ACTIONS(5745),
    [anon_sym_LT_LT] = ACTIONS(5747),
    [anon_sym_GT_GT] = ACTIONS(5745),
    [anon_sym_COLON] = ACTIONS(5747),
    [anon_sym___extension__] = ACTIONS(5747),
    [anon_sym___attribute__] = ACTIONS(5747),
    [anon_sym___attribute] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(6629),
    [anon_sym_unsigned] = ACTIONS(6629),
    [anon_sym_long] = ACTIONS(6629),
    [anon_sym_short] = ACTIONS(6629),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5747),
    [anon_sym_volatile] = ACTIONS(5747),
    [anon_sym_restrict] = ACTIONS(5747),
    [anon_sym___restrict__] = ACTIONS(5747),
    [anon_sym__Atomic] = ACTIONS(5747),
    [anon_sym__Noreturn] = ACTIONS(5747),
    [anon_sym_noreturn] = ACTIONS(5747),
    [anon_sym__Nonnull] = ACTIONS(5747),
    [anon_sym_mutable] = ACTIONS(5747),
    [anon_sym_constinit] = ACTIONS(5747),
    [anon_sym_consteval] = ACTIONS(5747),
    [anon_sym_alignas] = ACTIONS(5747),
    [anon_sym__Alignas] = ACTIONS(5747),
    [anon_sym_QMARK] = ACTIONS(5747),
    [anon_sym_LT_EQ_GT] = ACTIONS(5747),
    [anon_sym_or] = ACTIONS(5747),
    [anon_sym_and] = ACTIONS(5747),
    [anon_sym_bitor] = ACTIONS(5747),
    [anon_sym_xor] = ACTIONS(5747),
    [anon_sym_bitand] = ACTIONS(5747),
    [anon_sym_not_eq] = ACTIONS(5747),
    [anon_sym_DASH_DASH] = ACTIONS(5747),
    [anon_sym_PLUS_PLUS] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5745),
    [anon_sym_DOT_STAR] = ACTIONS(5747),
    [anon_sym_DASH_GT] = ACTIONS(5747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5747),
    [anon_sym_decltype] = ACTIONS(5747),
    [anon_sym_final] = ACTIONS(5747),
    [anon_sym_override] = ACTIONS(5747),
    [anon_sym_GT2] = ACTIONS(5747),
    [anon_sym_requires] = ACTIONS(5747),
  },
  [2675] = {
    [sym_identifier] = ACTIONS(6631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6633),
    [anon_sym_COMMA] = ACTIONS(6633),
    [anon_sym_RPAREN] = ACTIONS(6633),
    [aux_sym_preproc_if_token2] = ACTIONS(6633),
    [aux_sym_preproc_else_token1] = ACTIONS(6633),
    [aux_sym_preproc_elif_token1] = ACTIONS(6631),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6633),
    [anon_sym_LPAREN2] = ACTIONS(6633),
    [anon_sym_DASH] = ACTIONS(6631),
    [anon_sym_PLUS] = ACTIONS(6631),
    [anon_sym_STAR] = ACTIONS(6631),
    [anon_sym_SLASH] = ACTIONS(6631),
    [anon_sym_PERCENT] = ACTIONS(6631),
    [anon_sym_PIPE_PIPE] = ACTIONS(6633),
    [anon_sym_AMP_AMP] = ACTIONS(6633),
    [anon_sym_PIPE] = ACTIONS(6631),
    [anon_sym_CARET] = ACTIONS(6631),
    [anon_sym_AMP] = ACTIONS(6631),
    [anon_sym_EQ_EQ] = ACTIONS(6633),
    [anon_sym_BANG_EQ] = ACTIONS(6633),
    [anon_sym_GT] = ACTIONS(6631),
    [anon_sym_GT_EQ] = ACTIONS(6633),
    [anon_sym_LT_EQ] = ACTIONS(6631),
    [anon_sym_LT] = ACTIONS(6631),
    [anon_sym_LT_LT] = ACTIONS(6631),
    [anon_sym_GT_GT] = ACTIONS(6631),
    [anon_sym_COLON] = ACTIONS(6633),
    [anon_sym_SEMI] = ACTIONS(6633),
    [anon_sym___attribute__] = ACTIONS(6631),
    [anon_sym___attribute] = ACTIONS(6631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6633),
    [anon_sym_LBRACE] = ACTIONS(6633),
    [anon_sym_RBRACE] = ACTIONS(6633),
    [anon_sym_LBRACK] = ACTIONS(6631),
    [anon_sym_RBRACK] = ACTIONS(6633),
    [anon_sym_EQ] = ACTIONS(6631),
    [anon_sym_QMARK] = ACTIONS(6633),
    [anon_sym_STAR_EQ] = ACTIONS(6633),
    [anon_sym_SLASH_EQ] = ACTIONS(6633),
    [anon_sym_PERCENT_EQ] = ACTIONS(6633),
    [anon_sym_PLUS_EQ] = ACTIONS(6633),
    [anon_sym_DASH_EQ] = ACTIONS(6633),
    [anon_sym_LT_LT_EQ] = ACTIONS(6633),
    [anon_sym_GT_GT_EQ] = ACTIONS(6633),
    [anon_sym_AMP_EQ] = ACTIONS(6633),
    [anon_sym_CARET_EQ] = ACTIONS(6633),
    [anon_sym_PIPE_EQ] = ACTIONS(6633),
    [anon_sym_and_eq] = ACTIONS(6631),
    [anon_sym_or_eq] = ACTIONS(6631),
    [anon_sym_xor_eq] = ACTIONS(6631),
    [anon_sym_LT_EQ_GT] = ACTIONS(6633),
    [anon_sym_or] = ACTIONS(6631),
    [anon_sym_and] = ACTIONS(6631),
    [anon_sym_bitor] = ACTIONS(6631),
    [anon_sym_xor] = ACTIONS(6631),
    [anon_sym_bitand] = ACTIONS(6631),
    [anon_sym_not_eq] = ACTIONS(6631),
    [anon_sym_DASH_DASH] = ACTIONS(6633),
    [anon_sym_PLUS_PLUS] = ACTIONS(6633),
    [anon_sym_DOT] = ACTIONS(6631),
    [anon_sym_DOT_STAR] = ACTIONS(6633),
    [anon_sym_DASH_GT] = ACTIONS(6633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6631),
  },
  [2676] = {
    [sym_identifier] = ACTIONS(6635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6637),
    [anon_sym_COMMA] = ACTIONS(6637),
    [anon_sym_RPAREN] = ACTIONS(6637),
    [aux_sym_preproc_if_token2] = ACTIONS(6637),
    [aux_sym_preproc_else_token1] = ACTIONS(6637),
    [aux_sym_preproc_elif_token1] = ACTIONS(6635),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6637),
    [anon_sym_LPAREN2] = ACTIONS(6637),
    [anon_sym_DASH] = ACTIONS(6635),
    [anon_sym_PLUS] = ACTIONS(6635),
    [anon_sym_STAR] = ACTIONS(6635),
    [anon_sym_SLASH] = ACTIONS(6635),
    [anon_sym_PERCENT] = ACTIONS(6635),
    [anon_sym_PIPE_PIPE] = ACTIONS(6637),
    [anon_sym_AMP_AMP] = ACTIONS(6637),
    [anon_sym_PIPE] = ACTIONS(6635),
    [anon_sym_CARET] = ACTIONS(6635),
    [anon_sym_AMP] = ACTIONS(6635),
    [anon_sym_EQ_EQ] = ACTIONS(6637),
    [anon_sym_BANG_EQ] = ACTIONS(6637),
    [anon_sym_GT] = ACTIONS(6635),
    [anon_sym_GT_EQ] = ACTIONS(6637),
    [anon_sym_LT_EQ] = ACTIONS(6635),
    [anon_sym_LT] = ACTIONS(6635),
    [anon_sym_LT_LT] = ACTIONS(6635),
    [anon_sym_GT_GT] = ACTIONS(6635),
    [anon_sym_COLON] = ACTIONS(6637),
    [anon_sym_SEMI] = ACTIONS(6637),
    [anon_sym___attribute__] = ACTIONS(6635),
    [anon_sym___attribute] = ACTIONS(6635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6637),
    [anon_sym_LBRACE] = ACTIONS(6637),
    [anon_sym_RBRACE] = ACTIONS(6637),
    [anon_sym_LBRACK] = ACTIONS(6635),
    [anon_sym_RBRACK] = ACTIONS(6637),
    [anon_sym_EQ] = ACTIONS(6635),
    [anon_sym_QMARK] = ACTIONS(6637),
    [anon_sym_STAR_EQ] = ACTIONS(6637),
    [anon_sym_SLASH_EQ] = ACTIONS(6637),
    [anon_sym_PERCENT_EQ] = ACTIONS(6637),
    [anon_sym_PLUS_EQ] = ACTIONS(6637),
    [anon_sym_DASH_EQ] = ACTIONS(6637),
    [anon_sym_LT_LT_EQ] = ACTIONS(6637),
    [anon_sym_GT_GT_EQ] = ACTIONS(6637),
    [anon_sym_AMP_EQ] = ACTIONS(6637),
    [anon_sym_CARET_EQ] = ACTIONS(6637),
    [anon_sym_PIPE_EQ] = ACTIONS(6637),
    [anon_sym_and_eq] = ACTIONS(6635),
    [anon_sym_or_eq] = ACTIONS(6635),
    [anon_sym_xor_eq] = ACTIONS(6635),
    [anon_sym_LT_EQ_GT] = ACTIONS(6637),
    [anon_sym_or] = ACTIONS(6635),
    [anon_sym_and] = ACTIONS(6635),
    [anon_sym_bitor] = ACTIONS(6635),
    [anon_sym_xor] = ACTIONS(6635),
    [anon_sym_bitand] = ACTIONS(6635),
    [anon_sym_not_eq] = ACTIONS(6635),
    [anon_sym_DASH_DASH] = ACTIONS(6637),
    [anon_sym_PLUS_PLUS] = ACTIONS(6637),
    [anon_sym_DOT] = ACTIONS(6635),
    [anon_sym_DOT_STAR] = ACTIONS(6637),
    [anon_sym_DASH_GT] = ACTIONS(6637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6635),
  },
  [2677] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_STAR] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5798),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5798),
    [anon_sym_LT] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5800),
    [anon_sym___extension__] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5800),
    [anon_sym___attribute] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6629),
    [anon_sym_unsigned] = ACTIONS(6629),
    [anon_sym_long] = ACTIONS(6629),
    [anon_sym_short] = ACTIONS(6629),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_const] = ACTIONS(5798),
    [anon_sym_constexpr] = ACTIONS(5800),
    [anon_sym_volatile] = ACTIONS(5800),
    [anon_sym_restrict] = ACTIONS(5800),
    [anon_sym___restrict__] = ACTIONS(5800),
    [anon_sym__Atomic] = ACTIONS(5800),
    [anon_sym__Noreturn] = ACTIONS(5800),
    [anon_sym_noreturn] = ACTIONS(5800),
    [anon_sym__Nonnull] = ACTIONS(5800),
    [anon_sym_mutable] = ACTIONS(5800),
    [anon_sym_constinit] = ACTIONS(5800),
    [anon_sym_consteval] = ACTIONS(5800),
    [anon_sym_alignas] = ACTIONS(5800),
    [anon_sym__Alignas] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5800),
    [anon_sym_and] = ACTIONS(5800),
    [anon_sym_bitor] = ACTIONS(5800),
    [anon_sym_xor] = ACTIONS(5800),
    [anon_sym_bitand] = ACTIONS(5800),
    [anon_sym_not_eq] = ACTIONS(5800),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5800),
    [anon_sym_decltype] = ACTIONS(5800),
    [anon_sym_final] = ACTIONS(5800),
    [anon_sym_override] = ACTIONS(5800),
    [anon_sym_GT2] = ACTIONS(5800),
    [anon_sym_requires] = ACTIONS(5800),
  },
  [2678] = {
    [sym_identifier] = ACTIONS(6639),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6641),
    [anon_sym_COMMA] = ACTIONS(6641),
    [anon_sym_RPAREN] = ACTIONS(6641),
    [aux_sym_preproc_if_token2] = ACTIONS(6641),
    [aux_sym_preproc_else_token1] = ACTIONS(6641),
    [aux_sym_preproc_elif_token1] = ACTIONS(6639),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6641),
    [anon_sym_LPAREN2] = ACTIONS(6641),
    [anon_sym_DASH] = ACTIONS(6639),
    [anon_sym_PLUS] = ACTIONS(6639),
    [anon_sym_STAR] = ACTIONS(6639),
    [anon_sym_SLASH] = ACTIONS(6639),
    [anon_sym_PERCENT] = ACTIONS(6639),
    [anon_sym_PIPE_PIPE] = ACTIONS(6641),
    [anon_sym_AMP_AMP] = ACTIONS(6641),
    [anon_sym_PIPE] = ACTIONS(6639),
    [anon_sym_CARET] = ACTIONS(6639),
    [anon_sym_AMP] = ACTIONS(6639),
    [anon_sym_EQ_EQ] = ACTIONS(6641),
    [anon_sym_BANG_EQ] = ACTIONS(6641),
    [anon_sym_GT] = ACTIONS(6639),
    [anon_sym_GT_EQ] = ACTIONS(6641),
    [anon_sym_LT_EQ] = ACTIONS(6639),
    [anon_sym_LT] = ACTIONS(6639),
    [anon_sym_LT_LT] = ACTIONS(6639),
    [anon_sym_GT_GT] = ACTIONS(6639),
    [anon_sym_COLON] = ACTIONS(6641),
    [anon_sym_SEMI] = ACTIONS(6641),
    [anon_sym___attribute__] = ACTIONS(6639),
    [anon_sym___attribute] = ACTIONS(6639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6641),
    [anon_sym_LBRACE] = ACTIONS(6641),
    [anon_sym_RBRACE] = ACTIONS(6641),
    [anon_sym_LBRACK] = ACTIONS(6639),
    [anon_sym_RBRACK] = ACTIONS(6641),
    [anon_sym_EQ] = ACTIONS(6639),
    [anon_sym_QMARK] = ACTIONS(6641),
    [anon_sym_STAR_EQ] = ACTIONS(6641),
    [anon_sym_SLASH_EQ] = ACTIONS(6641),
    [anon_sym_PERCENT_EQ] = ACTIONS(6641),
    [anon_sym_PLUS_EQ] = ACTIONS(6641),
    [anon_sym_DASH_EQ] = ACTIONS(6641),
    [anon_sym_LT_LT_EQ] = ACTIONS(6641),
    [anon_sym_GT_GT_EQ] = ACTIONS(6641),
    [anon_sym_AMP_EQ] = ACTIONS(6641),
    [anon_sym_CARET_EQ] = ACTIONS(6641),
    [anon_sym_PIPE_EQ] = ACTIONS(6641),
    [anon_sym_and_eq] = ACTIONS(6639),
    [anon_sym_or_eq] = ACTIONS(6639),
    [anon_sym_xor_eq] = ACTIONS(6639),
    [anon_sym_LT_EQ_GT] = ACTIONS(6641),
    [anon_sym_or] = ACTIONS(6639),
    [anon_sym_and] = ACTIONS(6639),
    [anon_sym_bitor] = ACTIONS(6639),
    [anon_sym_xor] = ACTIONS(6639),
    [anon_sym_bitand] = ACTIONS(6639),
    [anon_sym_not_eq] = ACTIONS(6639),
    [anon_sym_DASH_DASH] = ACTIONS(6641),
    [anon_sym_PLUS_PLUS] = ACTIONS(6641),
    [anon_sym_DOT] = ACTIONS(6639),
    [anon_sym_DOT_STAR] = ACTIONS(6641),
    [anon_sym_DASH_GT] = ACTIONS(6641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6639),
  },
  [2679] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6318),
    [anon_sym_COMMA] = ACTIONS(6318),
    [anon_sym_RPAREN] = ACTIONS(6318),
    [anon_sym_LPAREN2] = ACTIONS(6318),
    [anon_sym_DASH] = ACTIONS(6316),
    [anon_sym_PLUS] = ACTIONS(6316),
    [anon_sym_STAR] = ACTIONS(6316),
    [anon_sym_SLASH] = ACTIONS(6316),
    [anon_sym_PERCENT] = ACTIONS(6316),
    [anon_sym_PIPE_PIPE] = ACTIONS(6318),
    [anon_sym_AMP_AMP] = ACTIONS(6318),
    [anon_sym_PIPE] = ACTIONS(6316),
    [anon_sym_CARET] = ACTIONS(6316),
    [anon_sym_AMP] = ACTIONS(6316),
    [anon_sym_EQ_EQ] = ACTIONS(6318),
    [anon_sym_BANG_EQ] = ACTIONS(6318),
    [anon_sym_GT] = ACTIONS(6316),
    [anon_sym_GT_EQ] = ACTIONS(6318),
    [anon_sym_LT_EQ] = ACTIONS(6316),
    [anon_sym_LT] = ACTIONS(6316),
    [anon_sym_LT_LT] = ACTIONS(6316),
    [anon_sym_GT_GT] = ACTIONS(6316),
    [anon_sym_COLON] = ACTIONS(6318),
    [anon_sym_SEMI] = ACTIONS(6318),
    [anon_sym_RBRACE] = ACTIONS(6318),
    [anon_sym_LBRACK] = ACTIONS(6318),
    [anon_sym_RBRACK] = ACTIONS(6318),
    [anon_sym_EQ] = ACTIONS(6316),
    [anon_sym_QMARK] = ACTIONS(6318),
    [anon_sym_STAR_EQ] = ACTIONS(6318),
    [anon_sym_SLASH_EQ] = ACTIONS(6318),
    [anon_sym_PERCENT_EQ] = ACTIONS(6318),
    [anon_sym_PLUS_EQ] = ACTIONS(6318),
    [anon_sym_DASH_EQ] = ACTIONS(6318),
    [anon_sym_LT_LT_EQ] = ACTIONS(6318),
    [anon_sym_GT_GT_EQ] = ACTIONS(6318),
    [anon_sym_AMP_EQ] = ACTIONS(6318),
    [anon_sym_CARET_EQ] = ACTIONS(6318),
    [anon_sym_PIPE_EQ] = ACTIONS(6318),
    [anon_sym_and_eq] = ACTIONS(6316),
    [anon_sym_or_eq] = ACTIONS(6316),
    [anon_sym_xor_eq] = ACTIONS(6316),
    [anon_sym_LT_EQ_GT] = ACTIONS(6318),
    [anon_sym_or] = ACTIONS(6316),
    [anon_sym_and] = ACTIONS(6316),
    [anon_sym_bitor] = ACTIONS(6316),
    [anon_sym_xor] = ACTIONS(6316),
    [anon_sym_bitand] = ACTIONS(6316),
    [anon_sym_not_eq] = ACTIONS(6316),
    [anon_sym_DASH_DASH] = ACTIONS(6318),
    [anon_sym_PLUS_PLUS] = ACTIONS(6318),
    [anon_sym_DOT] = ACTIONS(6316),
    [anon_sym_DOT_STAR] = ACTIONS(6318),
    [anon_sym_DASH_GT] = ACTIONS(6318),
    [anon_sym_L_DQUOTE] = ACTIONS(6318),
    [anon_sym_u_DQUOTE] = ACTIONS(6318),
    [anon_sym_U_DQUOTE] = ACTIONS(6318),
    [anon_sym_u8_DQUOTE] = ACTIONS(6318),
    [anon_sym_DQUOTE] = ACTIONS(6318),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6318),
    [anon_sym_LR_DQUOTE] = ACTIONS(6318),
    [anon_sym_uR_DQUOTE] = ACTIONS(6318),
    [anon_sym_UR_DQUOTE] = ACTIONS(6318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6318),
    [sym_literal_suffix] = ACTIONS(6316),
  },
  [2680] = {
    [sym_identifier] = ACTIONS(5944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5946),
    [anon_sym_COMMA] = ACTIONS(5946),
    [anon_sym_RPAREN] = ACTIONS(5946),
    [aux_sym_preproc_if_token2] = ACTIONS(5946),
    [aux_sym_preproc_else_token1] = ACTIONS(5946),
    [aux_sym_preproc_elif_token1] = ACTIONS(5944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5946),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5946),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(5944),
    [anon_sym_PLUS] = ACTIONS(5944),
    [anon_sym_STAR] = ACTIONS(5944),
    [anon_sym_SLASH] = ACTIONS(5944),
    [anon_sym_PERCENT] = ACTIONS(5944),
    [anon_sym_PIPE_PIPE] = ACTIONS(5946),
    [anon_sym_AMP_AMP] = ACTIONS(5946),
    [anon_sym_PIPE] = ACTIONS(5944),
    [anon_sym_CARET] = ACTIONS(5944),
    [anon_sym_AMP] = ACTIONS(5944),
    [anon_sym_EQ_EQ] = ACTIONS(5946),
    [anon_sym_BANG_EQ] = ACTIONS(5946),
    [anon_sym_GT] = ACTIONS(5944),
    [anon_sym_GT_EQ] = ACTIONS(5946),
    [anon_sym_LT_EQ] = ACTIONS(5944),
    [anon_sym_LT] = ACTIONS(5944),
    [anon_sym_LT_LT] = ACTIONS(5944),
    [anon_sym_GT_GT] = ACTIONS(5944),
    [anon_sym_COLON] = ACTIONS(5946),
    [anon_sym_SEMI] = ACTIONS(5946),
    [anon_sym___attribute__] = ACTIONS(5944),
    [anon_sym___attribute] = ACTIONS(5944),
    [anon_sym_LBRACE] = ACTIONS(5946),
    [anon_sym_RBRACE] = ACTIONS(5946),
    [anon_sym_LBRACK] = ACTIONS(5946),
    [anon_sym_RBRACK] = ACTIONS(5946),
    [anon_sym_EQ] = ACTIONS(5944),
    [anon_sym_QMARK] = ACTIONS(5946),
    [anon_sym_STAR_EQ] = ACTIONS(5946),
    [anon_sym_SLASH_EQ] = ACTIONS(5946),
    [anon_sym_PERCENT_EQ] = ACTIONS(5946),
    [anon_sym_PLUS_EQ] = ACTIONS(5946),
    [anon_sym_DASH_EQ] = ACTIONS(5946),
    [anon_sym_LT_LT_EQ] = ACTIONS(5946),
    [anon_sym_GT_GT_EQ] = ACTIONS(5946),
    [anon_sym_AMP_EQ] = ACTIONS(5946),
    [anon_sym_CARET_EQ] = ACTIONS(5946),
    [anon_sym_PIPE_EQ] = ACTIONS(5946),
    [anon_sym_and_eq] = ACTIONS(5944),
    [anon_sym_or_eq] = ACTIONS(5944),
    [anon_sym_xor_eq] = ACTIONS(5944),
    [anon_sym_LT_EQ_GT] = ACTIONS(5946),
    [anon_sym_or] = ACTIONS(5944),
    [anon_sym_and] = ACTIONS(5944),
    [anon_sym_bitor] = ACTIONS(5944),
    [anon_sym_xor] = ACTIONS(5944),
    [anon_sym_bitand] = ACTIONS(5944),
    [anon_sym_not_eq] = ACTIONS(5944),
    [anon_sym_DASH_DASH] = ACTIONS(5946),
    [anon_sym_PLUS_PLUS] = ACTIONS(5946),
    [anon_sym_DOT] = ACTIONS(5944),
    [anon_sym_DOT_STAR] = ACTIONS(5946),
    [anon_sym_DASH_GT] = ACTIONS(5946),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5944),
    [anon_sym_decltype] = ACTIONS(5944),
  },
  [2681] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5802),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym_COLON] = ACTIONS(5804),
    [anon_sym___extension__] = ACTIONS(5804),
    [anon_sym___attribute__] = ACTIONS(5804),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(6629),
    [anon_sym_unsigned] = ACTIONS(6629),
    [anon_sym_long] = ACTIONS(6629),
    [anon_sym_short] = ACTIONS(6629),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_const] = ACTIONS(5802),
    [anon_sym_constexpr] = ACTIONS(5804),
    [anon_sym_volatile] = ACTIONS(5804),
    [anon_sym_restrict] = ACTIONS(5804),
    [anon_sym___restrict__] = ACTIONS(5804),
    [anon_sym__Atomic] = ACTIONS(5804),
    [anon_sym__Noreturn] = ACTIONS(5804),
    [anon_sym_noreturn] = ACTIONS(5804),
    [anon_sym__Nonnull] = ACTIONS(5804),
    [anon_sym_mutable] = ACTIONS(5804),
    [anon_sym_constinit] = ACTIONS(5804),
    [anon_sym_consteval] = ACTIONS(5804),
    [anon_sym_alignas] = ACTIONS(5804),
    [anon_sym__Alignas] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5804),
    [anon_sym_decltype] = ACTIONS(5804),
    [anon_sym_final] = ACTIONS(5804),
    [anon_sym_override] = ACTIONS(5804),
    [anon_sym_GT2] = ACTIONS(5804),
    [anon_sym_requires] = ACTIONS(5804),
  },
  [2682] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [aux_sym_preproc_if_token2] = ACTIONS(5712),
    [aux_sym_preproc_else_token1] = ACTIONS(5712),
    [aux_sym_preproc_elif_token1] = ACTIONS(5710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5710),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5710),
    [anon_sym_GT_GT] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_EQ] = ACTIONS(5710),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_STAR_EQ] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [anon_sym_PERCENT_EQ] = ACTIONS(5712),
    [anon_sym_PLUS_EQ] = ACTIONS(5712),
    [anon_sym_DASH_EQ] = ACTIONS(5712),
    [anon_sym_LT_LT_EQ] = ACTIONS(5712),
    [anon_sym_GT_GT_EQ] = ACTIONS(5712),
    [anon_sym_AMP_EQ] = ACTIONS(5712),
    [anon_sym_CARET_EQ] = ACTIONS(5712),
    [anon_sym_PIPE_EQ] = ACTIONS(5712),
    [anon_sym_and_eq] = ACTIONS(5710),
    [anon_sym_or_eq] = ACTIONS(5710),
    [anon_sym_xor_eq] = ACTIONS(5710),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
  },
  [2683] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5710),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5712),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_signed] = ACTIONS(6627),
    [anon_sym_unsigned] = ACTIONS(6627),
    [anon_sym_long] = ACTIONS(6627),
    [anon_sym_short] = ACTIONS(6627),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5712),
    [anon_sym_volatile] = ACTIONS(5712),
    [anon_sym_restrict] = ACTIONS(5712),
    [anon_sym___restrict__] = ACTIONS(5712),
    [anon_sym__Atomic] = ACTIONS(5712),
    [anon_sym__Noreturn] = ACTIONS(5712),
    [anon_sym_noreturn] = ACTIONS(5712),
    [anon_sym__Nonnull] = ACTIONS(5712),
    [anon_sym_mutable] = ACTIONS(5712),
    [anon_sym_constinit] = ACTIONS(5712),
    [anon_sym_consteval] = ACTIONS(5712),
    [anon_sym_alignas] = ACTIONS(5712),
    [anon_sym__Alignas] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5712),
    [anon_sym_and] = ACTIONS(5712),
    [anon_sym_bitor] = ACTIONS(5712),
    [anon_sym_xor] = ACTIONS(5712),
    [anon_sym_bitand] = ACTIONS(5712),
    [anon_sym_not_eq] = ACTIONS(5712),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5712),
    [anon_sym_decltype] = ACTIONS(5712),
    [anon_sym_final] = ACTIONS(5712),
    [anon_sym_override] = ACTIONS(5712),
    [anon_sym_GT2] = ACTIONS(5712),
    [anon_sym_requires] = ACTIONS(5712),
  },
  [2684] = {
    [sym_string_literal] = STATE(3712),
    [sym_template_argument_list] = STATE(4666),
    [sym_raw_string_literal] = STATE(3712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4078),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5575),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(5582),
    [anon_sym_SLASH_EQ] = ACTIONS(5582),
    [anon_sym_PERCENT_EQ] = ACTIONS(5582),
    [anon_sym_PLUS_EQ] = ACTIONS(5582),
    [anon_sym_DASH_EQ] = ACTIONS(5582),
    [anon_sym_LT_LT_EQ] = ACTIONS(5582),
    [anon_sym_GT_GT_EQ] = ACTIONS(5580),
    [anon_sym_AMP_EQ] = ACTIONS(5582),
    [anon_sym_CARET_EQ] = ACTIONS(5582),
    [anon_sym_PIPE_EQ] = ACTIONS(5582),
    [anon_sym_and_eq] = ACTIONS(5582),
    [anon_sym_or_eq] = ACTIONS(5582),
    [anon_sym_xor_eq] = ACTIONS(5582),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(5584),
    [anon_sym_u_DQUOTE] = ACTIONS(5584),
    [anon_sym_U_DQUOTE] = ACTIONS(5584),
    [anon_sym_u8_DQUOTE] = ACTIONS(5584),
    [anon_sym_DQUOTE] = ACTIONS(5584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4070),
    [anon_sym_R_DQUOTE] = ACTIONS(5586),
    [anon_sym_LR_DQUOTE] = ACTIONS(5586),
    [anon_sym_uR_DQUOTE] = ACTIONS(5586),
    [anon_sym_UR_DQUOTE] = ACTIONS(5586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5586),
  },
  [2685] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [aux_sym_preproc_if_token2] = ACTIONS(5712),
    [aux_sym_preproc_else_token1] = ACTIONS(5712),
    [aux_sym_preproc_elif_token1] = ACTIONS(5710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5710),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5710),
    [anon_sym_GT_GT] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_EQ] = ACTIONS(5710),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_STAR_EQ] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [anon_sym_PERCENT_EQ] = ACTIONS(5712),
    [anon_sym_PLUS_EQ] = ACTIONS(5712),
    [anon_sym_DASH_EQ] = ACTIONS(5712),
    [anon_sym_LT_LT_EQ] = ACTIONS(5712),
    [anon_sym_GT_GT_EQ] = ACTIONS(5712),
    [anon_sym_AMP_EQ] = ACTIONS(5712),
    [anon_sym_CARET_EQ] = ACTIONS(5712),
    [anon_sym_PIPE_EQ] = ACTIONS(5712),
    [anon_sym_and_eq] = ACTIONS(5710),
    [anon_sym_or_eq] = ACTIONS(5710),
    [anon_sym_xor_eq] = ACTIONS(5710),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
  },
  [2686] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5786),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5784),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5786),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym_COLON] = ACTIONS(5786),
    [anon_sym___extension__] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6643),
    [anon_sym_unsigned] = ACTIONS(6643),
    [anon_sym_long] = ACTIONS(6643),
    [anon_sym_short] = ACTIONS(6643),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_const] = ACTIONS(5784),
    [anon_sym_constexpr] = ACTIONS(5786),
    [anon_sym_volatile] = ACTIONS(5786),
    [anon_sym_restrict] = ACTIONS(5786),
    [anon_sym___restrict__] = ACTIONS(5786),
    [anon_sym__Atomic] = ACTIONS(5786),
    [anon_sym__Noreturn] = ACTIONS(5786),
    [anon_sym_noreturn] = ACTIONS(5786),
    [anon_sym__Nonnull] = ACTIONS(5786),
    [anon_sym_mutable] = ACTIONS(5786),
    [anon_sym_constinit] = ACTIONS(5786),
    [anon_sym_consteval] = ACTIONS(5786),
    [anon_sym_alignas] = ACTIONS(5786),
    [anon_sym__Alignas] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5786),
    [anon_sym_and] = ACTIONS(5786),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5786),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
    [anon_sym_final] = ACTIONS(5786),
    [anon_sym_override] = ACTIONS(5786),
    [anon_sym_GT2] = ACTIONS(5786),
    [anon_sym_requires] = ACTIONS(5786),
  },
  [2687] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5780),
    [anon_sym_COMMA] = ACTIONS(5780),
    [anon_sym_LPAREN2] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5780),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5780),
    [anon_sym_PIPE_PIPE] = ACTIONS(5780),
    [anon_sym_AMP_AMP] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5780),
    [anon_sym_BANG_EQ] = ACTIONS(5780),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5778),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5780),
    [anon_sym_GT_GT] = ACTIONS(5778),
    [anon_sym_COLON] = ACTIONS(5780),
    [anon_sym___extension__] = ACTIONS(5780),
    [anon_sym___attribute__] = ACTIONS(5780),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5780),
    [anon_sym_signed] = ACTIONS(6645),
    [anon_sym_unsigned] = ACTIONS(6645),
    [anon_sym_long] = ACTIONS(6645),
    [anon_sym_short] = ACTIONS(6645),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [anon_sym_const] = ACTIONS(5778),
    [anon_sym_constexpr] = ACTIONS(5780),
    [anon_sym_volatile] = ACTIONS(5780),
    [anon_sym_restrict] = ACTIONS(5780),
    [anon_sym___restrict__] = ACTIONS(5780),
    [anon_sym__Atomic] = ACTIONS(5780),
    [anon_sym__Noreturn] = ACTIONS(5780),
    [anon_sym_noreturn] = ACTIONS(5780),
    [anon_sym__Nonnull] = ACTIONS(5780),
    [anon_sym_mutable] = ACTIONS(5780),
    [anon_sym_constinit] = ACTIONS(5780),
    [anon_sym_consteval] = ACTIONS(5780),
    [anon_sym_alignas] = ACTIONS(5780),
    [anon_sym__Alignas] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5780),
    [anon_sym_LT_EQ_GT] = ACTIONS(5780),
    [anon_sym_or] = ACTIONS(5780),
    [anon_sym_and] = ACTIONS(5780),
    [anon_sym_bitor] = ACTIONS(5780),
    [anon_sym_xor] = ACTIONS(5780),
    [anon_sym_bitand] = ACTIONS(5780),
    [anon_sym_not_eq] = ACTIONS(5780),
    [anon_sym_DASH_DASH] = ACTIONS(5780),
    [anon_sym_PLUS_PLUS] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5780),
    [anon_sym_DASH_GT] = ACTIONS(5780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5780),
    [anon_sym_decltype] = ACTIONS(5780),
    [anon_sym_final] = ACTIONS(5780),
    [anon_sym_override] = ACTIONS(5780),
    [anon_sym_GT2] = ACTIONS(5780),
    [anon_sym_requires] = ACTIONS(5780),
  },
  [2688] = {
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5954),
    [anon_sym_COMMA] = ACTIONS(5954),
    [anon_sym_RPAREN] = ACTIONS(5954),
    [aux_sym_preproc_if_token2] = ACTIONS(5954),
    [aux_sym_preproc_else_token1] = ACTIONS(5954),
    [aux_sym_preproc_elif_token1] = ACTIONS(5952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(5954),
    [anon_sym_DASH] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5952),
    [anon_sym_STAR] = ACTIONS(5952),
    [anon_sym_SLASH] = ACTIONS(5952),
    [anon_sym_PERCENT] = ACTIONS(5952),
    [anon_sym_PIPE_PIPE] = ACTIONS(5954),
    [anon_sym_AMP_AMP] = ACTIONS(5954),
    [anon_sym_PIPE] = ACTIONS(5952),
    [anon_sym_CARET] = ACTIONS(5952),
    [anon_sym_AMP] = ACTIONS(5952),
    [anon_sym_EQ_EQ] = ACTIONS(5954),
    [anon_sym_BANG_EQ] = ACTIONS(5954),
    [anon_sym_GT] = ACTIONS(5952),
    [anon_sym_GT_EQ] = ACTIONS(5954),
    [anon_sym_LT_EQ] = ACTIONS(5952),
    [anon_sym_LT] = ACTIONS(5952),
    [anon_sym_LT_LT] = ACTIONS(5952),
    [anon_sym_GT_GT] = ACTIONS(5952),
    [anon_sym_COLON] = ACTIONS(5954),
    [anon_sym_SEMI] = ACTIONS(5954),
    [anon_sym___attribute__] = ACTIONS(5952),
    [anon_sym___attribute] = ACTIONS(5952),
    [anon_sym_LBRACE] = ACTIONS(5954),
    [anon_sym_RBRACE] = ACTIONS(5954),
    [anon_sym_LBRACK] = ACTIONS(5954),
    [anon_sym_RBRACK] = ACTIONS(5954),
    [anon_sym_EQ] = ACTIONS(5952),
    [anon_sym_QMARK] = ACTIONS(5954),
    [anon_sym_STAR_EQ] = ACTIONS(5954),
    [anon_sym_SLASH_EQ] = ACTIONS(5954),
    [anon_sym_PERCENT_EQ] = ACTIONS(5954),
    [anon_sym_PLUS_EQ] = ACTIONS(5954),
    [anon_sym_DASH_EQ] = ACTIONS(5954),
    [anon_sym_LT_LT_EQ] = ACTIONS(5954),
    [anon_sym_GT_GT_EQ] = ACTIONS(5954),
    [anon_sym_AMP_EQ] = ACTIONS(5954),
    [anon_sym_CARET_EQ] = ACTIONS(5954),
    [anon_sym_PIPE_EQ] = ACTIONS(5954),
    [anon_sym_and_eq] = ACTIONS(5952),
    [anon_sym_or_eq] = ACTIONS(5952),
    [anon_sym_xor_eq] = ACTIONS(5952),
    [anon_sym_LT_EQ_GT] = ACTIONS(5954),
    [anon_sym_or] = ACTIONS(5952),
    [anon_sym_and] = ACTIONS(5952),
    [anon_sym_bitor] = ACTIONS(5952),
    [anon_sym_xor] = ACTIONS(5952),
    [anon_sym_bitand] = ACTIONS(5952),
    [anon_sym_not_eq] = ACTIONS(5952),
    [anon_sym_DASH_DASH] = ACTIONS(5954),
    [anon_sym_PLUS_PLUS] = ACTIONS(5954),
    [anon_sym_DOT] = ACTIONS(5952),
    [anon_sym_DOT_STAR] = ACTIONS(5954),
    [anon_sym_DASH_GT] = ACTIONS(5954),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5952),
    [anon_sym_decltype] = ACTIONS(5952),
  },
  [2689] = {
    [sym_identifier] = ACTIONS(5908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [aux_sym_preproc_if_token2] = ACTIONS(5910),
    [aux_sym_preproc_else_token1] = ACTIONS(5910),
    [aux_sym_preproc_elif_token1] = ACTIONS(5908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5910),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5910),
    [anon_sym_LPAREN2] = ACTIONS(5910),
    [anon_sym_DASH] = ACTIONS(5908),
    [anon_sym_PLUS] = ACTIONS(5908),
    [anon_sym_STAR] = ACTIONS(5908),
    [anon_sym_SLASH] = ACTIONS(5908),
    [anon_sym_PERCENT] = ACTIONS(5908),
    [anon_sym_PIPE_PIPE] = ACTIONS(5910),
    [anon_sym_AMP_AMP] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5908),
    [anon_sym_CARET] = ACTIONS(5908),
    [anon_sym_AMP] = ACTIONS(5908),
    [anon_sym_EQ_EQ] = ACTIONS(5910),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_GT] = ACTIONS(5908),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5908),
    [anon_sym_LT] = ACTIONS(5908),
    [anon_sym_LT_LT] = ACTIONS(5908),
    [anon_sym_GT_GT] = ACTIONS(5908),
    [anon_sym_COLON] = ACTIONS(5910),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym___attribute__] = ACTIONS(5908),
    [anon_sym___attribute] = ACTIONS(5908),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_RBRACK] = ACTIONS(5910),
    [anon_sym_EQ] = ACTIONS(5908),
    [anon_sym_QMARK] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_and_eq] = ACTIONS(5908),
    [anon_sym_or_eq] = ACTIONS(5908),
    [anon_sym_xor_eq] = ACTIONS(5908),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_or] = ACTIONS(5908),
    [anon_sym_and] = ACTIONS(5908),
    [anon_sym_bitor] = ACTIONS(5908),
    [anon_sym_xor] = ACTIONS(5908),
    [anon_sym_bitand] = ACTIONS(5908),
    [anon_sym_not_eq] = ACTIONS(5908),
    [anon_sym_DASH_DASH] = ACTIONS(5910),
    [anon_sym_PLUS_PLUS] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5908),
    [anon_sym_DOT_STAR] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5908),
    [anon_sym_decltype] = ACTIONS(5908),
  },
  [2690] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_RBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(6589),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(6591),
    [anon_sym_SLASH_EQ] = ACTIONS(6591),
    [anon_sym_PERCENT_EQ] = ACTIONS(6591),
    [anon_sym_PLUS_EQ] = ACTIONS(6591),
    [anon_sym_DASH_EQ] = ACTIONS(6591),
    [anon_sym_LT_LT_EQ] = ACTIONS(6591),
    [anon_sym_GT_GT_EQ] = ACTIONS(6591),
    [anon_sym_AMP_EQ] = ACTIONS(6591),
    [anon_sym_CARET_EQ] = ACTIONS(6591),
    [anon_sym_PIPE_EQ] = ACTIONS(6591),
    [anon_sym_and_eq] = ACTIONS(6591),
    [anon_sym_or_eq] = ACTIONS(6591),
    [anon_sym_xor_eq] = ACTIONS(6591),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2691] = {
    [sym_identifier] = ACTIONS(5964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5966),
    [anon_sym_COMMA] = ACTIONS(5966),
    [anon_sym_RPAREN] = ACTIONS(5966),
    [aux_sym_preproc_if_token2] = ACTIONS(5966),
    [aux_sym_preproc_else_token1] = ACTIONS(5966),
    [aux_sym_preproc_elif_token1] = ACTIONS(5964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5966),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5966),
    [anon_sym_LPAREN2] = ACTIONS(5966),
    [anon_sym_DASH] = ACTIONS(5964),
    [anon_sym_PLUS] = ACTIONS(5964),
    [anon_sym_STAR] = ACTIONS(5964),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5964),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5966),
    [anon_sym_PIPE] = ACTIONS(5964),
    [anon_sym_CARET] = ACTIONS(5964),
    [anon_sym_AMP] = ACTIONS(5964),
    [anon_sym_EQ_EQ] = ACTIONS(5966),
    [anon_sym_BANG_EQ] = ACTIONS(5966),
    [anon_sym_GT] = ACTIONS(5964),
    [anon_sym_GT_EQ] = ACTIONS(5966),
    [anon_sym_LT_EQ] = ACTIONS(5964),
    [anon_sym_LT] = ACTIONS(5964),
    [anon_sym_LT_LT] = ACTIONS(5964),
    [anon_sym_GT_GT] = ACTIONS(5964),
    [anon_sym_COLON] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5966),
    [anon_sym___attribute__] = ACTIONS(5964),
    [anon_sym___attribute] = ACTIONS(5964),
    [anon_sym_LBRACE] = ACTIONS(5966),
    [anon_sym_RBRACE] = ACTIONS(5966),
    [anon_sym_LBRACK] = ACTIONS(5966),
    [anon_sym_RBRACK] = ACTIONS(5966),
    [anon_sym_EQ] = ACTIONS(5964),
    [anon_sym_QMARK] = ACTIONS(5966),
    [anon_sym_STAR_EQ] = ACTIONS(5966),
    [anon_sym_SLASH_EQ] = ACTIONS(5966),
    [anon_sym_PERCENT_EQ] = ACTIONS(5966),
    [anon_sym_PLUS_EQ] = ACTIONS(5966),
    [anon_sym_DASH_EQ] = ACTIONS(5966),
    [anon_sym_LT_LT_EQ] = ACTIONS(5966),
    [anon_sym_GT_GT_EQ] = ACTIONS(5966),
    [anon_sym_AMP_EQ] = ACTIONS(5966),
    [anon_sym_CARET_EQ] = ACTIONS(5966),
    [anon_sym_PIPE_EQ] = ACTIONS(5966),
    [anon_sym_and_eq] = ACTIONS(5964),
    [anon_sym_or_eq] = ACTIONS(5964),
    [anon_sym_xor_eq] = ACTIONS(5964),
    [anon_sym_LT_EQ_GT] = ACTIONS(5966),
    [anon_sym_or] = ACTIONS(5964),
    [anon_sym_and] = ACTIONS(5964),
    [anon_sym_bitor] = ACTIONS(5964),
    [anon_sym_xor] = ACTIONS(5964),
    [anon_sym_bitand] = ACTIONS(5964),
    [anon_sym_not_eq] = ACTIONS(5964),
    [anon_sym_DASH_DASH] = ACTIONS(5966),
    [anon_sym_PLUS_PLUS] = ACTIONS(5966),
    [anon_sym_DOT] = ACTIONS(5964),
    [anon_sym_DOT_STAR] = ACTIONS(5966),
    [anon_sym_DASH_GT] = ACTIONS(5966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5964),
    [anon_sym_decltype] = ACTIONS(5964),
  },
  [2692] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6284),
    [anon_sym_COMMA] = ACTIONS(6284),
    [anon_sym_RPAREN] = ACTIONS(6284),
    [anon_sym_LPAREN2] = ACTIONS(6284),
    [anon_sym_DASH] = ACTIONS(6282),
    [anon_sym_PLUS] = ACTIONS(6282),
    [anon_sym_STAR] = ACTIONS(6282),
    [anon_sym_SLASH] = ACTIONS(6282),
    [anon_sym_PERCENT] = ACTIONS(6282),
    [anon_sym_PIPE_PIPE] = ACTIONS(6284),
    [anon_sym_AMP_AMP] = ACTIONS(6284),
    [anon_sym_PIPE] = ACTIONS(6282),
    [anon_sym_CARET] = ACTIONS(6282),
    [anon_sym_AMP] = ACTIONS(6282),
    [anon_sym_EQ_EQ] = ACTIONS(6284),
    [anon_sym_BANG_EQ] = ACTIONS(6284),
    [anon_sym_GT] = ACTIONS(6282),
    [anon_sym_GT_EQ] = ACTIONS(6284),
    [anon_sym_LT_EQ] = ACTIONS(6282),
    [anon_sym_LT] = ACTIONS(6282),
    [anon_sym_LT_LT] = ACTIONS(6282),
    [anon_sym_GT_GT] = ACTIONS(6282),
    [anon_sym_COLON] = ACTIONS(6284),
    [anon_sym_SEMI] = ACTIONS(6284),
    [anon_sym_RBRACE] = ACTIONS(6284),
    [anon_sym_LBRACK] = ACTIONS(6284),
    [anon_sym_RBRACK] = ACTIONS(6284),
    [anon_sym_EQ] = ACTIONS(6282),
    [anon_sym_QMARK] = ACTIONS(6284),
    [anon_sym_STAR_EQ] = ACTIONS(6284),
    [anon_sym_SLASH_EQ] = ACTIONS(6284),
    [anon_sym_PERCENT_EQ] = ACTIONS(6284),
    [anon_sym_PLUS_EQ] = ACTIONS(6284),
    [anon_sym_DASH_EQ] = ACTIONS(6284),
    [anon_sym_LT_LT_EQ] = ACTIONS(6284),
    [anon_sym_GT_GT_EQ] = ACTIONS(6284),
    [anon_sym_AMP_EQ] = ACTIONS(6284),
    [anon_sym_CARET_EQ] = ACTIONS(6284),
    [anon_sym_PIPE_EQ] = ACTIONS(6284),
    [anon_sym_and_eq] = ACTIONS(6282),
    [anon_sym_or_eq] = ACTIONS(6282),
    [anon_sym_xor_eq] = ACTIONS(6282),
    [anon_sym_LT_EQ_GT] = ACTIONS(6284),
    [anon_sym_or] = ACTIONS(6282),
    [anon_sym_and] = ACTIONS(6282),
    [anon_sym_bitor] = ACTIONS(6282),
    [anon_sym_xor] = ACTIONS(6282),
    [anon_sym_bitand] = ACTIONS(6282),
    [anon_sym_not_eq] = ACTIONS(6282),
    [anon_sym_DASH_DASH] = ACTIONS(6284),
    [anon_sym_PLUS_PLUS] = ACTIONS(6284),
    [anon_sym_DOT] = ACTIONS(6282),
    [anon_sym_DOT_STAR] = ACTIONS(6284),
    [anon_sym_DASH_GT] = ACTIONS(6284),
    [anon_sym_L_DQUOTE] = ACTIONS(6284),
    [anon_sym_u_DQUOTE] = ACTIONS(6284),
    [anon_sym_U_DQUOTE] = ACTIONS(6284),
    [anon_sym_u8_DQUOTE] = ACTIONS(6284),
    [anon_sym_DQUOTE] = ACTIONS(6284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6284),
    [anon_sym_LR_DQUOTE] = ACTIONS(6284),
    [anon_sym_uR_DQUOTE] = ACTIONS(6284),
    [anon_sym_UR_DQUOTE] = ACTIONS(6284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6284),
    [sym_literal_suffix] = ACTIONS(6282),
  },
  [2693] = {
    [sym_template_argument_list] = STATE(2778),
    [sym_identifier] = ACTIONS(4292),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4287),
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_RPAREN] = ACTIONS(4287),
    [aux_sym_preproc_if_token2] = ACTIONS(4287),
    [aux_sym_preproc_else_token1] = ACTIONS(4287),
    [aux_sym_preproc_elif_token1] = ACTIONS(4292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4287),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4292),
    [anon_sym_PLUS] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4292),
    [anon_sym_SLASH] = ACTIONS(4292),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_AMP_AMP] = ACTIONS(4287),
    [anon_sym_PIPE] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4292),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_BANG_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(6432),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym_COLON] = ACTIONS(4292),
    [anon_sym_SEMI] = ACTIONS(4287),
    [anon_sym___attribute__] = ACTIONS(4292),
    [anon_sym___attribute] = ACTIONS(4292),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [anon_sym_RBRACK] = ACTIONS(4287),
    [anon_sym_EQ] = ACTIONS(4292),
    [anon_sym_QMARK] = ACTIONS(4287),
    [anon_sym_STAR_EQ] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [anon_sym_PERCENT_EQ] = ACTIONS(4287),
    [anon_sym_PLUS_EQ] = ACTIONS(4287),
    [anon_sym_DASH_EQ] = ACTIONS(4287),
    [anon_sym_LT_LT_EQ] = ACTIONS(4287),
    [anon_sym_GT_GT_EQ] = ACTIONS(4287),
    [anon_sym_AMP_EQ] = ACTIONS(4287),
    [anon_sym_CARET_EQ] = ACTIONS(4287),
    [anon_sym_PIPE_EQ] = ACTIONS(4287),
    [anon_sym_and_eq] = ACTIONS(4292),
    [anon_sym_or_eq] = ACTIONS(4292),
    [anon_sym_xor_eq] = ACTIONS(4292),
    [anon_sym_LT_EQ_GT] = ACTIONS(4287),
    [anon_sym_or] = ACTIONS(4292),
    [anon_sym_and] = ACTIONS(4292),
    [anon_sym_bitor] = ACTIONS(4292),
    [anon_sym_xor] = ACTIONS(4292),
    [anon_sym_bitand] = ACTIONS(4292),
    [anon_sym_not_eq] = ACTIONS(4292),
    [anon_sym_DASH_DASH] = ACTIONS(4287),
    [anon_sym_PLUS_PLUS] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4292),
    [anon_sym_DOT_STAR] = ACTIONS(4287),
    [anon_sym_DASH_GT] = ACTIONS(4287),
    [sym_comment] = ACTIONS(3),
  },
  [2694] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5756),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5756),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5754),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5756),
    [anon_sym_GT_GT] = ACTIONS(5754),
    [anon_sym_COLON] = ACTIONS(5756),
    [anon_sym___extension__] = ACTIONS(5756),
    [anon_sym___attribute__] = ACTIONS(5756),
    [anon_sym___attribute] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(6629),
    [anon_sym_unsigned] = ACTIONS(6629),
    [anon_sym_long] = ACTIONS(6629),
    [anon_sym_short] = ACTIONS(6629),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_const] = ACTIONS(5754),
    [anon_sym_constexpr] = ACTIONS(5756),
    [anon_sym_volatile] = ACTIONS(5756),
    [anon_sym_restrict] = ACTIONS(5756),
    [anon_sym___restrict__] = ACTIONS(5756),
    [anon_sym__Atomic] = ACTIONS(5756),
    [anon_sym__Noreturn] = ACTIONS(5756),
    [anon_sym_noreturn] = ACTIONS(5756),
    [anon_sym__Nonnull] = ACTIONS(5756),
    [anon_sym_mutable] = ACTIONS(5756),
    [anon_sym_constinit] = ACTIONS(5756),
    [anon_sym_consteval] = ACTIONS(5756),
    [anon_sym_alignas] = ACTIONS(5756),
    [anon_sym__Alignas] = ACTIONS(5756),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5756),
    [anon_sym_and] = ACTIONS(5756),
    [anon_sym_bitor] = ACTIONS(5756),
    [anon_sym_xor] = ACTIONS(5756),
    [anon_sym_bitand] = ACTIONS(5756),
    [anon_sym_not_eq] = ACTIONS(5756),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5756),
    [anon_sym_decltype] = ACTIONS(5756),
    [anon_sym_final] = ACTIONS(5756),
    [anon_sym_override] = ACTIONS(5756),
    [anon_sym_GT2] = ACTIONS(5756),
    [anon_sym_requires] = ACTIONS(5756),
  },
  [2695] = {
    [sym_attribute_declaration] = STATE(2697),
    [aux_sym_attributed_declarator_repeat1] = STATE(2697),
    [sym_identifier] = ACTIONS(6647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6649),
    [anon_sym_COMMA] = ACTIONS(6649),
    [anon_sym_RPAREN] = ACTIONS(6649),
    [aux_sym_preproc_if_token2] = ACTIONS(6649),
    [aux_sym_preproc_else_token1] = ACTIONS(6649),
    [aux_sym_preproc_elif_token1] = ACTIONS(6647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6649),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6649),
    [anon_sym_LPAREN2] = ACTIONS(6649),
    [anon_sym_DASH] = ACTIONS(6647),
    [anon_sym_PLUS] = ACTIONS(6647),
    [anon_sym_STAR] = ACTIONS(6647),
    [anon_sym_SLASH] = ACTIONS(6647),
    [anon_sym_PERCENT] = ACTIONS(6647),
    [anon_sym_PIPE_PIPE] = ACTIONS(6649),
    [anon_sym_AMP_AMP] = ACTIONS(6649),
    [anon_sym_PIPE] = ACTIONS(6647),
    [anon_sym_CARET] = ACTIONS(6647),
    [anon_sym_AMP] = ACTIONS(6647),
    [anon_sym_EQ_EQ] = ACTIONS(6649),
    [anon_sym_BANG_EQ] = ACTIONS(6649),
    [anon_sym_GT] = ACTIONS(6647),
    [anon_sym_GT_EQ] = ACTIONS(6649),
    [anon_sym_LT_EQ] = ACTIONS(6647),
    [anon_sym_LT] = ACTIONS(6647),
    [anon_sym_LT_LT] = ACTIONS(6647),
    [anon_sym_GT_GT] = ACTIONS(6647),
    [anon_sym_COLON] = ACTIONS(6649),
    [anon_sym_SEMI] = ACTIONS(6649),
    [anon_sym___attribute__] = ACTIONS(6647),
    [anon_sym___attribute] = ACTIONS(6647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6534),
    [anon_sym_RBRACE] = ACTIONS(6649),
    [anon_sym_LBRACK] = ACTIONS(6647),
    [anon_sym_RBRACK] = ACTIONS(6649),
    [anon_sym_EQ] = ACTIONS(6647),
    [anon_sym_QMARK] = ACTIONS(6649),
    [anon_sym_STAR_EQ] = ACTIONS(6649),
    [anon_sym_SLASH_EQ] = ACTIONS(6649),
    [anon_sym_PERCENT_EQ] = ACTIONS(6649),
    [anon_sym_PLUS_EQ] = ACTIONS(6649),
    [anon_sym_DASH_EQ] = ACTIONS(6649),
    [anon_sym_LT_LT_EQ] = ACTIONS(6649),
    [anon_sym_GT_GT_EQ] = ACTIONS(6649),
    [anon_sym_AMP_EQ] = ACTIONS(6649),
    [anon_sym_CARET_EQ] = ACTIONS(6649),
    [anon_sym_PIPE_EQ] = ACTIONS(6649),
    [anon_sym_and_eq] = ACTIONS(6647),
    [anon_sym_or_eq] = ACTIONS(6647),
    [anon_sym_xor_eq] = ACTIONS(6647),
    [anon_sym_LT_EQ_GT] = ACTIONS(6649),
    [anon_sym_or] = ACTIONS(6647),
    [anon_sym_and] = ACTIONS(6647),
    [anon_sym_bitor] = ACTIONS(6647),
    [anon_sym_xor] = ACTIONS(6647),
    [anon_sym_bitand] = ACTIONS(6647),
    [anon_sym_not_eq] = ACTIONS(6647),
    [anon_sym_DASH_DASH] = ACTIONS(6649),
    [anon_sym_PLUS_PLUS] = ACTIONS(6649),
    [anon_sym_DOT] = ACTIONS(6647),
    [anon_sym_DOT_STAR] = ACTIONS(6649),
    [anon_sym_DASH_GT] = ACTIONS(6649),
    [sym_comment] = ACTIONS(3),
  },
  [2696] = {
    [sym_identifier] = ACTIONS(5880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5882),
    [anon_sym_COMMA] = ACTIONS(5882),
    [anon_sym_RPAREN] = ACTIONS(5882),
    [aux_sym_preproc_if_token2] = ACTIONS(5882),
    [aux_sym_preproc_else_token1] = ACTIONS(5882),
    [aux_sym_preproc_elif_token1] = ACTIONS(5880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5882),
    [anon_sym_LPAREN2] = ACTIONS(5882),
    [anon_sym_DASH] = ACTIONS(5880),
    [anon_sym_PLUS] = ACTIONS(5880),
    [anon_sym_STAR] = ACTIONS(5880),
    [anon_sym_SLASH] = ACTIONS(5880),
    [anon_sym_PERCENT] = ACTIONS(5880),
    [anon_sym_PIPE_PIPE] = ACTIONS(5882),
    [anon_sym_AMP_AMP] = ACTIONS(5882),
    [anon_sym_PIPE] = ACTIONS(5880),
    [anon_sym_CARET] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5880),
    [anon_sym_EQ_EQ] = ACTIONS(5882),
    [anon_sym_BANG_EQ] = ACTIONS(5882),
    [anon_sym_GT] = ACTIONS(5880),
    [anon_sym_GT_EQ] = ACTIONS(5882),
    [anon_sym_LT_EQ] = ACTIONS(5880),
    [anon_sym_LT] = ACTIONS(5880),
    [anon_sym_LT_LT] = ACTIONS(5880),
    [anon_sym_GT_GT] = ACTIONS(5880),
    [anon_sym_COLON] = ACTIONS(5882),
    [anon_sym_SEMI] = ACTIONS(5882),
    [anon_sym___attribute__] = ACTIONS(5880),
    [anon_sym___attribute] = ACTIONS(5880),
    [anon_sym_LBRACE] = ACTIONS(5882),
    [anon_sym_RBRACE] = ACTIONS(5882),
    [anon_sym_LBRACK] = ACTIONS(5882),
    [anon_sym_RBRACK] = ACTIONS(5882),
    [anon_sym_EQ] = ACTIONS(5880),
    [anon_sym_QMARK] = ACTIONS(5882),
    [anon_sym_STAR_EQ] = ACTIONS(5882),
    [anon_sym_SLASH_EQ] = ACTIONS(5882),
    [anon_sym_PERCENT_EQ] = ACTIONS(5882),
    [anon_sym_PLUS_EQ] = ACTIONS(5882),
    [anon_sym_DASH_EQ] = ACTIONS(5882),
    [anon_sym_LT_LT_EQ] = ACTIONS(5882),
    [anon_sym_GT_GT_EQ] = ACTIONS(5882),
    [anon_sym_AMP_EQ] = ACTIONS(5882),
    [anon_sym_CARET_EQ] = ACTIONS(5882),
    [anon_sym_PIPE_EQ] = ACTIONS(5882),
    [anon_sym_and_eq] = ACTIONS(5880),
    [anon_sym_or_eq] = ACTIONS(5880),
    [anon_sym_xor_eq] = ACTIONS(5880),
    [anon_sym_LT_EQ_GT] = ACTIONS(5882),
    [anon_sym_or] = ACTIONS(5880),
    [anon_sym_and] = ACTIONS(5880),
    [anon_sym_bitor] = ACTIONS(5880),
    [anon_sym_xor] = ACTIONS(5880),
    [anon_sym_bitand] = ACTIONS(5880),
    [anon_sym_not_eq] = ACTIONS(5880),
    [anon_sym_DASH_DASH] = ACTIONS(5882),
    [anon_sym_PLUS_PLUS] = ACTIONS(5882),
    [anon_sym_DOT] = ACTIONS(5880),
    [anon_sym_DOT_STAR] = ACTIONS(5882),
    [anon_sym_DASH_GT] = ACTIONS(5882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5880),
    [anon_sym_decltype] = ACTIONS(5880),
  },
  [2697] = {
    [sym_attribute_declaration] = STATE(2697),
    [aux_sym_attributed_declarator_repeat1] = STATE(2697),
    [sym_identifier] = ACTIONS(6651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6653),
    [anon_sym_COMMA] = ACTIONS(6653),
    [anon_sym_RPAREN] = ACTIONS(6653),
    [aux_sym_preproc_if_token2] = ACTIONS(6653),
    [aux_sym_preproc_else_token1] = ACTIONS(6653),
    [aux_sym_preproc_elif_token1] = ACTIONS(6651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6653),
    [anon_sym_LPAREN2] = ACTIONS(6653),
    [anon_sym_DASH] = ACTIONS(6651),
    [anon_sym_PLUS] = ACTIONS(6651),
    [anon_sym_STAR] = ACTIONS(6651),
    [anon_sym_SLASH] = ACTIONS(6651),
    [anon_sym_PERCENT] = ACTIONS(6651),
    [anon_sym_PIPE_PIPE] = ACTIONS(6653),
    [anon_sym_AMP_AMP] = ACTIONS(6653),
    [anon_sym_PIPE] = ACTIONS(6651),
    [anon_sym_CARET] = ACTIONS(6651),
    [anon_sym_AMP] = ACTIONS(6651),
    [anon_sym_EQ_EQ] = ACTIONS(6653),
    [anon_sym_BANG_EQ] = ACTIONS(6653),
    [anon_sym_GT] = ACTIONS(6651),
    [anon_sym_GT_EQ] = ACTIONS(6653),
    [anon_sym_LT_EQ] = ACTIONS(6651),
    [anon_sym_LT] = ACTIONS(6651),
    [anon_sym_LT_LT] = ACTIONS(6651),
    [anon_sym_GT_GT] = ACTIONS(6651),
    [anon_sym_COLON] = ACTIONS(6653),
    [anon_sym_SEMI] = ACTIONS(6653),
    [anon_sym___attribute__] = ACTIONS(6651),
    [anon_sym___attribute] = ACTIONS(6651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6655),
    [anon_sym_RBRACE] = ACTIONS(6653),
    [anon_sym_LBRACK] = ACTIONS(6651),
    [anon_sym_RBRACK] = ACTIONS(6653),
    [anon_sym_EQ] = ACTIONS(6651),
    [anon_sym_QMARK] = ACTIONS(6653),
    [anon_sym_STAR_EQ] = ACTIONS(6653),
    [anon_sym_SLASH_EQ] = ACTIONS(6653),
    [anon_sym_PERCENT_EQ] = ACTIONS(6653),
    [anon_sym_PLUS_EQ] = ACTIONS(6653),
    [anon_sym_DASH_EQ] = ACTIONS(6653),
    [anon_sym_LT_LT_EQ] = ACTIONS(6653),
    [anon_sym_GT_GT_EQ] = ACTIONS(6653),
    [anon_sym_AMP_EQ] = ACTIONS(6653),
    [anon_sym_CARET_EQ] = ACTIONS(6653),
    [anon_sym_PIPE_EQ] = ACTIONS(6653),
    [anon_sym_and_eq] = ACTIONS(6651),
    [anon_sym_or_eq] = ACTIONS(6651),
    [anon_sym_xor_eq] = ACTIONS(6651),
    [anon_sym_LT_EQ_GT] = ACTIONS(6653),
    [anon_sym_or] = ACTIONS(6651),
    [anon_sym_and] = ACTIONS(6651),
    [anon_sym_bitor] = ACTIONS(6651),
    [anon_sym_xor] = ACTIONS(6651),
    [anon_sym_bitand] = ACTIONS(6651),
    [anon_sym_not_eq] = ACTIONS(6651),
    [anon_sym_DASH_DASH] = ACTIONS(6653),
    [anon_sym_PLUS_PLUS] = ACTIONS(6653),
    [anon_sym_DOT] = ACTIONS(6651),
    [anon_sym_DOT_STAR] = ACTIONS(6653),
    [anon_sym_DASH_GT] = ACTIONS(6653),
    [sym_comment] = ACTIONS(3),
  },
  [2698] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5758),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5758),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym___extension__] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym___attribute] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(6629),
    [anon_sym_unsigned] = ACTIONS(6629),
    [anon_sym_long] = ACTIONS(6629),
    [anon_sym_short] = ACTIONS(6629),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_const] = ACTIONS(5758),
    [anon_sym_constexpr] = ACTIONS(5760),
    [anon_sym_volatile] = ACTIONS(5760),
    [anon_sym_restrict] = ACTIONS(5760),
    [anon_sym___restrict__] = ACTIONS(5760),
    [anon_sym__Atomic] = ACTIONS(5760),
    [anon_sym__Noreturn] = ACTIONS(5760),
    [anon_sym_noreturn] = ACTIONS(5760),
    [anon_sym__Nonnull] = ACTIONS(5760),
    [anon_sym_mutable] = ACTIONS(5760),
    [anon_sym_constinit] = ACTIONS(5760),
    [anon_sym_consteval] = ACTIONS(5760),
    [anon_sym_alignas] = ACTIONS(5760),
    [anon_sym__Alignas] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
    [anon_sym_final] = ACTIONS(5760),
    [anon_sym_override] = ACTIONS(5760),
    [anon_sym_GT2] = ACTIONS(5760),
    [anon_sym_requires] = ACTIONS(5760),
  },
  [2699] = {
    [sym_type_qualifier] = STATE(2699),
    [sym_alignas_qualifier] = STATE(2624),
    [aux_sym__type_definition_type_repeat1] = STATE(2699),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4889),
    [anon_sym_PLUS] = ACTIONS(4889),
    [anon_sym_STAR] = ACTIONS(4891),
    [anon_sym_SLASH] = ACTIONS(4889),
    [anon_sym_PERCENT] = ACTIONS(4891),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4889),
    [anon_sym_CARET] = ACTIONS(4891),
    [anon_sym_AMP] = ACTIONS(4889),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4889),
    [anon_sym_GT_EQ] = ACTIONS(4889),
    [anon_sym_LT_EQ] = ACTIONS(4889),
    [anon_sym_LT] = ACTIONS(4889),
    [anon_sym_LT_LT] = ACTIONS(4891),
    [anon_sym_GT_GT] = ACTIONS(4889),
    [anon_sym___extension__] = ACTIONS(6658),
    [anon_sym___attribute__] = ACTIONS(4889),
    [anon_sym___attribute] = ACTIONS(4889),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_signed] = ACTIONS(4889),
    [anon_sym_unsigned] = ACTIONS(4889),
    [anon_sym_long] = ACTIONS(4889),
    [anon_sym_short] = ACTIONS(4889),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(6658),
    [anon_sym_constexpr] = ACTIONS(6658),
    [anon_sym_volatile] = ACTIONS(6658),
    [anon_sym_restrict] = ACTIONS(6658),
    [anon_sym___restrict__] = ACTIONS(6658),
    [anon_sym__Atomic] = ACTIONS(6658),
    [anon_sym__Noreturn] = ACTIONS(6658),
    [anon_sym_noreturn] = ACTIONS(6658),
    [anon_sym__Nonnull] = ACTIONS(6658),
    [anon_sym_mutable] = ACTIONS(6658),
    [anon_sym_constinit] = ACTIONS(6658),
    [anon_sym_consteval] = ACTIONS(6658),
    [anon_sym_alignas] = ACTIONS(6661),
    [anon_sym__Alignas] = ACTIONS(6661),
    [sym_primitive_type] = ACTIONS(4889),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4889),
    [anon_sym_and] = ACTIONS(4889),
    [anon_sym_bitor] = ACTIONS(4889),
    [anon_sym_xor] = ACTIONS(4889),
    [anon_sym_bitand] = ACTIONS(4889),
    [anon_sym_not_eq] = ACTIONS(4889),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4889),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4889),
    [anon_sym_decltype] = ACTIONS(4889),
    [anon_sym_GT2] = ACTIONS(4891),
  },
  [2700] = {
    [sym_identifier] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5914),
    [anon_sym_COMMA] = ACTIONS(5914),
    [anon_sym_RPAREN] = ACTIONS(5914),
    [aux_sym_preproc_if_token2] = ACTIONS(5914),
    [aux_sym_preproc_else_token1] = ACTIONS(5914),
    [aux_sym_preproc_elif_token1] = ACTIONS(5912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5914),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5914),
    [anon_sym_LPAREN2] = ACTIONS(5914),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5912),
    [anon_sym_PIPE_PIPE] = ACTIONS(5914),
    [anon_sym_AMP_AMP] = ACTIONS(5914),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_CARET] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5914),
    [anon_sym_BANG_EQ] = ACTIONS(5914),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5914),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5912),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_COLON] = ACTIONS(5914),
    [anon_sym_SEMI] = ACTIONS(5914),
    [anon_sym___attribute__] = ACTIONS(5912),
    [anon_sym___attribute] = ACTIONS(5912),
    [anon_sym_LBRACE] = ACTIONS(5914),
    [anon_sym_RBRACE] = ACTIONS(5914),
    [anon_sym_LBRACK] = ACTIONS(5914),
    [anon_sym_RBRACK] = ACTIONS(5914),
    [anon_sym_EQ] = ACTIONS(5912),
    [anon_sym_QMARK] = ACTIONS(5914),
    [anon_sym_STAR_EQ] = ACTIONS(5914),
    [anon_sym_SLASH_EQ] = ACTIONS(5914),
    [anon_sym_PERCENT_EQ] = ACTIONS(5914),
    [anon_sym_PLUS_EQ] = ACTIONS(5914),
    [anon_sym_DASH_EQ] = ACTIONS(5914),
    [anon_sym_LT_LT_EQ] = ACTIONS(5914),
    [anon_sym_GT_GT_EQ] = ACTIONS(5914),
    [anon_sym_AMP_EQ] = ACTIONS(5914),
    [anon_sym_CARET_EQ] = ACTIONS(5914),
    [anon_sym_PIPE_EQ] = ACTIONS(5914),
    [anon_sym_and_eq] = ACTIONS(5912),
    [anon_sym_or_eq] = ACTIONS(5912),
    [anon_sym_xor_eq] = ACTIONS(5912),
    [anon_sym_LT_EQ_GT] = ACTIONS(5914),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_bitor] = ACTIONS(5912),
    [anon_sym_xor] = ACTIONS(5912),
    [anon_sym_bitand] = ACTIONS(5912),
    [anon_sym_not_eq] = ACTIONS(5912),
    [anon_sym_DASH_DASH] = ACTIONS(5914),
    [anon_sym_PLUS_PLUS] = ACTIONS(5914),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_DOT_STAR] = ACTIONS(5914),
    [anon_sym_DASH_GT] = ACTIONS(5914),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5912),
    [anon_sym_decltype] = ACTIONS(5912),
  },
  [2701] = {
    [sym_string_literal] = STATE(2709),
    [sym_raw_string_literal] = STATE(2709),
    [aux_sym_concatenated_string_repeat1] = STATE(2709),
    [sym_identifier] = ACTIONS(6664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6276),
    [anon_sym_COMMA] = ACTIONS(6276),
    [anon_sym_LPAREN2] = ACTIONS(6276),
    [anon_sym_DASH] = ACTIONS(6278),
    [anon_sym_PLUS] = ACTIONS(6278),
    [anon_sym_STAR] = ACTIONS(6278),
    [anon_sym_SLASH] = ACTIONS(6278),
    [anon_sym_PERCENT] = ACTIONS(6278),
    [anon_sym_PIPE_PIPE] = ACTIONS(6276),
    [anon_sym_AMP_AMP] = ACTIONS(6276),
    [anon_sym_PIPE] = ACTIONS(6278),
    [anon_sym_CARET] = ACTIONS(6278),
    [anon_sym_AMP] = ACTIONS(6278),
    [anon_sym_EQ_EQ] = ACTIONS(6276),
    [anon_sym_BANG_EQ] = ACTIONS(6276),
    [anon_sym_GT] = ACTIONS(6278),
    [anon_sym_GT_EQ] = ACTIONS(6278),
    [anon_sym_LT_EQ] = ACTIONS(6278),
    [anon_sym_LT] = ACTIONS(6278),
    [anon_sym_LT_LT] = ACTIONS(6278),
    [anon_sym_GT_GT] = ACTIONS(6278),
    [anon_sym_LBRACK] = ACTIONS(6276),
    [anon_sym_EQ] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(6276),
    [anon_sym_STAR_EQ] = ACTIONS(6276),
    [anon_sym_SLASH_EQ] = ACTIONS(6276),
    [anon_sym_PERCENT_EQ] = ACTIONS(6276),
    [anon_sym_PLUS_EQ] = ACTIONS(6276),
    [anon_sym_DASH_EQ] = ACTIONS(6276),
    [anon_sym_LT_LT_EQ] = ACTIONS(6276),
    [anon_sym_GT_GT_EQ] = ACTIONS(6278),
    [anon_sym_AMP_EQ] = ACTIONS(6276),
    [anon_sym_CARET_EQ] = ACTIONS(6276),
    [anon_sym_PIPE_EQ] = ACTIONS(6276),
    [anon_sym_and_eq] = ACTIONS(6278),
    [anon_sym_or_eq] = ACTIONS(6278),
    [anon_sym_xor_eq] = ACTIONS(6278),
    [anon_sym_LT_EQ_GT] = ACTIONS(6276),
    [anon_sym_or] = ACTIONS(6278),
    [anon_sym_and] = ACTIONS(6278),
    [anon_sym_bitor] = ACTIONS(6278),
    [anon_sym_xor] = ACTIONS(6278),
    [anon_sym_bitand] = ACTIONS(6278),
    [anon_sym_not_eq] = ACTIONS(6278),
    [anon_sym_DASH_DASH] = ACTIONS(6276),
    [anon_sym_PLUS_PLUS] = ACTIONS(6276),
    [anon_sym_DOT] = ACTIONS(6278),
    [anon_sym_DOT_STAR] = ACTIONS(6276),
    [anon_sym_DASH_GT] = ACTIONS(6276),
    [anon_sym_L_DQUOTE] = ACTIONS(6666),
    [anon_sym_u_DQUOTE] = ACTIONS(6666),
    [anon_sym_U_DQUOTE] = ACTIONS(6666),
    [anon_sym_u8_DQUOTE] = ACTIONS(6666),
    [anon_sym_DQUOTE] = ACTIONS(6666),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(6276),
    [anon_sym_R_DQUOTE] = ACTIONS(6668),
    [anon_sym_LR_DQUOTE] = ACTIONS(6668),
    [anon_sym_uR_DQUOTE] = ACTIONS(6668),
    [anon_sym_UR_DQUOTE] = ACTIONS(6668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6668),
    [sym_literal_suffix] = ACTIONS(6278),
  },
  [2702] = {
    [sym_identifier] = ACTIONS(5892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5894),
    [anon_sym_COMMA] = ACTIONS(5894),
    [anon_sym_RPAREN] = ACTIONS(5894),
    [aux_sym_preproc_if_token2] = ACTIONS(5894),
    [aux_sym_preproc_else_token1] = ACTIONS(5894),
    [aux_sym_preproc_elif_token1] = ACTIONS(5892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5894),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5894),
    [anon_sym_LPAREN2] = ACTIONS(5894),
    [anon_sym_DASH] = ACTIONS(5892),
    [anon_sym_PLUS] = ACTIONS(5892),
    [anon_sym_STAR] = ACTIONS(5892),
    [anon_sym_SLASH] = ACTIONS(5892),
    [anon_sym_PERCENT] = ACTIONS(5892),
    [anon_sym_PIPE_PIPE] = ACTIONS(5894),
    [anon_sym_AMP_AMP] = ACTIONS(5894),
    [anon_sym_PIPE] = ACTIONS(5892),
    [anon_sym_CARET] = ACTIONS(5892),
    [anon_sym_AMP] = ACTIONS(5892),
    [anon_sym_EQ_EQ] = ACTIONS(5894),
    [anon_sym_BANG_EQ] = ACTIONS(5894),
    [anon_sym_GT] = ACTIONS(5892),
    [anon_sym_GT_EQ] = ACTIONS(5894),
    [anon_sym_LT_EQ] = ACTIONS(5892),
    [anon_sym_LT] = ACTIONS(5892),
    [anon_sym_LT_LT] = ACTIONS(5892),
    [anon_sym_GT_GT] = ACTIONS(5892),
    [anon_sym_COLON] = ACTIONS(5894),
    [anon_sym_SEMI] = ACTIONS(5894),
    [anon_sym___attribute__] = ACTIONS(5892),
    [anon_sym___attribute] = ACTIONS(5892),
    [anon_sym_LBRACE] = ACTIONS(5894),
    [anon_sym_RBRACE] = ACTIONS(5894),
    [anon_sym_LBRACK] = ACTIONS(5894),
    [anon_sym_RBRACK] = ACTIONS(5894),
    [anon_sym_EQ] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(5894),
    [anon_sym_STAR_EQ] = ACTIONS(5894),
    [anon_sym_SLASH_EQ] = ACTIONS(5894),
    [anon_sym_PERCENT_EQ] = ACTIONS(5894),
    [anon_sym_PLUS_EQ] = ACTIONS(5894),
    [anon_sym_DASH_EQ] = ACTIONS(5894),
    [anon_sym_LT_LT_EQ] = ACTIONS(5894),
    [anon_sym_GT_GT_EQ] = ACTIONS(5894),
    [anon_sym_AMP_EQ] = ACTIONS(5894),
    [anon_sym_CARET_EQ] = ACTIONS(5894),
    [anon_sym_PIPE_EQ] = ACTIONS(5894),
    [anon_sym_and_eq] = ACTIONS(5892),
    [anon_sym_or_eq] = ACTIONS(5892),
    [anon_sym_xor_eq] = ACTIONS(5892),
    [anon_sym_LT_EQ_GT] = ACTIONS(5894),
    [anon_sym_or] = ACTIONS(5892),
    [anon_sym_and] = ACTIONS(5892),
    [anon_sym_bitor] = ACTIONS(5892),
    [anon_sym_xor] = ACTIONS(5892),
    [anon_sym_bitand] = ACTIONS(5892),
    [anon_sym_not_eq] = ACTIONS(5892),
    [anon_sym_DASH_DASH] = ACTIONS(5894),
    [anon_sym_PLUS_PLUS] = ACTIONS(5894),
    [anon_sym_DOT] = ACTIONS(5892),
    [anon_sym_DOT_STAR] = ACTIONS(5894),
    [anon_sym_DASH_GT] = ACTIONS(5894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5892),
    [anon_sym_decltype] = ACTIONS(5892),
  },
  [2703] = {
    [sym_identifier] = ACTIONS(5900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [aux_sym_preproc_if_token2] = ACTIONS(5902),
    [aux_sym_preproc_else_token1] = ACTIONS(5902),
    [aux_sym_preproc_elif_token1] = ACTIONS(5900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5902),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5902),
    [anon_sym_LPAREN2] = ACTIONS(5902),
    [anon_sym_DASH] = ACTIONS(5900),
    [anon_sym_PLUS] = ACTIONS(5900),
    [anon_sym_STAR] = ACTIONS(5900),
    [anon_sym_SLASH] = ACTIONS(5900),
    [anon_sym_PERCENT] = ACTIONS(5900),
    [anon_sym_PIPE_PIPE] = ACTIONS(5902),
    [anon_sym_AMP_AMP] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(5900),
    [anon_sym_CARET] = ACTIONS(5900),
    [anon_sym_AMP] = ACTIONS(5900),
    [anon_sym_EQ_EQ] = ACTIONS(5902),
    [anon_sym_BANG_EQ] = ACTIONS(5902),
    [anon_sym_GT] = ACTIONS(5900),
    [anon_sym_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_EQ] = ACTIONS(5900),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_LT_LT] = ACTIONS(5900),
    [anon_sym_GT_GT] = ACTIONS(5900),
    [anon_sym_COLON] = ACTIONS(5902),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym___attribute__] = ACTIONS(5900),
    [anon_sym___attribute] = ACTIONS(5900),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_LBRACK] = ACTIONS(5902),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_EQ] = ACTIONS(5900),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_and_eq] = ACTIONS(5900),
    [anon_sym_or_eq] = ACTIONS(5900),
    [anon_sym_xor_eq] = ACTIONS(5900),
    [anon_sym_LT_EQ_GT] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5900),
    [anon_sym_and] = ACTIONS(5900),
    [anon_sym_bitor] = ACTIONS(5900),
    [anon_sym_xor] = ACTIONS(5900),
    [anon_sym_bitand] = ACTIONS(5900),
    [anon_sym_not_eq] = ACTIONS(5900),
    [anon_sym_DASH_DASH] = ACTIONS(5902),
    [anon_sym_PLUS_PLUS] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(5900),
    [anon_sym_DOT_STAR] = ACTIONS(5902),
    [anon_sym_DASH_GT] = ACTIONS(5902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5900),
    [anon_sym_decltype] = ACTIONS(5900),
  },
  [2704] = {
    [sym_argument_list] = STATE(2929),
    [sym_initializer_list] = STATE(2929),
    [sym_identifier] = ACTIONS(6670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6672),
    [anon_sym_COMMA] = ACTIONS(6672),
    [anon_sym_RPAREN] = ACTIONS(6672),
    [aux_sym_preproc_if_token2] = ACTIONS(6672),
    [aux_sym_preproc_else_token1] = ACTIONS(6672),
    [aux_sym_preproc_elif_token1] = ACTIONS(6670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6672),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6670),
    [anon_sym_PLUS] = ACTIONS(6670),
    [anon_sym_STAR] = ACTIONS(6670),
    [anon_sym_SLASH] = ACTIONS(6670),
    [anon_sym_PERCENT] = ACTIONS(6670),
    [anon_sym_PIPE_PIPE] = ACTIONS(6672),
    [anon_sym_AMP_AMP] = ACTIONS(6672),
    [anon_sym_PIPE] = ACTIONS(6670),
    [anon_sym_CARET] = ACTIONS(6670),
    [anon_sym_AMP] = ACTIONS(6670),
    [anon_sym_EQ_EQ] = ACTIONS(6672),
    [anon_sym_BANG_EQ] = ACTIONS(6672),
    [anon_sym_GT] = ACTIONS(6670),
    [anon_sym_GT_EQ] = ACTIONS(6672),
    [anon_sym_LT_EQ] = ACTIONS(6670),
    [anon_sym_LT] = ACTIONS(6670),
    [anon_sym_LT_LT] = ACTIONS(6670),
    [anon_sym_GT_GT] = ACTIONS(6670),
    [anon_sym_COLON] = ACTIONS(6672),
    [anon_sym_SEMI] = ACTIONS(6672),
    [anon_sym___attribute__] = ACTIONS(6670),
    [anon_sym___attribute] = ACTIONS(6670),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_RBRACE] = ACTIONS(6672),
    [anon_sym_LBRACK] = ACTIONS(6672),
    [anon_sym_RBRACK] = ACTIONS(6672),
    [anon_sym_EQ] = ACTIONS(6670),
    [anon_sym_QMARK] = ACTIONS(6672),
    [anon_sym_STAR_EQ] = ACTIONS(6672),
    [anon_sym_SLASH_EQ] = ACTIONS(6672),
    [anon_sym_PERCENT_EQ] = ACTIONS(6672),
    [anon_sym_PLUS_EQ] = ACTIONS(6672),
    [anon_sym_DASH_EQ] = ACTIONS(6672),
    [anon_sym_LT_LT_EQ] = ACTIONS(6672),
    [anon_sym_GT_GT_EQ] = ACTIONS(6672),
    [anon_sym_AMP_EQ] = ACTIONS(6672),
    [anon_sym_CARET_EQ] = ACTIONS(6672),
    [anon_sym_PIPE_EQ] = ACTIONS(6672),
    [anon_sym_and_eq] = ACTIONS(6670),
    [anon_sym_or_eq] = ACTIONS(6670),
    [anon_sym_xor_eq] = ACTIONS(6670),
    [anon_sym_LT_EQ_GT] = ACTIONS(6672),
    [anon_sym_or] = ACTIONS(6670),
    [anon_sym_and] = ACTIONS(6670),
    [anon_sym_bitor] = ACTIONS(6670),
    [anon_sym_xor] = ACTIONS(6670),
    [anon_sym_bitand] = ACTIONS(6670),
    [anon_sym_not_eq] = ACTIONS(6670),
    [anon_sym_DASH_DASH] = ACTIONS(6672),
    [anon_sym_PLUS_PLUS] = ACTIONS(6672),
    [anon_sym_DOT] = ACTIONS(6670),
    [anon_sym_DOT_STAR] = ACTIONS(6672),
    [anon_sym_DASH_GT] = ACTIONS(6672),
    [sym_comment] = ACTIONS(3),
  },
  [2705] = {
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [aux_sym_preproc_if_token2] = ACTIONS(5930),
    [aux_sym_preproc_else_token1] = ACTIONS(5930),
    [aux_sym_preproc_elif_token1] = ACTIONS(5928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5928),
    [anon_sym_STAR] = ACTIONS(5928),
    [anon_sym_SLASH] = ACTIONS(5928),
    [anon_sym_PERCENT] = ACTIONS(5928),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5928),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_EQ_EQ] = ACTIONS(5930),
    [anon_sym_BANG_EQ] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5928),
    [anon_sym_GT_EQ] = ACTIONS(5930),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_LT_LT] = ACTIONS(5928),
    [anon_sym_GT_GT] = ACTIONS(5928),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___attribute__] = ACTIONS(5928),
    [anon_sym___attribute] = ACTIONS(5928),
    [anon_sym_LBRACE] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACK] = ACTIONS(5930),
    [anon_sym_EQ] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5930),
    [anon_sym_STAR_EQ] = ACTIONS(5930),
    [anon_sym_SLASH_EQ] = ACTIONS(5930),
    [anon_sym_PERCENT_EQ] = ACTIONS(5930),
    [anon_sym_PLUS_EQ] = ACTIONS(5930),
    [anon_sym_DASH_EQ] = ACTIONS(5930),
    [anon_sym_LT_LT_EQ] = ACTIONS(5930),
    [anon_sym_GT_GT_EQ] = ACTIONS(5930),
    [anon_sym_AMP_EQ] = ACTIONS(5930),
    [anon_sym_CARET_EQ] = ACTIONS(5930),
    [anon_sym_PIPE_EQ] = ACTIONS(5930),
    [anon_sym_and_eq] = ACTIONS(5928),
    [anon_sym_or_eq] = ACTIONS(5928),
    [anon_sym_xor_eq] = ACTIONS(5928),
    [anon_sym_LT_EQ_GT] = ACTIONS(5930),
    [anon_sym_or] = ACTIONS(5928),
    [anon_sym_and] = ACTIONS(5928),
    [anon_sym_bitor] = ACTIONS(5928),
    [anon_sym_xor] = ACTIONS(5928),
    [anon_sym_bitand] = ACTIONS(5928),
    [anon_sym_not_eq] = ACTIONS(5928),
    [anon_sym_DASH_DASH] = ACTIONS(5930),
    [anon_sym_PLUS_PLUS] = ACTIONS(5930),
    [anon_sym_DOT] = ACTIONS(5928),
    [anon_sym_DOT_STAR] = ACTIONS(5930),
    [anon_sym_DASH_GT] = ACTIONS(5930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
  },
  [2706] = {
    [sym_identifier] = ACTIONS(5932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5934),
    [anon_sym_COMMA] = ACTIONS(5934),
    [anon_sym_RPAREN] = ACTIONS(5934),
    [aux_sym_preproc_if_token2] = ACTIONS(5934),
    [aux_sym_preproc_else_token1] = ACTIONS(5934),
    [aux_sym_preproc_elif_token1] = ACTIONS(5932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5934),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5934),
    [anon_sym_LPAREN2] = ACTIONS(5934),
    [anon_sym_DASH] = ACTIONS(5932),
    [anon_sym_PLUS] = ACTIONS(5932),
    [anon_sym_STAR] = ACTIONS(5932),
    [anon_sym_SLASH] = ACTIONS(5932),
    [anon_sym_PERCENT] = ACTIONS(5932),
    [anon_sym_PIPE_PIPE] = ACTIONS(5934),
    [anon_sym_AMP_AMP] = ACTIONS(5934),
    [anon_sym_PIPE] = ACTIONS(5932),
    [anon_sym_CARET] = ACTIONS(5932),
    [anon_sym_AMP] = ACTIONS(5932),
    [anon_sym_EQ_EQ] = ACTIONS(5934),
    [anon_sym_BANG_EQ] = ACTIONS(5934),
    [anon_sym_GT] = ACTIONS(5932),
    [anon_sym_GT_EQ] = ACTIONS(5934),
    [anon_sym_LT_EQ] = ACTIONS(5932),
    [anon_sym_LT] = ACTIONS(5932),
    [anon_sym_LT_LT] = ACTIONS(5932),
    [anon_sym_GT_GT] = ACTIONS(5932),
    [anon_sym_COLON] = ACTIONS(5934),
    [anon_sym_SEMI] = ACTIONS(5934),
    [anon_sym___attribute__] = ACTIONS(5932),
    [anon_sym___attribute] = ACTIONS(5932),
    [anon_sym_LBRACE] = ACTIONS(5934),
    [anon_sym_RBRACE] = ACTIONS(5934),
    [anon_sym_LBRACK] = ACTIONS(5934),
    [anon_sym_RBRACK] = ACTIONS(5934),
    [anon_sym_EQ] = ACTIONS(5932),
    [anon_sym_QMARK] = ACTIONS(5934),
    [anon_sym_STAR_EQ] = ACTIONS(5934),
    [anon_sym_SLASH_EQ] = ACTIONS(5934),
    [anon_sym_PERCENT_EQ] = ACTIONS(5934),
    [anon_sym_PLUS_EQ] = ACTIONS(5934),
    [anon_sym_DASH_EQ] = ACTIONS(5934),
    [anon_sym_LT_LT_EQ] = ACTIONS(5934),
    [anon_sym_GT_GT_EQ] = ACTIONS(5934),
    [anon_sym_AMP_EQ] = ACTIONS(5934),
    [anon_sym_CARET_EQ] = ACTIONS(5934),
    [anon_sym_PIPE_EQ] = ACTIONS(5934),
    [anon_sym_and_eq] = ACTIONS(5932),
    [anon_sym_or_eq] = ACTIONS(5932),
    [anon_sym_xor_eq] = ACTIONS(5932),
    [anon_sym_LT_EQ_GT] = ACTIONS(5934),
    [anon_sym_or] = ACTIONS(5932),
    [anon_sym_and] = ACTIONS(5932),
    [anon_sym_bitor] = ACTIONS(5932),
    [anon_sym_xor] = ACTIONS(5932),
    [anon_sym_bitand] = ACTIONS(5932),
    [anon_sym_not_eq] = ACTIONS(5932),
    [anon_sym_DASH_DASH] = ACTIONS(5934),
    [anon_sym_PLUS_PLUS] = ACTIONS(5934),
    [anon_sym_DOT] = ACTIONS(5932),
    [anon_sym_DOT_STAR] = ACTIONS(5934),
    [anon_sym_DASH_GT] = ACTIONS(5934),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5932),
    [anon_sym_decltype] = ACTIONS(5932),
  },
  [2707] = {
    [sym_identifier] = ACTIONS(5936),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5938),
    [anon_sym_COMMA] = ACTIONS(5938),
    [anon_sym_RPAREN] = ACTIONS(5938),
    [aux_sym_preproc_if_token2] = ACTIONS(5938),
    [aux_sym_preproc_else_token1] = ACTIONS(5938),
    [aux_sym_preproc_elif_token1] = ACTIONS(5936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5938),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5938),
    [anon_sym_LPAREN2] = ACTIONS(5938),
    [anon_sym_DASH] = ACTIONS(5936),
    [anon_sym_PLUS] = ACTIONS(5936),
    [anon_sym_STAR] = ACTIONS(5936),
    [anon_sym_SLASH] = ACTIONS(5936),
    [anon_sym_PERCENT] = ACTIONS(5936),
    [anon_sym_PIPE_PIPE] = ACTIONS(5938),
    [anon_sym_AMP_AMP] = ACTIONS(5938),
    [anon_sym_PIPE] = ACTIONS(5936),
    [anon_sym_CARET] = ACTIONS(5936),
    [anon_sym_AMP] = ACTIONS(5936),
    [anon_sym_EQ_EQ] = ACTIONS(5938),
    [anon_sym_BANG_EQ] = ACTIONS(5938),
    [anon_sym_GT] = ACTIONS(5936),
    [anon_sym_GT_EQ] = ACTIONS(5938),
    [anon_sym_LT_EQ] = ACTIONS(5936),
    [anon_sym_LT] = ACTIONS(5936),
    [anon_sym_LT_LT] = ACTIONS(5936),
    [anon_sym_GT_GT] = ACTIONS(5936),
    [anon_sym_COLON] = ACTIONS(5938),
    [anon_sym_SEMI] = ACTIONS(5938),
    [anon_sym___attribute__] = ACTIONS(5936),
    [anon_sym___attribute] = ACTIONS(5936),
    [anon_sym_LBRACE] = ACTIONS(5938),
    [anon_sym_RBRACE] = ACTIONS(5938),
    [anon_sym_LBRACK] = ACTIONS(5938),
    [anon_sym_RBRACK] = ACTIONS(5938),
    [anon_sym_EQ] = ACTIONS(5936),
    [anon_sym_QMARK] = ACTIONS(5938),
    [anon_sym_STAR_EQ] = ACTIONS(5938),
    [anon_sym_SLASH_EQ] = ACTIONS(5938),
    [anon_sym_PERCENT_EQ] = ACTIONS(5938),
    [anon_sym_PLUS_EQ] = ACTIONS(5938),
    [anon_sym_DASH_EQ] = ACTIONS(5938),
    [anon_sym_LT_LT_EQ] = ACTIONS(5938),
    [anon_sym_GT_GT_EQ] = ACTIONS(5938),
    [anon_sym_AMP_EQ] = ACTIONS(5938),
    [anon_sym_CARET_EQ] = ACTIONS(5938),
    [anon_sym_PIPE_EQ] = ACTIONS(5938),
    [anon_sym_and_eq] = ACTIONS(5936),
    [anon_sym_or_eq] = ACTIONS(5936),
    [anon_sym_xor_eq] = ACTIONS(5936),
    [anon_sym_LT_EQ_GT] = ACTIONS(5938),
    [anon_sym_or] = ACTIONS(5936),
    [anon_sym_and] = ACTIONS(5936),
    [anon_sym_bitor] = ACTIONS(5936),
    [anon_sym_xor] = ACTIONS(5936),
    [anon_sym_bitand] = ACTIONS(5936),
    [anon_sym_not_eq] = ACTIONS(5936),
    [anon_sym_DASH_DASH] = ACTIONS(5938),
    [anon_sym_PLUS_PLUS] = ACTIONS(5938),
    [anon_sym_DOT] = ACTIONS(5936),
    [anon_sym_DOT_STAR] = ACTIONS(5938),
    [anon_sym_DASH_GT] = ACTIONS(5938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5936),
    [anon_sym_decltype] = ACTIONS(5936),
  },
  [2708] = {
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2167),
    [anon_sym_COMMA] = ACTIONS(2167),
    [anon_sym_RPAREN] = ACTIONS(2167),
    [aux_sym_preproc_if_token2] = ACTIONS(2167),
    [aux_sym_preproc_else_token1] = ACTIONS(2167),
    [aux_sym_preproc_elif_token1] = ACTIONS(2165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2167),
    [anon_sym_LPAREN2] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2167),
    [anon_sym_AMP_AMP] = ACTIONS(2167),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2167),
    [anon_sym_BANG_EQ] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2167),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_COLON] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym___attribute__] = ACTIONS(2165),
    [anon_sym___attribute] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_RBRACK] = ACTIONS(2167),
    [anon_sym_EQ] = ACTIONS(2165),
    [anon_sym_QMARK] = ACTIONS(2167),
    [anon_sym_STAR_EQ] = ACTIONS(2167),
    [anon_sym_SLASH_EQ] = ACTIONS(2167),
    [anon_sym_PERCENT_EQ] = ACTIONS(2167),
    [anon_sym_PLUS_EQ] = ACTIONS(2167),
    [anon_sym_DASH_EQ] = ACTIONS(2167),
    [anon_sym_LT_LT_EQ] = ACTIONS(2167),
    [anon_sym_GT_GT_EQ] = ACTIONS(2167),
    [anon_sym_AMP_EQ] = ACTIONS(2167),
    [anon_sym_CARET_EQ] = ACTIONS(2167),
    [anon_sym_PIPE_EQ] = ACTIONS(2167),
    [anon_sym_and_eq] = ACTIONS(2165),
    [anon_sym_or_eq] = ACTIONS(2165),
    [anon_sym_xor_eq] = ACTIONS(2165),
    [anon_sym_LT_EQ_GT] = ACTIONS(2167),
    [anon_sym_or] = ACTIONS(2165),
    [anon_sym_and] = ACTIONS(2165),
    [anon_sym_bitor] = ACTIONS(2165),
    [anon_sym_xor] = ACTIONS(2165),
    [anon_sym_bitand] = ACTIONS(2165),
    [anon_sym_not_eq] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_DOT_STAR] = ACTIONS(2167),
    [anon_sym_DASH_GT] = ACTIONS(2167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2165),
    [anon_sym_decltype] = ACTIONS(2165),
  },
  [2709] = {
    [sym_string_literal] = STATE(2717),
    [sym_raw_string_literal] = STATE(2717),
    [aux_sym_concatenated_string_repeat1] = STATE(2717),
    [sym_identifier] = ACTIONS(6674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6270),
    [anon_sym_COMMA] = ACTIONS(6270),
    [anon_sym_LPAREN2] = ACTIONS(6270),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(6272),
    [anon_sym_SLASH] = ACTIONS(6272),
    [anon_sym_PERCENT] = ACTIONS(6272),
    [anon_sym_PIPE_PIPE] = ACTIONS(6270),
    [anon_sym_AMP_AMP] = ACTIONS(6270),
    [anon_sym_PIPE] = ACTIONS(6272),
    [anon_sym_CARET] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(6272),
    [anon_sym_EQ_EQ] = ACTIONS(6270),
    [anon_sym_BANG_EQ] = ACTIONS(6270),
    [anon_sym_GT] = ACTIONS(6272),
    [anon_sym_GT_EQ] = ACTIONS(6272),
    [anon_sym_LT_EQ] = ACTIONS(6272),
    [anon_sym_LT] = ACTIONS(6272),
    [anon_sym_LT_LT] = ACTIONS(6272),
    [anon_sym_GT_GT] = ACTIONS(6272),
    [anon_sym_LBRACK] = ACTIONS(6270),
    [anon_sym_EQ] = ACTIONS(6272),
    [anon_sym_QMARK] = ACTIONS(6270),
    [anon_sym_STAR_EQ] = ACTIONS(6270),
    [anon_sym_SLASH_EQ] = ACTIONS(6270),
    [anon_sym_PERCENT_EQ] = ACTIONS(6270),
    [anon_sym_PLUS_EQ] = ACTIONS(6270),
    [anon_sym_DASH_EQ] = ACTIONS(6270),
    [anon_sym_LT_LT_EQ] = ACTIONS(6270),
    [anon_sym_GT_GT_EQ] = ACTIONS(6272),
    [anon_sym_AMP_EQ] = ACTIONS(6270),
    [anon_sym_CARET_EQ] = ACTIONS(6270),
    [anon_sym_PIPE_EQ] = ACTIONS(6270),
    [anon_sym_and_eq] = ACTIONS(6272),
    [anon_sym_or_eq] = ACTIONS(6272),
    [anon_sym_xor_eq] = ACTIONS(6272),
    [anon_sym_LT_EQ_GT] = ACTIONS(6270),
    [anon_sym_or] = ACTIONS(6272),
    [anon_sym_and] = ACTIONS(6272),
    [anon_sym_bitor] = ACTIONS(6272),
    [anon_sym_xor] = ACTIONS(6272),
    [anon_sym_bitand] = ACTIONS(6272),
    [anon_sym_not_eq] = ACTIONS(6272),
    [anon_sym_DASH_DASH] = ACTIONS(6270),
    [anon_sym_PLUS_PLUS] = ACTIONS(6270),
    [anon_sym_DOT] = ACTIONS(6272),
    [anon_sym_DOT_STAR] = ACTIONS(6270),
    [anon_sym_DASH_GT] = ACTIONS(6270),
    [anon_sym_L_DQUOTE] = ACTIONS(6666),
    [anon_sym_u_DQUOTE] = ACTIONS(6666),
    [anon_sym_U_DQUOTE] = ACTIONS(6666),
    [anon_sym_u8_DQUOTE] = ACTIONS(6666),
    [anon_sym_DQUOTE] = ACTIONS(6666),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(6270),
    [anon_sym_R_DQUOTE] = ACTIONS(6668),
    [anon_sym_LR_DQUOTE] = ACTIONS(6668),
    [anon_sym_uR_DQUOTE] = ACTIONS(6668),
    [anon_sym_UR_DQUOTE] = ACTIONS(6668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6668),
    [sym_literal_suffix] = ACTIONS(6272),
  },
  [2710] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2750),
    [sym_identifier] = ACTIONS(5790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5792),
    [aux_sym_preproc_if_token2] = ACTIONS(5792),
    [aux_sym_preproc_else_token1] = ACTIONS(5792),
    [aux_sym_preproc_elif_token1] = ACTIONS(5790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_STAR] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5790),
    [anon_sym_PERCENT] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_PIPE] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_AMP] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5790),
    [anon_sym_GT_EQ] = ACTIONS(5792),
    [anon_sym_LT_EQ] = ACTIONS(5790),
    [anon_sym_LT] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5790),
    [anon_sym_LBRACE] = ACTIONS(5792),
    [anon_sym_signed] = ACTIONS(6609),
    [anon_sym_unsigned] = ACTIONS(6609),
    [anon_sym_long] = ACTIONS(6609),
    [anon_sym_short] = ACTIONS(6609),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5792),
    [anon_sym_STAR_EQ] = ACTIONS(5792),
    [anon_sym_SLASH_EQ] = ACTIONS(5792),
    [anon_sym_PERCENT_EQ] = ACTIONS(5792),
    [anon_sym_PLUS_EQ] = ACTIONS(5792),
    [anon_sym_DASH_EQ] = ACTIONS(5792),
    [anon_sym_LT_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT_GT_EQ] = ACTIONS(5792),
    [anon_sym_AMP_EQ] = ACTIONS(5792),
    [anon_sym_CARET_EQ] = ACTIONS(5792),
    [anon_sym_PIPE_EQ] = ACTIONS(5792),
    [anon_sym_and_eq] = ACTIONS(5790),
    [anon_sym_or_eq] = ACTIONS(5790),
    [anon_sym_xor_eq] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5792),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5790),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5792),
    [anon_sym_PLUS_PLUS] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_DOT_STAR] = ACTIONS(5792),
    [anon_sym_DASH_GT] = ACTIONS(5792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
  },
  [2711] = {
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [aux_sym_preproc_if_token2] = ACTIONS(5930),
    [aux_sym_preproc_else_token1] = ACTIONS(5930),
    [aux_sym_preproc_elif_token1] = ACTIONS(5928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5928),
    [anon_sym_STAR] = ACTIONS(5928),
    [anon_sym_SLASH] = ACTIONS(5928),
    [anon_sym_PERCENT] = ACTIONS(5928),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5928),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_EQ_EQ] = ACTIONS(5930),
    [anon_sym_BANG_EQ] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5928),
    [anon_sym_GT_EQ] = ACTIONS(5930),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_LT_LT] = ACTIONS(5928),
    [anon_sym_GT_GT] = ACTIONS(5928),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___attribute__] = ACTIONS(5928),
    [anon_sym___attribute] = ACTIONS(5928),
    [anon_sym_LBRACE] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACK] = ACTIONS(5930),
    [anon_sym_EQ] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5930),
    [anon_sym_STAR_EQ] = ACTIONS(5930),
    [anon_sym_SLASH_EQ] = ACTIONS(5930),
    [anon_sym_PERCENT_EQ] = ACTIONS(5930),
    [anon_sym_PLUS_EQ] = ACTIONS(5930),
    [anon_sym_DASH_EQ] = ACTIONS(5930),
    [anon_sym_LT_LT_EQ] = ACTIONS(5930),
    [anon_sym_GT_GT_EQ] = ACTIONS(5930),
    [anon_sym_AMP_EQ] = ACTIONS(5930),
    [anon_sym_CARET_EQ] = ACTIONS(5930),
    [anon_sym_PIPE_EQ] = ACTIONS(5930),
    [anon_sym_and_eq] = ACTIONS(5928),
    [anon_sym_or_eq] = ACTIONS(5928),
    [anon_sym_xor_eq] = ACTIONS(5928),
    [anon_sym_LT_EQ_GT] = ACTIONS(5930),
    [anon_sym_or] = ACTIONS(5928),
    [anon_sym_and] = ACTIONS(5928),
    [anon_sym_bitor] = ACTIONS(5928),
    [anon_sym_xor] = ACTIONS(5928),
    [anon_sym_bitand] = ACTIONS(5928),
    [anon_sym_not_eq] = ACTIONS(5928),
    [anon_sym_DASH_DASH] = ACTIONS(5930),
    [anon_sym_PLUS_PLUS] = ACTIONS(5930),
    [anon_sym_DOT] = ACTIONS(5928),
    [anon_sym_DOT_STAR] = ACTIONS(5930),
    [anon_sym_DASH_GT] = ACTIONS(5930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
  },
  [2712] = {
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2175),
    [anon_sym_COMMA] = ACTIONS(2175),
    [anon_sym_RPAREN] = ACTIONS(2175),
    [aux_sym_preproc_if_token2] = ACTIONS(2175),
    [aux_sym_preproc_else_token1] = ACTIONS(2175),
    [aux_sym_preproc_elif_token1] = ACTIONS(2173),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2175),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_STAR] = ACTIONS(2173),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_PERCENT] = ACTIONS(2173),
    [anon_sym_PIPE_PIPE] = ACTIONS(2175),
    [anon_sym_AMP_AMP] = ACTIONS(2175),
    [anon_sym_PIPE] = ACTIONS(2173),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_EQ_EQ] = ACTIONS(2175),
    [anon_sym_BANG_EQ] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2173),
    [anon_sym_GT_EQ] = ACTIONS(2175),
    [anon_sym_LT_EQ] = ACTIONS(2173),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_GT_GT] = ACTIONS(2173),
    [anon_sym_COLON] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym___attribute__] = ACTIONS(2173),
    [anon_sym___attribute] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2175),
    [anon_sym_LBRACK] = ACTIONS(2175),
    [anon_sym_RBRACK] = ACTIONS(2175),
    [anon_sym_EQ] = ACTIONS(2173),
    [anon_sym_QMARK] = ACTIONS(2175),
    [anon_sym_STAR_EQ] = ACTIONS(2175),
    [anon_sym_SLASH_EQ] = ACTIONS(2175),
    [anon_sym_PERCENT_EQ] = ACTIONS(2175),
    [anon_sym_PLUS_EQ] = ACTIONS(2175),
    [anon_sym_DASH_EQ] = ACTIONS(2175),
    [anon_sym_LT_LT_EQ] = ACTIONS(2175),
    [anon_sym_GT_GT_EQ] = ACTIONS(2175),
    [anon_sym_AMP_EQ] = ACTIONS(2175),
    [anon_sym_CARET_EQ] = ACTIONS(2175),
    [anon_sym_PIPE_EQ] = ACTIONS(2175),
    [anon_sym_and_eq] = ACTIONS(2173),
    [anon_sym_or_eq] = ACTIONS(2173),
    [anon_sym_xor_eq] = ACTIONS(2173),
    [anon_sym_LT_EQ_GT] = ACTIONS(2175),
    [anon_sym_or] = ACTIONS(2173),
    [anon_sym_and] = ACTIONS(2173),
    [anon_sym_bitor] = ACTIONS(2173),
    [anon_sym_xor] = ACTIONS(2173),
    [anon_sym_bitand] = ACTIONS(2173),
    [anon_sym_not_eq] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_DOT] = ACTIONS(2173),
    [anon_sym_DOT_STAR] = ACTIONS(2175),
    [anon_sym_DASH_GT] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2173),
    [anon_sym_decltype] = ACTIONS(2173),
  },
  [2713] = {
    [sym_identifier] = ACTIONS(6676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6678),
    [anon_sym_COMMA] = ACTIONS(6678),
    [anon_sym_RPAREN] = ACTIONS(6678),
    [aux_sym_preproc_if_token2] = ACTIONS(6678),
    [aux_sym_preproc_else_token1] = ACTIONS(6678),
    [aux_sym_preproc_elif_token1] = ACTIONS(6676),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6678),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6678),
    [anon_sym_LPAREN2] = ACTIONS(6678),
    [anon_sym_DASH] = ACTIONS(6676),
    [anon_sym_PLUS] = ACTIONS(6676),
    [anon_sym_STAR] = ACTIONS(6676),
    [anon_sym_SLASH] = ACTIONS(6676),
    [anon_sym_PERCENT] = ACTIONS(6676),
    [anon_sym_PIPE_PIPE] = ACTIONS(6678),
    [anon_sym_AMP_AMP] = ACTIONS(6678),
    [anon_sym_PIPE] = ACTIONS(6676),
    [anon_sym_CARET] = ACTIONS(6676),
    [anon_sym_AMP] = ACTIONS(6676),
    [anon_sym_EQ_EQ] = ACTIONS(6678),
    [anon_sym_BANG_EQ] = ACTIONS(6678),
    [anon_sym_GT] = ACTIONS(6676),
    [anon_sym_GT_EQ] = ACTIONS(6678),
    [anon_sym_LT_EQ] = ACTIONS(6676),
    [anon_sym_LT] = ACTIONS(6676),
    [anon_sym_LT_LT] = ACTIONS(6676),
    [anon_sym_GT_GT] = ACTIONS(6676),
    [anon_sym_COLON] = ACTIONS(6678),
    [anon_sym_SEMI] = ACTIONS(6678),
    [anon_sym___attribute__] = ACTIONS(6676),
    [anon_sym___attribute] = ACTIONS(6676),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6678),
    [anon_sym_LBRACE] = ACTIONS(6678),
    [anon_sym_RBRACE] = ACTIONS(6678),
    [anon_sym_LBRACK] = ACTIONS(6676),
    [anon_sym_RBRACK] = ACTIONS(6678),
    [anon_sym_EQ] = ACTIONS(6676),
    [anon_sym_QMARK] = ACTIONS(6678),
    [anon_sym_STAR_EQ] = ACTIONS(6678),
    [anon_sym_SLASH_EQ] = ACTIONS(6678),
    [anon_sym_PERCENT_EQ] = ACTIONS(6678),
    [anon_sym_PLUS_EQ] = ACTIONS(6678),
    [anon_sym_DASH_EQ] = ACTIONS(6678),
    [anon_sym_LT_LT_EQ] = ACTIONS(6678),
    [anon_sym_GT_GT_EQ] = ACTIONS(6678),
    [anon_sym_AMP_EQ] = ACTIONS(6678),
    [anon_sym_CARET_EQ] = ACTIONS(6678),
    [anon_sym_PIPE_EQ] = ACTIONS(6678),
    [anon_sym_and_eq] = ACTIONS(6676),
    [anon_sym_or_eq] = ACTIONS(6676),
    [anon_sym_xor_eq] = ACTIONS(6676),
    [anon_sym_LT_EQ_GT] = ACTIONS(6678),
    [anon_sym_or] = ACTIONS(6676),
    [anon_sym_and] = ACTIONS(6676),
    [anon_sym_bitor] = ACTIONS(6676),
    [anon_sym_xor] = ACTIONS(6676),
    [anon_sym_bitand] = ACTIONS(6676),
    [anon_sym_not_eq] = ACTIONS(6676),
    [anon_sym_DASH_DASH] = ACTIONS(6678),
    [anon_sym_PLUS_PLUS] = ACTIONS(6678),
    [anon_sym_DOT] = ACTIONS(6676),
    [anon_sym_DOT_STAR] = ACTIONS(6678),
    [anon_sym_DASH_GT] = ACTIONS(6678),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6676),
  },
  [2714] = {
    [sym_string_literal] = STATE(2442),
    [sym_template_argument_list] = STATE(2778),
    [sym_raw_string_literal] = STATE(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6593),
    [anon_sym_COMMA] = ACTIONS(6680),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(6265),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_RBRACK] = ACTIONS(6682),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4070),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(3689),
    [anon_sym_u_DQUOTE] = ACTIONS(3689),
    [anon_sym_U_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8_DQUOTE] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3697),
    [anon_sym_LR_DQUOTE] = ACTIONS(3697),
    [anon_sym_uR_DQUOTE] = ACTIONS(3697),
    [anon_sym_UR_DQUOTE] = ACTIONS(3697),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3697),
  },
  [2715] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6288),
    [anon_sym_COMMA] = ACTIONS(6288),
    [anon_sym_RPAREN] = ACTIONS(6288),
    [anon_sym_LPAREN2] = ACTIONS(6288),
    [anon_sym_DASH] = ACTIONS(6286),
    [anon_sym_PLUS] = ACTIONS(6286),
    [anon_sym_STAR] = ACTIONS(6286),
    [anon_sym_SLASH] = ACTIONS(6286),
    [anon_sym_PERCENT] = ACTIONS(6286),
    [anon_sym_PIPE_PIPE] = ACTIONS(6288),
    [anon_sym_AMP_AMP] = ACTIONS(6288),
    [anon_sym_PIPE] = ACTIONS(6286),
    [anon_sym_CARET] = ACTIONS(6286),
    [anon_sym_AMP] = ACTIONS(6286),
    [anon_sym_EQ_EQ] = ACTIONS(6288),
    [anon_sym_BANG_EQ] = ACTIONS(6288),
    [anon_sym_GT] = ACTIONS(6286),
    [anon_sym_GT_EQ] = ACTIONS(6288),
    [anon_sym_LT_EQ] = ACTIONS(6286),
    [anon_sym_LT] = ACTIONS(6286),
    [anon_sym_LT_LT] = ACTIONS(6286),
    [anon_sym_GT_GT] = ACTIONS(6286),
    [anon_sym_COLON] = ACTIONS(6288),
    [anon_sym_SEMI] = ACTIONS(6288),
    [anon_sym_RBRACE] = ACTIONS(6288),
    [anon_sym_LBRACK] = ACTIONS(6288),
    [anon_sym_RBRACK] = ACTIONS(6288),
    [anon_sym_EQ] = ACTIONS(6286),
    [anon_sym_QMARK] = ACTIONS(6288),
    [anon_sym_STAR_EQ] = ACTIONS(6288),
    [anon_sym_SLASH_EQ] = ACTIONS(6288),
    [anon_sym_PERCENT_EQ] = ACTIONS(6288),
    [anon_sym_PLUS_EQ] = ACTIONS(6288),
    [anon_sym_DASH_EQ] = ACTIONS(6288),
    [anon_sym_LT_LT_EQ] = ACTIONS(6288),
    [anon_sym_GT_GT_EQ] = ACTIONS(6288),
    [anon_sym_AMP_EQ] = ACTIONS(6288),
    [anon_sym_CARET_EQ] = ACTIONS(6288),
    [anon_sym_PIPE_EQ] = ACTIONS(6288),
    [anon_sym_and_eq] = ACTIONS(6286),
    [anon_sym_or_eq] = ACTIONS(6286),
    [anon_sym_xor_eq] = ACTIONS(6286),
    [anon_sym_LT_EQ_GT] = ACTIONS(6288),
    [anon_sym_or] = ACTIONS(6286),
    [anon_sym_and] = ACTIONS(6286),
    [anon_sym_bitor] = ACTIONS(6286),
    [anon_sym_xor] = ACTIONS(6286),
    [anon_sym_bitand] = ACTIONS(6286),
    [anon_sym_not_eq] = ACTIONS(6286),
    [anon_sym_DASH_DASH] = ACTIONS(6288),
    [anon_sym_PLUS_PLUS] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(6286),
    [anon_sym_DOT_STAR] = ACTIONS(6288),
    [anon_sym_DASH_GT] = ACTIONS(6288),
    [anon_sym_L_DQUOTE] = ACTIONS(6288),
    [anon_sym_u_DQUOTE] = ACTIONS(6288),
    [anon_sym_U_DQUOTE] = ACTIONS(6288),
    [anon_sym_u8_DQUOTE] = ACTIONS(6288),
    [anon_sym_DQUOTE] = ACTIONS(6288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6288),
    [anon_sym_LR_DQUOTE] = ACTIONS(6288),
    [anon_sym_uR_DQUOTE] = ACTIONS(6288),
    [anon_sym_UR_DQUOTE] = ACTIONS(6288),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6288),
    [sym_literal_suffix] = ACTIONS(6286),
  },
  [2716] = {
    [sym_attribute_specifier] = STATE(2528),
    [sym_enumerator_list] = STATE(2784),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5980),
    [anon_sym_COMMA] = ACTIONS(5980),
    [anon_sym_RPAREN] = ACTIONS(5980),
    [anon_sym_LPAREN2] = ACTIONS(5980),
    [anon_sym_DASH] = ACTIONS(5978),
    [anon_sym_PLUS] = ACTIONS(5978),
    [anon_sym_STAR] = ACTIONS(5980),
    [anon_sym_SLASH] = ACTIONS(5978),
    [anon_sym_PERCENT] = ACTIONS(5980),
    [anon_sym_PIPE_PIPE] = ACTIONS(5980),
    [anon_sym_AMP_AMP] = ACTIONS(5980),
    [anon_sym_PIPE] = ACTIONS(5978),
    [anon_sym_CARET] = ACTIONS(5980),
    [anon_sym_AMP] = ACTIONS(5978),
    [anon_sym_EQ_EQ] = ACTIONS(5980),
    [anon_sym_BANG_EQ] = ACTIONS(5980),
    [anon_sym_GT] = ACTIONS(5978),
    [anon_sym_GT_EQ] = ACTIONS(5980),
    [anon_sym_LT_EQ] = ACTIONS(5978),
    [anon_sym_LT] = ACTIONS(5978),
    [anon_sym_LT_LT] = ACTIONS(5980),
    [anon_sym_GT_GT] = ACTIONS(5980),
    [anon_sym_COLON] = ACTIONS(5980),
    [anon_sym_SEMI] = ACTIONS(5980),
    [anon_sym___extension__] = ACTIONS(5980),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6621),
    [anon_sym_RBRACE] = ACTIONS(5980),
    [anon_sym_LBRACK] = ACTIONS(5980),
    [anon_sym_RBRACK] = ACTIONS(5980),
    [anon_sym_const] = ACTIONS(5978),
    [anon_sym_constexpr] = ACTIONS(5980),
    [anon_sym_volatile] = ACTIONS(5980),
    [anon_sym_restrict] = ACTIONS(5980),
    [anon_sym___restrict__] = ACTIONS(5980),
    [anon_sym__Atomic] = ACTIONS(5980),
    [anon_sym__Noreturn] = ACTIONS(5980),
    [anon_sym_noreturn] = ACTIONS(5980),
    [anon_sym__Nonnull] = ACTIONS(5980),
    [anon_sym_mutable] = ACTIONS(5980),
    [anon_sym_constinit] = ACTIONS(5980),
    [anon_sym_consteval] = ACTIONS(5980),
    [anon_sym_alignas] = ACTIONS(5980),
    [anon_sym__Alignas] = ACTIONS(5980),
    [anon_sym_QMARK] = ACTIONS(5980),
    [anon_sym_LT_EQ_GT] = ACTIONS(5980),
    [anon_sym_or] = ACTIONS(5980),
    [anon_sym_and] = ACTIONS(5980),
    [anon_sym_bitor] = ACTIONS(5980),
    [anon_sym_xor] = ACTIONS(5980),
    [anon_sym_bitand] = ACTIONS(5980),
    [anon_sym_not_eq] = ACTIONS(5980),
    [anon_sym_DASH_DASH] = ACTIONS(5980),
    [anon_sym_PLUS_PLUS] = ACTIONS(5980),
    [anon_sym_DOT] = ACTIONS(5978),
    [anon_sym_DOT_STAR] = ACTIONS(5980),
    [anon_sym_DASH_GT] = ACTIONS(5980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5980),
    [anon_sym_decltype] = ACTIONS(5980),
    [anon_sym_final] = ACTIONS(5980),
    [anon_sym_override] = ACTIONS(5980),
    [anon_sym_requires] = ACTIONS(5980),
  },
  [2717] = {
    [sym_string_literal] = STATE(2717),
    [sym_raw_string_literal] = STATE(2717),
    [aux_sym_concatenated_string_repeat1] = STATE(2717),
    [sym_identifier] = ACTIONS(6685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6293),
    [anon_sym_COMMA] = ACTIONS(6293),
    [anon_sym_LPAREN2] = ACTIONS(6293),
    [anon_sym_DASH] = ACTIONS(6295),
    [anon_sym_PLUS] = ACTIONS(6295),
    [anon_sym_STAR] = ACTIONS(6295),
    [anon_sym_SLASH] = ACTIONS(6295),
    [anon_sym_PERCENT] = ACTIONS(6295),
    [anon_sym_PIPE_PIPE] = ACTIONS(6293),
    [anon_sym_AMP_AMP] = ACTIONS(6293),
    [anon_sym_PIPE] = ACTIONS(6295),
    [anon_sym_CARET] = ACTIONS(6295),
    [anon_sym_AMP] = ACTIONS(6295),
    [anon_sym_EQ_EQ] = ACTIONS(6293),
    [anon_sym_BANG_EQ] = ACTIONS(6293),
    [anon_sym_GT] = ACTIONS(6295),
    [anon_sym_GT_EQ] = ACTIONS(6295),
    [anon_sym_LT_EQ] = ACTIONS(6295),
    [anon_sym_LT] = ACTIONS(6295),
    [anon_sym_LT_LT] = ACTIONS(6295),
    [anon_sym_GT_GT] = ACTIONS(6295),
    [anon_sym_LBRACK] = ACTIONS(6293),
    [anon_sym_EQ] = ACTIONS(6295),
    [anon_sym_QMARK] = ACTIONS(6293),
    [anon_sym_STAR_EQ] = ACTIONS(6293),
    [anon_sym_SLASH_EQ] = ACTIONS(6293),
    [anon_sym_PERCENT_EQ] = ACTIONS(6293),
    [anon_sym_PLUS_EQ] = ACTIONS(6293),
    [anon_sym_DASH_EQ] = ACTIONS(6293),
    [anon_sym_LT_LT_EQ] = ACTIONS(6293),
    [anon_sym_GT_GT_EQ] = ACTIONS(6295),
    [anon_sym_AMP_EQ] = ACTIONS(6293),
    [anon_sym_CARET_EQ] = ACTIONS(6293),
    [anon_sym_PIPE_EQ] = ACTIONS(6293),
    [anon_sym_and_eq] = ACTIONS(6295),
    [anon_sym_or_eq] = ACTIONS(6295),
    [anon_sym_xor_eq] = ACTIONS(6295),
    [anon_sym_LT_EQ_GT] = ACTIONS(6293),
    [anon_sym_or] = ACTIONS(6295),
    [anon_sym_and] = ACTIONS(6295),
    [anon_sym_bitor] = ACTIONS(6295),
    [anon_sym_xor] = ACTIONS(6295),
    [anon_sym_bitand] = ACTIONS(6295),
    [anon_sym_not_eq] = ACTIONS(6295),
    [anon_sym_DASH_DASH] = ACTIONS(6293),
    [anon_sym_PLUS_PLUS] = ACTIONS(6293),
    [anon_sym_DOT] = ACTIONS(6295),
    [anon_sym_DOT_STAR] = ACTIONS(6293),
    [anon_sym_DASH_GT] = ACTIONS(6293),
    [anon_sym_L_DQUOTE] = ACTIONS(6688),
    [anon_sym_u_DQUOTE] = ACTIONS(6688),
    [anon_sym_U_DQUOTE] = ACTIONS(6688),
    [anon_sym_u8_DQUOTE] = ACTIONS(6688),
    [anon_sym_DQUOTE] = ACTIONS(6688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(6293),
    [anon_sym_R_DQUOTE] = ACTIONS(6691),
    [anon_sym_LR_DQUOTE] = ACTIONS(6691),
    [anon_sym_uR_DQUOTE] = ACTIONS(6691),
    [anon_sym_UR_DQUOTE] = ACTIONS(6691),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6691),
    [sym_literal_suffix] = ACTIONS(6295),
  },
  [2718] = {
    [sym_argument_list] = STATE(2873),
    [sym_initializer_list] = STATE(2873),
    [sym_identifier] = ACTIONS(6694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6696),
    [anon_sym_COMMA] = ACTIONS(6696),
    [anon_sym_RPAREN] = ACTIONS(6696),
    [aux_sym_preproc_if_token2] = ACTIONS(6696),
    [aux_sym_preproc_else_token1] = ACTIONS(6696),
    [aux_sym_preproc_elif_token1] = ACTIONS(6694),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6696),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_PERCENT] = ACTIONS(6694),
    [anon_sym_PIPE_PIPE] = ACTIONS(6696),
    [anon_sym_AMP_AMP] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_AMP] = ACTIONS(6694),
    [anon_sym_EQ_EQ] = ACTIONS(6696),
    [anon_sym_BANG_EQ] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6694),
    [anon_sym_GT_EQ] = ACTIONS(6696),
    [anon_sym_LT_EQ] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6694),
    [anon_sym_LT_LT] = ACTIONS(6694),
    [anon_sym_GT_GT] = ACTIONS(6694),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SEMI] = ACTIONS(6696),
    [anon_sym___attribute__] = ACTIONS(6694),
    [anon_sym___attribute] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_RBRACE] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6696),
    [anon_sym_RBRACK] = ACTIONS(6696),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_QMARK] = ACTIONS(6696),
    [anon_sym_STAR_EQ] = ACTIONS(6696),
    [anon_sym_SLASH_EQ] = ACTIONS(6696),
    [anon_sym_PERCENT_EQ] = ACTIONS(6696),
    [anon_sym_PLUS_EQ] = ACTIONS(6696),
    [anon_sym_DASH_EQ] = ACTIONS(6696),
    [anon_sym_LT_LT_EQ] = ACTIONS(6696),
    [anon_sym_GT_GT_EQ] = ACTIONS(6696),
    [anon_sym_AMP_EQ] = ACTIONS(6696),
    [anon_sym_CARET_EQ] = ACTIONS(6696),
    [anon_sym_PIPE_EQ] = ACTIONS(6696),
    [anon_sym_and_eq] = ACTIONS(6694),
    [anon_sym_or_eq] = ACTIONS(6694),
    [anon_sym_xor_eq] = ACTIONS(6694),
    [anon_sym_LT_EQ_GT] = ACTIONS(6696),
    [anon_sym_or] = ACTIONS(6694),
    [anon_sym_and] = ACTIONS(6694),
    [anon_sym_bitor] = ACTIONS(6694),
    [anon_sym_xor] = ACTIONS(6694),
    [anon_sym_bitand] = ACTIONS(6694),
    [anon_sym_not_eq] = ACTIONS(6694),
    [anon_sym_DASH_DASH] = ACTIONS(6696),
    [anon_sym_PLUS_PLUS] = ACTIONS(6696),
    [anon_sym_DOT] = ACTIONS(6694),
    [anon_sym_DOT_STAR] = ACTIONS(6696),
    [anon_sym_DASH_GT] = ACTIONS(6696),
    [sym_comment] = ACTIONS(3),
  },
  [2719] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5764),
    [anon_sym_COMMA] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5764),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5764),
    [anon_sym_PIPE_PIPE] = ACTIONS(5764),
    [anon_sym_AMP_AMP] = ACTIONS(5764),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5764),
    [anon_sym_BANG_EQ] = ACTIONS(5764),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5762),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5764),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_COLON] = ACTIONS(5764),
    [anon_sym___extension__] = ACTIONS(5764),
    [anon_sym___attribute__] = ACTIONS(5764),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(5764),
    [anon_sym_signed] = ACTIONS(6698),
    [anon_sym_unsigned] = ACTIONS(6698),
    [anon_sym_long] = ACTIONS(6698),
    [anon_sym_short] = ACTIONS(6698),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [anon_sym_const] = ACTIONS(5762),
    [anon_sym_constexpr] = ACTIONS(5764),
    [anon_sym_volatile] = ACTIONS(5764),
    [anon_sym_restrict] = ACTIONS(5764),
    [anon_sym___restrict__] = ACTIONS(5764),
    [anon_sym__Atomic] = ACTIONS(5764),
    [anon_sym__Noreturn] = ACTIONS(5764),
    [anon_sym_noreturn] = ACTIONS(5764),
    [anon_sym__Nonnull] = ACTIONS(5764),
    [anon_sym_mutable] = ACTIONS(5764),
    [anon_sym_constinit] = ACTIONS(5764),
    [anon_sym_consteval] = ACTIONS(5764),
    [anon_sym_alignas] = ACTIONS(5764),
    [anon_sym__Alignas] = ACTIONS(5764),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_LT_EQ_GT] = ACTIONS(5764),
    [anon_sym_or] = ACTIONS(5764),
    [anon_sym_and] = ACTIONS(5764),
    [anon_sym_bitor] = ACTIONS(5764),
    [anon_sym_xor] = ACTIONS(5764),
    [anon_sym_bitand] = ACTIONS(5764),
    [anon_sym_not_eq] = ACTIONS(5764),
    [anon_sym_DASH_DASH] = ACTIONS(5764),
    [anon_sym_PLUS_PLUS] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5764),
    [anon_sym_DASH_GT] = ACTIONS(5764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5764),
    [anon_sym_decltype] = ACTIONS(5764),
    [anon_sym_final] = ACTIONS(5764),
    [anon_sym_override] = ACTIONS(5764),
    [anon_sym_GT2] = ACTIONS(5764),
    [anon_sym_requires] = ACTIONS(5764),
  },
  [2720] = {
    [sym_identifier] = ACTIONS(5948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5950),
    [anon_sym_COMMA] = ACTIONS(5950),
    [anon_sym_RPAREN] = ACTIONS(5950),
    [aux_sym_preproc_if_token2] = ACTIONS(5950),
    [aux_sym_preproc_else_token1] = ACTIONS(5950),
    [aux_sym_preproc_elif_token1] = ACTIONS(5948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5950),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5950),
    [anon_sym_LPAREN2] = ACTIONS(5950),
    [anon_sym_DASH] = ACTIONS(5948),
    [anon_sym_PLUS] = ACTIONS(5948),
    [anon_sym_STAR] = ACTIONS(5948),
    [anon_sym_SLASH] = ACTIONS(5948),
    [anon_sym_PERCENT] = ACTIONS(5948),
    [anon_sym_PIPE_PIPE] = ACTIONS(5950),
    [anon_sym_AMP_AMP] = ACTIONS(5950),
    [anon_sym_PIPE] = ACTIONS(5948),
    [anon_sym_CARET] = ACTIONS(5948),
    [anon_sym_AMP] = ACTIONS(5948),
    [anon_sym_EQ_EQ] = ACTIONS(5950),
    [anon_sym_BANG_EQ] = ACTIONS(5950),
    [anon_sym_GT] = ACTIONS(5948),
    [anon_sym_GT_EQ] = ACTIONS(5950),
    [anon_sym_LT_EQ] = ACTIONS(5948),
    [anon_sym_LT] = ACTIONS(5948),
    [anon_sym_LT_LT] = ACTIONS(5948),
    [anon_sym_GT_GT] = ACTIONS(5948),
    [anon_sym_COLON] = ACTIONS(5950),
    [anon_sym_SEMI] = ACTIONS(5950),
    [anon_sym___attribute__] = ACTIONS(5948),
    [anon_sym___attribute] = ACTIONS(5948),
    [anon_sym_LBRACE] = ACTIONS(5950),
    [anon_sym_RBRACE] = ACTIONS(5950),
    [anon_sym_LBRACK] = ACTIONS(5950),
    [anon_sym_RBRACK] = ACTIONS(5950),
    [anon_sym_EQ] = ACTIONS(5948),
    [anon_sym_QMARK] = ACTIONS(5950),
    [anon_sym_STAR_EQ] = ACTIONS(5950),
    [anon_sym_SLASH_EQ] = ACTIONS(5950),
    [anon_sym_PERCENT_EQ] = ACTIONS(5950),
    [anon_sym_PLUS_EQ] = ACTIONS(5950),
    [anon_sym_DASH_EQ] = ACTIONS(5950),
    [anon_sym_LT_LT_EQ] = ACTIONS(5950),
    [anon_sym_GT_GT_EQ] = ACTIONS(5950),
    [anon_sym_AMP_EQ] = ACTIONS(5950),
    [anon_sym_CARET_EQ] = ACTIONS(5950),
    [anon_sym_PIPE_EQ] = ACTIONS(5950),
    [anon_sym_and_eq] = ACTIONS(5948),
    [anon_sym_or_eq] = ACTIONS(5948),
    [anon_sym_xor_eq] = ACTIONS(5948),
    [anon_sym_LT_EQ_GT] = ACTIONS(5950),
    [anon_sym_or] = ACTIONS(5948),
    [anon_sym_and] = ACTIONS(5948),
    [anon_sym_bitor] = ACTIONS(5948),
    [anon_sym_xor] = ACTIONS(5948),
    [anon_sym_bitand] = ACTIONS(5948),
    [anon_sym_not_eq] = ACTIONS(5948),
    [anon_sym_DASH_DASH] = ACTIONS(5950),
    [anon_sym_PLUS_PLUS] = ACTIONS(5950),
    [anon_sym_DOT] = ACTIONS(5948),
    [anon_sym_DOT_STAR] = ACTIONS(5950),
    [anon_sym_DASH_GT] = ACTIONS(5950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5948),
    [anon_sym_decltype] = ACTIONS(5948),
  },
  [2721] = {
    [sym_identifier] = ACTIONS(5956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5958),
    [anon_sym_COMMA] = ACTIONS(5958),
    [anon_sym_RPAREN] = ACTIONS(5958),
    [aux_sym_preproc_if_token2] = ACTIONS(5958),
    [aux_sym_preproc_else_token1] = ACTIONS(5958),
    [aux_sym_preproc_elif_token1] = ACTIONS(5956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5958),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5958),
    [anon_sym_LPAREN2] = ACTIONS(5958),
    [anon_sym_DASH] = ACTIONS(5956),
    [anon_sym_PLUS] = ACTIONS(5956),
    [anon_sym_STAR] = ACTIONS(5956),
    [anon_sym_SLASH] = ACTIONS(5956),
    [anon_sym_PERCENT] = ACTIONS(5956),
    [anon_sym_PIPE_PIPE] = ACTIONS(5958),
    [anon_sym_AMP_AMP] = ACTIONS(5958),
    [anon_sym_PIPE] = ACTIONS(5956),
    [anon_sym_CARET] = ACTIONS(5956),
    [anon_sym_AMP] = ACTIONS(5956),
    [anon_sym_EQ_EQ] = ACTIONS(5958),
    [anon_sym_BANG_EQ] = ACTIONS(5958),
    [anon_sym_GT] = ACTIONS(5956),
    [anon_sym_GT_EQ] = ACTIONS(5958),
    [anon_sym_LT_EQ] = ACTIONS(5956),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_LT_LT] = ACTIONS(5956),
    [anon_sym_GT_GT] = ACTIONS(5956),
    [anon_sym_COLON] = ACTIONS(5958),
    [anon_sym_SEMI] = ACTIONS(5958),
    [anon_sym___attribute__] = ACTIONS(5956),
    [anon_sym___attribute] = ACTIONS(5956),
    [anon_sym_LBRACE] = ACTIONS(5958),
    [anon_sym_RBRACE] = ACTIONS(5958),
    [anon_sym_LBRACK] = ACTIONS(5958),
    [anon_sym_RBRACK] = ACTIONS(5958),
    [anon_sym_EQ] = ACTIONS(5956),
    [anon_sym_QMARK] = ACTIONS(5958),
    [anon_sym_STAR_EQ] = ACTIONS(5958),
    [anon_sym_SLASH_EQ] = ACTIONS(5958),
    [anon_sym_PERCENT_EQ] = ACTIONS(5958),
    [anon_sym_PLUS_EQ] = ACTIONS(5958),
    [anon_sym_DASH_EQ] = ACTIONS(5958),
    [anon_sym_LT_LT_EQ] = ACTIONS(5958),
    [anon_sym_GT_GT_EQ] = ACTIONS(5958),
    [anon_sym_AMP_EQ] = ACTIONS(5958),
    [anon_sym_CARET_EQ] = ACTIONS(5958),
    [anon_sym_PIPE_EQ] = ACTIONS(5958),
    [anon_sym_and_eq] = ACTIONS(5956),
    [anon_sym_or_eq] = ACTIONS(5956),
    [anon_sym_xor_eq] = ACTIONS(5956),
    [anon_sym_LT_EQ_GT] = ACTIONS(5958),
    [anon_sym_or] = ACTIONS(5956),
    [anon_sym_and] = ACTIONS(5956),
    [anon_sym_bitor] = ACTIONS(5956),
    [anon_sym_xor] = ACTIONS(5956),
    [anon_sym_bitand] = ACTIONS(5956),
    [anon_sym_not_eq] = ACTIONS(5956),
    [anon_sym_DASH_DASH] = ACTIONS(5958),
    [anon_sym_PLUS_PLUS] = ACTIONS(5958),
    [anon_sym_DOT] = ACTIONS(5956),
    [anon_sym_DOT_STAR] = ACTIONS(5958),
    [anon_sym_DASH_GT] = ACTIONS(5958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5956),
    [anon_sym_decltype] = ACTIONS(5956),
  },
  [2722] = {
    [sym_identifier] = ACTIONS(5960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5962),
    [anon_sym_COMMA] = ACTIONS(5962),
    [anon_sym_RPAREN] = ACTIONS(5962),
    [aux_sym_preproc_if_token2] = ACTIONS(5962),
    [aux_sym_preproc_else_token1] = ACTIONS(5962),
    [aux_sym_preproc_elif_token1] = ACTIONS(5960),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5962),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5962),
    [anon_sym_LPAREN2] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5960),
    [anon_sym_STAR] = ACTIONS(5960),
    [anon_sym_SLASH] = ACTIONS(5960),
    [anon_sym_PERCENT] = ACTIONS(5960),
    [anon_sym_PIPE_PIPE] = ACTIONS(5962),
    [anon_sym_AMP_AMP] = ACTIONS(5962),
    [anon_sym_PIPE] = ACTIONS(5960),
    [anon_sym_CARET] = ACTIONS(5960),
    [anon_sym_AMP] = ACTIONS(5960),
    [anon_sym_EQ_EQ] = ACTIONS(5962),
    [anon_sym_BANG_EQ] = ACTIONS(5962),
    [anon_sym_GT] = ACTIONS(5960),
    [anon_sym_GT_EQ] = ACTIONS(5962),
    [anon_sym_LT_EQ] = ACTIONS(5960),
    [anon_sym_LT] = ACTIONS(5960),
    [anon_sym_LT_LT] = ACTIONS(5960),
    [anon_sym_GT_GT] = ACTIONS(5960),
    [anon_sym_COLON] = ACTIONS(5962),
    [anon_sym_SEMI] = ACTIONS(5962),
    [anon_sym___attribute__] = ACTIONS(5960),
    [anon_sym___attribute] = ACTIONS(5960),
    [anon_sym_LBRACE] = ACTIONS(5962),
    [anon_sym_RBRACE] = ACTIONS(5962),
    [anon_sym_LBRACK] = ACTIONS(5962),
    [anon_sym_RBRACK] = ACTIONS(5962),
    [anon_sym_EQ] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5962),
    [anon_sym_STAR_EQ] = ACTIONS(5962),
    [anon_sym_SLASH_EQ] = ACTIONS(5962),
    [anon_sym_PERCENT_EQ] = ACTIONS(5962),
    [anon_sym_PLUS_EQ] = ACTIONS(5962),
    [anon_sym_DASH_EQ] = ACTIONS(5962),
    [anon_sym_LT_LT_EQ] = ACTIONS(5962),
    [anon_sym_GT_GT_EQ] = ACTIONS(5962),
    [anon_sym_AMP_EQ] = ACTIONS(5962),
    [anon_sym_CARET_EQ] = ACTIONS(5962),
    [anon_sym_PIPE_EQ] = ACTIONS(5962),
    [anon_sym_and_eq] = ACTIONS(5960),
    [anon_sym_or_eq] = ACTIONS(5960),
    [anon_sym_xor_eq] = ACTIONS(5960),
    [anon_sym_LT_EQ_GT] = ACTIONS(5962),
    [anon_sym_or] = ACTIONS(5960),
    [anon_sym_and] = ACTIONS(5960),
    [anon_sym_bitor] = ACTIONS(5960),
    [anon_sym_xor] = ACTIONS(5960),
    [anon_sym_bitand] = ACTIONS(5960),
    [anon_sym_not_eq] = ACTIONS(5960),
    [anon_sym_DASH_DASH] = ACTIONS(5962),
    [anon_sym_PLUS_PLUS] = ACTIONS(5962),
    [anon_sym_DOT] = ACTIONS(5960),
    [anon_sym_DOT_STAR] = ACTIONS(5962),
    [anon_sym_DASH_GT] = ACTIONS(5962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5960),
    [anon_sym_decltype] = ACTIONS(5960),
  },
  [2723] = {
    [sym_string_literal] = STATE(2601),
    [sym_raw_string_literal] = STATE(2601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6467),
    [anon_sym_LPAREN2] = ACTIONS(6467),
    [anon_sym_DASH] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_STAR] = ACTIONS(6465),
    [anon_sym_SLASH] = ACTIONS(6465),
    [anon_sym_PERCENT] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6467),
    [anon_sym_AMP_AMP] = ACTIONS(6467),
    [anon_sym_PIPE] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6465),
    [anon_sym_AMP] = ACTIONS(6465),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6465),
    [anon_sym_GT_EQ] = ACTIONS(6467),
    [anon_sym_LT_EQ] = ACTIONS(6465),
    [anon_sym_LT] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(6465),
    [anon_sym_GT_GT] = ACTIONS(6465),
    [anon_sym_SEMI] = ACTIONS(6467),
    [anon_sym___attribute__] = ACTIONS(6465),
    [anon_sym___attribute] = ACTIONS(6465),
    [anon_sym_LBRACK] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6467),
    [anon_sym_STAR_EQ] = ACTIONS(6467),
    [anon_sym_SLASH_EQ] = ACTIONS(6467),
    [anon_sym_PERCENT_EQ] = ACTIONS(6467),
    [anon_sym_PLUS_EQ] = ACTIONS(6467),
    [anon_sym_DASH_EQ] = ACTIONS(6467),
    [anon_sym_LT_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT_GT_EQ] = ACTIONS(6467),
    [anon_sym_AMP_EQ] = ACTIONS(6467),
    [anon_sym_CARET_EQ] = ACTIONS(6467),
    [anon_sym_PIPE_EQ] = ACTIONS(6467),
    [anon_sym_and_eq] = ACTIONS(6465),
    [anon_sym_or_eq] = ACTIONS(6465),
    [anon_sym_xor_eq] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6467),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_bitor] = ACTIONS(6465),
    [anon_sym_xor] = ACTIONS(6465),
    [anon_sym_bitand] = ACTIONS(6465),
    [anon_sym_not_eq] = ACTIONS(6465),
    [anon_sym_DASH_DASH] = ACTIONS(6467),
    [anon_sym_PLUS_PLUS] = ACTIONS(6467),
    [anon_sym_DOT] = ACTIONS(6465),
    [anon_sym_DOT_STAR] = ACTIONS(6467),
    [anon_sym_DASH_GT] = ACTIONS(6467),
    [anon_sym_L_DQUOTE] = ACTIONS(6471),
    [anon_sym_u_DQUOTE] = ACTIONS(6471),
    [anon_sym_U_DQUOTE] = ACTIONS(6471),
    [anon_sym_u8_DQUOTE] = ACTIONS(6471),
    [anon_sym_DQUOTE] = ACTIONS(6471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6473),
    [anon_sym_LR_DQUOTE] = ACTIONS(6473),
    [anon_sym_uR_DQUOTE] = ACTIONS(6473),
    [anon_sym_UR_DQUOTE] = ACTIONS(6473),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6473),
    [sym_literal_suffix] = ACTIONS(6465),
  },
  [2724] = {
    [sym_identifier] = ACTIONS(5794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5796),
    [anon_sym_RPAREN] = ACTIONS(5796),
    [aux_sym_preproc_if_token2] = ACTIONS(5796),
    [aux_sym_preproc_else_token1] = ACTIONS(5796),
    [aux_sym_preproc_elif_token1] = ACTIONS(5794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5796),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5796),
    [anon_sym_LPAREN2] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_STAR] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_PIPE] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5794),
    [anon_sym_GT_EQ] = ACTIONS(5796),
    [anon_sym_LT_EQ] = ACTIONS(5794),
    [anon_sym_LT] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5796),
    [anon_sym___attribute__] = ACTIONS(5794),
    [anon_sym___attribute] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_RBRACE] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [anon_sym_RBRACK] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_STAR_EQ] = ACTIONS(5796),
    [anon_sym_SLASH_EQ] = ACTIONS(5796),
    [anon_sym_PERCENT_EQ] = ACTIONS(5796),
    [anon_sym_PLUS_EQ] = ACTIONS(5796),
    [anon_sym_DASH_EQ] = ACTIONS(5796),
    [anon_sym_LT_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT_GT_EQ] = ACTIONS(5796),
    [anon_sym_AMP_EQ] = ACTIONS(5796),
    [anon_sym_CARET_EQ] = ACTIONS(5796),
    [anon_sym_PIPE_EQ] = ACTIONS(5796),
    [anon_sym_and_eq] = ACTIONS(5794),
    [anon_sym_or_eq] = ACTIONS(5794),
    [anon_sym_xor_eq] = ACTIONS(5794),
    [anon_sym_LT_EQ_GT] = ACTIONS(5796),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_bitor] = ACTIONS(5794),
    [anon_sym_xor] = ACTIONS(5794),
    [anon_sym_bitand] = ACTIONS(5794),
    [anon_sym_not_eq] = ACTIONS(5794),
    [anon_sym_DASH_DASH] = ACTIONS(5796),
    [anon_sym_PLUS_PLUS] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_DOT_STAR] = ACTIONS(5796),
    [anon_sym_DASH_GT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5794),
    [anon_sym_decltype] = ACTIONS(5794),
  },
  [2725] = {
    [sym_identifier] = ACTIONS(5940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5942),
    [anon_sym_COMMA] = ACTIONS(5942),
    [anon_sym_RPAREN] = ACTIONS(5942),
    [aux_sym_preproc_if_token2] = ACTIONS(5942),
    [aux_sym_preproc_else_token1] = ACTIONS(5942),
    [aux_sym_preproc_elif_token1] = ACTIONS(5940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5942),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5942),
    [anon_sym_LPAREN2] = ACTIONS(5942),
    [anon_sym_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5940),
    [anon_sym_STAR] = ACTIONS(5940),
    [anon_sym_SLASH] = ACTIONS(5940),
    [anon_sym_PERCENT] = ACTIONS(5940),
    [anon_sym_PIPE_PIPE] = ACTIONS(5942),
    [anon_sym_AMP_AMP] = ACTIONS(5942),
    [anon_sym_PIPE] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5940),
    [anon_sym_AMP] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5942),
    [anon_sym_BANG_EQ] = ACTIONS(5942),
    [anon_sym_GT] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5942),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_LT_LT] = ACTIONS(5940),
    [anon_sym_GT_GT] = ACTIONS(5940),
    [anon_sym_COLON] = ACTIONS(5942),
    [anon_sym_SEMI] = ACTIONS(5942),
    [anon_sym___attribute__] = ACTIONS(5940),
    [anon_sym___attribute] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(5942),
    [anon_sym_RBRACE] = ACTIONS(5942),
    [anon_sym_LBRACK] = ACTIONS(5942),
    [anon_sym_RBRACK] = ACTIONS(5942),
    [anon_sym_EQ] = ACTIONS(5940),
    [anon_sym_QMARK] = ACTIONS(5942),
    [anon_sym_STAR_EQ] = ACTIONS(5942),
    [anon_sym_SLASH_EQ] = ACTIONS(5942),
    [anon_sym_PERCENT_EQ] = ACTIONS(5942),
    [anon_sym_PLUS_EQ] = ACTIONS(5942),
    [anon_sym_DASH_EQ] = ACTIONS(5942),
    [anon_sym_LT_LT_EQ] = ACTIONS(5942),
    [anon_sym_GT_GT_EQ] = ACTIONS(5942),
    [anon_sym_AMP_EQ] = ACTIONS(5942),
    [anon_sym_CARET_EQ] = ACTIONS(5942),
    [anon_sym_PIPE_EQ] = ACTIONS(5942),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(5942),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_bitor] = ACTIONS(5940),
    [anon_sym_xor] = ACTIONS(5940),
    [anon_sym_bitand] = ACTIONS(5940),
    [anon_sym_not_eq] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5942),
    [anon_sym_PLUS_PLUS] = ACTIONS(5942),
    [anon_sym_DOT] = ACTIONS(5940),
    [anon_sym_DOT_STAR] = ACTIONS(5942),
    [anon_sym_DASH_GT] = ACTIONS(5942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
  },
  [2726] = {
    [sym_identifier] = ACTIONS(5998),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6000),
    [anon_sym_COMMA] = ACTIONS(6000),
    [anon_sym_RPAREN] = ACTIONS(6000),
    [aux_sym_preproc_if_token2] = ACTIONS(6000),
    [aux_sym_preproc_else_token1] = ACTIONS(6000),
    [aux_sym_preproc_elif_token1] = ACTIONS(5998),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6000),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6000),
    [anon_sym_LPAREN2] = ACTIONS(6000),
    [anon_sym_DASH] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(5998),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_SLASH] = ACTIONS(5998),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6000),
    [anon_sym_AMP_AMP] = ACTIONS(6000),
    [anon_sym_PIPE] = ACTIONS(5998),
    [anon_sym_CARET] = ACTIONS(5998),
    [anon_sym_AMP] = ACTIONS(5998),
    [anon_sym_EQ_EQ] = ACTIONS(6000),
    [anon_sym_BANG_EQ] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(5998),
    [anon_sym_GT_EQ] = ACTIONS(6000),
    [anon_sym_LT_EQ] = ACTIONS(5998),
    [anon_sym_LT] = ACTIONS(5998),
    [anon_sym_LT_LT] = ACTIONS(5998),
    [anon_sym_GT_GT] = ACTIONS(5998),
    [anon_sym_COLON] = ACTIONS(6000),
    [anon_sym_SEMI] = ACTIONS(6000),
    [anon_sym___attribute__] = ACTIONS(5998),
    [anon_sym___attribute] = ACTIONS(5998),
    [anon_sym_LBRACE] = ACTIONS(6000),
    [anon_sym_RBRACE] = ACTIONS(6000),
    [anon_sym_LBRACK] = ACTIONS(6000),
    [anon_sym_RBRACK] = ACTIONS(6000),
    [anon_sym_EQ] = ACTIONS(5998),
    [anon_sym_QMARK] = ACTIONS(6000),
    [anon_sym_STAR_EQ] = ACTIONS(6000),
    [anon_sym_SLASH_EQ] = ACTIONS(6000),
    [anon_sym_PERCENT_EQ] = ACTIONS(6000),
    [anon_sym_PLUS_EQ] = ACTIONS(6000),
    [anon_sym_DASH_EQ] = ACTIONS(6000),
    [anon_sym_LT_LT_EQ] = ACTIONS(6000),
    [anon_sym_GT_GT_EQ] = ACTIONS(6000),
    [anon_sym_AMP_EQ] = ACTIONS(6000),
    [anon_sym_CARET_EQ] = ACTIONS(6000),
    [anon_sym_PIPE_EQ] = ACTIONS(6000),
    [anon_sym_and_eq] = ACTIONS(5998),
    [anon_sym_or_eq] = ACTIONS(5998),
    [anon_sym_xor_eq] = ACTIONS(5998),
    [anon_sym_LT_EQ_GT] = ACTIONS(6000),
    [anon_sym_or] = ACTIONS(5998),
    [anon_sym_and] = ACTIONS(5998),
    [anon_sym_bitor] = ACTIONS(5998),
    [anon_sym_xor] = ACTIONS(5998),
    [anon_sym_bitand] = ACTIONS(5998),
    [anon_sym_not_eq] = ACTIONS(5998),
    [anon_sym_DASH_DASH] = ACTIONS(6000),
    [anon_sym_PLUS_PLUS] = ACTIONS(6000),
    [anon_sym_DOT] = ACTIONS(5998),
    [anon_sym_DOT_STAR] = ACTIONS(6000),
    [anon_sym_DASH_GT] = ACTIONS(6000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5998),
    [anon_sym_decltype] = ACTIONS(5998),
  },
  [2727] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5768),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5770),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym___extension__] = ACTIONS(5770),
    [anon_sym___attribute__] = ACTIONS(5770),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(6700),
    [anon_sym_unsigned] = ACTIONS(6700),
    [anon_sym_long] = ACTIONS(6700),
    [anon_sym_short] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5770),
    [anon_sym_volatile] = ACTIONS(5770),
    [anon_sym_restrict] = ACTIONS(5770),
    [anon_sym___restrict__] = ACTIONS(5770),
    [anon_sym__Atomic] = ACTIONS(5770),
    [anon_sym__Noreturn] = ACTIONS(5770),
    [anon_sym_noreturn] = ACTIONS(5770),
    [anon_sym__Nonnull] = ACTIONS(5770),
    [anon_sym_mutable] = ACTIONS(5770),
    [anon_sym_constinit] = ACTIONS(5770),
    [anon_sym_consteval] = ACTIONS(5770),
    [anon_sym_alignas] = ACTIONS(5770),
    [anon_sym__Alignas] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5770),
    [anon_sym_and] = ACTIONS(5770),
    [anon_sym_bitor] = ACTIONS(5770),
    [anon_sym_xor] = ACTIONS(5770),
    [anon_sym_bitand] = ACTIONS(5770),
    [anon_sym_not_eq] = ACTIONS(5770),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5770),
    [anon_sym_final] = ACTIONS(5770),
    [anon_sym_override] = ACTIONS(5770),
    [anon_sym_GT2] = ACTIONS(5770),
    [anon_sym_requires] = ACTIONS(5770),
  },
  [2728] = {
    [sym_identifier] = ACTIONS(5916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5918),
    [anon_sym_COMMA] = ACTIONS(5918),
    [anon_sym_RPAREN] = ACTIONS(5918),
    [aux_sym_preproc_if_token2] = ACTIONS(5918),
    [aux_sym_preproc_else_token1] = ACTIONS(5918),
    [aux_sym_preproc_elif_token1] = ACTIONS(5916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5918),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_DASH] = ACTIONS(5916),
    [anon_sym_PLUS] = ACTIONS(5916),
    [anon_sym_STAR] = ACTIONS(5916),
    [anon_sym_SLASH] = ACTIONS(5916),
    [anon_sym_PERCENT] = ACTIONS(5916),
    [anon_sym_PIPE_PIPE] = ACTIONS(5918),
    [anon_sym_AMP_AMP] = ACTIONS(5918),
    [anon_sym_PIPE] = ACTIONS(5916),
    [anon_sym_CARET] = ACTIONS(5916),
    [anon_sym_AMP] = ACTIONS(5916),
    [anon_sym_EQ_EQ] = ACTIONS(5918),
    [anon_sym_BANG_EQ] = ACTIONS(5918),
    [anon_sym_GT] = ACTIONS(5916),
    [anon_sym_GT_EQ] = ACTIONS(5918),
    [anon_sym_LT_EQ] = ACTIONS(5916),
    [anon_sym_LT] = ACTIONS(5916),
    [anon_sym_LT_LT] = ACTIONS(5916),
    [anon_sym_GT_GT] = ACTIONS(5916),
    [anon_sym_COLON] = ACTIONS(5918),
    [anon_sym_SEMI] = ACTIONS(5918),
    [anon_sym___attribute__] = ACTIONS(5916),
    [anon_sym___attribute] = ACTIONS(5916),
    [anon_sym_LBRACE] = ACTIONS(5918),
    [anon_sym_RBRACE] = ACTIONS(5918),
    [anon_sym_LBRACK] = ACTIONS(5918),
    [anon_sym_RBRACK] = ACTIONS(5918),
    [anon_sym_EQ] = ACTIONS(5916),
    [anon_sym_QMARK] = ACTIONS(5918),
    [anon_sym_STAR_EQ] = ACTIONS(5918),
    [anon_sym_SLASH_EQ] = ACTIONS(5918),
    [anon_sym_PERCENT_EQ] = ACTIONS(5918),
    [anon_sym_PLUS_EQ] = ACTIONS(5918),
    [anon_sym_DASH_EQ] = ACTIONS(5918),
    [anon_sym_LT_LT_EQ] = ACTIONS(5918),
    [anon_sym_GT_GT_EQ] = ACTIONS(5918),
    [anon_sym_AMP_EQ] = ACTIONS(5918),
    [anon_sym_CARET_EQ] = ACTIONS(5918),
    [anon_sym_PIPE_EQ] = ACTIONS(5918),
    [anon_sym_and_eq] = ACTIONS(5916),
    [anon_sym_or_eq] = ACTIONS(5916),
    [anon_sym_xor_eq] = ACTIONS(5916),
    [anon_sym_LT_EQ_GT] = ACTIONS(5918),
    [anon_sym_or] = ACTIONS(5916),
    [anon_sym_and] = ACTIONS(5916),
    [anon_sym_bitor] = ACTIONS(5916),
    [anon_sym_xor] = ACTIONS(5916),
    [anon_sym_bitand] = ACTIONS(5916),
    [anon_sym_not_eq] = ACTIONS(5916),
    [anon_sym_DASH_DASH] = ACTIONS(5918),
    [anon_sym_PLUS_PLUS] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(5916),
    [anon_sym_DOT_STAR] = ACTIONS(5918),
    [anon_sym_DASH_GT] = ACTIONS(5918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5916),
    [anon_sym_decltype] = ACTIONS(5916),
  },
  [2729] = {
    [sym_identifier] = ACTIONS(5868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5870),
    [anon_sym_COMMA] = ACTIONS(5870),
    [anon_sym_RPAREN] = ACTIONS(5870),
    [aux_sym_preproc_if_token2] = ACTIONS(5870),
    [aux_sym_preproc_else_token1] = ACTIONS(5870),
    [aux_sym_preproc_elif_token1] = ACTIONS(5868),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5870),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5870),
    [anon_sym_LPAREN2] = ACTIONS(5870),
    [anon_sym_DASH] = ACTIONS(5868),
    [anon_sym_PLUS] = ACTIONS(5868),
    [anon_sym_STAR] = ACTIONS(5868),
    [anon_sym_SLASH] = ACTIONS(5868),
    [anon_sym_PERCENT] = ACTIONS(5868),
    [anon_sym_PIPE_PIPE] = ACTIONS(5870),
    [anon_sym_AMP_AMP] = ACTIONS(5870),
    [anon_sym_PIPE] = ACTIONS(5868),
    [anon_sym_CARET] = ACTIONS(5868),
    [anon_sym_AMP] = ACTIONS(5868),
    [anon_sym_EQ_EQ] = ACTIONS(5870),
    [anon_sym_BANG_EQ] = ACTIONS(5870),
    [anon_sym_GT] = ACTIONS(5868),
    [anon_sym_GT_EQ] = ACTIONS(5870),
    [anon_sym_LT_EQ] = ACTIONS(5868),
    [anon_sym_LT] = ACTIONS(5868),
    [anon_sym_LT_LT] = ACTIONS(5868),
    [anon_sym_GT_GT] = ACTIONS(5868),
    [anon_sym_COLON] = ACTIONS(5870),
    [anon_sym_SEMI] = ACTIONS(5870),
    [anon_sym___attribute__] = ACTIONS(5868),
    [anon_sym___attribute] = ACTIONS(5868),
    [anon_sym_LBRACE] = ACTIONS(5870),
    [anon_sym_RBRACE] = ACTIONS(5870),
    [anon_sym_LBRACK] = ACTIONS(5870),
    [anon_sym_RBRACK] = ACTIONS(5870),
    [anon_sym_EQ] = ACTIONS(5868),
    [anon_sym_QMARK] = ACTIONS(5870),
    [anon_sym_STAR_EQ] = ACTIONS(5870),
    [anon_sym_SLASH_EQ] = ACTIONS(5870),
    [anon_sym_PERCENT_EQ] = ACTIONS(5870),
    [anon_sym_PLUS_EQ] = ACTIONS(5870),
    [anon_sym_DASH_EQ] = ACTIONS(5870),
    [anon_sym_LT_LT_EQ] = ACTIONS(5870),
    [anon_sym_GT_GT_EQ] = ACTIONS(5870),
    [anon_sym_AMP_EQ] = ACTIONS(5870),
    [anon_sym_CARET_EQ] = ACTIONS(5870),
    [anon_sym_PIPE_EQ] = ACTIONS(5870),
    [anon_sym_and_eq] = ACTIONS(5868),
    [anon_sym_or_eq] = ACTIONS(5868),
    [anon_sym_xor_eq] = ACTIONS(5868),
    [anon_sym_LT_EQ_GT] = ACTIONS(5870),
    [anon_sym_or] = ACTIONS(5868),
    [anon_sym_and] = ACTIONS(5868),
    [anon_sym_bitor] = ACTIONS(5868),
    [anon_sym_xor] = ACTIONS(5868),
    [anon_sym_bitand] = ACTIONS(5868),
    [anon_sym_not_eq] = ACTIONS(5868),
    [anon_sym_DASH_DASH] = ACTIONS(5870),
    [anon_sym_PLUS_PLUS] = ACTIONS(5870),
    [anon_sym_DOT] = ACTIONS(5868),
    [anon_sym_DOT_STAR] = ACTIONS(5870),
    [anon_sym_DASH_GT] = ACTIONS(5870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5868),
    [anon_sym_decltype] = ACTIONS(5868),
  },
  [2730] = {
    [sym_argument_list] = STATE(2877),
    [sym_initializer_list] = STATE(2877),
    [sym_identifier] = ACTIONS(6702),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6704),
    [anon_sym_COMMA] = ACTIONS(6704),
    [anon_sym_RPAREN] = ACTIONS(6704),
    [aux_sym_preproc_if_token2] = ACTIONS(6704),
    [aux_sym_preproc_else_token1] = ACTIONS(6704),
    [aux_sym_preproc_elif_token1] = ACTIONS(6702),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6704),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6704),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_PERCENT] = ACTIONS(6702),
    [anon_sym_PIPE_PIPE] = ACTIONS(6704),
    [anon_sym_AMP_AMP] = ACTIONS(6704),
    [anon_sym_PIPE] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_AMP] = ACTIONS(6702),
    [anon_sym_EQ_EQ] = ACTIONS(6704),
    [anon_sym_BANG_EQ] = ACTIONS(6704),
    [anon_sym_GT] = ACTIONS(6702),
    [anon_sym_GT_EQ] = ACTIONS(6704),
    [anon_sym_LT_EQ] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6702),
    [anon_sym_LT_LT] = ACTIONS(6702),
    [anon_sym_GT_GT] = ACTIONS(6702),
    [anon_sym_COLON] = ACTIONS(6704),
    [anon_sym_SEMI] = ACTIONS(6704),
    [anon_sym___attribute__] = ACTIONS(6702),
    [anon_sym___attribute] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_RBRACE] = ACTIONS(6704),
    [anon_sym_LBRACK] = ACTIONS(6704),
    [anon_sym_RBRACK] = ACTIONS(6704),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_QMARK] = ACTIONS(6704),
    [anon_sym_STAR_EQ] = ACTIONS(6704),
    [anon_sym_SLASH_EQ] = ACTIONS(6704),
    [anon_sym_PERCENT_EQ] = ACTIONS(6704),
    [anon_sym_PLUS_EQ] = ACTIONS(6704),
    [anon_sym_DASH_EQ] = ACTIONS(6704),
    [anon_sym_LT_LT_EQ] = ACTIONS(6704),
    [anon_sym_GT_GT_EQ] = ACTIONS(6704),
    [anon_sym_AMP_EQ] = ACTIONS(6704),
    [anon_sym_CARET_EQ] = ACTIONS(6704),
    [anon_sym_PIPE_EQ] = ACTIONS(6704),
    [anon_sym_and_eq] = ACTIONS(6702),
    [anon_sym_or_eq] = ACTIONS(6702),
    [anon_sym_xor_eq] = ACTIONS(6702),
    [anon_sym_LT_EQ_GT] = ACTIONS(6704),
    [anon_sym_or] = ACTIONS(6702),
    [anon_sym_and] = ACTIONS(6702),
    [anon_sym_bitor] = ACTIONS(6702),
    [anon_sym_xor] = ACTIONS(6702),
    [anon_sym_bitand] = ACTIONS(6702),
    [anon_sym_not_eq] = ACTIONS(6702),
    [anon_sym_DASH_DASH] = ACTIONS(6704),
    [anon_sym_PLUS_PLUS] = ACTIONS(6704),
    [anon_sym_DOT] = ACTIONS(6702),
    [anon_sym_DOT_STAR] = ACTIONS(6704),
    [anon_sym_DASH_GT] = ACTIONS(6704),
    [sym_comment] = ACTIONS(3),
  },
  [2731] = {
    [sym_identifier] = ACTIONS(5904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5906),
    [anon_sym_COMMA] = ACTIONS(5906),
    [anon_sym_RPAREN] = ACTIONS(5906),
    [aux_sym_preproc_if_token2] = ACTIONS(5906),
    [aux_sym_preproc_else_token1] = ACTIONS(5906),
    [aux_sym_preproc_elif_token1] = ACTIONS(5904),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5906),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5906),
    [anon_sym_LPAREN2] = ACTIONS(5906),
    [anon_sym_DASH] = ACTIONS(5904),
    [anon_sym_PLUS] = ACTIONS(5904),
    [anon_sym_STAR] = ACTIONS(5904),
    [anon_sym_SLASH] = ACTIONS(5904),
    [anon_sym_PERCENT] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE] = ACTIONS(5906),
    [anon_sym_AMP_AMP] = ACTIONS(5906),
    [anon_sym_PIPE] = ACTIONS(5904),
    [anon_sym_CARET] = ACTIONS(5904),
    [anon_sym_AMP] = ACTIONS(5904),
    [anon_sym_EQ_EQ] = ACTIONS(5906),
    [anon_sym_BANG_EQ] = ACTIONS(5906),
    [anon_sym_GT] = ACTIONS(5904),
    [anon_sym_GT_EQ] = ACTIONS(5906),
    [anon_sym_LT_EQ] = ACTIONS(5904),
    [anon_sym_LT] = ACTIONS(5904),
    [anon_sym_LT_LT] = ACTIONS(5904),
    [anon_sym_GT_GT] = ACTIONS(5904),
    [anon_sym_COLON] = ACTIONS(5906),
    [anon_sym_SEMI] = ACTIONS(5906),
    [anon_sym___attribute__] = ACTIONS(5904),
    [anon_sym___attribute] = ACTIONS(5904),
    [anon_sym_LBRACE] = ACTIONS(5906),
    [anon_sym_RBRACE] = ACTIONS(5906),
    [anon_sym_LBRACK] = ACTIONS(5906),
    [anon_sym_RBRACK] = ACTIONS(5906),
    [anon_sym_EQ] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5906),
    [anon_sym_STAR_EQ] = ACTIONS(5906),
    [anon_sym_SLASH_EQ] = ACTIONS(5906),
    [anon_sym_PERCENT_EQ] = ACTIONS(5906),
    [anon_sym_PLUS_EQ] = ACTIONS(5906),
    [anon_sym_DASH_EQ] = ACTIONS(5906),
    [anon_sym_LT_LT_EQ] = ACTIONS(5906),
    [anon_sym_GT_GT_EQ] = ACTIONS(5906),
    [anon_sym_AMP_EQ] = ACTIONS(5906),
    [anon_sym_CARET_EQ] = ACTIONS(5906),
    [anon_sym_PIPE_EQ] = ACTIONS(5906),
    [anon_sym_and_eq] = ACTIONS(5904),
    [anon_sym_or_eq] = ACTIONS(5904),
    [anon_sym_xor_eq] = ACTIONS(5904),
    [anon_sym_LT_EQ_GT] = ACTIONS(5906),
    [anon_sym_or] = ACTIONS(5904),
    [anon_sym_and] = ACTIONS(5904),
    [anon_sym_bitor] = ACTIONS(5904),
    [anon_sym_xor] = ACTIONS(5904),
    [anon_sym_bitand] = ACTIONS(5904),
    [anon_sym_not_eq] = ACTIONS(5904),
    [anon_sym_DASH_DASH] = ACTIONS(5906),
    [anon_sym_PLUS_PLUS] = ACTIONS(5906),
    [anon_sym_DOT] = ACTIONS(5904),
    [anon_sym_DOT_STAR] = ACTIONS(5906),
    [anon_sym_DASH_GT] = ACTIONS(5906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5904),
    [anon_sym_decltype] = ACTIONS(5904),
  },
  [2732] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5776),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5776),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5774),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5776),
    [anon_sym_GT_GT] = ACTIONS(5774),
    [anon_sym_COLON] = ACTIONS(5776),
    [anon_sym___extension__] = ACTIONS(5776),
    [anon_sym___attribute__] = ACTIONS(5776),
    [anon_sym___attribute] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(6629),
    [anon_sym_unsigned] = ACTIONS(6629),
    [anon_sym_long] = ACTIONS(6629),
    [anon_sym_short] = ACTIONS(6629),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_const] = ACTIONS(5774),
    [anon_sym_constexpr] = ACTIONS(5776),
    [anon_sym_volatile] = ACTIONS(5776),
    [anon_sym_restrict] = ACTIONS(5776),
    [anon_sym___restrict__] = ACTIONS(5776),
    [anon_sym__Atomic] = ACTIONS(5776),
    [anon_sym__Noreturn] = ACTIONS(5776),
    [anon_sym_noreturn] = ACTIONS(5776),
    [anon_sym__Nonnull] = ACTIONS(5776),
    [anon_sym_mutable] = ACTIONS(5776),
    [anon_sym_constinit] = ACTIONS(5776),
    [anon_sym_consteval] = ACTIONS(5776),
    [anon_sym_alignas] = ACTIONS(5776),
    [anon_sym__Alignas] = ACTIONS(5776),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5776),
    [anon_sym_and] = ACTIONS(5776),
    [anon_sym_bitor] = ACTIONS(5776),
    [anon_sym_xor] = ACTIONS(5776),
    [anon_sym_bitand] = ACTIONS(5776),
    [anon_sym_not_eq] = ACTIONS(5776),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5776),
    [anon_sym_decltype] = ACTIONS(5776),
    [anon_sym_final] = ACTIONS(5776),
    [anon_sym_override] = ACTIONS(5776),
    [anon_sym_GT2] = ACTIONS(5776),
    [anon_sym_requires] = ACTIONS(5776),
  },
  [2733] = {
    [sym_identifier] = ACTIONS(5916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5918),
    [anon_sym_COMMA] = ACTIONS(5918),
    [anon_sym_RPAREN] = ACTIONS(5918),
    [aux_sym_preproc_if_token2] = ACTIONS(5918),
    [aux_sym_preproc_else_token1] = ACTIONS(5918),
    [aux_sym_preproc_elif_token1] = ACTIONS(5916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5918),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_DASH] = ACTIONS(5916),
    [anon_sym_PLUS] = ACTIONS(5916),
    [anon_sym_STAR] = ACTIONS(5916),
    [anon_sym_SLASH] = ACTIONS(5916),
    [anon_sym_PERCENT] = ACTIONS(5916),
    [anon_sym_PIPE_PIPE] = ACTIONS(5918),
    [anon_sym_AMP_AMP] = ACTIONS(5918),
    [anon_sym_PIPE] = ACTIONS(5916),
    [anon_sym_CARET] = ACTIONS(5916),
    [anon_sym_AMP] = ACTIONS(5916),
    [anon_sym_EQ_EQ] = ACTIONS(5918),
    [anon_sym_BANG_EQ] = ACTIONS(5918),
    [anon_sym_GT] = ACTIONS(5916),
    [anon_sym_GT_EQ] = ACTIONS(5918),
    [anon_sym_LT_EQ] = ACTIONS(5916),
    [anon_sym_LT] = ACTIONS(5916),
    [anon_sym_LT_LT] = ACTIONS(5916),
    [anon_sym_GT_GT] = ACTIONS(5916),
    [anon_sym_COLON] = ACTIONS(5918),
    [anon_sym_SEMI] = ACTIONS(5918),
    [anon_sym___attribute__] = ACTIONS(5916),
    [anon_sym___attribute] = ACTIONS(5916),
    [anon_sym_LBRACE] = ACTIONS(5918),
    [anon_sym_RBRACE] = ACTIONS(5918),
    [anon_sym_LBRACK] = ACTIONS(5918),
    [anon_sym_RBRACK] = ACTIONS(5918),
    [anon_sym_EQ] = ACTIONS(5916),
    [anon_sym_QMARK] = ACTIONS(5918),
    [anon_sym_STAR_EQ] = ACTIONS(5918),
    [anon_sym_SLASH_EQ] = ACTIONS(5918),
    [anon_sym_PERCENT_EQ] = ACTIONS(5918),
    [anon_sym_PLUS_EQ] = ACTIONS(5918),
    [anon_sym_DASH_EQ] = ACTIONS(5918),
    [anon_sym_LT_LT_EQ] = ACTIONS(5918),
    [anon_sym_GT_GT_EQ] = ACTIONS(5918),
    [anon_sym_AMP_EQ] = ACTIONS(5918),
    [anon_sym_CARET_EQ] = ACTIONS(5918),
    [anon_sym_PIPE_EQ] = ACTIONS(5918),
    [anon_sym_and_eq] = ACTIONS(5916),
    [anon_sym_or_eq] = ACTIONS(5916),
    [anon_sym_xor_eq] = ACTIONS(5916),
    [anon_sym_LT_EQ_GT] = ACTIONS(5918),
    [anon_sym_or] = ACTIONS(5916),
    [anon_sym_and] = ACTIONS(5916),
    [anon_sym_bitor] = ACTIONS(5916),
    [anon_sym_xor] = ACTIONS(5916),
    [anon_sym_bitand] = ACTIONS(5916),
    [anon_sym_not_eq] = ACTIONS(5916),
    [anon_sym_DASH_DASH] = ACTIONS(5918),
    [anon_sym_PLUS_PLUS] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(5916),
    [anon_sym_DOT_STAR] = ACTIONS(5918),
    [anon_sym_DASH_GT] = ACTIONS(5918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5916),
    [anon_sym_decltype] = ACTIONS(5916),
  },
  [2734] = {
    [sym_identifier] = ACTIONS(5888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5890),
    [anon_sym_COMMA] = ACTIONS(5890),
    [anon_sym_RPAREN] = ACTIONS(5890),
    [aux_sym_preproc_if_token2] = ACTIONS(5890),
    [aux_sym_preproc_else_token1] = ACTIONS(5890),
    [aux_sym_preproc_elif_token1] = ACTIONS(5888),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5890),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5890),
    [anon_sym_LPAREN2] = ACTIONS(5890),
    [anon_sym_DASH] = ACTIONS(5888),
    [anon_sym_PLUS] = ACTIONS(5888),
    [anon_sym_STAR] = ACTIONS(5888),
    [anon_sym_SLASH] = ACTIONS(5888),
    [anon_sym_PERCENT] = ACTIONS(5888),
    [anon_sym_PIPE_PIPE] = ACTIONS(5890),
    [anon_sym_AMP_AMP] = ACTIONS(5890),
    [anon_sym_PIPE] = ACTIONS(5888),
    [anon_sym_CARET] = ACTIONS(5888),
    [anon_sym_AMP] = ACTIONS(5888),
    [anon_sym_EQ_EQ] = ACTIONS(5890),
    [anon_sym_BANG_EQ] = ACTIONS(5890),
    [anon_sym_GT] = ACTIONS(5888),
    [anon_sym_GT_EQ] = ACTIONS(5890),
    [anon_sym_LT_EQ] = ACTIONS(5888),
    [anon_sym_LT] = ACTIONS(5888),
    [anon_sym_LT_LT] = ACTIONS(5888),
    [anon_sym_GT_GT] = ACTIONS(5888),
    [anon_sym_COLON] = ACTIONS(5890),
    [anon_sym_SEMI] = ACTIONS(5890),
    [anon_sym___attribute__] = ACTIONS(5888),
    [anon_sym___attribute] = ACTIONS(5888),
    [anon_sym_LBRACE] = ACTIONS(5890),
    [anon_sym_RBRACE] = ACTIONS(5890),
    [anon_sym_LBRACK] = ACTIONS(5890),
    [anon_sym_RBRACK] = ACTIONS(5890),
    [anon_sym_EQ] = ACTIONS(5888),
    [anon_sym_QMARK] = ACTIONS(5890),
    [anon_sym_STAR_EQ] = ACTIONS(5890),
    [anon_sym_SLASH_EQ] = ACTIONS(5890),
    [anon_sym_PERCENT_EQ] = ACTIONS(5890),
    [anon_sym_PLUS_EQ] = ACTIONS(5890),
    [anon_sym_DASH_EQ] = ACTIONS(5890),
    [anon_sym_LT_LT_EQ] = ACTIONS(5890),
    [anon_sym_GT_GT_EQ] = ACTIONS(5890),
    [anon_sym_AMP_EQ] = ACTIONS(5890),
    [anon_sym_CARET_EQ] = ACTIONS(5890),
    [anon_sym_PIPE_EQ] = ACTIONS(5890),
    [anon_sym_and_eq] = ACTIONS(5888),
    [anon_sym_or_eq] = ACTIONS(5888),
    [anon_sym_xor_eq] = ACTIONS(5888),
    [anon_sym_LT_EQ_GT] = ACTIONS(5890),
    [anon_sym_or] = ACTIONS(5888),
    [anon_sym_and] = ACTIONS(5888),
    [anon_sym_bitor] = ACTIONS(5888),
    [anon_sym_xor] = ACTIONS(5888),
    [anon_sym_bitand] = ACTIONS(5888),
    [anon_sym_not_eq] = ACTIONS(5888),
    [anon_sym_DASH_DASH] = ACTIONS(5890),
    [anon_sym_PLUS_PLUS] = ACTIONS(5890),
    [anon_sym_DOT] = ACTIONS(5888),
    [anon_sym_DOT_STAR] = ACTIONS(5890),
    [anon_sym_DASH_GT] = ACTIONS(5890),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5888),
    [anon_sym_decltype] = ACTIONS(5888),
  },
  [2735] = {
    [sym_identifier] = ACTIONS(6706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6708),
    [anon_sym_COMMA] = ACTIONS(6708),
    [anon_sym_RPAREN] = ACTIONS(6708),
    [aux_sym_preproc_if_token2] = ACTIONS(6708),
    [aux_sym_preproc_else_token1] = ACTIONS(6708),
    [aux_sym_preproc_elif_token1] = ACTIONS(6706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6708),
    [anon_sym_LPAREN2] = ACTIONS(6708),
    [anon_sym_DASH] = ACTIONS(6706),
    [anon_sym_PLUS] = ACTIONS(6706),
    [anon_sym_STAR] = ACTIONS(6706),
    [anon_sym_SLASH] = ACTIONS(6706),
    [anon_sym_PERCENT] = ACTIONS(6706),
    [anon_sym_PIPE_PIPE] = ACTIONS(6708),
    [anon_sym_AMP_AMP] = ACTIONS(6708),
    [anon_sym_PIPE] = ACTIONS(6706),
    [anon_sym_CARET] = ACTIONS(6706),
    [anon_sym_AMP] = ACTIONS(6706),
    [anon_sym_EQ_EQ] = ACTIONS(6708),
    [anon_sym_BANG_EQ] = ACTIONS(6708),
    [anon_sym_GT] = ACTIONS(6706),
    [anon_sym_GT_EQ] = ACTIONS(6708),
    [anon_sym_LT_EQ] = ACTIONS(6706),
    [anon_sym_LT] = ACTIONS(6706),
    [anon_sym_LT_LT] = ACTIONS(6706),
    [anon_sym_GT_GT] = ACTIONS(6706),
    [anon_sym_COLON] = ACTIONS(6708),
    [anon_sym_SEMI] = ACTIONS(6708),
    [anon_sym___attribute__] = ACTIONS(6706),
    [anon_sym___attribute] = ACTIONS(6706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6708),
    [anon_sym_LBRACE] = ACTIONS(6708),
    [anon_sym_RBRACE] = ACTIONS(6708),
    [anon_sym_LBRACK] = ACTIONS(6706),
    [anon_sym_RBRACK] = ACTIONS(6708),
    [anon_sym_EQ] = ACTIONS(6706),
    [anon_sym_QMARK] = ACTIONS(6708),
    [anon_sym_STAR_EQ] = ACTIONS(6708),
    [anon_sym_SLASH_EQ] = ACTIONS(6708),
    [anon_sym_PERCENT_EQ] = ACTIONS(6708),
    [anon_sym_PLUS_EQ] = ACTIONS(6708),
    [anon_sym_DASH_EQ] = ACTIONS(6708),
    [anon_sym_LT_LT_EQ] = ACTIONS(6708),
    [anon_sym_GT_GT_EQ] = ACTIONS(6708),
    [anon_sym_AMP_EQ] = ACTIONS(6708),
    [anon_sym_CARET_EQ] = ACTIONS(6708),
    [anon_sym_PIPE_EQ] = ACTIONS(6708),
    [anon_sym_and_eq] = ACTIONS(6706),
    [anon_sym_or_eq] = ACTIONS(6706),
    [anon_sym_xor_eq] = ACTIONS(6706),
    [anon_sym_LT_EQ_GT] = ACTIONS(6708),
    [anon_sym_or] = ACTIONS(6706),
    [anon_sym_and] = ACTIONS(6706),
    [anon_sym_bitor] = ACTIONS(6706),
    [anon_sym_xor] = ACTIONS(6706),
    [anon_sym_bitand] = ACTIONS(6706),
    [anon_sym_not_eq] = ACTIONS(6706),
    [anon_sym_DASH_DASH] = ACTIONS(6708),
    [anon_sym_PLUS_PLUS] = ACTIONS(6708),
    [anon_sym_DOT] = ACTIONS(6706),
    [anon_sym_DOT_STAR] = ACTIONS(6708),
    [anon_sym_DASH_GT] = ACTIONS(6708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6706),
  },
  [2736] = {
    [sym_identifier] = ACTIONS(6710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [aux_sym_preproc_if_token2] = ACTIONS(6712),
    [aux_sym_preproc_else_token1] = ACTIONS(6712),
    [aux_sym_preproc_elif_token1] = ACTIONS(6710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6712),
    [anon_sym_LPAREN2] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6710),
    [anon_sym_PLUS] = ACTIONS(6710),
    [anon_sym_STAR] = ACTIONS(6710),
    [anon_sym_SLASH] = ACTIONS(6710),
    [anon_sym_PERCENT] = ACTIONS(6710),
    [anon_sym_PIPE_PIPE] = ACTIONS(6712),
    [anon_sym_AMP_AMP] = ACTIONS(6712),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_CARET] = ACTIONS(6710),
    [anon_sym_AMP] = ACTIONS(6710),
    [anon_sym_EQ_EQ] = ACTIONS(6712),
    [anon_sym_BANG_EQ] = ACTIONS(6712),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_GT_EQ] = ACTIONS(6712),
    [anon_sym_LT_EQ] = ACTIONS(6710),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_LT_LT] = ACTIONS(6710),
    [anon_sym_GT_GT] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6712),
    [anon_sym_SEMI] = ACTIONS(6712),
    [anon_sym___attribute__] = ACTIONS(6710),
    [anon_sym___attribute] = ACTIONS(6710),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [anon_sym_RBRACE] = ACTIONS(6712),
    [anon_sym_LBRACK] = ACTIONS(6710),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6710),
    [anon_sym_QMARK] = ACTIONS(6712),
    [anon_sym_STAR_EQ] = ACTIONS(6712),
    [anon_sym_SLASH_EQ] = ACTIONS(6712),
    [anon_sym_PERCENT_EQ] = ACTIONS(6712),
    [anon_sym_PLUS_EQ] = ACTIONS(6712),
    [anon_sym_DASH_EQ] = ACTIONS(6712),
    [anon_sym_LT_LT_EQ] = ACTIONS(6712),
    [anon_sym_GT_GT_EQ] = ACTIONS(6712),
    [anon_sym_AMP_EQ] = ACTIONS(6712),
    [anon_sym_CARET_EQ] = ACTIONS(6712),
    [anon_sym_PIPE_EQ] = ACTIONS(6712),
    [anon_sym_and_eq] = ACTIONS(6710),
    [anon_sym_or_eq] = ACTIONS(6710),
    [anon_sym_xor_eq] = ACTIONS(6710),
    [anon_sym_LT_EQ_GT] = ACTIONS(6712),
    [anon_sym_or] = ACTIONS(6710),
    [anon_sym_and] = ACTIONS(6710),
    [anon_sym_bitor] = ACTIONS(6710),
    [anon_sym_xor] = ACTIONS(6710),
    [anon_sym_bitand] = ACTIONS(6710),
    [anon_sym_not_eq] = ACTIONS(6710),
    [anon_sym_DASH_DASH] = ACTIONS(6712),
    [anon_sym_PLUS_PLUS] = ACTIONS(6712),
    [anon_sym_DOT] = ACTIONS(6710),
    [anon_sym_DOT_STAR] = ACTIONS(6712),
    [anon_sym_DASH_GT] = ACTIONS(6712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6710),
  },
  [2737] = {
    [sym_identifier] = ACTIONS(6714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [aux_sym_preproc_if_token2] = ACTIONS(6716),
    [aux_sym_preproc_else_token1] = ACTIONS(6716),
    [aux_sym_preproc_elif_token1] = ACTIONS(6714),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6716),
    [anon_sym_LPAREN2] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6714),
    [anon_sym_PLUS] = ACTIONS(6714),
    [anon_sym_STAR] = ACTIONS(6714),
    [anon_sym_SLASH] = ACTIONS(6714),
    [anon_sym_PERCENT] = ACTIONS(6714),
    [anon_sym_PIPE_PIPE] = ACTIONS(6716),
    [anon_sym_AMP_AMP] = ACTIONS(6716),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_CARET] = ACTIONS(6714),
    [anon_sym_AMP] = ACTIONS(6714),
    [anon_sym_EQ_EQ] = ACTIONS(6716),
    [anon_sym_BANG_EQ] = ACTIONS(6716),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_GT_EQ] = ACTIONS(6716),
    [anon_sym_LT_EQ] = ACTIONS(6714),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_LT_LT] = ACTIONS(6714),
    [anon_sym_GT_GT] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6716),
    [anon_sym_SEMI] = ACTIONS(6716),
    [anon_sym___attribute__] = ACTIONS(6714),
    [anon_sym___attribute] = ACTIONS(6714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [anon_sym_RBRACE] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(6714),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6714),
    [anon_sym_QMARK] = ACTIONS(6716),
    [anon_sym_STAR_EQ] = ACTIONS(6716),
    [anon_sym_SLASH_EQ] = ACTIONS(6716),
    [anon_sym_PERCENT_EQ] = ACTIONS(6716),
    [anon_sym_PLUS_EQ] = ACTIONS(6716),
    [anon_sym_DASH_EQ] = ACTIONS(6716),
    [anon_sym_LT_LT_EQ] = ACTIONS(6716),
    [anon_sym_GT_GT_EQ] = ACTIONS(6716),
    [anon_sym_AMP_EQ] = ACTIONS(6716),
    [anon_sym_CARET_EQ] = ACTIONS(6716),
    [anon_sym_PIPE_EQ] = ACTIONS(6716),
    [anon_sym_and_eq] = ACTIONS(6714),
    [anon_sym_or_eq] = ACTIONS(6714),
    [anon_sym_xor_eq] = ACTIONS(6714),
    [anon_sym_LT_EQ_GT] = ACTIONS(6716),
    [anon_sym_or] = ACTIONS(6714),
    [anon_sym_and] = ACTIONS(6714),
    [anon_sym_bitor] = ACTIONS(6714),
    [anon_sym_xor] = ACTIONS(6714),
    [anon_sym_bitand] = ACTIONS(6714),
    [anon_sym_not_eq] = ACTIONS(6714),
    [anon_sym_DASH_DASH] = ACTIONS(6716),
    [anon_sym_PLUS_PLUS] = ACTIONS(6716),
    [anon_sym_DOT] = ACTIONS(6714),
    [anon_sym_DOT_STAR] = ACTIONS(6716),
    [anon_sym_DASH_GT] = ACTIONS(6716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6714),
  },
  [2738] = {
    [sym_identifier] = ACTIONS(6718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6720),
    [anon_sym_COMMA] = ACTIONS(6720),
    [anon_sym_RPAREN] = ACTIONS(6720),
    [aux_sym_preproc_if_token2] = ACTIONS(6720),
    [aux_sym_preproc_else_token1] = ACTIONS(6720),
    [aux_sym_preproc_elif_token1] = ACTIONS(6718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6720),
    [anon_sym_LPAREN2] = ACTIONS(6720),
    [anon_sym_DASH] = ACTIONS(6718),
    [anon_sym_PLUS] = ACTIONS(6718),
    [anon_sym_STAR] = ACTIONS(6718),
    [anon_sym_SLASH] = ACTIONS(6718),
    [anon_sym_PERCENT] = ACTIONS(6718),
    [anon_sym_PIPE_PIPE] = ACTIONS(6720),
    [anon_sym_AMP_AMP] = ACTIONS(6720),
    [anon_sym_PIPE] = ACTIONS(6718),
    [anon_sym_CARET] = ACTIONS(6718),
    [anon_sym_AMP] = ACTIONS(6718),
    [anon_sym_EQ_EQ] = ACTIONS(6720),
    [anon_sym_BANG_EQ] = ACTIONS(6720),
    [anon_sym_GT] = ACTIONS(6718),
    [anon_sym_GT_EQ] = ACTIONS(6720),
    [anon_sym_LT_EQ] = ACTIONS(6718),
    [anon_sym_LT] = ACTIONS(6718),
    [anon_sym_LT_LT] = ACTIONS(6718),
    [anon_sym_GT_GT] = ACTIONS(6718),
    [anon_sym_COLON] = ACTIONS(6720),
    [anon_sym_SEMI] = ACTIONS(6720),
    [anon_sym___attribute__] = ACTIONS(6718),
    [anon_sym___attribute] = ACTIONS(6718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6720),
    [anon_sym_LBRACE] = ACTIONS(6720),
    [anon_sym_RBRACE] = ACTIONS(6720),
    [anon_sym_LBRACK] = ACTIONS(6718),
    [anon_sym_RBRACK] = ACTIONS(6720),
    [anon_sym_EQ] = ACTIONS(6718),
    [anon_sym_QMARK] = ACTIONS(6720),
    [anon_sym_STAR_EQ] = ACTIONS(6720),
    [anon_sym_SLASH_EQ] = ACTIONS(6720),
    [anon_sym_PERCENT_EQ] = ACTIONS(6720),
    [anon_sym_PLUS_EQ] = ACTIONS(6720),
    [anon_sym_DASH_EQ] = ACTIONS(6720),
    [anon_sym_LT_LT_EQ] = ACTIONS(6720),
    [anon_sym_GT_GT_EQ] = ACTIONS(6720),
    [anon_sym_AMP_EQ] = ACTIONS(6720),
    [anon_sym_CARET_EQ] = ACTIONS(6720),
    [anon_sym_PIPE_EQ] = ACTIONS(6720),
    [anon_sym_and_eq] = ACTIONS(6718),
    [anon_sym_or_eq] = ACTIONS(6718),
    [anon_sym_xor_eq] = ACTIONS(6718),
    [anon_sym_LT_EQ_GT] = ACTIONS(6720),
    [anon_sym_or] = ACTIONS(6718),
    [anon_sym_and] = ACTIONS(6718),
    [anon_sym_bitor] = ACTIONS(6718),
    [anon_sym_xor] = ACTIONS(6718),
    [anon_sym_bitand] = ACTIONS(6718),
    [anon_sym_not_eq] = ACTIONS(6718),
    [anon_sym_DASH_DASH] = ACTIONS(6720),
    [anon_sym_PLUS_PLUS] = ACTIONS(6720),
    [anon_sym_DOT] = ACTIONS(6718),
    [anon_sym_DOT_STAR] = ACTIONS(6720),
    [anon_sym_DASH_GT] = ACTIONS(6720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6718),
  },
  [2739] = {
    [sym_identifier] = ACTIONS(6722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6724),
    [anon_sym_COMMA] = ACTIONS(6724),
    [anon_sym_RPAREN] = ACTIONS(6724),
    [aux_sym_preproc_if_token2] = ACTIONS(6724),
    [aux_sym_preproc_else_token1] = ACTIONS(6724),
    [aux_sym_preproc_elif_token1] = ACTIONS(6722),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6724),
    [anon_sym_LPAREN2] = ACTIONS(6724),
    [anon_sym_DASH] = ACTIONS(6722),
    [anon_sym_PLUS] = ACTIONS(6722),
    [anon_sym_STAR] = ACTIONS(6722),
    [anon_sym_SLASH] = ACTIONS(6722),
    [anon_sym_PERCENT] = ACTIONS(6722),
    [anon_sym_PIPE_PIPE] = ACTIONS(6724),
    [anon_sym_AMP_AMP] = ACTIONS(6724),
    [anon_sym_PIPE] = ACTIONS(6722),
    [anon_sym_CARET] = ACTIONS(6722),
    [anon_sym_AMP] = ACTIONS(6722),
    [anon_sym_EQ_EQ] = ACTIONS(6724),
    [anon_sym_BANG_EQ] = ACTIONS(6724),
    [anon_sym_GT] = ACTIONS(6722),
    [anon_sym_GT_EQ] = ACTIONS(6724),
    [anon_sym_LT_EQ] = ACTIONS(6722),
    [anon_sym_LT] = ACTIONS(6722),
    [anon_sym_LT_LT] = ACTIONS(6722),
    [anon_sym_GT_GT] = ACTIONS(6722),
    [anon_sym_COLON] = ACTIONS(6724),
    [anon_sym_SEMI] = ACTIONS(6724),
    [anon_sym___attribute__] = ACTIONS(6722),
    [anon_sym___attribute] = ACTIONS(6722),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6724),
    [anon_sym_LBRACE] = ACTIONS(6724),
    [anon_sym_RBRACE] = ACTIONS(6724),
    [anon_sym_LBRACK] = ACTIONS(6722),
    [anon_sym_RBRACK] = ACTIONS(6724),
    [anon_sym_EQ] = ACTIONS(6722),
    [anon_sym_QMARK] = ACTIONS(6724),
    [anon_sym_STAR_EQ] = ACTIONS(6724),
    [anon_sym_SLASH_EQ] = ACTIONS(6724),
    [anon_sym_PERCENT_EQ] = ACTIONS(6724),
    [anon_sym_PLUS_EQ] = ACTIONS(6724),
    [anon_sym_DASH_EQ] = ACTIONS(6724),
    [anon_sym_LT_LT_EQ] = ACTIONS(6724),
    [anon_sym_GT_GT_EQ] = ACTIONS(6724),
    [anon_sym_AMP_EQ] = ACTIONS(6724),
    [anon_sym_CARET_EQ] = ACTIONS(6724),
    [anon_sym_PIPE_EQ] = ACTIONS(6724),
    [anon_sym_and_eq] = ACTIONS(6722),
    [anon_sym_or_eq] = ACTIONS(6722),
    [anon_sym_xor_eq] = ACTIONS(6722),
    [anon_sym_LT_EQ_GT] = ACTIONS(6724),
    [anon_sym_or] = ACTIONS(6722),
    [anon_sym_and] = ACTIONS(6722),
    [anon_sym_bitor] = ACTIONS(6722),
    [anon_sym_xor] = ACTIONS(6722),
    [anon_sym_bitand] = ACTIONS(6722),
    [anon_sym_not_eq] = ACTIONS(6722),
    [anon_sym_DASH_DASH] = ACTIONS(6724),
    [anon_sym_PLUS_PLUS] = ACTIONS(6724),
    [anon_sym_DOT] = ACTIONS(6722),
    [anon_sym_DOT_STAR] = ACTIONS(6724),
    [anon_sym_DASH_GT] = ACTIONS(6724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6722),
  },
  [2740] = {
    [sym_template_argument_list] = STATE(2843),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_out] = ACTIONS(1972),
    [anon_sym_inout] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4289),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(4292),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_precise] = ACTIONS(1972),
    [anon_sym_shared] = ACTIONS(1972),
    [anon_sym_groupshared] = ACTIONS(1972),
    [anon_sym_uniform] = ACTIONS(1972),
    [anon_sym_row_major] = ACTIONS(1972),
    [anon_sym_column_major] = ACTIONS(1972),
    [anon_sym_globallycoherent] = ACTIONS(1972),
    [anon_sym_centroid] = ACTIONS(1972),
    [anon_sym_noperspective] = ACTIONS(1972),
    [anon_sym_nointerpolation] = ACTIONS(1972),
    [anon_sym_sample] = ACTIONS(1972),
    [anon_sym_linear] = ACTIONS(1972),
    [anon_sym_snorm] = ACTIONS(1972),
    [anon_sym_unorm] = ACTIONS(1972),
    [anon_sym_point] = ACTIONS(1972),
    [anon_sym_line] = ACTIONS(1972),
    [anon_sym_triangleadj] = ACTIONS(1972),
    [anon_sym_lineadj] = ACTIONS(1972),
    [anon_sym_triangle] = ACTIONS(1972),
  },
  [2741] = {
    [sym_identifier] = ACTIONS(5872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5874),
    [anon_sym_COMMA] = ACTIONS(5874),
    [anon_sym_RPAREN] = ACTIONS(5874),
    [aux_sym_preproc_if_token2] = ACTIONS(5874),
    [aux_sym_preproc_else_token1] = ACTIONS(5874),
    [aux_sym_preproc_elif_token1] = ACTIONS(5872),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5874),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5874),
    [anon_sym_LPAREN2] = ACTIONS(5874),
    [anon_sym_DASH] = ACTIONS(5872),
    [anon_sym_PLUS] = ACTIONS(5872),
    [anon_sym_STAR] = ACTIONS(5872),
    [anon_sym_SLASH] = ACTIONS(5872),
    [anon_sym_PERCENT] = ACTIONS(5872),
    [anon_sym_PIPE_PIPE] = ACTIONS(5874),
    [anon_sym_AMP_AMP] = ACTIONS(5874),
    [anon_sym_PIPE] = ACTIONS(5872),
    [anon_sym_CARET] = ACTIONS(5872),
    [anon_sym_AMP] = ACTIONS(5872),
    [anon_sym_EQ_EQ] = ACTIONS(5874),
    [anon_sym_BANG_EQ] = ACTIONS(5874),
    [anon_sym_GT] = ACTIONS(5872),
    [anon_sym_GT_EQ] = ACTIONS(5874),
    [anon_sym_LT_EQ] = ACTIONS(5872),
    [anon_sym_LT] = ACTIONS(5872),
    [anon_sym_LT_LT] = ACTIONS(5872),
    [anon_sym_GT_GT] = ACTIONS(5872),
    [anon_sym_COLON] = ACTIONS(5874),
    [anon_sym_SEMI] = ACTIONS(5874),
    [anon_sym___attribute__] = ACTIONS(5872),
    [anon_sym___attribute] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(5874),
    [anon_sym_RBRACE] = ACTIONS(5874),
    [anon_sym_LBRACK] = ACTIONS(5874),
    [anon_sym_RBRACK] = ACTIONS(5874),
    [anon_sym_EQ] = ACTIONS(5872),
    [anon_sym_QMARK] = ACTIONS(5874),
    [anon_sym_STAR_EQ] = ACTIONS(5874),
    [anon_sym_SLASH_EQ] = ACTIONS(5874),
    [anon_sym_PERCENT_EQ] = ACTIONS(5874),
    [anon_sym_PLUS_EQ] = ACTIONS(5874),
    [anon_sym_DASH_EQ] = ACTIONS(5874),
    [anon_sym_LT_LT_EQ] = ACTIONS(5874),
    [anon_sym_GT_GT_EQ] = ACTIONS(5874),
    [anon_sym_AMP_EQ] = ACTIONS(5874),
    [anon_sym_CARET_EQ] = ACTIONS(5874),
    [anon_sym_PIPE_EQ] = ACTIONS(5874),
    [anon_sym_and_eq] = ACTIONS(5872),
    [anon_sym_or_eq] = ACTIONS(5872),
    [anon_sym_xor_eq] = ACTIONS(5872),
    [anon_sym_LT_EQ_GT] = ACTIONS(5874),
    [anon_sym_or] = ACTIONS(5872),
    [anon_sym_and] = ACTIONS(5872),
    [anon_sym_bitor] = ACTIONS(5872),
    [anon_sym_xor] = ACTIONS(5872),
    [anon_sym_bitand] = ACTIONS(5872),
    [anon_sym_not_eq] = ACTIONS(5872),
    [anon_sym_DASH_DASH] = ACTIONS(5874),
    [anon_sym_PLUS_PLUS] = ACTIONS(5874),
    [anon_sym_DOT] = ACTIONS(5872),
    [anon_sym_DOT_STAR] = ACTIONS(5874),
    [anon_sym_DASH_GT] = ACTIONS(5874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5872),
    [anon_sym_decltype] = ACTIONS(5872),
  },
  [2742] = {
    [sym_identifier] = ACTIONS(5884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5886),
    [anon_sym_COMMA] = ACTIONS(5886),
    [anon_sym_RPAREN] = ACTIONS(5886),
    [aux_sym_preproc_if_token2] = ACTIONS(5886),
    [aux_sym_preproc_else_token1] = ACTIONS(5886),
    [aux_sym_preproc_elif_token1] = ACTIONS(5884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5886),
    [anon_sym_LPAREN2] = ACTIONS(5886),
    [anon_sym_DASH] = ACTIONS(5884),
    [anon_sym_PLUS] = ACTIONS(5884),
    [anon_sym_STAR] = ACTIONS(5884),
    [anon_sym_SLASH] = ACTIONS(5884),
    [anon_sym_PERCENT] = ACTIONS(5884),
    [anon_sym_PIPE_PIPE] = ACTIONS(5886),
    [anon_sym_AMP_AMP] = ACTIONS(5886),
    [anon_sym_PIPE] = ACTIONS(5884),
    [anon_sym_CARET] = ACTIONS(5884),
    [anon_sym_AMP] = ACTIONS(5884),
    [anon_sym_EQ_EQ] = ACTIONS(5886),
    [anon_sym_BANG_EQ] = ACTIONS(5886),
    [anon_sym_GT] = ACTIONS(5884),
    [anon_sym_GT_EQ] = ACTIONS(5886),
    [anon_sym_LT_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(5884),
    [anon_sym_LT_LT] = ACTIONS(5884),
    [anon_sym_GT_GT] = ACTIONS(5884),
    [anon_sym_COLON] = ACTIONS(5886),
    [anon_sym_SEMI] = ACTIONS(5886),
    [anon_sym___attribute__] = ACTIONS(5884),
    [anon_sym___attribute] = ACTIONS(5884),
    [anon_sym_LBRACE] = ACTIONS(5886),
    [anon_sym_RBRACE] = ACTIONS(5886),
    [anon_sym_LBRACK] = ACTIONS(5886),
    [anon_sym_RBRACK] = ACTIONS(5886),
    [anon_sym_EQ] = ACTIONS(5884),
    [anon_sym_QMARK] = ACTIONS(5886),
    [anon_sym_STAR_EQ] = ACTIONS(5886),
    [anon_sym_SLASH_EQ] = ACTIONS(5886),
    [anon_sym_PERCENT_EQ] = ACTIONS(5886),
    [anon_sym_PLUS_EQ] = ACTIONS(5886),
    [anon_sym_DASH_EQ] = ACTIONS(5886),
    [anon_sym_LT_LT_EQ] = ACTIONS(5886),
    [anon_sym_GT_GT_EQ] = ACTIONS(5886),
    [anon_sym_AMP_EQ] = ACTIONS(5886),
    [anon_sym_CARET_EQ] = ACTIONS(5886),
    [anon_sym_PIPE_EQ] = ACTIONS(5886),
    [anon_sym_and_eq] = ACTIONS(5884),
    [anon_sym_or_eq] = ACTIONS(5884),
    [anon_sym_xor_eq] = ACTIONS(5884),
    [anon_sym_LT_EQ_GT] = ACTIONS(5886),
    [anon_sym_or] = ACTIONS(5884),
    [anon_sym_and] = ACTIONS(5884),
    [anon_sym_bitor] = ACTIONS(5884),
    [anon_sym_xor] = ACTIONS(5884),
    [anon_sym_bitand] = ACTIONS(5884),
    [anon_sym_not_eq] = ACTIONS(5884),
    [anon_sym_DASH_DASH] = ACTIONS(5886),
    [anon_sym_PLUS_PLUS] = ACTIONS(5886),
    [anon_sym_DOT] = ACTIONS(5884),
    [anon_sym_DOT_STAR] = ACTIONS(5886),
    [anon_sym_DASH_GT] = ACTIONS(5886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5884),
    [anon_sym_decltype] = ACTIONS(5884),
  },
  [2743] = {
    [sym_identifier] = ACTIONS(5850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5852),
    [anon_sym_COMMA] = ACTIONS(5852),
    [anon_sym_RPAREN] = ACTIONS(5852),
    [aux_sym_preproc_if_token2] = ACTIONS(5852),
    [aux_sym_preproc_else_token1] = ACTIONS(5852),
    [aux_sym_preproc_elif_token1] = ACTIONS(5850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5852),
    [anon_sym_LPAREN2] = ACTIONS(5852),
    [anon_sym_DASH] = ACTIONS(5850),
    [anon_sym_PLUS] = ACTIONS(5850),
    [anon_sym_STAR] = ACTIONS(5850),
    [anon_sym_SLASH] = ACTIONS(5850),
    [anon_sym_PERCENT] = ACTIONS(5850),
    [anon_sym_PIPE_PIPE] = ACTIONS(5852),
    [anon_sym_AMP_AMP] = ACTIONS(5852),
    [anon_sym_PIPE] = ACTIONS(5850),
    [anon_sym_CARET] = ACTIONS(5850),
    [anon_sym_AMP] = ACTIONS(5850),
    [anon_sym_EQ_EQ] = ACTIONS(5852),
    [anon_sym_BANG_EQ] = ACTIONS(5852),
    [anon_sym_GT] = ACTIONS(5850),
    [anon_sym_GT_EQ] = ACTIONS(5852),
    [anon_sym_LT_EQ] = ACTIONS(5850),
    [anon_sym_LT] = ACTIONS(5850),
    [anon_sym_LT_LT] = ACTIONS(5850),
    [anon_sym_GT_GT] = ACTIONS(5850),
    [anon_sym_COLON] = ACTIONS(5852),
    [anon_sym_SEMI] = ACTIONS(5852),
    [anon_sym___attribute__] = ACTIONS(5850),
    [anon_sym___attribute] = ACTIONS(5850),
    [anon_sym_LBRACE] = ACTIONS(5852),
    [anon_sym_RBRACE] = ACTIONS(5852),
    [anon_sym_LBRACK] = ACTIONS(5852),
    [anon_sym_RBRACK] = ACTIONS(5852),
    [anon_sym_EQ] = ACTIONS(5850),
    [anon_sym_QMARK] = ACTIONS(5852),
    [anon_sym_STAR_EQ] = ACTIONS(5852),
    [anon_sym_SLASH_EQ] = ACTIONS(5852),
    [anon_sym_PERCENT_EQ] = ACTIONS(5852),
    [anon_sym_PLUS_EQ] = ACTIONS(5852),
    [anon_sym_DASH_EQ] = ACTIONS(5852),
    [anon_sym_LT_LT_EQ] = ACTIONS(5852),
    [anon_sym_GT_GT_EQ] = ACTIONS(5852),
    [anon_sym_AMP_EQ] = ACTIONS(5852),
    [anon_sym_CARET_EQ] = ACTIONS(5852),
    [anon_sym_PIPE_EQ] = ACTIONS(5852),
    [anon_sym_and_eq] = ACTIONS(5850),
    [anon_sym_or_eq] = ACTIONS(5850),
    [anon_sym_xor_eq] = ACTIONS(5850),
    [anon_sym_LT_EQ_GT] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5850),
    [anon_sym_bitor] = ACTIONS(5850),
    [anon_sym_xor] = ACTIONS(5850),
    [anon_sym_bitand] = ACTIONS(5850),
    [anon_sym_not_eq] = ACTIONS(5850),
    [anon_sym_DASH_DASH] = ACTIONS(5852),
    [anon_sym_PLUS_PLUS] = ACTIONS(5852),
    [anon_sym_DOT] = ACTIONS(5850),
    [anon_sym_DOT_STAR] = ACTIONS(5852),
    [anon_sym_DASH_GT] = ACTIONS(5852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5850),
    [anon_sym_decltype] = ACTIONS(5850),
  },
  [2744] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_STAR] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5790),
    [anon_sym_PERCENT] = ACTIONS(5792),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_PIPE] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5790),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5790),
    [anon_sym_LT] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5792),
    [anon_sym___extension__] = ACTIONS(5792),
    [anon_sym___attribute__] = ACTIONS(5792),
    [anon_sym___attribute] = ACTIONS(5790),
    [anon_sym_LBRACE] = ACTIONS(5792),
    [anon_sym_signed] = ACTIONS(6629),
    [anon_sym_unsigned] = ACTIONS(6629),
    [anon_sym_long] = ACTIONS(6629),
    [anon_sym_short] = ACTIONS(6629),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [anon_sym_const] = ACTIONS(5790),
    [anon_sym_constexpr] = ACTIONS(5792),
    [anon_sym_volatile] = ACTIONS(5792),
    [anon_sym_restrict] = ACTIONS(5792),
    [anon_sym___restrict__] = ACTIONS(5792),
    [anon_sym__Atomic] = ACTIONS(5792),
    [anon_sym__Noreturn] = ACTIONS(5792),
    [anon_sym_noreturn] = ACTIONS(5792),
    [anon_sym__Nonnull] = ACTIONS(5792),
    [anon_sym_mutable] = ACTIONS(5792),
    [anon_sym_constinit] = ACTIONS(5792),
    [anon_sym_consteval] = ACTIONS(5792),
    [anon_sym_alignas] = ACTIONS(5792),
    [anon_sym__Alignas] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5792),
    [anon_sym_LT_EQ_GT] = ACTIONS(5792),
    [anon_sym_or] = ACTIONS(5792),
    [anon_sym_and] = ACTIONS(5792),
    [anon_sym_bitor] = ACTIONS(5792),
    [anon_sym_xor] = ACTIONS(5792),
    [anon_sym_bitand] = ACTIONS(5792),
    [anon_sym_not_eq] = ACTIONS(5792),
    [anon_sym_DASH_DASH] = ACTIONS(5792),
    [anon_sym_PLUS_PLUS] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_DOT_STAR] = ACTIONS(5792),
    [anon_sym_DASH_GT] = ACTIONS(5792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5792),
    [anon_sym_decltype] = ACTIONS(5792),
    [anon_sym_final] = ACTIONS(5792),
    [anon_sym_override] = ACTIONS(5792),
    [anon_sym_GT2] = ACTIONS(5792),
    [anon_sym_requires] = ACTIONS(5792),
  },
  [2745] = {
    [sym_identifier] = ACTIONS(5896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5898),
    [anon_sym_COMMA] = ACTIONS(5898),
    [anon_sym_RPAREN] = ACTIONS(5898),
    [aux_sym_preproc_if_token2] = ACTIONS(5898),
    [aux_sym_preproc_else_token1] = ACTIONS(5898),
    [aux_sym_preproc_elif_token1] = ACTIONS(5896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5898),
    [anon_sym_LPAREN2] = ACTIONS(5898),
    [anon_sym_DASH] = ACTIONS(5896),
    [anon_sym_PLUS] = ACTIONS(5896),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_SLASH] = ACTIONS(5896),
    [anon_sym_PERCENT] = ACTIONS(5896),
    [anon_sym_PIPE_PIPE] = ACTIONS(5898),
    [anon_sym_AMP_AMP] = ACTIONS(5898),
    [anon_sym_PIPE] = ACTIONS(5896),
    [anon_sym_CARET] = ACTIONS(5896),
    [anon_sym_AMP] = ACTIONS(5896),
    [anon_sym_EQ_EQ] = ACTIONS(5898),
    [anon_sym_BANG_EQ] = ACTIONS(5898),
    [anon_sym_GT] = ACTIONS(5896),
    [anon_sym_GT_EQ] = ACTIONS(5898),
    [anon_sym_LT_EQ] = ACTIONS(5896),
    [anon_sym_LT] = ACTIONS(5896),
    [anon_sym_LT_LT] = ACTIONS(5896),
    [anon_sym_GT_GT] = ACTIONS(5896),
    [anon_sym_COLON] = ACTIONS(5898),
    [anon_sym_SEMI] = ACTIONS(5898),
    [anon_sym___attribute__] = ACTIONS(5896),
    [anon_sym___attribute] = ACTIONS(5896),
    [anon_sym_LBRACE] = ACTIONS(5898),
    [anon_sym_RBRACE] = ACTIONS(5898),
    [anon_sym_LBRACK] = ACTIONS(5898),
    [anon_sym_RBRACK] = ACTIONS(5898),
    [anon_sym_EQ] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5898),
    [anon_sym_STAR_EQ] = ACTIONS(5898),
    [anon_sym_SLASH_EQ] = ACTIONS(5898),
    [anon_sym_PERCENT_EQ] = ACTIONS(5898),
    [anon_sym_PLUS_EQ] = ACTIONS(5898),
    [anon_sym_DASH_EQ] = ACTIONS(5898),
    [anon_sym_LT_LT_EQ] = ACTIONS(5898),
    [anon_sym_GT_GT_EQ] = ACTIONS(5898),
    [anon_sym_AMP_EQ] = ACTIONS(5898),
    [anon_sym_CARET_EQ] = ACTIONS(5898),
    [anon_sym_PIPE_EQ] = ACTIONS(5898),
    [anon_sym_and_eq] = ACTIONS(5896),
    [anon_sym_or_eq] = ACTIONS(5896),
    [anon_sym_xor_eq] = ACTIONS(5896),
    [anon_sym_LT_EQ_GT] = ACTIONS(5898),
    [anon_sym_or] = ACTIONS(5896),
    [anon_sym_and] = ACTIONS(5896),
    [anon_sym_bitor] = ACTIONS(5896),
    [anon_sym_xor] = ACTIONS(5896),
    [anon_sym_bitand] = ACTIONS(5896),
    [anon_sym_not_eq] = ACTIONS(5896),
    [anon_sym_DASH_DASH] = ACTIONS(5898),
    [anon_sym_PLUS_PLUS] = ACTIONS(5898),
    [anon_sym_DOT] = ACTIONS(5896),
    [anon_sym_DOT_STAR] = ACTIONS(5898),
    [anon_sym_DASH_GT] = ACTIONS(5898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5896),
    [anon_sym_decltype] = ACTIONS(5896),
  },
  [2746] = {
    [sym_identifier] = ACTIONS(6002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6004),
    [anon_sym_COMMA] = ACTIONS(6004),
    [anon_sym_RPAREN] = ACTIONS(6004),
    [aux_sym_preproc_if_token2] = ACTIONS(6004),
    [aux_sym_preproc_else_token1] = ACTIONS(6004),
    [aux_sym_preproc_elif_token1] = ACTIONS(6002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6004),
    [anon_sym_LPAREN2] = ACTIONS(6004),
    [anon_sym_DASH] = ACTIONS(6002),
    [anon_sym_PLUS] = ACTIONS(6002),
    [anon_sym_STAR] = ACTIONS(6002),
    [anon_sym_SLASH] = ACTIONS(6002),
    [anon_sym_PERCENT] = ACTIONS(6002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6004),
    [anon_sym_AMP_AMP] = ACTIONS(6004),
    [anon_sym_PIPE] = ACTIONS(6002),
    [anon_sym_CARET] = ACTIONS(6002),
    [anon_sym_AMP] = ACTIONS(6002),
    [anon_sym_EQ_EQ] = ACTIONS(6004),
    [anon_sym_BANG_EQ] = ACTIONS(6004),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_GT_EQ] = ACTIONS(6004),
    [anon_sym_LT_EQ] = ACTIONS(6002),
    [anon_sym_LT] = ACTIONS(6002),
    [anon_sym_LT_LT] = ACTIONS(6002),
    [anon_sym_GT_GT] = ACTIONS(6002),
    [anon_sym_COLON] = ACTIONS(6004),
    [anon_sym_SEMI] = ACTIONS(6004),
    [anon_sym___attribute__] = ACTIONS(6002),
    [anon_sym___attribute] = ACTIONS(6002),
    [anon_sym_LBRACE] = ACTIONS(6004),
    [anon_sym_RBRACE] = ACTIONS(6004),
    [anon_sym_LBRACK] = ACTIONS(6004),
    [anon_sym_RBRACK] = ACTIONS(6004),
    [anon_sym_EQ] = ACTIONS(6002),
    [anon_sym_QMARK] = ACTIONS(6004),
    [anon_sym_STAR_EQ] = ACTIONS(6004),
    [anon_sym_SLASH_EQ] = ACTIONS(6004),
    [anon_sym_PERCENT_EQ] = ACTIONS(6004),
    [anon_sym_PLUS_EQ] = ACTIONS(6004),
    [anon_sym_DASH_EQ] = ACTIONS(6004),
    [anon_sym_LT_LT_EQ] = ACTIONS(6004),
    [anon_sym_GT_GT_EQ] = ACTIONS(6004),
    [anon_sym_AMP_EQ] = ACTIONS(6004),
    [anon_sym_CARET_EQ] = ACTIONS(6004),
    [anon_sym_PIPE_EQ] = ACTIONS(6004),
    [anon_sym_and_eq] = ACTIONS(6002),
    [anon_sym_or_eq] = ACTIONS(6002),
    [anon_sym_xor_eq] = ACTIONS(6002),
    [anon_sym_LT_EQ_GT] = ACTIONS(6004),
    [anon_sym_or] = ACTIONS(6002),
    [anon_sym_and] = ACTIONS(6002),
    [anon_sym_bitor] = ACTIONS(6002),
    [anon_sym_xor] = ACTIONS(6002),
    [anon_sym_bitand] = ACTIONS(6002),
    [anon_sym_not_eq] = ACTIONS(6002),
    [anon_sym_DASH_DASH] = ACTIONS(6004),
    [anon_sym_PLUS_PLUS] = ACTIONS(6004),
    [anon_sym_DOT] = ACTIONS(6002),
    [anon_sym_DOT_STAR] = ACTIONS(6004),
    [anon_sym_DASH_GT] = ACTIONS(6004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6002),
    [anon_sym_decltype] = ACTIONS(6002),
  },
  [2747] = {
    [sym_argument_list] = STATE(2888),
    [sym_initializer_list] = STATE(2888),
    [sym_identifier] = ACTIONS(6726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6728),
    [anon_sym_COMMA] = ACTIONS(6728),
    [anon_sym_RPAREN] = ACTIONS(6728),
    [aux_sym_preproc_if_token2] = ACTIONS(6728),
    [aux_sym_preproc_else_token1] = ACTIONS(6728),
    [aux_sym_preproc_elif_token1] = ACTIONS(6726),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6728),
    [anon_sym_LPAREN2] = ACTIONS(6409),
    [anon_sym_DASH] = ACTIONS(6726),
    [anon_sym_PLUS] = ACTIONS(6726),
    [anon_sym_STAR] = ACTIONS(6726),
    [anon_sym_SLASH] = ACTIONS(6726),
    [anon_sym_PERCENT] = ACTIONS(6726),
    [anon_sym_PIPE_PIPE] = ACTIONS(6728),
    [anon_sym_AMP_AMP] = ACTIONS(6728),
    [anon_sym_PIPE] = ACTIONS(6726),
    [anon_sym_CARET] = ACTIONS(6726),
    [anon_sym_AMP] = ACTIONS(6726),
    [anon_sym_EQ_EQ] = ACTIONS(6728),
    [anon_sym_BANG_EQ] = ACTIONS(6728),
    [anon_sym_GT] = ACTIONS(6726),
    [anon_sym_GT_EQ] = ACTIONS(6728),
    [anon_sym_LT_EQ] = ACTIONS(6726),
    [anon_sym_LT] = ACTIONS(6726),
    [anon_sym_LT_LT] = ACTIONS(6726),
    [anon_sym_GT_GT] = ACTIONS(6726),
    [anon_sym_COLON] = ACTIONS(6728),
    [anon_sym_SEMI] = ACTIONS(6728),
    [anon_sym___attribute__] = ACTIONS(6726),
    [anon_sym___attribute] = ACTIONS(6726),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_RBRACE] = ACTIONS(6728),
    [anon_sym_LBRACK] = ACTIONS(6728),
    [anon_sym_RBRACK] = ACTIONS(6728),
    [anon_sym_EQ] = ACTIONS(6726),
    [anon_sym_QMARK] = ACTIONS(6728),
    [anon_sym_STAR_EQ] = ACTIONS(6728),
    [anon_sym_SLASH_EQ] = ACTIONS(6728),
    [anon_sym_PERCENT_EQ] = ACTIONS(6728),
    [anon_sym_PLUS_EQ] = ACTIONS(6728),
    [anon_sym_DASH_EQ] = ACTIONS(6728),
    [anon_sym_LT_LT_EQ] = ACTIONS(6728),
    [anon_sym_GT_GT_EQ] = ACTIONS(6728),
    [anon_sym_AMP_EQ] = ACTIONS(6728),
    [anon_sym_CARET_EQ] = ACTIONS(6728),
    [anon_sym_PIPE_EQ] = ACTIONS(6728),
    [anon_sym_and_eq] = ACTIONS(6726),
    [anon_sym_or_eq] = ACTIONS(6726),
    [anon_sym_xor_eq] = ACTIONS(6726),
    [anon_sym_LT_EQ_GT] = ACTIONS(6728),
    [anon_sym_or] = ACTIONS(6726),
    [anon_sym_and] = ACTIONS(6726),
    [anon_sym_bitor] = ACTIONS(6726),
    [anon_sym_xor] = ACTIONS(6726),
    [anon_sym_bitand] = ACTIONS(6726),
    [anon_sym_not_eq] = ACTIONS(6726),
    [anon_sym_DASH_DASH] = ACTIONS(6728),
    [anon_sym_PLUS_PLUS] = ACTIONS(6728),
    [anon_sym_DOT] = ACTIONS(6726),
    [anon_sym_DOT_STAR] = ACTIONS(6728),
    [anon_sym_DASH_GT] = ACTIONS(6728),
    [sym_comment] = ACTIONS(3),
  },
  [2748] = {
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5856),
    [anon_sym_COMMA] = ACTIONS(5856),
    [anon_sym_RPAREN] = ACTIONS(5856),
    [aux_sym_preproc_if_token2] = ACTIONS(5856),
    [aux_sym_preproc_else_token1] = ACTIONS(5856),
    [aux_sym_preproc_elif_token1] = ACTIONS(5854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5856),
    [anon_sym_LPAREN2] = ACTIONS(5856),
    [anon_sym_DASH] = ACTIONS(5854),
    [anon_sym_PLUS] = ACTIONS(5854),
    [anon_sym_STAR] = ACTIONS(5854),
    [anon_sym_SLASH] = ACTIONS(5854),
    [anon_sym_PERCENT] = ACTIONS(5854),
    [anon_sym_PIPE_PIPE] = ACTIONS(5856),
    [anon_sym_AMP_AMP] = ACTIONS(5856),
    [anon_sym_PIPE] = ACTIONS(5854),
    [anon_sym_CARET] = ACTIONS(5854),
    [anon_sym_AMP] = ACTIONS(5854),
    [anon_sym_EQ_EQ] = ACTIONS(5856),
    [anon_sym_BANG_EQ] = ACTIONS(5856),
    [anon_sym_GT] = ACTIONS(5854),
    [anon_sym_GT_EQ] = ACTIONS(5856),
    [anon_sym_LT_EQ] = ACTIONS(5854),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5854),
    [anon_sym_GT_GT] = ACTIONS(5854),
    [anon_sym_COLON] = ACTIONS(5856),
    [anon_sym_SEMI] = ACTIONS(5856),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5854),
    [anon_sym_LBRACE] = ACTIONS(5856),
    [anon_sym_RBRACE] = ACTIONS(5856),
    [anon_sym_LBRACK] = ACTIONS(5856),
    [anon_sym_RBRACK] = ACTIONS(5856),
    [anon_sym_EQ] = ACTIONS(5854),
    [anon_sym_QMARK] = ACTIONS(5856),
    [anon_sym_STAR_EQ] = ACTIONS(5856),
    [anon_sym_SLASH_EQ] = ACTIONS(5856),
    [anon_sym_PERCENT_EQ] = ACTIONS(5856),
    [anon_sym_PLUS_EQ] = ACTIONS(5856),
    [anon_sym_DASH_EQ] = ACTIONS(5856),
    [anon_sym_LT_LT_EQ] = ACTIONS(5856),
    [anon_sym_GT_GT_EQ] = ACTIONS(5856),
    [anon_sym_AMP_EQ] = ACTIONS(5856),
    [anon_sym_CARET_EQ] = ACTIONS(5856),
    [anon_sym_PIPE_EQ] = ACTIONS(5856),
    [anon_sym_and_eq] = ACTIONS(5854),
    [anon_sym_or_eq] = ACTIONS(5854),
    [anon_sym_xor_eq] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5856),
    [anon_sym_or] = ACTIONS(5854),
    [anon_sym_and] = ACTIONS(5854),
    [anon_sym_bitor] = ACTIONS(5854),
    [anon_sym_xor] = ACTIONS(5854),
    [anon_sym_bitand] = ACTIONS(5854),
    [anon_sym_not_eq] = ACTIONS(5854),
    [anon_sym_DASH_DASH] = ACTIONS(5856),
    [anon_sym_PLUS_PLUS] = ACTIONS(5856),
    [anon_sym_DOT] = ACTIONS(5854),
    [anon_sym_DOT_STAR] = ACTIONS(5856),
    [anon_sym_DASH_GT] = ACTIONS(5856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5854),
    [anon_sym_decltype] = ACTIONS(5854),
  },
  [2749] = {
    [sym_identifier] = ACTIONS(5858),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5860),
    [anon_sym_COMMA] = ACTIONS(5860),
    [anon_sym_RPAREN] = ACTIONS(5860),
    [aux_sym_preproc_if_token2] = ACTIONS(5860),
    [aux_sym_preproc_else_token1] = ACTIONS(5860),
    [aux_sym_preproc_elif_token1] = ACTIONS(5858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5860),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5860),
    [anon_sym_LPAREN2] = ACTIONS(5860),
    [anon_sym_DASH] = ACTIONS(5858),
    [anon_sym_PLUS] = ACTIONS(5858),
    [anon_sym_STAR] = ACTIONS(5858),
    [anon_sym_SLASH] = ACTIONS(5858),
    [anon_sym_PERCENT] = ACTIONS(5858),
    [anon_sym_PIPE_PIPE] = ACTIONS(5860),
    [anon_sym_AMP_AMP] = ACTIONS(5860),
    [anon_sym_PIPE] = ACTIONS(5858),
    [anon_sym_CARET] = ACTIONS(5858),
    [anon_sym_AMP] = ACTIONS(5858),
    [anon_sym_EQ_EQ] = ACTIONS(5860),
    [anon_sym_BANG_EQ] = ACTIONS(5860),
    [anon_sym_GT] = ACTIONS(5858),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_LT_EQ] = ACTIONS(5858),
    [anon_sym_LT] = ACTIONS(5858),
    [anon_sym_LT_LT] = ACTIONS(5858),
    [anon_sym_GT_GT] = ACTIONS(5858),
    [anon_sym_COLON] = ACTIONS(5860),
    [anon_sym_SEMI] = ACTIONS(5860),
    [anon_sym___attribute__] = ACTIONS(5858),
    [anon_sym___attribute] = ACTIONS(5858),
    [anon_sym_LBRACE] = ACTIONS(5860),
    [anon_sym_RBRACE] = ACTIONS(5860),
    [anon_sym_LBRACK] = ACTIONS(5860),
    [anon_sym_RBRACK] = ACTIONS(5860),
    [anon_sym_EQ] = ACTIONS(5858),
    [anon_sym_QMARK] = ACTIONS(5860),
    [anon_sym_STAR_EQ] = ACTIONS(5860),
    [anon_sym_SLASH_EQ] = ACTIONS(5860),
    [anon_sym_PERCENT_EQ] = ACTIONS(5860),
    [anon_sym_PLUS_EQ] = ACTIONS(5860),
    [anon_sym_DASH_EQ] = ACTIONS(5860),
    [anon_sym_LT_LT_EQ] = ACTIONS(5860),
    [anon_sym_GT_GT_EQ] = ACTIONS(5860),
    [anon_sym_AMP_EQ] = ACTIONS(5860),
    [anon_sym_CARET_EQ] = ACTIONS(5860),
    [anon_sym_PIPE_EQ] = ACTIONS(5860),
    [anon_sym_and_eq] = ACTIONS(5858),
    [anon_sym_or_eq] = ACTIONS(5858),
    [anon_sym_xor_eq] = ACTIONS(5858),
    [anon_sym_LT_EQ_GT] = ACTIONS(5860),
    [anon_sym_or] = ACTIONS(5858),
    [anon_sym_and] = ACTIONS(5858),
    [anon_sym_bitor] = ACTIONS(5858),
    [anon_sym_xor] = ACTIONS(5858),
    [anon_sym_bitand] = ACTIONS(5858),
    [anon_sym_not_eq] = ACTIONS(5858),
    [anon_sym_DASH_DASH] = ACTIONS(5860),
    [anon_sym_PLUS_PLUS] = ACTIONS(5860),
    [anon_sym_DOT] = ACTIONS(5858),
    [anon_sym_DOT_STAR] = ACTIONS(5860),
    [anon_sym_DASH_GT] = ACTIONS(5860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5858),
    [anon_sym_decltype] = ACTIONS(5858),
  },
  [2750] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2750),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [aux_sym_preproc_if_token2] = ACTIONS(5590),
    [aux_sym_preproc_else_token1] = ACTIONS(5590),
    [aux_sym_preproc_elif_token1] = ACTIONS(5588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym___attribute] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(6730),
    [anon_sym_unsigned] = ACTIONS(6730),
    [anon_sym_long] = ACTIONS(6730),
    [anon_sym_short] = ACTIONS(6730),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5588),
    [anon_sym_decltype] = ACTIONS(5588),
  },
  [2751] = {
    [sym_identifier] = ACTIONS(5994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [anon_sym_RPAREN] = ACTIONS(5996),
    [aux_sym_preproc_if_token2] = ACTIONS(5996),
    [aux_sym_preproc_else_token1] = ACTIONS(5996),
    [aux_sym_preproc_elif_token1] = ACTIONS(5994),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_DASH] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5994),
    [anon_sym_STAR] = ACTIONS(5994),
    [anon_sym_SLASH] = ACTIONS(5994),
    [anon_sym_PERCENT] = ACTIONS(5994),
    [anon_sym_PIPE_PIPE] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_PIPE] = ACTIONS(5994),
    [anon_sym_CARET] = ACTIONS(5994),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_EQ_EQ] = ACTIONS(5996),
    [anon_sym_BANG_EQ] = ACTIONS(5996),
    [anon_sym_GT] = ACTIONS(5994),
    [anon_sym_GT_EQ] = ACTIONS(5996),
    [anon_sym_LT_EQ] = ACTIONS(5994),
    [anon_sym_LT] = ACTIONS(5994),
    [anon_sym_LT_LT] = ACTIONS(5994),
    [anon_sym_GT_GT] = ACTIONS(5994),
    [anon_sym_COLON] = ACTIONS(5996),
    [anon_sym_SEMI] = ACTIONS(5996),
    [anon_sym___attribute__] = ACTIONS(5994),
    [anon_sym___attribute] = ACTIONS(5994),
    [anon_sym_LBRACE] = ACTIONS(5996),
    [anon_sym_RBRACE] = ACTIONS(5996),
    [anon_sym_LBRACK] = ACTIONS(5996),
    [anon_sym_RBRACK] = ACTIONS(5996),
    [anon_sym_EQ] = ACTIONS(5994),
    [anon_sym_QMARK] = ACTIONS(5996),
    [anon_sym_STAR_EQ] = ACTIONS(5996),
    [anon_sym_SLASH_EQ] = ACTIONS(5996),
    [anon_sym_PERCENT_EQ] = ACTIONS(5996),
    [anon_sym_PLUS_EQ] = ACTIONS(5996),
    [anon_sym_DASH_EQ] = ACTIONS(5996),
    [anon_sym_LT_LT_EQ] = ACTIONS(5996),
    [anon_sym_GT_GT_EQ] = ACTIONS(5996),
    [anon_sym_AMP_EQ] = ACTIONS(5996),
    [anon_sym_CARET_EQ] = ACTIONS(5996),
    [anon_sym_PIPE_EQ] = ACTIONS(5996),
    [anon_sym_and_eq] = ACTIONS(5994),
    [anon_sym_or_eq] = ACTIONS(5994),
    [anon_sym_xor_eq] = ACTIONS(5994),
    [anon_sym_LT_EQ_GT] = ACTIONS(5996),
    [anon_sym_or] = ACTIONS(5994),
    [anon_sym_and] = ACTIONS(5994),
    [anon_sym_bitor] = ACTIONS(5994),
    [anon_sym_xor] = ACTIONS(5994),
    [anon_sym_bitand] = ACTIONS(5994),
    [anon_sym_not_eq] = ACTIONS(5994),
    [anon_sym_DASH_DASH] = ACTIONS(5996),
    [anon_sym_PLUS_PLUS] = ACTIONS(5996),
    [anon_sym_DOT] = ACTIONS(5994),
    [anon_sym_DOT_STAR] = ACTIONS(5996),
    [anon_sym_DASH_GT] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5994),
    [anon_sym_decltype] = ACTIONS(5994),
  },
  [2752] = {
    [sym_identifier] = ACTIONS(5920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5922),
    [anon_sym_COMMA] = ACTIONS(5922),
    [anon_sym_RPAREN] = ACTIONS(5922),
    [aux_sym_preproc_if_token2] = ACTIONS(5922),
    [aux_sym_preproc_else_token1] = ACTIONS(5922),
    [aux_sym_preproc_elif_token1] = ACTIONS(5920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5922),
    [anon_sym_LPAREN2] = ACTIONS(5922),
    [anon_sym_DASH] = ACTIONS(5920),
    [anon_sym_PLUS] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5920),
    [anon_sym_SLASH] = ACTIONS(5920),
    [anon_sym_PERCENT] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_PIPE] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5920),
    [anon_sym_AMP] = ACTIONS(5920),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5920),
    [anon_sym_GT_EQ] = ACTIONS(5922),
    [anon_sym_LT_EQ] = ACTIONS(5920),
    [anon_sym_LT] = ACTIONS(5920),
    [anon_sym_LT_LT] = ACTIONS(5920),
    [anon_sym_GT_GT] = ACTIONS(5920),
    [anon_sym_COLON] = ACTIONS(5922),
    [anon_sym_SEMI] = ACTIONS(5922),
    [anon_sym___attribute__] = ACTIONS(5920),
    [anon_sym___attribute] = ACTIONS(5920),
    [anon_sym_LBRACE] = ACTIONS(5922),
    [anon_sym_RBRACE] = ACTIONS(5922),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym_RBRACK] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_STAR_EQ] = ACTIONS(5922),
    [anon_sym_SLASH_EQ] = ACTIONS(5922),
    [anon_sym_PERCENT_EQ] = ACTIONS(5922),
    [anon_sym_PLUS_EQ] = ACTIONS(5922),
    [anon_sym_DASH_EQ] = ACTIONS(5922),
    [anon_sym_LT_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT_GT_EQ] = ACTIONS(5922),
    [anon_sym_AMP_EQ] = ACTIONS(5922),
    [anon_sym_CARET_EQ] = ACTIONS(5922),
    [anon_sym_PIPE_EQ] = ACTIONS(5922),
    [anon_sym_and_eq] = ACTIONS(5920),
    [anon_sym_or_eq] = ACTIONS(5920),
    [anon_sym_xor_eq] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5920),
    [anon_sym_bitor] = ACTIONS(5920),
    [anon_sym_xor] = ACTIONS(5920),
    [anon_sym_bitand] = ACTIONS(5920),
    [anon_sym_not_eq] = ACTIONS(5920),
    [anon_sym_DASH_DASH] = ACTIONS(5922),
    [anon_sym_PLUS_PLUS] = ACTIONS(5922),
    [anon_sym_DOT] = ACTIONS(5920),
    [anon_sym_DOT_STAR] = ACTIONS(5922),
    [anon_sym_DASH_GT] = ACTIONS(5922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5920),
    [anon_sym_decltype] = ACTIONS(5920),
  },
  [2753] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6593),
    [anon_sym_COMMA] = ACTIONS(6733),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_RBRACK] = ACTIONS(6735),
    [anon_sym_EQ] = ACTIONS(6603),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(6591),
    [anon_sym_SLASH_EQ] = ACTIONS(6591),
    [anon_sym_PERCENT_EQ] = ACTIONS(6591),
    [anon_sym_PLUS_EQ] = ACTIONS(6591),
    [anon_sym_DASH_EQ] = ACTIONS(6591),
    [anon_sym_LT_LT_EQ] = ACTIONS(6591),
    [anon_sym_GT_GT_EQ] = ACTIONS(6591),
    [anon_sym_AMP_EQ] = ACTIONS(6591),
    [anon_sym_CARET_EQ] = ACTIONS(6591),
    [anon_sym_PIPE_EQ] = ACTIONS(6591),
    [anon_sym_and_eq] = ACTIONS(6591),
    [anon_sym_or_eq] = ACTIONS(6591),
    [anon_sym_xor_eq] = ACTIONS(6591),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2754] = {
    [sym_string_literal] = STATE(2701),
    [sym_template_argument_list] = STATE(3596),
    [sym_raw_string_literal] = STATE(2701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4078),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(6738),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(4070),
    [anon_sym_SLASH_EQ] = ACTIONS(4070),
    [anon_sym_PERCENT_EQ] = ACTIONS(4070),
    [anon_sym_PLUS_EQ] = ACTIONS(4070),
    [anon_sym_DASH_EQ] = ACTIONS(4070),
    [anon_sym_LT_LT_EQ] = ACTIONS(4070),
    [anon_sym_GT_GT_EQ] = ACTIONS(4078),
    [anon_sym_AMP_EQ] = ACTIONS(4070),
    [anon_sym_CARET_EQ] = ACTIONS(4070),
    [anon_sym_PIPE_EQ] = ACTIONS(4070),
    [anon_sym_and_eq] = ACTIONS(4070),
    [anon_sym_or_eq] = ACTIONS(4070),
    [anon_sym_xor_eq] = ACTIONS(4070),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(6666),
    [anon_sym_u_DQUOTE] = ACTIONS(6666),
    [anon_sym_U_DQUOTE] = ACTIONS(6666),
    [anon_sym_u8_DQUOTE] = ACTIONS(6666),
    [anon_sym_DQUOTE] = ACTIONS(6666),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4070),
    [anon_sym_R_DQUOTE] = ACTIONS(6668),
    [anon_sym_LR_DQUOTE] = ACTIONS(6668),
    [anon_sym_uR_DQUOTE] = ACTIONS(6668),
    [anon_sym_UR_DQUOTE] = ACTIONS(6668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6668),
  },
  [2755] = {
    [sym_identifier] = ACTIONS(5456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5458),
    [anon_sym_COMMA] = ACTIONS(5458),
    [anon_sym_RPAREN] = ACTIONS(5458),
    [aux_sym_preproc_if_token2] = ACTIONS(5458),
    [aux_sym_preproc_else_token1] = ACTIONS(5458),
    [aux_sym_preproc_elif_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5458),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_DASH] = ACTIONS(5456),
    [anon_sym_PLUS] = ACTIONS(5456),
    [anon_sym_STAR] = ACTIONS(5456),
    [anon_sym_SLASH] = ACTIONS(5456),
    [anon_sym_PERCENT] = ACTIONS(5456),
    [anon_sym_PIPE_PIPE] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_PIPE] = ACTIONS(5456),
    [anon_sym_CARET] = ACTIONS(5456),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_EQ_EQ] = ACTIONS(5458),
    [anon_sym_BANG_EQ] = ACTIONS(5458),
    [anon_sym_GT] = ACTIONS(5456),
    [anon_sym_GT_EQ] = ACTIONS(5458),
    [anon_sym_LT_EQ] = ACTIONS(5456),
    [anon_sym_LT] = ACTIONS(5456),
    [anon_sym_LT_LT] = ACTIONS(5456),
    [anon_sym_GT_GT] = ACTIONS(5456),
    [anon_sym_COLON] = ACTIONS(5458),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_LBRACE] = ACTIONS(5458),
    [anon_sym_RBRACE] = ACTIONS(5458),
    [anon_sym_LBRACK] = ACTIONS(5458),
    [anon_sym_RBRACK] = ACTIONS(5458),
    [anon_sym_EQ] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5458),
    [anon_sym_STAR_EQ] = ACTIONS(5458),
    [anon_sym_SLASH_EQ] = ACTIONS(5458),
    [anon_sym_PERCENT_EQ] = ACTIONS(5458),
    [anon_sym_PLUS_EQ] = ACTIONS(5458),
    [anon_sym_DASH_EQ] = ACTIONS(5458),
    [anon_sym_LT_LT_EQ] = ACTIONS(5458),
    [anon_sym_GT_GT_EQ] = ACTIONS(5458),
    [anon_sym_AMP_EQ] = ACTIONS(5458),
    [anon_sym_CARET_EQ] = ACTIONS(5458),
    [anon_sym_PIPE_EQ] = ACTIONS(5458),
    [anon_sym_and_eq] = ACTIONS(5456),
    [anon_sym_or_eq] = ACTIONS(5456),
    [anon_sym_xor_eq] = ACTIONS(5456),
    [anon_sym_LT_EQ_GT] = ACTIONS(5458),
    [anon_sym_or] = ACTIONS(5456),
    [anon_sym_and] = ACTIONS(5456),
    [anon_sym_bitor] = ACTIONS(5456),
    [anon_sym_xor] = ACTIONS(5456),
    [anon_sym_bitand] = ACTIONS(5456),
    [anon_sym_not_eq] = ACTIONS(5456),
    [anon_sym_DASH_DASH] = ACTIONS(5458),
    [anon_sym_PLUS_PLUS] = ACTIONS(5458),
    [anon_sym_DOT] = ACTIONS(5456),
    [anon_sym_DOT_STAR] = ACTIONS(5458),
    [anon_sym_DASH_GT] = ACTIONS(5458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
  },
  [2756] = {
    [sym_template_argument_list] = STATE(2574),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2659),
    [sym_identifier] = ACTIONS(4068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(4076),
    [aux_sym_preproc_if_token2] = ACTIONS(4076),
    [aux_sym_preproc_else_token1] = ACTIONS(4076),
    [aux_sym_preproc_elif_token1] = ACTIONS(4068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4068),
    [anon_sym_PLUS] = ACTIONS(4068),
    [anon_sym_STAR] = ACTIONS(4068),
    [anon_sym_SLASH] = ACTIONS(4068),
    [anon_sym_PERCENT] = ACTIONS(4068),
    [anon_sym_PIPE_PIPE] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4068),
    [anon_sym_CARET] = ACTIONS(4068),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_EQ_EQ] = ACTIONS(4076),
    [anon_sym_BANG_EQ] = ACTIONS(4076),
    [anon_sym_GT] = ACTIONS(4068),
    [anon_sym_GT_EQ] = ACTIONS(4076),
    [anon_sym_LT_EQ] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(6403),
    [anon_sym_LT_LT] = ACTIONS(4068),
    [anon_sym_GT_GT] = ACTIONS(4068),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(4076),
    [anon_sym_signed] = ACTIONS(6518),
    [anon_sym_unsigned] = ACTIONS(6518),
    [anon_sym_long] = ACTIONS(6518),
    [anon_sym_short] = ACTIONS(6518),
    [anon_sym_LBRACK] = ACTIONS(4076),
    [anon_sym_EQ] = ACTIONS(4068),
    [anon_sym_QMARK] = ACTIONS(4076),
    [anon_sym_STAR_EQ] = ACTIONS(4076),
    [anon_sym_SLASH_EQ] = ACTIONS(4076),
    [anon_sym_PERCENT_EQ] = ACTIONS(4076),
    [anon_sym_PLUS_EQ] = ACTIONS(4076),
    [anon_sym_DASH_EQ] = ACTIONS(4076),
    [anon_sym_LT_LT_EQ] = ACTIONS(4076),
    [anon_sym_GT_GT_EQ] = ACTIONS(4076),
    [anon_sym_AMP_EQ] = ACTIONS(4076),
    [anon_sym_CARET_EQ] = ACTIONS(4076),
    [anon_sym_PIPE_EQ] = ACTIONS(4076),
    [anon_sym_and_eq] = ACTIONS(4068),
    [anon_sym_or_eq] = ACTIONS(4068),
    [anon_sym_xor_eq] = ACTIONS(4068),
    [anon_sym_LT_EQ_GT] = ACTIONS(4076),
    [anon_sym_or] = ACTIONS(4068),
    [anon_sym_and] = ACTIONS(4068),
    [anon_sym_bitor] = ACTIONS(4068),
    [anon_sym_xor] = ACTIONS(4068),
    [anon_sym_bitand] = ACTIONS(4068),
    [anon_sym_not_eq] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4076),
    [anon_sym_PLUS_PLUS] = ACTIONS(4076),
    [anon_sym_DOT] = ACTIONS(4068),
    [anon_sym_DOT_STAR] = ACTIONS(4076),
    [anon_sym_DASH_GT] = ACTIONS(4076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4068),
    [anon_sym_decltype] = ACTIONS(4068),
  },
  [2757] = {
    [sym_identifier] = ACTIONS(6741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6743),
    [anon_sym_COMMA] = ACTIONS(6743),
    [anon_sym_RPAREN] = ACTIONS(6743),
    [aux_sym_preproc_if_token2] = ACTIONS(6743),
    [aux_sym_preproc_else_token1] = ACTIONS(6743),
    [aux_sym_preproc_elif_token1] = ACTIONS(6741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6743),
    [anon_sym_LPAREN2] = ACTIONS(6743),
    [anon_sym_DASH] = ACTIONS(6741),
    [anon_sym_PLUS] = ACTIONS(6741),
    [anon_sym_STAR] = ACTIONS(6741),
    [anon_sym_SLASH] = ACTIONS(6741),
    [anon_sym_PERCENT] = ACTIONS(6741),
    [anon_sym_PIPE_PIPE] = ACTIONS(6743),
    [anon_sym_AMP_AMP] = ACTIONS(6743),
    [anon_sym_PIPE] = ACTIONS(6741),
    [anon_sym_CARET] = ACTIONS(6741),
    [anon_sym_AMP] = ACTIONS(6741),
    [anon_sym_EQ_EQ] = ACTIONS(6743),
    [anon_sym_BANG_EQ] = ACTIONS(6743),
    [anon_sym_GT] = ACTIONS(6741),
    [anon_sym_GT_EQ] = ACTIONS(6743),
    [anon_sym_LT_EQ] = ACTIONS(6741),
    [anon_sym_LT] = ACTIONS(6741),
    [anon_sym_LT_LT] = ACTIONS(6741),
    [anon_sym_GT_GT] = ACTIONS(6741),
    [anon_sym_COLON] = ACTIONS(6743),
    [anon_sym_SEMI] = ACTIONS(6743),
    [anon_sym___attribute__] = ACTIONS(6741),
    [anon_sym___attribute] = ACTIONS(6741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6743),
    [anon_sym_LBRACE] = ACTIONS(6743),
    [anon_sym_RBRACE] = ACTIONS(6743),
    [anon_sym_LBRACK] = ACTIONS(6741),
    [anon_sym_RBRACK] = ACTIONS(6743),
    [anon_sym_EQ] = ACTIONS(6741),
    [anon_sym_QMARK] = ACTIONS(6743),
    [anon_sym_STAR_EQ] = ACTIONS(6743),
    [anon_sym_SLASH_EQ] = ACTIONS(6743),
    [anon_sym_PERCENT_EQ] = ACTIONS(6743),
    [anon_sym_PLUS_EQ] = ACTIONS(6743),
    [anon_sym_DASH_EQ] = ACTIONS(6743),
    [anon_sym_LT_LT_EQ] = ACTIONS(6743),
    [anon_sym_GT_GT_EQ] = ACTIONS(6743),
    [anon_sym_AMP_EQ] = ACTIONS(6743),
    [anon_sym_CARET_EQ] = ACTIONS(6743),
    [anon_sym_PIPE_EQ] = ACTIONS(6743),
    [anon_sym_and_eq] = ACTIONS(6741),
    [anon_sym_or_eq] = ACTIONS(6741),
    [anon_sym_xor_eq] = ACTIONS(6741),
    [anon_sym_LT_EQ_GT] = ACTIONS(6743),
    [anon_sym_or] = ACTIONS(6741),
    [anon_sym_and] = ACTIONS(6741),
    [anon_sym_bitor] = ACTIONS(6741),
    [anon_sym_xor] = ACTIONS(6741),
    [anon_sym_bitand] = ACTIONS(6741),
    [anon_sym_not_eq] = ACTIONS(6741),
    [anon_sym_DASH_DASH] = ACTIONS(6743),
    [anon_sym_PLUS_PLUS] = ACTIONS(6743),
    [anon_sym_DOT] = ACTIONS(6741),
    [anon_sym_DOT_STAR] = ACTIONS(6743),
    [anon_sym_DASH_GT] = ACTIONS(6743),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6741),
  },
  [2758] = {
    [sym_string_literal] = STATE(3009),
    [sym_template_argument_list] = STATE(3801),
    [sym_raw_string_literal] = STATE(3009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4070),
    [anon_sym_COMMA] = ACTIONS(4070),
    [anon_sym_LPAREN2] = ACTIONS(4070),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4070),
    [anon_sym_AMP_AMP] = ACTIONS(4070),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4070),
    [anon_sym_BANG_EQ] = ACTIONS(4070),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4070),
    [anon_sym_LT_EQ] = ACTIONS(4078),
    [anon_sym_LT] = ACTIONS(5632),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4078),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(6745),
    [anon_sym_QMARK] = ACTIONS(4070),
    [anon_sym_STAR_EQ] = ACTIONS(6747),
    [anon_sym_SLASH_EQ] = ACTIONS(6747),
    [anon_sym_PERCENT_EQ] = ACTIONS(6747),
    [anon_sym_PLUS_EQ] = ACTIONS(6747),
    [anon_sym_DASH_EQ] = ACTIONS(6747),
    [anon_sym_LT_LT_EQ] = ACTIONS(6747),
    [anon_sym_GT_GT_EQ] = ACTIONS(6747),
    [anon_sym_AMP_EQ] = ACTIONS(6747),
    [anon_sym_CARET_EQ] = ACTIONS(6747),
    [anon_sym_PIPE_EQ] = ACTIONS(6747),
    [anon_sym_and_eq] = ACTIONS(6747),
    [anon_sym_or_eq] = ACTIONS(6747),
    [anon_sym_xor_eq] = ACTIONS(6747),
    [anon_sym_LT_EQ_GT] = ACTIONS(4070),
    [anon_sym_or] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_bitor] = ACTIONS(4070),
    [anon_sym_xor] = ACTIONS(4078),
    [anon_sym_bitand] = ACTIONS(4070),
    [anon_sym_not_eq] = ACTIONS(4070),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DOT_STAR] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4070),
    [anon_sym_L_DQUOTE] = ACTIONS(4104),
    [anon_sym_u_DQUOTE] = ACTIONS(4104),
    [anon_sym_U_DQUOTE] = ACTIONS(4104),
    [anon_sym_u8_DQUOTE] = ACTIONS(4104),
    [anon_sym_DQUOTE] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4106),
    [anon_sym_LR_DQUOTE] = ACTIONS(4106),
    [anon_sym_uR_DQUOTE] = ACTIONS(4106),
    [anon_sym_UR_DQUOTE] = ACTIONS(4106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4106),
  },
  [2759] = {
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [aux_sym_preproc_if_token2] = ACTIONS(5930),
    [aux_sym_preproc_else_token1] = ACTIONS(5930),
    [aux_sym_preproc_elif_token1] = ACTIONS(5928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5928),
    [anon_sym_STAR] = ACTIONS(5928),
    [anon_sym_SLASH] = ACTIONS(5928),
    [anon_sym_PERCENT] = ACTIONS(5928),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5928),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_EQ_EQ] = ACTIONS(5930),
    [anon_sym_BANG_EQ] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5928),
    [anon_sym_GT_EQ] = ACTIONS(5930),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_LT_LT] = ACTIONS(5928),
    [anon_sym_GT_GT] = ACTIONS(5928),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___attribute__] = ACTIONS(5928),
    [anon_sym___attribute] = ACTIONS(5928),
    [anon_sym_LBRACE] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACK] = ACTIONS(5930),
    [anon_sym_EQ] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5930),
    [anon_sym_STAR_EQ] = ACTIONS(5930),
    [anon_sym_SLASH_EQ] = ACTIONS(5930),
    [anon_sym_PERCENT_EQ] = ACTIONS(5930),
    [anon_sym_PLUS_EQ] = ACTIONS(5930),
    [anon_sym_DASH_EQ] = ACTIONS(5930),
    [anon_sym_LT_LT_EQ] = ACTIONS(5930),
    [anon_sym_GT_GT_EQ] = ACTIONS(5930),
    [anon_sym_AMP_EQ] = ACTIONS(5930),
    [anon_sym_CARET_EQ] = ACTIONS(5930),
    [anon_sym_PIPE_EQ] = ACTIONS(5930),
    [anon_sym_and_eq] = ACTIONS(5928),
    [anon_sym_or_eq] = ACTIONS(5928),
    [anon_sym_xor_eq] = ACTIONS(5928),
    [anon_sym_LT_EQ_GT] = ACTIONS(5930),
    [anon_sym_or] = ACTIONS(5928),
    [anon_sym_and] = ACTIONS(5928),
    [anon_sym_bitor] = ACTIONS(5928),
    [anon_sym_xor] = ACTIONS(5928),
    [anon_sym_bitand] = ACTIONS(5928),
    [anon_sym_not_eq] = ACTIONS(5928),
    [anon_sym_DASH_DASH] = ACTIONS(5930),
    [anon_sym_PLUS_PLUS] = ACTIONS(5930),
    [anon_sym_DOT] = ACTIONS(5928),
    [anon_sym_DOT_STAR] = ACTIONS(5930),
    [anon_sym_DASH_GT] = ACTIONS(5930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
  },
  [2760] = {
    [sym_attribute_specifier] = STATE(2722),
    [sym_enumerator_list] = STATE(2645),
    [sym__enum_base_clause] = STATE(2588),
    [sym_identifier] = ACTIONS(6170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6172),
    [anon_sym_COMMA] = ACTIONS(6172),
    [aux_sym_preproc_if_token2] = ACTIONS(6172),
    [aux_sym_preproc_else_token1] = ACTIONS(6172),
    [aux_sym_preproc_elif_token1] = ACTIONS(6170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6172),
    [anon_sym_LPAREN2] = ACTIONS(6172),
    [anon_sym_DASH] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6170),
    [anon_sym_STAR] = ACTIONS(6170),
    [anon_sym_SLASH] = ACTIONS(6170),
    [anon_sym_PERCENT] = ACTIONS(6170),
    [anon_sym_PIPE_PIPE] = ACTIONS(6172),
    [anon_sym_AMP_AMP] = ACTIONS(6172),
    [anon_sym_PIPE] = ACTIONS(6170),
    [anon_sym_CARET] = ACTIONS(6170),
    [anon_sym_AMP] = ACTIONS(6170),
    [anon_sym_EQ_EQ] = ACTIONS(6172),
    [anon_sym_BANG_EQ] = ACTIONS(6172),
    [anon_sym_GT] = ACTIONS(6170),
    [anon_sym_GT_EQ] = ACTIONS(6172),
    [anon_sym_LT_EQ] = ACTIONS(6170),
    [anon_sym_LT] = ACTIONS(6170),
    [anon_sym_LT_LT] = ACTIONS(6170),
    [anon_sym_GT_GT] = ACTIONS(6170),
    [anon_sym_COLON] = ACTIONS(6749),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6469),
    [anon_sym_LBRACK] = ACTIONS(6172),
    [anon_sym_EQ] = ACTIONS(6170),
    [anon_sym_QMARK] = ACTIONS(6172),
    [anon_sym_STAR_EQ] = ACTIONS(6172),
    [anon_sym_SLASH_EQ] = ACTIONS(6172),
    [anon_sym_PERCENT_EQ] = ACTIONS(6172),
    [anon_sym_PLUS_EQ] = ACTIONS(6172),
    [anon_sym_DASH_EQ] = ACTIONS(6172),
    [anon_sym_LT_LT_EQ] = ACTIONS(6172),
    [anon_sym_GT_GT_EQ] = ACTIONS(6172),
    [anon_sym_AMP_EQ] = ACTIONS(6172),
    [anon_sym_CARET_EQ] = ACTIONS(6172),
    [anon_sym_PIPE_EQ] = ACTIONS(6172),
    [anon_sym_and_eq] = ACTIONS(6170),
    [anon_sym_or_eq] = ACTIONS(6170),
    [anon_sym_xor_eq] = ACTIONS(6170),
    [anon_sym_LT_EQ_GT] = ACTIONS(6172),
    [anon_sym_or] = ACTIONS(6170),
    [anon_sym_and] = ACTIONS(6170),
    [anon_sym_bitor] = ACTIONS(6170),
    [anon_sym_xor] = ACTIONS(6170),
    [anon_sym_bitand] = ACTIONS(6170),
    [anon_sym_not_eq] = ACTIONS(6170),
    [anon_sym_DASH_DASH] = ACTIONS(6172),
    [anon_sym_PLUS_PLUS] = ACTIONS(6172),
    [anon_sym_DOT] = ACTIONS(6170),
    [anon_sym_DOT_STAR] = ACTIONS(6172),
    [anon_sym_DASH_GT] = ACTIONS(6172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6170),
    [anon_sym_decltype] = ACTIONS(6170),
  },
  [2761] = {
    [sym_new_declarator] = STATE(2838),
    [sym_identifier] = ACTIONS(6751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6753),
    [anon_sym_COMMA] = ACTIONS(6753),
    [anon_sym_RPAREN] = ACTIONS(6753),
    [aux_sym_preproc_if_token2] = ACTIONS(6753),
    [aux_sym_preproc_else_token1] = ACTIONS(6753),
    [aux_sym_preproc_elif_token1] = ACTIONS(6751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6753),
    [anon_sym_LPAREN2] = ACTIONS(6753),
    [anon_sym_DASH] = ACTIONS(6751),
    [anon_sym_PLUS] = ACTIONS(6751),
    [anon_sym_STAR] = ACTIONS(6751),
    [anon_sym_SLASH] = ACTIONS(6751),
    [anon_sym_PERCENT] = ACTIONS(6751),
    [anon_sym_PIPE_PIPE] = ACTIONS(6753),
    [anon_sym_AMP_AMP] = ACTIONS(6753),
    [anon_sym_PIPE] = ACTIONS(6751),
    [anon_sym_CARET] = ACTIONS(6751),
    [anon_sym_AMP] = ACTIONS(6751),
    [anon_sym_EQ_EQ] = ACTIONS(6753),
    [anon_sym_BANG_EQ] = ACTIONS(6753),
    [anon_sym_GT] = ACTIONS(6751),
    [anon_sym_GT_EQ] = ACTIONS(6753),
    [anon_sym_LT_EQ] = ACTIONS(6751),
    [anon_sym_LT] = ACTIONS(6751),
    [anon_sym_LT_LT] = ACTIONS(6751),
    [anon_sym_GT_GT] = ACTIONS(6751),
    [anon_sym_COLON] = ACTIONS(6753),
    [anon_sym_SEMI] = ACTIONS(6753),
    [anon_sym___attribute__] = ACTIONS(6751),
    [anon_sym___attribute] = ACTIONS(6751),
    [anon_sym_LBRACE] = ACTIONS(6753),
    [anon_sym_RBRACE] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(6411),
    [anon_sym_RBRACK] = ACTIONS(6753),
    [anon_sym_EQ] = ACTIONS(6751),
    [anon_sym_QMARK] = ACTIONS(6753),
    [anon_sym_STAR_EQ] = ACTIONS(6753),
    [anon_sym_SLASH_EQ] = ACTIONS(6753),
    [anon_sym_PERCENT_EQ] = ACTIONS(6753),
    [anon_sym_PLUS_EQ] = ACTIONS(6753),
    [anon_sym_DASH_EQ] = ACTIONS(6753),
    [anon_sym_LT_LT_EQ] = ACTIONS(6753),
    [anon_sym_GT_GT_EQ] = ACTIONS(6753),
    [anon_sym_AMP_EQ] = ACTIONS(6753),
    [anon_sym_CARET_EQ] = ACTIONS(6753),
    [anon_sym_PIPE_EQ] = ACTIONS(6753),
    [anon_sym_and_eq] = ACTIONS(6751),
    [anon_sym_or_eq] = ACTIONS(6751),
    [anon_sym_xor_eq] = ACTIONS(6751),
    [anon_sym_LT_EQ_GT] = ACTIONS(6753),
    [anon_sym_or] = ACTIONS(6751),
    [anon_sym_and] = ACTIONS(6751),
    [anon_sym_bitor] = ACTIONS(6751),
    [anon_sym_xor] = ACTIONS(6751),
    [anon_sym_bitand] = ACTIONS(6751),
    [anon_sym_not_eq] = ACTIONS(6751),
    [anon_sym_DASH_DASH] = ACTIONS(6753),
    [anon_sym_PLUS_PLUS] = ACTIONS(6753),
    [anon_sym_DOT] = ACTIONS(6751),
    [anon_sym_DOT_STAR] = ACTIONS(6753),
    [anon_sym_DASH_GT] = ACTIONS(6753),
    [sym_comment] = ACTIONS(3),
  },
  [2762] = {
    [sym_attribute_specifier] = STATE(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6108),
    [anon_sym_COMMA] = ACTIONS(6108),
    [anon_sym_RPAREN] = ACTIONS(6108),
    [anon_sym_LPAREN2] = ACTIONS(6108),
    [anon_sym_DASH] = ACTIONS(6106),
    [anon_sym_PLUS] = ACTIONS(6106),
    [anon_sym_STAR] = ACTIONS(6108),
    [anon_sym_SLASH] = ACTIONS(6106),
    [anon_sym_PERCENT] = ACTIONS(6108),
    [anon_sym_PIPE_PIPE] = ACTIONS(6108),
    [anon_sym_AMP_AMP] = ACTIONS(6108),
    [anon_sym_PIPE] = ACTIONS(6106),
    [anon_sym_CARET] = ACTIONS(6108),
    [anon_sym_AMP] = ACTIONS(6106),
    [anon_sym_EQ_EQ] = ACTIONS(6108),
    [anon_sym_BANG_EQ] = ACTIONS(6108),
    [anon_sym_GT] = ACTIONS(6106),
    [anon_sym_GT_EQ] = ACTIONS(6108),
    [anon_sym_LT_EQ] = ACTIONS(6106),
    [anon_sym_LT] = ACTIONS(6106),
    [anon_sym_LT_LT] = ACTIONS(6108),
    [anon_sym_GT_GT] = ACTIONS(6108),
    [anon_sym_COLON] = ACTIONS(6108),
    [anon_sym_SEMI] = ACTIONS(6108),
    [anon_sym___extension__] = ACTIONS(6108),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6108),
    [anon_sym_RBRACE] = ACTIONS(6108),
    [anon_sym_LBRACK] = ACTIONS(6108),
    [anon_sym_RBRACK] = ACTIONS(6108),
    [anon_sym_const] = ACTIONS(6106),
    [anon_sym_constexpr] = ACTIONS(6108),
    [anon_sym_volatile] = ACTIONS(6108),
    [anon_sym_restrict] = ACTIONS(6108),
    [anon_sym___restrict__] = ACTIONS(6108),
    [anon_sym__Atomic] = ACTIONS(6108),
    [anon_sym__Noreturn] = ACTIONS(6108),
    [anon_sym_noreturn] = ACTIONS(6108),
    [anon_sym__Nonnull] = ACTIONS(6108),
    [anon_sym_mutable] = ACTIONS(6108),
    [anon_sym_constinit] = ACTIONS(6108),
    [anon_sym_consteval] = ACTIONS(6108),
    [anon_sym_alignas] = ACTIONS(6108),
    [anon_sym__Alignas] = ACTIONS(6108),
    [anon_sym_QMARK] = ACTIONS(6108),
    [anon_sym_LT_EQ_GT] = ACTIONS(6108),
    [anon_sym_or] = ACTIONS(6108),
    [anon_sym_and] = ACTIONS(6108),
    [anon_sym_bitor] = ACTIONS(6108),
    [anon_sym_xor] = ACTIONS(6108),
    [anon_sym_bitand] = ACTIONS(6108),
    [anon_sym_not_eq] = ACTIONS(6108),
    [anon_sym_DASH_DASH] = ACTIONS(6108),
    [anon_sym_PLUS_PLUS] = ACTIONS(6108),
    [anon_sym_DOT] = ACTIONS(6106),
    [anon_sym_DOT_STAR] = ACTIONS(6108),
    [anon_sym_DASH_GT] = ACTIONS(6108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6108),
    [anon_sym_decltype] = ACTIONS(6108),
    [anon_sym_final] = ACTIONS(6108),
    [anon_sym_override] = ACTIONS(6108),
    [anon_sym_requires] = ACTIONS(6108),
  },
  [2763] = {
    [sym_identifier] = ACTIONS(6337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6339),
    [anon_sym_COMMA] = ACTIONS(6339),
    [anon_sym_LPAREN2] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6337),
    [anon_sym_STAR] = ACTIONS(6337),
    [anon_sym_SLASH] = ACTIONS(6337),
    [anon_sym_PERCENT] = ACTIONS(6337),
    [anon_sym_PIPE_PIPE] = ACTIONS(6339),
    [anon_sym_AMP_AMP] = ACTIONS(6339),
    [anon_sym_PIPE] = ACTIONS(6337),
    [anon_sym_CARET] = ACTIONS(6337),
    [anon_sym_AMP] = ACTIONS(6337),
    [anon_sym_EQ_EQ] = ACTIONS(6339),
    [anon_sym_BANG_EQ] = ACTIONS(6339),
    [anon_sym_GT] = ACTIONS(6337),
    [anon_sym_GT_EQ] = ACTIONS(6339),
    [anon_sym_LT_EQ] = ACTIONS(6337),
    [anon_sym_LT] = ACTIONS(6337),
    [anon_sym_LT_LT] = ACTIONS(6337),
    [anon_sym_GT_GT] = ACTIONS(6337),
    [anon_sym_SEMI] = ACTIONS(6339),
    [anon_sym___attribute__] = ACTIONS(6337),
    [anon_sym___attribute] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(6339),
    [anon_sym_EQ] = ACTIONS(6337),
    [anon_sym_QMARK] = ACTIONS(6339),
    [anon_sym_STAR_EQ] = ACTIONS(6339),
    [anon_sym_SLASH_EQ] = ACTIONS(6339),
    [anon_sym_PERCENT_EQ] = ACTIONS(6339),
    [anon_sym_PLUS_EQ] = ACTIONS(6339),
    [anon_sym_DASH_EQ] = ACTIONS(6339),
    [anon_sym_LT_LT_EQ] = ACTIONS(6339),
    [anon_sym_GT_GT_EQ] = ACTIONS(6339),
    [anon_sym_AMP_EQ] = ACTIONS(6339),
    [anon_sym_CARET_EQ] = ACTIONS(6339),
    [anon_sym_PIPE_EQ] = ACTIONS(6339),
    [anon_sym_and_eq] = ACTIONS(6337),
    [anon_sym_or_eq] = ACTIONS(6337),
    [anon_sym_xor_eq] = ACTIONS(6337),
    [anon_sym_LT_EQ_GT] = ACTIONS(6339),
    [anon_sym_or] = ACTIONS(6337),
    [anon_sym_and] = ACTIONS(6337),
    [anon_sym_bitor] = ACTIONS(6337),
    [anon_sym_xor] = ACTIONS(6337),
    [anon_sym_bitand] = ACTIONS(6337),
    [anon_sym_not_eq] = ACTIONS(6337),
    [anon_sym_DASH_DASH] = ACTIONS(6339),
    [anon_sym_PLUS_PLUS] = ACTIONS(6339),
    [anon_sym_DOT] = ACTIONS(6337),
    [anon_sym_DOT_STAR] = ACTIONS(6339),
    [anon_sym_DASH_GT] = ACTIONS(6339),
    [anon_sym_L_DQUOTE] = ACTIONS(6339),
    [anon_sym_u_DQUOTE] = ACTIONS(6339),
    [anon_sym_U_DQUOTE] = ACTIONS(6339),
    [anon_sym_u8_DQUOTE] = ACTIONS(6339),
    [anon_sym_DQUOTE] = ACTIONS(6339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6339),
    [anon_sym_LR_DQUOTE] = ACTIONS(6339),
    [anon_sym_uR_DQUOTE] = ACTIONS(6339),
    [anon_sym_UR_DQUOTE] = ACTIONS(6339),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6339),
    [sym_literal_suffix] = ACTIONS(6337),
  },
  [2764] = {
    [sym_identifier] = ACTIONS(6316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6318),
    [anon_sym_COMMA] = ACTIONS(6318),
    [anon_sym_LPAREN2] = ACTIONS(6318),
    [anon_sym_DASH] = ACTIONS(6316),
    [anon_sym_PLUS] = ACTIONS(6316),
    [anon_sym_STAR] = ACTIONS(6316),
    [anon_sym_SLASH] = ACTIONS(6316),
    [anon_sym_PERCENT] = ACTIONS(6316),
    [anon_sym_PIPE_PIPE] = ACTIONS(6318),
    [anon_sym_AMP_AMP] = ACTIONS(6318),
    [anon_sym_PIPE] = ACTIONS(6316),
    [anon_sym_CARET] = ACTIONS(6316),
    [anon_sym_AMP] = ACTIONS(6316),
    [anon_sym_EQ_EQ] = ACTIONS(6318),
    [anon_sym_BANG_EQ] = ACTIONS(6318),
    [anon_sym_GT] = ACTIONS(6316),
    [anon_sym_GT_EQ] = ACTIONS(6318),
    [anon_sym_LT_EQ] = ACTIONS(6316),
    [anon_sym_LT] = ACTIONS(6316),
    [anon_sym_LT_LT] = ACTIONS(6316),
    [anon_sym_GT_GT] = ACTIONS(6316),
    [anon_sym_SEMI] = ACTIONS(6318),
    [anon_sym___attribute__] = ACTIONS(6316),
    [anon_sym___attribute] = ACTIONS(6316),
    [anon_sym_LBRACK] = ACTIONS(6318),
    [anon_sym_EQ] = ACTIONS(6316),
    [anon_sym_QMARK] = ACTIONS(6318),
    [anon_sym_STAR_EQ] = ACTIONS(6318),
    [anon_sym_SLASH_EQ] = ACTIONS(6318),
    [anon_sym_PERCENT_EQ] = ACTIONS(6318),
    [anon_sym_PLUS_EQ] = ACTIONS(6318),
    [anon_sym_DASH_EQ] = ACTIONS(6318),
    [anon_sym_LT_LT_EQ] = ACTIONS(6318),
    [anon_sym_GT_GT_EQ] = ACTIONS(6318),
    [anon_sym_AMP_EQ] = ACTIONS(6318),
    [anon_sym_CARET_EQ] = ACTIONS(6318),
    [anon_sym_PIPE_EQ] = ACTIONS(6318),
    [anon_sym_and_eq] = ACTIONS(6316),
    [anon_sym_or_eq] = ACTIONS(6316),
    [anon_sym_xor_eq] = ACTIONS(6316),
    [anon_sym_LT_EQ_GT] = ACTIONS(6318),
    [anon_sym_or] = ACTIONS(6316),
    [anon_sym_and] = ACTIONS(6316),
    [anon_sym_bitor] = ACTIONS(6316),
    [anon_sym_xor] = ACTIONS(6316),
    [anon_sym_bitand] = ACTIONS(6316),
    [anon_sym_not_eq] = ACTIONS(6316),
    [anon_sym_DASH_DASH] = ACTIONS(6318),
    [anon_sym_PLUS_PLUS] = ACTIONS(6318),
    [anon_sym_DOT] = ACTIONS(6316),
    [anon_sym_DOT_STAR] = ACTIONS(6318),
    [anon_sym_DASH_GT] = ACTIONS(6318),
    [anon_sym_L_DQUOTE] = ACTIONS(6318),
    [anon_sym_u_DQUOTE] = ACTIONS(6318),
    [anon_sym_U_DQUOTE] = ACTIONS(6318),
    [anon_sym_u8_DQUOTE] = ACTIONS(6318),
    [anon_sym_DQUOTE] = ACTIONS(6318),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6318),
    [anon_sym_LR_DQUOTE] = ACTIONS(6318),
    [anon_sym_uR_DQUOTE] = ACTIONS(6318),
    [anon_sym_UR_DQUOTE] = ACTIONS(6318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6318),
    [sym_literal_suffix] = ACTIONS(6316),
  },
  [2765] = {
    [sym_attribute_specifier] = STATE(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6101),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6101),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6101),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6101),
    [anon_sym_GT_GT] = ACTIONS(6101),
    [anon_sym_COLON] = ACTIONS(6101),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___extension__] = ACTIONS(6101),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6101),
    [anon_sym_RBRACE] = ACTIONS(6101),
    [anon_sym_LBRACK] = ACTIONS(6101),
    [anon_sym_RBRACK] = ACTIONS(6101),
    [anon_sym_const] = ACTIONS(6099),
    [anon_sym_constexpr] = ACTIONS(6101),
    [anon_sym_volatile] = ACTIONS(6101),
    [anon_sym_restrict] = ACTIONS(6101),
    [anon_sym___restrict__] = ACTIONS(6101),
    [anon_sym__Atomic] = ACTIONS(6101),
    [anon_sym__Noreturn] = ACTIONS(6101),
    [anon_sym_noreturn] = ACTIONS(6101),
    [anon_sym__Nonnull] = ACTIONS(6101),
    [anon_sym_mutable] = ACTIONS(6101),
    [anon_sym_constinit] = ACTIONS(6101),
    [anon_sym_consteval] = ACTIONS(6101),
    [anon_sym_alignas] = ACTIONS(6101),
    [anon_sym__Alignas] = ACTIONS(6101),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6101),
    [anon_sym_and] = ACTIONS(6101),
    [anon_sym_bitor] = ACTIONS(6101),
    [anon_sym_xor] = ACTIONS(6101),
    [anon_sym_bitand] = ACTIONS(6101),
    [anon_sym_not_eq] = ACTIONS(6101),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6101),
    [anon_sym_decltype] = ACTIONS(6101),
    [anon_sym_final] = ACTIONS(6101),
    [anon_sym_override] = ACTIONS(6101),
    [anon_sym_requires] = ACTIONS(6101),
  },
  [2766] = {
    [sym_identifier] = ACTIONS(6282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6284),
    [anon_sym_COMMA] = ACTIONS(6284),
    [anon_sym_LPAREN2] = ACTIONS(6284),
    [anon_sym_DASH] = ACTIONS(6282),
    [anon_sym_PLUS] = ACTIONS(6282),
    [anon_sym_STAR] = ACTIONS(6282),
    [anon_sym_SLASH] = ACTIONS(6282),
    [anon_sym_PERCENT] = ACTIONS(6282),
    [anon_sym_PIPE_PIPE] = ACTIONS(6284),
    [anon_sym_AMP_AMP] = ACTIONS(6284),
    [anon_sym_PIPE] = ACTIONS(6282),
    [anon_sym_CARET] = ACTIONS(6282),
    [anon_sym_AMP] = ACTIONS(6282),
    [anon_sym_EQ_EQ] = ACTIONS(6284),
    [anon_sym_BANG_EQ] = ACTIONS(6284),
    [anon_sym_GT] = ACTIONS(6282),
    [anon_sym_GT_EQ] = ACTIONS(6284),
    [anon_sym_LT_EQ] = ACTIONS(6282),
    [anon_sym_LT] = ACTIONS(6282),
    [anon_sym_LT_LT] = ACTIONS(6282),
    [anon_sym_GT_GT] = ACTIONS(6282),
    [anon_sym_SEMI] = ACTIONS(6284),
    [anon_sym___attribute__] = ACTIONS(6282),
    [anon_sym___attribute] = ACTIONS(6282),
    [anon_sym_LBRACK] = ACTIONS(6284),
    [anon_sym_EQ] = ACTIONS(6282),
    [anon_sym_QMARK] = ACTIONS(6284),
    [anon_sym_STAR_EQ] = ACTIONS(6284),
    [anon_sym_SLASH_EQ] = ACTIONS(6284),
    [anon_sym_PERCENT_EQ] = ACTIONS(6284),
    [anon_sym_PLUS_EQ] = ACTIONS(6284),
    [anon_sym_DASH_EQ] = ACTIONS(6284),
    [anon_sym_LT_LT_EQ] = ACTIONS(6284),
    [anon_sym_GT_GT_EQ] = ACTIONS(6284),
    [anon_sym_AMP_EQ] = ACTIONS(6284),
    [anon_sym_CARET_EQ] = ACTIONS(6284),
    [anon_sym_PIPE_EQ] = ACTIONS(6284),
    [anon_sym_and_eq] = ACTIONS(6282),
    [anon_sym_or_eq] = ACTIONS(6282),
    [anon_sym_xor_eq] = ACTIONS(6282),
    [anon_sym_LT_EQ_GT] = ACTIONS(6284),
    [anon_sym_or] = ACTIONS(6282),
    [anon_sym_and] = ACTIONS(6282),
    [anon_sym_bitor] = ACTIONS(6282),
    [anon_sym_xor] = ACTIONS(6282),
    [anon_sym_bitand] = ACTIONS(6282),
    [anon_sym_not_eq] = ACTIONS(6282),
    [anon_sym_DASH_DASH] = ACTIONS(6284),
    [anon_sym_PLUS_PLUS] = ACTIONS(6284),
    [anon_sym_DOT] = ACTIONS(6282),
    [anon_sym_DOT_STAR] = ACTIONS(6284),
    [anon_sym_DASH_GT] = ACTIONS(6284),
    [anon_sym_L_DQUOTE] = ACTIONS(6284),
    [anon_sym_u_DQUOTE] = ACTIONS(6284),
    [anon_sym_U_DQUOTE] = ACTIONS(6284),
    [anon_sym_u8_DQUOTE] = ACTIONS(6284),
    [anon_sym_DQUOTE] = ACTIONS(6284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6284),
    [anon_sym_LR_DQUOTE] = ACTIONS(6284),
    [anon_sym_uR_DQUOTE] = ACTIONS(6284),
    [anon_sym_UR_DQUOTE] = ACTIONS(6284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6284),
    [sym_literal_suffix] = ACTIONS(6282),
  },
  [2767] = {
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6288),
    [anon_sym_COMMA] = ACTIONS(6288),
    [anon_sym_LPAREN2] = ACTIONS(6288),
    [anon_sym_DASH] = ACTIONS(6286),
    [anon_sym_PLUS] = ACTIONS(6286),
    [anon_sym_STAR] = ACTIONS(6286),
    [anon_sym_SLASH] = ACTIONS(6286),
    [anon_sym_PERCENT] = ACTIONS(6286),
    [anon_sym_PIPE_PIPE] = ACTIONS(6288),
    [anon_sym_AMP_AMP] = ACTIONS(6288),
    [anon_sym_PIPE] = ACTIONS(6286),
    [anon_sym_CARET] = ACTIONS(6286),
    [anon_sym_AMP] = ACTIONS(6286),
    [anon_sym_EQ_EQ] = ACTIONS(6288),
    [anon_sym_BANG_EQ] = ACTIONS(6288),
    [anon_sym_GT] = ACTIONS(6286),
    [anon_sym_GT_EQ] = ACTIONS(6288),
    [anon_sym_LT_EQ] = ACTIONS(6286),
    [anon_sym_LT] = ACTIONS(6286),
    [anon_sym_LT_LT] = ACTIONS(6286),
    [anon_sym_GT_GT] = ACTIONS(6286),
    [anon_sym_SEMI] = ACTIONS(6288),
    [anon_sym___attribute__] = ACTIONS(6286),
    [anon_sym___attribute] = ACTIONS(6286),
    [anon_sym_LBRACK] = ACTIONS(6288),
    [anon_sym_EQ] = ACTIONS(6286),
    [anon_sym_QMARK] = ACTIONS(6288),
    [anon_sym_STAR_EQ] = ACTIONS(6288),
    [anon_sym_SLASH_EQ] = ACTIONS(6288),
    [anon_sym_PERCENT_EQ] = ACTIONS(6288),
    [anon_sym_PLUS_EQ] = ACTIONS(6288),
    [anon_sym_DASH_EQ] = ACTIONS(6288),
    [anon_sym_LT_LT_EQ] = ACTIONS(6288),
    [anon_sym_GT_GT_EQ] = ACTIONS(6288),
    [anon_sym_AMP_EQ] = ACTIONS(6288),
    [anon_sym_CARET_EQ] = ACTIONS(6288),
    [anon_sym_PIPE_EQ] = ACTIONS(6288),
    [anon_sym_and_eq] = ACTIONS(6286),
    [anon_sym_or_eq] = ACTIONS(6286),
    [anon_sym_xor_eq] = ACTIONS(6286),
    [anon_sym_LT_EQ_GT] = ACTIONS(6288),
    [anon_sym_or] = ACTIONS(6286),
    [anon_sym_and] = ACTIONS(6286),
    [anon_sym_bitor] = ACTIONS(6286),
    [anon_sym_xor] = ACTIONS(6286),
    [anon_sym_bitand] = ACTIONS(6286),
    [anon_sym_not_eq] = ACTIONS(6286),
    [anon_sym_DASH_DASH] = ACTIONS(6288),
    [anon_sym_PLUS_PLUS] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(6286),
    [anon_sym_DOT_STAR] = ACTIONS(6288),
    [anon_sym_DASH_GT] = ACTIONS(6288),
    [anon_sym_L_DQUOTE] = ACTIONS(6288),
    [anon_sym_u_DQUOTE] = ACTIONS(6288),
    [anon_sym_U_DQUOTE] = ACTIONS(6288),
    [anon_sym_u8_DQUOTE] = ACTIONS(6288),
    [anon_sym_DQUOTE] = ACTIONS(6288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6288),
    [anon_sym_LR_DQUOTE] = ACTIONS(6288),
    [anon_sym_uR_DQUOTE] = ACTIONS(6288),
    [anon_sym_UR_DQUOTE] = ACTIONS(6288),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6288),
    [sym_literal_suffix] = ACTIONS(6286),
  },
  [2768] = {
    [sym_attribute_specifier] = STATE(2535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6071),
    [anon_sym_COMMA] = ACTIONS(6071),
    [anon_sym_RPAREN] = ACTIONS(6071),
    [anon_sym_LPAREN2] = ACTIONS(6071),
    [anon_sym_DASH] = ACTIONS(6069),
    [anon_sym_PLUS] = ACTIONS(6069),
    [anon_sym_STAR] = ACTIONS(6071),
    [anon_sym_SLASH] = ACTIONS(6069),
    [anon_sym_PERCENT] = ACTIONS(6071),
    [anon_sym_PIPE_PIPE] = ACTIONS(6071),
    [anon_sym_AMP_AMP] = ACTIONS(6071),
    [anon_sym_PIPE] = ACTIONS(6069),
    [anon_sym_CARET] = ACTIONS(6071),
    [anon_sym_AMP] = ACTIONS(6069),
    [anon_sym_EQ_EQ] = ACTIONS(6071),
    [anon_sym_BANG_EQ] = ACTIONS(6071),
    [anon_sym_GT] = ACTIONS(6069),
    [anon_sym_GT_EQ] = ACTIONS(6071),
    [anon_sym_LT_EQ] = ACTIONS(6069),
    [anon_sym_LT] = ACTIONS(6069),
    [anon_sym_LT_LT] = ACTIONS(6071),
    [anon_sym_GT_GT] = ACTIONS(6071),
    [anon_sym_COLON] = ACTIONS(6071),
    [anon_sym_SEMI] = ACTIONS(6071),
    [anon_sym___extension__] = ACTIONS(6071),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6071),
    [anon_sym_RBRACE] = ACTIONS(6071),
    [anon_sym_LBRACK] = ACTIONS(6071),
    [anon_sym_RBRACK] = ACTIONS(6071),
    [anon_sym_const] = ACTIONS(6069),
    [anon_sym_constexpr] = ACTIONS(6071),
    [anon_sym_volatile] = ACTIONS(6071),
    [anon_sym_restrict] = ACTIONS(6071),
    [anon_sym___restrict__] = ACTIONS(6071),
    [anon_sym__Atomic] = ACTIONS(6071),
    [anon_sym__Noreturn] = ACTIONS(6071),
    [anon_sym_noreturn] = ACTIONS(6071),
    [anon_sym__Nonnull] = ACTIONS(6071),
    [anon_sym_mutable] = ACTIONS(6071),
    [anon_sym_constinit] = ACTIONS(6071),
    [anon_sym_consteval] = ACTIONS(6071),
    [anon_sym_alignas] = ACTIONS(6071),
    [anon_sym__Alignas] = ACTIONS(6071),
    [anon_sym_QMARK] = ACTIONS(6071),
    [anon_sym_LT_EQ_GT] = ACTIONS(6071),
    [anon_sym_or] = ACTIONS(6071),
    [anon_sym_and] = ACTIONS(6071),
    [anon_sym_bitor] = ACTIONS(6071),
    [anon_sym_xor] = ACTIONS(6071),
    [anon_sym_bitand] = ACTIONS(6071),
    [anon_sym_not_eq] = ACTIONS(6071),
    [anon_sym_DASH_DASH] = ACTIONS(6071),
    [anon_sym_PLUS_PLUS] = ACTIONS(6071),
    [anon_sym_DOT] = ACTIONS(6069),
    [anon_sym_DOT_STAR] = ACTIONS(6071),
    [anon_sym_DASH_GT] = ACTIONS(6071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6071),
    [anon_sym_decltype] = ACTIONS(6071),
    [anon_sym_final] = ACTIONS(6071),
    [anon_sym_override] = ACTIONS(6071),
    [anon_sym_requires] = ACTIONS(6071),
  },
  [2769] = {
    [sym_attribute_specifier] = STATE(2536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6075),
    [anon_sym_COMMA] = ACTIONS(6075),
    [anon_sym_RPAREN] = ACTIONS(6075),
    [anon_sym_LPAREN2] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(6073),
    [anon_sym_PLUS] = ACTIONS(6073),
    [anon_sym_STAR] = ACTIONS(6075),
    [anon_sym_SLASH] = ACTIONS(6073),
    [anon_sym_PERCENT] = ACTIONS(6075),
    [anon_sym_PIPE_PIPE] = ACTIONS(6075),
    [anon_sym_AMP_AMP] = ACTIONS(6075),
    [anon_sym_PIPE] = ACTIONS(6073),
    [anon_sym_CARET] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6073),
    [anon_sym_EQ_EQ] = ACTIONS(6075),
    [anon_sym_BANG_EQ] = ACTIONS(6075),
    [anon_sym_GT] = ACTIONS(6073),
    [anon_sym_GT_EQ] = ACTIONS(6075),
    [anon_sym_LT_EQ] = ACTIONS(6073),
    [anon_sym_LT] = ACTIONS(6073),
    [anon_sym_LT_LT] = ACTIONS(6075),
    [anon_sym_GT_GT] = ACTIONS(6075),
    [anon_sym_COLON] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6075),
    [anon_sym___extension__] = ACTIONS(6075),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6075),
    [anon_sym_RBRACE] = ACTIONS(6075),
    [anon_sym_LBRACK] = ACTIONS(6075),
    [anon_sym_RBRACK] = ACTIONS(6075),
    [anon_sym_const] = ACTIONS(6073),
    [anon_sym_constexpr] = ACTIONS(6075),
    [anon_sym_volatile] = ACTIONS(6075),
    [anon_sym_restrict] = ACTIONS(6075),
    [anon_sym___restrict__] = ACTIONS(6075),
    [anon_sym__Atomic] = ACTIONS(6075),
    [anon_sym__Noreturn] = ACTIONS(6075),
    [anon_sym_noreturn] = ACTIONS(6075),
    [anon_sym__Nonnull] = ACTIONS(6075),
    [anon_sym_mutable] = ACTIONS(6075),
    [anon_sym_constinit] = ACTIONS(6075),
    [anon_sym_consteval] = ACTIONS(6075),
    [anon_sym_alignas] = ACTIONS(6075),
    [anon_sym__Alignas] = ACTIONS(6075),
    [anon_sym_QMARK] = ACTIONS(6075),
    [anon_sym_LT_EQ_GT] = ACTIONS(6075),
    [anon_sym_or] = ACTIONS(6075),
    [anon_sym_and] = ACTIONS(6075),
    [anon_sym_bitor] = ACTIONS(6075),
    [anon_sym_xor] = ACTIONS(6075),
    [anon_sym_bitand] = ACTIONS(6075),
    [anon_sym_not_eq] = ACTIONS(6075),
    [anon_sym_DASH_DASH] = ACTIONS(6075),
    [anon_sym_PLUS_PLUS] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(6073),
    [anon_sym_DOT_STAR] = ACTIONS(6075),
    [anon_sym_DASH_GT] = ACTIONS(6075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6075),
    [anon_sym_decltype] = ACTIONS(6075),
    [anon_sym_final] = ACTIONS(6075),
    [anon_sym_override] = ACTIONS(6075),
    [anon_sym_requires] = ACTIONS(6075),
  },
  [2770] = {
    [sym_identifier] = ACTIONS(6755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6757),
    [anon_sym_COMMA] = ACTIONS(6757),
    [anon_sym_RPAREN] = ACTIONS(6757),
    [aux_sym_preproc_if_token2] = ACTIONS(6757),
    [aux_sym_preproc_else_token1] = ACTIONS(6757),
    [aux_sym_preproc_elif_token1] = ACTIONS(6755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6757),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6757),
    [anon_sym_LPAREN2] = ACTIONS(6757),
    [anon_sym_DASH] = ACTIONS(6755),
    [anon_sym_PLUS] = ACTIONS(6755),
    [anon_sym_STAR] = ACTIONS(6755),
    [anon_sym_SLASH] = ACTIONS(6755),
    [anon_sym_PERCENT] = ACTIONS(6755),
    [anon_sym_PIPE_PIPE] = ACTIONS(6757),
    [anon_sym_AMP_AMP] = ACTIONS(6757),
    [anon_sym_PIPE] = ACTIONS(6755),
    [anon_sym_CARET] = ACTIONS(6755),
    [anon_sym_AMP] = ACTIONS(6755),
    [anon_sym_EQ_EQ] = ACTIONS(6757),
    [anon_sym_BANG_EQ] = ACTIONS(6757),
    [anon_sym_GT] = ACTIONS(6755),
    [anon_sym_GT_EQ] = ACTIONS(6757),
    [anon_sym_LT_EQ] = ACTIONS(6755),
    [anon_sym_LT] = ACTIONS(6755),
    [anon_sym_LT_LT] = ACTIONS(6755),
    [anon_sym_GT_GT] = ACTIONS(6755),
    [anon_sym_COLON] = ACTIONS(6755),
    [anon_sym_SEMI] = ACTIONS(6757),
    [anon_sym___attribute__] = ACTIONS(6755),
    [anon_sym___attribute] = ACTIONS(6755),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACE] = ACTIONS(6757),
    [anon_sym_RBRACE] = ACTIONS(6757),
    [anon_sym_LBRACK] = ACTIONS(6757),
    [anon_sym_RBRACK] = ACTIONS(6757),
    [anon_sym_EQ] = ACTIONS(6755),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_STAR_EQ] = ACTIONS(6757),
    [anon_sym_SLASH_EQ] = ACTIONS(6757),
    [anon_sym_PERCENT_EQ] = ACTIONS(6757),
    [anon_sym_PLUS_EQ] = ACTIONS(6757),
    [anon_sym_DASH_EQ] = ACTIONS(6757),
    [anon_sym_LT_LT_EQ] = ACTIONS(6757),
    [anon_sym_GT_GT_EQ] = ACTIONS(6757),
    [anon_sym_AMP_EQ] = ACTIONS(6757),
    [anon_sym_CARET_EQ] = ACTIONS(6757),
    [anon_sym_PIPE_EQ] = ACTIONS(6757),
    [anon_sym_and_eq] = ACTIONS(6755),
    [anon_sym_or_eq] = ACTIONS(6755),
    [anon_sym_xor_eq] = ACTIONS(6755),
    [anon_sym_LT_EQ_GT] = ACTIONS(6757),
    [anon_sym_or] = ACTIONS(6755),
    [anon_sym_and] = ACTIONS(6755),
    [anon_sym_bitor] = ACTIONS(6755),
    [anon_sym_xor] = ACTIONS(6755),
    [anon_sym_bitand] = ACTIONS(6755),
    [anon_sym_not_eq] = ACTIONS(6755),
    [anon_sym_DASH_DASH] = ACTIONS(6757),
    [anon_sym_PLUS_PLUS] = ACTIONS(6757),
    [anon_sym_DOT] = ACTIONS(6755),
    [anon_sym_DOT_STAR] = ACTIONS(6757),
    [anon_sym_DASH_GT] = ACTIONS(6757),
    [sym_comment] = ACTIONS(3),
  },
  [2771] = {
    [sym_attribute_specifier] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6093),
    [anon_sym_COMMA] = ACTIONS(6093),
    [anon_sym_RPAREN] = ACTIONS(6093),
    [anon_sym_LPAREN2] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6091),
    [anon_sym_PLUS] = ACTIONS(6091),
    [anon_sym_STAR] = ACTIONS(6093),
    [anon_sym_SLASH] = ACTIONS(6091),
    [anon_sym_PERCENT] = ACTIONS(6093),
    [anon_sym_PIPE_PIPE] = ACTIONS(6093),
    [anon_sym_AMP_AMP] = ACTIONS(6093),
    [anon_sym_PIPE] = ACTIONS(6091),
    [anon_sym_CARET] = ACTIONS(6093),
    [anon_sym_AMP] = ACTIONS(6091),
    [anon_sym_EQ_EQ] = ACTIONS(6093),
    [anon_sym_BANG_EQ] = ACTIONS(6093),
    [anon_sym_GT] = ACTIONS(6091),
    [anon_sym_GT_EQ] = ACTIONS(6093),
    [anon_sym_LT_EQ] = ACTIONS(6091),
    [anon_sym_LT] = ACTIONS(6091),
    [anon_sym_LT_LT] = ACTIONS(6093),
    [anon_sym_GT_GT] = ACTIONS(6093),
    [anon_sym_COLON] = ACTIONS(6093),
    [anon_sym_SEMI] = ACTIONS(6093),
    [anon_sym___extension__] = ACTIONS(6093),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6093),
    [anon_sym_RBRACE] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [anon_sym_RBRACK] = ACTIONS(6093),
    [anon_sym_const] = ACTIONS(6091),
    [anon_sym_constexpr] = ACTIONS(6093),
    [anon_sym_volatile] = ACTIONS(6093),
    [anon_sym_restrict] = ACTIONS(6093),
    [anon_sym___restrict__] = ACTIONS(6093),
    [anon_sym__Atomic] = ACTIONS(6093),
    [anon_sym__Noreturn] = ACTIONS(6093),
    [anon_sym_noreturn] = ACTIONS(6093),
    [anon_sym__Nonnull] = ACTIONS(6093),
    [anon_sym_mutable] = ACTIONS(6093),
    [anon_sym_constinit] = ACTIONS(6093),
    [anon_sym_consteval] = ACTIONS(6093),
    [anon_sym_alignas] = ACTIONS(6093),
    [anon_sym__Alignas] = ACTIONS(6093),
    [anon_sym_QMARK] = ACTIONS(6093),
    [anon_sym_LT_EQ_GT] = ACTIONS(6093),
    [anon_sym_or] = ACTIONS(6093),
    [anon_sym_and] = ACTIONS(6093),
    [anon_sym_bitor] = ACTIONS(6093),
    [anon_sym_xor] = ACTIONS(6093),
    [anon_sym_bitand] = ACTIONS(6093),
    [anon_sym_not_eq] = ACTIONS(6093),
    [anon_sym_DASH_DASH] = ACTIONS(6093),
    [anon_sym_PLUS_PLUS] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6091),
    [anon_sym_DOT_STAR] = ACTIONS(6093),
    [anon_sym_DASH_GT] = ACTIONS(6093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6093),
    [anon_sym_decltype] = ACTIONS(6093),
    [anon_sym_final] = ACTIONS(6093),
    [anon_sym_override] = ACTIONS(6093),
    [anon_sym_requires] = ACTIONS(6093),
  },
  [2772] = {
    [sym_attribute_specifier] = STATE(2531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6045),
    [anon_sym_COMMA] = ACTIONS(6045),
    [anon_sym_RPAREN] = ACTIONS(6045),
    [anon_sym_LPAREN2] = ACTIONS(6045),
    [anon_sym_DASH] = ACTIONS(6043),
    [anon_sym_PLUS] = ACTIONS(6043),
    [anon_sym_STAR] = ACTIONS(6045),
    [anon_sym_SLASH] = ACTIONS(6043),
    [anon_sym_PERCENT] = ACTIONS(6045),
    [anon_sym_PIPE_PIPE] = ACTIONS(6045),
    [anon_sym_AMP_AMP] = ACTIONS(6045),
    [anon_sym_PIPE] = ACTIONS(6043),
    [anon_sym_CARET] = ACTIONS(6045),
    [anon_sym_AMP] = ACTIONS(6043),
    [anon_sym_EQ_EQ] = ACTIONS(6045),
    [anon_sym_BANG_EQ] = ACTIONS(6045),
    [anon_sym_GT] = ACTIONS(6043),
    [anon_sym_GT_EQ] = ACTIONS(6045),
    [anon_sym_LT_EQ] = ACTIONS(6043),
    [anon_sym_LT] = ACTIONS(6043),
    [anon_sym_LT_LT] = ACTIONS(6045),
    [anon_sym_GT_GT] = ACTIONS(6045),
    [anon_sym_COLON] = ACTIONS(6045),
    [anon_sym_SEMI] = ACTIONS(6045),
    [anon_sym___extension__] = ACTIONS(6045),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6045),
    [anon_sym_RBRACE] = ACTIONS(6045),
    [anon_sym_LBRACK] = ACTIONS(6045),
    [anon_sym_RBRACK] = ACTIONS(6045),
    [anon_sym_const] = ACTIONS(6043),
    [anon_sym_constexpr] = ACTIONS(6045),
    [anon_sym_volatile] = ACTIONS(6045),
    [anon_sym_restrict] = ACTIONS(6045),
    [anon_sym___restrict__] = ACTIONS(6045),
    [anon_sym__Atomic] = ACTIONS(6045),
    [anon_sym__Noreturn] = ACTIONS(6045),
    [anon_sym_noreturn] = ACTIONS(6045),
    [anon_sym__Nonnull] = ACTIONS(6045),
    [anon_sym_mutable] = ACTIONS(6045),
    [anon_sym_constinit] = ACTIONS(6045),
    [anon_sym_consteval] = ACTIONS(6045),
    [anon_sym_alignas] = ACTIONS(6045),
    [anon_sym__Alignas] = ACTIONS(6045),
    [anon_sym_QMARK] = ACTIONS(6045),
    [anon_sym_LT_EQ_GT] = ACTIONS(6045),
    [anon_sym_or] = ACTIONS(6045),
    [anon_sym_and] = ACTIONS(6045),
    [anon_sym_bitor] = ACTIONS(6045),
    [anon_sym_xor] = ACTIONS(6045),
    [anon_sym_bitand] = ACTIONS(6045),
    [anon_sym_not_eq] = ACTIONS(6045),
    [anon_sym_DASH_DASH] = ACTIONS(6045),
    [anon_sym_PLUS_PLUS] = ACTIONS(6045),
    [anon_sym_DOT] = ACTIONS(6043),
    [anon_sym_DOT_STAR] = ACTIONS(6045),
    [anon_sym_DASH_GT] = ACTIONS(6045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6045),
    [anon_sym_decltype] = ACTIONS(6045),
    [anon_sym_final] = ACTIONS(6045),
    [anon_sym_override] = ACTIONS(6045),
    [anon_sym_requires] = ACTIONS(6045),
  },
  [2773] = {
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(2774),
    [sym__declarator] = STATE(6574),
    [sym__abstract_declarator] = STATE(6857),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_function_declarator] = STATE(6411),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_array_declarator] = STATE(6411),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_type_qualifier] = STATE(3192),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_parameter_list] = STATE(3326),
    [sym_decltype] = STATE(8312),
    [sym_reference_declarator] = STATE(6411),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5902),
    [sym_qualified_identifier] = STATE(6411),
    [sym_operator_name] = STATE(6411),
    [aux_sym__type_definition_type_repeat1] = STATE(3192),
    [aux_sym_pointer_declarator_repeat1] = STATE(2774),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_RPAREN] = ACTIONS(6343),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4142),
    [anon_sym_AMP] = ACTIONS(4144),
    [anon_sym___extension__] = ACTIONS(4064),
    [anon_sym_COLON_COLON] = ACTIONS(6759),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(6355),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
  },
  [2774] = {
    [sym_ms_based_modifier] = STATE(8309),
    [sym_ms_unaligned_ptr_modifier] = STATE(4204),
    [sym_ms_pointer_modifier] = STATE(3972),
    [sym__declarator] = STATE(6520),
    [sym__abstract_declarator] = STATE(6828),
    [sym_parenthesized_declarator] = STATE(6411),
    [sym_abstract_parenthesized_declarator] = STATE(6095),
    [sym_attributed_declarator] = STATE(6411),
    [sym_pointer_declarator] = STATE(6411),
    [sym_abstract_pointer_declarator] = STATE(6095),
    [sym_function_declarator] = STATE(6411),
    [sym_abstract_function_declarator] = STATE(6095),
    [sym_array_declarator] = STATE(6411),
    [sym_abstract_array_declarator] = STATE(6095),
    [sym_type_qualifier] = STATE(3193),
    [sym_alignas_qualifier] = STATE(4430),
    [sym_parameter_list] = STATE(3326),
    [sym_decltype] = STATE(8312),
    [sym_reference_declarator] = STATE(6411),
    [sym_abstract_reference_declarator] = STATE(6095),
    [sym_structured_binding_declarator] = STATE(6411),
    [sym__function_declarator_seq] = STATE(6136),
    [sym_template_type] = STATE(8312),
    [sym_template_function] = STATE(6411),
    [sym_destructor_name] = STATE(6411),
    [sym_dependent_type_identifier] = STATE(8312),
    [sym__scope_resolution] = STATE(5902),
    [sym_qualified_identifier] = STATE(6411),
    [sym_operator_name] = STATE(6411),
    [aux_sym__type_definition_type_repeat1] = STATE(3193),
    [aux_sym_pointer_declarator_repeat1] = STATE(3972),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_RPAREN] = ACTIONS(6357),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4142),
    [anon_sym_AMP] = ACTIONS(4144),
    [anon_sym___extension__] = ACTIONS(4064),
    [anon_sym_COLON_COLON] = ACTIONS(6759),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(4060),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(4060),
    [sym_ms_signed_ptr_modifier] = ACTIONS(4060),
    [anon_sym__unaligned] = ACTIONS(4062),
    [anon_sym___unaligned] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(6355),
    [anon_sym_const] = ACTIONS(4064),
    [anon_sym_constexpr] = ACTIONS(4064),
    [anon_sym_volatile] = ACTIONS(4064),
    [anon_sym_restrict] = ACTIONS(4064),
    [anon_sym___restrict__] = ACTIONS(4064),
    [anon_sym__Atomic] = ACTIONS(4064),
    [anon_sym__Noreturn] = ACTIONS(4064),
    [anon_sym_noreturn] = ACTIONS(4064),
    [anon_sym__Nonnull] = ACTIONS(4064),
    [anon_sym_mutable] = ACTIONS(4064),
    [anon_sym_constinit] = ACTIONS(4064),
    [anon_sym_consteval] = ACTIONS(4064),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(1273),
    [anon_sym_operator] = ACTIONS(2083),
  },
  [2775] = {
    [sym_attribute_specifier] = STATE(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6097),
    [anon_sym_COMMA] = ACTIONS(6097),
    [anon_sym_RPAREN] = ACTIONS(6097),
    [anon_sym_LPAREN2] = ACTIONS(6097),
    [anon_sym_DASH] = ACTIONS(6095),
    [anon_sym_PLUS] = ACTIONS(6095),
    [anon_sym_STAR] = ACTIONS(6097),
    [anon_sym_SLASH] = ACTIONS(6095),
    [anon_sym_PERCENT] = ACTIONS(6097),
    [anon_sym_PIPE_PIPE] = ACTIONS(6097),
    [anon_sym_AMP_AMP] = ACTIONS(6097),
    [anon_sym_PIPE] = ACTIONS(6095),
    [anon_sym_CARET] = ACTIONS(6097),
    [anon_sym_AMP] = ACTIONS(6095),
    [anon_sym_EQ_EQ] = ACTIONS(6097),
    [anon_sym_BANG_EQ] = ACTIONS(6097),
    [anon_sym_GT] = ACTIONS(6095),
    [anon_sym_GT_EQ] = ACTIONS(6097),
    [anon_sym_LT_EQ] = ACTIONS(6095),
    [anon_sym_LT] = ACTIONS(6095),
    [anon_sym_LT_LT] = ACTIONS(6097),
    [anon_sym_GT_GT] = ACTIONS(6097),
    [anon_sym_COLON] = ACTIONS(6097),
    [anon_sym_SEMI] = ACTIONS(6097),
    [anon_sym___extension__] = ACTIONS(6097),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6097),
    [anon_sym_RBRACE] = ACTIONS(6097),
    [anon_sym_LBRACK] = ACTIONS(6097),
    [anon_sym_RBRACK] = ACTIONS(6097),
    [anon_sym_const] = ACTIONS(6095),
    [anon_sym_constexpr] = ACTIONS(6097),
    [anon_sym_volatile] = ACTIONS(6097),
    [anon_sym_restrict] = ACTIONS(6097),
    [anon_sym___restrict__] = ACTIONS(6097),
    [anon_sym__Atomic] = ACTIONS(6097),
    [anon_sym__Noreturn] = ACTIONS(6097),
    [anon_sym_noreturn] = ACTIONS(6097),
    [anon_sym__Nonnull] = ACTIONS(6097),
    [anon_sym_mutable] = ACTIONS(6097),
    [anon_sym_constinit] = ACTIONS(6097),
    [anon_sym_consteval] = ACTIONS(6097),
    [anon_sym_alignas] = ACTIONS(6097),
    [anon_sym__Alignas] = ACTIONS(6097),
    [anon_sym_QMARK] = ACTIONS(6097),
    [anon_sym_LT_EQ_GT] = ACTIONS(6097),
    [anon_sym_or] = ACTIONS(6097),
    [anon_sym_and] = ACTIONS(6097),
    [anon_sym_bitor] = ACTIONS(6097),
    [anon_sym_xor] = ACTIONS(6097),
    [anon_sym_bitand] = ACTIONS(6097),
    [anon_sym_not_eq] = ACTIONS(6097),
    [anon_sym_DASH_DASH] = ACTIONS(6097),
    [anon_sym_PLUS_PLUS] = ACTIONS(6097),
    [anon_sym_DOT] = ACTIONS(6095),
    [anon_sym_DOT_STAR] = ACTIONS(6097),
    [anon_sym_DASH_GT] = ACTIONS(6097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6097),
    [anon_sym_decltype] = ACTIONS(6097),
    [anon_sym_final] = ACTIONS(6097),
    [anon_sym_override] = ACTIONS(6097),
    [anon_sym_requires] = ACTIONS(6097),
  },
  [2776] = {
    [sym_attribute_specifier] = STATE(2551),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6089),
    [anon_sym_COMMA] = ACTIONS(6089),
    [anon_sym_RPAREN] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_STAR] = ACTIONS(6089),
    [anon_sym_SLASH] = ACTIONS(6087),
    [anon_sym_PERCENT] = ACTIONS(6089),
    [anon_sym_PIPE_PIPE] = ACTIONS(6089),
    [anon_sym_AMP_AMP] = ACTIONS(6089),
    [anon_sym_PIPE] = ACTIONS(6087),
    [anon_sym_CARET] = ACTIONS(6089),
    [anon_sym_AMP] = ACTIONS(6087),
    [anon_sym_EQ_EQ] = ACTIONS(6089),
    [anon_sym_BANG_EQ] = ACTIONS(6089),
    [anon_sym_GT] = ACTIONS(6087),
    [anon_sym_GT_EQ] = ACTIONS(6089),
    [anon_sym_LT_EQ] = ACTIONS(6087),
    [anon_sym_LT] = ACTIONS(6087),
    [anon_sym_LT_LT] = ACTIONS(6089),
    [anon_sym_GT_GT] = ACTIONS(6089),
    [anon_sym_COLON] = ACTIONS(6089),
    [anon_sym_SEMI] = ACTIONS(6089),
    [anon_sym___extension__] = ACTIONS(6089),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6089),
    [anon_sym_RBRACE] = ACTIONS(6089),
    [anon_sym_LBRACK] = ACTIONS(6089),
    [anon_sym_RBRACK] = ACTIONS(6089),
    [anon_sym_const] = ACTIONS(6087),
    [anon_sym_constexpr] = ACTIONS(6089),
    [anon_sym_volatile] = ACTIONS(6089),
    [anon_sym_restrict] = ACTIONS(6089),
    [anon_sym___restrict__] = ACTIONS(6089),
    [anon_sym__Atomic] = ACTIONS(6089),
    [anon_sym__Noreturn] = ACTIONS(6089),
    [anon_sym_noreturn] = ACTIONS(6089),
    [anon_sym__Nonnull] = ACTIONS(6089),
    [anon_sym_mutable] = ACTIONS(6089),
    [anon_sym_constinit] = ACTIONS(6089),
    [anon_sym_consteval] = ACTIONS(6089),
    [anon_sym_alignas] = ACTIONS(6089),
    [anon_sym__Alignas] = ACTIONS(6089),
    [anon_sym_QMARK] = ACTIONS(6089),
    [anon_sym_LT_EQ_GT] = ACTIONS(6089),
    [anon_sym_or] = ACTIONS(6089),
    [anon_sym_and] = ACTIONS(6089),
    [anon_sym_bitor] = ACTIONS(6089),
    [anon_sym_xor] = ACTIONS(6089),
    [anon_sym_bitand] = ACTIONS(6089),
    [anon_sym_not_eq] = ACTIONS(6089),
    [anon_sym_DASH_DASH] = ACTIONS(6089),
    [anon_sym_PLUS_PLUS] = ACTIONS(6089),
    [anon_sym_DOT] = ACTIONS(6087),
    [anon_sym_DOT_STAR] = ACTIONS(6089),
    [anon_sym_DASH_GT] = ACTIONS(6089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6089),
    [anon_sym_decltype] = ACTIONS(6089),
    [anon_sym_final] = ACTIONS(6089),
    [anon_sym_override] = ACTIONS(6089),
    [anon_sym_requires] = ACTIONS(6089),
  },
  [2777] = {
    [sym_attribute_specifier] = STATE(2997),
    [sym_field_declaration_list] = STATE(2936),
    [sym_virtual_specifier] = STATE(7228),
    [sym_base_class_clause] = STATE(7871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5706),
    [anon_sym_COMMA] = ACTIONS(5706),
    [anon_sym_LPAREN2] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5704),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_SLASH] = ACTIONS(5704),
    [anon_sym_PERCENT] = ACTIONS(5706),
    [anon_sym_PIPE_PIPE] = ACTIONS(5706),
    [anon_sym_AMP_AMP] = ACTIONS(5706),
    [anon_sym_PIPE] = ACTIONS(5704),
    [anon_sym_CARET] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_EQ_EQ] = ACTIONS(5706),
    [anon_sym_BANG_EQ] = ACTIONS(5706),
    [anon_sym_GT] = ACTIONS(5704),
    [anon_sym_GT_EQ] = ACTIONS(5704),
    [anon_sym_LT_EQ] = ACTIONS(5704),
    [anon_sym_LT] = ACTIONS(5704),
    [anon_sym_LT_LT] = ACTIONS(5706),
    [anon_sym_GT_GT] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(6320),
    [anon_sym___extension__] = ACTIONS(5706),
    [anon_sym___attribute__] = ACTIONS(6761),
    [anon_sym___attribute] = ACTIONS(6763),
    [anon_sym_LBRACE] = ACTIONS(6765),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [anon_sym_const] = ACTIONS(5704),
    [anon_sym_constexpr] = ACTIONS(5706),
    [anon_sym_volatile] = ACTIONS(5706),
    [anon_sym_restrict] = ACTIONS(5706),
    [anon_sym___restrict__] = ACTIONS(5706),
    [anon_sym__Atomic] = ACTIONS(5706),
    [anon_sym__Noreturn] = ACTIONS(5706),
    [anon_sym_noreturn] = ACTIONS(5706),
    [anon_sym__Nonnull] = ACTIONS(5706),
    [anon_sym_mutable] = ACTIONS(5706),
    [anon_sym_constinit] = ACTIONS(5706),
    [anon_sym_consteval] = ACTIONS(5706),
    [anon_sym_alignas] = ACTIONS(5706),
    [anon_sym__Alignas] = ACTIONS(5706),
    [anon_sym_QMARK] = ACTIONS(5706),
    [anon_sym_LT_EQ_GT] = ACTIONS(5706),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5706),
    [anon_sym_PLUS_PLUS] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_DOT_STAR] = ACTIONS(5706),
    [anon_sym_DASH_GT] = ACTIONS(5706),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
    [anon_sym_final] = ACTIONS(6513),
    [anon_sym_override] = ACTIONS(6513),
    [anon_sym_GT2] = ACTIONS(5706),
    [anon_sym_requires] = ACTIONS(5706),
  },
  [2778] = {
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_COMMA] = ACTIONS(4300),
    [anon_sym_RPAREN] = ACTIONS(4300),
    [aux_sym_preproc_if_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4300),
    [aux_sym_preproc_elif_token1] = ACTIONS(4305),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(4300),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4300),
    [anon_sym_AMP_AMP] = ACTIONS(4300),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_CARET] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4300),
    [anon_sym_BANG_EQ] = ACTIONS(4300),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4300),
    [anon_sym_LT_EQ] = ACTIONS(4305),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4300),
    [anon_sym___attribute__] = ACTIONS(4305),
    [anon_sym___attribute] = ACTIONS(4305),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(4300),
    [anon_sym_RBRACK] = ACTIONS(4300),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_QMARK] = ACTIONS(4300),
    [anon_sym_STAR_EQ] = ACTIONS(4300),
    [anon_sym_SLASH_EQ] = ACTIONS(4300),
    [anon_sym_PERCENT_EQ] = ACTIONS(4300),
    [anon_sym_PLUS_EQ] = ACTIONS(4300),
    [anon_sym_DASH_EQ] = ACTIONS(4300),
    [anon_sym_LT_LT_EQ] = ACTIONS(4300),
    [anon_sym_GT_GT_EQ] = ACTIONS(4300),
    [anon_sym_AMP_EQ] = ACTIONS(4300),
    [anon_sym_CARET_EQ] = ACTIONS(4300),
    [anon_sym_PIPE_EQ] = ACTIONS(4300),
    [anon_sym_and_eq] = ACTIONS(4305),
    [anon_sym_or_eq] = ACTIONS(4305),
    [anon_sym_xor_eq] = ACTIONS(4305),
    [anon_sym_LT_EQ_GT] = ACTIONS(4300),
    [anon_sym_or] = ACTIONS(4305),
    [anon_sym_and] = ACTIONS(4305),
    [anon_sym_bitor] = ACTIONS(4305),
    [anon_sym_xor] = ACTIONS(4305),
    [anon_sym_bitand] = ACTIONS(4305),
    [anon_sym_not_eq] = ACTIONS(4305),
    [anon_sym_DASH_DASH] = ACTIONS(4300),
    [anon_sym_PLUS_PLUS] = ACTIONS(4300),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_DOT_STAR] = ACTIONS(4300),
    [anon_sym_DASH_GT] = ACTIONS(4300),
    [sym_comment] = ACTIONS(3),
  },
  [2779] = {
    [sym_template_argument_list] = STATE(2770),
    [sym_identifier] = ACTIONS(6767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6769),
    [anon_sym_COMMA] = ACTIONS(6769),
    [anon_sym_RPAREN] = ACTIONS(6769),
    [aux_sym_preproc_if_token2] = ACTIONS(6769),
    [aux_sym_preproc_else_token1] = ACTIONS(6769),
    [aux_sym_preproc_elif_token1] = ACTIONS(6767),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6769),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6769),
    [anon_sym_LPAREN2] = ACTIONS(6769),
    [anon_sym_DASH] = ACTIONS(6767),
    [anon_sym_PLUS] = ACTIONS(6767),
    [anon_sym_STAR] = ACTIONS(6767),
    [anon_sym_SLASH] = ACTIONS(6767),
    [anon_sym_PERCENT] = ACTIONS(6767),
    [anon_sym_PIPE_PIPE] = ACTIONS(6769),
    [anon_sym_AMP_AMP] = ACTIONS(6769),
    [anon_sym_PIPE] = ACTIONS(6767),
    [anon_sym_CARET] = ACTIONS(6767),
    [anon_sym_AMP] = ACTIONS(6767),
    [anon_sym_EQ_EQ] = ACTIONS(6769),
    [anon_sym_BANG_EQ] = ACTIONS(6769),
    [anon_sym_GT] = ACTIONS(6767),
    [anon_sym_GT_EQ] = ACTIONS(6769),
    [anon_sym_LT_EQ] = ACTIONS(6767),
    [anon_sym_LT] = ACTIONS(6771),
    [anon_sym_LT_LT] = ACTIONS(6767),
    [anon_sym_GT_GT] = ACTIONS(6767),
    [anon_sym_COLON] = ACTIONS(6767),
    [anon_sym_SEMI] = ACTIONS(6769),
    [anon_sym___attribute__] = ACTIONS(6767),
    [anon_sym___attribute] = ACTIONS(6767),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_RBRACE] = ACTIONS(6769),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6769),
    [anon_sym_EQ] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6769),
    [anon_sym_STAR_EQ] = ACTIONS(6769),
    [anon_sym_SLASH_EQ] = ACTIONS(6769),
    [anon_sym_PERCENT_EQ] = ACTIONS(6769),
    [anon_sym_PLUS_EQ] = ACTIONS(6769),
    [anon_sym_DASH_EQ] = ACTIONS(6769),
    [anon_sym_LT_LT_EQ] = ACTIONS(6769),
    [anon_sym_GT_GT_EQ] = ACTIONS(6769),
    [anon_sym_AMP_EQ] = ACTIONS(6769),
    [anon_sym_CARET_EQ] = ACTIONS(6769),
    [anon_sym_PIPE_EQ] = ACTIONS(6769),
    [anon_sym_and_eq] = ACTIONS(6767),
    [anon_sym_or_eq] = ACTIONS(6767),
    [anon_sym_xor_eq] = ACTIONS(6767),
    [anon_sym_LT_EQ_GT] = ACTIONS(6769),
    [anon_sym_or] = ACTIONS(6767),
    [anon_sym_and] = ACTIONS(6767),
    [anon_sym_bitor] = ACTIONS(6767),
    [anon_sym_xor] = ACTIONS(6767),
    [anon_sym_bitand] = ACTIONS(6767),
    [anon_sym_not_eq] = ACTIONS(6767),
    [anon_sym_DASH_DASH] = ACTIONS(6769),
    [anon_sym_PLUS_PLUS] = ACTIONS(6769),
    [anon_sym_DOT] = ACTIONS(6767),
    [anon_sym_DOT_STAR] = ACTIONS(6769),
    [anon_sym_DASH_GT] = ACTIONS(6769),
    [sym_comment] = ACTIONS(3),
  },
  [2780] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_RPAREN] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym_COLON] = ACTIONS(5804),
    [anon_sym_SEMI] = ACTIONS(5804),
    [anon_sym___attribute__] = ACTIONS(5804),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_RBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(6774),
    [anon_sym_unsigned] = ACTIONS(6774),
    [anon_sym_long] = ACTIONS(6774),
    [anon_sym_short] = ACTIONS(6774),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_RBRACK] = ACTIONS(5804),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_STAR_EQ] = ACTIONS(5804),
    [anon_sym_SLASH_EQ] = ACTIONS(5804),
    [anon_sym_PERCENT_EQ] = ACTIONS(5804),
    [anon_sym_PLUS_EQ] = ACTIONS(5804),
    [anon_sym_DASH_EQ] = ACTIONS(5804),
    [anon_sym_LT_LT_EQ] = ACTIONS(5804),
    [anon_sym_GT_GT_EQ] = ACTIONS(5804),
    [anon_sym_AMP_EQ] = ACTIONS(5804),
    [anon_sym_CARET_EQ] = ACTIONS(5804),
    [anon_sym_PIPE_EQ] = ACTIONS(5804),
    [anon_sym_and_eq] = ACTIONS(5804),
    [anon_sym_or_eq] = ACTIONS(5804),
    [anon_sym_xor_eq] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5804),
    [anon_sym_decltype] = ACTIONS(5804),
  },
  [2781] = {
    [sym_attribute_specifier] = STATE(2524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6053),
    [anon_sym_COMMA] = ACTIONS(6053),
    [anon_sym_RPAREN] = ACTIONS(6053),
    [anon_sym_LPAREN2] = ACTIONS(6053),
    [anon_sym_DASH] = ACTIONS(6051),
    [anon_sym_PLUS] = ACTIONS(6051),
    [anon_sym_STAR] = ACTIONS(6053),
    [anon_sym_SLASH] = ACTIONS(6051),
    [anon_sym_PERCENT] = ACTIONS(6053),
    [anon_sym_PIPE_PIPE] = ACTIONS(6053),
    [anon_sym_AMP_AMP] = ACTIONS(6053),
    [anon_sym_PIPE] = ACTIONS(6051),
    [anon_sym_CARET] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(6051),
    [anon_sym_EQ_EQ] = ACTIONS(6053),
    [anon_sym_BANG_EQ] = ACTIONS(6053),
    [anon_sym_GT] = ACTIONS(6051),
    [anon_sym_GT_EQ] = ACTIONS(6053),
    [anon_sym_LT_EQ] = ACTIONS(6051),
    [anon_sym_LT] = ACTIONS(6051),
    [anon_sym_LT_LT] = ACTIONS(6053),
    [anon_sym_GT_GT] = ACTIONS(6053),
    [anon_sym_COLON] = ACTIONS(6053),
    [anon_sym_SEMI] = ACTIONS(6053),
    [anon_sym___extension__] = ACTIONS(6053),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6053),
    [anon_sym_RBRACE] = ACTIONS(6053),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [anon_sym_RBRACK] = ACTIONS(6053),
    [anon_sym_const] = ACTIONS(6051),
    [anon_sym_constexpr] = ACTIONS(6053),
    [anon_sym_volatile] = ACTIONS(6053),
    [anon_sym_restrict] = ACTIONS(6053),
    [anon_sym___restrict__] = ACTIONS(6053),
    [anon_sym__Atomic] = ACTIONS(6053),
    [anon_sym__Noreturn] = ACTIONS(6053),
    [anon_sym_noreturn] = ACTIONS(6053),
    [anon_sym__Nonnull] = ACTIONS(6053),
    [anon_sym_mutable] = ACTIONS(6053),
    [anon_sym_constinit] = ACTIONS(6053),
    [anon_sym_consteval] = ACTIONS(6053),
    [anon_sym_alignas] = ACTIONS(6053),
    [anon_sym__Alignas] = ACTIONS(6053),
    [anon_sym_QMARK] = ACTIONS(6053),
    [anon_sym_LT_EQ_GT] = ACTIONS(6053),
    [anon_sym_or] = ACTIONS(6053),
    [anon_sym_and] = ACTIONS(6053),
    [anon_sym_bitor] = ACTIONS(6053),
    [anon_sym_xor] = ACTIONS(6053),
    [anon_sym_bitand] = ACTIONS(6053),
    [anon_sym_not_eq] = ACTIONS(6053),
    [anon_sym_DASH_DASH] = ACTIONS(6053),
    [anon_sym_PLUS_PLUS] = ACTIONS(6053),
    [anon_sym_DOT] = ACTIONS(6051),
    [anon_sym_DOT_STAR] = ACTIONS(6053),
    [anon_sym_DASH_GT] = ACTIONS(6053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6053),
    [anon_sym_decltype] = ACTIONS(6053),
    [anon_sym_final] = ACTIONS(6053),
    [anon_sym_override] = ACTIONS(6053),
    [anon_sym_requires] = ACTIONS(6053),
  },
  [2782] = {
    [sym_string_literal] = STATE(2620),
    [sym_raw_string_literal] = STATE(2620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6467),
    [anon_sym_COMMA] = ACTIONS(6467),
    [anon_sym_RPAREN] = ACTIONS(6467),
    [anon_sym_LPAREN2] = ACTIONS(6467),
    [anon_sym_DASH] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_STAR] = ACTIONS(6465),
    [anon_sym_SLASH] = ACTIONS(6465),
    [anon_sym_PERCENT] = ACTIONS(6465),
    [anon_sym_PIPE_PIPE] = ACTIONS(6467),
    [anon_sym_AMP_AMP] = ACTIONS(6467),
    [anon_sym_PIPE] = ACTIONS(6465),
    [anon_sym_CARET] = ACTIONS(6465),
    [anon_sym_AMP] = ACTIONS(6465),
    [anon_sym_EQ_EQ] = ACTIONS(6467),
    [anon_sym_BANG_EQ] = ACTIONS(6467),
    [anon_sym_GT] = ACTIONS(6465),
    [anon_sym_GT_EQ] = ACTIONS(6467),
    [anon_sym_LT_EQ] = ACTIONS(6465),
    [anon_sym_LT] = ACTIONS(6465),
    [anon_sym_LT_LT] = ACTIONS(6465),
    [anon_sym_GT_GT] = ACTIONS(6465),
    [anon_sym_LBRACK] = ACTIONS(6467),
    [anon_sym_EQ] = ACTIONS(6465),
    [anon_sym_QMARK] = ACTIONS(6467),
    [anon_sym_STAR_EQ] = ACTIONS(6467),
    [anon_sym_SLASH_EQ] = ACTIONS(6467),
    [anon_sym_PERCENT_EQ] = ACTIONS(6467),
    [anon_sym_PLUS_EQ] = ACTIONS(6467),
    [anon_sym_DASH_EQ] = ACTIONS(6467),
    [anon_sym_LT_LT_EQ] = ACTIONS(6467),
    [anon_sym_GT_GT_EQ] = ACTIONS(6467),
    [anon_sym_AMP_EQ] = ACTIONS(6467),
    [anon_sym_CARET_EQ] = ACTIONS(6467),
    [anon_sym_PIPE_EQ] = ACTIONS(6467),
    [anon_sym_and_eq] = ACTIONS(6465),
    [anon_sym_or_eq] = ACTIONS(6465),
    [anon_sym_xor_eq] = ACTIONS(6465),
    [anon_sym_LT_EQ_GT] = ACTIONS(6467),
    [anon_sym_or] = ACTIONS(6465),
    [anon_sym_and] = ACTIONS(6465),
    [anon_sym_bitor] = ACTIONS(6465),
    [anon_sym_xor] = ACTIONS(6465),
    [anon_sym_bitand] = ACTIONS(6465),
    [anon_sym_not_eq] = ACTIONS(6465),
    [anon_sym_DASH_DASH] = ACTIONS(6467),
    [anon_sym_PLUS_PLUS] = ACTIONS(6467),
    [anon_sym_DOT] = ACTIONS(6465),
    [anon_sym_DOT_STAR] = ACTIONS(6467),
    [anon_sym_DASH_GT] = ACTIONS(6465),
    [anon_sym_L_DQUOTE] = ACTIONS(5533),
    [anon_sym_u_DQUOTE] = ACTIONS(5533),
    [anon_sym_U_DQUOTE] = ACTIONS(5533),
    [anon_sym_u8_DQUOTE] = ACTIONS(5533),
    [anon_sym_DQUOTE] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5535),
    [anon_sym_LR_DQUOTE] = ACTIONS(5535),
    [anon_sym_uR_DQUOTE] = ACTIONS(5535),
    [anon_sym_UR_DQUOTE] = ACTIONS(5535),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5535),
    [anon_sym_DASH_GT_STAR] = ACTIONS(6467),
    [sym_literal_suffix] = ACTIONS(6465),
  },
  [2783] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_TILDE] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym_in] = ACTIONS(5710),
    [anon_sym_out] = ACTIONS(5710),
    [anon_sym_inout] = ACTIONS(5710),
    [anon_sym_virtual] = ACTIONS(5710),
    [anon_sym_extern] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_COLON_COLON] = ACTIONS(1995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5712),
    [anon_sym___declspec] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_static] = ACTIONS(5710),
    [anon_sym_register] = ACTIONS(5710),
    [anon_sym_inline] = ACTIONS(5710),
    [anon_sym___inline] = ACTIONS(5710),
    [anon_sym___inline__] = ACTIONS(5710),
    [anon_sym___forceinline] = ACTIONS(5710),
    [anon_sym_thread_local] = ACTIONS(5710),
    [anon_sym___thread] = ACTIONS(5710),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym__Nonnull] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_alignas] = ACTIONS(5710),
    [anon_sym__Alignas] = ACTIONS(5710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_template] = ACTIONS(5710),
    [anon_sym_operator] = ACTIONS(5710),
    [anon_sym_precise] = ACTIONS(5710),
    [anon_sym_shared] = ACTIONS(5710),
    [anon_sym_groupshared] = ACTIONS(5710),
    [anon_sym_uniform] = ACTIONS(5710),
    [anon_sym_row_major] = ACTIONS(5710),
    [anon_sym_column_major] = ACTIONS(5710),
    [anon_sym_globallycoherent] = ACTIONS(5710),
    [anon_sym_centroid] = ACTIONS(5710),
    [anon_sym_noperspective] = ACTIONS(5710),
    [anon_sym_nointerpolation] = ACTIONS(5710),
    [anon_sym_sample] = ACTIONS(5710),
    [anon_sym_linear] = ACTIONS(5710),
    [anon_sym_snorm] = ACTIONS(5710),
    [anon_sym_unorm] = ACTIONS(5710),
    [anon_sym_point] = ACTIONS(5710),
    [anon_sym_line] = ACTIONS(5710),
    [anon_sym_triangleadj] = ACTIONS(5710),
    [anon_sym_lineadj] = ACTIONS(5710),
    [anon_sym_triangle] = ACTIONS(5710),
  },
  [2784] = {
    [sym_attribute_specifier] = STATE(2512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6049),
    [anon_sym_COMMA] = ACTIONS(6049),
    [anon_sym_RPAREN] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [anon_sym_DASH] = ACTIONS(6047),
    [anon_sym_PLUS] = ACTIONS(6047),
    [anon_sym_STAR] = ACTIONS(6049),
    [anon_sym_SLASH] = ACTIONS(6047),
    [anon_sym_PERCENT] = ACTIONS(6049),
    [anon_sym_PIPE_PIPE] = ACTIONS(6049),
    [anon_sym_AMP_AMP] = ACTIONS(6049),
    [anon_sym_PIPE] = ACTIONS(6047),
    [anon_sym_CARET] = ACTIONS(6049),
    [anon_sym_AMP] = ACTIONS(6047),
    [anon_sym_EQ_EQ] = ACTIONS(6049),
    [anon_sym_BANG_EQ] = ACTIONS(6049),
    [anon_sym_GT] = ACTIONS(6047),
    [anon_sym_GT_EQ] = ACTIONS(6049),
    [anon_sym_LT_EQ] = ACTIONS(6047),
    [anon_sym_LT] = ACTIONS(6047),
    [anon_sym_LT_LT] = ACTIONS(6049),
    [anon_sym_GT_GT] = ACTIONS(6049),
    [anon_sym_COLON] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6049),
    [anon_sym___extension__] = ACTIONS(6049),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6049),
    [anon_sym_RBRACE] = ACTIONS(6049),
    [anon_sym_LBRACK] = ACTIONS(6049),
    [anon_sym_RBRACK] = ACTIONS(6049),
    [anon_sym_const] = ACTIONS(6047),
    [anon_sym_constexpr] = ACTIONS(6049),
    [anon_sym_volatile] = ACTIONS(6049),
    [anon_sym_restrict] = ACTIONS(6049),
    [anon_sym___restrict__] = ACTIONS(6049),
    [anon_sym__Atomic] = ACTIONS(6049),
    [anon_sym__Noreturn] = ACTIONS(6049),
    [anon_sym_noreturn] = ACTIONS(6049),
    [anon_sym__Nonnull] = ACTIONS(6049),
    [anon_sym_mutable] = ACTIONS(6049),
    [anon_sym_constinit] = ACTIONS(6049),
    [anon_sym_consteval] = ACTIONS(6049),
    [anon_sym_alignas] = ACTIONS(6049),
    [anon_sym__Alignas] = ACTIONS(6049),
    [anon_sym_QMARK] = ACTIONS(6049),
    [anon_sym_LT_EQ_GT] = ACTIONS(6049),
    [anon_sym_or] = ACTIONS(6049),
    [anon_sym_and] = ACTIONS(6049),
    [anon_sym_bitor] = ACTIONS(6049),
    [anon_sym_xor] = ACTIONS(6049),
    [anon_sym_bitand] = ACTIONS(6049),
    [anon_sym_not_eq] = ACTIONS(6049),
    [anon_sym_DASH_DASH] = ACTIONS(6049),
    [anon_sym_PLUS_PLUS] = ACTIONS(6049),
    [anon_sym_DOT] = ACTIONS(6047),
    [anon_sym_DOT_STAR] = ACTIONS(6049),
    [anon_sym_DASH_GT] = ACTIONS(6049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6049),
    [anon_sym_decltype] = ACTIONS(6049),
    [anon_sym_final] = ACTIONS(6049),
    [anon_sym_override] = ACTIONS(6049),
    [anon_sym_requires] = ACTIONS(6049),
  },
  [2785] = {
    [sym_attribute_specifier] = STATE(2511),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6057),
    [anon_sym_COMMA] = ACTIONS(6057),
    [anon_sym_RPAREN] = ACTIONS(6057),
    [anon_sym_LPAREN2] = ACTIONS(6057),
    [anon_sym_DASH] = ACTIONS(6055),
    [anon_sym_PLUS] = ACTIONS(6055),
    [anon_sym_STAR] = ACTIONS(6057),
    [anon_sym_SLASH] = ACTIONS(6055),
    [anon_sym_PERCENT] = ACTIONS(6057),
    [anon_sym_PIPE_PIPE] = ACTIONS(6057),
    [anon_sym_AMP_AMP] = ACTIONS(6057),
    [anon_sym_PIPE] = ACTIONS(6055),
    [anon_sym_CARET] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(6055),
    [anon_sym_EQ_EQ] = ACTIONS(6057),
    [anon_sym_BANG_EQ] = ACTIONS(6057),
    [anon_sym_GT] = ACTIONS(6055),
    [anon_sym_GT_EQ] = ACTIONS(6057),
    [anon_sym_LT_EQ] = ACTIONS(6055),
    [anon_sym_LT] = ACTIONS(6055),
    [anon_sym_LT_LT] = ACTIONS(6057),
    [anon_sym_GT_GT] = ACTIONS(6057),
    [anon_sym_COLON] = ACTIONS(6057),
    [anon_sym_SEMI] = ACTIONS(6057),
    [anon_sym___extension__] = ACTIONS(6057),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6057),
    [anon_sym_RBRACE] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [anon_sym_RBRACK] = ACTIONS(6057),
    [anon_sym_const] = ACTIONS(6055),
    [anon_sym_constexpr] = ACTIONS(6057),
    [anon_sym_volatile] = ACTIONS(6057),
    [anon_sym_restrict] = ACTIONS(6057),
    [anon_sym___restrict__] = ACTIONS(6057),
    [anon_sym__Atomic] = ACTIONS(6057),
    [anon_sym__Noreturn] = ACTIONS(6057),
    [anon_sym_noreturn] = ACTIONS(6057),
    [anon_sym__Nonnull] = ACTIONS(6057),
    [anon_sym_mutable] = ACTIONS(6057),
    [anon_sym_constinit] = ACTIONS(6057),
    [anon_sym_consteval] = ACTIONS(6057),
    [anon_sym_alignas] = ACTIONS(6057),
    [anon_sym__Alignas] = ACTIONS(6057),
    [anon_sym_QMARK] = ACTIONS(6057),
    [anon_sym_LT_EQ_GT] = ACTIONS(6057),
    [anon_sym_or] = ACTIONS(6057),
    [anon_sym_and] = ACTIONS(6057),
    [anon_sym_bitor] = ACTIONS(6057),
    [anon_sym_xor] = ACTIONS(6057),
    [anon_sym_bitand] = ACTIONS(6057),
    [anon_sym_not_eq] = ACTIONS(6057),
    [anon_sym_DASH_DASH] = ACTIONS(6057),
    [anon_sym_PLUS_PLUS] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(6055),
    [anon_sym_DOT_STAR] = ACTIONS(6057),
    [anon_sym_DASH_GT] = ACTIONS(6057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6057),
    [anon_sym_decltype] = ACTIONS(6057),
    [anon_sym_final] = ACTIONS(6057),
    [anon_sym_override] = ACTIONS(6057),
    [anon_sym_requires] = ACTIONS(6057),
  },
  [2786] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5710),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5710),
    [anon_sym_GT_GT] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5712),
    [anon_sym___attribute] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_signed] = ACTIONS(6776),
    [anon_sym_unsigned] = ACTIONS(6776),
    [anon_sym_long] = ACTIONS(6776),
    [anon_sym_short] = ACTIONS(6776),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_EQ] = ACTIONS(5710),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_STAR_EQ] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [anon_sym_PERCENT_EQ] = ACTIONS(5712),
    [anon_sym_PLUS_EQ] = ACTIONS(5712),
    [anon_sym_DASH_EQ] = ACTIONS(5712),
    [anon_sym_LT_LT_EQ] = ACTIONS(5712),
    [anon_sym_GT_GT_EQ] = ACTIONS(5712),
    [anon_sym_AMP_EQ] = ACTIONS(5712),
    [anon_sym_CARET_EQ] = ACTIONS(5712),
    [anon_sym_PIPE_EQ] = ACTIONS(5712),
    [anon_sym_and_eq] = ACTIONS(5712),
    [anon_sym_or_eq] = ACTIONS(5712),
    [anon_sym_xor_eq] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5712),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5712),
    [anon_sym_not_eq] = ACTIONS(5712),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5712),
    [anon_sym_decltype] = ACTIONS(5712),
  },
  [2787] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5792),
    [anon_sym_COMMA] = ACTIONS(5792),
    [anon_sym_RPAREN] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5790),
    [anon_sym_STAR] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5790),
    [anon_sym_PERCENT] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5792),
    [anon_sym_AMP_AMP] = ACTIONS(5792),
    [anon_sym_PIPE] = ACTIONS(5790),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_AMP] = ACTIONS(5790),
    [anon_sym_EQ_EQ] = ACTIONS(5792),
    [anon_sym_BANG_EQ] = ACTIONS(5792),
    [anon_sym_GT] = ACTIONS(5790),
    [anon_sym_GT_EQ] = ACTIONS(5792),
    [anon_sym_LT_EQ] = ACTIONS(5790),
    [anon_sym_LT] = ACTIONS(5790),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5792),
    [anon_sym___attribute__] = ACTIONS(5792),
    [anon_sym___attribute] = ACTIONS(5790),
    [anon_sym_LBRACE] = ACTIONS(5792),
    [anon_sym_RBRACE] = ACTIONS(5792),
    [anon_sym_signed] = ACTIONS(6774),
    [anon_sym_unsigned] = ACTIONS(6774),
    [anon_sym_long] = ACTIONS(6774),
    [anon_sym_short] = ACTIONS(6774),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [anon_sym_RBRACK] = ACTIONS(5792),
    [anon_sym_EQ] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5792),
    [anon_sym_STAR_EQ] = ACTIONS(5792),
    [anon_sym_SLASH_EQ] = ACTIONS(5792),
    [anon_sym_PERCENT_EQ] = ACTIONS(5792),
    [anon_sym_PLUS_EQ] = ACTIONS(5792),
    [anon_sym_DASH_EQ] = ACTIONS(5792),
    [anon_sym_LT_LT_EQ] = ACTIONS(5792),
    [anon_sym_GT_GT_EQ] = ACTIONS(5792),
    [anon_sym_AMP_EQ] = ACTIONS(5792),
    [anon_sym_CARET_EQ] = ACTIONS(5792),
    [anon_sym_PIPE_EQ] = ACTIONS(5792),
    [anon_sym_and_eq] = ACTIONS(5792),
    [anon_sym_or_eq] = ACTIONS(5792),
    [anon_sym_xor_eq] = ACTIONS(5792),
    [anon_sym_LT_EQ_GT] = ACTIONS(5792),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_bitor] = ACTIONS(5792),
    [anon_sym_xor] = ACTIONS(5790),
    [anon_sym_bitand] = ACTIONS(5792),
    [anon_sym_not_eq] = ACTIONS(5792),
    [anon_sym_DASH_DASH] = ACTIONS(5792),
    [anon_sym_PLUS_PLUS] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_DOT_STAR] = ACTIONS(5792),
    [anon_sym_DASH_GT] = ACTIONS(5792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5792),
    [anon_sym_decltype] = ACTIONS(5792),
  },
  [2788] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5745),
    [anon_sym_STAR] = ACTIONS(5745),
    [anon_sym_SLASH] = ACTIONS(5745),
    [anon_sym_PERCENT] = ACTIONS(5745),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_PIPE] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5745),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_EQ_EQ] = ACTIONS(5747),
    [anon_sym_BANG_EQ] = ACTIONS(5747),
    [anon_sym_GT] = ACTIONS(5745),
    [anon_sym_GT_EQ] = ACTIONS(5747),
    [anon_sym_LT_EQ] = ACTIONS(5745),
    [anon_sym_LT] = ACTIONS(5745),
    [anon_sym_LT_LT] = ACTIONS(5745),
    [anon_sym_GT_GT] = ACTIONS(5745),
    [anon_sym_COLON] = ACTIONS(5747),
    [anon_sym_SEMI] = ACTIONS(5747),
    [anon_sym___attribute__] = ACTIONS(5747),
    [anon_sym___attribute] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_RBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(6774),
    [anon_sym_unsigned] = ACTIONS(6774),
    [anon_sym_long] = ACTIONS(6774),
    [anon_sym_short] = ACTIONS(6774),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_RBRACK] = ACTIONS(5747),
    [anon_sym_EQ] = ACTIONS(5745),
    [anon_sym_QMARK] = ACTIONS(5747),
    [anon_sym_STAR_EQ] = ACTIONS(5747),
    [anon_sym_SLASH_EQ] = ACTIONS(5747),
    [anon_sym_PERCENT_EQ] = ACTIONS(5747),
    [anon_sym_PLUS_EQ] = ACTIONS(5747),
    [anon_sym_DASH_EQ] = ACTIONS(5747),
    [anon_sym_LT_LT_EQ] = ACTIONS(5747),
    [anon_sym_GT_GT_EQ] = ACTIONS(5747),
    [anon_sym_AMP_EQ] = ACTIONS(5747),
    [anon_sym_CARET_EQ] = ACTIONS(5747),
    [anon_sym_PIPE_EQ] = ACTIONS(5747),
    [anon_sym_and_eq] = ACTIONS(5747),
    [anon_sym_or_eq] = ACTIONS(5747),
    [anon_sym_xor_eq] = ACTIONS(5747),
    [anon_sym_LT_EQ_GT] = ACTIONS(5747),
    [anon_sym_or] = ACTIONS(5745),
    [anon_sym_and] = ACTIONS(5745),
    [anon_sym_bitor] = ACTIONS(5747),
    [anon_sym_xor] = ACTIONS(5745),
    [anon_sym_bitand] = ACTIONS(5747),
    [anon_sym_not_eq] = ACTIONS(5747),
    [anon_sym_DASH_DASH] = ACTIONS(5747),
    [anon_sym_PLUS_PLUS] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5745),
    [anon_sym_DOT_STAR] = ACTIONS(5747),
    [anon_sym_DASH_GT] = ACTIONS(5747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5747),
    [anon_sym_decltype] = ACTIONS(5747),
  },
  [2789] = {
    [sym_attribute_specifier] = STATE(2703),
    [sym_enumerator_list] = STATE(2638),
    [sym__enum_base_clause] = STATE(2590),
    [sym_identifier] = ACTIONS(6154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6156),
    [anon_sym_COMMA] = ACTIONS(6156),
    [aux_sym_preproc_if_token2] = ACTIONS(6156),
    [aux_sym_preproc_else_token1] = ACTIONS(6156),
    [aux_sym_preproc_elif_token1] = ACTIONS(6154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6156),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6156),
    [anon_sym_LPAREN2] = ACTIONS(6156),
    [anon_sym_DASH] = ACTIONS(6154),
    [anon_sym_PLUS] = ACTIONS(6154),
    [anon_sym_STAR] = ACTIONS(6154),
    [anon_sym_SLASH] = ACTIONS(6154),
    [anon_sym_PERCENT] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_AMP_AMP] = ACTIONS(6156),
    [anon_sym_PIPE] = ACTIONS(6154),
    [anon_sym_CARET] = ACTIONS(6154),
    [anon_sym_AMP] = ACTIONS(6154),
    [anon_sym_EQ_EQ] = ACTIONS(6156),
    [anon_sym_BANG_EQ] = ACTIONS(6156),
    [anon_sym_GT] = ACTIONS(6154),
    [anon_sym_GT_EQ] = ACTIONS(6156),
    [anon_sym_LT_EQ] = ACTIONS(6154),
    [anon_sym_LT] = ACTIONS(6154),
    [anon_sym_LT_LT] = ACTIONS(6154),
    [anon_sym_GT_GT] = ACTIONS(6154),
    [anon_sym_COLON] = ACTIONS(6749),
    [anon_sym___attribute__] = ACTIONS(6322),
    [anon_sym___attribute] = ACTIONS(6322),
    [anon_sym_LBRACE] = ACTIONS(6469),
    [anon_sym_LBRACK] = ACTIONS(6156),
    [anon_sym_EQ] = ACTIONS(6154),
    [anon_sym_QMARK] = ACTIONS(6156),
    [anon_sym_STAR_EQ] = ACTIONS(6156),
    [anon_sym_SLASH_EQ] = ACTIONS(6156),
    [anon_sym_PERCENT_EQ] = ACTIONS(6156),
    [anon_sym_PLUS_EQ] = ACTIONS(6156),
    [anon_sym_DASH_EQ] = ACTIONS(6156),
    [anon_sym_LT_LT_EQ] = ACTIONS(6156),
    [anon_sym_GT_GT_EQ] = ACTIONS(6156),
    [anon_sym_AMP_EQ] = ACTIONS(6156),
    [anon_sym_CARET_EQ] = ACTIONS(6156),
    [anon_sym_PIPE_EQ] = ACTIONS(6156),
    [anon_sym_and_eq] = ACTIONS(6154),
    [anon_sym_or_eq] = ACTIONS(6154),
    [anon_sym_xor_eq] = ACTIONS(6154),
    [anon_sym_LT_EQ_GT] = ACTIONS(6156),
    [anon_sym_or] = ACTIONS(6154),
    [anon_sym_and] = ACTIONS(6154),
    [anon_sym_bitor] = ACTIONS(6154),
    [anon_sym_xor] = ACTIONS(6154),
    [anon_sym_bitand] = ACTIONS(6154),
    [anon_sym_not_eq] = ACTIONS(6154),
    [anon_sym_DASH_DASH] = ACTIONS(6156),
    [anon_sym_PLUS_PLUS] = ACTIONS(6156),
    [anon_sym_DOT] = ACTIONS(6154),
    [anon_sym_DOT_STAR] = ACTIONS(6156),
    [anon_sym_DASH_GT] = ACTIONS(6156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6154),
    [anon_sym_decltype] = ACTIONS(6154),
  },
  [2790] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5786),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_RPAREN] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5784),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5784),
    [anon_sym_EQ_EQ] = ACTIONS(5786),
    [anon_sym_BANG_EQ] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5784),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5784),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym_COLON] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_signed] = ACTIONS(6778),
    [anon_sym_unsigned] = ACTIONS(6778),
    [anon_sym_long] = ACTIONS(6778),
    [anon_sym_short] = ACTIONS(6778),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_RBRACK] = ACTIONS(5786),
    [anon_sym_EQ] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5786),
    [anon_sym_STAR_EQ] = ACTIONS(5786),
    [anon_sym_SLASH_EQ] = ACTIONS(5786),
    [anon_sym_PERCENT_EQ] = ACTIONS(5786),
    [anon_sym_PLUS_EQ] = ACTIONS(5786),
    [anon_sym_DASH_EQ] = ACTIONS(5786),
    [anon_sym_LT_LT_EQ] = ACTIONS(5786),
    [anon_sym_GT_GT_EQ] = ACTIONS(5786),
    [anon_sym_AMP_EQ] = ACTIONS(5786),
    [anon_sym_CARET_EQ] = ACTIONS(5786),
    [anon_sym_PIPE_EQ] = ACTIONS(5786),
    [anon_sym_and_eq] = ACTIONS(5786),
    [anon_sym_or_eq] = ACTIONS(5786),
    [anon_sym_xor_eq] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5786),
    [anon_sym_or] = ACTIONS(5784),
    [anon_sym_and] = ACTIONS(5784),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5784),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5786),
    [anon_sym_PLUS_PLUS] = ACTIONS(5786),
    [anon_sym_DOT] = ACTIONS(5784),
    [anon_sym_DOT_STAR] = ACTIONS(5786),
    [anon_sym_DASH_GT] = ACTIONS(5786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
  },
  [2791] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5780),
    [anon_sym_COMMA] = ACTIONS(5780),
    [anon_sym_RPAREN] = ACTIONS(5780),
    [anon_sym_LPAREN2] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5778),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5778),
    [anon_sym_PIPE_PIPE] = ACTIONS(5780),
    [anon_sym_AMP_AMP] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5778),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5780),
    [anon_sym_BANG_EQ] = ACTIONS(5780),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5780),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5778),
    [anon_sym_GT_GT] = ACTIONS(5778),
    [anon_sym_COLON] = ACTIONS(5780),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym___attribute__] = ACTIONS(5780),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5780),
    [anon_sym_RBRACE] = ACTIONS(5780),
    [anon_sym_signed] = ACTIONS(6780),
    [anon_sym_unsigned] = ACTIONS(6780),
    [anon_sym_long] = ACTIONS(6780),
    [anon_sym_short] = ACTIONS(6780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [anon_sym_RBRACK] = ACTIONS(5780),
    [anon_sym_EQ] = ACTIONS(5778),
    [anon_sym_QMARK] = ACTIONS(5780),
    [anon_sym_STAR_EQ] = ACTIONS(5780),
    [anon_sym_SLASH_EQ] = ACTIONS(5780),
    [anon_sym_PERCENT_EQ] = ACTIONS(5780),
    [anon_sym_PLUS_EQ] = ACTIONS(5780),
    [anon_sym_DASH_EQ] = ACTIONS(5780),
    [anon_sym_LT_LT_EQ] = ACTIONS(5780),
    [anon_sym_GT_GT_EQ] = ACTIONS(5780),
    [anon_sym_AMP_EQ] = ACTIONS(5780),
    [anon_sym_CARET_EQ] = ACTIONS(5780),
    [anon_sym_PIPE_EQ] = ACTIONS(5780),
    [anon_sym_and_eq] = ACTIONS(5780),
    [anon_sym_or_eq] = ACTIONS(5780),
    [anon_sym_xor_eq] = ACTIONS(5780),
    [anon_sym_LT_EQ_GT] = ACTIONS(5780),
    [anon_sym_or] = ACTIONS(5778),
    [anon_sym_and] = ACTIONS(5778),
    [anon_sym_bitor] = ACTIONS(5780),
    [anon_sym_xor] = ACTIONS(5778),
    [anon_sym_bitand] = ACTIONS(5780),
    [anon_sym_not_eq] = ACTIONS(5780),
    [anon_sym_DASH_DASH] = ACTIONS(5780),
    [anon_sym_PLUS_PLUS] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5780),
    [anon_sym_DASH_GT] = ACTIONS(5780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5780),
    [anon_sym_decltype] = ACTIONS(5780),
  },
  [2792] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [anon_sym_RPAREN] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5754),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5754),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5754),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5756),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5754),
    [anon_sym_GT_GT] = ACTIONS(5754),
    [anon_sym_COLON] = ACTIONS(5756),
    [anon_sym_SEMI] = ACTIONS(5756),
    [anon_sym___attribute__] = ACTIONS(5756),
    [anon_sym___attribute] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_RBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(6774),
    [anon_sym_unsigned] = ACTIONS(6774),
    [anon_sym_long] = ACTIONS(6774),
    [anon_sym_short] = ACTIONS(6774),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_RBRACK] = ACTIONS(5756),
    [anon_sym_EQ] = ACTIONS(5754),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_STAR_EQ] = ACTIONS(5756),
    [anon_sym_SLASH_EQ] = ACTIONS(5756),
    [anon_sym_PERCENT_EQ] = ACTIONS(5756),
    [anon_sym_PLUS_EQ] = ACTIONS(5756),
    [anon_sym_DASH_EQ] = ACTIONS(5756),
    [anon_sym_LT_LT_EQ] = ACTIONS(5756),
    [anon_sym_GT_GT_EQ] = ACTIONS(5756),
    [anon_sym_AMP_EQ] = ACTIONS(5756),
    [anon_sym_CARET_EQ] = ACTIONS(5756),
    [anon_sym_PIPE_EQ] = ACTIONS(5756),
    [anon_sym_and_eq] = ACTIONS(5756),
    [anon_sym_or_eq] = ACTIONS(5756),
    [anon_sym_xor_eq] = ACTIONS(5756),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5754),
    [anon_sym_and] = ACTIONS(5754),
    [anon_sym_bitor] = ACTIONS(5756),
    [anon_sym_xor] = ACTIONS(5754),
    [anon_sym_bitand] = ACTIONS(5756),
    [anon_sym_not_eq] = ACTIONS(5756),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5756),
    [anon_sym_decltype] = ACTIONS(5756),
  },
  [2793] = {
    [sym_template_argument_list] = STATE(2770),
    [sym_identifier] = ACTIONS(6782),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6784),
    [anon_sym_COMMA] = ACTIONS(6784),
    [anon_sym_RPAREN] = ACTIONS(6784),
    [aux_sym_preproc_if_token2] = ACTIONS(6784),
    [aux_sym_preproc_else_token1] = ACTIONS(6784),
    [aux_sym_preproc_elif_token1] = ACTIONS(6782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6784),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6784),
    [anon_sym_LPAREN2] = ACTIONS(6784),
    [anon_sym_DASH] = ACTIONS(6782),
    [anon_sym_PLUS] = ACTIONS(6782),
    [anon_sym_STAR] = ACTIONS(6782),
    [anon_sym_SLASH] = ACTIONS(6782),
    [anon_sym_PERCENT] = ACTIONS(6782),
    [anon_sym_PIPE_PIPE] = ACTIONS(6784),
    [anon_sym_AMP_AMP] = ACTIONS(6784),
    [anon_sym_PIPE] = ACTIONS(6782),
    [anon_sym_CARET] = ACTIONS(6782),
    [anon_sym_AMP] = ACTIONS(6782),
    [anon_sym_EQ_EQ] = ACTIONS(6784),
    [anon_sym_BANG_EQ] = ACTIONS(6784),
    [anon_sym_GT] = ACTIONS(6782),
    [anon_sym_GT_EQ] = ACTIONS(6784),
    [anon_sym_LT_EQ] = ACTIONS(6782),
    [anon_sym_LT] = ACTIONS(6786),
    [anon_sym_LT_LT] = ACTIONS(6782),
    [anon_sym_GT_GT] = ACTIONS(6782),
    [anon_sym_COLON] = ACTIONS(6782),
    [anon_sym_SEMI] = ACTIONS(6784),
    [anon_sym___attribute__] = ACTIONS(6782),
    [anon_sym___attribute] = ACTIONS(6782),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_RBRACE] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6784),
    [anon_sym_RBRACK] = ACTIONS(6784),
    [anon_sym_EQ] = ACTIONS(6782),
    [anon_sym_QMARK] = ACTIONS(6784),
    [anon_sym_STAR_EQ] = ACTIONS(6784),
    [anon_sym_SLASH_EQ] = ACTIONS(6784),
    [anon_sym_PERCENT_EQ] = ACTIONS(6784),
    [anon_sym_PLUS_EQ] = ACTIONS(6784),
    [anon_sym_DASH_EQ] = ACTIONS(6784),
    [anon_sym_LT_LT_EQ] = ACTIONS(6784),
    [anon_sym_GT_GT_EQ] = ACTIONS(6784),
    [anon_sym_AMP_EQ] = ACTIONS(6784),
    [anon_sym_CARET_EQ] = ACTIONS(6784),
    [anon_sym_PIPE_EQ] = ACTIONS(6784),
    [anon_sym_and_eq] = ACTIONS(6782),
    [anon_sym_or_eq] = ACTIONS(6782),
    [anon_sym_xor_eq] = ACTIONS(6782),
    [anon_sym_LT_EQ_GT] = ACTIONS(6784),
    [anon_sym_or] = ACTIONS(6782),
    [anon_sym_and] = ACTIONS(6782),
    [anon_sym_bitor] = ACTIONS(6782),
    [anon_sym_xor] = ACTIONS(6782),
    [anon_sym_bitand] = ACTIONS(6782),
    [anon_sym_not_eq] = ACTIONS(6782),
    [anon_sym_DASH_DASH] = ACTIONS(6784),
    [anon_sym_PLUS_PLUS] = ACTIONS(6784),
    [anon_sym_DOT] = ACTIONS(6782),
    [anon_sym_DOT_STAR] = ACTIONS(6784),
    [anon_sym_DASH_GT] = ACTIONS(6784),
    [sym_comment] = ACTIONS(3),
  },
  [2794] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5758),
    [anon_sym_GT_GT] = ACTIONS(5758),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym___attribute] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(6774),
    [anon_sym_unsigned] = ACTIONS(6774),
    [anon_sym_long] = ACTIONS(6774),
    [anon_sym_short] = ACTIONS(6774),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_RBRACK] = ACTIONS(5760),
    [anon_sym_EQ] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_STAR_EQ] = ACTIONS(5760),
    [anon_sym_SLASH_EQ] = ACTIONS(5760),
    [anon_sym_PERCENT_EQ] = ACTIONS(5760),
    [anon_sym_PLUS_EQ] = ACTIONS(5760),
    [anon_sym_DASH_EQ] = ACTIONS(5760),
    [anon_sym_LT_LT_EQ] = ACTIONS(5760),
    [anon_sym_GT_GT_EQ] = ACTIONS(5760),
    [anon_sym_AMP_EQ] = ACTIONS(5760),
    [anon_sym_CARET_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_and_eq] = ACTIONS(5760),
    [anon_sym_or_eq] = ACTIONS(5760),
    [anon_sym_xor_eq] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
  },
  [2795] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5764),
    [anon_sym_COMMA] = ACTIONS(5764),
    [anon_sym_RPAREN] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [anon_sym_PIPE_PIPE] = ACTIONS(5764),
    [anon_sym_AMP_AMP] = ACTIONS(5764),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5764),
    [anon_sym_BANG_EQ] = ACTIONS(5764),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5764),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_COLON] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5764),
    [anon_sym___attribute__] = ACTIONS(5764),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(5764),
    [anon_sym_RBRACE] = ACTIONS(5764),
    [anon_sym_signed] = ACTIONS(6789),
    [anon_sym_unsigned] = ACTIONS(6789),
    [anon_sym_long] = ACTIONS(6789),
    [anon_sym_short] = ACTIONS(6789),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [anon_sym_RBRACK] = ACTIONS(5764),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_STAR_EQ] = ACTIONS(5764),
    [anon_sym_SLASH_EQ] = ACTIONS(5764),
    [anon_sym_PERCENT_EQ] = ACTIONS(5764),
    [anon_sym_PLUS_EQ] = ACTIONS(5764),
    [anon_sym_DASH_EQ] = ACTIONS(5764),
    [anon_sym_LT_LT_EQ] = ACTIONS(5764),
    [anon_sym_GT_GT_EQ] = ACTIONS(5764),
    [anon_sym_AMP_EQ] = ACTIONS(5764),
    [anon_sym_CARET_EQ] = ACTIONS(5764),
    [anon_sym_PIPE_EQ] = ACTIONS(5764),
    [anon_sym_and_eq] = ACTIONS(5764),
    [anon_sym_or_eq] = ACTIONS(5764),
    [anon_sym_xor_eq] = ACTIONS(5764),
    [anon_sym_LT_EQ_GT] = ACTIONS(5764),
    [anon_sym_or] = ACTIONS(5762),
    [anon_sym_and] = ACTIONS(5762),
    [anon_sym_bitor] = ACTIONS(5764),
    [anon_sym_xor] = ACTIONS(5762),
    [anon_sym_bitand] = ACTIONS(5764),
    [anon_sym_not_eq] = ACTIONS(5764),
    [anon_sym_DASH_DASH] = ACTIONS(5764),
    [anon_sym_PLUS_PLUS] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5764),
    [anon_sym_DASH_GT] = ACTIONS(5764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5764),
    [anon_sym_decltype] = ACTIONS(5764),
  },
  [2796] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5768),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5770),
    [anon_sym___attribute__] = ACTIONS(5770),
    [anon_sym___attribute] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_RBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(6791),
    [anon_sym_unsigned] = ACTIONS(6791),
    [anon_sym_long] = ACTIONS(6791),
    [anon_sym_short] = ACTIONS(6791),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(5770),
    [anon_sym_EQ] = ACTIONS(5768),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_STAR_EQ] = ACTIONS(5770),
    [anon_sym_SLASH_EQ] = ACTIONS(5770),
    [anon_sym_PERCENT_EQ] = ACTIONS(5770),
    [anon_sym_PLUS_EQ] = ACTIONS(5770),
    [anon_sym_DASH_EQ] = ACTIONS(5770),
    [anon_sym_LT_LT_EQ] = ACTIONS(5770),
    [anon_sym_GT_GT_EQ] = ACTIONS(5770),
    [anon_sym_AMP_EQ] = ACTIONS(5770),
    [anon_sym_CARET_EQ] = ACTIONS(5770),
    [anon_sym_PIPE_EQ] = ACTIONS(5770),
    [anon_sym_and_eq] = ACTIONS(5770),
    [anon_sym_or_eq] = ACTIONS(5770),
    [anon_sym_xor_eq] = ACTIONS(5770),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [anon_sym_bitor] = ACTIONS(5770),
    [anon_sym_xor] = ACTIONS(5768),
    [anon_sym_bitand] = ACTIONS(5770),
    [anon_sym_not_eq] = ACTIONS(5770),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5770),
  },
  [2797] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_RPAREN] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5774),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5774),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5774),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5774),
    [anon_sym_GT_GT] = ACTIONS(5774),
    [anon_sym_COLON] = ACTIONS(5776),
    [anon_sym_SEMI] = ACTIONS(5776),
    [anon_sym___attribute__] = ACTIONS(5776),
    [anon_sym___attribute] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_RBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(6774),
    [anon_sym_unsigned] = ACTIONS(6774),
    [anon_sym_long] = ACTIONS(6774),
    [anon_sym_short] = ACTIONS(6774),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_EQ] = ACTIONS(5774),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_STAR_EQ] = ACTIONS(5776),
    [anon_sym_SLASH_EQ] = ACTIONS(5776),
    [anon_sym_PERCENT_EQ] = ACTIONS(5776),
    [anon_sym_PLUS_EQ] = ACTIONS(5776),
    [anon_sym_DASH_EQ] = ACTIONS(5776),
    [anon_sym_LT_LT_EQ] = ACTIONS(5776),
    [anon_sym_GT_GT_EQ] = ACTIONS(5776),
    [anon_sym_AMP_EQ] = ACTIONS(5776),
    [anon_sym_CARET_EQ] = ACTIONS(5776),
    [anon_sym_PIPE_EQ] = ACTIONS(5776),
    [anon_sym_and_eq] = ACTIONS(5776),
    [anon_sym_or_eq] = ACTIONS(5776),
    [anon_sym_xor_eq] = ACTIONS(5776),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5774),
    [anon_sym_and] = ACTIONS(5774),
    [anon_sym_bitor] = ACTIONS(5776),
    [anon_sym_xor] = ACTIONS(5774),
    [anon_sym_bitand] = ACTIONS(5776),
    [anon_sym_not_eq] = ACTIONS(5776),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5776),
    [anon_sym_decltype] = ACTIONS(5776),
  },
  [2798] = {
    [sym_identifier] = ACTIONS(6793),
    [anon_sym_LPAREN2] = ACTIONS(6795),
    [anon_sym_TILDE] = ACTIONS(6797),
    [anon_sym_STAR] = ACTIONS(6797),
    [anon_sym_AMP_AMP] = ACTIONS(6797),
    [anon_sym_AMP] = ACTIONS(6793),
    [anon_sym___extension__] = ACTIONS(6793),
    [anon_sym_in] = ACTIONS(6793),
    [anon_sym_out] = ACTIONS(6793),
    [anon_sym_inout] = ACTIONS(6793),
    [anon_sym_virtual] = ACTIONS(6793),
    [anon_sym_extern] = ACTIONS(6793),
    [anon_sym___attribute__] = ACTIONS(6793),
    [anon_sym___attribute] = ACTIONS(6793),
    [anon_sym_COLON_COLON] = ACTIONS(6797),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6797),
    [anon_sym___declspec] = ACTIONS(6793),
    [anon_sym___based] = ACTIONS(6793),
    [anon_sym_LBRACK] = ACTIONS(6793),
    [anon_sym_static] = ACTIONS(6793),
    [anon_sym_register] = ACTIONS(6793),
    [anon_sym_inline] = ACTIONS(6793),
    [anon_sym___inline] = ACTIONS(6793),
    [anon_sym___inline__] = ACTIONS(6793),
    [anon_sym___forceinline] = ACTIONS(6793),
    [anon_sym_thread_local] = ACTIONS(6793),
    [anon_sym___thread] = ACTIONS(6793),
    [anon_sym_const] = ACTIONS(6793),
    [anon_sym_constexpr] = ACTIONS(6793),
    [anon_sym_volatile] = ACTIONS(6793),
    [anon_sym_restrict] = ACTIONS(6793),
    [anon_sym___restrict__] = ACTIONS(6793),
    [anon_sym__Atomic] = ACTIONS(6793),
    [anon_sym__Noreturn] = ACTIONS(6793),
    [anon_sym_noreturn] = ACTIONS(6793),
    [anon_sym__Nonnull] = ACTIONS(6793),
    [anon_sym_mutable] = ACTIONS(6793),
    [anon_sym_constinit] = ACTIONS(6793),
    [anon_sym_consteval] = ACTIONS(6793),
    [anon_sym_alignas] = ACTIONS(6793),
    [anon_sym__Alignas] = ACTIONS(6793),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6793),
    [anon_sym_explicit] = ACTIONS(6793),
    [anon_sym_template] = ACTIONS(6793),
    [anon_sym_operator] = ACTIONS(6793),
    [anon_sym_precise] = ACTIONS(6793),
    [anon_sym_shared] = ACTIONS(6793),
    [anon_sym_groupshared] = ACTIONS(6793),
    [anon_sym_uniform] = ACTIONS(6793),
    [anon_sym_row_major] = ACTIONS(6793),
    [anon_sym_column_major] = ACTIONS(6793),
    [anon_sym_globallycoherent] = ACTIONS(6793),
    [anon_sym_centroid] = ACTIONS(6793),
    [anon_sym_noperspective] = ACTIONS(6793),
    [anon_sym_nointerpolation] = ACTIONS(6793),
    [anon_sym_sample] = ACTIONS(6793),
    [anon_sym_linear] = ACTIONS(6793),
    [anon_sym_snorm] = ACTIONS(6793),
    [anon_sym_unorm] = ACTIONS(6793),
    [anon_sym_point] = ACTIONS(6793),
    [anon_sym_line] = ACTIONS(6793),
    [anon_sym_triangleadj] = ACTIONS(6793),
    [anon_sym_lineadj] = ACTIONS(6793),
    [anon_sym_triangle] = ACTIONS(6793),
  },
  [2799] = {
    [sym_identifier] = ACTIONS(6799),
    [anon_sym_LPAREN2] = ACTIONS(6801),
    [anon_sym_TILDE] = ACTIONS(6801),
    [anon_sym_STAR] = ACTIONS(6801),
    [anon_sym_AMP_AMP] = ACTIONS(6801),
    [anon_sym_AMP] = ACTIONS(6799),
    [anon_sym___extension__] = ACTIONS(6799),
    [anon_sym_in] = ACTIONS(6799),
    [anon_sym_out] = ACTIONS(6799),
    [anon_sym_inout] = ACTIONS(6799),
    [anon_sym_virtual] = ACTIONS(6799),
    [anon_sym_extern] = ACTIONS(6799),
    [anon_sym___attribute__] = ACTIONS(6799),
    [anon_sym___attribute] = ACTIONS(6799),
    [anon_sym_COLON_COLON] = ACTIONS(6801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6801),
    [anon_sym___declspec] = ACTIONS(6799),
    [anon_sym___based] = ACTIONS(6799),
    [anon_sym_LBRACK] = ACTIONS(6799),
    [anon_sym_static] = ACTIONS(6799),
    [anon_sym_register] = ACTIONS(6799),
    [anon_sym_inline] = ACTIONS(6799),
    [anon_sym___inline] = ACTIONS(6799),
    [anon_sym___inline__] = ACTIONS(6799),
    [anon_sym___forceinline] = ACTIONS(6799),
    [anon_sym_thread_local] = ACTIONS(6799),
    [anon_sym___thread] = ACTIONS(6799),
    [anon_sym_const] = ACTIONS(6799),
    [anon_sym_constexpr] = ACTIONS(6799),
    [anon_sym_volatile] = ACTIONS(6799),
    [anon_sym_restrict] = ACTIONS(6799),
    [anon_sym___restrict__] = ACTIONS(6799),
    [anon_sym__Atomic] = ACTIONS(6799),
    [anon_sym__Noreturn] = ACTIONS(6799),
    [anon_sym_noreturn] = ACTIONS(6799),
    [anon_sym__Nonnull] = ACTIONS(6799),
    [anon_sym_mutable] = ACTIONS(6799),
    [anon_sym_constinit] = ACTIONS(6799),
    [anon_sym_consteval] = ACTIONS(6799),
    [anon_sym_alignas] = ACTIONS(6799),
    [anon_sym__Alignas] = ACTIONS(6799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(6799),
    [anon_sym_explicit] = ACTIONS(6799),
    [anon_sym_template] = ACTIONS(6799),
    [anon_sym_operator] = ACTIONS(6799),
    [anon_sym_precise] = ACTIONS(6799),
    [anon_sym_shared] = ACTIONS(6799),
    [anon_sym_groupshared] = ACTIONS(6799),
    [anon_sym_uniform] = ACTIONS(6799),
    [anon_sym_row_major] = ACTIONS(6799),
    [anon_sym_column_major] = ACTIONS(6799),
    [anon_sym_globallycoherent] = ACTIONS(6799),
    [anon_sym_centroid] = ACTIONS(6799),
    [anon_sym_noperspective] = ACTIONS(6799),
    [anon_sym_nointerpolation] = ACTIONS(6799),
    [anon_sym_sample] = ACTIONS(6799),
    [anon_sym_linear] = ACTIONS(6799),
    [anon_sym_snorm] = ACTIONS(6799),
    [anon_sym_unorm] = ACTIONS(6799),
    [anon_sym_point] = ACTIONS(6799),
    [anon_sym_line] = ACTIONS(6799),
    [anon_sym_triangleadj] = ACTIONS(6799),
    [anon_sym_lineadj] = ACTIONS(6799),
    [anon_sym_triangle] = ACTIONS(6799),
  },
  [2800] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5796),
    [anon_sym_COMMA] = ACTIONS(5796),
    [anon_sym_RPAREN] = ACTIONS(5796),
    [anon_sym_LPAREN2] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_STAR] = ACTIONS(5794),
    [anon_sym_SLASH] = ACTIONS(5794),
    [anon_sym_PERCENT] = ACTIONS(5794),
    [anon_sym_PIPE_PIPE] = ACTIONS(5796),
    [anon_sym_AMP_AMP] = ACTIONS(5796),
    [anon_sym_PIPE] = ACTIONS(5794),
    [anon_sym_CARET] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(5794),
    [anon_sym_EQ_EQ] = ACTIONS(5796),
    [anon_sym_BANG_EQ] = ACTIONS(5796),
    [anon_sym_GT] = ACTIONS(5794),
    [anon_sym_GT_EQ] = ACTIONS(5796),
    [anon_sym_LT_EQ] = ACTIONS(5794),
    [anon_sym_LT] = ACTIONS(5794),
    [anon_sym_LT_LT] = ACTIONS(5794),
    [anon_sym_GT_GT] = ACTIONS(5794),
    [anon_sym_COLON] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5796),
    [anon_sym___attribute__] = ACTIONS(5796),
    [anon_sym___attribute] = ACTIONS(5794),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_RBRACE] = ACTIONS(5796),
    [anon_sym_signed] = ACTIONS(6776),
    [anon_sym_unsigned] = ACTIONS(6776),
    [anon_sym_long] = ACTIONS(6776),
    [anon_sym_short] = ACTIONS(6776),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [anon_sym_RBRACK] = ACTIONS(5796),
    [anon_sym_EQ] = ACTIONS(5794),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_STAR_EQ] = ACTIONS(5796),
    [anon_sym_SLASH_EQ] = ACTIONS(5796),
    [anon_sym_PERCENT_EQ] = ACTIONS(5796),
    [anon_sym_PLUS_EQ] = ACTIONS(5796),
    [anon_sym_DASH_EQ] = ACTIONS(5796),
    [anon_sym_LT_LT_EQ] = ACTIONS(5796),
    [anon_sym_GT_GT_EQ] = ACTIONS(5796),
    [anon_sym_AMP_EQ] = ACTIONS(5796),
    [anon_sym_CARET_EQ] = ACTIONS(5796),
    [anon_sym_PIPE_EQ] = ACTIONS(5796),
    [anon_sym_and_eq] = ACTIONS(5796),
    [anon_sym_or_eq] = ACTIONS(5796),
    [anon_sym_xor_eq] = ACTIONS(5796),
    [anon_sym_LT_EQ_GT] = ACTIONS(5796),
    [anon_sym_or] = ACTIONS(5794),
    [anon_sym_and] = ACTIONS(5794),
    [anon_sym_bitor] = ACTIONS(5796),
    [anon_sym_xor] = ACTIONS(5794),
    [anon_sym_bitand] = ACTIONS(5796),
    [anon_sym_not_eq] = ACTIONS(5796),
    [anon_sym_DASH_DASH] = ACTIONS(5796),
    [anon_sym_PLUS_PLUS] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_DOT_STAR] = ACTIONS(5796),
    [anon_sym_DASH_GT] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5796),
    [anon_sym_decltype] = ACTIONS(5796),
  },
  [2801] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_RPAREN] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5798),
    [anon_sym_STAR] = ACTIONS(5798),
    [anon_sym_SLASH] = ACTIONS(5798),
    [anon_sym_PERCENT] = ACTIONS(5798),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5798),
    [anon_sym_CARET] = ACTIONS(5798),
    [anon_sym_AMP] = ACTIONS(5798),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5798),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5798),
    [anon_sym_LT] = ACTIONS(5798),
    [anon_sym_LT_LT] = ACTIONS(5798),
    [anon_sym_GT_GT] = ACTIONS(5798),
    [anon_sym_COLON] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5800),
    [anon_sym___attribute] = ACTIONS(5798),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_RBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6774),
    [anon_sym_unsigned] = ACTIONS(6774),
    [anon_sym_long] = ACTIONS(6774),
    [anon_sym_short] = ACTIONS(6774),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_STAR_EQ] = ACTIONS(5800),
    [anon_sym_SLASH_EQ] = ACTIONS(5800),
    [anon_sym_PERCENT_EQ] = ACTIONS(5800),
    [anon_sym_PLUS_EQ] = ACTIONS(5800),
    [anon_sym_DASH_EQ] = ACTIONS(5800),
    [anon_sym_LT_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT_GT_EQ] = ACTIONS(5800),
    [anon_sym_AMP_EQ] = ACTIONS(5800),
    [anon_sym_CARET_EQ] = ACTIONS(5800),
    [anon_sym_PIPE_EQ] = ACTIONS(5800),
    [anon_sym_and_eq] = ACTIONS(5800),
    [anon_sym_or_eq] = ACTIONS(5800),
    [anon_sym_xor_eq] = ACTIONS(5800),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5798),
    [anon_sym_and] = ACTIONS(5798),
    [anon_sym_bitor] = ACTIONS(5800),
    [anon_sym_xor] = ACTIONS(5798),
    [anon_sym_bitand] = ACTIONS(5800),
    [anon_sym_not_eq] = ACTIONS(5800),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5800),
    [anon_sym_decltype] = ACTIONS(5800),
  },
  [2802] = {
    [sym_attribute_specifier] = STATE(2548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6085),
    [anon_sym_COMMA] = ACTIONS(6085),
    [anon_sym_RPAREN] = ACTIONS(6085),
    [anon_sym_LPAREN2] = ACTIONS(6085),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_STAR] = ACTIONS(6085),
    [anon_sym_SLASH] = ACTIONS(6083),
    [anon_sym_PERCENT] = ACTIONS(6085),
    [anon_sym_PIPE_PIPE] = ACTIONS(6085),
    [anon_sym_AMP_AMP] = ACTIONS(6085),
    [anon_sym_PIPE] = ACTIONS(6083),
    [anon_sym_CARET] = ACTIONS(6085),
    [anon_sym_AMP] = ACTIONS(6083),
    [anon_sym_EQ_EQ] = ACTIONS(6085),
    [anon_sym_BANG_EQ] = ACTIONS(6085),
    [anon_sym_GT] = ACTIONS(6083),
    [anon_sym_GT_EQ] = ACTIONS(6085),
    [anon_sym_LT_EQ] = ACTIONS(6083),
    [anon_sym_LT] = ACTIONS(6083),
    [anon_sym_LT_LT] = ACTIONS(6085),
    [anon_sym_GT_GT] = ACTIONS(6085),
    [anon_sym_COLON] = ACTIONS(6085),
    [anon_sym_SEMI] = ACTIONS(6085),
    [anon_sym___extension__] = ACTIONS(6085),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6509),
    [anon_sym_LBRACE] = ACTIONS(6085),
    [anon_sym_RBRACE] = ACTIONS(6085),
    [anon_sym_LBRACK] = ACTIONS(6085),
    [anon_sym_RBRACK] = ACTIONS(6085),
    [anon_sym_const] = ACTIONS(6083),
    [anon_sym_constexpr] = ACTIONS(6085),
    [anon_sym_volatile] = ACTIONS(6085),
    [anon_sym_restrict] = ACTIONS(6085),
    [anon_sym___restrict__] = ACTIONS(6085),
    [anon_sym__Atomic] = ACTIONS(6085),
    [anon_sym__Noreturn] = ACTIONS(6085),
    [anon_sym_noreturn] = ACTIONS(6085),
    [anon_sym__Nonnull] = ACTIONS(6085),
    [anon_sym_mutable] = ACTIONS(6085),
    [anon_sym_constinit] = ACTIONS(6085),
    [anon_sym_consteval] = ACTIONS(6085),
    [anon_sym_alignas] = ACTIONS(6085),
    [anon_sym__Alignas] = ACTIONS(6085),
    [anon_sym_QMARK] = ACTIONS(6085),
    [anon_sym_LT_EQ_GT] = ACTIONS(6085),
    [anon_sym_or] = ACTIONS(6085),
    [anon_sym_and] = ACTIONS(6085),
    [anon_sym_bitor] = ACTIONS(6085),
    [anon_sym_xor] = ACTIONS(6085),
    [anon_sym_bitand] = ACTIONS(6085),
    [anon_sym_not_eq] = ACTIONS(6085),
    [anon_sym_DASH_DASH] = ACTIONS(6085),
    [anon_sym_PLUS_PLUS] = ACTIONS(6085),
    [anon_sym_DOT] = ACTIONS(6083),
    [anon_sym_DOT_STAR] = ACTIONS(6085),
    [anon_sym_DASH_GT] = ACTIONS(6085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6085),
    [anon_sym_decltype] = ACTIONS(6085),
    [anon_sym_final] = ACTIONS(6085),
    [anon_sym_override] = ACTIONS(6085),
    [anon_sym_requires] = ACTIONS(6085),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6803), 1,
      sym_identifier,
    STATE(2803), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6806), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6809), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6295), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6293), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6812), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6814), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3767), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [304] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6822), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6824), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6830), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6834), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2710), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6619), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5710), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6834), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [677] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5330), 1,
      anon_sym___attribute,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      anon_sym_COLON,
    ACTIONS(6838), 1,
      anon_sym___attribute__,
    STATE(2310), 1,
      sym__enum_base_clause,
    STATE(2319), 1,
      sym_attribute_specifier,
    STATE(2379), 1,
      sym_enumerator_list,
    ACTIONS(6154), 7,
      anon_sym_AMP,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_line,
      anon_sym_triangle,
    ACTIONS(6156), 49,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_triangleadj,
      anon_sym_lineadj,
  [762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6318), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2701), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6666), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6668), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6467), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6465), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6834), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6288), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3771), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6842), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1194] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    STATE(3159), 1,
      sym_field_declaration_list,
    STATE(3305), 1,
      sym_attribute_specifier,
    STATE(7169), 1,
      sym_virtual_specifier,
    STATE(7977), 1,
      sym_base_class_clause,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5704), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5706), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [1283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6852), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1354] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6854), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6856), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [1439] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [1524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6339), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LT,
    STATE(2778), 1,
      sym_template_argument_list,
    ACTIONS(6862), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6864), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6869), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6871), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1741] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6873), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6875), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [1826] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6877), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6879), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [1909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6881), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6883), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6885), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6887), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2051] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5330), 1,
      anon_sym___attribute,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      anon_sym_COLON,
    ACTIONS(6838), 1,
      anon_sym___attribute__,
    STATE(2337), 1,
      sym_attribute_specifier,
    STATE(2341), 1,
      sym__enum_base_clause,
    STATE(2377), 1,
      sym_enumerator_list,
    ACTIONS(6170), 7,
      anon_sym_AMP,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_line,
      anon_sym_triangle,
    ACTIONS(6172), 49,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_triangleadj,
      anon_sym_lineadj,
  [2136] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6891), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [2221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6893), 1,
      sym_identifier,
    STATE(2833), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4179), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4181), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6278), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6276), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2300] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6895), 1,
      sym_identifier,
    STATE(2803), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4179), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4181), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6272), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6270), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6288), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6318), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6339), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6284), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6899), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6905), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6901), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6903), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(2944), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6907), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5688), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5690), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [2886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6911), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2603), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6515), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5588), 17,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5728), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5725), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [3034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_LBRACK,
    ACTIONS(4302), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2009), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(2007), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
      anon_sym_precise,
      anon_sym_shared,
      anon_sym_groupshared,
      anon_sym_uniform,
      anon_sym_row_major,
      anon_sym_column_major,
      anon_sym_globallycoherent,
      anon_sym_centroid,
      anon_sym_noperspective,
      anon_sym_nointerpolation,
      anon_sym_sample,
      anon_sym_linear,
      anon_sym_snorm,
      anon_sym_unorm,
      anon_sym_point,
      anon_sym_line,
      anon_sym_triangleadj,
      anon_sym_lineadj,
      anon_sym_triangle,
  [3109] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6345), 1,
      anon_sym_STAR,
    ACTIONS(6347), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6349), 1,
      anon_sym_AMP,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    STATE(3253), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6337), 1,
      sym__declarator,
    STATE(6516), 1,
      sym__abstract_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6915), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6913), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [3229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4287), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4287), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6919), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5480), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6923), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6927), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6288), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6931), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6935), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6937), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6939), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6943), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6947), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5496), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6951), 1,
      anon_sym_and,
    ACTIONS(5622), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5624), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5488), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4287), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6955), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4423] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    STATE(2939), 1,
      sym_enumerator_list,
    STATE(3005), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5864), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [4503] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    STATE(2945), 1,
      sym_enumerator_list,
    STATE(3036), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5980), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [4583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6284), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5476), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5484), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6959), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6961), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6965), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4287), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(3046), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6967), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5688), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5690), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [5081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6971), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6284), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6975), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6979), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5504), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5431] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6951), 1,
      anon_sym_and,
    ACTIONS(6981), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6983), 1,
      anon_sym_or,
    ACTIONS(5563), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5565), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6987), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6991), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6995), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5719] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    STATE(3199), 1,
      sym_field_declaration_list,
    STATE(3409), 1,
      sym_attribute_specifier,
    STATE(7032), 1,
      sym_virtual_specifier,
    STATE(8019), 1,
      sym_base_class_clause,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5704), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5706), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [5807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5516), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5516), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5516), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7005), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5520), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5492), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7009), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7013), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4287), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4255), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7017), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7019), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7025), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7027), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7029), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5508), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1956), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5342), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2163), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6997] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      anon_sym___attribute,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7031), 1,
      anon_sym_COLON,
    ACTIONS(7033), 1,
      anon_sym___attribute__,
    STATE(2588), 1,
      sym__enum_base_clause,
    STATE(2645), 1,
      sym_enumerator_list,
    STATE(2722), 1,
      sym_attribute_specifier,
    ACTIONS(6170), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6172), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [7081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7037), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7037), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6520), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5472), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1976), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5512), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7039), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7041), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6339), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6339), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [7711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7043), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7045), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7049), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7053), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7055), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7057), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5500), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6318), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6288), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [8201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7061), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7065), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7069), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7073), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8481] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      anon_sym___attribute,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7031), 1,
      anon_sym_COLON,
    ACTIONS(7033), 1,
      anon_sym___attribute__,
    STATE(2590), 1,
      sym__enum_base_clause,
    STATE(2638), 1,
      sym_enumerator_list,
    STATE(2703), 1,
      sym_attribute_specifier,
    ACTIONS(6154), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6156), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [8565] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6345), 1,
      anon_sym_STAR,
    ACTIONS(6347), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6349), 1,
      anon_sym_AMP,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    STATE(3253), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6326), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__abstract_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6359), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6357), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [8685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7077), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7079), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7081), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6903), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7083), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7085), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7089), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6318), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [9105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7093), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4070), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7097), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7101), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4287), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7105), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4070), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7107), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7109), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2364), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [9738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(3010), 1,
      sym_attribute_specifier,
    ACTIONS(6069), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6071), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(3014), 1,
      sym_attribute_specifier,
    ACTIONS(6073), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6075), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(3035), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6093), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(3039), 1,
      sym_attribute_specifier,
    ACTIONS(6043), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6045), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2364), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5792), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [10111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7113), 1,
      anon_sym_LT,
    STATE(3042), 1,
      sym_template_argument_list,
    ACTIONS(1964), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1966), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [10186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(2985), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6097), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(2988), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6089), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2364), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [10409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(2990), 1,
      sym_attribute_specifier,
    ACTIONS(6047), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6049), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2954), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7115), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [10557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2981), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7117), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5780), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [10630] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(2991), 1,
      sym_attribute_specifier,
    ACTIONS(6055), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6057), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7119), 1,
      anon_sym_LT,
    STATE(3042), 1,
      sym_template_argument_list,
    ACTIONS(1972), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1974), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [10780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6339), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [10849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6318), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [10918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5710), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5712), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1991), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1993), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2364), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5756), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [11133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(2995), 1,
      sym_attribute_specifier,
    ACTIONS(6106), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6108), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2970), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5764), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [11281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2935), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [11354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2364), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5776), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [11427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1960), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1962), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1924), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1932), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2940), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7126), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5794), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5796), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [11776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1936), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5808), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1920), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1940), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6288), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [12121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1928), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2364), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5798), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5800), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [12263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2009), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2832), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4179), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4181), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6465), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6467), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [12407] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7113), 1,
      anon_sym_LT,
    STATE(2944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3042), 1,
      sym_template_argument_list,
    ACTIONS(6907), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4068), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4076), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [12486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(3056), 1,
      sym_attribute_specifier,
    ACTIONS(6083), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6085), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1989), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1989), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(3011), 1,
      sym_attribute_specifier,
    ACTIONS(6051), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6053), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2005), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    STATE(3002), 1,
      sym_attribute_specifier,
    ACTIONS(6099), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6101), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    STATE(3048), 1,
      sym_decltype_auto,
    ACTIONS(5810), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5812), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2364), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5760), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [13070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5910), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3028), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [13210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7134), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5776), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [13282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6004), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5458), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5950), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5856), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5860), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5994), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5996), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5922), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13758] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7136), 1,
      anon_sym_LT,
    STATE(3046), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3063), 1,
      sym_template_argument_list,
    ACTIONS(6967), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4068), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4076), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [13836] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_STAR,
    ACTIONS(6459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6461), 1,
      anon_sym_AMP,
    STATE(3475), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6326), 1,
      sym__declarator,
    STATE(6678), 1,
      sym__abstract_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6357), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6359), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [13954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1991), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1993), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [14024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5956), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5958), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5960), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5962), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5936), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5938), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1989), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [14298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3031), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5794), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5796), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [14370] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(3114), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5688), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5690), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5794), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5796), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5940), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5942), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5712), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7142), 1,
      anon_sym_LT,
    STATE(3110), 1,
      sym_template_argument_list,
    ACTIONS(1974), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1972), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [14724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6000), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5930), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5918), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7142), 1,
      anon_sym_LT,
    STATE(3110), 1,
      sym_template_argument_list,
    ACTIONS(1966), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1964), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      sym_identifier,
    STATE(3040), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4104), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4106), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6278), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6276), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5868), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5870), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5934), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5930), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5930), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5906), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7134), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5756), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [15490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5918), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5946), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5712), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6339), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6318), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5890), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6284), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7134), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5798), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5800), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [16038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7146), 1,
      anon_sym_LT,
    STATE(3063), 1,
      sym_template_argument_list,
    ACTIONS(1972), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1974), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [16112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2167), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6288), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(2175), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7134), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5804), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [16388] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    ACTIONS(7149), 1,
      anon_sym_COLON,
    ACTIONS(7151), 1,
      anon_sym_LBRACE,
    STATE(3103), 1,
      sym__enum_base_clause,
    STATE(3144), 1,
      sym_enumerator_list,
    STATE(3293), 1,
      sym_attribute_specifier,
    ACTIONS(6154), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6156), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16470] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_STAR,
    ACTIONS(6459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6461), 1,
      anon_sym_AMP,
    STATE(3475), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6337), 1,
      sym__declarator,
    STATE(6726), 1,
      sym__abstract_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6913), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6915), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [16588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7134), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5792), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [16660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5874), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7136), 1,
      anon_sym_LT,
    STATE(3063), 1,
      sym_template_argument_list,
    ACTIONS(1964), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1966), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [16802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7134), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5760), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [16874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5886), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5852), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5954), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3023), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5764), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5898), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7155), 1,
      sym_identifier,
    STATE(3049), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4104), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4106), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6272), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6270), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17294] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    ACTIONS(7149), 1,
      anon_sym_COLON,
    ACTIONS(7151), 1,
      anon_sym_LBRACE,
    STATE(3078), 1,
      sym__enum_base_clause,
    STATE(3130), 1,
      sym_enumerator_list,
    STATE(3310), 1,
      sym_attribute_specifier,
    ACTIONS(6170), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6172), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2009), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [17444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5926), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5966), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(1989), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2384), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7134), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5747), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17720] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_STAR,
    ACTIONS(6445), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6447), 1,
      anon_sym_AMP,
    STATE(3478), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6326), 1,
      sym__declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6357), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6359), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [17838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5882), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_identifier,
    STATE(3049), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7160), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7163), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6295), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6293), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1989), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18052] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    STATE(3364), 1,
      sym_field_declaration_list,
    STATE(3731), 1,
      sym_attribute_specifier,
    STATE(7085), 1,
      sym_virtual_specifier,
    STATE(7766), 1,
      sym_base_class_clause,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5704), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5706), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3015), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5786), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3034), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7174), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5780), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5914), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18350] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_STAR,
    ACTIONS(6445), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6447), 1,
      anon_sym_AMP,
    STATE(3478), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6337), 1,
      sym__declarator,
    STATE(6689), 1,
      sym__abstract_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6913), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6915), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [18468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5894), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5902), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2005), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6288), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2940), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7126), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5710), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18810] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    ACTIONS(7176), 1,
      anon_sym_COLON,
    ACTIONS(7178), 1,
      anon_sym_LBRACE,
    STATE(3172), 1,
      sym__enum_base_clause,
    STATE(3198), 1,
      sym_enumerator_list,
    STATE(3403), 1,
      sym_attribute_specifier,
    ACTIONS(6154), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6156), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6284), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2009), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [19025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6339), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6318), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1989), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [19228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1989), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [19297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2005), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [19364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1989), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19431] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    ACTIONS(7176), 1,
      anon_sym_COLON,
    ACTIONS(7178), 1,
      anon_sym_LBRACE,
    STATE(3119), 1,
      sym__enum_base_clause,
    STATE(3206), 1,
      sym_enumerator_list,
    STATE(3419), 1,
      sym_attribute_specifier,
    ACTIONS(6170), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6172), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1991), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1993), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [19581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5792), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1940), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1938), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19717] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7190), 1,
      anon_sym___attribute__,
    ACTIONS(7193), 1,
      anon_sym___attribute,
    ACTIONS(7196), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7215), 1,
      anon_sym_requires,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4557), 1,
      sym__function_attributes_start,
    STATE(4945), 1,
      sym_ref_qualifier,
    STATE(5614), 1,
      sym__function_attributes_end,
    STATE(5846), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6115), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5246), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [19837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2213), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1928), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1926), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1989), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [20035] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    ACTIONS(7151), 1,
      anon_sym_LBRACE,
    STATE(3118), 1,
      sym_enumerator_list,
    STATE(3379), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5980), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1993), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1991), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7219), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7217), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20245] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
    ACTIONS(1964), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1966), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7225), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7223), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3089), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7227), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5780), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20523] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7231), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      sym_auto,
    ACTIONS(7235), 1,
      anon_sym_decltype,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3342), 1,
      sym_new_declarator,
    STATE(3692), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6405), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6407), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [20605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5756), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7237), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1989), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1987), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5760), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3116), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5764), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2312), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21015] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7231), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      sym_auto,
    ACTIONS(7235), 1,
      anon_sym_decltype,
    STATE(3303), 1,
      sym_new_declarator,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3650), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6435), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6437), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3084), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7243), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1989), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1987), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2005), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2003), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5776), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21371] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7231), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      sym_auto,
    ACTIONS(7235), 1,
      anon_sym_decltype,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3338), 1,
      sym_new_declarator,
    STATE(3626), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6428), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6430), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3072), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7245), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5794), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5796), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7247), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
    ACTIONS(1972), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1974), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [21595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7252), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7250), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1987), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3086), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7254), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21797] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    ACTIONS(7151), 1,
      anon_sym_LBRACE,
    STATE(3131), 1,
      sym_enumerator_list,
    STATE(3314), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1960), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7231), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      sym_auto,
    ACTIONS(7235), 1,
      anon_sym_decltype,
    STATE(3318), 1,
      sym_decltype_auto,
    STATE(3327), 1,
      sym_new_declarator,
    STATE(3671), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6421), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6423), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [22021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1924), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1922), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22087] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7190), 1,
      anon_sym___attribute__,
    ACTIONS(7193), 1,
      anon_sym___attribute,
    ACTIONS(7196), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7259), 1,
      anon_sym_requires,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4603), 1,
      sym__function_attributes_start,
    STATE(5062), 1,
      sym_ref_qualifier,
    STATE(5577), 1,
      sym__function_attributes_end,
    STATE(5745), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7256), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6115), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5322), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7264), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7262), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1932), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1930), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2007), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3031), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5710), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5712), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7221), 1,
      anon_sym_LT,
    STATE(3114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3134), 1,
      sym_template_argument_list,
    ACTIONS(7140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4068), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4076), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1936), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1934), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(1918), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5798), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5800), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7049), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [22888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3317), 1,
      sym_attribute_specifier,
    ACTIONS(6047), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6049), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22959] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    ACTIONS(7178), 1,
      anon_sym_LBRACE,
    STATE(3203), 1,
      sym_enumerator_list,
    STATE(3405), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5980), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7268), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      sym_auto,
    ACTIONS(7272), 1,
      anon_sym_decltype,
    STATE(3384), 1,
      sym_decltype_auto,
    STATE(3470), 1,
      sym_new_declarator,
    STATE(3835), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6428), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6430), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [23115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3321), 1,
      sym_attribute_specifier,
    ACTIONS(6055), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6057), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1960), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1962), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1924), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1932), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1936), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1920), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1940), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1928), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23641] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7268), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      sym_auto,
    ACTIONS(7272), 1,
      anon_sym_decltype,
    STATE(3384), 1,
      sym_decltype_auto,
    STATE(3447), 1,
      sym_new_declarator,
    STATE(3869), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6405), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6407), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [23722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3378), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6093), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3380), 1,
      sym_attribute_specifier,
    ACTIONS(6043), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6045), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7103), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [23929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3360), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6097), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2009), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [24065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3291), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6089), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [24201] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7268), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      sym_auto,
    ACTIONS(7272), 1,
      anon_sym_decltype,
    STATE(3384), 1,
      sym_decltype_auto,
    STATE(3404), 1,
      sym_new_declarator,
    STATE(3858), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6435), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6437), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [24282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3292), 1,
      sym_attribute_specifier,
    ACTIONS(6083), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6085), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3304), 1,
      sym_attribute_specifier,
    ACTIONS(6051), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6053), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [24489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3306), 1,
      sym_attribute_specifier,
    ACTIONS(6106), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6108), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [24625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [24690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3313), 1,
      sym_attribute_specifier,
    ACTIONS(6099), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24761] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7274), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7276), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24870] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7310), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7059), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7061), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24983] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6860), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25088] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25189] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25288] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25385] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25480] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25571] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25658] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7312), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7314), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25767] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7310), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7316), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7318), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25880] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7320), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7322), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25989] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7310), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7324), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7326), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [26167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3337), 1,
      sym_attribute_specifier,
    ACTIONS(6069), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6071), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym___attribute__,
    ACTIONS(6846), 1,
      anon_sym___attribute,
    STATE(3341), 1,
      sym_attribute_specifier,
    ACTIONS(6073), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6075), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6288), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1989), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [26441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1989), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [26508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2005), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [26573] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    ACTIONS(7328), 1,
      anon_sym_COLON,
    ACTIONS(7330), 1,
      anon_sym_LBRACE,
    STATE(3268), 1,
      sym__enum_base_clause,
    STATE(3363), 1,
      sym_enumerator_list,
    STATE(3728), 1,
      sym_attribute_specifier,
    ACTIONS(6154), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6156), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [26717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7073), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [26782] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7268), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      sym_auto,
    ACTIONS(7272), 1,
      anon_sym_decltype,
    STATE(3384), 1,
      sym_decltype_auto,
    STATE(3395), 1,
      sym_new_declarator,
    STATE(3886), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6421), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6423), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [26863] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7332), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7334), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26972] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7296), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7288), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7290), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7294), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7336), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(7338), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27081] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    ACTIONS(7328), 1,
      anon_sym_COLON,
    ACTIONS(7330), 1,
      anon_sym_LBRACE,
    STATE(3280), 1,
      sym__enum_base_clause,
    STATE(3371), 1,
      sym_enumerator_list,
    STATE(3752), 1,
      sym_attribute_specifier,
    ACTIONS(6170), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6172), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    ACTIONS(7178), 1,
      anon_sym_LBRACE,
    STATE(3184), 1,
      sym_enumerator_list,
    STATE(3427), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5864), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [27235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6339), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [27300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6284), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [27365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1991), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1993), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [27432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6318), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [27497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [27578] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [27661] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7298), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [27746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7027), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [27811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2167), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3430), 1,
      sym_attribute_specifier,
    ACTIONS(6055), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6057), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [27945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5950), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3401), 1,
      sym_attribute_specifier,
    ACTIONS(6043), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6045), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [28079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5794), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5796), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7342), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3461), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6097), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [28277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3467), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6089), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [28347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3072), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7245), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5710), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3402), 1,
      sym_attribute_specifier,
    ACTIONS(6083), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6085), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [28485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3408), 1,
      sym_attribute_specifier,
    ACTIONS(6051), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6053), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [28555] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(4140), 1,
      anon_sym_STAR,
    ACTIONS(4142), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4144), 1,
      anon_sym_AMP,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_RPAREN,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6520), 1,
      sym__declarator,
    STATE(6828), 1,
      sym__abstract_declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [28667] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(4140), 1,
      anon_sym_STAR,
    ACTIONS(4142), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4144), 1,
      anon_sym_AMP,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6913), 1,
      anon_sym_RPAREN,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6557), 1,
      sym__declarator,
    STATE(6830), 1,
      sym__abstract_declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [28779] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7196), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7259), 1,
      anon_sym_requires,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4824), 1,
      sym__function_attributes_start,
    STATE(5163), 1,
      sym_ref_qualifier,
    STATE(5745), 1,
      sym_trailing_return_type,
    STATE(5979), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7256), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6115), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5436), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [28897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4305), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4300), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3448), 1,
      sym_attribute_specifier,
    ACTIONS(6106), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6108), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5914), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3458), 1,
      sym_attribute_specifier,
    ACTIONS(6099), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6101), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3435), 1,
      sym_attribute_specifier,
    ACTIONS(6069), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6071), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3429), 1,
      sym_attribute_specifier,
    ACTIONS(6073), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6075), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2175), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7350), 1,
      sym_literal_suffix,
    ACTIONS(4078), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4070), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3418), 1,
      sym_attribute_specifier,
    ACTIONS(6047), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6049), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1989), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29571] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7196), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4794), 1,
      sym__function_attributes_start,
    STATE(5155), 1,
      sym_ref_qualifier,
    STATE(5846), 1,
      sym_trailing_return_type,
    STATE(5993), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6115), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5490), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [29689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym___attribute__,
    ACTIONS(6999), 1,
      anon_sym___attribute,
    STATE(3476), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6093), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5874), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29823] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [29914] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7312), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [30023] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4177), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2205), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [30195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2360), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [30258] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7396), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7398), 1,
      anon_sym_COMMA,
    ACTIONS(7400), 1,
      anon_sym_RPAREN,
    ACTIONS(7402), 1,
      anon_sym_DASH,
    ACTIONS(7404), 1,
      anon_sym_PLUS,
    ACTIONS(7406), 1,
      anon_sym_STAR,
    ACTIONS(7408), 1,
      anon_sym_SLASH,
    ACTIONS(7410), 1,
      anon_sym_PERCENT,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7418), 1,
      anon_sym_CARET,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7424), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7426), 1,
      anon_sym_GT,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7430), 1,
      anon_sym_LT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT,
    ACTIONS(7434), 1,
      anon_sym_LT_LT,
    ACTIONS(7436), 1,
      anon_sym_GT_GT,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7440), 1,
      anon_sym_EQ,
    ACTIONS(7442), 1,
      anon_sym_QMARK,
    ACTIONS(7444), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7446), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7448), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7450), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7452), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7454), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7456), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7460), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7462), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7468), 1,
      anon_sym_or,
    ACTIONS(7470), 1,
      anon_sym_and,
    ACTIONS(7472), 1,
      anon_sym_bitor,
    ACTIONS(7474), 1,
      anon_sym_xor,
    ACTIONS(7476), 1,
      anon_sym_bitand,
    ACTIONS(7478), 1,
      anon_sym_not_eq,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7464), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [30419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(6381), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4070), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4078), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [30486] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7336), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [30595] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6388), 1,
      sym__declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4154), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5794), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5796), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30767] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6439), 1,
      sym__declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3248), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4178), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30876] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7332), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [30985] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_STAR,
    ACTIONS(7496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7498), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6297), 1,
      sym__declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3271), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4159), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31094] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7059), 1,
      anon_sym_EQ,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    ACTIONS(7500), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7061), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [31207] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_STAR,
    ACTIONS(7496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7498), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6326), 1,
      sym__declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3224), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4170), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31316] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1974), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym_LT,
    STATE(3308), 1,
      sym_template_argument_list,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [31387] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_STAR,
    ACTIONS(7496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7498), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6337), 1,
      sym__declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4173), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5914), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2175), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31622] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_STAR,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym__declarator,
    STATE(8208), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3228), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4147), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31731] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_STAR,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6669), 1,
      sym__declarator,
    STATE(8208), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4188), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31840] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7396), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7398), 1,
      anon_sym_COMMA,
    ACTIONS(7402), 1,
      anon_sym_DASH,
    ACTIONS(7404), 1,
      anon_sym_PLUS,
    ACTIONS(7406), 1,
      anon_sym_STAR,
    ACTIONS(7408), 1,
      anon_sym_SLASH,
    ACTIONS(7410), 1,
      anon_sym_PERCENT,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7418), 1,
      anon_sym_CARET,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7424), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7426), 1,
      anon_sym_GT,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7430), 1,
      anon_sym_LT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT,
    ACTIONS(7434), 1,
      anon_sym_LT_LT,
    ACTIONS(7436), 1,
      anon_sym_GT_GT,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7440), 1,
      anon_sym_EQ,
    ACTIONS(7442), 1,
      anon_sym_QMARK,
    ACTIONS(7444), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7446), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7448), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7450), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7452), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7454), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7456), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7460), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7462), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7468), 1,
      anon_sym_or,
    ACTIONS(7470), 1,
      anon_sym_and,
    ACTIONS(7472), 1,
      anon_sym_bitor,
    ACTIONS(7474), 1,
      anon_sym_xor,
    ACTIONS(7476), 1,
      anon_sym_bitand,
    ACTIONS(7478), 1,
      anon_sym_not_eq,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7510), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7464), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [32001] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7316), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    ACTIONS(7500), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7318), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [32114] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7512), 1,
      anon_sym_LPAREN2,
    ACTIONS(7514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(3515), 1,
      sym_parameter_list,
    STATE(3300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6528), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6530), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32187] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7396), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7398), 1,
      anon_sym_COMMA,
    ACTIONS(7402), 1,
      anon_sym_DASH,
    ACTIONS(7404), 1,
      anon_sym_PLUS,
    ACTIONS(7406), 1,
      anon_sym_STAR,
    ACTIONS(7408), 1,
      anon_sym_SLASH,
    ACTIONS(7410), 1,
      anon_sym_PERCENT,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7418), 1,
      anon_sym_CARET,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7424), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7426), 1,
      anon_sym_GT,
    ACTIONS(7428), 1,
      anon_sym_GT_EQ,
    ACTIONS(7430), 1,
      anon_sym_LT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT,
    ACTIONS(7434), 1,
      anon_sym_LT_LT,
    ACTIONS(7436), 1,
      anon_sym_GT_GT,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7440), 1,
      anon_sym_EQ,
    ACTIONS(7442), 1,
      anon_sym_QMARK,
    ACTIONS(7444), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7446), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7448), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7450), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7452), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7454), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7456), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7460), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7462), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7468), 1,
      anon_sym_or,
    ACTIONS(7470), 1,
      anon_sym_and,
    ACTIONS(7472), 1,
      anon_sym_bitor,
    ACTIONS(7474), 1,
      anon_sym_xor,
    ACTIONS(7476), 1,
      anon_sym_bitand,
    ACTIONS(7478), 1,
      anon_sym_not_eq,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7518), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7464), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [32348] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7274), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [32457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32566] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_STAR,
    ACTIONS(7522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7524), 1,
      anon_sym_AMP,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(6739), 1,
      sym__declarator,
    STATE(8267), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3237), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4158), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32675] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_STAR,
    ACTIONS(7522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7524), 1,
      anon_sym_AMP,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(6735), 1,
      sym__declarator,
    STATE(8267), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3269), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4157), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32784] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_STAR,
    ACTIONS(7522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7524), 1,
      anon_sym_AMP,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(6743), 1,
      sym__declarator,
    STATE(8267), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32893] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6438), 1,
      sym__declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3216), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4150), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [33002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7512), 1,
      anon_sym_LPAREN2,
    ACTIONS(7514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(3515), 1,
      sym_parameter_list,
    STATE(3300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6554), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6556), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [33075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2205), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [33138] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6520), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4184), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [33247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5874), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5808), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2201), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [33436] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [33515] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7324), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    ACTIONS(7500), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7326), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [33628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2201), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [33691] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6438), 1,
      sym__declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4150), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [33800] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6574), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3261), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [33909] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [34014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6520), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3234), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4184), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [34123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7233), 1,
      sym_auto,
    ACTIONS(7235), 1,
      anon_sym_decltype,
    STATE(3318), 1,
      sym_decltype_auto,
    ACTIONS(5810), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5812), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [34192] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7190), 1,
      anon_sym___attribute__,
    ACTIONS(7193), 1,
      anon_sym___attribute,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4981), 1,
      sym__function_attributes_start,
    STATE(5176), 1,
      sym_ref_qualifier,
    STATE(5955), 1,
      sym_trailing_return_type,
    STATE(6001), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5499), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [34309] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7196), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7538), 1,
      anon_sym_requires,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4983), 1,
      sym__function_attributes_start,
    STATE(5169), 1,
      sym_ref_qualifier,
    STATE(6033), 1,
      sym__function_attributes_end,
    STATE(6255), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7256), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6115), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5504), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [34426] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7190), 1,
      anon_sym___attribute__,
    ACTIONS(7193), 1,
      anon_sym___attribute,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7544), 1,
      anon_sym_requires,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4999), 1,
      sym__function_attributes_start,
    STATE(5173), 1,
      sym_ref_qualifier,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(6005), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7541), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5505), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [34543] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1974), 1,
      anon_sym_LBRACE,
    ACTIONS(4297), 1,
      anon_sym_LT,
    STATE(3195), 1,
      sym_template_argument_list,
    ACTIONS(4292), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34614] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_const,
    ACTIONS(4307), 1,
      anon_sym_AMP,
    ACTIONS(4302), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4305), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2009), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4300), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34685] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7512), 1,
      anon_sym_LPAREN2,
    ACTIONS(7514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(3515), 1,
      sym_parameter_list,
    STATE(3300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6565), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6567), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [34758] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7512), 1,
      anon_sym_LPAREN2,
    ACTIONS(7514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(3515), 1,
      sym_parameter_list,
    STATE(3300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6571), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6573), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [34831] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7320), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [34940] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6520), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4160), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35049] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_STAR,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6714), 1,
      sym__declarator,
    STATE(8208), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3266), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35158] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6858), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [35259] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    ACTIONS(7551), 1,
      sym_auto,
    ACTIONS(7553), 1,
      anon_sym_decltype,
    STATE(3610), 1,
      sym_new_declarator,
    STATE(3714), 1,
      sym_decltype_auto,
    STATE(4027), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6435), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6437), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [35338] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6860), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [35435] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_STAR,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym__declarator,
    STATE(8208), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4147), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35544] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [35639] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    ACTIONS(7330), 1,
      anon_sym_LBRACE,
    STATE(3373), 1,
      sym_enumerator_list,
    STATE(3755), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35712] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_STAR,
    ACTIONS(7522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7524), 1,
      anon_sym_AMP,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(6739), 1,
      sym__declarator,
    STATE(8267), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4158), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7342), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35884] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_STAR,
    ACTIONS(7496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7498), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6326), 1,
      sym__declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4170), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35993] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    ACTIONS(7551), 1,
      sym_auto,
    ACTIONS(7553), 1,
      anon_sym_decltype,
    STATE(3714), 1,
      sym_decltype_auto,
    STATE(3766), 1,
      sym_new_declarator,
    STATE(4132), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6421), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6423), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [36072] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7512), 1,
      anon_sym_LPAREN2,
    ACTIONS(7514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7516), 1,
      anon_sym_LBRACK,
    STATE(3515), 1,
      sym_parameter_list,
    STATE(3300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6605), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6607), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [36145] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7196), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5065), 1,
      sym__function_attributes_start,
    STATE(5166), 1,
      sym_ref_qualifier,
    STATE(6052), 1,
      sym__function_attributes_end,
    STATE(6247), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6115), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5501), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36262] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6520), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3210), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4160), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36371] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [36460] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [36545] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [36626] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    ACTIONS(7551), 1,
      sym_auto,
    ACTIONS(7553), 1,
      anon_sym_decltype,
    STATE(3714), 1,
      sym_decltype_auto,
    STATE(3776), 1,
      sym_new_declarator,
    STATE(4139), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6405), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6407), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [36705] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    ACTIONS(7330), 1,
      anon_sym_LBRACE,
    STATE(3290), 1,
      sym_enumerator_list,
    STATE(3780), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5980), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36778] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [36861] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6574), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3241), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4172), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5710), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5950), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 26,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2147), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [37161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2167), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7350), 1,
      sym_literal_suffix,
    ACTIONS(4078), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4070), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37289] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    ACTIONS(7551), 1,
      sym_auto,
    ACTIONS(7553), 1,
      anon_sym_decltype,
    STATE(3714), 1,
      sym_decltype_auto,
    STATE(3739), 1,
      sym_new_declarator,
    STATE(4102), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6428), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6430), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37368] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7561), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7563), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7579), 1,
      anon_sym_QMARK,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7583), 1,
      anon_sym_or,
    ACTIONS(7585), 1,
      anon_sym_and,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7316), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7318), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [37480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3669), 1,
      sym_attribute_specifier,
    ACTIONS(6047), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6049), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5856), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5894), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5902), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37734] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7561), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7563), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7583), 1,
      anon_sym_or,
    ACTIONS(7585), 1,
      anon_sym_and,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7332), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [37842] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7561), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7563), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7583), 1,
      anon_sym_or,
    ACTIONS(7585), 1,
      anon_sym_and,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7336), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [37950] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [38028] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [38108] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [38190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5860), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7514), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6647), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6649), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38318] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7561), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7563), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7579), 1,
      anon_sym_QMARK,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7583), 1,
      anon_sym_or,
    ACTIONS(7585), 1,
      anon_sym_and,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7324), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7326), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38492] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    STATE(3691), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6694), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6696), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5934), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5936), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5938), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5956), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5958), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4305), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7597), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7595), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7593), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7591), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [38938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5960), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5962), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6651), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6653), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [39128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5940), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6000), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39252] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3009), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4104), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4106), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6465), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6467), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7602), 1,
      anon_sym_LPAREN2,
    ACTIONS(7604), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7606), 1,
      anon_sym_LBRACK,
    STATE(3659), 1,
      sym_parameter_list,
    STATE(3383), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6554), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6556), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [39392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5994), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5996), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5882), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7270), 1,
      sym_auto,
    ACTIONS(7272), 1,
      anon_sym_decltype,
    STATE(3384), 1,
      sym_decltype_auto,
    ACTIONS(5810), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5812), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [39584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3672), 1,
      sym_attribute_specifier,
    ACTIONS(6055), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6057), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5922), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7602), 1,
      anon_sym_LPAREN2,
    ACTIONS(7604), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7606), 1,
      anon_sym_LBRACK,
    STATE(3659), 1,
      sym_parameter_list,
    STATE(3383), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6565), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6567), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [39786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3723), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7608), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3709), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3707), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [39852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5954), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5910), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39976] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5100), 1,
      sym__function_attributes_start,
    STATE(5201), 1,
      sym_ref_qualifier,
    STATE(6078), 1,
      sym_trailing_return_type,
    STATE(6222), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4194), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5515), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    STATE(3713), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6702), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6704), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40160] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7561), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7563), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7583), 1,
      anon_sym_or,
    ACTIONS(7585), 1,
      anon_sym_and,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7274), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5926), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7622), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7620), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [40392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7628), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7626), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7624), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [40458] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7632), 1,
      anon_sym_requires,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5105), 1,
      sym__function_attributes_start,
    STATE(5179), 1,
      sym_ref_qualifier,
    STATE(6168), 1,
      sym_trailing_return_type,
    STATE(6262), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7541), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4194), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5517), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40574] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7602), 1,
      anon_sym_LPAREN2,
    ACTIONS(7604), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7606), 1,
      anon_sym_LBRACK,
    STATE(3659), 1,
      sym_parameter_list,
    STATE(3383), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6528), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6530), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [40646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3731), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7635), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3727), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3725), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [40712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5918), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7643), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7641), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7639), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7637), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [40840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5870), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    STATE(3670), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6672), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5966), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7651), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7649), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7647), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7645), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [41098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5906), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    STATE(3726), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6726), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6728), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41228] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7602), 1,
      anon_sym_LPAREN2,
    ACTIONS(7604), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7606), 1,
      anon_sym_LBRACK,
    STATE(3659), 1,
      sym_parameter_list,
    STATE(3383), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6571), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6573), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [41300] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7561), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7563), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7579), 1,
      anon_sym_QMARK,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7583), 1,
      anon_sym_or,
    ACTIONS(7585), 1,
      anon_sym_and,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7059), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7061), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5918), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7602), 1,
      anon_sym_LPAREN2,
    ACTIONS(7604), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7606), 1,
      anon_sym_LBRACK,
    STATE(3659), 1,
      sym_parameter_list,
    STATE(3383), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6605), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6607), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [41546] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7561), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7563), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7583), 1,
      anon_sym_or,
    ACTIONS(7585), 1,
      anon_sym_and,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7312), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3727), 1,
      sym_attribute_specifier,
    ACTIONS(6083), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6085), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3730), 1,
      sym_attribute_specifier,
    ACTIONS(6051), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6053), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41852] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7563), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7585), 1,
      anon_sym_and,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 3,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41956] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 4,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6860), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42056] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [42152] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [42246] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [42336] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42424] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42508] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7544), 1,
      anon_sym_requires,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5110), 1,
      sym__function_attributes_start,
    STATE(5228), 1,
      sym_ref_qualifier,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(6190), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7541), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4194), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5508), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [42624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5890), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6004), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3751), 1,
      sym_attribute_specifier,
    ACTIONS(6106), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6108), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5710), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5712), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3754), 1,
      sym_attribute_specifier,
    ACTIONS(6099), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3757), 1,
      sym_attribute_specifier,
    ACTIONS(6069), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6071), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3758), 1,
      sym_attribute_specifier,
    ACTIONS(6073), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6075), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43084] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1974), 1,
      anon_sym_LBRACE,
    ACTIONS(6334), 1,
      anon_sym_LT,
    STATE(3393), 1,
      sym_template_argument_list,
    ACTIONS(4292), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43154] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5081), 1,
      sym__function_attributes_start,
    STATE(5239), 1,
      sym_ref_qualifier,
    STATE(5955), 1,
      sym_trailing_return_type,
    STATE(6251), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4194), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5518), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5458), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5808), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43394] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_const,
    ACTIONS(4307), 1,
      anon_sym_AMP,
    ACTIONS(4302), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4305), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(2009), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4300), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3779), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6093), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43532] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7561), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7563), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7565), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      anon_sym_GT_EQ,
    ACTIONS(7581), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7583), 1,
      anon_sym_or,
    ACTIONS(7585), 1,
      anon_sym_and,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7320), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7567), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7577), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7559), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7571), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7573), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3702), 1,
      sym_attribute_specifier,
    ACTIONS(6043), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6045), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3748), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6097), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43776] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym___attribute__,
    ACTIONS(7168), 1,
      anon_sym___attribute,
    STATE(3666), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6089), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5946), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5886), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5852), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5898), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7655), 1,
      anon_sym_LT,
    STATE(2471), 1,
      sym_template_argument_list,
    ACTIONS(6862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6864), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5918), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7604), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3451), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6647), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6649), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [44345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5882), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44406] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(4176), 1,
      sym_field_declaration_list,
    STATE(4267), 1,
      sym_attribute_specifier,
    STATE(7152), 1,
      sym_virtual_specifier,
    STATE(7776), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5704), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5706), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3009), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4104), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4106), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6465), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6467), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44550] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1974), 1,
      anon_sym_LBRACE,
    ACTIONS(6373), 1,
      anon_sym_LT,
    STATE(3596), 1,
      sym_template_argument_list,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [44619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7660), 1,
      anon_sym_LT,
    STATE(3482), 1,
      sym_template_argument_list,
    ACTIONS(6767), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6769), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44686] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      sym_identifier,
    STATE(3420), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6501), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6503), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6278), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6276), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44755] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7336), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7669), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7687), 1,
      anon_sym_or,
    ACTIONS(7689), 1,
      anon_sym_and,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [44862] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6812), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6814), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [44935] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7312), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7669), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7687), 1,
      anon_sym_or,
    ACTIONS(7689), 1,
      anon_sym_and,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [45042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4305), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45105] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6889), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6891), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [45180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    STATE(3796), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6702), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6704), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [45247] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 1,
      anon_sym___attribute,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7699), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7703), 1,
      anon_sym_AMP,
    ACTIONS(7705), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6011), 1,
      sym__abstract_declarator,
    STATE(6150), 1,
      sym__function_declarator_seq,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7707), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7709), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3397), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6343), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [45346] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6359), 1,
      anon_sym___attribute,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7699), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7703), 1,
      anon_sym_AMP,
    ACTIONS(7705), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5985), 1,
      sym__abstract_declarator,
    STATE(6150), 1,
      sym__function_declarator_seq,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7707), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7709), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4216), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6357), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [45445] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 1,
      anon_sym_EQ,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7396), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_QMARK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7669), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7687), 1,
      anon_sym_or,
    ACTIONS(7689), 1,
      anon_sym_and,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7061), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [45556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7655), 1,
      anon_sym_LT,
    STATE(3308), 1,
      sym_template_argument_list,
    ACTIONS(6862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6864), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45621] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7316), 1,
      anon_sym_EQ,
    ACTIONS(7396), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_QMARK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7669), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7687), 1,
      anon_sym_or,
    ACTIONS(7689), 1,
      anon_sym_and,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7318), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [45732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5898), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5894), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5902), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    STATE(3868), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6694), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6696), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [45982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5852), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46043] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7274), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7669), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7687), 1,
      anon_sym_or,
    ACTIONS(7689), 1,
      anon_sym_and,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [46150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5930), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5934), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5936), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5938), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5890), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5930), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5930), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46516] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7320), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7669), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7687), 1,
      anon_sym_or,
    ACTIONS(7689), 1,
      anon_sym_and,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [46623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5946), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46684] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7190), 1,
      anon_sym___attribute__,
    ACTIONS(7193), 1,
      anon_sym___attribute,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7632), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5152), 1,
      sym__function_attributes_start,
    STATE(5313), 1,
      sym_ref_qualifier,
    STATE(6075), 1,
      sym__function_attributes_end,
    STATE(6168), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7541), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5542), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5712), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5712), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5994), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5996), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5960), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5962), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      sym_identifier,
    STATE(3439), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6501), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6503), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6272), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6270), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5458), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47173] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6854), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6856), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [47248] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6873), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6875), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [47323] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6822), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6824), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [47398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2167), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7332), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7669), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7687), 1,
      anon_sym_or,
    ACTIONS(7689), 1,
      anon_sym_and,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [47566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6000), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47627] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [47704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5906), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5922), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2175), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6901), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6903), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7719), 1,
      anon_sym_LT,
    STATE(1160), 1,
      sym_template_argument_list,
    ACTIONS(6862), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6864), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7231), 1,
      anon_sym_LBRACK,
    STATE(3539), 1,
      sym_new_declarator,
    ACTIONS(6751), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6753), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5870), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48141] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5148), 1,
      sym__function_attributes_start,
    STATE(5300), 1,
      sym_ref_qualifier,
    STATE(6223), 1,
      sym_trailing_return_type,
    STATE(6301), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4194), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5524), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48256] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6858), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [48331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5918), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48392] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      sym_identifier,
    STATE(3439), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7729), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7732), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6295), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6293), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48461] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7735), 1,
      anon_sym_requires,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5153), 1,
      sym__function_attributes_start,
    STATE(5303), 1,
      sym_ref_qualifier,
    STATE(6216), 1,
      sym_trailing_return_type,
    STATE(6310), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7541), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4194), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5531), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48576] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7324), 1,
      anon_sym_EQ,
    ACTIONS(7396), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_QMARK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7669), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7687), 1,
      anon_sym_or,
    ACTIONS(7689), 1,
      anon_sym_and,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7326), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [48687] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_and,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [48790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_bitor,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [48889] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [48984] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7693), 1,
      anon_sym_bitand,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [49077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5954), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    STATE(3802), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6726), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6728), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5956), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5958), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5914), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5910), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7738), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3451), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6651), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6653), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49453] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [49542] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [49629] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [49712] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [49791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7741), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6901), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6903), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7342), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7340), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [49915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5940), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5942), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6877), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6879), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [50049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5926), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6004), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5966), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5950), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50293] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(3745), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5688), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5690), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7719), 1,
      anon_sym_LT,
    STATE(3195), 1,
      sym_template_argument_list,
    ACTIONS(6862), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6864), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50427] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7190), 1,
      anon_sym___attribute__,
    ACTIONS(7193), 1,
      anon_sym___attribute,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7735), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5147), 1,
      sym__function_attributes_start,
    STATE(5302), 1,
      sym_ref_qualifier,
    STATE(6129), 1,
      sym__function_attributes_end,
    STATE(6216), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7541), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5529), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5856), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5794), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5796), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7719), 1,
      anon_sym_LT,
    STATE(1110), 1,
      sym_template_argument_list,
    ACTIONS(6862), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6864), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    STATE(3881), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6672), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7350), 1,
      sym_literal_suffix,
    ACTIONS(4070), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4078), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [50859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5860), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50920] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7480), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7667), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [51001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7747), 1,
      anon_sym_LT,
    STATE(3482), 1,
      sym_template_argument_list,
    ACTIONS(6782), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6784), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51068] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7190), 1,
      anon_sym___attribute__,
    ACTIONS(7193), 1,
      anon_sym___attribute,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5151), 1,
      sym__function_attributes_start,
    STATE(5253), 1,
      sym_ref_qualifier,
    STATE(6114), 1,
      sym__function_attributes_end,
    STATE(6223), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5540), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5886), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5874), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51305] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7190), 1,
      anon_sym___attribute__,
    ACTIONS(7193), 1,
      anon_sym___attribute,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5150), 1,
      sym__function_attributes_start,
    STATE(5296), 1,
      sym_ref_qualifier,
    STATE(6078), 1,
      sym_trailing_return_type,
    STATE(6104), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5523), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7182), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7342), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6520), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5476), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6755), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6757), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5492), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7750), 1,
      anon_sym_LT,
    STATE(3667), 1,
      sym_template_argument_list,
    ACTIONS(6767), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6769), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [51848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7655), 1,
      anon_sym_LT,
    STATE(1162), 1,
      sym_template_argument_list,
    ACTIONS(6862), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6864), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5484), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51972] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7755), 1,
      anon_sym_COMMA,
    ACTIONS(7757), 1,
      anon_sym_RPAREN,
    ACTIONS(7759), 1,
      anon_sym_DASH,
    ACTIONS(7761), 1,
      anon_sym_PLUS,
    ACTIONS(7763), 1,
      anon_sym_STAR,
    ACTIONS(7765), 1,
      anon_sym_SLASH,
    ACTIONS(7767), 1,
      anon_sym_PERCENT,
    ACTIONS(7769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7773), 1,
      anon_sym_PIPE,
    ACTIONS(7775), 1,
      anon_sym_CARET,
    ACTIONS(7777), 1,
      anon_sym_AMP,
    ACTIONS(7779), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7781), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7783), 1,
      anon_sym_GT,
    ACTIONS(7785), 1,
      anon_sym_GT_EQ,
    ACTIONS(7787), 1,
      anon_sym_LT_EQ,
    ACTIONS(7789), 1,
      anon_sym_LT,
    ACTIONS(7791), 1,
      anon_sym_LT_LT,
    ACTIONS(7793), 1,
      anon_sym_GT_GT,
    ACTIONS(7795), 1,
      anon_sym_EQ,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7799), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7801), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7803), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7805), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7807), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7809), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7811), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7813), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7815), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7817), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7821), 1,
      anon_sym_or,
    ACTIONS(7823), 1,
      anon_sym_and,
    ACTIONS(7825), 1,
      anon_sym_bitor,
    ACTIONS(7827), 1,
      anon_sym_xor,
    ACTIONS(7829), 1,
      anon_sym_bitand,
    ACTIONS(7831), 1,
      anon_sym_not_eq,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [52128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6633), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52188] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7859), 1,
      anon_sym_QMARK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7863), 1,
      anon_sym_or,
    ACTIONS(7865), 1,
      anon_sym_and,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7316), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7318), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [52296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5508), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7551), 1,
      sym_auto,
    ACTIONS(7553), 1,
      anon_sym_decltype,
    STATE(3714), 1,
      sym_decltype_auto,
    ACTIONS(5810), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5812), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6903), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1976), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52542] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7863), 1,
      anon_sym_or,
    ACTIONS(7865), 1,
      anon_sym_and,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7274), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [52646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5496), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52706] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(2570), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5688), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5690), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [52774] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7859), 1,
      anon_sym_QMARK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7863), 1,
      anon_sym_or,
    ACTIONS(7865), 1,
      anon_sym_and,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7059), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7061), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [52882] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7755), 1,
      anon_sym_COMMA,
    ACTIONS(7759), 1,
      anon_sym_DASH,
    ACTIONS(7761), 1,
      anon_sym_PLUS,
    ACTIONS(7763), 1,
      anon_sym_STAR,
    ACTIONS(7765), 1,
      anon_sym_SLASH,
    ACTIONS(7767), 1,
      anon_sym_PERCENT,
    ACTIONS(7769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7773), 1,
      anon_sym_PIPE,
    ACTIONS(7775), 1,
      anon_sym_CARET,
    ACTIONS(7777), 1,
      anon_sym_AMP,
    ACTIONS(7779), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7781), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7783), 1,
      anon_sym_GT,
    ACTIONS(7785), 1,
      anon_sym_GT_EQ,
    ACTIONS(7787), 1,
      anon_sym_LT_EQ,
    ACTIONS(7789), 1,
      anon_sym_LT,
    ACTIONS(7791), 1,
      anon_sym_LT_LT,
    ACTIONS(7793), 1,
      anon_sym_GT_GT,
    ACTIONS(7795), 1,
      anon_sym_EQ,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7799), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7801), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7803), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7805), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7807), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7809), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7811), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7813), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7815), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7817), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7821), 1,
      anon_sym_or,
    ACTIONS(7823), 1,
      anon_sym_and,
    ACTIONS(7825), 1,
      anon_sym_bitor,
    ACTIONS(7827), 1,
      anon_sym_xor,
    ACTIONS(7829), 1,
      anon_sym_bitand,
    ACTIONS(7831), 1,
      anon_sym_not_eq,
    ACTIONS(7877), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [53038] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [53112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6869), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6871), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53172] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    ACTIONS(7500), 1,
      anon_sym_QMARK,
    ACTIONS(7518), 1,
      anon_sym_RPAREN,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(7881), 1,
      anon_sym_EQ,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7464), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53286] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7865), 1,
      anon_sym_and,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [53386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7883), 1,
      anon_sym_LT,
    STATE(2509), 1,
      sym_template_argument_list,
    ACTIONS(6862), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6864), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53450] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6858), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [53546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5500), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5488), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6830), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_EQ,
    ACTIONS(6499), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4078), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53790] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7755), 1,
      anon_sym_COMMA,
    ACTIONS(7759), 1,
      anon_sym_DASH,
    ACTIONS(7761), 1,
      anon_sym_PLUS,
    ACTIONS(7763), 1,
      anon_sym_STAR,
    ACTIONS(7765), 1,
      anon_sym_SLASH,
    ACTIONS(7767), 1,
      anon_sym_PERCENT,
    ACTIONS(7769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7773), 1,
      anon_sym_PIPE,
    ACTIONS(7775), 1,
      anon_sym_CARET,
    ACTIONS(7777), 1,
      anon_sym_AMP,
    ACTIONS(7779), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7781), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7783), 1,
      anon_sym_GT,
    ACTIONS(7785), 1,
      anon_sym_GT_EQ,
    ACTIONS(7787), 1,
      anon_sym_LT_EQ,
    ACTIONS(7789), 1,
      anon_sym_LT,
    ACTIONS(7791), 1,
      anon_sym_LT_LT,
    ACTIONS(7793), 1,
      anon_sym_GT_GT,
    ACTIONS(7795), 1,
      anon_sym_EQ,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7799), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7801), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7803), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7805), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7807), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7809), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7811), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7813), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7815), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7817), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7821), 1,
      anon_sym_or,
    ACTIONS(7823), 1,
      anon_sym_and,
    ACTIONS(7825), 1,
      anon_sym_bitor,
    ACTIONS(7827), 1,
      anon_sym_xor,
    ACTIONS(7829), 1,
      anon_sym_bitand,
    ACTIONS(7831), 1,
      anon_sym_not_eq,
    ACTIONS(7886), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [53946] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7059), 1,
      anon_sym_EQ,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7360), 1,
      anon_sym_GT_EQ,
    ACTIONS(7364), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_PIPE,
    ACTIONS(7374), 1,
      anon_sym_AMP,
    ACTIONS(7376), 1,
      anon_sym_or,
    ACTIONS(7378), 1,
      anon_sym_and,
    ACTIONS(7380), 1,
      anon_sym_bitor,
    ACTIONS(7382), 1,
      anon_sym_bitand,
    ACTIONS(7500), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7352), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7372), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7888), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7356), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7358), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7061), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7049), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN2,
    ACTIONS(6490), 1,
      anon_sym_LBRACK,
    ACTIONS(4078), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54184] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [54276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6678), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54396] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7863), 1,
      anon_sym_or,
    ACTIONS(7865), 1,
      anon_sym_and,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7320), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [54500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6520), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54560] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7755), 1,
      anon_sym_COMMA,
    ACTIONS(7759), 1,
      anon_sym_DASH,
    ACTIONS(7761), 1,
      anon_sym_PLUS,
    ACTIONS(7763), 1,
      anon_sym_STAR,
    ACTIONS(7765), 1,
      anon_sym_SLASH,
    ACTIONS(7767), 1,
      anon_sym_PERCENT,
    ACTIONS(7769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7773), 1,
      anon_sym_PIPE,
    ACTIONS(7775), 1,
      anon_sym_CARET,
    ACTIONS(7777), 1,
      anon_sym_AMP,
    ACTIONS(7779), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7781), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7783), 1,
      anon_sym_GT,
    ACTIONS(7785), 1,
      anon_sym_GT_EQ,
    ACTIONS(7787), 1,
      anon_sym_LT_EQ,
    ACTIONS(7789), 1,
      anon_sym_LT,
    ACTIONS(7791), 1,
      anon_sym_LT_LT,
    ACTIONS(7793), 1,
      anon_sym_GT_GT,
    ACTIONS(7795), 1,
      anon_sym_EQ,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7799), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7801), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7803), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7805), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7807), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7809), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7811), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7813), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7815), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7817), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7821), 1,
      anon_sym_or,
    ACTIONS(7823), 1,
      anon_sym_and,
    ACTIONS(7825), 1,
      anon_sym_bitor,
    ACTIONS(7827), 1,
      anon_sym_xor,
    ACTIONS(7829), 1,
      anon_sym_bitand,
    ACTIONS(7831), 1,
      anon_sym_not_eq,
    ACTIONS(7890), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [54716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6623), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6625), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6712), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6716), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6720), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5520), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55016] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [55106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5472), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6637), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55226] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7863), 1,
      anon_sym_or,
    ACTIONS(7865), 1,
      anon_sym_and,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7332), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [55330] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7755), 1,
      anon_sym_COMMA,
    ACTIONS(7759), 1,
      anon_sym_DASH,
    ACTIONS(7761), 1,
      anon_sym_PLUS,
    ACTIONS(7763), 1,
      anon_sym_STAR,
    ACTIONS(7765), 1,
      anon_sym_SLASH,
    ACTIONS(7767), 1,
      anon_sym_PERCENT,
    ACTIONS(7769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7773), 1,
      anon_sym_PIPE,
    ACTIONS(7775), 1,
      anon_sym_CARET,
    ACTIONS(7777), 1,
      anon_sym_AMP,
    ACTIONS(7779), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7781), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7783), 1,
      anon_sym_GT,
    ACTIONS(7785), 1,
      anon_sym_GT_EQ,
    ACTIONS(7787), 1,
      anon_sym_LT_EQ,
    ACTIONS(7789), 1,
      anon_sym_LT,
    ACTIONS(7791), 1,
      anon_sym_LT_LT,
    ACTIONS(7793), 1,
      anon_sym_GT_GT,
    ACTIONS(7795), 1,
      anon_sym_EQ,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7799), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7801), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7803), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7805), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7807), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7809), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7811), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7813), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7815), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7817), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7821), 1,
      anon_sym_or,
    ACTIONS(7823), 1,
      anon_sym_and,
    ACTIONS(7825), 1,
      anon_sym_bitor,
    ACTIONS(7827), 1,
      anon_sym_xor,
    ACTIONS(7829), 1,
      anon_sym_bitand,
    ACTIONS(7831), 1,
      anon_sym_not_eq,
    ACTIONS(7892), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [55486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5480), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5512), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6901), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6903), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55668] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [55754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1956), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55814] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [55898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6708), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6919), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6724), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6899), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56138] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [56220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7883), 1,
      anon_sym_LT,
    STATE(3393), 1,
      sym_template_argument_list,
    ACTIONS(6862), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6864), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56284] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6822), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6824), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [56358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6903), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN2,
    ACTIONS(6490), 1,
      anon_sym_LBRACK,
    ACTIONS(4078), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56484] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [56562] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7863), 1,
      anon_sym_or,
    ACTIONS(7865), 1,
      anon_sym_and,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7336), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [56666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6812), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6814), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [56738] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7755), 1,
      anon_sym_COMMA,
    ACTIONS(7759), 1,
      anon_sym_DASH,
    ACTIONS(7761), 1,
      anon_sym_PLUS,
    ACTIONS(7763), 1,
      anon_sym_STAR,
    ACTIONS(7765), 1,
      anon_sym_SLASH,
    ACTIONS(7767), 1,
      anon_sym_PERCENT,
    ACTIONS(7769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7773), 1,
      anon_sym_PIPE,
    ACTIONS(7775), 1,
      anon_sym_CARET,
    ACTIONS(7777), 1,
      anon_sym_AMP,
    ACTIONS(7779), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7781), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7783), 1,
      anon_sym_GT,
    ACTIONS(7785), 1,
      anon_sym_GT_EQ,
    ACTIONS(7787), 1,
      anon_sym_LT_EQ,
    ACTIONS(7789), 1,
      anon_sym_LT,
    ACTIONS(7791), 1,
      anon_sym_LT_LT,
    ACTIONS(7793), 1,
      anon_sym_GT_GT,
    ACTIONS(7795), 1,
      anon_sym_EQ,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7799), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7801), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7803), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7805), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7807), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7809), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7811), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7813), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7815), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7817), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7821), 1,
      anon_sym_or,
    ACTIONS(7823), 1,
      anon_sym_and,
    ACTIONS(7825), 1,
      anon_sym_bitor,
    ACTIONS(7827), 1,
      anon_sym_xor,
    ACTIONS(7829), 1,
      anon_sym_bitand,
    ACTIONS(7831), 1,
      anon_sym_not_eq,
    ACTIONS(7896), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [56894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6743), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7898), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(2570), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4068), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(4076), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [57024] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [57100] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7755), 1,
      anon_sym_COMMA,
    ACTIONS(7759), 1,
      anon_sym_DASH,
    ACTIONS(7761), 1,
      anon_sym_PLUS,
    ACTIONS(7763), 1,
      anon_sym_STAR,
    ACTIONS(7765), 1,
      anon_sym_SLASH,
    ACTIONS(7767), 1,
      anon_sym_PERCENT,
    ACTIONS(7769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7773), 1,
      anon_sym_PIPE,
    ACTIONS(7775), 1,
      anon_sym_CARET,
    ACTIONS(7777), 1,
      anon_sym_AMP,
    ACTIONS(7779), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7781), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7783), 1,
      anon_sym_GT,
    ACTIONS(7785), 1,
      anon_sym_GT_EQ,
    ACTIONS(7787), 1,
      anon_sym_LT_EQ,
    ACTIONS(7789), 1,
      anon_sym_LT,
    ACTIONS(7791), 1,
      anon_sym_LT_LT,
    ACTIONS(7793), 1,
      anon_sym_GT_GT,
    ACTIONS(7795), 1,
      anon_sym_EQ,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7799), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7801), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7803), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7805), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7807), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7809), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7811), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7813), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7815), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7817), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7821), 1,
      anon_sym_or,
    ACTIONS(7823), 1,
      anon_sym_and,
    ACTIONS(7825), 1,
      anon_sym_bitor,
    ACTIONS(7827), 1,
      anon_sym_xor,
    ACTIONS(7829), 1,
      anon_sym_bitand,
    ACTIONS(7831), 1,
      anon_sym_not_eq,
    ACTIONS(7900), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [57256] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6877), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6879), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [57328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      anon_sym_EQ,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57434] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6854), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6856), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [57508] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6873), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6875), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [57582] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_EQ,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57688] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6812), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6814), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [57760] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7274), 1,
      anon_sym_EQ,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57866] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7059), 1,
      anon_sym_EQ,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7938), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7061), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57976] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58052] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58126] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58228] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58326] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6860), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [58420] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [58512] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [58600] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58686] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58768] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58846] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58926] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6889), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6891), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [59000] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7312), 1,
      anon_sym_EQ,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59106] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7316), 1,
      anon_sym_EQ,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7938), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7318), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59216] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7320), 1,
      anon_sym_EQ,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59322] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7324), 1,
      anon_sym_EQ,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(7910), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7912), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_AMP,
    ACTIONS(7924), 1,
      anon_sym_GT_EQ,
    ACTIONS(7928), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7930), 1,
      anon_sym_or,
    ACTIONS(7932), 1,
      anon_sym_and,
    ACTIONS(7934), 1,
      anon_sym_bitor,
    ACTIONS(7936), 1,
      anon_sym_bitand,
    ACTIONS(7938), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7906), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7916), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7926), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7908), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7920), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7922), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7326), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6641), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7268), 1,
      anon_sym_LBRACK,
    STATE(3631), 1,
      sym_new_declarator,
    ACTIONS(6751), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6753), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6490), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4078), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4070), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59622] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6873), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6875), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [59696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59756] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7755), 1,
      anon_sym_COMMA,
    ACTIONS(7759), 1,
      anon_sym_DASH,
    ACTIONS(7761), 1,
      anon_sym_PLUS,
    ACTIONS(7763), 1,
      anon_sym_STAR,
    ACTIONS(7765), 1,
      anon_sym_SLASH,
    ACTIONS(7767), 1,
      anon_sym_PERCENT,
    ACTIONS(7769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7773), 1,
      anon_sym_PIPE,
    ACTIONS(7775), 1,
      anon_sym_CARET,
    ACTIONS(7777), 1,
      anon_sym_AMP,
    ACTIONS(7779), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7781), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7783), 1,
      anon_sym_GT,
    ACTIONS(7785), 1,
      anon_sym_GT_EQ,
    ACTIONS(7787), 1,
      anon_sym_LT_EQ,
    ACTIONS(7789), 1,
      anon_sym_LT,
    ACTIONS(7791), 1,
      anon_sym_LT_LT,
    ACTIONS(7793), 1,
      anon_sym_GT_GT,
    ACTIONS(7795), 1,
      anon_sym_EQ,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7799), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7801), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7803), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7805), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7807), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7809), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7811), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7813), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7815), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7817), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7821), 1,
      anon_sym_or,
    ACTIONS(7823), 1,
      anon_sym_and,
    ACTIONS(7825), 1,
      anon_sym_bitor,
    ACTIONS(7827), 1,
      anon_sym_xor,
    ACTIONS(7829), 1,
      anon_sym_bitand,
    ACTIONS(7831), 1,
      anon_sym_not_eq,
    ACTIONS(7940), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [59912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3771), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60032] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7486), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7755), 1,
      anon_sym_COMMA,
    ACTIONS(7759), 1,
      anon_sym_DASH,
    ACTIONS(7761), 1,
      anon_sym_PLUS,
    ACTIONS(7763), 1,
      anon_sym_STAR,
    ACTIONS(7765), 1,
      anon_sym_SLASH,
    ACTIONS(7767), 1,
      anon_sym_PERCENT,
    ACTIONS(7769), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7773), 1,
      anon_sym_PIPE,
    ACTIONS(7775), 1,
      anon_sym_CARET,
    ACTIONS(7777), 1,
      anon_sym_AMP,
    ACTIONS(7779), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7781), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7783), 1,
      anon_sym_GT,
    ACTIONS(7785), 1,
      anon_sym_GT_EQ,
    ACTIONS(7787), 1,
      anon_sym_LT_EQ,
    ACTIONS(7789), 1,
      anon_sym_LT,
    ACTIONS(7791), 1,
      anon_sym_LT_LT,
    ACTIONS(7793), 1,
      anon_sym_GT_GT,
    ACTIONS(7795), 1,
      anon_sym_EQ,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7799), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7801), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7803), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7805), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7807), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7809), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7811), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7813), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7815), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7817), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7821), 1,
      anon_sym_or,
    ACTIONS(7823), 1,
      anon_sym_and,
    ACTIONS(7825), 1,
      anon_sym_bitor,
    ACTIONS(7827), 1,
      anon_sym_xor,
    ACTIONS(7829), 1,
      anon_sym_bitand,
    ACTIONS(7831), 1,
      anon_sym_not_eq,
    ACTIONS(7942), 1,
      anon_sym_RPAREN,
    STATE(1763), 1,
      sym__binary_fold_operator,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    STATE(8593), 1,
      sym__fold_operator,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [60188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6490), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4078), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4070), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4102), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4078), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6919), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7944), 1,
      sym_literal_suffix,
    ACTIONS(4078), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4070), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60500] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6822), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6824), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [60574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7946), 1,
      anon_sym_LT,
    STATE(3667), 1,
      sym_template_argument_list,
    ACTIONS(6782), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6784), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [60640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3767), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5808), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6877), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6879), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [60832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4305), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4300), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [60894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61014] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6889), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6891), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [61088] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7863), 1,
      anon_sym_or,
    ACTIONS(7865), 1,
      anon_sym_and,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7312), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [61192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5504), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6911), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5710), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61374] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7835), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7859), 1,
      anon_sym_QMARK,
    ACTIONS(7861), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7863), 1,
      anon_sym_or,
    ACTIONS(7865), 1,
      anon_sym_and,
    ACTIONS(7867), 1,
      anon_sym_bitor,
    ACTIONS(7869), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7324), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7847), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7851), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7853), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7326), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [61482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61542] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7837), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7839), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6860), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [61622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61682] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(5529), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN2,
    ACTIONS(6490), 1,
      anon_sym_LBRACK,
    ACTIONS(4102), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4078), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61752] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7871), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6854), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6856), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [61826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    STATE(4138), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6694), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6696), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6881), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6883), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6520), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6955), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7037), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7077), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7073), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5508), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62540] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7949), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7954), 1,
      anon_sym_requires,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5188), 1,
      sym__function_attributes_start,
    STATE(5452), 1,
      sym_ref_qualifier,
    STATE(6365), 1,
      sym__function_attributes_end,
    STATE(6609), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7182), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7256), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4194), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6115), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5555), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [62653] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7632), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5220), 1,
      sym__function_attributes_start,
    STATE(5487), 1,
      sym_ref_qualifier,
    STATE(6168), 1,
      sym_trailing_return_type,
    STATE(6455), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7182), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7541), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5563), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [62766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5342), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2163), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7061), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5520), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5492), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3771), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7342), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(7340), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [63179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6899), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3767), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6959), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6961), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7959), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6901), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6903), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7107), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5472), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5512), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4070), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7961), 1,
      anon_sym_LT,
    STATE(3852), 1,
      sym_template_argument_list,
    ACTIONS(1964), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1966), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7065), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63777] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4046), 1,
      sym_alignas_qualifier,
    ACTIONS(7966), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4891), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(7963), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4889), 21,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [63844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6623), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6625), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6633), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7969), 1,
      anon_sym_LT,
    STATE(3852), 1,
      sym_template_argument_list,
    ACTIONS(1972), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1974), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6637), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6842), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7972), 1,
      anon_sym_LT,
    STATE(3596), 1,
      sym_template_argument_list,
    ACTIONS(6862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6864), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6641), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3389), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6501), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6503), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6465), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6467), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7069), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6947), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7975), 1,
      sym_literal_suffix,
    ACTIONS(4070), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4078), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [64511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7079), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7081), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6903), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6339), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [64688] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7949), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5213), 1,
      sym__function_attributes_start,
    STATE(5439), 1,
      sym_ref_qualifier,
    STATE(6400), 1,
      sym__function_attributes_end,
    STATE(6564), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7182), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4194), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6115), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5559), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [64801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6911), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6919), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6678), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5860), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5504), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7979), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7983), 1,
      anon_sym_or,
    ACTIONS(7985), 1,
      anon_sym_and,
    ACTIONS(5563), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5565), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7083), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7085), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7089), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [65340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5856), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6755), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6757), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [65460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7972), 1,
      anon_sym_LT,
    STATE(2554), 1,
      sym_template_argument_list,
    ACTIONS(6862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6864), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [65523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5994), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5996), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7097), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5922), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5480), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5496), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7985), 1,
      anon_sym_and,
    ACTIONS(5622), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7719), 1,
      anon_sym_LT,
    STATE(1164), 1,
      sym_template_argument_list,
    ACTIONS(6862), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6864), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6830), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6834), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6834), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6834), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6852), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4255), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7055), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7057), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6885), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6887), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6706), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6708), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5476), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6724), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5484), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4070), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6975), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6979), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6869), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6871), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7005), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6712), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6716), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6720), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6743), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5946), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4078), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4070), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5898), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7009), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1976), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7017), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5954), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5910), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67893] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_LBRACK,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5229), 1,
      sym__function_attributes_start,
    STATE(5477), 1,
      sym_ref_qualifier,
    STATE(6078), 1,
      sym_trailing_return_type,
    STATE(6447), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7182), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6077), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5567), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [68006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5926), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5966), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7987), 1,
      sym_identifier,
    STATE(3735), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5584), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5586), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6278), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6276), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5882), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7989), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5588), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5590), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6288), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [68490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6937), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6939), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5500), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1956), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7013), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5894), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5902), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5934), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5936), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5938), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7025), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7992), 1,
      sym_identifier,
    STATE(3763), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5584), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5586), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6272), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6270), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7039), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7041), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7043), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7053), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    STATE(4131), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6672), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7049), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6318), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [69920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5458), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69979] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7961), 1,
      anon_sym_LT,
    STATE(3745), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3852), 1,
      sym_template_argument_list,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4068), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4076), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7994), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5792), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7994), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5747), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7037), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6995), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6004), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3762), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7996), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5786), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3765), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5780), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5956), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5958), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5960), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5962), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7027), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5940), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6000), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5918), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5868), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5870), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5906), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5918), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6923), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6927), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7994), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5756), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71189] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8000), 1,
      sym_identifier,
    STATE(3763), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(8003), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(8006), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6295), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6293), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [71256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5890), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7994), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5760), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    STATE(4121), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6702), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6704), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6935), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6943), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6971), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3778), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5764), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3781), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8011), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7994), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5776), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3744), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8013), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5794), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5796), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    STATE(4039), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6726), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6728), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7093), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7994), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5798), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5800), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5886), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5852), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7994), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5804), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7019), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1940), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6318), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [72533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5496), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6923), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6927), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6935), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6943), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6971), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6339), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [73055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6937), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6939), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6288), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [73171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6987), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7093), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5500), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8015), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8019), 1,
      anon_sym_or,
    ACTIONS(8021), 1,
      anon_sym_and,
    ACTIONS(5563), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5565), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4305), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4305), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4300), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7013), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7025), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1928), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(5582), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4070), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4078), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [73767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7039), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7041), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5342), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2163), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7089), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6903), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1956), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8023), 1,
      anon_sym_COLON,
    ACTIONS(8025), 1,
      anon_sym_LBRACE,
    STATE(4041), 1,
      sym__enum_base_clause,
    STATE(4179), 1,
      sym_enumerator_list,
    STATE(4276), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6154), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6156), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6931), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74417] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8023), 1,
      anon_sym_COLON,
    ACTIONS(8025), 1,
      anon_sym_LBRACE,
    STATE(4083), 1,
      sym__enum_base_clause,
    STATE(4181), 1,
      sym_enumerator_list,
    STATE(4262), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6170), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6172), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5480), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6881), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6883), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8017), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8021), 1,
      anon_sym_and,
    ACTIONS(5622), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5624), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6520), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5488), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_LT,
    STATE(2580), 1,
      sym_template_argument_list,
    ACTIONS(6862), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6864), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_COMMA,
    ACTIONS(8029), 1,
      anon_sym_RBRACK,
    ACTIONS(4078), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75021] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7324), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8036), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7326), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [75127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7061), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7037), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7037), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6680), 1,
      anon_sym_COMMA,
    ACTIONS(6682), 1,
      anon_sym_RBRACK,
    ACTIONS(4078), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7077), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6919), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6991), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      sym_new_declarator,
    ACTIONS(6751), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6753), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75657] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8064), 1,
      anon_sym_RPAREN,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [75763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5520), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5492), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6995), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7073), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5472), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5512), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7049), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5476), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5484), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6834), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7065), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6852), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5504), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2009), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6842), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6834), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6834), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7027), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7029), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7055), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7057), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7069), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    STATE(4000), 1,
      sym_new_declarator,
    ACTIONS(6751), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6753), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7079), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7081), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6885), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6887), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1976), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 1,
      anon_sym_EQ,
    ACTIONS(6733), 1,
      anon_sym_COMMA,
    ACTIONS(6735), 1,
      anon_sym_RBRACK,
    ACTIONS(6591), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4070), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4078), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [77283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4255), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77399] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6877), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6879), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [77469] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7332), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8036), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [77571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6975), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6979), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77687] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6854), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6856), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [77759] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6873), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6875), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [77831] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7336), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8036), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [77933] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6812), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6814), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [78003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7005), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1989), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1989), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7009), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7017), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(2005), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 1,
      anon_sym_EQ,
    ACTIONS(6591), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4078), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7097), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78475] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7274), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8036), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [78577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6959), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6961), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78635] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 1,
      anon_sym_EQ,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8036), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7061), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [78741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1991), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1993), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7101), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78859] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [78933] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79005] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_EQ,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [79105] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_EQ,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [79203] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [79297] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [79387] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6860), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [79473] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6860), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79557] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79637] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79713] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6860), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79849] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6891), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7083), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7085), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7019), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7107), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4132), 1,
      anon_sym_SEMI,
    ACTIONS(5529), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN2,
    ACTIONS(6490), 1,
      anon_sym_LBRACK,
    ACTIONS(4102), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4070), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4078), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [80165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6955), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1928), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7043), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(7053), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6947), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1960), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1962), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80513] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7312), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8036), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [80615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80673] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7316), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7797), 1,
      anon_sym_QMARK,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8036), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7318), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [80779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5508), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_EQ,
    ACTIONS(6747), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4078), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4070), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80899] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    ACTIONS(7320), 1,
      anon_sym_EQ,
    ACTIONS(7438), 1,
      anon_sym_LBRACK,
    ACTIONS(7695), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7819), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    ACTIONS(8042), 1,
      anon_sym_CARET,
    ACTIONS(8044), 1,
      anon_sym_AMP,
    ACTIONS(8050), 1,
      anon_sym_GT_EQ,
    ACTIONS(8054), 1,
      anon_sym_bitor,
    ACTIONS(8056), 1,
      anon_sym_xor,
    ACTIONS(8058), 1,
      anon_sym_bitand,
    STATE(3617), 1,
      sym_argument_list,
    STATE(3618), 1,
      sym_subscript_argument_list,
    ACTIONS(7482), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7833), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8032), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8036), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8052), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8034), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8046), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8048), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [81001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1924), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1960), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1962), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1932), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1936), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1924), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1932), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1936), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1920), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1940), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1920), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6284), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [81639] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5767), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81742] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8086), 1,
      sym_identifier,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8092), 1,
      sym_primitive_type,
    ACTIONS(8094), 1,
      anon_sym_enum,
    ACTIONS(8096), 1,
      anon_sym_class,
    ACTIONS(8098), 1,
      anon_sym_struct,
    ACTIONS(8100), 1,
      anon_sym_union,
    ACTIONS(8102), 1,
      sym_auto,
    ACTIONS(8104), 1,
      anon_sym_decltype,
    ACTIONS(8106), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4105), 1,
      sym_type_specifier,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4939), 1,
      sym_decltype_auto,
    STATE(5013), 1,
      sym_qualified_type_identifier,
    STATE(6111), 1,
      sym_type_descriptor,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    STATE(4061), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5060), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81845] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8096), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81948] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8210), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82051] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8158), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82154] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8618), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6339), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [82314] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8108), 1,
      sym_identifier,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8114), 1,
      sym_primitive_type,
    ACTIONS(8116), 1,
      anon_sym_enum,
    ACTIONS(8118), 1,
      anon_sym_class,
    ACTIONS(8120), 1,
      anon_sym_struct,
    ACTIONS(8122), 1,
      anon_sym_union,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    ACTIONS(8128), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4223), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4415), 1,
      sym_type_specifier,
    STATE(5085), 1,
      sym_qualified_type_identifier,
    STATE(5089), 1,
      sym_decltype_auto,
    STATE(6166), 1,
      sym_type_descriptor,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5004), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8112), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5120), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82417] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8234), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6318), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [82577] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8389), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82680] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5102), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8363), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82783] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8464), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82886] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3964), 1,
      anon_sym_enum,
    ACTIONS(3966), 1,
      anon_sym_class,
    ACTIONS(3968), 1,
      anon_sym_struct,
    ACTIONS(3970), 1,
      anon_sym_union,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(3998), 1,
      anon_sym_typename,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8134), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4376), 1,
      sym_type_specifier,
    STATE(4381), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6166), 1,
      sym_type_descriptor,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    STATE(4057), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3960), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82989] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8137), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83092] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8240), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83195] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6873), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6875), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [83266] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6854), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6856), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [83337] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8286), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83440] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8558), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83543] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8578), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83646] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_STAR,
    ACTIONS(8138), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8142), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8144), 1,
      anon_sym_AMP,
    ACTIONS(8146), 1,
      anon_sym_COLON,
    ACTIONS(8148), 1,
      anon_sym_EQ,
    STATE(3475), 1,
      sym_parameter_list,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6151), 1,
      sym__declarator,
    STATE(6458), 1,
      sym__abstract_declarator,
    STATE(6780), 1,
      sym_abstract_reference_declarator,
    STATE(7487), 1,
      sym_variadic_declarator,
    STATE(7494), 1,
      sym_variadic_reference_declarator,
    STATE(7507), 1,
      sym_semantics,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(7346), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(8140), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6670), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [83761] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8859), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83864] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [83935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_EQ,
    ACTIONS(4132), 1,
      anon_sym_SEMI,
    ACTIONS(4102), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4070), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4078), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [83998] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8877), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84101] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5755), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7005), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8291), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84364] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4382), 1,
      sym_type_specifier,
    STATE(6166), 1,
      sym_type_descriptor,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8438), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7025), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84627] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6111), 1,
      sym_type_descriptor,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84730] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8780), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7898), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(1964), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1966), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [84896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7079), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7081), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84953] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5815), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85056] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6891), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [85127] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5847), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6812), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6814), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [85299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7944), 1,
      sym_literal_suffix,
    ACTIONS(4078), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4070), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85358] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3964), 1,
      anon_sym_enum,
    ACTIONS(3966), 1,
      anon_sym_class,
    ACTIONS(3968), 1,
      anon_sym_struct,
    ACTIONS(3970), 1,
      anon_sym_union,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(3998), 1,
      anon_sym_typename,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8134), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4381), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4484), 1,
      sym_type_specifier,
    STATE(6166), 1,
      sym_type_descriptor,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    STATE(4088), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3960), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3744), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8013), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5710), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85522] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8086), 1,
      sym_identifier,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8092), 1,
      sym_primitive_type,
    ACTIONS(8094), 1,
      anon_sym_enum,
    ACTIONS(8096), 1,
      anon_sym_class,
    ACTIONS(8098), 1,
      anon_sym_struct,
    ACTIONS(8100), 1,
      anon_sym_union,
    ACTIONS(8102), 1,
      sym_auto,
    ACTIONS(8104), 1,
      anon_sym_decltype,
    ACTIONS(8106), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4287), 1,
      sym_type_specifier,
    STATE(4939), 1,
      sym_decltype_auto,
    STATE(5013), 1,
      sym_qualified_type_identifier,
    STATE(6111), 1,
      sym_type_descriptor,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    STATE(4144), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5060), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_STAR,
    ACTIONS(8138), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8142), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8144), 1,
      anon_sym_AMP,
    ACTIONS(8146), 1,
      anon_sym_COLON,
    ACTIONS(8150), 1,
      anon_sym_EQ,
    STATE(3478), 1,
      sym_parameter_list,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6108), 1,
      sym__declarator,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6478), 1,
      sym__abstract_declarator,
    STATE(6788), 1,
      sym_abstract_reference_declarator,
    STATE(7487), 1,
      sym_variadic_declarator,
    STATE(7494), 1,
      sym_variadic_reference_declarator,
    STATE(7507), 1,
      sym_semantics,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(7346), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(8140), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6670), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [85740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8159), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8156), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8154), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8152), 28,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(1989), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8162), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(1972), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1974), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [85925] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8117), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86028] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8165), 1,
      sym_identifier,
    ACTIONS(8169), 1,
      sym_primitive_type,
    ACTIONS(8171), 1,
      anon_sym_enum,
    ACTIONS(8173), 1,
      anon_sym_class,
    ACTIONS(8175), 1,
      anon_sym_struct,
    ACTIONS(8177), 1,
      anon_sym_union,
    ACTIONS(8179), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(4460), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4602), 1,
      sym_type_specifier,
    STATE(6111), 1,
      sym_type_descriptor,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    STATE(4058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86131] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5761), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86234] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8557), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5342), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2163), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86394] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5780), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86497] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5783), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6899), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86657] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5796), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86760] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5799), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86863] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5809), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86966] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5813), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87069] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5102), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8444), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87172] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5820), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87275] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5823), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5826), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87481] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5827), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87584] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5828), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87687] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5829), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6351), 1,
      anon_sym___attribute,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_const,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(4418), 1,
      sym_alignas_qualifier,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6320), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3998), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4406), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6343), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8187), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87885] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8043), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87988] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8468), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88091] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5102), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8491), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88194] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6359), 1,
      anon_sym___attribute,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_const,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(4418), 1,
      sym_alignas_qualifier,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6322), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4411), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4661), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8187), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [88346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6899), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88403] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5211), 1,
      sym_type_specifier,
    STATE(5837), 1,
      sym__type_definition_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7342), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88563] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8219), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88666] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8092), 1,
      sym_primitive_type,
    ACTIONS(8102), 1,
      sym_auto,
    ACTIONS(8104), 1,
      anon_sym_decltype,
    ACTIONS(8201), 1,
      sym_identifier,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8205), 1,
      anon_sym_enum,
    ACTIONS(8207), 1,
      anon_sym_class,
    ACTIONS(8209), 1,
      anon_sym_struct,
    ACTIONS(8211), 1,
      anon_sym_union,
    ACTIONS(8213), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4315), 1,
      sym_type_specifier,
    STATE(4939), 1,
      sym_decltype_auto,
    STATE(5013), 1,
      sym_qualified_type_identifier,
    STATE(6111), 1,
      sym_type_descriptor,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    STATE(4089), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5060), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88769] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8156), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88872] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4434), 1,
      sym_type_specifier,
    STATE(6166), 1,
      sym_type_descriptor,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4076), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88975] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8094), 1,
      sym_type_descriptor,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6288), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [89135] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8647), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89238] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8821), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89341] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5102), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8653), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8485), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3712), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5584), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5586), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6465), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6467), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89610] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8672), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89713] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5102), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8678), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8218), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8215), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8154), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8152), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [89881] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8695), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89984] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5102), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8700), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90087] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7705), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(8223), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8225), 1,
      anon_sym_AMP,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6289), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7707), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7709), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4024), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4425), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6343), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90180] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8715), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90283] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5102), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8720), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90386] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8108), 1,
      sym_identifier,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8114), 1,
      sym_primitive_type,
    ACTIONS(8116), 1,
      anon_sym_enum,
    ACTIONS(8118), 1,
      anon_sym_class,
    ACTIONS(8120), 1,
      anon_sym_struct,
    ACTIONS(8122), 1,
      anon_sym_union,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    ACTIONS(8128), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4223), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4294), 1,
      sym_type_specifier,
    STATE(5085), 1,
      sym_qualified_type_identifier,
    STATE(5089), 1,
      sym_decltype_auto,
    STATE(6166), 1,
      sym_type_descriptor,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4063), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5004), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8112), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5120), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90489] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4739), 1,
      sym_type_specifier,
    STATE(6166), 1,
      sym_type_descriptor,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4064), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7705), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(8223), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8225), 1,
      anon_sym_AMP,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6334), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7707), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7709), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4408), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90685] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4900), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(8463), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6877), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6879), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [90857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7069), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90913] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      sym_auto,
    ACTIONS(8231), 1,
      anon_sym_decltype,
    STATE(4206), 1,
      sym_new_declarator,
    STATE(4291), 1,
      sym_decltype_auto,
    STATE(4112), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6428), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6430), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8233), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5622), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7069), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91099] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3964), 1,
      anon_sym_enum,
    ACTIONS(3966), 1,
      anon_sym_class,
    ACTIONS(3968), 1,
      anon_sym_struct,
    ACTIONS(3970), 1,
      anon_sym_union,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(3998), 1,
      anon_sym_typename,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8134), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4381), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4869), 1,
      sym_type_specifier,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3960), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91255] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      sym_auto,
    ACTIONS(8231), 1,
      anon_sym_decltype,
    STATE(4213), 1,
      sym_new_declarator,
    STATE(4291), 1,
      sym_decltype_auto,
    STATE(4030), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6435), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6437), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6987), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91383] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      sym_auto,
    ACTIONS(8231), 1,
      anon_sym_decltype,
    STATE(4198), 1,
      sym_new_declarator,
    STATE(4291), 1,
      sym_decltype_auto,
    STATE(4077), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6421), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6423), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91455] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5240), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91555] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      sym_auto,
    ACTIONS(8231), 1,
      anon_sym_decltype,
    STATE(4195), 1,
      sym_new_declarator,
    STATE(4291), 1,
      sym_decltype_auto,
    STATE(4080), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6405), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6971), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7013), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91739] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5075), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACE,
    STATE(4156), 1,
      sym_enumerator_list,
    STATE(4275), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5862), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5864), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6318), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [92015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4070), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7025), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2241), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(2251), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [92183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6284), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [92239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6923), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7039), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7041), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7043), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7053), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7019), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92519] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8108), 1,
      sym_identifier,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8114), 1,
      sym_primitive_type,
    ACTIONS(8116), 1,
      anon_sym_enum,
    ACTIONS(8118), 1,
      anon_sym_class,
    ACTIONS(8120), 1,
      anon_sym_struct,
    ACTIONS(8122), 1,
      anon_sym_union,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    ACTIONS(8128), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4223), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4436), 1,
      sym_type_specifier,
    STATE(5085), 1,
      sym_qualified_type_identifier,
    STATE(5089), 1,
      sym_decltype_auto,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5004), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8112), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5120), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7013), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8233), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8235), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5563), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5565), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6288), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [92791] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3964), 1,
      anon_sym_enum,
    ACTIONS(3966), 1,
      anon_sym_class,
    ACTIONS(3968), 1,
      anon_sym_struct,
    ACTIONS(3970), 1,
      anon_sym_union,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(3998), 1,
      anon_sym_typename,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8134), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4374), 1,
      sym_type_specifier,
    STATE(4381), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3960), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92891] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8165), 1,
      sym_identifier,
    ACTIONS(8169), 1,
      sym_primitive_type,
    ACTIONS(8171), 1,
      anon_sym_enum,
    ACTIONS(8173), 1,
      anon_sym_class,
    ACTIONS(8175), 1,
      anon_sym_struct,
    ACTIONS(8177), 1,
      anon_sym_union,
    ACTIONS(8179), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(4460), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4566), 1,
      sym_type_specifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4974), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [93047] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4385), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93147] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8086), 1,
      sym_identifier,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8092), 1,
      sym_primitive_type,
    ACTIONS(8094), 1,
      anon_sym_enum,
    ACTIONS(8096), 1,
      anon_sym_class,
    ACTIONS(8098), 1,
      anon_sym_struct,
    ACTIONS(8100), 1,
      anon_sym_union,
    ACTIONS(8102), 1,
      sym_auto,
    ACTIONS(8104), 1,
      anon_sym_decltype,
    ACTIONS(8106), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4116), 1,
      sym_type_specifier,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4939), 1,
      sym_decltype_auto,
    STATE(5013), 1,
      sym_qualified_type_identifier,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5060), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7017), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93303] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8108), 1,
      sym_identifier,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8114), 1,
      sym_primitive_type,
    ACTIONS(8116), 1,
      anon_sym_enum,
    ACTIONS(8118), 1,
      anon_sym_class,
    ACTIONS(8120), 1,
      anon_sym_struct,
    ACTIONS(8122), 1,
      anon_sym_union,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    ACTIONS(8128), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4223), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4292), 1,
      sym_type_specifier,
    STATE(5085), 1,
      sym_qualified_type_identifier,
    STATE(5089), 1,
      sym_decltype_auto,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5004), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8112), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5120), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93403] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4657), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7009), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7093), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7039), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7041), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4070), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7043), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7045), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6935), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6943), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6995), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7053), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94119] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4400), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7101), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6975), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5504), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6979), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4255), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6955), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94555] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACE,
    STATE(4183), 1,
      sym_enumerator_list,
    STATE(4296), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5978), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5980), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5508), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94675] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(2674), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5578), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5688), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5690), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [94739] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 1,
      anon_sym___attribute__,
    ACTIONS(6509), 1,
      anon_sym___attribute,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(8237), 1,
      anon_sym_COLON,
    STATE(2514), 1,
      sym_attribute_specifier,
    STATE(2671), 1,
      sym__enum_base_clause,
    STATE(2765), 1,
      sym_enumerator_list,
    ACTIONS(6154), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6156), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [94809] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 1,
      anon_sym___attribute__,
    ACTIONS(6509), 1,
      anon_sym___attribute,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(8237), 1,
      anon_sym_COLON,
    STATE(2507), 1,
      sym_attribute_specifier,
    STATE(2716), 1,
      sym__enum_base_clause,
    STATE(2771), 1,
      sym_enumerator_list,
    ACTIONS(6170), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6172), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [94879] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3964), 1,
      anon_sym_enum,
    ACTIONS(3966), 1,
      anon_sym_class,
    ACTIONS(3968), 1,
      anon_sym_struct,
    ACTIONS(3970), 1,
      anon_sym_union,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(3998), 1,
      anon_sym_typename,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8134), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4381), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4496), 1,
      sym_type_specifier,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3960), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94979] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8092), 1,
      sym_primitive_type,
    ACTIONS(8102), 1,
      sym_auto,
    ACTIONS(8104), 1,
      anon_sym_decltype,
    ACTIONS(8201), 1,
      sym_identifier,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8205), 1,
      anon_sym_enum,
    ACTIONS(8207), 1,
      anon_sym_class,
    ACTIONS(8209), 1,
      anon_sym_struct,
    ACTIONS(8211), 1,
      anon_sym_union,
    ACTIONS(8213), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4316), 1,
      sym_type_specifier,
    STATE(4939), 1,
      sym_decltype_auto,
    STATE(5013), 1,
      sym_qualified_type_identifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5060), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6995), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95135] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4848), 1,
      sym_type_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7061), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6927), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5342), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2163), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7083), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7085), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7089), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7061), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5520), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5492), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95963] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7699), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7703), 1,
      anon_sym_AMP,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8241), 1,
      anon_sym___attribute,
    ACTIONS(8243), 1,
      sym_auto,
    ACTIONS(8245), 1,
      anon_sym_decltype,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4963), 1,
      sym_decltype_auto,
    STATE(5989), 1,
      sym__abstract_declarator,
    STATE(6150), 1,
      sym__function_declarator_seq,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8239), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [96053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7065), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7019), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7021), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5472), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5512), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6923), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6927), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6991), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96445] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7705), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    ACTIONS(8249), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8251), 1,
      anon_sym_AMP,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6421), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7707), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7709), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4114), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4482), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6343), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96537] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7705), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    ACTIONS(8249), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8251), 1,
      anon_sym_AMP,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6425), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7707), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7709), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4452), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7065), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96685] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7699), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7703), 1,
      anon_sym_AMP,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8243), 1,
      sym_auto,
    ACTIONS(8245), 1,
      anon_sym_decltype,
    ACTIONS(8255), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4963), 1,
      sym_decltype_auto,
    STATE(5978), 1,
      sym__abstract_declarator,
    STATE(6150), 1,
      sym__function_declarator_seq,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4249), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8253), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [96775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1976), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7073), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4255), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7079), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7081), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1956), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7009), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7093), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6931), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6935), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7083), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7085), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7089), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6943), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6965), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7097), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5496), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5480), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6971), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5476), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5484), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6975), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6979), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7027), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7017), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7005), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6339), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98287] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8086), 1,
      sym_identifier,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8092), 1,
      sym_primitive_type,
    ACTIONS(8094), 1,
      anon_sym_enum,
    ACTIONS(8096), 1,
      anon_sym_class,
    ACTIONS(8098), 1,
      anon_sym_struct,
    ACTIONS(8100), 1,
      anon_sym_union,
    ACTIONS(8102), 1,
      sym_auto,
    ACTIONS(8104), 1,
      anon_sym_decltype,
    ACTIONS(8106), 1,
      anon_sym_typename,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4263), 1,
      sym_type_specifier,
    STATE(4939), 1,
      sym_decltype_auto,
    STATE(5013), 1,
      sym_qualified_type_identifier,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5060), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6955), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5500), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98499] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_STAR,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6669), 1,
      sym__declarator,
    STATE(8208), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4266), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6051), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6053), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98651] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6520), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98744] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6388), 1,
      sym__declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98837] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6351), 1,
      anon_sym___attribute,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(8259), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8261), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6461), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4152), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4560), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6343), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98930] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6359), 1,
      anon_sym___attribute,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(8259), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8261), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6468), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4562), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4661), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99023] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_STAR,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6664), 1,
      sym__declarator,
    STATE(8208), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99116] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6441), 1,
      sym__declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6339), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [99264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4297), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6043), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6045), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99323] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_STAR,
    ACTIONS(7522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7524), 1,
      anon_sym_AMP,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(6739), 1,
      sym__declarator,
    STATE(8267), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99416] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_STAR,
    ACTIONS(7522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7524), 1,
      anon_sym_AMP,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(6743), 1,
      sym__declarator,
    STATE(8267), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99509] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_STAR,
    ACTIONS(7496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7498), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6326), 1,
      sym__declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99602] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99695] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_STAR,
    ACTIONS(7522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7524), 1,
      anon_sym_AMP,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(6745), 1,
      sym__declarator,
    STATE(8267), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6318), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [99843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4298), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6095), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6097), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4299), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6087), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6089), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4259), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6106), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6108), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [100075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(4338), 1,
      sym_new_declarator,
    STATE(4112), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6428), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6430), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100146] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(4326), 1,
      sym_new_declarator,
    STATE(4080), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6405), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6407), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6288), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [100272] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_STAR,
    ACTIONS(7496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7498), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6337), 1,
      sym__declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100365] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(4320), 1,
      sym_new_declarator,
    STATE(4077), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6421), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6423), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100436] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6520), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100529] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_STAR,
    ACTIONS(7496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7498), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6350), 1,
      sym__declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100622] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6351), 1,
      anon_sym___attribute,
    ACTIONS(6540), 1,
      anon_sym_const,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8273), 1,
      anon_sym_STAR,
    ACTIONS(8275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8277), 1,
      anon_sym_AMP,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6495), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8281), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4175), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4553), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6343), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100715] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6359), 1,
      anon_sym___attribute,
    ACTIONS(6540), 1,
      anon_sym_const,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8273), 1,
      anon_sym_STAR,
    ACTIONS(8275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8277), 1,
      anon_sym_AMP,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6501), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8281), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4661), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4282), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6069), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6071), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100867] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6583), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100960] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6438), 1,
      sym__declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4258), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6099), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6101), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101112] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6583), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4295), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6091), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6093), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4283), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6073), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6075), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4301), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6047), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6049), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101382] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4302), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6055), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6057), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4265), 1,
      sym_attribute_specifier,
    ACTIONS(6509), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6083), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6085), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101593] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(4346), 1,
      sym_new_declarator,
    STATE(4030), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6435), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6437), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101664] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_STAR,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym__declarator,
    STATE(8208), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8283), 1,
      anon_sym_LT,
    STATE(2971), 1,
      sym_template_argument_list,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1974), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [101817] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8290), 1,
      anon_sym_AMP,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6612), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4690), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8302), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8300), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [101961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2175), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102015] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      anon_sym_STAR,
    ACTIONS(8306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6529), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4214), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6343), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102105] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1334), 1,
      sym_alignas_qualifier,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4371), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8312), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8310), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [102173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    STATE(4054), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6726), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6728), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5874), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5914), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    STATE(4034), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6702), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6704), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8314), 1,
      anon_sym_LT,
    STATE(2971), 1,
      sym_template_argument_list,
    ACTIONS(1964), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1966), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [102461] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8290), 1,
      anon_sym_AMP,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6605), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4190), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4685), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6343), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102551] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8316), 1,
      sym_identifier,
    ACTIONS(8326), 1,
      sym_primitive_type,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4324), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8323), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4212), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8321), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 10,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(5549), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8318), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102621] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6345), 1,
      anon_sym_STAR,
    ACTIONS(6347), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6349), 1,
      anon_sym_AMP,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(8138), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(3253), 1,
      sym_parameter_list,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6299), 1,
      sym__declarator,
    STATE(6567), 1,
      sym__abstract_declarator,
    STATE(7415), 1,
      sym_variadic_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(8330), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8328), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [102721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5950), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8332), 33,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [102829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5794), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5796), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    STATE(4042), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6672), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8302), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8300), 33,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [102997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(2167), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103051] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    STATE(4046), 1,
      sym_alignas_qualifier,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4379), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4420), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8312), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8310), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [103119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8332), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [103173] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8314), 1,
      anon_sym_LT,
    STATE(2674), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2971), 1,
      sym_template_argument_list,
    ACTIONS(5578), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4068), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4076), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [103237] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8336), 1,
      sym_identifier,
    ACTIONS(8346), 1,
      sym_primitive_type,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4405), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8343), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8341), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 10,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(5598), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8338), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    STATE(4078), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6694), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6696), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103367] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      anon_sym_STAR,
    ACTIONS(8306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6539), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4620), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103457] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8348), 1,
      sym_identifier,
    ACTIONS(8350), 1,
      anon_sym_LPAREN2,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(8354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_AMP,
    ACTIONS(8362), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3316), 1,
      sym__type_declarator,
    STATE(3648), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8872), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4257), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4835), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8360), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3643), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103546] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6915), 1,
      anon_sym___attribute,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7699), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7703), 1,
      anon_sym_AMP,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5999), 1,
      sym__abstract_declarator,
    STATE(6150), 1,
      sym__function_declarator_seq,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6913), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [103627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8364), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(1974), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1972), 33,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [103686] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(8372), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8374), 1,
      anon_sym_AMP,
    ACTIONS(8378), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2627), 1,
      sym__type_declarator,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8457), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4235), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8229), 1,
      sym_auto,
    ACTIONS(8231), 1,
      anon_sym_decltype,
    STATE(4291), 1,
      sym_decltype_auto,
    ACTIONS(5810), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5812), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103834] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(8386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8388), 1,
      anon_sym_AMP,
    ACTIONS(8392), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3259), 1,
      sym__type_declarator,
    STATE(3577), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8960), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4852), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103923] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    ACTIONS(8400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8402), 1,
      anon_sym_AMP,
    ACTIONS(8406), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6167), 1,
      sym__type_declarator,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(8586), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4250), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4868), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104012] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_STAR,
    ACTIONS(8410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6653), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4847), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104101] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8414), 1,
      sym_identifier,
    ACTIONS(8424), 1,
      sym_primitive_type,
    STATE(4395), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4418), 1,
      sym_alignas_qualifier,
    ACTIONS(8421), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4252), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(5549), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8416), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104170] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8406), 1,
      sym_primitive_type,
    ACTIONS(8426), 1,
      anon_sym_STAR,
    ACTIONS(8428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8430), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(6759), 1,
      sym__type_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4253), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4822), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104259] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8406), 1,
      sym_primitive_type,
    ACTIONS(8426), 1,
      anon_sym_STAR,
    ACTIONS(8428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8430), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(6771), 1,
      sym__type_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4227), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4830), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5808), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104401] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8406), 1,
      sym_primitive_type,
    ACTIONS(8426), 1,
      anon_sym_STAR,
    ACTIONS(8428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8430), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(6746), 1,
      sym__type_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4833), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104490] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(8372), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8374), 1,
      anon_sym_AMP,
    ACTIONS(8378), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2621), 1,
      sym__type_declarator,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8457), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4244), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4904), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104579] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8348), 1,
      sym_identifier,
    ACTIONS(8350), 1,
      anon_sym_LPAREN2,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(8354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_AMP,
    ACTIONS(8362), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3343), 1,
      sym__type_declarator,
    STATE(3648), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8872), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4777), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8360), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3643), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104668] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7699), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7703), 1,
      anon_sym_AMP,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8434), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(6014), 1,
      sym__abstract_declarator,
    STATE(6150), 1,
      sym__function_declarator_seq,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8432), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [104749] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    ACTIONS(8436), 1,
      anon_sym_COLON,
    STATE(2862), 1,
      sym__enum_base_clause,
    STATE(2979), 1,
      sym_enumerator_list,
    STATE(3057), 1,
      sym_attribute_specifier,
    ACTIONS(6154), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6156), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [104816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    ACTIONS(8400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8402), 1,
      anon_sym_AMP,
    ACTIONS(8406), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6127), 1,
      sym__type_declarator,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(8586), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4251), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4783), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104905] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(8386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8388), 1,
      anon_sym_AMP,
    ACTIONS(8392), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3231), 1,
      sym__type_declarator,
    STATE(3577), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8960), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104994] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8438), 1,
      anon_sym_STAR,
    ACTIONS(8440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6820), 1,
      sym__type_declarator,
    STATE(8642), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4242), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4884), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105083] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(8372), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8374), 1,
      anon_sym_AMP,
    ACTIONS(8378), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2621), 1,
      sym__type_declarator,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8457), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4904), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105172] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6324), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4247), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4773), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105261] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8348), 1,
      sym_identifier,
    ACTIONS(8350), 1,
      anon_sym_LPAREN2,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(8354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_AMP,
    ACTIONS(8362), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3333), 1,
      sym__type_declarator,
    STATE(3648), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8872), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4229), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4912), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8360), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3643), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105350] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    ACTIONS(8436), 1,
      anon_sym_COLON,
    STATE(2863), 1,
      sym__enum_base_clause,
    STATE(2938), 1,
      sym_enumerator_list,
    STATE(2996), 1,
      sym_attribute_specifier,
    ACTIONS(6170), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6172), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [105417] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(8386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8388), 1,
      anon_sym_AMP,
    ACTIONS(8392), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3239), 1,
      sym__type_declarator,
    STATE(3577), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8960), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4233), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4801), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105506] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6359), 1,
      anon_sym___attribute,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7699), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7703), 1,
      anon_sym_AMP,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5985), 1,
      sym__abstract_declarator,
    STATE(6150), 1,
      sym__function_declarator_seq,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6357), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [105587] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(8386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8388), 1,
      anon_sym_AMP,
    ACTIONS(8392), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3231), 1,
      sym__type_declarator,
    STATE(3577), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8960), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105676] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8438), 1,
      anon_sym_STAR,
    ACTIONS(8440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6832), 1,
      sym__type_declarator,
    STATE(8642), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4897), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8364), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(1966), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1964), 33,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [105824] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(8372), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8374), 1,
      anon_sym_AMP,
    ACTIONS(8378), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2642), 1,
      sym__type_declarator,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8457), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4872), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105913] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8438), 1,
      anon_sym_STAR,
    ACTIONS(8440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6832), 1,
      sym__type_declarator,
    STATE(8642), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4256), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4897), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5710), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106057] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6277), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4808), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106146] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6277), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4255), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4808), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106235] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7699), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7703), 1,
      anon_sym_AMP,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8452), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(5987), 1,
      sym__abstract_declarator,
    STATE(6150), 1,
      sym__function_declarator_seq,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8450), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [106316] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    ACTIONS(8400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8402), 1,
      anon_sym_AMP,
    ACTIONS(8406), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6113), 1,
      sym__type_declarator,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(8586), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4780), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106405] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    ACTIONS(8400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8402), 1,
      anon_sym_AMP,
    ACTIONS(8406), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6167), 1,
      sym__type_declarator,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(8586), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4868), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106494] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8454), 1,
      sym_identifier,
    ACTIONS(8464), 1,
      sym_primitive_type,
    STATE(4418), 1,
      sym_alignas_qualifier,
    STATE(4490), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8461), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4260), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8459), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(5598), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8456), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106563] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8406), 1,
      sym_primitive_type,
    ACTIONS(8426), 1,
      anon_sym_STAR,
    ACTIONS(8428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8430), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(6771), 1,
      sym__type_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4830), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106652] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_STAR,
    ACTIONS(8410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6649), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4222), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4843), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6343), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106741] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6306), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4814), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106830] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8438), 1,
      anon_sym_STAR,
    ACTIONS(8440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6860), 1,
      sym__type_declarator,
    STATE(8642), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4903), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106919] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8348), 1,
      sym_identifier,
    ACTIONS(8350), 1,
      anon_sym_LPAREN2,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(8354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_AMP,
    ACTIONS(8362), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3333), 1,
      sym__type_declarator,
    STATE(3648), 1,
      sym_pointer_type_declarator,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8872), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8358), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4912), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7705), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8360), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3643), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5940), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5942), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5956), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5958), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107112] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4418), 1,
      sym_alignas_qualifier,
    ACTIONS(8469), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4260), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4891), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8466), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4889), 15,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [107172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5930), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5960), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5962), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107276] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(8223), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8225), 1,
      anon_sym_AMP,
    ACTIONS(8243), 1,
      sym_auto,
    ACTIONS(8245), 1,
      anon_sym_decltype,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4963), 1,
      sym_decltype_auto,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6302), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4404), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8253), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5926), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5894), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5934), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5936), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5938), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107568] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(4195), 1,
      sym_new_declarator,
    STATE(4080), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6405), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6407), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107636] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7705), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_STAR,
    ACTIONS(8474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8476), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6685), 1,
      sym__abstract_declarator,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7707), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7709), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5033), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5930), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(4412), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8478), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5688), 5,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5690), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [107838] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6345), 1,
      anon_sym_STAR,
    ACTIONS(6347), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6349), 1,
      anon_sym_AMP,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    STATE(3253), 1,
      sym_parameter_list,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6299), 1,
      sym__declarator,
    STATE(6567), 1,
      sym__abstract_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(8330), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8328), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [107932] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4430), 1,
      sym_alignas_qualifier,
    ACTIONS(8483), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4889), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4891), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8480), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5930), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6000), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5902), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5966), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108200] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(4206), 1,
      sym_new_declarator,
    STATE(4112), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6428), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6430), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(4213), 1,
      sym_new_declarator,
    STATE(4030), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6435), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6437), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5918), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
    STATE(4412), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8478), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4068), 5,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4076), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [108450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5868), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5870), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5906), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5918), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108606] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7705), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_STAR,
    ACTIONS(8474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8476), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(4210), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6716), 1,
      sym__abstract_declarator,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7707), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7709), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4269), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6343), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108746] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(8223), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8225), 1,
      anon_sym_AMP,
    ACTIONS(8243), 1,
      sym_auto,
    ACTIONS(8245), 1,
      anon_sym_decltype,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4963), 1,
      sym_decltype_auto,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6351), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4432), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8239), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5890), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5954), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5910), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5882), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109038] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_const,
    ACTIONS(8255), 1,
      anon_sym___attribute,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(4418), 1,
      sym_alignas_qualifier,
    STATE(5086), 1,
      sym_decltype_auto,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6317), 1,
      sym__abstract_declarator,
    ACTIONS(8199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4410), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8253), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8187), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109124] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8060), 1,
      anon_sym_LBRACK,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(4198), 1,
      sym_new_declarator,
    STATE(4077), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6421), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6423), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109192] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_const,
    ACTIONS(8241), 1,
      anon_sym___attribute,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(4418), 1,
      sym_alignas_qualifier,
    STATE(5086), 1,
      sym_decltype_auto,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6315), 1,
      sym__abstract_declarator,
    ACTIONS(8199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4401), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8239), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8187), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5886), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5852), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5898), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6004), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5856), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5860), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5994), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5996), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5922), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5946), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109798] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6784), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109883] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109954] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8506), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8526), 1,
      anon_sym_or,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7332), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [110053] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6185), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110138] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8542), 1,
      anon_sym_STAR,
    ACTIONS(8544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6757), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4312), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5134), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6343), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110225] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_STAR,
    ACTIONS(8550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8552), 1,
      anon_sym_AMP,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6740), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5115), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110312] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8506), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8526), 1,
      anon_sym_or,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [110411] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8542), 1,
      anon_sym_STAR,
    ACTIONS(8544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6734), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4661), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5139), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110498] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8506), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8526), 1,
      anon_sym_or,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7316), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7318), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [110601] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8506), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8526), 1,
      anon_sym_or,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7061), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [110704] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8243), 1,
      sym_auto,
    ACTIONS(8245), 1,
      anon_sym_decltype,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    ACTIONS(8249), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8251), 1,
      anon_sym_AMP,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4963), 1,
      sym_decltype_auto,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6420), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8239), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110787] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8243), 1,
      sym_auto,
    ACTIONS(8245), 1,
      anon_sym_decltype,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    ACTIONS(8249), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8251), 1,
      anon_sym_AMP,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(4963), 1,
      sym_decltype_auto,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6424), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4499), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8253), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7073), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110921] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6185), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4352), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111006] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_STAR,
    ACTIONS(8550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8552), 1,
      anon_sym_AMP,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6770), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4310), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5092), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6343), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(4034), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6702), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6704), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111150] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8506), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8526), 1,
      anon_sym_or,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7324), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7326), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [111253] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8558), 1,
      anon_sym_LPAREN2,
    ACTIONS(8560), 1,
      anon_sym_LBRACK,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(4581), 1,
      sym_new_declarator,
    STATE(5003), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6421), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6423), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8562), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5590), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5588), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [111375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5588), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8562), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5728), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5725), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [111432] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8506), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8526), 1,
      anon_sym_or,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [111531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(4054), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6726), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6728), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111588] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8565), 1,
      anon_sym_LT,
    STATE(4459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4597), 1,
      sym_template_argument_list,
    ACTIONS(4068), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4076), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111649] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8506), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8526), 1,
      anon_sym_or,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7320), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [111748] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8558), 1,
      anon_sym_LPAREN2,
    ACTIONS(8560), 1,
      anon_sym_LBRACK,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(4604), 1,
      sym_new_declarator,
    STATE(4947), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6405), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6407), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111815] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [111888] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6188), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4308), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5101), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111973] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8506), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8526), 1,
      anon_sym_or,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7312), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [112072] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [112141] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8506), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8526), 1,
      anon_sym_or,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8569), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8571), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [112244] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8528), 1,
      anon_sym_and,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [112339] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6860), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [112430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7027), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7029), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(4042), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6672), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112538] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8512), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8530), 1,
      anon_sym_xor,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6860), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [112627] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8514), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6860), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [112712] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6775), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4342), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112797] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6760), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5128), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112882] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8558), 1,
      anon_sym_LPAREN2,
    ACTIONS(8560), 1,
      anon_sym_LBRACK,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(4564), 1,
      sym_new_declarator,
    STATE(5017), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6435), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6437), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(4459), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5688), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5690), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [113010] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6760), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4305), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5128), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(4078), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6694), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6696), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(7105), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113203] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8532), 1,
      anon_sym_not_eq,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8516), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6860), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [113286] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8558), 1,
      anon_sym_LPAREN2,
    ACTIONS(8560), 1,
      anon_sym_LBRACK,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(4515), 1,
      sym_new_declarator,
    STATE(5031), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6428), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6430), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113353] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8520), 1,
      anon_sym_GT_EQ,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8518), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6858), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [113432] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_SLASH,
    ACTIONS(8524), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8500), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8522), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6860), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [113507] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6226), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(4062), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4060), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5508), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [113642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5484), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [113692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5492), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [113742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5472), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [113792] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_STAR,
    ACTIONS(6459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6461), 1,
      anon_sym_AMP,
    STATE(3475), 1,
      sym_parameter_list,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6299), 1,
      sym__declarator,
    STATE(6694), 1,
      sym__abstract_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(8328), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8330), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [113884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5458), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [113934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1956), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [113984] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8599), 1,
      anon_sym_SEMI,
    ACTIONS(8601), 1,
      anon_sym_QMARK,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(6885), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8265), 1,
      sym_attribute_specifier,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [114090] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      sym_identifier,
    ACTIONS(6552), 1,
      sym_primitive_type,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(2732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8612), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4422), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6550), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5598), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(8609), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114156] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_STAR,
    ACTIONS(8617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8619), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6834), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4363), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5159), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6343), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114242] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_STAR,
    ACTIONS(8617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8619), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6836), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5161), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
    ACTIONS(1972), 5,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(1974), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [114384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5480), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5496), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5488), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5504), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [114684] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1334), 1,
      sym_alignas_qualifier,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8623), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8621), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [114744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7342), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8625), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5590), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5588), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [114848] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6540), 1,
      anon_sym_const,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8255), 1,
      anon_sym___attribute,
    ACTIONS(8273), 1,
      anon_sym_STAR,
    ACTIONS(8275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8277), 1,
      anon_sym_AMP,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6449), 1,
      sym__abstract_declarator,
    ACTIONS(8281), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4554), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8253), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114932] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6828), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5164), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115018] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6540), 1,
      anon_sym_const,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8241), 1,
      anon_sym___attribute,
    ACTIONS(8273), 1,
      anon_sym_STAR,
    ACTIONS(8275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8277), 1,
      anon_sym_AMP,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6499), 1,
      sym__abstract_declarator,
    ACTIONS(8281), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4551), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8239), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115102] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6397), 1,
      sym_identifier,
    ACTIONS(6401), 1,
      sym_primitive_type,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(4558), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8633), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4393), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8631), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5549), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(8628), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115168] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4204), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6857), 1,
      sym__abstract_declarator,
    ACTIONS(8294), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8296), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4375), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5158), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6343), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115254] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    STATE(4046), 1,
      sym_alignas_qualifier,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8623), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8621), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [115314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5500), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [115364] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      sym_identifier,
    ACTIONS(6546), 1,
      sym_primitive_type,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(4526), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8641), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4361), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8639), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5549), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(8636), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115430] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8241), 1,
      anon_sym___attribute,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(8259), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8261), 1,
      anon_sym_AMP,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6470), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4559), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8239), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    STATE(4046), 1,
      sym_alignas_qualifier,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8312), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8310), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [115574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
    ACTIONS(1964), 5,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(1966), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115630] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8255), 1,
      anon_sym___attribute,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(8259), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8261), 1,
      anon_sym_AMP,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4561), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8253), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5512), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [115764] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8601), 1,
      anon_sym_QMARK,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    ACTIONS(8644), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(6888), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8639), 1,
      sym_attribute_specifier,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [115870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7350), 1,
      sym_literal_suffix,
    ACTIONS(4078), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4070), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115922] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_STAR,
    ACTIONS(6445), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6447), 1,
      anon_sym_AMP,
    STATE(3478), 1,
      sym_parameter_list,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6299), 1,
      sym__declarator,
    STATE(6728), 1,
      sym__abstract_declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    ACTIONS(8328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8330), 3,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [116014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1976), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8646), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5622), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5624), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8646), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8648), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5563), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5565), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116170] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 1,
      sym_identifier,
    ACTIONS(6371), 1,
      sym_primitive_type,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(2566), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8653), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6367), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5598), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(8650), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5520), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5588), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8625), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5728), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5725), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [116342] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8601), 1,
      anon_sym_QMARK,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    ACTIONS(8656), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(6896), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8206), 1,
      sym_attribute_specifier,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [116448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5476), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1334), 1,
      sym_alignas_qualifier,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8312), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8310), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [116558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [116608] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    ACTIONS(8304), 1,
      anon_sym_STAR,
    ACTIONS(8306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6576), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4689), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8253), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116689] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_const,
    ACTIONS(8434), 1,
      anon_sym___attribute,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(4418), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6316), 1,
      sym__abstract_declarator,
    ACTIONS(8199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4260), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8432), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8187), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5768), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8658), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5770), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [116819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8565), 1,
      anon_sym_LT,
    STATE(4597), 1,
      sym_template_argument_list,
    ACTIONS(1964), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1966), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [116874] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(8223), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8225), 1,
      anon_sym_AMP,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6341), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8450), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5774), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8660), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117002] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6359), 1,
      anon_sym___attribute,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_const,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(4418), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6322), 1,
      sym__abstract_declarator,
    ACTIONS(8199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4260), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8187), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6869), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6871), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [117128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(8223), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8225), 1,
      anon_sym_AMP,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6283), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6913), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5710), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117256] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_const,
    ACTIONS(8452), 1,
      anon_sym___attribute,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(4418), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6318), 1,
      sym__abstract_declarator,
    ACTIONS(8199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4260), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8450), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8187), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117333] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6915), 1,
      anon_sym___attribute,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_const,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(4418), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6323), 1,
      sym__abstract_declarator,
    ACTIONS(8199), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4260), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6913), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8187), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5745), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8660), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5747), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5798), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8660), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5800), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5802), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8660), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5804), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117569] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8290), 1,
      anon_sym_AMP,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5086), 1,
      sym_decltype_auto,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6512), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4677), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8239), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7342), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4974), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [117748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2241), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2251), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [117797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4974), 28,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [117846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8668), 1,
      anon_sym___attribute__,
    ACTIONS(8671), 1,
      anon_sym___attribute,
    STATE(4420), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8666), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8664), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [117901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8674), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8676), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8678), 1,
      anon_sym_or,
    ACTIONS(8680), 1,
      anon_sym_and,
    ACTIONS(5563), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5565), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117958] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2624), 1,
      sym_alignas_qualifier,
    ACTIONS(6661), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4422), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4891), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(6658), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4889), 14,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [118015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5754), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8660), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5790), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8660), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(8223), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8225), 1,
      anon_sym_AMP,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6334), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8676), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8680), 1,
      anon_sym_and,
    ACTIONS(5622), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5624), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5758), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8660), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4413), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5762), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8682), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5764), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5794), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2241), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2251), 28,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [118457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6830), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [118506] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(8223), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8225), 1,
      anon_sym_AMP,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6300), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8432), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4423), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5784), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8684), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118634] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    ACTIONS(8304), 1,
      anon_sym_STAR,
    ACTIONS(8306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6524), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8239), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8565), 1,
      anon_sym_LT,
    STATE(4597), 1,
      sym_template_argument_list,
    ACTIONS(1972), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1974), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118770] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8290), 1,
      anon_sym_AMP,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(5086), 1,
      sym_decltype_auto,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6536), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8253), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8686), 1,
      anon_sym___attribute__,
    ACTIONS(8689), 1,
      anon_sym___attribute,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8666), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8664), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [118906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4427), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5778), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8692), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7350), 1,
      sym_literal_suffix,
    ACTIONS(4078), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4070), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6911), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [119059] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6343), 1,
      anon_sym_COLON,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8694), 1,
      anon_sym_STAR,
    ACTIONS(8696), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8698), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6934), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4498), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5177), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119143] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    STATE(4844), 1,
      sym_field_declaration_list,
    STATE(4996), 1,
      sym_attribute_specifier,
    STATE(7102), 1,
      sym_virtual_specifier,
    STATE(7929), 1,
      sym_base_class_clause,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5704), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5706), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [119209] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6860), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [119277] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [119363] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6860), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [119435] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8364), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(2570), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4068), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4076), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [119493] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [119569] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8601), 1,
      anon_sym_QMARK,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    ACTIONS(8730), 1,
      anon_sym___attribute,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8728), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [119665] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [119755] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [119845] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7059), 1,
      anon_sym___attribute,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8601), 1,
      anon_sym_QMARK,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [119941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    ACTIONS(8249), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8251), 1,
      anon_sym_AMP,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6427), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6913), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120015] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [120085] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [120157] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7318), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [120251] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7332), 1,
      anon_sym___attribute,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [120343] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [120433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4508), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5762), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8738), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5764), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5745), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5747), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120537] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8742), 1,
      sym_identifier,
    ACTIONS(8744), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5558), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4473), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5549), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5551), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5553), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120601] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8601), 1,
      anon_sym_QMARK,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    ACTIONS(8748), 1,
      anon_sym___attribute,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8746), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [120697] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [120765] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [120841] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7061), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [120935] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6860), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [121001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4472), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5710), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8750), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121053] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(2570), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5688), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5690), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [121111] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [121189] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7274), 1,
      anon_sym___attribute,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [121281] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [121371] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8754), 1,
      anon_sym_RPAREN,
    ACTIONS(8756), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7342), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5790), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121523] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8758), 1,
      sym_identifier,
    ACTIONS(8762), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4907), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5607), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8760), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5600), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5602), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121587] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7312), 1,
      anon_sym___attribute,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [121679] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7324), 1,
      anon_sym___attribute,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8601), 1,
      anon_sym_QMARK,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7326), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121775] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [121865] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7336), 1,
      anon_sym___attribute,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [121957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5758), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122009] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7326), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [122103] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(4909), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5688), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5690), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [122161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4478), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5778), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8766), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    ACTIONS(8249), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8251), 1,
      anon_sym_AMP,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6425), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    ACTIONS(8249), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8251), 1,
      anon_sym_AMP,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6423), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8432), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122361] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_STAR,
    ACTIONS(8410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6639), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4842), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8239), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122441] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(6858), 1,
      anon_sym_PIPE,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [122525] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(6858), 1,
      anon_sym___attribute,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [122615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5802), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5804), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4487), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5768), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5770), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122719] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(6858), 1,
      anon_sym___attribute,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [122807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5774), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122859] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(6858), 1,
      anon_sym_PIPE,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [122941] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [123029] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [123095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [123179] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6860), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [123249] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_STAR,
    ACTIONS(8410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6645), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4846), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8253), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [123407] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6357), 1,
      anon_sym_COLON,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8189), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8694), 1,
      anon_sym_STAR,
    ACTIONS(8696), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8698), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6942), 1,
      sym__abstract_declarator,
    ACTIONS(8191), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8193), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4661), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5204), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123491] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    ACTIONS(8249), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8251), 1,
      anon_sym_AMP,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(4046), 1,
      sym_alignas_qualifier,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6426), 1,
      sym__abstract_declarator,
    ACTIONS(7203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8450), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7188), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123565] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym___attribute,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8601), 1,
      anon_sym_QMARK,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7318), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4506), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5784), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8770), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [123713] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [123795] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8772), 1,
      anon_sym_COMMA,
    ACTIONS(8774), 1,
      anon_sym_SEMI,
    ACTIONS(8776), 1,
      anon_sym_RBRACE,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7451), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123895] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(2674), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5578), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5688), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5690), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [123953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4472), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5794), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8750), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5754), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124057] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7320), 1,
      anon_sym___attribute,
    ACTIONS(8579), 1,
      anon_sym_SLASH,
    ACTIONS(8585), 1,
      anon_sym_PIPE,
    ACTIONS(8589), 1,
      anon_sym_AMP,
    ACTIONS(8595), 1,
      anon_sym_GT_EQ,
    ACTIONS(8603), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8605), 1,
      anon_sym_bitor,
    ACTIONS(8607), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8577), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8581), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8583), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8587), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8597), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8591), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8593), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [124149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5798), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5800), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124201] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(8778), 1,
      anon_sym_COLON,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    STATE(4654), 1,
      sym__enum_base_clause,
    STATE(4841), 1,
      sym_enumerator_list,
    STATE(5026), 1,
      sym_attribute_specifier,
    ACTIONS(6170), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6172), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124262] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(8784), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7271), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124359] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(8778), 1,
      anon_sym_COLON,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    STATE(4675), 1,
      sym__enum_base_clause,
    STATE(4832), 1,
      sym_enumerator_list,
    STATE(5064), 1,
      sym_attribute_specifier,
    ACTIONS(6154), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6156), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124420] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8788), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7563), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124517] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8790), 1,
      anon_sym_COMMA,
    ACTIONS(8792), 1,
      anon_sym_RBRACE,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7564), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124614] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8832), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7568), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      anon_sym_LPAREN2,
    STATE(5002), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6670), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6672), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [124764] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8834), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7470), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124861] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8836), 1,
      anon_sym_COMMA,
    ACTIONS(8838), 1,
      anon_sym_RBRACE,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7485), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124958] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8840), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7578), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125055] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8842), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125150] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(8844), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7583), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125247] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8846), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7504), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125344] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7629), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125441] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8850), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7632), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125538] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
    ACTIONS(8854), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125635] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8856), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7641), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2603), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5588), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6515), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5728), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(5725), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [125785] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8884), 1,
      anon_sym_RBRACK,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7501), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125882] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8894), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7672), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125979] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8896), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7678), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126076] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(8898), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7514), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126173] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8900), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7266), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126270] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8902), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7270), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126367] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8906), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8904), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126462] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8908), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7251), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126559] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8910), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7297), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126656] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8912), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7309), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126753] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8914), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7317), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126850] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8916), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7649), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126947] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8918), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7328), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127044] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8920), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7336), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127141] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8922), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7348), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127238] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    STATE(5009), 1,
      sym_field_declaration_list,
    STATE(5080), 1,
      sym_attribute_specifier,
    STATE(7015), 1,
      sym_virtual_specifier,
    STATE(7923), 1,
      sym_base_class_clause,
    ACTIONS(5704), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5706), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [127303] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8930), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7357), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127400] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8932), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7364), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127497] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8934), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7372), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127594] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8936), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7379), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127691] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8938), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7386), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127788] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8940), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7391), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127885] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(8942), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7384), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127982] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8944), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7537), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128079] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6540), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8273), 1,
      anon_sym_STAR,
    ACTIONS(8275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8277), 1,
      anon_sym_AMP,
    ACTIONS(8434), 1,
      anon_sym___attribute,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6448), 1,
      sym__abstract_declarator,
    ACTIONS(8281), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4422), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8432), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128154] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(8946), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7573), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128251] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6359), 1,
      anon_sym___attribute,
    ACTIONS(6540), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8273), 1,
      anon_sym_STAR,
    ACTIONS(8275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8277), 1,
      anon_sym_AMP,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6501), 1,
      sym__abstract_declarator,
    ACTIONS(8281), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4422), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128326] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6540), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8273), 1,
      anon_sym_STAR,
    ACTIONS(8275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8277), 1,
      anon_sym_AMP,
    ACTIONS(8452), 1,
      anon_sym___attribute,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6454), 1,
      sym__abstract_declarator,
    ACTIONS(8281), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4422), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8450), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128401] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6540), 1,
      anon_sym_const,
    ACTIONS(6915), 1,
      anon_sym___attribute,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8273), 1,
      anon_sym_STAR,
    ACTIONS(8275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8277), 1,
      anon_sym_AMP,
    STATE(2624), 1,
      sym_alignas_qualifier,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6480), 1,
      sym__abstract_declarator,
    ACTIONS(8281), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4422), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6913), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128476] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8776), 1,
      anon_sym_RBRACE,
    ACTIONS(8948), 1,
      anon_sym_COMMA,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7451), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128573] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5051), 1,
      sym_ref_qualifier,
    STATE(5594), 1,
      sym__function_attributes_end,
    STATE(5777), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5243), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [128662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2419), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5588), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6192), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5728), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(5725), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [128715] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(8259), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8261), 1,
      anon_sym_AMP,
    ACTIONS(8434), 1,
      anon_sym___attribute,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6482), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8432), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128790] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6359), 1,
      anon_sym___attribute,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(8259), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8261), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6468), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128865] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(8259), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8261), 1,
      anon_sym_AMP,
    ACTIONS(8452), 1,
      anon_sym___attribute,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6492), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8450), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128940] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(6915), 1,
      anon_sym___attribute,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(8259), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8261), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6446), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6913), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129015] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8963), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7426), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129112] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      anon_sym_LPAREN2,
    STATE(5069), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6694), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6696), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [129165] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8965), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7617), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129262] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_STAR,
    ACTIONS(8474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8476), 1,
      anon_sym_AMP,
    ACTIONS(8967), 1,
      sym_auto,
    ACTIONS(8969), 1,
      anon_sym_decltype,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2314), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6668), 1,
      sym__abstract_declarator,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7342), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129388] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8971), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7449), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129485] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8973), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7292), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129582] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(8975), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7427), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129679] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8977), 1,
      anon_sym_COMMA,
    ACTIONS(8979), 1,
      anon_sym_RBRACE,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7301), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129776] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8981), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7286), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129873] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8983), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7306), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1574), 1,
      sym__fold_operator,
    ACTIONS(8987), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8985), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130019] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8756), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7342), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130116] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_RBRACE,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7324), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130213] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(8993), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7361), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7350), 1,
      sym_literal_suffix,
    ACTIONS(4078), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4070), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130359] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
    STATE(4412), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4068), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8478), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4076), 27,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8995), 1,
      anon_sym_LT,
    STATE(2674), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2971), 1,
      sym_template_argument_list,
    ACTIONS(4068), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5578), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4076), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [130473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      anon_sym_LPAREN2,
    STATE(4946), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6702), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6704), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [130526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1960), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1962), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130573] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(8997), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7411), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1924), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1932), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1936), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1920), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1940), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1928), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1991), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1993), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131001] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8999), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7472), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131098] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9001), 1,
      anon_sym_COMMA,
    ACTIONS(9003), 1,
      anon_sym_RBRACE,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7475), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131195] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    ACTIONS(9005), 1,
      anon_sym_GT2,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    STATE(7480), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1989), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1987), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1989), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(2005), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(2009), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131484] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(9007), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7492), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131581] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8774), 1,
      anon_sym_SEMI,
    ACTIONS(9009), 1,
      anon_sym_COMMA,
    ACTIONS(9012), 1,
      anon_sym_RBRACE,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131678] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8842), 1,
      anon_sym_SEMI,
    ACTIONS(9014), 1,
      anon_sym_COMMA,
    ACTIONS(9017), 1,
      anon_sym_RBRACE,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131775] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(9019), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    STATE(7499), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131872] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_STAR,
    ACTIONS(8474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8476), 1,
      anon_sym_AMP,
    ACTIONS(8967), 1,
      sym_auto,
    ACTIONS(8969), 1,
      anon_sym_decltype,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2314), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6710), 1,
      sym__abstract_declarator,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5067), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8239), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131951] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_requires,
    STATE(5061), 1,
      sym_ref_qualifier,
    STATE(5579), 1,
      sym__function_attributes_end,
    STATE(5830), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5329), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [132040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      anon_sym_LPAREN2,
    STATE(4952), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6726), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6728), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [132093] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [132181] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6860), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [132245] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9027), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132339] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [132399] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7334), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132487] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [132573] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      anon_sym_STAR,
    ACTIONS(8306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6575), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8432), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132645] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [132729] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_PIPE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [132811] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_PIPE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [132891] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [132967] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [133041] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9029), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1989), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [133251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      anon_sym_STAR,
    ACTIONS(8306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6544), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6913), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133323] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6860), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [133389] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9031), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133481] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9033), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133573] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9031), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133665] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [133735] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7338), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133823] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9035), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8995), 1,
      anon_sym_LT,
    STATE(2971), 1,
      sym_template_argument_list,
    ACTIONS(1964), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1966), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [133967] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [134055] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6812), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6814), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [134113] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7061), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134205] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9037), 1,
      anon_sym_COMMA,
    ACTIONS(9039), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134299] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9041), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134393] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [134457] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [134543] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [134627] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(6858), 1,
      anon_sym_PIPE,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [134709] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(6858), 1,
      anon_sym_PIPE,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [134789] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [134865] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [134939] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135009] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135075] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9069), 1,
      anon_sym_COLON,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135169] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135237] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9079), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8560), 1,
      anon_sym_LBRACK,
    STATE(4893), 1,
      sym_new_declarator,
    ACTIONS(6751), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6753), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [135379] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8842), 1,
      anon_sym_COLON,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135473] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [135561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8995), 1,
      anon_sym_LT,
    STATE(2971), 1,
      sym_template_argument_list,
    ACTIONS(1972), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(1974), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135613] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7318), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135705] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9081), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135797] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [135885] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7326), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    STATE(4930), 1,
      sym_enumerator_list,
    STATE(5052), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5980), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136033] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9083), 1,
      anon_sym_COMMA,
    ACTIONS(9085), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136127] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8571), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136219] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    ACTIONS(8542), 1,
      anon_sym_STAR,
    ACTIONS(8544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6772), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5138), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136297] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9087), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136391] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9089), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136485] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6891), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [136545] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9091), 1,
      sym_ms_restrict_modifier,
    STATE(5111), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(9094), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9097), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4661), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8152), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8154), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136601] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7276), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136689] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9100), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136783] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9102), 1,
      anon_sym_COMMA,
    ACTIONS(9104), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136877] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9106), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4305), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4300), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [137019] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9108), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137113] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9110), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137205] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9112), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137299] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9114), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137391] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9116), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137485] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9118), 1,
      anon_sym_COMMA,
    ACTIONS(9120), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137579] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7326), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137671] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9122), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137765] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    STATE(4768), 1,
      sym_enumerator_list,
    STATE(4976), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5864), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137821] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9124), 1,
      anon_sym_COMMA,
    ACTIONS(9126), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137915] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8290), 1,
      anon_sym_AMP,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6535), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8432), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137987] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9128), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138081] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9130), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138175] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    ACTIONS(9134), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138269] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9136), 1,
      anon_sym_COMMA,
    ACTIONS(9138), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138363] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9031), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9031), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138547] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9140), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8290), 1,
      anon_sym_AMP,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6612), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138713] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9142), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138805] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8290), 1,
      anon_sym_AMP,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6543), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8450), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN2,
    ACTIONS(6490), 1,
      anon_sym_LBRACK,
    ACTIONS(4078), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4070), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      anon_sym_STAR,
    ACTIONS(8306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6601), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8450), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8290), 1,
      anon_sym_AMP,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6617), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6913), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139073] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6858), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139133] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9144), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139227] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6891), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139287] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(2529), 1,
      sym_attribute_specifier,
    STATE(5353), 1,
      sym_field_declaration_list,
    STATE(7126), 1,
      sym_virtual_specifier,
    STATE(7965), 1,
      sym_base_class_clause,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5706), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5704), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [139349] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9146), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139443] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9148), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139537] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    ACTIONS(9150), 1,
      anon_sym_COLON,
    ACTIONS(9152), 1,
      anon_sym_LBRACE,
    STATE(4836), 1,
      sym__enum_base_clause,
    STATE(4992), 1,
      sym_enumerator_list,
    STATE(5114), 1,
      sym_attribute_specifier,
    ACTIONS(6154), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6156), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [139597] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7314), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139685] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8904), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139777] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7276), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [139865] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7061), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139957] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140021] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [140107] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [140191] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_PIPE,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [140273] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_PIPE,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [140353] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [140429] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6858), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140503] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140573] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140639] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6858), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6860), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140707] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7314), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [140795] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7318), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140887] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7322), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [140975] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7326), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141067] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(4140), 1,
      anon_sym_STAR,
    ACTIONS(4142), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4144), 1,
      anon_sym_AMP,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8328), 1,
      anon_sym_RPAREN,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6525), 1,
      sym__declarator,
    STATE(6858), 1,
      sym__abstract_declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [141153] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9017), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141245] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7334), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [141333] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [141421] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7888), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141513] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9154), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141607] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    ACTIONS(9150), 1,
      anon_sym_COLON,
    ACTIONS(9152), 1,
      anon_sym_LBRACE,
    STATE(4936), 1,
      sym__enum_base_clause,
    STATE(5059), 1,
      sym_enumerator_list,
    STATE(5127), 1,
      sym_attribute_specifier,
    ACTIONS(6170), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6172), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [141759] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9156), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141853] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6877), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6879), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [141911] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9158), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142005] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9160), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142099] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9162), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6877), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6879), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [142251] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6854), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6856), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [142311] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142405] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6873), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6875), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [142465] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6812), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6814), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [142523] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6854), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6856), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [142583] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7318), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142675] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9033), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142767] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8854), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142861] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6873), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6875), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [142921] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    ACTIONS(8542), 1,
      anon_sym_STAR,
    ACTIONS(8544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6773), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5133), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8239), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142999] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9166), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143093] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9168), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143187] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9170), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143281] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9172), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143373] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9114), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143465] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9174), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143559] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9176), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143653] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9178), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143747] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9180), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143841] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143935] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9043), 1,
      anon_sym_COMMA,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9184), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      anon_sym_STAR,
    ACTIONS(8306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6539), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144101] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7061), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144193] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8774), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144287] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9186), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144381] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    ACTIONS(7857), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP,
    ACTIONS(8818), 1,
      anon_sym_LT_LT,
    ACTIONS(8820), 1,
      anon_sym_GT_GT,
    ACTIONS(8824), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8826), 1,
      anon_sym_bitor,
    ACTIONS(8828), 1,
      anon_sym_bitand,
    STATE(3831), 1,
      sym_argument_list,
    STATE(3833), 1,
      sym_subscript_argument_list,
    ACTIONS(7875), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8798), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8810), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8830), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8814), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7322), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8816), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144469] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(7879), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9188), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144563] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7338), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9190), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4924), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5794), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9192), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5796), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [144791] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144882] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5442), 1,
      sym_ms_call_modifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(5997), 1,
      sym__declarator,
    STATE(7531), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [144963] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(8372), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8374), 1,
      anon_sym_AMP,
    ACTIONS(8378), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2621), 1,
      sym__type_declarator,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(8457), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145036] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9194), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145127] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9196), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145218] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145309] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9198), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145400] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(5063), 1,
      sym_attribute_specifier,
    ACTIONS(6043), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6045), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145542] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(4990), 1,
      sym_attribute_specifier,
    ACTIONS(6051), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6053), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145684] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9200), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145775] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5451), 1,
      sym_ms_call_modifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(5995), 1,
      sym__declarator,
    STATE(7658), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [145856] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6277), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145929] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9202), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146020] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(8906), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146111] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9204), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146202] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8348), 1,
      sym_identifier,
    ACTIONS(8350), 1,
      anon_sym_LPAREN2,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(8354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_AMP,
    ACTIONS(8362), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3346), 1,
      sym__type_declarator,
    STATE(3648), 1,
      sym_pointer_type_declarator,
    STATE(8872), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8360), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3643), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146275] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9206), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146366] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9208), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146457] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    ACTIONS(8400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8402), 1,
      anon_sym_AMP,
    ACTIONS(8406), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(6128), 1,
      sym__type_declarator,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(8586), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146530] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9210), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146621] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(8386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8388), 1,
      anon_sym_AMP,
    ACTIONS(8392), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3259), 1,
      sym__type_declarator,
    STATE(3577), 1,
      sym_pointer_type_declarator,
    STATE(8960), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146694] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    ACTIONS(8400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8402), 1,
      anon_sym_AMP,
    ACTIONS(8406), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(6167), 1,
      sym__type_declarator,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(8586), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146767] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5461), 1,
      sym_ms_call_modifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6009), 1,
      sym__declarator,
    STATE(7257), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [146848] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5164), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146939] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9212), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147030] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9214), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147121] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9216), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147212] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9218), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147303] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9220), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147394] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9222), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(4995), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6089), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147536] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9224), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147627] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5165), 1,
      sym_ref_qualifier,
    STATE(5777), 1,
      sym_trailing_return_type,
    STATE(5988), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5476), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [147714] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5052), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147805] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9226), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147896] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147987] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148078] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9230), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6909), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6911), 30,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [148216] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(8386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8388), 1,
      anon_sym_AMP,
    ACTIONS(8392), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3231), 1,
      sym__type_declarator,
    STATE(3577), 1,
      sym_pointer_type_declarator,
    STATE(8960), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148289] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148380] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9237), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9239), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148471] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9241), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148562] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9243), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148653] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9245), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(5041), 1,
      sym_attribute_specifier,
    ACTIONS(6055), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6057), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [148795] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6306), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148868] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9247), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5798), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9249), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5800), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [149008] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9251), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149099] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9253), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4888), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5784), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9255), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [149239] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6309), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149312] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9257), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149403] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5802), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9249), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5804), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [149543] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5135), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4899), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5778), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9259), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5780), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [149683] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5142), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149774] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9261), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149865] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8406), 1,
      sym_primitive_type,
    ACTIONS(8426), 1,
      anon_sym_STAR,
    ACTIONS(8428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8430), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(6771), 1,
      sym__type_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149938] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2330), 1,
      sym_attribute_specifier,
    STATE(5212), 1,
      sym_field_declaration_list,
    STATE(7198), 1,
      sym_virtual_specifier,
    STATE(8016), 1,
      sym_base_class_clause,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5704), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5706), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [150001] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_requires,
    STATE(5144), 1,
      sym_ref_qualifier,
    STATE(5830), 1,
      sym_trailing_return_type,
    STATE(5986), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5475), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [150088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8243), 1,
      sym_auto,
    ACTIONS(8245), 1,
      anon_sym_decltype,
    STATE(4963), 1,
      sym_decltype_auto,
    ACTIONS(5810), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5812), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150139] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9263), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150230] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9265), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150321] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9267), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150412] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9269), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150503] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8406), 1,
      sym_primitive_type,
    ACTIONS(8426), 1,
      anon_sym_STAR,
    ACTIONS(8428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8430), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(6746), 1,
      sym__type_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150576] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150667] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(5008), 1,
      sym_attribute_specifier,
    ACTIONS(6099), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6101), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150718] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8406), 1,
      sym_primitive_type,
    ACTIONS(8426), 1,
      anon_sym_STAR,
    ACTIONS(8428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8430), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(6794), 1,
      sym__type_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150791] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9271), 1,
      anon_sym_RBRACE,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150882] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8348), 1,
      sym_identifier,
    ACTIONS(8350), 1,
      anon_sym_LPAREN2,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(8354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_AMP,
    ACTIONS(8362), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3333), 1,
      sym__type_declarator,
    STATE(3648), 1,
      sym_pointer_type_declarator,
    STATE(8872), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8360), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3643), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150955] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    ACTIONS(9152), 1,
      anon_sym_LBRACE,
    STATE(4960), 1,
      sym_enumerator_list,
    STATE(5084), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5864), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151010] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(4959), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6097), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151152] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9273), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151243] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9275), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(5045), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6093), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151385] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_STAR,
    ACTIONS(8410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6640), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8432), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151456] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_STAR,
    ACTIONS(8410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6653), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6357), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(5038), 1,
      sym_attribute_specifier,
    ACTIONS(6069), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6071), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151578] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_STAR,
    ACTIONS(8410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6646), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8450), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151740] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_STAR,
    ACTIONS(8410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6655), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6913), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151811] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6811), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5143), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151888] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9277), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(5016), 1,
      sym_attribute_specifier,
    ACTIONS(6073), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6075), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152030] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9279), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152121] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(8386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8388), 1,
      anon_sym_AMP,
    ACTIONS(8392), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3273), 1,
      sym__type_declarator,
    STATE(3577), 1,
      sym_pointer_type_declarator,
    STATE(8960), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152194] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5468), 1,
      sym_ms_call_modifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(5977), 1,
      sym__declarator,
    STATE(7273), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [152275] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5239), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152366] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9281), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152548] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9283), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7342), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [152684] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9285), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152775] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9287), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152866] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9289), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152957] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9291), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153048] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9293), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153139] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9295), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153230] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9297), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153321] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9299), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153412] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9301), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153503] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    ACTIONS(8400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8402), 1,
      anon_sym_AMP,
    ACTIONS(8406), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(6113), 1,
      sym__type_declarator,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(8586), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153576] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_STAR,
    ACTIONS(8617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8619), 1,
      anon_sym_AMP,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6801), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5160), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153653] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4138), 1,
      anon_sym_LPAREN2,
    ACTIONS(4140), 1,
      anon_sym_STAR,
    ACTIONS(4142), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4144), 1,
      anon_sym_AMP,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6750), 1,
      sym__declarator,
    STATE(6943), 1,
      sym__abstract_declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [153736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7975), 1,
      sym_literal_suffix,
    ACTIONS(4078), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4070), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [153783] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(8372), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8374), 1,
      anon_sym_AMP,
    ACTIONS(8378), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2656), 1,
      sym__type_declarator,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(8457), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153856] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9303), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153947] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9305), 1,
      anon_sym_COMMA,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9307), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154129] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9309), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154220] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(7128), 1,
      sym_auto,
    ACTIONS(7130), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_STAR,
    ACTIONS(8617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8619), 1,
      anon_sym_AMP,
    STATE(3048), 1,
      sym_decltype_auto,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6829), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5156), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8239), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154297] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9311), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154388] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9313), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154479] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9315), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9317), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154661] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9319), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154752] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9321), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154843] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8438), 1,
      anon_sym_STAR,
    ACTIONS(8440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6832), 1,
      sym__type_declarator,
    STATE(8642), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154916] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9049), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 1,
      anon_sym_PIPE,
    ACTIONS(9059), 1,
      anon_sym_AMP,
    ACTIONS(9065), 1,
      anon_sym_GT_EQ,
    ACTIONS(9071), 1,
      anon_sym_QMARK,
    ACTIONS(9073), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(9075), 1,
      anon_sym_bitor,
    ACTIONS(9077), 1,
      anon_sym_bitand,
    ACTIONS(9323), 1,
      anon_sym_COLON,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(7904), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9045), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9047), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9053), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9057), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(9067), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9061), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(9063), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155007] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9325), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155098] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9327), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5754), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9249), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [155238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(4942), 1,
      sym_attribute_specifier,
    ACTIONS(6083), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6085), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155289] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9329), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155380] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9331), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155471] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5458), 1,
      sym_ms_call_modifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(5982), 1,
      sym__declarator,
    STATE(7278), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [155552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6899), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [155597] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9333), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155688] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9335), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155779] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5148), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155870] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8438), 1,
      anon_sym_STAR,
    ACTIONS(8440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6860), 1,
      sym__type_declarator,
    STATE(8642), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155943] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9337), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5758), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9249), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [156083] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6842), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5157), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8239), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156160] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9339), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156251] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9341), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156342] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8438), 1,
      anon_sym_STAR,
    ACTIONS(8440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6855), 1,
      sym__type_declarator,
    STATE(8642), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156415] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(8372), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8374), 1,
      anon_sym_AMP,
    ACTIONS(8378), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2642), 1,
      sym__type_declarator,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(8457), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4810), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5762), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9343), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5764), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [156537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4817), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5768), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9345), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5770), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [156586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5774), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9249), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [156635] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5745), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9249), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5747), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [156775] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9347), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(5001), 1,
      sym_attribute_specifier,
    ACTIONS(6106), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6108), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156917] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8348), 1,
      sym_identifier,
    ACTIONS(8350), 1,
      anon_sym_LPAREN2,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(8354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_AMP,
    ACTIONS(8362), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3343), 1,
      sym__type_declarator,
    STATE(3648), 1,
      sym_pointer_type_declarator,
    STATE(8872), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8360), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3643), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156990] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157081] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9349), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157172] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9351), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157263] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9353), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157354] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym_ms_call_modifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__declarator,
    STATE(7438), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157435] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    ACTIONS(9237), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9355), 1,
      anon_sym_RBRACK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157526] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9357), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157617] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9359), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157708] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9361), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157799] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5466), 1,
      sym_ms_call_modifier,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6016), 1,
      sym__declarator,
    STATE(7680), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157880] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9363), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5790), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9249), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [158020] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9365), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158111] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9367), 1,
      anon_sym_RPAREN,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158202] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158293] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9369), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158384] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5045), 1,
      anon_sym_RBRACK,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8864), 1,
      anon_sym_SLASH,
    ACTIONS(8870), 1,
      anon_sym_PIPE,
    ACTIONS(8874), 1,
      anon_sym_AMP,
    ACTIONS(8880), 1,
      anon_sym_GT_EQ,
    ACTIONS(8886), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8890), 1,
      anon_sym_bitor,
    ACTIONS(8892), 1,
      anon_sym_bitand,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8860), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8862), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8866), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8868), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    STATE(5027), 1,
      sym_attribute_specifier,
    ACTIONS(6047), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6049), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158526] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158617] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9373), 1,
      anon_sym_COMMA,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158708] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158799] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9377), 1,
      anon_sym_COMMA,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158890] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9379), 1,
      anon_sym_COMMA,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    ACTIONS(9152), 1,
      anon_sym_LBRACE,
    STATE(4991), 1,
      sym_enumerator_list,
    STATE(5122), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5980), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159036] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9381), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159127] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    ACTIONS(9383), 1,
      anon_sym_SEMI,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5946), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5079), 1,
      sym_attribute_specifier,
    ACTIONS(6051), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6053), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4255), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5894), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159400] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5448), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5954), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159522] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5594), 1,
      sym__function_attributes_end,
    STATE(5777), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5243), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [159602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6987), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6979), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5910), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7027), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7029), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159778] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5453), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6629), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159856] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5454), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6572), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7013), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [159978] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5443), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6610), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [160056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7019), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7021), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160100] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6579), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [160178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7105), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9385), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9387), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5563), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5565), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9389), 1,
      anon_sym_COMMA,
    ACTIONS(9391), 1,
      anon_sym_RBRACK,
    ACTIONS(4078), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4070), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6004), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5129), 1,
      sym_attribute_specifier,
    ACTIONS(6043), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6045), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160412] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5462), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6603), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [160490] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5494), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6608), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [160568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5882), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7009), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7025), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160700] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5467), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6616), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [160778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7017), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5950), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5930), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5874), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5794), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5796), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5926), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5966), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7039), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7041), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7043), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7045), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6000), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7053), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5130), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6097), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5125), 1,
      sym_attribute_specifier,
    ACTIONS(6106), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6108), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5135), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6089), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161412] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5167), 1,
      sym_ref_qualifier,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6002), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5502), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [161498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_SEMI,
    ACTIONS(5529), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_LPAREN2,
    ACTIONS(6490), 1,
      anon_sym_LBRACK,
    ACTIONS(4078), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4070), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161550] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9394), 1,
      anon_sym_requires,
    STATE(5172), 1,
      sym_ref_qualifier,
    STATE(6069), 1,
      sym__function_attributes_end,
    STATE(6264), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5506), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [161636] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    ACTIONS(9397), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym__enum_base_clause,
    STATE(4832), 1,
      sym_enumerator_list,
    STATE(5064), 1,
      sym_attribute_specifier,
    ACTIONS(6154), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6156), 26,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5342), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2163), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161738] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    ACTIONS(9397), 1,
      anon_sym_COLON,
    STATE(4654), 1,
      sym__enum_base_clause,
    STATE(4841), 1,
      sym_enumerator_list,
    STATE(5026), 1,
      sym_attribute_specifier,
    ACTIONS(6170), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6172), 26,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7093), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7083), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7085), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7089), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5934), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5140), 1,
      sym_attribute_specifier,
    ACTIONS(6047), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6049), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5124), 1,
      sym_attribute_specifier,
    ACTIONS(6099), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6101), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5141), 1,
      sym_attribute_specifier,
    ACTIONS(6055), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6057), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5918), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5856), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5936), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5938), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5860), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_SEMI,
    ACTIONS(7350), 1,
      sym_literal_suffix,
    ACTIONS(4078), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4070), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [162346] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5168), 1,
      sym_ref_qualifier,
    STATE(5901), 1,
      sym_trailing_return_type,
    STATE(6006), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5496), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [162432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7073), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [162476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5956), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5958), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7097), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [162564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7101), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [162608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5710), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5712), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    STATE(5086), 1,
      sym_decltype_auto,
    ACTIONS(5810), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5812), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7065), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [162748] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_STAR,
    ACTIONS(8474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8476), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6696), 1,
      sym__abstract_declarator,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8450), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5940), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5942), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5090), 1,
      sym_attribute_specifier,
    ACTIONS(6069), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6071), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5093), 1,
      sym_attribute_specifier,
    ACTIONS(6073), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6075), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162962] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5446), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6534), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [163040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9387), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5622), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [163086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5712), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5890), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5930), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5906), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7069), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [163306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(2167), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163350] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6561), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [163428] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5474), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6571), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [163506] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(8554), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8706), 1,
      anon_sym_SLASH,
    ACTIONS(8708), 1,
      anon_sym_PIPE,
    ACTIONS(8712), 1,
      anon_sym_AMP,
    ACTIONS(8718), 1,
      anon_sym_GT_EQ,
    ACTIONS(8722), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8724), 1,
      anon_sym_bitor,
    ACTIONS(8726), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_QMARK,
    STATE(2899), 1,
      sym_argument_list,
    STATE(2921), 1,
      sym_subscript_argument_list,
    ACTIONS(6820), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8704), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8710), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8720), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8734), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8714), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8716), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163594] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_STAR,
    ACTIONS(8474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8476), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6685), 1,
      sym__abstract_declarator,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163664] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5478), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6550), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [163742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6923), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [163786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6927), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [163830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5960), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5962), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5994), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5996), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163918] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5482), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6519), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [163996] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5479), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6596), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [164074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6995), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [164118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6991), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [164162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5918), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164206] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_STAR,
    ACTIONS(8474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8476), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6731), 1,
      sym__abstract_declarator,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6913), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164276] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5449), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6522), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [164354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6931), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [164398] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5481), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6526), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [164476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6935), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [164520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5868), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5870), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164564] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5444), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [164642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6955), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [164686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5922), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164730] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5470), 1,
      sym_ms_call_modifier,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6742), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [164808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6943), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [164852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7005), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [164896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5886), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164940] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5493), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7079), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7081), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [165062] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5437), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(2175), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6965), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [165228] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(5575), 1,
      sym__function_attributes_end,
    STATE(5734), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5245), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [165308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5852), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6971), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [165396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5113), 1,
      sym_attribute_specifier,
    ACTIONS(6083), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6085), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165446] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5438), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6589), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(7061), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [165568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 4,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5808), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4070), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [165656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym___attribute__,
    ACTIONS(8926), 1,
      anon_sym___attribute,
    STATE(5121), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6093), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5712), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165750] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(5588), 1,
      sym__function_attributes_end,
    STATE(5748), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5330), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [165830] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_requires,
    STATE(5579), 1,
      sym__function_attributes_end,
    STATE(5830), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5329), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [165910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5898), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5902), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165998] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5170), 1,
      sym_ref_qualifier,
    STATE(6063), 1,
      sym__function_attributes_end,
    STATE(6261), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5503), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [166084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5914), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_STAR,
    ACTIONS(8474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8476), 1,
      anon_sym_AMP,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6683), 1,
      sym__abstract_declarator,
    ACTIONS(7614), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8432), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7610), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166198] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5445), 1,
      sym_ms_call_modifier,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6528), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [166276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6975), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [166320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5930), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5950), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(9424), 1,
      anon_sym_COLON,
    STATE(2507), 1,
      sym_attribute_specifier,
    STATE(5175), 1,
      sym__enum_base_clause,
    STATE(5241), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6172), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6170), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [166462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5966), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5914), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166548] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8253), 1,
      anon_sym_COLON,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    ACTIONS(8694), 1,
      anon_sym_STAR,
    ACTIONS(8696), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8698), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6941), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5918), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(9424), 1,
      anon_sym_COLON,
    STATE(2514), 1,
      sym_attribute_specifier,
    STATE(5174), 1,
      sym__enum_base_clause,
    STATE(5352), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6156), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6154), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [166721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5930), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5934), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5936), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5938), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166850] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5208), 1,
      sym_ref_qualifier,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6259), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5510), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [166935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5954), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166978] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 1,
      anon_sym___attribute__,
    ACTIONS(6509), 1,
      anon_sym___attribute,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(9426), 1,
      anon_sym_COLON,
    STATE(2507), 1,
      sym_attribute_specifier,
    STATE(2716), 1,
      sym__enum_base_clause,
    STATE(2771), 1,
      sym_enumerator_list,
    ACTIONS(6170), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6172), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [167035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(6000), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5712), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5882), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_SEMI,
    ACTIONS(4078), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4070), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167209] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
    STATE(4909), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4068), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4076), 24,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [167262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5946), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5868), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5870), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167348] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6760), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167417] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_STAR,
    ACTIONS(8550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8552), 1,
      anon_sym_AMP,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6740), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5906), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5930), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(2167), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167615] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9428), 1,
      sym_identifier,
    ACTIONS(9430), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9434), 1,
      anon_sym_EQ,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5653), 1,
      sym_ms_declspec_modifier,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(9432), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5654), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5431), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [167706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5930), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167749] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6226), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(2175), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167861] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5236), 1,
      sym_ref_qualifier,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6250), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5509), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [167946] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6185), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168015] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8239), 1,
      anon_sym_COLON,
    ACTIONS(8269), 1,
      sym_auto,
    ACTIONS(8271), 1,
      anon_sym_decltype,
    ACTIONS(8694), 1,
      anon_sym_STAR,
    ACTIONS(8696), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8698), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(2502), 1,
      sym_decltype_auto,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6965), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5186), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5918), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168133] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym_identifier,
    ACTIONS(9442), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5183), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5607), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5598), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9439), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 6,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5602), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168192] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(5181), 1,
      sym_ref_qualifier,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6200), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5519), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [168277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5890), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168320] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 1,
      anon_sym___attribute__,
    ACTIONS(6509), 1,
      anon_sym___attribute,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(9426), 1,
      anon_sym_COLON,
    STATE(2514), 1,
      sym_attribute_specifier,
    STATE(2671), 1,
      sym__enum_base_clause,
    STATE(2765), 1,
      sym_enumerator_list,
    ACTIONS(6154), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6156), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [168377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8300), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8302), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168420] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    ACTIONS(9448), 1,
      anon_sym_COLON,
    STATE(2863), 1,
      sym__enum_base_clause,
    STATE(2938), 1,
      sym_enumerator_list,
    STATE(2996), 1,
      sym_attribute_specifier,
    ACTIONS(6170), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6172), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168477] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5225), 1,
      sym_ref_qualifier,
    STATE(5901), 1,
      sym_trailing_return_type,
    STATE(6263), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5513), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [168562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8332), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8334), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym___extension__,
      anon_sym___attribute__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168605] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6202), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5894), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5902), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168760] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_STAR,
    ACTIONS(8550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8552), 1,
      anon_sym_AMP,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6761), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6913), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168829] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(5184), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5690), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5688), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [168880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5926), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5458), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5874), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5712), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5886), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5852), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5910), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5940), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5942), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5956), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5958), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169267] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9450), 1,
      sym_identifier,
    ACTIONS(9456), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5206), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5558), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5104), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5549), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9453), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 6,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5553), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5960), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5962), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6784), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5898), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(6004), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5794), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5796), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6791), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    ACTIONS(4066), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(4064), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169636] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8542), 1,
      anon_sym_STAR,
    ACTIONS(8544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6769), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8432), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169705] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8542), 1,
      anon_sym_STAR,
    ACTIONS(8544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6734), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5856), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5860), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169860] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym___attribute__,
    ACTIONS(6763), 1,
      anon_sym___attribute,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    ACTIONS(9448), 1,
      anon_sym_COLON,
    STATE(2862), 1,
      sym__enum_base_clause,
    STATE(2979), 1,
      sym_enumerator_list,
    STATE(3057), 1,
      sym_attribute_specifier,
    ACTIONS(6154), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6156), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8542), 1,
      anon_sym_STAR,
    ACTIONS(8544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6747), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8450), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169986] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8542), 1,
      anon_sym_STAR,
    ACTIONS(8544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6793), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6913), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5994), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5996), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [170098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5922), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [170141] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1866), 1,
      anon_sym_enum,
    ACTIONS(1868), 1,
      anon_sym_class,
    ACTIONS(1870), 1,
      anon_sym_struct,
    ACTIONS(1872), 1,
      anon_sym_union,
    ACTIONS(1896), 1,
      anon_sym_typename,
    ACTIONS(2721), 1,
      sym_primitive_type,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9430), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9434), 1,
      anon_sym_EQ,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2214), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2292), 1,
      sym_type_specifier,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    ACTIONS(9432), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [170225] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6804), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8450), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170293] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(5748), 1,
      sym_trailing_return_type,
    STATE(5984), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5484), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [170371] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(9461), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      sym_attribute_specifier,
    STATE(5154), 1,
      sym__enum_base_clause,
    STATE(5192), 1,
      sym_enumerator_list,
    ACTIONS(6154), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6156), 24,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [170427] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(9461), 1,
      anon_sym_COLON,
    STATE(2337), 1,
      sym_attribute_specifier,
    STATE(5162), 1,
      sym__enum_base_clause,
    STATE(5185), 1,
      sym_enumerator_list,
    ACTIONS(6170), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6172), 24,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [170483] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_requires,
    STATE(5368), 1,
      sym_ref_qualifier,
    STATE(6130), 1,
      sym__function_attributes_end,
    STATE(6175), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5536), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [170567] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5301), 1,
      sym_ref_qualifier,
    STATE(6214), 1,
      sym_trailing_return_type,
    STATE(6303), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5522), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [170651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4924), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5710), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9192), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [170697] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5321), 1,
      sym_ref_qualifier,
    STATE(6110), 1,
      sym__function_attributes_end,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5535), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [170781] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5260), 1,
      sym_ref_qualifier,
    STATE(6118), 1,
      sym__function_attributes_end,
    STATE(6214), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5537), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [170865] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(5314), 1,
      sym_ref_qualifier,
    STATE(6080), 1,
      sym__function_attributes_end,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5544), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [170949] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_requires,
    STATE(5304), 1,
      sym_ref_qualifier,
    STATE(6175), 1,
      sym_trailing_return_type,
    STATE(6311), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5532), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [171033] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2347), 1,
      sym_attribute_specifier,
    STATE(5187), 1,
      sym_enumerator_list,
    ACTIONS(5862), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5864), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [171085] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5777), 1,
      sym_trailing_return_type,
    STATE(5988), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5476), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [171163] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_STAR,
    ACTIONS(8617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8619), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6797), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8432), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171231] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6843), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8432), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171299] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6828), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_STAR,
    ACTIONS(8617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8619), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6836), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6357), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171435] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_STAR,
    ACTIONS(8617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8619), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6816), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8450), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171503] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_STAR,
    ACTIONS(8617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8619), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6838), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6913), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171571] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2307), 1,
      sym_attribute_specifier,
    STATE(5196), 1,
      sym_enumerator_list,
    ACTIONS(5978), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5980), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [171623] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_requires,
    STATE(5830), 1,
      sym_trailing_return_type,
    STATE(5986), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5475), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [171701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_const,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_alignas_qualifier,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6830), 1,
      sym__abstract_declarator,
    ACTIONS(8298), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6913), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8292), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171769] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(5734), 1,
      sym_trailing_return_type,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5441), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [171847] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6063), 1,
      sym__function_attributes_end,
    STATE(6261), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5503), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [171924] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(5943), 1,
      sym_trailing_return_type,
    STATE(6003), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5507), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [172001] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    STATE(6007), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5495), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [172078] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9394), 1,
      anon_sym_requires,
    STATE(6069), 1,
      sym__function_attributes_end,
    STATE(6264), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5506), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [172155] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6057), 1,
      sym__function_attributes_end,
    STATE(6176), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5498), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [172232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LPAREN2,
    STATE(2744), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3830), 1,
      sym_argument_list,
    STATE(5030), 1,
      sym_initializer_list,
    ACTIONS(5710), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [172285] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9475), 1,
      anon_sym_requires,
    STATE(6046), 1,
      sym__function_attributes_end,
    STATE(6239), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5497), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [172362] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5901), 1,
      sym_trailing_return_type,
    STATE(6006), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5496), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [172439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    STATE(2500), 1,
      sym_attribute_specifier,
    STATE(5355), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5864), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5862), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [172488] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    STATE(2528), 1,
      sym_attribute_specifier,
    STATE(5358), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5980), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5978), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [172537] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6002), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5502), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [172614] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6357), 1,
      anon_sym_COLON,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8694), 1,
      anon_sym_STAR,
    ACTIONS(8696), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8698), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6942), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172680] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8068), 1,
      sym_primitive_type,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9478), 1,
      sym_identifier,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9484), 1,
      anon_sym_enum,
    ACTIONS(9486), 1,
      anon_sym_class,
    ACTIONS(9488), 1,
      anon_sym_struct,
    ACTIONS(9490), 1,
      anon_sym_union,
    ACTIONS(9492), 1,
      anon_sym_typename,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4278), 1,
      sym_type_specifier,
    STATE(5432), 1,
      sym_argument_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [172760] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6200), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5519), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [172836] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8068), 1,
      sym_primitive_type,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9478), 1,
      sym_identifier,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9484), 1,
      anon_sym_enum,
    ACTIONS(9486), 1,
      anon_sym_class,
    ACTIONS(9488), 1,
      anon_sym_struct,
    ACTIONS(9490), 1,
      anon_sym_union,
    ACTIONS(9492), 1,
      anon_sym_typename,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4167), 1,
      sym_type_specifier,
    STATE(5407), 1,
      sym_argument_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [172916] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9494), 1,
      anon_sym_requires,
    STATE(6090), 1,
      sym_trailing_return_type,
    STATE(6172), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5521), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [172992] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9497), 1,
      sym_identifier,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9503), 1,
      sym_primitive_type,
    ACTIONS(9505), 1,
      anon_sym_enum,
    ACTIONS(9507), 1,
      anon_sym_class,
    ACTIONS(9509), 1,
      anon_sym_struct,
    ACTIONS(9511), 1,
      anon_sym_union,
    ACTIONS(9513), 1,
      sym_auto,
    ACTIONS(9515), 1,
      anon_sym_decltype,
    ACTIONS(9517), 1,
      anon_sym_typename,
    STATE(2372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3264), 1,
      sym_type_specifier,
    STATE(3699), 1,
      sym_decltype_auto,
    STATE(3703), 1,
      sym_qualified_type_identifier,
    STATE(5391), 1,
      sym_argument_list,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3603), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3700), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [173072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5776), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9519), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [173116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5747), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9522), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5745), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [173160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2315), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6093), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173206] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      anon_sym_COLON,
    ACTIONS(8694), 1,
      anon_sym_STAR,
    ACTIONS(8696), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8698), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6924), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173272] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2318), 1,
      sym_attribute_specifier,
    ACTIONS(6043), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6045), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173318] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9525), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(5455), 1,
      sym_ref_qualifier,
    STATE(6380), 1,
      sym__function_attributes_end,
    STATE(6624), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8950), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5558), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [173400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2317), 1,
      sym_attribute_specifier,
    ACTIONS(6083), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6085), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2348), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6097), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173492] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2308), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6089), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2331), 1,
      sym_attribute_specifier,
    ACTIONS(6099), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6101), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173584] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8758), 1,
      sym_identifier,
    ACTIONS(8762), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(4907), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5598), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(5600), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(8760), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2329), 1,
      sym_attribute_specifier,
    ACTIONS(6051), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6053), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173686] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8068), 1,
      sym_primitive_type,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9478), 1,
      sym_identifier,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9484), 1,
      anon_sym_enum,
    ACTIONS(9486), 1,
      anon_sym_class,
    ACTIONS(9488), 1,
      anon_sym_struct,
    ACTIONS(9490), 1,
      anon_sym_union,
    ACTIONS(9492), 1,
      anon_sym_typename,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4187), 1,
      sym_type_specifier,
    STATE(5382), 1,
      sym_argument_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [173766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2346), 1,
      sym_attribute_specifier,
    ACTIONS(6047), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6049), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2325), 1,
      sym_attribute_specifier,
    ACTIONS(6055), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6057), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173858] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8742), 1,
      sym_identifier,
    ACTIONS(8744), 1,
      sym_primitive_type,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(5486), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5193), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5549), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(5551), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(9531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173914] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8068), 1,
      sym_primitive_type,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9478), 1,
      sym_identifier,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9484), 1,
      anon_sym_enum,
    ACTIONS(9486), 1,
      anon_sym_class,
    ACTIONS(9488), 1,
      anon_sym_struct,
    ACTIONS(9490), 1,
      anon_sym_union,
    ACTIONS(9492), 1,
      anon_sym_typename,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4279), 1,
      sym_type_specifier,
    STATE(5372), 1,
      sym_argument_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [173994] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8364), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(5184), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4076), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9533), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4068), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174044] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6250), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5509), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [174120] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9541), 1,
      sym_primitive_type,
    ACTIONS(9543), 1,
      anon_sym_enum,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9555), 1,
      anon_sym_typename,
    STATE(2260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2560), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(5409), 1,
      sym_argument_list,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [174200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5230), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5780), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9557), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5778), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174244] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(6913), 1,
      anon_sym_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8694), 1,
      anon_sym_STAR,
    ACTIONS(8696), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8698), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6948), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5210), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5796), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5794), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5728), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9560), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5725), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174396] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9564), 1,
      sym_identifier,
    ACTIONS(9568), 1,
      sym_primitive_type,
    ACTIONS(9570), 1,
      anon_sym_enum,
    ACTIONS(9572), 1,
      anon_sym_typename,
    STATE(2254), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2562), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(5417), 1,
      sym_argument_list,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [174476] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(5943), 1,
      sym_trailing_return_type,
    STATE(6183), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5516), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [174552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5221), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5764), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9574), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5762), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5792), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9577), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [174640] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym_auto,
    ACTIONS(6332), 1,
      anon_sym_decltype,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2502), 1,
      sym_decltype_auto,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5447), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9582), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9580), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2311), 1,
      sym_attribute_specifier,
    ACTIONS(6069), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6071), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174740] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9525), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5465), 1,
      sym_ref_qualifier,
    STATE(6373), 1,
      sym__function_attributes_end,
    STATE(6582), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8950), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5554), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [174822] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(8134), 1,
      sym_primitive_type,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9584), 1,
      sym_identifier,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      anon_sym_enum,
    ACTIONS(9592), 1,
      anon_sym_class,
    ACTIONS(9594), 1,
      anon_sym_struct,
    ACTIONS(9596), 1,
      anon_sym_union,
    ACTIONS(9598), 1,
      anon_sym_typename,
    STATE(2622), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4343), 1,
      sym_type_specifier,
    STATE(5375), 1,
      sym_argument_list,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [174902] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9564), 1,
      sym_identifier,
    ACTIONS(9568), 1,
      sym_primitive_type,
    ACTIONS(9570), 1,
      anon_sym_enum,
    ACTIONS(9572), 1,
      anon_sym_typename,
    STATE(2254), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2560), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(5416), 1,
      sym_argument_list,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [174982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5756), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9600), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [175026] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9603), 1,
      sym_identifier,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9609), 1,
      sym_primitive_type,
    ACTIONS(9611), 1,
      anon_sym_enum,
    ACTIONS(9613), 1,
      anon_sym_class,
    ACTIONS(9615), 1,
      anon_sym_struct,
    ACTIONS(9617), 1,
      anon_sym_union,
    ACTIONS(9619), 1,
      sym_auto,
    ACTIONS(9621), 1,
      anon_sym_decltype,
    ACTIONS(9623), 1,
      anon_sym_typename,
    STATE(2340), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3137), 1,
      sym_type_specifier,
    STATE(3414), 1,
      sym_decltype_auto,
    STATE(3417), 1,
      sym_qualified_type_identifier,
    STATE(5399), 1,
      sym_argument_list,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3362), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3416), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2320), 1,
      sym_attribute_specifier,
    ACTIONS(6073), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6075), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [175152] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(6365), 1,
      anon_sym_const,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_COLON,
    ACTIONS(8694), 1,
      anon_sym_STAR,
    ACTIONS(8696), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8698), 1,
      anon_sym_AMP,
    STATE(2458), 1,
      sym_alignas_qualifier,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6993), 1,
      sym__abstract_declarator,
    ACTIONS(8265), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8263), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175218] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(5463), 1,
      sym_ref_qualifier,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6456), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8950), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5557), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [175300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5800), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9625), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5798), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [175344] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9628), 1,
      sym_identifier,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9634), 1,
      sym_primitive_type,
    ACTIONS(9636), 1,
      anon_sym_enum,
    ACTIONS(9638), 1,
      anon_sym_class,
    ACTIONS(9640), 1,
      anon_sym_struct,
    ACTIONS(9642), 1,
      anon_sym_union,
    ACTIONS(9644), 1,
      sym_auto,
    ACTIONS(9646), 1,
      anon_sym_decltype,
    ACTIONS(9648), 1,
      anon_sym_typename,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4033), 1,
      sym_type_specifier,
    STATE(4303), 1,
      sym_qualified_type_identifier,
    STATE(4304), 1,
      sym_decltype_auto,
    STATE(5404), 1,
      sym_argument_list,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(4246), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4286), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175424] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9628), 1,
      sym_identifier,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9634), 1,
      sym_primitive_type,
    ACTIONS(9636), 1,
      anon_sym_enum,
    ACTIONS(9638), 1,
      anon_sym_class,
    ACTIONS(9640), 1,
      anon_sym_struct,
    ACTIONS(9642), 1,
      anon_sym_union,
    ACTIONS(9644), 1,
      sym_auto,
    ACTIONS(9646), 1,
      anon_sym_decltype,
    ACTIONS(9648), 1,
      anon_sym_typename,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4028), 1,
      sym_type_specifier,
    STATE(4303), 1,
      sym_qualified_type_identifier,
    STATE(4304), 1,
      sym_decltype_auto,
    STATE(5403), 1,
      sym_argument_list,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(4246), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4286), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175504] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(8134), 1,
      sym_primitive_type,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9584), 1,
      sym_identifier,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      anon_sym_enum,
    ACTIONS(9592), 1,
      anon_sym_class,
    ACTIONS(9594), 1,
      anon_sym_struct,
    ACTIONS(9596), 1,
      anon_sym_union,
    ACTIONS(9598), 1,
      anon_sym_typename,
    STATE(2622), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4349), 1,
      sym_type_specifier,
    STATE(5429), 1,
      sym_argument_list,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    STATE(6207), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5514), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [175660] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9650), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9656), 1,
      sym_primitive_type,
    ACTIONS(9658), 1,
      anon_sym_enum,
    ACTIONS(9660), 1,
      anon_sym_class,
    ACTIONS(9662), 1,
      anon_sym_struct,
    ACTIONS(9664), 1,
      anon_sym_union,
    ACTIONS(9666), 1,
      sym_auto,
    ACTIONS(9668), 1,
      anon_sym_decltype,
    ACTIONS(9670), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3092), 1,
      sym_type_specifier,
    STATE(3348), 1,
      sym_qualified_type_identifier,
    STATE(3376), 1,
      sym_decltype_auto,
    STATE(5425), 1,
      sym_argument_list,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3283), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9654), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3377), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5804), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [175784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5901), 1,
      sym_trailing_return_type,
    STATE(6263), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5513), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [175860] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7186), 1,
      anon_sym_AMP,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5480), 1,
      sym_ref_qualifier,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6450), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8950), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5556), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [175942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5760), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [175986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5216), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5786), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9678), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [176030] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9497), 1,
      sym_identifier,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9503), 1,
      sym_primitive_type,
    ACTIONS(9505), 1,
      anon_sym_enum,
    ACTIONS(9507), 1,
      anon_sym_class,
    ACTIONS(9509), 1,
      anon_sym_struct,
    ACTIONS(9511), 1,
      anon_sym_union,
    ACTIONS(9513), 1,
      sym_auto,
    ACTIONS(9515), 1,
      anon_sym_decltype,
    ACTIONS(9517), 1,
      anon_sym_typename,
    STATE(2372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3288), 1,
      sym_type_specifier,
    STATE(3699), 1,
      sym_decltype_auto,
    STATE(3703), 1,
      sym_qualified_type_identifier,
    STATE(5390), 1,
      sym_argument_list,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3603), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3700), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176110] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9650), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9656), 1,
      sym_primitive_type,
    ACTIONS(9658), 1,
      anon_sym_enum,
    ACTIONS(9660), 1,
      anon_sym_class,
    ACTIONS(9662), 1,
      anon_sym_struct,
    ACTIONS(9664), 1,
      anon_sym_union,
    ACTIONS(9666), 1,
      sym_auto,
    ACTIONS(9668), 1,
      anon_sym_decltype,
    ACTIONS(9670), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3097), 1,
      sym_type_specifier,
    STATE(3348), 1,
      sym_qualified_type_identifier,
    STATE(3376), 1,
      sym_decltype_auto,
    STATE(5370), 1,
      sym_argument_list,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3283), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9654), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3377), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5227), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5770), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9681), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [176234] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9603), 1,
      sym_identifier,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9609), 1,
      sym_primitive_type,
    ACTIONS(9611), 1,
      anon_sym_enum,
    ACTIONS(9613), 1,
      anon_sym_class,
    ACTIONS(9615), 1,
      anon_sym_struct,
    ACTIONS(9617), 1,
      anon_sym_union,
    ACTIONS(9619), 1,
      sym_auto,
    ACTIONS(9621), 1,
      anon_sym_decltype,
    ACTIONS(9623), 1,
      anon_sym_typename,
    STATE(2340), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3120), 1,
      sym_type_specifier,
    STATE(3414), 1,
      sym_decltype_auto,
    STATE(3417), 1,
      sym_qualified_type_identifier,
    STATE(5398), 1,
      sym_argument_list,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3362), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3416), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176314] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6139), 1,
      sym_trailing_return_type,
    STATE(6184), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5520), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [176390] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9541), 1,
      sym_primitive_type,
    ACTIONS(9543), 1,
      anon_sym_enum,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9555), 1,
      anon_sym_typename,
    STATE(2260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2562), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(5410), 1,
      sym_argument_list,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(2336), 1,
      sym_attribute_specifier,
    ACTIONS(6106), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6108), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [176516] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6259), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5510), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [176592] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      sym_auto,
    ACTIONS(6332), 1,
      anon_sym_decltype,
    STATE(1334), 1,
      sym_alignas_qualifier,
    STATE(2502), 1,
      sym_decltype_auto,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9686), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9684), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2527), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6093), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6091), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [176689] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(6131), 1,
      anon_sym_LPAREN2,
    STATE(2575), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3746), 1,
      sym_argument_list,
    STATE(3747), 1,
      sym_initializer_list,
    ACTIONS(5710), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6451), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [176740] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(5575), 1,
      sym__function_attributes_end,
    STATE(5734), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [176809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(5714), 1,
      anon_sym_LPAREN2,
    STATE(2575), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2900), 1,
      sym_argument_list,
    STATE(4090), 1,
      sym_initializer_list,
    ACTIONS(5710), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6451), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [176860] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(9690), 1,
      anon_sym___attribute__,
    ACTIONS(9693), 1,
      anon_sym___attribute,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(5576), 1,
      sym__function_attributes_end,
    STATE(5840), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [176929] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5594), 1,
      sym__function_attributes_end,
    STATE(5777), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [176998] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2352), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177079] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2352), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177160] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2352), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177241] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5727), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5728), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5434), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177322] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5727), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5728), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5434), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177403] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5727), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5728), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5434), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177484] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6118), 1,
      sym__function_attributes_end,
    STATE(6214), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5537), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [177559] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2520), 1,
      sym__class_declaration,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(5677), 1,
      sym_ms_declspec_modifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5683), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5388), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177640] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2539), 1,
      sym__class_declaration,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(5677), 1,
      sym_ms_declspec_modifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5683), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5388), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177721] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2542), 1,
      sym__class_declaration,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(5677), 1,
      sym_ms_declspec_modifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5683), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5388), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177802] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3139), 1,
      sym_field_declaration_list,
    STATE(3324), 1,
      sym__class_declaration,
    STATE(3325), 1,
      sym__class_declaration_item,
    STATE(5638), 1,
      sym_ms_declspec_modifier,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym_virtual_specifier,
    STATE(8031), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5647), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5406), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177883] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3139), 1,
      sym_field_declaration_list,
    STATE(3325), 1,
      sym__class_declaration_item,
    STATE(3329), 1,
      sym__class_declaration,
    STATE(5638), 1,
      sym_ms_declspec_modifier,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym_virtual_specifier,
    STATE(8031), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5647), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5406), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177964] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3139), 1,
      sym_field_declaration_list,
    STATE(3325), 1,
      sym__class_declaration_item,
    STATE(3339), 1,
      sym__class_declaration,
    STATE(5638), 1,
      sym_ms_declspec_modifier,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym_virtual_specifier,
    STATE(8031), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5647), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5406), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178045] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6119), 1,
      sym__function_attributes_end,
    STATE(6241), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5539), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [178120] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_field_declaration_list,
    STATE(2688), 1,
      sym__class_declaration,
    STATE(2689), 1,
      sym__class_declaration_item,
    STATE(5666), 1,
      sym_ms_declspec_modifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7087), 1,
      sym_virtual_specifier,
    STATE(7981), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5422), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178201] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_field_declaration_list,
    STATE(2658), 1,
      sym__class_declaration,
    STATE(2689), 1,
      sym__class_declaration_item,
    STATE(5666), 1,
      sym_ms_declspec_modifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7087), 1,
      sym_virtual_specifier,
    STATE(7981), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5422), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178282] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_field_declaration_list,
    STATE(2689), 1,
      sym__class_declaration_item,
    STATE(2691), 1,
      sym__class_declaration,
    STATE(5666), 1,
      sym_ms_declspec_modifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7087), 1,
      sym_virtual_specifier,
    STATE(7981), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5422), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178363] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(2982), 1,
      sym__class_declaration_item,
    STATE(3037), 1,
      sym__class_declaration,
    STATE(5697), 1,
      sym_ms_declspec_modifier,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5698), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5379), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178444] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(2982), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym__class_declaration,
    STATE(5697), 1,
      sym_ms_declspec_modifier,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5698), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5379), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178525] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(2982), 1,
      sym__class_declaration_item,
    STATE(3044), 1,
      sym__class_declaration,
    STATE(5697), 1,
      sym_ms_declspec_modifier,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5698), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5379), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178606] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178687] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(2982), 1,
      sym__class_declaration_item,
    STATE(3037), 1,
      sym__class_declaration,
    STATE(5722), 1,
      sym_ms_declspec_modifier,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5394), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178768] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(2982), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym__class_declaration,
    STATE(5722), 1,
      sym_ms_declspec_modifier,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5394), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178849] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(2982), 1,
      sym__class_declaration_item,
    STATE(3044), 1,
      sym__class_declaration,
    STATE(5722), 1,
      sym_ms_declspec_modifier,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5723), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5394), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [178930] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179011] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3350), 1,
      sym_field_declaration_list,
    STATE(3707), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(5625), 1,
      sym_ms_declspec_modifier,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7131), 1,
      sym_virtual_specifier,
    STATE(7726), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5626), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5401), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179092] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3350), 1,
      sym_field_declaration_list,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3710), 1,
      sym__class_declaration,
    STATE(5625), 1,
      sym_ms_declspec_modifier,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7131), 1,
      sym_virtual_specifier,
    STATE(7726), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5626), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5401), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179173] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3350), 1,
      sym_field_declaration_list,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3711), 1,
      sym__class_declaration,
    STATE(5625), 1,
      sym_ms_declspec_modifier,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7131), 1,
      sym_virtual_specifier,
    STATE(7726), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5626), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5401), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179254] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179335] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179416] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179497] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4944), 1,
      sym__class_declaration,
    STATE(4948), 1,
      sym__class_declaration_item,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5415), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179578] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4948), 1,
      sym__class_declaration_item,
    STATE(4972), 1,
      sym__class_declaration,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5415), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179659] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4948), 1,
      sym__class_declaration_item,
    STATE(4973), 1,
      sym__class_declaration,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5415), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179740] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_field_declaration_list,
    STATE(3446), 1,
      sym__class_declaration,
    STATE(3450), 1,
      sym__class_declaration_item,
    STATE(5630), 1,
      sym_ms_declspec_modifier,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_virtual_specifier,
    STATE(7994), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5631), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5405), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179821] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_field_declaration_list,
    STATE(3450), 1,
      sym__class_declaration_item,
    STATE(3460), 1,
      sym__class_declaration,
    STATE(5630), 1,
      sym_ms_declspec_modifier,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_virtual_specifier,
    STATE(7994), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5631), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5405), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179902] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_field_declaration_list,
    STATE(3450), 1,
      sym__class_declaration_item,
    STATE(3462), 1,
      sym__class_declaration,
    STATE(5630), 1,
      sym_ms_declspec_modifier,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_virtual_specifier,
    STATE(7994), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5631), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5405), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [179983] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4940), 1,
      sym_field_declaration_list,
    STATE(5082), 1,
      sym__class_declaration,
    STATE(5123), 1,
      sym__class_declaration_item,
    STATE(5639), 1,
      sym_ms_declspec_modifier,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7698), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5412), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180064] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4940), 1,
      sym_field_declaration_list,
    STATE(5117), 1,
      sym__class_declaration,
    STATE(5123), 1,
      sym__class_declaration_item,
    STATE(5639), 1,
      sym_ms_declspec_modifier,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7698), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5412), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180145] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4940), 1,
      sym_field_declaration_list,
    STATE(5073), 1,
      sym__class_declaration,
    STATE(5123), 1,
      sym__class_declaration_item,
    STATE(5639), 1,
      sym_ms_declspec_modifier,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7698), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5412), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180226] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4148), 1,
      sym_field_declaration_list,
    STATE(4289), 1,
      sym__class_declaration,
    STATE(4290), 1,
      sym__class_declaration_item,
    STATE(5691), 1,
      sym_ms_declspec_modifier,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3385), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5692), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5369), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180307] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4148), 1,
      sym_field_declaration_list,
    STATE(4264), 1,
      sym__class_declaration,
    STATE(4290), 1,
      sym__class_declaration_item,
    STATE(5691), 1,
      sym_ms_declspec_modifier,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3385), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5692), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5369), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180388] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4148), 1,
      sym_field_declaration_list,
    STATE(4277), 1,
      sym__class_declaration,
    STATE(4290), 1,
      sym__class_declaration_item,
    STATE(5691), 1,
      sym_ms_declspec_modifier,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3385), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5692), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5369), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180469] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5653), 1,
      sym_ms_declspec_modifier,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5654), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5431), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180550] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5653), 1,
      sym_ms_declspec_modifier,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5654), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5431), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180631] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5653), 1,
      sym_ms_declspec_modifier,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5654), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5431), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180712] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180793] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180874] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [180955] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6110), 1,
      sym__function_attributes_end,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5535), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [181030] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2349), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181111] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2349), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181192] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2349), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181273] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6214), 1,
      sym_trailing_return_type,
    STATE(6303), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5522), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [181348] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6241), 1,
      sym_trailing_return_type,
    STATE(6305), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5527), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [181423] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_requires,
    STATE(6130), 1,
      sym__function_attributes_end,
    STATE(6175), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5536), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [181498] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_requires,
    STATE(6175), 1,
      sym_trailing_return_type,
    STATE(6311), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5532), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [181573] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9725), 1,
      anon_sym_requires,
    STATE(6177), 1,
      sym_trailing_return_type,
    STATE(6312), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5533), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [181648] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2542), 1,
      sym__class_declaration,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(5650), 1,
      sym_ms_declspec_modifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5669), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5424), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181729] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(5731), 1,
      sym_ms_declspec_modifier,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5680), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5387), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181810] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(5731), 1,
      sym_ms_declspec_modifier,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5680), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5387), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181891] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(5731), 1,
      sym_ms_declspec_modifier,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5680), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5387), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181972] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182053] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4944), 1,
      sym__class_declaration,
    STATE(4948), 1,
      sym__class_declaration_item,
    STATE(5686), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5687), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5392), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182134] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4948), 1,
      sym__class_declaration_item,
    STATE(4972), 1,
      sym__class_declaration,
    STATE(5686), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5687), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5392), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182215] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4948), 1,
      sym__class_declaration_item,
    STATE(4973), 1,
      sym__class_declaration,
    STATE(5686), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5687), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5392), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182296] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(6080), 1,
      sym__function_attributes_end,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5544), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [182371] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9494), 1,
      anon_sym_requires,
    STATE(6081), 1,
      sym__function_attributes_end,
    STATE(6090), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5525), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [182446] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2350), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182527] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2350), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182608] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2350), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182689] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2353), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182770] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2353), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182851] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2353), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [182932] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6126), 1,
      sym__function_attributes_end,
    STATE(6139), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5530), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [183007] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_requires,
    STATE(5579), 1,
      sym__function_attributes_end,
    STATE(5830), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [183076] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2354), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183157] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2354), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183238] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2354), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183319] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2355), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183400] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2355), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183481] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2355), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183562] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(5588), 1,
      sym__function_attributes_end,
    STATE(5748), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [183631] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(9690), 1,
      anon_sym___attribute__,
    ACTIONS(9693), 1,
      anon_sym___attribute,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9735), 1,
      anon_sym_requires,
    STATE(5590), 1,
      sym__function_attributes_end,
    STATE(5739), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [183700] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183781] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183862] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [183943] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2362), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184024] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2362), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184105] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2362), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184186] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2360), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184267] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2360), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184348] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2360), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184429] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184510] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184591] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184672] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2356), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184753] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2356), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184834] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2356), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184915] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [184996] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185077] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5624), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5408), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2548), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6085), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6083), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2524), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6053), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6051), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2506), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6108), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2518), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6101), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6099), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2535), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6071), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6069), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2536), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6075), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6073), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2531), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6045), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6043), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2550), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6097), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6095), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2551), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6089), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6087), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2512), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6049), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2511), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6057), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6055), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185631] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2520), 1,
      sym__class_declaration,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(5350), 1,
      sym_field_declaration_list,
    STATE(5725), 1,
      sym_ms_declspec_modifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7121), 1,
      sym_virtual_specifier,
    STATE(7961), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5421), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185712] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2539), 1,
      sym__class_declaration,
    STATE(5350), 1,
      sym_field_declaration_list,
    STATE(5725), 1,
      sym_ms_declspec_modifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7121), 1,
      sym_virtual_specifier,
    STATE(7961), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5421), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185793] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2542), 1,
      sym__class_declaration,
    STATE(5350), 1,
      sym_field_declaration_list,
    STATE(5725), 1,
      sym_ms_declspec_modifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7121), 1,
      sym_virtual_specifier,
    STATE(7961), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5421), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185874] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2335), 1,
      sym__class_declaration,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(5716), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5717), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5428), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185955] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2326), 1,
      sym__class_declaration,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(5716), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5717), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5428), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186036] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2322), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(5716), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5717), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5428), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186117] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2520), 1,
      sym__class_declaration,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(5650), 1,
      sym_ms_declspec_modifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5669), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5424), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186198] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2525), 1,
      sym__class_declaration_item,
    STATE(2539), 1,
      sym__class_declaration,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(5650), 1,
      sym_ms_declspec_modifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5669), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5424), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186279] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9725), 1,
      anon_sym_requires,
    STATE(6131), 1,
      sym__function_attributes_end,
    STATE(6177), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5538), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9405), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [186354] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4148), 1,
      sym_field_declaration_list,
    STATE(4274), 1,
      sym__class_declaration_item,
    STATE(5703), 1,
      sym_ms_declspec_modifier,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3385), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5702), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186432] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9650), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9656), 1,
      sym_primitive_type,
    ACTIONS(9658), 1,
      anon_sym_enum,
    ACTIONS(9660), 1,
      anon_sym_class,
    ACTIONS(9662), 1,
      anon_sym_struct,
    ACTIONS(9664), 1,
      anon_sym_union,
    ACTIONS(9666), 1,
      sym_auto,
    ACTIONS(9668), 1,
      anon_sym_decltype,
    ACTIONS(9670), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3105), 1,
      sym_type_specifier,
    STATE(3348), 1,
      sym_qualified_type_identifier,
    STATE(3376), 1,
      sym_decltype_auto,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3283), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9654), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3377), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186506] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8169), 1,
      sym_primitive_type,
    ACTIONS(9738), 1,
      sym_identifier,
    ACTIONS(9740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9744), 1,
      anon_sym_enum,
    ACTIONS(9746), 1,
      anon_sym_class,
    ACTIONS(9748), 1,
      anon_sym_struct,
    ACTIONS(9750), 1,
      anon_sym_union,
    ACTIONS(9752), 1,
      anon_sym_typename,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(5198), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6684), 1,
      sym__scope_resolution,
    STATE(6947), 1,
      sym_type_specifier,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9742), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186580] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8068), 1,
      sym_primitive_type,
    ACTIONS(9478), 1,
      sym_identifier,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9484), 1,
      anon_sym_enum,
    ACTIONS(9486), 1,
      anon_sym_class,
    ACTIONS(9488), 1,
      anon_sym_struct,
    ACTIONS(9490), 1,
      anon_sym_union,
    ACTIONS(9492), 1,
      anon_sym_typename,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4268), 1,
      sym_type_specifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186654] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(8076), 1,
      anon_sym_enum,
    ACTIONS(8078), 1,
      anon_sym_class,
    ACTIONS(8080), 1,
      anon_sym_struct,
    ACTIONS(8082), 1,
      anon_sym_union,
    ACTIONS(8084), 1,
      anon_sym_typename,
    STATE(2490), 1,
      sym_type_specifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186728] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8086), 1,
      sym_identifier,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8092), 1,
      sym_primitive_type,
    ACTIONS(8094), 1,
      anon_sym_enum,
    ACTIONS(8096), 1,
      anon_sym_class,
    ACTIONS(8098), 1,
      anon_sym_struct,
    ACTIONS(8100), 1,
      anon_sym_union,
    ACTIONS(8102), 1,
      sym_auto,
    ACTIONS(8104), 1,
      anon_sym_decltype,
    ACTIONS(8106), 1,
      anon_sym_typename,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4825), 1,
      sym_type_specifier,
    STATE(4939), 1,
      sym_decltype_auto,
    STATE(5013), 1,
      sym_qualified_type_identifier,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5060), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186802] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(8134), 1,
      sym_primitive_type,
    ACTIONS(9584), 1,
      sym_identifier,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      anon_sym_enum,
    ACTIONS(9592), 1,
      anon_sym_class,
    ACTIONS(9594), 1,
      anon_sym_struct,
    ACTIONS(9596), 1,
      anon_sym_union,
    ACTIONS(9598), 1,
      anon_sym_typename,
    STATE(2622), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4329), 1,
      sym_type_specifier,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186876] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6258), 1,
      sym__declarator,
    STATE(7669), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186946] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6228), 1,
      sym__declarator,
    STATE(7606), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187016] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6189), 1,
      sym__declarator,
    STATE(7278), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187086] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3013), 1,
      sym__class_declaration_item,
    STATE(5700), 1,
      sym_ms_declspec_modifier,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187164] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6219), 1,
      sym__declarator,
    STATE(7669), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187234] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8108), 1,
      sym_identifier,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8114), 1,
      sym_primitive_type,
    ACTIONS(8116), 1,
      anon_sym_enum,
    ACTIONS(8118), 1,
      anon_sym_class,
    ACTIONS(8120), 1,
      anon_sym_struct,
    ACTIONS(8122), 1,
      anon_sym_union,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    ACTIONS(8128), 1,
      anon_sym_typename,
    STATE(4223), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5005), 1,
      sym_type_specifier,
    STATE(5085), 1,
      sym_qualified_type_identifier,
    STATE(5089), 1,
      sym_decltype_auto,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(5004), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8112), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5120), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187308] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8068), 1,
      sym_primitive_type,
    ACTIONS(9478), 1,
      sym_identifier,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9484), 1,
      anon_sym_enum,
    ACTIONS(9486), 1,
      anon_sym_class,
    ACTIONS(9488), 1,
      anon_sym_struct,
    ACTIONS(9490), 1,
      anon_sym_union,
    ACTIONS(9492), 1,
      anon_sym_typename,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4168), 1,
      sym_type_specifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187382] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8092), 1,
      sym_primitive_type,
    ACTIONS(8102), 1,
      sym_auto,
    ACTIONS(8104), 1,
      anon_sym_decltype,
    ACTIONS(8201), 1,
      sym_identifier,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8205), 1,
      anon_sym_enum,
    ACTIONS(8207), 1,
      anon_sym_class,
    ACTIONS(8209), 1,
      anon_sym_struct,
    ACTIONS(8211), 1,
      anon_sym_union,
    ACTIONS(8213), 1,
      anon_sym_typename,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4825), 1,
      sym_type_specifier,
    STATE(4939), 1,
      sym_decltype_auto,
    STATE(5013), 1,
      sym_qualified_type_identifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5060), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9541), 1,
      sym_primitive_type,
    ACTIONS(9543), 1,
      anon_sym_enum,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9555), 1,
      anon_sym_typename,
    STATE(2260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2633), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187530] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9497), 1,
      sym_identifier,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9503), 1,
      sym_primitive_type,
    ACTIONS(9505), 1,
      anon_sym_enum,
    ACTIONS(9507), 1,
      anon_sym_class,
    ACTIONS(9509), 1,
      anon_sym_struct,
    ACTIONS(9511), 1,
      anon_sym_union,
    ACTIONS(9513), 1,
      sym_auto,
    ACTIONS(9515), 1,
      anon_sym_decltype,
    ACTIONS(9517), 1,
      anon_sym_typename,
    STATE(2372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3492), 1,
      sym_type_specifier,
    STATE(3699), 1,
      sym_decltype_auto,
    STATE(3703), 1,
      sym_qualified_type_identifier,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3603), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3700), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187604] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8165), 1,
      sym_identifier,
    ACTIONS(8169), 1,
      sym_primitive_type,
    ACTIONS(8171), 1,
      anon_sym_enum,
    ACTIONS(8173), 1,
      anon_sym_class,
    ACTIONS(8175), 1,
      anon_sym_struct,
    ACTIONS(8177), 1,
      anon_sym_union,
    ACTIONS(8179), 1,
      anon_sym_typename,
    STATE(2292), 1,
      sym_type_specifier,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(4460), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187678] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(5682), 1,
      sym_ms_declspec_modifier,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5681), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187756] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2532), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(5706), 1,
      sym_ms_declspec_modifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5705), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187834] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(8134), 1,
      sym_primitive_type,
    ACTIONS(9584), 1,
      sym_identifier,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      anon_sym_enum,
    ACTIONS(9592), 1,
      anon_sym_class,
    ACTIONS(9594), 1,
      anon_sym_struct,
    ACTIONS(9596), 1,
      anon_sym_union,
    ACTIONS(9598), 1,
      anon_sym_typename,
    STATE(2622), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2980), 1,
      sym_type_specifier,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187908] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9497), 1,
      sym_identifier,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9503), 1,
      sym_primitive_type,
    ACTIONS(9505), 1,
      anon_sym_enum,
    ACTIONS(9507), 1,
      anon_sym_class,
    ACTIONS(9509), 1,
      anon_sym_struct,
    ACTIONS(9511), 1,
      anon_sym_union,
    ACTIONS(9513), 1,
      sym_auto,
    ACTIONS(9515), 1,
      anon_sym_decltype,
    ACTIONS(9517), 1,
      anon_sym_typename,
    STATE(2372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3272), 1,
      sym_type_specifier,
    STATE(3699), 1,
      sym_decltype_auto,
    STATE(3703), 1,
      sym_qualified_type_identifier,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3603), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3700), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187982] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9497), 1,
      sym_identifier,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9503), 1,
      sym_primitive_type,
    ACTIONS(9505), 1,
      anon_sym_enum,
    ACTIONS(9507), 1,
      anon_sym_class,
    ACTIONS(9509), 1,
      anon_sym_struct,
    ACTIONS(9511), 1,
      anon_sym_union,
    ACTIONS(9513), 1,
      sym_auto,
    ACTIONS(9515), 1,
      anon_sym_decltype,
    ACTIONS(9517), 1,
      anon_sym_typename,
    STATE(2372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3279), 1,
      sym_type_specifier,
    STATE(3699), 1,
      sym_decltype_auto,
    STATE(3703), 1,
      sym_qualified_type_identifier,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3603), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3700), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188056] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(5015), 1,
      sym__class_declaration_item,
    STATE(5689), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5688), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188134] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6193), 1,
      sym__declarator,
    STATE(7273), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188204] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3013), 1,
      sym__class_declaration_item,
    STATE(5620), 1,
      sym_ms_declspec_modifier,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188282] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_class,
    ACTIONS(75), 1,
      anon_sym_struct,
    ACTIONS(77), 1,
      anon_sym_union,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(129), 1,
      anon_sym_typename,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2721), 1,
      sym_primitive_type,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    STATE(2214), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2292), 1,
      sym_type_specifier,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188356] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9650), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9656), 1,
      sym_primitive_type,
    ACTIONS(9658), 1,
      anon_sym_enum,
    ACTIONS(9660), 1,
      anon_sym_class,
    ACTIONS(9662), 1,
      anon_sym_struct,
    ACTIONS(9664), 1,
      anon_sym_union,
    ACTIONS(9666), 1,
      sym_auto,
    ACTIONS(9668), 1,
      anon_sym_decltype,
    ACTIONS(9670), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3252), 1,
      sym_type_specifier,
    STATE(3348), 1,
      sym_qualified_type_identifier,
    STATE(3376), 1,
      sym_decltype_auto,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3283), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9654), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3377), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188430] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9628), 1,
      sym_identifier,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9634), 1,
      sym_primitive_type,
    ACTIONS(9636), 1,
      anon_sym_enum,
    ACTIONS(9638), 1,
      anon_sym_class,
    ACTIONS(9640), 1,
      anon_sym_struct,
    ACTIONS(9642), 1,
      anon_sym_union,
    ACTIONS(9644), 1,
      sym_auto,
    ACTIONS(9646), 1,
      anon_sym_decltype,
    ACTIONS(9648), 1,
      anon_sym_typename,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4219), 1,
      sym_type_specifier,
    STATE(4303), 1,
      sym_qualified_type_identifier,
    STATE(4304), 1,
      sym_decltype_auto,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(4246), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4286), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188504] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9603), 1,
      sym_identifier,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9609), 1,
      sym_primitive_type,
    ACTIONS(9611), 1,
      anon_sym_enum,
    ACTIONS(9613), 1,
      anon_sym_class,
    ACTIONS(9615), 1,
      anon_sym_struct,
    ACTIONS(9617), 1,
      anon_sym_union,
    ACTIONS(9619), 1,
      sym_auto,
    ACTIONS(9621), 1,
      anon_sym_decltype,
    ACTIONS(9623), 1,
      anon_sym_typename,
    STATE(2340), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3168), 1,
      sym_type_specifier,
    STATE(3414), 1,
      sym_decltype_auto,
    STATE(3417), 1,
      sym_qualified_type_identifier,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3362), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3416), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188578] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9603), 1,
      sym_identifier,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9609), 1,
      sym_primitive_type,
    ACTIONS(9611), 1,
      anon_sym_enum,
    ACTIONS(9613), 1,
      anon_sym_class,
    ACTIONS(9615), 1,
      anon_sym_struct,
    ACTIONS(9617), 1,
      anon_sym_union,
    ACTIONS(9619), 1,
      sym_auto,
    ACTIONS(9621), 1,
      anon_sym_decltype,
    ACTIONS(9623), 1,
      anon_sym_typename,
    STATE(2340), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3129), 1,
      sym_type_specifier,
    STATE(3414), 1,
      sym_decltype_auto,
    STATE(3417), 1,
      sym_qualified_type_identifier,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3362), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3416), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188652] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6197), 1,
      sym__declarator,
    STATE(7438), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188722] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3350), 1,
      sym_field_declaration_list,
    STATE(3733), 1,
      sym__class_declaration_item,
    STATE(5628), 1,
      sym_ms_declspec_modifier,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7131), 1,
      sym_virtual_specifier,
    STATE(7726), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8068), 1,
      sym_primitive_type,
    ACTIONS(9478), 1,
      sym_identifier,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9484), 1,
      anon_sym_enum,
    ACTIONS(9486), 1,
      anon_sym_class,
    ACTIONS(9488), 1,
      anon_sym_struct,
    ACTIONS(9490), 1,
      anon_sym_union,
    ACTIONS(9492), 1,
      anon_sym_typename,
    STATE(2490), 1,
      sym_type_specifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188874] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9628), 1,
      sym_identifier,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9634), 1,
      sym_primitive_type,
    ACTIONS(9636), 1,
      anon_sym_enum,
    ACTIONS(9638), 1,
      anon_sym_class,
    ACTIONS(9640), 1,
      anon_sym_struct,
    ACTIONS(9642), 1,
      anon_sym_union,
    ACTIONS(9644), 1,
      sym_auto,
    ACTIONS(9646), 1,
      anon_sym_decltype,
    ACTIONS(9648), 1,
      anon_sym_typename,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4035), 1,
      sym_type_specifier,
    STATE(4303), 1,
      sym_qualified_type_identifier,
    STATE(4304), 1,
      sym_decltype_auto,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(4246), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4286), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188948] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9628), 1,
      sym_identifier,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9634), 1,
      sym_primitive_type,
    ACTIONS(9636), 1,
      anon_sym_enum,
    ACTIONS(9638), 1,
      anon_sym_class,
    ACTIONS(9640), 1,
      anon_sym_struct,
    ACTIONS(9642), 1,
      anon_sym_union,
    ACTIONS(9644), 1,
      sym_auto,
    ACTIONS(9646), 1,
      anon_sym_decltype,
    ACTIONS(9648), 1,
      anon_sym_typename,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4037), 1,
      sym_type_specifier,
    STATE(4303), 1,
      sym_qualified_type_identifier,
    STATE(4304), 1,
      sym_decltype_auto,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(4246), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4286), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189022] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_field_declaration_list,
    STATE(3412), 1,
      sym__class_declaration_item,
    STATE(5633), 1,
      sym_ms_declspec_modifier,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_virtual_specifier,
    STATE(7994), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5632), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189100] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3139), 1,
      sym_field_declaration_list,
    STATE(3311), 1,
      sym__class_declaration_item,
    STATE(5668), 1,
      sym_ms_declspec_modifier,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym_virtual_specifier,
    STATE(8031), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5619), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189178] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8068), 1,
      sym_primitive_type,
    ACTIONS(9478), 1,
      sym_identifier,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9484), 1,
      anon_sym_enum,
    ACTIONS(9486), 1,
      anon_sym_class,
    ACTIONS(9488), 1,
      anon_sym_struct,
    ACTIONS(9490), 1,
      anon_sym_union,
    ACTIONS(9492), 1,
      anon_sym_typename,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4171), 1,
      sym_type_specifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189252] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5693), 1,
      sym_ms_declspec_modifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5685), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189330] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9541), 1,
      sym_primitive_type,
    ACTIONS(9543), 1,
      anon_sym_enum,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9555), 1,
      anon_sym_typename,
    STATE(2260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2558), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189404] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9541), 1,
      sym_primitive_type,
    ACTIONS(9543), 1,
      anon_sym_enum,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9555), 1,
      anon_sym_typename,
    STATE(2260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2555), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189478] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9564), 1,
      sym_identifier,
    ACTIONS(9568), 1,
      sym_primitive_type,
    ACTIONS(9570), 1,
      anon_sym_enum,
    ACTIONS(9572), 1,
      anon_sym_typename,
    STATE(2254), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2633), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189552] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4940), 1,
      sym_field_declaration_list,
    STATE(5097), 1,
      sym__class_declaration_item,
    STATE(5642), 1,
      sym_ms_declspec_modifier,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7698), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5641), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189630] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2047), 1,
      anon_sym_enum,
    ACTIONS(2049), 1,
      anon_sym_class,
    ACTIONS(2051), 1,
      anon_sym_struct,
    ACTIONS(2053), 1,
      anon_sym_union,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(2081), 1,
      anon_sym_typename,
    ACTIONS(8062), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8068), 1,
      sym_primitive_type,
    STATE(2490), 1,
      sym_type_specifier,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2721), 1,
      sym_primitive_type,
    ACTIONS(2723), 1,
      anon_sym_enum,
    ACTIONS(2725), 1,
      anon_sym_class,
    ACTIONS(2727), 1,
      anon_sym_struct,
    ACTIONS(2729), 1,
      anon_sym_union,
    ACTIONS(2731), 1,
      anon_sym_typename,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    STATE(2214), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2292), 1,
      sym_type_specifier,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189778] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(5015), 1,
      sym__class_declaration_item,
    STATE(5656), 1,
      sym_ms_declspec_modifier,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5655), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9564), 1,
      sym_identifier,
    ACTIONS(9568), 1,
      sym_primitive_type,
    ACTIONS(9570), 1,
      anon_sym_enum,
    ACTIONS(9572), 1,
      anon_sym_typename,
    STATE(2254), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2558), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189930] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9545), 1,
      anon_sym_class,
    ACTIONS(9547), 1,
      anon_sym_struct,
    ACTIONS(9549), 1,
      anon_sym_union,
    ACTIONS(9551), 1,
      sym_auto,
    ACTIONS(9553), 1,
      anon_sym_decltype,
    ACTIONS(9564), 1,
      sym_identifier,
    ACTIONS(9568), 1,
      sym_primitive_type,
    ACTIONS(9570), 1,
      anon_sym_enum,
    ACTIONS(9572), 1,
      anon_sym_typename,
    STATE(2254), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2555), 1,
      sym_type_specifier,
    STATE(2680), 1,
      sym_decltype_auto,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2657), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2682), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190004] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3964), 1,
      anon_sym_enum,
    ACTIONS(3966), 1,
      anon_sym_class,
    ACTIONS(3968), 1,
      anon_sym_struct,
    ACTIONS(3970), 1,
      anon_sym_union,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(3998), 1,
      anon_sym_typename,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8134), 1,
      sym_primitive_type,
    STATE(2980), 1,
      sym_type_specifier,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4381), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3960), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190078] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6249), 1,
      sym__declarator,
    STATE(7669), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190148] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8169), 1,
      sym_primitive_type,
    ACTIONS(9738), 1,
      sym_identifier,
    ACTIONS(9740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9744), 1,
      anon_sym_enum,
    ACTIONS(9746), 1,
      anon_sym_class,
    ACTIONS(9748), 1,
      anon_sym_struct,
    ACTIONS(9750), 1,
      anon_sym_union,
    ACTIONS(9752), 1,
      anon_sym_typename,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(5198), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6684), 1,
      sym__scope_resolution,
    STATE(6982), 1,
      sym_type_specifier,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9742), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190222] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2532), 1,
      sym__class_declaration_item,
    STATE(5350), 1,
      sym_field_declaration_list,
    STATE(5713), 1,
      sym_ms_declspec_modifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7121), 1,
      sym_virtual_specifier,
    STATE(7961), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190300] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_field_declaration_list,
    STATE(2711), 1,
      sym__class_declaration_item,
    STATE(5671), 1,
      sym_ms_declspec_modifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7087), 1,
      sym_virtual_specifier,
    STATE(7981), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5670), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190378] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9603), 1,
      sym_identifier,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9609), 1,
      sym_primitive_type,
    ACTIONS(9611), 1,
      anon_sym_enum,
    ACTIONS(9613), 1,
      anon_sym_class,
    ACTIONS(9615), 1,
      anon_sym_struct,
    ACTIONS(9617), 1,
      anon_sym_union,
    ACTIONS(9619), 1,
      sym_auto,
    ACTIONS(9621), 1,
      anon_sym_decltype,
    ACTIONS(9623), 1,
      anon_sym_typename,
    STATE(2340), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3319), 1,
      sym_type_specifier,
    STATE(3414), 1,
      sym_decltype_auto,
    STATE(3417), 1,
      sym_qualified_type_identifier,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3362), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3416), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190452] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2532), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(5663), 1,
      sym_ms_declspec_modifier,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5661), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190530] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(9650), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9656), 1,
      sym_primitive_type,
    ACTIONS(9658), 1,
      anon_sym_enum,
    ACTIONS(9660), 1,
      anon_sym_class,
    ACTIONS(9662), 1,
      anon_sym_struct,
    ACTIONS(9664), 1,
      anon_sym_union,
    ACTIONS(9666), 1,
      sym_auto,
    ACTIONS(9668), 1,
      anon_sym_decltype,
    ACTIONS(9670), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3085), 1,
      sym_type_specifier,
    STATE(3348), 1,
      sym_qualified_type_identifier,
    STATE(3376), 1,
      sym_decltype_auto,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(3283), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9654), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3377), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190604] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6282), 1,
      sym__declarator,
    STATE(7982), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190674] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(8169), 1,
      sym_primitive_type,
    ACTIONS(9738), 1,
      sym_identifier,
    ACTIONS(9740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9744), 1,
      anon_sym_enum,
    ACTIONS(9746), 1,
      anon_sym_class,
    ACTIONS(9748), 1,
      anon_sym_struct,
    ACTIONS(9750), 1,
      anon_sym_union,
    ACTIONS(9752), 1,
      anon_sym_typename,
    STATE(2292), 1,
      sym_type_specifier,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(5198), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6684), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9742), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190748] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(5719), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5718), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190826] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3994), 1,
      sym_auto,
    ACTIONS(3996), 1,
      anon_sym_decltype,
    ACTIONS(8134), 1,
      sym_primitive_type,
    ACTIONS(9584), 1,
      sym_identifier,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      anon_sym_enum,
    ACTIONS(9592), 1,
      anon_sym_class,
    ACTIONS(9594), 1,
      anon_sym_struct,
    ACTIONS(9596), 1,
      anon_sym_union,
    ACTIONS(9598), 1,
      anon_sym_typename,
    STATE(2622), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3003), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_decltype_auto,
    STATE(4322), 1,
      sym_type_specifier,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2952), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3018), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190900] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1866), 1,
      anon_sym_enum,
    ACTIONS(1868), 1,
      anon_sym_class,
    ACTIONS(1870), 1,
      anon_sym_struct,
    ACTIONS(1872), 1,
      anon_sym_union,
    ACTIONS(1896), 1,
      anon_sym_typename,
    ACTIONS(2721), 1,
      sym_primitive_type,
    ACTIONS(4322), 1,
      sym_identifier,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    STATE(2214), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2292), 1,
      sym_type_specifier,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190974] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5658), 1,
      sym_ms_declspec_modifier,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5657), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191052] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2077), 1,
      sym_auto,
    ACTIONS(2079), 1,
      anon_sym_decltype,
    ACTIONS(8068), 1,
      sym_primitive_type,
    ACTIONS(9478), 1,
      sym_identifier,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9484), 1,
      anon_sym_enum,
    ACTIONS(9486), 1,
      anon_sym_class,
    ACTIONS(9488), 1,
      anon_sym_struct,
    ACTIONS(9490), 1,
      anon_sym_union,
    ACTIONS(9492), 1,
      anon_sym_typename,
    STATE(2517), 1,
      sym_decltype_auto,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2552), 1,
      sym_qualified_type_identifier,
    STATE(4293), 1,
      sym_type_specifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2478), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2545), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191126] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2721), 1,
      sym_primitive_type,
    ACTIONS(2725), 1,
      anon_sym_class,
    ACTIONS(2727), 1,
      anon_sym_struct,
    ACTIONS(2729), 1,
      anon_sym_union,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3717), 1,
      anon_sym_enum,
    ACTIONS(3719), 1,
      anon_sym_typename,
    STATE(2292), 1,
      sym_type_specifier,
    STATE(2327), 1,
      sym_qualified_type_identifier,
    STATE(2333), 1,
      sym_decltype_auto,
    STATE(2557), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_dependent_type_identifier,
    STATE(2284), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3715), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191200] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5336), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2345), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(5623), 1,
      sym_ms_declspec_modifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5330), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5338), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5622), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191278] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6215), 1,
      sym__declarator,
    STATE(7680), 1,
      sym_init_declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191348] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_requires,
    STATE(5830), 1,
      sym_trailing_return_type,
    STATE(5986), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191415] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6587), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191482] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6598), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191549] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9525), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6373), 1,
      sym__function_attributes_end,
    STATE(6582), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8950), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5554), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [191622] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_STAR,
    ACTIONS(7522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7524), 1,
      anon_sym_AMP,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(6736), 1,
      sym__declarator,
    STATE(8267), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191689] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(5840), 1,
      sym_trailing_return_type,
    STATE(6017), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191756] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6527), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191823] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6614), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191890] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6513), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191957] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6538), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192024] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6540), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192091] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1334), 1,
      sym_alignas_qualifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9756), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9754), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [192136] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192203] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192270] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_STAR,
    ACTIONS(7496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7498), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6299), 1,
      sym__declarator,
    STATE(8130), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192337] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6568), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192404] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9525), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(6380), 1,
      sym__function_attributes_end,
    STATE(6624), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8950), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5558), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192477] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6577), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192544] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6578), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192611] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9758), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9761), 1,
      anon_sym_requires,
    STATE(6389), 1,
      sym__function_attributes_end,
    STATE(6506), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9405), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5565), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192684] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6525), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192751] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6580), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192818] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5210), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5712), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5710), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192926] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6777), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192993] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6602), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193060] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6611), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193127] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9494), 1,
      anon_sym_requires,
    STATE(6090), 1,
      sym_trailing_return_type,
    STATE(6457), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9405), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5562), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [193200] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_STAR,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6637), 1,
      sym__declarator,
    STATE(8208), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193267] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9758), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6383), 1,
      sym__function_attributes_end,
    STATE(6586), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9405), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5560), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [193340] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6546), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193407] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6618), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193474] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6559), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193541] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_STAR,
    ACTIONS(7522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7524), 1,
      anon_sym_AMP,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym__declarator,
    STATE(8267), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193608] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6750), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193675] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6764), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193742] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6525), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193809] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6585), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193876] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193943] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(5748), 1,
      sym_trailing_return_type,
    STATE(5984), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194010] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(5734), 1,
      sym_trailing_return_type,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194077] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6450), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8950), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5556), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [194150] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6622), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194217] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6625), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194284] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6139), 1,
      sym_trailing_return_type,
    STATE(6451), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9405), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5561), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [194357] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194424] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6511), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194491] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_STAR,
    ACTIONS(7490), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7492), 1,
      anon_sym_AMP,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6440), 1,
      sym__declarator,
    STATE(8379), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194558] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9735), 1,
      anon_sym_requires,
    STATE(5739), 1,
      sym_trailing_return_type,
    STATE(6010), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194625] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6341), 1,
      sym_identifier,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_STAR,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym__declarator,
    STATE(8208), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2222), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5728), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(5592), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5725), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5588), 17,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [194735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7211), 1,
      anon_sym_noexcept,
    ACTIONS(7213), 1,
      anon_sym_throw,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6456), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8950), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5557), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [194808] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6758), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194875] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(2707), 1,
      anon_sym_AMP,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      sym_identifier,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(6765), 1,
      sym__declarator,
    STATE(8309), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194942] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5777), 1,
      sym_trailing_return_type,
    STATE(5988), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [195009] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6551), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [195076] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1334), 1,
      sym_alignas_qualifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9769), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9767), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(65), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [195121] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [195188] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2701), 1,
      anon_sym_LPAREN2,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7384), 1,
      sym_identifier,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7394), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(6615), 1,
      sym__declarator,
    STATE(8676), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6411), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [195255] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(9690), 1,
      anon_sym___attribute__,
    ACTIONS(9693), 1,
      anon_sym___attribute,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(5909), 1,
      sym_trailing_return_type,
    STATE(6008), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [195321] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    STATE(6007), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [195387] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9777), 1,
      anon_sym_requires,
    STATE(6020), 1,
      sym__function_attributes_end,
    STATE(6174), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [195453] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym__function_attributes_end,
    STATE(6178), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [195519] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6002), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [195585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_LBRACE,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5710), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5712), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [195625] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6063), 1,
      sym__function_attributes_end,
    STATE(6261), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [195691] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(5943), 1,
      sym_trailing_return_type,
    STATE(6003), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [195757] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6057), 1,
      sym__function_attributes_end,
    STATE(6176), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [195823] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(8958), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9394), 1,
      anon_sym_requires,
    STATE(6069), 1,
      sym__function_attributes_end,
    STATE(6264), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [195889] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5901), 1,
      sym_trailing_return_type,
    STATE(6006), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [195955] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9475), 1,
      anon_sym_requires,
    STATE(6046), 1,
      sym__function_attributes_end,
    STATE(6239), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [196021] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(9690), 1,
      anon_sym___attribute__,
    ACTIONS(9693), 1,
      anon_sym___attribute,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(5975), 1,
      sym_trailing_return_type,
    STATE(6004), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
  [196087] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5901), 1,
      sym_trailing_return_type,
    STATE(6263), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [196152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6139), 1,
      sym_trailing_return_type,
    STATE(6184), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [196217] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(5943), 1,
      sym_trailing_return_type,
    STATE(6183), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [196282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_LBRACE,
    ACTIONS(5710), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5712), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [196319] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7699), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7703), 1,
      anon_sym_AMP,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8330), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(6013), 1,
      sym__abstract_declarator,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8328), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196372] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    STATE(6207), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [196437] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(5909), 1,
      sym_trailing_return_type,
    STATE(6244), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [196502] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6250), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [196567] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(5975), 1,
      sym_trailing_return_type,
    STATE(6198), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [196632] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6200), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [196697] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6259), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [196762] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9494), 1,
      anon_sym_requires,
    STATE(6090), 1,
      sym_trailing_return_type,
    STATE(6172), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [196827] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(6086), 1,
      sym_trailing_return_type,
    STATE(6269), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [196892] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9780), 1,
      anon_sym_requires,
    STATE(6100), 1,
      sym_trailing_return_type,
    STATE(6210), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [196957] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6241), 1,
      sym_trailing_return_type,
    STATE(6305), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197021] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6110), 1,
      sym__function_attributes_end,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [197085] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6214), 1,
      sym_trailing_return_type,
    STATE(6303), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197149] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9690), 1,
      anon_sym___attribute__,
    ACTIONS(9693), 1,
      anon_sym___attribute,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9780), 1,
      anon_sym_requires,
    STATE(6083), 1,
      sym__function_attributes_end,
    STATE(6100), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [197213] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(5917), 1,
      sym_ms_call_modifier,
    STATE(6802), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [197271] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(6186), 1,
      sym_trailing_return_type,
    STATE(6307), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197335] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(5895), 1,
      sym_ms_call_modifier,
    STATE(6865), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [197393] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_requires,
    STATE(6130), 1,
      sym__function_attributes_end,
    STATE(6175), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [197457] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9690), 1,
      anon_sym___attribute__,
    ACTIONS(9693), 1,
      anon_sym___attribute,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(6086), 1,
      sym_trailing_return_type,
    STATE(6147), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [197521] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_requires,
    STATE(6175), 1,
      sym_trailing_return_type,
    STATE(6311), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197585] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9725), 1,
      anon_sym_requires,
    STATE(6177), 1,
      sym_trailing_return_type,
    STATE(6312), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197649] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(6181), 1,
      sym_trailing_return_type,
    STATE(6313), 1,
      sym__function_attributes_end,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197713] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(5969), 1,
      sym_ms_call_modifier,
    STATE(6808), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [197771] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6126), 1,
      sym__function_attributes_end,
    STATE(6139), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [197835] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9725), 1,
      anon_sym_requires,
    STATE(6131), 1,
      sym__function_attributes_end,
    STATE(6177), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [197899] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6119), 1,
      sym__function_attributes_end,
    STATE(6241), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [197963] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9690), 1,
      anon_sym___attribute__,
    ACTIONS(9693), 1,
      anon_sym___attribute,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(6132), 1,
      sym__function_attributes_end,
    STATE(6181), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [198027] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9690), 1,
      anon_sym___attribute__,
    ACTIONS(9693), 1,
      anon_sym___attribute,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(6121), 1,
      sym__function_attributes_end,
    STATE(6186), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [198091] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6118), 1,
      sym__function_attributes_end,
    STATE(6214), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_GT2,
  [198155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6653), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6651), 13,
      anon_sym_COLON,
      anon_sym_virtual,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [198193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(8952), 1,
      anon_sym___attribute__,
    ACTIONS(8955), 1,
      anon_sym___attribute,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(6080), 1,
      sym__function_attributes_end,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [198257] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(5906), 1,
      sym_ms_call_modifier,
    STATE(6824), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [198315] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9407), 1,
      anon_sym___attribute__,
    ACTIONS(9410), 1,
      anon_sym___attribute,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9494), 1,
      anon_sym_requires,
    STATE(6081), 1,
      sym__function_attributes_end,
    STATE(6090), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
  [198379] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9789), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACE,
    ACTIONS(9795), 1,
      anon_sym_requires,
    STATE(3071), 1,
      sym_template_type,
    STATE(3851), 1,
      sym_requirement_seq,
    STATE(6045), 1,
      sym_lambda_capture_specifier,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7735), 1,
      sym_requires_parameter_list,
    ACTIONS(9793), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3799), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198440] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    ACTIONS(9797), 1,
      anon_sym_LPAREN2,
    ACTIONS(9799), 1,
      anon_sym_LBRACE,
    ACTIONS(9803), 1,
      anon_sym_requires,
    STATE(3601), 1,
      sym_requirement_seq,
    STATE(3885), 1,
      sym_template_type,
    STATE(6061), 1,
      sym_lambda_capture_specifier,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7984), 1,
      sym_requires_parameter_list,
    ACTIONS(9801), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4421), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198501] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    ACTIONS(9797), 1,
      anon_sym_LPAREN2,
    ACTIONS(9799), 1,
      anon_sym_LBRACE,
    ACTIONS(9803), 1,
      anon_sym_requires,
    STATE(2485), 1,
      sym_template_type,
    STATE(3601), 1,
      sym_requirement_seq,
    STATE(6061), 1,
      sym_lambda_capture_specifier,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7984), 1,
      sym_requires_parameter_list,
    ACTIONS(9805), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4392), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198562] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    ACTIONS(9807), 1,
      anon_sym_LPAREN2,
    ACTIONS(9809), 1,
      anon_sym_LBRACE,
    ACTIONS(9813), 1,
      anon_sym_requires,
    STATE(3175), 1,
      sym_template_type,
    STATE(4079), 1,
      sym_requirement_seq,
    STATE(6019), 1,
      sym_lambda_capture_specifier,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7777), 1,
      sym_requires_parameter_list,
    ACTIONS(9811), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4055), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198623] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    ACTIONS(9815), 1,
      anon_sym_LPAREN2,
    ACTIONS(9817), 1,
      anon_sym_LBRACE,
    ACTIONS(9821), 1,
      anon_sym_requires,
    STATE(2586), 1,
      sym_template_type,
    STATE(2875), 1,
      sym_requirement_seq,
    STATE(6036), 1,
      sym_lambda_capture_specifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7927), 1,
      sym_requires_parameter_list,
    ACTIONS(9819), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2876), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198684] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    ACTIONS(9823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9825), 1,
      anon_sym_LBRACE,
    ACTIONS(9829), 1,
      anon_sym_requires,
    STATE(2953), 1,
      sym_template_type,
    STATE(4370), 1,
      sym_requirement_seq,
    STATE(6059), 1,
      sym_lambda_capture_specifier,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(8025), 1,
      sym_requires_parameter_list,
    ACTIONS(9827), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4957), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198745] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    ACTIONS(9831), 1,
      anon_sym_LPAREN2,
    ACTIONS(9833), 1,
      anon_sym_LBRACE,
    ACTIONS(9837), 1,
      anon_sym_requires,
    STATE(2994), 1,
      sym_template_type,
    STATE(3661), 1,
      sym_requirement_seq,
    STATE(6056), 1,
      sym_lambda_capture_specifier,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(8055), 1,
      sym_requires_parameter_list,
    ACTIONS(9835), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3662), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [198806] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9841), 1,
      anon_sym_COLON,
    ACTIONS(9843), 1,
      anon_sym_SEMI,
    ACTIONS(9845), 1,
      anon_sym_LBRACE,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(9849), 1,
      anon_sym_EQ,
    ACTIONS(9851), 1,
      anon_sym_try,
    STATE(1859), 1,
      sym_pure_virtual_clause,
    STATE(1865), 1,
      sym_try_statement,
    STATE(1953), 1,
      sym_compound_statement,
    STATE(1954), 1,
      sym_default_method_clause,
    STATE(1955), 1,
      sym_delete_method_clause,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6874), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6907), 1,
      sym_bitfield_clause,
    STATE(6908), 1,
      sym_initializer_list,
    STATE(8387), 1,
      sym_attribute_specifier,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [198880] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(6050), 1,
      sym_ms_call_modifier,
    STATE(6749), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    ACTIONS(2039), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [198934] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9758), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6383), 1,
      sym__function_attributes_end,
    STATE(6586), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9405), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
  [198996] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9525), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(6380), 1,
      sym__function_attributes_end,
    STATE(6624), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8950), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199058] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6139), 1,
      sym_trailing_return_type,
    STATE(6451), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9405), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199120] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9494), 1,
      anon_sym_requires,
    STATE(6090), 1,
      sym_trailing_return_type,
    STATE(6457), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9405), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199182] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9758), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9761), 1,
      anon_sym_requires,
    STATE(6389), 1,
      sym__function_attributes_end,
    STATE(6506), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9405), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199244] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9525), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6373), 1,
      sym__function_attributes_end,
    STATE(6582), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8950), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199306] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9853), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6443), 1,
      sym__function_attributes_end,
    STATE(6588), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9688), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199368] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(6086), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199430] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9780), 1,
      anon_sym_requires,
    STATE(6100), 1,
      sym_trailing_return_type,
    STATE(6459), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199492] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(6138), 1,
      sym_trailing_return_type,
    STATE(6456), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8950), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199554] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9841), 1,
      anon_sym_COLON,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(9856), 1,
      anon_sym_SEMI,
    ACTIONS(9858), 1,
      anon_sym_LBRACE,
    ACTIONS(9860), 1,
      anon_sym_EQ,
    ACTIONS(9862), 1,
      anon_sym_try,
    STATE(2145), 1,
      sym_compound_statement,
    STATE(2148), 1,
      sym_default_method_clause,
    STATE(2153), 1,
      sym_delete_method_clause,
    STATE(2160), 1,
      sym_pure_virtual_clause,
    STATE(2167), 1,
      sym_try_statement,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6898), 1,
      sym_bitfield_clause,
    STATE(6900), 1,
      sym_initializer_list,
    STATE(6902), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8917), 1,
      sym_attribute_specifier,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [199628] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9853), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9864), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym__function_attributes_end,
    STATE(6507), 1,
      sym_trailing_return_type,
    STATE(6813), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9688), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199690] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9841), 1,
      anon_sym_COLON,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(9867), 1,
      anon_sym_SEMI,
    ACTIONS(9869), 1,
      anon_sym_LBRACE,
    ACTIONS(9871), 1,
      anon_sym_EQ,
    ACTIONS(9873), 1,
      anon_sym_try,
    STATE(2010), 1,
      sym_try_statement,
    STATE(2075), 1,
      sym_compound_statement,
    STATE(2076), 1,
      sym_default_method_clause,
    STATE(2077), 1,
      sym_delete_method_clause,
    STATE(2078), 1,
      sym_pure_virtual_clause,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6882), 1,
      sym_initializer_list,
    STATE(6904), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6913), 1,
      sym_bitfield_clause,
    STATE(8549), 1,
      sym_attribute_specifier,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [199764] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7207), 1,
      anon_sym___asm,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6158), 1,
      sym_trailing_return_type,
    STATE(6450), 1,
      sym__function_attributes_end,
    STATE(6839), 1,
      sym_gnu_asm_expression,
    ACTIONS(7205), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8950), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5959), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
  [199826] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(8223), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8225), 1,
      anon_sym_AMP,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6290), 1,
      sym__abstract_declarator,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8328), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199873] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8181), 1,
      anon_sym_STAR,
    ACTIONS(8183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8330), 1,
      anon_sym___attribute,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6321), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8328), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [199922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9877), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9875), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [199953] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9795), 1,
      anon_sym_requires,
    ACTIONS(9879), 1,
      anon_sym_LPAREN2,
    STATE(3071), 1,
      sym_template_type,
    STATE(6045), 1,
      sym_lambda_capture_specifier,
    STATE(6682), 1,
      sym__scope_resolution,
    ACTIONS(9881), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3820), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200005] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9883), 1,
      sym_identifier,
    ACTIONS(9885), 1,
      anon_sym_LPAREN2,
    ACTIONS(9887), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      anon_sym_requires,
    STATE(2223), 1,
      sym_template_type,
    STATE(6025), 1,
      sym_lambda_capture_specifier,
    STATE(6723), 1,
      sym__scope_resolution,
    ACTIONS(9889), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1971), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200057] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9795), 1,
      anon_sym_requires,
    ACTIONS(9879), 1,
      anon_sym_LPAREN2,
    STATE(3071), 1,
      sym_template_type,
    STATE(6045), 1,
      sym_lambda_capture_specifier,
    STATE(6682), 1,
      sym__scope_resolution,
    ACTIONS(9893), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3822), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200109] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    ACTIONS(9837), 1,
      anon_sym_requires,
    ACTIONS(9895), 1,
      anon_sym_LPAREN2,
    STATE(2994), 1,
      sym_template_type,
    STATE(6056), 1,
      sym_lambda_capture_specifier,
    STATE(6705), 1,
      sym__scope_resolution,
    ACTIONS(9897), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3675), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7215), 1,
      anon_sym_requires,
    STATE(5840), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9699), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200203] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7215), 1,
      anon_sym_requires,
    STATE(5878), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9901), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200245] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(9024), 1,
      anon_sym_requires,
    STATE(5830), 1,
      sym_trailing_return_type,
    ACTIONS(8961), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200287] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(9903), 1,
      sym_identifier,
    ACTIONS(9905), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5578), 1,
      sym__scope_resolution,
    STATE(7028), 1,
      sym_operator_cast,
    STATE(7214), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8312), 1,
      sym_decltype,
    STATE(8454), 1,
      sym_ms_based_modifier,
  [200357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(5748), 1,
      sym_trailing_return_type,
    ACTIONS(9416), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200399] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    ACTIONS(9837), 1,
      anon_sym_requires,
    ACTIONS(9895), 1,
      anon_sym_LPAREN2,
    STATE(2994), 1,
      sym_template_type,
    STATE(6056), 1,
      sym_lambda_capture_specifier,
    STATE(6705), 1,
      sym__scope_resolution,
    ACTIONS(9907), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3676), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9911), 1,
      anon_sym_LPAREN2,
    STATE(5782), 1,
      sym_preproc_argument_list,
    ACTIONS(9913), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9909), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [200485] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    ACTIONS(9803), 1,
      anon_sym_requires,
    ACTIONS(9915), 1,
      anon_sym_LPAREN2,
    STATE(2485), 1,
      sym_template_type,
    STATE(6061), 1,
      sym_lambda_capture_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    ACTIONS(9917), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5991), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200537] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9923), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(6035), 1,
      sym_lambda_capture_specifier,
    STATE(6725), 1,
      sym__scope_resolution,
    ACTIONS(9921), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6209), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200589] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    ACTIONS(9821), 1,
      anon_sym_requires,
    ACTIONS(9925), 1,
      anon_sym_LPAREN2,
    STATE(2586), 1,
      sym_template_type,
    STATE(6036), 1,
      sym_lambda_capture_specifier,
    STATE(6707), 1,
      sym__scope_resolution,
    ACTIONS(9927), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2858), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200641] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    ACTIONS(9821), 1,
      anon_sym_requires,
    ACTIONS(9925), 1,
      anon_sym_LPAREN2,
    STATE(2586), 1,
      sym_template_type,
    STATE(6036), 1,
      sym_lambda_capture_specifier,
    STATE(6707), 1,
      sym__scope_resolution,
    ACTIONS(9929), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2859), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200693] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9885), 1,
      anon_sym_LPAREN2,
    ACTIONS(9891), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(6026), 1,
      sym_lambda_capture_specifier,
    STATE(6720), 1,
      sym__scope_resolution,
    ACTIONS(9931), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6523), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200745] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    ACTIONS(9829), 1,
      anon_sym_requires,
    ACTIONS(9933), 1,
      anon_sym_LPAREN2,
    STATE(2953), 1,
      sym_template_type,
    STATE(6059), 1,
      sym_lambda_capture_specifier,
    STATE(6687), 1,
      sym__scope_resolution,
    ACTIONS(9935), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6232), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(9735), 1,
      anon_sym_requires,
    STATE(5739), 1,
      sym_trailing_return_type,
    ACTIONS(9699), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200839] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9719), 1,
      sym_identifier,
    ACTIONS(9937), 1,
      anon_sym_LPAREN2,
    ACTIONS(9941), 1,
      anon_sym_requires,
    STATE(4590), 1,
      sym_template_type,
    STATE(6018), 1,
      sym_lambda_capture_specifier,
    STATE(6708), 1,
      sym__scope_resolution,
    ACTIONS(9939), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5938), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200891] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(9946), 1,
      anon_sym_requires,
    STATE(5833), 1,
      sym_trailing_return_type,
    ACTIONS(9901), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200933] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9923), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(6035), 1,
      sym_lambda_capture_specifier,
    STATE(6725), 1,
      sym__scope_resolution,
    ACTIONS(9949), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5871), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [200985] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    ACTIONS(9803), 1,
      anon_sym_requires,
    ACTIONS(9915), 1,
      anon_sym_LPAREN2,
    STATE(3885), 1,
      sym_template_type,
    STATE(6061), 1,
      sym_lambda_capture_specifier,
    STATE(6662), 1,
      sym__scope_resolution,
    ACTIONS(9951), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4426), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201037] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    ACTIONS(9803), 1,
      anon_sym_requires,
    ACTIONS(9915), 1,
      anon_sym_LPAREN2,
    STATE(3885), 1,
      sym_template_type,
    STATE(6061), 1,
      sym_lambda_capture_specifier,
    STATE(6662), 1,
      sym__scope_resolution,
    ACTIONS(9953), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3507), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201089] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7215), 1,
      anon_sym_requires,
    STATE(5734), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9416), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [201131] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9883), 1,
      sym_identifier,
    ACTIONS(9885), 1,
      anon_sym_LPAREN2,
    ACTIONS(9887), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      anon_sym_requires,
    STATE(2223), 1,
      sym_template_type,
    STATE(6025), 1,
      sym_lambda_capture_specifier,
    STATE(6723), 1,
      sym__scope_resolution,
    ACTIONS(9955), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2218), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201183] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    ACTIONS(9829), 1,
      anon_sym_requires,
    ACTIONS(9933), 1,
      anon_sym_LPAREN2,
    STATE(2953), 1,
      sym_template_type,
    STATE(6059), 1,
      sym_lambda_capture_specifier,
    STATE(6687), 1,
      sym__scope_resolution,
    ACTIONS(9957), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6220), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201235] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    ACTIONS(9803), 1,
      anon_sym_requires,
    ACTIONS(9915), 1,
      anon_sym_LPAREN2,
    STATE(2485), 1,
      sym_template_type,
    STATE(6061), 1,
      sym_lambda_capture_specifier,
    STATE(6679), 1,
      sym__scope_resolution,
    ACTIONS(9959), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4391), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201287] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(9961), 1,
      sym_identifier,
    ACTIONS(9963), 1,
      anon_sym_TILDE,
    ACTIONS(9965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9967), 1,
      anon_sym_template,
    ACTIONS(9969), 1,
      anon_sym_operator,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(7028), 1,
      sym_operator_cast,
    STATE(7214), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8312), 1,
      sym_decltype,
    STATE(8457), 1,
      sym_ms_based_modifier,
  [201357] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    ACTIONS(9803), 1,
      anon_sym_requires,
    ACTIONS(9915), 1,
      anon_sym_LPAREN2,
    STATE(2485), 1,
      sym_template_type,
    STATE(6061), 1,
      sym_lambda_capture_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    ACTIONS(9971), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5983), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201409] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9885), 1,
      anon_sym_LPAREN2,
    ACTIONS(9891), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(6026), 1,
      sym_lambda_capture_specifier,
    STATE(6720), 1,
      sym__scope_resolution,
    ACTIONS(9973), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6508), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201461] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9885), 1,
      anon_sym_LPAREN2,
    ACTIONS(9891), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(6026), 1,
      sym_lambda_capture_specifier,
    STATE(6720), 1,
      sym__scope_resolution,
    ACTIONS(9889), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1971), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201513] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    ACTIONS(9803), 1,
      anon_sym_requires,
    ACTIONS(9915), 1,
      anon_sym_LPAREN2,
    STATE(2485), 1,
      sym_template_type,
    STATE(6061), 1,
      sym_lambda_capture_specifier,
    STATE(6679), 1,
      sym__scope_resolution,
    ACTIONS(9953), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3507), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201565] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9923), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(6035), 1,
      sym_lambda_capture_specifier,
    STATE(6717), 1,
      sym__scope_resolution,
    ACTIONS(9975), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5868), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201617] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9923), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(6035), 1,
      sym_lambda_capture_specifier,
    STATE(6717), 1,
      sym__scope_resolution,
    ACTIONS(9949), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5871), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201669] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9719), 1,
      sym_identifier,
    ACTIONS(9937), 1,
      anon_sym_LPAREN2,
    ACTIONS(9941), 1,
      anon_sym_requires,
    STATE(4590), 1,
      sym_template_type,
    STATE(6018), 1,
      sym_lambda_capture_specifier,
    STATE(6708), 1,
      sym__scope_resolution,
    ACTIONS(9977), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5889), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201721] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9923), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(6035), 1,
      sym_lambda_capture_specifier,
    STATE(6717), 1,
      sym__scope_resolution,
    ACTIONS(9979), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5768), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201773] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    ACTIONS(9829), 1,
      anon_sym_requires,
    ACTIONS(9933), 1,
      anon_sym_LPAREN2,
    STATE(2953), 1,
      sym_template_type,
    STATE(6059), 1,
      sym_lambda_capture_specifier,
    STATE(6701), 1,
      sym__scope_resolution,
    ACTIONS(9981), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5012), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201825] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9719), 1,
      sym_identifier,
    ACTIONS(9937), 1,
      anon_sym_LPAREN2,
    ACTIONS(9941), 1,
      anon_sym_requires,
    STATE(4590), 1,
      sym_template_type,
    STATE(6018), 1,
      sym_lambda_capture_specifier,
    STATE(6708), 1,
      sym__scope_resolution,
    ACTIONS(9983), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5890), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201877] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    ACTIONS(9829), 1,
      anon_sym_requires,
    ACTIONS(9933), 1,
      anon_sym_LPAREN2,
    STATE(2953), 1,
      sym_template_type,
    STATE(6059), 1,
      sym_lambda_capture_specifier,
    STATE(6687), 1,
      sym__scope_resolution,
    ACTIONS(9985), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4367), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201929] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    ACTIONS(9829), 1,
      anon_sym_requires,
    ACTIONS(9933), 1,
      anon_sym_LPAREN2,
    STATE(2953), 1,
      sym_template_type,
    STATE(6059), 1,
      sym_lambda_capture_specifier,
    STATE(6701), 1,
      sym__scope_resolution,
    ACTIONS(9985), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4367), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [201981] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    ACTIONS(9803), 1,
      anon_sym_requires,
    ACTIONS(9915), 1,
      anon_sym_LPAREN2,
    STATE(2485), 1,
      sym_template_type,
    STATE(6061), 1,
      sym_lambda_capture_specifier,
    STATE(6680), 1,
      sym__scope_resolution,
    ACTIONS(9953), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3507), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [202033] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9923), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(6035), 1,
      sym_lambda_capture_specifier,
    STATE(6725), 1,
      sym__scope_resolution,
    ACTIONS(9987), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6201), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [202085] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(2715), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(9989), 1,
      sym_identifier,
    ACTIONS(9991), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5613), 1,
      sym__scope_resolution,
    STATE(7028), 1,
      sym_operator_cast,
    STATE(7214), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8312), 1,
      sym_decltype,
    STATE(8454), 1,
      sym_ms_based_modifier,
  [202155] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_DASH_GT,
    ACTIONS(7215), 1,
      anon_sym_requires,
    STATE(5777), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8961), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [202197] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9883), 1,
      sym_identifier,
    ACTIONS(9885), 1,
      anon_sym_LPAREN2,
    ACTIONS(9887), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9891), 1,
      anon_sym_requires,
    STATE(2223), 1,
      sym_template_type,
    STATE(6025), 1,
      sym_lambda_capture_specifier,
    STATE(6723), 1,
      sym__scope_resolution,
    ACTIONS(9993), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2233), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [202249] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    ACTIONS(9813), 1,
      anon_sym_requires,
    ACTIONS(9995), 1,
      anon_sym_LPAREN2,
    STATE(3175), 1,
      sym_template_type,
    STATE(6019), 1,
      sym_lambda_capture_specifier,
    STATE(6702), 1,
      sym__scope_resolution,
    ACTIONS(9997), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4029), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [202301] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    ACTIONS(9813), 1,
      anon_sym_requires,
    ACTIONS(9995), 1,
      anon_sym_LPAREN2,
    STATE(3175), 1,
      sym_template_type,
    STATE(6019), 1,
      sym_lambda_capture_specifier,
    STATE(6702), 1,
      sym__scope_resolution,
    ACTIONS(9999), 2,
      sym_true,
      sym_false,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4032), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [202353] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8247), 1,
      anon_sym_STAR,
    ACTIONS(8249), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8251), 1,
      anon_sym_AMP,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6422), 1,
      sym__abstract_declarator,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8328), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [202399] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3139), 1,
      sym_field_declaration_list,
    STATE(3335), 1,
      sym__class_declaration_item,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym_virtual_specifier,
    STATE(8031), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202458] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3016), 1,
      sym__class_declaration_item,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5679), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202517] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    ACTIONS(10001), 1,
      anon_sym_SEMI,
    STATE(5552), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8124), 1,
      sym_attribute_specifier,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [202570] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2343), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202629] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2324), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5678), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202688] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2328), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5685), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202747] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3350), 1,
      sym_field_declaration_list,
    STATE(3729), 1,
      sym__class_declaration_item,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7131), 1,
      sym_virtual_specifier,
    STATE(7726), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202806] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3350), 1,
      sym_field_declaration_list,
    STATE(3732), 1,
      sym__class_declaration_item,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7131), 1,
      sym_virtual_specifier,
    STATE(7726), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202865] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3350), 1,
      sym_field_declaration_list,
    STATE(3756), 1,
      sym__class_declaration_item,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7131), 1,
      sym_virtual_specifier,
    STATE(7726), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202924] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3350), 1,
      sym_field_declaration_list,
    STATE(3759), 1,
      sym__class_declaration_item,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7131), 1,
      sym_virtual_specifier,
    STATE(7726), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5629), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [202983] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3350), 1,
      sym_field_declaration_list,
    STATE(3660), 1,
      sym__class_declaration_item,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(7131), 1,
      sym_virtual_specifier,
    STATE(7726), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203042] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_field_declaration_list,
    STATE(3407), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_virtual_specifier,
    STATE(7994), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5632), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203101] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_field_declaration_list,
    STATE(3411), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_virtual_specifier,
    STATE(7994), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203160] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_field_declaration_list,
    STATE(3382), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_virtual_specifier,
    STATE(7994), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203219] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_field_declaration_list,
    STATE(3438), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_virtual_specifier,
    STATE(7994), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203278] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_field_declaration_list,
    STATE(3472), 1,
      sym__class_declaration_item,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_virtual_specifier,
    STATE(7994), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203337] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4969), 1,
      sym__class_declaration_item,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5655), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203396] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203455] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(5070), 1,
      sym__class_declaration_item,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203514] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3139), 1,
      sym_field_declaration_list,
    STATE(3302), 1,
      sym__class_declaration_item,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym_virtual_specifier,
    STATE(8031), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5619), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203573] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4940), 1,
      sym_field_declaration_list,
    STATE(5078), 1,
      sym__class_declaration_item,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7698), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5641), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203632] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4940), 1,
      sym_field_declaration_list,
    STATE(5094), 1,
      sym__class_declaration_item,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7698), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203691] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4940), 1,
      sym_field_declaration_list,
    STATE(5076), 1,
      sym__class_declaration_item,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7698), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203750] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4940), 1,
      sym_field_declaration_list,
    STATE(5103), 1,
      sym__class_declaration_item,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7698), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203809] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4940), 1,
      sym_field_declaration_list,
    STATE(5136), 1,
      sym__class_declaration_item,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7698), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4542), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203868] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(10003), 1,
      sym_identifier,
    ACTIONS(10005), 1,
      anon_sym_template,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5644), 1,
      sym__scope_resolution,
    STATE(7028), 1,
      sym_operator_cast,
    STATE(7214), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8454), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [203931] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2309), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [203990] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10019), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5707), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [204033] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3139), 1,
      sym_field_declaration_list,
    STATE(3307), 1,
      sym__class_declaration_item,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym_virtual_specifier,
    STATE(8031), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204092] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10023), 1,
      anon_sym_RPAREN,
    ACTIONS(10025), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5675), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [204135] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10027), 1,
      anon_sym_RPAREN,
    ACTIONS(10029), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5659), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [204178] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2519), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5661), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10033), 1,
      anon_sym_LPAREN2,
    ACTIONS(10035), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10031), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204268] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    ACTIONS(10037), 1,
      anon_sym_SEMI,
    STATE(5564), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8437), 1,
      sym_attribute_specifier,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [204321] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2328), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5657), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204380] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204439] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(5032), 1,
      sym__class_declaration_item,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204498] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4994), 1,
      sym__class_declaration_item,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204557] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2343), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204616] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2324), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5662), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_COMMA,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10049), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10051), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10053), 1,
      anon_sym_PIPE,
    ACTIONS(10055), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    STATE(7522), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [204730] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4997), 1,
      sym__class_declaration_item,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204789] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2533), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204848] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2309), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204907] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2544), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5714), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [204966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10069), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10067), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10073), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10071), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205024] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_field_declaration_list,
    STATE(2705), 1,
      sym__class_declaration_item,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7087), 1,
      sym_virtual_specifier,
    STATE(7981), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5670), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205083] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_field_declaration_list,
    STATE(2759), 1,
      sym__class_declaration_item,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7087), 1,
      sym_virtual_specifier,
    STATE(7981), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205142] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3139), 1,
      sym_field_declaration_list,
    STATE(3345), 1,
      sym__class_declaration_item,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym_virtual_specifier,
    STATE(8031), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5676), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205201] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2541), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205260] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_field_declaration_list,
    STATE(2728), 1,
      sym__class_declaration_item,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7087), 1,
      sym_virtual_specifier,
    STATE(7981), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205319] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_field_declaration_list,
    STATE(2733), 1,
      sym__class_declaration_item,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7087), 1,
      sym_virtual_specifier,
    STATE(7981), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5672), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205378] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_field_declaration_list,
    STATE(2749), 1,
      sym__class_declaration_item,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(7087), 1,
      sym_virtual_specifier,
    STATE(7981), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205437] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    ACTIONS(10075), 1,
      anon_sym_SEMI,
    STATE(5566), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8490), 1,
      sym_attribute_specifier,
    STATE(8505), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [205490] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(8259), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8261), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym___attribute,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6466), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8328), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_COMMA,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10049), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10051), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10053), 1,
      anon_sym_PIPE,
    ACTIONS(10055), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    ACTIONS(10077), 1,
      anon_sym_RPAREN,
    STATE(7536), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [205592] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3139), 1,
      sym_field_declaration_list,
    STATE(3299), 1,
      sym__class_declaration_item,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym_virtual_specifier,
    STATE(8031), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205651] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2519), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5705), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2309), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205769] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(2989), 1,
      sym__class_declaration_item,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205828] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205887] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(2343), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [205946] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(2324), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5684), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206005] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2541), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206064] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(2309), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206123] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2343), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206182] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4969), 1,
      sym__class_declaration_item,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5688), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206241] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(5070), 1,
      sym__class_declaration_item,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206300] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(5032), 1,
      sym__class_declaration_item,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206359] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4994), 1,
      sym__class_declaration_item,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5690), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206418] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4770), 1,
      sym_field_declaration_list,
    STATE(4997), 1,
      sym__class_declaration_item,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_virtual_specifier,
    STATE(7895), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206477] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4148), 1,
      sym_field_declaration_list,
    STATE(4261), 1,
      sym__class_declaration_item,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3385), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5702), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206536] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4148), 1,
      sym_field_declaration_list,
    STATE(4270), 1,
      sym__class_declaration_item,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3385), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206595] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2324), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2255), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206654] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    STATE(4420), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5884), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10079), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206693] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8273), 1,
      anon_sym_STAR,
    ACTIONS(8275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8277), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym___attribute,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6479), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8328), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [206740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10085), 1,
      anon_sym_LBRACK,
    STATE(4420), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10083), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206779] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3006), 1,
      sym__class_declaration_item,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5699), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206838] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3012), 1,
      sym__class_declaration_item,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206897] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3007), 1,
      sym__class_declaration_item,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [206956] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3016), 1,
      sym__class_declaration_item,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5701), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207015] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(2989), 1,
      sym__class_declaration_item,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207074] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4148), 1,
      sym_field_declaration_list,
    STATE(4280), 1,
      sym__class_declaration_item,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3385), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207133] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4148), 1,
      sym_field_declaration_list,
    STATE(4284), 1,
      sym__class_declaration_item,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3385), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5704), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207192] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4148), 1,
      sym_field_declaration_list,
    STATE(4300), 1,
      sym__class_declaration_item,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(7037), 1,
      sym_virtual_specifier,
    STATE(7739), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3385), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207251] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2533), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207310] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2544), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5726), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_COMMA,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10049), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10051), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10053), 1,
      anon_sym_PIPE,
    ACTIONS(10055), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    ACTIONS(10087), 1,
      anon_sym_RPAREN,
    STATE(7476), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [207424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6068), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10079), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10091), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10089), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10095), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10093), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207521] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2541), 1,
      sym__class_declaration_item,
    STATE(5350), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7121), 1,
      sym_virtual_specifier,
    STATE(7961), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207580] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2533), 1,
      sym__class_declaration_item,
    STATE(5350), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7121), 1,
      sym_virtual_specifier,
    STATE(7961), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207639] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2544), 1,
      sym__class_declaration_item,
    STATE(5350), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7121), 1,
      sym_virtual_specifier,
    STATE(7961), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5715), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207698] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2501), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207757] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2501), 1,
      sym__class_declaration_item,
    STATE(5350), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7121), 1,
      sym_virtual_specifier,
    STATE(7961), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207816] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2328), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5718), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207875] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207934] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2343), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [207993] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2324), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5720), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208052] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2309), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208111] = 5,
    ACTIONS(9909), 1,
      anon_sym_LF,
    ACTIONS(10097), 1,
      anon_sym_LPAREN2,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(5931), 1,
      sym_preproc_argument_list,
    ACTIONS(9913), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [208144] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3006), 1,
      sym__class_declaration_item,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5730), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208203] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3012), 1,
      sym__class_declaration_item,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(10085), 1,
      anon_sym_LBRACK,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10083), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208301] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2519), 1,
      sym__class_declaration_item,
    STATE(5350), 1,
      sym_field_declaration_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(7121), 1,
      sym_virtual_specifier,
    STATE(7961), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208360] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2501), 1,
      sym__class_declaration_item,
    STATE(2781), 1,
      sym_field_declaration_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym_virtual_specifier,
    STATE(8033), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2602), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208419] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2328), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5622), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208478] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2332), 1,
      sym__class_declaration_item,
    STATE(2367), 1,
      sym_field_declaration_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym_virtual_specifier,
    STATE(7905), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10103), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10101), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208566] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2977), 1,
      sym_field_declaration_list,
    STATE(3007), 1,
      sym__class_declaration_item,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_virtual_specifier,
    STATE(7730), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208625] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(2328), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_field_declaration_list,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym_virtual_specifier,
    STATE(8014), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5681), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208684] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10105), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5937), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208724] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(9963), 1,
      anon_sym_TILDE,
    ACTIONS(10107), 1,
      sym_identifier,
    ACTIONS(10109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      anon_sym_template,
    ACTIONS(10113), 1,
      anon_sym_operator,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5733), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8457), 1,
      sym_ms_based_modifier,
  [208788] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9699), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [208824] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10125), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5924), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208864] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10129), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5788), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208904] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10131), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5789), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208944] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10133), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5790), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208984] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9946), 1,
      anon_sym_requires,
    ACTIONS(9901), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [209020] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(10135), 1,
      sym_identifier,
    ACTIONS(10137), 1,
      anon_sym_TILDE,
    ACTIONS(10139), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10141), 1,
      anon_sym_template,
    ACTIONS(10143), 1,
      anon_sym_operator,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(2845), 1,
      sym_destructor_name,
    STATE(2846), 1,
      sym_dependent_identifier,
    STATE(2860), 1,
      sym_qualified_identifier,
    STATE(2869), 1,
      sym_operator_name,
    STATE(2889), 1,
      sym_pointer_type_declarator,
    STATE(2931), 1,
      sym_template_function,
    STATE(5740), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8457), 1,
      sym_ms_based_modifier,
  [209084] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10145), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5794), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10147), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5795), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10149), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5797), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209204] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10159), 1,
      anon_sym_RBRACK,
    ACTIONS(10161), 1,
      sym_this,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [209256] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9024), 1,
      anon_sym_requires,
    ACTIONS(8961), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [209292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10163), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5798), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209332] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10165), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5801), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209372] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9735), 1,
      anon_sym_requires,
    ACTIONS(9699), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [209408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(10167), 1,
      sym_identifier,
    ACTIONS(10169), 1,
      anon_sym_TILDE,
    ACTIONS(10171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10173), 1,
      anon_sym_template,
    ACTIONS(10175), 1,
      anon_sym_operator,
    STATE(2975), 1,
      sym_template_type,
    STATE(2976), 1,
      sym_dependent_type_identifier,
    STATE(3045), 1,
      sym_qualified_type_identifier,
    STATE(3812), 1,
      sym_template_function,
    STATE(3813), 1,
      sym_destructor_name,
    STATE(3826), 1,
      sym_dependent_identifier,
    STATE(3844), 1,
      sym_qualified_identifier,
    STATE(3864), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_pointer_type_declarator,
    STATE(5749), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8872), 1,
      sym_ms_based_modifier,
  [209472] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10177), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [209524] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10179), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [209576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10183), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10181), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [209604] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(10185), 1,
      sym_identifier,
    ACTIONS(10187), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5753), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8454), 1,
      sym_ms_based_modifier,
  [209668] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(10189), 1,
      sym_identifier,
    ACTIONS(10191), 1,
      anon_sym_TILDE,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      anon_sym_template,
    ACTIONS(10197), 1,
      anon_sym_operator,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3716), 1,
      sym_pointer_type_declarator,
    STATE(3718), 1,
      sym_template_function,
    STATE(3719), 1,
      sym_destructor_name,
    STATE(3720), 1,
      sym_dependent_identifier,
    STATE(3722), 1,
      sym_qualified_identifier,
    STATE(3723), 1,
      sym_operator_name,
    STATE(5754), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8960), 1,
      sym_ms_based_modifier,
  [209732] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6958), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [209782] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(10169), 1,
      anon_sym_TILDE,
    ACTIONS(10175), 1,
      anon_sym_operator,
    ACTIONS(10199), 1,
      sym_identifier,
    ACTIONS(10201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3812), 1,
      sym_template_function,
    STATE(3813), 1,
      sym_destructor_name,
    STATE(3826), 1,
      sym_dependent_identifier,
    STATE(3844), 1,
      sym_qualified_identifier,
    STATE(3864), 1,
      sym_operator_name,
    STATE(3898), 1,
      sym_pointer_type_declarator,
    STATE(5756), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8872), 1,
      sym_ms_based_modifier,
  [209846] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      anon_sym_STAR,
    ACTIONS(8306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6532), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8328), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [209890] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(10205), 1,
      sym_identifier,
    ACTIONS(10207), 1,
      anon_sym_TILDE,
    ACTIONS(10209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10211), 1,
      anon_sym_template,
    ACTIONS(10213), 1,
      anon_sym_operator,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3483), 1,
      sym_template_function,
    STATE(3516), 1,
      sym_destructor_name,
    STATE(3583), 1,
      sym_dependent_identifier,
    STATE(3587), 1,
      sym_operator_name,
    STATE(3598), 1,
      sym_pointer_type_declarator,
    STATE(3607), 1,
      sym_qualified_identifier,
    STATE(5758), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8960), 1,
      sym_ms_based_modifier,
  [209954] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(10137), 1,
      anon_sym_TILDE,
    ACTIONS(10143), 1,
      anon_sym_operator,
    ACTIONS(10215), 1,
      sym_identifier,
    ACTIONS(10217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10219), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(2845), 1,
      sym_destructor_name,
    STATE(2846), 1,
      sym_dependent_identifier,
    STATE(2860), 1,
      sym_qualified_identifier,
    STATE(2869), 1,
      sym_operator_name,
    STATE(2889), 1,
      sym_pointer_type_declarator,
    STATE(2931), 1,
      sym_template_function,
    STATE(5759), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8457), 1,
      sym_ms_based_modifier,
  [210018] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10049), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10051), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10053), 1,
      anon_sym_PIPE,
    ACTIONS(10055), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10221), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [210068] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6963), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [210118] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10223), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [210170] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(10207), 1,
      anon_sym_TILDE,
    ACTIONS(10213), 1,
      anon_sym_operator,
    ACTIONS(10225), 1,
      sym_identifier,
    ACTIONS(10227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10229), 1,
      anon_sym_template,
    STATE(2474), 1,
      sym_qualified_type_identifier,
    STATE(2484), 1,
      sym_dependent_type_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(3483), 1,
      sym_template_function,
    STATE(3516), 1,
      sym_destructor_name,
    STATE(3583), 1,
      sym_dependent_identifier,
    STATE(3587), 1,
      sym_operator_name,
    STATE(3598), 1,
      sym_pointer_type_declarator,
    STATE(3607), 1,
      sym_qualified_identifier,
    STATE(5763), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8960), 1,
      sym_ms_based_modifier,
  [210234] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10231), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [210286] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10233), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [210338] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(10235), 1,
      sym_identifier,
    ACTIONS(10237), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5766), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8454), 1,
      sym_ms_based_modifier,
  [210402] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6945), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [210452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10239), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10241), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5565), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210484] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10243), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [210536] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10245), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5945), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [210576] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_STAR,
    ACTIONS(8288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8290), 1,
      anon_sym_AMP,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6606), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8328), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210620] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10247), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [210672] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10249), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5974), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [210712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10251), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5964), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [210752] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10253), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5946), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [210792] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10255), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5948), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [210832] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9416), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [210868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10257), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5951), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [210908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5504), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210936] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6972), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [210986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10259), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5965), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [211026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10263), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10261), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [211054] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6944), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [211104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5508), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10267), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10265), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [211160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10271), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10269), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [211192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10271), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10269), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [211220] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10051), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10053), 1,
      anon_sym_PIPE,
    ACTIONS(10055), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10269), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [211268] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10053), 1,
      anon_sym_PIPE,
    ACTIONS(10055), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10269), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [211314] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10055), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    ACTIONS(10271), 1,
      anon_sym_PIPE,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10269), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [211360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5516), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5516), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5516), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    ACTIONS(10271), 1,
      anon_sym_PIPE,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10269), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [211488] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10271), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10269), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [211530] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6976), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [211580] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10271), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10269), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [211620] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10271), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10269), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [211656] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6984), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [211706] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4731), 1,
      anon_sym_RBRACK,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [211758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10271), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10269), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [211792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(1976), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211820] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10273), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5952), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [211860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10275), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5953), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [211900] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10277), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5954), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [211940] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10279), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [211992] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10281), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5956), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [212032] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4731), 1,
      anon_sym_RBRACK,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10283), 1,
      sym_identifier,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [212084] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6930), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(1956), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5500), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10285), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5905), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [212230] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6937), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5492), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212308] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6939), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212358] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10287), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5916), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [212398] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10289), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [212450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5472), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212478] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10291), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [212530] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6962), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5512), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212608] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(10137), 1,
      anon_sym_TILDE,
    ACTIONS(10143), 1,
      anon_sym_operator,
    ACTIONS(10293), 1,
      sym_identifier,
    ACTIONS(10295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10297), 1,
      anon_sym_template,
    STATE(2474), 1,
      sym_qualified_type_identifier,
    STATE(2484), 1,
      sym_dependent_type_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(2845), 1,
      sym_destructor_name,
    STATE(2846), 1,
      sym_dependent_identifier,
    STATE(2860), 1,
      sym_qualified_identifier,
    STATE(2869), 1,
      sym_operator_name,
    STATE(2889), 1,
      sym_pointer_type_declarator,
    STATE(2931), 1,
      sym_template_function,
    STATE(5822), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8457), 1,
      sym_ms_based_modifier,
  [212672] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6977), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10301), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10299), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212750] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(10191), 1,
      anon_sym_TILDE,
    ACTIONS(10197), 1,
      anon_sym_operator,
    ACTIONS(10303), 1,
      sym_identifier,
    ACTIONS(10305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10307), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(3716), 1,
      sym_pointer_type_declarator,
    STATE(3718), 1,
      sym_template_function,
    STATE(3719), 1,
      sym_destructor_name,
    STATE(3720), 1,
      sym_dependent_identifier,
    STATE(3722), 1,
      sym_qualified_identifier,
    STATE(3723), 1,
      sym_operator_name,
    STATE(5825), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8960), 1,
      sym_ms_based_modifier,
  [212814] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6954), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212864] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6959), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212914] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6990), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [212964] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6973), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [213014] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      anon_sym_requires,
    ACTIONS(9416), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [213050] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10309), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5932), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213090] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10311), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [213142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10320), 1,
      anon_sym_requires,
    ACTIONS(10315), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10317), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6071), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [213178] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10323), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [213230] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10325), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [213282] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10327), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5970), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213322] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6940), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [213372] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(10191), 1,
      anon_sym_TILDE,
    ACTIONS(10197), 1,
      anon_sym_operator,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      anon_sym_template,
    STATE(2474), 1,
      sym_qualified_type_identifier,
    STATE(2484), 1,
      sym_dependent_type_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(3716), 1,
      sym_pointer_type_declarator,
    STATE(3718), 1,
      sym_template_function,
    STATE(3719), 1,
      sym_destructor_name,
    STATE(3720), 1,
      sym_dependent_identifier,
    STATE(3722), 1,
      sym_qualified_identifier,
    STATE(3723), 1,
      sym_operator_name,
    STATE(5838), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8960), 1,
      sym_ms_based_modifier,
  [213436] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10335), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5957), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213476] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9901), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [213512] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10337), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5919), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213552] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10339), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5958), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213592] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10341), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [213644] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10343), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [213696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10345), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5928), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213736] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8961), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [213772] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6510), 1,
      sym__type_declarator,
    STATE(6968), 1,
      sym__type_definition_declarators,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [213822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10349), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10347), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [213850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5496), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10351), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5760), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213918] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10353), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [213970] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10355), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [214022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10359), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10357), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214050] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10361), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [214102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7342), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5476), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5484), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10363), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5921), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10367), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10365), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214254] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10369), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5899), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10371), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5786), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214334] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10373), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5907), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214374] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10375), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5912), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10379), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10377), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5480), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214470] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10381), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5859), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214510] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(10137), 1,
      anon_sym_TILDE,
    ACTIONS(10143), 1,
      anon_sym_operator,
    ACTIONS(10383), 1,
      sym_identifier,
    ACTIONS(10385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10387), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(2845), 1,
      sym_destructor_name,
    STATE(2846), 1,
      sym_dependent_identifier,
    STATE(2860), 1,
      sym_qualified_identifier,
    STATE(2869), 1,
      sym_operator_name,
    STATE(2889), 1,
      sym_pointer_type_declarator,
    STATE(2931), 1,
      sym_template_function,
    STATE(5867), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
    STATE(8457), 1,
      sym_ms_based_modifier,
  [214574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10241), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5624), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10389), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5960), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214644] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10391), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [214696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5488), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214724] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10393), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [214776] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10395), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [214828] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10397), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [214880] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10399), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [214932] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10401), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [214984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10115), 1,
      sym_identifier,
    ACTIONS(10117), 1,
      anon_sym_LPAREN2,
    ACTIONS(10119), 1,
      anon_sym_defined,
    ACTIONS(10403), 1,
      sym_number_literal,
    ACTIONS(10121), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10123), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10127), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5963), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215024] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(10315), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6071), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215060] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN2,
    ACTIONS(10013), 1,
      anon_sym_defined,
    ACTIONS(10405), 1,
      sym_number_literal,
    ACTIONS(10015), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10017), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10021), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5787), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215100] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4733), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10155), 1,
      anon_sym_AMP,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_this,
    ACTIONS(10407), 1,
      anon_sym_RBRACK,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_lambda_default_capture,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7375), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [215152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5520), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(9402), 1,
      anon_sym_requires,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215215] = 3,
    ACTIONS(7342), 1,
      anon_sym_LF,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(7340), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10411), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10409), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215273] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6346), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [215320] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10413), 1,
      sym_identifier,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    STATE(977), 1,
      sym_template_type,
    STATE(1026), 1,
      sym_field_declaration_list,
    STATE(6034), 1,
      sym_attribute_declaration,
    STATE(6681), 1,
      sym__scope_resolution,
    STATE(7049), 1,
      sym_virtual_specifier,
    STATE(7752), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(950), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 1,
      anon_sym___attribute,
    ACTIONS(5480), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 1,
      anon_sym___attribute,
    ACTIONS(5496), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym___attribute,
    ACTIONS(10417), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5624), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 1,
      anon_sym___attribute,
    ACTIONS(5488), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8426), 1,
      anon_sym_STAR,
    ACTIONS(10419), 1,
      sym_identifier,
    ACTIONS(10421), 1,
      anon_sym_template,
    STATE(5891), 1,
      sym__scope_resolution,
    STATE(6381), 1,
      sym_pointer_type_declarator,
    STATE(6384), 1,
      sym_template_function,
    STATE(6385), 1,
      sym_destructor_name,
    STATE(6386), 1,
      sym_dependent_identifier,
    STATE(6390), 1,
      sym_qualified_identifier,
    STATE(6394), 1,
      sym_operator_name,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [215542] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10181), 1,
      anon_sym_LF,
    ACTIONS(10183), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 1,
      anon_sym___attribute,
    ACTIONS(5476), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 1,
      anon_sym___attribute,
    ACTIONS(5484), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215623] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6805), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [215670] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10423), 1,
      sym_identifier,
    ACTIONS(10425), 1,
      anon_sym_COLON_COLON,
    STATE(340), 1,
      sym_template_type,
    STATE(504), 1,
      sym_field_declaration_list,
    STATE(6049), 1,
      sym_attribute_declaration,
    STATE(6698), 1,
      sym__scope_resolution,
    STATE(7162), 1,
      sym_virtual_specifier,
    STATE(7919), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(173), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215725] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_STAR,
    ACTIONS(8410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6650), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8328), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [215768] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10427), 1,
      sym_identifier,
    ACTIONS(10429), 1,
      anon_sym_COLON_COLON,
    STATE(157), 1,
      sym_template_type,
    STATE(224), 1,
      sym_field_declaration_list,
    STATE(6027), 1,
      sym_attribute_declaration,
    STATE(6706), 1,
      sym__scope_resolution,
    STATE(7138), 1,
      sym_virtual_specifier,
    STATE(7857), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(141), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215823] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10431), 1,
      anon_sym_LF,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [215868] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10453), 1,
      sym_identifier,
    ACTIONS(10455), 1,
      anon_sym_template,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(8454), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [215925] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9469), 1,
      anon_sym_requires,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215960] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6759), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(10003), 1,
      sym_identifier,
    ACTIONS(10005), 1,
      anon_sym_template,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5902), 1,
      sym__scope_resolution,
    STATE(8454), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [216017] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8438), 1,
      anon_sym_STAR,
    ACTIONS(8440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6827), 1,
      sym__type_declarator,
    STATE(8642), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 1,
      anon_sym___attribute,
    ACTIONS(5500), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216091] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10457), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [216136] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6841), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216183] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10459), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [216228] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8348), 1,
      sym_identifier,
    ACTIONS(8350), 1,
      anon_sym_LPAREN2,
    ACTIONS(8352), 1,
      anon_sym_STAR,
    ACTIONS(8354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_AMP,
    ACTIONS(8362), 1,
      sym_primitive_type,
    STATE(3322), 1,
      sym__type_declarator,
    STATE(3648), 1,
      sym_pointer_type_declarator,
    STATE(8872), 1,
      sym_ms_based_modifier,
    ACTIONS(8360), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3643), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216275] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(10464), 1,
      anon_sym_requires,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [216310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10081), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10079), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216341] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      anon_sym_STAR,
    ACTIONS(8386), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8388), 1,
      anon_sym_AMP,
    ACTIONS(8392), 1,
      sym_primitive_type,
    STATE(3258), 1,
      sym__type_declarator,
    STATE(3577), 1,
      sym_pointer_type_declarator,
    STATE(8960), 1,
      sym_ms_based_modifier,
    ACTIONS(8390), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216388] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10467), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [216433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 1,
      anon_sym___attribute,
    ACTIONS(5520), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216460] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      sym_identifier,
    ACTIONS(10471), 1,
      anon_sym_template,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(8454), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [216517] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10347), 1,
      anon_sym_LF,
    ACTIONS(10349), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216544] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10473), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [216589] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6814), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 1,
      anon_sym___attribute,
    ACTIONS(5492), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216663] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10049), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10051), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10053), 1,
      anon_sym_PIPE,
    ACTIONS(10055), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    ACTIONS(10475), 1,
      anon_sym_RPAREN,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216712] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10357), 1,
      anon_sym_LF,
    ACTIONS(10359), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216739] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10365), 1,
      anon_sym_LF,
    ACTIONS(10367), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216766] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10299), 1,
      anon_sym_LF,
    ACTIONS(10301), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [216828] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10477), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [216873] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10479), 1,
      sym_identifier,
    ACTIONS(10481), 1,
      anon_sym_COLON_COLON,
    STATE(252), 1,
      sym_template_type,
    STATE(494), 1,
      sym_field_declaration_list,
    STATE(6038), 1,
      sym_attribute_declaration,
    STATE(6704), 1,
      sym__scope_resolution,
    STATE(7082), 1,
      sym_virtual_specifier,
    STATE(7817), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(167), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 1,
      anon_sym___attribute,
    ACTIONS(5472), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 1,
      anon_sym___attribute,
    ACTIONS(5512), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216982] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10483), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [217027] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    ACTIONS(8400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8402), 1,
      anon_sym_AMP,
    ACTIONS(8406), 1,
      sym_primitive_type,
    STATE(6140), 1,
      sym__type_declarator,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(8586), 1,
      sym_ms_based_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10485), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6651), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6653), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217105] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10261), 1,
      anon_sym_LF,
    ACTIONS(10263), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217132] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10488), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [217177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(10315), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6149), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [217212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 1,
      anon_sym___attribute,
    ACTIONS(10493), 1,
      anon_sym_requires,
    ACTIONS(10490), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6149), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [217247] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(10496), 1,
      sym_identifier,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10500), 1,
      anon_sym_template,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8454), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [217304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      anon_sym___attribute,
    ACTIONS(5504), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217331] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_SLASH,
    ACTIONS(10049), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10051), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10053), 1,
      anon_sym_PIPE,
    ACTIONS(10055), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_AMP,
    ACTIONS(10502), 1,
      anon_sym_RPAREN,
    ACTIONS(10043), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10059), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10061), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10065), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      anon_sym___attribute,
    ACTIONS(10417), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10504), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5565), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217411] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10506), 1,
      sym_identifier,
    ACTIONS(10508), 1,
      anon_sym_COLON_COLON,
    STATE(273), 1,
      sym_template_type,
    STATE(448), 1,
      sym_field_declaration_list,
    STATE(6043), 1,
      sym_attribute_declaration,
    STATE(6674), 1,
      sym__scope_resolution,
    STATE(7213), 1,
      sym_virtual_specifier,
    STATE(7852), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(172), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217466] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6656), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 1,
      anon_sym___attribute,
    ACTIONS(5508), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217540] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10265), 1,
      anon_sym_LF,
    ACTIONS(10267), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217567] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [217602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym___attribute,
    ACTIONS(1976), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217629] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10271), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217658] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10271), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217685] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8438), 1,
      anon_sym_STAR,
    ACTIONS(10003), 1,
      sym_identifier,
    ACTIONS(10005), 1,
      anon_sym_template,
    STATE(3136), 1,
      sym_pointer_type_declarator,
    STATE(3140), 1,
      sym_template_function,
    STATE(3142), 1,
      sym_destructor_name,
    STATE(3143), 1,
      sym_dependent_identifier,
    STATE(3158), 1,
      sym_qualified_identifier,
    STATE(3166), 1,
      sym_operator_name,
    STATE(5947), 1,
      sym__scope_resolution,
    STATE(8642), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [217742] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10271), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [217787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym___attribute,
    ACTIONS(1956), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217814] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(9774), 1,
      anon_sym_requires,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [217849] = 11,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10271), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [217892] = 10,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10271), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [217933] = 9,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10271), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [217972] = 8,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10271), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [218009] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [218044] = 7,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10271), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [218079] = 6,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10271), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [218112] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10271), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [218143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10085), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10083), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218174] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10510), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [218219] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_LPAREN2,
    ACTIONS(8406), 1,
      sym_primitive_type,
    ACTIONS(8426), 1,
      anon_sym_STAR,
    ACTIONS(8428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8430), 1,
      anon_sym_AMP,
    STATE(6399), 1,
      sym_pointer_type_declarator,
    STATE(6753), 1,
      sym__type_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(8404), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6397), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218266] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8370), 1,
      anon_sym_STAR,
    ACTIONS(8372), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8374), 1,
      anon_sym_AMP,
    ACTIONS(8378), 1,
      sym_primitive_type,
    STATE(2634), 1,
      sym__type_declarator,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(8457), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218313] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10512), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [218358] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10514), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [218403] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10516), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [218448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 1,
      anon_sym___attribute,
    ACTIONS(5516), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218475] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10377), 1,
      anon_sym_LF,
    ACTIONS(10379), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [218502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 1,
      anon_sym___attribute,
    ACTIONS(5516), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218529] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN2,
    ACTIONS(8378), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_STAR,
    ACTIONS(8446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8448), 1,
      anon_sym_AMP,
    STATE(2678), 1,
      sym_pointer_type_declarator,
    STATE(6818), 1,
      sym__type_declarator,
    STATE(8454), 1,
      sym_ms_based_modifier,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2675), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218576] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10518), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [218621] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(2703), 1,
      anon_sym_TILDE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6353), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8398), 1,
      anon_sym_STAR,
    ACTIONS(10419), 1,
      sym_identifier,
    ACTIONS(10421), 1,
      anon_sym_template,
    STATE(5971), 1,
      sym__scope_resolution,
    STATE(6381), 1,
      sym_pointer_type_declarator,
    STATE(6384), 1,
      sym_template_function,
    STATE(6385), 1,
      sym_destructor_name,
    STATE(6386), 1,
      sym_dependent_identifier,
    STATE(6390), 1,
      sym_qualified_identifier,
    STATE(6394), 1,
      sym_operator_name,
    STATE(8586), 1,
      sym_ms_based_modifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [218678] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10522), 1,
      anon_sym_COLON_COLON,
    STATE(504), 1,
      sym_field_declaration_list,
    STATE(2234), 1,
      sym_template_type,
    STATE(6039), 1,
      sym_attribute_declaration,
    STATE(6729), 1,
      sym__scope_resolution,
    STATE(7239), 1,
      sym_virtual_specifier,
    STATE(8041), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6676), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 1,
      anon_sym___attribute,
    ACTIONS(5516), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218760] = 12,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10441), 1,
      anon_sym_PIPE,
    ACTIONS(10443), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_AMP,
    ACTIONS(10524), 1,
      anon_sym_LF,
    ACTIONS(10433), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10435), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10449), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [218805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [218840] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10526), 1,
      anon_sym_virtual,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(6552), 1,
      sym_access_specifier,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7558), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10530), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [218888] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_COLON,
    ACTIONS(10536), 1,
      anon_sym_SEMI,
    ACTIONS(10538), 1,
      anon_sym_LBRACE,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10544), 1,
      anon_sym_try,
    STATE(264), 1,
      sym_compound_statement,
    STATE(289), 1,
      sym_try_statement,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7424), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [218942] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10548), 1,
      anon_sym___attribute,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_requires,
    STATE(5830), 1,
      sym_trailing_return_type,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [219014] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10552), 1,
      anon_sym_COLON,
    ACTIONS(10554), 1,
      anon_sym_SEMI,
    ACTIONS(10556), 1,
      anon_sym_LBRACE,
    ACTIONS(10558), 1,
      anon_sym_try,
    STATE(570), 1,
      sym_compound_statement,
    STATE(571), 1,
      sym_try_statement,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7463), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [219068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(5840), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [219106] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10560), 1,
      anon_sym_COLON,
    ACTIONS(10562), 1,
      anon_sym_SEMI,
    ACTIONS(10564), 1,
      anon_sym_try,
    STATE(740), 1,
      sym_compound_statement,
    STATE(768), 1,
      sym_try_statement,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7351), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [219160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 2,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(10566), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5624), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [219188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9735), 1,
      anon_sym_requires,
    STATE(5739), 1,
      sym_trailing_return_type,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [219226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10570), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_requires,
    STATE(5748), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [219298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10574), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219332] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(5734), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [219370] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10578), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10582), 1,
      anon_sym___attribute,
    ACTIONS(10584), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5990), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10580), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 2,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(10566), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10587), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5565), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [219464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10582), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10589), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5992), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10580), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219494] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(5777), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [219532] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7697), 1,
      anon_sym_LPAREN2,
    ACTIONS(7711), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_STAR,
    ACTIONS(8474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8476), 1,
      anon_sym_AMP,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6150), 1,
      sym__function_declarator_seq,
    STATE(6663), 1,
      sym__abstract_declarator,
    ACTIONS(8328), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6106), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [219574] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10592), 1,
      anon_sym_COLON,
    ACTIONS(10594), 1,
      anon_sym_SEMI,
    ACTIONS(10596), 1,
      anon_sym_LBRACE,
    STATE(1903), 1,
      sym_compound_statement,
    STATE(1904), 1,
      sym_try_statement,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7667), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [219628] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10598), 1,
      anon_sym_virtual,
    STATE(2234), 1,
      sym_template_type,
    STATE(6591), 1,
      sym_access_specifier,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7111), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10530), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [219676] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10600), 1,
      anon_sym_COLON,
    ACTIONS(10602), 1,
      anon_sym_SEMI,
    ACTIONS(10604), 1,
      anon_sym_LBRACE,
    STATE(2036), 1,
      sym_compound_statement,
    STATE(2037), 1,
      sym_try_statement,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7554), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [219730] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10606), 1,
      anon_sym_virtual,
    STATE(2234), 1,
      sym_template_type,
    STATE(6613), 1,
      sym_access_specifier,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(5976), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7662), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10530), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [219778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10610), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(10614), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5992), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10612), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219842] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    STATE(5923), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [219880] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5943), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [219918] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    STATE(5975), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [219956] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    STATE(5933), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [219994] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5901), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [220032] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9469), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [220070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(5909), 1,
      sym_trailing_return_type,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [220108] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_DASH_GT,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(10464), 1,
      anon_sym_requires,
    STATE(5934), 1,
      sym_trailing_return_type,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [220146] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10616), 1,
      anon_sym_COLON,
    ACTIONS(10618), 1,
      anon_sym_SEMI,
    ACTIONS(10620), 1,
      anon_sym_LBRACE,
    STATE(2085), 1,
      sym_compound_statement,
    STATE(2086), 1,
      sym_try_statement,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7263), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [220200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    ACTIONS(9946), 1,
      anon_sym_requires,
    STATE(5833), 1,
      sym_trailing_return_type,
    ACTIONS(9943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [220238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10624), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10614), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5990), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10612), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10628), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10632), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220370] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10634), 1,
      anon_sym_virtual,
    STATE(2234), 1,
      sym_template_type,
    STATE(6620), 1,
      sym_access_specifier,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(5996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7171), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10530), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [220418] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10636), 1,
      anon_sym_COLON,
    ACTIONS(10638), 1,
      anon_sym_SEMI,
    ACTIONS(10640), 1,
      anon_sym_LBRACE,
    ACTIONS(10642), 1,
      anon_sym_try,
    STATE(660), 1,
      sym_compound_statement,
    STATE(661), 1,
      sym_try_statement,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7510), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [220472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_requires,
    ACTIONS(7348), 1,
      anon_sym_DASH_GT,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    STATE(5878), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [220510] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    ACTIONS(10646), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(5941), 1,
      sym_compound_statement,
    STATE(6054), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7160), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220559] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4084), 1,
      sym_compound_statement,
    STATE(6028), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7113), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220608] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    ACTIONS(10650), 1,
      anon_sym_requires,
    STATE(6217), 1,
      sym_trailing_return_type,
    ACTIONS(9943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [220645] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10653), 1,
      anon_sym_AMP,
    ACTIONS(10655), 1,
      sym_this,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7892), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [220688] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10657), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4386), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6229), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7201), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(3767), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220762] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    STATE(6179), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [220799] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    ACTIONS(10659), 1,
      anon_sym_LBRACE,
    STATE(1990), 1,
      sym_compound_statement,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6042), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7071), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220848] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    STATE(1990), 1,
      sym_compound_statement,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6037), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7068), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220897] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10427), 1,
      sym_identifier,
    ACTIONS(10429), 1,
      anon_sym_COLON_COLON,
    STATE(157), 1,
      sym_template_type,
    STATE(201), 1,
      sym_field_declaration_list,
    STATE(6706), 1,
      sym__scope_resolution,
    STATE(7026), 1,
      sym_virtual_specifier,
    STATE(8044), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(142), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220946] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4109), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6224), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7065), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [220995] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10661), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(3843), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6187), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7161), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221044] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(3531), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6195), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7244), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10079), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221122] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4725), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10151), 1,
      sym_identifier,
    ACTIONS(10153), 1,
      anon_sym_STAR,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10653), 1,
      anon_sym_AMP,
    ACTIONS(10665), 1,
      sym_this,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7320), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [221165] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9394), 1,
      anon_sym_requires,
    STATE(6264), 1,
      sym_trailing_return_type,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [221202] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    ACTIONS(10413), 1,
      sym_identifier,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    STATE(977), 1,
      sym_template_type,
    STATE(1064), 1,
      sym_field_declaration_list,
    STATE(6681), 1,
      sym__scope_resolution,
    STATE(7205), 1,
      sym_virtual_specifier,
    STATE(7805), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(951), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221251] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    ACTIONS(10667), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(5784), 1,
      sym_compound_statement,
    STATE(6048), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7221), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221300] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    ACTIONS(10669), 1,
      anon_sym_LBRACE,
    STATE(2895), 1,
      sym_compound_statement,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6060), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7127), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221349] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(1991), 1,
      sym_compound_statement,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6252), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7231), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221398] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10479), 1,
      sym_identifier,
    ACTIONS(10481), 1,
      anon_sym_COLON_COLON,
    STATE(252), 1,
      sym_template_type,
    STATE(527), 1,
      sym_field_declaration_list,
    STATE(6704), 1,
      sym__scope_resolution,
    STATE(7029), 1,
      sym_virtual_specifier,
    STATE(7913), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(163), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221447] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10522), 1,
      anon_sym_COLON_COLON,
    STATE(409), 1,
      sym_field_declaration_list,
    STATE(2234), 1,
      sym_template_type,
    STATE(6729), 1,
      sym__scope_resolution,
    STATE(7219), 1,
      sym_virtual_specifier,
    STATE(7734), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6719), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221496] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    STATE(6180), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8505), 1,
      sym_ms_based_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [221539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10671), 1,
      sym_identifier,
    ACTIONS(6270), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6065), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10673), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10675), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221570] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10659), 1,
      anon_sym_LBRACE,
    STATE(1991), 1,
      sym_compound_statement,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6212), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7122), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221619] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10506), 1,
      sym_identifier,
    ACTIONS(10508), 1,
      anon_sym_COLON_COLON,
    STATE(273), 1,
      sym_template_type,
    STATE(461), 1,
      sym_field_declaration_list,
    STATE(6674), 1,
      sym__scope_resolution,
    STATE(7178), 1,
      sym_virtual_specifier,
    STATE(7922), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(171), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    ACTIONS(10679), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7223), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [221701] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    ACTIONS(10661), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(3913), 1,
      sym_compound_statement,
    STATE(6029), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7019), 1,
      sym_abstract_function_declarator,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9777), 1,
      anon_sym_requires,
    STATE(6174), 1,
      sym_trailing_return_type,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [221787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(3771), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221812] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10667), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(5821), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6248), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7200), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [221861] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10423), 1,
      sym_identifier,
    ACTIONS(10425), 1,
      anon_sym_COLON_COLON,
    STATE(340), 1,
      sym_template_type,
    STATE(409), 1,
      sym_field_declaration_list,
    STATE(6698), 1,
      sym__scope_resolution,
    STATE(7045), 1,
      sym_virtual_specifier,
    STATE(7696), 1,
      sym_base_class_clause,
    ACTIONS(1950), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(168), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221910] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(6752), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [221953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10683), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(10688), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(10686), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10681), 7,
      anon_sym_COLON,
      anon_sym___declspec,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [221984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6261), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [222021] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10691), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(3637), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6192), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7112), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [222070] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10646), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(5927), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6171), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7067), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [222119] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8542), 1,
      anon_sym_STAR,
    ACTIONS(8544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6767), 1,
      sym__abstract_declarator,
    ACTIONS(8328), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [222160] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    ACTIONS(10691), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(3620), 1,
      sym_compound_statement,
    STATE(6053), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7210), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [222209] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(6178), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [222246] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8494), 1,
      anon_sym_STAR,
    ACTIONS(8496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8498), 1,
      anon_sym_AMP,
    STATE(6737), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8143), 1,
      sym_ms_based_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [222289] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    ACTIONS(10657), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4353), 1,
      sym_compound_statement,
    STATE(6022), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7044), 1,
      sym_abstract_function_declarator,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [222338] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10669), 1,
      anon_sym_LBRACE,
    STATE(2904), 1,
      sym_compound_statement,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6221), 1,
      sym_requires_clause,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7132), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [222387] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10644), 1,
      anon_sym_LT,
    ACTIONS(10663), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(3491), 1,
      sym_compound_statement,
    STATE(6030), 1,
      sym_template_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7075), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [222436] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(8492), 1,
      anon_sym_LPAREN2,
    ACTIONS(8534), 1,
      sym_identifier,
    ACTIONS(8536), 1,
      anon_sym_STAR,
    ACTIONS(8538), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8540), 1,
      anon_sym_AMP,
    STATE(6076), 1,
      sym__field_declarator,
    STATE(6436), 1,
      sym_operator_name,
    STATE(8505), 1,
      sym_ms_based_modifier,
    STATE(6481), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [222479] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6176), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [222516] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_STAR,
    ACTIONS(8550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8552), 1,
      anon_sym_AMP,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6754), 1,
      sym__abstract_declarator,
    ACTIONS(8328), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [222557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10693), 1,
      sym_identifier,
    ACTIONS(6293), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6065), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10696), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10699), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [222588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10085), 1,
      anon_sym_LBRACK,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10083), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10702), 1,
      sym_identifier,
    ACTIONS(6276), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6041), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10673), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10675), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [222648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10411), 1,
      anon_sym_LBRACK,
    STATE(5541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10409), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222677] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9475), 1,
      anon_sym_requires,
    STATE(6239), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [222714] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10704), 1,
      sym_identifier,
    ACTIONS(10706), 1,
      sym_primitive_type,
    STATE(2622), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(3001), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [222754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10710), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10708), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(6342), 1,
      sym_template_argument_list,
    ACTIONS(4292), 3,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4287), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [222808] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10712), 1,
      sym_identifier,
    ACTIONS(10714), 1,
      sym_primitive_type,
    STATE(2254), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(2724), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [222848] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10716), 1,
      sym_identifier,
    ACTIONS(10718), 1,
      sym_primitive_type,
    STATE(2260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(2724), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [222888] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(6138), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [222924] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9841), 1,
      anon_sym_COLON,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10722), 1,
      anon_sym___attribute,
    ACTIONS(10724), 1,
      anon_sym_EQ,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(7140), 1,
      sym_bitfield_clause,
    STATE(7141), 1,
      sym_initializer_list,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10720), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [222970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(8950), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222994] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [223026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_identifier,
    ACTIONS(10728), 1,
      sym_primitive_type,
    STATE(2557), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(2289), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3715), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [223066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9494), 1,
      anon_sym_requires,
    STATE(6090), 1,
      sym_trailing_return_type,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [223102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(9780), 1,
      anon_sym_requires,
    STATE(6100), 1,
      sym_trailing_return_type,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [223138] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10730), 1,
      sym_identifier,
    ACTIONS(10732), 1,
      sym_primitive_type,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(3185), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9654), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [223178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(10734), 1,
      anon_sym_requires,
    STATE(6107), 1,
      sym_trailing_return_type,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [223214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(9899), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223238] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6858), 1,
      sym__abstract_declarator,
    ACTIONS(8328), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [223278] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [223310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10739), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10737), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10743), 1,
      anon_sym___attribute,
    ACTIONS(10741), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223358] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10745), 1,
      sym_identifier,
    ACTIONS(10747), 1,
      sym_primitive_type,
    STATE(4223), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(5131), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8112), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [223398] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(9780), 1,
      anon_sym_requires,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [223430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10751), 1,
      anon_sym___attribute,
    ACTIONS(10749), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym___attribute,
    ACTIONS(10753), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10759), 1,
      anon_sym___attribute,
    ACTIONS(10757), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10763), 1,
      anon_sym___attribute,
    ACTIONS(10761), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10767), 1,
      anon_sym___attribute,
    ACTIONS(10765), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10771), 1,
      anon_sym___attribute,
    ACTIONS(10769), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223574] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10706), 1,
      sym_primitive_type,
    ACTIONS(10773), 1,
      sym_identifier,
    STATE(4381), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(3001), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3960), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [223614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9688), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10775), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6901), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6903), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [223664] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(10734), 1,
      anon_sym_requires,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [223696] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10777), 1,
      sym_identifier,
    ACTIONS(10779), 1,
      sym_primitive_type,
    STATE(2340), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(3217), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [223736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10743), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10741), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10783), 1,
      anon_sym___attribute,
    ACTIONS(10781), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    STATE(6158), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [223820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10759), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10757), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10767), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10765), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223868] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 1,
      anon_sym___attribute,
    ACTIONS(10785), 1,
      anon_sym_requires,
    ACTIONS(10490), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6149), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [223900] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    ACTIONS(10792), 1,
      anon_sym_EQ,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7417), 1,
      sym_semantics,
    ACTIONS(10788), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6711), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [223946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10796), 1,
      anon_sym___attribute,
    ACTIONS(10794), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(6139), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [224006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10800), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10798), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224030] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10802), 1,
      sym_identifier,
    ACTIONS(10804), 1,
      sym_primitive_type,
    STATE(5198), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6684), 1,
      sym__scope_resolution,
    STATE(2289), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9742), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [224070] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    STATE(6205), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6573), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    STATE(6214), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8961), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(8950), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10751), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10749), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9899), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224212] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(6241), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224248] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    STATE(6186), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10739), 1,
      anon_sym___attribute,
    ACTIONS(10737), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224308] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    STATE(6208), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10313), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 1,
      anon_sym___attribute,
    ACTIONS(10313), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224392] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10191), 1,
      anon_sym_TILDE,
    ACTIONS(10808), 1,
      sym_identifier,
    ACTIONS(10810), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10815), 1,
      anon_sym_template,
    STATE(6402), 1,
      sym__scope_resolution,
    STATE(7754), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3635), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [224434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(10315), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6149), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [224466] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    STATE(6086), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [224502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    STATE(6205), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6556), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6605), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    STATE(6205), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6607), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224570] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(9463), 1,
      anon_sym_requires,
    STATE(6175), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9725), 1,
      anon_sym_requires,
    STATE(6177), 1,
      sym_trailing_return_type,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(6181), 1,
      sym_trailing_return_type,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7745), 1,
      anon_sym_DASH_GT,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(10817), 1,
      anon_sym_requires,
    STATE(6191), 1,
      sym_trailing_return_type,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [224714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10753), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224738] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10802), 1,
      sym_identifier,
    ACTIONS(10804), 1,
      sym_primitive_type,
    STATE(4460), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(2289), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [224778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9416), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9405), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10822), 1,
      anon_sym___attribute,
    ACTIONS(10820), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(9688), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9494), 1,
      anon_sym_requires,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [224882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [224914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6565), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    STATE(6205), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6567), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10796), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10794), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224972] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10824), 1,
      sym_identifier,
    ACTIONS(10826), 1,
      sym_primitive_type,
    STATE(2538), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(4205), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10830), 1,
      anon_sym___attribute,
    ACTIONS(10828), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225036] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10832), 1,
      sym_identifier,
    ACTIONS(10834), 1,
      sym_primitive_type,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(4971), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225076] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_identifier,
    ACTIONS(10728), 1,
      sym_primitive_type,
    STATE(2214), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(2289), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10763), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10761), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225140] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7713), 1,
      anon_sym_DASH_GT,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    STATE(6125), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [225176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10771), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10769), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10710), 1,
      anon_sym___attribute,
    ACTIONS(10708), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10822), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10820), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225248] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    ACTIONS(10836), 1,
      anon_sym_EQ,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7417), 1,
      sym_semantics,
    ACTIONS(10788), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6711), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [225294] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_STAR,
    ACTIONS(8617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8619), 1,
      anon_sym_AMP,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6835), 1,
      sym__abstract_declarator,
    ACTIONS(8328), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225334] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10838), 1,
      sym_identifier,
    ACTIONS(10840), 1,
      sym_primitive_type,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(2515), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9482), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225374] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10840), 1,
      sym_primitive_type,
    ACTIONS(10842), 1,
      sym_identifier,
    STATE(4377), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(2515), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10783), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10781), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225438] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10832), 1,
      sym_identifier,
    ACTIONS(10834), 1,
      sym_primitive_type,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(4971), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8090), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225478] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_identifier,
    ACTIONS(10728), 1,
      sym_primitive_type,
    STATE(2214), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(2289), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225518] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [225550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(6342), 1,
      sym_template_argument_list,
    ACTIONS(6361), 3,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5529), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10844), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10830), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10828), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10850), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10848), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10850), 1,
      anon_sym___attribute,
    ACTIONS(10848), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225676] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10852), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      sym_primitive_type,
    STATE(5126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(2515), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9405), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10800), 1,
      anon_sym___attribute,
    ACTIONS(10798), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    STATE(6205), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6530), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(9445), 1,
      anon_sym_requires,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [225830] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10856), 1,
      sym_identifier,
    ACTIONS(10858), 1,
      sym_primitive_type,
    STATE(2372), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(3468), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      anon_sym___attribute,
    ACTIONS(10844), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225894] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10646), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(5894), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7142), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9780), 1,
      anon_sym_requires,
    STATE(6100), 1,
      sym_trailing_return_type,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [225970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7631), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [225999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    ACTIONS(10650), 1,
      anon_sym_requires,
    ACTIONS(9943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [226030] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9725), 1,
      anon_sym_requires,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226061] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [226092] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(9783), 1,
      anon_sym_requires,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226123] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [226154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(10315), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6071), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [226185] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10862), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10860), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [226220] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(10817), 1,
      anon_sym_requires,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7547), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226280] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    STATE(5975), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [226313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    STATE(6086), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [226346] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10866), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10864), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [226381] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(9901), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226412] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10661), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(3847), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7009), 1,
      sym_abstract_function_declarator,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226455] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10870), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10868), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [226490] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10560), 1,
      anon_sym_COLON,
    ACTIONS(10562), 1,
      anon_sym_SEMI,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7351), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [226535] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5901), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [226568] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 1,
      anon_sym___attribute,
    ACTIONS(10872), 1,
      anon_sym_requires,
    ACTIONS(10490), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6149), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [226599] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10691), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(3689), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7237), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226642] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_COLON,
    ACTIONS(10536), 1,
      anon_sym_SEMI,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7424), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [226687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7368), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226716] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(3487), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7074), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7503), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226788] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10552), 1,
      anon_sym_COLON,
    ACTIONS(10554), 1,
      anon_sym_SEMI,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7463), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [226833] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    STATE(5933), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [226866] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(10877), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10879), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10881), 1,
      aux_sym_preproc_elif_token1,
    STATE(6626), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6627), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6849), 1,
      sym_enumerator,
    ACTIONS(10883), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8888), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8901), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [226905] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9494), 1,
      anon_sym_requires,
    STATE(6090), 1,
      sym_trailing_return_type,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [226938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym_LBRACK,
    ACTIONS(10885), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5624), 12,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226963] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10889), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10887), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [226998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7567), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [227027] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(10879), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10881), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10891), 1,
      aux_sym_preproc_if_token2,
    STATE(6619), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6621), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6849), 1,
      sym_enumerator,
    ACTIONS(10883), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8564), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8571), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [227066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6647), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6649), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8095), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [227122] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(5909), 1,
      sym_trailing_return_type,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [227155] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(10315), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6149), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [227186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      anon_sym_LBRACK,
    ACTIONS(10885), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10893), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5565), 10,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [227213] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(10734), 1,
      anon_sym_requires,
    STATE(6107), 1,
      sym_trailing_return_type,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [227246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7265), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [227275] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10659), 1,
      anon_sym_LBRACE,
    STATE(1970), 1,
      sym_compound_statement,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7147), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(6342), 1,
      sym_template_argument_list,
    ACTIONS(6862), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6864), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [227376] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10636), 1,
      anon_sym_COLON,
    ACTIONS(10638), 1,
      anon_sym_SEMI,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7510), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [227421] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(9463), 1,
      anon_sym_requires,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [227452] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 1,
      anon_sym_LBRACK,
    ACTIONS(10895), 1,
      anon_sym_requires,
    ACTIONS(10317), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6071), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [227483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7409), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [227512] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10898), 1,
      anon_sym_COLON,
    ACTIONS(10900), 1,
      anon_sym_SEMI,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7274), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [227557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym___attribute,
    ACTIONS(10902), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5624), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [227582] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10669), 1,
      anon_sym_LBRACE,
    STATE(2866), 1,
      sym_compound_statement,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7072), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227625] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    STATE(6158), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [227658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [227689] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4137), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7021), 1,
      sym_abstract_function_declarator,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227732] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(10879), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10881), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10904), 1,
      aux_sym_preproc_if_token2,
    STATE(6530), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6531), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6849), 1,
      sym_enumerator,
    ACTIONS(10883), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8876), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8882), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [227771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10908), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10906), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [227806] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(10879), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10881), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10910), 1,
      aux_sym_preproc_if_token2,
    STATE(6594), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6595), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6849), 1,
      sym_enumerator,
    ACTIONS(10883), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8540), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8541), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [227845] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10912), 1,
      anon_sym_COLON,
    ACTIONS(10914), 1,
      anon_sym_SEMI,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7623), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [227890] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10657), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(4354), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7163), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227933] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10137), 1,
      anon_sym_TILDE,
    ACTIONS(10916), 1,
      sym_identifier,
    ACTIONS(10918), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10920), 1,
      anon_sym_template,
    STATE(6433), 1,
      sym__scope_resolution,
    STATE(7973), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2934), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [227972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7305), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      anon_sym___attribute,
    ACTIONS(10902), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10922), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5565), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [228028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8085), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7432), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7648), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6067), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6467), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(10673), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10675), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8194), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228171] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10137), 1,
      anon_sym_TILDE,
    ACTIONS(10916), 1,
      sym_identifier,
    ACTIONS(10924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10926), 1,
      anon_sym_template,
    STATE(6357), 1,
      sym__scope_resolution,
    STATE(7713), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2934), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [228210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9777), 1,
      anon_sym_requires,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8257), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228270] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym___attribute,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [228301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8314), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8359), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228359] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(10464), 1,
      anon_sym_requires,
    STATE(5934), 1,
      sym_trailing_return_type,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [228392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7479), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7414), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228450] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228481] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(10667), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(5857), 1,
      sym_compound_statement,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(7193), 1,
      sym_abstract_function_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228524] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10900), 1,
      anon_sym_SEMI,
    ACTIONS(10928), 1,
      anon_sym_COLON,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7274), 1,
      aux_sym_declaration_repeat1,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [228569] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    STATE(6139), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [228602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    STATE(5923), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [228635] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(1970), 1,
      sym_compound_statement,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(7033), 1,
      sym_abstract_function_declarator,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(6095), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228678] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10169), 1,
      anon_sym_TILDE,
    ACTIONS(10930), 1,
      sym_identifier,
    ACTIONS(10932), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10934), 1,
      anon_sym_template,
    STATE(6412), 1,
      sym__scope_resolution,
    STATE(7736), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3902), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [228717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7620), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228746] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9394), 1,
      anon_sym_requires,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6903), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228800] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7402), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228829] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10900), 1,
      anon_sym_SEMI,
    ACTIONS(10928), 1,
      anon_sym_COLON,
    ACTIONS(10936), 1,
      anon_sym_EQ,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(7274), 1,
      aux_sym_declaration_repeat1,
    STATE(7341), 1,
      sym_initializer_list,
    STATE(8027), 1,
      sym_argument_list,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [228876] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_requires,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    STATE(5943), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [228909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8199), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228938] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228969] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(6138), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [229002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7653), 1,
      anon_sym_DASH_GT,
    ACTIONS(9469), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [229035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9475), 1,
      anon_sym_requires,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10940), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10938), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6919), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(6236), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7459), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229145] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10191), 1,
      anon_sym_TILDE,
    ACTIONS(10808), 1,
      sym_identifier,
    ACTIONS(10813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10815), 1,
      anon_sym_template,
    STATE(6402), 1,
      sym__scope_resolution,
    STATE(7754), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3635), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [229184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(7618), 1,
      anon_sym_requires,
    STATE(6125), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [229217] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9152), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(5054), 1,
      sym_enumerator_list,
    STATE(6708), 1,
      sym__scope_resolution,
    ACTIONS(10942), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4697), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229257] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2974), 1,
      sym_enumerator_list,
    STATE(6687), 1,
      sym__scope_resolution,
    ACTIONS(10944), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5137), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229297] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2373), 1,
      sym_enumerator_list,
    STATE(6725), 1,
      sym__scope_resolution,
    ACTIONS(10946), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2812), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229337] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2974), 1,
      sym_enumerator_list,
    STATE(6701), 1,
      sym__scope_resolution,
    ACTIONS(10948), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4231), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229377] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7330), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3349), 1,
      sym_enumerator_list,
    STATE(6702), 1,
      sym__scope_resolution,
    ACTIONS(10950), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229417] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(10954), 1,
      anon_sym_SEMI,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    ACTIONS(10958), 1,
      anon_sym_EQ,
    ACTIONS(10960), 1,
      anon_sym_try,
    STATE(2186), 1,
      sym_compound_statement,
    STATE(8030), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2197), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [229455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 1,
      sym_identifier,
    ACTIONS(6339), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229477] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6528), 1,
      anon_sym___attribute,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6530), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [229509] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_enumerator_list,
    STATE(6717), 1,
      sym__scope_resolution,
    ACTIONS(10962), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4511), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      sym_identifier,
    ACTIONS(6318), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229571] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(6644), 1,
      sym_access_specifier,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7000), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10530), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [229609] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4889), 1,
      sym_enumerator_list,
    STATE(6725), 1,
      sym__scope_resolution,
    ACTIONS(10964), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4984), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229649] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    ACTIONS(10968), 1,
      anon_sym_COLON,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    ACTIONS(10966), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8027), 2,
      sym_argument_list,
      sym_initializer_list,
  [229689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229717] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7178), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3190), 1,
      sym_enumerator_list,
    STATE(6682), 1,
      sym__scope_resolution,
    ACTIONS(10970), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3061), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229757] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(5189), 1,
      sym_enumerator_list,
    STATE(6713), 1,
      sym__scope_resolution,
    ACTIONS(10972), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229797] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8025), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4186), 1,
      sym_enumerator_list,
    STATE(6662), 1,
      sym__scope_resolution,
    ACTIONS(10974), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3814), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229837] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(5189), 1,
      sym_enumerator_list,
    STATE(6725), 1,
      sym__scope_resolution,
    ACTIONS(10976), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5145), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229877] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2373), 1,
      sym_enumerator_list,
    STATE(6688), 1,
      sym__scope_resolution,
    ACTIONS(10978), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229973] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(5349), 1,
      sym_enumerator_list,
    STATE(6680), 1,
      sym__scope_resolution,
    ACTIONS(10980), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5077), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230013] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(10982), 1,
      anon_sym_SEMI,
    ACTIONS(10984), 1,
      anon_sym_EQ,
    ACTIONS(10986), 1,
      anon_sym_try,
    STATE(319), 1,
      sym_compound_statement,
    STATE(7998), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(321), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [230051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6520), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10988), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6651), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6653), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [230099] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(10984), 1,
      anon_sym_EQ,
    ACTIONS(10986), 1,
      anon_sym_try,
    ACTIONS(10991), 1,
      anon_sym_SEMI,
    STATE(244), 1,
      sym_compound_statement,
    STATE(7867), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(308), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [230137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 1,
      sym_identifier,
    ACTIONS(6284), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230159] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10995), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10993), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [230193] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    ACTIONS(10958), 1,
      anon_sym_EQ,
    ACTIONS(10960), 1,
      anon_sym_try,
    ACTIONS(10997), 1,
      anon_sym_SEMI,
    STATE(2161), 1,
      sym_compound_statement,
    STATE(7877), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2162), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [230231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11001), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10999), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [230265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230293] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    STATE(6214), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [230325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230353] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    STATE(6241), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [230385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 1,
      sym_identifier,
    ACTIONS(6288), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230407] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    STATE(6186), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [230439] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym___attribute,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6573), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [230471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(7724), 1,
      anon_sym_requires,
    STATE(6208), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [230503] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2802), 1,
      sym_enumerator_list,
    STATE(6679), 1,
      sym__scope_resolution,
    ACTIONS(11003), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230543] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6605), 1,
      anon_sym___attribute,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6607), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [230575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(9463), 1,
      anon_sym_requires,
    STATE(6175), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [230607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(9725), 1,
      anon_sym_requires,
    STATE(6177), 1,
      sym_trailing_return_type,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [230639] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(6181), 1,
      sym_trailing_return_type,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [230671] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_DASH_GT,
    ACTIONS(10817), 1,
      anon_sym_requires,
    STATE(6191), 1,
      sym_trailing_return_type,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [230703] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(6658), 1,
      sym_access_specifier,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7558), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10530), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [230741] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10578), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [230771] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10632), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [230801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10548), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [230831] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10574), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [230861] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2631), 1,
      sym_enumerator_list,
    STATE(6707), 1,
      sym__scope_resolution,
    ACTIONS(11007), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2789), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10624), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [230931] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10628), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [230961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10570), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [230991] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10610), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3255), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [231021] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym___attribute,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6556), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [231053] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11009), 1,
      anon_sym_SEMI,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_EQ,
    ACTIONS(11015), 1,
      anon_sym_try,
    STATE(1893), 1,
      sym_compound_statement,
    STATE(7738), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1894), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11019), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11017), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [231125] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8328), 1,
      anon_sym_COLON,
    ACTIONS(8694), 1,
      anon_sym_STAR,
    ACTIONS(8696), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8698), 1,
      anon_sym_AMP,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6935), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231163] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_EQ,
    ACTIONS(11015), 1,
      anon_sym_try,
    ACTIONS(11021), 1,
      anon_sym_SEMI,
    STATE(1906), 1,
      sym_compound_statement,
    STATE(7797), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1907), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231201] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7151), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3138), 1,
      sym_enumerator_list,
    STATE(6705), 1,
      sym__scope_resolution,
    ACTIONS(11023), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3029), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231241] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(6652), 1,
      sym_access_specifier,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7636), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10530), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [231279] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11025), 1,
      anon_sym_SEMI,
    ACTIONS(11027), 1,
      anon_sym_EQ,
    ACTIONS(11029), 1,
      anon_sym_try,
    STATE(611), 1,
      sym_compound_statement,
    STATE(8071), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(614), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11033), 1,
      anon_sym_COLON,
    STATE(6415), 1,
      sym_semantics,
    ACTIONS(11036), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11031), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231343] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11038), 1,
      anon_sym_SEMI,
    ACTIONS(11040), 1,
      anon_sym_EQ,
    ACTIONS(11042), 1,
      anon_sym_try,
    STATE(606), 1,
      sym_compound_statement,
    STATE(7783), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(607), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231381] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231409] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11040), 1,
      anon_sym_EQ,
    ACTIONS(11042), 1,
      anon_sym_try,
    ACTIONS(11044), 1,
      anon_sym_SEMI,
    STATE(622), 1,
      sym_compound_statement,
    STATE(7908), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(623), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231447] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2373), 1,
      sym_enumerator_list,
    STATE(6720), 1,
      sym__scope_resolution,
    ACTIONS(11046), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2404), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231487] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11050), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11048), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [231521] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2631), 1,
      sym_enumerator_list,
    STATE(6707), 1,
      sym__scope_resolution,
    ACTIONS(11052), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231561] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11054), 1,
      anon_sym_SEMI,
    ACTIONS(11056), 1,
      anon_sym_EQ,
    ACTIONS(11058), 1,
      anon_sym_try,
    STATE(766), 1,
      sym_compound_statement,
    STATE(7845), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(788), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231599] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11027), 1,
      anon_sym_EQ,
    ACTIONS(11029), 1,
      anon_sym_try,
    ACTIONS(11060), 1,
      anon_sym_SEMI,
    STATE(663), 1,
      sym_compound_statement,
    STATE(8015), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(664), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4305), 3,
      anon_sym_COLON,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4300), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231689] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11062), 1,
      anon_sym_SEMI,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    ACTIONS(11066), 1,
      anon_sym_EQ,
    ACTIONS(11068), 1,
      anon_sym_try,
    STATE(2057), 1,
      sym_compound_statement,
    STATE(7909), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2058), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231727] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(6641), 1,
      sym_access_specifier,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7111), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10530), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [231765] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11056), 1,
      anon_sym_EQ,
    ACTIONS(11058), 1,
      anon_sym_try,
    ACTIONS(11070), 1,
      anon_sym_SEMI,
    STATE(758), 1,
      sym_compound_statement,
    STATE(8040), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(776), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231803] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6565), 1,
      anon_sym___attribute,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6567), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [231835] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    ACTIONS(11066), 1,
      anon_sym_EQ,
    ACTIONS(11068), 1,
      anon_sym_try,
    ACTIONS(11072), 1,
      anon_sym_SEMI,
    STATE(2090), 1,
      sym_compound_statement,
    STATE(7942), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2091), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231873] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2802), 1,
      sym_enumerator_list,
    STATE(6680), 1,
      sym__scope_resolution,
    ACTIONS(11074), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5107), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231913] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2373), 1,
      sym_enumerator_list,
    STATE(6725), 1,
      sym__scope_resolution,
    ACTIONS(11076), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2635), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym___attribute,
    STATE(3074), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11078), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [231987] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3194), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 10,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232015] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6943), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232050] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11088), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8036), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8846), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [232083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11092), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11090), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232104] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(11094), 1,
      sym_identifier,
    ACTIONS(11096), 1,
      anon_sym_COLON_COLON,
    STATE(6419), 1,
      sym__scope_resolution,
    STATE(7779), 1,
      sym_operator_name,
    STATE(7918), 1,
      sym_field_initializer,
    STATE(7089), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [232141] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11098), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7889), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8527), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6360), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [232174] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10926), 1,
      anon_sym_template,
    ACTIONS(11100), 1,
      sym_identifier,
    STATE(2809), 1,
      sym_template_method,
    STATE(2811), 1,
      sym_dependent_field_identifier,
    STATE(2815), 1,
      sym_qualified_field_identifier,
    STATE(6357), 1,
      sym__scope_resolution,
    STATE(7713), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [232213] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11102), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7935), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8292), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6391), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [232246] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11104), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7858), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8536), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6406), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [232279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11106), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7763), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8227), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [232312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6712), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6716), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6720), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6724), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(6624), 1,
      sym_trailing_return_type,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [232429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(7049), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11110), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5930), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11108), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [232475] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11112), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7861), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8215), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6377), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [232508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11116), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11114), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232529] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11118), 1,
      sym_identifier,
    STATE(5900), 1,
      sym__scope_resolution,
    ACTIONS(4867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8005), 2,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [232564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11120), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11126), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11124), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(6586), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [232639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11130), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11128), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232660] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(10984), 1,
      anon_sym_EQ,
    ACTIONS(10986), 1,
      anon_sym_try,
    STATE(244), 1,
      sym_compound_statement,
    STATE(7867), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(308), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [232695] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11132), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7762), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8154), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6408), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [232728] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11134), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7931), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8338), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [232761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11138), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11136), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232782] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11040), 1,
      anon_sym_EQ,
    ACTIONS(11042), 1,
      anon_sym_try,
    STATE(622), 1,
      sym_compound_statement,
    STATE(7908), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(623), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [232817] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9761), 1,
      anon_sym_requires,
    STATE(6506), 1,
      sym_trailing_return_type,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [232850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4287), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11142), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11140), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    STATE(6588), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [232925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4287), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4287), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4287), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11144), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7878), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8262), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6413), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [233021] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11048), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [233052] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9864), 1,
      anon_sym_requires,
    STATE(6507), 1,
      sym_trailing_return_type,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [233085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4287), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11146), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7957), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8432), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [233139] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    ACTIONS(11148), 1,
      anon_sym_requires,
    STATE(6509), 1,
      sym_trailing_return_type,
    ACTIONS(9943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [233172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
    ACTIONS(1972), 2,
      anon_sym_COLON,
      anon_sym___attribute,
    ACTIONS(1974), 8,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [233199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4287), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233220] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_STAR,
    ACTIONS(8550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8552), 1,
      anon_sym_AMP,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6756), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6623), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6625), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6633), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6637), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6641), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    STATE(6582), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [233372] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11151), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7755), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8115), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6405), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [233405] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10815), 1,
      anon_sym_template,
    ACTIONS(11153), 1,
      sym_identifier,
    STATE(3679), 1,
      sym_template_method,
    STATE(3680), 1,
      sym_dependent_field_identifier,
    STATE(3681), 1,
      sym_qualified_field_identifier,
    STATE(6402), 1,
      sym__scope_resolution,
    STATE(7754), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [233444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(11094), 1,
      sym_identifier,
    ACTIONS(11096), 1,
      anon_sym_COLON_COLON,
    STATE(6419), 1,
      sym__scope_resolution,
    STATE(7435), 1,
      sym_field_initializer,
    STATE(7779), 1,
      sym_operator_name,
    STATE(7089), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [233481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6743), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233502] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11155), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7812), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8220), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [233535] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11157), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7705), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8808), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [233568] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11159), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7914), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8331), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [233601] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11161), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7829), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8271), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [233634] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11040), 1,
      anon_sym_EQ,
    ACTIONS(11042), 1,
      anon_sym_try,
    STATE(606), 1,
      sym_compound_statement,
    STATE(7783), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(607), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233669] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(10984), 1,
      anon_sym_EQ,
    ACTIONS(10986), 1,
      anon_sym_try,
    STATE(319), 1,
      sym_compound_statement,
    STATE(7998), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(321), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(5529), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233725] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10932), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10934), 1,
      anon_sym_template,
    ACTIONS(11163), 1,
      sym_identifier,
    STATE(3848), 1,
      sym_template_method,
    STATE(3854), 1,
      sym_dependent_field_identifier,
    STATE(3855), 1,
      sym_qualified_field_identifier,
    STATE(6412), 1,
      sym__scope_resolution,
    STATE(7736), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [233764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11165), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7710), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8833), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [233797] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11027), 1,
      anon_sym_EQ,
    ACTIONS(11029), 1,
      anon_sym_try,
    STATE(663), 1,
      sym_compound_statement,
    STATE(8015), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(664), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11169), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11167), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11173), 1,
      anon_sym_LT,
    STATE(6475), 1,
      sym_template_argument_list,
    ACTIONS(11175), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11171), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [233878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11177), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7925), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8483), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6429), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [233911] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11056), 1,
      anon_sym_EQ,
    ACTIONS(11058), 1,
      anon_sym_try,
    STATE(758), 1,
      sym_compound_statement,
    STATE(8040), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(776), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233946] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(11096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11179), 1,
      sym_identifier,
    ACTIONS(11181), 1,
      anon_sym_template,
    STATE(2809), 1,
      sym_template_method,
    STATE(2811), 1,
      sym_dependent_field_identifier,
    STATE(2815), 1,
      sym_qualified_field_identifier,
    STATE(6419), 1,
      sym__scope_resolution,
    STATE(7779), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [233985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3254), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 9,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11183), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [234222] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11187), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7946), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8544), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [234255] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LPAREN2,
    ACTIONS(4326), 1,
      anon_sym_STAR,
    ACTIONS(4328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4330), 1,
      anon_sym_AMP,
    ACTIONS(8195), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6136), 1,
      sym__function_declarator_seq,
    STATE(6925), 1,
      sym__abstract_declarator,
    STATE(6095), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6678), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [234311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6706), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6708), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [234332] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10918), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10920), 1,
      anon_sym_template,
    ACTIONS(11100), 1,
      sym_identifier,
    STATE(2809), 1,
      sym_template_method,
    STATE(2811), 1,
      sym_dependent_field_identifier,
    STATE(2815), 1,
      sym_qualified_field_identifier,
    STATE(6433), 1,
      sym__scope_resolution,
    STATE(7973), 1,
      sym_operator_name,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [234371] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11056), 1,
      anon_sym_EQ,
    ACTIONS(11058), 1,
      anon_sym_try,
    STATE(766), 1,
      sym_compound_statement,
    STATE(7845), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(788), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11191), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11189), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [234427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11173), 1,
      anon_sym_LT,
    STATE(6471), 1,
      sym_template_argument_list,
    ACTIONS(11195), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11193), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [234452] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    ACTIONS(11027), 1,
      anon_sym_EQ,
    ACTIONS(11029), 1,
      anon_sym_try,
    STATE(611), 1,
      sym_compound_statement,
    STATE(8071), 1,
      sym_field_initializer_list,
    ACTIONS(5529), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(614), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234487] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11017), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [234518] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10993), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [234549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10999), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [234580] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11078), 6,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [234611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11197), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7813), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8384), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6407), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [234644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_DASH_GT,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    STATE(6590), 1,
      sym_trailing_return_type,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [234677] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11084), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11199), 1,
      anon_sym_RBRACE,
    ACTIONS(11086), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8013), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8790), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6353), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [234710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6647), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6649), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [234735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10610), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [234763] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    STATE(6158), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [234793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10632), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [234821] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10548), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [234849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    STATE(6139), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [234879] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    STATE(6086), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [234909] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_requires,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    STATE(6125), 1,
      sym_trailing_return_type,
    ACTIONS(7532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [234939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6067), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10673), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10675), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10574), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [234989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9445), 1,
      anon_sym_requires,
    STATE(6138), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6165), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [235019] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9494), 1,
      anon_sym_requires,
    STATE(6090), 1,
      sym_trailing_return_type,
    ACTIONS(9466), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6137), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [235049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9780), 1,
      anon_sym_requires,
    STATE(6100), 1,
      sym_trailing_return_type,
    ACTIONS(9771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6084), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [235079] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3475), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    STATE(7420), 1,
      sym_semantics,
    ACTIONS(10788), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6712), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [235115] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7957), 1,
      anon_sym_DASH_GT,
    ACTIONS(10734), 1,
      anon_sym_requires,
    STATE(6107), 1,
      sym_trailing_return_type,
    ACTIONS(10461), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6012), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6123), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 3,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_LBRACK,
  [235145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6328), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [235165] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10624), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235193] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2637), 1,
      sym_enumerator_list,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(2898), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235229] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2382), 1,
      sym_enumerator_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(2830), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235265] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(5238), 1,
      sym_enumerator_list,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(6593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235301] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2382), 1,
      sym_enumerator_list,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(2410), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235337] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10628), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235365] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9152), 1,
      anon_sym_LBRACE,
    ACTIONS(9719), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
    STATE(4979), 1,
      sym_enumerator_list,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(4723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235401] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10570), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235429] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8025), 1,
      anon_sym_LBRACE,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9721), 1,
      sym_identifier,
    STATE(3885), 1,
      sym_template_type,
    STATE(4165), 1,
      sym_enumerator_list,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(3817), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235465] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10578), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6852), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235513] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    STATE(2586), 1,
      sym_template_type,
    STATE(2637), 1,
      sym_enumerator_list,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(2760), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11203), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11201), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9709), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2955), 1,
      sym_enumerator_list,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(5109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6757), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235625] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(5238), 1,
      sym_enumerator_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(5146), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235661] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(5351), 1,
      sym_enumerator_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(5072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235697] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3478), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    STATE(7420), 1,
      sym_semantics,
    ACTIONS(10788), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6712), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [235733] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10628), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10610), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11193), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235809] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10632), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235837] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2382), 1,
      sym_enumerator_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(2636), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235873] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10548), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235901] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7178), 1,
      anon_sym_LBRACE,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9717), 1,
      sym_identifier,
    STATE(3071), 1,
      sym_template_type,
    STATE(3196), 1,
      sym_enumerator_list,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(3070), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11205), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11211), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11209), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235977] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7330), 1,
      anon_sym_LBRACE,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(3175), 1,
      sym_template_type,
    STATE(3361), 1,
      sym_enumerator_list,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(3171), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11215), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11213), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [236033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11219), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11217), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [236053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11223), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11221), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [236073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10574), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [236101] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4911), 1,
      sym_enumerator_list,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(4986), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236137] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(7151), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(2994), 1,
      sym_template_type,
    STATE(3141), 1,
      sym_enumerator_list,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(3041), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236173] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10624), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11227), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(11225), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [236221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
    STATE(4909), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4076), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
    ACTIONS(8764), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [236249] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8780), 1,
      anon_sym_LBRACE,
    ACTIONS(9715), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(4911), 1,
      sym_enumerator_list,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10578), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236313] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9728), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2762), 1,
      sym_enumerator_list,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(5083), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236349] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10570), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236377] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9711), 1,
      sym_identifier,
    STATE(2953), 1,
      sym_template_type,
    STATE(2955), 1,
      sym_enumerator_list,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(4238), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236413] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(6621), 1,
      anon_sym_LBRACE,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9703), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_template_type,
    STATE(2762), 1,
      sym_enumerator_list,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(4087), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236449] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2382), 1,
      sym_enumerator_list,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(2447), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236485] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(11229), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11231), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11233), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11235), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6627), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8901), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [236514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9864), 1,
      anon_sym_requires,
    ACTIONS(9732), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [236541] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    ACTIONS(11148), 1,
      anon_sym_requires,
    ACTIONS(9943), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [236568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym_LBRACK,
    ACTIONS(11237), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5624), 8,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [236589] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 1,
      anon_sym_LBRACK,
    ACTIONS(11239), 1,
      anon_sym_requires,
    ACTIONS(10317), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6071), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [236616] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11242), 1,
      anon_sym_COMMA,
    ACTIONS(11246), 1,
      anon_sym___attribute,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6964), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11244), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [236649] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_try,
    STATE(756), 1,
      sym_compound_statement,
    STATE(759), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [236684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236709] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_try,
    STATE(773), 1,
      sym_compound_statement,
    STATE(774), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [236744] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10624), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3253), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [236771] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10570), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3253), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [236798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10610), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3253), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [236825] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_try,
    STATE(791), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [236860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4865), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11118), 1,
      sym_identifier,
    STATE(5900), 1,
      sym__scope_resolution,
    STATE(8005), 2,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [236891] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_try,
    STATE(755), 1,
      sym_compound_statement,
    STATE(757), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [236926] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11017), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [236955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11248), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8893), 1,
      sym_qualified_identifier,
    ACTIONS(11250), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [236986] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_try,
    STATE(775), 1,
      sym_compound_statement,
    STATE(777), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      anon_sym_LBRACK,
    ACTIONS(11237), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(11252), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5565), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237069] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10999), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [237098] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10642), 1,
      anon_sym_try,
    STATE(689), 1,
      sym_compound_statement,
    STATE(690), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237133] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2116), 1,
      sym_compound_statement,
    STATE(2129), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237168] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2146), 1,
      sym_compound_statement,
    STATE(2149), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11254), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11256), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11258), 1,
      aux_sym_preproc_elif_token1,
    STATE(6782), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
    ACTIONS(11260), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8532), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [237259] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(11231), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11233), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11262), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11235), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6744), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8538), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [237288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237313] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11264), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8875), 1,
      sym_qualified_identifier,
    ACTIONS(11266), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237344] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2158), 1,
      sym_compound_statement,
    STATE(2159), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1972), 1,
      anon_sym_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(1974), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_final,
      anon_sym_override,
  [237454] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2188), 1,
      sym_compound_statement,
    STATE(2189), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237514] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2190), 1,
      sym_compound_statement,
    STATE(2191), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1960), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(1962), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [237568] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2192), 1,
      sym_compound_statement,
    STATE(2193), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [237653] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2194), 1,
      sym_compound_statement,
    STATE(2195), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237688] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10642), 1,
      anon_sym_try,
    STATE(681), 1,
      sym_compound_statement,
    STATE(682), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237723] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      sym_identifier,
    ACTIONS(11271), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11277), 1,
      sym_preproc_directive,
    ACTIONS(11280), 1,
      anon_sym_RBRACE,
    ACTIONS(11274), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8645), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6547), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237752] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11282), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8744), 1,
      sym_qualified_identifier,
    ACTIONS(11284), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11256), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11258), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11286), 1,
      aux_sym_preproc_if_token2,
    STATE(6619), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
    ACTIONS(11260), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8564), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [237814] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10642), 1,
      anon_sym_try,
    STATE(683), 1,
      sym_compound_statement,
    STATE(684), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237849] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_try,
    STATE(581), 1,
      sym_compound_statement,
    STATE(582), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237884] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11288), 1,
      anon_sym_virtual,
    STATE(2234), 1,
      sym_template_type,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7636), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237917] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_try,
    STATE(583), 1,
      sym_compound_statement,
    STATE(584), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [237952] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8080), 1,
      sym_qualified_identifier,
    ACTIONS(11292), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(1924), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238002] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_try,
    STATE(731), 1,
      sym_try_statement,
    STATE(795), 1,
      sym_compound_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238037] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11048), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [238066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(1932), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238085] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10544), 1,
      anon_sym_try,
    STATE(267), 1,
      sym_compound_statement,
    STATE(268), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(1936), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238139] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10544), 1,
      anon_sym_try,
    STATE(284), 1,
      sym_compound_statement,
    STATE(285), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238174] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11294), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8933), 1,
      sym_qualified_identifier,
    ACTIONS(11296), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238205] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_try,
    STATE(585), 1,
      sym_compound_statement,
    STATE(586), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238240] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [238267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(1920), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238286] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11298), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8439), 1,
      sym_qualified_identifier,
    ACTIONS(11300), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238317] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10628), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3253), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [238344] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1914), 1,
      sym_compound_statement,
    STATE(1915), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11302), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8555), 1,
      sym_qualified_identifier,
    ACTIONS(11304), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(1940), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238429] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10544), 1,
      anon_sym_try,
    STATE(298), 1,
      sym_compound_statement,
    STATE(301), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238464] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1922), 1,
      sym_compound_statement,
    STATE(1923), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(1928), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238518] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10993), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [238547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238572] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238597] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1928), 1,
      sym_compound_statement,
    STATE(1929), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238632] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1930), 1,
      sym_compound_statement,
    STATE(1931), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238667] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1932), 1,
      sym_compound_statement,
    STATE(1933), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238702] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1935), 1,
      sym_compound_statement,
    STATE(1936), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238737] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10642), 1,
      anon_sym_try,
    STATE(707), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238772] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [238799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11078), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [238828] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_try,
    STATE(595), 1,
      sym_compound_statement,
    STATE(596), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238863] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10544), 1,
      anon_sym_try,
    STATE(316), 1,
      sym_try_statement,
    STATE(359), 1,
      sym_compound_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238898] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6117), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9688), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [238925] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_try,
    STATE(597), 1,
      sym_compound_statement,
    STATE(598), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [238960] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(9901), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6122), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9899), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [238987] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_try,
    STATE(599), 1,
      sym_compound_statement,
    STATE(600), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7977), 1,
      anon_sym_requires,
    ACTIONS(10315), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6071), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10313), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [239049] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11306), 1,
      anon_sym_virtual,
    STATE(2234), 1,
      sym_template_type,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7000), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239082] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10544), 1,
      anon_sym_try,
    STATE(245), 1,
      sym_compound_statement,
    STATE(246), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239117] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11308), 1,
      anon_sym_COLON,
    STATE(2337), 1,
      sym_attribute_specifier,
    STATE(5162), 1,
      sym__enum_base_clause,
    STATE(5185), 1,
      sym_enumerator_list,
    ACTIONS(6172), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [239148] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11256), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11258), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11310), 1,
      aux_sym_preproc_if_token2,
    STATE(6782), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
    ACTIONS(11260), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8957), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [239179] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(11231), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11233), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11312), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11235), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6744), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8958), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [239208] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10544), 1,
      anon_sym_try,
    STATE(248), 1,
      sym_compound_statement,
    STATE(249), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239243] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11256), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11258), 1,
      aux_sym_preproc_elif_token1,
    STATE(6594), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
    ACTIONS(11260), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8540), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [239274] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_try,
    STATE(602), 1,
      sym_compound_statement,
    STATE(603), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239309] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(11231), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11233), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11314), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11235), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6595), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8541), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [239338] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11256), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11258), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11316), 1,
      aux_sym_preproc_if_token2,
    STATE(6530), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
    ACTIONS(11260), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8876), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [239369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2106), 1,
      sym_compound_statement,
    STATE(2107), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239429] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2108), 1,
      sym_compound_statement,
    STATE(2109), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239464] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5866), 1,
      anon_sym_LBRACE,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11308), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      sym_attribute_specifier,
    STATE(5154), 1,
      sym__enum_base_clause,
    STATE(5192), 1,
      sym_enumerator_list,
    ACTIONS(6156), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [239495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239545] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_try,
    STATE(769), 1,
      sym_compound_statement,
    STATE(808), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239580] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2117), 1,
      sym_compound_statement,
    STATE(2118), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239615] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8961), 1,
      anon_sym_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    ACTIONS(9021), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6135), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8950), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [239642] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10642), 1,
      anon_sym_try,
    STATE(709), 1,
      sym_compound_statement,
    STATE(710), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239677] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2127), 1,
      sym_compound_statement,
    STATE(2128), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239737] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11318), 1,
      anon_sym_virtual,
    STATE(2234), 1,
      sym_template_type,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7558), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239770] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10642), 1,
      anon_sym_try,
    STATE(718), 1,
      sym_compound_statement,
    STATE(719), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239805] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2132), 1,
      sym_compound_statement,
    STATE(2134), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239840] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2135), 1,
      sym_compound_statement,
    STATE(2136), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3358), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239900] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2140), 1,
      sym_compound_statement,
    STATE(2142), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [239935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11256), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11258), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11320), 1,
      aux_sym_preproc_if_token2,
    STATE(6782), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
    ACTIONS(11260), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8116), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [239966] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11322), 1,
      anon_sym_virtual,
    STATE(2234), 1,
      sym_template_type,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7111), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239999] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(11231), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11233), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11324), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11235), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6744), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8153), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [240028] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10642), 1,
      anon_sym_try,
    STATE(705), 1,
      sym_compound_statement,
    STATE(706), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_COLON,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(1966), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_final,
      anon_sym_override,
  [240088] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9761), 1,
      anon_sym_requires,
    ACTIONS(9418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6098), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [240115] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10544), 1,
      anon_sym_try,
    STATE(259), 1,
      sym_compound_statement,
    STATE(260), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240150] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11256), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11258), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11326), 1,
      aux_sym_preproc_if_token2,
    STATE(6782), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
    ACTIONS(11260), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8275), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [240181] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(11231), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11233), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11328), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11235), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6744), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8311), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [240210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10877), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11256), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11258), 1,
      aux_sym_preproc_elif_token1,
    STATE(6626), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
    ACTIONS(11260), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8888), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [240241] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1916), 1,
      sym_compound_statement,
    STATE(1917), 1,
      sym_try_statement,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11334), 1,
      anon_sym_delete,
    ACTIONS(11336), 1,
      anon_sym_new,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11338), 1,
      anon_sym_delete,
    ACTIONS(11340), 1,
      anon_sym_new,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11342), 1,
      anon_sym_delete,
    ACTIONS(11344), 1,
      anon_sym_new,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11346), 1,
      anon_sym_delete,
    ACTIONS(11348), 1,
      anon_sym_new,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10940), 1,
      anon_sym_LBRACK,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10938), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [240386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    STATE(6415), 1,
      sym_semantics,
    ACTIONS(11031), 7,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [240408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11348), 1,
      anon_sym_new,
    ACTIONS(11350), 1,
      anon_sym_delete,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240430] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11352), 1,
      anon_sym_EQ,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(8349), 1,
      sym_initializer_list,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_new,
    ACTIONS(11354), 1,
      anon_sym_delete,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240532] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7000), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11358), 1,
      anon_sym_LBRACK,
    STATE(7007), 1,
      sym_gnu_asm_input_operand,
    STATE(8422), 1,
      sym_string_literal,
    ACTIONS(11356), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [240586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11360), 1,
      anon_sym_delete,
    ACTIONS(11362), 1,
      anon_sym_new,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240608] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7167), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240638] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11362), 1,
      anon_sym_new,
    ACTIONS(11364), 1,
      anon_sym_delete,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(11366), 1,
      sym_identifier,
    ACTIONS(11368), 1,
      anon_sym_COLON_COLON,
    STATE(3079), 1,
      sym_template_type,
    STATE(6690), 1,
      sym__scope_resolution,
    STATE(3087), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11370), 1,
      anon_sym_delete,
    ACTIONS(11372), 1,
      anon_sym_new,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240808] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7605), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11374), 1,
      anon_sym_delete,
    ACTIONS(11376), 1,
      anon_sym_new,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240908] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11380), 1,
      anon_sym___attribute,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11378), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [240936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11382), 1,
      anon_sym_delete,
    ACTIONS(11384), 1,
      anon_sym_new,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [240958] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    STATE(2234), 1,
      sym_template_type,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(7636), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8312), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11386), 1,
      anon_sym_delete,
    ACTIONS(11388), 1,
      anon_sym_new,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [241010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11392), 1,
      anon_sym_LBRACK,
    STATE(7066), 1,
      sym_gnu_asm_output_operand,
    STATE(8392), 1,
      sym_string_literal,
    ACTIONS(11390), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [241034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11362), 1,
      anon_sym_new,
    ACTIONS(11394), 1,
      anon_sym_delete,
    ACTIONS(11332), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [241056] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11396), 1,
      sym_identifier,
    ACTIONS(11398), 1,
      anon_sym_template,
    STATE(3875), 1,
      sym_template_type,
    STATE(3876), 1,
      sym_dependent_type_identifier,
    STATE(3973), 1,
      sym_qualified_type_identifier,
    STATE(6662), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241110] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    ACTIONS(11017), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10624), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3478), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
  [241162] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11400), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8613), 1,
      sym_qualified_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241189] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10624), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3475), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_GT2,
  [241214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241237] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    ACTIONS(11048), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241264] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    STATE(7423), 1,
      sym_semantics,
    STATE(4420), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11402), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [241289] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11404), 1,
      sym_identifier,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    STATE(722), 1,
      sym_declaration_list,
    STATE(6845), 1,
      sym_attribute_declaration,
    STATE(8003), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [241320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    ACTIONS(11078), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241347] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10528), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11410), 1,
      sym_identifier,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(6673), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241378] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11412), 1,
      sym_identifier,
    ACTIONS(11414), 1,
      anon_sym_template,
    STATE(270), 1,
      sym_template_type,
    STATE(271), 1,
      sym_dependent_type_identifier,
    STATE(274), 1,
      sym_qualified_type_identifier,
    STATE(6674), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10570), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3478), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
  [241434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(410), 1,
      sym_field_declaration_list,
    STATE(7134), 1,
      sym_virtual_specifier,
    STATE(7883), 1,
      sym_base_class_clause,
    ACTIONS(1944), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
  [241461] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11416), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8504), 1,
      sym_qualified_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241488] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10570), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3475), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_GT2,
  [241513] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9480), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11418), 1,
      sym_identifier,
    ACTIONS(11420), 1,
      anon_sym_template,
    STATE(2474), 1,
      sym_qualified_type_identifier,
    STATE(2484), 1,
      sym_dependent_type_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(6679), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241544] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11420), 1,
      anon_sym_template,
    ACTIONS(11422), 1,
      sym_identifier,
    STATE(2474), 1,
      sym_qualified_type_identifier,
    STATE(2484), 1,
      sym_dependent_type_identifier,
    STATE(2493), 1,
      sym_template_type,
    STATE(6680), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241575] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11424), 1,
      sym_identifier,
    ACTIONS(11426), 1,
      anon_sym_template,
    STATE(966), 1,
      sym_qualified_type_identifier,
    STATE(968), 1,
      sym_template_type,
    STATE(973), 1,
      sym_dependent_type_identifier,
    STATE(6681), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241606] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11428), 1,
      sym_identifier,
    ACTIONS(11430), 1,
      anon_sym_template,
    STATE(3066), 1,
      sym_template_type,
    STATE(3067), 1,
      sym_dependent_type_identifier,
    STATE(3077), 1,
      sym_qualified_type_identifier,
    STATE(6682), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241660] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11432), 1,
      sym_identifier,
    ACTIONS(11434), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(6684), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241714] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11436), 1,
      sym_identifier,
    STATE(765), 1,
      sym_declaration_list,
    STATE(6819), 1,
      sym_attribute_declaration,
    STATE(7784), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [241745] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11438), 1,
      sym_identifier,
    ACTIONS(11440), 1,
      anon_sym_template,
    STATE(2975), 1,
      sym_template_type,
    STATE(2976), 1,
      sym_dependent_type_identifier,
    STATE(3045), 1,
      sym_qualified_type_identifier,
    STATE(6687), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241776] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(4332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11442), 1,
      sym_identifier,
    ACTIONS(11444), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(6688), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10610), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3478), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
  [241832] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(11368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11446), 1,
      sym_identifier,
    ACTIONS(11448), 1,
      anon_sym_template,
    STATE(3088), 1,
      sym_template_type,
    STATE(3094), 1,
      sym_dependent_type_identifier,
    STATE(3101), 1,
      sym_qualified_type_identifier,
    STATE(6690), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [241863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11450), 1,
      sym_identifier,
    ACTIONS(11454), 1,
      sym_system_lib_string,
    STATE(8526), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11452), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [241884] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11456), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8397), 1,
      sym_qualified_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241911] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11458), 1,
      sym_identifier,
    STATE(704), 1,
      sym_declaration_list,
    STATE(6810), 1,
      sym_attribute_declaration,
    STATE(8009), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [241942] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10628), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3475), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_GT2,
  [241967] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11460), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8269), 1,
      sym_qualified_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242017] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11462), 1,
      sym_identifier,
    STATE(317), 1,
      sym_declaration_list,
    STATE(6823), 1,
      sym_attribute_declaration,
    STATE(7904), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [242048] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11464), 1,
      sym_identifier,
    ACTIONS(11466), 1,
      anon_sym_template,
    STATE(343), 1,
      sym_template_type,
    STATE(346), 1,
      sym_dependent_type_identifier,
    STATE(347), 1,
      sym_qualified_type_identifier,
    STATE(6698), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242079] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11468), 1,
      sym_identifier,
    STATE(336), 1,
      sym_declaration_list,
    STATE(6806), 1,
      sym_attribute_declaration,
    STATE(7897), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [242110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11470), 1,
      sym_identifier,
    ACTIONS(11472), 1,
      sym_system_lib_string,
    STATE(8148), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11452), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [242131] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11440), 1,
      anon_sym_template,
    ACTIONS(11474), 1,
      sym_identifier,
    STATE(2975), 1,
      sym_template_type,
    STATE(2976), 1,
      sym_dependent_type_identifier,
    STATE(3045), 1,
      sym_qualified_type_identifier,
    STATE(6701), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242162] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      sym_identifier,
    ACTIONS(11478), 1,
      anon_sym_template,
    STATE(3162), 1,
      sym_template_type,
    STATE(3163), 1,
      sym_dependent_type_identifier,
    STATE(3204), 1,
      sym_qualified_type_identifier,
    STATE(6702), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242193] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11480), 1,
      sym_identifier,
    STATE(737), 1,
      sym_declaration_list,
    STATE(6844), 1,
      sym_attribute_declaration,
    STATE(7940), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [242224] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11482), 1,
      sym_identifier,
    ACTIONS(11484), 1,
      anon_sym_template,
    STATE(254), 1,
      sym_template_type,
    STATE(255), 1,
      sym_dependent_type_identifier,
    STATE(262), 1,
      sym_qualified_type_identifier,
    STATE(6704), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242255] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11486), 1,
      sym_identifier,
    ACTIONS(11488), 1,
      anon_sym_template,
    STATE(2998), 1,
      sym_template_type,
    STATE(3050), 1,
      sym_dependent_type_identifier,
    STATE(3069), 1,
      sym_qualified_type_identifier,
    STATE(6705), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242286] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10429), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11490), 1,
      sym_identifier,
    ACTIONS(11492), 1,
      anon_sym_template,
    STATE(149), 1,
      sym_qualified_type_identifier,
    STATE(159), 1,
      sym_template_type,
    STATE(160), 1,
      sym_dependent_type_identifier,
    STATE(6706), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242317] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11494), 1,
      sym_identifier,
    ACTIONS(11496), 1,
      anon_sym_template,
    STATE(2579), 1,
      sym_dependent_type_identifier,
    STATE(2582), 1,
      sym_template_type,
    STATE(2604), 1,
      sym_qualified_type_identifier,
    STATE(6707), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242348] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11498), 1,
      sym_identifier,
    ACTIONS(11500), 1,
      anon_sym_template,
    STATE(4594), 1,
      sym_template_type,
    STATE(4595), 1,
      sym_dependent_type_identifier,
    STATE(4618), 1,
      sym_qualified_type_identifier,
    STATE(6708), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242379] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11502), 1,
      sym_identifier,
    STATE(610), 1,
      sym_declaration_list,
    STATE(6863), 1,
      sym_attribute_declaration,
    STATE(8050), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [242410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242433] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    STATE(7607), 1,
      sym_semantics,
    STATE(4420), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11504), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [242458] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    STATE(7608), 1,
      sym_semantics,
    STATE(4420), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11504), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [242483] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11432), 1,
      sym_identifier,
    ACTIONS(11434), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2421), 1,
      sym_qualified_type_identifier,
    STATE(6713), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    ACTIONS(10993), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    ACTIONS(10999), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242591] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8088), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11434), 1,
      anon_sym_template,
    ACTIONS(11506), 1,
      sym_identifier,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2421), 1,
      sym_qualified_type_identifier,
    STATE(6717), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(3195), 1,
      sym_template_argument_list,
    ACTIONS(4292), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(4287), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [242645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(421), 1,
      sym_field_declaration_list,
    STATE(7091), 1,
      sym_virtual_specifier,
    STATE(7830), 1,
      sym_base_class_clause,
    ACTIONS(1954), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(6513), 2,
      anon_sym_final,
      anon_sym_override,
  [242672] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(3713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11508), 1,
      sym_identifier,
    ACTIONS(11510), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_qualified_type_identifier,
    STATE(6720), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11512), 1,
      sym_identifier,
    ACTIONS(11514), 1,
      sym_system_lib_string,
    STATE(8691), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11452), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [242724] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11516), 1,
      sym_identifier,
    STATE(642), 1,
      sym_declaration_list,
    STATE(6809), 1,
      sym_attribute_declaration,
    STATE(7700), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [242755] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(9887), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11518), 1,
      sym_identifier,
    ACTIONS(11520), 1,
      anon_sym_template,
    STATE(2225), 1,
      sym_qualified_type_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2229), 1,
      sym_dependent_type_identifier,
    STATE(6723), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11522), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8155), 1,
      sym_qualified_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242813] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(8203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11508), 1,
      sym_identifier,
    ACTIONS(11510), 1,
      anon_sym_template,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2421), 1,
      sym_qualified_type_identifier,
    STATE(6725), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242844] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10610), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3475), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_GT2,
  [242869] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(3195), 1,
      sym_template_argument_list,
    ACTIONS(6361), 2,
      anon_sym_COLON,
      anon_sym_LBRACK,
    ACTIONS(5529), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [242892] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10628), 1,
      anon_sym___attribute,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3478), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym___attribute__,
  [242917] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11410), 1,
      sym_identifier,
    STATE(2215), 1,
      sym_dependent_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2474), 1,
      sym_qualified_type_identifier,
    STATE(6729), 1,
      sym__scope_resolution,
    STATE(8312), 1,
      sym_decltype,
  [242948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11524), 1,
      sym_identifier,
    ACTIONS(11526), 1,
      sym_system_lib_string,
    STATE(8497), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11452), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [242969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    STATE(3622), 1,
      sym_parameter_list,
    STATE(6105), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11528), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8256), 1,
      sym_qualified_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243019] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_template,
    ACTIONS(3218), 1,
      anon_sym_decltype,
    ACTIONS(10498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11530), 1,
      sym_identifier,
    STATE(5935), 1,
      sym__scope_resolution,
    STATE(8550), 1,
      sym_qualified_identifier,
    STATE(8312), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10993), 1,
      anon_sym_COLON,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(10999), 1,
      anon_sym_COLON,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243120] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10860), 1,
      anon_sym_RPAREN,
    STATE(3656), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6912), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(6361), 1,
      anon_sym_LBRACK,
    STATE(6342), 1,
      sym_template_argument_list,
    ACTIONS(5529), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [243168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [243216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11392), 1,
      anon_sym_LBRACK,
    STATE(7664), 1,
      sym_gnu_asm_output_operand,
    STATE(8392), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [243236] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11532), 1,
      anon_sym_RPAREN,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11048), 1,
      anon_sym_COLON,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11534), 1,
      sym_identifier,
    ACTIONS(11539), 1,
      aux_sym_preproc_elif_token1,
    STATE(6744), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11537), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [243308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11078), 1,
      anon_sym_COLON,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    ACTIONS(6573), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6799), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(6862), 1,
      anon_sym_LBRACK,
    STATE(3195), 1,
      sym_template_argument_list,
    ACTIONS(6864), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [243400] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(11541), 1,
      anon_sym_RPAREN,
    STATE(3656), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6912), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243426] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11543), 1,
      anon_sym_RPAREN,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243452] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11545), 1,
      anon_sym_SEMI,
    ACTIONS(11547), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(7191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243478] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(11549), 1,
      anon_sym_RPAREN,
    STATE(3656), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6912), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243504] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    ACTIONS(6567), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6799), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [243550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11551), 1,
      anon_sym_SEMI,
    ACTIONS(11553), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(7186), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(11555), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [243598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11557), 1,
      anon_sym_SEMI,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243646] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    ACTIONS(6556), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6799), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10864), 1,
      anon_sym_RPAREN,
    STATE(3656), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6912), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [243718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11559), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4292), 1,
      anon_sym_LBRACK,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(6342), 1,
      sym_template_argument_list,
    ACTIONS(4287), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [243756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11563), 1,
      anon_sym_SEMI,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243782] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11565), 1,
      anon_sym_SEMI,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243808] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11567), 1,
      anon_sym_SEMI,
    ACTIONS(11569), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(7166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11571), 1,
      anon_sym_COLON,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3367), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [243926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    ACTIONS(6530), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6799), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243994] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11573), 1,
      anon_sym_SEMI,
    ACTIONS(11575), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(7208), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244020] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10868), 1,
      anon_sym_RPAREN,
    STATE(3656), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6912), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11358), 1,
      anon_sym_LBRACK,
    STATE(7468), 1,
      sym_gnu_asm_input_operand,
    STATE(8422), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [244066] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11577), 1,
      anon_sym_SEMI,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244092] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11579), 1,
      anon_sym_SEMI,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11581), 1,
      anon_sym_SEMI,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10767), 1,
      anon_sym___attribute,
    ACTIONS(11583), 1,
      anon_sym_EQ,
    ACTIONS(10765), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [244162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11587), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11589), 1,
      anon_sym_EQ,
    ACTIONS(11585), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [244180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11591), 1,
      sym_identifier,
    ACTIONS(11596), 1,
      aux_sym_preproc_elif_token1,
    STATE(6782), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
    ACTIONS(11594), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [244202] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(6596), 1,
      anon_sym_COMMA,
    ACTIONS(11598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11600), 1,
      anon_sym_RBRACK,
    ACTIONS(11603), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(7281), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [244230] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10906), 1,
      anon_sym_RPAREN,
    STATE(3656), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6912), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11607), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11605), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11609), 1,
      anon_sym_SEMI,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244298] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11611), 1,
      anon_sym_SEMI,
    ACTIONS(11613), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(7035), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10767), 1,
      anon_sym___attribute,
    ACTIONS(11615), 1,
      anon_sym_EQ,
    ACTIONS(10765), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [244342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    ACTIONS(11617), 1,
      anon_sym_SEMI,
    STATE(3274), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244368] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11619), 1,
      anon_sym_SEMI,
    ACTIONS(11621), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_LBRACK,
    ACTIONS(10887), 1,
      anon_sym_RPAREN,
    STATE(3656), 1,
      sym_parameter_list,
    STATE(6486), 1,
      sym__function_declarator_seq,
    STATE(6912), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244420] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11623), 1,
      anon_sym_SEMI,
    ACTIONS(11625), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    STATE(7189), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3623), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10806), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_parameter_list,
    ACTIONS(6607), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(6799), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11627), 1,
      anon_sym_LPAREN2,
    STATE(6856), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [244509] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11603), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(6733), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [244532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [244553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_AMP,
    ACTIONS(5640), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [244568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6647), 1,
      anon_sym_LBRACK,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6649), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [244587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(2770), 1,
      sym_template_argument_list,
    STATE(7287), 2,
      sym_argument_list,
      sym_initializer_list,
  [244610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [244631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11631), 1,
      anon_sym_RPAREN,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_AMP,
    ACTIONS(5686), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [244669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [244690] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11633), 1,
      anon_sym_RPAREN,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244713] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11635), 1,
      sym_identifier,
    STATE(251), 1,
      sym_declaration_list,
    STATE(7926), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [244738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11637), 1,
      anon_sym_LPAREN2,
    STATE(6812), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [244755] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11639), 1,
      anon_sym_RPAREN,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244778] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11641), 1,
      sym_identifier,
    STATE(674), 1,
      sym_declaration_list,
    STATE(7893), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [244803] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    ACTIONS(11404), 1,
      sym_identifier,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    STATE(722), 1,
      sym_declaration_list,
    STATE(8003), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [244828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [244849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11643), 1,
      anon_sym_LPAREN2,
    STATE(6837), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [244866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    STATE(5708), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244887] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11645), 1,
      anon_sym_RPAREN,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(6862), 1,
      anon_sym_LBRACK,
    STATE(6342), 1,
      sym_template_argument_list,
    ACTIONS(6864), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [244929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10572), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [244950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11647), 1,
      anon_sym_LBRACK,
    ACTIONS(11649), 1,
      anon_sym_EQ,
    ACTIONS(11651), 1,
      anon_sym_DOT,
    STATE(6864), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [244969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11653), 1,
      anon_sym_RPAREN,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11480), 1,
      sym_identifier,
    STATE(737), 1,
      sym_declaration_list,
    STATE(7940), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [245017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6556), 1,
      anon_sym_COLON,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6899), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245040] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(3205), 1,
      sym_parameter_list,
    STATE(6332), 1,
      sym__function_declarator_seq,
    STATE(6634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11655), 1,
      anon_sym_LPAREN2,
    STATE(6826), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11468), 1,
      sym_identifier,
    STATE(336), 1,
      sym_declaration_list,
    STATE(7897), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [245105] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11657), 1,
      anon_sym_RPAREN,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11661), 1,
      anon_sym_AMP,
    ACTIONS(11659), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [245143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11663), 1,
      anon_sym_LPAREN2,
    STATE(6837), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6567), 1,
      anon_sym_COLON,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6899), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [245225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11667), 1,
      anon_sym_AMP,
    ACTIONS(11665), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [245261] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_COLON,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6899), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11671), 1,
      anon_sym_AMP,
    ACTIONS(11669), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [245299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [245320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [245341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10568), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [245362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(6837), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11675), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10608), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [245400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym___attribute__,
    ACTIONS(7346), 1,
      anon_sym___attribute,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5694), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245421] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11678), 1,
      anon_sym_EQ,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(6680), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [245444] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11680), 1,
      anon_sym_RPAREN,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10576), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10630), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11682), 1,
      sym_identifier,
    STATE(782), 1,
      sym_declaration_list,
    STATE(7997), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [245534] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11684), 1,
      sym_identifier,
    STATE(576), 1,
      sym_declaration_list,
    STATE(7695), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [245559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11686), 1,
      anon_sym_LPAREN2,
    STATE(6847), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11688), 1,
      anon_sym_LPAREN2,
    STATE(6837), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_LPAREN2,
    STATE(6850), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_COMMA,
    ACTIONS(11696), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11692), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [245627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11698), 1,
      anon_sym_LPAREN2,
    STATE(6837), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11700), 1,
      anon_sym_LPAREN2,
    STATE(6852), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11702), 1,
      anon_sym_LPAREN2,
    STATE(6837), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_LPAREN2,
    STATE(6854), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11706), 1,
      anon_sym_LPAREN2,
    STATE(6837), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245712] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6607), 1,
      anon_sym_COLON,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6899), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(6837), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11629), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [245752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10622), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245773] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
    ACTIONS(10626), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [245794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(4904), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [245809] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(6573), 1,
      anon_sym_COLON,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6899), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11712), 1,
      anon_sym_AMP,
    ACTIONS(11710), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [245847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5680), 1,
      anon_sym_AMP,
    ACTIONS(5682), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [245862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11516), 1,
      sym_identifier,
    STATE(642), 1,
      sym_declaration_list,
    STATE(7700), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [245887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LBRACK,
    ACTIONS(11717), 1,
      anon_sym_EQ,
    ACTIONS(11719), 1,
      anon_sym_DOT,
    STATE(6864), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [245906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6536), 1,
      anon_sym_LBRACK,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11722), 1,
      anon_sym_RPAREN,
    STATE(2713), 1,
      sym_parameter_list,
    STATE(6445), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245929] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11724), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8243), 1,
      sym_attribute_specifier,
  [245951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8529), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11726), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11728), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [245979] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11730), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8711), 1,
      sym_attribute_specifier,
  [246001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11280), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11732), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [246015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11736), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [246029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11738), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11740), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [246043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11742), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8732), 1,
      sym_attribute_specifier,
  [246065] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11744), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8883), 1,
      sym_attribute_specifier,
  [246087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11726), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11728), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [246101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11746), 1,
      anon_sym_SEMI,
    STATE(6901), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8612), 1,
      sym_attribute_specifier,
  [246123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11750), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [246137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11752), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8900), 1,
      sym_attribute_specifier,
  [246159] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11754), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8105), 1,
      sym_attribute_specifier,
  [246181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(10558), 1,
      anon_sym_try,
    ACTIONS(11756), 1,
      anon_sym_SEMI,
    ACTIONS(11758), 1,
      anon_sym_EQ,
    STATE(625), 2,
      sym_compound_statement,
      sym_try_statement,
  [246201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11195), 1,
      anon_sym_LBRACK,
    STATE(6471), 1,
      sym_template_argument_list,
    ACTIONS(11193), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [246219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11760), 1,
      anon_sym_SEMI,
    STATE(6873), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8316), 1,
      sym_attribute_specifier,
  [246241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    ACTIONS(11762), 1,
      anon_sym_SEMI,
    ACTIONS(11764), 1,
      anon_sym_EQ,
    STATE(1897), 2,
      sym_compound_statement,
      sym_try_statement,
  [246261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(10642), 1,
      anon_sym_try,
    ACTIONS(11766), 1,
      anon_sym_SEMI,
    ACTIONS(11768), 1,
      anon_sym_EQ,
    STATE(666), 2,
      sym_compound_statement,
      sym_try_statement,
  [246281] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11770), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8173), 1,
      sym_attribute_specifier,
  [246303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11594), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [246317] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10564), 1,
      anon_sym_try,
    ACTIONS(11772), 1,
      anon_sym_SEMI,
    ACTIONS(11774), 1,
      anon_sym_EQ,
    STATE(789), 2,
      sym_compound_statement,
      sym_try_statement,
  [246337] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11776), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8106), 1,
      sym_attribute_specifier,
  [246359] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(10544), 1,
      anon_sym_try,
    ACTIONS(11778), 1,
      anon_sym_SEMI,
    ACTIONS(11780), 1,
      anon_sym_EQ,
    STATE(325), 2,
      sym_compound_statement,
      sym_try_statement,
  [246379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    ACTIONS(10558), 1,
      anon_sym_try,
    ACTIONS(11782), 1,
      anon_sym_SEMI,
    ACTIONS(11784), 1,
      anon_sym_EQ,
    STATE(609), 2,
      sym_compound_statement,
      sym_try_statement,
  [246399] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11786), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8834), 1,
      sym_attribute_specifier,
  [246421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11788), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11790), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [246435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(10642), 1,
      anon_sym_try,
    ACTIONS(11792), 1,
      anon_sym_SEMI,
    ACTIONS(11794), 1,
      anon_sym_EQ,
    STATE(617), 2,
      sym_compound_statement,
      sym_try_statement,
  [246455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    ACTIONS(11796), 1,
      anon_sym_SEMI,
    ACTIONS(11798), 1,
      anon_sym_EQ,
    STATE(2165), 2,
      sym_compound_statement,
      sym_try_statement,
  [246475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(6862), 1,
      anon_sym_LBRACK,
    STATE(2549), 1,
      sym_template_argument_list,
    ACTIONS(6864), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [246493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11800), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8249), 1,
      sym_attribute_specifier,
  [246515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10564), 1,
      anon_sym_try,
    ACTIONS(11802), 1,
      anon_sym_SEMI,
    ACTIONS(11804), 1,
      anon_sym_EQ,
    STATE(743), 2,
      sym_compound_statement,
      sym_try_statement,
  [246535] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11806), 1,
      anon_sym_SEMI,
    STATE(6919), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8166), 1,
      sym_attribute_specifier,
  [246557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 1,
      anon_sym_LBRACK,
    ACTIONS(7528), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6649), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5930), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11808), 1,
      anon_sym_SEMI,
    STATE(6866), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8181), 1,
      sym_attribute_specifier,
  [246597] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11810), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8339), 1,
      sym_attribute_specifier,
  [246619] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11812), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8185), 1,
      sym_attribute_specifier,
  [246641] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 1,
      anon_sym_try,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    ACTIONS(11814), 1,
      anon_sym_SEMI,
    ACTIONS(11816), 1,
      anon_sym_EQ,
    STATE(2043), 2,
      sym_compound_statement,
      sym_try_statement,
  [246661] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11818), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8330), 1,
      sym_attribute_specifier,
  [246683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11820), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8252), 1,
      sym_attribute_specifier,
  [246705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(10544), 1,
      anon_sym_try,
    ACTIONS(11822), 1,
      anon_sym_SEMI,
    ACTIONS(11824), 1,
      anon_sym_EQ,
    STATE(312), 2,
      sym_compound_statement,
      sym_try_statement,
  [246725] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11826), 1,
      anon_sym_SEMI,
    STATE(6878), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8827), 1,
      sym_attribute_specifier,
  [246747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11828), 1,
      anon_sym_SEMI,
    STATE(6879), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8835), 1,
      sym_attribute_specifier,
  [246769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8188), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    ACTIONS(11830), 1,
      anon_sym_SEMI,
    ACTIONS(11832), 1,
      anon_sym_EQ,
    STATE(2061), 2,
      sym_compound_statement,
      sym_try_statement,
  [246803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(11175), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_template_argument_list,
    ACTIONS(11171), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [246821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11834), 1,
      anon_sym_SEMI,
    STATE(6869), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8296), 1,
      sym_attribute_specifier,
  [246861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9851), 1,
      anon_sym_try,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    ACTIONS(11836), 1,
      anon_sym_SEMI,
    ACTIONS(11838), 1,
      anon_sym_EQ,
    STATE(1909), 2,
      sym_compound_statement,
      sym_try_statement,
  [246881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9862), 1,
      anon_sym_try,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    ACTIONS(11840), 1,
      anon_sym_SEMI,
    ACTIONS(11842), 1,
      anon_sym_EQ,
    STATE(2093), 2,
      sym_compound_statement,
      sym_try_statement,
  [246901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11844), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11846), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [246915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11736), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [246929] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_SEMI,
    STATE(6905), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8214), 1,
      sym_attribute_specifier,
  [246951] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11850), 1,
      anon_sym_SEMI,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8225), 1,
      sym_attribute_specifier,
  [246973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11852), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11854), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [246987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(11856), 1,
      anon_sym_SEMI,
    STATE(6891), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8656), 1,
      sym_attribute_specifier,
  [247009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11858), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11860), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [247023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LT,
    ACTIONS(6862), 1,
      anon_sym_LBRACK,
    STATE(2549), 1,
      sym_template_argument_list,
    ACTIONS(6864), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [247041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10630), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    ACTIONS(11862), 1,
      anon_sym_RPAREN,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2770), 1,
      sym_template_argument_list,
    ACTIONS(6769), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [247096] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(11864), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3861), 1,
      sym_template_method,
    STATE(7736), 1,
      sym_operator_name,
  [247115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11866), 1,
      sym_identifier,
    STATE(8235), 1,
      sym__namespace_specifier,
    STATE(8556), 1,
      sym_nested_namespace_specifier,
  [247134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11868), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11870), 1,
      anon_sym_SEMI,
    STATE(6938), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11872), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7898), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [247181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(11874), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(2829), 1,
      sym_template_method,
    STATE(7779), 1,
      sym_operator_name,
  [247200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_COMMA,
    ACTIONS(11881), 1,
      anon_sym___attribute,
    STATE(6933), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11879), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [247217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10622), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10626), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11883), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11885), 1,
      anon_sym_SEMI,
    STATE(6946), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11887), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11889), 1,
      anon_sym_SEMI,
    STATE(6970), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11891), 1,
      anon_sym_SEMI,
    STATE(6996), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10546), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247359] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10568), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_RPAREN,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11895), 1,
      anon_sym_SEMI,
    STATE(6994), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11897), 1,
      anon_sym_SEMI,
    STATE(6971), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11899), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8967), 1,
      sym_auto,
    ACTIONS(8969), 1,
      anon_sym_decltype,
    STATE(2314), 1,
      sym_decltype_auto,
    ACTIONS(11901), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10608), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11903), 1,
      sym_identifier,
    STATE(8216), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [247503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11905), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11907), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(6862), 1,
      anon_sym_LBRACK,
    STATE(2843), 1,
      sym_template_argument_list,
    ACTIONS(6864), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [247554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11909), 1,
      sym_identifier,
    STATE(8121), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [247573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11911), 1,
      anon_sym_SEMI,
    STATE(6966), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(11913), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(2829), 1,
      sym_template_method,
    STATE(7973), 1,
      sym_operator_name,
  [247609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11915), 1,
      sym_identifier,
    STATE(7544), 1,
      sym__namespace_specifier,
    STATE(7778), 1,
      sym_nested_namespace_specifier,
  [247628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11915), 1,
      sym_identifier,
    STATE(7546), 1,
      sym__namespace_specifier,
    STATE(7769), 1,
      sym_nested_namespace_specifier,
  [247647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11917), 1,
      anon_sym_SEMI,
    STATE(6960), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11919), 1,
      anon_sym_SEMI,
    STATE(6995), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11921), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(11923), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3685), 1,
      sym_template_method,
    STATE(7754), 1,
      sym_operator_name,
  [247717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11925), 1,
      anon_sym_SEMI,
    STATE(6978), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11927), 1,
      anon_sym_SEMI,
    STATE(6951), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11242), 1,
      anon_sym_COMMA,
    ACTIONS(11931), 1,
      anon_sym___attribute,
    STATE(6987), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11929), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [247768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10576), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11933), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    ACTIONS(11935), 1,
      anon_sym_RPAREN,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [247823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11937), 1,
      anon_sym_SEMI,
    STATE(6929), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(1217), 1,
      sym_template_argument_list,
    ACTIONS(4287), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [247857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11939), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11941), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11943), 1,
      anon_sym_SEMI,
    STATE(6950), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11945), 1,
      anon_sym_SEMI,
    STATE(6981), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11406), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      anon_sym_inline,
    ACTIONS(11947), 1,
      sym_identifier,
    STATE(8157), 1,
      sym_nested_namespace_specifier,
    STATE(8235), 1,
      sym__namespace_specifier,
  [247944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11949), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11951), 1,
      anon_sym_SEMI,
    STATE(6985), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11953), 1,
      anon_sym_SEMI,
    STATE(6983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [247995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11955), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [248012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_operator,
    ACTIONS(11913), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(2829), 1,
      sym_template_method,
    STATE(7713), 1,
      sym_operator_name,
  [248031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11957), 4,
      anon_sym_virtual,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [248044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11961), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [248061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8967), 1,
      sym_auto,
    ACTIONS(8969), 1,
      anon_sym_decltype,
    STATE(2314), 1,
      sym_decltype_auto,
    ACTIONS(11963), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11965), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [248095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11967), 1,
      anon_sym_SEMI,
    STATE(6936), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [248112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11969), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [248129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9430), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9434), 1,
      anon_sym_EQ,
    ACTIONS(11971), 1,
      sym_identifier,
    ACTIONS(9432), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11973), 1,
      anon_sym_COMMA,
    ACTIONS(11978), 1,
      anon_sym___attribute,
    STATE(6987), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11976), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [248163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11980), 5,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [248174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(6862), 1,
      anon_sym_LBRACK,
    STATE(2489), 1,
      sym_template_argument_list,
    ACTIONS(6864), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [248191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11982), 1,
      anon_sym_SEMI,
    STATE(6975), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [248208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    ACTIONS(11986), 1,
      anon_sym_COLON_COLON,
    STATE(7686), 1,
      sym_argument_list,
    ACTIONS(11984), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [248225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    ACTIONS(11988), 1,
      anon_sym_RPAREN,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [248244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(10572), 1,
      anon_sym_COLON,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3709), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [248263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11990), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [248280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11992), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [248297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(7612), 1,
      anon_sym___attribute__,
    ACTIONS(11994), 1,
      anon_sym_SEMI,
    STATE(4437), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [248314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(11996), 1,
      aux_sym_preproc_if_token2,
    STATE(6849), 1,
      sym_enumerator,
    STATE(7001), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7078), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [248333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(1217), 1,
      sym_template_argument_list,
    ACTIONS(6864), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [248347] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(11998), 1,
      anon_sym_DQUOTE,
    ACTIONS(12000), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12002), 1,
      sym_escape_sequence,
    STATE(7005), 1,
      aux_sym_string_literal_repeat1,
  [248363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_LBRACE,
    STATE(7556), 1,
      aux_sym_base_class_clause_repeat1,
  [248379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(12010), 1,
      aux_sym_preproc_if_token2,
    STATE(6782), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
  [248395] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12012), 1,
      anon_sym_DQUOTE,
    ACTIONS(12014), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12016), 1,
      sym_escape_sequence,
    STATE(7158), 1,
      aux_sym_string_literal_repeat1,
  [248411] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12018), 1,
      anon_sym_DQUOTE,
    ACTIONS(12020), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12022), 1,
      sym_escape_sequence,
    STATE(7080), 1,
      aux_sym_string_literal_repeat1,
  [248427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12024), 1,
      anon_sym_COMMA,
    STATE(7207), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12026), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [248441] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_DQUOTE,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [248457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    STATE(5010), 1,
      sym_field_declaration_list,
    STATE(7928), 1,
      sym_base_class_clause,
  [248473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      anon_sym_COMMA,
    STATE(7216), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12036), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [248487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12040), 1,
      anon_sym_EQ,
    STATE(345), 1,
      sym_declaration_list,
  [248503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      anon_sym_LBRACE,
    STATE(3798), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [248517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12042), 1,
      anon_sym_SEMI,
    ACTIONS(12044), 1,
      anon_sym_DASH_GT,
    ACTIONS(12046), 1,
      anon_sym_noexcept,
    STATE(8478), 1,
      sym_trailing_return_type,
  [248533] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12048), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [248547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9809), 1,
      anon_sym_LBRACE,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(4079), 1,
      sym_requirement_seq,
    STATE(7777), 1,
      sym_requires_parameter_list,
  [248563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12056), 1,
      anon_sym_GT2,
    STATE(7373), 1,
      aux_sym_template_argument_list_repeat1,
  [248579] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12058), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [248593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    STATE(4978), 1,
      sym_field_declaration_list,
    STATE(7820), 1,
      sym_base_class_clause,
  [248609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(1021), 1,
      sym_field_declaration_list,
    STATE(7850), 1,
      sym_base_class_clause,
  [248625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    STATE(7559), 1,
      sym_compound_statement,
    STATE(7854), 1,
      sym_field_initializer_list,
  [248641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12060), 1,
      anon_sym_GT2,
    STATE(7416), 1,
      aux_sym_template_argument_list_repeat1,
  [248657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      anon_sym_LBRACE,
    STATE(3842), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [248671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      sym_identifier,
    ACTIONS(11996), 1,
      aux_sym_preproc_if_token2,
    STATE(7001), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8118), 1,
      sym_enumerator,
  [248687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(4146), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [248701] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12062), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12066), 1,
      sym_preproc_arg,
    STATE(7795), 1,
      sym_preproc_params,
  [248717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12068), 1,
      anon_sym___except,
    ACTIONS(12070), 1,
      anon_sym___finally,
    STATE(200), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [248731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_LT,
    ACTIONS(12072), 1,
      sym_identifier,
    STATE(944), 1,
      sym_template_parameter_list,
    STATE(2238), 1,
      sym_template_type,
  [248747] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12074), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [248763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(220), 1,
      sym_field_declaration_list,
    STATE(7972), 1,
      sym_base_class_clause,
  [248779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    STATE(7444), 1,
      sym_compound_statement,
    STATE(7814), 1,
      sym_field_initializer_list,
  [248795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12076), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [248805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(536), 1,
      sym_field_declaration_list,
    STATE(7721), 1,
      sym_base_class_clause,
  [248821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(537), 1,
      sym_field_declaration_list,
    STATE(7723), 1,
      sym_base_class_clause,
  [248837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12078), 1,
      anon_sym_GT2,
    STATE(7358), 1,
      aux_sym_template_argument_list_repeat1,
  [248853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_field_declaration_list,
    STATE(8038), 1,
      sym_base_class_clause,
  [248869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1987), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [248883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(225), 1,
      sym_field_declaration_list,
    STATE(7989), 1,
      sym_base_class_clause,
  [248899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_EQ,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248913] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12082), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12084), 1,
      sym_preproc_arg,
    STATE(7802), 1,
      sym_preproc_params,
  [248929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(4182), 1,
      sym_field_declaration_list,
    STATE(7780), 1,
      sym_base_class_clause,
  [248945] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12086), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [248961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12088), 1,
      anon_sym_EQ,
    STATE(804), 1,
      sym_declaration_list,
  [248977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    STATE(2900), 1,
      sym_argument_list,
    STATE(4090), 1,
      sym_initializer_list,
  [248993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12090), 1,
      anon_sym_EQ,
    STATE(7174), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249007] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12092), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [249023] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12094), 1,
      anon_sym_DQUOTE,
    ACTIONS(12096), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12098), 1,
      sym_escape_sequence,
    STATE(7063), 1,
      aux_sym_string_literal_repeat1,
  [249039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      anon_sym_LBRACE,
    STATE(4356), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(422), 1,
      sym_field_declaration_list,
    STATE(7764), 1,
      sym_base_class_clause,
  [249069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12100), 1,
      anon_sym_EQ,
    STATE(7181), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249083] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12102), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12104), 1,
      sym_preproc_arg,
    STATE(7796), 1,
      sym_preproc_params,
  [249099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11575), 1,
      anon_sym_EQ,
    STATE(7208), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(1064), 1,
      sym_field_declaration_list,
    STATE(7805), 1,
      sym_base_class_clause,
  [249129] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12106), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12108), 1,
      sym_preproc_arg,
    STATE(7916), 1,
      sym_preproc_params,
  [249145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym___except,
    ACTIONS(12112), 1,
      anon_sym___finally,
    STATE(408), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [249159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    STATE(3830), 1,
      sym_argument_list,
    STATE(3840), 1,
      sym_initializer_list,
  [249175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(12114), 1,
      anon_sym_SEMI,
    STATE(2465), 1,
      sym_template_argument_list,
  [249191] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12116), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [249205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11005), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      sym_parameter_list,
    STATE(6093), 1,
      sym__function_declarator_seq,
  [249221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_LT,
    ACTIONS(12072), 1,
      sym_identifier,
    STATE(948), 1,
      sym_template_parameter_list,
    STATE(2238), 1,
      sym_template_type,
  [249237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12118), 1,
      anon_sym_GT2,
    STATE(7298), 1,
      aux_sym_template_argument_list_repeat1,
  [249253] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12120), 1,
      anon_sym_DQUOTE,
    ACTIONS(12122), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12124), 1,
      sym_escape_sequence,
    STATE(7092), 1,
      aux_sym_string_literal_repeat1,
  [249269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9817), 1,
      anon_sym_LBRACE,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(2875), 1,
      sym_requirement_seq,
    STATE(7927), 1,
      sym_requires_parameter_list,
  [249285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_field_declaration_list,
    STATE(8004), 1,
      sym_base_class_clause,
  [249301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    STATE(4850), 1,
      sym_field_declaration_list,
    STATE(7930), 1,
      sym_base_class_clause,
  [249317] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12126), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [249331] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12128), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [249347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12130), 1,
      anon_sym___except,
    ACTIONS(12132), 1,
      anon_sym___finally,
    STATE(526), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [249361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(4136), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12024), 1,
      anon_sym_COMMA,
    STATE(7004), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12134), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [249389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10646), 1,
      anon_sym_LBRACE,
    STATE(5893), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1967), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    ACTIONS(12136), 1,
      anon_sym_LBRACE,
    STATE(5779), 1,
      sym_requirement_seq,
    STATE(8001), 1,
      sym_requires_parameter_list,
  [249433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    STATE(2937), 1,
      sym_field_declaration_list,
    STATE(7873), 1,
      sym_base_class_clause,
  [249449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10659), 1,
      anon_sym_LBRACE,
    STATE(1967), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10669), 1,
      anon_sym_LBRACE,
    STATE(2912), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(433), 1,
      sym_field_declaration_list,
    STATE(7709), 1,
      sym_base_class_clause,
  [249493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10663), 1,
      anon_sym_LBRACE,
    STATE(3506), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10663), 1,
      anon_sym_LBRACE,
    STATE(3526), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12138), 1,
      anon_sym_GT2,
    STATE(7380), 1,
      aux_sym_template_argument_list_repeat1,
  [249537] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12140), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [249551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(12142), 1,
      aux_sym_preproc_if_token2,
    STATE(6744), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [249565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_LT,
    ACTIONS(12072), 1,
      sym_identifier,
    STATE(947), 1,
      sym_template_parameter_list,
    STATE(2238), 1,
      sym_template_type,
  [249581] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12144), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [249597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    STATE(3160), 1,
      sym_field_declaration_list,
    STATE(7979), 1,
      sym_base_class_clause,
  [249613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(527), 1,
      sym_field_declaration_list,
    STATE(7913), 1,
      sym_base_class_clause,
  [249629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN2,
    STATE(3830), 1,
      sym_argument_list,
    STATE(5030), 1,
      sym_initializer_list,
  [249645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    ACTIONS(12146), 1,
      aux_sym_preproc_if_token2,
    STATE(7078), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [249659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    STATE(3374), 1,
      sym_field_declaration_list,
    STATE(7816), 1,
      sym_base_class_clause,
  [249675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(423), 1,
      sym_field_declaration_list,
    STATE(7810), 1,
      sym_base_class_clause,
  [249691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    STATE(2640), 1,
      sym_field_declaration_list,
    STATE(7745), 1,
      sym_base_class_clause,
  [249707] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12148), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [249723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(7344), 2,
      sym_argument_list,
      sym_initializer_list,
  [249737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12150), 1,
      anon_sym_COMMA,
    STATE(7222), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12152), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [249751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(433), 1,
      sym_field_declaration_list,
    STATE(7978), 1,
      sym_base_class_clause,
  [249767] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12154), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [249783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12156), 1,
      anon_sym_GT2,
    STATE(7569), 1,
      aux_sym_template_argument_list_repeat1,
  [249799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12158), 1,
      sym_identifier,
    ACTIONS(12160), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [249811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_LT,
    ACTIONS(12072), 1,
      sym_identifier,
    STATE(942), 1,
      sym_template_parameter_list,
    STATE(2238), 1,
      sym_template_type,
  [249827] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12162), 1,
      anon_sym_DQUOTE,
    ACTIONS(12164), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12166), 1,
      sym_escape_sequence,
    STATE(7129), 1,
      aux_sym_string_literal_repeat1,
  [249843] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12168), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [249859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    STATE(7279), 1,
      sym_compound_statement,
    STATE(7790), 1,
      sym_field_initializer_list,
  [249875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12170), 1,
      anon_sym_GT2,
    STATE(7337), 1,
      aux_sym_template_argument_list_repeat1,
  [249891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    ACTIONS(12172), 1,
      anon_sym_LBRACE,
    STATE(1989), 1,
      sym_requirement_seq,
    STATE(7906), 1,
      sym_requires_parameter_list,
  [249907] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12174), 1,
      anon_sym_DQUOTE,
    ACTIONS(12176), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12178), 1,
      sym_escape_sequence,
    STATE(7097), 1,
      aux_sym_string_literal_repeat1,
  [249923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    STATE(4838), 1,
      sym_field_declaration_list,
    STATE(7947), 1,
      sym_base_class_clause,
  [249939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_LT,
    ACTIONS(12072), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(6931), 1,
      sym_template_parameter_list,
  [249955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(12180), 1,
      anon_sym_SEMI,
    STATE(2465), 1,
      sym_template_argument_list,
  [249971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12182), 1,
      anon_sym_GT2,
    STATE(7633), 1,
      aux_sym_template_argument_list_repeat1,
  [249987] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12186), 1,
      sym_preproc_arg,
    STATE(8070), 1,
      sym_preproc_params,
  [250003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(2378), 1,
      sym_field_declaration_list,
    STATE(7986), 1,
      sym_base_class_clause,
  [250019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9799), 1,
      anon_sym_LBRACE,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(3601), 1,
      sym_requirement_seq,
    STATE(7984), 1,
      sym_requires_parameter_list,
  [250035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_LT,
    ACTIONS(12072), 1,
      sym_identifier,
    STATE(945), 1,
      sym_template_parameter_list,
    STATE(2238), 1,
      sym_template_type,
  [250051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(12188), 1,
      anon_sym_SEMI,
    STATE(2465), 1,
      sym_template_argument_list,
  [250067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12190), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12192), 1,
      anon_sym_LBRACE,
    STATE(7657), 1,
      aux_sym_base_class_clause_repeat1,
  [250083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10691), 1,
      anon_sym_LBRACE,
    STATE(3687), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(4108), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12194), 1,
      anon_sym_GT2,
    STATE(7387), 1,
      aux_sym_template_argument_list_repeat1,
  [250127] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12196), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12198), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(547), 1,
      sym_field_declaration_list,
    STATE(7775), 1,
      sym_base_class_clause,
  [250157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    STATE(3746), 1,
      sym_argument_list,
    STATE(3747), 1,
      sym_initializer_list,
  [250173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12201), 1,
      anon_sym_GT2,
    STATE(7267), 1,
      aux_sym_template_argument_list_repeat1,
  [250189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(12203), 1,
      anon_sym_SEMI,
    STATE(2465), 1,
      sym_template_argument_list,
  [250205] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12205), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [250221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(5354), 1,
      sym_field_declaration_list,
    STATE(7966), 1,
      sym_base_class_clause,
  [250237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10659), 1,
      anon_sym_LBRACE,
    STATE(1968), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    STATE(7625), 1,
      sym_compound_statement,
    STATE(7876), 1,
      sym_field_initializer_list,
  [250267] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12207), 1,
      anon_sym_DQUOTE,
    ACTIONS(12209), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12211), 1,
      sym_escape_sequence,
    STATE(7038), 1,
      aux_sym_string_literal_repeat1,
  [250283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8748), 1,
      anon_sym___attribute,
    ACTIONS(8746), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [250295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(5356), 1,
      sym_field_declaration_list,
    STATE(7968), 1,
      sym_base_class_clause,
  [250311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10669), 1,
      anon_sym_LBRACE,
    STATE(2902), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250325] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250339] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12215), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [250355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12217), 1,
      anon_sym___except,
    ACTIONS(12219), 1,
      anon_sym___finally,
    STATE(460), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [250369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    STATE(3365), 1,
      sym_field_declaration_list,
    STATE(7768), 1,
      sym_base_class_clause,
  [250385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10669), 1,
      anon_sym_LBRACE,
    STATE(2865), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12221), 1,
      anon_sym_GT2,
    STATE(7318), 1,
      aux_sym_template_argument_list_repeat1,
  [250415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(423), 1,
      sym_field_declaration_list,
    STATE(7836), 1,
      sym_base_class_clause,
  [250431] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12223), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    ACTIONS(12225), 1,
      anon_sym_LBRACE,
    STATE(5936), 1,
      sym_requirement_seq,
    STATE(8057), 1,
      sym_requires_parameter_list,
  [250461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12227), 1,
      anon_sym_EQ,
    STATE(568), 1,
      sym_declaration_list,
  [250477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(201), 1,
      sym_field_declaration_list,
    STATE(8044), 1,
      sym_base_class_clause,
  [250493] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12229), 1,
      anon_sym_DQUOTE,
    ACTIONS(12231), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12233), 1,
      sym_escape_sequence,
    STATE(7156), 1,
      aux_sym_string_literal_repeat1,
  [250509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym___attribute,
    ACTIONS(12235), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [250521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12241), 1,
      anon_sym___attribute,
    ACTIONS(12239), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [250533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10646), 1,
      anon_sym_LBRACE,
    STATE(5904), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12243), 1,
      anon_sym_GT2,
    STATE(7329), 1,
      aux_sym_template_argument_list_repeat1,
  [250563] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12245), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [250579] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12247), 1,
      anon_sym_DQUOTE,
    ACTIONS(12249), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12251), 1,
      sym_escape_sequence,
    STATE(7144), 1,
      aux_sym_string_literal_repeat1,
  [250595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12253), 1,
      anon_sym_GT2,
    STATE(7673), 1,
      aux_sym_template_argument_list_repeat1,
  [250611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10659), 1,
      anon_sym_LBRACE,
    STATE(1987), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(12255), 1,
      anon_sym_SEMI,
    STATE(2465), 1,
      sym_template_argument_list,
  [250641] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12257), 1,
      anon_sym_DQUOTE,
    ACTIONS(12259), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12261), 1,
      sym_escape_sequence,
    STATE(7042), 1,
      aux_sym_string_literal_repeat1,
  [250657] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_DQUOTE,
    ACTIONS(12265), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12267), 1,
      sym_escape_sequence,
    STATE(7225), 1,
      aux_sym_string_literal_repeat1,
  [250673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12269), 1,
      anon_sym_GT2,
    STATE(7310), 1,
      aux_sym_template_argument_list_repeat1,
  [250689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(4163), 1,
      sym_field_declaration_list,
    STATE(7846), 1,
      sym_base_class_clause,
  [250705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    STATE(2647), 1,
      sym_field_declaration_list,
    STATE(7727), 1,
      sym_base_class_clause,
  [250721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    STATE(7528), 1,
      sym_compound_statement,
    STATE(7765), 1,
      sym_field_initializer_list,
  [250737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12271), 1,
      anon_sym_EQ,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250751] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12273), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [250767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11613), 1,
      anon_sym_EQ,
    STATE(7035), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250781] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12275), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [250797] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12277), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10646), 1,
      anon_sym_LBRACE,
    STATE(5926), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      anon_sym_LBRACE,
    STATE(3846), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(409), 1,
      sym_field_declaration_list,
    STATE(7696), 1,
      sym_base_class_clause,
  [250855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      anon_sym_LBRACE,
    STATE(4380), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250869] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12279), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [250885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(479), 1,
      sym_field_declaration_list,
    STATE(7996), 1,
      sym_base_class_clause,
  [250901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12281), 1,
      anon_sym_EQ,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12283), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12285), 1,
      anon_sym_LBRACE,
    STATE(7635), 1,
      aux_sym_base_class_clause_repeat1,
  [250931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11621), 1,
      anon_sym_EQ,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    STATE(3133), 1,
      sym_field_declaration_list,
    STATE(7963), 1,
      sym_base_class_clause,
  [250961] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12287), 1,
      anon_sym_DQUOTE,
    ACTIONS(12289), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12291), 1,
      sym_escape_sequence,
    STATE(7164), 1,
      aux_sym_string_literal_repeat1,
  [250977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12295), 1,
      anon_sym_LBRACE,
    STATE(7553), 1,
      aux_sym_base_class_clause_repeat1,
  [250993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9825), 1,
      anon_sym_LBRACE,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(4370), 1,
      sym_requirement_seq,
    STATE(8025), 1,
      sym_requires_parameter_list,
  [251009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12297), 1,
      anon_sym_GT2,
    STATE(7349), 1,
      aux_sym_template_argument_list_repeat1,
  [251025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12299), 1,
      anon_sym_EQ,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11569), 1,
      anon_sym_EQ,
    STATE(7166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12301), 1,
      anon_sym_COMMA,
    STATE(7176), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12304), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251067] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12306), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12308), 1,
      sym_preproc_arg,
    STATE(7974), 1,
      sym_preproc_params,
  [251083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(470), 1,
      sym_field_declaration_list,
    STATE(7967), 1,
      sym_base_class_clause,
  [251099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12310), 1,
      anon_sym_GT2,
    STATE(7283), 1,
      aux_sym_template_argument_list_repeat1,
  [251115] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12312), 1,
      anon_sym_DQUOTE,
    ACTIONS(12314), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12316), 1,
      sym_escape_sequence,
    STATE(7088), 1,
      aux_sym_string_literal_repeat1,
  [251131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12318), 1,
      anon_sym_EQ,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11553), 1,
      anon_sym_EQ,
    STATE(7186), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(471), 1,
      sym_field_declaration_list,
    STATE(7969), 1,
      sym_base_class_clause,
  [251175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12320), 1,
      anon_sym_GT2,
    STATE(7505), 1,
      aux_sym_template_argument_list_repeat1,
  [251191] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12322), 1,
      anon_sym_DQUOTE,
    ACTIONS(12324), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12326), 1,
      sym_escape_sequence,
    STATE(7234), 1,
      aux_sym_string_literal_repeat1,
  [251207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12328), 1,
      anon_sym_EQ,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11625), 1,
      anon_sym_EQ,
    STATE(7189), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12330), 1,
      anon_sym_GT2,
    STATE(7307), 1,
      aux_sym_template_argument_list_repeat1,
  [251251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12332), 1,
      anon_sym_EQ,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11547), 1,
      anon_sym_EQ,
    STATE(7191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12334), 1,
      anon_sym_EQ,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251293] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12336), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12338), 1,
      sym_preproc_arg,
    STATE(7743), 1,
      sym_preproc_params,
  [251309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10667), 1,
      anon_sym_LBRACE,
    STATE(5811), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4287), 1,
      anon_sym_SEMI,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2471), 1,
      sym_template_argument_list,
  [251339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(5218), 1,
      sym_field_declaration_list,
    STATE(8017), 1,
      sym_base_class_clause,
  [251355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_LBRACE,
    ACTIONS(6409), 1,
      anon_sym_LPAREN2,
    STATE(2879), 1,
      sym_initializer_list,
    STATE(2900), 1,
      sym_argument_list,
  [251371] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12340), 1,
      anon_sym_DQUOTE,
    ACTIONS(12342), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12345), 1,
      sym_escape_sequence,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [251387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(5190), 1,
      sym_field_declaration_list,
    STATE(8018), 1,
      sym_base_class_clause,
  [251403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(2775), 1,
      sym_field_declaration_list,
    STATE(7938), 1,
      sym_base_class_clause,
  [251419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10667), 1,
      anon_sym_LBRACE,
    STATE(5856), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      anon_sym_LBRACE,
    STATE(4397), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12348), 1,
      anon_sym_GT2,
    STATE(7365), 1,
      aux_sym_template_argument_list_repeat1,
  [251463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym___except,
    ACTIONS(12352), 1,
      anon_sym___finally,
    STATE(1062), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [251477] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12354), 1,
      anon_sym_DQUOTE,
    ACTIONS(12356), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12358), 1,
      sym_escape_sequence,
    STATE(7248), 1,
      aux_sym_string_literal_repeat1,
  [251493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(1012), 1,
      sym_field_declaration_list,
    STATE(7839), 1,
      sym_base_class_clause,
  [251509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_LT,
    ACTIONS(12072), 1,
      sym_identifier,
    STATE(941), 1,
      sym_template_parameter_list,
    STATE(2238), 1,
      sym_template_type,
  [251525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12360), 1,
      anon_sym_COMMA,
    STATE(7207), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12363), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12365), 1,
      anon_sym_EQ,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(12367), 1,
      anon_sym_SEMI,
    STATE(2465), 1,
      sym_template_argument_list,
  [251569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10691), 1,
      anon_sym_LBRACE,
    STATE(3636), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(1040), 1,
      sym_field_declaration_list,
    STATE(7841), 1,
      sym_base_class_clause,
  [251599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9791), 1,
      anon_sym_LBRACE,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(3851), 1,
      sym_requirement_seq,
    STATE(7735), 1,
      sym_requires_parameter_list,
  [251615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(461), 1,
      sym_field_declaration_list,
    STATE(7922), 1,
      sym_base_class_clause,
  [251631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12076), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [251641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12369), 1,
      anon_sym_GT2,
    STATE(7392), 1,
      aux_sym_template_argument_list_repeat1,
  [251657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      anon_sym_COMMA,
    STATE(7176), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12371), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251671] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12373), 1,
      anon_sym_DQUOTE,
    ACTIONS(12375), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12377), 1,
      sym_escape_sequence,
    STATE(7025), 1,
      aux_sym_string_literal_repeat1,
  [251687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    STATE(7466), 1,
      sym_compound_statement,
    STATE(7825), 1,
      sym_field_initializer_list,
  [251703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(422), 1,
      sym_field_declaration_list,
    STATE(7831), 1,
      sym_base_class_clause,
  [251719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(2769), 1,
      sym_field_declaration_list,
    STATE(7693), 1,
      sym_base_class_clause,
  [251735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10667), 1,
      anon_sym_LBRACE,
    STATE(5818), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12379), 1,
      anon_sym_COMMA,
    STATE(7222), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12382), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12150), 1,
      anon_sym_COMMA,
    STATE(7090), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12384), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251777] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251791] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12388), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [251807] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_DQUOTE,
    ACTIONS(12392), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12394), 1,
      sym_escape_sequence,
    STATE(7246), 1,
      aux_sym_string_literal_repeat1,
  [251823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    ACTIONS(7229), 1,
      anon_sym_LPAREN2,
    STATE(3746), 1,
      sym_argument_list,
    STATE(4074), 1,
      sym_initializer_list,
  [251839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    STATE(2942), 1,
      sym_field_declaration_list,
    STATE(7936), 1,
      sym_base_class_clause,
  [251855] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12396), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_LT,
    ACTIONS(12072), 1,
      sym_identifier,
    STATE(943), 1,
      sym_template_parameter_list,
    STATE(2238), 1,
      sym_template_type,
  [251885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1968), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(12398), 1,
      anon_sym_SEMI,
    STATE(2465), 1,
      sym_template_argument_list,
  [251915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12400), 1,
      anon_sym_EQ,
    STATE(655), 1,
      sym_declaration_list,
  [251931] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12402), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [251947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12404), 1,
      anon_sym___except,
    ACTIONS(12406), 1,
      anon_sym___finally,
    STATE(408), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [251961] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12408), 1,
      anon_sym_DQUOTE,
    ACTIONS(12410), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12412), 1,
      sym_escape_sequence,
    STATE(7120), 1,
      aux_sym_string_literal_repeat1,
  [251977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10691), 1,
      anon_sym_LBRACE,
    STATE(3724), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251991] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12414), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(409), 1,
      sym_field_declaration_list,
    STATE(7734), 1,
      sym_base_class_clause,
  [252021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9833), 1,
      anon_sym_LBRACE,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(3661), 1,
      sym_requirement_seq,
    STATE(8055), 1,
      sym_requires_parameter_list,
  [252037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12416), 1,
      anon_sym_GT2,
    STATE(7482), 1,
      aux_sym_template_argument_list_repeat1,
  [252053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_COLON,
    STATE(7433), 1,
      sym_compound_statement,
    STATE(7725), 1,
      sym_field_initializer_list,
  [252069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    STATE(3200), 1,
      sym_field_declaration_list,
    STATE(8020), 1,
      sym_base_class_clause,
  [252085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10663), 1,
      anon_sym_LBRACE,
    STATE(3481), 1,
      sym_compound_statement,
    ACTIONS(10765), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252099] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12418), 1,
      anon_sym_SQUOTE,
    STATE(7115), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12050), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252113] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12420), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [252129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12422), 1,
      anon_sym_GT2,
    STATE(7436), 1,
      aux_sym_template_argument_list_repeat1,
  [252145] = 5,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12030), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12032), 1,
      sym_escape_sequence,
    ACTIONS(12424), 1,
      anon_sym_DQUOTE,
    STATE(7197), 1,
      aux_sym_string_literal_repeat1,
  [252161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    STATE(189), 1,
      sym_field_declaration_list,
    STATE(7740), 1,
      sym_base_class_clause,
  [252177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(7722), 1,
      sym_argument_list,
    ACTIONS(12426), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [252191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12428), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12430), 1,
      anon_sym_RPAREN,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    STATE(7262), 1,
      sym_gnu_asm_clobber_list,
  [252217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(12436), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7588), 1,
      aux_sym_attribute_declaration_repeat1,
  [252230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8973), 1,
      anon_sym_RPAREN,
    STATE(7292), 1,
      aux_sym_argument_list_repeat1,
  [252243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12438), 1,
      anon_sym_catch,
    STATE(158), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [252254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    STATE(575), 1,
      sym_declaration_list,
  [252267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12440), 1,
      anon_sym_SEMI,
    STATE(7264), 1,
      aux_sym_declaration_repeat1,
  [252280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12442), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3512), 1,
      sym_template_function,
  [252293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8977), 1,
      anon_sym_COMMA,
    ACTIONS(8979), 1,
      anon_sym_RBRACE,
    STATE(7301), 1,
      aux_sym_initializer_list_repeat1,
  [252306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12444), 1,
      anon_sym_COMMA,
    ACTIONS(12446), 1,
      anon_sym_RPAREN,
    STATE(7323), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [252319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      anon_sym_GT2,
    STATE(7268), 1,
      aux_sym_template_argument_list_repeat1,
  [252332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_RPAREN,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    STATE(8519), 1,
      sym_gnu_asm_goto_list,
  [252345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12454), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [252358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12456), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [252371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12458), 1,
      anon_sym_RPAREN,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    STATE(7304), 1,
      sym_gnu_asm_output_operand_list,
  [252384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12462), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12464), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12466), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12468), 1,
      anon_sym_GT2,
    STATE(7312), 1,
      aux_sym_template_argument_list_repeat1,
  [252436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12470), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [252449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(12472), 1,
      anon_sym_RPAREN,
    STATE(7619), 1,
      aux_sym_generic_expression_repeat1,
  [252462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_while,
    ACTIONS(12474), 1,
      anon_sym_else,
    STATE(412), 1,
      sym_else_clause,
  [252475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12476), 1,
      anon_sym_SEMI,
    STATE(7425), 1,
      aux_sym_declaration_repeat1,
  [252488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12478), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [252501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12480), 1,
      anon_sym_COMMA,
    ACTIONS(12482), 1,
      anon_sym_RPAREN,
    STATE(7592), 1,
      aux_sym_requires_parameter_list_repeat1,
  [252514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12484), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [252527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_COMMA,
    ACTIONS(12488), 1,
      anon_sym_RPAREN,
    STATE(7314), 1,
      aux_sym_parameter_list_repeat1,
  [252540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12490), 1,
      anon_sym_SEMI,
    STATE(7354), 1,
      aux_sym_declaration_repeat1,
  [252553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12492), 1,
      anon_sym_catch,
    STATE(1958), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [252564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [252577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 1,
      anon_sym_COMMA,
    ACTIONS(12496), 1,
      anon_sym_RBRACK,
    STATE(7302), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [252590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12498), 1,
      anon_sym_GT2,
    STATE(7284), 1,
      aux_sym_template_argument_list_repeat1,
  [252603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12500), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12502), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_COMMA,
    ACTIONS(12506), 1,
      anon_sym_RBRACK,
    STATE(7322), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [252642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(12508), 1,
      anon_sym_RPAREN,
    STATE(7532), 1,
      aux_sym_argument_list_repeat1,
  [252655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12512), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [252666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 1,
      anon_sym___attribute,
    ACTIONS(7009), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [252677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 1,
      anon_sym___attribute,
    ACTIONS(7017), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [252688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_RPAREN,
    ACTIONS(12514), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [252699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    STATE(767), 1,
      sym_declaration_list,
  [252712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(12518), 1,
      anon_sym_RPAREN,
    STATE(7532), 1,
      aux_sym_argument_list_repeat1,
  [252725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12520), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(2909), 1,
      sym_template_function,
  [252738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      sym_identifier,
    STATE(2488), 1,
      sym_template_type,
    STATE(3740), 1,
      sym_template_function,
  [252751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    STATE(590), 1,
      sym_declaration_list,
  [252764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12524), 1,
      anon_sym_GT2,
    STATE(7299), 1,
      aux_sym_template_argument_list_repeat1,
  [252777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12526), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12528), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12530), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(12534), 1,
      anon_sym_constexpr,
    STATE(892), 1,
      sym_condition_clause,
  [252829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_RBRACE,
    ACTIONS(12536), 1,
      anon_sym_COMMA,
    STATE(7599), 1,
      aux_sym_initializer_list_repeat1,
  [252842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12538), 1,
      anon_sym_COMMA,
    ACTIONS(12541), 1,
      anon_sym_RBRACK,
    STATE(7302), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [252855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12543), 1,
      sym_identifier,
    STATE(2488), 1,
      sym_template_type,
    STATE(2909), 1,
      sym_template_function,
  [252868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12545), 1,
      anon_sym_RPAREN,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    STATE(7339), 1,
      sym_gnu_asm_input_operand_list,
  [252881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(12549), 1,
      anon_sym_RPAREN,
    STATE(7340), 1,
      sym_gnu_asm_output_operand_list,
  [252894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12551), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12553), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12555), 1,
      anon_sym_GT2,
    STATE(7311), 1,
      aux_sym_template_argument_list_repeat1,
  [252933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12557), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12559), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12561), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12563), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [252985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12565), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [252998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_COMMA,
    ACTIONS(12567), 1,
      anon_sym_RPAREN,
    STATE(7456), 1,
      aux_sym_parameter_list_repeat1,
  [253011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12492), 1,
      anon_sym_catch,
    STATE(1965), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [253022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12569), 1,
      anon_sym_GT2,
    STATE(7319), 1,
      aux_sym_template_argument_list_repeat1,
  [253035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12571), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12573), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12575), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_COMMA,
    ACTIONS(12577), 1,
      anon_sym_RBRACK,
    STATE(7586), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [253087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    STATE(697), 1,
      sym_declaration_list,
  [253100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12579), 1,
      anon_sym_COMMA,
    ACTIONS(12582), 1,
      anon_sym_RBRACK,
    STATE(7322), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [253113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12584), 1,
      anon_sym_COMMA,
    ACTIONS(12587), 1,
      anon_sym_RPAREN,
    STATE(7323), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [253126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_RBRACE,
    ACTIONS(12589), 1,
      anon_sym_COMMA,
    STATE(7599), 1,
      aux_sym_initializer_list_repeat1,
  [253139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 1,
      anon_sym___attribute,
    ACTIONS(7089), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [253150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12591), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(2909), 1,
      sym_template_function,
  [253163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12593), 1,
      anon_sym_GT2,
    STATE(7330), 1,
      aux_sym_template_argument_list_repeat1,
  [253176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12595), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12597), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12599), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12601), 1,
      anon_sym_catch,
    STATE(300), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [253226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12603), 1,
      anon_sym_COMMA,
    ACTIONS(12605), 1,
      anon_sym_LBRACE,
    STATE(7474), 1,
      aux_sym_field_initializer_list_repeat1,
  [253239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12607), 1,
      sym_identifier,
    STATE(2978), 1,
      sym_template_type,
    STATE(3845), 1,
      sym_template_function,
  [253252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12609), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12611), 1,
      anon_sym_GT2,
    STATE(7338), 1,
      aux_sym_template_argument_list_repeat1,
  [253274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12613), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12615), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12617), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(12619), 1,
      anon_sym_RPAREN,
    STATE(7352), 1,
      sym_gnu_asm_clobber_list,
  [253326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(12621), 1,
      anon_sym_RPAREN,
    STATE(7353), 1,
      sym_gnu_asm_input_operand_list,
  [253339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_RPAREN,
    ACTIONS(12623), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [253350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12627), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [253363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(12629), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7588), 1,
      aux_sym_attribute_declaration_repeat1,
  [253376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12631), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12633), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [253387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [253400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8834), 1,
      anon_sym_RPAREN,
    STATE(7470), 1,
      aux_sym_argument_list_repeat1,
  [253413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12637), 1,
      anon_sym_GT2,
    STATE(7350), 1,
      aux_sym_template_argument_list_repeat1,
  [253426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12639), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12641), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12643), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12645), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [253478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(12647), 1,
      anon_sym_RPAREN,
    STATE(8102), 1,
      sym_gnu_asm_goto_list,
  [253491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(12649), 1,
      anon_sym_RPAREN,
    STATE(7360), 1,
      sym_gnu_asm_clobber_list,
  [253504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12651), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [253517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12653), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3740), 1,
      sym_template_function,
  [253530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12655), 1,
      anon_sym_GT2,
    STATE(7359), 1,
      aux_sym_template_argument_list_repeat1,
  [253543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12657), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12659), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12661), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(12663), 1,
      anon_sym_RPAREN,
    STATE(8109), 1,
      sym_gnu_asm_goto_list,
  [253595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(12665), 1,
      anon_sym_RPAREN,
    STATE(7619), 1,
      aux_sym_generic_expression_repeat1,
  [253608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12667), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [253621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12669), 1,
      anon_sym_GT2,
    STATE(7366), 1,
      aux_sym_template_argument_list_repeat1,
  [253634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12671), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12673), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12675), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    STATE(250), 1,
      sym_declaration_list,
  [253686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(12677), 1,
      anon_sym_RPAREN,
    STATE(7405), 1,
      sym_gnu_asm_output_operand_list,
  [253699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12679), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3845), 1,
      sym_template_function,
  [253712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_COMMA,
    ACTIONS(12681), 1,
      anon_sym_RPAREN,
    STATE(7670), 1,
      aux_sym_parameter_list_repeat1,
  [253725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12683), 1,
      anon_sym_GT2,
    STATE(7374), 1,
      aux_sym_template_argument_list_repeat1,
  [253738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12685), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12687), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12689), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_COMMA,
    ACTIONS(12691), 1,
      anon_sym_RBRACK,
    STATE(7285), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [253790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12693), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(2909), 1,
      sym_template_function,
  [253803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12601), 1,
      anon_sym_catch,
    STATE(725), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [253814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12695), 1,
      anon_sym_GT2,
    STATE(7381), 1,
      aux_sym_template_argument_list_repeat1,
  [253827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12697), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12699), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12701), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253866] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12703), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12705), 1,
      anon_sym_LPAREN2,
    STATE(8139), 1,
      sym_preproc_argument_list,
  [253879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12707), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [253892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(12709), 1,
      anon_sym_RBRACK,
    STATE(7481), 1,
      aux_sym_subscript_argument_list_repeat1,
  [253905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12711), 1,
      anon_sym_GT2,
    STATE(7388), 1,
      aux_sym_template_argument_list_repeat1,
  [253918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12713), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12715), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12717), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8836), 1,
      anon_sym_COMMA,
    ACTIONS(8838), 1,
      anon_sym_RBRACE,
    STATE(7485), 1,
      aux_sym_initializer_list_repeat1,
  [253970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12719), 1,
      anon_sym_GT2,
    STATE(7393), 1,
      aux_sym_template_argument_list_repeat1,
  [253983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12721), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [253996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12723), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [254009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12725), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [254022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12727), 1,
      anon_sym_GT2,
    STATE(7422), 1,
      aux_sym_template_argument_list_repeat1,
  [254035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 1,
      anon_sym_while,
    ACTIONS(12474), 1,
      anon_sym_else,
    STATE(424), 1,
      sym_else_clause,
  [254048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    STATE(761), 1,
      sym_declaration_list,
  [254061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12729), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(12731), 1,
      anon_sym_constexpr,
    STATE(874), 1,
      sym_condition_clause,
  [254083] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7224), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12733), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(12735), 1,
      anon_sym_RPAREN,
    STATE(7600), 1,
      sym_gnu_asm_clobber_list,
  [254107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(12737), 1,
      anon_sym_RPAREN,
    STATE(7602), 1,
      sym_gnu_asm_input_operand_list,
  [254120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(12739), 1,
      anon_sym_RPAREN,
    STATE(7502), 1,
      sym_gnu_asm_output_operand_list,
  [254133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12741), 1,
      anon_sym_GT2,
    STATE(7506), 1,
      aux_sym_template_argument_list_repeat1,
  [254146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12054), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12743), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [254157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(12745), 1,
      anon_sym_RPAREN,
    STATE(7609), 1,
      sym_gnu_asm_input_operand_list,
  [254170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12747), 1,
      anon_sym_COMMA,
    ACTIONS(12750), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [254183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(12752), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7526), 1,
      aux_sym_attribute_declaration_repeat1,
  [254196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12754), 1,
      anon_sym_default,
    ACTIONS(12756), 1,
      anon_sym_delete,
    ACTIONS(12758), 1,
      aux_sym_pure_virtual_clause_token1,
  [254209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(12760), 1,
      anon_sym_RPAREN,
    STATE(7611), 1,
      sym_gnu_asm_output_operand_list,
  [254222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(12762), 1,
      anon_sym_RPAREN,
    STATE(7400), 1,
      sym_gnu_asm_input_operand_list,
  [254235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12764), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [254248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12766), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [254257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(12768), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7452), 1,
      aux_sym_attribute_declaration_repeat1,
  [254270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(12770), 1,
      anon_sym_RPAREN,
    STATE(7401), 1,
      sym_gnu_asm_output_operand_list,
  [254283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12772), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [254292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12774), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [254305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11504), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [254314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12776), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [254327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(12778), 1,
      anon_sym_constexpr,
    STATE(881), 1,
      sym_condition_clause,
  [254340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11504), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [254349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12780), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [254358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12782), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [254371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12784), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [254380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12786), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [254393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12788), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [254406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12790), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [254419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(12792), 1,
      anon_sym_RPAREN,
    STATE(7619), 1,
      aux_sym_generic_expression_repeat1,
  [254432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_COMMA,
    ACTIONS(12794), 1,
      anon_sym_RPAREN,
    STATE(7511), 1,
      aux_sym_parameter_list_repeat1,
  [254445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12798), 1,
      anon_sym_GT2,
    STATE(7454), 1,
      aux_sym_template_parameter_list_repeat1,
  [254458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12492), 1,
      anon_sym_catch,
    STATE(1964), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12800), 1,
      anon_sym_COMMA,
    ACTIONS(12803), 1,
      anon_sym_GT2,
    STATE(7431), 1,
      aux_sym_template_parameter_list_repeat1,
  [254482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(12805), 1,
      anon_sym_RPAREN,
    STATE(7410), 1,
      sym_gnu_asm_output_operand_list,
  [254495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12438), 1,
      anon_sym_catch,
    STATE(165), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_while,
    ACTIONS(12474), 1,
      anon_sym_else,
    STATE(437), 1,
      sym_else_clause,
  [254519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12603), 1,
      anon_sym_COMMA,
    ACTIONS(12807), 1,
      anon_sym_LBRACE,
    STATE(7332), 1,
      aux_sym_field_initializer_list_repeat1,
  [254532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12809), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [254545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8776), 1,
      anon_sym_RBRACE,
    ACTIONS(8948), 1,
      anon_sym_COMMA,
    STATE(7451), 1,
      aux_sym_initializer_list_repeat1,
  [254558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12811), 1,
      anon_sym_SEMI,
    STATE(7464), 1,
      aux_sym_declaration_repeat1,
  [254571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12813), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [254584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(12815), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7588), 1,
      aux_sym_attribute_declaration_repeat1,
  [254597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12817), 1,
      anon_sym_COMMA,
    ACTIONS(12820), 1,
      anon_sym_RPAREN,
    STATE(7441), 1,
      aux_sym_requires_parameter_list_repeat1,
  [254610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7043), 1,
      anon_sym___attribute,
    ACTIONS(7045), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [254621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12822), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [254634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12601), 1,
      anon_sym_catch,
    STATE(726), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12824), 1,
      sym_identifier,
    ACTIONS(12826), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [254656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 1,
      anon_sym___attribute,
    ACTIONS(7053), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [254667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(8898), 1,
      anon_sym_RBRACK,
    STATE(7514), 1,
      aux_sym_subscript_argument_list_repeat1,
  [254680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12828), 1,
      anon_sym_default,
    ACTIONS(12830), 1,
      anon_sym_delete,
    ACTIONS(12832), 1,
      aux_sym_pure_virtual_clause_token1,
  [254693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12834), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [254706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_EQ,
    ACTIONS(11585), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [254717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4541), 1,
      anon_sym_RBRACE,
    ACTIONS(12838), 1,
      anon_sym_COMMA,
    STATE(7599), 1,
      aux_sym_initializer_list_repeat1,
  [254730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(12840), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7588), 1,
      aux_sym_attribute_declaration_repeat1,
  [254743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8999), 1,
      anon_sym_RPAREN,
    STATE(7472), 1,
      aux_sym_argument_list_repeat1,
  [254756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12842), 1,
      anon_sym_GT2,
    STATE(7431), 1,
      aux_sym_template_parameter_list_repeat1,
  [254769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12844), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12846), 1,
      anon_sym_COMMA,
    ACTIONS(12849), 1,
      anon_sym_RPAREN,
    STATE(7456), 1,
      aux_sym_parameter_list_repeat1,
  [254791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9001), 1,
      anon_sym_COMMA,
    ACTIONS(9003), 1,
      anon_sym_RBRACE,
    STATE(7475), 1,
      aux_sym_initializer_list_repeat1,
  [254804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_COMMA,
    ACTIONS(12853), 1,
      anon_sym_RPAREN,
    STATE(7618), 1,
      aux_sym_throw_specifier_repeat1,
  [254817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(12855), 1,
      anon_sym_RPAREN,
    STATE(7478), 1,
      sym_gnu_asm_output_operand_list,
  [254830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12857), 1,
      anon_sym_GT2,
    STATE(7483), 1,
      aux_sym_template_argument_list_repeat1,
  [254843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12859), 1,
      anon_sym_GT2,
    STATE(7439), 1,
      aux_sym_template_argument_list_repeat1,
  [254856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8981), 1,
      anon_sym_RPAREN,
    STATE(7286), 1,
      aux_sym_argument_list_repeat1,
  [254869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12861), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [254882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12863), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [254895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 1,
      anon_sym___attribute,
    ACTIONS(6923), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [254906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12865), 1,
      anon_sym_catch,
    STATE(363), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 1,
      anon_sym___attribute,
    ACTIONS(6927), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [254928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12867), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(12869), 1,
      anon_sym_constexpr,
    STATE(886), 1,
      sym_condition_clause,
  [254950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(12871), 1,
      anon_sym_RPAREN,
    STATE(7532), 1,
      aux_sym_argument_list_repeat1,
  [254963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_COMMA,
    ACTIONS(12873), 1,
      anon_sym_RPAREN,
    STATE(7456), 1,
      aux_sym_parameter_list_repeat1,
  [254976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(12875), 1,
      anon_sym_RPAREN,
    STATE(7532), 1,
      aux_sym_argument_list_repeat1,
  [254989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    STATE(335), 1,
      sym_declaration_list,
  [255002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12877), 1,
      anon_sym_COMMA,
    ACTIONS(12880), 1,
      anon_sym_LBRACE,
    STATE(7474), 1,
      aux_sym_field_initializer_list_repeat1,
  [255015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 1,
      anon_sym_RBRACE,
    ACTIONS(12882), 1,
      anon_sym_COMMA,
    STATE(7599), 1,
      aux_sym_initializer_list_repeat1,
  [255028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_COMMA,
    ACTIONS(12884), 1,
      anon_sym_RPAREN,
    STATE(7508), 1,
      aux_sym_preproc_argument_list_repeat1,
  [255041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 1,
      anon_sym___attribute,
    ACTIONS(6935), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [255052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(12886), 1,
      anon_sym_RPAREN,
    STATE(7490), 1,
      sym_gnu_asm_input_operand_list,
  [255065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(12888), 1,
      anon_sym_RPAREN,
    STATE(7491), 1,
      sym_gnu_asm_output_operand_list,
  [255078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12890), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [255091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9081), 1,
      anon_sym_RBRACK,
    ACTIONS(12892), 1,
      anon_sym_COMMA,
    STATE(7481), 1,
      aux_sym_subscript_argument_list_repeat1,
  [255104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12895), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [255117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12897), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [255130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12899), 1,
      anon_sym_COMMA,
    ACTIONS(12901), 1,
      anon_sym_RPAREN,
    STATE(7516), 1,
      aux_sym_preproc_params_repeat1,
  [255143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 1,
      anon_sym_RBRACE,
    ACTIONS(12903), 1,
      anon_sym_COMMA,
    STATE(7599), 1,
      aux_sym_initializer_list_repeat1,
  [255156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12865), 1,
      anon_sym_catch,
    STATE(360), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12905), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [255176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12907), 1,
      anon_sym_LBRACE,
    STATE(7666), 1,
      aux_sym_base_class_clause_repeat1,
  [255189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12909), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [255202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(12911), 1,
      anon_sym_RPAREN,
    STATE(7496), 1,
      sym_gnu_asm_clobber_list,
  [255215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(12913), 1,
      anon_sym_RPAREN,
    STATE(7497), 1,
      sym_gnu_asm_input_operand_list,
  [255228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12915), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [255241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_catch,
    STATE(362), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12905), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [255261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(8942), 1,
      anon_sym_RBRACK,
    STATE(7384), 1,
      aux_sym_subscript_argument_list_repeat1,
  [255274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(12919), 1,
      anon_sym_RPAREN,
    STATE(8498), 1,
      sym_gnu_asm_goto_list,
  [255287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(12921), 1,
      anon_sym_RPAREN,
    STATE(7498), 1,
      sym_gnu_asm_clobber_list,
  [255300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(12923), 1,
      anon_sym_RPAREN,
    STATE(8512), 1,
      sym_gnu_asm_goto_list,
  [255313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(12925), 1,
      anon_sym_RPAREN,
    STATE(7619), 1,
      aux_sym_generic_expression_repeat1,
  [255326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 1,
      anon_sym___attribute,
    ACTIONS(6943), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [255337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(12927), 1,
      anon_sym_RBRACK,
    STATE(7481), 1,
      aux_sym_subscript_argument_list_repeat1,
  [255350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(12929), 1,
      anon_sym_RPAREN,
    STATE(7530), 1,
      sym_gnu_asm_input_operand_list,
  [255363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(12931), 1,
      anon_sym_RPAREN,
    STATE(7533), 1,
      sym_gnu_asm_output_operand_list,
  [255376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12933), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [255389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12935), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [255402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(12937), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [255415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11402), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [255424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10221), 1,
      anon_sym_RPAREN,
    ACTIONS(12939), 1,
      anon_sym_COMMA,
    STATE(7508), 1,
      aux_sym_preproc_argument_list_repeat1,
  [255437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12942), 1,
      anon_sym_GT2,
    STATE(7431), 1,
      aux_sym_template_parameter_list_repeat1,
  [255450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12944), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [255463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_COMMA,
    ACTIONS(12946), 1,
      anon_sym_RPAREN,
    STATE(7456), 1,
      aux_sym_parameter_list_repeat1,
  [255476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COMMA,
    ACTIONS(12948), 1,
      anon_sym_GT2,
    STATE(7509), 1,
      aux_sym_template_parameter_list_repeat1,
  [255489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12438), 1,
      anon_sym_catch,
    STATE(164), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(12950), 1,
      anon_sym_RBRACK,
    STATE(7481), 1,
      aux_sym_subscript_argument_list_repeat1,
  [255513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym___attribute,
    ACTIONS(6971), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [255524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12952), 1,
      anon_sym_COMMA,
    ACTIONS(12955), 1,
      anon_sym_RPAREN,
    STATE(7516), 1,
      aux_sym_preproc_params_repeat1,
  [255537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(12957), 1,
      anon_sym_constexpr,
    STATE(845), 1,
      sym_condition_clause,
  [255550] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7135), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12959), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12961), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [255574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    STATE(673), 1,
      sym_declaration_list,
  [255587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_COMMA,
    ACTIONS(12963), 1,
      anon_sym_RPAREN,
    STATE(7471), 1,
      aux_sym_parameter_list_repeat1,
  [255600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_COMMA,
    ACTIONS(12965), 1,
      anon_sym_RPAREN,
    STATE(7508), 1,
      aux_sym_preproc_argument_list_repeat1,
  [255613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 1,
      anon_sym_default,
    ACTIONS(12969), 1,
      anon_sym_delete,
    ACTIONS(12971), 1,
      aux_sym_pure_virtual_clause_token1,
  [255626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(12973), 1,
      anon_sym_constexpr,
    STATE(850), 1,
      sym_condition_clause,
  [255639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(12975), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7538), 1,
      aux_sym_attribute_declaration_repeat1,
  [255652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(12977), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7588), 1,
      aux_sym_attribute_declaration_repeat1,
  [255665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 1,
      anon_sym_catch,
    STATE(964), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_catch,
    STATE(361), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(12981), 1,
      anon_sym_constexpr,
    STATE(865), 1,
      sym_condition_clause,
  [255700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(12983), 1,
      anon_sym_RPAREN,
    STATE(7560), 1,
      sym_gnu_asm_clobber_list,
  [255713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12985), 1,
      anon_sym_SEMI,
    STATE(7555), 1,
      aux_sym_declaration_repeat1,
  [255726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9079), 1,
      anon_sym_RPAREN,
    ACTIONS(12987), 1,
      anon_sym_COMMA,
    STATE(7532), 1,
      aux_sym_argument_list_repeat1,
  [255739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(12990), 1,
      anon_sym_RPAREN,
    STATE(7561), 1,
      sym_gnu_asm_input_operand_list,
  [255752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8916), 1,
      anon_sym_RPAREN,
    STATE(7649), 1,
      aux_sym_argument_list_repeat1,
  [255765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12992), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [255778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_COMMA,
    ACTIONS(12994), 1,
      anon_sym_RPAREN,
    STATE(7508), 1,
      aux_sym_preproc_argument_list_repeat1,
  [255791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(12996), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [255804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(12998), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7588), 1,
      aux_sym_attribute_declaration_repeat1,
  [255817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8788), 1,
      anon_sym_RPAREN,
    STATE(7563), 1,
      aux_sym_argument_list_repeat1,
  [255830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [255839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8790), 1,
      anon_sym_COMMA,
    ACTIONS(8792), 1,
      anon_sym_RBRACE,
    STATE(7564), 1,
      aux_sym_initializer_list_repeat1,
  [255852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(13000), 1,
      anon_sym_constexpr,
    STATE(858), 1,
      sym_condition_clause,
  [255865] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7229), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13002), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13006), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13004), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [255887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_RBRACE,
    STATE(7324), 1,
      aux_sym_initializer_list_repeat1,
  [255900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13006), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13008), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [255911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(13010), 1,
      anon_sym_RPAREN,
    STATE(7566), 1,
      sym_gnu_asm_output_operand_list,
  [255924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13012), 1,
      anon_sym_GT2,
    STATE(7570), 1,
      aux_sym_template_argument_list_repeat1,
  [255937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12192), 1,
      anon_sym_LBRACE,
    STATE(7657), 1,
      aux_sym_base_class_clause_repeat1,
  [255950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13014), 1,
      anon_sym_default,
    ACTIONS(13016), 1,
      anon_sym_delete,
    ACTIONS(13018), 1,
      aux_sym_pure_virtual_clause_token1,
  [255963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(13020), 1,
      anon_sym_constexpr,
    STATE(864), 1,
      sym_condition_clause,
  [255976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12444), 1,
      anon_sym_COMMA,
    ACTIONS(13022), 1,
      anon_sym_RPAREN,
    STATE(7260), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [255989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12192), 1,
      anon_sym_LBRACE,
    STATE(7666), 1,
      aux_sym_base_class_clause_repeat1,
  [256002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13024), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [256015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13026), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [256028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12285), 1,
      anon_sym_LBRACE,
    STATE(7666), 1,
      aux_sym_base_class_clause_repeat1,
  [256041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12285), 1,
      anon_sym_LBRACE,
    STATE(7635), 1,
      aux_sym_base_class_clause_repeat1,
  [256054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13028), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13030), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [256065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_catch,
    STATE(1838), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(13034), 1,
      anon_sym_RPAREN,
    STATE(8247), 1,
      sym_gnu_asm_goto_list,
  [256089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(13036), 1,
      anon_sym_RPAREN,
    STATE(7571), 1,
      sym_gnu_asm_clobber_list,
  [256102] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7077), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13038), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(13040), 1,
      anon_sym_RPAREN,
    STATE(7532), 1,
      aux_sym_argument_list_repeat1,
  [256126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 1,
      anon_sym_RBRACE,
    ACTIONS(13042), 1,
      anon_sym_COMMA,
    STATE(7599), 1,
      aux_sym_initializer_list_repeat1,
  [256139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13044), 1,
      anon_sym_default,
    ACTIONS(13046), 1,
      anon_sym_delete,
    ACTIONS(13048), 1,
      aux_sym_pure_virtual_clause_token1,
  [256152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(13050), 1,
      anon_sym_RPAREN,
    STATE(7576), 1,
      sym_gnu_asm_input_operand_list,
  [256165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(13052), 1,
      anon_sym_RPAREN,
    STATE(7577), 1,
      sym_gnu_asm_output_operand_list,
  [256178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13054), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [256191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13056), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [256204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13058), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [256217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(13060), 1,
      anon_sym_RPAREN,
    STATE(8254), 1,
      sym_gnu_asm_goto_list,
  [256230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_catch,
    STATE(1834), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(13062), 1,
      anon_sym_RPAREN,
    STATE(7619), 1,
      aux_sym_generic_expression_repeat1,
  [256254] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7159), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13064), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13066), 1,
      anon_sym_default,
    ACTIONS(13068), 1,
      anon_sym_delete,
    ACTIONS(13070), 1,
      aux_sym_pure_virtual_clause_token1,
  [256278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(13072), 1,
      anon_sym_RPAREN,
    STATE(7580), 1,
      sym_gnu_asm_clobber_list,
  [256291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(13074), 1,
      anon_sym_RPAREN,
    STATE(7581), 1,
      sym_gnu_asm_input_operand_list,
  [256304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13076), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [256317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [256326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(13080), 1,
      anon_sym_RPAREN,
    STATE(8305), 1,
      sym_gnu_asm_goto_list,
  [256339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(13082), 1,
      anon_sym_RPAREN,
    STATE(7582), 1,
      sym_gnu_asm_clobber_list,
  [256352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(13084), 1,
      anon_sym_RPAREN,
    STATE(8310), 1,
      sym_gnu_asm_goto_list,
  [256365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(13086), 1,
      anon_sym_RPAREN,
    STATE(7619), 1,
      aux_sym_generic_expression_repeat1,
  [256378] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7062), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13088), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_COMMA,
    ACTIONS(8884), 1,
      anon_sym_RBRACK,
    STATE(7501), 1,
      aux_sym_subscript_argument_list_repeat1,
  [256402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_COMMA,
    ACTIONS(13090), 1,
      anon_sym_RBRACK,
    STATE(7322), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [256415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13092), 1,
      anon_sym_default,
    ACTIONS(13094), 1,
      anon_sym_delete,
    ACTIONS(13096), 1,
      aux_sym_pure_virtual_clause_token1,
  [256428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13098), 1,
      anon_sym_COMMA,
    ACTIONS(13101), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7588), 1,
      aux_sym_attribute_declaration_repeat1,
  [256441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(13103), 1,
      anon_sym_constexpr,
    STATE(889), 1,
      sym_condition_clause,
  [256454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6140), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [256463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12899), 1,
      anon_sym_COMMA,
    ACTIONS(13105), 1,
      anon_sym_RPAREN,
    STATE(7484), 1,
      aux_sym_preproc_params_repeat1,
  [256476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12480), 1,
      anon_sym_COMMA,
    ACTIONS(13107), 1,
      anon_sym_RPAREN,
    STATE(7441), 1,
      aux_sym_requires_parameter_list_repeat1,
  [256489] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7245), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13109), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256500] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7011), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13111), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256511] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7054), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13113), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(13115), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7613), 1,
      aux_sym_attribute_declaration_repeat1,
  [256535] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7014), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13117), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256546] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7128), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13119), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9017), 1,
      anon_sym_RBRACE,
    ACTIONS(13121), 1,
      anon_sym_COMMA,
    STATE(7599), 1,
      aux_sym_initializer_list_repeat1,
  [256570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(13124), 1,
      anon_sym_RPAREN,
    STATE(8842), 1,
      sym_gnu_asm_goto_list,
  [256583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_catch,
    STATE(1833), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(13126), 1,
      anon_sym_RPAREN,
    STATE(7671), 1,
      sym_gnu_asm_clobber_list,
  [256607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_SEMI,
    STATE(2471), 1,
      sym_template_argument_list,
  [256620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_EQ,
    ACTIONS(6146), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13128), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13130), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [256642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13132), 1,
      anon_sym_SEMI,
    STATE(7624), 1,
      aux_sym_declaration_repeat1,
  [256655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13134), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [256664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13134), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [256673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(13136), 1,
      anon_sym_RPAREN,
    STATE(7679), 1,
      sym_gnu_asm_clobber_list,
  [256686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13138), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(6366), 1,
      sym_template_function,
  [256699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(13140), 1,
      anon_sym_RPAREN,
    STATE(7252), 1,
      sym_gnu_asm_input_operand_list,
  [256712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 1,
      anon_sym_COMMA,
    ACTIONS(13142), 1,
      anon_sym_RBRACK,
    STATE(7281), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [256725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(13144), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7588), 1,
      aux_sym_attribute_declaration_repeat1,
  [256738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12044), 1,
      anon_sym_DASH_GT,
    ACTIONS(13146), 1,
      anon_sym_SEMI,
    STATE(8853), 1,
      sym_trailing_return_type,
  [256751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
    STATE(7629), 1,
      aux_sym_argument_list_repeat1,
  [256764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13148), 1,
      sym_identifier,
    STATE(2488), 1,
      sym_template_type,
    STATE(3512), 1,
      sym_template_function,
  [256777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13150), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [256790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_COMMA,
    ACTIONS(13152), 1,
      anon_sym_RPAREN,
    STATE(7676), 1,
      aux_sym_throw_specifier_repeat1,
  [256803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13154), 1,
      anon_sym_COMMA,
    ACTIONS(13157), 1,
      anon_sym_RPAREN,
    STATE(7619), 1,
      aux_sym_generic_expression_repeat1,
  [256816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(13159), 1,
      anon_sym_RPAREN,
    STATE(7630), 1,
      sym_gnu_asm_output_operand_list,
  [256829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13161), 1,
      anon_sym_GT2,
    STATE(7634), 1,
      aux_sym_template_argument_list_repeat1,
  [256842] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym_LPAREN2,
    ACTIONS(13163), 1,
      aux_sym_preproc_include_token2,
    STATE(8139), 1,
      sym_preproc_argument_list,
  [256855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13165), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [256868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13167), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [256881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_catch,
    STATE(1959), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [256901] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym_LPAREN2,
    ACTIONS(13173), 1,
      aux_sym_preproc_include_token2,
    STATE(8139), 1,
      sym_preproc_argument_list,
  [256914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13175), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(13177), 1,
      anon_sym_RPAREN,
    STATE(7532), 1,
      aux_sym_argument_list_repeat1,
  [256936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
    STATE(7639), 1,
      sym_gnu_asm_input_operand_list,
  [256949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_COLON,
    ACTIONS(13181), 1,
      anon_sym_RPAREN,
    STATE(7640), 1,
      sym_gnu_asm_output_operand_list,
  [256962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13183), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [256975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13185), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [256988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13187), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [257001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(13189), 1,
      anon_sym_LBRACE,
    STATE(7666), 1,
      aux_sym_base_class_clause_repeat1,
  [257014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13193), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(13189), 1,
      anon_sym_LBRACE,
    STATE(7488), 1,
      aux_sym_base_class_clause_repeat1,
  [257038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_catch,
    STATE(1960), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(13195), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      sym_gnu_asm_clobber_list,
  [257062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_COLON,
    ACTIONS(13197), 1,
      anon_sym_RPAREN,
    STATE(7644), 1,
      sym_gnu_asm_input_operand_list,
  [257075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13199), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [257088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(13201), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7253), 1,
      aux_sym_attribute_declaration_repeat1,
  [257101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(13203), 1,
      anon_sym_RPAREN,
    STATE(8591), 1,
      sym_gnu_asm_goto_list,
  [257114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(13205), 1,
      anon_sym_RPAREN,
    STATE(7645), 1,
      sym_gnu_asm_clobber_list,
  [257127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(13207), 1,
      anon_sym_RPAREN,
    STATE(8594), 1,
      sym_gnu_asm_goto_list,
  [257140] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    STATE(7238), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13209), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8842), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_SEMI,
  [257160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [257169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8786), 1,
      anon_sym_COMMA,
    ACTIONS(13213), 1,
      anon_sym_RPAREN,
    STATE(7532), 1,
      aux_sym_argument_list_repeat1,
  [257182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(13215), 1,
      anon_sym_constexpr,
    STATE(879), 1,
      sym_condition_clause,
  [257195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(13217), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7343), 1,
      aux_sym_attribute_declaration_repeat1,
  [257208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(13219), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7661), 1,
      aux_sym_attribute_declaration_repeat1,
  [257221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_LBRACE,
    STATE(7556), 1,
      aux_sym_base_class_clause_repeat1,
  [257234] = 4,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym_LPAREN2,
    ACTIONS(13221), 1,
      aux_sym_preproc_include_token2,
    STATE(8139), 1,
      sym_preproc_argument_list,
  [257247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_catch,
    STATE(1961), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12865), 1,
      anon_sym_catch,
    STATE(315), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_LBRACE,
    STATE(7666), 1,
      aux_sym_base_class_clause_repeat1,
  [257282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13223), 1,
      anon_sym_SEMI,
    STATE(7668), 1,
      aux_sym_declaration_repeat1,
  [257295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    ACTIONS(13228), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [257308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13230), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3740), 1,
      sym_template_function,
  [257321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(13232), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7588), 1,
      aux_sym_attribute_declaration_repeat1,
  [257334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13236), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13238), 1,
      anon_sym_GT2,
    STATE(7674), 1,
      aux_sym_template_argument_list_repeat1,
  [257358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13240), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [257367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_COMMA,
    ACTIONS(13242), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7440), 1,
      aux_sym_attribute_declaration_repeat1,
  [257380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13236), 1,
      anon_sym_LBRACE,
    ACTIONS(13244), 1,
      anon_sym_COMMA,
    STATE(7666), 1,
      aux_sym_base_class_clause_repeat1,
  [257393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13247), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [257406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13249), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [257419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13251), 1,
      anon_sym_SEMI,
    STATE(7276), 1,
      aux_sym_declaration_repeat1,
  [257432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_COMMA,
    ACTIONS(13253), 1,
      anon_sym_RPAREN,
    STATE(7456), 1,
      aux_sym_parameter_list_repeat1,
  [257445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(13255), 1,
      anon_sym_RPAREN,
    STATE(8184), 1,
      sym_gnu_asm_goto_list,
  [257458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13257), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [257471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13259), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [257484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    ACTIONS(13261), 1,
      anon_sym_GT2,
    STATE(7406), 1,
      aux_sym_template_argument_list_repeat1,
  [257497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_catch,
    STATE(305), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      anon_sym_COMMA,
    ACTIONS(13266), 1,
      anon_sym_RPAREN,
    STATE(7676), 1,
      aux_sym_throw_specifier_repeat1,
  [257521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13268), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
    STATE(3117), 1,
      sym_template_function,
  [257534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13270), 1,
      anon_sym_SEMI,
    STATE(7659), 1,
      aux_sym_declaration_repeat1,
  [257547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_COLON,
    ACTIONS(13272), 1,
      anon_sym_RPAREN,
    STATE(8716), 1,
      sym_gnu_asm_goto_list,
  [257560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(13274), 1,
      anon_sym_SEMI,
    STATE(7519), 1,
      aux_sym_declaration_repeat1,
  [257573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(13276), 1,
      anon_sym_constexpr,
    STATE(900), 1,
      sym_condition_clause,
  [257586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13278), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257594] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13280), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13282), 1,
      sym_preproc_arg,
  [257604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2770), 1,
      sym_template_argument_list,
  [257614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12955), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [257622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13284), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [257630] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13286), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13288), 1,
      sym_preproc_arg,
  [257640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym_identifier,
    STATE(7651), 1,
      sym_attribute,
  [257650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(865), 1,
      sym_condition_clause,
  [257660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13292), 1,
      sym_identifier,
    STATE(3879), 1,
      sym_template_type,
  [257670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(8051), 1,
      sym_condition_clause,
  [257680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(846), 1,
      sym_condition_clause,
  [257690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(2776), 1,
      sym_field_declaration_list,
  [257700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7255), 1,
      sym_compound_statement,
  [257710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    STATE(591), 1,
      sym_declaration_list,
  [257720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    STATE(422), 1,
      sym_field_declaration_list,
  [257730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13294), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
  [257740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    STATE(5010), 1,
      sym_field_declaration_list,
  [257750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    STATE(3840), 1,
      sym_initializer_list,
  [257760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    STATE(675), 1,
      sym_declaration_list,
  [257770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8328), 1,
      sym_argument_list,
  [257780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7023), 1,
      sym_compound_statement,
  [257790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(850), 1,
      sym_condition_clause,
  [257800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13296), 1,
      anon_sym_if,
    ACTIONS(13298), 1,
      anon_sym_for,
  [257810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13302), 1,
      anon_sym_RBRACE,
  [257820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13304), 1,
      sym_identifier,
    STATE(256), 1,
      sym_template_type,
  [257830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13306), 1,
      anon_sym_LT,
    STATE(3042), 1,
      sym_template_argument_list,
  [257840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      anon_sym_LT,
    STATE(967), 1,
      sym_template_argument_list,
  [257850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_field_declaration_list,
  [257860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13308), 1,
      anon_sym_RBRACE,
  [257870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12541), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [257878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_LPAREN2,
    ACTIONS(13312), 1,
      sym_raw_string_delimiter,
  [257888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13314), 1,
      anon_sym_LT,
    STATE(2820), 1,
      sym_template_argument_list,
  [257898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(396), 1,
      sym_compound_statement,
  [257908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13316), 1,
      sym_identifier,
    STATE(272), 1,
      sym_template_type,
  [257918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_compound_statement,
  [257928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(8023), 1,
      sym_condition_clause,
  [257938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(8495), 1,
      sym_parenthesized_expression,
  [257948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(8029), 1,
      sym_parameter_list,
  [257958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_field_declaration_list,
  [257968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    STATE(548), 1,
      sym_field_declaration_list,
  [257978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13320), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [257986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_field_declaration_list,
  [257996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym_identifier,
    STATE(7870), 1,
      sym_attribute,
  [258006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7513), 1,
      sym_compound_statement,
  [258016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    STATE(3365), 1,
      sym_field_declaration_list,
  [258026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    STATE(2653), 1,
      sym_field_declaration_list,
  [258036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(854), 1,
      sym_condition_clause,
  [258046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(7714), 1,
      sym_parameter_list,
  [258056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    STATE(2937), 1,
      sym_field_declaration_list,
  [258066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(7716), 1,
      sym_parenthesized_expression,
  [258076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LBRACE,
    STATE(1047), 1,
      sym_compound_statement,
  [258086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9079), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [258094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(422), 1,
      sym_field_declaration_list,
  [258104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9791), 1,
      anon_sym_LBRACE,
    STATE(3839), 1,
      sym_requirement_seq,
  [258114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13322), 1,
      anon_sym_LT,
    STATE(3850), 1,
      sym_template_argument_list,
  [258124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12803), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [258132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1905), 1,
      sym_compound_statement,
  [258142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(4182), 1,
      sym_field_declaration_list,
  [258152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    STATE(195), 1,
      sym_field_declaration_list,
  [258162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13324), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
  [258172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(8329), 1,
      sym_parenthesized_expression,
  [258182] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13326), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13328), 1,
      sym_preproc_arg,
  [258192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(349), 1,
      sym_template_argument_list,
  [258202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    STATE(2648), 1,
      sym_field_declaration_list,
  [258212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_compound_statement,
  [258222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13330), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [258230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(7848), 1,
      sym_parameter_list,
  [258240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13332), 1,
      anon_sym_SEMI,
  [258250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LT,
    STATE(162), 1,
      sym_template_argument_list,
  [258260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8995), 1,
      anon_sym_LT,
    STATE(2971), 1,
      sym_template_argument_list,
  [258270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    STATE(1064), 1,
      sym_field_declaration_list,
  [258280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    STATE(433), 1,
      sym_field_declaration_list,
  [258290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13306), 1,
      anon_sym_LT,
    STATE(3682), 1,
      sym_template_argument_list,
  [258300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11155), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [258310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym_identifier,
    STATE(7642), 1,
      sym_attribute,
  [258320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13322), 1,
      anon_sym_LT,
    STATE(3063), 1,
      sym_template_argument_list,
  [258330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(7983), 1,
      sym_condition_clause,
  [258340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(859), 1,
      sym_condition_clause,
  [258350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [258358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7656), 1,
      sym_compound_statement,
  [258368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11161), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [258378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13334), 1,
      anon_sym_RBRACE,
  [258388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_field_declaration_list,
  [258398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7493), 1,
      sym_compound_statement,
  [258408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    STATE(3374), 1,
      sym_field_declaration_list,
  [258418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13336), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
  [258428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    STATE(3375), 1,
      sym_field_declaration_list,
  [258438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [258446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8620), 1,
      sym_argument_list,
  [258456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7130), 1,
      sym_compound_statement,
  [258466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8734), 1,
      sym_argument_list,
  [258476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(864), 1,
      sym_condition_clause,
  [258486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13338), 1,
      anon_sym_if,
    ACTIONS(13340), 1,
      anon_sym_for,
  [258496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    STATE(553), 1,
      sym_field_declaration_list,
  [258506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(4163), 1,
      sym_field_declaration_list,
  [258516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9809), 1,
      anon_sym_LBRACE,
    STATE(4104), 1,
      sym_requirement_seq,
  [258526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13004), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [258534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2820), 1,
      sym_template_argument_list,
  [258544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(4164), 1,
      sym_field_declaration_list,
  [258554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_compound_statement,
  [258564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8565), 1,
      anon_sym_LT,
    STATE(4597), 1,
      sym_template_argument_list,
  [258574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    STATE(621), 1,
      sym_compound_statement,
  [258584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_declaration_list,
  [258594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(8923), 1,
      sym_parenthesized_expression,
  [258604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(7781), 1,
      sym_parameter_list,
  [258614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(885), 1,
      sym_condition_clause,
  [258624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12820), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [258632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13342), 1,
      anon_sym_SEMI,
  [258642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7315), 1,
      sym_compound_statement,
  [258652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(869), 1,
      sym_condition_clause,
  [258662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13344), 1,
      sym_identifier,
    STATE(975), 1,
      sym_template_type,
  [258672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13030), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [258680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(7941), 1,
      sym_parenthesized_expression,
  [258690] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13346), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13348), 1,
      sym_preproc_arg,
  [258700] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13350), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13352), 1,
      sym_preproc_arg,
  [258710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1924), 1,
      sym_compound_statement,
  [258720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym_identifier,
    STATE(7413), 1,
      sym_attribute,
  [258730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(7732), 1,
      sym_condition_clause,
  [258740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(7804), 1,
      sym_parenthesized_expression,
  [258750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7430), 1,
      sym_compound_statement,
  [258760] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13354), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13356), 1,
      sym_preproc_arg,
  [258770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LBRACE,
    STATE(1048), 1,
      sym_compound_statement,
  [258780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_compound_statement,
  [258790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    STATE(1012), 1,
      sym_field_declaration_list,
  [258800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8160), 1,
      sym_argument_list,
  [258810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7203), 1,
      sym_compound_statement,
  [258820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13358), 1,
      anon_sym_if,
    ACTIONS(13360), 1,
      anon_sym_for,
  [258830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    STATE(1040), 1,
      sym_field_declaration_list,
  [258840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_field_declaration_list,
  [258850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13314), 1,
      anon_sym_LT,
    STATE(2574), 1,
      sym_template_argument_list,
  [258860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13362), 1,
      anon_sym_RBRACE,
  [258870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11159), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [258880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7377), 1,
      sym_compound_statement,
  [258890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(873), 1,
      sym_condition_clause,
  [258900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_LBRACE,
    STATE(3320), 1,
      sym_field_declaration_list,
  [258910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_field_declaration_list,
  [258920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
  [258930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(8346), 1,
      sym_parenthesized_expression,
  [258940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    STATE(4993), 1,
      sym_field_declaration_list,
  [258950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(7950), 1,
      sym_parameter_list,
  [258960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7142), 1,
      anon_sym_LT,
    STATE(3110), 1,
      sym_template_argument_list,
  [258970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13364), 1,
      anon_sym_LT,
    STATE(3852), 1,
      sym_template_argument_list,
  [258980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LBRACE,
    STATE(1003), 1,
      sym_compound_statement,
  [258990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7486), 1,
      sym_compound_statement,
  [259000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(7962), 1,
      sym_parenthesized_expression,
  [259010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_field_declaration_list,
  [259020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12691), 1,
      anon_sym_RBRACK,
    ACTIONS(13366), 1,
      anon_sym_COMMA,
  [259030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13368), 1,
      anon_sym_RBRACE,
  [259040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(433), 1,
      sym_field_declaration_list,
  [259050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_field_declaration_list,
  [259060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym_identifier,
    STATE(7525), 1,
      sym_attribute,
  [259070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12849), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [259078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7527), 1,
      sym_compound_statement,
  [259088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym_compound_statement,
  [259098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_field_declaration_list,
  [259108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    STATE(1021), 1,
      sym_field_declaration_list,
  [259118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8097), 1,
      sym_argument_list,
  [259128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    STATE(1035), 1,
      sym_field_declaration_list,
  [259138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13370), 1,
      anon_sym_if,
    ACTIONS(13372), 1,
      anon_sym_for,
  [259148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_field_declaration_list,
  [259158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7331), 1,
      sym_compound_statement,
  [259168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(902), 1,
      sym_condition_clause,
  [259178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13322), 1,
      anon_sym_LT,
    STATE(3667), 1,
      sym_template_argument_list,
  [259188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_compound_statement,
  [259198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7658), 1,
      anon_sym_LBRACE,
    STATE(4185), 1,
      sym_field_declaration_list,
  [259208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8616), 1,
      sym_argument_list,
  [259218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_compound_statement,
  [259228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(7824), 1,
      sym_parameter_list,
  [259238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym_field_declaration_list,
  [259248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym_identifier,
    STATE(7407), 1,
      sym_attribute,
  [259258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_field_declaration_list,
  [259268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [259276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7572), 1,
      sym_compound_statement,
  [259286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13376), 1,
      anon_sym_SEMI,
  [259296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(7835), 1,
      sym_parenthesized_expression,
  [259306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    STATE(201), 1,
      sym_field_declaration_list,
  [259316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [259326] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13378), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13380), 1,
      sym_preproc_arg,
  [259336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym_identifier,
    STATE(7596), 1,
      sym_attribute,
  [259346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11134), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [259356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7601), 1,
      sym_compound_statement,
  [259366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7051), 1,
      sym_compound_statement,
  [259376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(897), 1,
      sym_condition_clause,
  [259386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8470), 1,
      sym_argument_list,
  [259396] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13382), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13384), 1,
      sym_preproc_arg,
  [259406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    STATE(302), 1,
      sym_compound_statement,
  [259416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13386), 1,
      sym_identifier,
    ACTIONS(13388), 1,
      anon_sym_LPAREN2,
  [259426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13390), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13101), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [259442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    STATE(2942), 1,
      sym_field_declaration_list,
  [259452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(7954), 1,
      sym_parameter_list,
  [259462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    STATE(2943), 1,
      sym_field_declaration_list,
  [259472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(890), 1,
      sym_condition_clause,
  [259482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(8229), 1,
      sym_parenthesized_expression,
  [259492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7638), 1,
      sym_compound_statement,
  [259502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2124), 1,
      sym_compound_statement,
  [259512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11165), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [259522] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13392), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13394), 1,
      sym_preproc_arg,
  [259532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13396), 1,
      sym_identifier,
    STATE(161), 1,
      sym_template_type,
  [259542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [259550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym_identifier,
    STATE(7652), 1,
      sym_attribute,
  [259560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_field_declaration_list,
  [259570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7655), 1,
      sym_compound_statement,
  [259580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8735), 1,
      sym_argument_list,
  [259590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(8045), 1,
      sym_parameter_list,
  [259600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8364), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
  [259610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8285), 1,
      sym_argument_list,
  [259620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11106), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [259630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8133), 1,
      sym_argument_list,
  [259640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13398), 1,
      sym_identifier,
    STATE(3068), 1,
      sym_template_type,
  [259650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12582), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [259658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    STATE(698), 1,
      sym_declaration_list,
  [259668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9017), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [259676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    STATE(4850), 1,
      sym_field_declaration_list,
  [259686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13130), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    STATE(253), 1,
      sym_declaration_list,
  [259704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13400), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [259712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(2775), 1,
      sym_field_declaration_list,
  [259722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(420), 1,
      sym_compound_statement,
  [259732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13402), 1,
      sym_identifier,
    STATE(2230), 1,
      sym_template_type,
  [259742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7235), 1,
      sym_compound_statement,
  [259752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13404), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
  [259762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    STATE(354), 1,
      sym_declaration_list,
  [259772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2371), 1,
      sym_field_declaration_list,
  [259782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12172), 1,
      anon_sym_LBRACE,
    STATE(1973), 1,
      sym_requirement_seq,
  [259792] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13406), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13408), 1,
      sym_preproc_arg,
  [259802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    STATE(640), 1,
      sym_compound_statement,
  [259812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2087), 1,
      sym_compound_statement,
  [259822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_compound_statement,
  [259832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
  [259842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9110), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [259850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    STATE(536), 1,
      sym_field_declaration_list,
  [259860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13410), 1,
      anon_sym_RBRACE,
  [259870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    STATE(468), 1,
      sym_compound_statement,
  [259880] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13412), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13414), 1,
      sym_preproc_arg,
  [259890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_template_argument_list,
  [259900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12880), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LBRACE,
    STATE(409), 1,
      sym_field_declaration_list,
  [259918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_LBRACE,
    STATE(2879), 1,
      sym_initializer_list,
  [259928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_field_declaration_list,
  [259938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_field_declaration_list,
  [259948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    STATE(4978), 1,
      sym_field_declaration_list,
  [259958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_field_declaration_list,
  [259968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11187), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [259978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_declaration_list,
  [259988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9817), 1,
      anon_sym_LBRACE,
    STATE(2886), 1,
      sym_requirement_seq,
  [259998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8928), 1,
      anon_sym_LBRACE,
    STATE(4980), 1,
      sym_field_declaration_list,
  [260008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    STATE(4838), 1,
      sym_field_declaration_list,
  [260018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    STATE(4792), 1,
      sym_field_declaration_list,
  [260028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13416), 1,
      anon_sym_RBRACE,
  [260038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13418), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
    ACTIONS(8854), 1,
      anon_sym_SEMI,
  [260056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    STATE(5030), 1,
      sym_initializer_list,
  [260066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11146), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [260076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    STATE(2948), 1,
      sym_field_declaration_list,
  [260086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13420), 1,
      sym_identifier,
    STATE(3058), 1,
      sym_template_type,
  [260096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(2785), 1,
      sym_field_declaration_list,
  [260106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [260114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    STATE(760), 1,
      sym_declaration_list,
  [260124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    STATE(188), 1,
      sym_compound_statement,
  [260134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2119), 1,
      sym_compound_statement,
  [260144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13422), 1,
      sym_identifier,
    STATE(2564), 1,
      sym_template_type,
  [260154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9081), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [260162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    STATE(213), 1,
      sym_compound_statement,
  [260172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13424), 1,
      anon_sym_RBRACE,
  [260182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8700), 1,
      anon_sym_LBRACE,
    STATE(4807), 1,
      sym_field_declaration_list,
  [260192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      sym_identifier,
    STATE(7665), 1,
      sym_attribute,
  [260202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13314), 1,
      anon_sym_LT,
    STATE(2770), 1,
      sym_template_argument_list,
  [260212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2004), 1,
      sym_compound_statement,
  [260222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13426), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [260230] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13428), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13430), 1,
      sym_preproc_arg,
  [260240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13432), 1,
      sym_identifier,
    STATE(4596), 1,
      sym_template_type,
  [260250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11011), 1,
      anon_sym_LBRACE,
    STATE(1845), 1,
      sym_compound_statement,
  [260260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260268] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13434), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13436), 1,
      sym_preproc_arg,
  [260278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13438), 1,
      anon_sym_RBRACE,
  [260288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    STATE(189), 1,
      sym_field_declaration_list,
  [260298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(8035), 1,
      sym_condition_clause,
  [260308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(876), 1,
      sym_condition_clause,
  [260318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(5354), 1,
      sym_field_declaration_list,
  [260328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_compound_statement,
  [260338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    STATE(3121), 1,
      sym_field_declaration_list,
  [260348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_field_declaration_list,
  [260358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(5356), 1,
      sym_field_declaration_list,
  [260368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(5357), 1,
      sym_field_declaration_list,
  [260378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_field_declaration_list,
  [260388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(5359), 1,
      sym_field_declaration_list,
  [260398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_field_declaration_list,
  [260408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(4090), 1,
      sym_initializer_list,
  [260418] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13440), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13442), 1,
      sym_preproc_arg,
  [260428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    STATE(190), 1,
      sym_field_declaration_list,
  [260438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13444), 1,
      anon_sym_LT,
    STATE(2820), 1,
      sym_template_argument_list,
  [260448] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13446), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13448), 1,
      sym_preproc_arg,
  [260458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7675), 1,
      sym_compound_statement,
  [260468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(844), 1,
      sym_condition_clause,
  [260478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    STATE(3133), 1,
      sym_field_declaration_list,
  [260488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_field_declaration_list,
  [260498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    STATE(3135), 1,
      sym_field_declaration_list,
  [260508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(887), 1,
      sym_condition_clause,
  [260518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    STATE(2640), 1,
      sym_field_declaration_list,
  [260528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10966), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [260536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
  [260546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9799), 1,
      anon_sym_LBRACE,
    STATE(3484), 1,
      sym_requirement_seq,
  [260556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13450), 1,
      sym_identifier,
    STATE(2978), 1,
      sym_template_type,
  [260566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2368), 1,
      sym_field_declaration_list,
  [260576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13452), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
  [260586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_LPAREN2,
    STATE(7746), 1,
      sym_parenthesized_expression,
  [260596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    STATE(191), 1,
      sym_field_declaration_list,
  [260606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12072), 1,
      sym_identifier,
    STATE(2238), 1,
      sym_template_type,
  [260616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    STATE(3747), 1,
      sym_initializer_list,
  [260626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2378), 1,
      sym_field_declaration_list,
  [260636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8904), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [260644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    STATE(3200), 1,
      sym_field_declaration_list,
  [260654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
  [260664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_field_declaration_list,
  [260674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LBRACE,
    STATE(762), 1,
      sym_declaration_list,
  [260684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    STATE(351), 1,
      sym_compound_statement,
  [260694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_LPAREN2,
    STATE(8812), 1,
      sym_argument_list,
  [260704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13454), 1,
      sym_identifier,
    ACTIONS(13456), 1,
      anon_sym_LPAREN2,
  [260714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12136), 1,
      anon_sym_LBRACE,
    STATE(5814), 1,
      sym_requirement_seq,
  [260724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13458), 1,
      anon_sym_if,
    ACTIONS(13460), 1,
      anon_sym_for,
  [260734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    STATE(577), 1,
      sym_declaration_list,
  [260744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2374), 1,
      sym_field_declaration_list,
  [260754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6680), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [260762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7064), 1,
      sym_compound_statement,
  [260772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13462), 1,
      sym_identifier,
    STATE(2488), 1,
      sym_template_type,
  [260782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_LT,
    STATE(257), 1,
      sym_template_argument_list,
  [260792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_LBRACE,
    STATE(569), 1,
      sym_declaration_list,
  [260802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_LBRACE,
    STATE(4074), 1,
      sym_initializer_list,
  [260812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13464), 1,
      anon_sym_LPAREN2,
    ACTIONS(13466), 1,
      sym_raw_string_delimiter,
  [260822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LT,
    STATE(269), 1,
      sym_template_argument_list,
  [260832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [260842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(5218), 1,
      sym_field_declaration_list,
  [260852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    STATE(691), 1,
      sym_compound_statement,
  [260862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(5190), 1,
      sym_field_declaration_list,
  [260872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(5191), 1,
      sym_field_declaration_list,
  [260882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(5197), 1,
      sym_field_declaration_list,
  [260892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_field_declaration_list,
  [260902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    STATE(3188), 1,
      sym_field_declaration_list,
  [260912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    STATE(420), 1,
      sym_compound_statement,
  [260922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(881), 1,
      sym_condition_clause,
  [260932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_compound_statement,
  [260942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13468), 1,
      anon_sym_if,
    ACTIONS(13470), 1,
      anon_sym_for,
  [260952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9825), 1,
      anon_sym_LBRACE,
    STATE(4355), 1,
      sym_requirement_seq,
  [260962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13472), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [260970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12623), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [260978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13474), 1,
      sym_identifier,
    STATE(348), 1,
      sym_template_type,
  [260988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    STATE(174), 1,
      sym_compound_statement,
  [260998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10956), 1,
      anon_sym_LBRACE,
    STATE(2152), 1,
      sym_compound_statement,
  [261008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    STATE(3160), 1,
      sym_field_declaration_list,
  [261018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13476), 1,
      anon_sym_SEMI,
  [261028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(2769), 1,
      sym_field_declaration_list,
  [261038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(886), 1,
      sym_condition_clause,
  [261048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_compound_statement,
  [261058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    ACTIONS(13478), 1,
      anon_sym_RBRACE,
  [261068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      sym_identifier,
    ACTIONS(13482), 1,
      anon_sym_RPAREN,
  [261078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_LBRACE,
    STATE(3182), 1,
      sym_field_declaration_list,
  [261088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 1,
      anon_sym_LT,
    STATE(2227), 1,
      sym_template_argument_list,
  [261098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(746), 1,
      sym_compound_statement,
  [261108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(409), 1,
      sym_field_declaration_list,
  [261118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13306), 1,
      anon_sym_LT,
    STATE(3482), 1,
      sym_template_argument_list,
  [261128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13266), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    STATE(220), 1,
      sym_field_declaration_list,
  [261146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11064), 1,
      anon_sym_LBRACE,
    STATE(2003), 1,
      sym_compound_statement,
  [261156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(892), 1,
      sym_condition_clause,
  [261166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13484), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [261174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13486), 1,
      anon_sym_LPAREN2,
    ACTIONS(13488), 1,
      sym_raw_string_delimiter,
  [261184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LBRACE,
    STATE(225), 1,
      sym_field_declaration_list,
  [261194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_declaration_list,
  [261204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    STATE(227), 1,
      sym_compound_statement,
  [261214] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13490), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13492), 1,
      sym_preproc_arg,
  [261224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13494), 1,
      anon_sym_LPAREN2,
    ACTIONS(13496), 1,
      sym_raw_string_delimiter,
  [261234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13498), 1,
      anon_sym_LPAREN2,
    ACTIONS(13500), 1,
      sym_raw_string_delimiter,
  [261244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9833), 1,
      anon_sym_LBRACE,
    STATE(3628), 1,
      sym_requirement_seq,
  [261254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13502), 1,
      sym_identifier,
    STATE(3164), 1,
      sym_template_type,
  [261264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12225), 1,
      anon_sym_LBRACE,
    STATE(5918), 1,
      sym_requirement_seq,
  [261274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13504), 1,
      anon_sym_LPAREN2,
    ACTIONS(13506), 1,
      sym_raw_string_delimiter,
  [261284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13508), 1,
      anon_sym_LPAREN2,
    ACTIONS(13510), 1,
      sym_raw_string_delimiter,
  [261294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13512), 1,
      anon_sym_LPAREN2,
    ACTIONS(13514), 1,
      sym_raw_string_delimiter,
  [261304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13516), 1,
      anon_sym_LPAREN2,
    ACTIONS(13518), 1,
      sym_raw_string_delimiter,
  [261314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13520), 1,
      anon_sym_LPAREN2,
    ACTIONS(13522), 1,
      sym_raw_string_delimiter,
  [261324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13524), 1,
      anon_sym_LPAREN2,
    ACTIONS(13526), 1,
      sym_raw_string_delimiter,
  [261334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13528), 1,
      anon_sym_LPAREN2,
    ACTIONS(13530), 1,
      sym_raw_string_delimiter,
  [261344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13532), 1,
      anon_sym_LPAREN2,
    ACTIONS(13534), 1,
      sym_raw_string_delimiter,
  [261354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13536), 1,
      anon_sym_LPAREN2,
    ACTIONS(13538), 1,
      sym_raw_string_delimiter,
  [261364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(13542), 1,
      sym_raw_string_delimiter,
  [261374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13544), 1,
      anon_sym_LPAREN2,
    ACTIONS(13546), 1,
      sym_raw_string_delimiter,
  [261384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13548), 1,
      anon_sym_LPAREN2,
    ACTIONS(13550), 1,
      sym_raw_string_delimiter,
  [261394] = 3,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13552), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13554), 1,
      sym_preproc_arg,
  [261404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    STATE(662), 1,
      sym_compound_statement,
  [261414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 1,
      anon_sym_LBRACE,
    STATE(2647), 1,
      sym_field_declaration_list,
  [261424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13556), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [261432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13558), 1,
      anon_sym_SEMI,
  [261439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13560), 1,
      anon_sym_SEMI,
  [261446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13562), 1,
      anon_sym_RPAREN,
  [261453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13564), 1,
      anon_sym_RBRACE,
  [261460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13566), 1,
      anon_sym_SEMI,
  [261467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_RPAREN,
  [261474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11551), 1,
      anon_sym_SEMI,
  [261481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13570), 1,
      anon_sym_SEMI,
  [261488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13572), 1,
      anon_sym_LPAREN2,
  [261495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13574), 1,
      anon_sym_DQUOTE,
  [261502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13576), 1,
      anon_sym_LPAREN2,
  [261509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13578), 1,
      anon_sym_RPAREN,
  [261516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13580), 1,
      sym_raw_string_delimiter,
  [261523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13582), 1,
      sym_auto,
  [261530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13584), 1,
      anon_sym_RPAREN,
  [261537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13586), 1,
      anon_sym_SEMI,
  [261544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13588), 1,
      sym_raw_string_content,
  [261551] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13590), 1,
      aux_sym_preproc_include_token2,
  [261558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_SEMI,
  [261565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13592), 1,
      anon_sym_SEMI,
  [261572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13594), 1,
      anon_sym_SEMI,
  [261579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13596), 1,
      anon_sym_RPAREN,
  [261586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13598), 1,
      anon_sym_SEMI,
  [261593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13600), 1,
      anon_sym_RPAREN,
  [261600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13602), 1,
      anon_sym_DQUOTE,
  [261607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13604), 1,
      aux_sym_preproc_if_token2,
  [261614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13606), 1,
      anon_sym_DQUOTE,
  [261621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13608), 1,
      sym_raw_string_delimiter,
  [261628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13610), 1,
      anon_sym_RPAREN,
  [261635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9267), 1,
      anon_sym_RPAREN,
  [261642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13612), 1,
      sym_auto,
  [261649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13614), 1,
      anon_sym_SEMI,
  [261656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13616), 1,
      anon_sym_SEMI,
  [261663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9283), 1,
      anon_sym_RPAREN,
  [261670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_RBRACE,
  [261677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13618), 1,
      anon_sym_RPAREN,
  [261684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9069), 1,
      anon_sym_COLON,
  [261691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13620), 1,
      sym_identifier,
  [261698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13622), 1,
      anon_sym_RPAREN,
  [261705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13624), 1,
      sym_identifier,
  [261712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13626), 1,
      sym_identifier,
  [261719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11155), 1,
      anon_sym_RBRACE,
  [261726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13628), 1,
      aux_sym_preproc_if_token2,
  [261733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13630), 1,
      anon_sym_RPAREN,
  [261740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_COMMA,
  [261747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13632), 1,
      anon_sym_SEMI,
  [261754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13634), 1,
      anon_sym_SEMI,
  [261761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13636), 1,
      anon_sym_SEMI,
  [261768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13638), 1,
      anon_sym_SEMI,
  [261775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13640), 1,
      sym_identifier,
  [261782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13642), 1,
      anon_sym_SEMI,
  [261789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13644), 1,
      anon_sym_RBRACE,
  [261796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13646), 1,
      sym_auto,
  [261803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13648), 1,
      anon_sym_EQ,
  [261810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13650), 1,
      anon_sym_LBRACE,
  [261817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_RPAREN,
  [261824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13654), 1,
      anon_sym_STAR,
  [261831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
  [261838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13656), 1,
      sym_auto,
  [261845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13658), 1,
      anon_sym_RPAREN,
  [261852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13660), 1,
      anon_sym_RPAREN,
  [261859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13662), 1,
      sym_identifier,
  [261866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13664), 1,
      anon_sym_RPAREN,
  [261873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13666), 1,
      anon_sym_RPAREN,
  [261880] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13668), 1,
      aux_sym_preproc_include_token2,
  [261887] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10261), 1,
      aux_sym_preproc_include_token2,
  [261894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13670), 1,
      anon_sym_DQUOTE,
  [261901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13672), 1,
      anon_sym_DQUOTE,
  [261908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9339), 1,
      anon_sym_RPAREN,
  [261915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13674), 1,
      anon_sym_STAR,
  [261922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13676), 1,
      aux_sym_preproc_if_token2,
  [261929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13678), 1,
      sym_identifier,
  [261936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9186), 1,
      anon_sym_SEMI,
  [261943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13680), 1,
      anon_sym_RPAREN,
  [261950] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(12703), 1,
      aux_sym_preproc_include_token2,
  [261957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_PERCENT_EQ,
  [261964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13684), 1,
      sym_identifier,
  [261971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13686), 1,
      aux_sym_preproc_if_token2,
  [261978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13688), 1,
      anon_sym_LPAREN2,
  [261985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13690), 1,
      aux_sym_preproc_if_token2,
  [261992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11161), 1,
      anon_sym_RBRACE,
  [261999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12180), 1,
      anon_sym_SEMI,
  [262006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13692), 1,
      anon_sym_SEMI,
  [262013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13694), 1,
      anon_sym_SEMI,
  [262020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13696), 1,
      anon_sym_SEMI,
  [262027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9166), 1,
      anon_sym_COLON,
  [262034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13698), 1,
      anon_sym_RPAREN,
  [262041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_bitor,
  [262048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13700), 1,
      anon_sym_SEMI,
  [262055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13702), 1,
      anon_sym_RPAREN,
  [262062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13704), 1,
      anon_sym_RPAREN,
  [262069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13706), 1,
      sym_identifier,
  [262076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13708), 1,
      anon_sym_SEMI,
  [262083] = 2,
    ACTIONS(6284), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10099), 1,
      sym_comment,
  [262090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_xor,
  [262097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13710), 1,
      anon_sym_SEMI,
  [262104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9140), 1,
      anon_sym_COLON,
  [262111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13712), 1,
      sym_auto,
  [262118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13714), 1,
      anon_sym_RPAREN,
  [262125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13716), 1,
      anon_sym_SEMI,
  [262132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5160), 1,
      anon_sym_SEMI,
  [262139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13718), 1,
      anon_sym_SEMI,
  [262146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13720), 1,
      anon_sym_RPAREN,
  [262153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13722), 1,
      anon_sym_RPAREN,
  [262160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13724), 1,
      anon_sym_DQUOTE,
  [262167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13726), 1,
      sym_identifier,
  [262174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13728), 1,
      sym_auto,
  [262181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13730), 1,
      anon_sym_SEMI,
  [262188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13732), 1,
      anon_sym_RPAREN,
  [262195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9178), 1,
      anon_sym_COLON,
  [262202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13734), 1,
      anon_sym_RPAREN,
  [262209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13736), 1,
      anon_sym_SEMI,
  [262216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13738), 1,
      sym_identifier,
  [262223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9116), 1,
      anon_sym_SEMI,
  [262230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13740), 1,
      anon_sym_LPAREN2,
  [262237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13742), 1,
      anon_sym_RPAREN,
  [262244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13744), 1,
      anon_sym_LPAREN2,
  [262251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13746), 1,
      anon_sym_SEMI,
  [262258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
  [262265] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13748), 1,
      aux_sym_preproc_include_token2,
  [262272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13750), 1,
      anon_sym_RPAREN,
  [262279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13752), 1,
      sym_raw_string_delimiter,
  [262286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13754), 1,
      anon_sym_DQUOTE,
  [262293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13756), 1,
      sym_identifier,
  [262300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_bitand,
  [262307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13758), 1,
      anon_sym_RPAREN,
  [262314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13760), 1,
      sym_raw_string_delimiter,
  [262321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13762), 1,
      aux_sym_preproc_if_token2,
  [262328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13764), 1,
      sym_identifier,
  [262335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13766), 1,
      aux_sym_preproc_if_token2,
  [262342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13768), 1,
      anon_sym_RPAREN,
  [262349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13770), 1,
      aux_sym_preproc_if_token2,
  [262356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13772), 1,
      anon_sym_SEMI,
  [262363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9333), 1,
      anon_sym_RPAREN,
  [262370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13774), 1,
      anon_sym_STAR,
  [262377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      anon_sym_RBRACE,
  [262384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13776), 1,
      anon_sym_RPAREN,
  [262391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9210), 1,
      anon_sym_RPAREN,
  [262398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_AMP_EQ,
  [262405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13778), 1,
      aux_sym_preproc_if_token2,
  [262412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13780), 1,
      anon_sym_SEMI,
  [262419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11134), 1,
      anon_sym_RBRACE,
  [262426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13782), 1,
      anon_sym_SEMI,
  [262433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8979), 1,
      anon_sym_RBRACE,
  [262440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13784), 1,
      aux_sym_preproc_if_token2,
  [262447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      anon_sym_SEMI,
  [262454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13362), 1,
      anon_sym_RBRACE,
  [262461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13788), 1,
      anon_sym_RPAREN,
  [262468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13790), 1,
      sym_auto,
  [262475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13792), 1,
      anon_sym_SEMI,
  [262482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13794), 1,
      anon_sym_LPAREN2,
  [262489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13796), 1,
      anon_sym_SEMI,
  [262496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13798), 1,
      anon_sym_SEMI,
  [262503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13334), 1,
      anon_sym_RBRACE,
  [262510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13800), 1,
      anon_sym_RPAREN,
  [262517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13802), 1,
      anon_sym_SEMI,
  [262524] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13804), 1,
      aux_sym_preproc_include_token2,
  [262531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_CARET_EQ,
  [262538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13806), 1,
      sym_identifier,
  [262545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13808), 1,
      anon_sym_RPAREN,
  [262552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13810), 1,
      anon_sym_RPAREN,
  [262559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13006), 1,
      anon_sym_COLON_COLON,
  [262566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13812), 1,
      aux_sym_preproc_if_token2,
  [262573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13814), 1,
      aux_sym_preproc_if_token2,
  [262580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13816), 1,
      anon_sym_RPAREN,
  [262587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13818), 1,
      anon_sym_DQUOTE,
  [262594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13820), 1,
      anon_sym_SEMI,
  [262601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13822), 1,
      anon_sym_SEMI,
  [262608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13824), 1,
      anon_sym_DQUOTE,
  [262615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13826), 1,
      anon_sym_SEMI,
  [262622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13828), 1,
      anon_sym_DQUOTE,
  [262629] = 2,
    ACTIONS(6288), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10099), 1,
      sym_comment,
  [262636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13830), 1,
      anon_sym_RPAREN,
  [262643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13832), 1,
      anon_sym_RPAREN,
  [262650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13834), 1,
      aux_sym_preproc_if_token2,
  [262657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13836), 1,
      anon_sym_SEMI,
  [262664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13838), 1,
      sym_identifier,
  [262671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13840), 1,
      anon_sym_EQ,
  [262678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13842), 1,
      anon_sym_SEMI,
  [262685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13844), 1,
      anon_sym_DQUOTE,
  [262692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13846), 1,
      anon_sym_RPAREN,
  [262699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13848), 1,
      anon_sym_SEMI,
  [262706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12203), 1,
      anon_sym_SEMI,
  [262713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13850), 1,
      anon_sym_RPAREN,
  [262720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13852), 1,
      sym_raw_string_delimiter,
  [262727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13854), 1,
      sym_identifier,
  [262734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13856), 1,
      sym_identifier,
  [262741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9273), 1,
      anon_sym_RPAREN,
  [262748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11165), 1,
      anon_sym_RBRACE,
  [262755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_RBRACE,
  [262762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13858), 1,
      aux_sym_preproc_if_token2,
  [262769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13860), 1,
      anon_sym_SEMI,
  [262776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13862), 1,
      anon_sym_COLON,
  [262783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13864), 1,
      anon_sym_STAR,
  [262790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13866), 1,
      anon_sym_LPAREN2,
  [262797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_SEMI,
  [262804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_PLUS_EQ,
  [262811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13368), 1,
      anon_sym_RBRACE,
  [262818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13868), 1,
      anon_sym_SEMI,
  [262825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13870), 1,
      anon_sym_SEMI,
  [262832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13872), 1,
      anon_sym_SEMI,
  [262839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13874), 1,
      aux_sym_preproc_if_token2,
  [262846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13876), 1,
      ts_builtin_sym_end,
  [262853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6032), 1,
      anon_sym_SEMI,
  [262860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13878), 1,
      aux_sym_preproc_if_token2,
  [262867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13880), 1,
      sym_auto,
  [262874] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10181), 1,
      aux_sym_preproc_include_token2,
  [262881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13882), 1,
      anon_sym_RPAREN,
  [262888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13884), 1,
      anon_sym_LPAREN2,
  [262895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9176), 1,
      anon_sym_COLON,
  [262902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13886), 1,
      sym_identifier,
  [262909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13888), 1,
      anon_sym_RPAREN,
  [262916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13890), 1,
      anon_sym_SEMI,
  [262923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13892), 1,
      anon_sym_SEMI,
  [262930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13894), 1,
      anon_sym_RPAREN,
  [262937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13896), 1,
      sym_identifier,
  [262944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13898), 1,
      anon_sym_DQUOTE,
  [262951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13900), 1,
      anon_sym_SEMI,
  [262958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11146), 1,
      anon_sym_RBRACE,
  [262965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13902), 1,
      sym_identifier,
  [262972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13904), 1,
      anon_sym_LPAREN2,
  [262979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13906), 1,
      anon_sym_RPAREN,
  [262986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13908), 1,
      anon_sym_SEMI,
  [262993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13910), 1,
      anon_sym_DQUOTE,
  [263000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13912), 1,
      aux_sym_preproc_if_token2,
  [263007] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13914), 1,
      aux_sym_preproc_include_token2,
  [263014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13916), 1,
      sym_identifier,
  [263021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13918), 1,
      anon_sym_SEMI,
  [263028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13920), 1,
      anon_sym_DQUOTE,
  [263035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13922), 1,
      sym_identifier,
  [263042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13924), 1,
      anon_sym_LPAREN2,
  [263049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13926), 1,
      anon_sym_RPAREN,
  [263056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9087), 1,
      anon_sym_SEMI,
  [263063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13928), 1,
      sym_identifier,
  [263070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13930), 1,
      sym_identifier,
  [263077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13932), 1,
      anon_sym_STAR,
  [263084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13934), 1,
      anon_sym_RPAREN,
  [263091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13936), 1,
      aux_sym_preproc_if_token2,
  [263098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_COLON_COLON,
  [263105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13938), 1,
      anon_sym_DQUOTE,
  [263112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13940), 1,
      anon_sym_RPAREN,
  [263119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13942), 1,
      sym_raw_string_delimiter,
  [263126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13944), 1,
      anon_sym_SEMI,
  [263133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13946), 1,
      sym_identifier,
  [263140] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13948), 1,
      aux_sym_preproc_include_token2,
  [263147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13950), 1,
      anon_sym_RPAREN,
  [263154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13952), 1,
      aux_sym_preproc_if_token2,
  [263161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13954), 1,
      anon_sym_DQUOTE,
  [263168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6016), 1,
      anon_sym_SEMI,
  [263175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13956), 1,
      anon_sym_SEMI,
  [263182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13958), 1,
      anon_sym_COLON,
  [263189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13960), 1,
      anon_sym_LBRACE,
  [263196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13962), 1,
      aux_sym_preproc_if_token2,
  [263203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13964), 1,
      anon_sym_LPAREN2,
  [263210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13966), 1,
      anon_sym_RPAREN,
  [263217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13968), 1,
      anon_sym_SEMI,
  [263224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13970), 1,
      anon_sym_SEMI,
  [263231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13410), 1,
      anon_sym_RBRACE,
  [263238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13972), 1,
      aux_sym_preproc_if_token2,
  [263245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13974), 1,
      anon_sym_LPAREN2,
  [263252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6034), 1,
      anon_sym_SEMI,
  [263259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_PIPE_EQ,
  [263266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13976), 1,
      aux_sym_preproc_if_token2,
  [263273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9146), 1,
      anon_sym_COLON,
  [263280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13416), 1,
      anon_sym_RBRACE,
  [263287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13978), 1,
      anon_sym_SEMI,
  [263294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13980), 1,
      anon_sym_SEMI,
  [263301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13982), 1,
      anon_sym_COLON,
  [263308] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10347), 1,
      aux_sym_preproc_include_token2,
  [263315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13984), 1,
      anon_sym_RPAREN,
  [263322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13986), 1,
      sym_identifier,
  [263329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9106), 1,
      anon_sym_SEMI,
  [263336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13988), 1,
      anon_sym_SEMI,
  [263343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_not_eq,
  [263350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13990), 1,
      anon_sym_LPAREN2,
  [263357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_RPAREN,
  [263364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13992), 1,
      anon_sym_SEMI,
  [263371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13994), 1,
      anon_sym_RPAREN,
  [263378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5000), 1,
      anon_sym_DOT_DOT_DOT,
  [263385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13996), 1,
      anon_sym_RPAREN,
  [263392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9174), 1,
      anon_sym_RPAREN,
  [263399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13998), 1,
      anon_sym_SEMI,
  [263406] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14000), 1,
      aux_sym_preproc_include_token2,
  [263413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14002), 1,
      anon_sym_RPAREN,
  [263420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14004), 1,
      sym_identifier,
  [263427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14006), 1,
      anon_sym_RPAREN,
  [263434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14008), 1,
      sym_raw_string_delimiter,
  [263441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14010), 1,
      anon_sym_DQUOTE,
  [263448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14012), 1,
      sym_identifier,
  [263455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14014), 1,
      anon_sym_COLON,
  [263462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14016), 1,
      anon_sym_RPAREN,
  [263469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14018), 1,
      sym_this,
  [263476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14020), 1,
      anon_sym_RPAREN,
  [263483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9180), 1,
      anon_sym_RPAREN,
  [263490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14022), 1,
      anon_sym_LPAREN2,
  [263497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14024), 1,
      anon_sym_RPAREN,
  [263504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14026), 1,
      sym_identifier,
  [263511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14028), 1,
      anon_sym_RPAREN,
  [263518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14030), 1,
      anon_sym_RPAREN,
  [263525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8754), 1,
      anon_sym_RPAREN,
  [263532] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14032), 1,
      aux_sym_preproc_include_token2,
  [263539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9188), 1,
      anon_sym_RPAREN,
  [263546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14034), 1,
      sym_raw_string_delimiter,
  [263553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14036), 1,
      anon_sym_DQUOTE,
  [263560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_DOT_DOT_DOT,
  [263567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14038), 1,
      anon_sym_STAR,
  [263574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_DOT_DOT_DOT,
  [263581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14040), 1,
      anon_sym_RPAREN,
  [263588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14042), 1,
      anon_sym_LPAREN2,
  [263595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14044), 1,
      anon_sym_SEMI,
  [263602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11159), 1,
      anon_sym_RBRACE,
  [263609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14046), 1,
      anon_sym_RPAREN,
  [263616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14048), 1,
      aux_sym_preproc_if_token2,
  [263623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14050), 1,
      anon_sym_SEMI,
  [263630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14052), 1,
      sym_raw_string_delimiter,
  [263637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14054), 1,
      anon_sym_SEMI,
  [263644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14056), 1,
      anon_sym_SEMI,
  [263651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14058), 1,
      anon_sym_RBRACK,
  [263658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14060), 1,
      anon_sym_LPAREN2,
  [263665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14062), 1,
      anon_sym_LPAREN2,
  [263672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14064), 1,
      anon_sym_RPAREN,
  [263679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14066), 1,
      sym_raw_string_delimiter,
  [263686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14068), 1,
      anon_sym_DQUOTE,
  [263693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12114), 1,
      anon_sym_SEMI,
  [263700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14070), 1,
      anon_sym_RPAREN,
  [263707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14072), 1,
      sym_raw_string_delimiter,
  [263714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14074), 1,
      anon_sym_RPAREN,
  [263721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14076), 1,
      anon_sym_RPAREN,
  [263728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14078), 1,
      anon_sym_RPAREN,
  [263735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14080), 1,
      sym_raw_string_delimiter,
  [263742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14082), 1,
      anon_sym_RPAREN,
  [263749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14084), 1,
      sym_raw_string_delimiter,
  [263756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14086), 1,
      anon_sym_RPAREN,
  [263763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14088), 1,
      sym_raw_string_delimiter,
  [263770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14090), 1,
      anon_sym_RPAREN,
  [263777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14092), 1,
      sym_raw_string_delimiter,
  [263784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14094), 1,
      anon_sym_RPAREN,
  [263791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14096), 1,
      sym_raw_string_delimiter,
  [263798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14098), 1,
      anon_sym_RPAREN,
  [263805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14100), 1,
      sym_raw_string_delimiter,
  [263812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4917), 1,
      anon_sym_DOT_DOT_DOT,
  [263819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14102), 1,
      sym_identifier,
  [263826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_DOT_STAR,
  [263833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14104), 1,
      anon_sym_LPAREN2,
  [263840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_DOT_DOT_DOT,
  [263847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14106), 1,
      anon_sym_LPAREN2,
  [263854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14108), 1,
      anon_sym_LPAREN2,
  [263861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14110), 1,
      anon_sym_LPAREN2,
  [263868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14112), 1,
      anon_sym_LPAREN2,
  [263875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT_DOT,
  [263882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14114), 1,
      anon_sym_LPAREN2,
  [263889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14116), 1,
      anon_sym_COLON,
  [263896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14118), 1,
      anon_sym_LPAREN2,
  [263903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_DOT_DOT_DOT,
  [263910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_DOT_DOT_DOT,
  [263917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_RPAREN,
  [263924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14120), 1,
      aux_sym_preproc_if_token2,
  [263931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14122), 1,
      anon_sym_RPAREN,
  [263938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13438), 1,
      anon_sym_RBRACE,
  [263945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_and,
  [263952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_DOT_DOT_DOT,
  [263959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14124), 1,
      anon_sym_RPAREN,
  [263966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14126), 1,
      anon_sym_SEMI,
  [263973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14128), 1,
      anon_sym_SEMI,
  [263980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14130), 1,
      anon_sym_SEMI,
  [263987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11545), 1,
      anon_sym_SEMI,
  [263994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_SLASH_EQ,
  [264001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14132), 1,
      anon_sym_while,
  [264008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14134), 1,
      anon_sym_SEMI,
  [264015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14136), 1,
      anon_sym_LPAREN2,
  [264022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14138), 1,
      anon_sym_COLON,
  [264029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14140), 1,
      anon_sym_SEMI,
  [264036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      anon_sym_RPAREN,
  [264043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14142), 1,
      anon_sym_RPAREN,
  [264050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14144), 1,
      anon_sym_LPAREN2,
  [264057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14146), 1,
      anon_sym_EQ,
  [264064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14148), 1,
      sym_raw_string_content,
  [264071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14150), 1,
      anon_sym_RPAREN,
  [264078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14152), 1,
      anon_sym_RPAREN,
  [264085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6030), 1,
      anon_sym_SEMI,
  [264092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14154), 1,
      anon_sym_STAR,
  [264099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14156), 1,
      anon_sym_LPAREN2,
  [264106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14158), 1,
      anon_sym_RPAREN,
  [264113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14160), 1,
      anon_sym_STAR,
  [264120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14162), 1,
      anon_sym_RPAREN,
  [264127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14164), 1,
      anon_sym_RPAREN,
  [264134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14166), 1,
      anon_sym_SEMI,
  [264141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14168), 1,
      anon_sym_DQUOTE,
  [264148] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14170), 1,
      aux_sym_preproc_include_token2,
  [264155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14172), 1,
      anon_sym_RPAREN,
  [264162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14174), 1,
      anon_sym_SEMI,
  [264169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14176), 1,
      anon_sym_DQUOTE,
  [264176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14178), 1,
      sym_identifier,
  [264183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14180), 1,
      anon_sym_RPAREN,
  [264190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14182), 1,
      anon_sym_COMMA,
  [264197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_DASH_GT_STAR,
  [264204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14184), 1,
      anon_sym_RPAREN,
  [264211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9027), 1,
      anon_sym_SEMI,
  [264218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14186), 1,
      sym_identifier,
  [264225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9144), 1,
      anon_sym_COLON,
  [264232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14188), 1,
      sym_identifier,
  [264239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14190), 1,
      anon_sym_COLON,
  [264246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14192), 1,
      anon_sym_while,
  [264253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7741), 1,
      sym_identifier,
  [264260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13146), 1,
      anon_sym_SEMI,
  [264267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14194), 1,
      aux_sym_preproc_if_token2,
  [264274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14196), 1,
      anon_sym_SEMI,
  [264281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_RPAREN,
  [264288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8776), 1,
      anon_sym_RBRACE,
  [264295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11187), 1,
      anon_sym_RBRACE,
  [264302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14198), 1,
      anon_sym_SEMI,
  [264309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14200), 1,
      anon_sym_SEMI,
  [264316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14202), 1,
      anon_sym_RPAREN,
  [264323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_or,
  [264330] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14204), 1,
      aux_sym_preproc_include_token2,
  [264337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14206), 1,
      anon_sym_SEMI,
  [264344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14208), 1,
      anon_sym_SEMI,
  [264351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14210), 1,
      anon_sym_COLON,
  [264358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14212), 1,
      anon_sym_DQUOTE,
  [264365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14214), 1,
      anon_sym_LBRACE,
  [264372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14216), 1,
      anon_sym_RPAREN,
  [264379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14218), 1,
      anon_sym_SEMI,
  [264386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_DOT_DOT_DOT,
  [264393] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13163), 1,
      aux_sym_preproc_include_token2,
  [264400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14220), 1,
      anon_sym_RPAREN,
  [264407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14222), 1,
      anon_sym_RPAREN,
  [264414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14224), 1,
      anon_sym_SEMI,
  [264421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_DOT_DOT_DOT,
  [264428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14226), 1,
      sym_identifier,
  [264435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14228), 1,
      anon_sym_RPAREN,
  [264442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12188), 1,
      anon_sym_SEMI,
  [264449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14230), 1,
      anon_sym_STAR,
  [264456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14232), 1,
      aux_sym_preproc_if_token2,
  [264463] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14234), 1,
      aux_sym_preproc_include_token2,
  [264470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14236), 1,
      anon_sym_RPAREN,
  [264477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14238), 1,
      aux_sym_preproc_if_token2,
  [264484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14240), 1,
      anon_sym_DOT_DOT_DOT,
  [264491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14243), 1,
      anon_sym_STAR,
  [264498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14245), 1,
      anon_sym_RPAREN,
  [264505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6020), 1,
      anon_sym_SEMI,
  [264512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14247), 1,
      sym_identifier,
  [264519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14249), 1,
      anon_sym_SEMI,
  [264526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_SEMI,
  [264533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14251), 1,
      anon_sym_SEMI,
  [264540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9170), 1,
      anon_sym_COLON,
  [264547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14253), 1,
      anon_sym_RPAREN,
  [264554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14255), 1,
      anon_sym_RPAREN,
  [264561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14257), 1,
      sym_auto,
  [264568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14259), 1,
      sym_identifier,
  [264575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      anon_sym_COLON,
  [264582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym_DOT_DOT_DOT,
  [264589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14261), 1,
      anon_sym_RBRACE,
  [264596] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13173), 1,
      aux_sym_preproc_include_token2,
  [264603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11106), 1,
      anon_sym_RBRACE,
  [264610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7510), 1,
      anon_sym_RPAREN,
  [264617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14263), 1,
      anon_sym_LPAREN2,
  [264624] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14265), 1,
      aux_sym_preproc_include_token2,
  [264631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14267), 1,
      aux_sym_preproc_if_token2,
  [264638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14269), 1,
      aux_sym_preproc_if_token2,
  [264645] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14271), 1,
      aux_sym_preproc_include_token2,
  [264652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14273), 1,
      anon_sym_RPAREN,
  [264659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14275), 1,
      anon_sym_COLON,
  [264666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_RBRACE,
  [264673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14277), 1,
      anon_sym_RBRACE,
  [264680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14279), 1,
      aux_sym_preproc_if_token2,
  [264687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      anon_sym_RPAREN,
  [264694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14283), 1,
      aux_sym_preproc_if_token2,
  [264701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14285), 1,
      aux_sym_preproc_if_token2,
  [264708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14287), 1,
      sym_identifier,
  [264715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14289), 1,
      anon_sym_RPAREN,
  [264722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13424), 1,
      anon_sym_RBRACE,
  [264729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14291), 1,
      anon_sym_RPAREN,
  [264736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14293), 1,
      anon_sym_SEMI,
  [264743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14295), 1,
      anon_sym_RPAREN,
  [264750] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14297), 1,
      aux_sym_preproc_include_token2,
  [264757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14299), 1,
      anon_sym_SEMI,
  [264764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12367), 1,
      anon_sym_SEMI,
  [264771] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(10299), 1,
      aux_sym_preproc_include_token2,
  [264778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14301), 1,
      anon_sym_RBRACE,
  [264785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14303), 1,
      anon_sym_RPAREN,
  [264792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14305), 1,
      sym_identifier,
  [264799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11573), 1,
      anon_sym_SEMI,
  [264806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14307), 1,
      anon_sym_SEMI,
  [264813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14309), 1,
      anon_sym_SEMI,
  [264820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14311), 1,
      anon_sym_SEMI,
  [264827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14313), 1,
      anon_sym_SEMI,
  [264834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14315), 1,
      anon_sym_RPAREN,
  [264841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14317), 1,
      anon_sym_RPAREN,
  [264848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14319), 1,
      anon_sym_DQUOTE,
  [264855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14321), 1,
      anon_sym_SEMI,
  [264862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14323), 1,
      aux_sym_preproc_if_token2,
  [264869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14325), 1,
      anon_sym_RPAREN,
  [264876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14327), 1,
      anon_sym_RPAREN,
  [264883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14329), 1,
      anon_sym_SEMI,
  [264890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14331), 1,
      anon_sym_RPAREN,
  [264897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14333), 1,
      anon_sym_RPAREN,
  [264904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14335), 1,
      anon_sym_RPAREN,
  [264911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14337), 1,
      aux_sym_preproc_if_token2,
  [264918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14339), 1,
      sym_identifier,
  [264925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_LT_LT_EQ,
  [264932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14341), 1,
      anon_sym_SEMI,
  [264939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14343), 1,
      anon_sym_RPAREN,
  [264946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14345), 1,
      anon_sym_DQUOTE,
  [264953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14347), 1,
      anon_sym_RPAREN,
  [264960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14349), 1,
      anon_sym_SEMI,
  [264967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11959), 1,
      anon_sym_COLON,
  [264974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14351), 1,
      anon_sym_RPAREN,
  [264981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14353), 1,
      anon_sym_LPAREN2,
  [264988] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14355), 1,
      aux_sym_preproc_include_token2,
  [264995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14357), 1,
      sym_identifier,
  [265002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9365), 1,
      anon_sym_RPAREN,
  [265009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_LPAREN2,
  [265016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14361), 1,
      anon_sym_STAR,
  [265023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10775), 1,
      sym_identifier,
  [265030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14363), 1,
      anon_sym_SEMI,
  [265037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14365), 1,
      anon_sym_DQUOTE,
  [265044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14367), 1,
      anon_sym_DQUOTE,
  [265051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14369), 1,
      anon_sym_RPAREN,
  [265058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14371), 1,
      anon_sym_LPAREN2,
  [265065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14373), 1,
      anon_sym_DOT_DOT_DOT,
  [265072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14375), 1,
      anon_sym_RPAREN,
  [265079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14377), 1,
      anon_sym_LPAREN2,
  [265086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14379), 1,
      anon_sym_SEMI,
  [265093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14381), 1,
      aux_sym_preproc_if_token2,
  [265100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14383), 1,
      anon_sym_SEMI,
  [265107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14385), 1,
      anon_sym_RPAREN,
  [265114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14387), 1,
      aux_sym_preproc_if_token2,
  [265121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14389), 1,
      anon_sym_DQUOTE,
  [265128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_COMMA,
  [265135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14391), 1,
      sym_identifier,
  [265142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14393), 1,
      sym_identifier,
  [265149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14395), 1,
      anon_sym_RPAREN,
  [265156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9100), 1,
      anon_sym_SEMI,
  [265163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14397), 1,
      sym_identifier,
  [265170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_DASH,
  [265177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14399), 1,
      sym_identifier,
  [265184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14401), 1,
      sym_identifier,
  [265191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14403), 1,
      sym_identifier,
  [265198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14405), 1,
      anon_sym_SEMI,
  [265205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12398), 1,
      anon_sym_SEMI,
  [265212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_STAR_EQ,
  [265219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_EQ,
  [265226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14407), 1,
      anon_sym_STAR,
  [265233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14409), 1,
      anon_sym_COLON,
  [265240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14411), 1,
      anon_sym_SEMI,
  [265247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14413), 1,
      anon_sym_SEMI,
  [265254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14415), 1,
      anon_sym_RPAREN,
  [265261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14417), 1,
      anon_sym_SEMI,
  [265268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14419), 1,
      anon_sym_LPAREN2,
  [265275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14421), 1,
      anon_sym_LPAREN2,
  [265282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14423), 1,
      anon_sym_LPAREN2,
  [265289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14425), 1,
      anon_sym_LPAREN2,
  [265296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7518), 1,
      anon_sym_RPAREN,
  [265303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14427), 1,
      anon_sym_LPAREN2,
  [265310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14429), 1,
      anon_sym_SEMI,
  [265317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_PLUS,
  [265324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14431), 1,
      anon_sym_RPAREN,
  [265331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14433), 1,
      aux_sym_preproc_if_token2,
  [265338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14435), 1,
      anon_sym_RPAREN,
  [265345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14437), 1,
      sym_identifier,
  [265352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14439), 1,
      anon_sym_while,
  [265359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_STAR,
  [265366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14441), 1,
      anon_sym_LPAREN2,
  [265373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14443), 1,
      sym_identifier,
  [265380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14445), 1,
      anon_sym_SLASH,
  [265387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14447), 1,
      anon_sym_SEMI,
  [265394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14449), 1,
      anon_sym_EQ,
  [265401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14451), 1,
      sym_raw_string_content,
  [265408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14453), 1,
      anon_sym_STAR,
  [265415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14455), 1,
      anon_sym_LPAREN2,
  [265422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14457), 1,
      anon_sym_SEMI,
  [265429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
  [265436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14459), 1,
      anon_sym_RPAREN,
  [265443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14461), 1,
      anon_sym_COMMA,
  [265450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14463), 1,
      anon_sym_RPAREN,
  [265457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14465), 1,
      anon_sym_RPAREN,
  [265464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14467), 1,
      anon_sym_RPAREN,
  [265471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14469), 1,
      anon_sym_RPAREN,
  [265478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14471), 1,
      anon_sym_RPAREN,
  [265485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14473), 1,
      anon_sym_COLON,
  [265492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_PERCENT,
  [265499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14475), 1,
      sym_identifier,
  [265506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14477), 1,
      anon_sym_SEMI,
  [265513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14479), 1,
      anon_sym_LPAREN2,
  [265520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14481), 1,
      anon_sym_LPAREN2,
  [265527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14483), 1,
      anon_sym_LPAREN2,
  [265534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      anon_sym_SEMI,
  [265541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14485), 1,
      anon_sym_LPAREN2,
  [265548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14487), 1,
      anon_sym_SEMI,
  [265555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14489), 1,
      sym_identifier,
  [265562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14491), 1,
      anon_sym_while,
  [265569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14493), 1,
      aux_sym_preproc_if_token2,
  [265576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14495), 1,
      anon_sym_LPAREN2,
  [265583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14497), 1,
      anon_sym_RPAREN,
  [265590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14499), 1,
      anon_sym_DQUOTE,
  [265597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14501), 1,
      anon_sym_EQ,
  [265604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14503), 1,
      sym_raw_string_content,
  [265611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9128), 1,
      anon_sym_SEMI,
  [265618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14505), 1,
      anon_sym_COMMA,
  [265625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14507), 1,
      anon_sym_SEMI,
  [265632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14509), 1,
      aux_sym_preproc_if_token2,
  [265639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14511), 1,
      sym_raw_string_content,
  [265646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14513), 1,
      anon_sym_STAR,
  [265653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14515), 1,
      anon_sym_RPAREN,
  [265660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14517), 1,
      anon_sym_COLON,
  [265667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14519), 1,
      anon_sym_DQUOTE,
  [265674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14521), 1,
      anon_sym_SEMI,
  [265681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14523), 1,
      anon_sym_LPAREN2,
  [265688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14525), 1,
      anon_sym_LPAREN2,
  [265695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14527), 1,
      anon_sym_LPAREN2,
  [265702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8774), 1,
      anon_sym_SEMI,
  [265709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14529), 1,
      anon_sym_LPAREN2,
  [265716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_PIPE_PIPE,
  [265723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_AMP_AMP,
  [265730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14531), 1,
      anon_sym_while,
  [265737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14533), 1,
      anon_sym_LPAREN2,
  [265744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14535), 1,
      aux_sym_preproc_if_token2,
  [265751] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(13221), 1,
      aux_sym_preproc_include_token2,
  [265758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14537), 1,
      anon_sym_EQ,
  [265765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14539), 1,
      sym_raw_string_content,
  [265772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14541), 1,
      anon_sym_DQUOTE,
  [265779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14543), 1,
      anon_sym_COMMA,
  [265786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14545), 1,
      anon_sym_RPAREN,
  [265793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6905), 1,
      sym_identifier,
  [265800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14547), 1,
      anon_sym_RPAREN,
  [265807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14549), 1,
      anon_sym_RPAREN,
  [265814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14551), 1,
      anon_sym_COLON,
  [265821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9156), 1,
      anon_sym_SEMI,
  [265828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14553), 1,
      anon_sym_LPAREN2,
  [265835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14555), 1,
      anon_sym_LPAREN2,
  [265842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14557), 1,
      anon_sym_LPAREN2,
  [265849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14559), 1,
      aux_sym_preproc_if_token2,
  [265856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14561), 1,
      anon_sym_LPAREN2,
  [265863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14563), 1,
      anon_sym_RPAREN,
  [265870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14565), 1,
      anon_sym_RPAREN,
  [265877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14567), 1,
      anon_sym_LPAREN2,
  [265884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14569), 1,
      sym_identifier,
  [265891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14571), 1,
      anon_sym_SEMI,
  [265898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14573), 1,
      anon_sym_EQ,
  [265905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14575), 1,
      sym_raw_string_content,
  [265912] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14577), 1,
      aux_sym_preproc_include_token2,
  [265919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14579), 1,
      anon_sym_COMMA,
  [265926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14581), 1,
      anon_sym_RPAREN,
  [265933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_DASH_EQ,
  [265940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14583), 1,
      sym_identifier,
  [265947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14585), 1,
      anon_sym_RPAREN,
  [265954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14587), 1,
      anon_sym_COLON,
  [265961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_PIPE,
  [265968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14589), 1,
      anon_sym_LPAREN2,
  [265975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14591), 1,
      anon_sym_LPAREN2,
  [265982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14593), 1,
      anon_sym_RPAREN,
  [265989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14595), 1,
      anon_sym_LPAREN2,
  [265996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14597), 1,
      anon_sym_SEMI,
  [266003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_CARET,
  [266010] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14599), 1,
      aux_sym_preproc_include_token2,
  [266017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym_RPAREN,
  [266024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14601), 1,
      anon_sym_EQ,
  [266031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14603), 1,
      sym_raw_string_content,
  [266038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14605), 1,
      anon_sym_SEMI,
  [266045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9154), 1,
      anon_sym_SEMI,
  [266052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14607), 1,
      anon_sym_RPAREN,
  [266059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14609), 1,
      anon_sym_RPAREN,
  [266066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14611), 1,
      anon_sym_RPAREN,
  [266073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_AMP,
  [266080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14613), 1,
      anon_sym_LPAREN2,
  [266087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14615), 1,
      anon_sym_LPAREN2,
  [266094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14617), 1,
      anon_sym_LPAREN2,
  [266101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14619), 1,
      anon_sym_RPAREN,
  [266108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14621), 1,
      sym_raw_string_content,
  [266115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14623), 1,
      anon_sym_COLON,
  [266122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11567), 1,
      anon_sym_SEMI,
  [266129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14625), 1,
      anon_sym_RPAREN,
  [266136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14627), 1,
      anon_sym_RPAREN,
  [266143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14629), 1,
      anon_sym_LPAREN2,
  [266150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14631), 1,
      anon_sym_LPAREN2,
  [266157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14633), 1,
      anon_sym_LPAREN2,
  [266164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14635), 1,
      anon_sym_RPAREN,
  [266171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14637), 1,
      sym_raw_string_content,
  [266178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14639), 1,
      anon_sym_RPAREN,
  [266185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14641), 1,
      anon_sym_RPAREN,
  [266192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14643), 1,
      anon_sym_LPAREN2,
  [266199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14645), 1,
      anon_sym_LPAREN2,
  [266206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14647), 1,
      anon_sym_LPAREN2,
  [266213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14649), 1,
      sym_raw_string_content,
  [266220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14651), 1,
      anon_sym_RPAREN,
  [266227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14653), 1,
      anon_sym_LPAREN2,
  [266234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14655), 1,
      sym_raw_string_content,
  [266241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14657), 1,
      anon_sym_RPAREN,
  [266248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14659), 1,
      anon_sym_LPAREN2,
  [266255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14661), 1,
      sym_raw_string_content,
  [266262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14663), 1,
      anon_sym_RPAREN,
  [266269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14665), 1,
      sym_raw_string_content,
  [266276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14667), 1,
      anon_sym_RPAREN,
  [266283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14669), 1,
      sym_raw_string_content,
  [266290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14671), 1,
      anon_sym_RPAREN,
  [266297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14673), 1,
      sym_raw_string_content,
  [266304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14675), 1,
      anon_sym_RPAREN,
  [266311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14677), 1,
      sym_raw_string_content,
  [266318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14679), 1,
      anon_sym_RPAREN,
  [266325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14681), 1,
      sym_raw_string_content,
  [266332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14683), 1,
      anon_sym_RPAREN,
  [266339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14685), 1,
      anon_sym_RPAREN,
  [266346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14687), 1,
      sym_identifier,
  [266353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14689), 1,
      anon_sym_LPAREN2,
  [266360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14691), 1,
      anon_sym_LPAREN2,
  [266367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14693), 1,
      sym_identifier,
  [266374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14695), 1,
      anon_sym_RPAREN,
  [266381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14697), 1,
      anon_sym_RPAREN,
  [266388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_EQ_EQ,
  [266395] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14699), 1,
      aux_sym_preproc_include_token2,
  [266402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_BANG_EQ,
  [266409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      anon_sym_RPAREN,
  [266416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
  [266423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14701), 1,
      aux_sym_preproc_if_token2,
  [266430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9130), 1,
      anon_sym_RPAREN,
  [266437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_GT,
  [266444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      anon_sym_RBRACE,
  [266451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9208), 1,
      anon_sym_RPAREN,
  [266458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
  [266465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14703), 1,
      anon_sym_LPAREN2,
  [266472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14705), 1,
      sym_identifier,
  [266479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_GT_GT_EQ,
  [266486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14707), 1,
      anon_sym_RPAREN,
  [266493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14709), 1,
      anon_sym_LPAREN2,
  [266500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14711), 1,
      sym_identifier,
  [266507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14713), 1,
      sym_raw_string_content,
  [266514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14715), 1,
      anon_sym_RPAREN,
  [266521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_GT_EQ,
  [266528] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14717), 1,
      aux_sym_preproc_include_token2,
  [266535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9041), 1,
      anon_sym_RPAREN,
  [266542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14719), 1,
      anon_sym_RPAREN,
  [266549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14721), 1,
      anon_sym_RPAREN,
  [266556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14723), 1,
      anon_sym_RPAREN,
  [266563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14725), 1,
      anon_sym_RPAREN,
  [266570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13302), 1,
      anon_sym_RBRACE,
  [266577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14727), 1,
      anon_sym_RPAREN,
  [266584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8991), 1,
      anon_sym_RBRACE,
  [266591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14729), 1,
      anon_sym_LPAREN2,
  [266598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14731), 1,
      anon_sym_RPAREN,
  [266605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14733), 1,
      anon_sym_SEMI,
  [266612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14735), 1,
      anon_sym_RPAREN,
  [266619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14737), 1,
      anon_sym_SEMI,
  [266626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14739), 1,
      aux_sym_preproc_if_token2,
  [266633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_LT_EQ,
  [266640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9122), 1,
      anon_sym_SEMI,
  [266647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14741), 1,
      anon_sym_RBRACK,
  [266654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14743), 1,
      anon_sym_RPAREN,
  [266661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14745), 1,
      anon_sym_COMMA,
  [266668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14747), 1,
      sym_auto,
  [266675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14749), 1,
      anon_sym_RPAREN,
  [266682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9148), 1,
      anon_sym_COLON,
  [266689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14751), 1,
      anon_sym_RPAREN,
  [266696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14753), 1,
      sym_identifier,
  [266703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14755), 1,
      anon_sym_SEMI,
  [266710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14757), 1,
      sym_identifier,
  [266717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14759), 1,
      anon_sym_DQUOTE,
  [266724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14761), 1,
      anon_sym_SEMI,
  [266731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14763), 1,
      sym_identifier,
  [266738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9168), 1,
      anon_sym_COLON,
  [266745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13308), 1,
      anon_sym_RBRACE,
  [266752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14765), 1,
      anon_sym_SEMI,
  [266759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14767), 1,
      anon_sym_SEMI,
  [266766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14769), 1,
      anon_sym_DQUOTE,
  [266773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_LT,
  [266780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14771), 1,
      sym_identifier,
  [266787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9160), 1,
      anon_sym_SEMI,
  [266794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_LT_LT,
  [266801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14773), 1,
      anon_sym_SEMI,
  [266808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14775), 1,
      anon_sym_RPAREN,
  [266815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9162), 1,
      anon_sym_SEMI,
  [266822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14777), 1,
      anon_sym_SEMI,
  [266829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_GT_GT,
  [266836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13478), 1,
      anon_sym_RBRACE,
  [266843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14779), 1,
      anon_sym_SEMI,
  [266850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14781), 1,
      anon_sym_SEMI,
  [266857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_EQ,
  [266864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14783), 1,
      anon_sym_RPAREN,
  [266871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9216), 1,
      anon_sym_RPAREN,
  [266878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14785), 1,
      anon_sym_RPAREN,
  [266885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14787), 1,
      anon_sym_SEMI,
  [266892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14789), 1,
      sym_identifier,
  [266899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14791), 1,
      anon_sym_RPAREN,
  [266906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      sym_identifier,
  [266913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14793), 1,
      anon_sym_RPAREN,
  [266920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14795), 1,
      anon_sym_RPAREN,
  [266927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14797), 1,
      anon_sym_SEMI,
  [266934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14799), 1,
      anon_sym_DQUOTE,
  [266941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8854), 1,
      anon_sym_SEMI,
  [266948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9184), 1,
      anon_sym_COLON,
  [266955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14801), 1,
      anon_sym_RPAREN,
  [266962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14803), 1,
      aux_sym_preproc_if_token2,
  [266969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14805), 1,
      anon_sym_LPAREN2,
  [266976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14807), 1,
      anon_sym_LPAREN2,
  [266983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14809), 1,
      sym_identifier,
  [266990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14811), 1,
      sym_identifier,
  [266997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14813), 1,
      anon_sym_RPAREN,
  [267004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14815), 1,
      anon_sym_RPAREN,
  [267011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14817), 1,
      anon_sym_LPAREN2,
  [267018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14819), 1,
      anon_sym_STAR,
  [267025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14821), 1,
      sym_identifier,
  [267032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14823), 1,
      sym_raw_string_content,
  [267039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11611), 1,
      anon_sym_SEMI,
  [267046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14825), 1,
      aux_sym_preproc_if_token2,
  [267053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14827), 1,
      anon_sym_SEMI,
  [267060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14829), 1,
      anon_sym_LPAREN2,
  [267067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14831), 1,
      anon_sym_LPAREN2,
  [267074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14833), 1,
      anon_sym_LPAREN2,
  [267081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14835), 1,
      sym_identifier,
  [267088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14837), 1,
      aux_sym_preproc_if_token2,
  [267095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14839), 1,
      anon_sym_SEMI,
  [267102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14841), 1,
      anon_sym_LPAREN2,
  [267109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14843), 1,
      sym_identifier,
  [267116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14845), 1,
      sym_raw_string_content,
  [267123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14847), 1,
      anon_sym_RBRACE,
  [267130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14849), 1,
      aux_sym_preproc_if_token2,
  [267137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14851), 1,
      anon_sym_DQUOTE,
  [267144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14853), 1,
      anon_sym_LPAREN2,
  [267151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14855), 1,
      sym_identifier,
  [267158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14857), 1,
      anon_sym_SEMI,
  [267165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11619), 1,
      anon_sym_SEMI,
  [267172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14859), 1,
      sym_identifier,
  [267179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14861), 1,
      sym_raw_string_content,
  [267186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14863), 1,
      aux_sym_preproc_if_token2,
  [267193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9108), 1,
      anon_sym_COLON,
  [267200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14865), 1,
      anon_sym_LPAREN2,
  [267207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14867), 1,
      sym_identifier,
  [267214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14869), 1,
      anon_sym_SEMI,
  [267221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14871), 1,
      aux_sym_preproc_if_token2,
  [267228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14873), 1,
      sym_identifier,
  [267235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14875), 1,
      sym_raw_string_content,
  [267242] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14877), 1,
      aux_sym_preproc_include_token2,
  [267249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14879), 1,
      anon_sym_LPAREN2,
  [267256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14881), 1,
      sym_identifier,
  [267263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14883), 1,
      anon_sym_SEMI,
  [267270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14885), 1,
      sym_identifier,
  [267277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14887), 1,
      sym_raw_string_content,
  [267284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6008), 1,
      anon_sym_SEMI,
  [267291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14889), 1,
      sym_identifier,
  [267298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14891), 1,
      sym_raw_string_content,
  [267305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      sym_identifier,
  [267312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14893), 1,
      sym_raw_string_content,
  [267319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14895), 1,
      anon_sym_RPAREN,
  [267326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14897), 1,
      sym_raw_string_content,
  [267333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14899), 1,
      anon_sym_SEMI,
  [267340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14901), 1,
      sym_raw_string_content,
  [267347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14903), 1,
      sym_identifier,
  [267354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14905), 1,
      sym_raw_string_content,
  [267361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7959), 1,
      sym_identifier,
  [267368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14907), 1,
      sym_raw_string_content,
  [267375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14909), 1,
      anon_sym_SEMI,
  [267382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14911), 1,
      sym_raw_string_content,
  [267389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14913), 1,
      anon_sym_RPAREN,
  [267396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14915), 1,
      sym_raw_string_content,
  [267403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14917), 1,
      anon_sym_SEMI,
  [267410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14919), 1,
      sym_raw_string_content,
  [267417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14921), 1,
      anon_sym_LPAREN2,
  [267424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14923), 1,
      sym_raw_string_content,
  [267431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14925), 1,
      anon_sym_LPAREN2,
  [267438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14927), 1,
      anon_sym_LPAREN2,
  [267445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11623), 1,
      anon_sym_SEMI,
  [267452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14929), 1,
      anon_sym_LPAREN2,
  [267459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14931), 1,
      anon_sym_LPAREN2,
  [267466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14933), 1,
      anon_sym_RPAREN,
  [267473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14935), 1,
      anon_sym_LPAREN2,
  [267480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14937), 1,
      anon_sym_LPAREN2,
  [267487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14939), 1,
      sym_identifier,
  [267494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14941), 1,
      anon_sym_LPAREN2,
  [267501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14943), 1,
      anon_sym_LPAREN2,
  [267508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14945), 1,
      aux_sym_preproc_if_token2,
  [267515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14947), 1,
      anon_sym_LPAREN2,
  [267522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14949), 1,
      anon_sym_LPAREN2,
  [267529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14951), 1,
      sym_identifier,
  [267536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14953), 1,
      anon_sym_LPAREN2,
  [267543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14955), 1,
      anon_sym_LPAREN2,
  [267550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14957), 1,
      anon_sym_LPAREN2,
  [267557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14959), 1,
      anon_sym_LPAREN2,
  [267564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14961), 1,
      anon_sym_LPAREN2,
  [267571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14963), 1,
      anon_sym_LPAREN2,
  [267578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14965), 1,
      anon_sym_LPAREN2,
  [267585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14967), 1,
      anon_sym_LPAREN2,
  [267592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14969), 1,
      anon_sym_LPAREN2,
  [267599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14971), 1,
      anon_sym_LPAREN2,
  [267606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14973), 1,
      anon_sym_LPAREN2,
  [267613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14975), 1,
      aux_sym_preproc_if_token2,
  [267620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14977), 1,
      aux_sym_preproc_if_token2,
  [267627] = 2,
    ACTIONS(10099), 1,
      sym_comment,
    ACTIONS(14979), 1,
      aux_sym_preproc_include_token2,
  [267634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14981), 1,
      anon_sym_STAR,
  [267641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9158), 1,
      anon_sym_SEMI,
  [267648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14983), 1,
      anon_sym_LPAREN2,
  [267655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14985), 1,
      anon_sym_LPAREN2,
  [267662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14987), 1,
      anon_sym_LPAREN2,
  [267669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14989), 1,
      anon_sym_LPAREN2,
  [267676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14991), 1,
      anon_sym_LPAREN2,
  [267683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym_SEMI,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2803)] = 0,
  [SMALL_STATE(2804)] = 79,
  [SMALL_STATE(2805)] = 162,
  [SMALL_STATE(2806)] = 233,
  [SMALL_STATE(2807)] = 304,
  [SMALL_STATE(2808)] = 389,
  [SMALL_STATE(2809)] = 460,
  [SMALL_STATE(2810)] = 531,
  [SMALL_STATE(2811)] = 606,
  [SMALL_STATE(2812)] = 677,
  [SMALL_STATE(2813)] = 762,
  [SMALL_STATE(2814)] = 833,
  [SMALL_STATE(2815)] = 910,
  [SMALL_STATE(2816)] = 981,
  [SMALL_STATE(2817)] = 1052,
  [SMALL_STATE(2818)] = 1123,
  [SMALL_STATE(2819)] = 1194,
  [SMALL_STATE(2820)] = 1283,
  [SMALL_STATE(2821)] = 1354,
  [SMALL_STATE(2822)] = 1439,
  [SMALL_STATE(2823)] = 1524,
  [SMALL_STATE(2824)] = 1595,
  [SMALL_STATE(2825)] = 1670,
  [SMALL_STATE(2826)] = 1741,
  [SMALL_STATE(2827)] = 1826,
  [SMALL_STATE(2828)] = 1909,
  [SMALL_STATE(2829)] = 1980,
  [SMALL_STATE(2830)] = 2051,
  [SMALL_STATE(2831)] = 2136,
  [SMALL_STATE(2832)] = 2221,
  [SMALL_STATE(2833)] = 2300,
  [SMALL_STATE(2834)] = 2379,
  [SMALL_STATE(2835)] = 2450,
  [SMALL_STATE(2836)] = 2521,
  [SMALL_STATE(2837)] = 2592,
  [SMALL_STATE(2838)] = 2663,
  [SMALL_STATE(2839)] = 2734,
  [SMALL_STATE(2840)] = 2807,
  [SMALL_STATE(2841)] = 2886,
  [SMALL_STATE(2842)] = 2957,
  [SMALL_STATE(2843)] = 3034,
  [SMALL_STATE(2844)] = 3109,
  [SMALL_STATE(2845)] = 3229,
  [SMALL_STATE(2846)] = 3299,
  [SMALL_STATE(2847)] = 3369,
  [SMALL_STATE(2848)] = 3439,
  [SMALL_STATE(2849)] = 3509,
  [SMALL_STATE(2850)] = 3579,
  [SMALL_STATE(2851)] = 3649,
  [SMALL_STATE(2852)] = 3719,
  [SMALL_STATE(2853)] = 3789,
  [SMALL_STATE(2854)] = 3859,
  [SMALL_STATE(2855)] = 3929,
  [SMALL_STATE(2856)] = 3999,
  [SMALL_STATE(2857)] = 4069,
  [SMALL_STATE(2858)] = 4139,
  [SMALL_STATE(2859)] = 4213,
  [SMALL_STATE(2860)] = 4283,
  [SMALL_STATE(2861)] = 4353,
  [SMALL_STATE(2862)] = 4423,
  [SMALL_STATE(2863)] = 4503,
  [SMALL_STATE(2864)] = 4583,
  [SMALL_STATE(2865)] = 4653,
  [SMALL_STATE(2866)] = 4723,
  [SMALL_STATE(2867)] = 4793,
  [SMALL_STATE(2868)] = 4863,
  [SMALL_STATE(2869)] = 4933,
  [SMALL_STATE(2870)] = 5003,
  [SMALL_STATE(2871)] = 5081,
  [SMALL_STATE(2872)] = 5151,
  [SMALL_STATE(2873)] = 5221,
  [SMALL_STATE(2874)] = 5291,
  [SMALL_STATE(2875)] = 5361,
  [SMALL_STATE(2876)] = 5431,
  [SMALL_STATE(2877)] = 5509,
  [SMALL_STATE(2878)] = 5579,
  [SMALL_STATE(2879)] = 5649,
  [SMALL_STATE(2880)] = 5719,
  [SMALL_STATE(2881)] = 5807,
  [SMALL_STATE(2882)] = 5877,
  [SMALL_STATE(2883)] = 5947,
  [SMALL_STATE(2884)] = 6017,
  [SMALL_STATE(2885)] = 6087,
  [SMALL_STATE(2886)] = 6157,
  [SMALL_STATE(2887)] = 6227,
  [SMALL_STATE(2888)] = 6297,
  [SMALL_STATE(2889)] = 6367,
  [SMALL_STATE(2890)] = 6437,
  [SMALL_STATE(2891)] = 6507,
  [SMALL_STATE(2892)] = 6577,
  [SMALL_STATE(2893)] = 6647,
  [SMALL_STATE(2894)] = 6717,
  [SMALL_STATE(2895)] = 6787,
  [SMALL_STATE(2896)] = 6857,
  [SMALL_STATE(2897)] = 6927,
  [SMALL_STATE(2898)] = 6997,
  [SMALL_STATE(2899)] = 7081,
  [SMALL_STATE(2900)] = 7151,
  [SMALL_STATE(2901)] = 7221,
  [SMALL_STATE(2902)] = 7291,
  [SMALL_STATE(2903)] = 7361,
  [SMALL_STATE(2904)] = 7431,
  [SMALL_STATE(2905)] = 7501,
  [SMALL_STATE(2906)] = 7571,
  [SMALL_STATE(2907)] = 7641,
  [SMALL_STATE(2908)] = 7711,
  [SMALL_STATE(2909)] = 7781,
  [SMALL_STATE(2910)] = 7851,
  [SMALL_STATE(2911)] = 7921,
  [SMALL_STATE(2912)] = 7991,
  [SMALL_STATE(2913)] = 8061,
  [SMALL_STATE(2914)] = 8131,
  [SMALL_STATE(2915)] = 8201,
  [SMALL_STATE(2916)] = 8271,
  [SMALL_STATE(2917)] = 8341,
  [SMALL_STATE(2918)] = 8411,
  [SMALL_STATE(2919)] = 8481,
  [SMALL_STATE(2920)] = 8565,
  [SMALL_STATE(2921)] = 8685,
  [SMALL_STATE(2922)] = 8755,
  [SMALL_STATE(2923)] = 8825,
  [SMALL_STATE(2924)] = 8895,
  [SMALL_STATE(2925)] = 8965,
  [SMALL_STATE(2926)] = 9035,
  [SMALL_STATE(2927)] = 9105,
  [SMALL_STATE(2928)] = 9175,
  [SMALL_STATE(2929)] = 9245,
  [SMALL_STATE(2930)] = 9315,
  [SMALL_STATE(2931)] = 9385,
  [SMALL_STATE(2932)] = 9455,
  [SMALL_STATE(2933)] = 9525,
  [SMALL_STATE(2934)] = 9595,
  [SMALL_STATE(2935)] = 9665,
  [SMALL_STATE(2936)] = 9738,
  [SMALL_STATE(2937)] = 9813,
  [SMALL_STATE(2938)] = 9888,
  [SMALL_STATE(2939)] = 9963,
  [SMALL_STATE(2940)] = 10038,
  [SMALL_STATE(2941)] = 10111,
  [SMALL_STATE(2942)] = 10186,
  [SMALL_STATE(2943)] = 10261,
  [SMALL_STATE(2944)] = 10336,
  [SMALL_STATE(2945)] = 10409,
  [SMALL_STATE(2946)] = 10484,
  [SMALL_STATE(2947)] = 10557,
  [SMALL_STATE(2948)] = 10630,
  [SMALL_STATE(2949)] = 10705,
  [SMALL_STATE(2950)] = 10780,
  [SMALL_STATE(2951)] = 10849,
  [SMALL_STATE(2952)] = 10918,
  [SMALL_STATE(2953)] = 10989,
  [SMALL_STATE(2954)] = 11060,
  [SMALL_STATE(2955)] = 11133,
  [SMALL_STATE(2956)] = 11208,
  [SMALL_STATE(2957)] = 11281,
  [SMALL_STATE(2958)] = 11354,
  [SMALL_STATE(2959)] = 11427,
  [SMALL_STATE(2960)] = 11496,
  [SMALL_STATE(2961)] = 11565,
  [SMALL_STATE(2962)] = 11634,
  [SMALL_STATE(2963)] = 11703,
  [SMALL_STATE(2964)] = 11776,
  [SMALL_STATE(2965)] = 11845,
  [SMALL_STATE(2966)] = 11914,
  [SMALL_STATE(2967)] = 11983,
  [SMALL_STATE(2968)] = 12052,
  [SMALL_STATE(2969)] = 12121,
  [SMALL_STATE(2970)] = 12190,
  [SMALL_STATE(2971)] = 12263,
  [SMALL_STATE(2972)] = 12332,
  [SMALL_STATE(2973)] = 12407,
  [SMALL_STATE(2974)] = 12486,
  [SMALL_STATE(2975)] = 12561,
  [SMALL_STATE(2976)] = 12632,
  [SMALL_STATE(2977)] = 12703,
  [SMALL_STATE(2978)] = 12778,
  [SMALL_STATE(2979)] = 12847,
  [SMALL_STATE(2980)] = 12922,
  [SMALL_STATE(2981)] = 12997,
  [SMALL_STATE(2982)] = 13070,
  [SMALL_STATE(2983)] = 13138,
  [SMALL_STATE(2984)] = 13210,
  [SMALL_STATE(2985)] = 13282,
  [SMALL_STATE(2986)] = 13350,
  [SMALL_STATE(2987)] = 13418,
  [SMALL_STATE(2988)] = 13486,
  [SMALL_STATE(2989)] = 13554,
  [SMALL_STATE(2990)] = 13622,
  [SMALL_STATE(2991)] = 13690,
  [SMALL_STATE(2992)] = 13758,
  [SMALL_STATE(2993)] = 13836,
  [SMALL_STATE(2994)] = 13954,
  [SMALL_STATE(2995)] = 14024,
  [SMALL_STATE(2996)] = 14092,
  [SMALL_STATE(2997)] = 14160,
  [SMALL_STATE(2998)] = 14228,
  [SMALL_STATE(2999)] = 14298,
  [SMALL_STATE(3000)] = 14370,
  [SMALL_STATE(3001)] = 14446,
  [SMALL_STATE(3002)] = 14514,
  [SMALL_STATE(3003)] = 14582,
  [SMALL_STATE(3004)] = 14650,
  [SMALL_STATE(3005)] = 14724,
  [SMALL_STATE(3006)] = 14792,
  [SMALL_STATE(3007)] = 14860,
  [SMALL_STATE(3008)] = 14928,
  [SMALL_STATE(3009)] = 15002,
  [SMALL_STATE(3010)] = 15078,
  [SMALL_STATE(3011)] = 15146,
  [SMALL_STATE(3012)] = 15214,
  [SMALL_STATE(3013)] = 15282,
  [SMALL_STATE(3014)] = 15350,
  [SMALL_STATE(3015)] = 15418,
  [SMALL_STATE(3016)] = 15490,
  [SMALL_STATE(3017)] = 15558,
  [SMALL_STATE(3018)] = 15626,
  [SMALL_STATE(3019)] = 15694,
  [SMALL_STATE(3020)] = 15762,
  [SMALL_STATE(3021)] = 15830,
  [SMALL_STATE(3022)] = 15898,
  [SMALL_STATE(3023)] = 15966,
  [SMALL_STATE(3024)] = 16038,
  [SMALL_STATE(3025)] = 16112,
  [SMALL_STATE(3026)] = 16180,
  [SMALL_STATE(3027)] = 16248,
  [SMALL_STATE(3028)] = 16316,
  [SMALL_STATE(3029)] = 16388,
  [SMALL_STATE(3030)] = 16470,
  [SMALL_STATE(3031)] = 16588,
  [SMALL_STATE(3032)] = 16660,
  [SMALL_STATE(3033)] = 16728,
  [SMALL_STATE(3034)] = 16802,
  [SMALL_STATE(3035)] = 16874,
  [SMALL_STATE(3036)] = 16942,
  [SMALL_STATE(3037)] = 17010,
  [SMALL_STATE(3038)] = 17078,
  [SMALL_STATE(3039)] = 17150,
  [SMALL_STATE(3040)] = 17218,
  [SMALL_STATE(3041)] = 17294,
  [SMALL_STATE(3042)] = 17376,
  [SMALL_STATE(3043)] = 17444,
  [SMALL_STATE(3044)] = 17512,
  [SMALL_STATE(3045)] = 17580,
  [SMALL_STATE(3046)] = 17648,
  [SMALL_STATE(3047)] = 17720,
  [SMALL_STATE(3048)] = 17838,
  [SMALL_STATE(3049)] = 17906,
  [SMALL_STATE(3050)] = 17982,
  [SMALL_STATE(3051)] = 18052,
  [SMALL_STATE(3052)] = 18138,
  [SMALL_STATE(3053)] = 18210,
  [SMALL_STATE(3054)] = 18282,
  [SMALL_STATE(3055)] = 18350,
  [SMALL_STATE(3056)] = 18468,
  [SMALL_STATE(3057)] = 18536,
  [SMALL_STATE(3058)] = 18604,
  [SMALL_STATE(3059)] = 18672,
  [SMALL_STATE(3060)] = 18739,
  [SMALL_STATE(3061)] = 18810,
  [SMALL_STATE(3062)] = 18891,
  [SMALL_STATE(3063)] = 18958,
  [SMALL_STATE(3064)] = 19025,
  [SMALL_STATE(3065)] = 19092,
  [SMALL_STATE(3066)] = 19159,
  [SMALL_STATE(3067)] = 19228,
  [SMALL_STATE(3068)] = 19297,
  [SMALL_STATE(3069)] = 19364,
  [SMALL_STATE(3070)] = 19431,
  [SMALL_STATE(3071)] = 19512,
  [SMALL_STATE(3072)] = 19581,
  [SMALL_STATE(3073)] = 19651,
  [SMALL_STATE(3074)] = 19717,
  [SMALL_STATE(3075)] = 19837,
  [SMALL_STATE(3076)] = 19903,
  [SMALL_STATE(3077)] = 19969,
  [SMALL_STATE(3078)] = 20035,
  [SMALL_STATE(3079)] = 20111,
  [SMALL_STATE(3080)] = 20179,
  [SMALL_STATE(3081)] = 20245,
  [SMALL_STATE(3082)] = 20317,
  [SMALL_STATE(3083)] = 20383,
  [SMALL_STATE(3084)] = 20453,
  [SMALL_STATE(3085)] = 20523,
  [SMALL_STATE(3086)] = 20605,
  [SMALL_STATE(3087)] = 20675,
  [SMALL_STATE(3088)] = 20741,
  [SMALL_STATE(3089)] = 20809,
  [SMALL_STATE(3090)] = 20879,
  [SMALL_STATE(3091)] = 20949,
  [SMALL_STATE(3092)] = 21015,
  [SMALL_STATE(3093)] = 21097,
  [SMALL_STATE(3094)] = 21167,
  [SMALL_STATE(3095)] = 21235,
  [SMALL_STATE(3096)] = 21301,
  [SMALL_STATE(3097)] = 21371,
  [SMALL_STATE(3098)] = 21453,
  [SMALL_STATE(3099)] = 21523,
  [SMALL_STATE(3100)] = 21595,
  [SMALL_STATE(3101)] = 21661,
  [SMALL_STATE(3102)] = 21727,
  [SMALL_STATE(3103)] = 21797,
  [SMALL_STATE(3104)] = 21873,
  [SMALL_STATE(3105)] = 21939,
  [SMALL_STATE(3106)] = 22021,
  [SMALL_STATE(3107)] = 22087,
  [SMALL_STATE(3108)] = 22207,
  [SMALL_STATE(3109)] = 22273,
  [SMALL_STATE(3110)] = 22339,
  [SMALL_STATE(3111)] = 22405,
  [SMALL_STATE(3112)] = 22475,
  [SMALL_STATE(3113)] = 22551,
  [SMALL_STATE(3114)] = 22617,
  [SMALL_STATE(3115)] = 22687,
  [SMALL_STATE(3116)] = 22753,
  [SMALL_STATE(3117)] = 22823,
  [SMALL_STATE(3118)] = 22888,
  [SMALL_STATE(3119)] = 22959,
  [SMALL_STATE(3120)] = 23034,
  [SMALL_STATE(3121)] = 23115,
  [SMALL_STATE(3122)] = 23186,
  [SMALL_STATE(3123)] = 23251,
  [SMALL_STATE(3124)] = 23316,
  [SMALL_STATE(3125)] = 23381,
  [SMALL_STATE(3126)] = 23446,
  [SMALL_STATE(3127)] = 23511,
  [SMALL_STATE(3128)] = 23576,
  [SMALL_STATE(3129)] = 23641,
  [SMALL_STATE(3130)] = 23722,
  [SMALL_STATE(3131)] = 23793,
  [SMALL_STATE(3132)] = 23864,
  [SMALL_STATE(3133)] = 23929,
  [SMALL_STATE(3134)] = 24000,
  [SMALL_STATE(3135)] = 24065,
  [SMALL_STATE(3136)] = 24136,
  [SMALL_STATE(3137)] = 24201,
  [SMALL_STATE(3138)] = 24282,
  [SMALL_STATE(3139)] = 24353,
  [SMALL_STATE(3140)] = 24424,
  [SMALL_STATE(3141)] = 24489,
  [SMALL_STATE(3142)] = 24560,
  [SMALL_STATE(3143)] = 24625,
  [SMALL_STATE(3144)] = 24690,
  [SMALL_STATE(3145)] = 24761,
  [SMALL_STATE(3146)] = 24870,
  [SMALL_STATE(3147)] = 24983,
  [SMALL_STATE(3148)] = 25088,
  [SMALL_STATE(3149)] = 25189,
  [SMALL_STATE(3150)] = 25288,
  [SMALL_STATE(3151)] = 25385,
  [SMALL_STATE(3152)] = 25480,
  [SMALL_STATE(3153)] = 25571,
  [SMALL_STATE(3154)] = 25658,
  [SMALL_STATE(3155)] = 25767,
  [SMALL_STATE(3156)] = 25880,
  [SMALL_STATE(3157)] = 25989,
  [SMALL_STATE(3158)] = 26102,
  [SMALL_STATE(3159)] = 26167,
  [SMALL_STATE(3160)] = 26238,
  [SMALL_STATE(3161)] = 26309,
  [SMALL_STATE(3162)] = 26374,
  [SMALL_STATE(3163)] = 26441,
  [SMALL_STATE(3164)] = 26508,
  [SMALL_STATE(3165)] = 26573,
  [SMALL_STATE(3166)] = 26652,
  [SMALL_STATE(3167)] = 26717,
  [SMALL_STATE(3168)] = 26782,
  [SMALL_STATE(3169)] = 26863,
  [SMALL_STATE(3170)] = 26972,
  [SMALL_STATE(3171)] = 27081,
  [SMALL_STATE(3172)] = 27160,
  [SMALL_STATE(3173)] = 27235,
  [SMALL_STATE(3174)] = 27300,
  [SMALL_STATE(3175)] = 27365,
  [SMALL_STATE(3176)] = 27432,
  [SMALL_STATE(3177)] = 27497,
  [SMALL_STATE(3178)] = 27578,
  [SMALL_STATE(3179)] = 27661,
  [SMALL_STATE(3180)] = 27746,
  [SMALL_STATE(3181)] = 27811,
  [SMALL_STATE(3182)] = 27875,
  [SMALL_STATE(3183)] = 27945,
  [SMALL_STATE(3184)] = 28009,
  [SMALL_STATE(3185)] = 28079,
  [SMALL_STATE(3186)] = 28143,
  [SMALL_STATE(3187)] = 28207,
  [SMALL_STATE(3188)] = 28277,
  [SMALL_STATE(3189)] = 28347,
  [SMALL_STATE(3190)] = 28415,
  [SMALL_STATE(3191)] = 28485,
  [SMALL_STATE(3192)] = 28555,
  [SMALL_STATE(3193)] = 28667,
  [SMALL_STATE(3194)] = 28779,
  [SMALL_STATE(3195)] = 28897,
  [SMALL_STATE(3196)] = 28963,
  [SMALL_STATE(3197)] = 29033,
  [SMALL_STATE(3198)] = 29097,
  [SMALL_STATE(3199)] = 29167,
  [SMALL_STATE(3200)] = 29237,
  [SMALL_STATE(3201)] = 29307,
  [SMALL_STATE(3202)] = 29371,
  [SMALL_STATE(3203)] = 29437,
  [SMALL_STATE(3204)] = 29507,
  [SMALL_STATE(3205)] = 29571,
  [SMALL_STATE(3206)] = 29689,
  [SMALL_STATE(3207)] = 29759,
  [SMALL_STATE(3208)] = 29823,
  [SMALL_STATE(3209)] = 29914,
  [SMALL_STATE(3210)] = 30023,
  [SMALL_STATE(3211)] = 30132,
  [SMALL_STATE(3212)] = 30195,
  [SMALL_STATE(3213)] = 30258,
  [SMALL_STATE(3214)] = 30419,
  [SMALL_STATE(3215)] = 30486,
  [SMALL_STATE(3216)] = 30595,
  [SMALL_STATE(3217)] = 30704,
  [SMALL_STATE(3218)] = 30767,
  [SMALL_STATE(3219)] = 30876,
  [SMALL_STATE(3220)] = 30985,
  [SMALL_STATE(3221)] = 31094,
  [SMALL_STATE(3222)] = 31207,
  [SMALL_STATE(3223)] = 31316,
  [SMALL_STATE(3224)] = 31387,
  [SMALL_STATE(3225)] = 31496,
  [SMALL_STATE(3226)] = 31559,
  [SMALL_STATE(3227)] = 31622,
  [SMALL_STATE(3228)] = 31731,
  [SMALL_STATE(3229)] = 31840,
  [SMALL_STATE(3230)] = 32001,
  [SMALL_STATE(3231)] = 32114,
  [SMALL_STATE(3232)] = 32187,
  [SMALL_STATE(3233)] = 32348,
  [SMALL_STATE(3234)] = 32457,
  [SMALL_STATE(3235)] = 32566,
  [SMALL_STATE(3236)] = 32675,
  [SMALL_STATE(3237)] = 32784,
  [SMALL_STATE(3238)] = 32893,
  [SMALL_STATE(3239)] = 33002,
  [SMALL_STATE(3240)] = 33075,
  [SMALL_STATE(3241)] = 33138,
  [SMALL_STATE(3242)] = 33247,
  [SMALL_STATE(3243)] = 33310,
  [SMALL_STATE(3244)] = 33373,
  [SMALL_STATE(3245)] = 33436,
  [SMALL_STATE(3246)] = 33515,
  [SMALL_STATE(3247)] = 33628,
  [SMALL_STATE(3248)] = 33691,
  [SMALL_STATE(3249)] = 33800,
  [SMALL_STATE(3250)] = 33909,
  [SMALL_STATE(3251)] = 34014,
  [SMALL_STATE(3252)] = 34123,
  [SMALL_STATE(3253)] = 34192,
  [SMALL_STATE(3254)] = 34309,
  [SMALL_STATE(3255)] = 34426,
  [SMALL_STATE(3256)] = 34543,
  [SMALL_STATE(3257)] = 34614,
  [SMALL_STATE(3258)] = 34685,
  [SMALL_STATE(3259)] = 34758,
  [SMALL_STATE(3260)] = 34831,
  [SMALL_STATE(3261)] = 34940,
  [SMALL_STATE(3262)] = 35049,
  [SMALL_STATE(3263)] = 35158,
  [SMALL_STATE(3264)] = 35259,
  [SMALL_STATE(3265)] = 35338,
  [SMALL_STATE(3266)] = 35435,
  [SMALL_STATE(3267)] = 35544,
  [SMALL_STATE(3268)] = 35639,
  [SMALL_STATE(3269)] = 35712,
  [SMALL_STATE(3270)] = 35821,
  [SMALL_STATE(3271)] = 35884,
  [SMALL_STATE(3272)] = 35993,
  [SMALL_STATE(3273)] = 36072,
  [SMALL_STATE(3274)] = 36145,
  [SMALL_STATE(3275)] = 36262,
  [SMALL_STATE(3276)] = 36371,
  [SMALL_STATE(3277)] = 36460,
  [SMALL_STATE(3278)] = 36545,
  [SMALL_STATE(3279)] = 36626,
  [SMALL_STATE(3280)] = 36705,
  [SMALL_STATE(3281)] = 36778,
  [SMALL_STATE(3282)] = 36861,
  [SMALL_STATE(3283)] = 36970,
  [SMALL_STATE(3284)] = 37035,
  [SMALL_STATE(3285)] = 37098,
  [SMALL_STATE(3286)] = 37161,
  [SMALL_STATE(3287)] = 37224,
  [SMALL_STATE(3288)] = 37289,
  [SMALL_STATE(3289)] = 37368,
  [SMALL_STATE(3290)] = 37480,
  [SMALL_STATE(3291)] = 37548,
  [SMALL_STATE(3292)] = 37610,
  [SMALL_STATE(3293)] = 37672,
  [SMALL_STATE(3294)] = 37734,
  [SMALL_STATE(3295)] = 37842,
  [SMALL_STATE(3296)] = 37950,
  [SMALL_STATE(3297)] = 38028,
  [SMALL_STATE(3298)] = 38108,
  [SMALL_STATE(3299)] = 38190,
  [SMALL_STATE(3300)] = 38252,
  [SMALL_STATE(3301)] = 38318,
  [SMALL_STATE(3302)] = 38430,
  [SMALL_STATE(3303)] = 38492,
  [SMALL_STATE(3304)] = 38560,
  [SMALL_STATE(3305)] = 38622,
  [SMALL_STATE(3306)] = 38684,
  [SMALL_STATE(3307)] = 38746,
  [SMALL_STATE(3308)] = 38808,
  [SMALL_STATE(3309)] = 38872,
  [SMALL_STATE(3310)] = 38938,
  [SMALL_STATE(3311)] = 39000,
  [SMALL_STATE(3312)] = 39062,
  [SMALL_STATE(3313)] = 39128,
  [SMALL_STATE(3314)] = 39190,
  [SMALL_STATE(3315)] = 39252,
  [SMALL_STATE(3316)] = 39320,
  [SMALL_STATE(3317)] = 39392,
  [SMALL_STATE(3318)] = 39454,
  [SMALL_STATE(3319)] = 39516,
  [SMALL_STATE(3320)] = 39584,
  [SMALL_STATE(3321)] = 39652,
  [SMALL_STATE(3322)] = 39714,
  [SMALL_STATE(3323)] = 39786,
  [SMALL_STATE(3324)] = 39852,
  [SMALL_STATE(3325)] = 39914,
  [SMALL_STATE(3326)] = 39976,
  [SMALL_STATE(3327)] = 40092,
  [SMALL_STATE(3328)] = 40160,
  [SMALL_STATE(3329)] = 40268,
  [SMALL_STATE(3330)] = 40330,
  [SMALL_STATE(3331)] = 40392,
  [SMALL_STATE(3332)] = 40458,
  [SMALL_STATE(3333)] = 40574,
  [SMALL_STATE(3334)] = 40646,
  [SMALL_STATE(3335)] = 40712,
  [SMALL_STATE(3336)] = 40774,
  [SMALL_STATE(3337)] = 40840,
  [SMALL_STATE(3338)] = 40902,
  [SMALL_STATE(3339)] = 40970,
  [SMALL_STATE(3340)] = 41032,
  [SMALL_STATE(3341)] = 41098,
  [SMALL_STATE(3342)] = 41160,
  [SMALL_STATE(3343)] = 41228,
  [SMALL_STATE(3344)] = 41300,
  [SMALL_STATE(3345)] = 41412,
  [SMALL_STATE(3346)] = 41474,
  [SMALL_STATE(3347)] = 41546,
  [SMALL_STATE(3348)] = 41654,
  [SMALL_STATE(3349)] = 41716,
  [SMALL_STATE(3350)] = 41784,
  [SMALL_STATE(3351)] = 41852,
  [SMALL_STATE(3352)] = 41956,
  [SMALL_STATE(3353)] = 42056,
  [SMALL_STATE(3354)] = 42152,
  [SMALL_STATE(3355)] = 42246,
  [SMALL_STATE(3356)] = 42336,
  [SMALL_STATE(3357)] = 42424,
  [SMALL_STATE(3358)] = 42508,
  [SMALL_STATE(3359)] = 42624,
  [SMALL_STATE(3360)] = 42686,
  [SMALL_STATE(3361)] = 42748,
  [SMALL_STATE(3362)] = 42816,
  [SMALL_STATE(3363)] = 42880,
  [SMALL_STATE(3364)] = 42948,
  [SMALL_STATE(3365)] = 43016,
  [SMALL_STATE(3366)] = 43084,
  [SMALL_STATE(3367)] = 43154,
  [SMALL_STATE(3368)] = 43270,
  [SMALL_STATE(3369)] = 43332,
  [SMALL_STATE(3370)] = 43394,
  [SMALL_STATE(3371)] = 43464,
  [SMALL_STATE(3372)] = 43532,
  [SMALL_STATE(3373)] = 43640,
  [SMALL_STATE(3374)] = 43708,
  [SMALL_STATE(3375)] = 43776,
  [SMALL_STATE(3376)] = 43844,
  [SMALL_STATE(3377)] = 43906,
  [SMALL_STATE(3378)] = 43968,
  [SMALL_STATE(3379)] = 44030,
  [SMALL_STATE(3380)] = 44092,
  [SMALL_STATE(3381)] = 44154,
  [SMALL_STATE(3382)] = 44219,
  [SMALL_STATE(3383)] = 44280,
  [SMALL_STATE(3384)] = 44345,
  [SMALL_STATE(3385)] = 44406,
  [SMALL_STATE(3386)] = 44483,
  [SMALL_STATE(3387)] = 44550,
  [SMALL_STATE(3388)] = 44619,
  [SMALL_STATE(3389)] = 44686,
  [SMALL_STATE(3390)] = 44755,
  [SMALL_STATE(3391)] = 44862,
  [SMALL_STATE(3392)] = 44935,
  [SMALL_STATE(3393)] = 45042,
  [SMALL_STATE(3394)] = 45105,
  [SMALL_STATE(3395)] = 45180,
  [SMALL_STATE(3396)] = 45247,
  [SMALL_STATE(3397)] = 45346,
  [SMALL_STATE(3398)] = 45445,
  [SMALL_STATE(3399)] = 45556,
  [SMALL_STATE(3400)] = 45621,
  [SMALL_STATE(3401)] = 45732,
  [SMALL_STATE(3402)] = 45793,
  [SMALL_STATE(3403)] = 45854,
  [SMALL_STATE(3404)] = 45915,
  [SMALL_STATE(3405)] = 45982,
  [SMALL_STATE(3406)] = 46043,
  [SMALL_STATE(3407)] = 46150,
  [SMALL_STATE(3408)] = 46211,
  [SMALL_STATE(3409)] = 46272,
  [SMALL_STATE(3410)] = 46333,
  [SMALL_STATE(3411)] = 46394,
  [SMALL_STATE(3412)] = 46455,
  [SMALL_STATE(3413)] = 46516,
  [SMALL_STATE(3414)] = 46623,
  [SMALL_STATE(3415)] = 46684,
  [SMALL_STATE(3416)] = 46799,
  [SMALL_STATE(3417)] = 46860,
  [SMALL_STATE(3418)] = 46921,
  [SMALL_STATE(3419)] = 46982,
  [SMALL_STATE(3420)] = 47043,
  [SMALL_STATE(3421)] = 47112,
  [SMALL_STATE(3422)] = 47173,
  [SMALL_STATE(3423)] = 47248,
  [SMALL_STATE(3424)] = 47323,
  [SMALL_STATE(3425)] = 47398,
  [SMALL_STATE(3426)] = 47459,
  [SMALL_STATE(3427)] = 47566,
  [SMALL_STATE(3428)] = 47627,
  [SMALL_STATE(3429)] = 47704,
  [SMALL_STATE(3430)] = 47765,
  [SMALL_STATE(3431)] = 47826,
  [SMALL_STATE(3432)] = 47887,
  [SMALL_STATE(3433)] = 47950,
  [SMALL_STATE(3434)] = 48015,
  [SMALL_STATE(3435)] = 48080,
  [SMALL_STATE(3436)] = 48141,
  [SMALL_STATE(3437)] = 48256,
  [SMALL_STATE(3438)] = 48331,
  [SMALL_STATE(3439)] = 48392,
  [SMALL_STATE(3440)] = 48461,
  [SMALL_STATE(3441)] = 48576,
  [SMALL_STATE(3442)] = 48687,
  [SMALL_STATE(3443)] = 48790,
  [SMALL_STATE(3444)] = 48889,
  [SMALL_STATE(3445)] = 48984,
  [SMALL_STATE(3446)] = 49077,
  [SMALL_STATE(3447)] = 49138,
  [SMALL_STATE(3448)] = 49205,
  [SMALL_STATE(3449)] = 49266,
  [SMALL_STATE(3450)] = 49327,
  [SMALL_STATE(3451)] = 49388,
  [SMALL_STATE(3452)] = 49453,
  [SMALL_STATE(3453)] = 49542,
  [SMALL_STATE(3454)] = 49629,
  [SMALL_STATE(3455)] = 49712,
  [SMALL_STATE(3456)] = 49791,
  [SMALL_STATE(3457)] = 49854,
  [SMALL_STATE(3458)] = 49915,
  [SMALL_STATE(3459)] = 49976,
  [SMALL_STATE(3460)] = 50049,
  [SMALL_STATE(3461)] = 50110,
  [SMALL_STATE(3462)] = 50171,
  [SMALL_STATE(3463)] = 50232,
  [SMALL_STATE(3464)] = 50293,
  [SMALL_STATE(3465)] = 50362,
  [SMALL_STATE(3466)] = 50427,
  [SMALL_STATE(3467)] = 50542,
  [SMALL_STATE(3468)] = 50603,
  [SMALL_STATE(3469)] = 50664,
  [SMALL_STATE(3470)] = 50729,
  [SMALL_STATE(3471)] = 50796,
  [SMALL_STATE(3472)] = 50859,
  [SMALL_STATE(3473)] = 50920,
  [SMALL_STATE(3474)] = 51001,
  [SMALL_STATE(3475)] = 51068,
  [SMALL_STATE(3476)] = 51183,
  [SMALL_STATE(3477)] = 51244,
  [SMALL_STATE(3478)] = 51305,
  [SMALL_STATE(3479)] = 51420,
  [SMALL_STATE(3480)] = 51480,
  [SMALL_STATE(3481)] = 51540,
  [SMALL_STATE(3482)] = 51600,
  [SMALL_STATE(3483)] = 51662,
  [SMALL_STATE(3484)] = 51722,
  [SMALL_STATE(3485)] = 51782,
  [SMALL_STATE(3486)] = 51848,
  [SMALL_STATE(3487)] = 51912,
  [SMALL_STATE(3488)] = 51972,
  [SMALL_STATE(3489)] = 52128,
  [SMALL_STATE(3490)] = 52188,
  [SMALL_STATE(3491)] = 52296,
  [SMALL_STATE(3492)] = 52356,
  [SMALL_STATE(3493)] = 52422,
  [SMALL_STATE(3494)] = 52482,
  [SMALL_STATE(3495)] = 52542,
  [SMALL_STATE(3496)] = 52646,
  [SMALL_STATE(3497)] = 52706,
  [SMALL_STATE(3498)] = 52774,
  [SMALL_STATE(3499)] = 52882,
  [SMALL_STATE(3500)] = 53038,
  [SMALL_STATE(3501)] = 53112,
  [SMALL_STATE(3502)] = 53172,
  [SMALL_STATE(3503)] = 53286,
  [SMALL_STATE(3504)] = 53386,
  [SMALL_STATE(3505)] = 53450,
  [SMALL_STATE(3506)] = 53546,
  [SMALL_STATE(3507)] = 53606,
  [SMALL_STATE(3508)] = 53666,
  [SMALL_STATE(3509)] = 53726,
  [SMALL_STATE(3510)] = 53790,
  [SMALL_STATE(3511)] = 53946,
  [SMALL_STATE(3512)] = 54058,
  [SMALL_STATE(3513)] = 54118,
  [SMALL_STATE(3514)] = 54184,
  [SMALL_STATE(3515)] = 54276,
  [SMALL_STATE(3516)] = 54336,
  [SMALL_STATE(3517)] = 54396,
  [SMALL_STATE(3518)] = 54500,
  [SMALL_STATE(3519)] = 54560,
  [SMALL_STATE(3520)] = 54716,
  [SMALL_STATE(3521)] = 54776,
  [SMALL_STATE(3522)] = 54836,
  [SMALL_STATE(3523)] = 54896,
  [SMALL_STATE(3524)] = 54956,
  [SMALL_STATE(3525)] = 55016,
  [SMALL_STATE(3526)] = 55106,
  [SMALL_STATE(3527)] = 55166,
  [SMALL_STATE(3528)] = 55226,
  [SMALL_STATE(3529)] = 55330,
  [SMALL_STATE(3530)] = 55486,
  [SMALL_STATE(3531)] = 55546,
  [SMALL_STATE(3532)] = 55606,
  [SMALL_STATE(3533)] = 55668,
  [SMALL_STATE(3534)] = 55754,
  [SMALL_STATE(3535)] = 55814,
  [SMALL_STATE(3536)] = 55898,
  [SMALL_STATE(3537)] = 55958,
  [SMALL_STATE(3538)] = 56018,
  [SMALL_STATE(3539)] = 56078,
  [SMALL_STATE(3540)] = 56138,
  [SMALL_STATE(3541)] = 56220,
  [SMALL_STATE(3542)] = 56284,
  [SMALL_STATE(3543)] = 56358,
  [SMALL_STATE(3544)] = 56418,
  [SMALL_STATE(3545)] = 56484,
  [SMALL_STATE(3546)] = 56562,
  [SMALL_STATE(3547)] = 56666,
  [SMALL_STATE(3548)] = 56738,
  [SMALL_STATE(3549)] = 56894,
  [SMALL_STATE(3550)] = 56954,
  [SMALL_STATE(3551)] = 57024,
  [SMALL_STATE(3552)] = 57100,
  [SMALL_STATE(3553)] = 57256,
  [SMALL_STATE(3554)] = 57328,
  [SMALL_STATE(3555)] = 57434,
  [SMALL_STATE(3556)] = 57508,
  [SMALL_STATE(3557)] = 57582,
  [SMALL_STATE(3558)] = 57688,
  [SMALL_STATE(3559)] = 57760,
  [SMALL_STATE(3560)] = 57866,
  [SMALL_STATE(3561)] = 57976,
  [SMALL_STATE(3562)] = 58052,
  [SMALL_STATE(3563)] = 58126,
  [SMALL_STATE(3564)] = 58228,
  [SMALL_STATE(3565)] = 58326,
  [SMALL_STATE(3566)] = 58420,
  [SMALL_STATE(3567)] = 58512,
  [SMALL_STATE(3568)] = 58600,
  [SMALL_STATE(3569)] = 58686,
  [SMALL_STATE(3570)] = 58768,
  [SMALL_STATE(3571)] = 58846,
  [SMALL_STATE(3572)] = 58926,
  [SMALL_STATE(3573)] = 59000,
  [SMALL_STATE(3574)] = 59106,
  [SMALL_STATE(3575)] = 59216,
  [SMALL_STATE(3576)] = 59322,
  [SMALL_STATE(3577)] = 59432,
  [SMALL_STATE(3578)] = 59492,
  [SMALL_STATE(3579)] = 59556,
  [SMALL_STATE(3580)] = 59622,
  [SMALL_STATE(3581)] = 59696,
  [SMALL_STATE(3582)] = 59756,
  [SMALL_STATE(3583)] = 59912,
  [SMALL_STATE(3584)] = 59972,
  [SMALL_STATE(3585)] = 60032,
  [SMALL_STATE(3586)] = 60188,
  [SMALL_STATE(3587)] = 60254,
  [SMALL_STATE(3588)] = 60314,
  [SMALL_STATE(3589)] = 60378,
  [SMALL_STATE(3590)] = 60438,
  [SMALL_STATE(3591)] = 60500,
  [SMALL_STATE(3592)] = 60574,
  [SMALL_STATE(3593)] = 60640,
  [SMALL_STATE(3594)] = 60700,
  [SMALL_STATE(3595)] = 60760,
  [SMALL_STATE(3596)] = 60832,
  [SMALL_STATE(3597)] = 60894,
  [SMALL_STATE(3598)] = 60954,
  [SMALL_STATE(3599)] = 61014,
  [SMALL_STATE(3600)] = 61088,
  [SMALL_STATE(3601)] = 61192,
  [SMALL_STATE(3602)] = 61252,
  [SMALL_STATE(3603)] = 61312,
  [SMALL_STATE(3604)] = 61374,
  [SMALL_STATE(3605)] = 61482,
  [SMALL_STATE(3606)] = 61542,
  [SMALL_STATE(3607)] = 61622,
  [SMALL_STATE(3608)] = 61682,
  [SMALL_STATE(3609)] = 61752,
  [SMALL_STATE(3610)] = 61826,
  [SMALL_STATE(3611)] = 61891,
  [SMALL_STATE(3612)] = 61950,
  [SMALL_STATE(3613)] = 62009,
  [SMALL_STATE(3614)] = 62068,
  [SMALL_STATE(3615)] = 62127,
  [SMALL_STATE(3616)] = 62186,
  [SMALL_STATE(3617)] = 62245,
  [SMALL_STATE(3618)] = 62304,
  [SMALL_STATE(3619)] = 62363,
  [SMALL_STATE(3620)] = 62422,
  [SMALL_STATE(3621)] = 62481,
  [SMALL_STATE(3622)] = 62540,
  [SMALL_STATE(3623)] = 62653,
  [SMALL_STATE(3624)] = 62766,
  [SMALL_STATE(3625)] = 62825,
  [SMALL_STATE(3626)] = 62884,
  [SMALL_STATE(3627)] = 62943,
  [SMALL_STATE(3628)] = 63002,
  [SMALL_STATE(3629)] = 63061,
  [SMALL_STATE(3630)] = 63120,
  [SMALL_STATE(3631)] = 63179,
  [SMALL_STATE(3632)] = 63238,
  [SMALL_STATE(3633)] = 63297,
  [SMALL_STATE(3634)] = 63356,
  [SMALL_STATE(3635)] = 63417,
  [SMALL_STATE(3636)] = 63476,
  [SMALL_STATE(3637)] = 63535,
  [SMALL_STATE(3638)] = 63594,
  [SMALL_STATE(3639)] = 63653,
  [SMALL_STATE(3640)] = 63718,
  [SMALL_STATE(3641)] = 63777,
  [SMALL_STATE(3642)] = 63844,
  [SMALL_STATE(3643)] = 63903,
  [SMALL_STATE(3644)] = 63962,
  [SMALL_STATE(3645)] = 64027,
  [SMALL_STATE(3646)] = 64086,
  [SMALL_STATE(3647)] = 64145,
  [SMALL_STATE(3648)] = 64208,
  [SMALL_STATE(3649)] = 64267,
  [SMALL_STATE(3650)] = 64332,
  [SMALL_STATE(3651)] = 64391,
  [SMALL_STATE(3652)] = 64450,
  [SMALL_STATE(3653)] = 64511,
  [SMALL_STATE(3654)] = 64570,
  [SMALL_STATE(3655)] = 64629,
  [SMALL_STATE(3656)] = 64688,
  [SMALL_STATE(3657)] = 64801,
  [SMALL_STATE(3658)] = 64860,
  [SMALL_STATE(3659)] = 64919,
  [SMALL_STATE(3660)] = 64978,
  [SMALL_STATE(3661)] = 65037,
  [SMALL_STATE(3662)] = 65096,
  [SMALL_STATE(3663)] = 65163,
  [SMALL_STATE(3664)] = 65222,
  [SMALL_STATE(3665)] = 65281,
  [SMALL_STATE(3666)] = 65340,
  [SMALL_STATE(3667)] = 65399,
  [SMALL_STATE(3668)] = 65460,
  [SMALL_STATE(3669)] = 65523,
  [SMALL_STATE(3670)] = 65582,
  [SMALL_STATE(3671)] = 65641,
  [SMALL_STATE(3672)] = 65700,
  [SMALL_STATE(3673)] = 65759,
  [SMALL_STATE(3674)] = 65818,
  [SMALL_STATE(3675)] = 65877,
  [SMALL_STATE(3676)] = 65940,
  [SMALL_STATE(3677)] = 65999,
  [SMALL_STATE(3678)] = 66062,
  [SMALL_STATE(3679)] = 66121,
  [SMALL_STATE(3680)] = 66180,
  [SMALL_STATE(3681)] = 66239,
  [SMALL_STATE(3682)] = 66298,
  [SMALL_STATE(3683)] = 66357,
  [SMALL_STATE(3684)] = 66416,
  [SMALL_STATE(3685)] = 66475,
  [SMALL_STATE(3686)] = 66534,
  [SMALL_STATE(3687)] = 66593,
  [SMALL_STATE(3688)] = 66652,
  [SMALL_STATE(3689)] = 66711,
  [SMALL_STATE(3690)] = 66770,
  [SMALL_STATE(3691)] = 66829,
  [SMALL_STATE(3692)] = 66888,
  [SMALL_STATE(3693)] = 66947,
  [SMALL_STATE(3694)] = 67006,
  [SMALL_STATE(3695)] = 67065,
  [SMALL_STATE(3696)] = 67124,
  [SMALL_STATE(3697)] = 67183,
  [SMALL_STATE(3698)] = 67242,
  [SMALL_STATE(3699)] = 67301,
  [SMALL_STATE(3700)] = 67360,
  [SMALL_STATE(3701)] = 67419,
  [SMALL_STATE(3702)] = 67480,
  [SMALL_STATE(3703)] = 67539,
  [SMALL_STATE(3704)] = 67598,
  [SMALL_STATE(3705)] = 67657,
  [SMALL_STATE(3706)] = 67716,
  [SMALL_STATE(3707)] = 67775,
  [SMALL_STATE(3708)] = 67834,
  [SMALL_STATE(3709)] = 67893,
  [SMALL_STATE(3710)] = 68006,
  [SMALL_STATE(3711)] = 68065,
  [SMALL_STATE(3712)] = 68124,
  [SMALL_STATE(3713)] = 68191,
  [SMALL_STATE(3714)] = 68250,
  [SMALL_STATE(3715)] = 68309,
  [SMALL_STATE(3716)] = 68372,
  [SMALL_STATE(3717)] = 68431,
  [SMALL_STATE(3718)] = 68490,
  [SMALL_STATE(3719)] = 68549,
  [SMALL_STATE(3720)] = 68608,
  [SMALL_STATE(3721)] = 68667,
  [SMALL_STATE(3722)] = 68726,
  [SMALL_STATE(3723)] = 68785,
  [SMALL_STATE(3724)] = 68844,
  [SMALL_STATE(3725)] = 68903,
  [SMALL_STATE(3726)] = 68962,
  [SMALL_STATE(3727)] = 69021,
  [SMALL_STATE(3728)] = 69080,
  [SMALL_STATE(3729)] = 69139,
  [SMALL_STATE(3730)] = 69198,
  [SMALL_STATE(3731)] = 69257,
  [SMALL_STATE(3732)] = 69316,
  [SMALL_STATE(3733)] = 69375,
  [SMALL_STATE(3734)] = 69434,
  [SMALL_STATE(3735)] = 69493,
  [SMALL_STATE(3736)] = 69560,
  [SMALL_STATE(3737)] = 69619,
  [SMALL_STATE(3738)] = 69678,
  [SMALL_STATE(3739)] = 69737,
  [SMALL_STATE(3740)] = 69802,
  [SMALL_STATE(3741)] = 69861,
  [SMALL_STATE(3742)] = 69920,
  [SMALL_STATE(3743)] = 69979,
  [SMALL_STATE(3744)] = 70048,
  [SMALL_STATE(3745)] = 70111,
  [SMALL_STATE(3746)] = 70174,
  [SMALL_STATE(3747)] = 70233,
  [SMALL_STATE(3748)] = 70292,
  [SMALL_STATE(3749)] = 70351,
  [SMALL_STATE(3750)] = 70414,
  [SMALL_STATE(3751)] = 70477,
  [SMALL_STATE(3752)] = 70536,
  [SMALL_STATE(3753)] = 70595,
  [SMALL_STATE(3754)] = 70654,
  [SMALL_STATE(3755)] = 70713,
  [SMALL_STATE(3756)] = 70772,
  [SMALL_STATE(3757)] = 70831,
  [SMALL_STATE(3758)] = 70890,
  [SMALL_STATE(3759)] = 70949,
  [SMALL_STATE(3760)] = 71008,
  [SMALL_STATE(3761)] = 71067,
  [SMALL_STATE(3762)] = 71126,
  [SMALL_STATE(3763)] = 71189,
  [SMALL_STATE(3764)] = 71256,
  [SMALL_STATE(3765)] = 71315,
  [SMALL_STATE(3766)] = 71378,
  [SMALL_STATE(3767)] = 71443,
  [SMALL_STATE(3768)] = 71502,
  [SMALL_STATE(3769)] = 71561,
  [SMALL_STATE(3770)] = 71620,
  [SMALL_STATE(3771)] = 71679,
  [SMALL_STATE(3772)] = 71738,
  [SMALL_STATE(3773)] = 71801,
  [SMALL_STATE(3774)] = 71864,
  [SMALL_STATE(3775)] = 71927,
  [SMALL_STATE(3776)] = 71990,
  [SMALL_STATE(3777)] = 72055,
  [SMALL_STATE(3778)] = 72114,
  [SMALL_STATE(3779)] = 72177,
  [SMALL_STATE(3780)] = 72236,
  [SMALL_STATE(3781)] = 72295,
  [SMALL_STATE(3782)] = 72358,
  [SMALL_STATE(3783)] = 72417,
  [SMALL_STATE(3784)] = 72475,
  [SMALL_STATE(3785)] = 72533,
  [SMALL_STATE(3786)] = 72591,
  [SMALL_STATE(3787)] = 72649,
  [SMALL_STATE(3788)] = 72707,
  [SMALL_STATE(3789)] = 72765,
  [SMALL_STATE(3790)] = 72823,
  [SMALL_STATE(3791)] = 72881,
  [SMALL_STATE(3792)] = 72939,
  [SMALL_STATE(3793)] = 72997,
  [SMALL_STATE(3794)] = 73055,
  [SMALL_STATE(3795)] = 73113,
  [SMALL_STATE(3796)] = 73171,
  [SMALL_STATE(3797)] = 73229,
  [SMALL_STATE(3798)] = 73287,
  [SMALL_STATE(3799)] = 73345,
  [SMALL_STATE(3800)] = 73411,
  [SMALL_STATE(3801)] = 73471,
  [SMALL_STATE(3802)] = 73531,
  [SMALL_STATE(3803)] = 73589,
  [SMALL_STATE(3804)] = 73647,
  [SMALL_STATE(3805)] = 73705,
  [SMALL_STATE(3806)] = 73767,
  [SMALL_STATE(3807)] = 73825,
  [SMALL_STATE(3808)] = 73883,
  [SMALL_STATE(3809)] = 73941,
  [SMALL_STATE(3810)] = 73999,
  [SMALL_STATE(3811)] = 74057,
  [SMALL_STATE(3812)] = 74115,
  [SMALL_STATE(3813)] = 74173,
  [SMALL_STATE(3814)] = 74231,
  [SMALL_STATE(3815)] = 74301,
  [SMALL_STATE(3816)] = 74359,
  [SMALL_STATE(3817)] = 74417,
  [SMALL_STATE(3818)] = 74487,
  [SMALL_STATE(3819)] = 74545,
  [SMALL_STATE(3820)] = 74603,
  [SMALL_STATE(3821)] = 74665,
  [SMALL_STATE(3822)] = 74723,
  [SMALL_STATE(3823)] = 74781,
  [SMALL_STATE(3824)] = 74843,
  [SMALL_STATE(3825)] = 74901,
  [SMALL_STATE(3826)] = 74963,
  [SMALL_STATE(3827)] = 75021,
  [SMALL_STATE(3828)] = 75127,
  [SMALL_STATE(3829)] = 75185,
  [SMALL_STATE(3830)] = 75243,
  [SMALL_STATE(3831)] = 75301,
  [SMALL_STATE(3832)] = 75359,
  [SMALL_STATE(3833)] = 75421,
  [SMALL_STATE(3834)] = 75479,
  [SMALL_STATE(3835)] = 75537,
  [SMALL_STATE(3836)] = 75595,
  [SMALL_STATE(3837)] = 75657,
  [SMALL_STATE(3838)] = 75763,
  [SMALL_STATE(3839)] = 75821,
  [SMALL_STATE(3840)] = 75879,
  [SMALL_STATE(3841)] = 75937,
  [SMALL_STATE(3842)] = 75995,
  [SMALL_STATE(3843)] = 76053,
  [SMALL_STATE(3844)] = 76111,
  [SMALL_STATE(3845)] = 76169,
  [SMALL_STATE(3846)] = 76227,
  [SMALL_STATE(3847)] = 76285,
  [SMALL_STATE(3848)] = 76343,
  [SMALL_STATE(3849)] = 76401,
  [SMALL_STATE(3850)] = 76459,
  [SMALL_STATE(3851)] = 76517,
  [SMALL_STATE(3852)] = 76575,
  [SMALL_STATE(3853)] = 76633,
  [SMALL_STATE(3854)] = 76691,
  [SMALL_STATE(3855)] = 76749,
  [SMALL_STATE(3856)] = 76807,
  [SMALL_STATE(3857)] = 76865,
  [SMALL_STATE(3858)] = 76923,
  [SMALL_STATE(3859)] = 76981,
  [SMALL_STATE(3860)] = 77043,
  [SMALL_STATE(3861)] = 77101,
  [SMALL_STATE(3862)] = 77159,
  [SMALL_STATE(3863)] = 77217,
  [SMALL_STATE(3864)] = 77283,
  [SMALL_STATE(3865)] = 77341,
  [SMALL_STATE(3866)] = 77399,
  [SMALL_STATE(3867)] = 77469,
  [SMALL_STATE(3868)] = 77571,
  [SMALL_STATE(3869)] = 77629,
  [SMALL_STATE(3870)] = 77687,
  [SMALL_STATE(3871)] = 77759,
  [SMALL_STATE(3872)] = 77831,
  [SMALL_STATE(3873)] = 77933,
  [SMALL_STATE(3874)] = 78003,
  [SMALL_STATE(3875)] = 78061,
  [SMALL_STATE(3876)] = 78121,
  [SMALL_STATE(3877)] = 78181,
  [SMALL_STATE(3878)] = 78239,
  [SMALL_STATE(3879)] = 78297,
  [SMALL_STATE(3880)] = 78355,
  [SMALL_STATE(3881)] = 78417,
  [SMALL_STATE(3882)] = 78475,
  [SMALL_STATE(3883)] = 78577,
  [SMALL_STATE(3884)] = 78635,
  [SMALL_STATE(3885)] = 78741,
  [SMALL_STATE(3886)] = 78801,
  [SMALL_STATE(3887)] = 78859,
  [SMALL_STATE(3888)] = 78933,
  [SMALL_STATE(3889)] = 79005,
  [SMALL_STATE(3890)] = 79105,
  [SMALL_STATE(3891)] = 79203,
  [SMALL_STATE(3892)] = 79297,
  [SMALL_STATE(3893)] = 79387,
  [SMALL_STATE(3894)] = 79473,
  [SMALL_STATE(3895)] = 79557,
  [SMALL_STATE(3896)] = 79637,
  [SMALL_STATE(3897)] = 79713,
  [SMALL_STATE(3898)] = 79791,
  [SMALL_STATE(3899)] = 79849,
  [SMALL_STATE(3900)] = 79921,
  [SMALL_STATE(3901)] = 79979,
  [SMALL_STATE(3902)] = 80037,
  [SMALL_STATE(3903)] = 80095,
  [SMALL_STATE(3904)] = 80165,
  [SMALL_STATE(3905)] = 80223,
  [SMALL_STATE(3906)] = 80281,
  [SMALL_STATE(3907)] = 80339,
  [SMALL_STATE(3908)] = 80397,
  [SMALL_STATE(3909)] = 80455,
  [SMALL_STATE(3910)] = 80513,
  [SMALL_STATE(3911)] = 80615,
  [SMALL_STATE(3912)] = 80673,
  [SMALL_STATE(3913)] = 80779,
  [SMALL_STATE(3914)] = 80837,
  [SMALL_STATE(3915)] = 80899,
  [SMALL_STATE(3916)] = 81001,
  [SMALL_STATE(3917)] = 81059,
  [SMALL_STATE(3918)] = 81117,
  [SMALL_STATE(3919)] = 81175,
  [SMALL_STATE(3920)] = 81233,
  [SMALL_STATE(3921)] = 81291,
  [SMALL_STATE(3922)] = 81349,
  [SMALL_STATE(3923)] = 81407,
  [SMALL_STATE(3924)] = 81465,
  [SMALL_STATE(3925)] = 81523,
  [SMALL_STATE(3926)] = 81581,
  [SMALL_STATE(3927)] = 81639,
  [SMALL_STATE(3928)] = 81742,
  [SMALL_STATE(3929)] = 81845,
  [SMALL_STATE(3930)] = 81948,
  [SMALL_STATE(3931)] = 82051,
  [SMALL_STATE(3932)] = 82154,
  [SMALL_STATE(3933)] = 82257,
  [SMALL_STATE(3934)] = 82314,
  [SMALL_STATE(3935)] = 82417,
  [SMALL_STATE(3936)] = 82520,
  [SMALL_STATE(3937)] = 82577,
  [SMALL_STATE(3938)] = 82680,
  [SMALL_STATE(3939)] = 82783,
  [SMALL_STATE(3940)] = 82886,
  [SMALL_STATE(3941)] = 82989,
  [SMALL_STATE(3942)] = 83092,
  [SMALL_STATE(3943)] = 83195,
  [SMALL_STATE(3944)] = 83266,
  [SMALL_STATE(3945)] = 83337,
  [SMALL_STATE(3946)] = 83440,
  [SMALL_STATE(3947)] = 83543,
  [SMALL_STATE(3948)] = 83646,
  [SMALL_STATE(3949)] = 83761,
  [SMALL_STATE(3950)] = 83864,
  [SMALL_STATE(3951)] = 83935,
  [SMALL_STATE(3952)] = 83998,
  [SMALL_STATE(3953)] = 84101,
  [SMALL_STATE(3954)] = 84204,
  [SMALL_STATE(3955)] = 84261,
  [SMALL_STATE(3956)] = 84364,
  [SMALL_STATE(3957)] = 84467,
  [SMALL_STATE(3958)] = 84570,
  [SMALL_STATE(3959)] = 84627,
  [SMALL_STATE(3960)] = 84730,
  [SMALL_STATE(3961)] = 84833,
  [SMALL_STATE(3962)] = 84896,
  [SMALL_STATE(3963)] = 84953,
  [SMALL_STATE(3964)] = 85056,
  [SMALL_STATE(3965)] = 85127,
  [SMALL_STATE(3966)] = 85230,
  [SMALL_STATE(3967)] = 85299,
  [SMALL_STATE(3968)] = 85358,
  [SMALL_STATE(3969)] = 85461,
  [SMALL_STATE(3970)] = 85522,
  [SMALL_STATE(3971)] = 85625,
  [SMALL_STATE(3972)] = 85740,
  [SMALL_STATE(3973)] = 85805,
  [SMALL_STATE(3974)] = 85862,
  [SMALL_STATE(3975)] = 85925,
  [SMALL_STATE(3976)] = 86028,
  [SMALL_STATE(3977)] = 86131,
  [SMALL_STATE(3978)] = 86234,
  [SMALL_STATE(3979)] = 86337,
  [SMALL_STATE(3980)] = 86394,
  [SMALL_STATE(3981)] = 86497,
  [SMALL_STATE(3982)] = 86600,
  [SMALL_STATE(3983)] = 86657,
  [SMALL_STATE(3984)] = 86760,
  [SMALL_STATE(3985)] = 86863,
  [SMALL_STATE(3986)] = 86966,
  [SMALL_STATE(3987)] = 87069,
  [SMALL_STATE(3988)] = 87172,
  [SMALL_STATE(3989)] = 87275,
  [SMALL_STATE(3990)] = 87378,
  [SMALL_STATE(3991)] = 87481,
  [SMALL_STATE(3992)] = 87584,
  [SMALL_STATE(3993)] = 87687,
  [SMALL_STATE(3994)] = 87790,
  [SMALL_STATE(3995)] = 87885,
  [SMALL_STATE(3996)] = 87988,
  [SMALL_STATE(3997)] = 88091,
  [SMALL_STATE(3998)] = 88194,
  [SMALL_STATE(3999)] = 88289,
  [SMALL_STATE(4000)] = 88346,
  [SMALL_STATE(4001)] = 88403,
  [SMALL_STATE(4002)] = 88506,
  [SMALL_STATE(4003)] = 88563,
  [SMALL_STATE(4004)] = 88666,
  [SMALL_STATE(4005)] = 88769,
  [SMALL_STATE(4006)] = 88872,
  [SMALL_STATE(4007)] = 88975,
  [SMALL_STATE(4008)] = 89078,
  [SMALL_STATE(4009)] = 89135,
  [SMALL_STATE(4010)] = 89238,
  [SMALL_STATE(4011)] = 89341,
  [SMALL_STATE(4012)] = 89444,
  [SMALL_STATE(4013)] = 89547,
  [SMALL_STATE(4014)] = 89610,
  [SMALL_STATE(4015)] = 89713,
  [SMALL_STATE(4016)] = 89816,
  [SMALL_STATE(4017)] = 89881,
  [SMALL_STATE(4018)] = 89984,
  [SMALL_STATE(4019)] = 90087,
  [SMALL_STATE(4020)] = 90180,
  [SMALL_STATE(4021)] = 90283,
  [SMALL_STATE(4022)] = 90386,
  [SMALL_STATE(4023)] = 90489,
  [SMALL_STATE(4024)] = 90592,
  [SMALL_STATE(4025)] = 90685,
  [SMALL_STATE(4026)] = 90788,
  [SMALL_STATE(4027)] = 90857,
  [SMALL_STATE(4028)] = 90913,
  [SMALL_STATE(4029)] = 90985,
  [SMALL_STATE(4030)] = 91043,
  [SMALL_STATE(4031)] = 91099,
  [SMALL_STATE(4032)] = 91199,
  [SMALL_STATE(4033)] = 91255,
  [SMALL_STATE(4034)] = 91327,
  [SMALL_STATE(4035)] = 91383,
  [SMALL_STATE(4036)] = 91455,
  [SMALL_STATE(4037)] = 91555,
  [SMALL_STATE(4038)] = 91627,
  [SMALL_STATE(4039)] = 91683,
  [SMALL_STATE(4040)] = 91739,
  [SMALL_STATE(4041)] = 91839,
  [SMALL_STATE(4042)] = 91903,
  [SMALL_STATE(4043)] = 91959,
  [SMALL_STATE(4044)] = 92015,
  [SMALL_STATE(4045)] = 92071,
  [SMALL_STATE(4046)] = 92127,
  [SMALL_STATE(4047)] = 92183,
  [SMALL_STATE(4048)] = 92239,
  [SMALL_STATE(4049)] = 92295,
  [SMALL_STATE(4050)] = 92351,
  [SMALL_STATE(4051)] = 92407,
  [SMALL_STATE(4052)] = 92463,
  [SMALL_STATE(4053)] = 92519,
  [SMALL_STATE(4054)] = 92619,
  [SMALL_STATE(4055)] = 92675,
  [SMALL_STATE(4056)] = 92735,
  [SMALL_STATE(4057)] = 92791,
  [SMALL_STATE(4058)] = 92891,
  [SMALL_STATE(4059)] = 92991,
  [SMALL_STATE(4060)] = 93047,
  [SMALL_STATE(4061)] = 93147,
  [SMALL_STATE(4062)] = 93247,
  [SMALL_STATE(4063)] = 93303,
  [SMALL_STATE(4064)] = 93403,
  [SMALL_STATE(4065)] = 93503,
  [SMALL_STATE(4066)] = 93559,
  [SMALL_STATE(4067)] = 93615,
  [SMALL_STATE(4068)] = 93671,
  [SMALL_STATE(4069)] = 93727,
  [SMALL_STATE(4070)] = 93783,
  [SMALL_STATE(4071)] = 93839,
  [SMALL_STATE(4072)] = 93895,
  [SMALL_STATE(4073)] = 93951,
  [SMALL_STATE(4074)] = 94007,
  [SMALL_STATE(4075)] = 94063,
  [SMALL_STATE(4076)] = 94119,
  [SMALL_STATE(4077)] = 94219,
  [SMALL_STATE(4078)] = 94275,
  [SMALL_STATE(4079)] = 94331,
  [SMALL_STATE(4080)] = 94387,
  [SMALL_STATE(4081)] = 94443,
  [SMALL_STATE(4082)] = 94499,
  [SMALL_STATE(4083)] = 94555,
  [SMALL_STATE(4084)] = 94619,
  [SMALL_STATE(4085)] = 94675,
  [SMALL_STATE(4086)] = 94739,
  [SMALL_STATE(4087)] = 94809,
  [SMALL_STATE(4088)] = 94879,
  [SMALL_STATE(4089)] = 94979,
  [SMALL_STATE(4090)] = 95079,
  [SMALL_STATE(4091)] = 95135,
  [SMALL_STATE(4092)] = 95235,
  [SMALL_STATE(4093)] = 95291,
  [SMALL_STATE(4094)] = 95347,
  [SMALL_STATE(4095)] = 95403,
  [SMALL_STATE(4096)] = 95459,
  [SMALL_STATE(4097)] = 95515,
  [SMALL_STATE(4098)] = 95571,
  [SMALL_STATE(4099)] = 95627,
  [SMALL_STATE(4100)] = 95683,
  [SMALL_STATE(4101)] = 95739,
  [SMALL_STATE(4102)] = 95795,
  [SMALL_STATE(4103)] = 95851,
  [SMALL_STATE(4104)] = 95907,
  [SMALL_STATE(4105)] = 95963,
  [SMALL_STATE(4106)] = 96053,
  [SMALL_STATE(4107)] = 96109,
  [SMALL_STATE(4108)] = 96165,
  [SMALL_STATE(4109)] = 96221,
  [SMALL_STATE(4110)] = 96277,
  [SMALL_STATE(4111)] = 96333,
  [SMALL_STATE(4112)] = 96389,
  [SMALL_STATE(4113)] = 96445,
  [SMALL_STATE(4114)] = 96537,
  [SMALL_STATE(4115)] = 96629,
  [SMALL_STATE(4116)] = 96685,
  [SMALL_STATE(4117)] = 96775,
  [SMALL_STATE(4118)] = 96831,
  [SMALL_STATE(4119)] = 96887,
  [SMALL_STATE(4120)] = 96943,
  [SMALL_STATE(4121)] = 96999,
  [SMALL_STATE(4122)] = 97055,
  [SMALL_STATE(4123)] = 97111,
  [SMALL_STATE(4124)] = 97167,
  [SMALL_STATE(4125)] = 97223,
  [SMALL_STATE(4126)] = 97279,
  [SMALL_STATE(4127)] = 97335,
  [SMALL_STATE(4128)] = 97391,
  [SMALL_STATE(4129)] = 97447,
  [SMALL_STATE(4130)] = 97503,
  [SMALL_STATE(4131)] = 97559,
  [SMALL_STATE(4132)] = 97615,
  [SMALL_STATE(4133)] = 97671,
  [SMALL_STATE(4134)] = 97727,
  [SMALL_STATE(4135)] = 97783,
  [SMALL_STATE(4136)] = 97839,
  [SMALL_STATE(4137)] = 97895,
  [SMALL_STATE(4138)] = 97951,
  [SMALL_STATE(4139)] = 98007,
  [SMALL_STATE(4140)] = 98063,
  [SMALL_STATE(4141)] = 98119,
  [SMALL_STATE(4142)] = 98175,
  [SMALL_STATE(4143)] = 98231,
  [SMALL_STATE(4144)] = 98287,
  [SMALL_STATE(4145)] = 98387,
  [SMALL_STATE(4146)] = 98443,
  [SMALL_STATE(4147)] = 98499,
  [SMALL_STATE(4148)] = 98592,
  [SMALL_STATE(4149)] = 98651,
  [SMALL_STATE(4150)] = 98744,
  [SMALL_STATE(4151)] = 98837,
  [SMALL_STATE(4152)] = 98930,
  [SMALL_STATE(4153)] = 99023,
  [SMALL_STATE(4154)] = 99116,
  [SMALL_STATE(4155)] = 99209,
  [SMALL_STATE(4156)] = 99264,
  [SMALL_STATE(4157)] = 99323,
  [SMALL_STATE(4158)] = 99416,
  [SMALL_STATE(4159)] = 99509,
  [SMALL_STATE(4160)] = 99602,
  [SMALL_STATE(4161)] = 99695,
  [SMALL_STATE(4162)] = 99788,
  [SMALL_STATE(4163)] = 99843,
  [SMALL_STATE(4164)] = 99902,
  [SMALL_STATE(4165)] = 99961,
  [SMALL_STATE(4166)] = 100020,
  [SMALL_STATE(4167)] = 100075,
  [SMALL_STATE(4168)] = 100146,
  [SMALL_STATE(4169)] = 100217,
  [SMALL_STATE(4170)] = 100272,
  [SMALL_STATE(4171)] = 100365,
  [SMALL_STATE(4172)] = 100436,
  [SMALL_STATE(4173)] = 100529,
  [SMALL_STATE(4174)] = 100622,
  [SMALL_STATE(4175)] = 100715,
  [SMALL_STATE(4176)] = 100808,
  [SMALL_STATE(4177)] = 100867,
  [SMALL_STATE(4178)] = 100960,
  [SMALL_STATE(4179)] = 101053,
  [SMALL_STATE(4180)] = 101112,
  [SMALL_STATE(4181)] = 101205,
  [SMALL_STATE(4182)] = 101264,
  [SMALL_STATE(4183)] = 101323,
  [SMALL_STATE(4184)] = 101382,
  [SMALL_STATE(4185)] = 101475,
  [SMALL_STATE(4186)] = 101534,
  [SMALL_STATE(4187)] = 101593,
  [SMALL_STATE(4188)] = 101664,
  [SMALL_STATE(4189)] = 101757,
  [SMALL_STATE(4190)] = 101817,
  [SMALL_STATE(4191)] = 101907,
  [SMALL_STATE(4192)] = 101961,
  [SMALL_STATE(4193)] = 102015,
  [SMALL_STATE(4194)] = 102105,
  [SMALL_STATE(4195)] = 102173,
  [SMALL_STATE(4196)] = 102233,
  [SMALL_STATE(4197)] = 102287,
  [SMALL_STATE(4198)] = 102341,
  [SMALL_STATE(4199)] = 102401,
  [SMALL_STATE(4200)] = 102461,
  [SMALL_STATE(4201)] = 102551,
  [SMALL_STATE(4202)] = 102621,
  [SMALL_STATE(4203)] = 102721,
  [SMALL_STATE(4204)] = 102775,
  [SMALL_STATE(4205)] = 102829,
  [SMALL_STATE(4206)] = 102883,
  [SMALL_STATE(4207)] = 102943,
  [SMALL_STATE(4208)] = 102997,
  [SMALL_STATE(4209)] = 103051,
  [SMALL_STATE(4210)] = 103119,
  [SMALL_STATE(4211)] = 103173,
  [SMALL_STATE(4212)] = 103237,
  [SMALL_STATE(4213)] = 103307,
  [SMALL_STATE(4214)] = 103367,
  [SMALL_STATE(4215)] = 103457,
  [SMALL_STATE(4216)] = 103546,
  [SMALL_STATE(4217)] = 103627,
  [SMALL_STATE(4218)] = 103686,
  [SMALL_STATE(4219)] = 103775,
  [SMALL_STATE(4220)] = 103834,
  [SMALL_STATE(4221)] = 103923,
  [SMALL_STATE(4222)] = 104012,
  [SMALL_STATE(4223)] = 104101,
  [SMALL_STATE(4224)] = 104170,
  [SMALL_STATE(4225)] = 104259,
  [SMALL_STATE(4226)] = 104348,
  [SMALL_STATE(4227)] = 104401,
  [SMALL_STATE(4228)] = 104490,
  [SMALL_STATE(4229)] = 104579,
  [SMALL_STATE(4230)] = 104668,
  [SMALL_STATE(4231)] = 104749,
  [SMALL_STATE(4232)] = 104816,
  [SMALL_STATE(4233)] = 104905,
  [SMALL_STATE(4234)] = 104994,
  [SMALL_STATE(4235)] = 105083,
  [SMALL_STATE(4236)] = 105172,
  [SMALL_STATE(4237)] = 105261,
  [SMALL_STATE(4238)] = 105350,
  [SMALL_STATE(4239)] = 105417,
  [SMALL_STATE(4240)] = 105506,
  [SMALL_STATE(4241)] = 105587,
  [SMALL_STATE(4242)] = 105676,
  [SMALL_STATE(4243)] = 105765,
  [SMALL_STATE(4244)] = 105824,
  [SMALL_STATE(4245)] = 105913,
  [SMALL_STATE(4246)] = 106002,
  [SMALL_STATE(4247)] = 106057,
  [SMALL_STATE(4248)] = 106146,
  [SMALL_STATE(4249)] = 106235,
  [SMALL_STATE(4250)] = 106316,
  [SMALL_STATE(4251)] = 106405,
  [SMALL_STATE(4252)] = 106494,
  [SMALL_STATE(4253)] = 106563,
  [SMALL_STATE(4254)] = 106652,
  [SMALL_STATE(4255)] = 106741,
  [SMALL_STATE(4256)] = 106830,
  [SMALL_STATE(4257)] = 106919,
  [SMALL_STATE(4258)] = 107008,
  [SMALL_STATE(4259)] = 107060,
  [SMALL_STATE(4260)] = 107112,
  [SMALL_STATE(4261)] = 107172,
  [SMALL_STATE(4262)] = 107224,
  [SMALL_STATE(4263)] = 107276,
  [SMALL_STATE(4264)] = 107360,
  [SMALL_STATE(4265)] = 107412,
  [SMALL_STATE(4266)] = 107464,
  [SMALL_STATE(4267)] = 107516,
  [SMALL_STATE(4268)] = 107568,
  [SMALL_STATE(4269)] = 107636,
  [SMALL_STATE(4270)] = 107724,
  [SMALL_STATE(4271)] = 107776,
  [SMALL_STATE(4272)] = 107838,
  [SMALL_STATE(4273)] = 107932,
  [SMALL_STATE(4274)] = 107992,
  [SMALL_STATE(4275)] = 108044,
  [SMALL_STATE(4276)] = 108096,
  [SMALL_STATE(4277)] = 108148,
  [SMALL_STATE(4278)] = 108200,
  [SMALL_STATE(4279)] = 108268,
  [SMALL_STATE(4280)] = 108336,
  [SMALL_STATE(4281)] = 108388,
  [SMALL_STATE(4282)] = 108450,
  [SMALL_STATE(4283)] = 108502,
  [SMALL_STATE(4284)] = 108554,
  [SMALL_STATE(4285)] = 108606,
  [SMALL_STATE(4286)] = 108694,
  [SMALL_STATE(4287)] = 108746,
  [SMALL_STATE(4288)] = 108830,
  [SMALL_STATE(4289)] = 108882,
  [SMALL_STATE(4290)] = 108934,
  [SMALL_STATE(4291)] = 108986,
  [SMALL_STATE(4292)] = 109038,
  [SMALL_STATE(4293)] = 109124,
  [SMALL_STATE(4294)] = 109192,
  [SMALL_STATE(4295)] = 109278,
  [SMALL_STATE(4296)] = 109330,
  [SMALL_STATE(4297)] = 109382,
  [SMALL_STATE(4298)] = 109434,
  [SMALL_STATE(4299)] = 109486,
  [SMALL_STATE(4300)] = 109538,
  [SMALL_STATE(4301)] = 109590,
  [SMALL_STATE(4302)] = 109642,
  [SMALL_STATE(4303)] = 109694,
  [SMALL_STATE(4304)] = 109746,
  [SMALL_STATE(4305)] = 109798,
  [SMALL_STATE(4306)] = 109883,
  [SMALL_STATE(4307)] = 109954,
  [SMALL_STATE(4308)] = 110053,
  [SMALL_STATE(4309)] = 110138,
  [SMALL_STATE(4310)] = 110225,
  [SMALL_STATE(4311)] = 110312,
  [SMALL_STATE(4312)] = 110411,
  [SMALL_STATE(4313)] = 110498,
  [SMALL_STATE(4314)] = 110601,
  [SMALL_STATE(4315)] = 110704,
  [SMALL_STATE(4316)] = 110787,
  [SMALL_STATE(4317)] = 110870,
  [SMALL_STATE(4318)] = 110921,
  [SMALL_STATE(4319)] = 111006,
  [SMALL_STATE(4320)] = 111093,
  [SMALL_STATE(4321)] = 111150,
  [SMALL_STATE(4322)] = 111253,
  [SMALL_STATE(4323)] = 111320,
  [SMALL_STATE(4324)] = 111375,
  [SMALL_STATE(4325)] = 111432,
  [SMALL_STATE(4326)] = 111531,
  [SMALL_STATE(4327)] = 111588,
  [SMALL_STATE(4328)] = 111649,
  [SMALL_STATE(4329)] = 111748,
  [SMALL_STATE(4330)] = 111815,
  [SMALL_STATE(4331)] = 111888,
  [SMALL_STATE(4332)] = 111973,
  [SMALL_STATE(4333)] = 112072,
  [SMALL_STATE(4334)] = 112141,
  [SMALL_STATE(4335)] = 112244,
  [SMALL_STATE(4336)] = 112339,
  [SMALL_STATE(4337)] = 112430,
  [SMALL_STATE(4338)] = 112481,
  [SMALL_STATE(4339)] = 112538,
  [SMALL_STATE(4340)] = 112627,
  [SMALL_STATE(4341)] = 112712,
  [SMALL_STATE(4342)] = 112797,
  [SMALL_STATE(4343)] = 112882,
  [SMALL_STATE(4344)] = 112949,
  [SMALL_STATE(4345)] = 113010,
  [SMALL_STATE(4346)] = 113095,
  [SMALL_STATE(4347)] = 113152,
  [SMALL_STATE(4348)] = 113203,
  [SMALL_STATE(4349)] = 113286,
  [SMALL_STATE(4350)] = 113353,
  [SMALL_STATE(4351)] = 113432,
  [SMALL_STATE(4352)] = 113507,
  [SMALL_STATE(4353)] = 113592,
  [SMALL_STATE(4354)] = 113642,
  [SMALL_STATE(4355)] = 113692,
  [SMALL_STATE(4356)] = 113742,
  [SMALL_STATE(4357)] = 113792,
  [SMALL_STATE(4358)] = 113884,
  [SMALL_STATE(4359)] = 113934,
  [SMALL_STATE(4360)] = 113984,
  [SMALL_STATE(4361)] = 114090,
  [SMALL_STATE(4362)] = 114156,
  [SMALL_STATE(4363)] = 114242,
  [SMALL_STATE(4364)] = 114328,
  [SMALL_STATE(4365)] = 114384,
  [SMALL_STATE(4366)] = 114434,
  [SMALL_STATE(4367)] = 114484,
  [SMALL_STATE(4368)] = 114534,
  [SMALL_STATE(4369)] = 114584,
  [SMALL_STATE(4370)] = 114634,
  [SMALL_STATE(4371)] = 114684,
  [SMALL_STATE(4372)] = 114744,
  [SMALL_STATE(4373)] = 114794,
  [SMALL_STATE(4374)] = 114848,
  [SMALL_STATE(4375)] = 114932,
  [SMALL_STATE(4376)] = 115018,
  [SMALL_STATE(4377)] = 115102,
  [SMALL_STATE(4378)] = 115168,
  [SMALL_STATE(4379)] = 115254,
  [SMALL_STATE(4380)] = 115314,
  [SMALL_STATE(4381)] = 115364,
  [SMALL_STATE(4382)] = 115430,
  [SMALL_STATE(4383)] = 115514,
  [SMALL_STATE(4384)] = 115574,
  [SMALL_STATE(4385)] = 115630,
  [SMALL_STATE(4386)] = 115714,
  [SMALL_STATE(4387)] = 115764,
  [SMALL_STATE(4388)] = 115870,
  [SMALL_STATE(4389)] = 115922,
  [SMALL_STATE(4390)] = 116014,
  [SMALL_STATE(4391)] = 116064,
  [SMALL_STATE(4392)] = 116116,
  [SMALL_STATE(4393)] = 116170,
  [SMALL_STATE(4394)] = 116236,
  [SMALL_STATE(4395)] = 116286,
  [SMALL_STATE(4396)] = 116342,
  [SMALL_STATE(4397)] = 116448,
  [SMALL_STATE(4398)] = 116498,
  [SMALL_STATE(4399)] = 116558,
  [SMALL_STATE(4400)] = 116608,
  [SMALL_STATE(4401)] = 116689,
  [SMALL_STATE(4402)] = 116766,
  [SMALL_STATE(4403)] = 116819,
  [SMALL_STATE(4404)] = 116874,
  [SMALL_STATE(4405)] = 116949,
  [SMALL_STATE(4406)] = 117002,
  [SMALL_STATE(4407)] = 117079,
  [SMALL_STATE(4408)] = 117128,
  [SMALL_STATE(4409)] = 117203,
  [SMALL_STATE(4410)] = 117256,
  [SMALL_STATE(4411)] = 117333,
  [SMALL_STATE(4412)] = 117410,
  [SMALL_STATE(4413)] = 117463,
  [SMALL_STATE(4414)] = 117516,
  [SMALL_STATE(4415)] = 117569,
  [SMALL_STATE(4416)] = 117650,
  [SMALL_STATE(4417)] = 117699,
  [SMALL_STATE(4418)] = 117748,
  [SMALL_STATE(4419)] = 117797,
  [SMALL_STATE(4420)] = 117846,
  [SMALL_STATE(4421)] = 117901,
  [SMALL_STATE(4422)] = 117958,
  [SMALL_STATE(4423)] = 118015,
  [SMALL_STATE(4424)] = 118068,
  [SMALL_STATE(4425)] = 118121,
  [SMALL_STATE(4426)] = 118196,
  [SMALL_STATE(4427)] = 118249,
  [SMALL_STATE(4428)] = 118302,
  [SMALL_STATE(4429)] = 118355,
  [SMALL_STATE(4430)] = 118408,
  [SMALL_STATE(4431)] = 118457,
  [SMALL_STATE(4432)] = 118506,
  [SMALL_STATE(4433)] = 118581,
  [SMALL_STATE(4434)] = 118634,
  [SMALL_STATE(4435)] = 118715,
  [SMALL_STATE(4436)] = 118770,
  [SMALL_STATE(4437)] = 118851,
  [SMALL_STATE(4438)] = 118906,
  [SMALL_STATE(4439)] = 118959,
  [SMALL_STATE(4440)] = 119010,
  [SMALL_STATE(4441)] = 119059,
  [SMALL_STATE(4442)] = 119143,
  [SMALL_STATE(4443)] = 119209,
  [SMALL_STATE(4444)] = 119277,
  [SMALL_STATE(4445)] = 119363,
  [SMALL_STATE(4446)] = 119435,
  [SMALL_STATE(4447)] = 119493,
  [SMALL_STATE(4448)] = 119569,
  [SMALL_STATE(4449)] = 119665,
  [SMALL_STATE(4450)] = 119755,
  [SMALL_STATE(4451)] = 119845,
  [SMALL_STATE(4452)] = 119941,
  [SMALL_STATE(4453)] = 120015,
  [SMALL_STATE(4454)] = 120085,
  [SMALL_STATE(4455)] = 120157,
  [SMALL_STATE(4456)] = 120251,
  [SMALL_STATE(4457)] = 120343,
  [SMALL_STATE(4458)] = 120433,
  [SMALL_STATE(4459)] = 120485,
  [SMALL_STATE(4460)] = 120537,
  [SMALL_STATE(4461)] = 120601,
  [SMALL_STATE(4462)] = 120697,
  [SMALL_STATE(4463)] = 120765,
  [SMALL_STATE(4464)] = 120841,
  [SMALL_STATE(4465)] = 120935,
  [SMALL_STATE(4466)] = 121001,
  [SMALL_STATE(4467)] = 121053,
  [SMALL_STATE(4468)] = 121111,
  [SMALL_STATE(4469)] = 121189,
  [SMALL_STATE(4470)] = 121281,
  [SMALL_STATE(4471)] = 121371,
  [SMALL_STATE(4472)] = 121471,
  [SMALL_STATE(4473)] = 121523,
  [SMALL_STATE(4474)] = 121587,
  [SMALL_STATE(4475)] = 121679,
  [SMALL_STATE(4476)] = 121775,
  [SMALL_STATE(4477)] = 121865,
  [SMALL_STATE(4478)] = 121957,
  [SMALL_STATE(4479)] = 122009,
  [SMALL_STATE(4480)] = 122103,
  [SMALL_STATE(4481)] = 122161,
  [SMALL_STATE(4482)] = 122213,
  [SMALL_STATE(4483)] = 122287,
  [SMALL_STATE(4484)] = 122361,
  [SMALL_STATE(4485)] = 122441,
  [SMALL_STATE(4486)] = 122525,
  [SMALL_STATE(4487)] = 122615,
  [SMALL_STATE(4488)] = 122667,
  [SMALL_STATE(4489)] = 122719,
  [SMALL_STATE(4490)] = 122807,
  [SMALL_STATE(4491)] = 122859,
  [SMALL_STATE(4492)] = 122941,
  [SMALL_STATE(4493)] = 123029,
  [SMALL_STATE(4494)] = 123095,
  [SMALL_STATE(4495)] = 123179,
  [SMALL_STATE(4496)] = 123249,
  [SMALL_STATE(4497)] = 123329,
  [SMALL_STATE(4498)] = 123407,
  [SMALL_STATE(4499)] = 123491,
  [SMALL_STATE(4500)] = 123565,
  [SMALL_STATE(4501)] = 123661,
  [SMALL_STATE(4502)] = 123713,
  [SMALL_STATE(4503)] = 123795,
  [SMALL_STATE(4504)] = 123895,
  [SMALL_STATE(4505)] = 123953,
  [SMALL_STATE(4506)] = 124005,
  [SMALL_STATE(4507)] = 124057,
  [SMALL_STATE(4508)] = 124149,
  [SMALL_STATE(4509)] = 124201,
  [SMALL_STATE(4510)] = 124262,
  [SMALL_STATE(4511)] = 124359,
  [SMALL_STATE(4512)] = 124420,
  [SMALL_STATE(4513)] = 124517,
  [SMALL_STATE(4514)] = 124614,
  [SMALL_STATE(4515)] = 124711,
  [SMALL_STATE(4516)] = 124764,
  [SMALL_STATE(4517)] = 124861,
  [SMALL_STATE(4518)] = 124958,
  [SMALL_STATE(4519)] = 125055,
  [SMALL_STATE(4520)] = 125150,
  [SMALL_STATE(4521)] = 125247,
  [SMALL_STATE(4522)] = 125344,
  [SMALL_STATE(4523)] = 125441,
  [SMALL_STATE(4524)] = 125538,
  [SMALL_STATE(4525)] = 125635,
  [SMALL_STATE(4526)] = 125732,
  [SMALL_STATE(4527)] = 125785,
  [SMALL_STATE(4528)] = 125882,
  [SMALL_STATE(4529)] = 125979,
  [SMALL_STATE(4530)] = 126076,
  [SMALL_STATE(4531)] = 126173,
  [SMALL_STATE(4532)] = 126270,
  [SMALL_STATE(4533)] = 126367,
  [SMALL_STATE(4534)] = 126462,
  [SMALL_STATE(4535)] = 126559,
  [SMALL_STATE(4536)] = 126656,
  [SMALL_STATE(4537)] = 126753,
  [SMALL_STATE(4538)] = 126850,
  [SMALL_STATE(4539)] = 126947,
  [SMALL_STATE(4540)] = 127044,
  [SMALL_STATE(4541)] = 127141,
  [SMALL_STATE(4542)] = 127238,
  [SMALL_STATE(4543)] = 127303,
  [SMALL_STATE(4544)] = 127400,
  [SMALL_STATE(4545)] = 127497,
  [SMALL_STATE(4546)] = 127594,
  [SMALL_STATE(4547)] = 127691,
  [SMALL_STATE(4548)] = 127788,
  [SMALL_STATE(4549)] = 127885,
  [SMALL_STATE(4550)] = 127982,
  [SMALL_STATE(4551)] = 128079,
  [SMALL_STATE(4552)] = 128154,
  [SMALL_STATE(4553)] = 128251,
  [SMALL_STATE(4554)] = 128326,
  [SMALL_STATE(4555)] = 128401,
  [SMALL_STATE(4556)] = 128476,
  [SMALL_STATE(4557)] = 128573,
  [SMALL_STATE(4558)] = 128662,
  [SMALL_STATE(4559)] = 128715,
  [SMALL_STATE(4560)] = 128790,
  [SMALL_STATE(4561)] = 128865,
  [SMALL_STATE(4562)] = 128940,
  [SMALL_STATE(4563)] = 129015,
  [SMALL_STATE(4564)] = 129112,
  [SMALL_STATE(4565)] = 129165,
  [SMALL_STATE(4566)] = 129262,
  [SMALL_STATE(4567)] = 129341,
  [SMALL_STATE(4568)] = 129388,
  [SMALL_STATE(4569)] = 129485,
  [SMALL_STATE(4570)] = 129582,
  [SMALL_STATE(4571)] = 129679,
  [SMALL_STATE(4572)] = 129776,
  [SMALL_STATE(4573)] = 129873,
  [SMALL_STATE(4574)] = 129970,
  [SMALL_STATE(4575)] = 130019,
  [SMALL_STATE(4576)] = 130116,
  [SMALL_STATE(4577)] = 130213,
  [SMALL_STATE(4578)] = 130310,
  [SMALL_STATE(4579)] = 130359,
  [SMALL_STATE(4580)] = 130416,
  [SMALL_STATE(4581)] = 130473,
  [SMALL_STATE(4582)] = 130526,
  [SMALL_STATE(4583)] = 130573,
  [SMALL_STATE(4584)] = 130670,
  [SMALL_STATE(4585)] = 130717,
  [SMALL_STATE(4586)] = 130764,
  [SMALL_STATE(4587)] = 130811,
  [SMALL_STATE(4588)] = 130858,
  [SMALL_STATE(4589)] = 130905,
  [SMALL_STATE(4590)] = 130952,
  [SMALL_STATE(4591)] = 131001,
  [SMALL_STATE(4592)] = 131098,
  [SMALL_STATE(4593)] = 131195,
  [SMALL_STATE(4594)] = 131292,
  [SMALL_STATE(4595)] = 131341,
  [SMALL_STATE(4596)] = 131390,
  [SMALL_STATE(4597)] = 131437,
  [SMALL_STATE(4598)] = 131484,
  [SMALL_STATE(4599)] = 131581,
  [SMALL_STATE(4600)] = 131678,
  [SMALL_STATE(4601)] = 131775,
  [SMALL_STATE(4602)] = 131872,
  [SMALL_STATE(4603)] = 131951,
  [SMALL_STATE(4604)] = 132040,
  [SMALL_STATE(4605)] = 132093,
  [SMALL_STATE(4606)] = 132181,
  [SMALL_STATE(4607)] = 132245,
  [SMALL_STATE(4608)] = 132339,
  [SMALL_STATE(4609)] = 132399,
  [SMALL_STATE(4610)] = 132487,
  [SMALL_STATE(4611)] = 132573,
  [SMALL_STATE(4612)] = 132645,
  [SMALL_STATE(4613)] = 132729,
  [SMALL_STATE(4614)] = 132811,
  [SMALL_STATE(4615)] = 132891,
  [SMALL_STATE(4616)] = 132967,
  [SMALL_STATE(4617)] = 133041,
  [SMALL_STATE(4618)] = 133133,
  [SMALL_STATE(4619)] = 133179,
  [SMALL_STATE(4620)] = 133251,
  [SMALL_STATE(4621)] = 133323,
  [SMALL_STATE(4622)] = 133389,
  [SMALL_STATE(4623)] = 133481,
  [SMALL_STATE(4624)] = 133573,
  [SMALL_STATE(4625)] = 133665,
  [SMALL_STATE(4626)] = 133735,
  [SMALL_STATE(4627)] = 133823,
  [SMALL_STATE(4628)] = 133915,
  [SMALL_STATE(4629)] = 133967,
  [SMALL_STATE(4630)] = 134055,
  [SMALL_STATE(4631)] = 134113,
  [SMALL_STATE(4632)] = 134205,
  [SMALL_STATE(4633)] = 134299,
  [SMALL_STATE(4634)] = 134393,
  [SMALL_STATE(4635)] = 134457,
  [SMALL_STATE(4636)] = 134543,
  [SMALL_STATE(4637)] = 134627,
  [SMALL_STATE(4638)] = 134709,
  [SMALL_STATE(4639)] = 134789,
  [SMALL_STATE(4640)] = 134865,
  [SMALL_STATE(4641)] = 134939,
  [SMALL_STATE(4642)] = 135009,
  [SMALL_STATE(4643)] = 135075,
  [SMALL_STATE(4644)] = 135169,
  [SMALL_STATE(4645)] = 135237,
  [SMALL_STATE(4646)] = 135329,
  [SMALL_STATE(4647)] = 135379,
  [SMALL_STATE(4648)] = 135473,
  [SMALL_STATE(4649)] = 135561,
  [SMALL_STATE(4650)] = 135613,
  [SMALL_STATE(4651)] = 135705,
  [SMALL_STATE(4652)] = 135797,
  [SMALL_STATE(4653)] = 135885,
  [SMALL_STATE(4654)] = 135977,
  [SMALL_STATE(4655)] = 136033,
  [SMALL_STATE(4656)] = 136127,
  [SMALL_STATE(4657)] = 136219,
  [SMALL_STATE(4658)] = 136297,
  [SMALL_STATE(4659)] = 136391,
  [SMALL_STATE(4660)] = 136485,
  [SMALL_STATE(4661)] = 136545,
  [SMALL_STATE(4662)] = 136601,
  [SMALL_STATE(4663)] = 136689,
  [SMALL_STATE(4664)] = 136783,
  [SMALL_STATE(4665)] = 136877,
  [SMALL_STATE(4666)] = 136971,
  [SMALL_STATE(4667)] = 137019,
  [SMALL_STATE(4668)] = 137113,
  [SMALL_STATE(4669)] = 137205,
  [SMALL_STATE(4670)] = 137299,
  [SMALL_STATE(4671)] = 137391,
  [SMALL_STATE(4672)] = 137485,
  [SMALL_STATE(4673)] = 137579,
  [SMALL_STATE(4674)] = 137671,
  [SMALL_STATE(4675)] = 137765,
  [SMALL_STATE(4676)] = 137821,
  [SMALL_STATE(4677)] = 137915,
  [SMALL_STATE(4678)] = 137987,
  [SMALL_STATE(4679)] = 138081,
  [SMALL_STATE(4680)] = 138175,
  [SMALL_STATE(4681)] = 138269,
  [SMALL_STATE(4682)] = 138363,
  [SMALL_STATE(4683)] = 138455,
  [SMALL_STATE(4684)] = 138547,
  [SMALL_STATE(4685)] = 138641,
  [SMALL_STATE(4686)] = 138713,
  [SMALL_STATE(4687)] = 138805,
  [SMALL_STATE(4688)] = 138877,
  [SMALL_STATE(4689)] = 138929,
  [SMALL_STATE(4690)] = 139001,
  [SMALL_STATE(4691)] = 139073,
  [SMALL_STATE(4692)] = 139133,
  [SMALL_STATE(4693)] = 139227,
  [SMALL_STATE(4694)] = 139287,
  [SMALL_STATE(4695)] = 139349,
  [SMALL_STATE(4696)] = 139443,
  [SMALL_STATE(4697)] = 139537,
  [SMALL_STATE(4698)] = 139597,
  [SMALL_STATE(4699)] = 139685,
  [SMALL_STATE(4700)] = 139777,
  [SMALL_STATE(4701)] = 139865,
  [SMALL_STATE(4702)] = 139957,
  [SMALL_STATE(4703)] = 140021,
  [SMALL_STATE(4704)] = 140107,
  [SMALL_STATE(4705)] = 140191,
  [SMALL_STATE(4706)] = 140273,
  [SMALL_STATE(4707)] = 140353,
  [SMALL_STATE(4708)] = 140429,
  [SMALL_STATE(4709)] = 140503,
  [SMALL_STATE(4710)] = 140573,
  [SMALL_STATE(4711)] = 140639,
  [SMALL_STATE(4712)] = 140707,
  [SMALL_STATE(4713)] = 140795,
  [SMALL_STATE(4714)] = 140887,
  [SMALL_STATE(4715)] = 140975,
  [SMALL_STATE(4716)] = 141067,
  [SMALL_STATE(4717)] = 141153,
  [SMALL_STATE(4718)] = 141245,
  [SMALL_STATE(4719)] = 141333,
  [SMALL_STATE(4720)] = 141421,
  [SMALL_STATE(4721)] = 141513,
  [SMALL_STATE(4722)] = 141607,
  [SMALL_STATE(4723)] = 141699,
  [SMALL_STATE(4724)] = 141759,
  [SMALL_STATE(4725)] = 141853,
  [SMALL_STATE(4726)] = 141911,
  [SMALL_STATE(4727)] = 142005,
  [SMALL_STATE(4728)] = 142099,
  [SMALL_STATE(4729)] = 142193,
  [SMALL_STATE(4730)] = 142251,
  [SMALL_STATE(4731)] = 142311,
  [SMALL_STATE(4732)] = 142405,
  [SMALL_STATE(4733)] = 142465,
  [SMALL_STATE(4734)] = 142523,
  [SMALL_STATE(4735)] = 142583,
  [SMALL_STATE(4736)] = 142675,
  [SMALL_STATE(4737)] = 142767,
  [SMALL_STATE(4738)] = 142861,
  [SMALL_STATE(4739)] = 142921,
  [SMALL_STATE(4740)] = 142999,
  [SMALL_STATE(4741)] = 143093,
  [SMALL_STATE(4742)] = 143187,
  [SMALL_STATE(4743)] = 143281,
  [SMALL_STATE(4744)] = 143373,
  [SMALL_STATE(4745)] = 143465,
  [SMALL_STATE(4746)] = 143559,
  [SMALL_STATE(4747)] = 143653,
  [SMALL_STATE(4748)] = 143747,
  [SMALL_STATE(4749)] = 143841,
  [SMALL_STATE(4750)] = 143935,
  [SMALL_STATE(4751)] = 144029,
  [SMALL_STATE(4752)] = 144101,
  [SMALL_STATE(4753)] = 144193,
  [SMALL_STATE(4754)] = 144287,
  [SMALL_STATE(4755)] = 144381,
  [SMALL_STATE(4756)] = 144469,
  [SMALL_STATE(4757)] = 144563,
  [SMALL_STATE(4758)] = 144651,
  [SMALL_STATE(4759)] = 144742,
  [SMALL_STATE(4760)] = 144791,
  [SMALL_STATE(4761)] = 144882,
  [SMALL_STATE(4762)] = 144963,
  [SMALL_STATE(4763)] = 145036,
  [SMALL_STATE(4764)] = 145127,
  [SMALL_STATE(4765)] = 145218,
  [SMALL_STATE(4766)] = 145309,
  [SMALL_STATE(4767)] = 145400,
  [SMALL_STATE(4768)] = 145491,
  [SMALL_STATE(4769)] = 145542,
  [SMALL_STATE(4770)] = 145633,
  [SMALL_STATE(4771)] = 145684,
  [SMALL_STATE(4772)] = 145775,
  [SMALL_STATE(4773)] = 145856,
  [SMALL_STATE(4774)] = 145929,
  [SMALL_STATE(4775)] = 146020,
  [SMALL_STATE(4776)] = 146111,
  [SMALL_STATE(4777)] = 146202,
  [SMALL_STATE(4778)] = 146275,
  [SMALL_STATE(4779)] = 146366,
  [SMALL_STATE(4780)] = 146457,
  [SMALL_STATE(4781)] = 146530,
  [SMALL_STATE(4782)] = 146621,
  [SMALL_STATE(4783)] = 146694,
  [SMALL_STATE(4784)] = 146767,
  [SMALL_STATE(4785)] = 146848,
  [SMALL_STATE(4786)] = 146939,
  [SMALL_STATE(4787)] = 147030,
  [SMALL_STATE(4788)] = 147121,
  [SMALL_STATE(4789)] = 147212,
  [SMALL_STATE(4790)] = 147303,
  [SMALL_STATE(4791)] = 147394,
  [SMALL_STATE(4792)] = 147485,
  [SMALL_STATE(4793)] = 147536,
  [SMALL_STATE(4794)] = 147627,
  [SMALL_STATE(4795)] = 147714,
  [SMALL_STATE(4796)] = 147805,
  [SMALL_STATE(4797)] = 147896,
  [SMALL_STATE(4798)] = 147987,
  [SMALL_STATE(4799)] = 148078,
  [SMALL_STATE(4800)] = 148169,
  [SMALL_STATE(4801)] = 148216,
  [SMALL_STATE(4802)] = 148289,
  [SMALL_STATE(4803)] = 148380,
  [SMALL_STATE(4804)] = 148471,
  [SMALL_STATE(4805)] = 148562,
  [SMALL_STATE(4806)] = 148653,
  [SMALL_STATE(4807)] = 148744,
  [SMALL_STATE(4808)] = 148795,
  [SMALL_STATE(4809)] = 148868,
  [SMALL_STATE(4810)] = 148959,
  [SMALL_STATE(4811)] = 149008,
  [SMALL_STATE(4812)] = 149099,
  [SMALL_STATE(4813)] = 149190,
  [SMALL_STATE(4814)] = 149239,
  [SMALL_STATE(4815)] = 149312,
  [SMALL_STATE(4816)] = 149403,
  [SMALL_STATE(4817)] = 149494,
  [SMALL_STATE(4818)] = 149543,
  [SMALL_STATE(4819)] = 149634,
  [SMALL_STATE(4820)] = 149683,
  [SMALL_STATE(4821)] = 149774,
  [SMALL_STATE(4822)] = 149865,
  [SMALL_STATE(4823)] = 149938,
  [SMALL_STATE(4824)] = 150001,
  [SMALL_STATE(4825)] = 150088,
  [SMALL_STATE(4826)] = 150139,
  [SMALL_STATE(4827)] = 150230,
  [SMALL_STATE(4828)] = 150321,
  [SMALL_STATE(4829)] = 150412,
  [SMALL_STATE(4830)] = 150503,
  [SMALL_STATE(4831)] = 150576,
  [SMALL_STATE(4832)] = 150667,
  [SMALL_STATE(4833)] = 150718,
  [SMALL_STATE(4834)] = 150791,
  [SMALL_STATE(4835)] = 150882,
  [SMALL_STATE(4836)] = 150955,
  [SMALL_STATE(4837)] = 151010,
  [SMALL_STATE(4838)] = 151101,
  [SMALL_STATE(4839)] = 151152,
  [SMALL_STATE(4840)] = 151243,
  [SMALL_STATE(4841)] = 151334,
  [SMALL_STATE(4842)] = 151385,
  [SMALL_STATE(4843)] = 151456,
  [SMALL_STATE(4844)] = 151527,
  [SMALL_STATE(4845)] = 151578,
  [SMALL_STATE(4846)] = 151669,
  [SMALL_STATE(4847)] = 151740,
  [SMALL_STATE(4848)] = 151811,
  [SMALL_STATE(4849)] = 151888,
  [SMALL_STATE(4850)] = 151979,
  [SMALL_STATE(4851)] = 152030,
  [SMALL_STATE(4852)] = 152121,
  [SMALL_STATE(4853)] = 152194,
  [SMALL_STATE(4854)] = 152275,
  [SMALL_STATE(4855)] = 152366,
  [SMALL_STATE(4856)] = 152457,
  [SMALL_STATE(4857)] = 152548,
  [SMALL_STATE(4858)] = 152639,
  [SMALL_STATE(4859)] = 152684,
  [SMALL_STATE(4860)] = 152775,
  [SMALL_STATE(4861)] = 152866,
  [SMALL_STATE(4862)] = 152957,
  [SMALL_STATE(4863)] = 153048,
  [SMALL_STATE(4864)] = 153139,
  [SMALL_STATE(4865)] = 153230,
  [SMALL_STATE(4866)] = 153321,
  [SMALL_STATE(4867)] = 153412,
  [SMALL_STATE(4868)] = 153503,
  [SMALL_STATE(4869)] = 153576,
  [SMALL_STATE(4870)] = 153653,
  [SMALL_STATE(4871)] = 153736,
  [SMALL_STATE(4872)] = 153783,
  [SMALL_STATE(4873)] = 153856,
  [SMALL_STATE(4874)] = 153947,
  [SMALL_STATE(4875)] = 154038,
  [SMALL_STATE(4876)] = 154129,
  [SMALL_STATE(4877)] = 154220,
  [SMALL_STATE(4878)] = 154297,
  [SMALL_STATE(4879)] = 154388,
  [SMALL_STATE(4880)] = 154479,
  [SMALL_STATE(4881)] = 154570,
  [SMALL_STATE(4882)] = 154661,
  [SMALL_STATE(4883)] = 154752,
  [SMALL_STATE(4884)] = 154843,
  [SMALL_STATE(4885)] = 154916,
  [SMALL_STATE(4886)] = 155007,
  [SMALL_STATE(4887)] = 155098,
  [SMALL_STATE(4888)] = 155189,
  [SMALL_STATE(4889)] = 155238,
  [SMALL_STATE(4890)] = 155289,
  [SMALL_STATE(4891)] = 155380,
  [SMALL_STATE(4892)] = 155471,
  [SMALL_STATE(4893)] = 155552,
  [SMALL_STATE(4894)] = 155597,
  [SMALL_STATE(4895)] = 155688,
  [SMALL_STATE(4896)] = 155779,
  [SMALL_STATE(4897)] = 155870,
  [SMALL_STATE(4898)] = 155943,
  [SMALL_STATE(4899)] = 156034,
  [SMALL_STATE(4900)] = 156083,
  [SMALL_STATE(4901)] = 156160,
  [SMALL_STATE(4902)] = 156251,
  [SMALL_STATE(4903)] = 156342,
  [SMALL_STATE(4904)] = 156415,
  [SMALL_STATE(4905)] = 156488,
  [SMALL_STATE(4906)] = 156537,
  [SMALL_STATE(4907)] = 156586,
  [SMALL_STATE(4908)] = 156635,
  [SMALL_STATE(4909)] = 156726,
  [SMALL_STATE(4910)] = 156775,
  [SMALL_STATE(4911)] = 156866,
  [SMALL_STATE(4912)] = 156917,
  [SMALL_STATE(4913)] = 156990,
  [SMALL_STATE(4914)] = 157081,
  [SMALL_STATE(4915)] = 157172,
  [SMALL_STATE(4916)] = 157263,
  [SMALL_STATE(4917)] = 157354,
  [SMALL_STATE(4918)] = 157435,
  [SMALL_STATE(4919)] = 157526,
  [SMALL_STATE(4920)] = 157617,
  [SMALL_STATE(4921)] = 157708,
  [SMALL_STATE(4922)] = 157799,
  [SMALL_STATE(4923)] = 157880,
  [SMALL_STATE(4924)] = 157971,
  [SMALL_STATE(4925)] = 158020,
  [SMALL_STATE(4926)] = 158111,
  [SMALL_STATE(4927)] = 158202,
  [SMALL_STATE(4928)] = 158293,
  [SMALL_STATE(4929)] = 158384,
  [SMALL_STATE(4930)] = 158475,
  [SMALL_STATE(4931)] = 158526,
  [SMALL_STATE(4932)] = 158617,
  [SMALL_STATE(4933)] = 158708,
  [SMALL_STATE(4934)] = 158799,
  [SMALL_STATE(4935)] = 158890,
  [SMALL_STATE(4936)] = 158981,
  [SMALL_STATE(4937)] = 159036,
  [SMALL_STATE(4938)] = 159127,
  [SMALL_STATE(4939)] = 159218,
  [SMALL_STATE(4940)] = 159262,
  [SMALL_STATE(4941)] = 159312,
  [SMALL_STATE(4942)] = 159356,
  [SMALL_STATE(4943)] = 159400,
  [SMALL_STATE(4944)] = 159478,
  [SMALL_STATE(4945)] = 159522,
  [SMALL_STATE(4946)] = 159602,
  [SMALL_STATE(4947)] = 159646,
  [SMALL_STATE(4948)] = 159690,
  [SMALL_STATE(4949)] = 159734,
  [SMALL_STATE(4950)] = 159778,
  [SMALL_STATE(4951)] = 159856,
  [SMALL_STATE(4952)] = 159934,
  [SMALL_STATE(4953)] = 159978,
  [SMALL_STATE(4954)] = 160056,
  [SMALL_STATE(4955)] = 160100,
  [SMALL_STATE(4956)] = 160178,
  [SMALL_STATE(4957)] = 160222,
  [SMALL_STATE(4958)] = 160270,
  [SMALL_STATE(4959)] = 160318,
  [SMALL_STATE(4960)] = 160362,
  [SMALL_STATE(4961)] = 160412,
  [SMALL_STATE(4962)] = 160490,
  [SMALL_STATE(4963)] = 160568,
  [SMALL_STATE(4964)] = 160612,
  [SMALL_STATE(4965)] = 160656,
  [SMALL_STATE(4966)] = 160700,
  [SMALL_STATE(4967)] = 160778,
  [SMALL_STATE(4968)] = 160822,
  [SMALL_STATE(4969)] = 160866,
  [SMALL_STATE(4970)] = 160910,
  [SMALL_STATE(4971)] = 160954,
  [SMALL_STATE(4972)] = 160998,
  [SMALL_STATE(4973)] = 161042,
  [SMALL_STATE(4974)] = 161086,
  [SMALL_STATE(4975)] = 161130,
  [SMALL_STATE(4976)] = 161174,
  [SMALL_STATE(4977)] = 161218,
  [SMALL_STATE(4978)] = 161262,
  [SMALL_STATE(4979)] = 161312,
  [SMALL_STATE(4980)] = 161362,
  [SMALL_STATE(4981)] = 161412,
  [SMALL_STATE(4982)] = 161498,
  [SMALL_STATE(4983)] = 161550,
  [SMALL_STATE(4984)] = 161636,
  [SMALL_STATE(4985)] = 161694,
  [SMALL_STATE(4986)] = 161738,
  [SMALL_STATE(4987)] = 161796,
  [SMALL_STATE(4988)] = 161840,
  [SMALL_STATE(4989)] = 161884,
  [SMALL_STATE(4990)] = 161928,
  [SMALL_STATE(4991)] = 161972,
  [SMALL_STATE(4992)] = 162022,
  [SMALL_STATE(4993)] = 162072,
  [SMALL_STATE(4994)] = 162122,
  [SMALL_STATE(4995)] = 162166,
  [SMALL_STATE(4996)] = 162210,
  [SMALL_STATE(4997)] = 162254,
  [SMALL_STATE(4998)] = 162298,
  [SMALL_STATE(4999)] = 162346,
  [SMALL_STATE(5000)] = 162432,
  [SMALL_STATE(5001)] = 162476,
  [SMALL_STATE(5002)] = 162520,
  [SMALL_STATE(5003)] = 162564,
  [SMALL_STATE(5004)] = 162608,
  [SMALL_STATE(5005)] = 162654,
  [SMALL_STATE(5006)] = 162704,
  [SMALL_STATE(5007)] = 162748,
  [SMALL_STATE(5008)] = 162818,
  [SMALL_STATE(5009)] = 162862,
  [SMALL_STATE(5010)] = 162912,
  [SMALL_STATE(5011)] = 162962,
  [SMALL_STATE(5012)] = 163040,
  [SMALL_STATE(5013)] = 163086,
  [SMALL_STATE(5014)] = 163130,
  [SMALL_STATE(5015)] = 163174,
  [SMALL_STATE(5016)] = 163218,
  [SMALL_STATE(5017)] = 163262,
  [SMALL_STATE(5018)] = 163306,
  [SMALL_STATE(5019)] = 163350,
  [SMALL_STATE(5020)] = 163428,
  [SMALL_STATE(5021)] = 163506,
  [SMALL_STATE(5022)] = 163594,
  [SMALL_STATE(5023)] = 163664,
  [SMALL_STATE(5024)] = 163742,
  [SMALL_STATE(5025)] = 163786,
  [SMALL_STATE(5026)] = 163830,
  [SMALL_STATE(5027)] = 163874,
  [SMALL_STATE(5028)] = 163918,
  [SMALL_STATE(5029)] = 163996,
  [SMALL_STATE(5030)] = 164074,
  [SMALL_STATE(5031)] = 164118,
  [SMALL_STATE(5032)] = 164162,
  [SMALL_STATE(5033)] = 164206,
  [SMALL_STATE(5034)] = 164276,
  [SMALL_STATE(5035)] = 164354,
  [SMALL_STATE(5036)] = 164398,
  [SMALL_STATE(5037)] = 164476,
  [SMALL_STATE(5038)] = 164520,
  [SMALL_STATE(5039)] = 164564,
  [SMALL_STATE(5040)] = 164642,
  [SMALL_STATE(5041)] = 164686,
  [SMALL_STATE(5042)] = 164730,
  [SMALL_STATE(5043)] = 164808,
  [SMALL_STATE(5044)] = 164852,
  [SMALL_STATE(5045)] = 164896,
  [SMALL_STATE(5046)] = 164940,
  [SMALL_STATE(5047)] = 165018,
  [SMALL_STATE(5048)] = 165062,
  [SMALL_STATE(5049)] = 165140,
  [SMALL_STATE(5050)] = 165184,
  [SMALL_STATE(5051)] = 165228,
  [SMALL_STATE(5052)] = 165308,
  [SMALL_STATE(5053)] = 165352,
  [SMALL_STATE(5054)] = 165396,
  [SMALL_STATE(5055)] = 165446,
  [SMALL_STATE(5056)] = 165524,
  [SMALL_STATE(5057)] = 165568,
  [SMALL_STATE(5058)] = 165612,
  [SMALL_STATE(5059)] = 165656,
  [SMALL_STATE(5060)] = 165706,
  [SMALL_STATE(5061)] = 165750,
  [SMALL_STATE(5062)] = 165830,
  [SMALL_STATE(5063)] = 165910,
  [SMALL_STATE(5064)] = 165954,
  [SMALL_STATE(5065)] = 165998,
  [SMALL_STATE(5066)] = 166084,
  [SMALL_STATE(5067)] = 166128,
  [SMALL_STATE(5068)] = 166198,
  [SMALL_STATE(5069)] = 166276,
  [SMALL_STATE(5070)] = 166320,
  [SMALL_STATE(5071)] = 166364,
  [SMALL_STATE(5072)] = 166407,
  [SMALL_STATE(5073)] = 166462,
  [SMALL_STATE(5074)] = 166505,
  [SMALL_STATE(5075)] = 166548,
  [SMALL_STATE(5076)] = 166623,
  [SMALL_STATE(5077)] = 166666,
  [SMALL_STATE(5078)] = 166721,
  [SMALL_STATE(5079)] = 166764,
  [SMALL_STATE(5080)] = 166807,
  [SMALL_STATE(5081)] = 166850,
  [SMALL_STATE(5082)] = 166935,
  [SMALL_STATE(5083)] = 166978,
  [SMALL_STATE(5084)] = 167035,
  [SMALL_STATE(5085)] = 167078,
  [SMALL_STATE(5086)] = 167121,
  [SMALL_STATE(5087)] = 167164,
  [SMALL_STATE(5088)] = 167209,
  [SMALL_STATE(5089)] = 167262,
  [SMALL_STATE(5090)] = 167305,
  [SMALL_STATE(5091)] = 167348,
  [SMALL_STATE(5092)] = 167417,
  [SMALL_STATE(5093)] = 167486,
  [SMALL_STATE(5094)] = 167529,
  [SMALL_STATE(5095)] = 167572,
  [SMALL_STATE(5096)] = 167615,
  [SMALL_STATE(5097)] = 167706,
  [SMALL_STATE(5098)] = 167749,
  [SMALL_STATE(5099)] = 167818,
  [SMALL_STATE(5100)] = 167861,
  [SMALL_STATE(5101)] = 167946,
  [SMALL_STATE(5102)] = 168015,
  [SMALL_STATE(5103)] = 168090,
  [SMALL_STATE(5104)] = 168133,
  [SMALL_STATE(5105)] = 168192,
  [SMALL_STATE(5106)] = 168277,
  [SMALL_STATE(5107)] = 168320,
  [SMALL_STATE(5108)] = 168377,
  [SMALL_STATE(5109)] = 168420,
  [SMALL_STATE(5110)] = 168477,
  [SMALL_STATE(5111)] = 168562,
  [SMALL_STATE(5112)] = 168605,
  [SMALL_STATE(5113)] = 168674,
  [SMALL_STATE(5114)] = 168717,
  [SMALL_STATE(5115)] = 168760,
  [SMALL_STATE(5116)] = 168829,
  [SMALL_STATE(5117)] = 168880,
  [SMALL_STATE(5118)] = 168923,
  [SMALL_STATE(5119)] = 168966,
  [SMALL_STATE(5120)] = 169009,
  [SMALL_STATE(5121)] = 169052,
  [SMALL_STATE(5122)] = 169095,
  [SMALL_STATE(5123)] = 169138,
  [SMALL_STATE(5124)] = 169181,
  [SMALL_STATE(5125)] = 169224,
  [SMALL_STATE(5126)] = 169267,
  [SMALL_STATE(5127)] = 169326,
  [SMALL_STATE(5128)] = 169369,
  [SMALL_STATE(5129)] = 169438,
  [SMALL_STATE(5130)] = 169481,
  [SMALL_STATE(5131)] = 169524,
  [SMALL_STATE(5132)] = 169567,
  [SMALL_STATE(5133)] = 169636,
  [SMALL_STATE(5134)] = 169705,
  [SMALL_STATE(5135)] = 169774,
  [SMALL_STATE(5136)] = 169817,
  [SMALL_STATE(5137)] = 169860,
  [SMALL_STATE(5138)] = 169917,
  [SMALL_STATE(5139)] = 169986,
  [SMALL_STATE(5140)] = 170055,
  [SMALL_STATE(5141)] = 170098,
  [SMALL_STATE(5142)] = 170141,
  [SMALL_STATE(5143)] = 170225,
  [SMALL_STATE(5144)] = 170293,
  [SMALL_STATE(5145)] = 170371,
  [SMALL_STATE(5146)] = 170427,
  [SMALL_STATE(5147)] = 170483,
  [SMALL_STATE(5148)] = 170567,
  [SMALL_STATE(5149)] = 170651,
  [SMALL_STATE(5150)] = 170697,
  [SMALL_STATE(5151)] = 170781,
  [SMALL_STATE(5152)] = 170865,
  [SMALL_STATE(5153)] = 170949,
  [SMALL_STATE(5154)] = 171033,
  [SMALL_STATE(5155)] = 171085,
  [SMALL_STATE(5156)] = 171163,
  [SMALL_STATE(5157)] = 171231,
  [SMALL_STATE(5158)] = 171299,
  [SMALL_STATE(5159)] = 171367,
  [SMALL_STATE(5160)] = 171435,
  [SMALL_STATE(5161)] = 171503,
  [SMALL_STATE(5162)] = 171571,
  [SMALL_STATE(5163)] = 171623,
  [SMALL_STATE(5164)] = 171701,
  [SMALL_STATE(5165)] = 171769,
  [SMALL_STATE(5166)] = 171847,
  [SMALL_STATE(5167)] = 171924,
  [SMALL_STATE(5168)] = 172001,
  [SMALL_STATE(5169)] = 172078,
  [SMALL_STATE(5170)] = 172155,
  [SMALL_STATE(5171)] = 172232,
  [SMALL_STATE(5172)] = 172285,
  [SMALL_STATE(5173)] = 172362,
  [SMALL_STATE(5174)] = 172439,
  [SMALL_STATE(5175)] = 172488,
  [SMALL_STATE(5176)] = 172537,
  [SMALL_STATE(5177)] = 172614,
  [SMALL_STATE(5178)] = 172680,
  [SMALL_STATE(5179)] = 172760,
  [SMALL_STATE(5180)] = 172836,
  [SMALL_STATE(5181)] = 172916,
  [SMALL_STATE(5182)] = 172992,
  [SMALL_STATE(5183)] = 173072,
  [SMALL_STATE(5184)] = 173116,
  [SMALL_STATE(5185)] = 173160,
  [SMALL_STATE(5186)] = 173206,
  [SMALL_STATE(5187)] = 173272,
  [SMALL_STATE(5188)] = 173318,
  [SMALL_STATE(5189)] = 173400,
  [SMALL_STATE(5190)] = 173446,
  [SMALL_STATE(5191)] = 173492,
  [SMALL_STATE(5192)] = 173538,
  [SMALL_STATE(5193)] = 173584,
  [SMALL_STATE(5194)] = 173640,
  [SMALL_STATE(5195)] = 173686,
  [SMALL_STATE(5196)] = 173766,
  [SMALL_STATE(5197)] = 173812,
  [SMALL_STATE(5198)] = 173858,
  [SMALL_STATE(5199)] = 173914,
  [SMALL_STATE(5200)] = 173994,
  [SMALL_STATE(5201)] = 174044,
  [SMALL_STATE(5202)] = 174120,
  [SMALL_STATE(5203)] = 174200,
  [SMALL_STATE(5204)] = 174244,
  [SMALL_STATE(5205)] = 174310,
  [SMALL_STATE(5206)] = 174352,
  [SMALL_STATE(5207)] = 174396,
  [SMALL_STATE(5208)] = 174476,
  [SMALL_STATE(5209)] = 174552,
  [SMALL_STATE(5210)] = 174596,
  [SMALL_STATE(5211)] = 174640,
  [SMALL_STATE(5212)] = 174694,
  [SMALL_STATE(5213)] = 174740,
  [SMALL_STATE(5214)] = 174822,
  [SMALL_STATE(5215)] = 174902,
  [SMALL_STATE(5216)] = 174982,
  [SMALL_STATE(5217)] = 175026,
  [SMALL_STATE(5218)] = 175106,
  [SMALL_STATE(5219)] = 175152,
  [SMALL_STATE(5220)] = 175218,
  [SMALL_STATE(5221)] = 175300,
  [SMALL_STATE(5222)] = 175344,
  [SMALL_STATE(5223)] = 175424,
  [SMALL_STATE(5224)] = 175504,
  [SMALL_STATE(5225)] = 175584,
  [SMALL_STATE(5226)] = 175660,
  [SMALL_STATE(5227)] = 175740,
  [SMALL_STATE(5228)] = 175784,
  [SMALL_STATE(5229)] = 175860,
  [SMALL_STATE(5230)] = 175942,
  [SMALL_STATE(5231)] = 175986,
  [SMALL_STATE(5232)] = 176030,
  [SMALL_STATE(5233)] = 176110,
  [SMALL_STATE(5234)] = 176190,
  [SMALL_STATE(5235)] = 176234,
  [SMALL_STATE(5236)] = 176314,
  [SMALL_STATE(5237)] = 176390,
  [SMALL_STATE(5238)] = 176470,
  [SMALL_STATE(5239)] = 176516,
  [SMALL_STATE(5240)] = 176592,
  [SMALL_STATE(5241)] = 176646,
  [SMALL_STATE(5242)] = 176689,
  [SMALL_STATE(5243)] = 176740,
  [SMALL_STATE(5244)] = 176809,
  [SMALL_STATE(5245)] = 176860,
  [SMALL_STATE(5246)] = 176929,
  [SMALL_STATE(5247)] = 176998,
  [SMALL_STATE(5248)] = 177079,
  [SMALL_STATE(5249)] = 177160,
  [SMALL_STATE(5250)] = 177241,
  [SMALL_STATE(5251)] = 177322,
  [SMALL_STATE(5252)] = 177403,
  [SMALL_STATE(5253)] = 177484,
  [SMALL_STATE(5254)] = 177559,
  [SMALL_STATE(5255)] = 177640,
  [SMALL_STATE(5256)] = 177721,
  [SMALL_STATE(5257)] = 177802,
  [SMALL_STATE(5258)] = 177883,
  [SMALL_STATE(5259)] = 177964,
  [SMALL_STATE(5260)] = 178045,
  [SMALL_STATE(5261)] = 178120,
  [SMALL_STATE(5262)] = 178201,
  [SMALL_STATE(5263)] = 178282,
  [SMALL_STATE(5264)] = 178363,
  [SMALL_STATE(5265)] = 178444,
  [SMALL_STATE(5266)] = 178525,
  [SMALL_STATE(5267)] = 178606,
  [SMALL_STATE(5268)] = 178687,
  [SMALL_STATE(5269)] = 178768,
  [SMALL_STATE(5270)] = 178849,
  [SMALL_STATE(5271)] = 178930,
  [SMALL_STATE(5272)] = 179011,
  [SMALL_STATE(5273)] = 179092,
  [SMALL_STATE(5274)] = 179173,
  [SMALL_STATE(5275)] = 179254,
  [SMALL_STATE(5276)] = 179335,
  [SMALL_STATE(5277)] = 179416,
  [SMALL_STATE(5278)] = 179497,
  [SMALL_STATE(5279)] = 179578,
  [SMALL_STATE(5280)] = 179659,
  [SMALL_STATE(5281)] = 179740,
  [SMALL_STATE(5282)] = 179821,
  [SMALL_STATE(5283)] = 179902,
  [SMALL_STATE(5284)] = 179983,
  [SMALL_STATE(5285)] = 180064,
  [SMALL_STATE(5286)] = 180145,
  [SMALL_STATE(5287)] = 180226,
  [SMALL_STATE(5288)] = 180307,
  [SMALL_STATE(5289)] = 180388,
  [SMALL_STATE(5290)] = 180469,
  [SMALL_STATE(5291)] = 180550,
  [SMALL_STATE(5292)] = 180631,
  [SMALL_STATE(5293)] = 180712,
  [SMALL_STATE(5294)] = 180793,
  [SMALL_STATE(5295)] = 180874,
  [SMALL_STATE(5296)] = 180955,
  [SMALL_STATE(5297)] = 181030,
  [SMALL_STATE(5298)] = 181111,
  [SMALL_STATE(5299)] = 181192,
  [SMALL_STATE(5300)] = 181273,
  [SMALL_STATE(5301)] = 181348,
  [SMALL_STATE(5302)] = 181423,
  [SMALL_STATE(5303)] = 181498,
  [SMALL_STATE(5304)] = 181573,
  [SMALL_STATE(5305)] = 181648,
  [SMALL_STATE(5306)] = 181729,
  [SMALL_STATE(5307)] = 181810,
  [SMALL_STATE(5308)] = 181891,
  [SMALL_STATE(5309)] = 181972,
  [SMALL_STATE(5310)] = 182053,
  [SMALL_STATE(5311)] = 182134,
  [SMALL_STATE(5312)] = 182215,
  [SMALL_STATE(5313)] = 182296,
  [SMALL_STATE(5314)] = 182371,
  [SMALL_STATE(5315)] = 182446,
  [SMALL_STATE(5316)] = 182527,
  [SMALL_STATE(5317)] = 182608,
  [SMALL_STATE(5318)] = 182689,
  [SMALL_STATE(5319)] = 182770,
  [SMALL_STATE(5320)] = 182851,
  [SMALL_STATE(5321)] = 182932,
  [SMALL_STATE(5322)] = 183007,
  [SMALL_STATE(5323)] = 183076,
  [SMALL_STATE(5324)] = 183157,
  [SMALL_STATE(5325)] = 183238,
  [SMALL_STATE(5326)] = 183319,
  [SMALL_STATE(5327)] = 183400,
  [SMALL_STATE(5328)] = 183481,
  [SMALL_STATE(5329)] = 183562,
  [SMALL_STATE(5330)] = 183631,
  [SMALL_STATE(5331)] = 183700,
  [SMALL_STATE(5332)] = 183781,
  [SMALL_STATE(5333)] = 183862,
  [SMALL_STATE(5334)] = 183943,
  [SMALL_STATE(5335)] = 184024,
  [SMALL_STATE(5336)] = 184105,
  [SMALL_STATE(5337)] = 184186,
  [SMALL_STATE(5338)] = 184267,
  [SMALL_STATE(5339)] = 184348,
  [SMALL_STATE(5340)] = 184429,
  [SMALL_STATE(5341)] = 184510,
  [SMALL_STATE(5342)] = 184591,
  [SMALL_STATE(5343)] = 184672,
  [SMALL_STATE(5344)] = 184753,
  [SMALL_STATE(5345)] = 184834,
  [SMALL_STATE(5346)] = 184915,
  [SMALL_STATE(5347)] = 184996,
  [SMALL_STATE(5348)] = 185077,
  [SMALL_STATE(5349)] = 185158,
  [SMALL_STATE(5350)] = 185201,
  [SMALL_STATE(5351)] = 185244,
  [SMALL_STATE(5352)] = 185287,
  [SMALL_STATE(5353)] = 185330,
  [SMALL_STATE(5354)] = 185373,
  [SMALL_STATE(5355)] = 185416,
  [SMALL_STATE(5356)] = 185459,
  [SMALL_STATE(5357)] = 185502,
  [SMALL_STATE(5358)] = 185545,
  [SMALL_STATE(5359)] = 185588,
  [SMALL_STATE(5360)] = 185631,
  [SMALL_STATE(5361)] = 185712,
  [SMALL_STATE(5362)] = 185793,
  [SMALL_STATE(5363)] = 185874,
  [SMALL_STATE(5364)] = 185955,
  [SMALL_STATE(5365)] = 186036,
  [SMALL_STATE(5366)] = 186117,
  [SMALL_STATE(5367)] = 186198,
  [SMALL_STATE(5368)] = 186279,
  [SMALL_STATE(5369)] = 186354,
  [SMALL_STATE(5370)] = 186432,
  [SMALL_STATE(5371)] = 186506,
  [SMALL_STATE(5372)] = 186580,
  [SMALL_STATE(5373)] = 186654,
  [SMALL_STATE(5374)] = 186728,
  [SMALL_STATE(5375)] = 186802,
  [SMALL_STATE(5376)] = 186876,
  [SMALL_STATE(5377)] = 186946,
  [SMALL_STATE(5378)] = 187016,
  [SMALL_STATE(5379)] = 187086,
  [SMALL_STATE(5380)] = 187164,
  [SMALL_STATE(5381)] = 187234,
  [SMALL_STATE(5382)] = 187308,
  [SMALL_STATE(5383)] = 187382,
  [SMALL_STATE(5384)] = 187456,
  [SMALL_STATE(5385)] = 187530,
  [SMALL_STATE(5386)] = 187604,
  [SMALL_STATE(5387)] = 187678,
  [SMALL_STATE(5388)] = 187756,
  [SMALL_STATE(5389)] = 187834,
  [SMALL_STATE(5390)] = 187908,
  [SMALL_STATE(5391)] = 187982,
  [SMALL_STATE(5392)] = 188056,
  [SMALL_STATE(5393)] = 188134,
  [SMALL_STATE(5394)] = 188204,
  [SMALL_STATE(5395)] = 188282,
  [SMALL_STATE(5396)] = 188356,
  [SMALL_STATE(5397)] = 188430,
  [SMALL_STATE(5398)] = 188504,
  [SMALL_STATE(5399)] = 188578,
  [SMALL_STATE(5400)] = 188652,
  [SMALL_STATE(5401)] = 188722,
  [SMALL_STATE(5402)] = 188800,
  [SMALL_STATE(5403)] = 188874,
  [SMALL_STATE(5404)] = 188948,
  [SMALL_STATE(5405)] = 189022,
  [SMALL_STATE(5406)] = 189100,
  [SMALL_STATE(5407)] = 189178,
  [SMALL_STATE(5408)] = 189252,
  [SMALL_STATE(5409)] = 189330,
  [SMALL_STATE(5410)] = 189404,
  [SMALL_STATE(5411)] = 189478,
  [SMALL_STATE(5412)] = 189552,
  [SMALL_STATE(5413)] = 189630,
  [SMALL_STATE(5414)] = 189704,
  [SMALL_STATE(5415)] = 189778,
  [SMALL_STATE(5416)] = 189856,
  [SMALL_STATE(5417)] = 189930,
  [SMALL_STATE(5418)] = 190004,
  [SMALL_STATE(5419)] = 190078,
  [SMALL_STATE(5420)] = 190148,
  [SMALL_STATE(5421)] = 190222,
  [SMALL_STATE(5422)] = 190300,
  [SMALL_STATE(5423)] = 190378,
  [SMALL_STATE(5424)] = 190452,
  [SMALL_STATE(5425)] = 190530,
  [SMALL_STATE(5426)] = 190604,
  [SMALL_STATE(5427)] = 190674,
  [SMALL_STATE(5428)] = 190748,
  [SMALL_STATE(5429)] = 190826,
  [SMALL_STATE(5430)] = 190900,
  [SMALL_STATE(5431)] = 190974,
  [SMALL_STATE(5432)] = 191052,
  [SMALL_STATE(5433)] = 191126,
  [SMALL_STATE(5434)] = 191200,
  [SMALL_STATE(5435)] = 191278,
  [SMALL_STATE(5436)] = 191348,
  [SMALL_STATE(5437)] = 191415,
  [SMALL_STATE(5438)] = 191482,
  [SMALL_STATE(5439)] = 191549,
  [SMALL_STATE(5440)] = 191622,
  [SMALL_STATE(5441)] = 191689,
  [SMALL_STATE(5442)] = 191756,
  [SMALL_STATE(5443)] = 191823,
  [SMALL_STATE(5444)] = 191890,
  [SMALL_STATE(5445)] = 191957,
  [SMALL_STATE(5446)] = 192024,
  [SMALL_STATE(5447)] = 192091,
  [SMALL_STATE(5448)] = 192136,
  [SMALL_STATE(5449)] = 192203,
  [SMALL_STATE(5450)] = 192270,
  [SMALL_STATE(5451)] = 192337,
  [SMALL_STATE(5452)] = 192404,
  [SMALL_STATE(5453)] = 192477,
  [SMALL_STATE(5454)] = 192544,
  [SMALL_STATE(5455)] = 192611,
  [SMALL_STATE(5456)] = 192684,
  [SMALL_STATE(5457)] = 192751,
  [SMALL_STATE(5458)] = 192818,
  [SMALL_STATE(5459)] = 192885,
  [SMALL_STATE(5460)] = 192926,
  [SMALL_STATE(5461)] = 192993,
  [SMALL_STATE(5462)] = 193060,
  [SMALL_STATE(5463)] = 193127,
  [SMALL_STATE(5464)] = 193200,
  [SMALL_STATE(5465)] = 193267,
  [SMALL_STATE(5466)] = 193340,
  [SMALL_STATE(5467)] = 193407,
  [SMALL_STATE(5468)] = 193474,
  [SMALL_STATE(5469)] = 193541,
  [SMALL_STATE(5470)] = 193608,
  [SMALL_STATE(5471)] = 193675,
  [SMALL_STATE(5472)] = 193742,
  [SMALL_STATE(5473)] = 193809,
  [SMALL_STATE(5474)] = 193876,
  [SMALL_STATE(5475)] = 193943,
  [SMALL_STATE(5476)] = 194010,
  [SMALL_STATE(5477)] = 194077,
  [SMALL_STATE(5478)] = 194150,
  [SMALL_STATE(5479)] = 194217,
  [SMALL_STATE(5480)] = 194284,
  [SMALL_STATE(5481)] = 194357,
  [SMALL_STATE(5482)] = 194424,
  [SMALL_STATE(5483)] = 194491,
  [SMALL_STATE(5484)] = 194558,
  [SMALL_STATE(5485)] = 194625,
  [SMALL_STATE(5486)] = 194692,
  [SMALL_STATE(5487)] = 194735,
  [SMALL_STATE(5488)] = 194808,
  [SMALL_STATE(5489)] = 194875,
  [SMALL_STATE(5490)] = 194942,
  [SMALL_STATE(5491)] = 195009,
  [SMALL_STATE(5492)] = 195076,
  [SMALL_STATE(5493)] = 195121,
  [SMALL_STATE(5494)] = 195188,
  [SMALL_STATE(5495)] = 195255,
  [SMALL_STATE(5496)] = 195321,
  [SMALL_STATE(5497)] = 195387,
  [SMALL_STATE(5498)] = 195453,
  [SMALL_STATE(5499)] = 195519,
  [SMALL_STATE(5500)] = 195585,
  [SMALL_STATE(5501)] = 195625,
  [SMALL_STATE(5502)] = 195691,
  [SMALL_STATE(5503)] = 195757,
  [SMALL_STATE(5504)] = 195823,
  [SMALL_STATE(5505)] = 195889,
  [SMALL_STATE(5506)] = 195955,
  [SMALL_STATE(5507)] = 196021,
  [SMALL_STATE(5508)] = 196087,
  [SMALL_STATE(5509)] = 196152,
  [SMALL_STATE(5510)] = 196217,
  [SMALL_STATE(5511)] = 196282,
  [SMALL_STATE(5512)] = 196319,
  [SMALL_STATE(5513)] = 196372,
  [SMALL_STATE(5514)] = 196437,
  [SMALL_STATE(5515)] = 196502,
  [SMALL_STATE(5516)] = 196567,
  [SMALL_STATE(5517)] = 196632,
  [SMALL_STATE(5518)] = 196697,
  [SMALL_STATE(5519)] = 196762,
  [SMALL_STATE(5520)] = 196827,
  [SMALL_STATE(5521)] = 196892,
  [SMALL_STATE(5522)] = 196957,
  [SMALL_STATE(5523)] = 197021,
  [SMALL_STATE(5524)] = 197085,
  [SMALL_STATE(5525)] = 197149,
  [SMALL_STATE(5526)] = 197213,
  [SMALL_STATE(5527)] = 197271,
  [SMALL_STATE(5528)] = 197335,
  [SMALL_STATE(5529)] = 197393,
  [SMALL_STATE(5530)] = 197457,
  [SMALL_STATE(5531)] = 197521,
  [SMALL_STATE(5532)] = 197585,
  [SMALL_STATE(5533)] = 197649,
  [SMALL_STATE(5534)] = 197713,
  [SMALL_STATE(5535)] = 197771,
  [SMALL_STATE(5536)] = 197835,
  [SMALL_STATE(5537)] = 197899,
  [SMALL_STATE(5538)] = 197963,
  [SMALL_STATE(5539)] = 198027,
  [SMALL_STATE(5540)] = 198091,
  [SMALL_STATE(5541)] = 198155,
  [SMALL_STATE(5542)] = 198193,
  [SMALL_STATE(5543)] = 198257,
  [SMALL_STATE(5544)] = 198315,
  [SMALL_STATE(5545)] = 198379,
  [SMALL_STATE(5546)] = 198440,
  [SMALL_STATE(5547)] = 198501,
  [SMALL_STATE(5548)] = 198562,
  [SMALL_STATE(5549)] = 198623,
  [SMALL_STATE(5550)] = 198684,
  [SMALL_STATE(5551)] = 198745,
  [SMALL_STATE(5552)] = 198806,
  [SMALL_STATE(5553)] = 198880,
  [SMALL_STATE(5554)] = 198934,
  [SMALL_STATE(5555)] = 198996,
  [SMALL_STATE(5556)] = 199058,
  [SMALL_STATE(5557)] = 199120,
  [SMALL_STATE(5558)] = 199182,
  [SMALL_STATE(5559)] = 199244,
  [SMALL_STATE(5560)] = 199306,
  [SMALL_STATE(5561)] = 199368,
  [SMALL_STATE(5562)] = 199430,
  [SMALL_STATE(5563)] = 199492,
  [SMALL_STATE(5564)] = 199554,
  [SMALL_STATE(5565)] = 199628,
  [SMALL_STATE(5566)] = 199690,
  [SMALL_STATE(5567)] = 199764,
  [SMALL_STATE(5568)] = 199826,
  [SMALL_STATE(5569)] = 199873,
  [SMALL_STATE(5570)] = 199922,
  [SMALL_STATE(5571)] = 199953,
  [SMALL_STATE(5572)] = 200005,
  [SMALL_STATE(5573)] = 200057,
  [SMALL_STATE(5574)] = 200109,
  [SMALL_STATE(5575)] = 200161,
  [SMALL_STATE(5576)] = 200203,
  [SMALL_STATE(5577)] = 200245,
  [SMALL_STATE(5578)] = 200287,
  [SMALL_STATE(5579)] = 200357,
  [SMALL_STATE(5580)] = 200399,
  [SMALL_STATE(5581)] = 200451,
  [SMALL_STATE(5582)] = 200485,
  [SMALL_STATE(5583)] = 200537,
  [SMALL_STATE(5584)] = 200589,
  [SMALL_STATE(5585)] = 200641,
  [SMALL_STATE(5586)] = 200693,
  [SMALL_STATE(5587)] = 200745,
  [SMALL_STATE(5588)] = 200797,
  [SMALL_STATE(5589)] = 200839,
  [SMALL_STATE(5590)] = 200891,
  [SMALL_STATE(5591)] = 200933,
  [SMALL_STATE(5592)] = 200985,
  [SMALL_STATE(5593)] = 201037,
  [SMALL_STATE(5594)] = 201089,
  [SMALL_STATE(5595)] = 201131,
  [SMALL_STATE(5596)] = 201183,
  [SMALL_STATE(5597)] = 201235,
  [SMALL_STATE(5598)] = 201287,
  [SMALL_STATE(5599)] = 201357,
  [SMALL_STATE(5600)] = 201409,
  [SMALL_STATE(5601)] = 201461,
  [SMALL_STATE(5602)] = 201513,
  [SMALL_STATE(5603)] = 201565,
  [SMALL_STATE(5604)] = 201617,
  [SMALL_STATE(5605)] = 201669,
  [SMALL_STATE(5606)] = 201721,
  [SMALL_STATE(5607)] = 201773,
  [SMALL_STATE(5608)] = 201825,
  [SMALL_STATE(5609)] = 201877,
  [SMALL_STATE(5610)] = 201929,
  [SMALL_STATE(5611)] = 201981,
  [SMALL_STATE(5612)] = 202033,
  [SMALL_STATE(5613)] = 202085,
  [SMALL_STATE(5614)] = 202155,
  [SMALL_STATE(5615)] = 202197,
  [SMALL_STATE(5616)] = 202249,
  [SMALL_STATE(5617)] = 202301,
  [SMALL_STATE(5618)] = 202353,
  [SMALL_STATE(5619)] = 202399,
  [SMALL_STATE(5620)] = 202458,
  [SMALL_STATE(5621)] = 202517,
  [SMALL_STATE(5622)] = 202570,
  [SMALL_STATE(5623)] = 202629,
  [SMALL_STATE(5624)] = 202688,
  [SMALL_STATE(5625)] = 202747,
  [SMALL_STATE(5626)] = 202806,
  [SMALL_STATE(5627)] = 202865,
  [SMALL_STATE(5628)] = 202924,
  [SMALL_STATE(5629)] = 202983,
  [SMALL_STATE(5630)] = 203042,
  [SMALL_STATE(5631)] = 203101,
  [SMALL_STATE(5632)] = 203160,
  [SMALL_STATE(5633)] = 203219,
  [SMALL_STATE(5634)] = 203278,
  [SMALL_STATE(5635)] = 203337,
  [SMALL_STATE(5636)] = 203396,
  [SMALL_STATE(5637)] = 203455,
  [SMALL_STATE(5638)] = 203514,
  [SMALL_STATE(5639)] = 203573,
  [SMALL_STATE(5640)] = 203632,
  [SMALL_STATE(5641)] = 203691,
  [SMALL_STATE(5642)] = 203750,
  [SMALL_STATE(5643)] = 203809,
  [SMALL_STATE(5644)] = 203868,
  [SMALL_STATE(5645)] = 203931,
  [SMALL_STATE(5646)] = 203990,
  [SMALL_STATE(5647)] = 204033,
  [SMALL_STATE(5648)] = 204092,
  [SMALL_STATE(5649)] = 204135,
  [SMALL_STATE(5650)] = 204178,
  [SMALL_STATE(5651)] = 204237,
  [SMALL_STATE(5652)] = 204268,
  [SMALL_STATE(5653)] = 204321,
  [SMALL_STATE(5654)] = 204380,
  [SMALL_STATE(5655)] = 204439,
  [SMALL_STATE(5656)] = 204498,
  [SMALL_STATE(5657)] = 204557,
  [SMALL_STATE(5658)] = 204616,
  [SMALL_STATE(5659)] = 204675,
  [SMALL_STATE(5660)] = 204730,
  [SMALL_STATE(5661)] = 204789,
  [SMALL_STATE(5662)] = 204848,
  [SMALL_STATE(5663)] = 204907,
  [SMALL_STATE(5664)] = 204966,
  [SMALL_STATE(5665)] = 204995,
  [SMALL_STATE(5666)] = 205024,
  [SMALL_STATE(5667)] = 205083,
  [SMALL_STATE(5668)] = 205142,
  [SMALL_STATE(5669)] = 205201,
  [SMALL_STATE(5670)] = 205260,
  [SMALL_STATE(5671)] = 205319,
  [SMALL_STATE(5672)] = 205378,
  [SMALL_STATE(5673)] = 205437,
  [SMALL_STATE(5674)] = 205490,
  [SMALL_STATE(5675)] = 205537,
  [SMALL_STATE(5676)] = 205592,
  [SMALL_STATE(5677)] = 205651,
  [SMALL_STATE(5678)] = 205710,
  [SMALL_STATE(5679)] = 205769,
  [SMALL_STATE(5680)] = 205828,
  [SMALL_STATE(5681)] = 205887,
  [SMALL_STATE(5682)] = 205946,
  [SMALL_STATE(5683)] = 206005,
  [SMALL_STATE(5684)] = 206064,
  [SMALL_STATE(5685)] = 206123,
  [SMALL_STATE(5686)] = 206182,
  [SMALL_STATE(5687)] = 206241,
  [SMALL_STATE(5688)] = 206300,
  [SMALL_STATE(5689)] = 206359,
  [SMALL_STATE(5690)] = 206418,
  [SMALL_STATE(5691)] = 206477,
  [SMALL_STATE(5692)] = 206536,
  [SMALL_STATE(5693)] = 206595,
  [SMALL_STATE(5694)] = 206654,
  [SMALL_STATE(5695)] = 206693,
  [SMALL_STATE(5696)] = 206740,
  [SMALL_STATE(5697)] = 206779,
  [SMALL_STATE(5698)] = 206838,
  [SMALL_STATE(5699)] = 206897,
  [SMALL_STATE(5700)] = 206956,
  [SMALL_STATE(5701)] = 207015,
  [SMALL_STATE(5702)] = 207074,
  [SMALL_STATE(5703)] = 207133,
  [SMALL_STATE(5704)] = 207192,
  [SMALL_STATE(5705)] = 207251,
  [SMALL_STATE(5706)] = 207310,
  [SMALL_STATE(5707)] = 207369,
  [SMALL_STATE(5708)] = 207424,
  [SMALL_STATE(5709)] = 207463,
  [SMALL_STATE(5710)] = 207492,
  [SMALL_STATE(5711)] = 207521,
  [SMALL_STATE(5712)] = 207580,
  [SMALL_STATE(5713)] = 207639,
  [SMALL_STATE(5714)] = 207698,
  [SMALL_STATE(5715)] = 207757,
  [SMALL_STATE(5716)] = 207816,
  [SMALL_STATE(5717)] = 207875,
  [SMALL_STATE(5718)] = 207934,
  [SMALL_STATE(5719)] = 207993,
  [SMALL_STATE(5720)] = 208052,
  [SMALL_STATE(5721)] = 208111,
  [SMALL_STATE(5722)] = 208144,
  [SMALL_STATE(5723)] = 208203,
  [SMALL_STATE(5724)] = 208262,
  [SMALL_STATE(5725)] = 208301,
  [SMALL_STATE(5726)] = 208360,
  [SMALL_STATE(5727)] = 208419,
  [SMALL_STATE(5728)] = 208478,
  [SMALL_STATE(5729)] = 208537,
  [SMALL_STATE(5730)] = 208566,
  [SMALL_STATE(5731)] = 208625,
  [SMALL_STATE(5732)] = 208684,
  [SMALL_STATE(5733)] = 208724,
  [SMALL_STATE(5734)] = 208788,
  [SMALL_STATE(5735)] = 208824,
  [SMALL_STATE(5736)] = 208864,
  [SMALL_STATE(5737)] = 208904,
  [SMALL_STATE(5738)] = 208944,
  [SMALL_STATE(5739)] = 208984,
  [SMALL_STATE(5740)] = 209020,
  [SMALL_STATE(5741)] = 209084,
  [SMALL_STATE(5742)] = 209124,
  [SMALL_STATE(5743)] = 209164,
  [SMALL_STATE(5744)] = 209204,
  [SMALL_STATE(5745)] = 209256,
  [SMALL_STATE(5746)] = 209292,
  [SMALL_STATE(5747)] = 209332,
  [SMALL_STATE(5748)] = 209372,
  [SMALL_STATE(5749)] = 209408,
  [SMALL_STATE(5750)] = 209472,
  [SMALL_STATE(5751)] = 209524,
  [SMALL_STATE(5752)] = 209576,
  [SMALL_STATE(5753)] = 209604,
  [SMALL_STATE(5754)] = 209668,
  [SMALL_STATE(5755)] = 209732,
  [SMALL_STATE(5756)] = 209782,
  [SMALL_STATE(5757)] = 209846,
  [SMALL_STATE(5758)] = 209890,
  [SMALL_STATE(5759)] = 209954,
  [SMALL_STATE(5760)] = 210018,
  [SMALL_STATE(5761)] = 210068,
  [SMALL_STATE(5762)] = 210118,
  [SMALL_STATE(5763)] = 210170,
  [SMALL_STATE(5764)] = 210234,
  [SMALL_STATE(5765)] = 210286,
  [SMALL_STATE(5766)] = 210338,
  [SMALL_STATE(5767)] = 210402,
  [SMALL_STATE(5768)] = 210452,
  [SMALL_STATE(5769)] = 210484,
  [SMALL_STATE(5770)] = 210536,
  [SMALL_STATE(5771)] = 210576,
  [SMALL_STATE(5772)] = 210620,
  [SMALL_STATE(5773)] = 210672,
  [SMALL_STATE(5774)] = 210712,
  [SMALL_STATE(5775)] = 210752,
  [SMALL_STATE(5776)] = 210792,
  [SMALL_STATE(5777)] = 210832,
  [SMALL_STATE(5778)] = 210868,
  [SMALL_STATE(5779)] = 210908,
  [SMALL_STATE(5780)] = 210936,
  [SMALL_STATE(5781)] = 210986,
  [SMALL_STATE(5782)] = 211026,
  [SMALL_STATE(5783)] = 211054,
  [SMALL_STATE(5784)] = 211104,
  [SMALL_STATE(5785)] = 211132,
  [SMALL_STATE(5786)] = 211160,
  [SMALL_STATE(5787)] = 211192,
  [SMALL_STATE(5788)] = 211220,
  [SMALL_STATE(5789)] = 211268,
  [SMALL_STATE(5790)] = 211314,
  [SMALL_STATE(5791)] = 211360,
  [SMALL_STATE(5792)] = 211388,
  [SMALL_STATE(5793)] = 211416,
  [SMALL_STATE(5794)] = 211444,
  [SMALL_STATE(5795)] = 211488,
  [SMALL_STATE(5796)] = 211530,
  [SMALL_STATE(5797)] = 211580,
  [SMALL_STATE(5798)] = 211620,
  [SMALL_STATE(5799)] = 211656,
  [SMALL_STATE(5800)] = 211706,
  [SMALL_STATE(5801)] = 211758,
  [SMALL_STATE(5802)] = 211792,
  [SMALL_STATE(5803)] = 211820,
  [SMALL_STATE(5804)] = 211860,
  [SMALL_STATE(5805)] = 211900,
  [SMALL_STATE(5806)] = 211940,
  [SMALL_STATE(5807)] = 211992,
  [SMALL_STATE(5808)] = 212032,
  [SMALL_STATE(5809)] = 212084,
  [SMALL_STATE(5810)] = 212134,
  [SMALL_STATE(5811)] = 212162,
  [SMALL_STATE(5812)] = 212190,
  [SMALL_STATE(5813)] = 212230,
  [SMALL_STATE(5814)] = 212280,
  [SMALL_STATE(5815)] = 212308,
  [SMALL_STATE(5816)] = 212358,
  [SMALL_STATE(5817)] = 212398,
  [SMALL_STATE(5818)] = 212450,
  [SMALL_STATE(5819)] = 212478,
  [SMALL_STATE(5820)] = 212530,
  [SMALL_STATE(5821)] = 212580,
  [SMALL_STATE(5822)] = 212608,
  [SMALL_STATE(5823)] = 212672,
  [SMALL_STATE(5824)] = 212722,
  [SMALL_STATE(5825)] = 212750,
  [SMALL_STATE(5826)] = 212814,
  [SMALL_STATE(5827)] = 212864,
  [SMALL_STATE(5828)] = 212914,
  [SMALL_STATE(5829)] = 212964,
  [SMALL_STATE(5830)] = 213014,
  [SMALL_STATE(5831)] = 213050,
  [SMALL_STATE(5832)] = 213090,
  [SMALL_STATE(5833)] = 213142,
  [SMALL_STATE(5834)] = 213178,
  [SMALL_STATE(5835)] = 213230,
  [SMALL_STATE(5836)] = 213282,
  [SMALL_STATE(5837)] = 213322,
  [SMALL_STATE(5838)] = 213372,
  [SMALL_STATE(5839)] = 213436,
  [SMALL_STATE(5840)] = 213476,
  [SMALL_STATE(5841)] = 213512,
  [SMALL_STATE(5842)] = 213552,
  [SMALL_STATE(5843)] = 213592,
  [SMALL_STATE(5844)] = 213644,
  [SMALL_STATE(5845)] = 213696,
  [SMALL_STATE(5846)] = 213736,
  [SMALL_STATE(5847)] = 213772,
  [SMALL_STATE(5848)] = 213822,
  [SMALL_STATE(5849)] = 213850,
  [SMALL_STATE(5850)] = 213878,
  [SMALL_STATE(5851)] = 213918,
  [SMALL_STATE(5852)] = 213970,
  [SMALL_STATE(5853)] = 214022,
  [SMALL_STATE(5854)] = 214050,
  [SMALL_STATE(5855)] = 214102,
  [SMALL_STATE(5856)] = 214130,
  [SMALL_STATE(5857)] = 214158,
  [SMALL_STATE(5858)] = 214186,
  [SMALL_STATE(5859)] = 214226,
  [SMALL_STATE(5860)] = 214254,
  [SMALL_STATE(5861)] = 214294,
  [SMALL_STATE(5862)] = 214334,
  [SMALL_STATE(5863)] = 214374,
  [SMALL_STATE(5864)] = 214414,
  [SMALL_STATE(5865)] = 214442,
  [SMALL_STATE(5866)] = 214470,
  [SMALL_STATE(5867)] = 214510,
  [SMALL_STATE(5868)] = 214574,
  [SMALL_STATE(5869)] = 214604,
  [SMALL_STATE(5870)] = 214644,
  [SMALL_STATE(5871)] = 214696,
  [SMALL_STATE(5872)] = 214724,
  [SMALL_STATE(5873)] = 214776,
  [SMALL_STATE(5874)] = 214828,
  [SMALL_STATE(5875)] = 214880,
  [SMALL_STATE(5876)] = 214932,
  [SMALL_STATE(5877)] = 214984,
  [SMALL_STATE(5878)] = 215024,
  [SMALL_STATE(5879)] = 215060,
  [SMALL_STATE(5880)] = 215100,
  [SMALL_STATE(5881)] = 215152,
  [SMALL_STATE(5882)] = 215180,
  [SMALL_STATE(5883)] = 215215,
  [SMALL_STATE(5884)] = 215242,
  [SMALL_STATE(5885)] = 215273,
  [SMALL_STATE(5886)] = 215320,
  [SMALL_STATE(5887)] = 215375,
  [SMALL_STATE(5888)] = 215402,
  [SMALL_STATE(5889)] = 215429,
  [SMALL_STATE(5890)] = 215458,
  [SMALL_STATE(5891)] = 215485,
  [SMALL_STATE(5892)] = 215542,
  [SMALL_STATE(5893)] = 215569,
  [SMALL_STATE(5894)] = 215596,
  [SMALL_STATE(5895)] = 215623,
  [SMALL_STATE(5896)] = 215670,
  [SMALL_STATE(5897)] = 215725,
  [SMALL_STATE(5898)] = 215768,
  [SMALL_STATE(5899)] = 215823,
  [SMALL_STATE(5900)] = 215868,
  [SMALL_STATE(5901)] = 215925,
  [SMALL_STATE(5902)] = 215960,
  [SMALL_STATE(5903)] = 216017,
  [SMALL_STATE(5904)] = 216064,
  [SMALL_STATE(5905)] = 216091,
  [SMALL_STATE(5906)] = 216136,
  [SMALL_STATE(5907)] = 216183,
  [SMALL_STATE(5908)] = 216228,
  [SMALL_STATE(5909)] = 216275,
  [SMALL_STATE(5910)] = 216310,
  [SMALL_STATE(5911)] = 216341,
  [SMALL_STATE(5912)] = 216388,
  [SMALL_STATE(5913)] = 216433,
  [SMALL_STATE(5914)] = 216460,
  [SMALL_STATE(5915)] = 216517,
  [SMALL_STATE(5916)] = 216544,
  [SMALL_STATE(5917)] = 216589,
  [SMALL_STATE(5918)] = 216636,
  [SMALL_STATE(5919)] = 216663,
  [SMALL_STATE(5920)] = 216712,
  [SMALL_STATE(5921)] = 216739,
  [SMALL_STATE(5922)] = 216766,
  [SMALL_STATE(5923)] = 216793,
  [SMALL_STATE(5924)] = 216828,
  [SMALL_STATE(5925)] = 216873,
  [SMALL_STATE(5926)] = 216928,
  [SMALL_STATE(5927)] = 216955,
  [SMALL_STATE(5928)] = 216982,
  [SMALL_STATE(5929)] = 217027,
  [SMALL_STATE(5930)] = 217074,
  [SMALL_STATE(5931)] = 217105,
  [SMALL_STATE(5932)] = 217132,
  [SMALL_STATE(5933)] = 217177,
  [SMALL_STATE(5934)] = 217212,
  [SMALL_STATE(5935)] = 217247,
  [SMALL_STATE(5936)] = 217304,
  [SMALL_STATE(5937)] = 217331,
  [SMALL_STATE(5938)] = 217380,
  [SMALL_STATE(5939)] = 217411,
  [SMALL_STATE(5940)] = 217466,
  [SMALL_STATE(5941)] = 217513,
  [SMALL_STATE(5942)] = 217540,
  [SMALL_STATE(5943)] = 217567,
  [SMALL_STATE(5944)] = 217602,
  [SMALL_STATE(5945)] = 217629,
  [SMALL_STATE(5946)] = 217658,
  [SMALL_STATE(5947)] = 217685,
  [SMALL_STATE(5948)] = 217742,
  [SMALL_STATE(5949)] = 217787,
  [SMALL_STATE(5950)] = 217814,
  [SMALL_STATE(5951)] = 217849,
  [SMALL_STATE(5952)] = 217892,
  [SMALL_STATE(5953)] = 217933,
  [SMALL_STATE(5954)] = 217972,
  [SMALL_STATE(5955)] = 218009,
  [SMALL_STATE(5956)] = 218044,
  [SMALL_STATE(5957)] = 218079,
  [SMALL_STATE(5958)] = 218112,
  [SMALL_STATE(5959)] = 218143,
  [SMALL_STATE(5960)] = 218174,
  [SMALL_STATE(5961)] = 218219,
  [SMALL_STATE(5962)] = 218266,
  [SMALL_STATE(5963)] = 218313,
  [SMALL_STATE(5964)] = 218358,
  [SMALL_STATE(5965)] = 218403,
  [SMALL_STATE(5966)] = 218448,
  [SMALL_STATE(5967)] = 218475,
  [SMALL_STATE(5968)] = 218502,
  [SMALL_STATE(5969)] = 218529,
  [SMALL_STATE(5970)] = 218576,
  [SMALL_STATE(5971)] = 218621,
  [SMALL_STATE(5972)] = 218678,
  [SMALL_STATE(5973)] = 218733,
  [SMALL_STATE(5974)] = 218760,
  [SMALL_STATE(5975)] = 218805,
  [SMALL_STATE(5976)] = 218840,
  [SMALL_STATE(5977)] = 218888,
  [SMALL_STATE(5978)] = 218942,
  [SMALL_STATE(5979)] = 218976,
  [SMALL_STATE(5980)] = 219014,
  [SMALL_STATE(5981)] = 219068,
  [SMALL_STATE(5982)] = 219106,
  [SMALL_STATE(5983)] = 219160,
  [SMALL_STATE(5984)] = 219188,
  [SMALL_STATE(5985)] = 219226,
  [SMALL_STATE(5986)] = 219260,
  [SMALL_STATE(5987)] = 219298,
  [SMALL_STATE(5988)] = 219332,
  [SMALL_STATE(5989)] = 219370,
  [SMALL_STATE(5990)] = 219404,
  [SMALL_STATE(5991)] = 219434,
  [SMALL_STATE(5992)] = 219464,
  [SMALL_STATE(5993)] = 219494,
  [SMALL_STATE(5994)] = 219532,
  [SMALL_STATE(5995)] = 219574,
  [SMALL_STATE(5996)] = 219628,
  [SMALL_STATE(5997)] = 219676,
  [SMALL_STATE(5998)] = 219730,
  [SMALL_STATE(5999)] = 219778,
  [SMALL_STATE(6000)] = 219812,
  [SMALL_STATE(6001)] = 219842,
  [SMALL_STATE(6002)] = 219880,
  [SMALL_STATE(6003)] = 219918,
  [SMALL_STATE(6004)] = 219956,
  [SMALL_STATE(6005)] = 219994,
  [SMALL_STATE(6006)] = 220032,
  [SMALL_STATE(6007)] = 220070,
  [SMALL_STATE(6008)] = 220108,
  [SMALL_STATE(6009)] = 220146,
  [SMALL_STATE(6010)] = 220200,
  [SMALL_STATE(6011)] = 220238,
  [SMALL_STATE(6012)] = 220272,
  [SMALL_STATE(6013)] = 220302,
  [SMALL_STATE(6014)] = 220336,
  [SMALL_STATE(6015)] = 220370,
  [SMALL_STATE(6016)] = 220418,
  [SMALL_STATE(6017)] = 220472,
  [SMALL_STATE(6018)] = 220510,
  [SMALL_STATE(6019)] = 220559,
  [SMALL_STATE(6020)] = 220608,
  [SMALL_STATE(6021)] = 220645,
  [SMALL_STATE(6022)] = 220688,
  [SMALL_STATE(6023)] = 220737,
  [SMALL_STATE(6024)] = 220762,
  [SMALL_STATE(6025)] = 220799,
  [SMALL_STATE(6026)] = 220848,
  [SMALL_STATE(6027)] = 220897,
  [SMALL_STATE(6028)] = 220946,
  [SMALL_STATE(6029)] = 220995,
  [SMALL_STATE(6030)] = 221044,
  [SMALL_STATE(6031)] = 221093,
  [SMALL_STATE(6032)] = 221122,
  [SMALL_STATE(6033)] = 221165,
  [SMALL_STATE(6034)] = 221202,
  [SMALL_STATE(6035)] = 221251,
  [SMALL_STATE(6036)] = 221300,
  [SMALL_STATE(6037)] = 221349,
  [SMALL_STATE(6038)] = 221398,
  [SMALL_STATE(6039)] = 221447,
  [SMALL_STATE(6040)] = 221496,
  [SMALL_STATE(6041)] = 221539,
  [SMALL_STATE(6042)] = 221570,
  [SMALL_STATE(6043)] = 221619,
  [SMALL_STATE(6044)] = 221668,
  [SMALL_STATE(6045)] = 221701,
  [SMALL_STATE(6046)] = 221750,
  [SMALL_STATE(6047)] = 221787,
  [SMALL_STATE(6048)] = 221812,
  [SMALL_STATE(6049)] = 221861,
  [SMALL_STATE(6050)] = 221910,
  [SMALL_STATE(6051)] = 221953,
  [SMALL_STATE(6052)] = 221984,
  [SMALL_STATE(6053)] = 222021,
  [SMALL_STATE(6054)] = 222070,
  [SMALL_STATE(6055)] = 222119,
  [SMALL_STATE(6056)] = 222160,
  [SMALL_STATE(6057)] = 222209,
  [SMALL_STATE(6058)] = 222246,
  [SMALL_STATE(6059)] = 222289,
  [SMALL_STATE(6060)] = 222338,
  [SMALL_STATE(6061)] = 222387,
  [SMALL_STATE(6062)] = 222436,
  [SMALL_STATE(6063)] = 222479,
  [SMALL_STATE(6064)] = 222516,
  [SMALL_STATE(6065)] = 222557,
  [SMALL_STATE(6066)] = 222588,
  [SMALL_STATE(6067)] = 222617,
  [SMALL_STATE(6068)] = 222648,
  [SMALL_STATE(6069)] = 222677,
  [SMALL_STATE(6070)] = 222714,
  [SMALL_STATE(6071)] = 222754,
  [SMALL_STATE(6072)] = 222778,
  [SMALL_STATE(6073)] = 222808,
  [SMALL_STATE(6074)] = 222848,
  [SMALL_STATE(6075)] = 222888,
  [SMALL_STATE(6076)] = 222924,
  [SMALL_STATE(6077)] = 222970,
  [SMALL_STATE(6078)] = 222994,
  [SMALL_STATE(6079)] = 223026,
  [SMALL_STATE(6080)] = 223066,
  [SMALL_STATE(6081)] = 223102,
  [SMALL_STATE(6082)] = 223138,
  [SMALL_STATE(6083)] = 223178,
  [SMALL_STATE(6084)] = 223214,
  [SMALL_STATE(6085)] = 223238,
  [SMALL_STATE(6086)] = 223278,
  [SMALL_STATE(6087)] = 223310,
  [SMALL_STATE(6088)] = 223334,
  [SMALL_STATE(6089)] = 223358,
  [SMALL_STATE(6090)] = 223398,
  [SMALL_STATE(6091)] = 223430,
  [SMALL_STATE(6092)] = 223454,
  [SMALL_STATE(6093)] = 223478,
  [SMALL_STATE(6094)] = 223502,
  [SMALL_STATE(6095)] = 223526,
  [SMALL_STATE(6096)] = 223550,
  [SMALL_STATE(6097)] = 223574,
  [SMALL_STATE(6098)] = 223614,
  [SMALL_STATE(6099)] = 223638,
  [SMALL_STATE(6100)] = 223664,
  [SMALL_STATE(6101)] = 223696,
  [SMALL_STATE(6102)] = 223736,
  [SMALL_STATE(6103)] = 223760,
  [SMALL_STATE(6104)] = 223784,
  [SMALL_STATE(6105)] = 223820,
  [SMALL_STATE(6106)] = 223844,
  [SMALL_STATE(6107)] = 223868,
  [SMALL_STATE(6108)] = 223900,
  [SMALL_STATE(6109)] = 223946,
  [SMALL_STATE(6110)] = 223970,
  [SMALL_STATE(6111)] = 224006,
  [SMALL_STATE(6112)] = 224030,
  [SMALL_STATE(6113)] = 224070,
  [SMALL_STATE(6114)] = 224104,
  [SMALL_STATE(6115)] = 224140,
  [SMALL_STATE(6116)] = 224164,
  [SMALL_STATE(6117)] = 224188,
  [SMALL_STATE(6118)] = 224212,
  [SMALL_STATE(6119)] = 224248,
  [SMALL_STATE(6120)] = 224284,
  [SMALL_STATE(6121)] = 224308,
  [SMALL_STATE(6122)] = 224344,
  [SMALL_STATE(6123)] = 224368,
  [SMALL_STATE(6124)] = 224392,
  [SMALL_STATE(6125)] = 224434,
  [SMALL_STATE(6126)] = 224466,
  [SMALL_STATE(6127)] = 224502,
  [SMALL_STATE(6128)] = 224536,
  [SMALL_STATE(6129)] = 224570,
  [SMALL_STATE(6130)] = 224606,
  [SMALL_STATE(6131)] = 224642,
  [SMALL_STATE(6132)] = 224678,
  [SMALL_STATE(6133)] = 224714,
  [SMALL_STATE(6134)] = 224738,
  [SMALL_STATE(6135)] = 224778,
  [SMALL_STATE(6136)] = 224802,
  [SMALL_STATE(6137)] = 224826,
  [SMALL_STATE(6138)] = 224850,
  [SMALL_STATE(6139)] = 224882,
  [SMALL_STATE(6140)] = 224914,
  [SMALL_STATE(6141)] = 224948,
  [SMALL_STATE(6142)] = 224972,
  [SMALL_STATE(6143)] = 225012,
  [SMALL_STATE(6144)] = 225036,
  [SMALL_STATE(6145)] = 225076,
  [SMALL_STATE(6146)] = 225116,
  [SMALL_STATE(6147)] = 225140,
  [SMALL_STATE(6148)] = 225176,
  [SMALL_STATE(6149)] = 225200,
  [SMALL_STATE(6150)] = 225224,
  [SMALL_STATE(6151)] = 225248,
  [SMALL_STATE(6152)] = 225294,
  [SMALL_STATE(6153)] = 225334,
  [SMALL_STATE(6154)] = 225374,
  [SMALL_STATE(6155)] = 225414,
  [SMALL_STATE(6156)] = 225438,
  [SMALL_STATE(6157)] = 225478,
  [SMALL_STATE(6158)] = 225518,
  [SMALL_STATE(6159)] = 225550,
  [SMALL_STATE(6160)] = 225580,
  [SMALL_STATE(6161)] = 225604,
  [SMALL_STATE(6162)] = 225628,
  [SMALL_STATE(6163)] = 225652,
  [SMALL_STATE(6164)] = 225676,
  [SMALL_STATE(6165)] = 225716,
  [SMALL_STATE(6166)] = 225740,
  [SMALL_STATE(6167)] = 225764,
  [SMALL_STATE(6168)] = 225798,
  [SMALL_STATE(6169)] = 225830,
  [SMALL_STATE(6170)] = 225870,
  [SMALL_STATE(6171)] = 225894,
  [SMALL_STATE(6172)] = 225937,
  [SMALL_STATE(6173)] = 225970,
  [SMALL_STATE(6174)] = 225999,
  [SMALL_STATE(6175)] = 226030,
  [SMALL_STATE(6176)] = 226061,
  [SMALL_STATE(6177)] = 226092,
  [SMALL_STATE(6178)] = 226123,
  [SMALL_STATE(6179)] = 226154,
  [SMALL_STATE(6180)] = 226185,
  [SMALL_STATE(6181)] = 226220,
  [SMALL_STATE(6182)] = 226251,
  [SMALL_STATE(6183)] = 226280,
  [SMALL_STATE(6184)] = 226313,
  [SMALL_STATE(6185)] = 226346,
  [SMALL_STATE(6186)] = 226381,
  [SMALL_STATE(6187)] = 226412,
  [SMALL_STATE(6188)] = 226455,
  [SMALL_STATE(6189)] = 226490,
  [SMALL_STATE(6190)] = 226535,
  [SMALL_STATE(6191)] = 226568,
  [SMALL_STATE(6192)] = 226599,
  [SMALL_STATE(6193)] = 226642,
  [SMALL_STATE(6194)] = 226687,
  [SMALL_STATE(6195)] = 226716,
  [SMALL_STATE(6196)] = 226759,
  [SMALL_STATE(6197)] = 226788,
  [SMALL_STATE(6198)] = 226833,
  [SMALL_STATE(6199)] = 226866,
  [SMALL_STATE(6200)] = 226905,
  [SMALL_STATE(6201)] = 226938,
  [SMALL_STATE(6202)] = 226963,
  [SMALL_STATE(6203)] = 226998,
  [SMALL_STATE(6204)] = 227027,
  [SMALL_STATE(6205)] = 227066,
  [SMALL_STATE(6206)] = 227093,
  [SMALL_STATE(6207)] = 227122,
  [SMALL_STATE(6208)] = 227155,
  [SMALL_STATE(6209)] = 227186,
  [SMALL_STATE(6210)] = 227213,
  [SMALL_STATE(6211)] = 227246,
  [SMALL_STATE(6212)] = 227275,
  [SMALL_STATE(6213)] = 227318,
  [SMALL_STATE(6214)] = 227345,
  [SMALL_STATE(6215)] = 227376,
  [SMALL_STATE(6216)] = 227421,
  [SMALL_STATE(6217)] = 227452,
  [SMALL_STATE(6218)] = 227483,
  [SMALL_STATE(6219)] = 227512,
  [SMALL_STATE(6220)] = 227557,
  [SMALL_STATE(6221)] = 227582,
  [SMALL_STATE(6222)] = 227625,
  [SMALL_STATE(6223)] = 227658,
  [SMALL_STATE(6224)] = 227689,
  [SMALL_STATE(6225)] = 227732,
  [SMALL_STATE(6226)] = 227771,
  [SMALL_STATE(6227)] = 227806,
  [SMALL_STATE(6228)] = 227845,
  [SMALL_STATE(6229)] = 227890,
  [SMALL_STATE(6230)] = 227933,
  [SMALL_STATE(6231)] = 227972,
  [SMALL_STATE(6232)] = 228001,
  [SMALL_STATE(6233)] = 228028,
  [SMALL_STATE(6234)] = 228057,
  [SMALL_STATE(6235)] = 228086,
  [SMALL_STATE(6236)] = 228115,
  [SMALL_STATE(6237)] = 228142,
  [SMALL_STATE(6238)] = 228171,
  [SMALL_STATE(6239)] = 228210,
  [SMALL_STATE(6240)] = 228241,
  [SMALL_STATE(6241)] = 228270,
  [SMALL_STATE(6242)] = 228301,
  [SMALL_STATE(6243)] = 228330,
  [SMALL_STATE(6244)] = 228359,
  [SMALL_STATE(6245)] = 228392,
  [SMALL_STATE(6246)] = 228421,
  [SMALL_STATE(6247)] = 228450,
  [SMALL_STATE(6248)] = 228481,
  [SMALL_STATE(6249)] = 228524,
  [SMALL_STATE(6250)] = 228569,
  [SMALL_STATE(6251)] = 228602,
  [SMALL_STATE(6252)] = 228635,
  [SMALL_STATE(6253)] = 228678,
  [SMALL_STATE(6254)] = 228717,
  [SMALL_STATE(6255)] = 228746,
  [SMALL_STATE(6256)] = 228777,
  [SMALL_STATE(6257)] = 228800,
  [SMALL_STATE(6258)] = 228829,
  [SMALL_STATE(6259)] = 228876,
  [SMALL_STATE(6260)] = 228909,
  [SMALL_STATE(6261)] = 228938,
  [SMALL_STATE(6262)] = 228969,
  [SMALL_STATE(6263)] = 229002,
  [SMALL_STATE(6264)] = 229035,
  [SMALL_STATE(6265)] = 229066,
  [SMALL_STATE(6266)] = 229093,
  [SMALL_STATE(6267)] = 229116,
  [SMALL_STATE(6268)] = 229145,
  [SMALL_STATE(6269)] = 229184,
  [SMALL_STATE(6270)] = 229217,
  [SMALL_STATE(6271)] = 229257,
  [SMALL_STATE(6272)] = 229297,
  [SMALL_STATE(6273)] = 229337,
  [SMALL_STATE(6274)] = 229377,
  [SMALL_STATE(6275)] = 229417,
  [SMALL_STATE(6276)] = 229455,
  [SMALL_STATE(6277)] = 229477,
  [SMALL_STATE(6278)] = 229509,
  [SMALL_STATE(6279)] = 229549,
  [SMALL_STATE(6280)] = 229571,
  [SMALL_STATE(6281)] = 229609,
  [SMALL_STATE(6282)] = 229649,
  [SMALL_STATE(6283)] = 229689,
  [SMALL_STATE(6284)] = 229717,
  [SMALL_STATE(6285)] = 229757,
  [SMALL_STATE(6286)] = 229797,
  [SMALL_STATE(6287)] = 229837,
  [SMALL_STATE(6288)] = 229877,
  [SMALL_STATE(6289)] = 229917,
  [SMALL_STATE(6290)] = 229945,
  [SMALL_STATE(6291)] = 229973,
  [SMALL_STATE(6292)] = 230013,
  [SMALL_STATE(6293)] = 230051,
  [SMALL_STATE(6294)] = 230073,
  [SMALL_STATE(6295)] = 230099,
  [SMALL_STATE(6296)] = 230137,
  [SMALL_STATE(6297)] = 230159,
  [SMALL_STATE(6298)] = 230193,
  [SMALL_STATE(6299)] = 230231,
  [SMALL_STATE(6300)] = 230265,
  [SMALL_STATE(6301)] = 230293,
  [SMALL_STATE(6302)] = 230325,
  [SMALL_STATE(6303)] = 230353,
  [SMALL_STATE(6304)] = 230385,
  [SMALL_STATE(6305)] = 230407,
  [SMALL_STATE(6306)] = 230439,
  [SMALL_STATE(6307)] = 230471,
  [SMALL_STATE(6308)] = 230503,
  [SMALL_STATE(6309)] = 230543,
  [SMALL_STATE(6310)] = 230575,
  [SMALL_STATE(6311)] = 230607,
  [SMALL_STATE(6312)] = 230639,
  [SMALL_STATE(6313)] = 230671,
  [SMALL_STATE(6314)] = 230703,
  [SMALL_STATE(6315)] = 230741,
  [SMALL_STATE(6316)] = 230771,
  [SMALL_STATE(6317)] = 230801,
  [SMALL_STATE(6318)] = 230831,
  [SMALL_STATE(6319)] = 230861,
  [SMALL_STATE(6320)] = 230901,
  [SMALL_STATE(6321)] = 230931,
  [SMALL_STATE(6322)] = 230961,
  [SMALL_STATE(6323)] = 230991,
  [SMALL_STATE(6324)] = 231021,
  [SMALL_STATE(6325)] = 231053,
  [SMALL_STATE(6326)] = 231091,
  [SMALL_STATE(6327)] = 231125,
  [SMALL_STATE(6328)] = 231163,
  [SMALL_STATE(6329)] = 231201,
  [SMALL_STATE(6330)] = 231241,
  [SMALL_STATE(6331)] = 231279,
  [SMALL_STATE(6332)] = 231317,
  [SMALL_STATE(6333)] = 231343,
  [SMALL_STATE(6334)] = 231381,
  [SMALL_STATE(6335)] = 231409,
  [SMALL_STATE(6336)] = 231447,
  [SMALL_STATE(6337)] = 231487,
  [SMALL_STATE(6338)] = 231521,
  [SMALL_STATE(6339)] = 231561,
  [SMALL_STATE(6340)] = 231599,
  [SMALL_STATE(6341)] = 231637,
  [SMALL_STATE(6342)] = 231665,
  [SMALL_STATE(6343)] = 231689,
  [SMALL_STATE(6344)] = 231727,
  [SMALL_STATE(6345)] = 231765,
  [SMALL_STATE(6346)] = 231803,
  [SMALL_STATE(6347)] = 231835,
  [SMALL_STATE(6348)] = 231873,
  [SMALL_STATE(6349)] = 231913,
  [SMALL_STATE(6350)] = 231953,
  [SMALL_STATE(6351)] = 231987,
  [SMALL_STATE(6352)] = 232015,
  [SMALL_STATE(6353)] = 232050,
  [SMALL_STATE(6354)] = 232083,
  [SMALL_STATE(6355)] = 232104,
  [SMALL_STATE(6356)] = 232141,
  [SMALL_STATE(6357)] = 232174,
  [SMALL_STATE(6358)] = 232213,
  [SMALL_STATE(6359)] = 232246,
  [SMALL_STATE(6360)] = 232279,
  [SMALL_STATE(6361)] = 232312,
  [SMALL_STATE(6362)] = 232333,
  [SMALL_STATE(6363)] = 232354,
  [SMALL_STATE(6364)] = 232375,
  [SMALL_STATE(6365)] = 232396,
  [SMALL_STATE(6366)] = 232429,
  [SMALL_STATE(6367)] = 232450,
  [SMALL_STATE(6368)] = 232475,
  [SMALL_STATE(6369)] = 232508,
  [SMALL_STATE(6370)] = 232529,
  [SMALL_STATE(6371)] = 232564,
  [SMALL_STATE(6372)] = 232585,
  [SMALL_STATE(6373)] = 232606,
  [SMALL_STATE(6374)] = 232639,
  [SMALL_STATE(6375)] = 232660,
  [SMALL_STATE(6376)] = 232695,
  [SMALL_STATE(6377)] = 232728,
  [SMALL_STATE(6378)] = 232761,
  [SMALL_STATE(6379)] = 232782,
  [SMALL_STATE(6380)] = 232817,
  [SMALL_STATE(6381)] = 232850,
  [SMALL_STATE(6382)] = 232871,
  [SMALL_STATE(6383)] = 232892,
  [SMALL_STATE(6384)] = 232925,
  [SMALL_STATE(6385)] = 232946,
  [SMALL_STATE(6386)] = 232967,
  [SMALL_STATE(6387)] = 232988,
  [SMALL_STATE(6388)] = 233021,
  [SMALL_STATE(6389)] = 233052,
  [SMALL_STATE(6390)] = 233085,
  [SMALL_STATE(6391)] = 233106,
  [SMALL_STATE(6392)] = 233139,
  [SMALL_STATE(6393)] = 233172,
  [SMALL_STATE(6394)] = 233199,
  [SMALL_STATE(6395)] = 233220,
  [SMALL_STATE(6396)] = 233255,
  [SMALL_STATE(6397)] = 233276,
  [SMALL_STATE(6398)] = 233297,
  [SMALL_STATE(6399)] = 233318,
  [SMALL_STATE(6400)] = 233339,
  [SMALL_STATE(6401)] = 233372,
  [SMALL_STATE(6402)] = 233405,
  [SMALL_STATE(6403)] = 233444,
  [SMALL_STATE(6404)] = 233481,
  [SMALL_STATE(6405)] = 233502,
  [SMALL_STATE(6406)] = 233535,
  [SMALL_STATE(6407)] = 233568,
  [SMALL_STATE(6408)] = 233601,
  [SMALL_STATE(6409)] = 233634,
  [SMALL_STATE(6410)] = 233669,
  [SMALL_STATE(6411)] = 233704,
  [SMALL_STATE(6412)] = 233725,
  [SMALL_STATE(6413)] = 233764,
  [SMALL_STATE(6414)] = 233797,
  [SMALL_STATE(6415)] = 233832,
  [SMALL_STATE(6416)] = 233853,
  [SMALL_STATE(6417)] = 233878,
  [SMALL_STATE(6418)] = 233911,
  [SMALL_STATE(6419)] = 233946,
  [SMALL_STATE(6420)] = 233985,
  [SMALL_STATE(6421)] = 234012,
  [SMALL_STATE(6422)] = 234039,
  [SMALL_STATE(6423)] = 234066,
  [SMALL_STATE(6424)] = 234093,
  [SMALL_STATE(6425)] = 234120,
  [SMALL_STATE(6426)] = 234147,
  [SMALL_STATE(6427)] = 234174,
  [SMALL_STATE(6428)] = 234201,
  [SMALL_STATE(6429)] = 234222,
  [SMALL_STATE(6430)] = 234255,
  [SMALL_STATE(6431)] = 234290,
  [SMALL_STATE(6432)] = 234311,
  [SMALL_STATE(6433)] = 234332,
  [SMALL_STATE(6434)] = 234371,
  [SMALL_STATE(6435)] = 234406,
  [SMALL_STATE(6436)] = 234427,
  [SMALL_STATE(6437)] = 234452,
  [SMALL_STATE(6438)] = 234487,
  [SMALL_STATE(6439)] = 234518,
  [SMALL_STATE(6440)] = 234549,
  [SMALL_STATE(6441)] = 234580,
  [SMALL_STATE(6442)] = 234611,
  [SMALL_STATE(6443)] = 234644,
  [SMALL_STATE(6444)] = 234677,
  [SMALL_STATE(6445)] = 234710,
  [SMALL_STATE(6446)] = 234735,
  [SMALL_STATE(6447)] = 234763,
  [SMALL_STATE(6448)] = 234793,
  [SMALL_STATE(6449)] = 234821,
  [SMALL_STATE(6450)] = 234849,
  [SMALL_STATE(6451)] = 234879,
  [SMALL_STATE(6452)] = 234909,
  [SMALL_STATE(6453)] = 234939,
  [SMALL_STATE(6454)] = 234961,
  [SMALL_STATE(6455)] = 234989,
  [SMALL_STATE(6456)] = 235019,
  [SMALL_STATE(6457)] = 235049,
  [SMALL_STATE(6458)] = 235079,
  [SMALL_STATE(6459)] = 235115,
  [SMALL_STATE(6460)] = 235145,
  [SMALL_STATE(6461)] = 235165,
  [SMALL_STATE(6462)] = 235193,
  [SMALL_STATE(6463)] = 235229,
  [SMALL_STATE(6464)] = 235265,
  [SMALL_STATE(6465)] = 235301,
  [SMALL_STATE(6466)] = 235337,
  [SMALL_STATE(6467)] = 235365,
  [SMALL_STATE(6468)] = 235401,
  [SMALL_STATE(6469)] = 235429,
  [SMALL_STATE(6470)] = 235465,
  [SMALL_STATE(6471)] = 235493,
  [SMALL_STATE(6472)] = 235513,
  [SMALL_STATE(6473)] = 235549,
  [SMALL_STATE(6474)] = 235569,
  [SMALL_STATE(6475)] = 235605,
  [SMALL_STATE(6476)] = 235625,
  [SMALL_STATE(6477)] = 235661,
  [SMALL_STATE(6478)] = 235697,
  [SMALL_STATE(6479)] = 235733,
  [SMALL_STATE(6480)] = 235761,
  [SMALL_STATE(6481)] = 235789,
  [SMALL_STATE(6482)] = 235809,
  [SMALL_STATE(6483)] = 235837,
  [SMALL_STATE(6484)] = 235873,
  [SMALL_STATE(6485)] = 235901,
  [SMALL_STATE(6486)] = 235937,
  [SMALL_STATE(6487)] = 235957,
  [SMALL_STATE(6488)] = 235977,
  [SMALL_STATE(6489)] = 236013,
  [SMALL_STATE(6490)] = 236033,
  [SMALL_STATE(6491)] = 236053,
  [SMALL_STATE(6492)] = 236073,
  [SMALL_STATE(6493)] = 236101,
  [SMALL_STATE(6494)] = 236137,
  [SMALL_STATE(6495)] = 236173,
  [SMALL_STATE(6496)] = 236201,
  [SMALL_STATE(6497)] = 236221,
  [SMALL_STATE(6498)] = 236249,
  [SMALL_STATE(6499)] = 236285,
  [SMALL_STATE(6500)] = 236313,
  [SMALL_STATE(6501)] = 236349,
  [SMALL_STATE(6502)] = 236377,
  [SMALL_STATE(6503)] = 236413,
  [SMALL_STATE(6504)] = 236449,
  [SMALL_STATE(6505)] = 236485,
  [SMALL_STATE(6506)] = 236514,
  [SMALL_STATE(6507)] = 236541,
  [SMALL_STATE(6508)] = 236568,
  [SMALL_STATE(6509)] = 236589,
  [SMALL_STATE(6510)] = 236616,
  [SMALL_STATE(6511)] = 236649,
  [SMALL_STATE(6512)] = 236684,
  [SMALL_STATE(6513)] = 236709,
  [SMALL_STATE(6514)] = 236744,
  [SMALL_STATE(6515)] = 236771,
  [SMALL_STATE(6516)] = 236798,
  [SMALL_STATE(6517)] = 236825,
  [SMALL_STATE(6518)] = 236860,
  [SMALL_STATE(6519)] = 236891,
  [SMALL_STATE(6520)] = 236926,
  [SMALL_STATE(6521)] = 236955,
  [SMALL_STATE(6522)] = 236986,
  [SMALL_STATE(6523)] = 237021,
  [SMALL_STATE(6524)] = 237044,
  [SMALL_STATE(6525)] = 237069,
  [SMALL_STATE(6526)] = 237098,
  [SMALL_STATE(6527)] = 237133,
  [SMALL_STATE(6528)] = 237168,
  [SMALL_STATE(6529)] = 237203,
  [SMALL_STATE(6530)] = 237228,
  [SMALL_STATE(6531)] = 237259,
  [SMALL_STATE(6532)] = 237288,
  [SMALL_STATE(6533)] = 237313,
  [SMALL_STATE(6534)] = 237344,
  [SMALL_STATE(6535)] = 237379,
  [SMALL_STATE(6536)] = 237404,
  [SMALL_STATE(6537)] = 237429,
  [SMALL_STATE(6538)] = 237454,
  [SMALL_STATE(6539)] = 237489,
  [SMALL_STATE(6540)] = 237514,
  [SMALL_STATE(6541)] = 237549,
  [SMALL_STATE(6542)] = 237568,
  [SMALL_STATE(6543)] = 237603,
  [SMALL_STATE(6544)] = 237628,
  [SMALL_STATE(6545)] = 237653,
  [SMALL_STATE(6546)] = 237688,
  [SMALL_STATE(6547)] = 237723,
  [SMALL_STATE(6548)] = 237752,
  [SMALL_STATE(6549)] = 237783,
  [SMALL_STATE(6550)] = 237814,
  [SMALL_STATE(6551)] = 237849,
  [SMALL_STATE(6552)] = 237884,
  [SMALL_STATE(6553)] = 237917,
  [SMALL_STATE(6554)] = 237952,
  [SMALL_STATE(6555)] = 237983,
  [SMALL_STATE(6556)] = 238002,
  [SMALL_STATE(6557)] = 238037,
  [SMALL_STATE(6558)] = 238066,
  [SMALL_STATE(6559)] = 238085,
  [SMALL_STATE(6560)] = 238120,
  [SMALL_STATE(6561)] = 238139,
  [SMALL_STATE(6562)] = 238174,
  [SMALL_STATE(6563)] = 238205,
  [SMALL_STATE(6564)] = 238240,
  [SMALL_STATE(6565)] = 238267,
  [SMALL_STATE(6566)] = 238286,
  [SMALL_STATE(6567)] = 238317,
  [SMALL_STATE(6568)] = 238344,
  [SMALL_STATE(6569)] = 238379,
  [SMALL_STATE(6570)] = 238410,
  [SMALL_STATE(6571)] = 238429,
  [SMALL_STATE(6572)] = 238464,
  [SMALL_STATE(6573)] = 238499,
  [SMALL_STATE(6574)] = 238518,
  [SMALL_STATE(6575)] = 238547,
  [SMALL_STATE(6576)] = 238572,
  [SMALL_STATE(6577)] = 238597,
  [SMALL_STATE(6578)] = 238632,
  [SMALL_STATE(6579)] = 238667,
  [SMALL_STATE(6580)] = 238702,
  [SMALL_STATE(6581)] = 238737,
  [SMALL_STATE(6582)] = 238772,
  [SMALL_STATE(6583)] = 238799,
  [SMALL_STATE(6584)] = 238828,
  [SMALL_STATE(6585)] = 238863,
  [SMALL_STATE(6586)] = 238898,
  [SMALL_STATE(6587)] = 238925,
  [SMALL_STATE(6588)] = 238960,
  [SMALL_STATE(6589)] = 238987,
  [SMALL_STATE(6590)] = 239022,
  [SMALL_STATE(6591)] = 239049,
  [SMALL_STATE(6592)] = 239082,
  [SMALL_STATE(6593)] = 239117,
  [SMALL_STATE(6594)] = 239148,
  [SMALL_STATE(6595)] = 239179,
  [SMALL_STATE(6596)] = 239208,
  [SMALL_STATE(6597)] = 239243,
  [SMALL_STATE(6598)] = 239274,
  [SMALL_STATE(6599)] = 239309,
  [SMALL_STATE(6600)] = 239338,
  [SMALL_STATE(6601)] = 239369,
  [SMALL_STATE(6602)] = 239394,
  [SMALL_STATE(6603)] = 239429,
  [SMALL_STATE(6604)] = 239464,
  [SMALL_STATE(6605)] = 239495,
  [SMALL_STATE(6606)] = 239520,
  [SMALL_STATE(6607)] = 239545,
  [SMALL_STATE(6608)] = 239580,
  [SMALL_STATE(6609)] = 239615,
  [SMALL_STATE(6610)] = 239642,
  [SMALL_STATE(6611)] = 239677,
  [SMALL_STATE(6612)] = 239712,
  [SMALL_STATE(6613)] = 239737,
  [SMALL_STATE(6614)] = 239770,
  [SMALL_STATE(6615)] = 239805,
  [SMALL_STATE(6616)] = 239840,
  [SMALL_STATE(6617)] = 239875,
  [SMALL_STATE(6618)] = 239900,
  [SMALL_STATE(6619)] = 239935,
  [SMALL_STATE(6620)] = 239966,
  [SMALL_STATE(6621)] = 239999,
  [SMALL_STATE(6622)] = 240028,
  [SMALL_STATE(6623)] = 240063,
  [SMALL_STATE(6624)] = 240088,
  [SMALL_STATE(6625)] = 240115,
  [SMALL_STATE(6626)] = 240150,
  [SMALL_STATE(6627)] = 240181,
  [SMALL_STATE(6628)] = 240210,
  [SMALL_STATE(6629)] = 240241,
  [SMALL_STATE(6630)] = 240276,
  [SMALL_STATE(6631)] = 240298,
  [SMALL_STATE(6632)] = 240320,
  [SMALL_STATE(6633)] = 240342,
  [SMALL_STATE(6634)] = 240364,
  [SMALL_STATE(6635)] = 240386,
  [SMALL_STATE(6636)] = 240408,
  [SMALL_STATE(6637)] = 240430,
  [SMALL_STATE(6638)] = 240462,
  [SMALL_STATE(6639)] = 240484,
  [SMALL_STATE(6640)] = 240508,
  [SMALL_STATE(6641)] = 240532,
  [SMALL_STATE(6642)] = 240562,
  [SMALL_STATE(6643)] = 240586,
  [SMALL_STATE(6644)] = 240608,
  [SMALL_STATE(6645)] = 240638,
  [SMALL_STATE(6646)] = 240662,
  [SMALL_STATE(6647)] = 240686,
  [SMALL_STATE(6648)] = 240708,
  [SMALL_STATE(6649)] = 240738,
  [SMALL_STATE(6650)] = 240762,
  [SMALL_STATE(6651)] = 240786,
  [SMALL_STATE(6652)] = 240808,
  [SMALL_STATE(6653)] = 240838,
  [SMALL_STATE(6654)] = 240862,
  [SMALL_STATE(6655)] = 240884,
  [SMALL_STATE(6656)] = 240908,
  [SMALL_STATE(6657)] = 240936,
  [SMALL_STATE(6658)] = 240958,
  [SMALL_STATE(6659)] = 240988,
  [SMALL_STATE(6660)] = 241010,
  [SMALL_STATE(6661)] = 241034,
  [SMALL_STATE(6662)] = 241056,
  [SMALL_STATE(6663)] = 241087,
  [SMALL_STATE(6664)] = 241110,
  [SMALL_STATE(6665)] = 241137,
  [SMALL_STATE(6666)] = 241162,
  [SMALL_STATE(6667)] = 241189,
  [SMALL_STATE(6668)] = 241214,
  [SMALL_STATE(6669)] = 241237,
  [SMALL_STATE(6670)] = 241264,
  [SMALL_STATE(6671)] = 241289,
  [SMALL_STATE(6672)] = 241320,
  [SMALL_STATE(6673)] = 241347,
  [SMALL_STATE(6674)] = 241378,
  [SMALL_STATE(6675)] = 241409,
  [SMALL_STATE(6676)] = 241434,
  [SMALL_STATE(6677)] = 241461,
  [SMALL_STATE(6678)] = 241488,
  [SMALL_STATE(6679)] = 241513,
  [SMALL_STATE(6680)] = 241544,
  [SMALL_STATE(6681)] = 241575,
  [SMALL_STATE(6682)] = 241606,
  [SMALL_STATE(6683)] = 241637,
  [SMALL_STATE(6684)] = 241660,
  [SMALL_STATE(6685)] = 241691,
  [SMALL_STATE(6686)] = 241714,
  [SMALL_STATE(6687)] = 241745,
  [SMALL_STATE(6688)] = 241776,
  [SMALL_STATE(6689)] = 241807,
  [SMALL_STATE(6690)] = 241832,
  [SMALL_STATE(6691)] = 241863,
  [SMALL_STATE(6692)] = 241884,
  [SMALL_STATE(6693)] = 241911,
  [SMALL_STATE(6694)] = 241942,
  [SMALL_STATE(6695)] = 241967,
  [SMALL_STATE(6696)] = 241994,
  [SMALL_STATE(6697)] = 242017,
  [SMALL_STATE(6698)] = 242048,
  [SMALL_STATE(6699)] = 242079,
  [SMALL_STATE(6700)] = 242110,
  [SMALL_STATE(6701)] = 242131,
  [SMALL_STATE(6702)] = 242162,
  [SMALL_STATE(6703)] = 242193,
  [SMALL_STATE(6704)] = 242224,
  [SMALL_STATE(6705)] = 242255,
  [SMALL_STATE(6706)] = 242286,
  [SMALL_STATE(6707)] = 242317,
  [SMALL_STATE(6708)] = 242348,
  [SMALL_STATE(6709)] = 242379,
  [SMALL_STATE(6710)] = 242410,
  [SMALL_STATE(6711)] = 242433,
  [SMALL_STATE(6712)] = 242458,
  [SMALL_STATE(6713)] = 242483,
  [SMALL_STATE(6714)] = 242514,
  [SMALL_STATE(6715)] = 242541,
  [SMALL_STATE(6716)] = 242568,
  [SMALL_STATE(6717)] = 242591,
  [SMALL_STATE(6718)] = 242622,
  [SMALL_STATE(6719)] = 242645,
  [SMALL_STATE(6720)] = 242672,
  [SMALL_STATE(6721)] = 242703,
  [SMALL_STATE(6722)] = 242724,
  [SMALL_STATE(6723)] = 242755,
  [SMALL_STATE(6724)] = 242786,
  [SMALL_STATE(6725)] = 242813,
  [SMALL_STATE(6726)] = 242844,
  [SMALL_STATE(6727)] = 242869,
  [SMALL_STATE(6728)] = 242892,
  [SMALL_STATE(6729)] = 242917,
  [SMALL_STATE(6730)] = 242948,
  [SMALL_STATE(6731)] = 242969,
  [SMALL_STATE(6732)] = 242992,
  [SMALL_STATE(6733)] = 243019,
  [SMALL_STATE(6734)] = 243046,
  [SMALL_STATE(6735)] = 243068,
  [SMALL_STATE(6736)] = 243094,
  [SMALL_STATE(6737)] = 243120,
  [SMALL_STATE(6738)] = 243146,
  [SMALL_STATE(6739)] = 243168,
  [SMALL_STATE(6740)] = 243194,
  [SMALL_STATE(6741)] = 243216,
  [SMALL_STATE(6742)] = 243236,
  [SMALL_STATE(6743)] = 243262,
  [SMALL_STATE(6744)] = 243288,
  [SMALL_STATE(6745)] = 243308,
  [SMALL_STATE(6746)] = 243334,
  [SMALL_STATE(6747)] = 243358,
  [SMALL_STATE(6748)] = 243380,
  [SMALL_STATE(6749)] = 243400,
  [SMALL_STATE(6750)] = 243426,
  [SMALL_STATE(6751)] = 243452,
  [SMALL_STATE(6752)] = 243478,
  [SMALL_STATE(6753)] = 243504,
  [SMALL_STATE(6754)] = 243528,
  [SMALL_STATE(6755)] = 243550,
  [SMALL_STATE(6756)] = 243576,
  [SMALL_STATE(6757)] = 243598,
  [SMALL_STATE(6758)] = 243620,
  [SMALL_STATE(6759)] = 243646,
  [SMALL_STATE(6760)] = 243670,
  [SMALL_STATE(6761)] = 243696,
  [SMALL_STATE(6762)] = 243718,
  [SMALL_STATE(6763)] = 243734,
  [SMALL_STATE(6764)] = 243756,
  [SMALL_STATE(6765)] = 243782,
  [SMALL_STATE(6766)] = 243808,
  [SMALL_STATE(6767)] = 243834,
  [SMALL_STATE(6768)] = 243856,
  [SMALL_STATE(6769)] = 243882,
  [SMALL_STATE(6770)] = 243904,
  [SMALL_STATE(6771)] = 243926,
  [SMALL_STATE(6772)] = 243950,
  [SMALL_STATE(6773)] = 243972,
  [SMALL_STATE(6774)] = 243994,
  [SMALL_STATE(6775)] = 244020,
  [SMALL_STATE(6776)] = 244046,
  [SMALL_STATE(6777)] = 244066,
  [SMALL_STATE(6778)] = 244092,
  [SMALL_STATE(6779)] = 244118,
  [SMALL_STATE(6780)] = 244144,
  [SMALL_STATE(6781)] = 244162,
  [SMALL_STATE(6782)] = 244180,
  [SMALL_STATE(6783)] = 244202,
  [SMALL_STATE(6784)] = 244230,
  [SMALL_STATE(6785)] = 244256,
  [SMALL_STATE(6786)] = 244272,
  [SMALL_STATE(6787)] = 244298,
  [SMALL_STATE(6788)] = 244324,
  [SMALL_STATE(6789)] = 244342,
  [SMALL_STATE(6790)] = 244368,
  [SMALL_STATE(6791)] = 244394,
  [SMALL_STATE(6792)] = 244420,
  [SMALL_STATE(6793)] = 244446,
  [SMALL_STATE(6794)] = 244468,
  [SMALL_STATE(6795)] = 244492,
  [SMALL_STATE(6796)] = 244509,
  [SMALL_STATE(6797)] = 244532,
  [SMALL_STATE(6798)] = 244553,
  [SMALL_STATE(6799)] = 244568,
  [SMALL_STATE(6800)] = 244587,
  [SMALL_STATE(6801)] = 244610,
  [SMALL_STATE(6802)] = 244631,
  [SMALL_STATE(6803)] = 244654,
  [SMALL_STATE(6804)] = 244669,
  [SMALL_STATE(6805)] = 244690,
  [SMALL_STATE(6806)] = 244713,
  [SMALL_STATE(6807)] = 244738,
  [SMALL_STATE(6808)] = 244755,
  [SMALL_STATE(6809)] = 244778,
  [SMALL_STATE(6810)] = 244803,
  [SMALL_STATE(6811)] = 244828,
  [SMALL_STATE(6812)] = 244849,
  [SMALL_STATE(6813)] = 244866,
  [SMALL_STATE(6814)] = 244887,
  [SMALL_STATE(6815)] = 244910,
  [SMALL_STATE(6816)] = 244929,
  [SMALL_STATE(6817)] = 244950,
  [SMALL_STATE(6818)] = 244969,
  [SMALL_STATE(6819)] = 244992,
  [SMALL_STATE(6820)] = 245017,
  [SMALL_STATE(6821)] = 245040,
  [SMALL_STATE(6822)] = 245063,
  [SMALL_STATE(6823)] = 245080,
  [SMALL_STATE(6824)] = 245105,
  [SMALL_STATE(6825)] = 245128,
  [SMALL_STATE(6826)] = 245143,
  [SMALL_STATE(6827)] = 245160,
  [SMALL_STATE(6828)] = 245183,
  [SMALL_STATE(6829)] = 245204,
  [SMALL_STATE(6830)] = 245225,
  [SMALL_STATE(6831)] = 245246,
  [SMALL_STATE(6832)] = 245261,
  [SMALL_STATE(6833)] = 245284,
  [SMALL_STATE(6834)] = 245299,
  [SMALL_STATE(6835)] = 245320,
  [SMALL_STATE(6836)] = 245341,
  [SMALL_STATE(6837)] = 245362,
  [SMALL_STATE(6838)] = 245379,
  [SMALL_STATE(6839)] = 245400,
  [SMALL_STATE(6840)] = 245421,
  [SMALL_STATE(6841)] = 245444,
  [SMALL_STATE(6842)] = 245467,
  [SMALL_STATE(6843)] = 245488,
  [SMALL_STATE(6844)] = 245509,
  [SMALL_STATE(6845)] = 245534,
  [SMALL_STATE(6846)] = 245559,
  [SMALL_STATE(6847)] = 245576,
  [SMALL_STATE(6848)] = 245593,
  [SMALL_STATE(6849)] = 245610,
  [SMALL_STATE(6850)] = 245627,
  [SMALL_STATE(6851)] = 245644,
  [SMALL_STATE(6852)] = 245661,
  [SMALL_STATE(6853)] = 245678,
  [SMALL_STATE(6854)] = 245695,
  [SMALL_STATE(6855)] = 245712,
  [SMALL_STATE(6856)] = 245735,
  [SMALL_STATE(6857)] = 245752,
  [SMALL_STATE(6858)] = 245773,
  [SMALL_STATE(6859)] = 245794,
  [SMALL_STATE(6860)] = 245809,
  [SMALL_STATE(6861)] = 245832,
  [SMALL_STATE(6862)] = 245847,
  [SMALL_STATE(6863)] = 245862,
  [SMALL_STATE(6864)] = 245887,
  [SMALL_STATE(6865)] = 245906,
  [SMALL_STATE(6866)] = 245929,
  [SMALL_STATE(6867)] = 245951,
  [SMALL_STATE(6868)] = 245965,
  [SMALL_STATE(6869)] = 245979,
  [SMALL_STATE(6870)] = 246001,
  [SMALL_STATE(6871)] = 246015,
  [SMALL_STATE(6872)] = 246029,
  [SMALL_STATE(6873)] = 246043,
  [SMALL_STATE(6874)] = 246065,
  [SMALL_STATE(6875)] = 246087,
  [SMALL_STATE(6876)] = 246101,
  [SMALL_STATE(6877)] = 246123,
  [SMALL_STATE(6878)] = 246137,
  [SMALL_STATE(6879)] = 246159,
  [SMALL_STATE(6880)] = 246181,
  [SMALL_STATE(6881)] = 246201,
  [SMALL_STATE(6882)] = 246219,
  [SMALL_STATE(6883)] = 246241,
  [SMALL_STATE(6884)] = 246261,
  [SMALL_STATE(6885)] = 246281,
  [SMALL_STATE(6886)] = 246303,
  [SMALL_STATE(6887)] = 246317,
  [SMALL_STATE(6888)] = 246337,
  [SMALL_STATE(6889)] = 246359,
  [SMALL_STATE(6890)] = 246379,
  [SMALL_STATE(6891)] = 246399,
  [SMALL_STATE(6892)] = 246421,
  [SMALL_STATE(6893)] = 246435,
  [SMALL_STATE(6894)] = 246455,
  [SMALL_STATE(6895)] = 246475,
  [SMALL_STATE(6896)] = 246493,
  [SMALL_STATE(6897)] = 246515,
  [SMALL_STATE(6898)] = 246535,
  [SMALL_STATE(6899)] = 246557,
  [SMALL_STATE(6900)] = 246575,
  [SMALL_STATE(6901)] = 246597,
  [SMALL_STATE(6902)] = 246619,
  [SMALL_STATE(6903)] = 246641,
  [SMALL_STATE(6904)] = 246661,
  [SMALL_STATE(6905)] = 246683,
  [SMALL_STATE(6906)] = 246705,
  [SMALL_STATE(6907)] = 246725,
  [SMALL_STATE(6908)] = 246747,
  [SMALL_STATE(6909)] = 246769,
  [SMALL_STATE(6910)] = 246783,
  [SMALL_STATE(6911)] = 246803,
  [SMALL_STATE(6912)] = 246821,
  [SMALL_STATE(6913)] = 246839,
  [SMALL_STATE(6914)] = 246861,
  [SMALL_STATE(6915)] = 246881,
  [SMALL_STATE(6916)] = 246901,
  [SMALL_STATE(6917)] = 246915,
  [SMALL_STATE(6918)] = 246929,
  [SMALL_STATE(6919)] = 246951,
  [SMALL_STATE(6920)] = 246973,
  [SMALL_STATE(6921)] = 246987,
  [SMALL_STATE(6922)] = 247009,
  [SMALL_STATE(6923)] = 247023,
  [SMALL_STATE(6924)] = 247041,
  [SMALL_STATE(6925)] = 247060,
  [SMALL_STATE(6926)] = 247079,
  [SMALL_STATE(6927)] = 247096,
  [SMALL_STATE(6928)] = 247115,
  [SMALL_STATE(6929)] = 247134,
  [SMALL_STATE(6930)] = 247151,
  [SMALL_STATE(6931)] = 247168,
  [SMALL_STATE(6932)] = 247181,
  [SMALL_STATE(6933)] = 247200,
  [SMALL_STATE(6934)] = 247217,
  [SMALL_STATE(6935)] = 247236,
  [SMALL_STATE(6936)] = 247255,
  [SMALL_STATE(6937)] = 247272,
  [SMALL_STATE(6938)] = 247289,
  [SMALL_STATE(6939)] = 247306,
  [SMALL_STATE(6940)] = 247323,
  [SMALL_STATE(6941)] = 247340,
  [SMALL_STATE(6942)] = 247359,
  [SMALL_STATE(6943)] = 247378,
  [SMALL_STATE(6944)] = 247397,
  [SMALL_STATE(6945)] = 247414,
  [SMALL_STATE(6946)] = 247431,
  [SMALL_STATE(6947)] = 247448,
  [SMALL_STATE(6948)] = 247465,
  [SMALL_STATE(6949)] = 247484,
  [SMALL_STATE(6950)] = 247503,
  [SMALL_STATE(6951)] = 247520,
  [SMALL_STATE(6952)] = 247537,
  [SMALL_STATE(6953)] = 247554,
  [SMALL_STATE(6954)] = 247573,
  [SMALL_STATE(6955)] = 247590,
  [SMALL_STATE(6956)] = 247609,
  [SMALL_STATE(6957)] = 247628,
  [SMALL_STATE(6958)] = 247647,
  [SMALL_STATE(6959)] = 247664,
  [SMALL_STATE(6960)] = 247681,
  [SMALL_STATE(6961)] = 247698,
  [SMALL_STATE(6962)] = 247717,
  [SMALL_STATE(6963)] = 247734,
  [SMALL_STATE(6964)] = 247751,
  [SMALL_STATE(6965)] = 247768,
  [SMALL_STATE(6966)] = 247787,
  [SMALL_STATE(6967)] = 247804,
  [SMALL_STATE(6968)] = 247823,
  [SMALL_STATE(6969)] = 247840,
  [SMALL_STATE(6970)] = 247857,
  [SMALL_STATE(6971)] = 247874,
  [SMALL_STATE(6972)] = 247891,
  [SMALL_STATE(6973)] = 247908,
  [SMALL_STATE(6974)] = 247925,
  [SMALL_STATE(6975)] = 247944,
  [SMALL_STATE(6976)] = 247961,
  [SMALL_STATE(6977)] = 247978,
  [SMALL_STATE(6978)] = 247995,
  [SMALL_STATE(6979)] = 248012,
  [SMALL_STATE(6980)] = 248031,
  [SMALL_STATE(6981)] = 248044,
  [SMALL_STATE(6982)] = 248061,
  [SMALL_STATE(6983)] = 248078,
  [SMALL_STATE(6984)] = 248095,
  [SMALL_STATE(6985)] = 248112,
  [SMALL_STATE(6986)] = 248129,
  [SMALL_STATE(6987)] = 248146,
  [SMALL_STATE(6988)] = 248163,
  [SMALL_STATE(6989)] = 248174,
  [SMALL_STATE(6990)] = 248191,
  [SMALL_STATE(6991)] = 248208,
  [SMALL_STATE(6992)] = 248225,
  [SMALL_STATE(6993)] = 248244,
  [SMALL_STATE(6994)] = 248263,
  [SMALL_STATE(6995)] = 248280,
  [SMALL_STATE(6996)] = 248297,
  [SMALL_STATE(6997)] = 248314,
  [SMALL_STATE(6998)] = 248333,
  [SMALL_STATE(6999)] = 248347,
  [SMALL_STATE(7000)] = 248363,
  [SMALL_STATE(7001)] = 248379,
  [SMALL_STATE(7002)] = 248395,
  [SMALL_STATE(7003)] = 248411,
  [SMALL_STATE(7004)] = 248427,
  [SMALL_STATE(7005)] = 248441,
  [SMALL_STATE(7006)] = 248457,
  [SMALL_STATE(7007)] = 248473,
  [SMALL_STATE(7008)] = 248487,
  [SMALL_STATE(7009)] = 248503,
  [SMALL_STATE(7010)] = 248517,
  [SMALL_STATE(7011)] = 248533,
  [SMALL_STATE(7012)] = 248547,
  [SMALL_STATE(7013)] = 248563,
  [SMALL_STATE(7014)] = 248579,
  [SMALL_STATE(7015)] = 248593,
  [SMALL_STATE(7016)] = 248609,
  [SMALL_STATE(7017)] = 248625,
  [SMALL_STATE(7018)] = 248641,
  [SMALL_STATE(7019)] = 248657,
  [SMALL_STATE(7020)] = 248671,
  [SMALL_STATE(7021)] = 248687,
  [SMALL_STATE(7022)] = 248701,
  [SMALL_STATE(7023)] = 248717,
  [SMALL_STATE(7024)] = 248731,
  [SMALL_STATE(7025)] = 248747,
  [SMALL_STATE(7026)] = 248763,
  [SMALL_STATE(7027)] = 248779,
  [SMALL_STATE(7028)] = 248795,
  [SMALL_STATE(7029)] = 248805,
  [SMALL_STATE(7030)] = 248821,
  [SMALL_STATE(7031)] = 248837,
  [SMALL_STATE(7032)] = 248853,
  [SMALL_STATE(7033)] = 248869,
  [SMALL_STATE(7034)] = 248883,
  [SMALL_STATE(7035)] = 248899,
  [SMALL_STATE(7036)] = 248913,
  [SMALL_STATE(7037)] = 248929,
  [SMALL_STATE(7038)] = 248945,
  [SMALL_STATE(7039)] = 248961,
  [SMALL_STATE(7040)] = 248977,
  [SMALL_STATE(7041)] = 248993,
  [SMALL_STATE(7042)] = 249007,
  [SMALL_STATE(7043)] = 249023,
  [SMALL_STATE(7044)] = 249039,
  [SMALL_STATE(7045)] = 249053,
  [SMALL_STATE(7046)] = 249069,
  [SMALL_STATE(7047)] = 249083,
  [SMALL_STATE(7048)] = 249099,
  [SMALL_STATE(7049)] = 249113,
  [SMALL_STATE(7050)] = 249129,
  [SMALL_STATE(7051)] = 249145,
  [SMALL_STATE(7052)] = 249159,
  [SMALL_STATE(7053)] = 249175,
  [SMALL_STATE(7054)] = 249191,
  [SMALL_STATE(7055)] = 249205,
  [SMALL_STATE(7056)] = 249221,
  [SMALL_STATE(7057)] = 249237,
  [SMALL_STATE(7058)] = 249253,
  [SMALL_STATE(7059)] = 249269,
  [SMALL_STATE(7060)] = 249285,
  [SMALL_STATE(7061)] = 249301,
  [SMALL_STATE(7062)] = 249317,
  [SMALL_STATE(7063)] = 249331,
  [SMALL_STATE(7064)] = 249347,
  [SMALL_STATE(7065)] = 249361,
  [SMALL_STATE(7066)] = 249375,
  [SMALL_STATE(7067)] = 249389,
  [SMALL_STATE(7068)] = 249403,
  [SMALL_STATE(7069)] = 249417,
  [SMALL_STATE(7070)] = 249433,
  [SMALL_STATE(7071)] = 249449,
  [SMALL_STATE(7072)] = 249463,
  [SMALL_STATE(7073)] = 249477,
  [SMALL_STATE(7074)] = 249493,
  [SMALL_STATE(7075)] = 249507,
  [SMALL_STATE(7076)] = 249521,
  [SMALL_STATE(7077)] = 249537,
  [SMALL_STATE(7078)] = 249551,
  [SMALL_STATE(7079)] = 249565,
  [SMALL_STATE(7080)] = 249581,
  [SMALL_STATE(7081)] = 249597,
  [SMALL_STATE(7082)] = 249613,
  [SMALL_STATE(7083)] = 249629,
  [SMALL_STATE(7084)] = 249645,
  [SMALL_STATE(7085)] = 249659,
  [SMALL_STATE(7086)] = 249675,
  [SMALL_STATE(7087)] = 249691,
  [SMALL_STATE(7088)] = 249707,
  [SMALL_STATE(7089)] = 249723,
  [SMALL_STATE(7090)] = 249737,
  [SMALL_STATE(7091)] = 249751,
  [SMALL_STATE(7092)] = 249767,
  [SMALL_STATE(7093)] = 249783,
  [SMALL_STATE(7094)] = 249799,
  [SMALL_STATE(7095)] = 249811,
  [SMALL_STATE(7096)] = 249827,
  [SMALL_STATE(7097)] = 249843,
  [SMALL_STATE(7098)] = 249859,
  [SMALL_STATE(7099)] = 249875,
  [SMALL_STATE(7100)] = 249891,
  [SMALL_STATE(7101)] = 249907,
  [SMALL_STATE(7102)] = 249923,
  [SMALL_STATE(7103)] = 249939,
  [SMALL_STATE(7104)] = 249955,
  [SMALL_STATE(7105)] = 249971,
  [SMALL_STATE(7106)] = 249987,
  [SMALL_STATE(7107)] = 250003,
  [SMALL_STATE(7108)] = 250019,
  [SMALL_STATE(7109)] = 250035,
  [SMALL_STATE(7110)] = 250051,
  [SMALL_STATE(7111)] = 250067,
  [SMALL_STATE(7112)] = 250083,
  [SMALL_STATE(7113)] = 250097,
  [SMALL_STATE(7114)] = 250111,
  [SMALL_STATE(7115)] = 250127,
  [SMALL_STATE(7116)] = 250141,
  [SMALL_STATE(7117)] = 250157,
  [SMALL_STATE(7118)] = 250173,
  [SMALL_STATE(7119)] = 250189,
  [SMALL_STATE(7120)] = 250205,
  [SMALL_STATE(7121)] = 250221,
  [SMALL_STATE(7122)] = 250237,
  [SMALL_STATE(7123)] = 250251,
  [SMALL_STATE(7124)] = 250267,
  [SMALL_STATE(7125)] = 250283,
  [SMALL_STATE(7126)] = 250295,
  [SMALL_STATE(7127)] = 250311,
  [SMALL_STATE(7128)] = 250325,
  [SMALL_STATE(7129)] = 250339,
  [SMALL_STATE(7130)] = 250355,
  [SMALL_STATE(7131)] = 250369,
  [SMALL_STATE(7132)] = 250385,
  [SMALL_STATE(7133)] = 250399,
  [SMALL_STATE(7134)] = 250415,
  [SMALL_STATE(7135)] = 250431,
  [SMALL_STATE(7136)] = 250445,
  [SMALL_STATE(7137)] = 250461,
  [SMALL_STATE(7138)] = 250477,
  [SMALL_STATE(7139)] = 250493,
  [SMALL_STATE(7140)] = 250509,
  [SMALL_STATE(7141)] = 250521,
  [SMALL_STATE(7142)] = 250533,
  [SMALL_STATE(7143)] = 250547,
  [SMALL_STATE(7144)] = 250563,
  [SMALL_STATE(7145)] = 250579,
  [SMALL_STATE(7146)] = 250595,
  [SMALL_STATE(7147)] = 250611,
  [SMALL_STATE(7148)] = 250625,
  [SMALL_STATE(7149)] = 250641,
  [SMALL_STATE(7150)] = 250657,
  [SMALL_STATE(7151)] = 250673,
  [SMALL_STATE(7152)] = 250689,
  [SMALL_STATE(7153)] = 250705,
  [SMALL_STATE(7154)] = 250721,
  [SMALL_STATE(7155)] = 250737,
  [SMALL_STATE(7156)] = 250751,
  [SMALL_STATE(7157)] = 250767,
  [SMALL_STATE(7158)] = 250781,
  [SMALL_STATE(7159)] = 250797,
  [SMALL_STATE(7160)] = 250811,
  [SMALL_STATE(7161)] = 250825,
  [SMALL_STATE(7162)] = 250839,
  [SMALL_STATE(7163)] = 250855,
  [SMALL_STATE(7164)] = 250869,
  [SMALL_STATE(7165)] = 250885,
  [SMALL_STATE(7166)] = 250901,
  [SMALL_STATE(7167)] = 250915,
  [SMALL_STATE(7168)] = 250931,
  [SMALL_STATE(7169)] = 250945,
  [SMALL_STATE(7170)] = 250961,
  [SMALL_STATE(7171)] = 250977,
  [SMALL_STATE(7172)] = 250993,
  [SMALL_STATE(7173)] = 251009,
  [SMALL_STATE(7174)] = 251025,
  [SMALL_STATE(7175)] = 251039,
  [SMALL_STATE(7176)] = 251053,
  [SMALL_STATE(7177)] = 251067,
  [SMALL_STATE(7178)] = 251083,
  [SMALL_STATE(7179)] = 251099,
  [SMALL_STATE(7180)] = 251115,
  [SMALL_STATE(7181)] = 251131,
  [SMALL_STATE(7182)] = 251145,
  [SMALL_STATE(7183)] = 251159,
  [SMALL_STATE(7184)] = 251175,
  [SMALL_STATE(7185)] = 251191,
  [SMALL_STATE(7186)] = 251207,
  [SMALL_STATE(7187)] = 251221,
  [SMALL_STATE(7188)] = 251235,
  [SMALL_STATE(7189)] = 251251,
  [SMALL_STATE(7190)] = 251265,
  [SMALL_STATE(7191)] = 251279,
  [SMALL_STATE(7192)] = 251293,
  [SMALL_STATE(7193)] = 251309,
  [SMALL_STATE(7194)] = 251323,
  [SMALL_STATE(7195)] = 251339,
  [SMALL_STATE(7196)] = 251355,
  [SMALL_STATE(7197)] = 251371,
  [SMALL_STATE(7198)] = 251387,
  [SMALL_STATE(7199)] = 251403,
  [SMALL_STATE(7200)] = 251419,
  [SMALL_STATE(7201)] = 251433,
  [SMALL_STATE(7202)] = 251447,
  [SMALL_STATE(7203)] = 251463,
  [SMALL_STATE(7204)] = 251477,
  [SMALL_STATE(7205)] = 251493,
  [SMALL_STATE(7206)] = 251509,
  [SMALL_STATE(7207)] = 251525,
  [SMALL_STATE(7208)] = 251539,
  [SMALL_STATE(7209)] = 251553,
  [SMALL_STATE(7210)] = 251569,
  [SMALL_STATE(7211)] = 251583,
  [SMALL_STATE(7212)] = 251599,
  [SMALL_STATE(7213)] = 251615,
  [SMALL_STATE(7214)] = 251631,
  [SMALL_STATE(7215)] = 251641,
  [SMALL_STATE(7216)] = 251657,
  [SMALL_STATE(7217)] = 251671,
  [SMALL_STATE(7218)] = 251687,
  [SMALL_STATE(7219)] = 251703,
  [SMALL_STATE(7220)] = 251719,
  [SMALL_STATE(7221)] = 251735,
  [SMALL_STATE(7222)] = 251749,
  [SMALL_STATE(7223)] = 251763,
  [SMALL_STATE(7224)] = 251777,
  [SMALL_STATE(7225)] = 251791,
  [SMALL_STATE(7226)] = 251807,
  [SMALL_STATE(7227)] = 251823,
  [SMALL_STATE(7228)] = 251839,
  [SMALL_STATE(7229)] = 251855,
  [SMALL_STATE(7230)] = 251869,
  [SMALL_STATE(7231)] = 251885,
  [SMALL_STATE(7232)] = 251899,
  [SMALL_STATE(7233)] = 251915,
  [SMALL_STATE(7234)] = 251931,
  [SMALL_STATE(7235)] = 251947,
  [SMALL_STATE(7236)] = 251961,
  [SMALL_STATE(7237)] = 251977,
  [SMALL_STATE(7238)] = 251991,
  [SMALL_STATE(7239)] = 252005,
  [SMALL_STATE(7240)] = 252021,
  [SMALL_STATE(7241)] = 252037,
  [SMALL_STATE(7242)] = 252053,
  [SMALL_STATE(7243)] = 252069,
  [SMALL_STATE(7244)] = 252085,
  [SMALL_STATE(7245)] = 252099,
  [SMALL_STATE(7246)] = 252113,
  [SMALL_STATE(7247)] = 252129,
  [SMALL_STATE(7248)] = 252145,
  [SMALL_STATE(7249)] = 252161,
  [SMALL_STATE(7250)] = 252177,
  [SMALL_STATE(7251)] = 252191,
  [SMALL_STATE(7252)] = 252204,
  [SMALL_STATE(7253)] = 252217,
  [SMALL_STATE(7254)] = 252230,
  [SMALL_STATE(7255)] = 252243,
  [SMALL_STATE(7256)] = 252254,
  [SMALL_STATE(7257)] = 252267,
  [SMALL_STATE(7258)] = 252280,
  [SMALL_STATE(7259)] = 252293,
  [SMALL_STATE(7260)] = 252306,
  [SMALL_STATE(7261)] = 252319,
  [SMALL_STATE(7262)] = 252332,
  [SMALL_STATE(7263)] = 252345,
  [SMALL_STATE(7264)] = 252358,
  [SMALL_STATE(7265)] = 252371,
  [SMALL_STATE(7266)] = 252384,
  [SMALL_STATE(7267)] = 252397,
  [SMALL_STATE(7268)] = 252410,
  [SMALL_STATE(7269)] = 252423,
  [SMALL_STATE(7270)] = 252436,
  [SMALL_STATE(7271)] = 252449,
  [SMALL_STATE(7272)] = 252462,
  [SMALL_STATE(7273)] = 252475,
  [SMALL_STATE(7274)] = 252488,
  [SMALL_STATE(7275)] = 252501,
  [SMALL_STATE(7276)] = 252514,
  [SMALL_STATE(7277)] = 252527,
  [SMALL_STATE(7278)] = 252540,
  [SMALL_STATE(7279)] = 252553,
  [SMALL_STATE(7280)] = 252564,
  [SMALL_STATE(7281)] = 252577,
  [SMALL_STATE(7282)] = 252590,
  [SMALL_STATE(7283)] = 252603,
  [SMALL_STATE(7284)] = 252616,
  [SMALL_STATE(7285)] = 252629,
  [SMALL_STATE(7286)] = 252642,
  [SMALL_STATE(7287)] = 252655,
  [SMALL_STATE(7288)] = 252666,
  [SMALL_STATE(7289)] = 252677,
  [SMALL_STATE(7290)] = 252688,
  [SMALL_STATE(7291)] = 252699,
  [SMALL_STATE(7292)] = 252712,
  [SMALL_STATE(7293)] = 252725,
  [SMALL_STATE(7294)] = 252738,
  [SMALL_STATE(7295)] = 252751,
  [SMALL_STATE(7296)] = 252764,
  [SMALL_STATE(7297)] = 252777,
  [SMALL_STATE(7298)] = 252790,
  [SMALL_STATE(7299)] = 252803,
  [SMALL_STATE(7300)] = 252816,
  [SMALL_STATE(7301)] = 252829,
  [SMALL_STATE(7302)] = 252842,
  [SMALL_STATE(7303)] = 252855,
  [SMALL_STATE(7304)] = 252868,
  [SMALL_STATE(7305)] = 252881,
  [SMALL_STATE(7306)] = 252894,
  [SMALL_STATE(7307)] = 252907,
  [SMALL_STATE(7308)] = 252920,
  [SMALL_STATE(7309)] = 252933,
  [SMALL_STATE(7310)] = 252946,
  [SMALL_STATE(7311)] = 252959,
  [SMALL_STATE(7312)] = 252972,
  [SMALL_STATE(7313)] = 252985,
  [SMALL_STATE(7314)] = 252998,
  [SMALL_STATE(7315)] = 253011,
  [SMALL_STATE(7316)] = 253022,
  [SMALL_STATE(7317)] = 253035,
  [SMALL_STATE(7318)] = 253048,
  [SMALL_STATE(7319)] = 253061,
  [SMALL_STATE(7320)] = 253074,
  [SMALL_STATE(7321)] = 253087,
  [SMALL_STATE(7322)] = 253100,
  [SMALL_STATE(7323)] = 253113,
  [SMALL_STATE(7324)] = 253126,
  [SMALL_STATE(7325)] = 253139,
  [SMALL_STATE(7326)] = 253150,
  [SMALL_STATE(7327)] = 253163,
  [SMALL_STATE(7328)] = 253176,
  [SMALL_STATE(7329)] = 253189,
  [SMALL_STATE(7330)] = 253202,
  [SMALL_STATE(7331)] = 253215,
  [SMALL_STATE(7332)] = 253226,
  [SMALL_STATE(7333)] = 253239,
  [SMALL_STATE(7334)] = 253252,
  [SMALL_STATE(7335)] = 253261,
  [SMALL_STATE(7336)] = 253274,
  [SMALL_STATE(7337)] = 253287,
  [SMALL_STATE(7338)] = 253300,
  [SMALL_STATE(7339)] = 253313,
  [SMALL_STATE(7340)] = 253326,
  [SMALL_STATE(7341)] = 253339,
  [SMALL_STATE(7342)] = 253350,
  [SMALL_STATE(7343)] = 253363,
  [SMALL_STATE(7344)] = 253376,
  [SMALL_STATE(7345)] = 253387,
  [SMALL_STATE(7346)] = 253400,
  [SMALL_STATE(7347)] = 253413,
  [SMALL_STATE(7348)] = 253426,
  [SMALL_STATE(7349)] = 253439,
  [SMALL_STATE(7350)] = 253452,
  [SMALL_STATE(7351)] = 253465,
  [SMALL_STATE(7352)] = 253478,
  [SMALL_STATE(7353)] = 253491,
  [SMALL_STATE(7354)] = 253504,
  [SMALL_STATE(7355)] = 253517,
  [SMALL_STATE(7356)] = 253530,
  [SMALL_STATE(7357)] = 253543,
  [SMALL_STATE(7358)] = 253556,
  [SMALL_STATE(7359)] = 253569,
  [SMALL_STATE(7360)] = 253582,
  [SMALL_STATE(7361)] = 253595,
  [SMALL_STATE(7362)] = 253608,
  [SMALL_STATE(7363)] = 253621,
  [SMALL_STATE(7364)] = 253634,
  [SMALL_STATE(7365)] = 253647,
  [SMALL_STATE(7366)] = 253660,
  [SMALL_STATE(7367)] = 253673,
  [SMALL_STATE(7368)] = 253686,
  [SMALL_STATE(7369)] = 253699,
  [SMALL_STATE(7370)] = 253712,
  [SMALL_STATE(7371)] = 253725,
  [SMALL_STATE(7372)] = 253738,
  [SMALL_STATE(7373)] = 253751,
  [SMALL_STATE(7374)] = 253764,
  [SMALL_STATE(7375)] = 253777,
  [SMALL_STATE(7376)] = 253790,
  [SMALL_STATE(7377)] = 253803,
  [SMALL_STATE(7378)] = 253814,
  [SMALL_STATE(7379)] = 253827,
  [SMALL_STATE(7380)] = 253840,
  [SMALL_STATE(7381)] = 253853,
  [SMALL_STATE(7382)] = 253866,
  [SMALL_STATE(7383)] = 253879,
  [SMALL_STATE(7384)] = 253892,
  [SMALL_STATE(7385)] = 253905,
  [SMALL_STATE(7386)] = 253918,
  [SMALL_STATE(7387)] = 253931,
  [SMALL_STATE(7388)] = 253944,
  [SMALL_STATE(7389)] = 253957,
  [SMALL_STATE(7390)] = 253970,
  [SMALL_STATE(7391)] = 253983,
  [SMALL_STATE(7392)] = 253996,
  [SMALL_STATE(7393)] = 254009,
  [SMALL_STATE(7394)] = 254022,
  [SMALL_STATE(7395)] = 254035,
  [SMALL_STATE(7396)] = 254048,
  [SMALL_STATE(7397)] = 254061,
  [SMALL_STATE(7398)] = 254070,
  [SMALL_STATE(7399)] = 254083,
  [SMALL_STATE(7400)] = 254094,
  [SMALL_STATE(7401)] = 254107,
  [SMALL_STATE(7402)] = 254120,
  [SMALL_STATE(7403)] = 254133,
  [SMALL_STATE(7404)] = 254146,
  [SMALL_STATE(7405)] = 254157,
  [SMALL_STATE(7406)] = 254170,
  [SMALL_STATE(7407)] = 254183,
  [SMALL_STATE(7408)] = 254196,
  [SMALL_STATE(7409)] = 254209,
  [SMALL_STATE(7410)] = 254222,
  [SMALL_STATE(7411)] = 254235,
  [SMALL_STATE(7412)] = 254248,
  [SMALL_STATE(7413)] = 254257,
  [SMALL_STATE(7414)] = 254270,
  [SMALL_STATE(7415)] = 254283,
  [SMALL_STATE(7416)] = 254292,
  [SMALL_STATE(7417)] = 254305,
  [SMALL_STATE(7418)] = 254314,
  [SMALL_STATE(7419)] = 254327,
  [SMALL_STATE(7420)] = 254340,
  [SMALL_STATE(7421)] = 254349,
  [SMALL_STATE(7422)] = 254358,
  [SMALL_STATE(7423)] = 254371,
  [SMALL_STATE(7424)] = 254380,
  [SMALL_STATE(7425)] = 254393,
  [SMALL_STATE(7426)] = 254406,
  [SMALL_STATE(7427)] = 254419,
  [SMALL_STATE(7428)] = 254432,
  [SMALL_STATE(7429)] = 254445,
  [SMALL_STATE(7430)] = 254458,
  [SMALL_STATE(7431)] = 254469,
  [SMALL_STATE(7432)] = 254482,
  [SMALL_STATE(7433)] = 254495,
  [SMALL_STATE(7434)] = 254506,
  [SMALL_STATE(7435)] = 254519,
  [SMALL_STATE(7436)] = 254532,
  [SMALL_STATE(7437)] = 254545,
  [SMALL_STATE(7438)] = 254558,
  [SMALL_STATE(7439)] = 254571,
  [SMALL_STATE(7440)] = 254584,
  [SMALL_STATE(7441)] = 254597,
  [SMALL_STATE(7442)] = 254610,
  [SMALL_STATE(7443)] = 254621,
  [SMALL_STATE(7444)] = 254634,
  [SMALL_STATE(7445)] = 254645,
  [SMALL_STATE(7446)] = 254656,
  [SMALL_STATE(7447)] = 254667,
  [SMALL_STATE(7448)] = 254680,
  [SMALL_STATE(7449)] = 254693,
  [SMALL_STATE(7450)] = 254706,
  [SMALL_STATE(7451)] = 254717,
  [SMALL_STATE(7452)] = 254730,
  [SMALL_STATE(7453)] = 254743,
  [SMALL_STATE(7454)] = 254756,
  [SMALL_STATE(7455)] = 254769,
  [SMALL_STATE(7456)] = 254778,
  [SMALL_STATE(7457)] = 254791,
  [SMALL_STATE(7458)] = 254804,
  [SMALL_STATE(7459)] = 254817,
  [SMALL_STATE(7460)] = 254830,
  [SMALL_STATE(7461)] = 254843,
  [SMALL_STATE(7462)] = 254856,
  [SMALL_STATE(7463)] = 254869,
  [SMALL_STATE(7464)] = 254882,
  [SMALL_STATE(7465)] = 254895,
  [SMALL_STATE(7466)] = 254906,
  [SMALL_STATE(7467)] = 254917,
  [SMALL_STATE(7468)] = 254928,
  [SMALL_STATE(7469)] = 254937,
  [SMALL_STATE(7470)] = 254950,
  [SMALL_STATE(7471)] = 254963,
  [SMALL_STATE(7472)] = 254976,
  [SMALL_STATE(7473)] = 254989,
  [SMALL_STATE(7474)] = 255002,
  [SMALL_STATE(7475)] = 255015,
  [SMALL_STATE(7476)] = 255028,
  [SMALL_STATE(7477)] = 255041,
  [SMALL_STATE(7478)] = 255052,
  [SMALL_STATE(7479)] = 255065,
  [SMALL_STATE(7480)] = 255078,
  [SMALL_STATE(7481)] = 255091,
  [SMALL_STATE(7482)] = 255104,
  [SMALL_STATE(7483)] = 255117,
  [SMALL_STATE(7484)] = 255130,
  [SMALL_STATE(7485)] = 255143,
  [SMALL_STATE(7486)] = 255156,
  [SMALL_STATE(7487)] = 255167,
  [SMALL_STATE(7488)] = 255176,
  [SMALL_STATE(7489)] = 255189,
  [SMALL_STATE(7490)] = 255202,
  [SMALL_STATE(7491)] = 255215,
  [SMALL_STATE(7492)] = 255228,
  [SMALL_STATE(7493)] = 255241,
  [SMALL_STATE(7494)] = 255252,
  [SMALL_STATE(7495)] = 255261,
  [SMALL_STATE(7496)] = 255274,
  [SMALL_STATE(7497)] = 255287,
  [SMALL_STATE(7498)] = 255300,
  [SMALL_STATE(7499)] = 255313,
  [SMALL_STATE(7500)] = 255326,
  [SMALL_STATE(7501)] = 255337,
  [SMALL_STATE(7502)] = 255350,
  [SMALL_STATE(7503)] = 255363,
  [SMALL_STATE(7504)] = 255376,
  [SMALL_STATE(7505)] = 255389,
  [SMALL_STATE(7506)] = 255402,
  [SMALL_STATE(7507)] = 255415,
  [SMALL_STATE(7508)] = 255424,
  [SMALL_STATE(7509)] = 255437,
  [SMALL_STATE(7510)] = 255450,
  [SMALL_STATE(7511)] = 255463,
  [SMALL_STATE(7512)] = 255476,
  [SMALL_STATE(7513)] = 255489,
  [SMALL_STATE(7514)] = 255500,
  [SMALL_STATE(7515)] = 255513,
  [SMALL_STATE(7516)] = 255524,
  [SMALL_STATE(7517)] = 255537,
  [SMALL_STATE(7518)] = 255550,
  [SMALL_STATE(7519)] = 255561,
  [SMALL_STATE(7520)] = 255574,
  [SMALL_STATE(7521)] = 255587,
  [SMALL_STATE(7522)] = 255600,
  [SMALL_STATE(7523)] = 255613,
  [SMALL_STATE(7524)] = 255626,
  [SMALL_STATE(7525)] = 255639,
  [SMALL_STATE(7526)] = 255652,
  [SMALL_STATE(7527)] = 255665,
  [SMALL_STATE(7528)] = 255676,
  [SMALL_STATE(7529)] = 255687,
  [SMALL_STATE(7530)] = 255700,
  [SMALL_STATE(7531)] = 255713,
  [SMALL_STATE(7532)] = 255726,
  [SMALL_STATE(7533)] = 255739,
  [SMALL_STATE(7534)] = 255752,
  [SMALL_STATE(7535)] = 255765,
  [SMALL_STATE(7536)] = 255778,
  [SMALL_STATE(7537)] = 255791,
  [SMALL_STATE(7538)] = 255804,
  [SMALL_STATE(7539)] = 255817,
  [SMALL_STATE(7540)] = 255830,
  [SMALL_STATE(7541)] = 255839,
  [SMALL_STATE(7542)] = 255852,
  [SMALL_STATE(7543)] = 255865,
  [SMALL_STATE(7544)] = 255876,
  [SMALL_STATE(7545)] = 255887,
  [SMALL_STATE(7546)] = 255900,
  [SMALL_STATE(7547)] = 255911,
  [SMALL_STATE(7548)] = 255924,
  [SMALL_STATE(7549)] = 255937,
  [SMALL_STATE(7550)] = 255950,
  [SMALL_STATE(7551)] = 255963,
  [SMALL_STATE(7552)] = 255976,
  [SMALL_STATE(7553)] = 255989,
  [SMALL_STATE(7554)] = 256002,
  [SMALL_STATE(7555)] = 256015,
  [SMALL_STATE(7556)] = 256028,
  [SMALL_STATE(7557)] = 256041,
  [SMALL_STATE(7558)] = 256054,
  [SMALL_STATE(7559)] = 256065,
  [SMALL_STATE(7560)] = 256076,
  [SMALL_STATE(7561)] = 256089,
  [SMALL_STATE(7562)] = 256102,
  [SMALL_STATE(7563)] = 256113,
  [SMALL_STATE(7564)] = 256126,
  [SMALL_STATE(7565)] = 256139,
  [SMALL_STATE(7566)] = 256152,
  [SMALL_STATE(7567)] = 256165,
  [SMALL_STATE(7568)] = 256178,
  [SMALL_STATE(7569)] = 256191,
  [SMALL_STATE(7570)] = 256204,
  [SMALL_STATE(7571)] = 256217,
  [SMALL_STATE(7572)] = 256230,
  [SMALL_STATE(7573)] = 256241,
  [SMALL_STATE(7574)] = 256254,
  [SMALL_STATE(7575)] = 256265,
  [SMALL_STATE(7576)] = 256278,
  [SMALL_STATE(7577)] = 256291,
  [SMALL_STATE(7578)] = 256304,
  [SMALL_STATE(7579)] = 256317,
  [SMALL_STATE(7580)] = 256326,
  [SMALL_STATE(7581)] = 256339,
  [SMALL_STATE(7582)] = 256352,
  [SMALL_STATE(7583)] = 256365,
  [SMALL_STATE(7584)] = 256378,
  [SMALL_STATE(7585)] = 256389,
  [SMALL_STATE(7586)] = 256402,
  [SMALL_STATE(7587)] = 256415,
  [SMALL_STATE(7588)] = 256428,
  [SMALL_STATE(7589)] = 256441,
  [SMALL_STATE(7590)] = 256454,
  [SMALL_STATE(7591)] = 256463,
  [SMALL_STATE(7592)] = 256476,
  [SMALL_STATE(7593)] = 256489,
  [SMALL_STATE(7594)] = 256500,
  [SMALL_STATE(7595)] = 256511,
  [SMALL_STATE(7596)] = 256522,
  [SMALL_STATE(7597)] = 256535,
  [SMALL_STATE(7598)] = 256546,
  [SMALL_STATE(7599)] = 256557,
  [SMALL_STATE(7600)] = 256570,
  [SMALL_STATE(7601)] = 256583,
  [SMALL_STATE(7602)] = 256594,
  [SMALL_STATE(7603)] = 256607,
  [SMALL_STATE(7604)] = 256620,
  [SMALL_STATE(7605)] = 256631,
  [SMALL_STATE(7606)] = 256642,
  [SMALL_STATE(7607)] = 256655,
  [SMALL_STATE(7608)] = 256664,
  [SMALL_STATE(7609)] = 256673,
  [SMALL_STATE(7610)] = 256686,
  [SMALL_STATE(7611)] = 256699,
  [SMALL_STATE(7612)] = 256712,
  [SMALL_STATE(7613)] = 256725,
  [SMALL_STATE(7614)] = 256738,
  [SMALL_STATE(7615)] = 256751,
  [SMALL_STATE(7616)] = 256764,
  [SMALL_STATE(7617)] = 256777,
  [SMALL_STATE(7618)] = 256790,
  [SMALL_STATE(7619)] = 256803,
  [SMALL_STATE(7620)] = 256816,
  [SMALL_STATE(7621)] = 256829,
  [SMALL_STATE(7622)] = 256842,
  [SMALL_STATE(7623)] = 256855,
  [SMALL_STATE(7624)] = 256868,
  [SMALL_STATE(7625)] = 256881,
  [SMALL_STATE(7626)] = 256892,
  [SMALL_STATE(7627)] = 256901,
  [SMALL_STATE(7628)] = 256914,
  [SMALL_STATE(7629)] = 256923,
  [SMALL_STATE(7630)] = 256936,
  [SMALL_STATE(7631)] = 256949,
  [SMALL_STATE(7632)] = 256962,
  [SMALL_STATE(7633)] = 256975,
  [SMALL_STATE(7634)] = 256988,
  [SMALL_STATE(7635)] = 257001,
  [SMALL_STATE(7636)] = 257014,
  [SMALL_STATE(7637)] = 257025,
  [SMALL_STATE(7638)] = 257038,
  [SMALL_STATE(7639)] = 257049,
  [SMALL_STATE(7640)] = 257062,
  [SMALL_STATE(7641)] = 257075,
  [SMALL_STATE(7642)] = 257088,
  [SMALL_STATE(7643)] = 257101,
  [SMALL_STATE(7644)] = 257114,
  [SMALL_STATE(7645)] = 257127,
  [SMALL_STATE(7646)] = 257140,
  [SMALL_STATE(7647)] = 257151,
  [SMALL_STATE(7648)] = 257160,
  [SMALL_STATE(7649)] = 257169,
  [SMALL_STATE(7650)] = 257182,
  [SMALL_STATE(7651)] = 257195,
  [SMALL_STATE(7652)] = 257208,
  [SMALL_STATE(7653)] = 257221,
  [SMALL_STATE(7654)] = 257234,
  [SMALL_STATE(7655)] = 257247,
  [SMALL_STATE(7656)] = 257258,
  [SMALL_STATE(7657)] = 257269,
  [SMALL_STATE(7658)] = 257282,
  [SMALL_STATE(7659)] = 257295,
  [SMALL_STATE(7660)] = 257308,
  [SMALL_STATE(7661)] = 257321,
  [SMALL_STATE(7662)] = 257334,
  [SMALL_STATE(7663)] = 257345,
  [SMALL_STATE(7664)] = 257358,
  [SMALL_STATE(7665)] = 257367,
  [SMALL_STATE(7666)] = 257380,
  [SMALL_STATE(7667)] = 257393,
  [SMALL_STATE(7668)] = 257406,
  [SMALL_STATE(7669)] = 257419,
  [SMALL_STATE(7670)] = 257432,
  [SMALL_STATE(7671)] = 257445,
  [SMALL_STATE(7672)] = 257458,
  [SMALL_STATE(7673)] = 257471,
  [SMALL_STATE(7674)] = 257484,
  [SMALL_STATE(7675)] = 257497,
  [SMALL_STATE(7676)] = 257508,
  [SMALL_STATE(7677)] = 257521,
  [SMALL_STATE(7678)] = 257534,
  [SMALL_STATE(7679)] = 257547,
  [SMALL_STATE(7680)] = 257560,
  [SMALL_STATE(7681)] = 257573,
  [SMALL_STATE(7682)] = 257586,
  [SMALL_STATE(7683)] = 257594,
  [SMALL_STATE(7684)] = 257604,
  [SMALL_STATE(7685)] = 257614,
  [SMALL_STATE(7686)] = 257622,
  [SMALL_STATE(7687)] = 257630,
  [SMALL_STATE(7688)] = 257640,
  [SMALL_STATE(7689)] = 257650,
  [SMALL_STATE(7690)] = 257660,
  [SMALL_STATE(7691)] = 257670,
  [SMALL_STATE(7692)] = 257680,
  [SMALL_STATE(7693)] = 257690,
  [SMALL_STATE(7694)] = 257700,
  [SMALL_STATE(7695)] = 257710,
  [SMALL_STATE(7696)] = 257720,
  [SMALL_STATE(7697)] = 257730,
  [SMALL_STATE(7698)] = 257740,
  [SMALL_STATE(7699)] = 257750,
  [SMALL_STATE(7700)] = 257760,
  [SMALL_STATE(7701)] = 257770,
  [SMALL_STATE(7702)] = 257780,
  [SMALL_STATE(7703)] = 257790,
  [SMALL_STATE(7704)] = 257800,
  [SMALL_STATE(7705)] = 257810,
  [SMALL_STATE(7706)] = 257820,
  [SMALL_STATE(7707)] = 257830,
  [SMALL_STATE(7708)] = 257840,
  [SMALL_STATE(7709)] = 257850,
  [SMALL_STATE(7710)] = 257860,
  [SMALL_STATE(7711)] = 257870,
  [SMALL_STATE(7712)] = 257878,
  [SMALL_STATE(7713)] = 257888,
  [SMALL_STATE(7714)] = 257898,
  [SMALL_STATE(7715)] = 257908,
  [SMALL_STATE(7716)] = 257918,
  [SMALL_STATE(7717)] = 257928,
  [SMALL_STATE(7718)] = 257938,
  [SMALL_STATE(7719)] = 257948,
  [SMALL_STATE(7720)] = 257958,
  [SMALL_STATE(7721)] = 257968,
  [SMALL_STATE(7722)] = 257978,
  [SMALL_STATE(7723)] = 257986,
  [SMALL_STATE(7724)] = 257996,
  [SMALL_STATE(7725)] = 258006,
  [SMALL_STATE(7726)] = 258016,
  [SMALL_STATE(7727)] = 258026,
  [SMALL_STATE(7728)] = 258036,
  [SMALL_STATE(7729)] = 258046,
  [SMALL_STATE(7730)] = 258056,
  [SMALL_STATE(7731)] = 258066,
  [SMALL_STATE(7732)] = 258076,
  [SMALL_STATE(7733)] = 258086,
  [SMALL_STATE(7734)] = 258094,
  [SMALL_STATE(7735)] = 258104,
  [SMALL_STATE(7736)] = 258114,
  [SMALL_STATE(7737)] = 258124,
  [SMALL_STATE(7738)] = 258132,
  [SMALL_STATE(7739)] = 258142,
  [SMALL_STATE(7740)] = 258152,
  [SMALL_STATE(7741)] = 258162,
  [SMALL_STATE(7742)] = 258172,
  [SMALL_STATE(7743)] = 258182,
  [SMALL_STATE(7744)] = 258192,
  [SMALL_STATE(7745)] = 258202,
  [SMALL_STATE(7746)] = 258212,
  [SMALL_STATE(7747)] = 258222,
  [SMALL_STATE(7748)] = 258230,
  [SMALL_STATE(7749)] = 258240,
  [SMALL_STATE(7750)] = 258250,
  [SMALL_STATE(7751)] = 258260,
  [SMALL_STATE(7752)] = 258270,
  [SMALL_STATE(7753)] = 258280,
  [SMALL_STATE(7754)] = 258290,
  [SMALL_STATE(7755)] = 258300,
  [SMALL_STATE(7756)] = 258310,
  [SMALL_STATE(7757)] = 258320,
  [SMALL_STATE(7758)] = 258330,
  [SMALL_STATE(7759)] = 258340,
  [SMALL_STATE(7760)] = 258350,
  [SMALL_STATE(7761)] = 258358,
  [SMALL_STATE(7762)] = 258368,
  [SMALL_STATE(7763)] = 258378,
  [SMALL_STATE(7764)] = 258388,
  [SMALL_STATE(7765)] = 258398,
  [SMALL_STATE(7766)] = 258408,
  [SMALL_STATE(7767)] = 258418,
  [SMALL_STATE(7768)] = 258428,
  [SMALL_STATE(7769)] = 258438,
  [SMALL_STATE(7770)] = 258446,
  [SMALL_STATE(7771)] = 258456,
  [SMALL_STATE(7772)] = 258466,
  [SMALL_STATE(7773)] = 258476,
  [SMALL_STATE(7774)] = 258486,
  [SMALL_STATE(7775)] = 258496,
  [SMALL_STATE(7776)] = 258506,
  [SMALL_STATE(7777)] = 258516,
  [SMALL_STATE(7778)] = 258526,
  [SMALL_STATE(7779)] = 258534,
  [SMALL_STATE(7780)] = 258544,
  [SMALL_STATE(7781)] = 258554,
  [SMALL_STATE(7782)] = 258564,
  [SMALL_STATE(7783)] = 258574,
  [SMALL_STATE(7784)] = 258584,
  [SMALL_STATE(7785)] = 258594,
  [SMALL_STATE(7786)] = 258604,
  [SMALL_STATE(7787)] = 258614,
  [SMALL_STATE(7788)] = 258624,
  [SMALL_STATE(7789)] = 258632,
  [SMALL_STATE(7790)] = 258642,
  [SMALL_STATE(7791)] = 258652,
  [SMALL_STATE(7792)] = 258662,
  [SMALL_STATE(7793)] = 258672,
  [SMALL_STATE(7794)] = 258680,
  [SMALL_STATE(7795)] = 258690,
  [SMALL_STATE(7796)] = 258700,
  [SMALL_STATE(7797)] = 258710,
  [SMALL_STATE(7798)] = 258720,
  [SMALL_STATE(7799)] = 258730,
  [SMALL_STATE(7800)] = 258740,
  [SMALL_STATE(7801)] = 258750,
  [SMALL_STATE(7802)] = 258760,
  [SMALL_STATE(7803)] = 258770,
  [SMALL_STATE(7804)] = 258780,
  [SMALL_STATE(7805)] = 258790,
  [SMALL_STATE(7806)] = 258800,
  [SMALL_STATE(7807)] = 258810,
  [SMALL_STATE(7808)] = 258820,
  [SMALL_STATE(7809)] = 258830,
  [SMALL_STATE(7810)] = 258840,
  [SMALL_STATE(7811)] = 258850,
  [SMALL_STATE(7812)] = 258860,
  [SMALL_STATE(7813)] = 258870,
  [SMALL_STATE(7814)] = 258880,
  [SMALL_STATE(7815)] = 258890,
  [SMALL_STATE(7816)] = 258900,
  [SMALL_STATE(7817)] = 258910,
  [SMALL_STATE(7818)] = 258920,
  [SMALL_STATE(7819)] = 258930,
  [SMALL_STATE(7820)] = 258940,
  [SMALL_STATE(7821)] = 258950,
  [SMALL_STATE(7822)] = 258960,
  [SMALL_STATE(7823)] = 258970,
  [SMALL_STATE(7824)] = 258980,
  [SMALL_STATE(7825)] = 258990,
  [SMALL_STATE(7826)] = 259000,
  [SMALL_STATE(7827)] = 259010,
  [SMALL_STATE(7828)] = 259020,
  [SMALL_STATE(7829)] = 259030,
  [SMALL_STATE(7830)] = 259040,
  [SMALL_STATE(7831)] = 259050,
  [SMALL_STATE(7832)] = 259060,
  [SMALL_STATE(7833)] = 259070,
  [SMALL_STATE(7834)] = 259078,
  [SMALL_STATE(7835)] = 259088,
  [SMALL_STATE(7836)] = 259098,
  [SMALL_STATE(7837)] = 259108,
  [SMALL_STATE(7838)] = 259118,
  [SMALL_STATE(7839)] = 259128,
  [SMALL_STATE(7840)] = 259138,
  [SMALL_STATE(7841)] = 259148,
  [SMALL_STATE(7842)] = 259158,
  [SMALL_STATE(7843)] = 259168,
  [SMALL_STATE(7844)] = 259178,
  [SMALL_STATE(7845)] = 259188,
  [SMALL_STATE(7846)] = 259198,
  [SMALL_STATE(7847)] = 259208,
  [SMALL_STATE(7848)] = 259218,
  [SMALL_STATE(7849)] = 259228,
  [SMALL_STATE(7850)] = 259238,
  [SMALL_STATE(7851)] = 259248,
  [SMALL_STATE(7852)] = 259258,
  [SMALL_STATE(7853)] = 259268,
  [SMALL_STATE(7854)] = 259276,
  [SMALL_STATE(7855)] = 259286,
  [SMALL_STATE(7856)] = 259296,
  [SMALL_STATE(7857)] = 259306,
  [SMALL_STATE(7858)] = 259316,
  [SMALL_STATE(7859)] = 259326,
  [SMALL_STATE(7860)] = 259336,
  [SMALL_STATE(7861)] = 259346,
  [SMALL_STATE(7862)] = 259356,
  [SMALL_STATE(7863)] = 259366,
  [SMALL_STATE(7864)] = 259376,
  [SMALL_STATE(7865)] = 259386,
  [SMALL_STATE(7866)] = 259396,
  [SMALL_STATE(7867)] = 259406,
  [SMALL_STATE(7868)] = 259416,
  [SMALL_STATE(7869)] = 259426,
  [SMALL_STATE(7870)] = 259434,
  [SMALL_STATE(7871)] = 259442,
  [SMALL_STATE(7872)] = 259452,
  [SMALL_STATE(7873)] = 259462,
  [SMALL_STATE(7874)] = 259472,
  [SMALL_STATE(7875)] = 259482,
  [SMALL_STATE(7876)] = 259492,
  [SMALL_STATE(7877)] = 259502,
  [SMALL_STATE(7878)] = 259512,
  [SMALL_STATE(7879)] = 259522,
  [SMALL_STATE(7880)] = 259532,
  [SMALL_STATE(7881)] = 259542,
  [SMALL_STATE(7882)] = 259550,
  [SMALL_STATE(7883)] = 259560,
  [SMALL_STATE(7884)] = 259570,
  [SMALL_STATE(7885)] = 259580,
  [SMALL_STATE(7886)] = 259590,
  [SMALL_STATE(7887)] = 259600,
  [SMALL_STATE(7888)] = 259610,
  [SMALL_STATE(7889)] = 259620,
  [SMALL_STATE(7890)] = 259630,
  [SMALL_STATE(7891)] = 259640,
  [SMALL_STATE(7892)] = 259650,
  [SMALL_STATE(7893)] = 259658,
  [SMALL_STATE(7894)] = 259668,
  [SMALL_STATE(7895)] = 259676,
  [SMALL_STATE(7896)] = 259686,
  [SMALL_STATE(7897)] = 259694,
  [SMALL_STATE(7898)] = 259704,
  [SMALL_STATE(7899)] = 259712,
  [SMALL_STATE(7900)] = 259722,
  [SMALL_STATE(7901)] = 259732,
  [SMALL_STATE(7902)] = 259742,
  [SMALL_STATE(7903)] = 259752,
  [SMALL_STATE(7904)] = 259762,
  [SMALL_STATE(7905)] = 259772,
  [SMALL_STATE(7906)] = 259782,
  [SMALL_STATE(7907)] = 259792,
  [SMALL_STATE(7908)] = 259802,
  [SMALL_STATE(7909)] = 259812,
  [SMALL_STATE(7910)] = 259822,
  [SMALL_STATE(7911)] = 259832,
  [SMALL_STATE(7912)] = 259842,
  [SMALL_STATE(7913)] = 259850,
  [SMALL_STATE(7914)] = 259860,
  [SMALL_STATE(7915)] = 259870,
  [SMALL_STATE(7916)] = 259880,
  [SMALL_STATE(7917)] = 259890,
  [SMALL_STATE(7918)] = 259900,
  [SMALL_STATE(7919)] = 259908,
  [SMALL_STATE(7920)] = 259918,
  [SMALL_STATE(7921)] = 259928,
  [SMALL_STATE(7922)] = 259938,
  [SMALL_STATE(7923)] = 259948,
  [SMALL_STATE(7924)] = 259958,
  [SMALL_STATE(7925)] = 259968,
  [SMALL_STATE(7926)] = 259978,
  [SMALL_STATE(7927)] = 259988,
  [SMALL_STATE(7928)] = 259998,
  [SMALL_STATE(7929)] = 260008,
  [SMALL_STATE(7930)] = 260018,
  [SMALL_STATE(7931)] = 260028,
  [SMALL_STATE(7932)] = 260038,
  [SMALL_STATE(7933)] = 260046,
  [SMALL_STATE(7934)] = 260056,
  [SMALL_STATE(7935)] = 260066,
  [SMALL_STATE(7936)] = 260076,
  [SMALL_STATE(7937)] = 260086,
  [SMALL_STATE(7938)] = 260096,
  [SMALL_STATE(7939)] = 260106,
  [SMALL_STATE(7940)] = 260114,
  [SMALL_STATE(7941)] = 260124,
  [SMALL_STATE(7942)] = 260134,
  [SMALL_STATE(7943)] = 260144,
  [SMALL_STATE(7944)] = 260154,
  [SMALL_STATE(7945)] = 260162,
  [SMALL_STATE(7946)] = 260172,
  [SMALL_STATE(7947)] = 260182,
  [SMALL_STATE(7948)] = 260192,
  [SMALL_STATE(7949)] = 260202,
  [SMALL_STATE(7950)] = 260212,
  [SMALL_STATE(7951)] = 260222,
  [SMALL_STATE(7952)] = 260230,
  [SMALL_STATE(7953)] = 260240,
  [SMALL_STATE(7954)] = 260250,
  [SMALL_STATE(7955)] = 260260,
  [SMALL_STATE(7956)] = 260268,
  [SMALL_STATE(7957)] = 260278,
  [SMALL_STATE(7958)] = 260288,
  [SMALL_STATE(7959)] = 260298,
  [SMALL_STATE(7960)] = 260308,
  [SMALL_STATE(7961)] = 260318,
  [SMALL_STATE(7962)] = 260328,
  [SMALL_STATE(7963)] = 260338,
  [SMALL_STATE(7964)] = 260348,
  [SMALL_STATE(7965)] = 260358,
  [SMALL_STATE(7966)] = 260368,
  [SMALL_STATE(7967)] = 260378,
  [SMALL_STATE(7968)] = 260388,
  [SMALL_STATE(7969)] = 260398,
  [SMALL_STATE(7970)] = 260408,
  [SMALL_STATE(7971)] = 260418,
  [SMALL_STATE(7972)] = 260428,
  [SMALL_STATE(7973)] = 260438,
  [SMALL_STATE(7974)] = 260448,
  [SMALL_STATE(7975)] = 260458,
  [SMALL_STATE(7976)] = 260468,
  [SMALL_STATE(7977)] = 260478,
  [SMALL_STATE(7978)] = 260488,
  [SMALL_STATE(7979)] = 260498,
  [SMALL_STATE(7980)] = 260508,
  [SMALL_STATE(7981)] = 260518,
  [SMALL_STATE(7982)] = 260528,
  [SMALL_STATE(7983)] = 260536,
  [SMALL_STATE(7984)] = 260546,
  [SMALL_STATE(7985)] = 260556,
  [SMALL_STATE(7986)] = 260566,
  [SMALL_STATE(7987)] = 260576,
  [SMALL_STATE(7988)] = 260586,
  [SMALL_STATE(7989)] = 260596,
  [SMALL_STATE(7990)] = 260606,
  [SMALL_STATE(7991)] = 260616,
  [SMALL_STATE(7992)] = 260626,
  [SMALL_STATE(7993)] = 260636,
  [SMALL_STATE(7994)] = 260644,
  [SMALL_STATE(7995)] = 260654,
  [SMALL_STATE(7996)] = 260664,
  [SMALL_STATE(7997)] = 260674,
  [SMALL_STATE(7998)] = 260684,
  [SMALL_STATE(7999)] = 260694,
  [SMALL_STATE(8000)] = 260704,
  [SMALL_STATE(8001)] = 260714,
  [SMALL_STATE(8002)] = 260724,
  [SMALL_STATE(8003)] = 260734,
  [SMALL_STATE(8004)] = 260744,
  [SMALL_STATE(8005)] = 260754,
  [SMALL_STATE(8006)] = 260762,
  [SMALL_STATE(8007)] = 260772,
  [SMALL_STATE(8008)] = 260782,
  [SMALL_STATE(8009)] = 260792,
  [SMALL_STATE(8010)] = 260802,
  [SMALL_STATE(8011)] = 260812,
  [SMALL_STATE(8012)] = 260822,
  [SMALL_STATE(8013)] = 260832,
  [SMALL_STATE(8014)] = 260842,
  [SMALL_STATE(8015)] = 260852,
  [SMALL_STATE(8016)] = 260862,
  [SMALL_STATE(8017)] = 260872,
  [SMALL_STATE(8018)] = 260882,
  [SMALL_STATE(8019)] = 260892,
  [SMALL_STATE(8020)] = 260902,
  [SMALL_STATE(8021)] = 260912,
  [SMALL_STATE(8022)] = 260922,
  [SMALL_STATE(8023)] = 260932,
  [SMALL_STATE(8024)] = 260942,
  [SMALL_STATE(8025)] = 260952,
  [SMALL_STATE(8026)] = 260962,
  [SMALL_STATE(8027)] = 260970,
  [SMALL_STATE(8028)] = 260978,
  [SMALL_STATE(8029)] = 260988,
  [SMALL_STATE(8030)] = 260998,
  [SMALL_STATE(8031)] = 261008,
  [SMALL_STATE(8032)] = 261018,
  [SMALL_STATE(8033)] = 261028,
  [SMALL_STATE(8034)] = 261038,
  [SMALL_STATE(8035)] = 261048,
  [SMALL_STATE(8036)] = 261058,
  [SMALL_STATE(8037)] = 261068,
  [SMALL_STATE(8038)] = 261078,
  [SMALL_STATE(8039)] = 261088,
  [SMALL_STATE(8040)] = 261098,
  [SMALL_STATE(8041)] = 261108,
  [SMALL_STATE(8042)] = 261118,
  [SMALL_STATE(8043)] = 261128,
  [SMALL_STATE(8044)] = 261136,
  [SMALL_STATE(8045)] = 261146,
  [SMALL_STATE(8046)] = 261156,
  [SMALL_STATE(8047)] = 261166,
  [SMALL_STATE(8048)] = 261174,
  [SMALL_STATE(8049)] = 261184,
  [SMALL_STATE(8050)] = 261194,
  [SMALL_STATE(8051)] = 261204,
  [SMALL_STATE(8052)] = 261214,
  [SMALL_STATE(8053)] = 261224,
  [SMALL_STATE(8054)] = 261234,
  [SMALL_STATE(8055)] = 261244,
  [SMALL_STATE(8056)] = 261254,
  [SMALL_STATE(8057)] = 261264,
  [SMALL_STATE(8058)] = 261274,
  [SMALL_STATE(8059)] = 261284,
  [SMALL_STATE(8060)] = 261294,
  [SMALL_STATE(8061)] = 261304,
  [SMALL_STATE(8062)] = 261314,
  [SMALL_STATE(8063)] = 261324,
  [SMALL_STATE(8064)] = 261334,
  [SMALL_STATE(8065)] = 261344,
  [SMALL_STATE(8066)] = 261354,
  [SMALL_STATE(8067)] = 261364,
  [SMALL_STATE(8068)] = 261374,
  [SMALL_STATE(8069)] = 261384,
  [SMALL_STATE(8070)] = 261394,
  [SMALL_STATE(8071)] = 261404,
  [SMALL_STATE(8072)] = 261414,
  [SMALL_STATE(8073)] = 261424,
  [SMALL_STATE(8074)] = 261432,
  [SMALL_STATE(8075)] = 261439,
  [SMALL_STATE(8076)] = 261446,
  [SMALL_STATE(8077)] = 261453,
  [SMALL_STATE(8078)] = 261460,
  [SMALL_STATE(8079)] = 261467,
  [SMALL_STATE(8080)] = 261474,
  [SMALL_STATE(8081)] = 261481,
  [SMALL_STATE(8082)] = 261488,
  [SMALL_STATE(8083)] = 261495,
  [SMALL_STATE(8084)] = 261502,
  [SMALL_STATE(8085)] = 261509,
  [SMALL_STATE(8086)] = 261516,
  [SMALL_STATE(8087)] = 261523,
  [SMALL_STATE(8088)] = 261530,
  [SMALL_STATE(8089)] = 261537,
  [SMALL_STATE(8090)] = 261544,
  [SMALL_STATE(8091)] = 261551,
  [SMALL_STATE(8092)] = 261558,
  [SMALL_STATE(8093)] = 261565,
  [SMALL_STATE(8094)] = 261572,
  [SMALL_STATE(8095)] = 261579,
  [SMALL_STATE(8096)] = 261586,
  [SMALL_STATE(8097)] = 261593,
  [SMALL_STATE(8098)] = 261600,
  [SMALL_STATE(8099)] = 261607,
  [SMALL_STATE(8100)] = 261614,
  [SMALL_STATE(8101)] = 261621,
  [SMALL_STATE(8102)] = 261628,
  [SMALL_STATE(8103)] = 261635,
  [SMALL_STATE(8104)] = 261642,
  [SMALL_STATE(8105)] = 261649,
  [SMALL_STATE(8106)] = 261656,
  [SMALL_STATE(8107)] = 261663,
  [SMALL_STATE(8108)] = 261670,
  [SMALL_STATE(8109)] = 261677,
  [SMALL_STATE(8110)] = 261684,
  [SMALL_STATE(8111)] = 261691,
  [SMALL_STATE(8112)] = 261698,
  [SMALL_STATE(8113)] = 261705,
  [SMALL_STATE(8114)] = 261712,
  [SMALL_STATE(8115)] = 261719,
  [SMALL_STATE(8116)] = 261726,
  [SMALL_STATE(8117)] = 261733,
  [SMALL_STATE(8118)] = 261740,
  [SMALL_STATE(8119)] = 261747,
  [SMALL_STATE(8120)] = 261754,
  [SMALL_STATE(8121)] = 261761,
  [SMALL_STATE(8122)] = 261768,
  [SMALL_STATE(8123)] = 261775,
  [SMALL_STATE(8124)] = 261782,
  [SMALL_STATE(8125)] = 261789,
  [SMALL_STATE(8126)] = 261796,
  [SMALL_STATE(8127)] = 261803,
  [SMALL_STATE(8128)] = 261810,
  [SMALL_STATE(8129)] = 261817,
  [SMALL_STATE(8130)] = 261824,
  [SMALL_STATE(8131)] = 261831,
  [SMALL_STATE(8132)] = 261838,
  [SMALL_STATE(8133)] = 261845,
  [SMALL_STATE(8134)] = 261852,
  [SMALL_STATE(8135)] = 261859,
  [SMALL_STATE(8136)] = 261866,
  [SMALL_STATE(8137)] = 261873,
  [SMALL_STATE(8138)] = 261880,
  [SMALL_STATE(8139)] = 261887,
  [SMALL_STATE(8140)] = 261894,
  [SMALL_STATE(8141)] = 261901,
  [SMALL_STATE(8142)] = 261908,
  [SMALL_STATE(8143)] = 261915,
  [SMALL_STATE(8144)] = 261922,
  [SMALL_STATE(8145)] = 261929,
  [SMALL_STATE(8146)] = 261936,
  [SMALL_STATE(8147)] = 261943,
  [SMALL_STATE(8148)] = 261950,
  [SMALL_STATE(8149)] = 261957,
  [SMALL_STATE(8150)] = 261964,
  [SMALL_STATE(8151)] = 261971,
  [SMALL_STATE(8152)] = 261978,
  [SMALL_STATE(8153)] = 261985,
  [SMALL_STATE(8154)] = 261992,
  [SMALL_STATE(8155)] = 261999,
  [SMALL_STATE(8156)] = 262006,
  [SMALL_STATE(8157)] = 262013,
  [SMALL_STATE(8158)] = 262020,
  [SMALL_STATE(8159)] = 262027,
  [SMALL_STATE(8160)] = 262034,
  [SMALL_STATE(8161)] = 262041,
  [SMALL_STATE(8162)] = 262048,
  [SMALL_STATE(8163)] = 262055,
  [SMALL_STATE(8164)] = 262062,
  [SMALL_STATE(8165)] = 262069,
  [SMALL_STATE(8166)] = 262076,
  [SMALL_STATE(8167)] = 262083,
  [SMALL_STATE(8168)] = 262090,
  [SMALL_STATE(8169)] = 262097,
  [SMALL_STATE(8170)] = 262104,
  [SMALL_STATE(8171)] = 262111,
  [SMALL_STATE(8172)] = 262118,
  [SMALL_STATE(8173)] = 262125,
  [SMALL_STATE(8174)] = 262132,
  [SMALL_STATE(8175)] = 262139,
  [SMALL_STATE(8176)] = 262146,
  [SMALL_STATE(8177)] = 262153,
  [SMALL_STATE(8178)] = 262160,
  [SMALL_STATE(8179)] = 262167,
  [SMALL_STATE(8180)] = 262174,
  [SMALL_STATE(8181)] = 262181,
  [SMALL_STATE(8182)] = 262188,
  [SMALL_STATE(8183)] = 262195,
  [SMALL_STATE(8184)] = 262202,
  [SMALL_STATE(8185)] = 262209,
  [SMALL_STATE(8186)] = 262216,
  [SMALL_STATE(8187)] = 262223,
  [SMALL_STATE(8188)] = 262230,
  [SMALL_STATE(8189)] = 262237,
  [SMALL_STATE(8190)] = 262244,
  [SMALL_STATE(8191)] = 262251,
  [SMALL_STATE(8192)] = 262258,
  [SMALL_STATE(8193)] = 262265,
  [SMALL_STATE(8194)] = 262272,
  [SMALL_STATE(8195)] = 262279,
  [SMALL_STATE(8196)] = 262286,
  [SMALL_STATE(8197)] = 262293,
  [SMALL_STATE(8198)] = 262300,
  [SMALL_STATE(8199)] = 262307,
  [SMALL_STATE(8200)] = 262314,
  [SMALL_STATE(8201)] = 262321,
  [SMALL_STATE(8202)] = 262328,
  [SMALL_STATE(8203)] = 262335,
  [SMALL_STATE(8204)] = 262342,
  [SMALL_STATE(8205)] = 262349,
  [SMALL_STATE(8206)] = 262356,
  [SMALL_STATE(8207)] = 262363,
  [SMALL_STATE(8208)] = 262370,
  [SMALL_STATE(8209)] = 262377,
  [SMALL_STATE(8210)] = 262384,
  [SMALL_STATE(8211)] = 262391,
  [SMALL_STATE(8212)] = 262398,
  [SMALL_STATE(8213)] = 262405,
  [SMALL_STATE(8214)] = 262412,
  [SMALL_STATE(8215)] = 262419,
  [SMALL_STATE(8216)] = 262426,
  [SMALL_STATE(8217)] = 262433,
  [SMALL_STATE(8218)] = 262440,
  [SMALL_STATE(8219)] = 262447,
  [SMALL_STATE(8220)] = 262454,
  [SMALL_STATE(8221)] = 262461,
  [SMALL_STATE(8222)] = 262468,
  [SMALL_STATE(8223)] = 262475,
  [SMALL_STATE(8224)] = 262482,
  [SMALL_STATE(8225)] = 262489,
  [SMALL_STATE(8226)] = 262496,
  [SMALL_STATE(8227)] = 262503,
  [SMALL_STATE(8228)] = 262510,
  [SMALL_STATE(8229)] = 262517,
  [SMALL_STATE(8230)] = 262524,
  [SMALL_STATE(8231)] = 262531,
  [SMALL_STATE(8232)] = 262538,
  [SMALL_STATE(8233)] = 262545,
  [SMALL_STATE(8234)] = 262552,
  [SMALL_STATE(8235)] = 262559,
  [SMALL_STATE(8236)] = 262566,
  [SMALL_STATE(8237)] = 262573,
  [SMALL_STATE(8238)] = 262580,
  [SMALL_STATE(8239)] = 262587,
  [SMALL_STATE(8240)] = 262594,
  [SMALL_STATE(8241)] = 262601,
  [SMALL_STATE(8242)] = 262608,
  [SMALL_STATE(8243)] = 262615,
  [SMALL_STATE(8244)] = 262622,
  [SMALL_STATE(8245)] = 262629,
  [SMALL_STATE(8246)] = 262636,
  [SMALL_STATE(8247)] = 262643,
  [SMALL_STATE(8248)] = 262650,
  [SMALL_STATE(8249)] = 262657,
  [SMALL_STATE(8250)] = 262664,
  [SMALL_STATE(8251)] = 262671,
  [SMALL_STATE(8252)] = 262678,
  [SMALL_STATE(8253)] = 262685,
  [SMALL_STATE(8254)] = 262692,
  [SMALL_STATE(8255)] = 262699,
  [SMALL_STATE(8256)] = 262706,
  [SMALL_STATE(8257)] = 262713,
  [SMALL_STATE(8258)] = 262720,
  [SMALL_STATE(8259)] = 262727,
  [SMALL_STATE(8260)] = 262734,
  [SMALL_STATE(8261)] = 262741,
  [SMALL_STATE(8262)] = 262748,
  [SMALL_STATE(8263)] = 262755,
  [SMALL_STATE(8264)] = 262762,
  [SMALL_STATE(8265)] = 262769,
  [SMALL_STATE(8266)] = 262776,
  [SMALL_STATE(8267)] = 262783,
  [SMALL_STATE(8268)] = 262790,
  [SMALL_STATE(8269)] = 262797,
  [SMALL_STATE(8270)] = 262804,
  [SMALL_STATE(8271)] = 262811,
  [SMALL_STATE(8272)] = 262818,
  [SMALL_STATE(8273)] = 262825,
  [SMALL_STATE(8274)] = 262832,
  [SMALL_STATE(8275)] = 262839,
  [SMALL_STATE(8276)] = 262846,
  [SMALL_STATE(8277)] = 262853,
  [SMALL_STATE(8278)] = 262860,
  [SMALL_STATE(8279)] = 262867,
  [SMALL_STATE(8280)] = 262874,
  [SMALL_STATE(8281)] = 262881,
  [SMALL_STATE(8282)] = 262888,
  [SMALL_STATE(8283)] = 262895,
  [SMALL_STATE(8284)] = 262902,
  [SMALL_STATE(8285)] = 262909,
  [SMALL_STATE(8286)] = 262916,
  [SMALL_STATE(8287)] = 262923,
  [SMALL_STATE(8288)] = 262930,
  [SMALL_STATE(8289)] = 262937,
  [SMALL_STATE(8290)] = 262944,
  [SMALL_STATE(8291)] = 262951,
  [SMALL_STATE(8292)] = 262958,
  [SMALL_STATE(8293)] = 262965,
  [SMALL_STATE(8294)] = 262972,
  [SMALL_STATE(8295)] = 262979,
  [SMALL_STATE(8296)] = 262986,
  [SMALL_STATE(8297)] = 262993,
  [SMALL_STATE(8298)] = 263000,
  [SMALL_STATE(8299)] = 263007,
  [SMALL_STATE(8300)] = 263014,
  [SMALL_STATE(8301)] = 263021,
  [SMALL_STATE(8302)] = 263028,
  [SMALL_STATE(8303)] = 263035,
  [SMALL_STATE(8304)] = 263042,
  [SMALL_STATE(8305)] = 263049,
  [SMALL_STATE(8306)] = 263056,
  [SMALL_STATE(8307)] = 263063,
  [SMALL_STATE(8308)] = 263070,
  [SMALL_STATE(8309)] = 263077,
  [SMALL_STATE(8310)] = 263084,
  [SMALL_STATE(8311)] = 263091,
  [SMALL_STATE(8312)] = 263098,
  [SMALL_STATE(8313)] = 263105,
  [SMALL_STATE(8314)] = 263112,
  [SMALL_STATE(8315)] = 263119,
  [SMALL_STATE(8316)] = 263126,
  [SMALL_STATE(8317)] = 263133,
  [SMALL_STATE(8318)] = 263140,
  [SMALL_STATE(8319)] = 263147,
  [SMALL_STATE(8320)] = 263154,
  [SMALL_STATE(8321)] = 263161,
  [SMALL_STATE(8322)] = 263168,
  [SMALL_STATE(8323)] = 263175,
  [SMALL_STATE(8324)] = 263182,
  [SMALL_STATE(8325)] = 263189,
  [SMALL_STATE(8326)] = 263196,
  [SMALL_STATE(8327)] = 263203,
  [SMALL_STATE(8328)] = 263210,
  [SMALL_STATE(8329)] = 263217,
  [SMALL_STATE(8330)] = 263224,
  [SMALL_STATE(8331)] = 263231,
  [SMALL_STATE(8332)] = 263238,
  [SMALL_STATE(8333)] = 263245,
  [SMALL_STATE(8334)] = 263252,
  [SMALL_STATE(8335)] = 263259,
  [SMALL_STATE(8336)] = 263266,
  [SMALL_STATE(8337)] = 263273,
  [SMALL_STATE(8338)] = 263280,
  [SMALL_STATE(8339)] = 263287,
  [SMALL_STATE(8340)] = 263294,
  [SMALL_STATE(8341)] = 263301,
  [SMALL_STATE(8342)] = 263308,
  [SMALL_STATE(8343)] = 263315,
  [SMALL_STATE(8344)] = 263322,
  [SMALL_STATE(8345)] = 263329,
  [SMALL_STATE(8346)] = 263336,
  [SMALL_STATE(8347)] = 263343,
  [SMALL_STATE(8348)] = 263350,
  [SMALL_STATE(8349)] = 263357,
  [SMALL_STATE(8350)] = 263364,
  [SMALL_STATE(8351)] = 263371,
  [SMALL_STATE(8352)] = 263378,
  [SMALL_STATE(8353)] = 263385,
  [SMALL_STATE(8354)] = 263392,
  [SMALL_STATE(8355)] = 263399,
  [SMALL_STATE(8356)] = 263406,
  [SMALL_STATE(8357)] = 263413,
  [SMALL_STATE(8358)] = 263420,
  [SMALL_STATE(8359)] = 263427,
  [SMALL_STATE(8360)] = 263434,
  [SMALL_STATE(8361)] = 263441,
  [SMALL_STATE(8362)] = 263448,
  [SMALL_STATE(8363)] = 263455,
  [SMALL_STATE(8364)] = 263462,
  [SMALL_STATE(8365)] = 263469,
  [SMALL_STATE(8366)] = 263476,
  [SMALL_STATE(8367)] = 263483,
  [SMALL_STATE(8368)] = 263490,
  [SMALL_STATE(8369)] = 263497,
  [SMALL_STATE(8370)] = 263504,
  [SMALL_STATE(8371)] = 263511,
  [SMALL_STATE(8372)] = 263518,
  [SMALL_STATE(8373)] = 263525,
  [SMALL_STATE(8374)] = 263532,
  [SMALL_STATE(8375)] = 263539,
  [SMALL_STATE(8376)] = 263546,
  [SMALL_STATE(8377)] = 263553,
  [SMALL_STATE(8378)] = 263560,
  [SMALL_STATE(8379)] = 263567,
  [SMALL_STATE(8380)] = 263574,
  [SMALL_STATE(8381)] = 263581,
  [SMALL_STATE(8382)] = 263588,
  [SMALL_STATE(8383)] = 263595,
  [SMALL_STATE(8384)] = 263602,
  [SMALL_STATE(8385)] = 263609,
  [SMALL_STATE(8386)] = 263616,
  [SMALL_STATE(8387)] = 263623,
  [SMALL_STATE(8388)] = 263630,
  [SMALL_STATE(8389)] = 263637,
  [SMALL_STATE(8390)] = 263644,
  [SMALL_STATE(8391)] = 263651,
  [SMALL_STATE(8392)] = 263658,
  [SMALL_STATE(8393)] = 263665,
  [SMALL_STATE(8394)] = 263672,
  [SMALL_STATE(8395)] = 263679,
  [SMALL_STATE(8396)] = 263686,
  [SMALL_STATE(8397)] = 263693,
  [SMALL_STATE(8398)] = 263700,
  [SMALL_STATE(8399)] = 263707,
  [SMALL_STATE(8400)] = 263714,
  [SMALL_STATE(8401)] = 263721,
  [SMALL_STATE(8402)] = 263728,
  [SMALL_STATE(8403)] = 263735,
  [SMALL_STATE(8404)] = 263742,
  [SMALL_STATE(8405)] = 263749,
  [SMALL_STATE(8406)] = 263756,
  [SMALL_STATE(8407)] = 263763,
  [SMALL_STATE(8408)] = 263770,
  [SMALL_STATE(8409)] = 263777,
  [SMALL_STATE(8410)] = 263784,
  [SMALL_STATE(8411)] = 263791,
  [SMALL_STATE(8412)] = 263798,
  [SMALL_STATE(8413)] = 263805,
  [SMALL_STATE(8414)] = 263812,
  [SMALL_STATE(8415)] = 263819,
  [SMALL_STATE(8416)] = 263826,
  [SMALL_STATE(8417)] = 263833,
  [SMALL_STATE(8418)] = 263840,
  [SMALL_STATE(8419)] = 263847,
  [SMALL_STATE(8420)] = 263854,
  [SMALL_STATE(8421)] = 263861,
  [SMALL_STATE(8422)] = 263868,
  [SMALL_STATE(8423)] = 263875,
  [SMALL_STATE(8424)] = 263882,
  [SMALL_STATE(8425)] = 263889,
  [SMALL_STATE(8426)] = 263896,
  [SMALL_STATE(8427)] = 263903,
  [SMALL_STATE(8428)] = 263910,
  [SMALL_STATE(8429)] = 263917,
  [SMALL_STATE(8430)] = 263924,
  [SMALL_STATE(8431)] = 263931,
  [SMALL_STATE(8432)] = 263938,
  [SMALL_STATE(8433)] = 263945,
  [SMALL_STATE(8434)] = 263952,
  [SMALL_STATE(8435)] = 263959,
  [SMALL_STATE(8436)] = 263966,
  [SMALL_STATE(8437)] = 263973,
  [SMALL_STATE(8438)] = 263980,
  [SMALL_STATE(8439)] = 263987,
  [SMALL_STATE(8440)] = 263994,
  [SMALL_STATE(8441)] = 264001,
  [SMALL_STATE(8442)] = 264008,
  [SMALL_STATE(8443)] = 264015,
  [SMALL_STATE(8444)] = 264022,
  [SMALL_STATE(8445)] = 264029,
  [SMALL_STATE(8446)] = 264036,
  [SMALL_STATE(8447)] = 264043,
  [SMALL_STATE(8448)] = 264050,
  [SMALL_STATE(8449)] = 264057,
  [SMALL_STATE(8450)] = 264064,
  [SMALL_STATE(8451)] = 264071,
  [SMALL_STATE(8452)] = 264078,
  [SMALL_STATE(8453)] = 264085,
  [SMALL_STATE(8454)] = 264092,
  [SMALL_STATE(8455)] = 264099,
  [SMALL_STATE(8456)] = 264106,
  [SMALL_STATE(8457)] = 264113,
  [SMALL_STATE(8458)] = 264120,
  [SMALL_STATE(8459)] = 264127,
  [SMALL_STATE(8460)] = 264134,
  [SMALL_STATE(8461)] = 264141,
  [SMALL_STATE(8462)] = 264148,
  [SMALL_STATE(8463)] = 264155,
  [SMALL_STATE(8464)] = 264162,
  [SMALL_STATE(8465)] = 264169,
  [SMALL_STATE(8466)] = 264176,
  [SMALL_STATE(8467)] = 264183,
  [SMALL_STATE(8468)] = 264190,
  [SMALL_STATE(8469)] = 264197,
  [SMALL_STATE(8470)] = 264204,
  [SMALL_STATE(8471)] = 264211,
  [SMALL_STATE(8472)] = 264218,
  [SMALL_STATE(8473)] = 264225,
  [SMALL_STATE(8474)] = 264232,
  [SMALL_STATE(8475)] = 264239,
  [SMALL_STATE(8476)] = 264246,
  [SMALL_STATE(8477)] = 264253,
  [SMALL_STATE(8478)] = 264260,
  [SMALL_STATE(8479)] = 264267,
  [SMALL_STATE(8480)] = 264274,
  [SMALL_STATE(8481)] = 264281,
  [SMALL_STATE(8482)] = 264288,
  [SMALL_STATE(8483)] = 264295,
  [SMALL_STATE(8484)] = 264302,
  [SMALL_STATE(8485)] = 264309,
  [SMALL_STATE(8486)] = 264316,
  [SMALL_STATE(8487)] = 264323,
  [SMALL_STATE(8488)] = 264330,
  [SMALL_STATE(8489)] = 264337,
  [SMALL_STATE(8490)] = 264344,
  [SMALL_STATE(8491)] = 264351,
  [SMALL_STATE(8492)] = 264358,
  [SMALL_STATE(8493)] = 264365,
  [SMALL_STATE(8494)] = 264372,
  [SMALL_STATE(8495)] = 264379,
  [SMALL_STATE(8496)] = 264386,
  [SMALL_STATE(8497)] = 264393,
  [SMALL_STATE(8498)] = 264400,
  [SMALL_STATE(8499)] = 264407,
  [SMALL_STATE(8500)] = 264414,
  [SMALL_STATE(8501)] = 264421,
  [SMALL_STATE(8502)] = 264428,
  [SMALL_STATE(8503)] = 264435,
  [SMALL_STATE(8504)] = 264442,
  [SMALL_STATE(8505)] = 264449,
  [SMALL_STATE(8506)] = 264456,
  [SMALL_STATE(8507)] = 264463,
  [SMALL_STATE(8508)] = 264470,
  [SMALL_STATE(8509)] = 264477,
  [SMALL_STATE(8510)] = 264484,
  [SMALL_STATE(8511)] = 264491,
  [SMALL_STATE(8512)] = 264498,
  [SMALL_STATE(8513)] = 264505,
  [SMALL_STATE(8514)] = 264512,
  [SMALL_STATE(8515)] = 264519,
  [SMALL_STATE(8516)] = 264526,
  [SMALL_STATE(8517)] = 264533,
  [SMALL_STATE(8518)] = 264540,
  [SMALL_STATE(8519)] = 264547,
  [SMALL_STATE(8520)] = 264554,
  [SMALL_STATE(8521)] = 264561,
  [SMALL_STATE(8522)] = 264568,
  [SMALL_STATE(8523)] = 264575,
  [SMALL_STATE(8524)] = 264582,
  [SMALL_STATE(8525)] = 264589,
  [SMALL_STATE(8526)] = 264596,
  [SMALL_STATE(8527)] = 264603,
  [SMALL_STATE(8528)] = 264610,
  [SMALL_STATE(8529)] = 264617,
  [SMALL_STATE(8530)] = 264624,
  [SMALL_STATE(8531)] = 264631,
  [SMALL_STATE(8532)] = 264638,
  [SMALL_STATE(8533)] = 264645,
  [SMALL_STATE(8534)] = 264652,
  [SMALL_STATE(8535)] = 264659,
  [SMALL_STATE(8536)] = 264666,
  [SMALL_STATE(8537)] = 264673,
  [SMALL_STATE(8538)] = 264680,
  [SMALL_STATE(8539)] = 264687,
  [SMALL_STATE(8540)] = 264694,
  [SMALL_STATE(8541)] = 264701,
  [SMALL_STATE(8542)] = 264708,
  [SMALL_STATE(8543)] = 264715,
  [SMALL_STATE(8544)] = 264722,
  [SMALL_STATE(8545)] = 264729,
  [SMALL_STATE(8546)] = 264736,
  [SMALL_STATE(8547)] = 264743,
  [SMALL_STATE(8548)] = 264750,
  [SMALL_STATE(8549)] = 264757,
  [SMALL_STATE(8550)] = 264764,
  [SMALL_STATE(8551)] = 264771,
  [SMALL_STATE(8552)] = 264778,
  [SMALL_STATE(8553)] = 264785,
  [SMALL_STATE(8554)] = 264792,
  [SMALL_STATE(8555)] = 264799,
  [SMALL_STATE(8556)] = 264806,
  [SMALL_STATE(8557)] = 264813,
  [SMALL_STATE(8558)] = 264820,
  [SMALL_STATE(8559)] = 264827,
  [SMALL_STATE(8560)] = 264834,
  [SMALL_STATE(8561)] = 264841,
  [SMALL_STATE(8562)] = 264848,
  [SMALL_STATE(8563)] = 264855,
  [SMALL_STATE(8564)] = 264862,
  [SMALL_STATE(8565)] = 264869,
  [SMALL_STATE(8566)] = 264876,
  [SMALL_STATE(8567)] = 264883,
  [SMALL_STATE(8568)] = 264890,
  [SMALL_STATE(8569)] = 264897,
  [SMALL_STATE(8570)] = 264904,
  [SMALL_STATE(8571)] = 264911,
  [SMALL_STATE(8572)] = 264918,
  [SMALL_STATE(8573)] = 264925,
  [SMALL_STATE(8574)] = 264932,
  [SMALL_STATE(8575)] = 264939,
  [SMALL_STATE(8576)] = 264946,
  [SMALL_STATE(8577)] = 264953,
  [SMALL_STATE(8578)] = 264960,
  [SMALL_STATE(8579)] = 264967,
  [SMALL_STATE(8580)] = 264974,
  [SMALL_STATE(8581)] = 264981,
  [SMALL_STATE(8582)] = 264988,
  [SMALL_STATE(8583)] = 264995,
  [SMALL_STATE(8584)] = 265002,
  [SMALL_STATE(8585)] = 265009,
  [SMALL_STATE(8586)] = 265016,
  [SMALL_STATE(8587)] = 265023,
  [SMALL_STATE(8588)] = 265030,
  [SMALL_STATE(8589)] = 265037,
  [SMALL_STATE(8590)] = 265044,
  [SMALL_STATE(8591)] = 265051,
  [SMALL_STATE(8592)] = 265058,
  [SMALL_STATE(8593)] = 265065,
  [SMALL_STATE(8594)] = 265072,
  [SMALL_STATE(8595)] = 265079,
  [SMALL_STATE(8596)] = 265086,
  [SMALL_STATE(8597)] = 265093,
  [SMALL_STATE(8598)] = 265100,
  [SMALL_STATE(8599)] = 265107,
  [SMALL_STATE(8600)] = 265114,
  [SMALL_STATE(8601)] = 265121,
  [SMALL_STATE(8602)] = 265128,
  [SMALL_STATE(8603)] = 265135,
  [SMALL_STATE(8604)] = 265142,
  [SMALL_STATE(8605)] = 265149,
  [SMALL_STATE(8606)] = 265156,
  [SMALL_STATE(8607)] = 265163,
  [SMALL_STATE(8608)] = 265170,
  [SMALL_STATE(8609)] = 265177,
  [SMALL_STATE(8610)] = 265184,
  [SMALL_STATE(8611)] = 265191,
  [SMALL_STATE(8612)] = 265198,
  [SMALL_STATE(8613)] = 265205,
  [SMALL_STATE(8614)] = 265212,
  [SMALL_STATE(8615)] = 265219,
  [SMALL_STATE(8616)] = 265226,
  [SMALL_STATE(8617)] = 265233,
  [SMALL_STATE(8618)] = 265240,
  [SMALL_STATE(8619)] = 265247,
  [SMALL_STATE(8620)] = 265254,
  [SMALL_STATE(8621)] = 265261,
  [SMALL_STATE(8622)] = 265268,
  [SMALL_STATE(8623)] = 265275,
  [SMALL_STATE(8624)] = 265282,
  [SMALL_STATE(8625)] = 265289,
  [SMALL_STATE(8626)] = 265296,
  [SMALL_STATE(8627)] = 265303,
  [SMALL_STATE(8628)] = 265310,
  [SMALL_STATE(8629)] = 265317,
  [SMALL_STATE(8630)] = 265324,
  [SMALL_STATE(8631)] = 265331,
  [SMALL_STATE(8632)] = 265338,
  [SMALL_STATE(8633)] = 265345,
  [SMALL_STATE(8634)] = 265352,
  [SMALL_STATE(8635)] = 265359,
  [SMALL_STATE(8636)] = 265366,
  [SMALL_STATE(8637)] = 265373,
  [SMALL_STATE(8638)] = 265380,
  [SMALL_STATE(8639)] = 265387,
  [SMALL_STATE(8640)] = 265394,
  [SMALL_STATE(8641)] = 265401,
  [SMALL_STATE(8642)] = 265408,
  [SMALL_STATE(8643)] = 265415,
  [SMALL_STATE(8644)] = 265422,
  [SMALL_STATE(8645)] = 265429,
  [SMALL_STATE(8646)] = 265436,
  [SMALL_STATE(8647)] = 265443,
  [SMALL_STATE(8648)] = 265450,
  [SMALL_STATE(8649)] = 265457,
  [SMALL_STATE(8650)] = 265464,
  [SMALL_STATE(8651)] = 265471,
  [SMALL_STATE(8652)] = 265478,
  [SMALL_STATE(8653)] = 265485,
  [SMALL_STATE(8654)] = 265492,
  [SMALL_STATE(8655)] = 265499,
  [SMALL_STATE(8656)] = 265506,
  [SMALL_STATE(8657)] = 265513,
  [SMALL_STATE(8658)] = 265520,
  [SMALL_STATE(8659)] = 265527,
  [SMALL_STATE(8660)] = 265534,
  [SMALL_STATE(8661)] = 265541,
  [SMALL_STATE(8662)] = 265548,
  [SMALL_STATE(8663)] = 265555,
  [SMALL_STATE(8664)] = 265562,
  [SMALL_STATE(8665)] = 265569,
  [SMALL_STATE(8666)] = 265576,
  [SMALL_STATE(8667)] = 265583,
  [SMALL_STATE(8668)] = 265590,
  [SMALL_STATE(8669)] = 265597,
  [SMALL_STATE(8670)] = 265604,
  [SMALL_STATE(8671)] = 265611,
  [SMALL_STATE(8672)] = 265618,
  [SMALL_STATE(8673)] = 265625,
  [SMALL_STATE(8674)] = 265632,
  [SMALL_STATE(8675)] = 265639,
  [SMALL_STATE(8676)] = 265646,
  [SMALL_STATE(8677)] = 265653,
  [SMALL_STATE(8678)] = 265660,
  [SMALL_STATE(8679)] = 265667,
  [SMALL_STATE(8680)] = 265674,
  [SMALL_STATE(8681)] = 265681,
  [SMALL_STATE(8682)] = 265688,
  [SMALL_STATE(8683)] = 265695,
  [SMALL_STATE(8684)] = 265702,
  [SMALL_STATE(8685)] = 265709,
  [SMALL_STATE(8686)] = 265716,
  [SMALL_STATE(8687)] = 265723,
  [SMALL_STATE(8688)] = 265730,
  [SMALL_STATE(8689)] = 265737,
  [SMALL_STATE(8690)] = 265744,
  [SMALL_STATE(8691)] = 265751,
  [SMALL_STATE(8692)] = 265758,
  [SMALL_STATE(8693)] = 265765,
  [SMALL_STATE(8694)] = 265772,
  [SMALL_STATE(8695)] = 265779,
  [SMALL_STATE(8696)] = 265786,
  [SMALL_STATE(8697)] = 265793,
  [SMALL_STATE(8698)] = 265800,
  [SMALL_STATE(8699)] = 265807,
  [SMALL_STATE(8700)] = 265814,
  [SMALL_STATE(8701)] = 265821,
  [SMALL_STATE(8702)] = 265828,
  [SMALL_STATE(8703)] = 265835,
  [SMALL_STATE(8704)] = 265842,
  [SMALL_STATE(8705)] = 265849,
  [SMALL_STATE(8706)] = 265856,
  [SMALL_STATE(8707)] = 265863,
  [SMALL_STATE(8708)] = 265870,
  [SMALL_STATE(8709)] = 265877,
  [SMALL_STATE(8710)] = 265884,
  [SMALL_STATE(8711)] = 265891,
  [SMALL_STATE(8712)] = 265898,
  [SMALL_STATE(8713)] = 265905,
  [SMALL_STATE(8714)] = 265912,
  [SMALL_STATE(8715)] = 265919,
  [SMALL_STATE(8716)] = 265926,
  [SMALL_STATE(8717)] = 265933,
  [SMALL_STATE(8718)] = 265940,
  [SMALL_STATE(8719)] = 265947,
  [SMALL_STATE(8720)] = 265954,
  [SMALL_STATE(8721)] = 265961,
  [SMALL_STATE(8722)] = 265968,
  [SMALL_STATE(8723)] = 265975,
  [SMALL_STATE(8724)] = 265982,
  [SMALL_STATE(8725)] = 265989,
  [SMALL_STATE(8726)] = 265996,
  [SMALL_STATE(8727)] = 266003,
  [SMALL_STATE(8728)] = 266010,
  [SMALL_STATE(8729)] = 266017,
  [SMALL_STATE(8730)] = 266024,
  [SMALL_STATE(8731)] = 266031,
  [SMALL_STATE(8732)] = 266038,
  [SMALL_STATE(8733)] = 266045,
  [SMALL_STATE(8734)] = 266052,
  [SMALL_STATE(8735)] = 266059,
  [SMALL_STATE(8736)] = 266066,
  [SMALL_STATE(8737)] = 266073,
  [SMALL_STATE(8738)] = 266080,
  [SMALL_STATE(8739)] = 266087,
  [SMALL_STATE(8740)] = 266094,
  [SMALL_STATE(8741)] = 266101,
  [SMALL_STATE(8742)] = 266108,
  [SMALL_STATE(8743)] = 266115,
  [SMALL_STATE(8744)] = 266122,
  [SMALL_STATE(8745)] = 266129,
  [SMALL_STATE(8746)] = 266136,
  [SMALL_STATE(8747)] = 266143,
  [SMALL_STATE(8748)] = 266150,
  [SMALL_STATE(8749)] = 266157,
  [SMALL_STATE(8750)] = 266164,
  [SMALL_STATE(8751)] = 266171,
  [SMALL_STATE(8752)] = 266178,
  [SMALL_STATE(8753)] = 266185,
  [SMALL_STATE(8754)] = 266192,
  [SMALL_STATE(8755)] = 266199,
  [SMALL_STATE(8756)] = 266206,
  [SMALL_STATE(8757)] = 266213,
  [SMALL_STATE(8758)] = 266220,
  [SMALL_STATE(8759)] = 266227,
  [SMALL_STATE(8760)] = 266234,
  [SMALL_STATE(8761)] = 266241,
  [SMALL_STATE(8762)] = 266248,
  [SMALL_STATE(8763)] = 266255,
  [SMALL_STATE(8764)] = 266262,
  [SMALL_STATE(8765)] = 266269,
  [SMALL_STATE(8766)] = 266276,
  [SMALL_STATE(8767)] = 266283,
  [SMALL_STATE(8768)] = 266290,
  [SMALL_STATE(8769)] = 266297,
  [SMALL_STATE(8770)] = 266304,
  [SMALL_STATE(8771)] = 266311,
  [SMALL_STATE(8772)] = 266318,
  [SMALL_STATE(8773)] = 266325,
  [SMALL_STATE(8774)] = 266332,
  [SMALL_STATE(8775)] = 266339,
  [SMALL_STATE(8776)] = 266346,
  [SMALL_STATE(8777)] = 266353,
  [SMALL_STATE(8778)] = 266360,
  [SMALL_STATE(8779)] = 266367,
  [SMALL_STATE(8780)] = 266374,
  [SMALL_STATE(8781)] = 266381,
  [SMALL_STATE(8782)] = 266388,
  [SMALL_STATE(8783)] = 266395,
  [SMALL_STATE(8784)] = 266402,
  [SMALL_STATE(8785)] = 266409,
  [SMALL_STATE(8786)] = 266416,
  [SMALL_STATE(8787)] = 266423,
  [SMALL_STATE(8788)] = 266430,
  [SMALL_STATE(8789)] = 266437,
  [SMALL_STATE(8790)] = 266444,
  [SMALL_STATE(8791)] = 266451,
  [SMALL_STATE(8792)] = 266458,
  [SMALL_STATE(8793)] = 266465,
  [SMALL_STATE(8794)] = 266472,
  [SMALL_STATE(8795)] = 266479,
  [SMALL_STATE(8796)] = 266486,
  [SMALL_STATE(8797)] = 266493,
  [SMALL_STATE(8798)] = 266500,
  [SMALL_STATE(8799)] = 266507,
  [SMALL_STATE(8800)] = 266514,
  [SMALL_STATE(8801)] = 266521,
  [SMALL_STATE(8802)] = 266528,
  [SMALL_STATE(8803)] = 266535,
  [SMALL_STATE(8804)] = 266542,
  [SMALL_STATE(8805)] = 266549,
  [SMALL_STATE(8806)] = 266556,
  [SMALL_STATE(8807)] = 266563,
  [SMALL_STATE(8808)] = 266570,
  [SMALL_STATE(8809)] = 266577,
  [SMALL_STATE(8810)] = 266584,
  [SMALL_STATE(8811)] = 266591,
  [SMALL_STATE(8812)] = 266598,
  [SMALL_STATE(8813)] = 266605,
  [SMALL_STATE(8814)] = 266612,
  [SMALL_STATE(8815)] = 266619,
  [SMALL_STATE(8816)] = 266626,
  [SMALL_STATE(8817)] = 266633,
  [SMALL_STATE(8818)] = 266640,
  [SMALL_STATE(8819)] = 266647,
  [SMALL_STATE(8820)] = 266654,
  [SMALL_STATE(8821)] = 266661,
  [SMALL_STATE(8822)] = 266668,
  [SMALL_STATE(8823)] = 266675,
  [SMALL_STATE(8824)] = 266682,
  [SMALL_STATE(8825)] = 266689,
  [SMALL_STATE(8826)] = 266696,
  [SMALL_STATE(8827)] = 266703,
  [SMALL_STATE(8828)] = 266710,
  [SMALL_STATE(8829)] = 266717,
  [SMALL_STATE(8830)] = 266724,
  [SMALL_STATE(8831)] = 266731,
  [SMALL_STATE(8832)] = 266738,
  [SMALL_STATE(8833)] = 266745,
  [SMALL_STATE(8834)] = 266752,
  [SMALL_STATE(8835)] = 266759,
  [SMALL_STATE(8836)] = 266766,
  [SMALL_STATE(8837)] = 266773,
  [SMALL_STATE(8838)] = 266780,
  [SMALL_STATE(8839)] = 266787,
  [SMALL_STATE(8840)] = 266794,
  [SMALL_STATE(8841)] = 266801,
  [SMALL_STATE(8842)] = 266808,
  [SMALL_STATE(8843)] = 266815,
  [SMALL_STATE(8844)] = 266822,
  [SMALL_STATE(8845)] = 266829,
  [SMALL_STATE(8846)] = 266836,
  [SMALL_STATE(8847)] = 266843,
  [SMALL_STATE(8848)] = 266850,
  [SMALL_STATE(8849)] = 266857,
  [SMALL_STATE(8850)] = 266864,
  [SMALL_STATE(8851)] = 266871,
  [SMALL_STATE(8852)] = 266878,
  [SMALL_STATE(8853)] = 266885,
  [SMALL_STATE(8854)] = 266892,
  [SMALL_STATE(8855)] = 266899,
  [SMALL_STATE(8856)] = 266906,
  [SMALL_STATE(8857)] = 266913,
  [SMALL_STATE(8858)] = 266920,
  [SMALL_STATE(8859)] = 266927,
  [SMALL_STATE(8860)] = 266934,
  [SMALL_STATE(8861)] = 266941,
  [SMALL_STATE(8862)] = 266948,
  [SMALL_STATE(8863)] = 266955,
  [SMALL_STATE(8864)] = 266962,
  [SMALL_STATE(8865)] = 266969,
  [SMALL_STATE(8866)] = 266976,
  [SMALL_STATE(8867)] = 266983,
  [SMALL_STATE(8868)] = 266990,
  [SMALL_STATE(8869)] = 266997,
  [SMALL_STATE(8870)] = 267004,
  [SMALL_STATE(8871)] = 267011,
  [SMALL_STATE(8872)] = 267018,
  [SMALL_STATE(8873)] = 267025,
  [SMALL_STATE(8874)] = 267032,
  [SMALL_STATE(8875)] = 267039,
  [SMALL_STATE(8876)] = 267046,
  [SMALL_STATE(8877)] = 267053,
  [SMALL_STATE(8878)] = 267060,
  [SMALL_STATE(8879)] = 267067,
  [SMALL_STATE(8880)] = 267074,
  [SMALL_STATE(8881)] = 267081,
  [SMALL_STATE(8882)] = 267088,
  [SMALL_STATE(8883)] = 267095,
  [SMALL_STATE(8884)] = 267102,
  [SMALL_STATE(8885)] = 267109,
  [SMALL_STATE(8886)] = 267116,
  [SMALL_STATE(8887)] = 267123,
  [SMALL_STATE(8888)] = 267130,
  [SMALL_STATE(8889)] = 267137,
  [SMALL_STATE(8890)] = 267144,
  [SMALL_STATE(8891)] = 267151,
  [SMALL_STATE(8892)] = 267158,
  [SMALL_STATE(8893)] = 267165,
  [SMALL_STATE(8894)] = 267172,
  [SMALL_STATE(8895)] = 267179,
  [SMALL_STATE(8896)] = 267186,
  [SMALL_STATE(8897)] = 267193,
  [SMALL_STATE(8898)] = 267200,
  [SMALL_STATE(8899)] = 267207,
  [SMALL_STATE(8900)] = 267214,
  [SMALL_STATE(8901)] = 267221,
  [SMALL_STATE(8902)] = 267228,
  [SMALL_STATE(8903)] = 267235,
  [SMALL_STATE(8904)] = 267242,
  [SMALL_STATE(8905)] = 267249,
  [SMALL_STATE(8906)] = 267256,
  [SMALL_STATE(8907)] = 267263,
  [SMALL_STATE(8908)] = 267270,
  [SMALL_STATE(8909)] = 267277,
  [SMALL_STATE(8910)] = 267284,
  [SMALL_STATE(8911)] = 267291,
  [SMALL_STATE(8912)] = 267298,
  [SMALL_STATE(8913)] = 267305,
  [SMALL_STATE(8914)] = 267312,
  [SMALL_STATE(8915)] = 267319,
  [SMALL_STATE(8916)] = 267326,
  [SMALL_STATE(8917)] = 267333,
  [SMALL_STATE(8918)] = 267340,
  [SMALL_STATE(8919)] = 267347,
  [SMALL_STATE(8920)] = 267354,
  [SMALL_STATE(8921)] = 267361,
  [SMALL_STATE(8922)] = 267368,
  [SMALL_STATE(8923)] = 267375,
  [SMALL_STATE(8924)] = 267382,
  [SMALL_STATE(8925)] = 267389,
  [SMALL_STATE(8926)] = 267396,
  [SMALL_STATE(8927)] = 267403,
  [SMALL_STATE(8928)] = 267410,
  [SMALL_STATE(8929)] = 267417,
  [SMALL_STATE(8930)] = 267424,
  [SMALL_STATE(8931)] = 267431,
  [SMALL_STATE(8932)] = 267438,
  [SMALL_STATE(8933)] = 267445,
  [SMALL_STATE(8934)] = 267452,
  [SMALL_STATE(8935)] = 267459,
  [SMALL_STATE(8936)] = 267466,
  [SMALL_STATE(8937)] = 267473,
  [SMALL_STATE(8938)] = 267480,
  [SMALL_STATE(8939)] = 267487,
  [SMALL_STATE(8940)] = 267494,
  [SMALL_STATE(8941)] = 267501,
  [SMALL_STATE(8942)] = 267508,
  [SMALL_STATE(8943)] = 267515,
  [SMALL_STATE(8944)] = 267522,
  [SMALL_STATE(8945)] = 267529,
  [SMALL_STATE(8946)] = 267536,
  [SMALL_STATE(8947)] = 267543,
  [SMALL_STATE(8948)] = 267550,
  [SMALL_STATE(8949)] = 267557,
  [SMALL_STATE(8950)] = 267564,
  [SMALL_STATE(8951)] = 267571,
  [SMALL_STATE(8952)] = 267578,
  [SMALL_STATE(8953)] = 267585,
  [SMALL_STATE(8954)] = 267592,
  [SMALL_STATE(8955)] = 267599,
  [SMALL_STATE(8956)] = 267606,
  [SMALL_STATE(8957)] = 267613,
  [SMALL_STATE(8958)] = 267620,
  [SMALL_STATE(8959)] = 267627,
  [SMALL_STATE(8960)] = 267634,
  [SMALL_STATE(8961)] = 267641,
  [SMALL_STATE(8962)] = 267648,
  [SMALL_STATE(8963)] = 267655,
  [SMALL_STATE(8964)] = 267662,
  [SMALL_STATE(8965)] = 267669,
  [SMALL_STATE(8966)] = 267676,
  [SMALL_STATE(8967)] = 267683,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6700),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8776),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8327),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7847),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8084),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6336),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5267),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7717),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8294),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8500),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8287),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8583),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8190),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8581),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8595),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6807),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5087),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4124),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8878),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5547),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8300),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7971),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7650),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7959),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7980),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8421),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8621),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8344),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7863),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8323),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8663),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7975),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6709),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8778),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8779),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5896),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8609),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5860),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8610),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7859),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8475),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7960),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8777),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8350),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8355),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8655),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7702),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8673),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7694),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6697),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6521),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8866),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8867),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8680),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 10),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 79),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 10),
  [353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 79),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1072),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6730),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8609),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5860),
  [397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8610),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7859),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1010),
  [420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5472),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3977),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2428),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2299),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8585),
  [444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6636),
  [447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7851),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8327),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2487),
  [459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2214),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1216),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2429),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2257),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6336),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5267),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5271),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5309),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7398),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7691),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8475),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7960),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8777),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1249),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8350),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8355),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8655),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7702),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8673),
  [534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1480),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8190),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8581),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8595),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6807),
  [552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4439),
  [555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7149),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4044),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4124),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2333),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8878),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2798),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5395),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1142),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(910),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7694),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1576),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1427),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6697),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6521),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8866),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8867),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1429),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7712),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5180),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5547),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8680),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5898),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1011),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6721),
  [649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8300),
  [652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5831),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8303),
  [658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7971),
  [661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(241),
  [667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3963),
  [670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2294),
  [673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2409),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7650),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7959),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1641),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8617),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(903),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8421),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8621),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8344),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7863),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8323),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7975),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1423),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6709),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6533),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8778),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8779),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1424),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8567),
  [750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5896),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6691),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8197),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8114),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7956),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3988),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7517),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7758),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8425),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7692),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8865),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8480),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8484),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8123),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7771),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8596),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7761),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6693),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8890),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8881),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8598),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5939),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1046),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6691),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8197),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5863),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8114),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7956),
  [897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(502),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3988),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2301),
  [909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2417),
  [915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7517),
  [918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7758),
  [921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8425),
  [927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7692),
  [930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(906),
  [933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8865),
  [936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1238),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8480),
  [942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8484),
  [945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8123),
  [948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7771),
  [951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8596),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1135),
  [957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7761),
  [960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1384),
  [963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6693),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6554),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8890),
  [972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8881),
  [975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1385),
  [978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8598),
  [984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5939),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1081),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6700),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8776),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5773),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8284),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7683),
  [1035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [1038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [1041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [1047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1010),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5472),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [1056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(801),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4001),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2428),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2296),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8585),
  [1074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6636),
  [1077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7851),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8327),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [1086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2487),
  [1089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [1092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2214),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1216),
  [1098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2429),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2257),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6336),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5267),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5271),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5309),
  [1125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7717),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1580),
  [1134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8266),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7843),
  [1140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(860),
  [1143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8294),
  [1146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1255),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8500),
  [1152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8287),
  [1155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8583),
  [1158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1480),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8190),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8581),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8595),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6807),
  [1176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4998),
  [1179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [1182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7149),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5087),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4124),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2333),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8878),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2798),
  [1200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5395),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1134),
  [1206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(910),
  [1209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7842),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1576),
  [1215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1421),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6686),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6569),
  [1224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8348),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8362),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1430),
  [1233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [1236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7712),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [1242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5180),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5547),
  [1248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7990),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1092),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(912),
  [1283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [1286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [1289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3977),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2008),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2429),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8585),
  [1315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6636),
  [1318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7688),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8327),
  [1324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2214),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1212),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [1339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2257),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6336),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5267),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5271),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5309),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7398),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7691),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7960),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8777),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1249),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8350),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8355),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8655),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7702),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8673),
  [1387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1480),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8190),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8581),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8595),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6807),
  [1405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4439),
  [1408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [1411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7149),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4044),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4124),
  [1420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2333),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8878),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5395),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7990),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7694),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1576),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1427),
  [1441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1429),
  [1444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [1447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7712),
  [1450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5180),
  [1456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5547),
  [1459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8680),
  [1462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [1465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5898),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8006),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8813),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8815),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1085),
  [1501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [1504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [1507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3963),
  [1510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7650),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7959),
  [1519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [1522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(903),
  [1525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8421),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [1531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8621),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8344),
  [1540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7863),
  [1543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8323),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7975),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1423),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1424),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8567),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5896),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1091),
  [1571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(465),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(558),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4001),
  [1580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7717),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7843),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(860),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8294),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1255),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8500),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8287),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8583),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8006),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8813),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7842),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1421),
  [1622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1430),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8815),
  [1631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5925),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1088),
  [1637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(502),
  [1640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(447),
  [1643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3988),
  [1646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7517),
  [1652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7758),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7692),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(906),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8865),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1238),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8480),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8484),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8123),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7771),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8596),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7761),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1384),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1385),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8598),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5939),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7799),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7759),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8879),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8442),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8445),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7807),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8619),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8644),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8341),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [1753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1063),
  [1756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [1759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3983),
  [1762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(61),
  [1765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7542),
  [1768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7799),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7759),
  [1774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [1777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8879),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8442),
  [1786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8445),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7807),
  [1795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8619),
  [1798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7834),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1415),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1416),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1711),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8644),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5886),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7874),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8624),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7902),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8798),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8939),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6288),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5290),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5291),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8683),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8940),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8965),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6851),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [1930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 2, 0, 10),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 2, 0, 10),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 3, 0, 47),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 3, 0, 47),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [1984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7719),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 9),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7719),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6348),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5366),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8424),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8931),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8962),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6822),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5551),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 161),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 161),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 175),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 175),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 180),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 180),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 5, 0, 181),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 5, 0, 181),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 5, 0, 182),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 5, 0, 182),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 5, 0, 183),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 5, 0, 183),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 202),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 202),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 203),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 203),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 204),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 204),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 6, 0, 206),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 6, 0, 206),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 86),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 86),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 3, 0, 46),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 3, 0, 46),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 3, 0, 48),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 3, 0, 48),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 105),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 105),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 86),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 86),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2592),
  [2232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(912),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1680),
  [2238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1509),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1509),
  [2246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1510),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6636),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5800),
  [2259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7040),
  [2262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8268),
  [2265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7990),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 4, 0, 95),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 4, 0, 95),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 4, 0, 94),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 4, 0, 94),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_discard_statement, 2, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_discard_statement, 2, 0, 0),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 2, 0, 9),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 2, 0, 9),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cbuffer_specifier, 4, 0, 135),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cbuffer_specifier, 4, 0, 135),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 54),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 54),
  [2334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 147),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 147),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 148),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 148),
  [2352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 152),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 152),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 153),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 153),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 168),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 168),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [2366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 76),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 76),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 170),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 170),
  [2378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 200),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 200),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 176),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 176),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 95),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 95),
  [2398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 177),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 177),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 205),
  [2404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 205),
  [2406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 112),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 112),
  [2430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 178),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 178),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 217),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 217),
  [2438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7729),
  [2470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [2484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 79),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 79),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7748),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 76),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 76),
  [2511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7729),
  [2514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 77),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 77),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7786),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 78),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 78),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 79),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 79),
  [2580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7786),
  [2583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 137),
  [2593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 137),
  [2595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 138),
  [2601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 138),
  [2603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [2609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [2611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 80),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 80),
  [2631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 162),
  [2637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 162),
  [2639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 163),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 163),
  [2643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 164),
  [2649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 164),
  [2651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 165),
  [2653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 165),
  [2655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2592),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1510),
  [2671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6636),
  [2674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7040),
  [2677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(8268),
  [2680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7990),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8260),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8826),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5735),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8358),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8554),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7109),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8579),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6562),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8898),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 10),
  [2765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2592),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [2770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1510),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6636),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7040),
  [2783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(8268),
  [2786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7990),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 79),
  [2795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2592),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1510),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6636),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7040),
  [2809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(8268),
  [2812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7990),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 10),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 79),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [2843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2630),
  [2846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1625),
  [2849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6659),
  [2852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7227),
  [2855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [2858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8260),
  [2861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5836),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8826),
  [2869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8052),
  [2872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5042),
  [2875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8603),
  [2878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3282),
  [2881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5472),
  [2884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5472),
  [2887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [2890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2403),
  [2893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3990),
  [2896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2428),
  [2899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2429),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8585),
  [2905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5613),
  [2908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7756),
  [2911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8327),
  [2914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2214),
  [2920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8554),
  [2923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [2926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2416),
  [2929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [2932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2286),
  [2935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6349),
  [2938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5250),
  [2941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5251),
  [2944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5252),
  [2947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2333),
  [2950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8878),
  [2953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2798),
  [2956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5414),
  [2959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7109),
  [2962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(910),
  [2965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [2968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8579),
  [2971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6562),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8898),
  [2977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [2980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [2983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [2988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8259),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7907),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8880),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8317),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5862),
  [3024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7866),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7024),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [3042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6566),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8905),
  [3046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8113),
  [3067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5877),
  [3070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8259),
  [3073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7907),
  [3076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(817),
  [3079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2414),
  [3082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3980),
  [3085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2406),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7079),
  [3093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1225),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6548),
  [3099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8880),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [3166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8317),
  [3169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5862),
  [3172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8838),
  [3175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7866),
  [3178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(839),
  [3181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2415),
  [3184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3992),
  [3187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [3190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7024),
  [3193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1234),
  [3196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6566),
  [3199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8905),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [3224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2644),
  [3227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(912),
  [3230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1680),
  [3233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1680),
  [3236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1509),
  [3239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(502),
  [3242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1510),
  [3245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6636),
  [3248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7688),
  [3251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(57),
  [3254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1212),
  [3257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7040),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7517),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7758),
  [3266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1710),
  [3269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8425),
  [3272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7692),
  [3275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(906),
  [3278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8865),
  [3281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1238),
  [3284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8480),
  [3287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8484),
  [3290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8123),
  [3293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7771),
  [3296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8596),
  [3299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1824),
  [3302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1480),
  [3305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8190),
  [3308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8581),
  [3311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8595),
  [3314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6807),
  [3317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4439),
  [3320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7646),
  [3323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7149),
  [3326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4044),
  [3329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4124),
  [3332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8268),
  [3335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7990),
  [3338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7761),
  [3341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1576),
  [3344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1384),
  [3347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1385),
  [3350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1700),
  [3353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7712),
  [3356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1511),
  [3359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5180),
  [3362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5547),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8598),
  [3368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5939),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [3377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2650),
  [3380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1063),
  [3383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(61),
  [3386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7542),
  [3389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7799),
  [3392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1684),
  [3395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8341),
  [3398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7759),
  [3401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(862),
  [3404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8879),
  [3407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1242),
  [3410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8442),
  [3413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8445),
  [3416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8202),
  [3419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7807),
  [3422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8619),
  [3425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7834),
  [3428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1415),
  [3431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1416),
  [3434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1711),
  [3437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8644),
  [3440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5886),
  [3443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2655),
  [3446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(459),
  [3449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(36),
  [3452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7650),
  [3455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7959),
  [3458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1641),
  [3461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8617),
  [3464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7980),
  [3467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(903),
  [3470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8421),
  [3473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1241),
  [3476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8621),
  [3479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8628),
  [3482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8344),
  [3485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7863),
  [3488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8323),
  [3491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7975),
  [3494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1423),
  [3497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1424),
  [3500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1643),
  [3503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8567),
  [3506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5896),
  [3509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2641),
  [3512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(210),
  [3515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(79),
  [3518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7398),
  [3521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7691),
  [3524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1698),
  [3527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8475),
  [3530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7960),
  [3533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(904),
  [3536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8777),
  [3539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1249),
  [3542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8350),
  [3545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8355),
  [3548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8655),
  [3551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7702),
  [3554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8673),
  [3557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7694),
  [3560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1427),
  [3563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1429),
  [3566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1686),
  [3569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8680),
  [3572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5898),
  [3575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2618),
  [3578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(47),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7589),
  [3584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7717),
  [3587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7874),
  [3590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(860),
  [3593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8624),
  [3596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1255),
  [3599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8500),
  [3602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8287),
  [3605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8583),
  [3608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7902),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7842),
  [3614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1421),
  [3617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1430),
  [3620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1508),
  [3623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5972),
  [3626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2629),
  [3629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(465),
  [3632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7681),
  [3635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1580),
  [3638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8266),
  [3641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7843),
  [3644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8294),
  [3647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8006),
  [3650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8813),
  [3653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8815),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5925),
  [3659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7196),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8625),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8934),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8963),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6846),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6272),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [3765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7206),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8885),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7095),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8873),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8902),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8911),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8906),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8908),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8899),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8894),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8891),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7056),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8466),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7052),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8704),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8943),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8966),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6795),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7227),
  [3927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7849),
  [3943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5171),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6271),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5264),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8659),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8937),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8964),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6848),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8685),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5418),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5224),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8420),
  [4068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [4072] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [4080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(989),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [4091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [4096] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5244),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5223),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5546),
  [4174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(986),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5178),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [4263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2684),
  [4266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1633),
  [4269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6651),
  [4272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7083),
  [4275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2612),
  [4278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1720),
  [4281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6654),
  [4284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7117),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(988),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 17),
  [4302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 17),
  [4307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8682),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6085),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [4440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2436),
  [4443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(915),
  [4446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1676),
  [4449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1813),
  [4452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6647),
  [4455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5800),
  [4458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(919),
  [4461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1540),
  [4464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1797),
  [4467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1797),
  [4470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2690),
  [4473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(934),
  [4476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1743),
  [4479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1743),
  [4482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1646),
  [4485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6638),
  [4488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1744),
  [4491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1449),
  [4494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8190),
  [4497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8581),
  [4500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8595),
  [4503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6807),
  [4506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4439),
  [4509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7646),
  [4512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7149),
  [4515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4044),
  [4518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4124),
  [4521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1746),
  [4524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7712),
  [4527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1747),
  [4530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5178),
  [4533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5547),
  [4536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(998),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [4563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2592),
  [4566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(912),
  [4569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [4572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [4575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [4578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [4581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1510),
  [4584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6636),
  [4587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [4592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5800),
  [4595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7040),
  [4598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [4601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1480),
  [4604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8190),
  [4607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8581),
  [4610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8595),
  [4613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6807),
  [4616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4439),
  [4619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [4622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7149),
  [4625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4044),
  [4628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4124),
  [4631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8268),
  [4634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6648),
  [4637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7990),
  [4640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1576),
  [4643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7712),
  [4646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [4649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5180),
  [4652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5547),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5316),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5317),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5275),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5277),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5326),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5335),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5336),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5338),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5339),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5341),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5342),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5293),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5343),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5344),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8515),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8517),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [4867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8089),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8093),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8169),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8175),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [4896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [4901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8849),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8614),
  [4917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8440),
  [4920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8149),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7469),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [4935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8717),
  [4938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8573),
  [4941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8795),
  [4944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8212),
  [4947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8231),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [4952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8335),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7419),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8793),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8871),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7529),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8082),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8270),
  [4974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [4976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 79),
  [4980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 151),
  [4982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 106),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [4998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [5000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8602),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [5033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 193),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [5037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [5041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 106),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [5049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8801),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [5054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8721),
  [5057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8817),
  [5060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8727),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [5067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8737),
  [5070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8782),
  [5073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8784),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [5082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8789),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [5099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8837),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [5104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8840),
  [5107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8845),
  [5110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8487),
  [5113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8433),
  [5116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8161),
  [5119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8168),
  [5122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8198),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [5139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8347),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8353),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8508),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [5184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8608),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [5189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8629),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [5194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8635),
  [5197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8147),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8499),
  [5205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8638),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8809),
  [5210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8654),
  [5213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8686),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8820),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8687),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8221),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8534),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [5303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7872),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7872),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [5322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6727),
  [5324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8417),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8419),
  [5338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8623),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [5342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [5344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 219),
  [5346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 219),
  [5348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 79),
  [5354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 79),
  [5356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 80),
  [5358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 80),
  [5360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 186),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 186),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 79),
  [5382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 79),
  [5384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 199),
  [5390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 199),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 209),
  [5398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 209),
  [5400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 185),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 185),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 210),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 210),
  [5408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 186),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 186),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 178),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 178),
  [5416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 199),
  [5418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 199),
  [5420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 219),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 219),
  [5424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 209),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 209),
  [5428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 210),
  [5430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 210),
  [5432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 185),
  [5454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 185),
  [5456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7821),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7886),
  [5464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7821),
  [5467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7886),
  [5470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 55),
  [5488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 55),
  [5490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 174),
  [5500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 174),
  [5502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [5526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(998),
  [5529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [5537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2250),
  [5540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8739),
  [5543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(991),
  [5546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2278),
  [5549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1334),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [5558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8084),
  [5561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [5563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5572),
  [5575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(992),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [5588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2222),
  [5595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2272),
  [5598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [5600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [5602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1334),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [5607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8084),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [5612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [5614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 55),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 55),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [5632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(999),
  [5635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2243),
  [5638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [5644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [5646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2391),
  [5649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2245),
  [5652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2392),
  [5655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8417),
  [5658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7948),
  [5661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8419),
  [5664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8623),
  [5667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2383),
  [5670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [5672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [5674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [5676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [5678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [5680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 99),
  [5690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 99),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8739),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [5704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1244),
  [5717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [5719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [5723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [5725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2661),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [5736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [5738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2665),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [5745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [5751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2265),
  [5754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 45),
  [5764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 45),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [5768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 75),
  [5770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 75),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [5774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [5776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [5778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [5784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [5790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 45),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, 0, 45),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 75),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, -1, 75),
  [5806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [5808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [5810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [5816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [5830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8723),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [5850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 97),
  [5852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 97),
  [5854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 144),
  [5860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 144),
  [5862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [5868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [5878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [5880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 100),
  [5898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 100),
  [5900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 102),
  [5918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 102),
  [5920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 143),
  [5922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 143),
  [5924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8759),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [5978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 97),
  [5980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 97),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [5988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2395),
  [5991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8723),
  [5994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 142),
  [5996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 142),
  [5998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [6000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [6002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 103),
  [6004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 103),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [6010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2398),
  [6013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8759),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [6040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2364),
  [6043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 100),
  [6045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 100),
  [6047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 142),
  [6049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 142),
  [6051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [6053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [6055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 143),
  [6057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 143),
  [6059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [6061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8755),
  [6067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [6069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [6071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [6073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [6075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [6079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [6083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [6085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [6087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [6089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [6091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [6093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [6095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 103),
  [6097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 103),
  [6099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [6103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [6106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [6108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [6110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualifiers, 1, 0, 0),
  [6112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualifiers, 1, 0, 0),
  [6114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [6117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2458),
  [6120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8658),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [6125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2445),
  [6128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8755),
  [6131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1240),
  [6134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hlsl_attribute, 3, 0, 0),
  [6136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hlsl_attribute, 3, 0, 0),
  [6138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [6140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [6142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [6144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [6146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 108),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [6154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [6162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6699),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6722),
  [6170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6703),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [6178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 146),
  [6180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 146),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6671),
  [6190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [6192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2419),
  [6195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [6198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2422),
  [6201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2429),
  [6204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8585),
  [6207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7756),
  [6210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8327),
  [6213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [6216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [6219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [6221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [6223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2391),
  [6226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2423),
  [6229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2392),
  [6232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8417),
  [6235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7948),
  [6238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8419),
  [6241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8623),
  [6244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2798),
  [6247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2383),
  [6250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2424),
  [6253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [6258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [6260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(994),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [6270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [6272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [6276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [6278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [6282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [6284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [6286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [6288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [6290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2460),
  [6293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [6295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [6297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7226),
  [6300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8058),
  [6303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [6305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [6307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(2547),
  [6310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(2462),
  [6313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8682),
  [6316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 218),
  [6318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 218),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8702),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [6326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [6328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8592),
  [6334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(991),
  [6337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [6339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [6341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [6343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [6349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [6351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [6357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [6359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [6361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [6365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [6367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [6369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8658),
  [6371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [6373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(997),
  [6376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(985),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [6383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3750),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [6390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3773),
  [6393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [6401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [6405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 91),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 91),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [6413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [6415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8152),
  [6417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [6421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [6423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [6425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(994),
  [6428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 20),
  [6430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 20),
  [6432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(994),
  [6435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [6437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [6447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4389),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [6465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [6467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [6475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2593),
  [6478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6999),
  [6481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8069),
  [6484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [6487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(988),
  [6490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [6495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [6497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [6505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8657),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [6515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2603),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [6520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [6522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [6526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [6528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [6540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8748),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [6550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [6552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [6554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [6556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [6560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(980),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [6565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [6567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [6571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 85),
  [6573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 85),
  [6575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2643),
  [6578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7043),
  [6581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8054),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [6586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(6369),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [6593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(8073),
  [6596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(8607),
  [6599] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(6369),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [6605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 169),
  [6607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 169),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [6619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [6623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [6631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [6647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7832),
  [6658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2624),
  [6661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8748),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [6670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [6676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 87),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 87),
  [6680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 2, 0, 0),
  [6682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 2, 0, 0),
  [6685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [6688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7058),
  [6691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8065),
  [6694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [6702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 111),
  [6704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 111),
  [6706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [6716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [6718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [6720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [6722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [6724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [6726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2750),
  [6733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0),
  [6735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 1, 0, 0),
  [6738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(997),
  [6741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 171),
  [6743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 171),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [6751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 166),
  [6753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 166),
  [6755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 118),
  [6757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 118),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8722),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [6767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [6769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [6771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(994),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [6782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(994),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [6793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [6797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [6799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [6801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [6803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2803),
  [6806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7101),
  [6809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8064),
  [6812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [6822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [6828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [6840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8681),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [6850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 17),
  [6852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 17),
  [6854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 55),
  [6860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 55),
  [6862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(994),
  [6869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 84),
  [6891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 84),
  [6893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [6897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 166),
  [6899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 166),
  [6901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [6909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 215),
  [6923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 215),
  [6925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 216),
  [6927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 216),
  [6929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 223),
  [6935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 223),
  [6937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 224),
  [6943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 224),
  [6945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [6953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [6959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [6969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 227),
  [6971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 227),
  [6973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [6985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 167),
  [6987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 167),
  [6989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8747),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [7003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [7005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [7007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 156),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 156),
  [7011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 179),
  [7013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 179),
  [7015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 157),
  [7017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 157),
  [7019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 154),
  [7021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 154),
  [7023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [7025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [7027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [7029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [7035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [7037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [7039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 194),
  [7041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 194),
  [7043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 196),
  [7045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 196),
  [7047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [7049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [7051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 197),
  [7053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 197),
  [7055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [7057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [7059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 55),
  [7061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 55),
  [7063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 84),
  [7065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 84),
  [7067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [7069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [7071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [7073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [7075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [7077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [7079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [7081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [7083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [7085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [7087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 107),
  [7089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 107),
  [7091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [7093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [7095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [7097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [7099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [7101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [7103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [7105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [7107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [7109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [7113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [7119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(991),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [7136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [7146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(997),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [7155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [7157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [7160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7170),
  [7163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8053),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8738),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [7182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5570),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [7190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8622),
  [7193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8622),
  [7196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7798),
  [7199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [7201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6853),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [7217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [7219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [7221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [7223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [7225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [7237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [7239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [7247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(980),
  [7250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [7252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [7256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6141),
  [7259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5606),
  [7262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [7264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [7274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [7276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [7278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [7280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [7312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [7314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [7316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [7318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [7320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [7322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [7324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 172),
  [7326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 172),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [7332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [7334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [7336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [7338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [7340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [7342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [7372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [7374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6738),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [7402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [7404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [7406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [7410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [7416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [7426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6268),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5450),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [7516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [7538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5583),
  [7541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6109),
  [7544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5589),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [7565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [7567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [7569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [7577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [7583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [7585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [7593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [7599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7860),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [7606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [7620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [7622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [7626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [7632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5582),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [7639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [7647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [7655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(998),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [7660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(991),
  [7663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [7665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [7673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [7675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [7677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [7681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [7687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [7703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5512),
  [7705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [7711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [7715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [7719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(988),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [7726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3439),
  [7729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7002),
  [7732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8068),
  [7735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5587),
  [7738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7882),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [7743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [7747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(991),
  [7750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(997),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [7759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [7761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [7763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [7765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [7767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [7773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [7775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [7777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [7783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [7787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [7789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [7791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [7793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [7795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8378),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [7837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [7847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6253),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [7881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [7883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(991),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [7888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 4, 0, 136),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [7898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [7902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6230),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [7930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [7932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [7946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(997),
  [7949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7948),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [7954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5586),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [7961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [7963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4046),
  [7966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8703),
  [7969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(985),
  [7972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(997),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [7983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5574),
  [7985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [7987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [7989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3715),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [8000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3763),
  [8003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7204),
  [8006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8063),
  [8009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [8011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [8019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [8021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5573),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [8027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture, 2, 0, 0),
  [8029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture, 2, 0, 0),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [8040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [8042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [8052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [8072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6291),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5373),
  [8086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [8090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [8092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6278),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [8104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8725),
  [8106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5374),
  [8108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [8112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4466),
  [8116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6270),
  [8118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [8120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [8122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [8128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [8130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [8140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [8144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8919),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [8152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [8154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [8156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4204),
  [8159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4207),
  [8162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(999),
  [8165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5088),
  [8167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [8169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [8171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6287),
  [8173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [8175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [8177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5365),
  [8179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [8185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [8197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [8201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [8205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6281),
  [8207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5310),
  [8209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [8211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5312),
  [8213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5383),
  [8215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4210),
  [8218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4191),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [8225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5568),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [8229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [8231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [8239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [8251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [8253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [8255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [8261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [8277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5695),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [8283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(992),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5771),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [8300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [8302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [8308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5757),
  [8310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [8316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [8318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4046),
  [8321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [8323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8703),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [8328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [8334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [8338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4046),
  [8341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [8343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8703),
  [8346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5908),
  [8358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [8360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5962),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [8388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6398),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [8402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5929),
  [8404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6396),
  [8406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [8412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4481),
  [8416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4418),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [8421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8762),
  [8424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [8430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5961),
  [8432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [8450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [8452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [8456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4418),
  [8459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [8461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8762),
  [8464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [8466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4418),
  [8469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8762),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [8480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4430),
  [8483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8420),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [8490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6911),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [8498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6058),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [8518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [8526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [8530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [8532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [8534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [8540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [8546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6055),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [8552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6064),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [8562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4323),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [8569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 141),
  [8571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 141),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [8575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [8579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [8585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [8589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [8593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [8609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2624),
  [8612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8748),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [8619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [8621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4373),
  [8628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2458),
  [8631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [8633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8658),
  [8636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2624),
  [8639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [8641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8748),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [8650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2458),
  [8653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8658),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [8664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8622),
  [8671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8622),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [8678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [8680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [8686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8585),
  [8689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8585),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [8698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [8702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [8706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [8712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [8728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [8742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4819),
  [8744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [8746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 177),
  [8748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 177),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [8754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 191),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [8758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [8760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [8762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [8798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [8802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [8808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [8816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [8820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [8842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 82),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [8860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [8870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [8878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [8904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 113),
  [8906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 188),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [8926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8754),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [8950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8622),
  [8955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8622),
  [8958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7798),
  [8961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [8987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [9009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 139), SHIFT(1468),
  [9012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 139),
  [9014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1468),
  [9017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [9021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6141),
  [9024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5606),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [9029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 5, 0, 184),
  [9031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 199),
  [9033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 160),
  [9035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 4, 0, 201),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [9045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [9049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [9055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [9059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [9063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [9079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [9081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [9091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5111),
  [9094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5111),
  [9097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5108),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [9110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 140),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [9114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 3, 0, 82),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [9130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 211),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [9142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [9164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 150),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [9172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [9174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 189),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [9180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 190),
  [9182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [9188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 192),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [9208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 212),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [9216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 55),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [9232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [9335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 83),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [9349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 55),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [9389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture, 1, 0, 0),
  [9391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture, 1, 0, 0),
  [9394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5583),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [9399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6109),
  [9402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5589),
  [9405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [9407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8622),
  [9410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8622),
  [9413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7798),
  [9416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [9418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6141),
  [9421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5606),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [9432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [9436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(5234),
  [9439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(5183),
  [9442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(5209),
  [9445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5582),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [9450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5203),
  [9453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5206),
  [9456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5231),
  [9459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [9463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5587),
  [9466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6109),
  [9469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5589),
  [9472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1243),
  [9475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5583),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [9482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [9484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6308),
  [9486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [9492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [9494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5582),
  [9497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [9501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [9503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [9505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5272),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [9511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5274),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [9515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8706),
  [9517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5385),
  [9519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0), SHIFT(2222),
  [9522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18), SHIFT(2222),
  [9525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7948),
  [9528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5586),
  [9531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [9533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5184),
  [9535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [9539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [9541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [9543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [9545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5261),
  [9547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [9549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5263),
  [9551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [9553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8661),
  [9555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [9557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(5230),
  [9560] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(2222),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [9570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [9574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 45), SHIFT(5221),
  [9577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(2222),
  [9580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [9588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [9590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [9592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5268),
  [9594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5269),
  [9596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [9598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [9600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20), SHIFT(2222),
  [9603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [9607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [9609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [9611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [9613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5281),
  [9615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [9617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [9619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [9621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [9623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5423),
  [9625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 45), SHIFT(2222),
  [9628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [9632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [9634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [9636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6286),
  [9638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5287),
  [9640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [9642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [9646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8756),
  [9648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [9650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [9654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [9656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [9658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [9660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [9662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5258),
  [9664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [9666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [9668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8627),
  [9670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [9672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 75), SHIFT(2222),
  [9675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(2222),
  [9678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20), SHIFT(5216),
  [9681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 75), SHIFT(5227),
  [9684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8622),
  [9693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8622),
  [9696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7798),
  [9699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [9703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [9705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [9707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [9709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4628),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [9719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [9725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5587),
  [9728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4243),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [9732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6141),
  [9735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5606),
  [9738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6497),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [9742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [9744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [9748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5307),
  [9750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [9752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [9754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7948),
  [9761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5586),
  [9764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(5210),
  [9767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6109),
  [9774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5589),
  [9777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5583),
  [9780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5582),
  [9783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5587),
  [9786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7948),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7212),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4421),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7108),
  [9805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [9813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7012),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [9821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7059),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [9829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7172),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [9835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [9837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7240),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [9853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7948),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [9864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5586),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [9875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [9881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [9883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [9889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [9891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7100),
  [9893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [9897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [9899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [9905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7345),
  [9907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [9909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [9913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [9917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [9921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [9923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7069),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [9927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [9929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [9931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6523),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [9935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [9939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5938),
  [9941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7136),
  [9943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6141),
  [9946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5606),
  [9949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [9951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [9953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [9955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [9957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [9959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4391),
  [9961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [9967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7489),
  [9969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [9971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [9973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [9975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [9977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [9979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [9981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [9983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [9985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [9987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [9989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [9991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7313),
  [9993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [9997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [9999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [10003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6718),
  [10005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [10007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5581),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [10013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8000),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [10017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [10031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [10035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [10047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5738),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [10061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5746),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [10067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [10069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [10071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [10073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [10079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [10081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [10083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [10085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [10089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [10091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [10093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [10095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [10097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [10099] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [10101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [10103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [10111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7418),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [10115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7868),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [10123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [10135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [10141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7326),
  [10143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [10151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6796),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [10161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [10167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [10173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [10175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [10181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [10183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [10185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7443),
  [10189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [10195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7355),
  [10197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [10211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7258),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7376),
  [10221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [10225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [10229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [10237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7383),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [10261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [10263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [10265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 55),
  [10271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 55),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [10283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6783),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [10293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7303),
  [10299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [10307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7660),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [10313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [10315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [10317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6141),
  [10320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5606),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7294),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [10347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [10357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [10365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [10377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [10383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [10387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7293),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [10409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [10411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [10413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [10419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [10421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7610),
  [10423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [10427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [10433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5770),
  [10435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [10437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5776),
  [10439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [10441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [10443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [10445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5805),
  [10447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [10449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5839),
  [10451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [10455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [10461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6109),
  [10464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5589),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [10469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6763),
  [10471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7362),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [10479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [10485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7798),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [10490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6109),
  [10493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5589),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7194),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [10500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [10520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6330),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6980),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [10540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [10546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [10568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [10574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [10576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [10582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [10584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(6109),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [10589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(6141),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [10606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6314),
  [10608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 85),
  [10610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 85),
  [10612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [10614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [10622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 81),
  [10632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 81),
  [10634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6344),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5583),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7320),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [10671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [10673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [10677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6453),
  [10679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [10681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8417),
  [10686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8623),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [10693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6065),
  [10696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7217),
  [10699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8061),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [10706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [10708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [10710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [10714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [10720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [10732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [10734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5582),
  [10737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 171),
  [10739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 171),
  [10741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [10747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [10749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [10755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [10757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [10759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [10761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [10771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [10773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [10777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [10779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [10781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5582),
  [10788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [10794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [10804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [10808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [10810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8416),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [10815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6961),
  [10817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5587),
  [10820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [10826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [10830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [10832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [10834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [10838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [10840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [10842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [10844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 173),
  [10846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 173),
  [10848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [10850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [10854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5205),
  [10856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [10858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [10860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5587),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [10877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 79),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5812),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [10887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 169),
  [10889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 5, 1, 169),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [10895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5583),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [10906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 85),
  [10908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 4, 1, 85),
  [10910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 10),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [10916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [10920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6955),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [10926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6979),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [10930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [10934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [10938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6467),
  [10944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6474),
  [10946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6463),
  [10948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [10950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [10962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [10964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6493),
  [10966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [10970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6485),
  [10972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6464),
  [10974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [10976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6476),
  [10978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6504),
  [10980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6477),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [10988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7851),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [10993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [10999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [11001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6503),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [11017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [11019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6494),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [11031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [11033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24), SHIFT(8919),
  [11036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [11046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6465),
  [11048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 85),
  [11050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 85),
  [11052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6462),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [11074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [11076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [11078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 169),
  [11080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 169),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [11084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [11086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8135),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [11090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 171),
  [11092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 171),
  [11094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6800),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [11108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [11110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [11114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [11116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [11118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [11120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [11122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [11124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [11126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [11128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [11130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [11136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [11138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [11140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [11142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [11148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5586),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [11153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [11163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [11167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, 1, 24),
  [11169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, 1, 24),
  [11171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 101),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [11175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 101),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [11179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [11181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6932),
  [11183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_semantics, 2, 0, 0),
  [11185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_semantics, 2, 0, 0),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [11189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [11191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [11193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [11195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [11201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 171),
  [11203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 171),
  [11205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [11207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [11209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [11211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [11213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [11215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [11217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [11219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [11221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [11223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [11225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [11227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [11229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 79),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [11233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [11239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5586),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [11244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [11246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [11248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6790),
  [11250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [11258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5774),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [11264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6787),
  [11266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6695),
  [11268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7450),
  [11271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5816),
  [11274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8633),
  [11277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7683),
  [11280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6766),
  [11284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6733),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [11288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6652),
  [11290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [11292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6732),
  [11294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6792),
  [11296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [11298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6751),
  [11300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6677),
  [11302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6774),
  [11304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6692),
  [11306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6644),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [11310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 10),
  [11312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 10),
  [11314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 10),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [11318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6658),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [11322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6641),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [11326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 79),
  [11328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 79),
  [11330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [11332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [11334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [11336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5237),
  [11338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [11340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [11342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [11344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [11346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [11348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [11350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [11354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [11356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [11360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [11362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5207),
  [11364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [11366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [11370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [11372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [11374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [11376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [11378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [11380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [11382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [11384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [11386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [11388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [11390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [11394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [11396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [11398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7690),
  [11400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7232),
  [11402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 56),
  [11404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [11408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8514),
  [11410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6537),
  [11412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [11414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [11416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7110),
  [11418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [11420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8007),
  [11422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [11424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [11426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7792),
  [11428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [11430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7891),
  [11432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [11434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7767),
  [11436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7039),
  [11438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [11440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [11442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [11444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7697),
  [11446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [11448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7903),
  [11450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7627),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [11456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [11458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7137),
  [11460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [11462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [11464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [11466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [11468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [11470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [11474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [11476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [11478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8056),
  [11480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7291),
  [11482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [11484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7706),
  [11486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [11488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7937),
  [11490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [11492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7880),
  [11494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [11496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [11498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [11500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7953),
  [11502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7233),
  [11504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 66),
  [11506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [11508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [11510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7987),
  [11512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7654),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [11516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7520),
  [11518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [11520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7901),
  [11522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7104),
  [11524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [11528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [11530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7209),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [11534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6781),
  [11537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [11555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [11559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [11561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [11585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [11591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7450),
  [11594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [11600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(6369),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [11605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [11627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [11635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7473),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [11641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7321),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [11659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [11665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [11671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [11673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [11675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6988),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [11682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [11684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [11692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [11696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [11710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1800),
  [11717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [11719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(8663),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [11726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [11732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 79),
  [11736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 79),
  [11738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [11740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [11748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 80),
  [11750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 80),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [11788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [11844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [11846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [11852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 79),
  [11854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 79),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [11858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 178),
  [11860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 178),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [11864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7844),
  [11866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8032),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [11874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7684),
  [11876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 187), SHIFT_REPEAT(6062),
  [11879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 187),
  [11881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 187),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [11901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 198),
  [11903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7855),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [11909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [11913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7949),
  [11915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7540),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [11923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8042),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [11929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 88),
  [11931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 2, 0, 88),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7789),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [11957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [11963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 159),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [11973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115), SHIFT_REPEAT(5940),
  [11976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115),
  [11978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115),
  [11980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [11984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [11996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [11998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [12002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7005),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [12008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [12010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [12012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [12016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [12018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [12022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [12026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 195),
  [12028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [12032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [12036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 155),
  [12038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 19),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [12048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [12050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [12058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [12066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8959),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [12074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [12076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [12084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [12086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [12092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [12094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [12098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7063),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [12104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8488),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [12108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8462),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [12116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [12120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [12124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7092),
  [12126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [12128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [12134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 155),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [12140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [12142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [12144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [12146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [12148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [12152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 221),
  [12154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [12160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [12162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [12166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7129),
  [12168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [12174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [12178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [12186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8904),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [12192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [12196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [12198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7115),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [12205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [12207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [12211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7038),
  [12213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [12215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [12223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [12229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [12233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7156),
  [12235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [12237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [12239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 208),
  [12241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 208),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [12245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [12247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [12251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7144),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [12257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [12261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7042),
  [12263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8167),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [12267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7225),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [12273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [12275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [12277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [12279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [12285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [12287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [12291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7164),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [12295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [12301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 213), SHIFT_REPEAT(6776),
  [12304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 213),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [12308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [12312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [12316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7088),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [12322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [12326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7234),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [12338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8091),
  [12340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [12342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7197),
  [12345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7197),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [12354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [12358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [12360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 213), SHIFT_REPEAT(6741),
  [12363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 213),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [12371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 195),
  [12373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6296),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [12377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7025),
  [12379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 225), SHIFT_REPEAT(6235),
  [12382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 225),
  [12384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 214),
  [12386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [12388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [12390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [12394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [12396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [12402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [12408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [12412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [12414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [12418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [12420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [12424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [12426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 92),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [12446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 226),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [12512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 101),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [12538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8607),
  [12541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [12579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(6021),
  [12582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [12584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 228), SHIFT_REPEAT(8542),
  [12587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 228),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [12605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [12609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 229),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [12623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [12625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 145),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [12633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [12705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5646),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [12729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 229),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [12733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [12743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [12747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1009),
  [12750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [12766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [12772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [12780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 96),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [12784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 56),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [12800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1467),
  [12803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [12807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [12817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [12820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [12826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [12844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 220),
  [12846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1840),
  [12849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [12867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 155),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [12877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6355),
  [12880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [12892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [12905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [12907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [12939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5850),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [12952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7951),
  [12955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [12959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [12987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1270),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [13002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7229),
  [13004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [13008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [13022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 222),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [13030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [13038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [13064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7159),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [13078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [13088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7062),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [13098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7724),
  [13101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [13109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7245),
  [13111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7011),
  [13113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7054),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [13117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7014),
  [13119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [13121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1215),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [13130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [13134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 4, 0, 66),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [13154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3987),
  [13157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [13171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 207),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [13175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 220),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [13189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [13193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [13209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7238),
  [13211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 214),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [13225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115), SHIFT_REPEAT(5426),
  [13228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [13236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [13240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 155),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [13244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5998),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [13263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3995),
  [13266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [13278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 101),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [13282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [13284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [13286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [13288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [13320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 92),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [13328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [13330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [13348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8230),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [13352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8374),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [13356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [13374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 222),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [13380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8507),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [13384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8356),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [13390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [13392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [13394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [13400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [13408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8530),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [13414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8533),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [13418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [13428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [13430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [13436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8548),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [13442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8714),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [13448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8802),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [13472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [13482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [13484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 158),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [13492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [13554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [13556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_parameter_pack_expansion, 2, 0, 28),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [13562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [13564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 80),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [13644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 10),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [13650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [13704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [13708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8178),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [13726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [13736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [13858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 127),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [13874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 178),
  [13876] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [13936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 178),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [13960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [13976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 178),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [14132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [14134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [14138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [14214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [14228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 55),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [14238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 178),
  [14240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8469),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [14261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 127),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [14267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 80),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [14277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 79),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [14283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 80),
  [14285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 80),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [14301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 128),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [14387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 80),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [14407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [14445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [14493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 127),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [14509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 128),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [14535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 128),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [14547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [14565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [14579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [14661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [14663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [14821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [14847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 178),
  [14849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 127),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [14871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 127),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [14975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 128),
  [14977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 128),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_hlsl_external_scanner_create(void);
void tree_sitter_hlsl_external_scanner_destroy(void *);
bool tree_sitter_hlsl_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_hlsl_external_scanner_serialize(void *, char *);
void tree_sitter_hlsl_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_hlsl(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_hlsl_external_scanner_create,
      tree_sitter_hlsl_external_scanner_destroy,
      tree_sitter_hlsl_external_scanner_scan,
      tree_sitter_hlsl_external_scanner_serialize,
      tree_sitter_hlsl_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
